drop database if exists `sys-icss`;
CREATE DATABASE  `sys-icss` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
use `sys-icss`;
/*
Navicat MySQL Data Transfer

Source Server         : 2.236平台开发环境
Source Server Version : 50723
Source Host           : 192.168.2.236:3306
Source Database       : sys-icss

Target Server Type    : MYSQL
Target Server Version : 50723
File Encoding         : 65001

Date: 2019-01-08 15:50:28
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for icss_buried_some_statistical
-- ----------------------------
DROP TABLE IF EXISTS `icss_buried_some_statistical`;
CREATE TABLE `icss_buried_some_statistical` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_id` bigint(20) DEFAULT NULL COMMENT '医院id',
  `hospital_dept_id` bigint(20) DEFAULT NULL COMMENT '部门id',
  `doctor_id` bigint(20) DEFAULT NULL COMMENT '医生id',
  `patient_id` bigint(20) DEFAULT NULL COMMENT '病人id',
  `inquiry_code` varchar(255) DEFAULT NULL COMMENT '就诊号',
  `label_id` int(10) DEFAULT NULL COMMENT '标签ID',
  `label_name` varchar(100) DEFAULT NULL COMMENT '标签名',
  `operation_type` varchar(100) DEFAULT NULL COMMENT '操作类型',
  `operation_num` int(5) DEFAULT NULL COMMENT '操作次数',
  `status` int(5) DEFAULT '0' COMMENT '是否存在标签库（0:默认有，1：无）',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=226 DEFAULT CHARSET=utf8 COMMENT='数据埋点统计表';

-- ----------------------------
-- Records of icss_buried_some_statistical
-- ----------------------------
INSERT INTO `icss_buried_some_statistical` VALUES ('98', 'N', '2018-12-26 14:31:14', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '7', '主诉通用特征描述', '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('99', 'N', '2018-12-26 14:31:14', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '33', '杂音', '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('100', 'N', '2018-12-26 14:57:21', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '7', '主诉通用特征描述', '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('101', 'N', '2018-12-26 14:58:11', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '7', '主诉通用特征描述', '单击', '2', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('102', 'N', '2018-12-26 14:58:11', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '21', '添加其他症状', '单击', '2', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('103', 'N', '2018-12-26 15:14:53', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '262', '8', '添加症状', '单击', '2', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('104', 'N', '2018-12-26 15:14:53', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '262', '7', '主诉通用特征描述', '单击', '3', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('105', 'N', '2018-12-26 15:14:53', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '262', '21', '添加其他症状', '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('106', 'N', '2018-12-26 15:14:53', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '262', '45', '既往史', '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('107', 'N', '2018-12-26 15:14:53', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '262', '53', '过敏史', '单击', '2', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('108', 'N', '2018-12-26 15:14:53', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '262', '75', '个人史', '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('109', 'N', '2018-12-26 15:18:11', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '263', '8', '添加症状', '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('110', 'N', '2018-12-26 15:19:34', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '263', '8', '添加症状', '单击', '2', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('111', 'N', '2018-12-26 15:19:34', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '263', '7', '主诉通用特征描述', '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('112', 'N', '2018-12-27 15:25:16', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '7', '主诉通用特征描述', '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('113', 'N', '2018-12-27 15:25:34', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '7', '主诉通用特征描述', '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('114', 'N', '2018-12-27 15:26:51', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '7', '主诉通用特征描述', '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('117', 'N', '2018-12-27 18:49:18', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '7', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('118', 'N', '2018-12-27 18:49:18', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '11', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('119', 'N', '2018-12-27 19:00:17', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '434434', '7', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('120', 'N', '2018-12-27 19:00:17', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '434434', '11', null, '单击', '2', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('121', 'N', '2018-12-27 19:07:15', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '424', '7', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('122', 'N', '2018-12-27 19:07:15', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '424', '8', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('123', 'N', '2018-12-27 19:07:15', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '424', '11', null, '单击', '2', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('124', 'N', '2018-12-27 19:07:15', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '424', '2', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('125', 'N', '2018-12-27 19:07:15', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '424', '3', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('126', 'N', '2018-12-27 19:07:15', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '424', '32', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('127', 'N', '2018-12-27 19:09:13', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '424', '7', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('128', 'N', '2018-12-27 19:09:29', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '424', '7', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('129', 'N', '2018-12-28 09:57:15', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '454', '11', null, '单击', '2', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('130', 'N', '2018-12-28 09:57:15', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '454', '57', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('131', 'N', '2018-12-28 09:57:15', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '454', '8', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('132', 'N', '2018-12-28 09:57:15', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '454', '33', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('133', 'N', '2018-12-28 13:53:29', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '474', '11', null, '单击', '2', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('134', 'N', '2018-12-28 13:53:29', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '474', '57', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('135', 'N', '2018-12-28 13:53:29', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '474', '8', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('136', 'N', '2018-12-28 13:53:29', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '474', '33', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('137', 'N', '2018-12-28 13:53:41', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '33', null, '单击', '2', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('138', 'N', '2018-12-28 13:53:41', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '75', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('139', 'N', '2018-12-28 13:53:41', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '75', null, '双击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('140', 'N', '2018-12-28 13:53:41', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '40', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('141', 'N', '2018-12-28 15:31:05', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '75', null, '单击', '4', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('142', 'N', '2018-12-28 15:31:05', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '33', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('143', 'N', '2018-12-28 15:31:24', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '75', null, '单击', '2', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('144', 'N', '2018-12-28 15:31:24', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '75', null, '双击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('145', 'N', '2018-12-28 15:34:03', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '28', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('146', 'N', '2018-12-28 15:34:11', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '28', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('147', 'N', '2018-12-28 17:11:02', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44444', '7', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('148', 'N', '2018-12-29 11:12:43', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '4744', '11', null, '单击', '2', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('149', 'N', '2018-12-29 11:12:43', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '4744', '28', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('150', 'N', '2018-12-29 11:12:43', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '4744', '40', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('151', 'N', '2018-12-29 11:12:43', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '4744', '33', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('152', 'N', '2019-01-02 15:02:45', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '494', '7', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('153', 'N', '2019-01-02 15:02:45', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '494', '8', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('154', 'N', '2019-01-02 15:02:45', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '494', '11', null, '单击', '2', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('155', 'N', '2019-01-02 15:02:45', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '494', '57', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('156', 'N', '2019-01-02 15:02:45', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '494', '2', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('157', 'N', '2019-01-02 15:02:45', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '494', '3', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('158', 'N', '2019-01-02 15:02:45', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '494', '21', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('159', 'N', '2019-01-02 15:02:45', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '494', '32', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('160', 'N', '2019-01-02 15:02:45', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '494', '60', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('161', 'N', '2019-01-02 15:02:45', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '494', '61', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('162', 'N', '2019-01-02 15:02:45', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '494', '62', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('163', 'N', '2019-01-02 15:02:45', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '494', '63', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('164', 'N', '2019-01-02 15:02:45', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '494', '64', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('165', 'N', '2019-01-03 16:54:26', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '4994', '40', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('166', 'N', '2019-01-03 16:54:26', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '4994', '28', null, '单击', '2', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('167', 'N', '2019-01-04 17:41:21', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '7', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('168', 'N', '2019-01-04 17:43:22', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '2', '44', '8', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('169', 'N', '2019-01-04 17:43:22', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '2', '44', '11', null, '单击', '2', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('170', 'N', '2019-01-04 17:43:22', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '2', '44', '57', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('171', 'N', '2019-01-04 17:48:56', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '2', '44', '8', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('172', 'N', '2019-01-04 17:48:56', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '2', '44', '11', null, '单击', '2', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('173', 'N', '2019-01-04 17:48:56', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '2', '44', '57', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('174', 'N', '2019-01-07 09:57:24', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44000', '7', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('175', 'N', '2019-01-07 09:57:24', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44000', '8', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('176', 'N', '2019-01-07 10:33:02', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '7', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('177', 'N', '2019-01-07 10:49:07', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '2', '441', '11', null, '单击', '2', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('178', 'N', '2019-01-07 10:49:07', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '2', '441', '8', null, '单击', '3', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('179', 'N', '2019-01-07 10:49:07', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '2', '441', '7', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('180', 'N', '2019-01-07 10:49:07', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '2', '441', '57', null, '单击', '6', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('181', 'N', '2019-01-07 10:49:07', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '2', '441', '57', null, '双击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('182', 'N', '2019-01-07 10:49:07', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '2', '441', '2', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('183', 'N', '2019-01-07 10:49:07', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '2', '441', '33', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('184', 'N', '2019-01-07 10:49:07', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '2', '441', '75', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('185', 'N', '2019-01-07 11:06:46', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '21', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('186', 'N', '2019-01-07 11:06:46', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '2', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('187', 'N', '2019-01-07 11:06:46', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '53', null, '单击', '2', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('188', 'N', '2019-01-07 11:06:46', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '45', null, '单击', '2', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('189', 'N', '2019-01-07 11:06:46', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '49', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('190', 'N', '2019-01-07 11:06:46', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '50', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('191', 'N', '2019-01-07 11:06:46', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '75', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('192', 'N', '2019-01-07 11:06:57', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '75', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('193', 'N', '2019-01-07 11:06:57', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '45', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('194', 'N', '2019-01-07 11:08:18', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '28', null, '单击', '1', '1');
INSERT INTO `icss_buried_some_statistical` VALUES ('195', 'N', '2019-01-07 11:08:25', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '28', null, '单击', '1', '1');
INSERT INTO `icss_buried_some_statistical` VALUES ('196', 'N', '2019-01-07 13:56:50', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '446', '7', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('197', 'N', '2019-01-07 14:11:28', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '455', '40', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('198', 'N', '2019-01-07 14:29:03', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '32', null, '单击', '2', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('199', 'N', '2019-01-07 16:06:51', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '43224', '79', null, '单击', '2', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('200', 'N', '2019-01-07 16:06:51', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '43224', '45', null, '单击', '2', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('201', 'N', '2019-01-07 16:07:30', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '43224', '79', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('202', 'N', '2019-01-07 16:07:30', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '43224', '45', null, '单击', '3', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('203', 'N', '2019-01-07 16:10:28', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '11', null, '单击', '2', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('204', 'N', '2019-01-07 16:10:39', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '11', null, '单击', '2', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('205', 'N', '2019-01-07 16:43:41', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '49', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('206', 'N', '2019-01-07 16:49:13', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '44', '33', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('207', 'N', '2019-01-07 17:52:17', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '43324', '8', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('208', 'N', '2019-01-07 17:52:17', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '43324', '79', null, '单击', '2', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('209', 'N', '2019-01-07 17:52:17', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '1', '43324', '75', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('210', 'N', '2019-01-08 09:58:38', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '2', '441', '8', null, '单击', '2', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('211', 'N', '2019-01-08 09:58:38', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '2', '441', '11', null, '单击', '3', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('212', 'N', '2019-01-08 09:58:38', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '2', '441', '45', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('213', 'N', '2019-01-08 10:01:18', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '2', '441', '8', null, '单击', '2', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('214', 'N', '2019-01-08 10:01:18', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '2', '441', '11', null, '单击', '3', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('215', 'N', '2019-01-08 10:01:18', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '2', '441', '45', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('216', 'N', '2019-01-08 10:01:18', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '2', '441', '32', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('217', 'N', '2019-01-08 10:01:18', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '2', '441', '60', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('218', 'N', '2019-01-08 10:01:34', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '2', '441', '8', null, '单击', '2', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('219', 'N', '2019-01-08 10:01:34', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '2', '441', '11', null, '单击', '3', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('220', 'N', '2019-01-08 10:01:34', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '2', '441', '45', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('221', 'N', '2019-01-08 10:01:34', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '2', '441', '32', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('222', 'N', '2019-01-08 10:01:34', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '2', '441', '60', null, '单击', '1', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('223', 'N', '2019-01-08 11:09:54', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '2', '441', '40', null, '单击', '3', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('224', 'N', '2019-01-08 11:09:54', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '2', '441', '28', null, '单击', '2', '0');
INSERT INTO `icss_buried_some_statistical` VALUES ('225', 'N', '2019-01-08 13:52:47', '1970-01-01 12:00:00', '1', '0', '1', '1', '1', '2', '441', '8', null, '单击', '1', '0');

-- ----------------------------
-- Table structure for icss_dept_info
-- ----------------------------
DROP TABLE IF EXISTS `icss_dept_info`;
CREATE TABLE `icss_dept_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(32) NOT NULL COMMENT '名称',
  `remark` varchar(100) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8 COMMENT='科室信息表';

-- ----------------------------
-- Records of icss_dept_info
-- ----------------------------
INSERT INTO `icss_dept_info` VALUES ('1', 'N', '1970-01-01 12:00:00', '2018-12-14 10:11:38', '0', '1', '呼吸科', '全部的科室通用的');
INSERT INTO `icss_dept_info` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '4', '消化科', null);
INSERT INTO `icss_dept_info` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '5', '儿科', null);
INSERT INTO `icss_dept_info` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '6', '呼吸内科', null);
INSERT INTO `icss_dept_info` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '7', '全科', null);
INSERT INTO `icss_dept_info` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '妇科', null);
INSERT INTO `icss_dept_info` VALUES ('7', 'Y', '2019-01-04 14:07:11', '2019-01-04 14:24:45', '80', '80', 'string', 'string');

-- ----------------------------
-- Table structure for icss_dept_vital
-- ----------------------------
DROP TABLE IF EXISTS `icss_dept_vital`;
CREATE TABLE `icss_dept_vital` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `dept_id` bigint(20) NOT NULL COMMENT '科室id',
  `vital_id` bigint(20) NOT NULL COMMENT '查体id(question_id)',
  `order_no` int(11) NOT NULL DEFAULT '0' COMMENT '排序',
  `remark` varchar(100) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8 COMMENT='科室查体对应表';

-- ----------------------------
-- Records of icss_dept_vital
-- ----------------------------
INSERT INTO `icss_dept_vital` VALUES ('5', 'Y', '2018-11-26 15:12:00', '2019-01-03 17:00:47', '0', '53', '1', '30', '2', null);
INSERT INTO `icss_dept_vital` VALUES ('6', 'Y', '2018-11-26 15:12:00', '2019-01-03 17:00:47', '0', '53', '1', '31', '1', null);
INSERT INTO `icss_dept_vital` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '28', '2', '呼吸内科-血压');
INSERT INTO `icss_dept_vital` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '33', '1', '呼吸内科-杂音');
INSERT INTO `icss_dept_vital` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '40', '3', '呼吸内科-体温');
INSERT INTO `icss_dept_vital` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '28', '1', '全科-血压');
INSERT INTO `icss_dept_vital` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '40', '2', '全科-体温');
INSERT INTO `icss_dept_vital` VALUES ('13', 'N', '2019-01-03 16:56:59', '2019-01-03 16:56:59', '53', '53', '3', '28', '1', null);

-- ----------------------------
-- Table structure for icss_dictionary_info
-- ----------------------------
DROP TABLE IF EXISTS `icss_dictionary_info`;
CREATE TABLE `icss_dictionary_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `group_type` bigint(20) NOT NULL DEFAULT '0' COMMENT '分组（值自定义）',
  `name` varchar(100) NOT NULL DEFAULT '' COMMENT '内容',
  `val` varchar(255) NOT NULL DEFAULT '' COMMENT '值',
  `return_type` int(11) NOT NULL DEFAULT '1' COMMENT '返回类型（0: 都返回，1：后台维护返回 2：icss界面返回）',
  `order_no` int(11) NOT NULL DEFAULT '0' COMMENT '排序号',
  `remark` varchar(300) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=33 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='icss字典表';

-- ----------------------------
-- Records of icss_dictionary_info
-- ----------------------------
INSERT INTO `icss_dictionary_info` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '症状', '1', '1', '10', '标签归属');
INSERT INTO `icss_dictionary_info` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '其他史', '3', '1', '20', '标签归属');
INSERT INTO `icss_dictionary_info` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '查体', '4', '1', '30', '标签归属');
INSERT INTO `icss_dictionary_info` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '化验', '5', '1', '40', '标签归属');
INSERT INTO `icss_dictionary_info` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '辅检', '6', '1', '50', '标签归属');
INSERT INTO `icss_dictionary_info` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '诊断', '7', '1', '60', '标签归属');
INSERT INTO `icss_dictionary_info` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '药品', '8', '1', '70', '标签归属');
INSERT INTO `icss_dictionary_info` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '药品分类', '9', '1', '80', '标签归属');
INSERT INTO `icss_dictionary_info` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '多列（如：杂音）', '2', '1', '10', '添加组合标签-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '横铺统一（如：血压）', '3', '1', '20', '添加组合标签-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '横铺展开（如：咳嗽）', '4', '1', '30', '添加组合标签-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '下拉输入（如：有无治疗）', '5', '1', '40', '添加组合标签-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '组合项（如：既往史）', '6', '1', '50', '添加组合标签-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '化验（如：血常规）', '7', '1', '60', '添加组合标签-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '空标签（如：辅检|诊断|药品|药品分类）', '9', '1', '70', '添加组合标签-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('16', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '推送(如：添加症状)', '11', '1', '80', '添加组合标签-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('18', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '多列（如：杂音）', '2', '1', '10', '组合标签分页过滤-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('19', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '横铺统一（如：血压）', '3', '1', '20', '组合标签分页过滤-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('20', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '横铺展开（如：咳嗽）', '4', '1', '30', '组合标签分页过滤-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('21', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '下拉输入（如：有无治疗）', '5', '1', '40', '组合标签分页过滤-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('22', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '组合项（如：既往史）', '6', '1', '50', '组合标签分页过滤-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('23', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '化验（如：血常规）', '7', '1', '60', '组合标签分页过滤-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('24', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '空标签（如：辅检|诊断|药品|药品分类）', '9', '1', '70', '组合标签分页过滤-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('26', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '主诉模板', '1', '1', '10', '模板类型归属');
INSERT INTO `icss_dictionary_info` VALUES ('27', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '现病史模板', '2', '1', '20', '模板类型归属');
INSERT INTO `icss_dictionary_info` VALUES ('28', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '现病史空模板', '3', '1', '30', '模板类型归属');
INSERT INTO `icss_dictionary_info` VALUES ('29', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '其他史模板', '4', '1', '40', '模板类型归属');
INSERT INTO `icss_dictionary_info` VALUES ('30', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '嵌套模板', '5', '1', '50', '模板类型归属');
INSERT INTO `icss_dictionary_info` VALUES ('31', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '慢病模板', '6', '1', '60', '模板类型归属');
INSERT INTO `icss_dictionary_info` VALUES ('32', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '推送(如：添加症状)', '11', '1', '80', '组合标签分页过滤-填写单类型');

-- ----------------------------
-- Table structure for icss_disclaimer_information
-- ----------------------------
DROP TABLE IF EXISTS `icss_disclaimer_information`;
CREATE TABLE `icss_disclaimer_information` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `version_id` bigint(30) DEFAULT NULL COMMENT '主表id',
  `title` varchar(200) DEFAULT NULL COMMENT '标题',
  `description` text COMMENT '描述',
  `order_no` varchar(5) DEFAULT NULL COMMENT '排序号',
  `status` varchar(5) DEFAULT NULL COMMENT '1：启动，0：不启用',
  `disclaimer_code` varchar(20) DEFAULT NULL COMMENT '免责申明编号',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COMMENT='免责申明详情';

-- ----------------------------
-- Records of icss_disclaimer_information
-- ----------------------------
INSERT INTO `icss_disclaimer_information` VALUES ('1', 'N', '1970-01-01 12:00:00', '2018-12-12 09:56:23', '0', '1', '0', '诊断免责信息', '以上诊断依据根据诊疗指南以及专家临床经验整理，实际以医生临床判断为准', '1', '1', 'MZ-001', null);
INSERT INTO `icss_disclaimer_information` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '5', '0', '推送免责信息', '以上推送为常见诊断及问诊内容，实际以医生临床判断为准', '2', '1', 'MZ-002', null);
INSERT INTO `icss_disclaimer_information` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '5', '0', '免责申明', '尊敬的用户，欢迎您使用朗通智能辅助诊疗决策系统,使用此内容应接受免责声明!<br/>\r\n一、服务内容<br/>\r\n朗通智能辅助诊疗决策系统遵循询证医学方法论，将临床诊疗指南等医学知识进行分析、归纳、建模，构建成一个庞大<br/>\r\n而有序的临床医学知识库，根据患者提供问诊信息，通过智能推理引擎，实现快速、准确的智能综合分析与判断，在医<br/>\r\n生诊疗过程中的每一个节点提供智能支持和辅助，为医生提供规范、全面的智能问诊策略、鉴别检查策略、参考诊断策<br/>\r\n略以及治疗的临床路径，并自动推送结构化门诊电子病历，帮助医生为患者提供快速、高效、准确的医疗服务。<br/>\r\n<br/>\r\n二、患者信息<br/>\r\n朗通医疗将根据国家法律法规和行业标准严格对患者信息保密，未经您的同意我们不会将患者信息及与朗通智能辅助诊<br/>\r\n疗决策系统进行数据交互的非公开内容提供给第三方（公司或个人），但以下情况除外：<br/>\r\n1、相关法律法规或监管机构、司法机构要求提供用户的个人资料；<br/>\r\n2、国家司法机关符合法律规定并经法定程序的检查及其他操作；<br/>\r\n3、任何第三方盗用、冒用或未经许可擅自披露、使用或对外公开的情况。<br/>\r\n<br/>\r\n三、数据准确性<br/>\r\n朗通智能辅助诊疗决策系统提供的信息基于准确的患者数据，采集更详细和准确的患者病史信息有助于让朗通智能辅助<br/>\r\n诊疗决策系统更好的为您提供帮助。朗通智能辅助诊疗决策系统充分尊重医生在诊疗中的决定权，所提供的一切信息仅<br/>\r\n供医生在诊疗过程中参考使用，所有决定权属于医生。\r\n<br/>\r\n<br/>\r\n四、知识产权声明<br/>\r\n本系统所有内容均系杭州朗通信息技术有限公司（下称：杭州朗通）版权所有，或已得到相关权利方的有效授权。<br/>\r\n未经杭州朗通事先书面授权，任何单位及个人不得以任何方式或理由对上述内容的任何部分进行使用、转载、复制、修<br/>\r\n改、抄录、传播或与其他产品捆绑使用、销售。<br/>\r\n杭州朗通一贯尊重和保护知识产权，如果您发现本系统内容侵犯了您的版权，请发送电子邮件至pub@zjlantone.com， <br/>\r\n杭州朗通将及时、妥善进行处理。\r\n\r\n', '3', '1', 'MZ-003', null);

-- ----------------------------
-- Table structure for icss_doctor_page_mode
-- ----------------------------
DROP TABLE IF EXISTS `icss_doctor_page_mode`;
CREATE TABLE `icss_doctor_page_mode` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `doctor_id` bigint(20) DEFAULT NULL COMMENT '医生id',
  `mode_classify` int(11) DEFAULT NULL COMMENT '模式分类',
  `mode_value` int(10) DEFAULT NULL COMMENT '模式值',
  `remark` varchar(100) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8 COMMENT='医生页面结构模式';

-- ----------------------------
-- Records of icss_doctor_page_mode
-- ----------------------------
INSERT INTO `icss_doctor_page_mode` VALUES ('9', 'N', '2018-12-13 15:02:03', '2019-01-08 15:50:56', '1', '1', '1', '0', '0', null);
INSERT INTO `icss_doctor_page_mode` VALUES ('10', 'N', '2018-12-13 15:02:33', '1970-01-01 12:00:00', '2', '0', '2', '0', '0', null);

-- ----------------------------
-- Table structure for icss_inquiry_detail
-- ----------------------------
DROP TABLE IF EXISTS `icss_inquiry_detail`;
CREATE TABLE `icss_inquiry_detail` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `inquiry_id` bigint(20) DEFAULT NULL COMMENT '问诊记录id',
  `type` int(1) DEFAULT NULL COMMENT '类型（1:主诉，2现病史，3其他史，4查体，5化验，6辅检，7诊断，8医嘱）',
  `content` text COMMENT '内容字符串',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1929 DEFAULT CHARSET=utf8 COMMENT='问诊记录明细表';

-- ----------------------------
-- Records of icss_inquiry_detail
-- ----------------------------
INSERT INTO `icss_inquiry_detail` VALUES ('369', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '1', ',前右,,咳嗽 ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('370', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '2', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('371', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '3', ',,2,年,未经治疗,,,,', null);
INSERT INTO `icss_inquiry_detail` VALUES ('372', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '4', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('373', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '5', '-', null);
INSERT INTO `icss_inquiry_detail` VALUES ('374', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '6', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('375', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '7', '支气管哮喘(初诊); ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('376', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '8', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('537', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '1', 'sdsads', null);
INSERT INTO `icss_inquiry_detail` VALUES ('538', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '2', '患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\n\n', null);
INSERT INTO `icss_inquiry_detail` VALUES ('539', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '3', '患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\n\n', null);
INSERT INTO `icss_inquiry_detail` VALUES ('540', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '4', ',,,2,,血压：左上肢,123,236mmHg,,血压：右上肢,123,236mmHg', null);
INSERT INTO `icss_inquiry_detail` VALUES ('541', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '5', '血常规,红细胞计数,1 L;血常规,白细胞计数,1 10^12/L;血常规,隐血,阴性 ;白细胞计数,白细胞计数,3 10^12/L;-血常规,红细胞,20 mg/L升高1.25;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;', null);
INSERT INTO `icss_inquiry_detail` VALUES ('542', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '6', '胸部CT,54544萨达所大所多,报告日期,2018-12-20;', null);
INSERT INTO `icss_inquiry_detail` VALUES ('543', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '7', '支气管哮喘(复诊); 肺部感染(复诊); ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('544', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '8', '血常规; C反映蛋白; C反映蛋白; C反映蛋白; 胸部CT; 心肌酶谱; 多索茶碱; 二羟丙茶碱; 左氧氟沙星; ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('721', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '14', '1', '[\"sdsadsa\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('722', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '14', '2', '[\"dads\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('723', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '14', '3', '[\"dadasdasda\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('724', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '14', '4', '[null,\"5\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('725', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '14', '5', '血常规,红细胞计数,89 L;-', null);
INSERT INTO `icss_inquiry_detail` VALUES ('726', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '14', '6', '腹部B超,4556,报告日期,2018-12-24;', null);
INSERT INTO `icss_inquiry_detail` VALUES ('727', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '14', '7', '心脏病(初诊); ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('728', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '14', '8', '多索茶碱; 左氧氟沙星; ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1025', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '1', '[null,null,null,\"咳嗽 \",null,null,null,\"25,undefined\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1026', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '2', '[]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1027', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '3', '[\"\",\"有高血压病史\",\"2\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"undefinedundefined\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1028', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '4', '[null,null,null,\"4\",null,\"血压：左上肢,1,undefinedmmHg\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1029', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '5', '空腹血糖,空腹血糖,90 mmol/L升高4.74;血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;-血常规,红细胞计数,2 L;血常规,隐血,阳性 ;', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1030', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '6', '腹部B超,wwee,报告日期,2018-12-26;腹部B超,sadasdad,报告日期,2018-12-26;', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1031', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '7', '慢性胃炎(初诊); 心脏病(初诊); ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1032', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '8', '电解质测定; 心脏超声检查; ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1057', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '1', '[null,\"上左\",null,\"咳嗽 \",null,null,null,\"16,小时\",null,null,null,null,\"145,undefined\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1058', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '2', '[\"患者\",\"\",\"前\",\"\",\"出现\",\"\",\"\",\"咳嗽 \",\"\",\"\",\"咳出费力\",\"咳痰 \",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"遂来就诊\",\"，\",\"自病以来\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1059', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '3', '[\"\",\"有高血压病史\",\"2\",\"\",\"月\",\"\",\"未经正规治疗\",\"\",\"病情控制尚可\",\"\",\"undefinedundefined\",\"\",\"既往史无殊\",\"\",\"有“青霉素”过敏\",\"\",\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\",\"\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1060', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '4', '[]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1061', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '5', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1062', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '6', '腹部B超,撒大声\n第三代,报告日期,2018-12-26;', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1063', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '7', '心脏病(初诊); ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1064', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '8', '多索茶碱; ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1105', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '18', '1', '[null,null,null,\"咳嗽 \"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1106', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '18', '2', '[\"患者\",\"\",\"前\",\"\",\"出现\",\"\",\"\",\"咳嗽 \",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"遂来就诊\",\"，\",\"自病以来\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1107', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '18', '3', '[\"\",\"有高血压病史\",\"2\",\"\",\"月\",\"\",\"未经正规治疗\",\"\",\"病情控制尚可\",\"\",\"undefinedundefined\",\"\",\"既往史无殊\",\"\",\"有“青霉素”过敏\",\"\",\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\",\"\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1108', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '18', '4', '[null,null,null,\"体温：2℃\",null,\"血压：右上肢,1,mmHg\",null,\"血压：左上肢,,mmHg\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1109', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '18', '5', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1110', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '18', '6', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1111', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '18', '7', '支气管哮喘(初诊); ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1112', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '18', '8', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1121', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '1', '[\"\",\"反复\",\"\",\"咳嗽\",\"\",\"伴\",\"咳痰\",\"\",\"，\",\"2天\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1122', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '2', '[\"患者\",\"2天\",\"前\",\"\",\"出现\",\"反复\",\"\",\"咳嗽\",\"\",\"\",\"\",\"伴\",\"咳痰\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"遂来就诊\",\"，\",\"自病以来\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1123', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '3', '[\"\",\"有高血压病史\",\"2\",\"\",\"月\",\"\",\"未经正规治疗\",\"\",\"病情控制尚可\",\"\",\"undefinedundefined\",\"\",\"既往史无殊\",\"\",\"有“青霉素”过敏\",\"\",\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\",\"\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1124', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '4', '[null,\"肺动脉瓣区，可闻及，4/6，舒张期，吹风样，\",null,\"体温：36℃\",null,\"血压：左上肢,90,120mmHg\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1125', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '5', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1126', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '6', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1127', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '7', '支气管哮喘(初诊); ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1128', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '8', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1145', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', '1', '[\"\",\"上前中\",\"\",\"咽喉痛\",\"\",\"\",\"，\",\"2,天\",\"，\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1146', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', '2', '[\"患者\",\"2天\",\"前\",\"\",\"出现\",\"上前中\",\"\",\"咽喉痛\",\"\",\"\",\"\",\"\",\"\",\"遂来就诊\",\"，\",\"自病以来\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1147', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', '3', '[\"\",\"有高血压病史\",\"2\",\"\",\"月\",\"\",\"未经正规治疗\",\"\",\"病情控制尚可\",\"\",\"undefinedundefined\",\"\",\"既往史无殊\",\"\",\"有“青霉素”过敏\",\"\",\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\",\"\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1148', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', '4', '[\"dewrerw\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1149', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', '5', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1150', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', '6', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1151', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', '7', '支气管哮喘(初诊); ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1152', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', '8', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1153', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '1', '[\"\",\"反复\",\"\",\"咳嗽\",\"\",\"\",\"，\",\"\",\"，\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1154', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '2', '[\"患者\",\"\",\"前\",\"\",\"出现\",\"反复\",\"\",\"咳嗽\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"遂来就诊\",\"，\",\"自病以来\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1155', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '3', '[\"\",\"有高血压病史\",\"2\",\"\",\"月\",\"\",\"未经正规治疗\",\"\",\"病情控制尚可\",\"\",\"undefinedundefined\",\"\",\"既往史无殊\",\"\",\"有“青霉素”过敏\",\"\",\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\",\"\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1156', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '4', '[]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1157', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '5', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1158', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '6', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1159', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '7', '支气管哮喘(初诊); ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1160', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '8', null, null);
INSERT INTO `icss_inquiry_detail` VALUES ('1161', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '1', '[null,null,null,\"咳嗽 \"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1162', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '2', '[\"患者\",\"\",\"前\",\"\",\"出现\",\"\",\"\",\"咳嗽 \",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"遂来就诊\",\"，\",\"自病以来\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1163', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '3', '[\"\",\"有高血压病史\",\"2\",\"\",\"月\",\"\",\"未经正规治疗\",\"\",\"病情控制尚可\",\"\",\"undefinedundefined\",\"\",\"既往史无殊\",\"\",\"有“青霉素”过敏\",\"\",\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\",\"\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1164', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '4', '[]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1165', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '5', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1166', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '6', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1167', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '7', '支气管哮喘(初诊); ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1168', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '8', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1169', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '22', '1', '[\"\",\"\",\"\",\"咳嗽\",\"\",\"\",\"，\",\"\",\"，\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1170', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '22', '2', '[\"患者\",\"\",\"前\",\"\",\"出现\",\"\",\"\",\"咳嗽\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"遂来就诊\",\"，\",\"自病以来\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1171', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '22', '3', '[\"\",\"有高血压病史\",\"2\",\"\",\"月\",\"\",\"未经正规治疗\",\"\",\"病情控制尚可\",\"\",\"undefinedundefined\",\"\",\"既往史无殊\",\"\",\"有“青霉素”过敏\",\"\",\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\",\"\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1172', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '22', '4', '[]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1173', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '22', '5', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1174', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '22', '6', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1175', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '22', '7', '支气管哮喘(初诊); ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1176', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '22', '8', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1185', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '23', '1', '[\"患者出现发热2天，未参与治疗\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1186', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '23', '2', '[\"患者\",\"\",\"前\",\"无明显诱因下\",\"\",\"\",\"出现\",\"发热 \",\"\",\"\",\"\",\"\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1187', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '23', '3', '[\"\",\"有高血压病史\",\"2\",\"\",\"月\",\"\",\"未经正规治疗\",\"\",\"病情控制尚可\",\"\",\"undefinedundefined\",\"\",\"既往史无殊\",\"\",\"有“青霉素”过敏\",\"\",\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\",\"\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1188', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '23', '4', '[null,\"主动脉瓣区，未闻及，3/6，全期，机器样，\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1189', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '23', '5', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1190', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '23', '6', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1191', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '23', '7', '呼吸道感染(初诊); ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1192', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '23', '8', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1209', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24', '1', '[\"手动输入主诉的回读情况\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1210', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24', '2', '[\"患者\",\"\",\"前\",\"无明显诱因下\",\"\",\"\",\"出现\",\"伴\",\"发热 \",\"\",\"\",\"\",\"\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1211', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24', '3', '[\"\",\"有高血压病史\",\"2\",\"\",\"月\",\"\",\"未经正规治疗\",\"\",\"病情控制尚可\",\"\",\"undefinedundefined\",\"\",\"既往史无殊\",\"\",\"有“青霉素”过敏\",\"\",\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\",\"\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1212', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24', '4', '[]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1213', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24', '5', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1214', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24', '6', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1215', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24', '7', '扁桃体炎(初诊); ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1216', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24', '8', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1297', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25', '1', '[\"\",\"\",\"\",\"咳嗽\",\"\",\"\",\"，\",\"\",\"，\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1298', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25', '2', '[]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1299', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25', '3', '[\"\",\"有高血压病史\",\"2\",\"\",\"月\",\"\",\"未经正规治疗\",\"\",\"病情控制尚可\",\"\",\"undefinedundefined\",\"\",\"既往史无殊\",\"\",\"有“青霉素”过敏\",\"\",\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\",\"\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1300', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25', '4', '[]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1301', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25', '5', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1302', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25', '6', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1303', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25', '7', '支气管哮喘(初诊); ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1304', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25', '8', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1321', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '26', '1', '[\"\",\"\",\"\",\"咳嗽\",\"\",\"\",\"，\",\"2,天\",\"，\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1322', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '26', '2', '[\"患者\",\"2天\",\"前\",\"\",\"出现\",\"\",\"\",\"咳嗽\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"遂来就诊\",\"，\",\"自病以来\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1323', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '26', '3', '[\"\",\"有高血压病史\",\"2\",\"\",\"月\",\"\",\"未经正规治疗\",\"\",\"病情控制尚可\",\"\",\"undefinedundefined\",\"\",\"既往史无殊\",\"\",\"有“青霉素”过敏\",\"\",\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\",\"\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1324', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '26', '4', '[null,\"心尖区，可闻及，2/6，舒张期，隆隆样，\",null,\"体温：37.5℃\",null,\"血压：左上肢,,mmHg\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1325', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '26', '5', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1326', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '26', '6', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1327', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '26', '7', '冠心病(初诊); ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1328', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '26', '8', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1337', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '27', '1', '[\"\",\"反复\",\"\",\"咳嗽\",\"\",\"伴\",\"咽喉痛\",\"\",\"，\",\"2天\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1338', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '27', '2', '[\"患者\",\"2天\",\"前\",\"无明显诱因下\",\"出现\",\"反复\",\"\",\"咳嗽\",\"程度较重\",\"\",\"咳出费力\",\"伴\",\"咽喉痛\",\"伴\",\"发热 \",\"最高温度度\",\"\",\"\",\"\",\"\",\"\",\"\",\"遂来就诊\",\"，\",\"自病以来\",\"精神佳\",\"，\",\"意识模糊\",\"，\",\"食欲欠佳\",\"，\",\"睡眠质量欠佳\",\"，\",\"黑便\",\"，\",\"体重减轻\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1339', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '27', '3', '[\"\",\"有高血压病史\",\"2\",\"\",\"月\",\"\",\"未经正规治疗\",\"\",\"病情控制尚可\",\"\",\"undefinedundefined\",\"\",\"既往史无殊\",\"\",\"有“青霉素”过敏\",\"\",\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\",\"\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1340', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '27', '4', '[\"查体科室信息不存在\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1341', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '27', '5', '血常规,红细胞计数,9 L;血常规,隐血,阴性 ;-', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1342', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '27', '6', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1343', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '27', '7', '消化道出血(初诊); ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1344', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '27', '8', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1345', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '28', '1', '[\"发热\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1346', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '28', '2', '[null]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1347', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '28', '3', '[]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1348', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '28', '4', '[]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1349', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '28', '5', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1350', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '28', '6', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1351', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '28', '7', '心脏病(复诊); 慢性胃炎(初诊); ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1352', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '28', '8', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1361', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '1', '[\"患者出现发烧39度\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1362', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '2', '[\"病程和主诉一样的\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1363', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '3', '[\"无\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1364', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '4', '[null,\"体温：25℃\",null,\"血压：左上肢,12,mmHg\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1365', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '5', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1366', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '6', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1367', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '7', '帕金森病(初诊); ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1368', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '8', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1433', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '30', '1', '[\"\",\"\",\"\",\"咳嗽\",\"伴\",\"发热\",\"\",\"，\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1434', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '30', '2', '[\"患者\",\"3,天\",\"前\",\"因淋雨后\",\"出现\",\"\",\"\",\"咳嗽\",\"\",\"\",\"\",\"伴\",\"发热\",\"最高温度度\",\"\",\"\",\"\",\"\",\"\",\"\",\"遂来就诊\",\"，\",\"自病以来\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1435', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '30', '3', '[]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1436', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '30', '4', '[]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1437', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '30', '5', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1438', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '30', '6', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1439', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '30', '7', '肺部感染(初诊); ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1440', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '30', '8', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1577', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '32', '1', '[\"\",\"前反复\",\"咳嗽\",\"\",\"，\",\"\",\"，\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1578', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '32', '2', '[\"患者\",\"\",\"前\",\"\",\"出现\",\"\",\"\",\"咳嗽\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"遂来就诊\",\"，\",\"自病以来\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1579', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '32', '3', '[\"\",\"有高血压病史\",\"2\",\"\",\"月\",\"\",\"未经正规治疗\",\"\",\"病情控制尚可\",\"\",\"undefinedundefined\",\"\",\"既往史无殊\",\"\",\"有“青霉素”过敏\",\"\",\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\",\"\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1580', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '32', '4', '[]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1581', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '32', '5', '血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1582', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '32', '6', '腹部B超,萨达\n阿打算是,报告日期,2019-01-07;', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1583', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '32', '7', '心脏病(初诊); ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1584', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '32', '8', '电解质测定', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1585', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '33', '1', '[\"\",\"\",\"咳嗽\",\"\",\"，\",\"\",\"，\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1586', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '33', '2', '[\"患者\",\"\",\"前\",\"\",\"出现\",\"\",\"\",\"咳嗽\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"遂来就诊\",\"，\",\"自病以来\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1587', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '33', '3', '[\"\",\"有高血压病史\",\"2\",\"\",\"月\",\"\",\"未经正规治疗\",\"\",\"病情控制尚可\",\"\",\"undefinedundefined\",\"\",\"既往史无殊\",\"\",\"有“青霉素”过敏\",\"\",\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\",\"\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1588', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '33', '4', '[null,null,null,\"体温：37℃\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1589', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '33', '5', '血液,WBC,20 mg/L升高4.00;血液,RBC,80 mg/L升高5.00;血液,HGB,15 g/L正常;血液,血色,黑色 异常;空腹血糖,空腹血糖,5 mmol/L正常;血常规,红细胞计数,1 10^12/L降低0.25;血常规,白细胞计数,15 10^9/L升高1.50;血常规,红细胞压积,1 %降低0.03;血常规,平均红细胞体积,1 FL降低0.01;血常规,红细胞分布宽度,80 %升高5.00;血常规,血红蛋白,1 g/L降低0.01;血常规,血红蛋白平均含量,1 pg降低0.04;血常规,血红蛋白平均浓度,1 g/L降低0.00;血常规,单核细胞计数,1 10^9/L异常;血常规,单核细胞百分比,1 %降低0.33;血常规,中性粒细胞计数,1 10^9/L降低0.50;血常规,中性粒细胞百分比,1 %降低0.02;血常规,嗜酸性粒细胞计数,1 10^9/L升高Infinity;血常规,嗜酸性粒细胞百分比,1 %正常;血常规,嗜碱性粒细胞计数,1 10^9/L升高Infinity;血常规,嗜碱性粒细胞百分比,1 %正常;血常规,淋巴细胞计数,1 10^9/L正常;血常规,淋巴细胞百分比,1 %降低0.06;血常规,血小板计数,1 10^9/L降低0.01;血常规,血小板体积分布宽度,1 %降低0.10;血常规,血小板平均体积,1 fl降低0.14;血常规,大型血小板比例,1 %降低0.10;血常规,血小板压积,1 %升高Infinity;血酮,血酮,10 mg/L升高5.00;', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1590', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '33', '6', '腹部B超,2322342323232,报告日期,2019-01-07;', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1591', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '33', '7', '心脏病(初诊); ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1592', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '33', '8', '二羟丙茶碱', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1593', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '1', '[\"\",\"\",\"\",\"咳嗽\",\"\",\"，\",\"\",\"，\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1594', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '2', '[\"患者\",\"\",\"前\",\"\",\"出现\",\"\",\"\",\"咳嗽\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"遂来就诊\",\"，\",\"自病以来\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1595', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '3', '[\"\",\"有高血压病史\",\"2\",\"\",\"月\",\"\",\"未经正规治疗\",\"\",\"病情控制尚可\",\"\",\"undefinedundefined\",\"\",\"既往史无殊\",\"\",\"有“青霉素”过敏\",\"\",\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\",\"\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1596', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '4', '[]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1597', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '5', '血常规,红细胞计数,1212 L;血常规,白细胞计数,12 10^12/L;血常规,隐血,阴性 ;', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1598', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '6', '腹部B超,12312312,报告日期,2019-01-07;', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1599', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '7', '慢性咽炎(初诊); ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1600', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '8', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1681', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '34', '1', '[\"咳嗽\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1682', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '34', '2', '[]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1683', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '34', '3', '[]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1684', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '34', '4', '[]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1685', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '34', '5', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1686', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '34', '6', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1687', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '34', '7', '支气管哮喘(初诊); ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1688', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '34', '8', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1705', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '35', '1', '[\"咳嗽\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1706', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '35', '2', '[]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1707', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '35', '3', '[]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1708', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '35', '4', '[]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1709', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '35', '5', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1710', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '35', '6', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1711', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '35', '7', '心脏病(初诊); ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1712', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '35', '8', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1777', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '36', '1', '[\"\",\"\",\"咳嗽\",\"\",\"，\",\"\",\"，\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1778', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '36', '2', '[\"患者\",\"\",\"前\",\"\",\"出现\",\"咳嗽\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"遂来就诊\",\"，\",\"自病以来\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1779', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '36', '3', '[\"\",\"有高血压病史\",\"2\",\"\",\"月\",\"\",\"未经正规治疗\",\"\",\"病情控制尚可\",\"\",\"undefinedundefined\",\"\",\"既往史无殊\",\"\",\"有“青霉素”过敏\",\"\",\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\",\"\",\"月经史无殊\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1780', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '36', '4', '[]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1781', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '36', '5', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1782', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '36', '6', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1783', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '36', '7', '支气管哮喘(初诊); ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1784', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '36', '8', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1825', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '1', '[\"\",\"前反复\",\"咳嗽\",\"\",\"，\",\"\",\"，\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1826', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '2', '[\"患者\",\"1,天\",\"前\",\"\",\"出现\",\"\",\"\",\"咳嗽\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"遂来就诊\",\"，\",\"自病以来\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1827', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '3', '[\"\",\"有高血压病史\",\"2\",\"\",\"月\",\"\",\"未经正规治疗\",\"\",\"病情控制尚可\",\"\",\"undefinedundefined\",\"\",\"既往史无殊\",\"\",\"有“青霉素”过敏\",\"\",\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\",\"\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1828', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '4', '[null,null,\"dd\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1829', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '5', '血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1830', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '6', '腹部B超,萨达\n\n阿打算是,报告日期,2019-01-07;', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1831', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '7', '心脏病(初诊); ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1832', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '8', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1833', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '37', '1', '[\"\",\"\",\"咳嗽\",\"伴\",\"咳痰\",\"\",\"，\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1834', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '37', '2', '[\"患者\",\"\",\"前\",\"\",\"出现\",\"咳嗽\",\"\",\"\",\"\",\"伴\",\"咳痰\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"遂来就诊\",\"，\",\"自病以来\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"发热\",\"最高温度36度\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1835', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '37', '3', '[\"\",\"有高血压病史\",\"2\",\"\",\"月\",\"\",\"未经正规治疗\",\"\",\"病情控制尚可\",\"\",\"\",\"\",\"既往史无殊\",\"\",\"有“青霉素”过敏\",\"\",\"有饮酒习惯\",\"\",\"月经史无殊\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1836', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '37', '4', '[]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1837', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '37', '5', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1838', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '37', '6', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1839', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '37', '7', '支气管哮喘(初诊); ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1840', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '37', '8', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1865', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '39', '1', '[\"\",\"\",\"\",\"咳嗽\",\"伴\",\"发热\",\"\",\"，\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1866', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '39', '2', '[\"患者\",\"3,天\",\"前\",\"因淋雨后\",\"出现\",\"\",\"\",\"咳嗽\",\"\",\"\",\"\",\"伴\",\"发热\",\"最高温度度\",\"\",\"\",\"\",\"\",\"\",\"\",\"遂来就诊\",\"，\",\"自病以来\",\"精神佳\",\"，\",\"意识模糊\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1867', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '39', '3', '[]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1868', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '39', '4', '[]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1869', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '39', '5', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1870', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '39', '6', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1871', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '39', '7', '肺部感染(初诊); ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1872', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '39', '8', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1881', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '1', '[\"\",\"前反复\",\"咳嗽\",\"\",\"，\",\"\",\"，\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1882', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '2', '[\"患者\",\"1,天\",\"前\",\"\",\"出现\",\"\",\"\",\"咳嗽\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"遂来就诊\",\"，\",\"自病以来\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1883', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '3', '[\"\",\"有高血压病史\",\"2\",\"\",\"月\",\"\",\"未经正规治疗\",\"\",\"病情控制尚可\",\"\",\"undefinedundefined\",\"\",\"既往史无殊\",\"\",\"有“青霉素”过敏\",\"\",\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\",\"\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1884', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '4', '[null,null,\"dd\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1885', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '5', '血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1886', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '6', '腹部B超,萨达sssssss是三生三世所所所所所所所所所所所所所\n\n阿打算是,报告日期,2019-01-07;', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1887', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '7', '心脏病(初诊); ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1888', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '8', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1889', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40', '1', '[\"\",\"\",\"\",\"咳嗽\",\"伴\",\"发热\",\"\",\"，\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1890', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40', '2', '[\"患者\",\"3,天\",\"前\",\"因淋雨后\",\"出现\",\"\",\"\",\"咳嗽\",\"\",\"\",\"\",\"伴\",\"发热\",\"最高温度度\",\"\",\"\",\"\",\"\",\"\",\"\",\"遂来就诊\",\"，\",\"自病以来\",\"精神佳\",\"，\",\"意识模糊\",\"，\",\"食欲欠佳\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1891', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40', '3', '[]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1892', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40', '4', '[]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1893', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40', '5', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1894', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40', '6', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1895', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40', '7', '肺部感染(初诊); ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1896', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40', '8', null, null);
INSERT INTO `icss_inquiry_detail` VALUES ('1897', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '38', '1', '[\"\",\"\",\"\",\"咳嗽\",\"伴\",\"发热\",\"\",\"，\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1898', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '38', '2', '[\"患者\",\"3,天\",\"前\",\"因淋雨后\",\"出现\",\"\",\"\",\"咳嗽\",\"\",\"\",\"\",\"伴\",\"发热\",\"最高温度度\",\"\",\"\",\"\",\"\",\"\",\"\",\"遂来就诊\",\"，\",\"自病以来\",\"精神佳\",\"，\",\"意识模糊\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1899', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '38', '3', '[]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1900', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '38', '4', '[null,\"血压：,1,（收缩压）mmHg\",null,\"体温：2146℃\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1901', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '38', '5', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1902', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '38', '6', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1903', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '38', '7', '肺部感染(初诊); ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1904', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '38', '8', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1905', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '41', '1', '[\"\",\"\",\"咳嗽\",\"\",\"，\",\"\",\"，\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1906', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '41', '2', '[\"患者\",\"\",\"前\",\"\",\"出现\",\"咳嗽\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"遂来就诊\",\"，\",\"自病以来\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1907', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '41', '3', '[\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1908', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '41', '4', '[]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1909', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '41', '5', '血液,WBC,20 mg/L升高4.00;血液,RBC,80 mg/L升高5.00;血液,HGB,15 g/L正常;血液,血色,黑色 异常;空腹血糖,空腹血糖,5 mmol/L正常;血常规,红细胞计数,1 10^12/L降低0.25;血常规,白细胞计数,15 10^9/L升高1.50;血常规,红细胞压积,1 %降低0.03;血常规,平均红细胞体积,1 FL降低0.01;血常规,红细胞分布宽度,80 %升高5.00;血常规,血红蛋白,1 g/L降低0.01;血常规,血红蛋白平均含量,1 pg降低0.04;血常规,血红蛋白平均浓度,1 g/L降低0.00;血常规,单核细胞计数,1 10^9/L异常;血常规,单核细胞百分比,1 %降低0.33;血常规,中性粒细胞计数,1 10^9/L降低0.50;血常规,中性粒细胞百分比,1 %降低0.02;血常规,嗜酸性粒细胞计数,1 10^9/L升高Infinity;血常规,嗜酸性粒细胞百分比,1 %正常;血常规,嗜碱性粒细胞计数,1 10^9/L升高Infinity;血常规,嗜碱性粒细胞百分比,1 %正常;血常规,淋巴细胞计数,1 10^9/L正常;血常规,淋巴细胞百分比,1 %降低0.06;血常规,血小板计数,1 10^9/L降低0.01;血常规,血小板体积分布宽度,1 %降低0.10;血常规,血小板平均体积,1 fl降低0.14;血常规,大型血小板比例,1 %降低0.10;血常规,血小板压积,1 %升高Infinity;血酮,血酮,10 mg/L升高5.00;', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1910', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '41', '6', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1911', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '41', '7', '心脏病(初诊); ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1912', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '41', '8', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1921', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '42', '1', '[\"\",\"\",\"咳嗽\",\"\",\"，\",\"\",\"，\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1922', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '42', '2', '[\"患者\",\"\",\"前\",\"\",\"出现\",\"咳嗽\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"遂来就诊\",\"，\",\"自病以来\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1923', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '42', '3', '[\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\"]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1924', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '42', '4', '[]', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1925', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '42', '5', '血液,WBC,20 mg/L升高4.00;血液,RBC,80 mg/L升高5.00;血液,HGB,15 g/L正常;血液,血色,黑色 异常;空腹血糖,空腹血糖,5 mmol/L正常;血常规,红细胞计数,1 10^12/L降低0.25;血常规,白细胞计数,15 10^9/L升高1.50;血常规,红细胞压积,1 %降低0.03;血常规,平均红细胞体积,1 FL降低0.01;血常规,红细胞分布宽度,80 %升高5.00;血常规,血红蛋白,1 g/L降低0.01;血常规,血红蛋白平均含量,1 pg降低0.04;血常规,血红蛋白平均浓度,1 g/L降低0.00;血常规,单核细胞计数,1 10^9/L异常;血常规,单核细胞百分比,1 %降低0.33;血常规,中性粒细胞计数,1 10^9/L降低0.50;血常规,中性粒细胞百分比,1 %降低0.02;血常规,嗜酸性粒细胞计数,1 10^9/L升高Infinity;血常规,嗜酸性粒细胞百分比,1 %正常;血常规,嗜碱性粒细胞计数,1 10^9/L升高Infinity;血常规,嗜碱性粒细胞百分比,1 %正常;血常规,淋巴细胞计数,1 10^9/L正常;血常规,淋巴细胞百分比,1 %降低0.06;血常规,血小板计数,1 10^9/L降低0.01;血常规,血小板体积分布宽度,1 %降低0.10;血常规,血小板平均体积,1 fl降低0.14;血常规,大型血小板比例,1 %降低0.10;血常规,血小板压积,1 %升高Infinity;血酮,血酮,10 mg/L升高5.00;', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1926', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '42', '6', '', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1927', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '42', '7', '心脏病(初诊); 支气管哮喘(复诊); ', null);
INSERT INTO `icss_inquiry_detail` VALUES ('1928', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '42', '8', '', null);

-- ----------------------------
-- Table structure for icss_inquiry_info
-- ----------------------------
DROP TABLE IF EXISTS `icss_inquiry_info`;
CREATE TABLE `icss_inquiry_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_id` bigint(20) DEFAULT NULL COMMENT '医院id',
  `hospital_dept_id` bigint(20) DEFAULT NULL COMMENT '科室id',
  `doctor_id` bigint(20) DEFAULT NULL COMMENT '医生id',
  `patient_id` bigint(20) DEFAULT NULL COMMENT '患者id',
  `inquiry_code` varchar(50) NOT NULL COMMENT '就诊序列号',
  `reg_visited_state` int(1) DEFAULT NULL COMMENT '就诊状态（0待接诊，1接诊中，2完成接诊）',
  `type` int(1) DEFAULT NULL COMMENT '分类(1:门诊,2:住院)',
  `diagnose` varchar(50) DEFAULT NULL COMMENT '诊断',
  `sign` int(1) DEFAULT NULL COMMENT '类型：0：结构化 1：文本模式',
  `data_json` longtext COMMENT '内容JSON字符串',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=43 DEFAULT CHARSET=utf8 COMMENT='问诊记录表';

-- ----------------------------
-- Records of icss_inquiry_info
-- ----------------------------
INSERT INTO `icss_inquiry_info` VALUES ('10', 'N', '2018-12-20 10:33:10', '2019-01-08 11:33:11', '0', '0', '1', '1', '1', '1', '44', '1', '1', '心脏病', '0', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]},{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"value\":\"前反复\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"天\"}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"有高血压病史\"},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"value\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"value\":\"dd\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2019-01-07\",\"value\":\"萨达sssssss是三生三世所所所所所所所所所所所所所\\n\\n阿打算是\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"assay\":\"电解质测定\",\"check\":\"\"},\"mainSuitSelecteds\":{\"1\":{\"exists\":[{\"id\":14,\"name\":\"前\",\"listIndex\":\"10\"},{\"id\":6,\"name\":\"反复\",\"listIndex\":\"30\"}],\"existsName\":\"前反复\",\"ikey\":\"1\"}},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{},\"mainsuitIds\":[],\"currentIds\":[]}', null);
INSERT INTO `icss_inquiry_info` VALUES ('11', 'N', '2018-12-20 13:48:51', '2019-01-07 17:24:57', '0', '0', '1', '1', '1', '1', '1332', '1', '1', '心脏病', '0', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]},{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[],\"present\":[],\"other\":[],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"value\":\"dd\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2019-01-07\",\"value\":\"萨达\\n\\n阿打算是\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"assay\":\"电解质测定\",\"check\":\"\"}}', null);
INSERT INTO `icss_inquiry_info` VALUES ('12', 'Y', '2018-12-20 14:51:29', '1970-01-01 12:00:00', '0', '0', '1', '1', '1', '1', '441', '1', '1', '支气管哮喘', '0', '{\"lis\":{\"labelList\":[],\"getExcelData\":{}},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"value\":\"前右\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽 \",\"tagType\":\"1\",\"controlType\":3},{\"id\":\"\",\"name\":\"\",\"tagType\":\"0\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":12,\"name\":\"添加病情变化\",\"tagName\":\"主诉-添加病情变化\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"4\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":12,\"flag\":\"\",\"relationModule\":null}],\"present\":[],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},\"\",{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，未闻及，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"type\":1}],\"advice\":{}}', null);
INSERT INTO `icss_inquiry_info` VALUES ('13', 'N', '2018-12-21 16:22:18', '2018-12-21 16:38:32', '0', '0', '1', '1', '1', '1', '444', '1', '1', '支气管哮喘', '1', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"tagName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阴性\"}],\"show\":true,\"time\":\"2018-12-20\"},{\"name\":\"白细胞计数\",\"questionId\":70,\"showType\":1,\"tagName\":\"白细胞计数\",\"details\":[{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"3\"}],\"show\":true,\"time\":\"2018-12-21\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[]},{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":\"sdsads\",\"present\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"other\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，肺动脉瓣区，主动脉瓣区，可闻及，2/6，舒张期，隆隆样，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"2\",\"value\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"123\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"236\"}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"右上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"123\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"236\"}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"胸部CT\",\"questionId\":19089,\"value\":\"54544萨达所大所多\",\"time\":\"2018-12-20\"}],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"tagName\":\"支气管哮喘\",\"type\":2,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":104,\"name\":\"肺部感染\",\"tagName\":\"肺部感染\",\"type\":2,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{\"scheme\":[{\"name\":\"呼吸道感染\",\"treatment\":[{\"id\":132,\"drugsName\":\"支气管扩张剂\",\"showInfo\":\"1\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"rate\":\"0.94\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"rate\":\"0.92\",\"isShow\":\"1\",\"forbidden\":\"1\",\"showInfo\":\"0\",\"selected\":true},{\"id\":4,\"medicitionName\":\"二羟丙茶碱11\",\"rate\":\"0.50\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":false,\"selected\":false}],\"treatmentStr\":\"多索茶碱; 二羟丙茶碱; \"},{\"id\":133,\"drugsName\":\"抗生素类(喹诺酮类)\",\"showInfo\":\"0\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"rate\":\"0.50\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"rate\":\"0.82\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":\"0\",\"selected\":false}],\"treatmentStr\":\"左氧氟沙星; 史蒂夫史蒂夫地方\"}]}],\"assay\":\"血常规; C反映蛋白; C反映蛋白; C反映蛋白; \",\"check\":\"胸部CT; 心肌酶谱; \"}}', null);
INSERT INTO `icss_inquiry_info` VALUES ('14', 'N', '2018-12-24 11:00:36', '2018-12-24 11:47:23', '0', '0', '1', '1', '1', '1', '464', '1', '1', '心脏病', '1', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"89\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null}],\"show\":true,\"time\":\"2018-12-24\"}],\"getExcelDataList\":[]},\"chief\":\"[\\\"sdsadsa\\\"]\",\"present\":\"[\\\"dads\\\"]\",\"other\":\"[\\\"dadasdasda\\\"]\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"25\",\"value\":\"5\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-24\",\"value\":\"4556\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"scheme\":[{\"name\":\"心脏病\",\"treatment\":[{\"id\":132,\"showInfo\":\"1\",\"drugsName\":\"支气管扩张剂\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"94%\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"92%\"}],\"treatmentStr\":\"多索茶碱; \"},{\"id\":133,\"showInfo\":\"0\",\"drugsName\":\"抗生素类(喹诺酮类)\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"85%\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"82%\"}],\"treatmentStr\":\"左氧氟沙星; \"},{\"id\":134,\"showInfo\":\"0\",\"drugsName\":\"化痰药(粘液溶解药)\",\"medicitionsList\":[{\"id\":141,\"medicitionName\":\"氨溴索\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"80%\"},{\"id\":null,\"medicitionName\":\"农夫沙星\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"},{\"id\":135,\"showInfo\":\"0\",\"drugsName\":\"糖皮质激素类\",\"medicitionsList\":[{\"id\":143,\"medicitionName\":\"甲泼尼龙\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"63%\"},{\"id\":null,\"medicitionName\":\"安乃近\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"34%\"}],\"treatmentStr\":\"\"},{\"id\":136,\"showInfo\":\"0\",\"drugsName\":\"抗胃酸药(质子泵抑制剂)\",\"medicitionsList\":[{\"id\":145,\"medicitionName\":\"泮托拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"61%\"},{\"id\":null,\"medicitionName\":\"维C银翘片\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"58%\"},{\"id\":null,\"medicitionName\":\"奥美拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"},{\"id\":null,\"medicitionName\":\"兰索拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"}]}]}}', null);
INSERT INTO `icss_inquiry_info` VALUES ('15', 'N', '2018-12-24 13:48:54', '2018-12-27 19:09:29', '0', '0', '1', '1', '1', '1', '424', '1', '1', '支气管哮喘', '0', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"value\":\"反复\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"name\":\"反复\",\"tagType\":\"8\",\"controlType\":3},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"type\":1}],\"advice\":{},\"mainSuitSelecteds\":{\"1\":{\"exists\":[{\"id\":6,\"name\":\"反复\",\"listIndex\":\"30\"}],\"existsName\":\"反复\",\"ikey\":\"1\"}},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_inquiry_info` VALUES ('16', 'N', '2018-12-26 10:31:22', '2018-12-26 10:57:43', '0', '0', '1', '1', '1', '1', '11', '1', '1', '慢性胃炎', '0', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阳性\"}],\"show\":true,\"time\":\"2018-12-26\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[]},{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽 \",\"tagType\":\"1\",\"controlType\":3},{\"id\":\"\",\"name\":\"\",\"tagType\":\"0\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"25\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"name\":\"25undefined\",\"tagType\":\"1\",\"controlType\":3},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽 \",\"tagType\":\"1\",\"controlType\":3},{\"id\":1,\"name\":\"咳嗽\",\"tagName\":\"咳嗽\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":\"4\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":170,\"name\":\"咳嗽类型\",\"tagName\":\"咳嗽类型\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":2,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":137,\"name\":\"干咳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":170,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":138,\"name\":\"带痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":170,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":\"\",\"name\":\"\",\"tagType\":\"0\"},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"5\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"24\",\"value\":\"4\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"1\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-26\",\"value\":\"wwee\"},{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-26\",\"value\":\"sadasdad\"}],\"diag\":[{\"id\":169,\"name\":\"慢性胃炎\",\"type\":1},{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"assay\":\"电解质测定; \",\"check\":\"心脏超声检查; \"}}', null);
INSERT INTO `icss_inquiry_info` VALUES ('17', 'N', '2018-12-26 15:14:53', '2018-12-26 15:14:53', '0', '0', '1', '1', '1', '1', '262', '1', '1', '心脏病', '0', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"value\":\"上左\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽 \",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":106,\"name\":\"咳痰\",\"tagName\":\"咳痰\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":\"4\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":107,\"name\":\"咳痰性状\",\"tagName\":\"咳痰性状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":108,\"name\":\"\",\"tagName\":\"初为后为\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":115,\"name\":\"初为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":1,\"code\":3,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":116,\"name\":\"后为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":2,\"code\":4,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":109,\"name\":\"\",\"tagName\":\"咳痰颜色\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":117,\"name\":\"白色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":118,\"name\":\"绿色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":119,\"name\":\"黄色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":120,\"name\":\"红色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":121,\"name\":\"铁锈色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":110,\"name\":\"\",\"tagName\":\"咳痰性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":122,\"name\":\"粘痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":123,\"name\":\"脓痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":124,\"name\":\"泡沫痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":125,\"name\":\"浆液痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":126,\"name\":\"脓臭痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":127,\"name\":\"胶冻样痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":111,\"name\":\"痰量\",\"tagName\":\"痰量\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":128,\"name\":\"痰量少\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":129,\"name\":\"痰量中等\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":130,\"name\":\"痰量大\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":4,\"name\":\"发热\",\"tagName\":\"发热\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":\"4\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":5,\"name\":\"最高温度\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"16\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"小时\"}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"pos\":1},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":6,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"pos\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"pos\":1},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"145\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":6,\"questionId\":11,\"flag\":\"\",\"relationModule\":null,\"pos\":1},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":6,\"questionId\":119,\"flag\":\"\",\"relationModule\":null,\"pos\":1},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"25\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽 \",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"value\":\"咳出费力\"},{\"id\":106,\"name\":\"咳痰 \",\"tagType\":\"8\",\"controlType\":3},{\"id\":107,\"name\":\"咳痰性状\",\"tagName\":\"咳痰性状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":108,\"name\":\"\",\"tagName\":\"初为后为\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":115,\"name\":\"初为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":1,\"code\":3,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":116,\"name\":\"后为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":2,\"code\":4,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":109,\"name\":\"\",\"tagName\":\"咳痰颜色\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":117,\"name\":\"白色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":118,\"name\":\"绿色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":119,\"name\":\"黄色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":120,\"name\":\"红色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":121,\"name\":\"铁锈色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":110,\"name\":\"\",\"tagName\":\"咳痰性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":122,\"name\":\"粘痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":123,\"name\":\"脓痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":124,\"name\":\"泡沫痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":125,\"name\":\"浆液痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":126,\"name\":\"脓臭痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":127,\"name\":\"胶冻样痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":111,\"name\":\"痰量\",\"tagName\":\"痰量\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":128,\"name\":\"痰量少\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":129,\"name\":\"痰量中等\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":130,\"name\":\"痰量大\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":106,\"name\":\"咳痰\",\"tagName\":\"咳痰\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":\"4\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":107,\"name\":\"咳痰性状\",\"tagName\":\"咳痰性状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":108,\"name\":\"\",\"tagName\":\"初为后为\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":115,\"name\":\"初为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":1,\"code\":3,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":116,\"name\":\"后为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":2,\"code\":4,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":109,\"name\":\"\",\"tagName\":\"咳痰颜色\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":117,\"name\":\"白色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":118,\"name\":\"绿色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":119,\"name\":\"黄色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":120,\"name\":\"红色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":121,\"name\":\"铁锈色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":110,\"name\":\"\",\"tagName\":\"咳痰性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":122,\"name\":\"粘痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":123,\"name\":\"脓痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":124,\"name\":\"泡沫痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":125,\"name\":\"浆液痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":126,\"name\":\"脓臭痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":127,\"name\":\"胶冻样痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":111,\"name\":\"痰量\",\"tagName\":\"痰量\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":128,\"name\":\"痰量少\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":129,\"name\":\"痰量中等\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":130,\"name\":\"痰量大\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":4,\"name\":\"发热\",\"tagName\":\"发热\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":\"4\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":5,\"name\":\"最高温度\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"5\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-26\",\"value\":\"撒大声\\n第三代\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"scheme\":[{\"name\":\"心脏病\",\"treatment\":[{\"id\":132,\"showInfo\":\"1\",\"drugsName\":\"支气管扩张剂\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"94%\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"92%\"}],\"treatmentStr\":\"多索茶碱; \"},{\"id\":133,\"showInfo\":\"0\",\"drugsName\":\"抗生素类(喹诺酮类)\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"85%\"},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"82%\"}],\"treatmentStr\":\"\"},{\"id\":134,\"showInfo\":\"0\",\"drugsName\":\"化痰药(粘液溶解药)\",\"medicitionsList\":[{\"id\":141,\"medicitionName\":\"氨溴索\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"80%\"},{\"id\":null,\"medicitionName\":\"农夫沙星\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"},{\"id\":135,\"showInfo\":\"0\",\"drugsName\":\"糖皮质激素类\",\"medicitionsList\":[{\"id\":143,\"medicitionName\":\"甲泼尼龙\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"63%\"},{\"id\":null,\"medicitionName\":\"安乃近\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"34%\"}],\"treatmentStr\":\"\"},{\"id\":136,\"showInfo\":\"0\",\"drugsName\":\"抗胃酸药(质子泵抑制剂)\",\"medicitionsList\":[{\"id\":145,\"medicitionName\":\"泮托拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"61%\"},{\"id\":null,\"medicitionName\":\"维C银翘片\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"58%\"},{\"id\":null,\"medicitionName\":\"奥美拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"},{\"id\":null,\"medicitionName\":\"兰索拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"}]}]},\"mainSuitSelecteds\":{\"1\":{\"exists\":[{\"id\":11,\"name\":\"上\",\"listIndex\":\"00\"},{\"id\":16,\"name\":\"左\",\"listIndex\":\"20\"}],\"existsName\":\"上左\",\"ikey\":\"1\"}},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{\"14\":{\"labelInx\":\"14\",\"ikey\":\"3140\",\"exclusion\":\"\",\"excluName\":\"\",\"nones\":\"\",\"exists\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"listIndex\":\"10\"}],\"existsName\":\"有“青霉素”过敏\",\"noneIds\":[],\"noneOn\":false,\"nowOn\":\"\",\"withOn\":false,\"withs\":[],\"withsName\":\"\"},\"16\":{\"labelInx\":\"16\",\"ikey\":\"3160\",\"exclusion\":\"\",\"excluName\":\"\",\"nones\":\"\",\"exists\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"listIndex\":\"10\"},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"listIndex\":\"22\"}],\"existsName\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\",\"noneIds\":[],\"noneOn\":false,\"nowOn\":\"\",\"withOn\":false,\"withs\":[],\"withsName\":\"\"}},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_inquiry_info` VALUES ('18', 'N', '2018-12-27 15:39:23', '2018-12-27 15:39:23', '0', '0', '1', '1', '1', '1', '4423', '1', '1', '支气管哮喘', '0', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽 \",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽 \",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"value\":\"右上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"value\":\"右上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"type\":1}],\"advice\":{}}', null);
INSERT INTO `icss_inquiry_info` VALUES ('19', 'N', '2018-12-27 17:04:00', '2018-12-27 17:04:00', '0', '0', '1', '1', '1', '1', '4234', '1', '1', '支气管哮喘', '0', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"value\":\"反复\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":10,\"name\":\"伴\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":106,\"name\":\"咳痰\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":106,\"name\":\"咳痰\",\"tagName\":\"咳痰\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":107,\"name\":\"咳痰性状\",\"tagName\":\"咳痰性状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":108,\"name\":\"\",\"tagName\":\"初为后为\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":115,\"name\":\"初为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":1,\"code\":3,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":116,\"name\":\"后为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":2,\"code\":4,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":109,\"name\":\"\",\"tagName\":\"咳痰颜色\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":117,\"name\":\"白色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":118,\"name\":\"绿色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":119,\"name\":\"黄色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":120,\"name\":\"红色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":121,\"name\":\"铁锈色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":110,\"name\":\"\",\"tagName\":\"咳痰性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":122,\"name\":\"粘痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":123,\"name\":\"脓痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":124,\"name\":\"泡沫痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":125,\"name\":\"浆液痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":126,\"name\":\"脓臭痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":127,\"name\":\"胶冻样痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":111,\"name\":\"痰量\",\"tagName\":\"痰量\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":128,\"name\":\"痰量少\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":129,\"name\":\"痰量中等\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":130,\"name\":\"痰量大\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":72,\"name\":\"咽喉痛\",\"tagName\":\"咽喉痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":4,\"name\":\"发热\",\"tagName\":\"发热\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":5,\"name\":\"最高温度\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":200,\"name\":\"气促\",\"tagName\":\"气促\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":203,\"name\":\"鼻塞\",\"tagName\":\"鼻塞\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"天\"}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null,\"value\":\"2天\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"name\":\"2天\",\"tagType\":\"8\",\"controlType\":3},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"name\":\"反复\",\"tagType\":\"8\",\"controlType\":3},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"伴\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":106,\"name\":\"咳痰\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":107,\"name\":\"咳痰性状\",\"tagName\":\"咳痰性状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":108,\"name\":\"\",\"tagName\":\"初为后为\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":115,\"name\":\"初为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":1,\"code\":3,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":116,\"name\":\"后为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":2,\"code\":4,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":109,\"name\":\"\",\"tagName\":\"咳痰颜色\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":117,\"name\":\"白色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":118,\"name\":\"绿色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":119,\"name\":\"黄色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":120,\"name\":\"红色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":121,\"name\":\"铁锈色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":110,\"name\":\"\",\"tagName\":\"咳痰性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":122,\"name\":\"粘痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":123,\"name\":\"脓痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":124,\"name\":\"泡沫痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":125,\"name\":\"浆液痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":126,\"name\":\"脓臭痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":127,\"name\":\"胶冻样痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":111,\"name\":\"痰量\",\"tagName\":\"痰量\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":128,\"name\":\"痰量少\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":129,\"name\":\"痰量中等\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":130,\"name\":\"痰量大\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"肺动脉瓣区，可闻及，4/6，舒张期，吹风样，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"36\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"90\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"120\"}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"type\":1}],\"advice\":{}}', null);
INSERT INTO `icss_inquiry_info` VALUES ('20', 'N', '2018-12-27 19:00:17', '2018-12-27 19:00:17', '0', '0', '1', '1', '1', '1', '434434', '1', '1', '支气管哮喘', '0', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"value\":\"上前中\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":72,\"name\":\"咽喉痛\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"天\"}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null,\"value\":\"2天\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"name\":\"2天\",\"tagType\":\"8\",\"controlType\":3},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"name\":\"上前中\",\"tagType\":\"8\",\"controlType\":3},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":72,\"name\":\"咽喉痛\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[],\"pacs\":[],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"type\":1}],\"advice\":{},\"mainSuitSelecteds\":{\"1\":{\"exists\":[{\"id\":11,\"name\":\"上\",\"listIndex\":\"00\"},{\"id\":14,\"name\":\"前\",\"listIndex\":\"10\"},{\"id\":12,\"name\":\"中\",\"listIndex\":\"01\"}],\"existsName\":\"上前中\",\"ikey\":\"1\"}},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_inquiry_info` VALUES ('21', 'N', '2018-12-27 19:10:57', '2018-12-27 19:10:57', '0', '0', '1', '1', '1', '1', '32323', '1', '1', '支气管哮喘', '0', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽 \",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽 \",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"type\":1}],\"advice\":{}}', null);
INSERT INTO `icss_inquiry_info` VALUES ('22', 'N', '2018-12-27 19:14:39', '2018-12-27 19:14:39', '0', '0', '1', '1', '1', '1', '33213', '1', '1', '支气管哮喘', '0', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"type\":1}],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_inquiry_info` VALUES ('23', 'N', '2018-12-28 09:57:15', '2018-12-28 09:57:15', '0', '0', '1', '1', '1', '1', '454', '1', '1', '呼吸道感染', '0', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":5,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"天\"}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":5,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":5,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":5,\"questionId\":57,\"flag\":\"\",\"relationModule\":null,\"value\":\"无明显诱因下\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":37,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":5,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":5,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":4,\"name\":\"发热 \",\"tagType\":\"8\",\"controlType\":3},{\"id\":5,\"name\":\"最高温度\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"发热\",\"tagName\":\"发热\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":5,\"name\":\"最高温度\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":198,\"name\":\"乏力\",\"tagName\":\"乏力\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":197,\"name\":\"头晕\",\"tagName\":\"头晕\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":201,\"name\":\"胸闷\",\"tagName\":\"胸闷\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":5,\"questionId\":8,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":5,\"questionId\":23,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"主动脉瓣区，未闻及，3/6，全期，机器样，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[],\"diag\":[{\"id\":95,\"name\":\"呼吸道感染\",\"tagName\":\"呼吸道感染\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":9,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{\"1\":{\"labelInx\":\"1\",\"ikey\":\"410\",\"exclusion\":\"\",\"excluName\":\"\",\"nones\":\"\",\"exists\":[{\"id\":34,\"name\":\"主动脉瓣区，\",\"listIndex\":\"12\"},{\"id\":38,\"name\":\"未闻及，\",\"listIndex\":\"21\"},{\"id\":40,\"name\":\"3/6，\",\"listIndex\":\"31\"},{\"id\":46,\"name\":\"全期，\",\"listIndex\":\"42\"},{\"id\":51,\"name\":\"机器样，\",\"listIndex\":\"54\"}],\"existsName\":\"主动脉瓣区，未闻及，3/6，全期，机器样，\",\"noneIds\":[],\"noneOn\":false,\"nowOn\":\"\",\"withOn\":false,\"withs\":[],\"withsName\":\"\"}}}', null);
INSERT INTO `icss_inquiry_info` VALUES ('24', 'N', '2018-12-28 13:53:29', '2018-12-28 13:53:29', '0', '0', '1', '1', '1', '1', '474', '1', '1', '扁桃体炎', '0', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":5,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"天\"}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":5,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":5,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":5,\"questionId\":57,\"flag\":\"\",\"relationModule\":null,\"value\":\"无明显诱因下\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":37,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":5,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":5,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":10,\"name\":\"伴\",\"tagType\":\"8\",\"controlType\":3},{\"id\":4,\"name\":\"发热 \",\"tagType\":\"8\",\"controlType\":3},{\"id\":5,\"name\":\"最高温度\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"发热\",\"tagName\":\"发热\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":5,\"name\":\"最高温度\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":198,\"name\":\"乏力\",\"tagName\":\"乏力\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":197,\"name\":\"头晕\",\"tagName\":\"头晕\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":201,\"name\":\"胸闷\",\"tagName\":\"胸闷\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":5,\"questionId\":8,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":5,\"questionId\":23,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[],\"diag\":[{\"id\":null,\"name\":\"扁桃体炎\",\"tagName\":\"扁桃体炎\",\"type\":1,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_inquiry_info` VALUES ('25', 'N', '2018-12-28 17:14:30', '2018-12-28 17:14:30', '0', '0', '1', '1', '1', '1', '44444', '1', '1', '支气管哮喘', '0', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"type\":1}],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_inquiry_info` VALUES ('26', 'N', '2018-12-29 11:12:43', '2018-12-29 11:12:43', '0', '0', '1', '1', '1', '1', '4744', '1', '1', '冠心病', '0', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"天\"}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null,\"value\":\"2天\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"name\":\"2天\",\"tagType\":\"8\",\"controlType\":3},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，可闻及，2/6，舒张期，隆隆样，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"37.5\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[],\"diag\":[{\"id\":null,\"name\":\"冠心病\",\"tagName\":\"冠心病\",\"type\":1,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{\"1\":{\"labelInx\":\"1\",\"ikey\":\"410\",\"exclusion\":\"\",\"excluName\":\"\",\"nones\":\"\",\"exists\":[{\"id\":32,\"name\":\"心尖区，\",\"listIndex\":\"10\"},{\"id\":37,\"name\":\"可闻及，\",\"listIndex\":\"20\"},{\"id\":39,\"name\":\"2/6，\",\"listIndex\":\"30\"},{\"id\":45,\"name\":\"舒张期，\",\"listIndex\":\"41\"},{\"id\":48,\"name\":\"隆隆样，\",\"listIndex\":\"51\"}],\"existsName\":\"心尖区，可闻及，2/6，舒张期，隆隆样，\",\"noneIds\":[],\"noneOn\":false,\"nowOn\":\"\",\"withOn\":false,\"withs\":[],\"withsName\":\"\"}}}', null);
INSERT INTO `icss_inquiry_info` VALUES ('27', 'N', '2019-01-02 15:02:45', '2019-01-02 15:02:45', '0', '0', '1', '1', '1', '1', '494', '1', '1', '消化道出血', '0', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"9\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阴性\"}],\"show\":true,\"time\":\"2019-01-02\"}],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"value\":\"反复\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":10,\"name\":\"伴\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":72,\"name\":\"咽喉痛\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":106,\"name\":\"咳痰\",\"tagName\":\"咳痰\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":107,\"name\":\"咳痰性状\",\"tagName\":\"咳痰性状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":108,\"name\":\"\",\"tagName\":\"初为后为\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":115,\"name\":\"初为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":1,\"code\":3,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":116,\"name\":\"后为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":2,\"code\":4,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":109,\"name\":\"\",\"tagName\":\"咳痰颜色\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":117,\"name\":\"白色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":118,\"name\":\"绿色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":119,\"name\":\"黄色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":120,\"name\":\"红色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":121,\"name\":\"铁锈色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":110,\"name\":\"\",\"tagName\":\"咳痰性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":122,\"name\":\"粘痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":123,\"name\":\"脓痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":124,\"name\":\"泡沫痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":125,\"name\":\"浆液痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":126,\"name\":\"脓臭痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":127,\"name\":\"胶冻样痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":111,\"name\":\"痰量\",\"tagName\":\"痰量\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":128,\"name\":\"痰量少\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":129,\"name\":\"痰量中等\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":130,\"name\":\"痰量大\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":72,\"name\":\"咽喉痛\",\"tagName\":\"咽喉痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":4,\"name\":\"发热\",\"tagName\":\"发热\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":5,\"name\":\"（填写）\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"度\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":200,\"name\":\"气促\",\"tagName\":\"气促\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":203,\"name\":\"鼻塞\",\"tagName\":\"鼻塞\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"天\"}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null,\"value\":\"2天\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"name\":\"2天\",\"tagType\":\"8\",\"controlType\":3},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null,\"value\":\"无明显诱因下\"},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"name\":\"反复\",\"tagType\":\"8\",\"controlType\":3},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"程度较重\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"value\":\"咳出费力\"},{\"id\":10,\"name\":\"伴\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":72,\"name\":\"咽喉痛\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":20,\"name\":\"伴\",\"tagType\":\"8\",\"controlType\":3},{\"id\":4,\"name\":\"发热 \",\"tagType\":\"8\",\"controlType\":3},{\"id\":5,\"name\":\"（填写）\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"度\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":106,\"name\":\"咳痰\",\"tagName\":\"咳痰\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":107,\"name\":\"咳痰性状\",\"tagName\":\"咳痰性状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":108,\"name\":\"\",\"tagName\":\"初为后为\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":115,\"name\":\"初为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":1,\"code\":3,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":116,\"name\":\"后为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":2,\"code\":4,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":109,\"name\":\"\",\"tagName\":\"咳痰颜色\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":117,\"name\":\"白色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":118,\"name\":\"绿色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":119,\"name\":\"黄色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":120,\"name\":\"红色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":121,\"name\":\"铁锈色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":110,\"name\":\"\",\"tagName\":\"咳痰性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":122,\"name\":\"粘痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":123,\"name\":\"脓痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":124,\"name\":\"泡沫痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":125,\"name\":\"浆液痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":126,\"name\":\"脓臭痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":127,\"name\":\"胶冻样痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":111,\"name\":\"痰量\",\"tagName\":\"痰量\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":128,\"name\":\"痰量少\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":129,\"name\":\"痰量中等\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":130,\"name\":\"痰量大\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":4,\"name\":\"发热\",\"tagName\":\"发热\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":5,\"name\":\"（填写）\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"度\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":203,\"name\":\"鼻塞\",\"tagName\":\"鼻塞\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":195,\"name\":\"头痛\",\"tagName\":\"头痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":196,\"name\":\"畏寒\",\"tagName\":\"畏寒\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":202,\"name\":\"胸痛\",\"tagName\":\"胸痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":200,\"name\":\"气促\",\"tagName\":\"气促\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null,\"value\":\"精神佳\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null,\"value\":\"意识模糊\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null,\"value\":\"食欲欠佳\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null,\"value\":\"睡眠质量欠佳\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null,\"value\":\"黑便\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null,\"value\":\"体重减轻\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[],\"pacs\":[],\"diag\":[{\"id\":null,\"name\":\"消化道出血\",\"tagName\":\"消化道出血\",\"type\":1,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{},\"mainSuitSelecteds\":{\"1\":{\"exists\":[{\"id\":6,\"name\":\"反复\",\"listIndex\":\"30\"}],\"existsName\":\"反复\",\"ikey\":\"1\"}},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_inquiry_info` VALUES ('28', 'N', '2019-01-02 16:19:38', '2019-01-02 16:19:38', '0', '0', '1', '1', '1', '1', '45', '1', '1', '心脏病', '1', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[],\"present\":[],\"other\":[],\"vital\":[],\"pacs\":[],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":2},{\"id\":169,\"name\":\"慢性胃炎\",\"type\":1}],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_inquiry_info` VALUES ('29', 'N', '2019-01-03 16:54:26', '2019-01-03 16:54:26', '0', '0', '1', '1', '1', '1', '4994', '1', '1', '帕金森病', '1', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[],\"present\":[],\"other\":[],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"25\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"12\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[],\"diag\":[{\"id\":null,\"name\":\"帕金森病\",\"tagName\":\"帕金森病\",\"type\":1,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_inquiry_info` VALUES ('30', 'N', '2019-01-04 17:43:22', '2019-01-04 17:48:56', '0', '0', '1', '1', '1', '2', '44', '1', '1', '肺部感染', '0', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":10,\"name\":\"伴\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":4,\"name\":\"发热\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":72,\"name\":\"咽喉痛\",\"tagName\":\"咽喉痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":106,\"name\":\"咳痰\",\"tagName\":\"咳痰\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":107,\"name\":\"咳痰性状\",\"tagName\":\"咳痰性状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":108,\"name\":\"\",\"tagName\":\"初为后为\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":115,\"name\":\"初为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":1,\"code\":3,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":116,\"name\":\"后为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":2,\"code\":4,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":109,\"name\":\"\",\"tagName\":\"咳痰颜色\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":117,\"name\":\"白色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":118,\"name\":\"绿色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":119,\"name\":\"黄色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":120,\"name\":\"红色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":121,\"name\":\"铁锈色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":110,\"name\":\"\",\"tagName\":\"咳痰性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":122,\"name\":\"粘痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":123,\"name\":\"脓痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":124,\"name\":\"泡沫痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":125,\"name\":\"浆液痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":126,\"name\":\"脓臭痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":127,\"name\":\"胶冻样痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":111,\"name\":\"痰量\",\"tagName\":\"痰量\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":128,\"name\":\"痰量少\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":129,\"name\":\"痰量中等\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":130,\"name\":\"痰量大\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":4,\"name\":\"发热\",\"tagName\":\"发热\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":5,\"name\":\"（填写）\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"度\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":203,\"name\":\"鼻塞\",\"tagName\":\"鼻塞\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":200,\"name\":\"气促\",\"tagName\":\"气促\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":195,\"name\":\"头痛\",\"tagName\":\"头痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"3\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"天\"}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null,\"value\":\"因淋雨后\"},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"伴\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":4,\"name\":\"发热\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":5,\"name\":\"（填写）\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"度\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[],\"vital\":[],\"pacs\":[],\"diag\":[{\"id\":104,\"name\":\"肺部感染\",\"tagName\":\"肺部感染\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":9,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_inquiry_info` VALUES ('31', 'N', '2019-01-07 10:27:46', '2019-01-07 14:11:46', '0', '0', '1', '1', '1', '1', '4456', '1', '1', '慢性咽炎', '0', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1212\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"12\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阴性\"}],\"show\":true,\"time\":\"2019-01-07\"}],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2019-01-07\",\"value\":\"12312312\"}],\"diag\":[{\"id\":103,\"name\":\"慢性咽炎\",\"type\":1}],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_inquiry_info` VALUES ('32', 'N', '2019-01-07 13:44:27', '2019-01-07 14:02:49', '0', '0', '1', '1', '1', '1', '446', '1', '1', '心脏病', '0', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"value\":\"前反复\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2019-01-07\",\"value\":\"萨达\\n阿打算是\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"assay\":\"电解质测定\",\"check\":\"\"},\"mainSuitSelecteds\":{\"1\":{\"exists\":[{\"id\":14,\"name\":\"前\",\"listIndex\":\"10\"},{\"id\":6,\"name\":\"反复\",\"listIndex\":\"30\"}],\"existsName\":\"前反复\",\"ikey\":\"1\"}},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{},\"mainsuitIds\":[1]}', null);
INSERT INTO `icss_inquiry_info` VALUES ('33', 'N', '2019-01-07 14:11:28', '2019-01-07 14:11:28', '0', '0', '1', '1', '1', '1', '455', '1', '1', '心脏病', '0', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"血液\",\"lisExcelItem\":[{\"mealName\":\"血液\",\"itemName\":\"WBC\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血液\",\"itemName\":\"RBC\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"80\",\"max\":\"16\",\"min\":\"1\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血液\",\"itemName\":\"HGB\",\"uniqueName\":null,\"unit\":\"g/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血液\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"uniqueName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"5\",\"max\":\"6\",\"min\":\"4\",\"time\":\"2018-11-28\",\"type\":\"0\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"红细胞计数\",\"uniqueName\":\"红细胞计数\",\"unit\":\"10^12/L\",\"value\":\"1\",\"max\":\"6\",\"min\":\"4\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白细胞计数\",\"uniqueName\":\"白细胞计数\",\"unit\":\"10^9/L\",\"value\":\"15\",\"max\":\"10\",\"min\":\"4\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞压积\",\"uniqueName\":\"红细胞压积\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"50\",\"min\":\"36\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"平均红细胞体积\",\"uniqueName\":\"平均红细胞体积\",\"unit\":\"FL\",\"value\":\"1\",\"max\":\"100\",\"min\":\"80\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞分布宽度\",\"uniqueName\":\"血红细胞分布宽度\",\"unit\":\"%\",\"value\":\"80\",\"max\":\"16\",\"min\":\"10\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血红蛋白\",\"uniqueName\":\"血红蛋白\",\"unit\":\"g/L\",\"value\":\"1\",\"max\":\"160\",\"min\":\"110\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血红蛋白平均含量\",\"uniqueName\":\"血红蛋白平均含量\",\"unit\":\"pg\",\"value\":\"1\",\"max\":\"38\",\"min\":\"26\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血红蛋白平均浓度\",\"uniqueName\":\"血红蛋白平均浓度\",\"unit\":\"g/L\",\"value\":\"1\",\"max\":\"360\",\"min\":\"300\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"单核细胞计数\",\"uniqueName\":\"单核细胞计数\",\"unit\":\"10^9/L\",\"value\":\"1\",\"max\":\"1\",\"min\":\"0\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"单核细胞百分比\",\"uniqueName\":\"单核细胞百分比\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"10\",\"min\":\"3\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"中性粒细胞计数\",\"uniqueName\":\"中性粒细胞计数\",\"unit\":\"10^9/L\",\"value\":\"1\",\"max\":\"8\",\"min\":\"2\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"中性粒细胞百分比\",\"uniqueName\":\"中性粒细胞百分比\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"70\",\"min\":\"50\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"嗜酸性粒细胞计数\",\"uniqueName\":\"嗜酸性粒细胞计数\",\"unit\":\"10^9/L\",\"value\":\"1\",\"max\":\"0\",\"min\":\"0\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"嗜酸性粒细胞百分比\",\"uniqueName\":\"嗜酸性粒细胞百分比\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"5\",\"min\":\"0\",\"time\":\"2019-01-04\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"嗜碱性粒细胞计数\",\"uniqueName\":\"嗜碱性粒细胞计数\",\"unit\":\"10^9/L\",\"value\":\"1\",\"max\":\"0\",\"min\":\"0\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"嗜碱性粒细胞百分比\",\"uniqueName\":\"嗜碱性粒细胞百分比\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"1\",\"min\":\"0\",\"time\":\"2019-01-04\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"淋巴细胞计数\",\"uniqueName\":\"淋巴细胞计数\",\"unit\":\"10^9/L\",\"value\":\"1\",\"max\":\"4\",\"min\":\"1\",\"time\":\"2019-01-04\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"淋巴细胞百分比\",\"uniqueName\":\"淋巴细胞百分比\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"50\",\"min\":\"17\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血小板计数\",\"uniqueName\":\"血小板计数\",\"unit\":\"10^9/L\",\"value\":\"1\",\"max\":\"300\",\"min\":\"100\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血小板体积分布宽度\",\"uniqueName\":\"血小板体积分布宽度\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"18\",\"min\":\"10\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血小板平均体积\",\"uniqueName\":\"血小板平均体积\",\"unit\":\"fl\",\"value\":\"1\",\"max\":\"13\",\"min\":\"7\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"大型血小板比例\",\"uniqueName\":\"大型血小板比例\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"50\",\"min\":\"10\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血小板压积\",\"uniqueName\":\"血小板压积\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"0\",\"min\":\"0\",\"time\":\"2019-01-04\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"2\",\"min\":\"1\",\"time\":\"2018年12月1号\",\"type\":\"1\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第7行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"37\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2019-01-07\",\"value\":\"2322342323232\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"scheme\":[{\"name\":\"心脏病\",\"treatment\":[{\"id\":132,\"showInfo\":\"1\",\"drugsName\":\"支气管扩张剂\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"94%\"},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"92%\",\"selected\":true}],\"treatmentStr\":\"二羟丙茶碱\"},{\"id\":133,\"showInfo\":\"0\",\"drugsName\":\"抗生素类(喹诺酮类)\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"85%\"},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"82%\"}],\"treatmentStr\":\"\"},{\"id\":134,\"showInfo\":\"0\",\"drugsName\":\"化痰药(粘液溶解药)\",\"medicitionsList\":[{\"id\":141,\"medicitionName\":\"氨溴索\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"80%\"},{\"id\":null,\"medicitionName\":\"农夫沙星\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"},{\"id\":135,\"showInfo\":\"0\",\"drugsName\":\"糖皮质激素类\",\"medicitionsList\":[{\"id\":143,\"medicitionName\":\"甲泼尼龙\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"63%\"},{\"id\":null,\"medicitionName\":\"安乃近\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"34%\"}],\"treatmentStr\":\"\"},{\"id\":136,\"showInfo\":\"0\",\"drugsName\":\"抗胃酸药(质子泵抑制剂)\",\"medicitionsList\":[{\"id\":145,\"medicitionName\":\"泮托拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"61%\"},{\"id\":null,\"medicitionName\":\"维C银翘片\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"58%\"},{\"id\":null,\"medicitionName\":\"奥美拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"},{\"id\":null,\"medicitionName\":\"兰索拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"}]}]},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{},\"mainsuitIds\":[1]}', null);
INSERT INTO `icss_inquiry_info` VALUES ('34', 'N', '2019-01-07 15:05:27', '2019-01-07 15:05:27', '0', '0', '1', '1', '1', '1', '432324', '1', '1', '支气管哮喘', '1', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[],\"present\":[],\"other\":[],\"vital\":[],\"pacs\":[],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"type\":1}],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{},\"mainsuitIds\":[]}', null);
INSERT INTO `icss_inquiry_info` VALUES ('35', 'N', '2019-01-07 15:09:43', '2019-01-07 15:10:23', '0', '0', '1', '1', '1', '1', '4324', '1', '1', '心脏病', '1', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[],\"present\":[],\"other\":[],\"vital\":[],\"pacs\":[],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{}}', null);
INSERT INTO `icss_inquiry_info` VALUES ('36', 'N', '2019-01-07 16:07:30', '2019-01-07 16:07:30', '0', '0', '1', '1', '1', '1', '43224', '1', '1', '支气管哮喘', '0', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null,\"value\":\"月经史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[],\"pacs\":[],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"type\":1}],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{\"12\":{\"exclusion\":64,\"excluName\":\"既往史无殊\",\"ikey\":\"12\"},\"18\":{\"exclusion\":131,\"excluName\":\"月经史无殊\",\"ikey\":\"18\"}},\"checkBodySelecteds\":{},\"mainsuitIds\":[1]}', null);
INSERT INTO `icss_inquiry_info` VALUES ('37', 'N', '2019-01-07 17:52:17', '2019-01-07 17:52:17', '0', '0', '1', '1', '1', '1', '43324', '1', '1', '支气管哮喘', '0', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":10,\"name\":\"伴\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":106,\"name\":\"咳痰\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":72,\"name\":\"咽喉痛\",\"tagName\":\"咽喉痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":106,\"name\":\"咳痰\",\"tagName\":\"咳痰\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":107,\"name\":\"咳痰性状\",\"tagName\":\"咳痰性状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":108,\"name\":\"\",\"tagName\":\"初为后为\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":115,\"name\":\"初为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":1,\"code\":3,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":116,\"name\":\"后为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":2,\"code\":4,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":109,\"name\":\"\",\"tagName\":\"咳痰颜色\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":117,\"name\":\"白色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":118,\"name\":\"绿色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":119,\"name\":\"黄色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":120,\"name\":\"红色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":121,\"name\":\"铁锈色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":110,\"name\":\"\",\"tagName\":\"咳痰性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":122,\"name\":\"粘痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":123,\"name\":\"脓痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":124,\"name\":\"泡沫痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":125,\"name\":\"浆液痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":126,\"name\":\"脓臭痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":127,\"name\":\"胶冻样痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":111,\"name\":\"痰量\",\"tagName\":\"痰量\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":128,\"name\":\"痰量少\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":129,\"name\":\"痰量中等\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":130,\"name\":\"痰量大\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":4,\"name\":\"发热\",\"tagName\":\"发热\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":5,\"name\":\"(填写)\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"度\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":203,\"name\":\"鼻塞\",\"tagName\":\"鼻塞\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":200,\"name\":\"气促\",\"tagName\":\"气促\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":195,\"name\":\"头痛\",\"tagName\":\"头痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"(填写)\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"(填写)\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"伴\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":106,\"name\":\"咳痰\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":107,\"name\":\"咳痰性状\",\"tagName\":\"咳痰性状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":108,\"name\":\"\",\"tagName\":\"初为后为\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":115,\"name\":\"初为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":1,\"code\":3,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":116,\"name\":\"后为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":2,\"code\":4,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":109,\"name\":\"\",\"tagName\":\"咳痰颜色\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":117,\"name\":\"白色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":118,\"name\":\"绿色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":119,\"name\":\"黄色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":120,\"name\":\"红色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":121,\"name\":\"铁锈色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":110,\"name\":\"\",\"tagName\":\"咳痰性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":122,\"name\":\"粘痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":123,\"name\":\"脓痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":124,\"name\":\"泡沫痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":125,\"name\":\"浆液痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":126,\"name\":\"脓臭痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":127,\"name\":\"胶冻样痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":111,\"name\":\"痰量\",\"tagName\":\"痰量\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":128,\"name\":\"痰量少\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":129,\"name\":\"痰量中等\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":130,\"name\":\"痰量大\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"(填写)\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"(填写)\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"发热\"},{\"id\":5,\"name\":\"(填写)\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"度\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"36\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"有饮酒习惯\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null,\"value\":\"月经史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[],\"pacs\":[],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"type\":1}],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{\"16\":{\"labelInx\":\"16\",\"ikey\":\"3160\",\"exclusion\":\"\",\"excluName\":\"\",\"nones\":\"\",\"exists\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"listIndex\":\"20\"}],\"existsName\":\"有饮酒习惯\",\"noneIds\":[],\"noneOn\":false,\"nowOn\":\"\",\"withOn\":false,\"withs\":[],\"withsName\":\"\"},\"18\":{\"exclusion\":131,\"excluName\":\"月经史无殊\",\"ikey\":\"18\"}},\"checkBodySelecteds\":{},\"mainsuitIds\":[1,106]}', null);
INSERT INTO `icss_inquiry_info` VALUES ('38', 'N', '2019-01-08 09:58:42', '2019-01-08 13:52:47', '0', '0', '1', '1', '1', '2', '441', '1', '1', '肺部感染', '0', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":10,\"name\":\"伴\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":4,\"name\":\"发热\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":106,\"name\":\"咳痰\",\"tagName\":\"咳痰\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":107,\"name\":\"咳痰性状\",\"tagName\":\"咳痰性状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":108,\"name\":\"\",\"tagName\":\"初为后为\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":115,\"name\":\"初为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":1,\"code\":3,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":116,\"name\":\"后为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":2,\"code\":4,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":109,\"name\":\"\",\"tagName\":\"咳痰颜色\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":117,\"name\":\"白色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":118,\"name\":\"绿色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":119,\"name\":\"黄色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":120,\"name\":\"红色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":121,\"name\":\"铁锈色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":110,\"name\":\"\",\"tagName\":\"咳痰性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":122,\"name\":\"粘痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":123,\"name\":\"脓痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":124,\"name\":\"泡沫痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":125,\"name\":\"浆液痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":126,\"name\":\"脓臭痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":127,\"name\":\"胶冻样痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":111,\"name\":\"痰量\",\"tagName\":\"痰量\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":128,\"name\":\"痰量少\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":129,\"name\":\"痰量中等\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":130,\"name\":\"痰量大\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":200,\"name\":\"气促\",\"tagName\":\"气促\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":201,\"name\":\"胸闷\",\"tagName\":\"胸闷\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":202,\"name\":\"胸痛\",\"tagName\":\"胸痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":198,\"name\":\"乏力\",\"tagName\":\"乏力\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":196,\"name\":\"畏寒\",\"tagName\":\"畏寒\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":197,\"name\":\"头晕\",\"tagName\":\"头晕\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"3\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"天\"}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null,\"value\":\"因淋雨后\"},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"伴\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":4,\"name\":\"发热\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":5,\"name\":\"（填写）\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"度\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null,\"value\":\"精神佳\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null,\"value\":\"意识模糊\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"（收缩压）\"}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"(填写)\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2146\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[],\"diag\":[{\"id\":104,\"name\":\"肺部感染\",\"tagName\":\"肺部感染\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":9,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{},\"mainsuitIds\":[]}', null);
INSERT INTO `icss_inquiry_info` VALUES ('39', 'N', '2019-01-08 11:09:02', '2019-01-08 11:09:02', '0', '0', '1', '1', '1', '2', '440', '1', '1', '肺部感染', '0', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":10,\"name\":\"伴\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":4,\"name\":\"发热\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":72,\"name\":\"咽喉痛\",\"tagName\":\"咽喉痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":106,\"name\":\"咳痰\",\"tagName\":\"咳痰\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":107,\"name\":\"咳痰性状\",\"tagName\":\"咳痰性状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":108,\"name\":\"\",\"tagName\":\"初为后为\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":115,\"name\":\"初为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":1,\"code\":3,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":116,\"name\":\"后为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":2,\"code\":4,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":109,\"name\":\"\",\"tagName\":\"咳痰颜色\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":117,\"name\":\"白色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":118,\"name\":\"绿色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":119,\"name\":\"黄色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":120,\"name\":\"红色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":121,\"name\":\"铁锈色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":110,\"name\":\"\",\"tagName\":\"咳痰性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":122,\"name\":\"粘痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":123,\"name\":\"脓痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":124,\"name\":\"泡沫痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":125,\"name\":\"浆液痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":126,\"name\":\"脓臭痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":127,\"name\":\"胶冻样痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":111,\"name\":\"痰量\",\"tagName\":\"痰量\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":128,\"name\":\"痰量少\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":129,\"name\":\"痰量中等\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":130,\"name\":\"痰量大\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":4,\"name\":\"发热\",\"tagName\":\"发热\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":5,\"name\":\"（填写）\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"度\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":203,\"name\":\"鼻塞\",\"tagName\":\"鼻塞\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":200,\"name\":\"气促\",\"tagName\":\"气促\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":195,\"name\":\"头痛\",\"tagName\":\"头痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"3\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"天\"}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null,\"value\":\"因淋雨后\"},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"伴\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":4,\"name\":\"发热\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":5,\"name\":\"（填写）\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"度\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null,\"value\":\"精神佳\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null,\"value\":\"意识模糊\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[],\"vital\":[],\"pacs\":[],\"diag\":[{\"id\":104,\"name\":\"肺部感染\",\"tagName\":\"肺部感染\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":9,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{},\"mainsuitIds\":[],\"currentIds\":[]}', null);
INSERT INTO `icss_inquiry_info` VALUES ('40', 'N', '2019-01-08 13:31:48', '2019-01-08 13:31:48', '0', '0', '1', '1', '1', '1', '4332', '1', '1', '肺部感染', '0', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":10,\"name\":\"伴\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":4,\"name\":\"发热\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":72,\"name\":\"咽喉痛\",\"tagName\":\"咽喉痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":106,\"name\":\"咳痰\",\"tagName\":\"咳痰\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":107,\"name\":\"咳痰性状\",\"tagName\":\"咳痰性状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":108,\"name\":\"\",\"tagName\":\"初为后为\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":115,\"name\":\"初为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":1,\"code\":3,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":116,\"name\":\"后为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":2,\"code\":4,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":109,\"name\":\"\",\"tagName\":\"咳痰颜色\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":117,\"name\":\"白色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":118,\"name\":\"绿色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":119,\"name\":\"黄色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":120,\"name\":\"红色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":121,\"name\":\"铁锈色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":110,\"name\":\"\",\"tagName\":\"咳痰性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":122,\"name\":\"粘痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":123,\"name\":\"脓痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":124,\"name\":\"泡沫痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":125,\"name\":\"浆液痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":126,\"name\":\"脓臭痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":127,\"name\":\"胶冻样痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":111,\"name\":\"痰量\",\"tagName\":\"痰量\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":128,\"name\":\"痰量少\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":129,\"name\":\"痰量中等\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":130,\"name\":\"痰量大\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":4,\"name\":\"发热\",\"tagName\":\"发热\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":5,\"name\":\"（填写）\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"度\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":203,\"name\":\"鼻塞\",\"tagName\":\"鼻塞\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":200,\"name\":\"气促\",\"tagName\":\"气促\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":195,\"name\":\"头痛\",\"tagName\":\"头痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"3\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"天\"}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null,\"value\":\"因淋雨后\"},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"伴\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":4,\"name\":\"发热\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":5,\"name\":\"（填写）\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"度\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null,\"value\":\"精神佳\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null,\"value\":\"意识模糊\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null,\"value\":\"食欲欠佳\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[],\"vital\":[],\"pacs\":[],\"diag\":[{\"id\":104,\"name\":\"肺部感染\",\"tagName\":\"肺部感染\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":9,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{},\"mainsuitIds\":[],\"currentIds\":[]}', null);
INSERT INTO `icss_inquiry_info` VALUES ('41', 'N', '2019-01-08 15:39:58', '2019-01-08 15:39:58', '0', '0', '1', '1', '1', '1', '4224', '1', '1', '心脏病', '0', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"血液\",\"lisExcelItem\":[{\"mealName\":\"血液\",\"itemName\":\"WBC\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血液\",\"itemName\":\"RBC\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"80\",\"max\":\"16\",\"min\":\"1\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血液\",\"itemName\":\"HGB\",\"uniqueName\":null,\"unit\":\"g/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血液\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"uniqueName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"5\",\"max\":\"6\",\"min\":\"4\",\"time\":\"2018-11-28\",\"type\":\"0\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"红细胞计数\",\"uniqueName\":\"红细胞计数\",\"unit\":\"10^12/L\",\"value\":\"1\",\"max\":\"6\",\"min\":\"4\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白细胞计数\",\"uniqueName\":\"白细胞计数\",\"unit\":\"10^9/L\",\"value\":\"15\",\"max\":\"10\",\"min\":\"4\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞压积\",\"uniqueName\":\"红细胞压积\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"50\",\"min\":\"36\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"平均红细胞体积\",\"uniqueName\":\"平均红细胞体积\",\"unit\":\"FL\",\"value\":\"1\",\"max\":\"100\",\"min\":\"80\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞分布宽度\",\"uniqueName\":\"血红细胞分布宽度\",\"unit\":\"%\",\"value\":\"80\",\"max\":\"16\",\"min\":\"10\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血红蛋白\",\"uniqueName\":\"血红蛋白\",\"unit\":\"g/L\",\"value\":\"1\",\"max\":\"160\",\"min\":\"110\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血红蛋白平均含量\",\"uniqueName\":\"血红蛋白平均含量\",\"unit\":\"pg\",\"value\":\"1\",\"max\":\"38\",\"min\":\"26\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血红蛋白平均浓度\",\"uniqueName\":\"血红蛋白平均浓度\",\"unit\":\"g/L\",\"value\":\"1\",\"max\":\"360\",\"min\":\"300\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"单核细胞计数\",\"uniqueName\":\"单核细胞计数\",\"unit\":\"10^9/L\",\"value\":\"1\",\"max\":\"1\",\"min\":\"0\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"单核细胞百分比\",\"uniqueName\":\"单核细胞百分比\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"10\",\"min\":\"3\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"中性粒细胞计数\",\"uniqueName\":\"中性粒细胞计数\",\"unit\":\"10^9/L\",\"value\":\"1\",\"max\":\"8\",\"min\":\"2\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"中性粒细胞百分比\",\"uniqueName\":\"中性粒细胞百分比\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"70\",\"min\":\"50\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"嗜酸性粒细胞计数\",\"uniqueName\":\"嗜酸性粒细胞计数\",\"unit\":\"10^9/L\",\"value\":\"1\",\"max\":\"0\",\"min\":\"0\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"嗜酸性粒细胞百分比\",\"uniqueName\":\"嗜酸性粒细胞百分比\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"5\",\"min\":\"0\",\"time\":\"2019-01-04\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"嗜碱性粒细胞计数\",\"uniqueName\":\"嗜碱性粒细胞计数\",\"unit\":\"10^9/L\",\"value\":\"1\",\"max\":\"0\",\"min\":\"0\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"嗜碱性粒细胞百分比\",\"uniqueName\":\"嗜碱性粒细胞百分比\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"1\",\"min\":\"0\",\"time\":\"2019-01-04\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"淋巴细胞计数\",\"uniqueName\":\"淋巴细胞计数\",\"unit\":\"10^9/L\",\"value\":\"1\",\"max\":\"4\",\"min\":\"1\",\"time\":\"2019-01-04\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"淋巴细胞百分比\",\"uniqueName\":\"淋巴细胞百分比\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"50\",\"min\":\"17\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血小板计数\",\"uniqueName\":\"血小板计数\",\"unit\":\"10^9/L\",\"value\":\"1\",\"max\":\"300\",\"min\":\"100\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血小板体积分布宽度\",\"uniqueName\":\"血小板体积分布宽度\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"18\",\"min\":\"10\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血小板平均体积\",\"uniqueName\":\"血小板平均体积\",\"unit\":\"fl\",\"value\":\"1\",\"max\":\"13\",\"min\":\"7\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"大型血小板比例\",\"uniqueName\":\"大型血小板比例\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"50\",\"min\":\"10\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血小板压积\",\"uniqueName\":\"血小板压积\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"0\",\"min\":\"0\",\"time\":\"2019-01-04\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"2\",\"min\":\"1\",\"time\":\"2018年12月1号\",\"type\":\"1\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第7行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"(填写)\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"(填写)\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"(填写)\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"(填写)\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于(###)医院治疗，经(###)后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":6,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":10,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“( )”过敏\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约（）ml，已饮（）年\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约（）支，已吸（）年\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":6,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[],\"pacs\":[],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{},\"mainsuitIds\":[1]}', null);
INSERT INTO `icss_inquiry_info` VALUES ('42', 'N', '2019-01-08 15:45:53', '2019-01-08 15:46:22', '0', '0', '1', '1', '1', '1', '49', '1', '1', '心脏病', '0', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"血液\",\"lisExcelItem\":[{\"mealName\":\"血液\",\"itemName\":\"WBC\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血液\",\"itemName\":\"RBC\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"80\",\"max\":\"16\",\"min\":\"1\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血液\",\"itemName\":\"HGB\",\"uniqueName\":null,\"unit\":\"g/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血液\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"uniqueName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"5\",\"max\":\"6\",\"min\":\"4\",\"time\":\"2018-11-28\",\"type\":\"0\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"红细胞计数\",\"uniqueName\":\"红细胞计数\",\"unit\":\"10^12/L\",\"value\":\"1\",\"max\":\"6\",\"min\":\"4\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白细胞计数\",\"uniqueName\":\"白细胞计数\",\"unit\":\"10^9/L\",\"value\":\"15\",\"max\":\"10\",\"min\":\"4\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞压积\",\"uniqueName\":\"红细胞压积\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"50\",\"min\":\"36\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"平均红细胞体积\",\"uniqueName\":\"平均红细胞体积\",\"unit\":\"FL\",\"value\":\"1\",\"max\":\"100\",\"min\":\"80\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞分布宽度\",\"uniqueName\":\"血红细胞分布宽度\",\"unit\":\"%\",\"value\":\"80\",\"max\":\"16\",\"min\":\"10\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血红蛋白\",\"uniqueName\":\"血红蛋白\",\"unit\":\"g/L\",\"value\":\"1\",\"max\":\"160\",\"min\":\"110\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血红蛋白平均含量\",\"uniqueName\":\"血红蛋白平均含量\",\"unit\":\"pg\",\"value\":\"1\",\"max\":\"38\",\"min\":\"26\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血红蛋白平均浓度\",\"uniqueName\":\"血红蛋白平均浓度\",\"unit\":\"g/L\",\"value\":\"1\",\"max\":\"360\",\"min\":\"300\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"单核细胞计数\",\"uniqueName\":\"单核细胞计数\",\"unit\":\"10^9/L\",\"value\":\"1\",\"max\":\"1\",\"min\":\"0\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"单核细胞百分比\",\"uniqueName\":\"单核细胞百分比\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"10\",\"min\":\"3\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"中性粒细胞计数\",\"uniqueName\":\"中性粒细胞计数\",\"unit\":\"10^9/L\",\"value\":\"1\",\"max\":\"8\",\"min\":\"2\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"中性粒细胞百分比\",\"uniqueName\":\"中性粒细胞百分比\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"70\",\"min\":\"50\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"嗜酸性粒细胞计数\",\"uniqueName\":\"嗜酸性粒细胞计数\",\"unit\":\"10^9/L\",\"value\":\"1\",\"max\":\"0\",\"min\":\"0\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"嗜酸性粒细胞百分比\",\"uniqueName\":\"嗜酸性粒细胞百分比\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"5\",\"min\":\"0\",\"time\":\"2019-01-04\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"嗜碱性粒细胞计数\",\"uniqueName\":\"嗜碱性粒细胞计数\",\"unit\":\"10^9/L\",\"value\":\"1\",\"max\":\"0\",\"min\":\"0\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"嗜碱性粒细胞百分比\",\"uniqueName\":\"嗜碱性粒细胞百分比\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"1\",\"min\":\"0\",\"time\":\"2019-01-04\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"淋巴细胞计数\",\"uniqueName\":\"淋巴细胞计数\",\"unit\":\"10^9/L\",\"value\":\"1\",\"max\":\"4\",\"min\":\"1\",\"time\":\"2019-01-04\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"淋巴细胞百分比\",\"uniqueName\":\"淋巴细胞百分比\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"50\",\"min\":\"17\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血小板计数\",\"uniqueName\":\"血小板计数\",\"unit\":\"10^9/L\",\"value\":\"1\",\"max\":\"300\",\"min\":\"100\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血小板体积分布宽度\",\"uniqueName\":\"血小板体积分布宽度\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"18\",\"min\":\"10\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血小板平均体积\",\"uniqueName\":\"血小板平均体积\",\"unit\":\"fl\",\"value\":\"1\",\"max\":\"13\",\"min\":\"7\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"大型血小板比例\",\"uniqueName\":\"大型血小板比例\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"50\",\"min\":\"10\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血小板压积\",\"uniqueName\":\"血小板压积\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"0\",\"min\":\"0\",\"time\":\"2019-01-04\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"2\",\"min\":\"1\",\"time\":\"2018年12月1号\",\"type\":\"1\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第7行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"(填写)\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"(填写)\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"(填写)\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"(填写)\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于(###)医院治疗，经(###)后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":6,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":10,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“( )”过敏\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约（）ml，已饮（）年\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约（）支，已吸（）年\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":6,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"(部位)\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"(舒张压)\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"(收缩压)\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"/\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"(填写)\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1},{\"id\":98,\"name\":\"支气管哮喘\",\"type\":2}],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{},\"mainsuitIds\":[1],\"currentIds\":[1]}', null);

-- ----------------------------
-- Table structure for icss_introduce_detail
-- ----------------------------
DROP TABLE IF EXISTS `icss_introduce_detail`;
CREATE TABLE `icss_introduce_detail` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `introduce_id` bigint(20) NOT NULL COMMENT '提示信息id',
  `title` varchar(100) DEFAULT NULL COMMENT '提示明细标题',
  `content` mediumtext COMMENT '提示明细内容',
  `text` mediumtext COMMENT '纯文本',
  `order_no` int(11) DEFAULT NULL COMMENT '提示明细序号',
  `position` varchar(11) DEFAULT '2' COMMENT '显示位置（多选）：1-推送展示，2-更多展示，3-一般治疗展示，4-手术治疗展示，5-药品说明书',
  `is_reason` int(11) DEFAULT '0' COMMENT '是否诊断依据（1-是，0-否）',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6228 DEFAULT CHARSET=utf8 COMMENT='提示信息明细';

-- ----------------------------
-- Records of icss_introduce_detail
-- ----------------------------
INSERT INTO `icss_introduce_detail` VALUES ('54', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '224', '概述', '<p><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">&nbsp; 张力性气胸是指较大的肺气泡破裂或较大较深的肺裂伤或支气管破裂，裂口与胸膜腔相通，且形成单向活瓣，又称高压性气胸。吸气时空气从裂口进入胸膜腔内，而呼气时活瓣关闭，腔内空气不能排出，致胸膜腔内压力不断升高，压迫肺使之逐渐萎陷，并将纵隔推向健侧，挤压健侧肺，产生呼吸和循环功能的严重障碍。胸膜腔内的高压空气若被挤入纵隔，扩散至皮下组织，形成颈部面</span></span><span style=\"font-family: 宋体; font-size: 14px;\">、</span><span style=\"font-family: 宋体; font-size: 14px;\">部、胸部等处皮下气肿。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('55', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '224', '病因', '<p><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">&nbsp; 张力性气胸指胸膜腔的漏气通道呈单向活瓣状，吸气时胸膜腔内压降低，活瓣开放，气体进入；呼气时胸膜腔内压升高，活瓣关闭，气体不能排出。创伤性气胸的肺、支气管，胸壁损伤创口可呈单通道活瓣膜作用，自发性气胸的胸膜破口也可形成这样的活瓣。</span></span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('56', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '224', '临床表现', '<p><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">&nbsp; 患者表现为极度呼吸困难，端坐呼吸。缺氧严重者出现发绀、烦躁不安、昏迷，甚至窒息。体格检查，可见伤侧胸部饱胀，肋间隙增宽，呼吸幅度减低，可有皮下气肿。叩诊呈鼓音。听诊呼吸音消失。胸部</span>X<span style=\"font-family:宋体\">线检查示胸膜腔大量积气，肺可完全萎陷，气管和心影偏移至健侧。胸膜腔穿刺有高压气体向外冲出。排气后，症状好转，不久又可加重。如此表现也有助于诊断。严重胸部损伤，如张力性气胸征象出现迅猛，须疑有支气管断裂，应迅速抢救，乃至剖胸探查。</span></span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('57', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '224', '辅助检查', '<p><span style=\";font-family:宋体;font-size:14px\">1.X<span style=\"font-family:宋体\">线表现</span></span></p><p><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">胸片可显示肺萎陷的程度、肺部情况、有无胸膜粘连、胸腔积液及纵隔移位等。胸片上显示无肺纹理的均匀透亮区的胸膜腔积气带，其内侧为与胸壁平行的弧形线状肺边缘。少量气体局限于胸腔上部，常被骨骼掩盖，嘱患者深呼气，使萎陷的肺更为缩小，密度增高，与外带积气透光区形成明显对比，从而显示气胸带。大量气胸时，患侧肺被压缩，聚集在肺门区呈球形阴影。患者</span>X<span style=\"font-family:宋体\">线示肺尖部肺大疱；在血气胸存在时，可见液气平面；当胸内存在粘连带时，萎陷的肺失去均匀向肺门压缩的状态，显示出不规则状压缩或肺压缩边缘呈分叶状；患侧膈肌下移，气管、心脏向健侧移位；合并纵隔气肿时，可见纵隔和皮下积气影。</span></span></p><p><span style=\";font-family:宋体;font-size:14px\">2.<span style=\"font-family:宋体\">胸部</span><span style=\"font-family:Calibri\">CT</span><span style=\"font-family:宋体\">扫描</span></span></p><p><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">清晰显示胸腔积气的范围、积气量、肺被压缩的程度，或可见到肺尖部肺大疱的存在，同时胸部</span>CT<span style=\"font-family:宋体\">还能显示胸腔积液的多少。尤其是对含气量少的气胸和主要位于前中胸膜腔的局限性气胸，在</span><span style=\"font-family:Calibri\">X</span><span style=\"font-family:宋体\">线胸像上容易漏诊，而</span><span style=\"font-family:Calibri\">CT</span><span style=\"font-family:宋体\">则无影像重叠的弱点，能明确诊断。</span></span></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('58', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '224', '诊断', '<p><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">&nbsp; 根据病史、临床表现、结合</span>X<span style=\"font-family:宋体\">线检查，较易诊断，也可根据胸腔穿刺，见高压气体将针筒芯向外推，进一步明确诊断。</span></span></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('59', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '224', '治疗', '<p><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">&nbsp; 张力性气胸的急救治疗原则为立即排气，降低胸膜腔内压力。在紧急状况下，可用粗针头在伤侧第</span>2<span style=\"font-family:宋体\">肋间锁骨中线处刺入胸膜腔，有喷射状气体排出，即能收到排气减压效果。病人在转送过程中，在插针的接头处，缚扎一橡胶手指套，将指套硬端剪</span><span style=\"font-family:Calibri\">lcm</span><span style=\"font-family:宋体\">开口，起活瓣作用，即在吸气时能张开裂口排气，呼气时闭合，防止空气进入；或用长橡胶管或塑料管一端连接插入的针接头，另一端放在无菌水封瓶水面下。</span></span></p><p><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">&nbsp; 张力性气胸的正规处理是在积气最高部位，放置胸膜腔引流管（通常是第</span>2<span style=\"font-family:宋体\">肋间锁骨中线），连接水封瓶。有时需用负压吸引装置，以利气体排出，促使肺膨胀。应用抗生素，预防感染。经闭式引流后，肺小裂口多可在</span><span style=\"font-family:Calibri\">3</span><span style=\"font-family:宋体\">～</span><span style=\"font-family:Calibri\">7</span><span style=\"font-family:宋体\">日内闭合。停止漏气</span><span style=\"font-family:Calibri\">24</span><span style=\"font-family:宋体\">小时后，经</span><span style=\"font-family:Calibri\">X</span><span style=\"font-family:宋体\">线检查证实肺已膨胀，方可拔除插管。长时期漏气者应进行剖胸修补术。若胸膜腔插管后，漏气仍严重，病人呼吸困难未见好转，提示肺、支气管的裂伤较大或断裂，应及早剖胸探查，修补裂口，或作肺段、肺叶切除术。</span></span></p><p><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">&nbsp; 需要指出的是多数张力性气胸经胸腔闭式引流术后，可暂时控制病情，但其潜在复发的可能性仍然存在。肺复张后，应做胸部</span>CT<span style=\"font-family:宋体\">检查，若有肺大疱，应在胸腔镜下或开胸手术，切除肺大疱。</span></span></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('155', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1478', '概述', '<p style=\"text-indent: 28px;\"><span style=\"font-family:宋体\">急性出血坏死型胰腺炎是急性胰腺炎的一种类型，系由急性水肿型胰腺炎病变继续发展所致。胰腺腺泡、脂肪、血管大片坏死，胰腺组织水肿，体积增大，广泛性出血坏死。腹膜后间隙大量血性渗出液。网膜、系膜组织被渗出的胰酶所消化。此型胰腺炎病情笃重，且发展急剧，并发症多，死亡率很高。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('156', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1478', '临床表现', '<p style=\"text-indent:28px\">1.<span style=\"font-family:宋体\">症状</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">骤起上腹剧痛或在急性水肿型胰腺炎治疗过程中出现高热，弥漫性腹膜炎，麻痹性肠梗阻，上腹部肿块，消化道出血，神经精神症状，休克。</span></p><p style=\"text-indent:28px\">2.<span style=\"font-family:宋体\">体征</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">全腹膨隆，压痛及反跳痛，移动性浊音，肠鸣音消失，少数患者因含有胰酶的血性渗液经腹膜后间隙渗至皮下，出现皮下脂肪坏死，两侧腹壁淤斑和脐周围褪色。</span></p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('157', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1478', '辅助检查', '<p><span style=\"text-indent: 28px;\">&nbsp; 1.</span><span style=\"text-indent: 28px; font-family: 宋体;\">血尿淀粉酶可有持续升高或因胰腺广泛坏死而不升高。血钙下降，其值</span><span style=\"text-indent: 28px;\">&lt;1.74mmol/L</span><span style=\"text-indent: 28px; font-family: 宋体;\">（</span><span style=\"text-indent: 28px;\">7mg%</span><span style=\"text-indent: 28px; font-family: 宋体;\">）则预后差。血糖增高，出现糖尿。血清高铁血红蛋白阳性。</span></p><p><span style=\"text-indent: 28px;\">&nbsp; 2.</span><span style=\"text-indent: 28px; font-family: 宋体;\">腹腔穿刺液血性混浊，淀粉酶、脂肪酶升高。</span></p><p><span style=\"text-indent: 28px;\">&nbsp; 3.B</span><span style=\"text-indent: 28px; font-family: 宋体;\">型超声检查可见胰腺肿大，内部光点反射稀少。</span><span style=\"text-indent: 28px;\">CT</span><span style=\"text-indent: 28px; font-family: 宋体;\">显示胰腺弥漫性增大，外形不规则，边缘模糊，胰周间隙增宽。</span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('158', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1478', '诊断', '<p style=\"text-indent:28px\">1.<span style=\"font-family:宋体\">病史</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">详询腹痛的部位和性质，有无腰背部，肩胛部放射痛，或腰部呈束带样疼痛。发病前有无暴饮暴食（特别是酒和油腻食物）、外伤、情绪激动，有无恶心、呕吐蛔虫或便血史。既往有无类似发病史，如何治疗，有无黄疸、胆石症、胆道蛔虫和高血脂病史，</span>3<span style=\"font-family:宋体\">周内有无与腮腺炎患者接触史或病前是否患过急性腮腺炎。</span></p><p style=\"text-indent:28px\">2.<span style=\"font-family:宋体\">体检</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">注意巩膜、皮肤是否有黄染，有无休克、脐或腰背部皮肤颜色青紫、水肿和压痛。注意腹部压痛及反跳痛的部位，肌紧张的程度和范围，有无腹部包块、腹水，肠鸣音减弱或消失，腮腺及睾丸有无肿痛。</span></p><p style=\"text-indent:28px\">3.<span style=\"font-family:宋体\">检验</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">做血常规、尿常规、红细胞比容、血糖、血钙、血磷、肝和肾功能、血生化、血和尿淀粉酶以及动脉血血气分析检查。有条件时，应测定变性血红蛋白、脂肪酶、弹力蛋白酶、载脂蛋</span>A2<span style=\"font-family:宋体\">（</span>Apo-A2<span style=\"font-family:宋体\">）、</span>C<span style=\"font-family:宋体\">反应蛋白，有助于胰腺坏死的诊断。</span></p><p style=\"text-indent:28px\">4.<span style=\"font-family:宋体\">腹腔穿刺</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">有腹腔积液者行腹腔穿刺，注意抽出液是否为血性，并行淀粉酶和血清脂肪酶活力的测定。</span></p><p style=\"text-indent:28px\">5.B<span style=\"font-family:宋体\">型超声波检查、</span>CT/MRI</p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">可以明确胰腺病变的性质、部位和范围，有否胰外浸润以及范围和程度。定期</span>CT<span style=\"font-family:宋体\">检查可以观察病变演变的情况。</span></p><p><span style=\"font-family:宋体\">鉴别诊断</span></p><p style=\"text-indent: 28px;\"><span style=\"font-family:宋体\">必须与急性胃肠炎、溃疡病急性穿孔、胆石症急性胆囊炎、心肌梗塞、急性肠梗阻、肠系膜血管缺血性栓塞等相鉴别。</span></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('159', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1478', '治疗', '<p>&nbsp; &nbsp; &nbsp;<span style=\"text-indent: 28px;\">1.</span><span style=\"text-indent: 28px; font-family: 宋体;\">非手术治疗</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">诊断明确，临床表现不严重、坏死胰腺及其周围组织无感染时，可先采取积极的保守治疗。</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">（</span>1<span style=\"font-family:宋体\">）禁食，持续胃肠减压。</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">（</span>2<span style=\"font-family:宋体\">）补充血容量并注意纠正水、电解质紊乱及维持酸碱平衡。</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">（</span>3<span style=\"font-family:宋体\">）抑酶剂等的应用</span> <span style=\"font-family:宋体\">应用阿托品、</span>5-<span style=\"font-family:宋体\">氟尿嘧啶、抑肽酶，有条件时可用生长抑素及其类似物。</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">（</span>4<span style=\"font-family:宋体\">）营养支持</span> <span style=\"font-family: 宋体\">应用全胃肠道外营养，适当补充钙剂。有高血糖者，应用胰岛素。</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">（</span>5<span style=\"font-family:宋体\">）应用有效抗生素</span> <span style=\"font-family:宋体\">以防止感染的发生或发展。</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">（</span>6<span style=\"font-family:宋体\">）腹腔灌洗</span> <span style=\"font-family: 宋体\">用于重症胰腺炎早期。方法：在脐上</span>2<span style=\"font-family:宋体\">指戳口置入腹透管达胰腺水平，于脐下插入流出管达腹腔最低位，在</span>15<span style=\"font-family:宋体\">分钟内经输入管灌入腹透液</span>1000ml<span style=\"font-family:宋体\">，夹管</span>30<span style=\"font-family:宋体\">分钟后开放流出管，至腹腔灌洗液无混浊、淀粉酶测定正常为止。</span></p><p style=\"text-indent:28px\">2.<span style=\"font-family: 宋体;\">手术治疗</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">（</span>1<span style=\"font-family:宋体\">）适应证</span> <span style=\"font-family: 宋体\">①坏死性胰腺炎的诊断尚不明确，又不能排除其他需要手术治疗的急腹症者。②出血坏死性胰腺炎经非手术治疗后临床上未见明显好转或继发胰腺和胰周感染者。③胆源性胰腺炎，如蛔虫钻入胰管或胆总管结石所引起的胰腺炎患者。</span></p><p style=\"text-indent: 28px;\"><span style=\"font-family:宋体\">（</span>2<span style=\"font-family:宋体\">）手术方式</span> <span style=\"font-family: 宋体\">①引流术</span> <span style=\"font-family:宋体\">切开胃结肠韧带和胰腺包膜，在网膜囊及腹腔内置多根引流管。②坏死组织清除术</span> <span style=\"font-family:宋体\">充分切开胰腺包膜，清除胰腺及胰周坏死组织，腹腔内放置多根引流物。③规则性胰腺切除</span> <span style=\"font-family:宋体\">胰腺坏死局限者，可行规则性胰体尾部或颈部切除，胰腺切除区放置引流。④附加手术</span> <span style=\"font-family:宋体\">胆道引流、空肠营养性造口或胃造口术。</span></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('166', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '492', '概述', '<p>&nbsp; &nbsp;<span style=\"font-size:14px;font-family:宋体\">酒精肝是酒精性肝病的简称，据估计，全世界约有</span><span style=\"font-size:14px;font-family:&#39;Calibri&#39;,&#39;sans-serif&#39;\">1500</span><span style=\"font-size:14px;font-family:宋体\">万</span><span style=\"font-size:14px;font-family:&#39;Calibri&#39;,&#39;sans-serif&#39;\">-2000</span><span style=\"font-size:14px;font-family:宋体\">万人酗酒，这些人中有</span><span style=\"font-size:14px;font-family:&#39;Calibri&#39;,&#39;sans-serif&#39;\">10%-20%</span><span style=\"font-size:14px;font-family:宋体\">（</span><span style=\"font-size:14px;font-family:&#39;Calibri&#39;,&#39;sans-serif&#39;\">150</span><span style=\"font-size:14px;font-family:宋体\">万</span><span style=\"font-size:14px;font-family:&#39;Calibri&#39;,&#39;sans-serif&#39;\">-400</span><span style=\"font-size:14px;font-family:宋体\">万）有不同程度的酒精性肝病。酒精性肝病早期可无任何症状，但此时肝脏内部组织已发生了病理改变。酒精性肝病主要可分为三类，即酒精性脂肪肝，酒精性肝炎和酒精性肝硬化。这三种形式可单独或混合存在。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('167', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '492', '病理', '<p style=\"line-height:16px\">&nbsp; &nbsp; &nbsp; &nbsp;<span style=\"text-indent: 28px; font-family: 宋体;\">慢性酗酒是最常见的脂肪肝病因，如果饮酒量</span><span style=\"text-indent: 28px;\">(</span><span style=\"text-indent: 28px; font-family: 宋体;\">纯酒精</span><span style=\"text-indent: 28px;\">)&lt;80g/d</span><span style=\"text-indent: 28px; font-family: 宋体;\">，一般不会发生酒精性脂肪肝；如果饮酒量</span><span style=\"text-indent: 28px;\">&gt;80</span><span style=\"text-indent: 28px; font-family: 宋体;\">～</span><span style=\"text-indent: 28px;\">160g/d</span><span style=\"text-indent: 28px; font-family: 宋体;\">，则其发生率增长</span><span style=\"text-indent: 28px;\">5</span><span style=\"text-indent: 28px; font-family: 宋体;\">～</span><span style=\"text-indent: 28px;\">25</span><span style=\"text-indent: 28px; font-family: 宋体;\">倍；若每天进</span><span style=\"text-indent: 28px;\">300g</span><span style=\"text-indent: 28px; font-family: 宋体;\">纯酒精，</span><span style=\"text-indent: 28px;\">8</span><span style=\"text-indent: 28px; font-family: 宋体;\">天后就可出现脂肪肝。</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">长期的过度饮酒</span>,<span style=\"font-family:宋体\">通过乙醇本身和它的衍生物乙醛可使肝细胞反复发生脂肪变性、坏死和再生</span>,<span style=\"font-family:宋体\">而导致酒精性肝病</span>,<span style=\"font-family:宋体\">包括酒精性脂肪肝、酒精性肝炎、肝纤维化和肝硬化。在欧美国家</span>,<span style=\"font-family:宋体\">酒精性肝病是中青年死亡的主要原因之一。据估计，</span>1993<span style=\"font-family:宋体\">年国约有</span>1 530<span style=\"font-family:宋体\">万人酗酒</span>,<span style=\"font-family:宋体\">患有酒精性肝病者有</span>200<span style=\"font-family:宋体\">多万人；每年有</span>2.6<span style=\"font-family:宋体\">万人死于肝硬化</span>,<span style=\"font-family:宋体\">其中至少</span>40%<span style=\"font-family:宋体\">或许高达</span>90%<span style=\"font-family:宋体\">的患者有酗酒史。在我国</span>,<span style=\"font-family:宋体\">随着生活条件的改善</span>,<span style=\"font-family:宋体\">酗酒有增多趋势</span>,<span style=\"font-family:宋体\">尽管酒精性肝病的发生率尚无精确的统计</span>,<span style=\"font-family:宋体\">但并不少见。由于国内肝病主要由肝炎病毒引起</span>,<span style=\"font-family:宋体\">肝炎病毒携带者的数量更多</span>,<span style=\"font-family:宋体\">可能掩盖了实际上是酒精作为病因的肝病。</span> <span style=\"font-family:宋体\">因此正确认识酒精引起的肝损害</span>,<span style=\"font-family:宋体\">及时诊断和防治具有重要的意义。</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">正常人</span>24<span style=\"font-family:宋体\">小时体内可代谢酒精</span>120g<span style=\"font-family:宋体\">。</span> <span style=\"font-family: 宋体\">长期饮酒超过机体的代谢能力</span>,<span style=\"font-family:宋体\">可引起酒精性肝病。摄入的酒精主要在肝细胞的乙醇脱氢酶作用下变成乙醛。酒精性肝病的发生主要是乙醇和乙醛的毒性作用所致。</span> <span style=\"font-family:宋体\">乙醛为高活性化合物</span>,<span style=\"font-family:宋体\">能干扰肝细胞多方面的功能</span>,<span style=\"font-family:宋体\">如影响线粒体对</span>ATP<span style=\"font-family:宋体\">的产生</span>,<span style=\"font-family:宋体\">蛋白质的生物合成和排泌</span>,<span style=\"font-family:宋体\">损害微管，使蛋白、脂肪排泌障碍而在肝细胞内蓄积。同时乙醇、乙醛被氧化时</span>,<span style=\"font-family:宋体\">产生大量的还原型辅酶Ⅰ</span>,<span style=\"font-family:宋体\">一方面促进脂肪的合成</span>,<span style=\"font-family:宋体\">另一方面抑制线粒体内脂肪酸的氧化</span>,<span style=\"font-family:宋体\">从而导致脂肪肝的形成。已证明酒精性肝病发病中有免疫因素参与</span>,<span style=\"font-family:宋体\">如自身肝抗原和分离的酒精透明小体</span>,<span style=\"font-family:宋体\">可以刺激患者淋巴细胞转化和游走移动抑制因子活力；一些细胞因子如肿瘤坏死因子（</span>TNF<span style=\"font-family:宋体\">）、白细胞介素（</span>IL<span style=\"font-family:宋体\">）等与酒精性肝炎的发生有关。酒精引起的高乳酸血症</span>,<span style=\"font-family:宋体\">通过刺激脯氨酸羟化酶的活性和抑制脯氨酸的氧化</span>,<span style=\"font-family:宋体\">可使脯氨酸增加</span>,<span style=\"font-family:宋体\">从而使肝内胶原形成增加</span>,<span style=\"font-family:宋体\">加速肝硬化过程。一些炎性细胞因子和乙醇、乙醛的毒性作用可使肝星状细胞、肝细胞、枯否细胞活化，分泌一些细胞外基质</span>,<span style=\"font-family:宋体\">促进酒精性肝硬化发生。影响酒精性肝病发生发展的其他因素尚有乙醛代谢的遗传变异</span>,<span style=\"font-family:宋体\">如乙醇脱氢酶、细胞色素</span>P450 2E1<span style=\"font-family:宋体\">和乙醛脱氢酶的多态性。性别</span>(<span style=\"font-family:宋体\">对相同量的酒精，女性较男性更易患酒精性肝病</span>) <span style=\"font-family:宋体\">、饮食和营养也影响着酒精性肝病的发生。　</span></p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('168', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '492', '临床表现', '<p style=\"text-indent:28px\">1. <span style=\"font-family:宋体\">酒精性脂肪肝</span></p><p style=\"text-indent:28px\">2. <span style=\"font-family:宋体\">酒精性肝炎发病前往往有短期内大量饮酒史，病人有明显的体重减轻、食欲不振、恶心呕吐、全身乏力，腹痛腹泻等症状。据统计，有</span>77%<span style=\"font-family:宋体\">的病人出现食欲不振，</span>55%<span style=\"font-family:宋体\">的有恶心呕吐，</span>46%<span style=\"font-family:宋体\">的有腹痛，</span>43%<span style=\"font-family:宋体\">的病人出现体重减轻。黄疸、肝肿大和压痛为酒精性肝炎病人的常见体征。有</span>81%<span style=\"font-family:宋体\">的病人出现肝肿大，</span>77%<span style=\"font-family:宋体\">的病人有黄疸。转氨酶中度增高。</span></p><p style=\"text-indent:28px\">3. <span style=\"font-family:宋体\">酒精性肝硬化病人早期可无症状，以后出现体重减轻、食欲不振、尿色加深、腹痛、乏力、倦怠、发烧、鼻子和牙龈出血等症状。病人常见面色灰暗、巩膜黄疸、下肢浮肿、腹水等体征，也可以出现蜘蛛痣、肝掌、男性乳房发育、睾丸萎缩等肝硬化晚期体征。转氨酶轻度或中度增高。　</span></p><p style=\"text-indent: 28px;\"><span style=\"font-family:宋体\">酒精性脂肪肝的临床表现与肝脏脂肪浸润的程度成正比，在肝内过多的脂肪被移除后症状可消失。临床上以肝肿大为最常见体征，其次为肝区痛及压痛。少数病人可有轻度黄疸，实验室检查提示与胆道系统阻塞有关。重症患者可以有腹水和下肢水肿，偶见脾肿大。部分患者可以伴有维生素缺乏表现，如周围神经炎、舌炎、口角炎、皮肤瘀斑等。总之，酒精性脂肪肝缺乏特异性临床症状。</span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('169', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '492', '辅助检查', '<p>&nbsp; &nbsp; &nbsp; &nbsp;<span style=\"text-indent: 28px;\">1</span><span style=\"text-indent: 28px; font-family: 宋体;\">、血浆蛋白：血浆蛋白总量改变和白球蛋白比例倒置是最常见的生化异常，部分病人血浆蛋白电泳示α</span><span style=\"text-indent: 28px;\">1</span><span style=\"text-indent: 28px; font-family: 宋体;\">、α</span><span style=\"text-indent: 28px;\">2</span><span style=\"text-indent: 28px; font-family: 宋体;\">、β球蛋白增加。脂肪肝恢复后，血浆蛋白异常较其他指标恢复要晚，经</span><span style=\"text-indent: 28px;\">3</span><span style=\"text-indent: 28px; font-family: 宋体;\">～</span><span style=\"text-indent: 28px;\">6</span><span style=\"text-indent: 28px; font-family: 宋体;\">个月后才恢复正常。</span></p><p style=\"text-indent:28px\">2<span style=\"font-family:宋体\">、血清谷丙转氨酶</span>(ALT)<span style=\"font-family:宋体\">和谷草转氨酶</span>(AST)<span style=\"font-family:宋体\">：前者增高不明显，</span>AST/ALT&gt;2<span style=\"font-family:宋体\">有诊断意义，</span>ALT<span style=\"font-family:宋体\">升高不灵敏是因乙醛使酶的活性辅因子</span>B6<span style=\"font-family:宋体\">下降所致。肝组织内</span>ALT<span style=\"font-family:宋体\">比</span>AST<span style=\"font-family:宋体\">活性受抑制更显著。</span></p><p style=\"text-indent:28px\">3<span style=\"font-family:宋体\">、γ</span>-<span style=\"font-family:宋体\">谷氨酰基转肽酶</span>(<span style=\"font-family:宋体\">γ</span>-GT)<span style=\"font-family:宋体\">：酒精损伤肝细胞微粒体时升高较灵敏。是诊断酒精性肝病的较敏感指标。</span></p><p style=\"text-indent:28px\">4<span style=\"font-family:宋体\">、酒精口服法负荷试验：检测糖蛋白、前白蛋白、α</span>2HS<span style=\"font-family:宋体\">糖蛋白、触珠蛋白的变化、在酒精性脂肪肝时均降低。</span></p><p style=\"text-indent:28px\">5<span style=\"font-family:宋体\">、</span>B<span style=\"font-family:宋体\">超检查：</span>B<span style=\"font-family:宋体\">超下弥漫性脂肪肝可分为三种：</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">①</span> <span style=\"font-family: 宋体\">轻度脂肪肝：表现为近场回声增强，远场回声衰减不明显，肝内管状结构可见。</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">②</span> <span style=\"font-family: 宋体\">中度脂肪肝：前场回声增强，后场回声衰竭，管状结构模糊。</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">③</span> <span style=\"font-family: 宋体\">重度脂肪肝：近场回声显著增强，远场明显衰减，管状结构不清，无法辨认。局限性脂肪肝的超声改变是非均匀性分布，声像表现为多发性强回声结节，但无包块效应，必要时可行肝脏活组织检查。</span></p><p style=\"text-indent: 28px;\">6<span style=\"font-family:宋体\">、</span>CT<span style=\"font-family:宋体\">检查：其准确性优于</span>B<span style=\"font-family:宋体\">超，主要显示肝实质密度普遍或局灶性降低。</span></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('170', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '492', '诊断', '<p><strong><span style=\"font-family:宋体\">临床诊断</span></strong></p><p style=\"text-indent:28px\">1<span style=\"font-family:宋体\">、有长期大量饮酒或短期的暴饮史。</span></p><p style=\"text-indent:28px\">2<span style=\"font-family:宋体\">、有酒精性脂肪肝的临床表现及相应的实验检查异常和影像学改变。</span></p><p style=\"text-indent:28px\">3<span style=\"font-family:宋体\">、排除病毒、药物或其他原因所致的脂肪肝。据以上三点可做出临床诊断，如果有肝脏组织学上的改变可得到进一步确诊。　　</span></p><p><strong><span style=\"font-family:宋体\">组织学诊断</span></strong></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">酒精性肝病的组织学诊断可分为酒精性脂肪肝、酒精性肝炎、酒精性肝纤维化和酒精性肝硬化</span>4<span style=\"font-family:宋体\">型。</span></p><p style=\"text-indent:28px\">1. <span style=\"font-family:宋体\">酒精性脂肪肝：在酒精性肝病的组织学改变中，酒精性脂肪肝出现最早，出现率也最高。形态学上尚不能与其他原因引起的脂肪肝区别，因此诊断须依靠临床资料。低倍镜下，脂肪变性和脂肪贮积的肝细胞占肝小叶</span>1/3<span style=\"font-family:宋体\">～</span>1/2<span style=\"font-family:宋体\">为轻度脂肪肝；占肝小叶</span>1/2<span style=\"font-family:宋体\">～</span>2/3<span style=\"font-family:宋体\">为中度脂肪肝；占小叶</span>2/3<span style=\"font-family:宋体\">以上者或肝细胞弥漫脂肪变性呈鱼网状者为重度脂肪肝。部分可表现为泡沫状特殊类型的小滴型脂肪化。</span></p><p style=\"text-indent:28px\">2. <span style=\"font-family:宋体\">酒精性肝炎：酒精性肝炎组织学特点是：（</span>1<span style=\"font-family:宋体\">）肝细胞明显肿胀呈气球样变，尤为小叶中央的肝细胞，气球样变性的肝细胞内有时可见巨大的线粒体，甚至有不同程度的坏死；（</span>2<span style=\"font-family:宋体\">）门管区和小叶内有明显嗜中性多型核细胞浸润，有聚集在坏死和含酒精透明小体（</span>alcohol hyaline body<span style=\"font-family:宋体\">）的肝细胞周围的倾向；（</span>3<span style=\"font-family:宋体\">）肝细胞浆内有凝集倾向，酒精透明小体出现率高。</span></p><p style=\"text-indent:28px\">3. <span style=\"font-family:宋体\">酒精性肝纤维化：表现为细胞外间质，包括Ⅰ、Ⅲ、Ⅳ型胶原和层粘连蛋白在肝中央静脉周围和肝细胞周围沉积，形成所谓肝细胞周围纤维化。随着纤维化进展，门管区原为轻至中等程度的纤维沉积增加并扩展，并有细长纤维向小叶内延伸，形成所谓“星芒状纤维化”。</span></p><p style=\"text-indent:28px\">4. <span style=\"font-family:宋体\">酒精性肝硬化：形成的纤维隔从中央静脉到门管区分隔小叶。假小叶纤维隔一般细窄，结节较小，大小较均匀，为小结节性肝硬化，少数以小结节为主混有大结节。同时肝细胞明显脂肪变，酒精性肝炎的表现仍可存在。肝界板不清，但无碎屑样坏死。　　</span></p><p><strong><span style=\"font-family:宋体\">临床分型诊断</span></strong></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">符合酒精性肝病临床诊断标准者，其临床分型诊断如下。</span></p><p style=\"text-indent:28px\">1. <span style=\"font-family:宋体\">轻型（亚临床型）酒精性肝病：有长期饮酒史，但肝功能检查基本正常，肝组织学表现为非特异性变化或基本正常，缺乏酒精透明小体和中性粒细胞浸润。</span></p><p style=\"text-indent:28px\">2. <span style=\"font-family:宋体\">酒精性脂肪肝：病变主要在肝小叶，低倍镜下肝小叶中</span>1/3<span style=\"font-family:宋体\">以上肝细胞脂肪变性，无其他明显组织学改变，未作肝活检者影像学检查（</span>CT<span style=\"font-family:宋体\">或</span>B<span style=\"font-family:宋体\">超）有脂肪肝特异性表现。</span></p><p style=\"text-indent:28px\">3. <span style=\"font-family:宋体\">酒精性肝炎：如未作肝活检，临床酒精性肝炎应符合下列诊断标准和附加项目中</span>3<span style=\"font-family:宋体\">项或以上。</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">诊断标准：</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">（</span>1<span style=\"font-family:宋体\">）饮酒量增加可作为发病或恶化的诱因；</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">（</span>2<span style=\"font-family:宋体\">）</span>AST<span style=\"font-family:宋体\">为主的血清转氨酶升高；</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">（</span>3<span style=\"font-family:宋体\">）血清胆红素升高（＞</span>34.2<span style=\"font-family:宋体\">μ</span>mol/L<span style=\"font-family:宋体\">）。附加项目：（</span>1<span style=\"font-family:宋体\">）腹痛；（</span>2<span style=\"font-family:宋体\">）发热；（</span>3<span style=\"font-family:宋体\">）外周血象白细胞增加；（</span>4<span style=\"font-family:宋体\">）</span>ALT<span style=\"font-family:宋体\">增高＞</span>1.5ULN<span style=\"font-family:宋体\">；（</span>5<span style=\"font-family:宋体\">）</span>GGT<span style=\"font-family:宋体\">增高＞</span>2ULN.</p><p style=\"text-indent:28px\">4. <span style=\"font-family:宋体\">酒精性重型肝炎（肝功能衰竭）：酒精性肝炎合并肝性脑病等肝功能衰竭表现，或出现严重内毒素血症、急性肾功能衰竭和消化道出血等，尽管禁酒，肝脏持续肿大，凝血酶原活动度</span>&lt;40%<span style=\"font-family:宋体\">，白细胞明显增高，组织学可见多数酒精透明小体和严重肝细胞变性坏死。本型包含合并肝硬化者，但晚期肝硬化者除外。</span></p><p><span style=\"font-size:14px;font-family: &#39;Calibri&#39;,&#39;sans-serif&#39;\">5. </span><span style=\"font-size:14px;font-family:宋体\">酒精性肝纤维化和（或）肝硬化：据临床和实验室检查很难诊断酒精性肝纤维化。在未作肝活检情况下，应结合临床影像学检查结果。血清学检查，如透明质酸（</span><span style=\"font-size:14px;font-family:&#39;Calibri&#39;,&#39;sans-serif&#39;\">HA</span><span style=\"font-size:14px;font-family:宋体\">）、Ⅲ型前胶原肽（</span><span style=\"font-size:14px;font-family:&#39;Calibri&#39;,&#39;sans-serif&#39;\">P</span><span style=\"font-size:14px;font-family:宋体\">Ⅲ</span><span style=\"font-size:14px;font-family:&#39;Calibri&#39;,&#39;sans-serif&#39;\">P</span><span style=\"font-size:14px;font-family:宋体\">）、层粘连蛋白（</span><span style=\"font-size:14px;font-family:&#39;Calibri&#39;,&#39;sans-serif&#39;\">LN</span><span style=\"font-size:14px;font-family:宋体\">）和Ⅳ型胶等标志物有助于临床诊断。在诊断为肝硬化时应区分为代偿性和失代偿性。</span></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('171', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '492', '治疗', '<p>&nbsp; &nbsp;<span style=\"text-indent: 28px; font-family: 宋体;\">酒精性脂肪肝患者多数预后良好，一般在戒酒和治疗</span><span style=\"text-indent: 28px;\">1</span><span style=\"text-indent: 28px; font-family: 宋体;\">个月左右，肝内脂肪减少，轻者数月后消失，重者一到两年消失。酒精性肝炎预后较差，但如能及时禁酒和住院治疗，多数可恢复，死亡率仅</span><span style=\"text-indent: 28px;\">1.5%~8%.</span><span style=\"text-indent: 28px; font-family: 宋体;\">酒精性肝硬化的预后不良，据统计约有</span><span style=\"text-indent: 28px;\">50%</span><span style=\"text-indent: 28px; font-family: 宋体;\">左右的酒精性肝硬化病人在</span><span style=\"text-indent: 28px;\">5</span><span style=\"text-indent: 28px; font-family: 宋体;\">年内死亡。有</span><span style=\"text-indent: 28px;\">5%</span><span style=\"text-indent: 28px; font-family: 宋体;\">的病人可转化为肝癌。而据报道酒精性脂肪肝病人在没有很好治疗的情况下，</span><span style=\"text-indent: 28px;\">10~15</span><span style=\"text-indent: 28px; font-family: 宋体;\">年的时间就有可能转为肝硬化。因此，专家们强调对酒精性肝病应早期预防、早期治疗，患酒精性脂肪肝后应及时戒酒、及时治疗，以阻止其向坏的方向发展。</span></p><p><span style=\"font-size:14px;font-family:宋体\">多数病人的酒精性脂肪肝是完全可逆的，一般情况下戒酒后脂肪肝逐渐消失。但如果长期过度饮酒，可使肝细胞反复发生脂肪变性、坏死，最终发展为酒精性肝炎和酒精性肝硬化，严重者危及人的生命。脂肪肝病人偶尔可发生猝死，此为多发性脑病和肺脂肪栓塞的结果。</span></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('172', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '181', '概述', '<p>&nbsp; &nbsp;<span style=\"text-indent: 28px; font-family: 宋体;\">阑尾炎（</span><span style=\"text-indent: 28px;\">Appendicitis</span><span style=\"text-indent: 28px; font-family: 宋体;\">）是指阑尾由于多种因素而形成的炎性改变。它是一种常见病，其预后取决于是否及时的诊断和治疗。早期诊治，病人多可短期内康复，死亡率极低</span><span style=\"text-indent: 28px;\">(o.1%</span><span style=\"text-indent: 28px; font-family: 宋体;\">一</span><span style=\"text-indent: 28px;\">0.2%)</span><span style=\"text-indent: 28px; font-family: 宋体;\">；如果延误诊断和治疗可引起严重的并发症，甚至造成死亡。阑尾炎是一种常见病。临床上常有右下腹部疼痛、体温升高、呕吐和中性粒细胞增多等表现。阑尾炎是阑尾的炎症，最常见的腹部外科疾病。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('173', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '181', '病理诊断', '<p>&nbsp; &nbsp;<span style=\"text-indent: 28px; font-family: 宋体;\">根据典型的临床表现上腹部和脐部周围疼痛，化脓性阑尾炎数小时后疼痛转移到右下腹，并在右下腹有显著的触痛，一般诊断不难，但仍存在</span><span style=\"text-indent: 28px;\">20</span><span style=\"text-indent: 28px; font-family: 宋体;\">％左右的误诊率。误诊的原因除了医生的经验和技术上的问题外，还有两个主要原因：①一些急性阑尾炎的表现不典型。由于阑尾位置不正常，如高位阑尾炎易与急性胆囊炎相混淆，后位阑尾炎腹部体征较轻，盆腔位阑尾炎可出现腹泻症状；或者由于阑尾炎的发病较特殊，若阑尾突被异物堵塞或发生扭转，腹痛一开始就位于右下腹，无明显转移过程，且为阵发性，腹部体征不明显，很像是泌尿系结石或肠痉挛。此外，也存在病人的个体因素：病人的神经类型和疼痛阈以及胃肠道反应各有不同，老年人反应差，症状和体征常不能反映急性阑尾炎的实际严重程度；小儿阑尾相对体积大，就诊较晚，病史也难以询问清楚；孕妇的阑尾向上、向外或向后移位，又有子宫增大，腹部体检也与一般人不同。②一些其他急腹症表现类似急性阑尾炎，如回肠末端憩室炎、急性肠系膜淋巴结炎，以及某些妇科疾患如急性附件炎、卵巢滤泡破裂、卵巢囊肿扭转等。较小的溃疡病穿孔，穿孔很快封闭，少量十二指肠内容物流至右下腹部，也可以表现为转移性右下腹痛，而上腹部压痛不明显。有些内科疾患如急性胃肠炎、肠蛔虫症，腹型紫瘢等也有类似急性阑尾炎的临床表现。</span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('174', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '181', '临床表现', '<p>&nbsp; &nbsp;<span style=\"text-indent: 28px; font-family: 宋体;\">急性阑尾炎的典型临床表现是逐渐发生的上腹部或脐周围隐痛，数小时后腹痛转移至右下腹部。常伴有食欲不振、恶心或呕吐，发病初期除低热、乏力外，多无明显的全身症状。急性阑尾炎若不早期治疗，可以发展为阑尾坏疽及穿孔，并发限局或弥漫性腹膜炎。急性阑尾炎有</span><span style=\"text-indent: 28px;\">1</span><span style=\"text-indent: 28px; font-family: 宋体;\">％以下的死亡率</span><span style=\"text-indent: 28px;\">,</span><span style=\"text-indent: 28px; font-family: 宋体;\">发生弥漫性腹膜炎后的死亡率为</span><span style=\"text-indent: 28px;\">5</span><span style=\"text-indent: 28px; font-family: 宋体;\">～</span><span style=\"text-indent: 28px;\">10</span><span style=\"text-indent: 28px; font-family: 宋体;\">％。急性阑尾炎经非手术治疗或治愈后，可以遗留阑尾壁纤维组织增生和增厚，管腔狭窄及周围粘连，这称为慢性阑尾炎，易导致再次急性发作。发作次数越多，慢性炎症的损害也越严重，可以反复急性发作</span><span style=\"text-indent: 28px;\">,</span><span style=\"text-indent: 28px; font-family: 宋体;\">在未发作时没有症状或偶有轻度右下腹疼痛</span><span style=\"text-indent: 28px;\">,</span><span style=\"text-indent: 28px; font-family: 宋体;\">所以也称为慢性复发性阑尾炎。若病人从无急性阑尾炎病史，而主诉慢性右下腹痛，不宜轻易诊断为慢性阑尾炎而切除阑尾</span><span style=\"text-indent: 28px;\">,</span><span style=\"text-indent: 28px; font-family: 宋体;\">应注意排除其他回盲部疾病</span><span style=\"text-indent: 28px;\">,</span><span style=\"text-indent: 28px; font-family: 宋体;\">如肿瘤、结核、非特异性盲肠炎、克罗恩氏病及移动性盲肠症等，也应排除精神神经因素，否则切除阑尾会遇到困难，即或无其他病变也不一定能消除症状。</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp; 阑尾炎是腹部的常见病、多发病。大多数阑尾炎病人能及时就医，获得良好治疗。但是，有时没有引起足够的重视或处理不当，则会出现一些严重的并发症。到目前为止，急性阑尾炎仍有</span>0.1%-0.5%<span style=\"font-family:宋体\">的死亡率。阑尾炎可发生在任何年龄，但以青壮年为多见，</span>20-30<span style=\"font-family:宋体\">岁为发病高峰。　</span></p><p><span style=\"font-family:宋体\">典型阑尾炎有下列一些症状：转移性右下腹疼痛；恶心、呕吐；便秘或腹泻；低烧；食欲不振和腹胀等。</span></p><p><span style=\"font-family:宋体\">阑尾炎的腹痛开始的部位多在上腹部、剑突下或肚脐周围，约经</span>6-8<span style=\"font-family:宋体\">小时后，腹痛部位逐渐下移，最后固定于右下腹部。咳嗽、打喷嚏或按压时，右下腹都会疼痛。有上述症状，应该立即就近看医生，不要掉以轻心。</span></p><p><span style=\"font-family:宋体\">特殊类型阑尾炎，以下三种特殊人群的阑尾炎应特别予以重视：</span></p><p>1<span style=\"font-family:宋体\">、小儿急性阑尾炎：小儿急性阑尾炎发展快，病情重，穿孔率高，并发症多。一岁以内婴儿的急性阑尾炎几乎</span>100%<span style=\"font-family:宋体\">发生穿孔，两岁以内为</span>70%-80%<span style=\"font-family:宋体\">，五岁时为</span>50<span style=\"font-family:宋体\">％。小儿急性阑尾炎死亡率为</span>2<span style=\"font-family:宋体\">％—</span>3<span style=\"font-family:宋体\">％，较成年人高</span>10<span style=\"font-family:宋体\">倍。而且，小儿检查时常不合作，腹部是否有压痛的范围，程度都不易确定。确诊后应立即手术切除阑尾，加强术前准备和术后的综合治疗，以减少并发症。</span></p><p>2<span style=\"font-family:宋体\">、老年急性阑尾炎：随着我国人口的老龄化，</span>60<span style=\"font-family:宋体\">岁以上老年人急性阑尾炎的发病数有所增加。老年人常患有各种主要脏器疾病如冠心病等，急性阑尾炎的死亡率较高，而且随年龄的增高而增高。老年人抵抗力低，阑尾壁薄，血管硬化，大约</span>1/3<span style=\"font-family:宋体\">的病人就诊时阑尾已穿孔。另外，老年人反应能力低，腹部压痛不明显，临床表现不典型，由于腹肌已萎缩，即使阑尾炎已穿孔，腹部压痛也不明显，很容易误诊。</span></p><p>3<span style=\"font-family:宋体\">、妊娠期急性阑尾炎：由于孕妇生理方面的变化，一旦发生阑尾炎，其危险性较一般成人大。据统计，妊娠期急性阑尾炎的死亡率为</span>2<span style=\"font-family:宋体\">％，比一般人高</span>10<span style=\"font-family:宋体\">倍，胎儿的死亡率约为</span>20<span style=\"font-family:宋体\">％。</span></p><p><span style=\"font-family:宋体\">妊娠期急性阑尾炎的治疗，原则上首先应从孕妇安全出发，妊娠三个月内发病者，治疗原则与非妊娠期患者相同，急诊切除阑尾最佳；妊娠中期的急性阑尾炎，症状严重者仍以手术治疗为好；妊娠晚期阑尾炎，约</span>50<span style=\"font-family:宋体\">％孕妇可能早产，胎儿的死亡率较高，手术时应尽量减少对子宫的刺激。</span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('175', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '181', '诊断', '<p>1.<span style=\"font-family: 宋体;\">急性转移性右下腹痛，食欲明显减退，恶心呕吐，发热等持续＞</span>6 <span style=\"font-family: 宋体;\">小时。</span></p><p>2.<span style=\"font-family:宋体\">患儿多呈保护性姿态，如右侧卧，双腿稍屈，走路时腰弯向右侧等。腹部有局限性右下腹固定压痛或反跳痛、肌紧张等。</span></p><p>3.<span style=\"font-family:宋体\">直肠指诊可在前右侧壁触痛及水肿或肿块或可触及肿胀的阑尾。腰大肌试验、闭孔肌试验有助于区别盲肠后位、盆腔位阑尾炎的诊断。</span></p><p><span style=\"font-size:14px;font-family: &#39;Calibri&#39;,&#39;sans-serif&#39;\">4.</span><span style=\"font-size:14px;font-family:宋体\">白细胞总数和中性粒细胞比例增高。　</span></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('176', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '181', '治疗', '<p>&nbsp; &nbsp;<span style=\"text-indent: 28px; font-family: 宋体;\">单纯性急性阑尾炎采用非手术疗法，多数病人可治愈，但遗有慢性炎症或管腔狭小者易于复发，所以急性阑尾炎一旦诊断明确，仍应急诊手术将病变的阑尾切除。妊娠期因盆腔充血，阑尾炎症发展更快，所以也应及时手术。诊断不明者，若病人有局部腹膜炎表现或全身感染证明显，也应开腹检查，以免延误治疗。术中若发现阑尾无急性炎症表现，则应探查有无其他急性病变。病人就诊时若阑尾炎已形成周围脓肿，应先行非手术治疗，脓肿吸收后，过</span><span style=\"text-indent: 28px;\">3</span><span style=\"text-indent: 28px; font-family: 宋体;\">个月或半年再切除阑尾。</span></p><p>1.<span style=\"font-family:宋体\">手术治疗</span></p><p><span style=\"font-family:宋体\">绝大多数急性阑尾炎一旦确诊，应早期施行阑尾切除术（</span>appendecto-my<span style=\"font-family:宋体\">）。早期手术系指阑尾炎症还处于管腔阻塞或仅有充血水肿时就手术切除，此时手术操作较简易，术后并发症少。如化脓坏疽或穿孔后再手术，不但操作困难且术后并发症会明显增加。术前即应用抗生素，有助于防止术后感染的发生。</span></p><p>2.<span style=\"font-family:宋体\">非手术治疗</span></p><p><span style=\"font-size:14px;font-family:宋体\">仅适用于单纯性阑尾炎及急性阑尾炎的早期阶段，病人不接受手术治疗或客观条件不允许，或伴存其他严重器质性疾病有手术禁忌证者。主要措施包括选择有效的抗生素和补液治疗。也可经肛门直肠内给予抗生素栓剂。</span></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('183', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '500', '概述', '<p><span style=\"color: rgb(0, 0, 0); font-family: 宋体; text-decoration: none;\">&nbsp; &nbsp; 上呼吸道感染简称上感，又称普通</span><a href=\"https://baike.baidu.com/item/%E6%84%9F%E5%86%92/502565\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">感冒</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">。是包括鼻腔、咽或喉部急性炎症的总称。广义的上感不是一个疾病诊断，而是一组疾病，包括普通感冒、病毒性</span><a href=\"https://baike.baidu.com/item/%E5%92%BD%E7%82%8E/534586\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">咽炎</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">、</span><a href=\"https://baike.baidu.com/item/%E5%96%89%E7%82%8E/2533397\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">喉炎</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">、</span><a href=\"https://baike.baidu.com/item/%E7%96%B1%E7%96%B9%E6%80%A7%E5%92%BD%E5%B3%A1%E7%82%8E/2049092\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">疱疹性咽峡炎</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">、</span><a href=\"https://baike.baidu.com/item/%E5%92%BD%E7%BB%93%E8%86%9C%E7%83%AD/9882185\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">咽结膜热</span></a><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">、细菌性咽</span>-</span><a href=\"https://baike.baidu.com/item/%E6%89%81%E6%A1%83%E4%BD%93%E7%82%8E/555355\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">扁桃体炎</span></a><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">。狭义的上感又称普通感冒，是最常见的急性呼吸道感染性疾病，多呈自限性，但发生率较高。成人每年发生</span>2<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">～</span>4<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">次，儿童发生率更高，每年</span>6<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">～</span>8<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">次。全年皆可发病，冬春季较多。</span></span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('184', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '500', '病因', '<p><span style=\"font-family: 宋体;\"> &nbsp; </span><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">&nbsp;上呼吸道感染有</span>70%<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">～</span>80%<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">由病毒引起。包括鼻病毒、冠状病毒、腺病毒、流感和副流感病毒、呼吸道合胞病毒、埃可病毒、柯萨奇病毒等。另有</span>20%<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">～</span>30%<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">的上感由细菌引起。细菌感染可直接感染或继发于病毒感染之后，以溶血性链球菌为最常见，其次为流感嗜血杆菌、</span></span><a href=\"https://baike.baidu.com/item/%E8%82%BA%E7%82%8E/1083485\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">肺炎</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">球菌、葡萄球菌等，偶或为革兰阴性细菌。</span></p><p><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">&nbsp; &nbsp; 各种导致全身或呼吸道局部防御功能降低的原因，如受凉、淋雨、气候突变、过度疲劳等可使原已存在于上呼吸道的或从外界侵入的病毒或细菌迅速繁殖，从而诱发本病。老幼体弱，免疫功能低下或患有慢性呼吸道疾病的患者易感。</span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('185', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '500', '临床表现', '<p><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">根据病因和病变范围的不同，临床表现可有不同的类型：</span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">1. </span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">普通</span></span><a href=\"https://baike.baidu.com/item/%E6%84%9F%E5%86%92/502565\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">感冒</span></a><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">&nbsp; </span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">俗称</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">“</span></span><a href=\"https://baike.baidu.com/item/%E4%BC%A4%E9%A3%8E/8335158\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">伤风</span></a><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">”</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">，又称急性</span></span><a href=\"https://baike.baidu.com/item/%E9%BC%BB%E7%82%8E/190075\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">鼻炎</span></a><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">或上呼吸道卡他，多由鼻病毒引起，其次为冠状病毒、副流感病毒、呼吸道合胞病毒、埃可病毒、柯萨奇病毒等引起。</span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">起病较急，潜伏期</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">1</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">～</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">3</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">天不等，随病毒而异，肠病毒较短，腺病毒、呼吸道合胞病毒等较长。主要表现为鼻部症状，如喷嚏、鼻塞、流清水样鼻涕，也可表现为咳嗽、咽干、咽痒或灼热感，甚至鼻后滴漏感。发病同时或数小时后可有喷嚏、鼻塞、流清水样鼻涕等症状。</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">2</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">～</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">3</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">天后鼻涕变稠，常伴咽痛、流泪、味觉减退、呼吸不畅、声嘶等。一般无发热及全身症状，或仅有低热、不适、轻度畏寒、</span></span><a href=\"https://baike.baidu.com/item/%E5%A4%B4%E7%97%9B/340011\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">头痛</span></a><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">。体检可见鼻腔黏膜充血、</span><a href=\"https://baike.baidu.com/item/%E6%B0%B4%E8%82%BF/253990\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">水肿</span></a><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">、有分泌物，咽部轻度充血。</span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">并发咽鼓管炎时可有听力减退等症状。脓性痰或严重的下呼吸道症状提示合并鼻病毒以外的病毒感染或继发细菌性感染。如无并发症，</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">5</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">～</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">7</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">天可痊愈。</span></span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">2. </span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">急</span></span><a href=\"https://baike.baidu.com/item/%E6%80%A7%E7%97%85/292397\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">性病</span></a><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">毒性</span><a href=\"https://baike.baidu.com/item/%E5%92%BD%E7%82%8E/534586\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">咽炎</span></a><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">或</span><a href=\"https://baike.baidu.com/item/%E5%96%89%E7%82%8E/2533397\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">喉炎</span></a></p><p style=\"margin-left: 14px\"><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">（</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">1</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">）急</span></span><a href=\"https://baike.baidu.com/item/%E6%80%A7%E7%97%85/292397\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">性病</span></a><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">毒性</span><a href=\"https://baike.baidu.com/item/%E5%92%BD%E7%82%8E/534586\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">咽炎</span></a><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">&nbsp;</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">多由鼻病毒、腺病毒、流感病毒、副流感病毒以及肠道病毒、呼吸道合胞病毒等引起。临床特征为咽部发痒或灼热感，咳嗽少见，咽痛不明显。当吞咽疼痛时，常提示有</span></span><a href=\"https://baike.baidu.com/item/%E9%93%BE%E7%90%83%E8%8F%8C%E6%84%9F%E6%9F%93/981682\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">链球菌感染</span></a><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">。流感病毒和</span><a href=\"https://baike.baidu.com/item/%E8%85%BA%E7%97%85%E6%AF%92%E6%84%9F%E6%9F%93/2924874\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">腺病毒感染</span></a><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">时可有发热和乏力。腺病毒</span><a href=\"https://baike.baidu.com/item/%E5%92%BD%E7%82%8E/534586\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">咽炎</span></a><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">可伴有眼结合膜炎。体检咽部明显充血</span><a href=\"https://baike.baidu.com/item/%E6%B0%B4%E8%82%BF/253990\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">水肿</span></a><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">，颌下淋巴结肿大且触痛。</span></p><p style=\"margin-left: 14px\"><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">（</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">2</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">）急</span></span><a href=\"https://baike.baidu.com/item/%E6%80%A7%E7%97%85/292397\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">性病</span></a><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">毒性</span><a href=\"https://baike.baidu.com/item/%E5%96%89%E7%82%8E/2533397\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">喉炎</span></a><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">&nbsp;</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">多由鼻病毒、甲型流感病毒、副流感病毒及腺病毒等引起。临床特征为声嘶、讲话困难、咳嗽时疼痛，常有发热、咽痛或咳嗽。体检可见喉部</span></span><a href=\"https://baike.baidu.com/item/%E6%B0%B4%E8%82%BF/253990\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">水肿</span></a><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">、充血，局部淋巴结轻度肿大和触痛，可闻及喉部的喘鸣音。</span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">3. </span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">急性</span></span><a href=\"https://baike.baidu.com/item/%E7%96%B1%E7%96%B9%E6%80%A7%E5%92%BD%E5%B3%A1%E7%82%8E/2049092\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">疱疹性咽峡炎</span></a></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">常由柯萨奇病毒</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">A</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">引起，表现为明显咽痛、发热，病程约</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">1</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">周，多于夏季发作，儿童多见，偶见于成年人。体检可见咽充血，软腭、悬雍垂、咽及扁桃体表面有灰白色疱疹及浅表溃疡，周围有红晕，以后形成疱疹。</span></span></p><p><span style=\"font-size: 12px; color: rgb(0, 0, 0); text-decoration: none;\">4. </span><a href=\"https://baike.baidu.com/item/%E5%92%BD%E7%BB%93%E8%86%9C%E7%83%AD/9882185\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">咽结膜热</span></a><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">&nbsp; </span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">主要由腺病毒、柯萨奇病毒等引起。临床表现有发热、咽痛、畏光、流泪，体检可见咽及结合膜明显充血。病程</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">4</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">～</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">6</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">天，常发生于夏季，儿童多见，游泳者易于传播。</span></span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">5. </span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">细菌性咽</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">-</span></span><a href=\"https://baike.baidu.com/item/%E6%89%81%E6%A1%83%E4%BD%93%E7%82%8E/555355\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">扁桃体炎</span></a><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">&nbsp; </span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">多由溶血性链球菌，其次为流感嗜血杆菌、</span></span><a href=\"https://baike.baidu.com/item/%E8%82%BA%E7%82%8E/1083485\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">肺炎</span></a><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">球菌、葡萄球菌等引起。起病急、明显咽痛、畏寒、发热（体温可达</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">39℃</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">以上）。体检可见咽部明显充血，扁桃体肿大、充血，表面有黄色脓性分泌物，颌下淋巴结肿大、压痛，肺部无异常体征。</span></span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('186', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '500', '辅助检查', '<p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\">1. <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">血常规</span>&nbsp; <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">病毒性感染时，白细胞计数多正常或偏低，淋巴细胞比例升高；细菌感染时，白细胞计数常增多，有中性粒细胞增多或核左移现象。</span></span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">2. </span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">病原学检查</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">&nbsp; </span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">因病毒类型繁多，且明确类型对治疗无明显帮助，一般无需明确病原学检查。必要时可用免疫荧光法、酶联免疫吸附法、病毒分离鉴定、病毒血清学检查等确定病毒类型。细菌培养可判断细菌类型并做药物敏感试验以指导临床用药。</span></span></p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('187', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '500', '诊断与鉴别诊断', '<p><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">根据病史、流行病学、鼻咽部的症状体征，结合周围血象和阴性胸部影像学检查可做出临床诊断。特殊情况下可行细菌培养或病毒分离，或病毒血清学检查等确定病原体。<br/></span></p><p><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">鉴别诊断</span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">1. </span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">过敏性</span></span><a href=\"https://baike.baidu.com/item/%E9%BC%BB%E7%82%8E/190075\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">鼻炎</span></a><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">&nbsp; </span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">临床上很像</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">“</span></span><a href=\"https://baike.baidu.com/item/%E4%BC%A4%E9%A3%8E/8335158\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">伤风</span></a><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">”</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">，不同之处包括：</span></span></p><p style=\"margin-left: 14px\"><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">（</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">1</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">）起病急骤、鼻腔发痒、喷嚏频繁、鼻涕呈清水样，无发热，咳嗽较少；</span></span></p><p style=\"margin-left: 14px\"><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">（</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">2</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">）多由过敏因素如螨虫、灰尘、动物皮毛、低温等刺激引起；</span></span></p><p style=\"margin-left: 14px\"><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">（</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">3</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">）如脱离过敏源，数分钟及</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">1</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">～</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">2</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">小时内症状即消失；</span></span></p><p style=\"margin-left: 14px\"><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">（</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">4</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">）体检可见鼻黏膜苍白、</span></span><a href=\"https://baike.baidu.com/item/%E6%B0%B4%E8%82%BF/253990\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">水肿</span></a><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">；</span></p><p style=\"margin-left: 14px\"><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">（</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">5</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">）鼻分泌物涂片可见嗜酸性粒细胞增多。</span></span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">2. </span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">流行性</span></span><a href=\"https://baike.baidu.com/item/%E6%84%9F%E5%86%92/502565\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">感冒</span></a><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">&nbsp; </span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">为流感病毒所致的急性呼吸道传染性疾病，传染性强，常有较大范围的流行。临床特点：</span></span></p><p style=\"margin-left: 14px\"><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">（</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">1</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">）起病急，全身症状重，畏寒、高热、全身酸痛、眼</span></span><a href=\"https://baike.baidu.com/item/%E7%BB%93%E8%86%9C%E7%82%8E/1247696\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">结膜炎</span></a><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">症明显，部分患者有恶心、呕吐、</span><a href=\"https://baike.baidu.com/item/%E8%85%B9%E6%B3%BB/2193261\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">腹泻</span></a><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">等消化道症状。</span></p><p style=\"margin-left: 14px\"><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">（</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">2</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">）鼻咽部症状较轻。</span></span></p><p style=\"margin-left: 14px\"><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">（</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">3</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">）病毒为流感病毒，必要时可通过病毒分离或血清学明确诊断。</span></span></p><p style=\"margin-left: 14px\"><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">（</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">4</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">）早期应用抗流感病毒药物如金刚烷胺、奥司他韦疗效显著。</span></span></p><p style=\"margin-left: 14px\"><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">（</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">5</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">）可通过注射流感疫苗进行预防。</span></span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">3. </span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">急性传染病</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">&nbsp; </span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">某些急性传染病（如</span></span><a href=\"https://baike.baidu.com/item/%E9%BA%BB%E7%96%B9/87596\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">麻疹</span></a><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">、流行性</span><a href=\"https://baike.baidu.com/item/%E5%87%BA%E8%A1%80%E7%83%AD/10370582\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">出血热</span></a><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">、</span><a href=\"https://baike.baidu.com/item/%E6%B5%81%E8%A1%8C%E6%80%A7%E8%84%91%E8%84%8A%E9%AB%93%E8%86%9C%E7%82%8E/1124757\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">流行性脑脊髓膜炎</span></a><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">、</span><a href=\"https://baike.baidu.com/item/%E8%84%8A%E9%AB%93%E7%81%B0%E8%B4%A8%E7%82%8E/1163153\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">脊髓灰质炎</span></a><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">、</span><a href=\"https://baike.baidu.com/item/%E4%BC%A4%E5%AF%92/370963\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">伤寒</span></a><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">、斑疹</span><a href=\"https://baike.baidu.com/item/%E4%BC%A4%E5%AF%92/370963\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">伤寒</span></a><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">）在患病初期常有上呼吸道症状，在这些病的流行季节或流行区应密切观察，并进行必要的实验室检查，以资鉴别。</span></p><p style=\"margin-left: 14px\"><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">（</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">1</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">）</span></span><a href=\"https://baike.baidu.com/item/%E9%BA%BB%E7%96%B9/87596\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">麻疹</span></a><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">&nbsp;</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">上呼吸道感染的症状为前驱期症状，约有</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">90%</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">的患者在发病后</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">2</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">～</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">3</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">天在上颌第二磨牙部位的颊黏膜上可见灰白色小斑点（科氏斑），上感无科氏斑。</span></span></p><p style=\"margin-left: 14px\"><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">（</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">2</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">）流行性</span></span><a href=\"https://baike.baidu.com/item/%E5%87%BA%E8%A1%80%E7%83%AD/10370582\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">出血热</span></a><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">&nbsp;</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">主要传染源是鼠类，流行具有地区性。可有</span></span><a href=\"https://baike.baidu.com/item/%E5%A4%B4%E7%97%9B/340011\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">头痛</span></a><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">、腰痛、眼眶痛（俗称三痛）症状，发热、出血及肾损害为</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">3</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">大主征，典型患者可有发热期、</span></span><a href=\"https://baike.baidu.com/item/%E4%BD%8E%E8%A1%80%E5%8E%8B/1772945\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">低血压</span></a><a href=\"https://baike.baidu.com/item/%E4%BC%91%E5%85%8B/489775\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">休克</span></a><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">期、少尿期、多尿期及恢复期</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">5</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">期。上感全身中毒症状轻，主要以鼻咽部卡他症状为主。</span></span></p><p style=\"margin-left: 14px\"><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">（</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">3</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">）</span></span><a href=\"https://baike.baidu.com/item/%E6%B5%81%E8%A1%8C%E6%80%A7%E8%84%91%E8%84%8A%E9%AB%93%E8%86%9C%E7%82%8E/1124757\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">流行性脑脊髓膜炎</span></a><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">&nbsp;</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">部分患者初期有咽痛、鼻咽部分泌物增多症状，很快进入</span></span><a href=\"https://baike.baidu.com/item/%E8%B4%A5%E8%A1%80%E7%97%87/629320\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">败血症</span></a><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">及</span><a href=\"https://baike.baidu.com/item/%E8%84%91%E8%86%9C%E7%82%8E/2122235\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">脑膜炎</span></a><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">期，出现寒战、高热、</span><a href=\"https://baike.baidu.com/item/%E5%A4%B4%E7%97%9B/340011\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">头痛</span></a><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">、皮疹。后期可有剧烈</span><a href=\"https://baike.baidu.com/item/%E5%A4%B4%E7%97%9B/340011\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">头痛</span></a><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">病出现脑膜刺激征。主要传染源是带菌者，通过飞沫传播。</span></p><p style=\"margin-left: 14px\"><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">（</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">4</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">）</span></span><a href=\"https://baike.baidu.com/item/%E8%84%8A%E9%AB%93%E7%81%B0%E8%B4%A8%E7%82%8E/1163153\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">脊髓灰质炎</span></a><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">&nbsp;</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">是由</span></span><a href=\"https://baike.baidu.com/item/%E8%84%8A%E9%AB%93%E7%81%B0%E8%B4%A8%E7%82%8E/1163153\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">脊髓灰质炎</span></a><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">病毒引起的急性传染病，未应用疫苗的儿童易感。前驱期大多出现上感症状，部分进入</span><a href=\"https://baike.baidu.com/item/%E7%98%AB%E7%97%AA/9947450\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">瘫痪</span></a><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">前期，出现体温上升、肢体疼痛、感觉过敏等神经系统症状，</span><a href=\"https://baike.baidu.com/item/%E7%98%AB%E7%97%AA/9947450\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">瘫痪</span></a><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">器出现肢体不对称性、弛缓性</span><a href=\"https://baike.baidu.com/item/%E7%98%AB%E7%97%AA/9947450\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">瘫痪</span></a><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">，多见于单侧下肢。</span></p><p style=\"margin-left: 14px\"><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">（</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">5</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">）</span></span><a href=\"https://baike.baidu.com/item/%E4%BC%A4%E5%AF%92/370963\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">伤寒</span></a><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">&nbsp;</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">发热为期最早期症状，可伴有上感症状，但常有缓脉、</span></span><a href=\"https://baike.baidu.com/item/%E8%84%BE%E5%A4%A7/8944945\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">脾大</span></a><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">或玫瑰疹，</span><a href=\"https://baike.baidu.com/item/%E4%BC%A4%E5%AF%92/370963\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\" style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0);\">伤寒</span></a><span style=\"font-size: 12px; font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">病原学与血清学检查阳性，病程较长。</span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">（</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: Calibri, sans-serif;\">6</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">）斑疹</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 14px; font-family: Calibri, sans-serif;\"><a href=\"https://baike.baidu.com/item/%E4%BC%A4%E5%AF%92/370963\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\"><span style=\"text-decoration: none; font-size: 12px; font-family: 宋体; color: windowtext;\">伤寒</span></a></span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: Calibri, sans-serif;\">&nbsp;</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">流行性斑疹伤寒多见于冬春，地方性斑疹伤寒多见于夏秋。一般起病急，脉搏较速，多有明显</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 14px; font-family: Calibri, sans-serif;\"><a href=\"https://baike.baidu.com/item/%E5%A4%B4%E7%97%9B/340011\" target=\"https://baike.baidu.com/item/%E4%B8%8A%E5%91%BC%E5%90%B8%E9%81%93%E6%84%9F%E6%9F%93/_blank\"><span style=\"text-decoration: none; font-size: 12px; font-family: 宋体; color: windowtext;\">头痛</span></a></span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">。发病第</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: Calibri, sans-serif;\">5</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">～</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: Calibri, sans-serif;\">6</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">天出现皮疹，数量多且可有出血性皮疹。外斐反应阳性。</span></span></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('188', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '500', '治疗', '<p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\">1. <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">对症治疗</span></span></p><p style=\"margin-left: 14px\"><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">（</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">1</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">）休息</span> <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">病情较重或年老体弱者应卧床休息，忌烟、多饮水，室内保持空气流通。</span></span></p><p style=\"margin-left: 14px\"><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">（</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">2</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">）解热镇痛</span> <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">如有发热、头痛、肌肉酸痛等症状者，可选用解热镇痛药，如复方阿司匹林、对乙酰氨基酚、吲哚美辛（消炎痛）、去痛片、布洛芬等。咽痛可用各种喉片如溶菌酶片、咽喉片，或中药六神丸等口服。</span></span></p><p style=\"margin-left: 14px\"><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">（</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">3</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">）减充血剂</span> <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">鼻塞、鼻黏膜充血水肿时，可使用盐酸伪麻黄碱，也可用</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">1%</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">麻黄碱滴鼻。</span></span></p><p style=\"margin-left: 14px\"><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">（</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">4</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">）抗组胺药</span> <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">感冒时常有鼻黏膜敏感性增高，频繁打喷嚏、流鼻涕，可选用马来酸氯苯那敏或苯海拉明等抗组胺药。</span></span></p><p style=\"margin-left: 14px\"><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">（</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">5</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">）镇咳剂</span> <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">对于咳嗽症状较明显者，可给予右美沙芬、喷托维林等镇咳药。</span></span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">2. </span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">病因治疗</span></span></p><p style=\"margin-left: 14px\"><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">（</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">1</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">）抗菌药物治疗</span> <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">单纯病毒感染无需使用抗菌药物，有白细胞计数升高、咽部脓苔、咳黄痰等细菌感染证据时，可酌情使用青霉素、第一代头孢菌素、大环内酯类或喹诺酮类。极少需要根据病原菌选用敏感的抗菌药物。</span></span></p><p style=\"margin-left: 14px\"><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">（</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">2</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">）抗病毒药物治疗</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\"> </span></span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">3. </span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">预后</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">&nbsp; </span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">具有清热解毒和抗病毒作用的中药亦可选用，有助于改善症状，缩短病程。小柴胡冲剂、板蓝根冲剂应用较为广泛。</span></span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">4. </span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">预防</span></span></p><p style=\"margin-left: 14px\"><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">①</span> <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">避免诱因</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">&nbsp; </span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">避免受凉、淋雨、过度疲劳；避免与感冒患者接触，避免脏手接触口、眼、鼻。年老体弱易感者更应注意防护，上呼吸道感染流行时应戴口罩，避免在人多的公共场合出入。</span></span></p><p style=\"margin-left: 14px\"><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">②</span> <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">增强体质</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">&nbsp; </span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">坚持适度有规律的户外运动，提高机体免疫力与耐寒能力是预防本病的主要方法。</span></span></p><p style=\"margin-left: 14px;\"><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">③</span> <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">免疫调节药物和疫苗</span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px;\">&nbsp; </span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-size: 12px; font-family: 宋体;\">对于经常、反复发生本病以及老年免疫力低下的患者，可酌情应用免疫增强剂。目前除流感病毒外，尚没有针对其他病毒的疫苗。</span></span></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('189', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '874', '概述', '<p><span style=\"font-family:宋体\">&nbsp; &nbsp; 胰头癌是起源于胰腺头部的恶性程度极高的消化系统肿瘤。胰腺恶性肿瘤中我们通常所说的胰腺癌是指胰腺的外分泌肿瘤，它约占胰腺恶性肿瘤的</span>90%<span style=\"font-family:宋体\">以上，占全身恶性肿瘤的</span>1%<span style=\"font-family:宋体\">～</span>2%<span style=\"font-family:宋体\">，近年来国内外发病率均有明显增加的趋势。胰腺癌恶性程度高，发展迅速，不易早期发现、切除率低和预后差为本病的特点。可切除病人</span>5<span style=\"font-family:宋体\">年生存率不到</span>5%<span style=\"font-family:宋体\">，居恶性肿瘤死亡原因的第四位。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('190', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '874', '临床表现', '<p>&nbsp; &nbsp;<span style=\"font-family: 宋体;\">胰头癌的症状主要包括中上腹部饱胀不适、隐痛、钝痛、胀痛；恶心、食欲不振或饮食习惯改变；体重减轻；黄疸，皮肤瘙痒、小便色黄、大便色淡甚至呈白陶土样；排便习惯改变、脂肪泻；抑郁；胰腺炎发作；糖尿病症状；消化道出血，贫血，发热，血栓性静脉炎或动静脉血栓形成，小关节红、肿、热、痛，关节周围皮下脂肪坏死，原因不明的睾丸疼痛等。大多数胰头癌患者早期无明显相关阳性体征。胰头癌的体征主要包括皮肤、巩膜黄染，肝脏、胆囊、脾肿大，上腹部压痛或包块。出现腹水、腹部包块、浅表淋巴结肿大等往往提示晚期病变。</span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('191', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '874', '辅助检查', '<p>1.<span style=\"font-family: 宋体;\">实验室检查</span></p><p><span style=\"font-family:宋体\">血清生化检查可有血、尿淀粉酶的一过性升高，空腹或餐后血糖升高，糖耐量试验有异常曲线。胆道梗阻时，血清总胆红素和直接胆红素升高，碱性磷酸酶、转氨酶也可轻度升高，尿胆红素阳性。</span></p><p>2.<span style=\"font-family:宋体\">影像学检查</span></p><p><span style=\"font-family:宋体\">影像学诊断技术是胰头癌的定位和定性诊断的重要手段。</span></p><p><span style=\"font-family:宋体\">（</span>1<span style=\"font-family:宋体\">）</span>B<span style=\"font-family:宋体\">超可显示肝内、外胆管扩张，胆囊胀大，胰管扩张（正常直径≤</span>3mm<span style=\"font-family:宋体\">），胰头部占位病变。同时可观察有无肝转移和淋巴结转移。</span></p><p><span style=\"font-family:宋体\">（</span>2<span style=\"font-family:宋体\">）内镜超声优于普通</span>B<span style=\"font-family:宋体\">超。</span></p><p><span style=\"font-family:宋体\">（</span>3<span style=\"font-family:宋体\">）胃肠钡餐造影胰头癌肿块较大可显示十二指肠曲扩大和反“</span>3<span style=\"font-family:宋体\">”字征。低张力造影可提高阳性发现率。</span></p><p><span style=\"font-family:宋体\">（</span>4<span style=\"font-family:宋体\">）</span>CT<span style=\"font-family:宋体\">胰腺区动态薄层增强扫描可获得优于</span>B<span style=\"font-family:宋体\">超的效果，且不受肠道气体的影响，对判定肿瘤可切除性也具有重要意义。</span></p><p><span style=\"font-family:宋体\">（</span>5<span style=\"font-family:宋体\">）</span>ERCP<span style=\"font-family:宋体\">可显示胆管和胰管近壶腹侧影像或肿瘤引起的胆、胰管扩张的影像。此种检查可能引起急性胰腺炎或胆道感染，应予警惕。</span></p><p><span style=\"font-family:宋体\">（</span>6<span style=\"font-family:宋体\">）</span>MRI<span style=\"font-family:宋体\">或磁共振胆胰管造影（</span>MRCP<span style=\"font-family:宋体\">）单纯</span>MRI<span style=\"font-family:宋体\">诊断并不优于增强</span>CT<span style=\"font-family:宋体\">。</span>MRCP<span style=\"font-family:宋体\">能显示胰、胆管梗阻的部位、扩张程度，具有重要的诊断价值，具有无创性、多角度成像、定位准确、无并发症等优点。</span></p><p><span style=\"font-family:宋体\">（</span>7<span style=\"font-family:宋体\">）选择性动脉造影对胰头癌的诊断价值不大，但对显示肿瘤与邻近血管的关系以估计根治手术的可行性有一定意义。</span></p><p><span style=\"font-family:宋体\">（</span>8<span style=\"font-family:宋体\">）经皮细针穿刺细胞学检查在</span>B<span style=\"font-family:宋体\">超或</span>CT<span style=\"font-family:宋体\">引导下穿刺肿瘤作细胞学检查，阳性率可达</span>80%<span style=\"font-family:宋体\">左右。</span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('192', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '874', '诊断', '<p><strong><span style=\"font-family:宋体\">诊断</span></strong></p><p><span style=\"font-family:宋体\">胰头癌表现多种多样，诊断时须密切结合临床，以提高诊断率。</span>CT<span style=\"font-family:宋体\">仍为重要检查方式。主要依据临床表现和影像学检查确诊。</span></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('193', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '874', '治疗', '<p>1.<span style=\"font-family: 宋体;\">手术治疗</span></p><p><span style=\"font-family:宋体\">手术切除是胰头癌有效的治疗方法。尚无远处转移的胰头癌，均应争取手术切除，以延长生存时间和改善生存质量。常用的手术方式：</span></p><p><span style=\"font-family:宋体\">（</span>1<span style=\"font-family:宋体\">）胰头十二指肠切除术切除范围包括胰头（含钩突）、远端胃、十二指肠、上段空肠、胆囊和胆总管。尚需同时清除相关的淋巴结。切除后再将胰、胆和胃与空肠重建。重建的术式有多种。</span></p><p><span style=\"font-family:宋体\">（</span>2<span style=\"font-family:宋体\">）保留幽门的胰头十二指肠切除术该术式近年来在国外较多采用，适用于幽门上下淋巴结无转移、十二指肠切缘无癌细胞残留者。</span></p><p><span style=\"font-family:宋体\">（</span>3<span style=\"font-family:宋体\">）姑息性手术适用于高龄、已有肝转移、肿瘤已不能切除或合并明显心肺功能障碍不能耐受较大手术的病人。包括用胆肠吻合术解除胆道梗阻、用胃空肠吻合术解除或预防十二指肠梗阻。为减轻疼痛，可在术中行内脏神经节周围注射无水乙醇的化学性内脏神经切断术或行腹腔神经结节切除术。</span></p><p>2.<span style=\"font-family:宋体\">化疗和放疗</span></p><p><span style=\"font-family:宋体\">（</span>1<span style=\"font-family:宋体\">）化疗原则全身化疗用于辅助性治疗和局部晚期无法切除以及有远处转移的胰腺癌病人。</span></p><p><span style=\"font-family:宋体\">（</span>2<span style=\"font-family:宋体\">）化疗的途径推荐采用静脉全身化疗和动脉灌注化疗。</span></p><p>3.<span style=\"font-family:宋体\">其他辅助治疗</span></p><p><span style=\"font-size:14px;font-family:宋体\">包括射频组织灭活、冷冻、高能聚焦超声、γ刀及生物治疗等。目前尚没有明确证据显示其能够延长生存期。</span></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('201', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1479', '概述', '<p>&nbsp; &nbsp;<span style=\"text-indent: 28px; font-family: 宋体;\">自身免疫性胰腺炎</span><span style=\"text-indent: 28px;\">(autoimmune pancreatitis</span><span style=\"text-indent: 28px; font-family: 宋体;\">，</span><span style=\"text-indent: 28px;\">AIP)</span><span style=\"text-indent: 28px; font-family: 宋体;\">，是胰腺对自身成分作为抗原由</span><span style=\"text-indent: 28px;\">CD4</span><span style=\"text-indent: 28px; font-family: 宋体;\">阳性的辅助细胞的识别产生免疫应答的结果而造成胰腺的炎症性病变。无胰腺管特异抗体的客观诊断，影像学和非特异抗体的诊断占很大的比重。显示胰管弥漫性狭窄的影像为胰管狭窄性慢性胰腺炎，但是不能否定无胰管狭窄影像而与自身免疫疾患相关的胰腺炎</span><span style=\"text-indent: 28px;\">(</span><span style=\"text-indent: 28px; font-family: 宋体;\">自身免疫疾病合并的胰腺炎</span><span style=\"text-indent: 28px; font-family: 宋体;\">。</span></p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('202', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1479', '发病机制', '<p>&nbsp; &nbsp; 1.<span style=\"font-family: 宋体;\">分类</span><br/></p><p>&nbsp;&nbsp;&nbsp; (1)<span style=\"font-family:宋体\">胰管狭窄型慢性胰腺炎：主胰管经过的全部胰腺管变细，不规整并伴有胰腺明显肿大，胰腺弥漫性炎症。高γ球蛋白血症和自身抗体阳性，胰腺内淋巴细胞浸润伴有高度的纤维化，类固醇激素治疗有显著的疗效。也称为胰管狭窄型自身免疫相关联胰腺炎</span>(duct-narrowing autoimmune related pancreatitis<span style=\"font-family:宋体\">，</span>DNAIP)<span style=\"font-family:宋体\">。</span></p><p>&nbsp;&nbsp;&nbsp; (2)<span style=\"font-family:宋体\">局限性胰管狭窄型慢性胰腺炎：与弥漫性狭窄性胰腺炎相对应的，胰管的非狭窄部位或是分支部分的不规则炎症的变化。胰管狭窄型慢性胰腺炎和局限性胰管狭窄型慢性胰腺炎是相互关联的，局限型可能是弥漫型的初期或是治愈过程的某一时期，弥漫型是局限型加重的病变期。因此，胰管狭窄长度在</span>2/3<span style=\"font-family:宋体\">以上认为是弥漫狭窄型，在</span>2/3<span style=\"font-family:宋体\">以下认为是局限型。这是诊断弥漫狭窄胰腺炎的基础，要除外短的狭窄像显示的局限性病变和肿瘤性病变。</span></p><p>&nbsp;&nbsp;&nbsp; 2.<span style=\"font-family:宋体\">病理</span></p><p>&nbsp;&nbsp;&nbsp; (1)<span style=\"font-family:宋体\">胰腺：胰腺肿大，变硬，无明确的肿瘤形成，断面上可见纤维化，腺体保持原有的小叶结构，胰腺被膜纤维性肥厚，特别门静脉侧有较厚的纤维化。</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">组织学上，明显的淋巴细胞浸润和纤维化及胰腺小叶间质扩大，淋巴滤泡形成，纤维化可波及胰小叶内，可有腺体的萎缩。胰管周围的纤维化比腺胞炎症明显，胰管周围原来的弹性纤维松懈、增生，近管腔侧淋巴细胞和炎症性细胞浸润或胶原纤维增生，胰管内腔变小。淋巴结肿大，明显的淋巴滤泡增生，类上皮细胞形成小集簇巢。</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">腺管周围</span>T<span style=\"font-family:宋体\">细胞的浸润比</span>B<span style=\"font-family:宋体\">细胞浸润更显著。</span>T<span style=\"font-family:宋体\">细胞亚群以</span>CD4<span style=\"font-family:宋体\">阳性为主，也可有</span>CD8<span style=\"font-family:宋体\">阳性。</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">明显可见嗜酸性粒细胞浸润的胆管炎和胰周围的纤维化。纤维化和炎症细胞浸润累及胰腺实质周围的脂肪组织和结缔组织，胰腹侧超过弹力纤维，背侧累及门静脉，达到从胰乳头到胰断端的广泛范围。</span></p><p><span style=\"font-family:宋体\">&nbsp;&nbsp;&nbsp; 胰腺内外的静脉因炎性细胞浸润发生闭塞，呈闭塞性静脉炎改变，动脉无特异性变化，小动脉周围有纤维化，由于内膜的肥厚内腔变狭小。</span></p><p><span style=\"font-family:宋体\">&nbsp;&nbsp;&nbsp; (2)胆管、胆囊病变：胰腺内胆管壁肥厚变小，狭窄部胆管黏膜面平滑，原有被覆的胆管黏膜弥漫性增生，胆总管中上部管壁肥厚，胰腺外胆管比胰腺内胆管改变明显。全部胆管壁淋巴细胞浸润和纤维化，水肿伴肥厚，累及胆管、导管和腺管及十二指肠壁。胆囊壁肥厚，但组织学上胆管壁无变化。</span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('203', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1479', '临床表现', '<p><span style=\"text-indent: 28px; font-family: 宋体;\">&nbsp; &nbsp; 无特异症状，腹部症状可表现为轻度的腹痛和背部疼痛，阻塞性黄疸也多见，以</span><span style=\"text-indent: 28px;\">Sjögren</span><span style=\"text-indent: 28px; font-family: 宋体;\">征候群为代表的自身免疫性疾患合并者为多。其他如膜性肾炎、糖耐量异常、硬化性胆管炎、慢性风湿性关节炎、慢性甲状腺炎也可合并自身免疫性胰腺炎。其中糖尿病合并率最高。与糖尿病相关的兰氏岛炎可发生Ⅰ型糖尿病，但相对还是Ⅱ型糖尿病多。类固醇激素治疗改善，一方面胰腺炎改善，也可能有糖尿病恶化的倾向。不仅是胰腺，同时硬化性胆管炎和类似病变的病例也存在时，类固醇激素也有效。</span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('204', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1479', '并发症', '<p>&nbsp; &nbsp;<span style=\"font-family: 宋体;\">自身免疫性胰腺炎时</span>80%<span style=\"font-family: 宋体;\">糖耐量异常，治疗前存在的糖尿病症状，在类固醇激素治疗时有糖耐量恶化，也有糖耐量改善的。</span>80%<span style=\"font-family: 宋体;\">的外分泌功能低下，经类固醇激素治疗有半数正常化。糖耐量异常的机制认为是急剧的炎症细胞浸润及纤维化伴有的胰腺外分泌血流障碍，引起胰岛血流障碍。</span></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('205', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1479', '辅助检查', '<p><span style=\"font-family: 宋体;\">实验室检查：</span></p><p>&nbsp;&nbsp;&nbsp; 1.<span style=\"font-family:宋体\">嗜酸性粒细胞增加，活化</span>CD4<span style=\"font-family:宋体\">，</span>CD8<span style=\"font-family:宋体\">阳性。高γ球蛋白血症，</span>IgG<span style=\"font-family:宋体\">和</span>IgG4<span style=\"font-family:宋体\">增高。自身免疫抗体存在</span>(<span style=\"font-family:宋体\">抗核抗体，抗线粒体抗体，抗</span>CA-<span style=\"font-family:宋体\">Ⅱ抗体，类风湿因子，抗ɑ</span>-fodrin<span style=\"font-family:宋体\">抗体，抗平滑肌抗体</span>)<span style=\"font-family:宋体\">。</span></p><p>&nbsp;&nbsp;&nbsp; 2.<span style=\"font-family:宋体\">血和尿的胰酶升高</span>-<span style=\"font-family:宋体\">正常</span>-<span style=\"font-family:宋体\">偏低都可能，</span>40%<span style=\"font-family:宋体\">～</span>50%<span style=\"font-family:宋体\">升高。</span>60%-70%<span style=\"font-family:宋体\">肝胆系酶和胆红素升高。</span></p><p>&nbsp;&nbsp;&nbsp; 3.<span style=\"font-family:宋体\">胰腺功能检查　肠促胰酶原试验</span>3<span style=\"font-family:宋体\">因子半数低下，</span>BT-PABA<span style=\"font-family:宋体\">排泄试验为</span>81%<span style=\"font-family:宋体\">，糖尿病型</span>68%<span style=\"font-family:宋体\">，临界型</span>13%<span style=\"font-family:宋体\">。内分泌异常占</span>84%<span style=\"font-family:宋体\">。</span></p><p><span style=\"font-family:宋体\">影像学检查：</span></p><p>&nbsp;&nbsp;&nbsp; 1.US&nbsp; <span style=\"font-family:宋体\">自身免疫性胰腺炎在超声波检查上，表现为低的回声为主的弥漫性胰腺肿大为特征。弥漫性肿大占</span>69%<span style=\"font-family:宋体\">，局限性肿大占</span>31%(<span style=\"font-family:宋体\">胰头部</span>24%<span style=\"font-family:宋体\">，胰尾部</span>7%)<span style=\"font-family:宋体\">。无胰腺萎缩病例，胰石</span>9%<span style=\"font-family:宋体\">，胰囊胞</span>7%<span style=\"font-family:宋体\">。当胰腺局限肿大时，要与胰腺癌鉴别。胰腺癌病变内部回声不均匀，中心部有高回声，胰腺尾侧胰管高度扩张不光滑并呈串珠样改变。自身免疫性胰腺炎无胰管扩张或很轻微，形态光滑多见。</span></p><p>&nbsp;&nbsp;&nbsp; 2.CT&nbsp; <span style=\"font-family:宋体\">胰腺弥漫性肿大为特征所见。病变部位的动态</span>CT<span style=\"font-family:宋体\">早期相造影效果不充分，后期相造影呈延迟增强的特征变化。</span></p><p>&nbsp;&nbsp;&nbsp; 3.EUS&nbsp; <span style=\"font-family:宋体\">与体外</span>US<span style=\"font-family:宋体\">比较，胰头部胰尾部盲区少，高频超声波</span>(7.5<span style=\"font-family:宋体\">—</span>20MHz)<span style=\"font-family:宋体\">应用可得到病变部位的微细构造。同样表现为低回声为主的弥漫性胰腺肿大和局限性肿大。</span></p><p>&nbsp;&nbsp;&nbsp; 4.ERCP&nbsp; <span style=\"font-family:宋体\">由</span>ERCP<span style=\"font-family:宋体\">显示的胰腺管狭窄影像是自身免疫性胰腺炎的特征，胰腺管周围炎性细胞浸润和纤维化是管腔狭窄的原因。主胰管通常变细，管壁不整，上段胰腺管无显著扩张。狭窄影像的长度占主胰管</span>2/3<span style=\"font-family:宋体\">以上的范围为弥漫型，</span>1/3<span style=\"font-family:宋体\">以上</span>2/3<span style=\"font-family:宋体\">以下的范围为局限型。</span></p><p>&nbsp;&nbsp;&nbsp; 5.FDG-PET<span style=\"font-family:宋体\">检查</span>&nbsp; <span style=\"font-family:宋体\">自身免疫性胰腺炎在炎症最重时，病灶内的</span>FDG<span style=\"font-family:宋体\">是高积聚的，</span>SUV<span style=\"font-family:宋体\">检查值全部在</span>3.5<span style=\"font-family:宋体\">以上。炎症消退或类固醇激素治疗有效后，</span>FDG<span style=\"font-family:宋体\">聚集减低，缓解时</span>FDG<span style=\"font-family:宋体\">积聚消失。自身免疫性胰腺炎在全胰腺有病变时，</span>FDG<span style=\"font-family:宋体\">在全胰腺积聚是特征，可是，胰头部癌及胰尾部肿瘤伴有胰腺炎存在时</span>FDG<span style=\"font-family:宋体\">同样在全胰腺积聚，仅靠这一点，与其他疾患鉴别是困难的。不能进行自身免疫性胰腺炎和恶性肿瘤的鉴别诊断。</span></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('206', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1479', '诊断与鉴别诊断', '<p><strong><span style=\"font-family:宋体\">诊断</span></strong><span style=\"font-family: 宋体\">：胰管狭窄型自身免疫性胰腺炎的诊断条件：</span></p><p>&nbsp;&nbsp;&nbsp; 1.<span style=\"font-family:宋体\">胰腺管狭窄影像伴有胰腺肿大。</span></p><p>&nbsp;&nbsp;&nbsp; 2.<span style=\"font-family:宋体\">血液检查高γ球蛋白血症或有自身抗体。</span></p><p>&nbsp;&nbsp;&nbsp; 3.<span style=\"font-family:宋体\">胰腺组织学有高度淋巴细胞浸润和纤维化。</span></p><p>&nbsp;&nbsp;&nbsp; 4.<span style=\"font-family:宋体\">用类固醇激素治疗临床症状改善。</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">满足</span>1<span style=\"font-family:宋体\">和</span>2<span style=\"font-family:宋体\">确诊；满足</span>1<span style=\"font-family:宋体\">和</span>3<span style=\"font-family:宋体\">准确诊；满足</span>1<span style=\"font-family:宋体\">和</span>4<span style=\"font-family:宋体\">可疑诊断。</span></p><p><strong><span style=\"font-family:宋体\">鉴别诊断</span></strong></p><p>&nbsp;&nbsp;&nbsp; 1.<span style=\"font-family:宋体\">胰腺癌</span>&nbsp; <span style=\"font-family:宋体\">典型的胰腺癌</span>CT<span style=\"font-family:宋体\">可以诊断。</span></p><p>&nbsp;&nbsp;&nbsp; 2.<span style=\"font-family:宋体\">肿瘤形成性慢性胰腺炎</span>&nbsp; <span style=\"font-family:宋体\">伴有黄疸可疑胰头部的肿瘤性病变和影像学检查胰头部肿瘤存在的病例，需要手术来决定性质。</span></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('207', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1479', '治疗', '<p>&nbsp; &nbsp;1.<span style=\"font-family: 宋体;\">外科治疗</span>&nbsp; <span style=\"font-family: 宋体;\">胰腺结石病例和难治性疼痛及合并假性囊肿时进行手术治疗，此外肿瘤形成性胰腺炎和胰腺癌不能鉴别时也要进行手术治疗。肿瘤形成性胰腺炎中含有自身免疫性胰腺炎，这个类型的胰腺炎多，明显的胆管狭窄，不能抑制的黄疸，胰腺无法切除时，可行胆管空肠吻合术。</span></p><p>&nbsp;&nbsp;&nbsp; 2.<span style=\"font-family:宋体\">内镜治疗</span>&nbsp; <span style=\"font-family:宋体\">急性期由于胰腺炎症末端胆管变细，胆汁流出不畅，在内镜下进行内造瘘术和外造瘘术，改善肿大的胰腺。</span></p><p>&nbsp;&nbsp;&nbsp; 3.<span style=\"font-family:宋体\">药物治疗</span>&nbsp; <span style=\"font-family:宋体\">急性期对急性胰腺炎要给予治疗，禁食，高热量静脉输液，抗胰酶制剂治疗。在缓解期，药物可静脉和口服交替使用，如出现腹痛等临床症状可应用镇静药。胰腺进行性萎缩时胰腺的外分泌功能低下，可给消化酶治疗。</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">慢性胰腺炎一般不用类固醇激素治疗，但是，当有其他自身免疫性疾病和自身免疫性胰腺炎时，类固醇治疗是有效的。一般经口服给药，从每天</span>30<span style=\"font-family:宋体\">～</span>40mg<span style=\"font-family:宋体\">开始，观察治疗症状反应，每间隔</span>2<span style=\"font-family:宋体\">周左右逐渐减量到每天</span>5mg<span style=\"font-family:宋体\">为适当。</span>40mg<span style=\"font-family:宋体\">开始时，初次可减</span>10mg<span style=\"font-family:宋体\">。疗效是腹痛的减轻和胰酶的降低，逐渐减量和低剂量维持是为了防止再燃和复发。</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">在</span>AIP<span style=\"font-family:宋体\">的组织形态改变中，从高度的淋巴细胞浸润的角度考虑，如果确诊，常在抗胰酶剂治疗的同时给类固醇激素治疗。也有不使用类固醇激素而自行改善的病例。因此，不是所有病例都一律使用类固醇激素治疗，有症状的比较短期的治疗是有效的，也有经过长时间胰腺正常状态的病例，但是临床经验以胰腺萎缩病例多。</span></p><p>&nbsp;&nbsp;&nbsp; AIP<span style=\"font-family:宋体\">是以高度的淋巴细胞浸润和纤维化为特征改变的，急性期可见胰腺肿大，最终胰腺胞进行性破坏，细胞脱落而导致萎缩凹陷，可在比较短的时间发生萎缩，不萎缩的病例与病期和病情有关。因此，在非萎缩期应有预防的措施。为抑制胰腺内的免疫反应连续使用类固醇激素治疗。究竟能否阻止萎缩，需要累积更多的病例才能得出正确的评价。</span></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('215', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '567', '概述', '<p><span style=\"font-family: 宋体\">&nbsp; &nbsp; </span><span style=\"color: rgb(0, 0, 0); font-family: 宋体; text-decoration: none;\">鼻炎即鼻腔炎性疾病，是病毒、细菌、变应原、各种理化因子以及某些全身性疾病引起的鼻腔黏膜的炎症。鼻炎的主要病理改变是鼻腔黏膜充血、肿胀、渗出、增生、萎缩或坏死等。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('216', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '567', '病因', '<p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\">1. <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">病毒感染</span>&nbsp; <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">病毒感染是其首要病因，或在病毒感染的基础上继发细菌感染。已知有</span>100<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">多种病毒可引起本病，最常见的是鼻病毒，其次是流感和副流感病毒、腺病毒、冠状病毒、柯萨奇病毒及黏液和副黏液病毒等。病毒传播方式主要是经过呼吸道吸入，其次是通过被污染体或食物进入机体。</span></span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\">2. <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">遗传因素</span>&nbsp; <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">有变态反应家族史者易患此病。患者家庭人员多有</span></span><a href=\"https://baike.baidu.com/item/%E5%93%AE%E5%96%98/467071\" target=\"https://baike.baidu.com/item/%E9%BC%BB%E7%82%8E/_blank\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">哮喘</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">、</span><a href=\"https://baike.baidu.com/item/%E8%8D%A8%E9%BA%BB%E7%96%B9/337976\" target=\"https://baike.baidu.com/item/%E9%BC%BB%E7%82%8E/_blank\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">荨麻疹</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">或</span><a href=\"https://baike.baidu.com/item/%E8%8D%AF%E7%89%A9%E8%BF%87%E6%95%8F/5055021\" target=\"https://baike.baidu.com/item/%E9%BC%BB%E7%82%8E/_blank\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">药物过敏</span></a><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">史。以往称此患者为特应性个体，其体内产生</span>IgE<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">抗体的能力高于正常人。但近年有人发现，孪生与普通人群中的发病率无显著差异。</span></span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\">3. <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">鼻黏膜易感性</span>&nbsp; <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">易感性的产生源于抗原物质的经常刺激，但其易感程度则视鼻黏膜组织中肥大细胞、嗜碱性粒细胞的数量和释放化学介质的能力。现已证实，变应性鼻炎患者鼻黏膜中上述细胞数量不仅高于正常人，且有较强释放化学介质的能力。</span></span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\">4. <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">抗原物质</span>&nbsp; <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">刺激机体产生</span>IgE<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">抗体的抗原物质称为变应原。该变应原物质再次进入鼻黏膜，便与相应的</span>IgE<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">结合而引起变态反应。引起本病的变应原按其进入人体的方式分为吸入性和食物性两大类。</span></span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">（</span>1<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">）吸入性变应原</span> ①<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">花粉</span>&nbsp;<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">不是所有植物花粉都能引起疾病，只有那些花粉量大、植被面积广、变应原性强，并借助风来传播的花粉才最有可能成为变应原。由于植被品种的差异，不同地区具有变应原性的花粉也不同。</span>②<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">真菌</span>&nbsp;<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">在自然界分布极广，主要存在于土壤和腐败的有机物中。其菌丝和孢子皆具有变应原性，但以孢子较强。</span>③<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">屋尘螨</span>&nbsp;<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">属节肢动物门蜘蛛纲。成虫大小一般为</span>300<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">～</span>500μm<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">。主要寄生于居室内各个角落，其中以床褥、枕头、沙发垫等处的灰尘中最多。螨的排泄物、卵、脱屑和其碎解的肢体，皆可成为变应原。</span>④<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">动物皮屑</span>&nbsp;<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">动物皮屑是最强的变应原之一。对易感个体，若长期与有关动物接触，则可被致敏。致敏后若再接触即使很小数量的皮屑，也可激发出鼻部症状。</span>⑤<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">室内尘土</span>&nbsp;<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">是引起</span></span><a href=\"https://baike.baidu.com/item/%E5%B8%B8%E5%B9%B4%E6%80%A7%E9%BC%BB%E7%82%8E/8110956\" target=\"https://baike.baidu.com/item/%E9%BC%BB%E7%82%8E/_blank\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">常年性鼻炎</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">的常见变应原之一。</span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">（</span>2<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">）食入性变应原</span>&nbsp;<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">指由消化道进入人体而引起鼻部症状的变应原物质。其作用于鼻黏膜的方式十分复杂，至今仍不甚清楚。牛奶、蛋类、鱼虾、肉类、水果，甚至某种蔬菜都可成为变应原。</span></span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('217', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '567', '临床表现', '<p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\">1. <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">症状</span></span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">（</span>1<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">）鼻塞</span>&nbsp;<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">鼻塞特点为间歇性。在白天、天热、劳动或运动时鼻塞减轻，而夜间，静坐或寒冷时鼻塞加重。鼻塞的另一特点为交替性。如侧卧时，居下侧之鼻腔阻塞，上侧鼻腔通气良好。由于鼻塞，间或有嗅觉减退、</span></span><a href=\"https://baike.baidu.com/item/%E5%A4%B4%E7%97%9B/340011\" target=\"https://baike.baidu.com/item/%E9%BC%BB%E7%82%8E/_blank\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">头痛</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">、头昏、说话呈闭塞性鼻音等症状。</span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">（</span>2<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">）多涕</span>&nbsp;<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">常为黏液性或黏脓性，偶成脓性。脓性多于继发性感染后出现。</span></span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">（</span>3<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">）嗅觉下降</span>&nbsp;<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">多为两种原因所致，一为鼻黏膜肿胀、鼻塞，气流不能进入嗅觉区域；二为嗅区黏膜受慢性炎症长期刺激，嗅觉功能减退或消失。</span></span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">（</span>4<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">）</span></span><a href=\"https://baike.baidu.com/item/%E5%A4%B4%E7%97%9B/340011\" target=\"https://baike.baidu.com/item/%E9%BC%BB%E7%82%8E/_blank\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">头痛</span></a><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">、头昏</span>&nbsp;<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">慢性</span></span><a href=\"https://baike.baidu.com/item/%E9%BC%BB%E7%AA%A6%E7%82%8E/533970\" target=\"https://baike.baidu.com/item/%E9%BC%BB%E7%82%8E/_blank\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">鼻窦炎</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">多表现为头沉重感。</span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">（</span>5<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">）全身表现</span>&nbsp;<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">多数人还有</span></span><a href=\"https://baike.baidu.com/item/%E5%A4%B4%E7%97%9B/340011\" target=\"https://baike.baidu.com/item/%E9%BC%BB%E7%82%8E/_blank\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">头痛</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">、食欲不振、易疲倦、记忆力减退及失眠等。</span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\">2. <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">鼻炎的种类</span>&nbsp; <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">鼻炎症状有很多种，依据鼻炎的种类不同，鼻炎症状也有所不同：</span></span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">（</span>1<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">）</span></span><a href=\"https://baike.baidu.com/item/%E6%85%A2%E6%80%A7%E9%BC%BB%E7%82%8E/538042\" target=\"https://baike.baidu.com/item/%E9%BC%BB%E7%82%8E/_blank\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">慢性鼻炎</span></a><span style=\"color: rgb(0, 0, 0); text-decoration: none;\">&nbsp;<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">长期间歇性或交替性鼻塞，导致头晕脑胀，严重影响睡眠、工作和学习。黏脓性鼻涕常倒流入咽腔，出现咳嗽、多痰。</span></span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">（</span>2<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">）</span></span><a href=\"https://baike.baidu.com/item/%E6%80%A5%E6%80%A7%E9%BC%BB%E7%82%8E/5358122\" target=\"https://baike.baidu.com/item/%E9%BC%BB%E7%82%8E/_blank\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">急性鼻炎</span></a><span style=\"color: rgb(0, 0, 0); text-decoration: none;\">&nbsp;①<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">初期</span>&nbsp;1<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">～</span>2<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">天。病人常有全身不适、畏寒、发热、食欲不振、</span></span><a href=\"https://baike.baidu.com/item/%E5%A4%B4%E7%97%9B/340011\" target=\"https://baike.baidu.com/item/%E9%BC%BB%E7%82%8E/_blank\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">头痛</span></a><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">等。鼻腔及鼻咽部干燥、灼热感，鼻内发痒，频发喷嚏。</span>②<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">急</span>性期&nbsp;2～5天。原有症状加重。成人体温38度左右，小儿高达39度以上，常因高热出现呕吐、</span><a href=\"https://baike.baidu.com/item/%E8%85%B9%E6%B3%BB/2193261\" target=\"https://baike.baidu.com/item/%E9%BC%BB%E7%82%8E/_blank\" style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"color: rgb(0, 0, 0);\">腹泻</span></a><span style=\"color: rgb(0, 0, 0); text-decoration: none;\">、昏迷甚至抽搐。</span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\">（3）</span><a href=\"https://baike.baidu.com/item/%E8%8D%AF%E7%89%A9%E6%80%A7%E9%BC%BB%E7%82%8E/8110918\" target=\"https://baike.baidu.com/item/%E9%BC%BB%E7%82%8E/_blank\" style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"color: rgb(0, 0, 0);\">药物性鼻炎</span></a><span style=\"color: rgb(0, 0, 0); text-decoration: none;\">&nbsp;长期使用各种伤害鼻黏膜的鼻炎药物或激光、手术，导致鼻腔持续性鼻塞，时常流鼻血。</span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\">（4）</span><a href=\"https://baike.baidu.com/item/%E8%90%8E%E7%BC%A9%E6%80%A7%E9%BC%BB%E7%82%8E/5358177\" target=\"https://baike.baidu.com/item/%E9%BC%BB%E7%82%8E/_blank\" style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"color: rgb(0, 0, 0);\">萎缩性鼻炎</span></a><span style=\"color: rgb(0, 0, 0); text-decoration: none;\">&nbsp;呼吸恶臭、鼻腔分泌物呈块状、管筒状脓痂，不易擤出，用力抠出干痂时，有少量</span><a href=\"https://baike.baidu.com/item/%E9%BC%BB%E5%87%BA%E8%A1%80/499217\" target=\"https://baike.baidu.com/item/%E9%BC%BB%E7%82%8E/_blank\" style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"color: rgb(0, 0, 0);\">鼻出血</span></a><span style=\"color: rgb(0, 0, 0); text-decoration: none;\">。常误以为是</span><a href=\"https://baike.baidu.com/item/%E6%84%9F%E5%86%92/502565\" target=\"https://baike.baidu.com/item/%E9%BC%BB%E7%82%8E/_blank\" style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"color: rgb(0, 0, 0);\">感冒</span></a><span style=\"color: rgb(0, 0, 0); text-decoration: none;\">的初期鼻炎。</span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\">天气转凉后，有些病人早上起床后连续打喷嚏、流鼻水，温差大时鼻塞，误以为是</span><a href=\"https://baike.baidu.com/item/%E6%84%9F%E5%86%92/502565\" target=\"https://baike.baidu.com/item/%E9%BC%BB%E7%82%8E/_blank\" style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"color: rgb(0, 0, 0);\">感冒</span></a><span style=\"color: rgb(0, 0, 0); text-decoration: none;\">而随便吃点</span><a href=\"https://baike.baidu.com/item/%E6%84%9F%E5%86%92/502565\" target=\"https://baike.baidu.com/item/%E9%BC%BB%E7%82%8E/_blank\" style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"color: rgb(0, 0, 0);\">感冒</span></a><span style=\"color: rgb(0, 0, 0); text-decoration: none;\">药，导致病情日益加重。</span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('218', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '567', '辅助检查', '<p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\">1. <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">前鼻镜检查</span>&nbsp; <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">鼻黏膜充血、肿胀，下鼻甲充血、肿大，总鼻道或鼻底有较多分泌物，初期水样，以后逐渐变为黏液性，黏脓性或脓性。</span><br/></span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\">2. X<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">线鼻泪管造影</span>&nbsp; <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">明确有无并发鼻窦感染。</span></span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\">3. <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">鼻腔分泌物涂片检测致病菌。</span></span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\">4. <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">鼻腔分泌物细菌培养</span>+<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">药敏。</span></span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\">5. <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">必要时病毒检查，需特殊培养、分离与鉴定。</span></span></p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('219', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '567', '诊断与鉴别诊断', '<p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><strong><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">诊断</span></strong></span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">根据鼻塞为交替性和间歇性的特点，结合临床检查，诊断不难。</span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><strong><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">鉴别诊断</span></strong></span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\">1. <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">肥厚性鼻炎</span>&nbsp; <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">持续性鼻塞常较重，鼻涕不多，呈黏液性或黏脓性，一般有不同程度的头痛、头晕和嗅觉减退。</span></span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\">2. <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">过敏性鼻炎</span>&nbsp; <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">鼻塞程度轻重不一，多突发性出现。鼻涕清稀，量多，常伴有鼻痒、喷嚏频发等症。</span></span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\">3. <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">血管运动性鼻炎</span>&nbsp; <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">症状与变异性鼻炎相似，发作突然，消退迅速。有明显的诱发因素。</span></span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\">4. <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">流感</span>&nbsp; <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">全身症状重，如高热、寒颤、头痛、全身关节及肌肉酸痛等。上呼吸道症状反而不明显。</span></span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\">5. <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">急性传染病</span>&nbsp; <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">一些呼吸道急性传染病，如麻疹、猩红热、百日咳等早期可出现急性鼻炎症状。这些疾病除有急性鼻炎表现外，尚有其本身疾病的表现，且全身症状重，如高热、寒战、头痛、全身肌肉酸痛等。通过详细的体格检查和对病程的严密观察可鉴别之。</span></span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">6. 鼻白喉&nbsp; 儿童患者要注意鉴别本病。鼻白喉有血涕、全身症状重，常并发咽白喉。</span></p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('220', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '567', '并发症', '<p><span style=\"color: rgb(0, 0, 0);\">1. <span style=\"font-family: 宋体;\">急性鼻窦炎</span>&nbsp; <span style=\"font-family: 宋体;\">鼻腔炎症经鼻窦开口向鼻窦内蔓延，引起急性化脓性鼻窦炎，其中以上颌窦炎及筛窦炎多见。</span></span></p><p><span style=\"text-decoration: none; color: rgb(0, 0, 0);\">2. <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">急性中耳炎</span>&nbsp; <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">感染经咽鼓管向中耳扩散所致。</span></span></p><p><span style=\"text-decoration: none; color: rgb(0, 0, 0);\">3. <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">急性咽炎、喉炎、气管炎及支气管炎</span>&nbsp; <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">感染经鼻咽部向下扩散引起。小儿、老人及抵抗力低下者还可并发肺炎。</span></span></p><p><span style=\"text-decoration: none; color: rgb(0, 0, 0);\">4. <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">鼻前庭炎</span>&nbsp; <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">感染向前直接蔓延。</span></span></p><p><span style=\"text-decoration: none; color: rgb(0, 0, 0);\">5. <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">其他感染</span>&nbsp; <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">经鼻泪管扩散，尚可引起眼部并发症，如结膜炎、泪囊炎等</span></span><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">。</span></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('221', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '567', '治疗', '<p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\">1. <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">病因治疗</span>&nbsp; <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">找出全身和局部病因，及时治疗全身性慢性疾病、鼻窦炎、临近感染病灶和鼻中隔偏曲等。改善生活和工作环境，锻炼身体，提高机体抵抗力。</span></span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\">2. <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">局部治疗</span></span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">（</span>1<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">）鼻内用糖皮质激素</span> <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">慢性鼻炎首选用药，具有良好抗炎作用，并最终产生减充血效果。根据需要可较长时间应用，疗效和安全性好。</span></span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">（</span>2<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">）鼻腔清洗</span> <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">鼻内分泌物较多或较黏稠者，可用生理盐水清洗鼻腔，以清除鼻内分泌物，改善鼻腔通气。</span></span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">（</span>3<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">）鼻内用减充血剂</span> <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">可选用盐酸羟甲唑啉喷雾剂，连续应用不宜超过</span>7<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">天。若需继续使用，则需间断</span>3<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">～</span>5<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">天。长期应用</span>0.5%<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">～</span>1%<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">麻黄碱滴鼻液可损害鼻黏膜纤毛结构，应尽量避免。若不得不使用，应少量间断使用。禁用滴鼻净，因已证实其可引起药物性鼻炎。</span></span></p><p><span style=\"color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">（</span>4<span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">）其他治疗</span> <span style=\"text-decoration: none; color: rgb(0, 0, 0); font-family: 宋体;\">包括封闭疗法、针刺疗法等，已很少应用。</span></span></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('222', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '357', '概述', '<p>&nbsp; &nbsp;<span style=\"font-family: 宋体;\">大叶性肺炎，又名肺炎球菌肺炎，是由肺炎双球菌等细菌感染引起的呈大叶性分布的肺部急性炎症。常见诱因有受凉、劳累或淋雨等。是由肺炎双球菌引起的急性肺实质炎症。好发于青壮年男性和冬春季节。常见诱因有受寒、淋雨、醉酒或全身麻醉手术后、镇静剂过量等。主要病理改变为肺泡的渗出性炎症和实变。临床症状有突然寒战、高热、咳嗽、胸痛、咳铁锈色痰。血白细胞计数增高；典型的</span>X<span style=\"font-family: 宋体;\">线表现为肺段、叶实变。病程短，及时应用青霉素等抗生素治疗可获痊愈。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('223', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '357', '病因', '<p><span style=\"font-family: 宋体;\">&nbsp; &nbsp; 多种细菌均可引起大叶肺炎，但绝大多数为肺炎链球菌，其中以Ⅲ型致病力最强。肺炎链球菌为口腔及鼻咽部的正常寄生菌群，若呼吸道的排菌自净功能及机体的抵抗力正常时，不引发肺炎。</span><br/></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp; 当机体受寒、过度疲劳、醉酒、感冒、糖尿病免疫功能低下等使呼吸道防御功能被削弱，细菌侵入肺泡，通过变态反应使肺泡壁毛细血管通透性增强，浆液及纤维素渗出，富含蛋白的渗出物中细菌迅速繁殖，并通过肺泡间孔或细支气管向邻近肺组织蔓延，波及一个肺段或整个肺叶。大叶间的蔓延系带菌的渗出液经叶支气管播散所致。</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp; 大叶性肺炎是肺炎链球菌感染引起的一个肺叶或一个肺段范围内的肺泡炎。近年由于大量强有力抗生素的使用，典型的大叶性肺炎已较少见到。一般当气候骤变，机体抵抗力下降时发病。冬春季多见，主要见于</span>3<span style=\"font-family:宋体\">岁以上儿童，因此时机体的免疫功能也就是防御能力逐渐成熟，能使病变局限于一个肺叶或一个肺段而不致扩散。一般大叶性肺炎起病急，表现为突然高热、胸痛、食欲不振、疲乏、烦躁，少数患儿可有腹痛，有时被误诊为阑尾炎。重症的患儿出现中毒性脑病症状，惊厥、谵妄及昏迷；甚或出现感染性休克。</span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('224', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '357', '临床表现', '<p>1.<span style=\"font-family: 宋体;\">起病急骤，寒战、高热、胸痛、咳嗽、咳铁锈色痰。病变广泛者可伴气促和发绀。</span></p><p>2.<span style=\"font-family:宋体\">部分病例有恶心、呕吐、腹胀、腹泻。</span></p><p>3.<span style=\"font-family:宋体\">重症者可有神经精神症状，如烦躁不安、谵妄等。亦可发生衰竭，并发感染性休克，称休克型（或中毒性）肺炎。</span></p><p>4.<span style=\"font-family:宋体\">急性病容，呼吸急促，鼻翼煽动。部分患者口唇和鼻周有疱疹。</span></p><p>5.<span style=\"font-family:宋体\">充血期肺部体征呈现局部呼吸活动度减弱，语音震颤稍增强，叩诊浊音，可听及捻发音。</span></p><p><span style=\"font-family:宋体\">实变期可有典型体征，如患侧呼吸运动减弱，语音共振、语颤增强，叩诊浊音或实音，听诊病理性支气管呼吸音；消散期叩诊逐渐变为清音，支气管呼吸音也逐渐减弱代之以湿性啰音。</span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('225', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '357', '辅助检查', '<p>1.<span style=\"font-size: 9px; font-variant-numeric: normal; font-stretch: normal; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp; </span><span style=\"font-family: 宋体;\">一般检查</span><br/></p><p><span style=\"font-family:宋体\">（</span>1<span style=\"font-family:宋体\">）一般患者</span> <span style=\"font-family:宋体\">检查专案以检查框限“</span>A<span style=\"font-family:宋体\">”为主。</span></p><p><span style=\"font-family:宋体\">（</span>2<span style=\"font-family:宋体\">）重症者</span> <span style=\"font-family:宋体\">须与其他病原菌肺炎鉴别。检查专案可包括检查框限“</span>A<span style=\"font-family:宋体\">”、“</span>B<span style=\"font-family:宋体\">”或“</span>C<span style=\"font-family:宋体\">”。</span></p><p>2. <span style=\"font-family:宋体\">实验室检查</span></p><p><span style=\"font-family:宋体\">血白细胞计数（</span>10<span style=\"font-family:宋体\">～</span>20<span style=\"font-family:宋体\">）×</span>109<span style=\"font-family:宋体\">∕</span>L<span style=\"font-family:宋体\">，中性粒细胞多在</span>80%<span style=\"font-family:宋体\">以上，并有核左移，细胞内可见中毒颗粒。年老体弱、酗酒、免疫功能低下者白细胞计数可不增高，但中性粒细胞的百分比仍高。痰直接涂片作革兰染色及荚膜染色镜检，如发现典型的革兰染色阳性、带荚膜的双球菌或链球菌，即可初步做出病原诊断。痰培养</span>24<span style=\"font-family:宋体\">～</span>48<span style=\"font-family:宋体\">小时可以确定病原体。聚合酶链反应及荧光标记抗体检测可提高病原学诊断率。</span></p><p>3.X<span style=\"font-family:宋体\">线检查</span></p><p><span style=\"font-family:宋体\">早期仅见肺纹理增粗或受累的肺段、肺叶稍模糊。随着病情进展，肺泡内充满炎性渗出物，表现为大片炎症浸润阴影或实变影，在实变阴影中可见支气管充气征，肋膈角可有少量胸腔积液，在消散期，</span>X<span style=\"font-family:宋体\">线显示炎性浸润逐渐吸收，可有片状区域吸收较快，呈现“假空洞”征，多数病例在起病</span>3<span style=\"font-family:宋体\">～</span>4<span style=\"font-family:宋体\">周后才完全消散。老年患者病灶消散较慢，容易出现吸收不完全而成为机化性肺炎。</span></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('226', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '357', '诊断与鉴别诊断', '<p><strong>诊断</strong></p><p>1.<span style=\"font-family: 宋体;\">该病好发于青壮年男性，冬春二季多见。</span><br/></p><p>2.<span style=\"font-family:宋体\">起病前多有诱因存在，约半数病例先有上呼吸道病毒感染等前驱表现。</span></p><p>3.<span style=\"font-family:宋体\">突然起病寒战、高热。</span></p><p>4.<span style=\"font-family:宋体\">咳嗽、胸痛、呼吸急促，铁锈色痰；重症患者可伴休克。</span></p><p>5.<span style=\"font-family:宋体\">肺实变体征。重症患者血压常降至</span>10.5/6.5kPa<span style=\"font-family:宋体\">（</span>80/50mmHg<span style=\"font-family:宋体\">）以下。</span></p><p>6.<span style=\"font-family:宋体\">血白细胞总数增加，中性粒细胞达</span>0.80<span style=\"font-family:宋体\">以上，核左移，有中毒颗粒。</span></p><p>7.<span style=\"font-family:宋体\">痰涂片可见大量革兰阳性球菌。</span></p><p>8.<span style=\"font-family:宋体\">痰、血培养有肺炎球菌生长。</span></p><p>9.<span style=\"font-family:宋体\">血清学检查阳性（协同凝集试验、对流免疫电泳检测肺炎球菌荚膜多糖抗原）。</span></p><p>10.<span style=\"font-family:宋体\">胸部</span>X<span style=\"font-family:宋体\">线检查显示段或叶性均匀一致的大片状密度增高阴影。</span></p><p>11.<span style=\"font-family:宋体\">血气分析检查有</span>PaO2<span style=\"font-family:宋体\">及</span>PaCO2<span style=\"font-family:宋体\">下降，原有慢性阻塞性肺疾病的患者</span>PaCO2<span style=\"font-family:宋体\">可上升。</span></p><p><strong><span style=\"font-family:宋体\">鉴别诊断</span></strong></p><p>1.<span style=\"font-family:宋体\">干酪性肺炎</span></p><p><span style=\"font-family:宋体\">有结核病史，起病缓慢，白细胞计数正常。痰中可找到结核杆菌。</span>X<span style=\"font-family:宋体\">线检查肺部可有空洞形成。</span></p><p>2.<span style=\"font-family:宋体\">肺癌继发感染</span></p><p><span style=\"font-family:宋体\">年龄较大，起病缓慢，中毒症状不明显，可持续有痰中带血，</span>X<span style=\"font-family:宋体\">线检查及纤维支气管镜检查或协助诊断。</span></p><p>3.<span style=\"font-family:宋体\">急性肺脓肿</span></p><p><span style=\"font-family:宋体\">常咯大量脓痰，</span>X<span style=\"font-family:宋体\">线检查有液平面的空洞形成，可资鉴别。</span></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('227', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '357', '治疗', '<p>1.<span style=\"font-family: 宋体;\">抗菌素治疗</span></p><p><span style=\"font-family:宋体\">青霉素、磺胺类药、红霉素、洁古霉素、先锋霉素</span>IV<span style=\"font-family:宋体\">号。</span></p><p>2.<span style=\"font-family:宋体\">对症治疗</span></p><p><span style=\"font-family:宋体\">（</span>1<span style=\"font-family:宋体\">）高热者一般不使用阿司匹林、扑热息痛等退烧药，避免因严重脱水引起低血容量性休克。</span></p><p><span style=\"font-family:宋体\">（</span>2<span style=\"font-family:宋体\">）疼痛及严重烦躁不安者可予以水合氯醛镇静治疗者亦不使用可卡因、安定等抑制呼吸类药物。</span></p><p><span style=\"font-family:宋体\">（</span>3<span style=\"font-family:宋体\">）咳嗽咳痰者应用氯化铵合剂。</span></p><p><span style=\"font-family:宋体\">（</span>4<span style=\"font-family:宋体\">）保持水电解质平衡。</span></p><p><span style=\"font-family:宋体\">（</span>5<span style=\"font-family:宋体\">）休克呼吸衰竭及时作相应处理。</span></p><p><span style=\"font-family:宋体\">（</span>6<span style=\"font-family:宋体\">）颅内高压者可使用利尿剂。</span></p><p>3.<span style=\"font-family:宋体\">疗效评价</span></p><p><span style=\"font-family:宋体\">（</span>1<span style=\"font-family:宋体\">）治愈症状、体征消失，血白细胞总数正常，肺部阴影完全吸收。</span></p><p><span style=\"font-family:宋体\">（</span>2<span style=\"font-family:宋体\">）好转症状、体征基本消失，血白细胞总数及分类正常，肺部阴影大部分吸收。</span></p><p><span style=\"font-family:宋体\">（</span>3<span style=\"font-family:宋体\">）未愈症状、体征无好转。</span></p><p>4.<span style=\"font-family:宋体\">应急处理</span></p><p><span style=\"font-family:宋体\">（</span>1<span style=\"font-family:宋体\">）卧床休息，给予高热量、多维生素及易消化食物饮食，鼓励病人多喝水或菜汤以补充水分。</span></p><p><span style=\"font-family:宋体\">（</span>2<span style=\"font-family:宋体\">）全身应用大剂量抗生素如青霉素、氨苄青霉素等。</span></p><p><span style=\"font-family:宋体\">（</span>3<span style=\"font-family:宋体\">）高热者可在头、腋下、腘窝等处放置冰袋或冷水袋，全身温水或酒精擦浴等物理降温处理，必要时口服解热药物如</span>APC<span style=\"font-family:宋体\">、消炎痛等。</span></p><p><span style=\"font-family:宋体\">（</span>4<span style=\"font-family:宋体\">）神志恍惚或昏迷者，及时清除口腔内异物，保持呼吸道通畅。</span></p><p><span style=\"font-family:宋体\">（</span>5<span style=\"font-family:宋体\">）休克者应平卧，头稍低，并速送医院抢救。</span></p><p><strong><span style=\"font-family:宋体\">预防</span></strong></p><p>1.<span style=\"font-family:宋体\">注意预防上呼吸道感染，加强耐寒锻炼。</span></p><p>2.<span style=\"font-family:宋体\">避免淋雨、受寒、醉酒、过劳等诱因。</span></p><p>3.<span style=\"font-family:宋体\">积极治疗原发病，如慢性心肺疾病、慢性肝炎、糖尿病和口腔疾病等，可以预防大叶性肺炎。</span></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('263', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '713', '概述', '<p><span style=\"font-family: 宋体;\">&nbsp; &nbsp; 葡萄球菌肺炎是由葡萄球菌所引起的急性化脓性肺部炎症。常发生于有基础疾病如糖尿病、血液病、慢性心肺疾病及肝病、艾滋病等免疫功能低下的患者。本病起病急骤，多有高热、寒战、胸痛，痰为脓性，量多，带血丝或呈粉红色乳状。病情较重，死亡率较高。皮肤感染灶（痈、疖、毛囊炎、蜂窝组织炎、伤口感染）中的葡萄球菌亦可经血循环而产生肺部感染，细支气管往往受阻而伴发气囊肿，尤多见于儿童患者。脓肿可以溃破而引起气胸、脓胸或脓气胸，有时还伴发化脓性心包炎、胸膜炎等。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('264', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '713', '病因', '<p>&nbsp; &nbsp;<span style=\"font-family: 宋体;\">葡萄球菌为革兰染色阳性球菌，有金黄色葡萄球菌（简称金葡菌）及表皮葡萄球菌两类。葡萄球菌的致病物质主要是毒素与酶，如溶血毒素、白细胞素、肠毒素等，具有溶血、坏死、杀死白细胞及血管痉挛等作用。葡萄球菌致病力可用血浆凝固酶来测定，阳性者致病力较强。金葡萄为阳性，是化脓性感染的主要原因，但其他凝固阴性的葡萄球菌亦可引起感染并发症，随着医院内感染的增多，由凝固酶阴性葡萄球菌引起的肺炎亦有发现。医院内获得性肺炎中葡萄球菌感染占</span>11%<span style=\"font-family: 宋体;\">～</span>25%<span style=\"font-family: 宋体;\">。</span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('265', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '713', '临床表现', '<p>&nbsp; &nbsp;<span style=\"font-family: 宋体;\">起病多急骤，高热、寒战、胸痛，痰为脓性，量多，带血丝或呈粉红色乳状等全身毒血症表现。肺部听诊可闻及干湿性罗音及痰鸣音。病情严重者可早期出现周围循环衰竭及相应的脏器损害表现。院内感染者通常起病较隐袭，体温逐渐上升、咳脓痰。</span></p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('266', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '713', '检查', '<p>&nbsp; &nbsp;<span style=\"font-family: 宋体;\">白细胞计数多明显增高、中性粒细胞比例增加、核左移并有中毒颗粒，肺部</span>X<span style=\"font-family: 宋体;\">线显示肺段或肺叶实变，或呈小叶状浸润，其中有单个或多发的液气囊腔。</span>X<span style=\"font-family: 宋体;\">线阴影呈易变性，表现为一处炎性浸润而在另一处出现新的病灶，或很小的单一病灶发展为大片阴影，此为金葡菌肺炎的另一重要特征。治疗有效时，病变消散，阴影密度逐渐减低，</span>2<span style=\"font-family: 宋体;\">～</span>4<span style=\"font-family: 宋体;\">周后病变完全消失，偶可遗留少许条索状阴影或肺纹理增多等。近年来由于抗生素的使用，金葡萄肺炎的诊断不应过分依赖于痰和血培养阳性。而其他葡萄球菌肺炎由于症状多不典型，且与其他病原菌所致肺炎的症状颇为相似，给临床诊断带来困难，故其确诊仍需病原学证据。</span></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('267', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '713', '诊断', '<p><span style=\"font-size: 14px;\">&nbsp; &nbsp;<span style=\"font-family: 宋体;\">根据典型临床表现、结合患者免疫力低下的基础情况，</span><span style=\"font-family: Calibri, sans-serif;\">X</span><span style=\"font-family: 宋体;\">线征象、呼吸道分泌物涂片及培养可作出诊断。但本病早期临床表现与</span><span style=\"font-family: Calibri, sans-serif;\">X</span><span style=\"font-family: 宋体;\">线改变不符合，早期诊断常有困难，有条件者行肺</span><span style=\"font-family: Calibri, sans-serif;\">CT</span><span style=\"font-family: 宋体;\">检查有助于尽早诊断</span></span><span style=\"font-size: 14px; font-family: 宋体;\">。</span></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('268', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '713', '治疗', '<p>&nbsp; &nbsp;<span style=\"font-family: 宋体;\">治疗应在早期将原发病灶清除引流，同时选敏感抗菌药物。医院外感染的金葡萄菌肺炎，仍可用青霉素</span>G<span style=\"font-family: 宋体;\">。对于院内感染和部分院外发病者，多为凝固酶阳性的金葡萄，</span>90%<span style=\"font-family: 宋体;\">以上产生青霉素酶，应给予耐酶的β</span>-<span style=\"font-family: 宋体;\">内酰胺类抗生素，如苯唑西林、氯唑西林或萘夫西林。对青霉素耐药的菌株可能也对头孢菌素耐药，但仍可用头孢唑啉或头孢噻酚静脉滴注。对甲氧西林亦耐药的金葡萄菌称甲氧西林耐药株可用万古霉素、替考拉宁、利奈唑胺，也可选用利福平、</span>SMZ-TMP<span style=\"font-family: 宋体;\">、磷霉素、氟喹诺酮类以及丁胺卡那霉素等治疗。</span></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('285', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '714', '概述', '<p><span style=\"font-family: 宋体;\"><b>&nbsp; &nbsp;&nbsp;</b>支原体肺炎是指由肺炎支原体（</span>mycoplasma pneumoniae<span style=\"font-family: 宋体;\">）引起的肺炎。过去称为“原发性非典型肺炎”的病原体中，肺炎支原体最为常见。可引起流行，约占各种肺炎的</span>10<span style=\"font-family: 宋体;\">％，严重的支原体肺炎也可导致死亡。患者和肺炎支原体携带者是主要传染源，经呼吸道传播。人群对本病普遍易感，学龄儿童和青壮年多发，病后免疫力不充分。肺炎支原体在肺部一般不引起破坏性损伤，故临床表现多不严重，以起病缓慢、发热、咳嗽、乏力、肺部体征不明显为特征。冷凝集试验效价超过</span>1<span style=\"font-family: 宋体;\">：</span>40<span style=\"font-family: 宋体;\">有诊断意义。治疗可选用大环内酯类和氟喹诺酮类抗菌药物。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('286', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '714', '病因与病理', '<p>&nbsp; &nbsp;&nbsp;<span style=\"font-family: 宋体;\">肺炎支原体是介于细菌与病毒之间，能独立生活的最小微生物，大小为</span>200nm<span style=\"font-family: 宋体;\">。无细胞壁，仅有由</span>3<span style=\"font-family: 宋体;\">层膜组成的细胞膜，常与细菌的</span>L<span style=\"font-family: 宋体;\">型相混淆，两者的菌落相似，可在无细胞的培养基上生长与分裂繁殖，含有</span>RNA<span style=\"font-family: 宋体;\">和</span>DNA<span style=\"font-family: 宋体;\">，经代谢产生能量，对抗生素敏感。支原体为动物多种疾病的致病体，目前已发现</span>8<span style=\"font-family: 宋体;\">种类型，其中只有肺炎支原体肯定对人致病，主要是呼吸系统疾病。在</span>20%<span style=\"font-family: 宋体;\">马血清和酵母的琼脂培养基上生长良好，初次培养于显微镜下可见典型的呈圆屋顶形桑椹状菌落，多次传代后转呈煎蛋形状。支原体发酵葡萄糖，具有血吸附（</span>hemadsorption<span style=\"font-family: 宋体;\">）作用，溶解豚鼠、羊的红细胞，对美蓝、醋酸铊、青霉素等具抵抗力。最后尚须作血清鉴定。它由口、鼻分泌物经空气传播，引起散发和小流行的呼吸道感染，主要见于儿童和青少年，现在发现在成人中亦非少见，秋冬季较多。呼吸道感染有咽炎和支气管炎，少数累及肺。支原体肺炎约占非细菌性肺炎的</span>1/3<span style=\"font-family: 宋体;\">以上，或各种肺炎的</span>10%<span style=\"font-family: 宋体;\">。</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp; 肺炎支原体在发病前</span>2<span style=\"font-family:宋体\">～</span>3<span style=\"font-family:宋体\">天直至病愈数周，皆可在呼吸道分泌物中发现。它通过接触感染，长在纤毛上皮之间，不侵入肺实质，其细胞膜上有神经氨酸受体，可吸附于宿主的呼吸道上皮细胞表面，抑制纤毛活动和破坏上皮细胞，同时产生过氧化氢进一步引起局部组织损伤。其致病性可能与患者对病原体或其代谢产物的过敏反应有关。感染后引起体液免疫，大多成年人血清中都已存在抗体，所以很少发病。</span></p><p><span style=\"font-family:宋体\">肺部病变呈片状或融合性支气管肺炎或间质性肺炎，伴急性支气管炎。肺泡内可含少量渗出液，并可发生灶性肺不张、肺实变和肺气肿。肺泡壁和间隔有中性粒细胞和大单核细胞浸润。支气管粘膜细胞可有坏死和脱落，并有中性粒细胞浸润。胸膜可有纤维蛋白渗出和少量渗液。</span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('287', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '714', '临床表现', '<p>&nbsp; &nbsp;&nbsp;<span style=\"font-family: 宋体;\">潜伏期</span>2<span style=\"font-family: 宋体;\">～</span>3<span style=\"font-family: 宋体;\">周，起病缓慢，约</span>1/3<span style=\"font-family: 宋体;\">病例无症状。以支管</span>-<span style=\"font-family: 宋体;\">支气管炎、肺炎、耳鼓膜炎等的形式出现，而以肺炎最重。发病初有乏力、头痛、咽痛、发冷、发热、肌肉酸痛、食欲减退、恶心、呕吐等，头痛显著。发热高低不一，可高达</span>39<span style=\"font-family: 宋体;\">℃。</span>2<span style=\"font-family: 宋体;\">～</span>3<span style=\"font-family: 宋体;\">天后出现明显的呼吸道症状，如阵发性刺激性咳嗽，咳少量粘痰或粘液脓性痰，有时痰中带血。发热可持续</span>2<span style=\"font-family: 宋体;\">～</span>3<span style=\"font-family: 宋体;\">周。热度恢复正常后尚可遗有咳嗽，伴胸骨下疼痛，但无胸痛。</span></p><p><span style=\"font-family:宋体\">体检示轻度鼻塞、流涕，咽中度充血。耳鼓膜常有充血，约</span>15%<span style=\"font-family:宋体\">有鼓膜炎。颈淋巴结可肿大。少数病例有斑丘疹、红斑或唇疱疹。胸部一般无明显异常体征，约半数可闻干性或湿性罗音，约</span>10%<span style=\"font-family:宋体\">～</span>15%<span style=\"font-family:宋体\">病例发生少量胸腔积液。</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp; 病情一般较轻，有时可重，但很少死亡。发热</span>3<span style=\"font-family:宋体\">天至</span>2<span style=\"font-family:宋体\">周，咳嗽可延长至</span>6<span style=\"font-family:宋体\">周左右。有</span>10%<span style=\"font-family:宋体\">复发，肺炎见于同一叶或同一叶，少数病人红细胞冷凝集滴度效价在</span>1<span style=\"font-family:宋体\">∶</span>500<span style=\"font-family:宋体\">以上。</span>/<span style=\"font-family:宋体\">可有相当的血管内溶血，溶血往往见于退热时，或发生于受凉时。</span></p><p><span style=\"font-family:宋体\">极少数病例可伴发中枢神经症状，例如脑膜炎、脑膜脑炎、多发生神经根炎，甚至精神失常等。出血性耳鼓膜炎、胃肠炎、关节炎、血小板减少性紫癜、溶血性贫血、心包炎、心肌炎、肝炎也有发现。</span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('288', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '714', '辅助检查', '<p>1. X<span style=\"font-family: 宋体;\">线检查：肺部病变表现多样化，早期间质性肺炎，肺部显示纹理增加及网织状阴影，后发展为斑点片状或均匀的模糊阴影，近肺门较深，下叶较多。约半数为单叶或单肺段分布，有时浸润广泛、有实变。儿童可见肺门淋巴结肿大。少数病例有少量胸腔积液。肺炎常在</span>2<span style=\"font-family: 宋体;\">～</span>3<span style=\"font-family: 宋体;\">周内消散，偶有延长至</span>4<span style=\"font-family: 宋体;\">～</span>6<span style=\"font-family: 宋体;\">周者。</span></p><p>2. <span style=\"font-family:宋体\">血白细胞正常或减少，少数可超过</span>10000<span style=\"font-family:宋体\">～</span>15000/mm3<span style=\"font-family:宋体\">，分类有轻度淋巴细胞增多。红细胞沉降率增速。尿检查正常或有少量蛋白尿。</span></p><p>3. <span style=\"font-family:宋体\">痰、鼻和喉拭子培养可获肺炎支原体，但需时约</span>3<span style=\"font-family:宋体\">周，同时可用抗血清抑制其生长，也可借红细胞的溶血来证实阴性培养。发病后</span>2<span style=\"font-family:宋体\">周，约半数病例产生抗体。红细胞冷凝集试验阳性，滴定效价在</span>1<span style=\"font-family:宋体\">∶</span>32<span style=\"font-family:宋体\">以上，恢复期效价</span>4<span style=\"font-family:宋体\">倍增加的意义大。</span>40<span style=\"font-family:宋体\">～</span>50%<span style=\"font-family:宋体\">病例的链球菌</span>MG<span style=\"font-family:宋体\">凝集试验阳性，血中出现</span>MG<span style=\"font-family:宋体\">链球菌凝集素效价为</span>1<span style=\"font-family:宋体\">∶</span>40<span style=\"font-family:宋体\">或更高，滴度逐步增至</span>4<span style=\"font-family:宋体\">倍则更有意义。血清中特异性抗体可通过补体结合试验、代谢抑制试验、间接血凝试验、间接荧光法、酶联免疫吸附试验等测定。这些均有助于诊断。咽拭子、支气管肺泡灌洗液等标本，通过</span>PCR<span style=\"font-family:宋体\">技术检测肺炎支原体</span>DNA<span style=\"font-family:宋体\">在国内已有报道，特异性和敏感性均高，可作为早期诊断之用。抗肺炎支原体单克隆抗体技术的诊断价值尚等研究。</span></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('289', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '714', '诊断', '<p><span style=\"font-family: 宋体;\">临床症状如头痛、乏力、肌痛、鼻咽部病变、咳嗽、胸痛、脓痰和血痰，肺部</span>X<span style=\"font-family: 宋体;\">线表现和化验室检查如冷凝集试验等有助诊断。</span></p><p><span style=\"font-family:宋体\">一、病史、症状：</span></p><p><span style=\"font-family:宋体\">起病较缓慢，多数为咽炎、支气管炎的表现，</span>10%<span style=\"font-family:宋体\">为肺炎。症状主要有寒战、发热、乏力、头痛、周身不适，刺激性干咳，伴有粘痰、脓痰，甚至血痰，重者可有气短，剧咳时有胸痛；也可有恶心、食欲不振，呕吐，腹泻及关节痛、心肌炎、心包炎、肝炎、周围神经炎、脑膜炎、皮肤斑丘疹等肺外表现。</span></p><p><span style=\"font-family:宋体\">二、体检发现：</span></p><p><span style=\"font-family:宋体\">鼻咽部及结膜充血、水肿，可有颈部淋巴结肿大，皮疹；胸部体征多不明显，肺部听诊可有细湿罗音，偶有胸膜磨擦音及胸水征。</span></p><p><span style=\"font-family:宋体\">三、辅助检查</span></p><p><span style=\"font-family:宋体\">（一）</span>X<span style=\"font-family:宋体\">线胸片，为肺纹理增多，肺实质可有多形态的浸润形，以下叶多见，也可，呈斑点状，斑片状或均匀模糊阴影。约</span>1/5<span style=\"font-family:宋体\">有少量胸腔积液。</span></p><p><span style=\"font-family:宋体\">（二）病原学检查：肺炎支原体的分离，难以广泛应用，无助于早期诊断。</span></p><p><span style=\"font-family:宋体\">（三）血清学检查：血清病原抗体效价</span>&gt;1:32<span style=\"font-family:宋体\">、链球菌</span>MG<span style=\"font-family:宋体\">凝集试验，效价≥</span>1:40<span style=\"font-family:宋体\">为阳性，连续两次</span>4<span style=\"font-family:宋体\">倍以上增高有诊断价值。血清间接试验</span>&gt;1:32<span style=\"font-family:宋体\">，间接荧光试验</span>&gt;1:66<span style=\"font-family:宋体\">，间接免疫荧光抗肺炎支原体</span>IgG&gt;1:16<span style=\"font-family:宋体\">，抗肺炎支原体</span>IgM&gt;1:8<span style=\"font-family:宋体\">，亲和素酶联免疫吸附试验，可直接检测肺炎支原体抗原，</span>24<span style=\"font-family:宋体\">小时内可获结果，均有诊断意义。</span></p><p><strong><span style=\"font-family:宋体\">鉴别诊断</span></strong></p><p><span style=\"font-family:宋体\">应与浸润型肺结核、病毒性肺炎、细菌性肺炎等相鉴别。</span></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('290', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '714', '治疗', '<p>&nbsp; &nbsp;<span style=\"font-family: 宋体;\">红霉素、交沙霉素和四环素类治疗有效，可缩短病程。红霉素</span>0.5g<span style=\"font-family: 宋体;\">，每</span>8<span style=\"font-family: 宋体;\">小时一次；交沙霉素的胃肠道反应轻，其他副作用少，效果与红霉素相仿，用量</span>1.2<span style=\"font-family: 宋体;\">～</span>1.8g/d<span style=\"font-family: 宋体;\">，分次口服；四环素</span>0.5g<span style=\"font-family: 宋体;\">，每</span>6<span style=\"font-family: 宋体;\">小时一次。治疗须继续</span>2<span style=\"font-family: 宋体;\">～</span>3<span style=\"font-family: 宋体;\">周，以免复发。咳嗽剧烈时可用可待因</span>15<span style=\"font-family: 宋体;\">～</span>30mg<span style=\"font-family: 宋体;\">，一日</span>3<span style=\"font-family: 宋体;\">次。</span></p><p><span style=\"font-family:宋体\">支原体疫苗的预防效果尚无定论，鼻内接种减毒活疫苗有一定预防作用。</span></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('323', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '252', '概述', '<p><span style=\"font-size: 12px;font-family:宋体\">&nbsp; 高渗性高血糖状态</span><span style=\"font-size:12px\">( hyperosmolar hyperglycemic state,HHS)</span><span style=\"font-size:12px;font-family:宋体\">是糖尿病严重急性并发症之一</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">多发生于那些已有数周多尿、体重减轻和饮食减少病史的老年</span><span style=\"font-size:12px\">2</span><span style=\"font-size:12px;font-family:宋体\">型糖尿病患者</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">指上述患者最终出现的精神错乱、昏睡或昏迷的状态。临床上多表现为严重高血糖而基本上无酮症酸中毒血浆渗透压升高、失水和意识障碍等精神神经系统症状。</span></p><p><a><span style=\"font-size:12px\">&nbsp; HHS</span></a><span style=\"font-size:12px;font-family:宋体\">的常见诱因有感染、急性胃肠炎、胰腺炎、脑血管意外、严重肾疾患、血液或腹膜透析、水摄入不足、大量摄入含糖饮料等</span><span style=\"font-size:12px\">;</span><span style=\"font-size:12px;font-family:宋体\">许多药物也可成为</span><span style=\"font-size:12px\">HHS</span><span style=\"font-size:12px;font-family: 宋体\">的诱因</span><span style=\"font-size: 12px\">,</span><span style=\"font-size:12px;font-family:宋体\">包括糖皮质激素</span><span style=\"font-size:12px\">(</span><span style=\"font-size:12px;font-family:宋体\">尤其是肾移植患者</span><span style=\"font-size:12px\">)</span><span style=\"font-size:12px;font-family:宋体\">、利尿药</span><span style=\"font-size: 12px\">(</span><span style=\"font-size:12px;font-family:宋体\">如噻嗪类和呋塞米</span><span style=\"font-size:12px\">)</span><span style=\"font-size:12px;font-family:宋体\">、免疫抑制剂、氯丙嗪等</span><span style=\"font-size:12px\">;</span><span style=\"font-size:12px;font-family:宋体\">大量输注葡萄糖、长期静脉内营养支持亦可诱发或促进</span><span style=\"font-size:12px\">HHIS</span><span style=\"font-size:12px;font-family:宋体\">的发生。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('324', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '252', '发病机制和病理生理学', '<p><span style=\"font-size:12px\">&nbsp; &nbsp; HHS</span><span style=\"font-size:12px;font-family: 宋体\">是体内胰岛素相对缺乏使血糖升高</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">并进一步引起脱水</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">最终导致的严重高渗状态。胰岛素相对不足、液体摄入减少是</span><span style=\"font-size:12px\">HHS</span><span style=\"font-size:12px;font-family:宋体\">的基本病因。胰岛素缺乏促进肝葡萄糖输出</span><span style=\"font-size:12px\">(</span><span style=\"font-size:12px;font-family:宋体\">通过糖原分解和糖异生</span><span style=\"font-size:12px\">)</span><span style=\"font-size:12px;font-family:宋体\">、损伤了骨骼肌对葡萄糖的利用</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">高血糖的渗透性利尿作用导致血容量不足</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">如补液不充分</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">患者病情加重。另外</span><span style=\"font-size:12px\">,HHS</span><span style=\"font-size:12px;font-family: 宋体\">的发生发展受到一系列因素的影响</span><span style=\"font-size:12px\">:</span><span style=\"font-size:12px;font-family:宋体\">存在感染、外伤、脑血管意外等诱发因素的情况下</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">胰岛素分泌进一步减少</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">对抗胰岛素的激素水平升高</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">血糖明显升高</span><span style=\"font-size:12px\">;HHS</span><span style=\"font-size:12px;font-family: 宋体\">多发生于老年患者</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">口渴中枢不敏感</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">加上主动饮水的欲望降低和肾功能不全</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">失水常相当严重</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">而钠的丢失少于失水</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">致血钠明显增高</span><span style=\"font-size:12px\">;</span><span style=\"font-size:12px;font-family:宋体\">脱水和低血钾一方面能引起皮质醇、儿茶酚胺和胰高血糖素等升糖激素的分泌增多</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">另方面进一步抑制胰岛素分泌</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">继而造成高血糖状态的继续加重，形成恶性循环，最终导致</span><span style=\"font-size:12px\">HHS</span><span style=\"font-size:12px;font-family:宋体\">发生。</span></p><p><span style=\"font-size:12px\">&nbsp; &nbsp; HHS</span><span style=\"font-size:12px;font-family: 宋体\">与糖尿病酮症酸中毒</span><span style=\"font-size:12px\">(DKA)</span><span style=\"font-size:12px;font-family: 宋体\">都是由于胰岛素缺乏而引起的糖尿病急性并发症</span><span style=\"font-size:12px\">,DKA</span><span style=\"font-size:12px;font-family: 宋体\">主要表现为高血糖、酮症和酸中毒</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">而</span><span style=\"font-size: 12px\">HHS</span><span style=\"font-size:12px;font-family:宋体\">以严重高血糖和高渗透压为特征。这两种代谢素乱临床表现的差别</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">可能的原因为</span><span style=\"font-size:12px\">:</span><span style=\"font-size:12px;font-family:宋体\">①</span><span style=\"font-size: 12px\"> HHS</span><span style=\"font-size:12px;font-family:宋体\">时胰岛素只是相对缺乏</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">分泌的胰岛素虽足以抑制脂肪分解和酮体生成</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">但却不能抑制糖异生</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">故主要为血糖的明显升高</span><span style=\"font-size:12px\">;</span><span style=\"font-size:12px;font-family:宋体\">但在</span><span style=\"font-size: 12px\">DKA</span><span style=\"font-size:12px;font-family:宋体\">胰岛素是高度缺乏</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">已不能抑制酮体生成</span><span style=\"font-size:12px\">;</span><span style=\"font-size:12px;font-family:宋体\">②胰高血糖素等升糖激素升高较轻</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">促进脂肪分解和生酮作用较弱</span><span style=\"font-size:12px\">;</span><span style=\"font-size:12px;font-family:宋体\">③</span><span style=\"font-size: 12px\">HHS</span><span style=\"font-size:12px;font-family:宋体\">时失水严重</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">不利于酮体产生</span><span style=\"font-size:12px\">;</span><span style=\"font-size:12px;font-family:宋体\">④部分</span><span style=\"font-size: 12px\">HHS</span><span style=\"font-size:12px;font-family:宋体\">患者血浆非酯化脂肪酸水平高而无酮症</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">提示肝生酮功能障碍</span><span style=\"font-size:12px\">;</span><span style=\"font-size:12px;font-family:宋体\">⑤严重高血糖和酮体生成之间可能存在拮抗作用。由此可见</span><span style=\"font-size:12px\">,HHS</span><span style=\"font-size:12px;font-family:宋体\">与</span><span style=\"font-size:12px\">DKA</span><span style=\"font-size:12px;font-family: 宋体\">是不同程度的胰岛素缺乏所导致的两种状态</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">两者可能同时存在</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">实际上</span><span style=\"font-size: 12px\">,1/3</span><span style=\"font-size:12px;font-family:宋体\">的高血糖患者可同时表现出</span><span style=\"font-size:12px\">HHS</span><span style=\"font-size:12px;font-family:宋体\">和</span><span style=\"font-size:12px\">DK</span><span style=\"font-size:12px;font-family:宋体\">的特征。</span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('325', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '252', '临床表现', '<p><span style=\"font-size:12px\">&nbsp; &nbsp; HHS</span><span style=\"font-size:12px;font-family: 宋体\">发病率低于</span><span style=\"font-size:12px\">DKA,</span><span style=\"font-size:12px;font-family: 宋体\">多见于</span><span style=\"font-size: 12px\">60</span><span style=\"font-size:12px;font-family:宋体\">岁以上老年人</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">男女发病率大致相同</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">约</span><span style=\"font-size: 12px\">2/3</span><span style=\"font-size:12px;font-family:宋体\">患者过去有糖尿病病史</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">且多为</span><span style=\"font-size:12px\">2</span><span style=\"font-size:12px;font-family:宋体\">型糖尿病。</span><span style=\"font-size:12px\">HHS</span><span style=\"font-size:12px;font-family: 宋体\">起病多隐匿</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">从发发病到出现典型的临床表现一般为</span><span style=\"font-size:12px\">1-2</span><span style=\"font-size:12px;font-family: 宋体\">周</span><span style=\"font-size: 12px\">,</span><span style=\"font-size:12px;font-family:宋体\">偶尔急性起病。患者起病初期多有口渴、多饮、多尿、乏力等糖尿病症状出现或加重</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">可同时伴有恶心、呕吐、食欲减退、反应迟钝、表情淡漠等临床表现。随着病情进展</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">逐渐出现典型的</span><span style=\"font-size:12px\">HHS</span><span style=\"font-size:12px;font-family: 宋体\">临床表现</span><span style=\"font-size: 12px\">,</span><span style=\"font-size:12px;font-family:宋体\">主要表现为严重脱水和中枢神经系统损害。</span></p><p><span style=\"font-size:12px\">&nbsp; &nbsp; HHS</span><span style=\"font-size:12px;font-family: 宋体\">悲者常有严重的脱水征</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">体格检查可见皮肤黏膜干燥、弹性减退</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">眼球凹陷</span><span style=\"font-size: 12px\">,</span><span style=\"font-size:12px;font-family:宋体\">唇舌干裂</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">随着病情进展</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">可出现脉细速</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">卧位时颈静脉充盈不全</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">直立性低血压等周围循环衰竭表现。不少患者就诊时已处于休克状态</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">但因脱水严重</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">体检时可无冷汗。部分患者虽有严重脱水</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">但因血浆的高渗状态促使细胞内液外出</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">补充了血容量</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">可能掩盖了失水的严重程度</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">而使血压仍然维持正常。</span></p><p><span style=\"font-size:12px\">&nbsp; &nbsp; HHS</span><span style=\"font-size:12px;font-family: 宋体\">忠者中枢神经系统损害的症状非常突出</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">患者意识水平主要决定于血浆渗透压升高的程度。通常患者血浆有效渗透压超过</span><span style=\"font-size:12px\">320mOsm/kg H<sub>2</sub>O</span><span style=\"font-size:12px;font-family:宋体\">时</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">即可出现精神症状</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">如淡漠、喈睡等</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">而当患者血浆有效滲透压超过</span><span style=\"font-size:12px\">350mOsm/kg H2O</span><span style=\"font-size:12px;font-family:宋体\">时</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">可有定向力障碍、幻觉、上肢拍击样粗震颤、癲痫样抽搐、失语、偏盲、肢体瘫痪、昏迷及锥体束征阳性等表现。这些体征提示患者可能有因脱水、血液浓缩或血管栓塞而引起的大脑皮质或皮质下损害。经治疗后</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">上述神经系统症状、体征多可完全恢复正常</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">但少数患者可能在</span><span style=\"font-size:12px\">HHS</span><span style=\"font-size:12px;font-family: 宋体\">纠正后一段时间内仍遗留部分中枢神经系统损害表现。</span></p><p><span style=\"font-size:12px\">HHS</span><span style=\"font-size:12px;font-family: 宋体\">常由严重的并发疾病如心肌梗死或脑卒中诱发。败血症、肺炎和其他一些感染是</span><span style=\"font-size:12px\">HHS</span><span style=\"font-size:12px;font-family:宋体\">常见的诱因。另外一些导致机体抵抗力下降的因素如脑卒中前或痴呆对</span><span style=\"font-size:12px\">HHS</span><span style=\"font-size:12px;font-family:宋体\">的发生发展有促进作用。所以在处理</span><span style=\"font-size:12px\">HHS</span><span style=\"font-size:12px;font-family:宋体\">患者时也应注意有无诱发疾病表现</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">及时纠正。</span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('326', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '252', '实验室检查', '<p>1. <span style=\"font-family: 宋体;\">尿液检查</span>&nbsp; <span style=\"font-family: 宋体;\">尿糖强阳性</span>,<span style=\"font-family: 宋体;\">肾功能不全可使肾糖阈值升高</span>,<span style=\"font-family: 宋体;\">但尿糖阴性者罕见</span>;<span style=\"font-family: 宋体;\">尿酮阴性或弱阳性</span>;<span style=\"font-family: 宋体;\">可有蛋白尿和管型</span>,<span style=\"font-family: 宋体;\">与肾小管功能受损有关。</span></p><p><span style=\"font-size:12px\">2. </span><span style=\"font-size:12px;font-family: 宋体\">血液检查</span><span style=\"font-size: 12px\">&nbsp; HHS</span><span style=\"font-size:12px;font-family:宋体\">患者主要的血生化指标检查与</span><span style=\"font-size:12px\">DKA</span><span style=\"font-size:12px;font-family:宋体\">的比较见表</span><span style=\"font-size:12px\">14-4-15</span><span style=\"font-size:12px;font-family: 宋体\">。最显著的特征是高血糖、高血渗透压和肾前性氮质血症。血酮体正常或略高</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">半定量测定多不超过</span><span style=\"font-size:12px\">4.8mmol/L(50mg/dl)</span><span style=\"font-size:12px;font-family:宋体\">。另外</span><span style=\"font-size:12px\">.</span><span style=\"font-size:12px;font-family:宋体\">因血糖每升高</span><span style=\"font-size:12px\">5.6mmol/L,</span><span style=\"font-size:12px;font-family:宋体\">血钠下降</span><span style=\"font-size:12px\">1.6mmol/L</span><span style=\"font-size:12px;font-family:宋体\">左右</span><span style=\"font-size:12px\">,HHS</span><span style=\"font-size:12px;font-family: 宋体\">时存在严重高血糖</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">可造成血钠水平假性降低。渗透压可直接测定</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">也可用公式计算</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">即血浆总渗透压</span><span style=\"font-size:12px\">(mOsm/kg H<sub>2</sub>O)=2(Na<sup>+</sup>K<sup>-</sup>)+</span><span style=\"font-size:12px;font-family:宋体\">血糖</span><span style=\"font-size:12px\">(mmol/L)+BUN(mmol/L),</span><span style=\"font-size:12px;font-family:宋体\">因</span><a><span style=\"font-size:12px\">BUN</span></a><span style=\"font-size:12px;font-family: 宋体\">能自由通过细胞膜</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">不构成细胞外液的有效渗透压</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">略去</span><span style=\"font-size: 12px\">BUN</span><span style=\"font-size:12px;font-family:宋体\">的值即为有效血浆渗透压。</span><span style=\"font-size:12px\">HHS</span><span style=\"font-size:12px;font-family:宋体\">时</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">有效血浆渗透压明显升高</span><span style=\"font-size:12px\">,</span><span style=\"font-size:12px;font-family:宋体\">一般在</span><span style=\"font-size: 12px\">350mOsm/kgH<sub>2</sub>O</span><span style=\"font-size:12px;font-family: 宋体\">以上。</span></p><p><span style=\"font-size:12px;font-family: 宋体\"></span></p><p style=\"white-space: normal; text-align: center;\"><span style=\"font-family: 宋体;\">表</span>14-4-15<span style=\"font-family: 宋体;\">糖尿病酮症酸中毒</span>(DKA)<span style=\"font-family: 宋体;\">和高渗性高血糖状态</span>(HHS)<span style=\"font-family: 宋体;\">实验室检查</span></p><table><tbody><tr class=\"firstRow\"><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">DKA</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">HHS</span></td></tr><tr><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">血糖*,mmol/L(mg/dl)</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">13.9~33.3(250~600)</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">33.3~66.6(600~1200)</span></td></tr><tr><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">血钠,mmol/L</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">125~135</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">135~145</span></td></tr><tr><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">血钾*,mmol/L</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">正常或升高**</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">正常</span></td></tr><tr><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">血镁*,mmol/L</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">正常**</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">正常</span></td></tr><tr><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">血氯*,mmol/L</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">正常</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">正常</span></td></tr><tr><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">磷酸盐*,mmol/L</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">降低</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">正常</span></td></tr><tr><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">血肌酐,μmol/L(mg/dl)</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">轻度升高</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">中度升高</span></td></tr><tr><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">血浆渗透压(mOsm/kg H2O)</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">300~32</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">330~380</span></td></tr><tr><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">血酮*</span></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">++++</span></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">+/-</span></td></tr><tr><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">碳酸氢盐*,mmol/L</span><br/></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">&lt; 1 5 mmol / l</span></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">正常或轻度减低</span></td></tr><tr><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">动脉血pH</span></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">6.8~7.3</span></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">＞7.3</span></td></tr><tr><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">动脉血PCO<sub>2</sub>,mmHg</span></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">20~30</span></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">正常</span></td></tr><tr><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">阴离子间隙*[N+-(Cl-+HCO3-)],mmol/L</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">明显增高</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体;\">正常或轻度升高</span></td></tr></tbody></table><p style=\"white-space: normal;\"><span style=\"font-family: 宋体;\">注</span>:*<span style=\"font-family: 宋体;\">治疗过程中会发生极大变化</span>;**<span style=\"font-family: 宋体;\">血浆水平表现为正常或增高</span>,<span style=\"font-family: 宋体;\">机体的储备量减少</span></p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('327', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '252', '诊断与鉴别诊断', '<p style=\"white-space: normal;\"><span style=\"font-family: 宋体;\">诊断与鉴别诊断</span><br/></p><p style=\"white-space: normal;\"><span style=\"font-family: 宋体;\">&nbsp;&nbsp;</span>HHS<span style=\"font-family: 宋体;\">的诊断并不困难</span>,<span style=\"font-family: 宋体;\">关键要提高对本病的认识和警惕</span>,<span style=\"font-family: 宋体;\">及早发现</span>,<span style=\"font-family: 宋体;\">及时治疗。如发现中、老年患者有显著的精神障碍和严重的脱水</span>,<span style=\"font-family: 宋体;\">而无明显的深大呼吸</span>,<span style=\"font-family: 宋体;\">应考虑到发生本病的可能</span>,<span style=\"font-family: 宋体;\">并立即作相应实验室检查和辅助检查</span>,<span style=\"font-family: 宋体;\">包括血糖、血酮、血电解质、血尿素氮和肌酐、血气分析、尿糖、尿酮体、心电图等。</span>HHS<span style=\"font-family: 宋体;\">的诊断依据是</span>:<span style=\"font-family: 宋体;\">①中、老年患者</span>,<span style=\"font-family: 宋体;\">血糖≥</span>33.3 mmol;<span style=\"font-family: 宋体;\">②有效血浆渗透压≥</span>320mOsm/kgH2O;<span style=\"font-family: 宋体;\">③血清碳酸氢根≥</span>15 mmol/L<span style=\"font-family: 宋体;\">或代谢性疾病动脉血</span>pH<span style=\"font-family: 宋体;\">≥</span>7.30;<span style=\"font-family: 宋体;\">④尿糖强阳性</span>,<span style=\"font-family: 宋体;\">血酮体阴性或弱阳性。另外</span>,<span style=\"font-family: 宋体;\">要注意</span>HhIs<span style=\"font-family: 宋体;\">有并发</span>DKA<span style=\"font-family: 宋体;\">或乳酸性酸中毒的可能性</span>,<span style=\"font-family: 宋体;\">因此诊断依据中的①、③或④不符合时不能作为否定诊断的依据。但</span>HHs<span style=\"font-family: 宋体;\">患者均存在明显的高渗状态</span>,<span style=\"font-family: 宋体;\">如昏迷患者血浆有效渗透压低于</span>320mOsm/kg H<sub>2</sub>O,<span style=\"font-family: 宋体;\">应考虑到其他疾病引起昏迷的可能性</span>,HHS<span style=\"font-family: 宋体;\">与其他疾病的鉴别见表</span>14-4-15<span style=\"font-family: 宋体;\">。</span></p><p><br/></p><br/>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('328', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '252', '治疗', '<p style=\"white-space: normal;\"><span style=\"font-family: 宋体;\">&nbsp; &nbsp; 对患者術启动代谢心肾卲能临护</span>,<span style=\"font-family: 宋体;\">并观察神经系统症状和体征变化。</span></p><p style=\"white-space: normal;\"><span style=\"font-family: 宋体;\">&nbsp; &nbsp; 血容量不足和高血糖是</span>HHS<span style=\"font-family: 宋体;\">和</span>DKA<span style=\"font-family: 宋体;\">的共同主要特征。因此在这方面的治疗有共同的特点</span>,<span style=\"font-family: 宋体;\">而</span>HHS<span style=\"font-family: 宋体;\">基本上无酸中毒或甚轻微</span>,DKA<span style=\"font-family: 宋体;\">则酸中毒明显</span>,<span style=\"font-family: 宋体;\">因而</span>HHS<span style=\"font-family: 宋体;\">对胰岛素的需要量远较</span>DKA<span style=\"font-family: 宋体;\">为小。在</span>HHS<span style=\"font-family: 宋体;\">和</span>DKA<span style=\"font-family: 宋体;\">时</span>,<span style=\"font-family: 宋体;\">监测患者液体补液情况</span>,<span style=\"font-family: 宋体;\">实验室检查结果和胰岛素输注率至关重要。另外</span>,<span style=\"font-family: 宋体;\">应积极寻找和去除诱发因素。</span>HHS<span style=\"font-family: 宋体;\">患者由于病程长</span>,<span style=\"font-family: 宋体;\">液体丢失和脱水的情况较</span>DKA<span style=\"font-family: 宋体;\">更加显著。</span>HHS<span style=\"font-family: 宋体;\">患者通常年龄比较大</span>,<span style=\"font-family: 宋体;\">更容易发生精神状态的改变和伴发其他威胁生命的疾病。因此即使予以及时治疗</span>,HHS<span style=\"font-family: 宋体;\">患者的死亡率仍然比</span>DKA<span style=\"font-family: 宋体;\">要高</span>(<span style=\"font-family: 宋体;\">临床统计显示死亡率可高达</span>15%),<span style=\"font-family: 宋体;\">故要特别强调预防、早期诊断和治疗。</span></p><p style=\"white-space: normal;\">1.&nbsp;<span style=\"font-family: 宋体;\">补液</span>&nbsp; HHS<span style=\"font-family: 宋体;\">患者均有严重脱水</span>,<span style=\"font-family: 宋体;\">而高渗状态引起的脑细胞脱水是威胁患者生命的主要原因</span>,<span style=\"font-family: 宋体;\">单纯补液即可使血糖每小时下降</span>1.1mmol/L(20mg/d),<span style=\"font-family: 宋体;\">可使血浆渗透压下降</span>,<span style=\"font-family: 宋体;\">减轻脑细胞水肿。因此积极补液在治疗中至关重要</span>,<span style=\"font-family: 宋体;\">对预后起决定性作用。</span></p><p style=\"white-space: normal;\"><span style=\"font-family: 宋体;\">对</span>HHs<span style=\"font-family: 宋体;\">患者而言</span>,<span style=\"font-family: 宋体;\">首选生理盐水</span>,<span style=\"font-family: 宋体;\">因生理盐水的渗透压为</span>308mOsm/kg H<sub>2</sub>O,<span style=\"font-family: 宋体;\">相对于</span>HHS<span style=\"font-family: 宋体;\">情况下的血浆高渗透压而言是低渗的。输注生理盐水能迅速有效地补充血容量</span>,<span style=\"font-family: 宋体;\">改善肾功能并降低血糖。如治疗前已有休克</span>,<span style=\"font-family: 宋体;\">可先补充生理盐水和适量胶体溶液</span>,<span style=\"font-family: 宋体;\">以尽快纠正休克。如无休克</span>,<span style=\"font-family: 宋体;\">经输注生理盐水</span>1000~200m1<span style=\"font-family: 宋体;\">后</span>,<span style=\"font-family: 宋体;\">血浆渗透压仍</span>&gt;350mOsm/kg H<sub>2</sub>O,<span style=\"font-family: 宋体;\">血钠</span>&gt;155mmol/L,<span style=\"font-family: 宋体;\">可谨慎给一定量的低渗溶液</span>(0.45%~0.6%<span style=\"font-family: 宋体;\">盐水</span>),<span style=\"font-family: 宋体;\">并在中心静脉压及血浆渗透压监测下调整补液量和速度</span>;<span style=\"font-family: 宋体;\">当渗透压降至</span>330mOsm/kg H<sub>2</sub>O<span style=\"font-family: 宋体;\">时</span>,<span style=\"font-family: 宋体;\">再改为等渗溶液。治疗过程中应注意大量使用生理盐水可使患者的血钠和血氣升高</span>,<span style=\"font-family: 宋体;\">导致高氯血症。</span></p><p style=\"white-space: normal;\">5%<span style=\"font-family: 宋体;\">葡萄糖液的渗透压为</span>278mmol/L,<span style=\"font-family: 宋体;\">虽为等渗</span>,<span style=\"font-family: 宋体;\">但糖浓度约为正常血糖的</span>50<span style=\"font-family: 宋体;\">倍</span>,5%<span style=\"font-family: 宋体;\">葡萄糖盐水的渗透压为</span>586mmol/L<span style=\"font-family: 宋体;\">因此在治疗早期两者均不适用</span>,<span style=\"font-family: 宋体;\">以免加剧高血糖、高血钠及高渗状态。当血糖降至</span>16.7mmol/L(30mg/dl)<span style=\"font-family: 宋体;\">时</span>,<span style=\"font-family: 宋体;\">可开始输入</span>5%<span style=\"font-family: 宋体;\">葡萄糖液并逐情加用胰岛素。</span></p><p style=\"white-space: normal;\"><span style=\"font-family: 宋体;\">输液总量一般按患者原体重的</span>10%-12%<span style=\"font-family: 宋体;\">估算</span>,<span style=\"font-family: 宋体;\">补液速度应先快后慢</span>,<span style=\"font-family: 宋体;\">通常开始</span>2<span style=\"font-family: 宋体;\">小时内输</span>1000~2000ml,<span style=\"font-family: 宋体;\">头</span>12<span style=\"font-family: 宋体;\">小时给输液总量的</span>1/2<span style=\"font-family: 宋体;\">再加上当日尿量的液体量</span>,<span style=\"font-family: 宋体;\">其余在</span>24<span style=\"font-family: 宋体;\">小时内输入。输液中要观察尿量、心功能、神经系统表现和体征变化，必要时检测中心静脉压。</span></p><p style=\"white-space: normal;\">2.&nbsp;<span style=\"font-family: 宋体;\">胰岛素治疗与</span>DKA<span style=\"font-family: 宋体;\">的治疗一样</span>,<span style=\"font-family: 宋体;\">尽管最初的补液和容量扩张可以降低血糖</span>,HHS<span style=\"font-family: 宋体;\">患者仍需要胰岛素治疗</span>,<span style=\"font-family: 宋体;\">由于患者一般对胰岛素比</span>DKA<span style=\"font-family: 宋体;\">患者敏感</span>,<span style=\"font-family: 宋体;\">通常所需胰岛素的剂量比酮症酸中毒时少。</span></p><p style=\"white-space: normal;\"><span style=\"font-family: 宋体;\">目前多主张小剂量胰岛素治疗方案</span>,<span style=\"font-family: 宋体;\">可先静脉推注普通胰岛素</span>5~10U,<span style=\"font-family: 宋体;\">继续用静脉滴注维持治疗</span>(3~7U/h)<span style=\"font-family: 宋体;\">血糖和电解质等的监测要求与</span>DKA<span style=\"font-family: 宋体;\">相似。当患者血糖降至</span>16.7mmol/L,<span style=\"font-family: 宋体;\">血浆渗透压</span>&lt;330mOsm/kg H<sub>2</sub>O<span style=\"font-family: 宋体;\">时</span>,<span style=\"font-family: 宋体;\">转为第二阶段治疗</span>,<span style=\"font-family: 宋体;\">改用</span>5%<span style=\"font-family: 宋体;\">葡萄糖或糖盐水</span>,<span style=\"font-family: 宋体;\">按葡萄糖与胰岛素比例</span>(2~4):1<span style=\"font-family: 宋体;\">加入胰岛素</span>,<span style=\"font-family: 宋体;\">若此时血钠低于正常值</span>,<span style=\"font-family: 宋体;\">用</span>5%<span style=\"font-family: 宋体;\">葡萄糖盐水效果更佳。持续静脉输注胰岛素</span>,<span style=\"font-family: 宋体;\">直到患者恢复正常饮食</span>,<span style=\"font-family: 宋体;\">且可以用皮下注射胰岛素控制血糖为止。患者出院时均需用胰岛素控制血糖</span>,<span style=\"font-family: 宋体;\">部分患者日后可试改用口服降糖药物治疗。</span></p><p style=\"white-space: normal;\">3.&nbsp;<span style=\"font-family: 宋体;\">补钾</span>&nbsp; HHS<span style=\"font-family: 宋体;\">患者体内钾丢失严重</span>,<span style=\"font-family: 宋体;\">约丢失</span>5~10mmol/kg,<span style=\"font-family: 宋体;\">总量可达</span>400~1000mmol,<span style=\"font-family: 宋体;\">因为高血糖引起渗透性利尿</span>,<span style=\"font-family: 宋体;\">部分患者有酸中毒</span>,<span style=\"font-family: 宋体;\">细胞内钾移向细胞外</span>,<span style=\"font-family: 宋体;\">患者治疗前血钾往往正常</span>,<span style=\"font-family: 宋体;\">而在输注生理盐水的过程中可出现低钾血症。因此</span>,<span style=\"font-family: 宋体;\">只要患者血钾不高</span>,<span style=\"font-family: 宋体;\">尿量充足</span>,<span style=\"font-family: 宋体;\">治疗开始时即应补钾</span>,<span style=\"font-family: 宋体;\">可在</span>1000m1<span style=\"font-family: 宋体;\">生理盐水中加人</span>10%<span style=\"font-family: 宋体;\">氯化钾</span>,<span style=\"font-family: 宋体;\">每天可补</span>4~6g,<span style=\"font-family: 宋体;\">另外应鼓励患者同时口服补钾。静脉补钾过程中需监测血钾和心电图</span>,<span style=\"font-family: 宋体;\">如患者肾功能不全</span>,<span style=\"font-family: 宋体;\">补钾时尤应注意。</span></p><p style=\"white-space: normal;\">4.&nbsp;<span style=\"font-family: 宋体;\">其他治疗</span>&nbsp;&nbsp;<span style=\"font-family: 宋体;\">注意纠正电解质紊乱</span>,<span style=\"font-family: 宋体;\">积极去除诱因</span>,<span style=\"font-family: 宋体;\">输氧</span>,<span style=\"font-family: 宋体;\">尿少者可静脉静滴呋塞米</span>,<span style=\"font-family: 宋体;\">特别是高钠血症患者。对于合并</span>DKA<span style=\"font-family: 宋体;\">的患者</span>,<span style=\"font-family: 宋体;\">应按</span>DKA<span style=\"font-family: 宋体;\">治疗原则纠正酸中毒。对昏述患者需加强护理</span>,<span style=\"font-family: 宋体;\">留置导尿管以观察尿量变化</span>,<span style=\"font-family: 宋体;\">并选用适当抗生素以预防和控制感染</span>,<span style=\"font-family: 宋体;\">密切观察患者病情变化。</span></p><p style=\"white-space: normal; text-align: left;\"><span style=\"font-family: 宋体;\">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;来源：《实用内科学》第14版上册</span></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('329', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1339', '概述', '<p><span style=\"font-family: 宋体\"> &nbsp; &nbsp;闭经是一个可由多种原因造成的临床症状。传统上将闭经分成原发性和继发性，</span>18<span style=\"font-family:宋体\">岁作为诊断的界限。但因为闭经的病因和病理生理机制十分复杂，加上环境和时间的变迁以及医学的发展，人们对闭经的认识、诊断标准和治疗方案都有了较大的改变和进步。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('330', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1339', '病因', '<p><span style=\"font-family: 宋体\">&nbsp; &nbsp; 闭经有生理性和病理性之分。青春期前、妊娠期、哺乳期、绝经后月经的停止，均属于生理性闭经。此处讨论的只是病理性闭经的问题。</span></p><p><span style=\"font-family: 宋体\">月经是由下丘脑-垂体-卵巢轴的周期性调节造成子宫内膜周期脱落形成的，因此在下丘脑、垂体、卵巢和生殖道特别是子宫的各个环节上出现的任何器质性或功能性的变化，均可能引起闭经。其他内分泌腺的器质性和功能性异常，也可能影响月经以致发生闭经。</span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('331', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1339', '发病机制', '<p><span style=\"font-family:宋体\">&nbsp; &nbsp; 与月经有关的器官包括子宫、卵巢、垂体及下丘脑，任何一个环节发生障碍都可能出现闭经。根据障碍发生的部位可分为子宫性、卵巢性、垂体性及下丘脑性</span>4<span style=\"font-family:宋体\">种类型。</span></p><p>&nbsp;&nbsp;&nbsp; 1.<span style=\"font-family:宋体\">子宫性闭经</span>&nbsp; <span style=\"font-family:宋体\">闭经的原因在子宫。虽卵巢功能正常，但子宫内膜不能产生正常的反应，因而不来月经。引起子宫性闭经常见的疾病有：</span></p><p>&nbsp;&nbsp; &nbsp;(1)<span style=\"font-family:宋体\">先天性子宫发育不全或缺如：胚胎时由于副中肾管发育不全或不发育所致。表现为原发闭经。青春发育后，第二性征如乳房，外生殖器，阴、腋毛等均发育正常。若测基础体温有时可显示有排卵，还可表现有周期性乳房胀痛及小腹不适。染色体及性腺均为正常女性。各种卵巢激素及垂体促性腺激素</span>FSH<span style=\"font-family:宋体\">，</span>LH<span style=\"font-family:宋体\">等均在正常女性水平。盆腔检查及</span>B<span style=\"font-family:宋体\">超证实无子宫。若原发闭经伴周期性腹痛者应考虑是先天性子宫或阴道的畸形，如阴道有隔或处女膜闭锁等。因生殖道不畅，经血不能排出。</span>B<span style=\"font-family:宋体\">超可发现子宫积血和阴道积血。手术将通道打开会恢复正常月经。而先天性子宫发育不全或缺如则永远不会有月经。</span></p><p>&nbsp;&nbsp;&nbsp; (2)<span style=\"font-family:宋体\">子宫内膜损伤或粘连：常发生于人工流产后，产后或流产后刮宫，由于过度搔刮损伤了子宫内膜，或手术后感染造成宫腔粘连，出现闭经。当宫腔部分粘连时，使经血不能流出，表现为闭经同时伴有周期性腹痛及下坠感。将症状与基础体温对照，或</span>B<span style=\"font-family:宋体\">超发现子宫积血，即可明确诊断。</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">有些感染如结核性子宫内膜炎，流产或产后严重的子宫内膜炎均可使内膜遭破坏而导致闭经，一般为继发闭经。若少女在青春期前感染子宫内膜结核则表现为原发闭经。</span></p><p>&nbsp;&nbsp;&nbsp; (3)<span style=\"font-family:宋体\">子宫治疗：子宫或子宫内膜切除后或宫腔内放射治疗后均可出现子宫性闭经。</span></p><p>&nbsp;&nbsp;&nbsp; (4)<span style=\"font-family:宋体\">对雄激素不敏感综合征：又称睾丸女性化。这是一种特殊形式的子宫性闭经。患者核型为</span>46<span style=\"font-family:宋体\">，</span>XY<span style=\"font-family:宋体\">，性腺为睾丸，由于靶器官缺乏雄激素受体或受体不能发生正常的生物功能，因而未能发育为正常男性。完全型睾丸女性化外表极似女性，有乳房发育，但子宫缺如阴道上段为盲端。患者往往于青春期后原发闭经来就诊。</span></p><p>&nbsp;&nbsp;&nbsp; 2.<span style=\"font-family:宋体\">卵巢性闭经</span>&nbsp; <span style=\"font-family:宋体\">指原发于卵巢本身的疾患或功能异常所致的闭经。可为先天的，亦可是后天的。卵巢性闭经诊断的</span>2<span style=\"font-family:宋体\">个主要内分泌指标是雌激素水平低落和促性腺激素水平升高。</span></p><p>&nbsp;&nbsp;&nbsp; (1)<span style=\"font-family:宋体\">先天性卵巢发育不全：又称</span>Turner<span style=\"font-family:宋体\">综合征。是少女原发闭经中最多见的一种。这是一种性染色体异常的疾病，多数是</span>X<span style=\"font-family:宋体\">染色体数目异常，基本核型是</span>45<span style=\"font-family:宋体\">，</span>X<span style=\"font-family:宋体\">，也可为性染色体结构异常，如</span>X<span style=\"font-family:宋体\">染色体等臂，长臂或短臂的缺失，环状</span>X<span style=\"font-family:宋体\">染色体等。还有些是多种核型的嵌合体。本病患者除原发闭经和第二性征不发育外，多有一组躯体异常表现，如身材矮小、颈状蹼、多面痣、桶状胸，肘外翻及其他畸形。少数与</span>46<span style=\"font-family:宋体\">，</span>XX<span style=\"font-family:宋体\">嵌合的病例可能表现为继发闭经或偶有正常月经。</span></p><p>&nbsp;&nbsp;&nbsp; (2)<span style=\"font-family:宋体\">单纯性腺发育不全：包括</span>46<span style=\"font-family:宋体\">，</span>XX<span style=\"font-family:宋体\">单纯性腺发育不全和</span>46<span style=\"font-family:宋体\">，</span>XY<span style=\"font-family:宋体\">单纯性腺发育不全。二者除核型不同外，临床表现相似。均表现为原发闭经，第二性征不发育。个高，四肢长，体形为阉割型。性腺多呈条索状。核型为</span>XY<span style=\"font-family:宋体\">的性腺易发生肿瘤。北京协和医院曾报道过</span>5<span style=\"font-family:宋体\">例</span>XY<span style=\"font-family:宋体\">单纯性腺发育不全，均切除性腺，病理证实</span>4<span style=\"font-family:宋体\">例已发生肿瘤，其中性腺母细胞瘤</span>2<span style=\"font-family:宋体\">例，性索瘤与支持细胞瘤各</span>1<span style=\"font-family:宋体\">例。所以</span>XY<span style=\"font-family:宋体\">单纯性腺发育不全者均应尽早手术切除性腺。</span></p><p>&nbsp;&nbsp;&nbsp; (3)<span style=\"font-family:宋体\">卵巢早衰：又称早绝经，即绝经发生在</span>40<span style=\"font-family:宋体\">岁以前。偶见于</span>20<span style=\"font-family:宋体\">岁以下青年女性。多数为继发闭经，极少为原发闭经。卵巢萎缩，雌激素水平低落，</span>FSH<span style=\"font-family:宋体\">升高达绝经水平。卵巢早衰的真正机制尚不十分清楚。有人观察到卵巢早衰与自身免疫系统有关，因发现卵巢早衰常与多种自家免疫病相伴随，如</span>Addison<span style=\"font-family:宋体\">病，甲状腺炎，甲状旁腺功能低下，重症肌无力，糖尿病等，能测出抗卵巢组织的抗体，已观察到卵巢上有抗促性腺激素受体抗体，阻碍</span>FSH<span style=\"font-family:宋体\">与细胞膜上的受体结合。亦有报道发现卵巢早衰有家族因素，患者母亲或姐妹中有早绝经的情况。</span></p><p>&nbsp;&nbsp;&nbsp; (4)<span style=\"font-family:宋体\">卵巢不敏感综合征：临床表现同卵巢早衰，可为原发闭经或早绝经。与卵巢早衰不同的是此类患者卵巢中有为数不少的正常卵泡，但处于休止状态，不能发育成熟和排卵。卵巢不敏感综合征的发病机制亦不十分清楚。较多的解释是卵巢存在抗促性腺激素受体抗体或受体后生物功能障碍。该病的生殖激素变化与卵巢早衰相同，若</span>B<span style=\"font-family:宋体\">超或腹腔镜见到卵巢不萎缩且有小卵泡存在，则可以与卵巢早衰进行鉴别。</span></p><p>&nbsp;&nbsp;&nbsp; (5)<span style=\"font-family:宋体\">去卵巢综合征：卵巢切除或组织被破坏。多由于手术切除双侧卵巢或双侧卵巢经放射治疗后，卵巢组织被破坏以致功能丧失，表现为原发或继发闭经。严重卵巢炎症也可破坏卵巢组织而致闭经。</span></p><p>&nbsp;&nbsp;&nbsp; 3.<span style=\"font-family:宋体\">垂体性闭经</span>&nbsp; <span style=\"font-family:宋体\">垂体的病变所致促性腺激素的合成及分泌障碍，从而影响卵巢功能而导致闭经。</span></p><p>&nbsp;&nbsp;&nbsp; (1)<span style=\"font-family:宋体\">原发性垂体促性腺功能低下：是一种少见的遗传病，表现为孤立性促性腺激素缺乏，患者常常原发闭经，性征不发育，有些还伴有嗅觉障碍。垂体促性腺激素</span>FSH<span style=\"font-family:宋体\">与</span>LH<span style=\"font-family:宋体\">以及卵巢性激素均为低水平。</span></p><p>&nbsp;&nbsp;&nbsp; (2)<span style=\"font-family:宋体\">继发性垂体前叶功能低下：由于垂体损伤、出血、炎症、放射及手术等破坏了垂体前叶功能，造成促性腺激素及垂体前叶其他激素，如促甲状腺激素及促肾上腺皮质激素等的缺乏。故除有性腺功能低下外，有时还会有甲状腺功能低下和肾上腺皮质功能低下，表现出闭经、消瘦、乏力、怕冷，低血糖，低血压、低基础代谢及性欲减退等。由于产后大出血、休克引起垂体前叶组织缺血坏死而发生的席汉综合征是继发性垂体前叶功能低下的典型情况。</span></p><p>&nbsp;&nbsp;&nbsp; (3)<span style=\"font-family:宋体\">垂体肿瘤：亦是垂体性闭经较常见的病因，可通过直接破坏垂体前叶功能或因破坏了下丘脑与垂体间调节通道，干扰了生殖激素的分泌与调节，导致闭经。垂体肿瘤的种类很多，如生长激素瘤、泌乳素瘤、促甲状腺激素腺瘤、促肾上腺皮质激素腺瘤、促性腺激素腺瘤的混合瘤以及无功能垂体腺瘤等。与闭经有关的最常见的垂体瘤是泌乳素瘤。</span></p><p>&nbsp;&nbsp;&nbsp; 4.<span style=\"font-family:宋体\">下丘脑性闭经</span>&nbsp; <span style=\"font-family:宋体\">指障碍在下丘脑或下丘脑以上。由于下丘脑促性腺激素释放激素</span>(GnRH)<span style=\"font-family:宋体\">缺乏或分泌形式失调而导致闭经。包括下丘脑</span>-<span style=\"font-family:宋体\">垂体单位功能异常，中枢神经系统</span>-<span style=\"font-family:宋体\">下丘脑功能异常，以及其他内分泌异常引起的下丘脑不适当的反馈调节所致的闭经。</span></p><p>&nbsp;&nbsp;&nbsp; (1)<span style=\"font-family:宋体\">下丘脑</span>-<span style=\"font-family:宋体\">垂体单位功能异常：可为先天性下丘脑</span>-<span style=\"font-family:宋体\">垂体功能缺陷，亦可为继发于损伤后，肿瘤、炎症及放射等所致的下丘脑激素</span>GnRH<span style=\"font-family:宋体\">合成和分泌障碍。临床上最常见的下丘脑</span>-<span style=\"font-family:宋体\">垂体单位功能异常所致的闭经是高泌乳素血症。这是由于下丘脑泌乳素抑制因子</span>(<span style=\"font-family:宋体\">主要是多巴胺</span>)<span style=\"font-family:宋体\">缺乏，使垂体分泌过多的泌乳素。此外，任何其他原因妨碍了多巴胺对泌乳素分泌的抑制，都可发生高泌乳素血症。如肿瘤压迫垂体柄会阻断多巴胺对泌乳素分泌的抑制；某些药物因能消耗多巴胺的贮备或阻断多巴胺受体作用而使泌乳素分泌增加，如</span> <span style=\"font-family:宋体\">甲氧氯普胺（灭吐灵），氯丙嗪（冬眠灵）等药物。其他垂体腺瘤、甲状腺功能低下、吸吮乳头和胸部刺激等亦可引起泌乳素分泌增加。升高的泌乳素水平还可作用于下丘脑，抑制</span>GnRH<span style=\"font-family:宋体\">的合成与释放；作用于垂体，降低垂体对</span>GnRH<span style=\"font-family:宋体\">的敏感性；作用于卵巢，干扰卵巢甾体激素的合成。除闭经外，泌乳也常常是高泌乳素血症的重要表现之一。然而许多患者自己不能发现泌乳，约半数以上是因闭经或月经不调就诊时体检发现的。实验室检查会发现血泌乳素水平升高，＞</span>30ng/ml<span style=\"font-family:宋体\">，促卵泡激素</span>(FSH)<span style=\"font-family:宋体\">，促黄体生成激素</span>(LH)<span style=\"font-family:宋体\">相当或低于正常早卵泡期水平，雌激素水平低落。为除外垂体瘤，应做鞍区影像学检查。必要时还应当检查视野，以警惕肿瘤压迫视神经所致的视野缺损。</span></p><p>&nbsp;&nbsp;&nbsp; (2)<span style=\"font-family:宋体\">中枢</span>-<span style=\"font-family:宋体\">下丘脑功能异常：精神因素，外界或体内环境的改变可以通过中枢神经系统经大脑皮质，丘脑及下丘脑的神经内分泌途径，或经大脑边缘系统影响下丘脑功能而导致闭经。在青年女子中，较常见的典型情况如受精神刺激，情绪紧张或更换环境后可突然闭经。</span>FSH<span style=\"font-family:宋体\">，</span>LH<span style=\"font-family:宋体\">和雌二醇</span>(E2)<span style=\"font-family:宋体\">水平可在正常范围，由于</span>GnRH<span style=\"font-family:宋体\">脉冲分泌的节律受到干扰导致无排卵从而出现闭经。因刻意减肥，追求苗条身材所致的神经性厌食在青少年女孩中屡见不鲜。她们从节食到厌食或形成怪癖的饮食习惯，严重消瘦，闭经，以致发生甲状腺、肾上腺，性腺及胰腺等多器官的功能低下，甚至发生水及电解质紊乱和极度营养不良危及生命，此类患者多数可追问出与精神心理因素有关的病史。一般</span>FSH<span style=\"font-family:宋体\">，</span>LH<span style=\"font-family:宋体\">和</span>E2<span style=\"font-family:宋体\">水平均低下。此外，假孕也是一种精神心理因素导致的中枢下丘脑功能异常。常发生于盼子心切的不育妇女。</span></p><p>&nbsp;&nbsp;&nbsp; (3)<span style=\"font-family:宋体\">其他内分泌异常引起不适当的反馈调节：</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">①雄激素过多：过多的雄激素可来自卵巢及</span>(<span style=\"font-family:宋体\">或</span>)<span style=\"font-family:宋体\">肾上腺。临床上在青少年女子中最常见的是多囊性卵巢综合征。其主要的病理生理特点是雄激素过多及持续无排卵，表现为闭经或月经失调，多毛和肥胖，以及卵巢多囊性增大等一系列症状与体征。过多的雄激素主要来源于卵巢，部分来自肾上腺。增加的雄激素在周围组织内转化为雌激素。这种持续的无周期性的雌激素转化使垂体对</span>Gn-RH<span style=\"font-family:宋体\">的敏感性增强，导致</span>LH<span style=\"font-family:宋体\">分泌增多，并失去周期性，而</span>FSH<span style=\"font-family:宋体\">相对不足。多囊性卵巢综合征患者血循环中的雄激素水平约比正常女性高</span>50%<span style=\"font-family:宋体\">～</span>100%<span style=\"font-family:宋体\">。若雄激素异常升高，应注意与其他情况进行鉴别，如卵巢或肾上腺分泌雄激素肿瘤，酶缺陷所致的先天性肾上腺皮质增生及其他性发育异常。</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">先天性肾上腺皮质增生是女孩中另一种较常见的雄激素过多情况。是由于肾上腺皮质在合成类固醇激素过程中缺乏某种酶而生成过多的雄激素，使下丘脑</span>-<span style=\"font-family:宋体\">垂体</span>-<span style=\"font-family:宋体\">性腺轴功能受干扰而出现月经不调或闭经。除此之外，患者常有不同程度的男性化甚至生殖器畸形。</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">②甲状腺激素异常：甲状腺激素参与体内各种物质的新陈代谢。因此，甲状腺激素过多或过少都可直接影响生殖激素及生殖功能，如有些甲亢患者可表现有月经过少或闭经。</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">③分泌性激素肿瘤：以卵巢和肾上腺肿瘤多见。肿瘤分泌过多的性激素可通过反馈机制抑制下丘脑及垂体的分泌调节功能，破坏其周期性，导致无排卵或闭经。根据血中雌激素或雄激素水平异常增高的特点，可判断肿瘤分泌激素的性质。仔细的盆腔检查，相应部位的影像学检查，如盆腔及肾上腺</span>B<span style=\"font-family:宋体\">超、</span>CT<span style=\"font-family:宋体\">扫描、</span>MRI<span style=\"font-family:宋体\">等有助于肿瘤的确诊。</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">④运动与闭经：运动员、芭蕾舞演员等因从事大运动量活动，身体中脂肪过少，会出现运动性闭经。能量的消耗以及训练和比赛的精神压力均可影响神经内分泌代谢功能，使下丘脑</span>GnRH<span style=\"font-family:宋体\">分泌异常，导致闭经。</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">⑤药物性闭经：有些药物能影响下丘脑功能而引起闭经，特别是噻嗪类镇静药，大剂量应用常能引起闭经泌乳，停药后月经能恢复。少数妇女注射长效避孕针或长期口服大剂量避孕药后导致继发闭经，是药物对下丘脑</span>-<span style=\"font-family:宋体\">垂体轴持续性的抑制所致。</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">⑥肥胖：肥胖有时伴其他内分泌异常。这里指单纯肥胖。体重与下丘脑</span>-<span style=\"font-family:宋体\">垂体</span>-<span style=\"font-family:宋体\">性腺轴关系密切。脂肪组织是雌激素蓄积场所，又是雄激素腺外转化为雌激素的主要部位。过多的脂肪组织导致雌激素的增加。这种无周期性生成的雌激素通过反馈机制，对下丘脑</span>-<span style=\"font-family:宋体\">垂体产生持续的抑制，导致无排卵或闭经。</span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('332', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1339', '临床表现', '<p>&nbsp; &nbsp;1.<span style=\"font-family: 宋体;\">生理性闭经的临床表现</span></p><p>&nbsp;&nbsp;&nbsp; (1)<span style=\"font-family:宋体\">青春前期闭经：女孩</span>6<span style=\"font-family:宋体\">～</span>9<span style=\"font-family:宋体\">岁可从尿中查出去氢表雄酮</span>(DHEA)<span style=\"font-family:宋体\">及其硫酸盐，</span>10<span style=\"font-family:宋体\">岁起迅速升高，此乃肾上腺功能初现的表现，来源于肾上腺的雄激素促使阴毛、腋毛出现，身材迅速长高，因为下丘脑</span>-<span style=\"font-family:宋体\">垂体</span>-<span style=\"font-family:宋体\">卵巢轴尚待进一步发育完善，雌激素水平尚低，子宫内膜增殖较差，还不会引起出血，故月经推迟来潮。初潮前这一阶段未见月经来潮属于生理现象，有些女孩在初潮后尚有一年半载的月经数月来潮一次，且为无排卵月经也属正常。</span></p><p>&nbsp;&nbsp;&nbsp; (2)<span style=\"font-family:宋体\">哺乳期闭经：母乳喂养的妇女在任何时候断奶，则常在断奶后</span>2<span style=\"font-family:宋体\">个月恢复月经。</span></p><p>&nbsp; &nbsp;&nbsp;(3)<span style=\"font-family:宋体\">绝经过渡期及绝经后闭经：绝经过渡期可能数月出现一次子宫出血，绝经后生殖器官逐渐萎缩，子宫也缩小。</span></p><p>&nbsp;&nbsp;&nbsp; 2.<span style=\"font-family:宋体\">病理性闭经的临床表现</span></p><p>&nbsp;&nbsp;&nbsp; (1)<span style=\"font-family:宋体\">子宫性闭经及隐经：</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">①无孔处女膜：临床症状逐渐出现，最初可感周期性下腹坠胀、疼痛，进行性加重，血肿压迫尿道及直肠，可引起排尿及排便困难、耻骨上痉挛性疼痛、肛门坠胀、尿频、尿急、尿痛，甚至点滴状排尿。当宫腔大量积血时，可导致输尿管移位、扭曲、积水，甚至肾盂积水。经血逆流入盆腔时，可刺激腹膜产生剧烈腹痛。腹部检查时可扪及一触痛明显的包块，有深压痛，少数患者可有轻度肌紧张，反跳痛。妇科检查时发现，处女膜变薄膨出，无开口，表面呈紫蓝色。肛诊可触及阴道血肿，子宫增大、触痛，双附件为腊肠样条状包块、触痛。病程长者可有不规则增厚，数目不等的触痛结节。</span>B<span style=\"font-family:宋体\">型超声或</span>CT<span style=\"font-family:宋体\">检查可探及阴道桶状囊实性肿块，宫腔及输卵管内积液。</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">②先天性无阴道：本症常因青春期不来月经，或出现周期性下腹疼痛，或婚后性交困难，或不孕，就诊时检查发现。乳房、第二性征及外生殖器发育正常，卵巢功能正常；基础体温</span>(BBT)<span style=\"font-family:宋体\">呈双相型，血生殖激素测定呈育龄妇女周期性变化。若伴有子宫缺如或始基子宫，可无症状；若有子宫有功能的内膜存在，则可能因宫腔积血有进行性加重的周期性下腹疼痛。妇科检查时可发现外阴无阴道口，若婚后较长时间才就诊者，可发现前庭区有一因性交而形成的浅窝。大多数患者盆腔内可触及一条索状痕迹子宫。若患者存在有功能的子宫内膜，年龄较小而就诊者检查时可发现一小子宫，或可触及正常或增大的痛性子宫，有时可触及腊肠样增粗的输卵管。</span>B<span style=\"font-family:宋体\">超、</span>CT<span style=\"font-family:宋体\">等影像学检查可以证实上述发现，并可发现泌尿系统畸形。</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">③阴道横隔：不完全横隔者，因经血可经小孔流出，故无闭经。完全性横隔者因经血排出障碍，出现原发性闭经、周期性下腹疼痛等表现。</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">完全性阴道中、上段横隔者妇科检查时可发现有一定长度、宽度的阴道下段，顶端封闭、触及一有波动感的隔膜，其上方阴道扩张，似有囊性感。阴道下段横隔有时不易与阴道闭锁区别，仔细的妇科检查结合隔后腔穿刺是有效的鉴别方法。</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">④阴道闭锁：临床表现为原发性闭经、周期性下腹疼痛等。妇科检查见外阴发育不良，处女膜无孔，但表面色泽正常，无向外膨隆征，肛诊时可发现在距外阴</span>3cm<span style=\"font-family:宋体\">左右的上方有一突向直肠的阴道囊性包块，腹痛时包块张力大。经腹或经直肠</span>B<span style=\"font-family:宋体\">超探查可在距肛门</span>3<span style=\"font-family:宋体\">～</span>4cm<span style=\"font-family:宋体\">上方探及一囊性桶状包块，在</span>B<span style=\"font-family:宋体\">超引导下经外阴向肿块穿刺，可抽出陈旧暗红色血液或巧克力样糊状物。Ⅱ型者阴道完全闭锁，临床表现也为原发性闭经、周期性下腹疼痛等。妇科检查在盆腔一侧或较高处有直径</span>4<span style=\"font-family:宋体\">～</span>8cm<span style=\"font-family:宋体\">的包块，为畸形的子宫或附件肿物。</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">⑤宫颈闭锁：若患者无子宫内膜，仅表现为原发性闭经，若有子宫内膜，其临床表现与先天性无阴道相似。</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">⑥先天性无子宫：临床表现为原发性闭经，肛腹诊扪不到子宫，</span>B<span style=\"font-family:宋体\">超、</span>CT<span style=\"font-family:宋体\">及</span>MRI<span style=\"font-family:宋体\">亦不能探及子宫的存在。</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">⑦始基子宫：患者表现为原发性闭经，肛诊及</span>B<span style=\"font-family:宋体\">超等影像学检查可发现一小子宫，仅</span>2<span style=\"font-family:宋体\">～</span>3cm<span style=\"font-family:宋体\">长，腹腔镜检或剖腹手术时可见一扁平实心，</span>0.5<span style=\"font-family:宋体\">～</span>1cm<span style=\"font-family:宋体\">厚的子宫痕迹。</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">⑧米勒管发育不全综合征：表现为原发性闭经，生殖道的缺陷包括先天性无阴道，子宫可正常，也可为各种发育畸形，包括双角子宫、单角子宫、始基子宫、残角子宫、双子宫等，罕为先天性无子宫。该征患者卵巢发育及功能均正常，因此第二性征发育正常。约</span>34%<span style=\"font-family:宋体\">的患者合并泌尿道畸形，</span>12%<span style=\"font-family:宋体\">有骨骼畸形，</span>7%<span style=\"font-family:宋体\">有腹股沟疝，</span>4%<span style=\"font-family:宋体\">存在先天性心脏病。若为双子宫、双角或单角子宫、残角子宫，则不引起闭经。</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">⑨创伤性宫腔粘连：临床表现与粘连部位和程度有一定关系，但二者间不完全一致。月经量少、经期缩短、闭经、不孕、流产及产科并发症是主要临床症状。在宫腔手术后月经量减少或闭经，尤其是在产后</span>1<span style=\"font-family:宋体\">周子宫内膜再生时刮宫或人工流产手术后易于损伤内膜或葡萄胎患者连续多次清宫术后。部分患者有周期性腹痛，双合诊可扪得子宫稍大或正常大，有轻压痛及双附件区压痛。宫颈内口粘连的患者多为人工流产术后即闭经，部分患者因宫腔积血和经血逆流入腹腔可表现为腹痛，宫颈举痛，宫体增大压痛，阴道后穹隆穿刺抽出暗红色不凝血液，表现类似异位妊娠。宫腔探针检查可发现宫颈内口阻塞或狭窄，探针沿子宫屈曲方向及子宫腔轴向前进时，粘连轻者可在受阻后有突破感之后进入宫腔，同时可能有少量暗红色很稠的血液流出。如为宫腔粘连，探针进入宫腔后感到活动受限。宫颈内口严重粘连者则探针不能进入内口，需在持续骶神经阻滞麻醉下进行探宫颈口，这种严重的宫颈内口粘连也可发生在非妊娠子宫患者作子宫颈激光或电烙时，手术伤及宫颈管内膜及内口。</span></p><p>&nbsp;&nbsp;&nbsp; (2)<span style=\"font-family:宋体\">卵巢性闭经：</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">①</span>Turners<span style=\"font-family:宋体\">综合征：</span>A.16<span style=\"font-family:宋体\">岁后仍无月经来潮；</span>B.<span style=\"font-family:宋体\">身材矮小、第二性征发育不良、蹼状颈、盾胸、肘外翻；</span>C.<span style=\"font-family:宋体\">高促性腺激素，低性腺激素；</span>D.<span style=\"font-family:宋体\">染色体核型为</span>45<span style=\"font-family:宋体\">，</span>XO<span style=\"font-family:宋体\">；</span>46<span style=\"font-family:宋体\">，</span>XX/45<span style=\"font-family:宋体\">，</span>XO<span style=\"font-family:宋体\">；</span>45<span style=\"font-family:宋体\">，</span>XO/47<span style=\"font-family:宋体\">，</span>XXX<span style=\"font-family:宋体\">。</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">②先天性性腺发育不良：染色体核型和身高正常，第二性征发育大致正常。余同</span>Turner<span style=\"font-family:宋体\">’</span>s<span style=\"font-family:宋体\">综合征。</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">③卵巢早衰：</span>A.40<span style=\"font-family:宋体\">岁前绝经；</span>B.<span style=\"font-family:宋体\">高促性腺激素和低性腺激素；</span>C.<span style=\"font-family:宋体\">约</span>20%<span style=\"font-family:宋体\">左右有染色体核型异常；</span>D.<span style=\"font-family:宋体\">约</span>20%<span style=\"font-family:宋体\">伴有其他自身免疫性疾病；</span>E.<span style=\"font-family:宋体\">病理检查提示卵巢中无卵泡或仅有极少原始卵泡；</span>F.<span style=\"font-family:宋体\">腹腔镜检查见卵巢萎缩；</span>G.<span style=\"font-family:宋体\">有医源性损坏卵巢的病史；</span>H.<span style=\"font-family:宋体\">对内源性和外源性促性腺激素刺激无反应；</span>I.<span style=\"font-family:宋体\">氯米酚试验，于周期第</span>5<span style=\"font-family:宋体\">天起，口服氯米酚</span>50<span style=\"font-family:宋体\">～</span>100mg<span style=\"font-family:宋体\">，</span>1<span style=\"font-family:宋体\">次</span>/d<span style=\"font-family:宋体\">，共</span>5<span style=\"font-family:宋体\">天。于周期第</span>3<span style=\"font-family:宋体\">天和</span>10<span style=\"font-family:宋体\">天分别测血清</span>FSH<span style=\"font-family:宋体\">，如第</span>10<span style=\"font-family:宋体\">天</span>FSH<span style=\"font-family:宋体\">值＞</span>20U/L<span style=\"font-family:宋体\">，提示卵巢功能低下。</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">④抵抗综合征：</span>A.<span style=\"font-family:宋体\">原发或继发性闭经；</span>B.<span style=\"font-family:宋体\">高促性腺激素和低性腺激素；</span>C.<span style=\"font-family:宋体\">病理检查提示卵巢中有多量始基卵泡和未成熟卵泡；</span>D.<span style=\"font-family:宋体\">腹腔镜检查见卵巢大小正常，但无生长卵泡和排卵痕迹；</span>E.<span style=\"font-family:宋体\">对内源性和外源性促性腺激素刺激无反应。</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">⑤多囊卵巢综合征：临床表现可见有月经稀发、闭经、不孕的慢性无排卵现象；有多毛、痤疮和黑棘皮病等高雄激素血征现象；肥胖。</span></p><p>&nbsp;&nbsp;&nbsp; (3)<span style=\"font-family:宋体\">垂体性闭经：</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">①垂体肿瘤和高泌乳素血症：临床表现可见闭经或月经不调；泌乳；如垂体肿瘤较大可引起头痛和视力障碍；如为空蝶鞍综合征可有搏动性头痛；排除服药引起的高泌乳素血症。</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">②垂体功能衰竭：临床表现可见有产后大出血或垂体手术的病史；消瘦、乏力、畏寒、苍白，产后无乳汁分泌，无性欲，无卵泡发育，生殖道萎缩；检查有性激素水平低下及甲状腺功能低下和肾上腺功能低下的症状、体征。</span></p><p>&nbsp;&nbsp;&nbsp; (4)<span style=\"font-family:宋体\">中枢和下丘脑性闭经：</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">①单一促性腺激素释放激素低下：</span>A.<span style=\"font-family:宋体\">原发性闭经，卵泡存在但不发育；</span>B.<span style=\"font-family:宋体\">有的患者有不同程度的第二性征发育障碍；</span>C.Kallmann<span style=\"font-family:宋体\">’</span>s<span style=\"font-family:宋体\">患者伴嗅觉丧失；</span>D.FSH<span style=\"font-family:宋体\">、</span>LH<span style=\"font-family:宋体\">、</span>E2<span style=\"font-family:宋体\">均低下；⑤对</span>GnRH<span style=\"font-family:宋体\">治疗有反应；⑥</span>X<span style=\"font-family:宋体\">染色体</span>(Xp22.3)<span style=\"font-family:宋体\">的</span>KAL<span style=\"font-family:宋体\">基因缺陷。</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">②功能性下丘脑性闭经：</span>A.<span style=\"font-family:宋体\">闭经或不规则月经；</span>B.<span style=\"font-family:宋体\">常见于青春期或年轻女性，多有节食、精神紧张、剧烈运动及不规律生活史；</span>C.<span style=\"font-family:宋体\">体型多瘦弱；</span>D.TSH<span style=\"font-family:宋体\">水平正常，</span>T3<span style=\"font-family:宋体\">和</span>T4<span style=\"font-family:宋体\">较低；</span>E.FSH<span style=\"font-family:宋体\">和</span>LH<span style=\"font-family:宋体\">偏低或接近正常，</span>E2<span style=\"font-family:宋体\">水平偏低；</span>F.<span style=\"font-family:宋体\">超声检查提示卵巢正常大小，多个小卵泡散在分布，髓质反光不增强。</span></p><p><span style=\"font-family: 宋体;\">并发症：不孕及出现全身与该病相应的并发症。</span></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('333', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1339', '辅助检查', '<p>&nbsp; &nbsp;<span style=\"font-family: 宋体;\">（一）</span> 1.<span style=\"font-family: 宋体;\">阴道脱落细胞检查</span>&nbsp; <span style=\"font-family: 宋体;\">是较常用的了解雌激素水平的方法。用棉棍浸生理盐水后取阴道上段侧壁的脱落细胞，涂在玻片上，固定和染色后，观察表、中、底各层细胞的百分比。表层细胞所占百分比越高，反映雌激素水平越高。</span></p><p>&nbsp;&nbsp;&nbsp; 2.<span style=\"font-family:宋体\">宫颈黏液</span>&nbsp; <span style=\"font-family:宋体\">如发现闭经患者宫颈黏液为透明的、拉力好的稀薄黏液，涂在玻璃片上干燥后在显微镜下可见羊齿状结晶，表明该患者卵巢有分泌雌激素的功能。</span></p><p>&nbsp;&nbsp;&nbsp; 3.<span style=\"font-family:宋体\">药物性试验</span>&nbsp; <span style=\"font-family:宋体\">这是临床上常用的对闭经诊断性试验，尤其是在缺乏激素测定的实验设备时，药物试验对估价卵巢功能及子宫内膜功能有重要帮助。</span></p><p>&nbsp;&nbsp;&nbsp; (1)<span style=\"font-family:宋体\">孕激素试验：对闭经患者应用黄体酮，肌注</span>20mg/d<span style=\"font-family:宋体\">，连续</span>3<span style=\"font-family:宋体\">～</span>5<span style=\"font-family:宋体\">天；或甲羥孕酮（安宫黄体酮）</span>5<span style=\"font-family:宋体\">～</span>10mg/d<span style=\"font-family:宋体\">，连服</span>5<span style=\"font-family:宋体\">～</span>7<span style=\"font-family:宋体\">天，停药后</span>3<span style=\"font-family:宋体\">～</span>7<span style=\"font-family:宋体\">天</span>(<span style=\"font-family:宋体\">一般最长不超过</span>2<span style=\"font-family:宋体\">周</span>)<span style=\"font-family:宋体\">出现撤药性出血者为试验阳性，提示：子宫内膜有功能，可排除子宫性闭经；卵巢有分泌雌激素的功能，子宫内膜受一定水平雌激素影响后才能对孕激素起反应而脱落出血。表明闭经不是缺乏雌激素，而是因各种无排卵所致孕激素缺乏。若孕激素试验阴性，即停药后无出血，提示以下几种可能：一是卵巢功能低下，没有适当的雌激素作用于子宫内膜；二是卵巢功能正常，但子宫内膜缺陷或受损，不能对雌激素发生反应，即不排除子宫性闭经；三是不排除妊娠。</span></p><p>&nbsp;&nbsp;&nbsp; (2)<span style=\"font-family:宋体\">雌激素试验：对孕激素试验阴性的闭经患者口服己烯雌酚</span>1mg/d<span style=\"font-family:宋体\">，或炔雌醇</span>10µg/d<span style=\"font-family:宋体\">，或相当生物效应的其他雌激素，连续</span>20<span style=\"font-family:宋体\">天。最后</span>3<span style=\"font-family:宋体\">～</span>5<span style=\"font-family:宋体\">天加黄体酮</span>20mg/d<span style=\"font-family:宋体\">，肌注。停药后</span>3<span style=\"font-family:宋体\">～</span>7<span style=\"font-family:宋体\">天观察有无撤退出血。若仍无出血，提示病变可能在子宫，即子宫性闭经。用上述试验有撤退出血者，说明子宫内膜对雌、孕激素的作用有反应，能发生正常的生长和脱落变化，闭经的原因应在卵巢或更高部位。应进一步测性激素水平来确诊。</span></p><p>&nbsp;&nbsp;&nbsp; 4.<span style=\"font-family:宋体\">性激素水平的测定</span>&nbsp; <span style=\"font-family:宋体\">垂体激素的测定对诊断闭经的原因尤其有重要意义。闭经且雌激素低下的患者应进一步测定血</span>FSH<span style=\"font-family:宋体\">，</span>LH<span style=\"font-family:宋体\">和泌乳素</span>(PRL)<span style=\"font-family:宋体\">的水平。若</span>FSH<span style=\"font-family:宋体\">与</span>LH<span style=\"font-family:宋体\">升高，提示为卵巢性闭经，若</span>FSH<span style=\"font-family:宋体\">，</span>LH<span style=\"font-family:宋体\">低下，病因可能在垂体或下丘脑；</span>FSH<span style=\"font-family:宋体\">，</span>LH<span style=\"font-family:宋体\">相当于正常卵泡期水平，闭经是由于下丘脑分泌功能失调所致；若</span>LH<span style=\"font-family:宋体\">升高而</span>FSH<span style=\"font-family:宋体\">相对不足，多囊性卵巢综合征的诊断应当考虑；若</span>PRL<span style=\"font-family:宋体\">异常升高，闭经是由于高泌乳素血症所引起，应进一步检查高泌乳素血症的原因，特别应注意垂体瘤的可能。</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">当</span>FSH<span style=\"font-family:宋体\">、</span>LH<span style=\"font-family:宋体\">水平均低下时，垂体兴奋试验可进一步区别病变在垂体还是在下丘脑。垂体兴奋试验是将黄体生成激素释放激素</span>(LHRH)100µg<span style=\"font-family:宋体\">溶于生理盐水</span>5ml<span style=\"font-family:宋体\">，静脉注入，</span>30s<span style=\"font-family:宋体\">内注完。于注射前和注射后</span>15<span style=\"font-family:宋体\">，</span>30<span style=\"font-family:宋体\">，</span>60<span style=\"font-family:宋体\">，</span>120min<span style=\"font-family:宋体\">取血测</span>LH<span style=\"font-family:宋体\">。若注射后</span>30<span style=\"font-family:宋体\">～</span>60min LH<span style=\"font-family:宋体\">值升至注射前</span>3<span style=\"font-family:宋体\">倍以上，提示垂体功能良好，对下丘脑激素</span>LHRH<span style=\"font-family:宋体\">反应正常，闭经的原因在丘脑下部或更高部位。若注射后，</span>LH<span style=\"font-family:宋体\">不增加或增加不明显，表明垂体缺乏反应，闭经的原因可能在垂体。</span></p><p>&nbsp;<strong>&nbsp; (</strong><strong><span style=\"font-family:宋体\">二</span>) </strong>1.<span style=\"font-family: 宋体\">基础体温测定</span>&nbsp; <span style=\"font-family:宋体\">可间接了解排卵功能。排卵后的黄体分泌孕酮，孕酮有升高体温的作用。正常月经周期中卵泡期体温比较平稳，一般波动在</span>36.5<span style=\"font-family:宋体\">℃以下。排卵后体温上升</span>O.3<span style=\"font-family:宋体\">～</span>0.5<span style=\"font-family:宋体\">℃，维持</span>12<span style=\"font-family:宋体\">～</span>16<span style=\"font-family:宋体\">天，在月经前</span>1<span style=\"font-family:宋体\">天或月经来潮当天下降至卵泡期水平。这种前半周期低而后半周期升高的基础体温称双相体温，一般提示有排卵或黄体形成。无此变化的体温称单相体温，表示无排卵。闭经患者基础体温多为单相，但子宫性闭经因其卵巢功能是正常的，因此可表现有双相基础体温。</span></p><p>&nbsp;&nbsp;&nbsp; 2.<span style=\"font-family:宋体\">其他检查</span>&nbsp; <span style=\"font-family:宋体\">盆腔</span>B<span style=\"font-family:宋体\">超可协助诊断是否有先天性子宫缺如或畸形。鞍区的影像学检查可诊断是否有垂体瘤。诊断性刮宫，子宫碘油造影及内镜检查可了解宫腔及内膜情况。此外若需除外其他内分泌异常或发育畸形时，还应检查其他有关腺体如甲状腺、肾上腺等的激素水平，生化，病理生理检查及染色体检查等。</span></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('334', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1339', '诊断', '<p><span style=\"font-family: 宋体\">诊断的过程正是寻找闭经原因的过程，即确定闭经发生在哪一个环节。</span></p><p>&nbsp;&nbsp;&nbsp; 1.<span style=\"font-family:宋体\">病史</span>&nbsp; <span style=\"font-family:宋体\">主要是月经史、初潮年龄、月经周期等。判断是原发闭经还是继发闭经对分析闭经原因是有帮助的，要了解有无先天性缺陷或其他疾病情况，用药史以及对药物治疗的反应等。还要询问发病前有否任何导致闭经的诱因如精神因素，环境改变或其他疾病等。</span></p><p>&nbsp;&nbsp;&nbsp; 2.<span style=\"font-family:宋体\">体格检查</span>&nbsp; <span style=\"font-family:宋体\">应注意全身情况，发育是否正常，有无畸形。身高体重是否在正常范围，四肢，躯干的比例，智力、营养和健康情况，检查第二性征的发育情况如乳房发育，毛发分布，有无乳汁分泌等，妇科检查应注意内外生殖器的发育，有无缺陷、畸形及肿瘤等。</span></p><p><span style=\"font-family:宋体\">鉴别诊断：</span></p><p><span style=\"font-family:宋体\">鉴别诊断：综上所述，无论是生理性还是病理性闭经，由于闭经种类繁多，故应注意鉴别其属性、找出病因以利治疗。</span></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('335', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1339', '治疗', '<p>&nbsp; &nbsp;1.<span style=\"font-family: 宋体;\">子宫性闭经</span>&nbsp; <span style=\"font-family: 宋体;\">对先天性无子宫或子宫内膜完全受损目前尚无计可施。由阴道或处女膜畸形所致的假性闭经可通过手术打通通道，使经血顺利排出。宫腔粘连者应探宫腔，视粘连情况行分离术，术后放置宫内避孕器数月以防止再粘连。</span></p><p>&nbsp;&nbsp;&nbsp; 2.<span style=\"font-family:宋体\">卵巢性闭经</span>&nbsp; <span style=\"font-family:宋体\">因卵巢本身功能低下，只能用性激素补充治疗。一般用雌、孕激素联合周期给药，模拟正常月经制造人工周期。这样能使这类闭经的女孩有和正常女孩类似的周期性月经，以保持正常女子的心理状态，更重要的是性激素补充治疗能预防她们的生殖道萎缩和发育不良，预防骨质疏松，促进性征发育。绝大多数卵巢性闭经因卵巢中没有卵泡发育故终身不能生育。除非接受由他人供卵的人工助孕技术。偶有卵巢早衰或卵巢不敏感综合征因卵巢中仍有少量残存的未发育卵泡，刺激后偶有排卵受孕的报道，但十分罕见。性染色体有</span>Y<span style=\"font-family:宋体\">的性腺功能低下者应切除性腺后用性激素补充治疗。</span></p><p>&nbsp;&nbsp;&nbsp; 3.<span style=\"font-family:宋体\">垂体性闭经</span>&nbsp; <span style=\"font-family:宋体\">对垂体性闭经，促性腺激素</span>HMG(<span style=\"font-family:宋体\">人绝经后促性腺激素</span>)<span style=\"font-family:宋体\">应当是最好的选择，并能获得相当高的排卵率和妊娠率。因其价格较贵，且需要每天注射及严格的监测程序，只适用于已婚且希望生育的妇女。对未婚或不要求生育的垂体性闭经，主要治疗原则仍为激素替代治疗。方法同卵巢性闭经。</span></p><p>&nbsp;&nbsp;&nbsp; 4.<span style=\"font-family:宋体\">下丘脑性闭经</span>&nbsp; <span style=\"font-family:宋体\">这是闭经中最复杂的一种，但一般来讲又是预后最好的一种。除治疗相应的原发病因外，根据患者体内雌激素水平和是否有生育要求采用以下原则。</span></p><p>&nbsp;&nbsp;&nbsp; (1)<span style=\"font-family:宋体\">有生育要求者，应积极诱导排卵。诱导排卵有以下几种方法：</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">氯米芬：常用于多囊性卵巢综合征和体内有一定雌激素水平的某些下丘脑性闭经。先用孕激素撤退出血，于出血第</span>5<span style=\"font-family:宋体\">天始口服氯米芬</span>50<span style=\"font-family:宋体\">～</span>100mg/d<span style=\"font-family:宋体\">，连服</span>5<span style=\"font-family:宋体\">天。测基础体温以观察排卵。因其价格便宜，用法简便，是目前临床上应用最多的一种。</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">人绝经期促性腺激素</span>(HMG)<span style=\"font-family:宋体\">：几乎可用于所有下丘脑性闭经。</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">黄体生成激素释放激素</span>(LHRH)<span style=\"font-family:宋体\">：此种方法仅适用于下丘脑</span>GnRH<span style=\"font-family:宋体\">分泌异常而垂体与卵巢有正常反应的闭经患者。给药必须模拟生理性的</span>GnRH<span style=\"font-family:宋体\">脉冲分泌释放形式，断续地脉冲式静脉或皮下、肌内给药，亦有经鼻黏膜、肛门或阴道途径给药，以静脉给药最理想。每</span>90<span style=\"font-family:宋体\">分钟注入</span>5<span style=\"font-family:宋体\">～</span>20µg<span style=\"font-family:宋体\">，给药期间监测排卵。</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">溴隐亭：治疗高泌乳素血症引起的闭经，该药是一种多巴胺促效剂，作用于下丘脑，激活泌乳素抑制因子，抑制垂体分泌泌乳素，使血催乳素</span>(PRL)<span style=\"font-family:宋体\">水平下降。一般剂量为</span>5<span style=\"font-family:宋体\">～</span>7.5mg/d<span style=\"font-family:宋体\">。因可能产生直立性低血压、恶心、呕吐、头晕，便秘等副作用，应从小剂量开始，逐渐缓慢加量，并与食物同服，副作用会大大减轻。服药期间测基础体温监测排卵。</span></p><p>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">中药：中医补肾与活血补肾法治疗下丘脑性闭经已有悠久历史。如治疗血虚肾亏所引起的闭经用刘奉五老中医的“四二五合方”，即四物汤</span>(<span style=\"font-family:宋体\">当归、熟地黄、白芍、川苇</span>)<span style=\"font-family:宋体\">、加二仙</span>(<span style=\"font-family:宋体\">仙茅、仙灵脾</span>)<span style=\"font-family:宋体\">、加五子</span>(<span style=\"font-family:宋体\">菟丝子、覆盆子、枸杞子、五味子、车前子</span>)<span style=\"font-family:宋体\">，可获得满意的治疗效果。</span></p><p>&nbsp;&nbsp;&nbsp; (2)<span style=\"font-family:宋体\">对无生育要求的雌激素水平低下的下丘脑性闭经，其治疗仍以性激素补充为主，未婚者待婚后需要生育时，再酌情选择上述诱导排卵治疗。</span></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('336', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '73', '概述', '<p>&nbsp; &nbsp;<span style=\"font-family: 宋体;\">尘肺是由于在职业活动中长期吸入生产性粉尘（灰尘），并在肺内潴留而引起的以肺组织弥漫性纤维化（疤痕）为主的全身性疾病。尘肺按其吸入粉尘的种类不同，可分为无机尘肺和有机尘肺。在生产劳动中吸入无机粉尘所致的尘肺，称为无机尘肺。尘肺大部分为无机尘肺。吸入有机粉尘所致的尘肺称为有机尘肺，如棉尘肺、农民肺等。我国法定十二种尘肺有：矽肺、煤工尘肺、电墨尘肺、碳墨尘肺、滑石尘肺、水泥尘肺、云母尘肺、陶工尘肺、铝尘肺、电焊工尘肺、铸工尘肺。</span></p><p><span style=\"font-family:宋体\">尘肺按其吸入粉尘的种类不同，可分为无机尘肺和有机尘肺。在生产劳动中吸入无机粉尘所致的尘肺，称为无机尘肺。尘肺大部分为无机尘肺。吸入有机粉尘所致的尘肺称为有机尘肺，如棉尘肺、农民肺等。</span></p><p><span style=\"font-family:宋体\">中国法定的尘肺病有以下十二种：矽肺、煤工尘肺、石墨尘肺、碳黑尘肺、石棉肺、滑石尘肺、水泥尘肺、云母尘肺、陶工尘肺、铝尘肺、电焊工尘肺和铸工尘肺。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('337', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '73', '病因', '<p>1.<span style=\"font-family: 宋体;\">粉尘中游离二氧化硅含量越高，发病时间越短，病变越严重。</span></p><p>2.<span style=\"font-family:宋体\">矽肺发生及病变程度与肺内粉尘蓄积量有关。蓄积量主要取决于粉尘的浓度、分散度、接尘时间和防护措施。粉尘浓度越高，分散度越大，接尘工龄越长，防护措施差，吸入并蓄积在肺内的粉尘量越大，越易发生矽肺，病情越严重。</span></p><p>3.<span style=\"font-family:宋体\">生产性环境中很少有单纯石英粉尘存在，通常是多种粉尘存在。应考虑混合粉尘会有联合作用。</span></p><p>4.<span style=\"font-family:宋体\">工人的个体因素和健康状况对尘肺发生也起一定作用。</span></p><p>5.<span style=\"font-family:宋体\">患病职业</span></p><p style=\"margin-left:28px\"><span style=\"font-family:宋体\">①矿山开采：各种金属矿山的开采，煤矿的掘进和采煤以及其它金属矿山的开采，是产生尘肺的主要作业环境，主要作业工种是凿岩、爆破、支柱、运输；</span></p><p style=\"margin-left:28px\"><span style=\"font-family:宋体\">②金属冶炼中矿石的粉碎、筛分和运输；</span></p><p style=\"margin-left:28px\"><span style=\"font-family:宋体\">③机构制造业中铸造的配砂、造型，铸件的清砂、喷砂以及电焊作业；</span></p><p style=\"margin-left:28px\"><span style=\"font-family:宋体\">④建筑材料行业，如耐火材料、玻璃、水泥、石料生产中的开采、破碎、碾磨、筛选、拌料等；石棉的开采、运输和纺织；</span></p><p style=\"margin-left: 28px;\"><span style=\"font-family:宋体\">⑤公路、铁路、水利建设中的开凿隧道、爆破等。</span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('338', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '73', '临床表现', '<p><span style=\"font-family: 宋体;\">尘肺病无特异的临床表现，其临床表现多与合并症有关。</span></p><p>1. <span style=\"font-family:宋体\">咳嗽</span>&nbsp; <span style=\"font-family:宋体\">早期尘肺病人咳嗽多不明显，但随着病程的迸展，病人多合并慢性支气管炎，晚期病人多合并肺部感染，均可使咳嗽明显加重。咳嗽与季节、气候等有关。</span></p><p>2. <span style=\"font-family:宋体\">咳痰</span>&nbsp; <span style=\"font-family:宋体\">咳痰主要是呼吸系统对粉尘的不断清除所引起的。一般咳痰量不多，多为灰色稀薄痰。如合并肺内感染及慢性支气管炎，痰量则明显增多，痰呈黄色粘稠状或块状。常不易咳出</span>.</p><p>3. <span style=\"font-family:宋体\">胸痛</span>&nbsp; <span style=\"font-family:宋体\">尘肺病人常常感觉胸痛，胸痛和尘肺临床表现多无相关或平行关系。部位不一，且常有变化，多为局限性。一般为隐痛，也可胀痛、针刺样痛等。</span></p><p>4. <span style=\"font-family:宋体\">呼吸困难</span>&nbsp; <span style=\"font-family:宋体\">随肺组织纤维化程度的加重，有效呼吸面积减少，通气</span>/<span style=\"font-family:宋体\">血流比例失调，呼吸困难也逐渐加重。合并症的发生可明显加重呼吸困难的程度和发展速度。</span></p><p>5. <span style=\"font-family:宋体\">咯血</span>&nbsp; <span style=\"font-family:宋体\">较为少见，可由于呼吸道长期慢性炎症引起粘膜血管损伤，痰申带少量血丝；也可能由于大块纤维化病灶的溶解破裂损及血管而使血量增多。</span></p><p>6. <span style=\"font-family:宋体\">其它</span>&nbsp; <span style=\"font-family:宋体\">除上述呼吸系统症状外，可有程度不同的全身症状，常见有消化功能减。</span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('339', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '73', '辅助检查', '<p>1. <span style=\"font-family: 宋体;\">体征</span>&nbsp; <span style=\"font-family: 宋体;\">早期患者一般状态尚好，晚期则营养欠佳。晚期患者，特别是并发肺结核或肺部感染时，肺部可听到啰音。有肺气肿、气胸、肺源性心脏病时，可出现相应的体征。有杵状指时，应留心其他并发病的可能。</span></p><p>2. X<span style=\"font-family:宋体\">线表现</span>&nbsp; <span style=\"font-family:宋体\">接触石英粉尘，特别是吸入高浓度石英粉尘所致典型矽肺的</span>X<span style=\"font-family:宋体\">线表现是首先在两上肺野出现圆形小阴影。两侧基本对称，以外侧更为明显。但肺尖不受累及，如肺尖出现阴影则并发肺结核的可能性较大。</span></p><p><span style=\"font-family:宋体\">随病情的发展，除两上肺野外，中、下肺野也出现圆形小阴影，肺内小阴影增多、变大，密集度增高。严重的病例，两肺密集阴影，恰似漫天风雪（暴雪状）。随小阴影的增多，肺纹理发生变形、中断，直至不能辨认。</span></p><p><span style=\"font-family:宋体\">大阴影经过几年的演变，有向肺门和纵隔移动的趋势，并有肺门上抬，肺下部气肿加重，残留的肺纹拉直呈垂柳样。在肺的周边部可见疤性肺气肿，其间有残留的肺段间隔线。</span></p><p><span style=\"font-family:宋体\">在接触高浓度的石英粉尘、病情严重的病例，可因矽结节中心坏死后发生矽结节钙化，并常伴有肺门淋巴结蛋壳样钙化。在出现矽结节钙化后，病情常变缓和，可多年处于稳定状态。</span></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('340', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '73', '诊断', '<p>&nbsp; &nbsp; 1. <span style=\"font-family: 宋体;\">诊断原则</span>&nbsp; <span style=\"font-family: 宋体;\">根据可靠的生产性粉尘接触史、现场劳动卫生学调查资料，以技术质量合格的</span>X<span style=\"font-family: 宋体;\">射线后前位胸片表现作为主要依据，参考动态观察资料及尘肺流行病学调查情况，结合临床表现和实验室检查，排除其它肺部类似疾病后，对照尘肺诊断标准片作出尘肺病的诊断和</span>X<span style=\"font-family: 宋体;\">射线分期。</span></p><p>&nbsp; &nbsp; 2. <span style=\"font-family:宋体\">诊断标准</span>&nbsp; 2009<span style=\"font-family:宋体\">年</span>7<span style=\"font-family:宋体\">月，卫生部发布新版《尘肺病诊断标准》。新标准将尘肺明确分为三期，删除了旧版中“无尘肺</span>0<span style=\"font-family:宋体\">”和“无尘肺</span>0+<span style=\"font-family:宋体\">”的表述。</span></p><p><span style=\"font-family:宋体\">新标准增加了观察对象，具体为：粉尘作业人员健康检查发现</span>X<span style=\"font-family:宋体\">射线胸片有不能确定的尘肺样影像学改变，其性质和程度需要在一定期限内进行动态观察。</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp;根据新标准，</span>X<span style=\"font-family:宋体\">射线胸片表现分为三期：</span></p><p><span style=\"font-family:宋体\">一期尘肺是指有总体密集度</span>1<span style=\"font-family:宋体\">级的小阴影，分布范围至少达到</span>2<span style=\"font-family:宋体\">个肺区。</span></p><p><span style=\"font-family:宋体\">二期尘肺是指有总体密集度</span>2<span style=\"font-family:宋体\">级的小阴影，分布范围超过</span>4<span style=\"font-family:宋体\">个肺区；或有总体密集度</span>3<span style=\"font-family:宋体\">级的小阴影，分布范围达到</span>4<span style=\"font-family:宋体\">个肺区。</span></p><p><span style=\"font-family:宋体\">三期尘肺是指有下列情形之一者：有大阴影出现，其长径不小于</span>20<span style=\"font-family:宋体\">毫米，短径不小于</span>10<span style=\"font-family:宋体\">毫米；有总体密集度</span>3<span style=\"font-family:宋体\">级的小阴影，分布范围超过</span>4<span style=\"font-family:宋体\">个肺区并有小阴影聚集；有总体密集度</span>3<span style=\"font-family:宋体\">级的小阴影，分布范围超过</span>4<span style=\"font-family:宋体\">个肺区并有大阴影。</span></p><p><span style=\"font-family:宋体\">尘肺病诊断结论的表述是：具体尘肺病名称</span>+<span style=\"font-family:宋体\">期别，如矽肺一期、煤工尘肺二期等。未能诊断为尘肺病者，应表述为“无尘肺”。</span></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('341', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '73', '鉴别诊断', '<p>&nbsp; &nbsp;<span style=\"font-family: 宋体;\">尘肺病的鉴别诊断主要是排除其他类似尘肺</span>X<span style=\"font-family: 宋体;\">线表现的其他疾病，主要是：</span>1.<span style=\"font-family: 宋体;\">肺癌肺癌在尘肺中的重要性不仅是鉴别诊断，更重要的是粉尘接触可引起肺癌，且矽尘也被认为是人类致癌物。尘肺病和肺癌的鉴别诊断除临床症状外，主要是</span>X<span style=\"font-family: 宋体;\">线胸片上大阴影的鉴别。根据肿瘤的发生部位可分为中央型、周围型和弥漫型。典型中央型的</span>X<span style=\"font-family: 宋体;\">线表现为向肺内突出的肺门肿块，在突变的后期肿块常包括转移的淋巴结，还可合并阻塞性肺炎和肺不张。周围型主要表现为肺内结节或肿块，多呈类圆形，边缘呈分叶状有细小的毛刺，肿块内很少有钙化。弥漫型多见于支气管肺泡细胞癌，在两肺形成广泛的结节性或浸润性病变。结节的大小多在</span>1~5mm<span style=\"font-family: 宋体;\">之间，密度均匀，轮廓清楚，有融合倾向。其在两肺内的分布常不对称和不均匀，在一部分肺内病变较密集，当融合时病灶内有支气管空气征。</span>CT<span style=\"font-family: 宋体;\">对发现密度较低及处于隐蔽部位如心脏旁、脊柱旁的肿瘤有一定价值，对隐性肺癌的发现也有帮助。实验室痰脱落细胞学检查：应多次送检以提高阳性率。胸腔积液检查多呈血性，可找到肿瘤细胞。纤维支气管镜检查和肺活体组织病理检查可得到确诊。</span>2.<span style=\"font-family: 宋体;\">肺结核结核是尘肺常见的并发症，正确的诊断对尘肺病的治疗和预后有重要意义。活动性肺结核临床上多有明显的结核中毒症状，如疲乏无力，不同程度的发热、盗汗、心悸、食欲不振。一般以长期、低热多见。急性血行播散性肺结核在</span>X<span style=\"font-family: 宋体;\">线胸片上可表现为全肺均匀一致的散在结节，类似二期矽肺的</span>X<span style=\"font-family: 宋体;\">线改变。诊断依据详细的临床病史和体检，患者有明显的症状，发热呈高热弛张型。实验室检查可见红细胞沉降率增快，结核菌素试验（</span>PPD<span style=\"font-family: 宋体;\">）呈强阳性反应，痰结核菌涂片及培养为结核感染的直接证据。</span></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('342', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '73', '治疗与预防', '<p><strong><span style=\"font-family:宋体\">治疗</span></strong></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp; 尘肺的治疗是以治疗和预防各种并发症为主，防止并发症会延缓尘肺的进展。</span>1.<span style=\"font-family:宋体\">对症治疗和并发病的治疗尘肺确诊之后，就应调离粉尘作业岗位，病情较重者应休息或安排疗养，在冬春两季要注意防止呼吸道感染。患者应在医疗监护下工作或休息、组织作保健体操、太极拳等活动，以增强体质。给予对症治疗，以缓解症状、减轻痛苦。积极预防、发现和治疗并发病，待别是预防和治疗结核病极为重要。</span>2.<span style=\"font-family:宋体\">药物治疗（</span>1<span style=\"font-family:宋体\">）常用药物：克矽平、汉防己甲素及铝制剂，可延缓尘肺的进展。（</span>2<span style=\"font-family:宋体\">）中医中药治疗：主要有行气活血、清肺润燥，提高机体免疫力、增加肺通气功能和延缓肺纤维化进展的作用。常用药物有川芎嗪、丹参酮注射液，银杏叶制剂、痰热清等。</span>3.<span style=\"font-family:宋体\">手术介入治疗尘肺病理为肺组织弥漫性纤维化，肺功能下降，对尘肺合并结核球，其他肺组织纤维化轻者，可考虑手术切除结核球；对肺组织弥漫性纤维化、肺大疱，严重影响肺功能者，不适合手术治疗。近年来，不少医疗单位开展肺灌洗术，肺灌洗适合于近期大量接触粉尘且矽肺一期以下患者，不适合矽肺二期及有严重合并症患者。</span></p><p><strong><span style=\"font-family:宋体\">预防</span></strong></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp; 对于个人来说，要注意个人防妒措施，主要指佩戴防尘护具，如防尘安全帽、送风头盔、送风口罩等。新工人在上岗前应进行就业前体检，凡患有以下疾病的一律不能从事粉尘作业：活动性肺结核病、萎缩性鼻炎，鼻腔肿瘤</span></p><p><span style=\"font-family:宋体\">、支气管哮喘、支气管扩张及慢性支气管炎等；显着影响肺功能或胸膜病变，如弥漫性肺纤维化、肺气肿、严重的胸膜肥厚与粘连，严重的心血管系统疾病。</span></p><p><span style=\"font-family:宋体\">对企业来说，应该从以下几点加强注意：</span></p><p>1<span style=\"font-family:宋体\">、密闭、抽风、除尘：对不能采取湿式作业的场所，应采用密闭抽风除尘办法，防止粉尘飞扬。</span></p><p>2<span style=\"font-family:宋体\">、湿式作业：采用湿式碾磨石英、耐火材料，矿山湿式凿岩、井下运输喷雾洒水。</span></p><p>3<span style=\"font-family:宋体\">、接尘工人健康检查：包括就业前和定期健康检查，脱离粉尘作业时还应做脱尘作业检查。</span></p><p>4<span style=\"font-family:宋体\">、工艺改革、革新生产设备：是消除粉尘危害的主要途径。</span></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('349', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1403', '概述', '<p>&nbsp; &nbsp;<span style=\"font-family: 宋体;\">传染性非典型肺炎是一种急性的呼吸系统感染，世界卫生组织（</span>WHO<span style=\"font-family: 宋体;\">）于</span>3<span style=\"font-family: 宋体;\">月</span>15<span style=\"font-family: 宋体;\">日将其名称公布为严重急性呼吸道症候群（</span>SARS<span style=\"font-family: 宋体;\">）。</span>SARS<span style=\"font-family: 宋体;\">是由一种新病原引起的，临床主要表现为肺炎，在家庭和医院有显着的聚集现象，目前在国内部分地区有病例发生。</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp;传染性非典型肺炎是由一种新的冠状病毒（</span>SARS<span style=\"font-family:宋体\">相关冠状病毒）引起的急性呼吸系统疾病，又称为严重急性呼吸综合征（</span>SARS<span style=\"font-family:宋体\">）。主要通过短距离飞沫、接触患者呼吸道分泌物及密切接触传播。临床上以发热、头痛、肌肉酸痛、乏力、干咳少痰为特征，严重者出现气促或呼吸窘迫。</span> <span style=\"font-family:宋体\">本病是一种新的呼吸道疾病，其临床表现与其他非典型肺炎相类似，但具有传染性强的特点，故我国医务工作将其命名为传染性非典型肺炎。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('350', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1403', '病因与病理生理', '<p><span style=\"font-family: 宋体;\">【病因】</span></p><p>1<span style=\"font-family:宋体\">、排出病毒。少数患者有腹泻，排泄物含有病毒。部分重症患者因为频繁咳嗽或需要气管插管、呼吸机辅助呼吸等，呼吸道分泌物多，传染性强。个别患者可造成数十甚至成百人感染，称职为“超级传播者”。</span> <span style=\"font-family:宋体\">潜伏期患者传染性低或无传染性，作为传染源意义不大；康复患者无传染性；隐性感染者是否存在及其作为传染源的意义，迄今尚无足够的资料佐证。本病未发现慢性患者。</span> <span style=\"font-family:宋体\">有研究表明从果子狸、貉等野生动物体内可分理处与人</span>SARS<span style=\"font-family:宋体\">病毒基因序列高度同源的冠状病毒，提示这些动物油可能是</span>SARS<span style=\"font-family:宋体\">比度的寄生宿主和本病的传染源，但有待证实。</span></p><p>2<span style=\"font-family:宋体\">、传播途径</span></p><p><span style=\"font-family:宋体\">（</span>1<span style=\"font-family:宋体\">）飞沫传播：短距离的飞沫传播，是本病的主要传播途径。</span>SARS<span style=\"font-family:宋体\">病毒存在于呼吸道粘液或纤毛上皮脱离细胞里，当患者咳嗽、打喷嚏或大声讲话时，形成气溶胶颗粒，喷出后被易感者吸入而感染。飞沫在空气追停留的时间短，移动的距离约</span>1<span style=\"font-family:宋体\">米，固仅造成近距离传播。</span></p><p><span style=\"font-family:宋体\">（</span>2<span style=\"font-family:宋体\">）接触传播：通过密切接触患者的呼吸道分泌物、消化道排泄物和其他体液，或者接触被患者污染的物品，亦可导致感染。</span> <span style=\"font-family:宋体\">患者腹泻物中的病毒经建筑物的污水排放系统造成环境污染，可能造成局部流行。实验室检验技术人员或研究人员，在缺乏生物安全保护措施情况下，处理货接触人体标本或病毒株时，可造成感染。应引起重视。</span></p><p style=\"margin-left:0;text-indent:0\">3、<span style=\"font-family: 宋体\">易感性和免疫力</span> <span style=\"font-family:宋体\">人群普遍易感。发病者以青壮年居多、儿童和老年人较少见。患者家庭成员和收治患者的医务人员属高危人群。患者康复后再次发病的报告，患病后可能获得一定程度的免疫。</span></p><p><span style=\"font-family:宋体\">【病理生理】</span></p><p><span style=\"font-family:宋体\">发病机制与病理解剖发病机制尚不清楚。起病早期可出现病毒血症。从体外病毒培养分离过程中可观察到对细胞的致病性，推测在人体的</span>SARS<span style=\"font-family:宋体\">病毒可能对肺组织细胞有直接的损害作用。但是，</span>SARS<span style=\"font-family:宋体\">患者发病期间淋巴细胞减少，</span>CD4<span style=\"font-family:宋体\">＋</span>CD8<span style=\"font-family:宋体\">＋</span>T<span style=\"font-family:宋体\">均明显下降，表明细胞免疫可能受损，且临床上应用皮质类固醇可以改善肺部炎症反应，减轻临床症状，故目前倾向于认为</span>SARS<span style=\"font-family:宋体\">病毒感染诱导的免疫损伤是本病发病的主要原因。</span> <span style=\"font-family:宋体\">肺部的病理改变明显，双肺明显膨胀，镜下以弥漫性肺泡损伤病变为主，有肺水肿及透明膜形成。病程</span>3<span style=\"font-family:宋体\">周后有肺泡内机化及肺间质纤维化，造成肺泡纤维闭塞。可见下血管内微血栓和肺出血，散在的小叶性肺炎、肺泡上皮脱落、增生等病变。肺门淋巴结充血、出血及淋巴细胞减少。</span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('351', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1403', '临床表现', '<p>&nbsp; &nbsp;<span style=\"font-family: 宋体;\">潜伏期</span>1-16<span style=\"font-family: 宋体;\">天，常见为</span>3-5<span style=\"font-family: 宋体;\">天。</span> <span style=\"font-family: 宋体;\">典型患者起病急，以发热为首发症状，可有畏寒，体温常超过</span>38<span style=\"font-family: 宋体;\">℃，呈不规则热或弛张热，稽留热等，热程为</span>1-2<span style=\"font-family: 宋体;\">周；伴有头痛、肌肉酸痛、全身乏力，部分患者有腹泻。常无鼻塞、流涕等上呼吸道卡他症状。起病</span>3-7<span style=\"font-family: 宋体;\">天后出现干咳、少痰，偶有学丝痰，肺部体征不明显，部分患者可闻少许湿罗音。病情于</span>10-14<span style=\"font-family: 宋体;\">天达到高峰，发热、乏力等感染中毒症状加重，并出现频繁咳嗽，气促和呼吸困难，略微活动则气喘、心悸，被迫卧床休息。这个时期易发生呼吸道的继发感染。病程进入</span>2-3<span style=\"font-family: 宋体;\">周后，发热渐退，其他症状与体征减轻乃至消失。肺部炎症的吸收和恢复则较为缓慢，体温正常后仍需</span>2<span style=\"font-family: 宋体;\">周左右才能完全吸收恢复正常。</span> <span style=\"font-family: 宋体;\">轻型患者临床症状轻，病程短。重症患者病情重，进展快，易出现呼吸窘迫综合征。儿童患者的病情似较成人轻。有少数患者不以发热为首发症状，尤其是有近期手术史或有基础疾病的患者。</span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('352', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1403', '诊断检查', '<p>1<span style=\"font-family: 宋体;\">、流行病学资料</span> <span style=\"font-family: 宋体;\">与发病者有密切接触史、或属受传染的群体发病者之一，或有明确传染他人的证据；发病前</span>2<span style=\"font-family: 宋体;\">周内曾到过或居住于报告传染性非典型肺炎患者并出现继发感染疫情的区域或病前</span>2<span style=\"font-family: 宋体;\">州内处理过接触过</span>SARS<span style=\"font-family: 宋体;\">患者标本或病毒毒株。</span></p><p>2<span style=\"font-family:宋体\">、症状与体征</span> <span style=\"font-family:宋体\">起病急，以发热为首发症状，体温一般＞</span>38<span style=\"font-family:宋体\">℃，偶有畏寒；可伴有头痛、关节酸痛、肌肉酸痛、乏力、腹泻；常无上呼吸道卡他症状，可有咳嗽，多为干、少痰、偶有血丝痰；可有胸闷，严重者出现呼吸加速，其粗，或明显呼吸窘迫。肺部体征不明显，部分患者可闻及少许湿罗音，或有肺实变体征。有少数患者不以发热为首发症状。</span></p><p>3<span style=\"font-family:宋体\">、实验室检查</span> <span style=\"font-family:宋体\">外周血白细胞计数一般不升高或降低；常有淋巴细胞计数减少。</span></p><p>4<span style=\"font-family:宋体\">、胸部</span>X<span style=\"font-family:宋体\">线检查</span> <span style=\"font-family: 宋体\">肺部有不同程度的片状、斑片状浸润性阴影或呈网状改变，部分患者进展迅速，呈大片状阴影；常为多叶或双侧改变，阴影吸收消散较慢；肺部阴影与症状体征可不一致。若检查结果阴性，</span>1-2d<span style=\"font-family:宋体\">后应予复查。</span></p><p style=\"margin-left: 0px; text-indent: 0px;\">5、<span style=\"font-family: 宋体\">抗菌药物治疗无明显效果。</span></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('353', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1403', '治疗方案', '<p>1<span style=\"font-family: 宋体;\">、隔离和护理</span> <span style=\"font-family: 宋体;\">按呼吸道传染病隔离和护理。疑似病例与临床诊断病例分开收治。密切观察病情变化，检测症状、体温、呼吸频率、</span>SpO2<span style=\"font-family: 宋体;\">或动脉血气分析、血象、胸片（早期复查间隔时间不超过</span>2-3d<span style=\"font-family: 宋体;\">），以及心、肝、肾功能等。提供足够的维生素和热量，保持水、电解质平衡。病人在隔离初级，往往有沮丧、绝望或孤立的感觉，影响病情的恢复，故关心安慰病人，给予心理辅导尤为重要。</span></p><p>2<span style=\"font-family:宋体\">、一般治疗</span></p><p><span style=\"font-family:宋体\">（</span>1<span style=\"font-family:宋体\">）卧床休息</span></p><p><span style=\"font-family:宋体\">（</span>2<span style=\"font-family:宋体\">）避免剧烈咳嗽，咳嗽剧烈者给予镇咳，咳痰者给予祛痰药。</span></p><p><span style=\"font-family:宋体\">（</span>3<span style=\"font-family:宋体\">）发热超过</span>38.5<span style=\"font-family:宋体\">℃者，可使用解热镇痛药，儿童忌用阿司匹林，因可能引起</span>Reye<span style=\"font-family:宋体\">综合征；或给予冰敷、酒精擦浴等物理降温。</span></p><p><span style=\"font-family:宋体\">（</span>4<span style=\"font-family:宋体\">）有心、肝、肾等器官功能损害，因此作相应的处理。</span></p><p>3<span style=\"font-family:宋体\">、氧疗</span> <span style=\"font-family:宋体\">出现气促或</span>PaO2<span style=\"font-family:宋体\">＜</span>70mmHg<span style=\"font-family:宋体\">或</span>SpO2<span style=\"font-family:宋体\">＜</span>93%<span style=\"font-family:宋体\">者，应给予持续鼻导管或面罩吸氧。</span></p><p><span style=\"font-family:宋体\">（</span>1<span style=\"font-family:宋体\">）鼻导管或鼻塞给氧，常用而简单的方法，适用于低浓度给氧，患者易于接受，缺点是吸入氧浓度不稳定，当吸氧浓度＞</span>5L/min<span style=\"font-family:宋体\">时，患者常不能耐受。</span></p><p><span style=\"font-family:宋体\">（</span>2<span style=\"font-family:宋体\">）面罩给氧</span> <span style=\"font-family:宋体\">面罩上有调节装置，可调节罩内氧浓度，它能产生</span>24<span style=\"font-family:宋体\">％</span>-50<span style=\"font-family:宋体\">％的系如氧浓度，且不受通气比率、呼吸类型和通气量的影响，不需湿化，耗氧量较少。</span></p><p><span style=\"font-family:宋体\">（</span>3<span style=\"font-family:宋体\">）气管插管或切开</span> <span style=\"font-family:宋体\">经插管或切开处射流给氧，效果好，且有利于呼吸道分泌物的排除和保持气道通畅。</span></p><p><span style=\"font-family:宋体\">（</span>4<span style=\"font-family:宋体\">）呼吸机给氧</span> <span style=\"font-family:宋体\">最佳的氧疗途径和方法，但技术要求高，且易产生并发症。常用于重症患者的抢救。</span></p><p>4<span style=\"font-family:宋体\">、糖皮质激素</span> <span style=\"font-family:宋体\">应用糖皮质激素的治疗应有以下指标之一：</span></p><p><span style=\"font-family:宋体\">①有严重中毒症状，高热持续</span>3d<span style=\"font-family:宋体\">不退；</span></p><p><span style=\"font-family:宋体\">②</span>48h<span style=\"font-family:宋体\">类肺部阴影面积扩大超过</span>50<span style=\"font-family:宋体\">％；</span></p><p><span style=\"font-family:宋体\">③有急性肺损伤（</span>ALI<span style=\"font-family:宋体\">）或出现</span>ARDS<span style=\"font-family:宋体\">。</span> <span style=\"font-family:宋体\">一般成人剂量相当于甲泼尼龙</span>80-320mg/d<span style=\"font-family:宋体\">，必要时可适当增加剂量，大剂量应用时间不宜过长。具体剂量及疗程应根据病情调整，待病情缓解或胸片阴影有所吸收后逐渐减量停用。建议采用半衰期短的糖皮质激素。注意糖皮质激素的不良反应，尤其是大剂量应用时警惕血糖升高和真菌感染等。儿童慎用。</span></p><p>5<span style=\"font-family:宋体\">、并发和（或）继发细菌感染</span> <span style=\"font-family: 宋体\">根据临床情况，选用适当的抗感染药物，如大环酯类，氟喹诺酮类，去甲万古霉素等。</span></p><p>6<span style=\"font-family:宋体\">、抗病毒药物</span> <span style=\"font-family:宋体\">早期可试用。目前推荐使用利巴韦林，其疗效仍有争议。有研究显示苷甘草在体外有抗</span>SARS<span style=\"font-family:宋体\">病毒作用。</span></p><p>7<span style=\"font-family:宋体\">、增强免疫力</span> <span style=\"font-family:宋体\">重症患者可试用增强免疫功能的药物。恢复期患者血清疗法只在个别患者使用者，其疗效和风险尚无文献评估。丙种球蛋白对继发感染者有一定功效。胸腺素和干扰素等药，其疗效与风险需进一步评估。</span></p><p>8<span style=\"font-family:宋体\">、可选用中药辅助治疗</span></p><p>9<span style=\"font-family:宋体\">、重症病例的处理</span></p><p><span style=\"font-family:宋体\">（</span>1<span style=\"font-family:宋体\">）加强对患者的动态监护，有条件的医院，尽可能收入重症监护病房。</span></p><p><span style=\"font-family:宋体\">（</span>2<span style=\"font-family:宋体\">）使用无创伤正压机械通气（</span>NPPV<span style=\"font-family:宋体\">），模式通常使用持续气道正压通气（</span>CPAP<span style=\"font-family:宋体\">），压力水平一般为</span>4-10cm H2O<span style=\"font-family:宋体\">，或压力支持通气＋呼气末正压（</span>PSV<span style=\"font-family:宋体\">＋</span>PEEP<span style=\"font-family:宋体\">），</span>PEEP<span style=\"font-family:宋体\">水平一般</span>4-10cm H2O<span style=\"font-family:宋体\">，吸气气压水平一般</span>10-20cm H2O<span style=\"font-family:宋体\">，调节吸氧流量和氧浓度，维持血氧饱和度＞</span>93<span style=\"font-family:宋体\">％。</span>NPPV<span style=\"font-family:宋体\">应持续应用（包括睡眠时间），减少暂停时间，直到病情缓解。</span></p><p><span style=\"font-family:宋体\">（</span>3<span style=\"font-family:宋体\">）</span>NPPV<span style=\"font-family:宋体\">治疗后，若氧饱和度改善不满意，</span>PaO2<span style=\"font-family:宋体\">＜</span>60mmHg<span style=\"font-family:宋体\">，或对</span>NPV<span style=\"font-family:宋体\">不能耐受者，应及时进行有创正压机械通气治疗。</span></p><p style=\"margin-left: 0px; text-indent: 0px;\">（4）<span style=\"font-family: 宋体\">对出现</span>ARDS<span style=\"font-family:宋体\">病例，宜直接应用有创正压机械通气治疗；出现休克或</span>MODS<span style=\"font-family:宋体\">，应予相应支持治疗。</span> <span style=\"font-family:宋体\">使用呼吸机同期，极易阴极医务人员被</span>SARS<span style=\"font-family:宋体\">病毒感染，故务必注意医护人员的防护，气管插管宜采用快速诱导（咪达唑仑等），谨慎处理呼吸机废气器官护理过程中吸痰、冲洗导管等均应小心对待。</span></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('354', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1403', '预后及预防', '<p><span style=\"font-family: 宋体;\">（一）控制传染源</span></p><p>1<span style=\"font-family:宋体\">、疫情报告</span> <span style=\"font-family:宋体\">我国已将传染性非典型肺炎列入《追华传染病防治法》法定传染病范畴，按甲类传染病进行隔离治疗和护理。发现或怀疑本病时，应尽快向卫生防疫机构报告。做到早发现、早隔离、早治疗。</span></p><p>2<span style=\"font-family:宋体\">、隔离治疗患者</span> <span style=\"font-family:宋体\">对临床诊断病例和疑似诊断病例应在制定的医院按到传染病分别进行隔离观察和治疗。</span></p><p><span style=\"font-family:宋体\">符合下列条件时可考虑出院：</span></p><p><span style=\"font-family:宋体\">（</span>1<span style=\"font-family:宋体\">）体温正常</span>7<span style=\"font-family:宋体\">天以上。</span></p><p><span style=\"font-family:宋体\">（</span>2<span style=\"font-family:宋体\">）呼吸系统症状明显改善。</span></p><p><span style=\"font-family:宋体\">（</span>3<span style=\"font-family:宋体\">）</span>X<span style=\"font-family:宋体\">线胸片显示有明显吸收。</span></p><p>3<span style=\"font-family:宋体\">、观察密切接触者</span> <span style=\"font-family: 宋体\">对医学观察病例和密切接触者，如讨论许可应在制定地点接受隔离观察，为期</span>14d<span style=\"font-family:宋体\">。在家中接受隔离观察时应注意通风，避免与家人密切接触，并由卫生防疫部门进行医学观察，每天测量体温。如发现符合疑似或临床诊断标准时，立即以专门的交通工具转往制定医院。</span></p><p><span style=\"font-family:宋体\">（二）切断传播途径</span></p><p><span style=\"font-family:宋体\">（三）保护易感人群</span> <span style=\"font-family:宋体\">尚无效果肯定的预防药物可供选择。恢复期患者的血清对本病的被动预防作为未见有报道。正在研制对</span>SARS<span style=\"font-family:宋体\">冠状病毒的马抗血清和灭活疫苗，已进入临床验证阶段，其预防效果有考核待验证。</span></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('355', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1628', '概述', '<p><span style=\"font-family: 宋体; text-indent: 28px;\">&nbsp; &nbsp; 恶化劳力型心绞痛是指稳定劳力型心绞痛病人在短期内心绞痛发作的次数突然增加，持续时间延长和程度加重，由越来越轻的活动所引起，甚至休息时亦发作，含用硝酸甘油不易缓解。由于病人随时有发生急性心肌梗死的危险，故应及时到医院治疗，包括卧床休息、持续心电图监测、密切观察病情变化。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('356', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1628', '临床表现', '<p><span style=\"font-family: 宋体; text-indent: 28px;\">&nbsp; &nbsp; 疼痛可位于胸骨下段、左心前区或上腹部，放射至颈、下颌、左肩胛部或右前胸，疼痛可很快消失或仅有左前胸不适、发闷感。</span></p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('357', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1628', '辅助检查', '<p style=\"text-indent:28px\">1.<span style=\"font-family:宋体\">心电图检查。</span></p><p style=\"text-indent:28px\">2.<span style=\"font-family:宋体\">心脏</span>X<span style=\"font-family:宋体\">线检查。</span></p><p style=\"text-indent:28px\">3.<span style=\"font-family:宋体\">放射性核素检查。</span></p><p style=\"text-indent:28px\">4.<span style=\"font-family:宋体\">冠状动脉造影。</span></p><p style=\"text-indent:28px\">5.<span style=\"font-family:宋体\">血管内超声显像检查。</span></p><p style=\"text-indent: 28px;\">6.<span style=\"font-family:宋体\">血管镜检查。</span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('358', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1628', '治疗', '<p>&nbsp; &nbsp;<span style=\"text-indent: 28px; font-family: 宋体;\">初期静脉持续点滴硝酸甘油</span><span style=\"text-indent: 28px;\">1</span><span style=\"text-indent: 28px; font-family: 宋体;\">～</span><span style=\"text-indent: 28px;\">2</span><span style=\"text-indent: 28px; font-family: 宋体;\">天，口服药物以β受体阻滞剂为主，配合硝酸酯类与钙拮抗剂。为了预防血小板聚集和血栓形成，一般在没有出血并发症时，口服肠溶阿司匹林等抗血小板药物或皮下注射肝素，维持</span><span style=\"text-indent: 28px;\">7</span><span style=\"text-indent: 28px; font-family: 宋体;\">～</span><span style=\"text-indent: 28px;\">10</span><span style=\"text-indent: 28px; font-family: 宋体;\">天。</span></p><p><span style=\"font-family: 宋体; text-indent: 28px;\">&nbsp; &nbsp;对于恶化型心绞痛病人不主张常规溶栓治疗。病情稳定后应尽快进行冠状动脉造影，根据结果择期进行介入性治疗或冠状动脉旁路移植术，若有左冠状动脉主干病变，尽快采用外科手术治疗。</span></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('367', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1629', '概述', '<p>&nbsp; &nbsp;<span style=\"font-family: 宋体; text-indent: 28px;\">静息型心绞痛是指静息状态下发作的不稳定型心绞痛，是较为严重的不稳定型心绞痛发作形式之一，发作时持续时间较长，如果不能恰当及时的治疗，患者可能发展为急性心肌梗死，进而危害患者生命安全。不稳定型心绞痛继发于冠脉阻塞的急性加重，与稳定型心绞痛相比，不稳定型心绞痛的疼痛更剧烈，持续时间更长，较低的活动量就可诱发，休息时也可自发出现，性质可呈进行性恶化。由于此类心绞痛病情发展常难以预料，有进展至心肌梗死的高度危险性，必须予以足够的重视。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('368', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1629', '病因', '<p>1.<span style=\"font-family: 宋体;\">冠状动脉粥样硬化病变进展</span></p><p><span style=\"font-family:宋体\">临床上大多数静息型心绞痛患者均有严重的缺血性心脏病，其冠状动脉粥样硬化病变的发展，可引起进行性冠状动脉狭窄，从而导致疾病的发作。</span></p><p>2.<span style=\"font-family:宋体\">血小板聚集</span></p><p><span style=\"font-family:宋体\">冠状动脉狭窄和血管壁的损伤，出现血小板聚集，产生更多的缩血管物质，引起冠状动脉收缩，管腔狭窄加重乃至闭塞。</span></p><p>3.<span style=\"font-family:宋体\">血栓形成</span></p><p><span style=\"font-family:宋体\">血小板聚集，易形成冠状动脉腔内血栓，导致进行性冠状动脉狭窄。</span></p><p>4.<span style=\"font-family:宋体\">冠状动脉痉挛</span></p><p><span style=\"font-family:宋体\">临床、冠状动脉脉造影和尸解研究均证实，冠状动脉痉挛是引起静息型心绞痛的重要机制。</span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('369', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1629', '临床表现', '<p>1.<span style=\"font-family: 宋体;\">临床症状</span></p><p><span style=\"font-family:宋体\">①胸痛或胸部不适的部位</span>,<span style=\"font-family:宋体\">如胸骨体中段或上段之后可波及心前区，常放射至左肩、左臂内侧达无名指或小指，或至颈、咽、下颌部；②性质：压迫性、发闷或紧缩性，也可有烧灼感，与典型的稳定型心绞痛相似，但疼痛更为剧烈，持续时间往往达</span>30<span style=\"font-family:宋体\">分钟，偶尔在睡眠中发作。卧床休息和含服硝酸酯类药物仅出现短暂或不完全性胸痛缓解。</span></p><p>2.<span style=\"font-family:宋体\">临床体征</span></p><p><span style=\"font-family:宋体\">心尖部可闻及一过性第三心音和第四心音，左心衰竭时可见心尖部抬举性搏动，缺血发作时或缺血发作后即刻可闻及收缩期二尖瓣反流性杂音。</span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('370', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1629', '辅助检查', '<p>1.<span style=\"font-family: 宋体;\">心电图检查</span></p><p><span style=\"font-family:宋体\">①常规心电图提示：</span>ST<span style=\"font-family:宋体\">段压低或升高和（或）</span>T<span style=\"font-family:宋体\">波倒置，常呈短暂性，随心绞痛缓解而完全或部分消失。②</span>24<span style=\"font-family:宋体\">小时动态心电图监测，</span>85%<span style=\"font-family:宋体\">～</span>95%<span style=\"font-family:宋体\">的动态心电图有心肌缺血改变而不伴有心绞痛等症状。对静息型心绞痛预后的判断，动态心电图较常规心电图更为敏感。③运动心电图适用于症状已稳定或消失的患者，常用于判断静息型心绞痛的预后。</span></p><p>2.<span style=\"font-family:宋体\">超声心动图检查</span></p><p><span style=\"font-family:宋体\">显示短暂性室壁运动异常。室壁运动异常呈持久性者，提示预后不良。</span></p><p>3.<span style=\"font-family:宋体\">心导管检查</span></p><p><span style=\"font-family:宋体\">冠状动脉造影示多数患者有两支或以上的冠状动脉病变，其中约半数为三支冠状动脉病变。</span></p><p>4.<span style=\"font-family:宋体\">实验室酶学检查</span></p><p><span style=\"font-family:宋体\">可有血胆固醇增高，心肌酶学</span>CK-MB<span style=\"font-family:宋体\">、肌钙蛋白等检查无异常改变。</span></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('371', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1629', '治疗', '<p>1.<span style=\"font-family: 宋体;\">一般处理</span></p><p><span style=\"font-family:宋体\">卧床休息</span>1<span style=\"font-family:宋体\">～</span>3<span style=\"font-family:宋体\">天，床边</span>24<span style=\"font-family:宋体\">小时心电监测。有呼吸困难、发绀者应给予吸氧，烦躁不安、剧烈疼痛可给予吗啡，如有必要应重复检测心肌坏死标志物。如患者未使用他汀类药物，无论血脂是否增高，均应及早使用。</span></p><p>2.<span style=\"font-family:宋体\">缓解疼痛</span></p><p><span style=\"font-family:宋体\">可给予硝酸酯类药物口服、静脉滴注或微量泵入。若疗效不佳，而无低血压等禁忌证，应及早使用β</span>- <span style=\"font-family:宋体\">受体阻滞剂。此外，治疗此型心绞痛以钙通道阻滞剂的疗效最好。</span></p><p>3.<span style=\"font-family:宋体\">抗凝抗血小板</span></p><p><span style=\"font-family:宋体\">阿司匹林、氯吡格雷和肝素是治疗静息型心绞痛的重要治疗措施，其目的在于防止血栓形成，阻止病情向心肌梗死方向发展。</span></p><p>4.<span style=\"font-family:宋体\">冠脉造影介入治疗</span></p><p><span style=\"font-family:宋体\">若在有条件的医院，应及时行急诊冠脉造影介入治疗。</span></p><p><span style=\"font-family:宋体\">静息型心绞痛发作时经过治疗病情稳定，应继续加强抗凝和调脂治疗，特别是使用他汀类药物以稳定斑块。缓解期的进一步检查及长期治疗方案与稳定型劳力性心绞痛相同。</span></p><p><strong><span style=\"font-family:宋体\">预后</span></strong></p><p><span style=\"font-family:宋体\">持续性静息型心绞痛并有冠状动脉腔内血栓形成的老年人，左心衰竭和冠状动脉多支病变者，多提示预后不良。运动试验出现心绞痛或缺血型</span>ST<span style=\"font-family:宋体\">段压低明显，或心率</span>-<span style=\"font-family:宋体\">血压乘积降低者，其心肌梗死、复发性静息型心绞痛的发生率和死亡率均较高。</span></p><p><span style=\"font-family:宋体\">预防</span></p><p><span style=\"font-family:宋体\">本病的预防在于积极控制冠状动脉粥样硬化的进展。首先是纠正不良生活习惯，如限制盐、脂肪、糖类的摄入，控制体重，戒烟酒预防肥胖。其次，缓解期规律服用阿司匹林、他汀类药物，定期复查心脏彩超、冠脉造影等检查。</span></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('427', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1641', '概述', '<p>&nbsp; &nbsp;<span style=\"text-indent: 28px; font-family: 宋体;\">部分患者在服用阿司匹林或其它非甾体类抗炎药</span><span style=\"text-indent: 28px;\">(NSAIDS)</span><span style=\"text-indent: 28px; font-family: 宋体;\">后数分钟至数小时内会导致哮喘的发作，病情多较为严重，这种以阿司匹林为代表的解热镇痛抗炎药的不耐受现象称为阿司匹林哮喘。阿司匹林哮喘发生机制为此类药抑制环氧酶，使</span><span style=\"text-indent: 28px;\">PG</span><span style=\"text-indent: 28px; font-family: 宋体;\">合成受阻，但不影响脂氧酶，致使引起支气管收缩的白三烯增多而诱发哮喘。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('428', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1641', '分型', '<p style=\"text-indent: 0px; \"><span style=\"text-indent: 28px;\">&nbsp; &nbsp; &nbsp;&nbsp;</span><span style=\"font-family: 宋体; text-indent: 28px;\">一般将阿司匹林哮喘分为三种类型</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">（</span>1<span style=\"font-family:宋体\">）启动型：</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">既往无哮喘史。摄入某种解热镇痛药是引起第一次哮喘发作的直接诱因，哮喘一旦发生，在不服用解热镇痛药时也常有哮喘发作。此型不常见。</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">（</span>2<span style=\"font-family:宋体\">）哮喘基础型：</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">多数患者在首次解热镇痛药哮喘前，还有数月到数年的哮喘史，也就是说，在原有哮喘基础上出现了对阿司匹林不耐受，在服用阿司匹林</span>(<span style=\"font-family:宋体\">或其它解热镇痛药</span>)<span style=\"font-family:宋体\">后的数分钟内就会引起剧烈的哮喘发作，当然在不用解热镇痛药的情况下，其它原因也可诱发哮喘的发作。</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">（</span>3<span style=\"font-family:宋体\">）鼻炎基础型：</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">少数患者在首次解热镇痛药引起的哮喘前虽无哮喘史，却有常年性过敏性鼻炎史，也就是说，在过敏性隆鼻炎的基础上发生阿司匹林哮喘。</span></p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('429', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1641', '临床表现', '<p>&nbsp; &nbsp; &nbsp;&nbsp;<span style=\"text-indent: 28px;\">1.</span><span style=\"text-indent: 28px; font-family: 宋体;\">阿司匹林哮喘多在服用解热镇痛药</span><span style=\"text-indent: 28px;\">5</span><span style=\"text-indent: 28px; font-family: 宋体;\">分钟至</span><span style=\"text-indent: 28px;\">2</span><span style=\"text-indent: 28px; font-family: 宋体;\">小时或稍长时间后发生，常伴有紫绀，眼结膜充血，大汗淋漓，不能平卧，烦躁不安。</span></p><p style=\"text-indent:28px\">2.<span style=\"font-family:宋体\">某些病人服药后出现鼻部卡他症状，如发作性流涕、鼻痒、鼻塞、继之出现哮喘。某些病人在哮喘发作的同时可出现严重的尊麻疹或血管性水肿。</span></p><p style=\"text-indent:28px\">3.<span style=\"font-family:宋体\">少数病例出现意识丧失，血压下降等休克症状。药物作用持续的时间长短不一，短的仅</span>1~2<span style=\"font-family:宋体\">小时，长的</span>1<span style=\"font-family:宋体\">一</span>2<span style=\"font-family:宋体\">天，正确及时的治疗可大大缩短药物作用的时间</span>[2]<span style=\"font-family:宋体\">。</span></p><p style=\"text-indent: 28px;\">4.<span style=\"font-family:宋体\">患者中有近</span>36%<span style=\"font-family:宋体\">合并有鼻部疾病，包括慢性鼻炎、鼻息肉、副鼻窦炎及嗅觉异常。</span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('430', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1641', '辅助检查', '<p style=\"text-indent:28px\"><span style=\"font-family:宋体\">对所有阿司匹林哮喘患者都应常规行鼻窦</span>X<span style=\"font-family:宋体\">线检查。多数可见窦腔黏膜增厚或息肉状增生，严重病例见上颌窦积液或全鼻窦炎。鼻窦</span>CT<span style=\"font-family:宋体\">检查可更清楚地显示鼻息肉或鼻窦炎。其他的过敏反应的特殊检查对阿司匹林哮喘的诊断无特殊性</span><span style=\"font-family:宋体\">。</span></p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('431', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1641', '诊断', '<p>&nbsp; &nbsp; &nbsp;&nbsp;<span style=\"text-indent: 28px; font-family: 宋体;\">当哮喘患者出现以下情况时应高度怀疑阿司匹林哮喘的可能</span><span style=\"text-indent: 28px;\">:</span></p><p style=\"text-indent:28px\">(1)<span style=\"font-family:宋体\">典型的由阿司匹林诱发的呼吸道症状</span>;</p><p style=\"text-indent:28px\">(2)<span style=\"font-family:宋体\">伴有慢性鼻炎</span>;</p><p style=\"text-indent:28px\">(3)<span style=\"font-family:宋体\">反复出现的鼻息肉</span>;</p><p style=\"text-indent:28px\">(4)<span style=\"font-family:宋体\">需收住</span>ICU<span style=\"font-family:宋体\">病房的突然发作的哮喘。</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">尽管目前还没有诊断阿司匹林哮喘的金标准，但对于哮喘患者，若出现阿司匹林不耐受的现象即可诊断为阿司匹林哮喘。阿司匹林不耐受可通过阿司匹林激发试验来进行。</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">下面主要介绍几种诊断阿司匹林不耐受激发试验的方法：</span></p><p style=\"text-indent:28px\">1.<span style=\"font-family:宋体\">口服阿司匹林激发试验。</span></p><p style=\"text-indent:28px\">2.<span style=\"font-family:宋体\">赖氨酸阿司匹林支气管吸入激发试验。</span></p><p style=\"text-indent:28px\">3.<span style=\"font-family:宋体\">组胺、乙酰胆碱和抗原进行鼻内激发试验。</span></p><p style=\"text-indent: 28px;\">4.<span style=\"font-family:宋体\">用抗炎性药物</span>(<span style=\"font-family:宋体\">如吲哚美辛</span>)<span style=\"font-family:宋体\">进行过静脉注射激发试验。</span></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('432', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1641', '治疗原则及注意事项', '<p>&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;<span style=\"text-indent: 28px; font-family: 宋体;\">为了有效防治阿司匹林哮喘，哮喘患者必须注意做到以下几点</span><span style=\"text-indent: 28px; font-family: 宋体;\">：</span></p><p style=\"text-indent:28px\">1.<span style=\"font-family:宋体\">哮喘，特别是合并鼻息肉者，若出现发热，宜首先采用物理方法降温，或用中药退热，应慎用解热镇痛药。解热镇痛类药物中扑热息痛诱发阿司匹林哮喘可能性最小。</span></p><p style=\"text-indent:28px\">2.<span style=\"font-family:宋体\">阿司匹林哮喘一经确诊，必须禁用解热镇痛药及非甾体抗炎药，包括阿司匹林、</span>APC<span style=\"font-family:宋体\">、非那西丁、扑热息痛、氨基比林、安乃近、安替比林等，并尽量避免使用含有解热镇痛药成分的平喘药，如复方茶碱、银翘解毒片等。使用复方制剂前必须了解其药物组成成分。</span></p><p style=\"text-indent:28px\">3.<span style=\"font-family:宋体\">阿司匹林哮喘患者往往对某些偶氮染料如柠檬黄不耐受，故应避免食用带有该类染料的食物，还应尽量少用各种黄色的糖衣药片。</span></p><p style=\"text-indent:28px\">4.<span style=\"font-family:宋体\">阿司匹林哮喘症状轻者可口服或注射氨茶碱；症状重者应及时静脉使用糖皮质激素</span>(<span style=\"font-family:宋体\">简称激素</span>)<span style=\"font-family:宋体\">及抗白三烯药物。必要时应给予氧疗，并注意保持呼吸道畅通；危重者应进行气管插管、机械通气等治疗。</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">5.阿司匹林哮喘患者对激素往往比较敏感，因此正确合理地使用激素是治疗的关键。病情较重的患者，可静脉给予甲基强的松龙40mg，每6小时1次，危重患者可酌情加量。症状一经缓解则可改为口服激素，并逐步减少用量，1周左右停用即可。给予吸入糖皮质激素(ICS)等控制哮喘药物长期治疗非常重要，可巩固疗效、预防以后的发作，治疗方案应该参照全球哮喘防治指南(GINA)中分级治疗原则，但是至少应与全身应用激素重叠使用数天。</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp; &nbsp;6.如果患者出现黄痰、发热、白细胞增加、有感染征象时，应及时加用抗生素进行治疗。另外，肾上腺素治疗阿司匹林哮喘无效。</span></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('438', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1586', '概述', '<p>&nbsp; &nbsp;<span style=\"font-family: 宋体;\">闭合性气胸指创口进入后随即创口闭合，胸膜腔仍与外界隔绝，胸膜腔内压力仍低于大气压，即仍为负压。</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp;根据胸膜腔积气量及肺萎陷程度可分为小量、中量和大量气胸。小量气胸指肺萎陷在</span>30<span style=\"font-family:宋体\">％以下，病人可无明显呼吸与循环功能紊乱。中量气胸肺萎陷在</span>30<span style=\"font-family:宋体\">％～</span>50<span style=\"font-family:宋体\">％，而大量气胸肺萎陷在</span>50<span style=\"font-family:宋体\">％以上，均可出现胸闷、气急等低氧血症的表现。查体可见气管向健侧偏移，伤侧胸部叩诊呈鼓音，呼吸音明显减弱或消失，少部分伤员可出现皮下气肿且常在肋骨骨折部位。</span>X<span style=\"font-family:宋体\">线胸片是诊断闭合性气胸的重要手段，但小量气胸尤其是伤情不允许立位后前位摄片者易被漏诊。胸腔穿刺可有助于诊断，也是治疗手段。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('439', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1586', '病因', '<p>&nbsp; &nbsp;<span style=\"font-family: 宋体;\">闭合性气胸多为肋骨骨折的并发症。如肺裂伤有空气送入胸膜腔，裂口随即封闭不再漏气；或是小的胸壁穿透伤，伤口小，空气一度进入胸膜腔后，胸壁伤道立即闭合，胸膜腔不再与外界相通。另外也见于医源性损伤，例如颈、胸部有创检查和胸部针灸等。</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp;胸腔含气组织破裂后，气体进入胸膜腔，患侧肺被压缩萎陷，并压迫闭合了破裂口，使破口闭合不再漏气，胸膜腔内的气体不再增多，形成闭合性气胸。此时，胸腔内压为正压。由于两侧胸腔压力不平衡，纵隔被推移向健侧，在呼吸运动中，两侧胸腔内压力的变化接近，纵隔无明显摆动。</span></p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('440', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1586', '辅助检查', '<p>&nbsp; &nbsp; X<span style=\"font-family: 宋体;\">线检查可显示不同程度的肺萎缩和胸腔积气，有时伴有少量胸腔积液。</span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('441', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1586', '诊断', '<p>&nbsp; &nbsp;<span style=\"font-family: 宋体;\">闭合性气胸主要根据</span>X<span style=\"font-family: 宋体;\">线检查确诊。</span></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('442', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1586', '治疗', '<p>&nbsp; &nbsp;<span style=\"font-family: 宋体;\">发生气胸时间较长且积气量少的病人，无需特殊处理，胸腔内积气一般可在</span>1<span style=\"font-family: 宋体;\">～</span>2<span style=\"font-family: 宋体;\">周内自行吸收，但应注意观察其发展变化。中、大量气胸可先行胸腔穿刺，若一直抽不尽、抽气不久又达抽气前的积气量、另一侧亦有气胸、合并血胸、需行全身麻醉或需用机械通气等，均应放置胸腔闭式引流，以减轻积气对肺和纵隔的压迫，促进肺尽早膨胀，同时应用抗生素预防感染。原来肺功能差者及老年人，以及有其他部位严重合并伤者，例如重型颅脑伤和重度休克病人，对闭合性气胸的处理应持积极态度。治疗中警惕发展为张力性气胸。单性闭合性气胸并不危及生命。</span></p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('443', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1585', '概述', '<p>&nbsp; &nbsp; &nbsp;<span style=\"font-size: 12px; font-family: 宋体;\">创伤性气胸发生率在钝性伤中占</span><span style=\"font-size: 12px;\">15%</span><span style=\"font-size: 12px; font-family: 宋体;\">～</span><span style=\"font-size: 12px;\">50%</span><span style=\"font-size: 12px; font-family: 宋体;\">，在穿透性伤中占</span><span style=\"font-size: 12px;\">30%</span><span style=\"font-size: 12px; font-family: 宋体;\">～</span><span style=\"font-size: 12px;\">87.6%</span><span style=\"font-size: 12px; font-family: 宋体;\">。多由于肺被肋骨骨折断端刺破，亦可由于暴力作用引起的支气管或肺组织挫裂伤，或因气道内压力急剧升高而引起的支气管或肺破裂。锐器伤或火器伤穿通胸壁，伤及肺、支气管和气管或食管，亦可引起气胸，且多为血气胸或脓气胸。偶尔在闭合性或穿透性膈肌破裂时伴有胃破裂而引起脓气胸。</span></p><p><span style=\"font-size: 12px; font-family: 宋体;\"></span></p><p><span style=\"font-size: 12px; font-family: 宋体;\"><b>&nbsp; &nbsp;</b>本病多由以下原因所致</span><span style=\"font-size: 12px;\">:</span><span style=\"font-size: 12px; font-family: 宋体;\">交通事故；医源性损伤；坠落伤；刀刺伤；枪伤。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('444', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1585', '临床表现', '<p><span style=\"font-size: 12px;\">1.</span><span style=\"font-size: 12px; font-family: 宋体;\">闭合性气胸</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp;根据胸膜腔积气量及肺萎陷程度可分为小量、中量和大量气胸。小量气胸指肺萎陷在</span>30%<span style=\"font-family:宋体\">以下，病人可无明显呼吸与循环功能紊乱。中量气胸肺萎陷在</span>30%<span style=\"font-family:宋体\">～</span>50%<span style=\"font-family:宋体\">，而大量气胸肺萎陷在</span>50%<span style=\"font-family:宋体\">以上，均可出现胸闷、气急等低氧血症的表现。查体可见气管向健侧偏移，伤侧胸部叩诊呈鼓音，呼吸音明显减弱或消失，少部分伤员可出现皮下气肿且常在肋骨骨折部位。</span></p><p>2.<span style=\"font-family:宋体\">张力性气胸</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp;病人常表现有严重呼吸困难、发绀，伤侧胸部叩诊为高度鼓音，听诊呼吸音消失。若用注射器在第</span>2<span style=\"font-family:宋体\">或第</span>3<span style=\"font-family:宋体\">肋间穿刺，针栓可被空气顶出。这些均具有确诊价值。另外，检查时可发现脉搏细弱，血压下降，气管显著向健侧偏移，伤侧胸壁饱满，肋间隙变平，呼吸动度明显减弱。并可发现胸部、颈部和上腹部有皮下气肿，扪之有捻发音，严重时皮下气肿可扩展至面部、腹部、阴囊及四肢。</span></p><p>3.<span style=\"font-family:宋体\">开放性气胸</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp;开放性气胸病人常在伤后迅速出现严重呼吸困难、惶恐不安、脉搏细弱频数、发绀和休克。检查时可见胸壁有明显创口通入胸腔，并可听到空气随呼吸进出的“嘶－嘶”声音。伤侧叩诊鼓音，呼吸音消失，有时可听到纵隔摆动声。</span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('445', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1585', '辅助检查', '<p><span style=\"font-size: 12px;\">1.</span><span style=\"font-size: 12px; font-family: 宋体;\">胸腹腔穿刺</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp;如果患者血气胸和腹膜刺激征同时存在，则应该及早进行胸腹腔穿刺，胸腹腔穿刺是一种简便又可靠的诊断方法。</span></p><p>2.X<span style=\"font-family:宋体\">线检查</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp;是诊断气胸的重要方法，肺内病变情况以及有无胸膜粘连、胸腔积液和纵隔移位等。纵隔旁出现透光带提示有纵隔气肿。气胸线以外透亮度增高，无肺纹理。有时气胸线不够明显，可嘱病人呼气，肺脏体积缩小，密度增高，与外带积气透光带形成对比，有利于发现气胸。大量气胸时，肺脏向肺门回缩，外缘呈弧形或分叶状。</span></p><p>3.CT<span style=\"font-family:宋体\">检查</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp;胸部钝性创伤中血胸与气胸同时存在，基本由于胸部受挤压及肋骨骨折所引起相应部位肺挫伤及肺破裂所致。横贯一侧或双侧胸腔的气液平面为其特征表现。</span></p><p>4.B<span style=\"font-family:宋体\">超检查</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp;在胸部钝性损伤中比</span>X<span style=\"font-family:宋体\">线更加敏感，在</span>B<span style=\"font-family:宋体\">超下可以看到胸膜的“滑动”，也可以发现有无胸腔积液。</span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('446', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1585', '诊断', '<p><span style=\"font-size: 12px; font-family: 宋体;\"><b>&nbsp; &nbsp;&nbsp;</b>根据患者的病史，临床表现，结合</span><span style=\"font-size: 12px;\">X</span><span style=\"font-size: 12px; font-family: 宋体;\">线，必要时辅助</span><span style=\"font-size: 12px;\">CT</span><span style=\"font-size: 12px; font-family: 宋体;\">及</span><span style=\"font-size: 12px;\">B</span><span style=\"font-size: 12px; font-family: 宋体;\">超检查不难明确诊断。</span></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('447', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1585', '治疗与预防', '<p><strong><span style=\"font-family:宋体\">治疗</span></strong></p><p>1.<span style=\"font-family:宋体\">闭合性气胸</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp; 小量闭合性气胸可自行吸收，不需特别处理。中、大量气胸可先行胸腔穿刺，若抽不尽、抽气不久又达抽气前的积气量、另一侧亦有气胸、合并血胸、需行全身麻醉或需用机械通气等，均应放置胸腔闭式引流。肺功能差者及老年人，以及有其他部位严重合并伤者，例如重型颅脑伤和重度休克病人，对闭合性气胸的处理应持积极态度。治疗中警惕发展为张力性气胸。</span></p><p>2.<span style=\"font-family:宋体\">张力性气胸</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp; 张力性气胸的急救在于迅速行胸腔排气解压。可用大号针头在锁骨中线第</span>2<span style=\"font-family:宋体\">或第</span>3<span style=\"font-family:宋体\">肋间刺入胸膜腔，即刻排气减压。目前已研制出特制胸腔引流套管针和胸腔闭式引流装置，封袋消毒，随时可用。若张力性气胸系胸壁上较小的穿透性伤口引起，应立即予以封闭、包扎及固定。</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp; 疑有严重的肺裂伤或支气管断裂，或诊断出食管破裂（口服美兰观察胸引或口服碘油造影），应进行开胸探查手术。纵隔气肿和皮下气种一般不需处理，在胸腔排气解压后多可停止发展，以后自行吸收。极少数严重的纵隔气肿，尤其偶因胸膜腔黏连而不伴明显气胸者，可在胸骨上窝做</span>2<span style=\"font-family:宋体\">～</span>3<span style=\"font-family:宋体\">厘米长的横切口，逐层切开皮肤、颈浅筋膜和颈阔肌，钝性分离颈部肌肉，直至气管前筋膜，切口内以纱布条作引流，气体即可从切口排出。</span></p><p>3.<span style=\"font-family:宋体\">开放性气胸</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp; 尽快封闭胸壁创口，变开放性气胸为闭合性气胸。可用大型急救包，多层清洁布块或厚纱布垫，在伤员深呼气末敷盖创口并包扎固定。如有大块凡林纱布或无菌塑料布则更为合用。要求封闭敷料够厚以避免漏气，但不能往创口内填塞；范围应超过创缘</span>5<span style=\"font-family:宋体\">厘米以上，包扎固定牢靠。给予输血、补液和吸氧等治疗，纠正呼吸和循环功能紊乱，同时进一步检查和弄清伤情。待全身情况改善后，尽早在气管插管麻醉下进行清创术并安放胸腔闭式引流。若胸壁缺损过大，可用转移肌瓣和转移皮瓣来修补。如果有肺、支气管、心脏和血管等胸内脏器的严重损伤，应尽早剖胸探查处理。</span></p><p><strong><span style=\"font-family:宋体\">预防</span></strong></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp; 注意交通安全，避免坠落及刀刺枪击伤，在医疗过程中注意严格掌握手术适应证，避免医源性气胸。</span></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('480', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '247', '概述', '<p><span style=\"color: rgb(0, 0, 0);\">&nbsp; &nbsp;<span style=\"font-size: 12px; font-family: 宋体;\">骨质疏松症（</span><span style=\"font-size: 12px;\">osteoporosis</span><span style=\"font-size: 12px; font-family: 宋体;\">）是一种系统性骨病，其特征是骨量下降和骨的微细结构破坏，表现为骨的脆性增加，因而骨折的危险性大为增加，即使是轻微的创伤或无外伤的情况下也容易发生骨折。常常在不知不觉中发生椎体压缩骨折，也可因咳嗽、打喷嚏、轻微外伤等诱发椎体骨折。骨质疏松症是一种多因素所致的慢性疾病。在骨折发生之前，通常无特殊临床表现。该病女性多于男性，但各年龄时期均可发病，常见于绝经后妇女和老年人。随着我国老年人口的增加，骨质疏松症发病率处于上升趋势，在我国乃至全球都是一个值得关注的健康问题。</span></span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">&nbsp; &nbsp;骨质疏松可分为原发性和继发性两类。原发性骨质疏松系指不伴引起本病的其他疾患；继发性骨质疏松则是由于各种全身性或内分泌代谢性疾病引起的骨组织量减少。此外，按发生部位亦可分为局限性或泛发性骨质疏松。</span></p><p><span style=\"color: rgb(0, 0, 0);\">1. <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">原发性骨质疏松</span>&nbsp; <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">原发性骨质疏松又可分为幼年型骨质疏松、成年型骨质疏松、绝经期骨质疏松及老年性骨质疏松等数种。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\">2. <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">继发性骨质疏松</span></span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）内分泌代谢性疾病：皮质醇增多症、甲亢、甲旁亢、肢端肥大症、性腺功能减退症、糖尿病、痛风等。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>2<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）营养不良性疾病：热卡</span>-<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">蛋白质营养不良症、维生素（</span>A<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，</span>B<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，</span>C<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，</span>D <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">等）缺乏症、慢性酒精中毒、长期吸烟、妊娠与哺乳、吸收不良综合征、胃肠切除术后等。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>3<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）遗传性疾病：成骨不全、高半胱氨酸尿症等。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>4<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）药物性：糖皮质类固醇激素，抗癫痫药物、抗肿瘤药物、肝素等。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>5<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）结缔组织疾病、类风湿性关节炎、系统性红斑狼疮、皮肌炎和多发性肌炎等。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>6<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）肿瘤：多发性骨髓瘤、肥大细胞病、白血病、骨肿瘤等。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>7<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）全身性疾病：尿毒症、慢性肾炎、肝硬化、慢性心衰等。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>8<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）废用性：长期卧床、截瘫、骨折、外伤性肌萎缩、肌营养不良综合征、太空飞行等。</span>WHO <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">规定的骨质疏松症定义，包括</span>4 <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">条：骨质量减少（量），骨维结构损害（质），骨脆性增加和易于骨折（其共同结果）。</span></span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('481', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '247', '病因', '<p><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">一、内分泌因素</span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">&nbsp; &nbsp; （1）性激素缺乏&nbsp; </span><a href=\"http://www.wiki8.com/cijisu_42157/\" title=\"医学百科：雌激素\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">雌激素</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">和（或）</span><a href=\"http://www.wiki8.com/xiongjisu_40753/\" title=\"医学百科：雄激素\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">雄激素</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">缺乏与比例失调，导致：①</span><a href=\"http://www.wiki8.com/danbaizhi_40643/\" title=\"医学百科：蛋白质\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">蛋白质</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">合成减少，骨</span><a href=\"http://www.wiki8.com/jizhi_109591/\" title=\"医学百科：基质\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">基质</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">生成不足；②</span><a href=\"http://www.wiki8.com/chengguxibao_107425/\" title=\"医学百科：成骨细胞\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">成骨细胞</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">功能下降；③</span><a href=\"http://www.wiki8.com/PTH_131671/\" title=\"医学百科：PTH\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">PTH</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">&nbsp;对骨</span><a href=\"http://www.wiki8.com/zuoyong_105276/\" title=\"医学百科：作用\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">作用</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">的</span><a href=\"http://www.wiki8.com/mingan_148593/\" title=\"医学百科：敏感\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">敏感</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">性增加；④</span><a href=\"http://www.wiki8.com/tangpizhijisu_48357/\" title=\"医学百科：糖皮质激素\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">糖皮质激素</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">对骨作用强度相对增高；⑤肠钙</span><a href=\"http://www.wiki8.com/xishou_40743/\" title=\"医学百科：吸收\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">吸收</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">和</span><a href=\"http://www.wiki8.com/shenxiaoguan_107208/\" title=\"医学百科：肾小管\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">肾小管</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">钙</span><a href=\"http://www.wiki8.com/zhongxishou_116565/\" title=\"医学百科：重吸收\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">重吸收</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">降低，绝经期、老年性和</span><a href=\"http://www.wiki8.com/luanchao_40695/\" title=\"医学百科：卵巢\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">卵巢</span></a><a href=\"http://www.wiki8.com/zaoshuai_6008/\" title=\"医学百科：早衰\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">早衰</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">等引起的骨质疏松都可能与此有关，雌激素缺乏可能是绝经期骨质疏松的主要原因。</span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">&nbsp; &nbsp; 女</span><a href=\"http://www.wiki8.com/xingbing_105910/\" title=\"医学百科：性病\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">性病</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">人由于雌激素缺乏造</span><a href=\"http://www.wiki8.com/chenggu_17796/\" title=\"医学百科：成骨\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">成骨</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">质疏松，男性则为</span><a href=\"http://www.wiki8.com/xinggong_1822/\" title=\"医学百科：性功\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">性功</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">能减退所致</span><a href=\"http://www.wiki8.com/gaotong_29851/\" title=\"医学百科：睾酮\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">睾酮</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">水平下降引起的。骨质疏松症在绝经后妇女特别多见，卵巢早衰则使骨质疏松提前出现，提示雌激素减少是发生骨质疏松重要因素。绝经后5年内会有一突然显著的骨量丢失加速阶段，每年骨量丢失2%～5%是常见的，约20%～30%的绝经早期妇女骨量丢失＞3%/年，称为快速骨量丢失者，而70%～80%妇女骨量丢失＜3%/年，称为正常骨量丢失者。瘦型妇女较胖型妇女容易出现骨质疏松症并易骨折，这是后者</span><a href=\"http://www.wiki8.com/zhifang_108095/\" title=\"医学百科：脂肪\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">脂肪</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">组织中雄激素</span><a href=\"http://www.wiki8.com/zhuanhuan_104031/\" title=\"医学百科：转换\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">转换</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">为雌激素的结果。与年龄相仿的正常妇女相比，骨质疏松症患者血雌激素水平未见有明显差异，说明雌激素减少并非是引起骨质疏松的惟一因素。</span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">&nbsp; &nbsp; （2）甲状旁腺激素分泌增多&nbsp; 一些原发性骨质疏松（骨高</span><a href=\"http://www.wiki8.com/zhuanhuanlv_104035/\" title=\"医学百科：转换率\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">转换率</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">性骨质疏松）者的血PTH轻度增高，这在老年性肾功能减退和糖耐量异常的病</span><a href=\"http://www.wiki8.com/renzhong_9933/\" title=\"医学百科：人中\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">人中</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">较明显；加上</span><a href=\"http://www.wiki8.com/xingjisu_101898/\" title=\"医学百科：性激素\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">性激素</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">缺乏、PTH&nbsp;与性激素比例失常等原因，可导致骨质疏松。</span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">一般来说，老年人存在肾功能生理性减退，表现为1，25-（OH2）D3生成减少，血钙降低，进而</span><a href=\"http://www.wiki8.com/ciji_104431/\" title=\"医学百科：刺激\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">刺激</span></a><a href=\"http://www.wiki8.com/jiazhuangpangxianjisu_41362/\" title=\"医学百科：甲状旁腺激素\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">甲状旁腺激素</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">分泌，故多数学者报道血中甲状旁腺激素浓度常随年龄增加而增加，增加幅度可达30%甚至更高。对绝经后骨质疏后骨质疏松妇女的甲状旁腺功能研究结果显示，功能低下、正常和亢进皆有。一般认为老年人的骨质疏松和甲状旁腺功能亢进有关。</span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">&nbsp; &nbsp; （3）降钙素（CT）缺乏&nbsp; 绝经期后</span><a href=\"http://www.wiki8.com/CT_118869/\" title=\"医学百科：CT\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">CT</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">&nbsp;水平降低，可能因</span><a href=\"http://www.wiki8.com/yizhi_107339/\" title=\"医学百科：抑制\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">抑制</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">骨吸收因素减弱而促成骨质疏松的发生。有研究显示各年龄组女性的血</span><a href=\"http://www.wiki8.com/jianggaisu_29646/\" title=\"医学百科：降钙素\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">降钙素</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">水平较男性低，绝经组妇女的血降钙素水平比</span><a href=\"http://www.wiki8.com/juejingqifunv_156738/\" title=\"医学百科：绝经期妇女\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">绝经期妇女</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">低，因此认为血降钙素水平的降低可能是女性易患骨质疏松的原因之一。</span><a href=\"http://www.wiki8.com/jingmai_107251/\" title=\"医学百科：静脉\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">静脉</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">滴注钙剂后女性血降钙素的增高值明显低于男性，血降钙素的基础值与增高值均与年龄呈负相关。北京协和医院内分泌科报告，对绝经前和绝经后的健康志愿者进行静脉滴注降钙素</span><a href=\"http://www.wiki8.com/xingfen_105992/\" title=\"医学百科：兴奋\" style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">兴奋</span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">试验，未见降钙素储备功能有显著差别。而骨量减少和骨质疏松症患者的降钙素储备功能则都降低，后者更为明显，这提示降钙素储备功能的降低可能参与了骨质疏松症的发生。对绝经后骨质疏后骨质疏松妇女的血降钙素水平报道多数是降低，但也有正常和轻度升高的报道。</span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">&nbsp; &nbsp; （4）其他激素的作用&nbsp; 一些资料表明，原发性骨质疏松患者存在甲状腺激素、糖皮质激素、生长激素、生活因子（尤其是生长介素C）、胃泌素的分泌异常，但其病因意义并未阐明。</span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">成骨细胞（OB）与破骨细胞（OC）组成骨重建单位。在健康成人破骨与成骨过程保持平衡，这有赖于OB 与OC 彼此之间有良好的互相调节。</span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">&nbsp; &nbsp; 破骨细胞属单核细胞/巨噬细胞谱系的细胞，在维持骨重建平衡及体内钙平衡中起关键作用。OC 的活化和受抑制又受OB 及其他因素所调节。骨的基质细胞，成骨细胞和活性T 淋巴细胞对OC 的活化起支持作用，被称为“支持细咆”（SC/OB）。</span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">&nbsp; &nbsp; ①“支持细胞”分泌巨噬细胞集落刺激因子（M-CSF）刺激多能单核细胞/巨噬细胞谱系发育为OC 前体。②“支持细胞”分泌的RANKL[细胞核因子-κB（NF-κB）受体活化因子配基，又称护骨素配基（OPGL），OC 分化因子]与OC 膜上的RANK[（NF-κB）受体活化因子]结合，将信号传入破骨细胞前体，使OC 分化成熟。③“支持细胞”又分泌OPG（护骨素，osteoprotection），与OPGL 争夺RANK 的结合，从而抑制OC 的分化成熟。</span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">&nbsp; &nbsp; 各种上游激素[如PTH，17β-E2，糖皮质激素，l，25（OH）2D3，PGE2 等]或细胞因子（如TGF-β，IL-1，IL-11，IL-17 及TNF 等）作用于SC/OB 的受体，刺激或抑制SC/OB 表达RANKL 或0PG，从而调节OC 的活性。如OC 持续地过于活跃则发生骨质疏松。</span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">二、遗传因素</span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">&nbsp; &nbsp; 骨质疏松症以白人尤其是北欧人种多见，其次为亚洲人，而黑人少见。骨密度为诊断骨质疏松症的重要指标，骨密度值主要决定于遗传因素，其次受环境因素的影响。有报道青年双卵孪生子之间的骨密度差异是单卵孪生子之间差异的4倍；而在成年双卵孪生子之间骨密度差异是单卵孪生子的19倍。近期研究指出，骨密度与维生素D受体基因型的多态性密切相关。1994年Morrison等报道维生素D受体基因型可以预测骨密度的不同，可占整个遗传影响的75%，经过对各种环境因素调整后，bb基因型者的骨密度可较BB基因型高出15%左右；在椎体骨折的发生率方面，bb基因型者可比BB型晚10年左右，而在髋部骨折的发生率上，bb基因行者仅为BB型的1/4。此项研究结果初步显示在各人种和各国家间存在很大的差异，最终结果仍有待进一步深入研究。其他如胶原基因和雌激素受体基因等与骨质疏松的关系的研究也有报道，但目前尚无肯定结论。</span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">三、营养因素</span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">&nbsp; &nbsp; 已经经发现青少年时钙的摄入与成年时的骨量峰直接相关。钙的缺乏导致PTH分泌和骨吸收增加，低钙饮食者易发生骨质疏松。维生素D的缺乏导致骨基质的矿化受损，可出现骨质软化症。长期蛋白质缺乏造成骨机制蛋白合成不足，导致新骨生成落后，如同时有钙缺乏，骨质疏松则加快出现。维生素C是骨基质羟脯氨酸合成中不可缺少的，能保持骨基质的正常生长和维持骨细胞产生足量的碱性磷酸酶，如缺乏维生素C则可使骨基质合成减少。</span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">四、废用因素</span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">&nbsp; &nbsp; 肌肉对骨组织产生机械力的影响，肌肉发达骨骼强壮，则骨密度值高。由于老年人活动减少，使肌肉强度减弱、机械刺激少、骨量减少，同时肌肉强度的减弱和协调障碍使老年人较易摔跤，伴有骨量减少时则易发生骨折。老年人患有脑卒中等疾病后长期卧床不活动，因废用因素导致骨量丢失，容易出现骨质疏松。</span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">五、药物及疾病</span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">&nbsp; &nbsp; 抗惊厥药，如苯妥英钠、苯巴比妥以及卡马西平，引起治疗相关的维生素D缺乏，以及肠道钙的吸收障碍，并且继发甲状旁腺功能亢进。过度使用包括铝制剂在内的制酸剂，能抑制磷酸盐的吸收以及导致骨矿物质的分解。糖皮质激素能直接抑制骨形成，降低肠道对钙的吸收，增加肾脏对钙的排泄，继发甲状旁腺功能障碍，以及性激素的产生。长期使用肝素会出现骨质疏松，具体机制未明。化疗药，如环孢素A，已证明能增加啮齿类动物的骨更新。</span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">肿瘤，尤其是多发性骨髓瘤的肿瘤细胞产生的细胞因子能激活破骨细胞，以及儿童或青少年的白血病和淋巴瘤，后者的骨质疏松常是局限性的。胃肠道疾病，例如炎性肠病导致吸收不良和进食障碍；神经性厌食症导致快速的体重下降以及营养不良，并与无月经有关。珠蛋白生成障碍性贫血，源于骨髓过度增生以及骨小梁连接处变薄，这类患者中还会出现继发性性腺功能减退症。</span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">六、遗传因素</span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">&nbsp; &nbsp; 身材、肥瘦、肌肉发达程度和胃肠功能均与遗传有关。白种人 （亚洲人亦近似白种人）易发生骨质疏松，而南非班图人、黑人不易发生骨质疏松，瘦长身材者骨质疏松发生率比矮胖者高得多。</span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">七、免疫因素</span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">&nbsp; &nbsp; 破骨细胞来源于大单核细胞，有潜在免疫功能。免疫功能紊乱时通过各种途径加速骨吸收，延缓骨生长，导致骨质疏松。</span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">八、骨骼重量与骨密度（BMC）峰值的水平</span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">&nbsp; &nbsp;男女均匀在30 岁达到BMC 峰值，峰值BMC 是成年以后MBC 逐年下降的超始值。资料表明，峰值BMC 高者在进入绝经期或老年期后不易发生骨质疏松，而峰值MBC 较低者可迅速到达“临界危险值”，这在女性更为突出。</span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">九、其他因素</span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: none;\">&nbsp; &nbsp; 酗酒对骨有直接毒性作用。吸烟能增加肝脏对雌激素的代谢以及对骨的直接作用，另外还能造成体重下降并致提前绝经。长期的大强度运动可导致特发性骨质疏松症。</span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('482', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '247', '发病机制', '<p><span style=\"color: rgb(0, 0, 0);\"><span style=\"font-size: 12px;\">&nbsp; &nbsp;&nbsp;</span><span style=\"font-size: 12px; font-family: 宋体;\">骨质疏松症是在遗传因素和环境因素的共同作用下，影响高峰骨量以及骨量丢失并最终发展至骨质疏松。这些因素包括药物、饮食、种族、性别以及生活方式。骨质疏松症可以是原发性的也可以是继发性。原发的骨质疏松症可以分为Ⅰ型和Ⅱ型，继发的骨质疏松症也称为Ⅲ型骨质疏松症。本文主要讨论的是原发性骨质疏松症。老年性骨质疏松的发生与人体内分泌失调、运动减少和不良生活习惯有关。因此，了解随年龄增加而发生的骨丢失规律对防治该病有重要意义。因此，骨计量学就成为研究骨病变的重要手段。骨小梁骨体积（</span><span style=\"font-size: 12px;\">TBV</span><span style=\"font-size: 12px; font-family: 宋体;\">）是反映单位体积骨髓腔内骨体积多少的重要参数。</span><span style=\"font-size: 12px;\">TBV</span><span style=\"font-size: 12px; font-family: 宋体;\">只能部分反映骨小梁骨量随年龄发生的变化，因为各年龄组之间有一定的重叠。我们测定的结果表明，</span><span style=\"font-size: 12px;\">50</span><span style=\"font-size: 12px; font-family: 宋体;\">岁以上组男性</span><span style=\"font-size: 12px;\">TBV</span><span style=\"font-size: 12px; font-family: 宋体;\">较</span><span style=\"font-size: 12px;\">50</span><span style=\"font-size: 12px; font-family: 宋体;\">岁以下组减少了大约</span><span style=\"font-size: 12px;\">1/4</span><span style=\"font-size: 12px; font-family: 宋体;\">，而女性下降得更快些。女性绝经后由于雌激素迅速减少，骨丢失加快，此阶段称为骨量迅速减低期。平均骨壁厚度（</span><span style=\"font-size: 12px;\">MWT</span><span style=\"font-size: 12px; font-family: 宋体;\">）是另一项重要参数。我们的研究结果表明，该参数随年龄增长而下降，女性下降得更明显，故女性绝经后较同龄男性更易发生病理性骨折。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\">1.<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">Ⅰ型或称为绝经后骨质疏后骨质疏松症</span></span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">&nbsp; &nbsp; 认为其主要原因是性腺（雌激素和睾酮）功能的缺陷，发生在任何年龄段的雌激素和睾酮缺乏都将加速骨量丢失。骨量丢失的确切机制尚不完全明确，原因是多方面的，其中最主要的原因是破骨细胞前期细胞的募集和敏感性增加，以及骨吸收的速度超过骨形成。在绝经后的妇女，第一个</span>5<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">～</span>7<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">年中骨的丢失以每年</span>1%<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">～</span>5%<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">的速度递增，结果是导致骨小梁的减少，容易出现科勒斯骨折（</span>Colles<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">’</span>fracture<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）和椎体骨折。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">&nbsp; &nbsp; 雌激素缺乏使骨对甲状旁腺激素（</span>PTH<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）的作用敏感性增加，导致钙从骨中丢失增加、肾脏排泄钙降低、</span>1,25-<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>OH<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）</span>2D3<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">生成增加。</span>1,25-<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>OH<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）</span>2D3<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">的增加促进肠道和肾脏对钙的吸收，并通过增加破骨细胞的活性和数量促进骨吸收。</span>PTH<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">的分泌通过负反馈机制而下降，引起同上述相反的作用。破骨细胞也受细胞因子的影响，如</span>TNF-<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">α、</span>IL-1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">以及</span>IL-6<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，上述细胞因子由单核细胞产生，在性激素缺乏时产生增加。</span></span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">Ⅱ型或称老年性骨质疏松症</span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">&nbsp; &nbsp; 见于男性和女性，源于骨形成下降和老年人肾脏形成</span>1,25-<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>OH<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）</span>2D3<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">降低。上述生理变化的结果是引起骨皮质以及骨小梁的丢失，增加了髋骨、长骨以及椎骨的骨折发生危险性。表</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">为Ⅰ型骨质疏松症和Ⅱ型骨质疏松症的区别。</span></span></p><p style=\"text-align: center;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 13.3333px; text-align: center; font-family: 宋体;\">表</span><span style=\"font-family: 宋体; color: rgb(0, 0, 0); font-size: 13.3333px; text-align: center;\">1 1</span><span style=\"color: rgb(0, 0, 0); font-size: 13.3333px; text-align: center; font-family: 宋体;\">型、Ⅱ型骨质疏松症的特点比较</span></span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\"></span></p><table><tbody><tr class=\"firstRow\"><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 13.3333px;\">I</span><span style=\"color: rgb(0, 0, 0); font-size: 13.3333px; font-family: 宋体;\">型</span></span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; font-size: 13.3333px; color: rgb(0, 0, 0);\">Ⅱ型</span></td></tr><tr><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 13.3333px; font-family: 宋体;\">高发年龄</span><span style=\"color: rgb(0, 0, 0); font-size: 13.3333px;\">(</span><span style=\"color: rgb(0, 0, 0); font-size: 13.3333px; font-family: 宋体;\">岁</span><span style=\"color: rgb(0, 0, 0); font-size: 13.3333px;\">)</span></span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-size: 13.3333px; color: rgb(0, 0, 0);\">50-70</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 13.3333px; font-family: 宋体;\">＞</span><span style=\"color: rgb(0, 0, 0); font-size: 13.3333px;\">70</span></span></td></tr><tr><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 13.3333px; font-family: 宋体;\">女</span><span style=\"color: rgb(0, 0, 0); font-size: 13.3333px;\">/</span><span style=\"color: rgb(0, 0, 0); font-size: 13.3333px; font-family: 宋体;\">男比例</span></span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-size: 13.3333px; color: rgb(0, 0, 0);\">6:1</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-size: 13.3333px; color: rgb(0, 0, 0);\">2:1</span></td></tr><tr><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-size: 13.3333px; color: rgb(0, 0, 0);\">骨量丢失</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 13.3333px; font-family: 宋体;\">松质骨</span><span style=\"color: rgb(0, 0, 0); font-size: 13.3333px;\">&gt;</span><span style=\"color: rgb(0, 0, 0); font-size: 13.3333px; font-family: 宋体;\">皮质骨</span></span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 13.3333px; font-family: 宋体;\">松质骨</span><span style=\"color: rgb(0, 0, 0); font-size: 13.3333px;\">=</span><span style=\"color: rgb(0, 0, 0); font-size: 13.3333px; font-family: 宋体;\">皮质骨</span></span></td></tr><tr><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; font-size: 13.3333px; color: rgb(0, 0, 0);\">骨折易发部位</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; font-size: 13.3333px; color: rgb(0, 0, 0);\">椎体、远端桡骨</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; font-size: 13.3333px; color: rgb(0, 0, 0);\">股骨、椎体、尺侥骨</span></td></tr><tr><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; font-size: 13.3333px; color: rgb(0, 0, 0);\">饮食钙摄人</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; font-size: 13.3333px; color: rgb(0, 0, 0);\">重要</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; font-size: 13.3333px; color: rgb(0, 0, 0);\">十分重要</span></td></tr><tr><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">小肠钙吸收</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">降低</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">降低</span></td></tr><tr><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"color: rgb(0, 0, 0);\">甲状旁腺功能</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">降低或正常</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">增高</span></td></tr><tr><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><a style=\"white-space: normal; color: rgb(0, 0, 0); text-decoration: underline;\"><span style=\"color: rgb(0, 0, 0);\">1.25(OH)<sub>2</sub>D<sub>3</sub></span></a><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">生成</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">继发降低</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">原发降低</span></td></tr><tr><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"color: rgb(0, 0, 0);\">主要发病原因</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">雌激素缺乏</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">年龄老化</span></td></tr></tbody></table><p style=\"text-align: left;\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">&nbsp; &nbsp; 在Ⅰ型和Ⅱ型骨质疏松症中，以妇女为多见，男女比例分别为</span>6<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">∶</span>2<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（Ⅰ型）和</span>2<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">∶</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（Ⅱ型），Ⅲ型骨质疏松症中，男女发病比率无差异。Ⅰ型骨质疏松症的发病高峰年龄为</span>50<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">～</span>70<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">岁，Ⅱ型骨质疏松症的高发年龄为</span>70<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">岁以上，Ⅲ型骨质疏松症发病与年龄关系不大，可见于任何年龄。</span>&nbsp;<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">Ⅲ型骨质疏松症继发于药物</span>&nbsp; <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">尤其是糖皮质激素，或是其他各种能增加骨量丢失的病变。</span><br/></span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('483', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '247', '临床表现', '<p><span style=\"color: rgb(0, 0, 0);\">&nbsp; &nbsp; &nbsp;<span style=\"font-family: 宋体;\">骨质疏松症在骨折发生以前多无症状，部分病人可因椎体压缩性骨折出现身高下降并且逐渐出现脊柱后凸。骨质疏松症的患者骨折好发于椎体、股骨近端和桡骨远端，轻微创伤即可导致上述部位骨折。一项研究表明，</span>50<span style=\"font-family: 宋体;\">岁以后骨质疏松骨折的危险性女性约</span>40%<span style=\"font-family: 宋体;\">，男性约</span>13%<span style=\"font-family: 宋体;\">。椎体骨折最为常见。</span>60<span style=\"font-family: 宋体;\">～</span>70<span style=\"font-family: 宋体;\">岁妇女发生率最高。</span>75<span style=\"font-family: 宋体;\">岁以上妇女及</span>80<span style=\"font-family: 宋体;\">岁以上男性发生率明显增加。髋部骨折是骨质疏松症的一种毁坏性病变，</span>15%<span style=\"font-family: 宋体;\">～</span>20%<span style=\"font-family: 宋体;\">的病人在病后</span>1<span style=\"font-family: 宋体;\">年之内由于各种并发症而死亡，且男性死亡率是女性的</span>2<span style=\"font-family: 宋体;\">倍。</span>50%<span style=\"font-family: 宋体;\">以上的存活者终生致残。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">骨质疏松症可以全身起病，也可以局部起病，主要病变包括骨折、以及与骨折发生部位相关的临床表现。椎体骨折可以表现为弯腰、举重物或咳嗽后出现背部疼痛，或是无症状的进行性的身高下降或脊柱后凸。大部分骨折发生在中下位的胸椎或上部分腰椎。疼痛性质和程度各异，可表现为不适、钝痛以及锐痛，活动时疼痛增加，有时疼痛可向腹部放射。急性疼痛通常在</span>4<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">～</span>6<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">周后缓解，在伴有脊柱后凸驼背的多发性骨折患者，常出现慢性疼痛。如脊柱后凸加重，患者将出现限制性通气功能障碍。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">&nbsp; &nbsp; 前臂、髋骨以及股骨近端的骨折通常发生跌倒之后，往前跌倒时常出现科勒斯骨折（</span>Colles<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">’</span>fracture<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">），而往后跌到常导致髋骨骨折。肋骨骨折最常见于继发于糖皮质激素引起的骨质疏松，也可见于其他因素。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\"><strong><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">并发症：</span></strong><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">部分骨质疏松病人可并发椎体压缩性骨折，多发性骨折，如脊柱后凸严重，患者将出现限制性通气功能障碍。</span></span></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('484', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '247', '辅助检查', '<p><span style=\"color: rgb(0, 0, 0);\">1. <span style=\"font-family: 宋体;\">血钙、磷和碱性磷酸酶</span></span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">在原发性骨质疏松症中，血清钙、磷以及碱性磷酸酶水平通常是正常的，骨折后数月碱性磷酸酶水平可增高。</span></p><p><span style=\"color: rgb(0, 0, 0);\">2. <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">血甲状旁腺激素</span>&nbsp; <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">应检查甲状旁腺功能除外继发性骨质疏松症。原发性骨质疏松症者血甲状旁腺激素水平可正常或升高。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\">3. <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">骨更新的标记物</span>&nbsp; <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">骨质疏松症患者部分血清学生化指标可以反应骨转换（包括骨形成和骨吸收）状态，在骨的高转换状态（例如Ⅰ型骨质疏松症）下，这些指标可以升高，也可用于监测治疗的早期反应。但其在骨质疏松症中的临床意义仍有待于进一步研究。这些生化测量指标包括：骨特异的碱性磷酸酶（</span>Bone-specific alkaline phosphatase<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，反应骨形成）、抗酒石酸酸性磷酸酶（</span>tartrated resistant acid phosphatse<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，反应骨吸收）、骨钙素（</span>Osteocalcin<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，反应骨形成）、Ⅰ型原胶原肽（</span>Type I procollagenpeptidase<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，反应骨形成）、尿吡啶啉（</span>Urinary pyridinoline<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）和脱氧吡啶啉（</span>Urinary deoxypyridinoline<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，反应骨吸收）、Ⅰ型胶原的</span>N-C-<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">末端交联肽（</span>cross-linked N-and C-telopeptide of type I collagen<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，反应骨吸收）。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\">4. <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">晨尿钙</span>/<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">肌酐比值</span>&nbsp; <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">正常比值为</span>0.13<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">±</span>0.01<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，尿钙排量过多则比值增高，提示有骨吸收率增加可能。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\">5. X<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">线检查</span>&nbsp; <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">对于有局部症状的患者应摄取病变部位的</span>X<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">线片，即使无脊柱症状的患者也应摄取该部位的侧位片，以免遗漏椎体骨折。</span>X<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">线可以发现骨折以及其他病变，如骨关节炎、椎间盘疾病以及脊椎前移。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">骨质疏松在</span>X <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">线片上，其基本改变是骨小梁数目减少、变细和骨皮质变薄。纤细的骨小梁清晰可见，此与骨质软化所致的粗糙而模糊的骨小梁形态截然不同，颅骨变薄，出现多发性斑点状透亮区，鞍背和鞍底变薄，颌骨牙硬板致密线的密度下降或消失，脊柱的椎体骨密度降低，出现双凹变形，椎间隙增宽，椎体前缘扁平，呈楔形（椎体压缩性骨折）；四肢长骨的生长障碍线明显。骨质疏松易伴发骨折和骨畸形，如股骨颈骨折、肋骨、骨盆骨折与畸形等。处于生长发育期的骨质疏松患者可出现干骺端的宽阔钙化带、角征和骨刺。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\">6. <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">骨密度检测</span>&nbsp; <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">骨密度检测（</span>Bone mineral density<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，</span>BMD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）是骨折最好的预测指标。测量何部位的骨密度，可以用来评估总体的骨折发生危险度；测量特定部位的骨密度可以预测局部的骨折发生的危险性。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">根据美国最新的国家骨质疏松症基金会</span>National Osteoporosis Foundation<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）制定的治疗指南规定，以下人群需进行骨密度的检测：</span>65<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">以上的绝经后妇女，尽管采取了各种预防措施，这类人群仍有发生骨质疏松的危险，如有骨质疏松症存在则应该进行相应的治疗；存在</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">个或</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">个以上危险因素、小于</span>65<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">岁的绝经后妇女；伴有脆性骨折的绝经后妇女；需根据</span>BMD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">测定值来决定治疗的妇女；长期激素代替疗法的妇女；轻微创伤后出现骨折的男性；</span>X<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">线显示骨质减少的人群以及存在可导致骨质疏松症的其他疾病的患者。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">通过与健康成年的</span>BMD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">比较，</span>WHO<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">建议根据</span>BMD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">值对骨质疏松症进行分级，规定正常健康成年人的</span>BMD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">值加减</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">个标准差（</span>SD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）为正常值，较正常值降低（</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">～</span>2.5<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）</span>SD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">为骨质减少；降低</span>2.5SD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">以上为骨质疏松症；降低</span>2.5SD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">以上并伴有脆性骨折为严重的骨质疏松症。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\">7. <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">单光子吸收骨密度测量</span>&nbsp; <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">单光子吸收法骨密度测量值不仅能反映扫描处的骨矿物含量，还可间接了解全身骨骼的骨密度和重量。优点是病人无痛苦，接受的放射量很低，简单易行，成本低廉，并可多次重复。其敏感度为</span>1%<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">～</span>3%<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，测定值变异系数为</span>1%<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">～</span>2%<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">。</span></span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">单光子吸收法骨密度测量主要反映的是皮质骨的变化，对于脊椎骨、骨小梁的改变反映较差，即使采用小梁较丰富的跟骨作为测量部位，亦难以了解脊椎骨小梁的变化。</span></p><p><span style=\"color: rgb(0, 0, 0);\">8. <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">双光子吸收法骨密度测量</span>&nbsp; <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">双光子吸收扫描采用</span>153Gd <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">装在</span>2 <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">个部位，测定股骨颈及脊椎骨的</span>BMC<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">。由于骨质疏松首先发生在小粱骨，所以与单光子吸收法比较，能更早期发现骨质疏松。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\">9. CT <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">骨密度测量</span>&nbsp; <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">目前，主要有</span>2 <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">种</span>CT <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">骨密度测量方法，即单能量</span>CT <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">骨密度测量（</span>SEQCT<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）和双能量</span>CT <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">骨密度测量（</span>DEQCT<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）。本法主要用于脊椎骨的骨密度测定，可直接显示脊椎骨的横断面图像。</span>DEQCT <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">的准确性高于</span>SE-QCT<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，而后者的精确性较前者为高。测定骨密度的方法有多种，其中定量计算机体层扫描（</span>quantitative computerized tomography<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，</span>QCT<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）测量</span>BMD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">最为准确，单位为</span>g/cm3<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，该方法不受骨大小的影响，可用于成人和儿童。但</span>QCT<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">只能测定脊柱的</span>BMD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，骨赘会干扰测定值，而且费用较高，同时所受射线亦不可低估。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\">10. <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">双能</span>X <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">线吸收法</span>&nbsp; <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">双能</span>X <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">线吸收法（</span>DXA<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）是目前测量骨矿密度（</span>BMD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）和骨矿含量（</span>BMC<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）的最常用方法，具有自动化程度高，放射线辐射量低，扫描时间短，准确度和精密度高等优点。双能</span>X-<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">线吸收法（</span>dual energy x-ray absorptiometry<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，</span>DXA<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）接受射线较少、相对便宜，而且可重复性较</span>QCT<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">高，可用于成人及儿童。</span>DXA<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">可以测定脊柱以及髋骨的</span>BMD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，可视为测定</span>BMD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">的标准方法，然而</span>DXA<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">存在校正值的差别。建议使用同一台机器上对患者进行随访连续测定</span>BMD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">。影响</span>DXA<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">测定的因素有脊柱骨折、骨赘以及主动脉等脊柱外的钙化。外周</span>DXA<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">可以测定腕关节的</span>BMD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\">11. <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">跟骨的定量超声（</span>quantitative ultra sound<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，</span>US<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）</span>&nbsp; <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">跟骨的定量超声可用于普通筛查，该方法费用低、便携且无电离辐射，但该方法不如</span>QCT<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">和</span>DXA<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">准确，因此不用来监测治疗效果。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\">12. <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">射线测量（</span>radiogrametry<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）</span>&nbsp; <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">通常用于测定手的骨皮质情况，尤其是第二掌骨。该法可用于儿童的</span>BMD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">测定，费用最为低廉。但该法不如</span>DXA<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">精确，而且对于</span>BMD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">变化的敏感性不大。</span></span></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('485', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '247', '诊断', '<p><span style=\"color: rgb(0, 0, 0);\">&nbsp; &nbsp;<span style=\"font-family: 宋体;\">绝经后和老年性骨质疏松症的诊断，首先需排除其他各种原因所致的继发性骨质疏松症，如甲状旁腺功能亢进和多发性骨髓瘤、骨质软化症、肾性骨营养不良、儿童的成骨不全、转移瘤、白血病以及淋巴瘤等。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\">1. &nbsp;WHO<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">规定的白人妇女的骨质疏松症诊断标准</span>&nbsp; <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">以白人青年成人女性骨密度峰值的人群均值（</span>X<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）所相应的标准差（</span>SD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）为单位，骨量的减少达到或超过</span>2.5SD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>T-Score<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）者，诊断骨质疏松症。必须应用双能</span>X<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">线骨密度测定仪，测定腰椎</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">～</span>4<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">以及一侧髋部。</span>T-Score=-1.0<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">～</span>-2.49SD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">者，诊断“骨量减少，</span>Osteopenia<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">”。</span> 1.0<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">～</span>-1.0SD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">为正常。</span></span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">应当注意：</span></p><p style=\"margin-left:14px\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）</span>WHO<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">诊断标准的“骨密度”，仅仅限于“</span>DEXA<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">’（双能</span>X<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">线骨密度测定仪）的测定值。不能应用单光子、双光子骨密度测定仪，也不能应用定量超声（</span>QUS<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）或定量</span>CT<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>QCT<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）来诊断骨质疏松症。</span></span></p><p style=\"margin-left:14px\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>2<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）应用中国人种女性和男性的骨密度峰值的正常值（</span>X<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">±</span>SD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">），不应该应用其他人种的正常值。</span></span></p><p style=\"margin-left:14px\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>3<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）目前男性诊断标准，全世界暂时应用白人女性的“</span>2.5SD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">”的标准，但是男性的“</span>SD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">”不同于女性的“</span>SD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">”，不应该混淆。</span></span></p><p style=\"margin-left:14px\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>4<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）“</span>2.5SD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">”诊断切点是与国际标准接轨，在缺乏明确证据的情况下不应该任意在临床诊断中改动。</span></span></p><p style=\"margin-left:14px\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>5<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）在“三级甲等医院”骨密度检查室的书面报告中，骨密度不应该仅仅报告为“</span>g/cm2<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">”，一定要计算和写出</span>T-Score<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">值，临床医师才能据之诊断。否则不符合“三级甲等医院”的条件。</span></span></p><p style=\"margin-left:14px\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>6<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）腰椎</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">～</span>4<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">和一侧髋部比较，人们更加重视髋部。不应该忽略专家的以下提示：“</span>DEXA<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">”测定的髋部骨密度减少到“</span>2.5 SD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">”才是骨质疏松症的“金标准”。原因是，骨质疏松性骨折的主要危害仅仅是“髋部骨折”所致卧床期的吸入性肺炎和褥疮的高病死率。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\">2. <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">应用</span>WHO<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">骨密度“</span>2.5SD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">”的诊断</span>&nbsp; <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">仅仅是单位体积（立方厘米）的骨矿含量（克）的减少，不包括“</span>WHO<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">骨质疏松定义”中的“微结构损害”和“脆性增加”。因此，依据</span>WHO<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">的骨密度“</span>2.5SD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">”的诊断切点所诊断的，被称为广义的骨质疏松症。</span></span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">应当注意：</span></p><p style=\"margin-left:14px\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）当前的</span>WHO<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">诊断标准，它所对应的病理形态有多种，包括狭义的骨质疏松、骨软化、纤维囊性骨炎等。不应该忽略鉴别骨软化等疾病。</span></span></p><p style=\"margin-left:14px\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>2<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）当前的</span>WHO<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">诊断标准，它所相应的病因也有多种，包括性激素减少、老年退化变性、维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">或钙剂缺乏、多发性骨髓瘤、肾小管酸中毒、原发性甲状旁腺功能亢进等。对于疑难诊断病例应该进行全身骨扫描检查，以发现病变的部位、数目、分布，然后进一步选择合理技术方法进行确诊。进行动脉血气检查来筛查代谢性酸中毒，观察是否“</span>BE<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">＜</span>-2.3 mmol/L<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">”（国内有人应用</span>-3.0mmol/L<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">为切点，美欧应用</span>-2.0mmol/L<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">为切点）。</span></span></p><p style=\"margin-left:14px\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>3<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）不应该忽略脊柱侧位</span>X<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">线平片的特定意义：大多数</span>DEXA<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">不能测定侧位腰椎骨密度。尽管</span>30%<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">的骨量丢失才可见到放射线学骨丢失改变，但是对于侧位腰椎平片已经显示椎体压缩骨折的病例，骨密度仪在测定正位腰椎骨密度时，把椎体前方和后方的韧带钙化和主动脉钙化，都计算为腰椎的骨密度，显示骨密度正常或升高。所以不应该忽略侧位腰椎平片检查。</span></span></p><p style=\"margin-left:14px\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>4<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）评估药物治疗或非药物治疗的疗效，不应该仅仅依据“骨密度”这种“骨量”。应该同时评估“骨微结构”、“骨脆性”和“骨折率”。特定的病人临床研究依靠活检针所取标本研究“骨微结构”，必须遵循特定的医疗法律程序。临床不能进行“骨微结构”和“骨脆性”检查，因此疗效评估必须同时依靠“骨密度”和“骨折率”的数年观察结果。曾经应用大剂量氟化钠达到“骨密度令人惊异的改善”，但是“骨折率”明显增加也令人惊异。原因是“骨微结构”严重损害。</span></span></p><p style=\"margin-left:14px\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>5<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）狭义的骨质疏松包括：绝经后骨质疏后骨质疏松症，老年性骨质疏松症等。不应该忽略的是，女性既存在绝经后（女性激素缺乏，需要女性激素替代）骨质疏松，同时也存在老年性（退化性病变，需要应用成骨细胞刺激药）骨质疏松症。男性老年性骨质疏松症则是退化性病变，不能常规应用男性激素替代。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\">3. <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">几种简单易行的诊断推论</span>&nbsp; <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">女性围绝经期已经比前</span>5<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">年出现明显骨量减少；尤其绝经后</span>5<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">～</span>7<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">年为快速骨丢失期。女性比男性峰值骨量小，骨丢失时间提前且速度快得多。因此不应该忽略，广大绝经后数年的女性，即便不进行</span>DEXA-<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">骨密度检查，多数人存在骨量减少或骨质疏松症。绝经后年代越久，骨质疏松症越严重。中国女性绝经的平均年龄为</span>48<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">岁，因此</span>60<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">岁妇女几乎全部进入骨量减少或者骨质疏松症的范围。甚至围绝经期女性，即便不进行骨密度检查，骨量减少的比例也相当大。男性则不能进行这种简单的推论。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\">4. <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">不应该忽略原发性骨质疏松症和继发性骨质疏松症的重叠存在</span>&nbsp; <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">绝经后或男性老年性骨质疏松症可以同时存在于原发性甲状旁腺功能亢进、多发性骨髓瘤、肾小管酸中毒等继发性骨质疏松症。尤其不应该忽略：老年女性的肾小管酸中毒、原发性甲状旁腺功能亢进的发病率升高。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\">5. <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">不应该夸大骨代谢生化指标在骨质疏松症诊断和治疗中的作用</span>&nbsp; <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">至今尚未确立以下生化指标对临床有多大用途：①骨形成指标，包括血骨钙素、骨特异性碱性磷酸酶、Ⅰ型前胶原羧基端前肽；②骨吸收指标，包括尿羟脯氨酸、尿吡啶啉交联物，尿Ⅰ型胶原</span>N<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">末端交联肽。这些测定或许有助于预言骨丢失速率和治疗反应，或许有助于诊断某些原因不明的骨质疏松。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\">6. <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">世界卫生组织推荐的骨质疏松诊断标准</span>&nbsp; 1994<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">年</span>WHO<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">建议根据</span>BMD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">或</span>BMC<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>bone mineral content<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，骨矿含量）值对骨质疏松症进行分级诊断：</span></span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">正常（</span>Normal<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）为</span>BMD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">或</span>BMC<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">在正常成人骨密度平均值的</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">个标准差（</span>SD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）之内；</span></span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">骨质减少（</span>Osteopenia<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）为</span>BMD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">或</span>BMC<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">较正常成人骨密度平均值降低</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">～</span>2.5<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">个标准差；</span></span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">骨质疏松症（</span>Osteoporosis<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）为</span>BMD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">或</span>BMC<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">较正常成人骨密度平均值降低</span>2.5<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">个标准差以上；</span></span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">严重骨质疏松症（</span>Osteoporosis<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）为</span>BMD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">或</span>BMC<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">较正常成人骨密度平均值降低</span>2.5<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">个标准差以上并伴有</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">个或</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">个以上的脆性骨折。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">该诊断标准中</span>BMD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">或</span>BMC<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">可在中轴骨或外周骨骼测定。</span></span></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('486', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '247', '鉴别诊断', '<p><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\"> &nbsp; 骨质疏松指的仅仅是一种病理状态而非一种独立的疾病。因此，在确立存在骨质疏松后，应认真查找引起骨质疏松的病因，必要时应行骨活检进行组织病理学和组织计量学检查。</span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">&nbsp; &nbsp;骨质疏松可单独存在，亦可与骨质软化并存，此时应尤其注意继发性骨质疏松的可能。只有在详尽调查，排除了继发性病因后才能作出原发性骨质疏松之诊断。</span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">&nbsp; &nbsp;首先，骨质疏松应与骨质软化和纤维囊性骨炎相鉴别（表</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）。</span></span></p><p style=\"text-align:center\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">表</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">三种常见代谐性骨病变的鉴别</span></span></p><table><tbody><tr class=\"firstRow\"><td width=\"171\" valign=\"top\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">骨质疏松</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">骨质软化</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">纤维囊性骨炎</span></td></tr><tr><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">病史</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">绝经期或老年人营养障碍内分泌疾病或药物等</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">缺乏</span>,<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">缺乏日照</span>,<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">慢性腹泻或肾脏病史病史</span></span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">高血钙症状</span>&nbsp;&nbsp; ,<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">肾结石病史</span>,<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">消化性溃病史，颈前部肿块</span></span></td></tr><tr><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">组织学改变</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">骨基质缺乏，矿化正常</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">骨基质正常，矿化不足，骨前质增多</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">骨质吸收，纤维组织填充吸收区</span></td></tr><tr><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"color: rgb(0, 0, 0);\">X<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">线表现</span></span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">骨皮质变薄，骨小梁减少，纤细而清晰。骨骼变形少见，椎体压缩性骨折</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">骨皮质变薄，边缘模糊，骨小梁粗乱，骨骼变形，骨膜下吸收骨结构毛糙，有</span>Looser<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">带等</span></span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">与骨质软化相似，有骨膜下骨吸收，后期呈囊性变，巨细胞瘤或囊肿，颅骨颗粒状吸收区</span></td></tr><tr><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">血钙</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">正常</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">下降或正常</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">升高或正常</span></td></tr><tr><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">血磷</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">正常</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">下降</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">下降或正常</span></td></tr><tr><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"color: rgb(0, 0, 0);\">ALP</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">正常</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">升高</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">升高</span></td></tr><tr><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">尿钙、磷</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">正常</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">均减少</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">均增加</span></td></tr><tr><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">及钙治疗效果</span></span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">差，营养不良所致者较佳</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">佳，肾性者宜用活性维生素</span>D</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">不宜应用</span></td></tr></tbody></table><p style=\"text-align: left;\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">&nbsp; &nbsp; 其次，骨质疏松应着重与多发性骨髓瘤，成骨不全，骨肿瘤等所致的继发性骨量减少鉴别。多发性骨髓瘤的典型</span>X<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">线表现是周边清晰的局限性脱钙灶，部分患者为弥漫性脱钙，需和骨质疏松鉴别。多发性骨髓瘤的生化改变为血钙升高或正常，血磷变化不定，</span>ALP<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">正常，尿本周蛋白阳性，血浆出现</span>M<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">球蛋白等。成骨不全时由于成骨细胞产生的骨基质减少，</span>X<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">线上表现的骨质疏松与多次骨折固定有关，骨皮质薄而毛糙，骨质有囊性变，常伴有蓝色巩膜和耳聋等先天性畸形。老年人骨质疏松应警惕骨转移性肿瘤之可能，临床上有原发肿瘤表现，患者血钙和尿钙升高，常伴尿路结石，</span>X<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">线上骨皮质多有侵蚀，甚至可发现转移性缺损灶。</span>&nbsp;&nbsp;&nbsp; <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">最后，还应对原发性骨质疏松进行分型，特发性青壮年骨质疏松和绝经期骨质疏松在临床上较多见，两者的鉴别要点见表</span>2<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">。</span><br/><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\"></span></span></p><p style=\"text-align: center;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); text-align: center; font-family: 宋体;\">表</span><span style=\"font-family: 宋体; color: rgb(0, 0, 0); text-align: center;\">2&nbsp;&nbsp;</span><span style=\"color: rgb(0, 0, 0); text-align: center; font-family: 宋体;\">特发性青壮年骨质疏松与绝经期骨质疏松的鉴别&nbsp;&nbsp;</span></span></p><table width=\"-191\"><tbody><tr class=\"firstRow\"><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">项目</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">特发性青壮年骨质疏松</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">绝经期骨质疏松</span></td></tr><tr><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">发病年龄</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"color: rgb(0, 0, 0);\">40<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">岁前</span></span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">绝经期以后</span></td></tr><tr><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">疾病转归</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">发展快，数年内出现脊椎骨折和肾结石</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">发展慢，无肾结石</span></td></tr><tr><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">尿钙</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">常＞</span>75~125mmol/d(300~500mg/d)</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">减少或偏高</span></td></tr><tr><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">血磷</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">正常</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">正常或偏高</span></td></tr><tr><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">磷清除率</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">正常</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">正常</span></td></tr><tr><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">破骨细胞数与活动性吸收面</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">正常或增加</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">正常</span></td></tr><tr><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">骨总吸收面和骨细胞溶骨</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">增加</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">正常或增加</span></td></tr><tr><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">骨前质</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">增加</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">增加，正常或减少</span></td></tr><tr><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">骨矿化线</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">正常</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">正常</span></td></tr></tbody></table><p><br/><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('487', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '247', '治疗', '<p><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">一、治疗原则</span></p><p><span style=\"color: rgb(0, 0, 0);\">1. <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">应尽早着手治疗</span>&nbsp; <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">理由是完全和部分消失的骨单位（皮质骨的直径</span>0.2mm<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">的柱形骨单位和骨小梁）不能再生，但是变细的骨单位，经过治疗可以恢复原状。因此，逆转已经消失的骨单位（形成骨质疏松症）是不可能的，而早期干预能够预防大多数人的骨质疏松症。女性的围绝经期（</span>45<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">岁）就应该开始治疗。男性往往可以迟</span>10<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">年。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\">2. <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">不应该忽略存在特定病因的治疗，尤其不应该忽略原发性骨质疏松症和继发性骨质疏松症的重叠存在。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\">3. <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">缓解疼痛的治疗措施应合理选择</span>&nbsp; <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">椎体压缩骨折的急性期，缓解疼痛的方法有：止痛药、肌肉松弛剂、热疗、按摩和休息。骨质疏松性骨折或畸形所致痛苦，可以经特殊设计的体育治疗而得到缓解，某些病人可以穿戴保护性胸衣或背部支架。锻炼腹肌和背肌的运动对于多数病人有益。</span></span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">止痛药有引起老年人胃出血的可能。因此，尽可能选择吲哚美辛（消炎痛）栓剂（肛门塞入）和双氯芬酸乳胶剂（外搽）。</span></p><p><span style=\"color: rgb(0, 0, 0);\">4. <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">应重视基础治疗的有效性、安全性、可行性和经济性，如运动、饮牛奶、晒太阳，小心预防跌倒。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\">5.<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">钙剂、维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">和骨吸收抑制药等</span>3<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">大类药，已经被</span>FDA<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">批准后全世界广泛应用。对于比较严重的病例，不应该忽略这</span>3<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">种药联合应用的必要性和安全性。钙剂提供骨形成的原料，维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">促进肠道钙的吸收和抑制骨钙的流失，骨吸收抑制药能够抑制绝经后和老年性骨质疏松症的过快的骨吸收速度。三者联合应用时作用相互协调，比喻为“海陆空联合作战”。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\">6.<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">不宜联合应用</span>2<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">种或更多种骨吸收抑制药</span>&nbsp; <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">骨吸收抑制药包括雌激素、雌激素受体调节剂、双磷酸盐、降钙素等</span>4<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">类，常常单独或轮流应用；但是联合</span>2<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">种或多种，而且足量应用时（例如：充足剂量的女性激素替代的同时，应用阿仑膦酸钠（福善美）每天</span>10mg<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">的剂量），尽管骨密度的增加更加有效，但是尚不了解对于“骨微结构”、“骨脆性”、“骨折发病率”的影响。</span></span></p><p><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">二、药物治疗</span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">&nbsp; &nbsp;有效的药物治疗能阻止和治疗骨质疏松症，包括雌激素代替疗法、降钙素、选择性雌激素受体调节剂以及二磷酸盐，这些药物可以阻止骨吸收但对骨形成的作用特别小。经验治疗发现缓释氟化钠以及低剂量的</span>PTH<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">能增加骨形成，可以阻止雌激素缺乏妇女的骨量丢失。前者还可以减少椎体骨折的发生率。研究证实这些药物能改善</span>BMI<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，对于性腺功能减退的骨质疏松症男性给予睾酮治疗能维持骨量。给予钙和维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">是重要的预防措施。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">用于治疗和阻止骨质疏松症发展的药物分为两大类，第一类为抑制骨吸收药，包括钙剂、维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">及活性维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">、降钙素、二磷酸盐、雌激素以及异黄酮；第二类为促进骨性成药，包括氟化物、合成类固醇、甲状旁腺激素以及异黄酮。到目前为止，所有的治疗药物都是在女性进行的实验，除雌激素和选择性雌激素受体调节剂外，假定所有的药物对男性的治疗作用是相同的。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\">&nbsp; &nbsp; 1. <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">激素代替疗法（</span>hormone replacementtherapy<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，</span>HRT<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）</span>&nbsp; <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">激素代替疗法被认为是治疗绝经后妇女骨质疏松症的最佳选择，也是最有效的治疗方法，存在的问题是激素代替疗法可能带来其他系统的不良反应。激素代替疗法避免用于患有乳腺疾病的患者，以及不能耐受其副作用者。对于上述患者，可选用其他药物。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">&nbsp; &nbsp;激素代替疗法的药物为雌激素，可用妊马雌酮（结合型雌激素），</span>0.3<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">～</span>0.625mg/d<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，对于未切除子宫者，建议周期使雌激素，即每天</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">次，连用</span>3<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">周，再停用</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">周。报道指出，雌激素治疗能减少绝经后妇女心血管疾病危险性的增加，其机制可能是由于药物改善了血浆脂质浓度（高密度脂蛋白增高、胆固醇和低密度脂蛋白降低）和药物对动脉的直接作用。如果停用雌激素，那么将在</span>l<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">～</span>2<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">年内迅速地再次发生骨量丢失，同时丧失雌激素带来的心血管保护作用。对本药过敏、乳腺癌、诊断未明的阴道或子宫出血、活动的血栓性静脉炎、血栓形成性疾病以及既往使用此激素引起类似症状者禁用。雌激素可减低抗凝药的作用，与巴比妥、利福平以及其他可诱导肝微粒体酶的药物合用可降低雌激素的血清水平。雌激素还可降低肝</span>P450<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">酶的活性，与糖皮质激素联用时可因此影响糖皮质激素的作用与毒性。部分患者服用雌激素可以出现雌激素过度刺激的症状，如不正常的或大量的子宫出血、乳房痛，部分患者还可以出现液体潴留。长期服用雌激素治疗增加了子宫内膜增生的危险性，加用黄体酮能抵消此副作用，对于子宫已切除者则不须加用孕激素。服用雌激素患者应定期接受包括妇科检查在内的全面体检以及乳腺检查和摄影。出现黄疸以及不能控制的高血压时应停药。手术前</span>2<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">周应停药，以免引起血管栓塞。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">&nbsp; &nbsp; 虽然激素代替疗法治疗骨质疏松的疗效确切，但</span>2002<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">年</span>7<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">月美国的一项研究结果显示，雌激素加孕激素替代疗法预防心血管疾病弊大于利，为此美国国立卫生院（</span>NIH<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）建议停止预防目的的雌激素替代治疗。美国</span>NIH<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">下属的国立心肺血液研究所（</span>National Heart<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，</span>Hung and Blood Insititue<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，</span>NHLBI<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）进行了一项命名为妇女健康倡议（</span>Womens Health Initiative<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，</span>WHI<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）、采用雌激素加孕激素为预防目的的激素替代疗法的研究，该研究是一项随机对照的一级预防研究，从</span>1993<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">年开始，原计划持续</span>8.5<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">年，预计于</span>2002<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">年</span>3<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">月结束。出于安全性考虑，在平均随访了</span>5.2<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">年后，该研究于</span>2005<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">年</span>5<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">月</span>31<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">日终止。</span>WHI<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">共纳入了</span>16,608<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">名</span>50<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">～</span>79<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">岁的绝经后有完整子宫的妇女，其中</span>8,506<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">名妇女随机接受雌孕激素联合治疗，</span>8,102<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">名妇女随机接受安慰剂治疗。研究在美国的</span>40<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">个临床中心进行。该试验采用雌激素加孕激素联合治疗（妊马雌酮</span>0.625mg/d<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，醋酸甲羟孕甲羟孕甲羟孕酮</span>2.5mg/d<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">），每天</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">次。到目前为止的</span>WHI<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">结果显示，与安慰剂相比，雌孕激素联合疗法的转归为：脑卒中增加</span>4l%<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">；心脏病发生增加</span>29%<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">；静脉血栓形形形成率加倍；总的心血管疾病增加</span>22%<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，乳腺癌增加</span>26%<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，结肠癌减少</span>37%<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，髋关节骨折减少</span>1/3<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，总的骨折减少</span>24%<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，两组间总死亡率无差异。上述结果的危险</span>/<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">益处比不能满足一级预防慢性病干预的需要。</span>WHI<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">的结果提示该方法对心血管疾病和乳腺癌的实际弊端可能超过预防骨质疏松带来的益处。鉴于此，在选择雌激素加孕激素治疗骨质疏松时应慎重，必须结合患者情况权衡利弊。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">&nbsp; &nbsp; 雌二醇（</span>estradio1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）：能减轻骨吸收增加成骨细胞活性，多项研究表明雌二醇能阻止脊柱和髋骨的骨量丢失，建议绝经后即开始服用，在耐受的情况下终身服用。成人</span>0.1mg/d<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，周期服用，即连用</span>3<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">周，停用</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">周。可经皮肤贴膜使用，每天释放雌二醇的量不小于</span>0.05mg<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，必要时调整剂量以控制绝经期症状。过敏、乳腺癌、血栓性静脉炎以及诊断不清的阴道出血禁用。另有炔雌醇（</span>ethinylestradio1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）和炔诺酮（</span>norethindrone<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）属于孕激素，用来治疗中到重度的与绝经期有关的血管舒缩症状，</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">片</span>/d<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">雄激素：研究表明对于性激素严重缺乏所致的骨质疏松症男性患者，给予睾酮替代治疗能增加脊柱的</span>BMD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，但对髋骨似乎无效，因此雄激素可视为一种抗骨吸收药。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">&nbsp; &nbsp; 睾酮（</span>testosterone<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）：肌内注射每次</span>200mg<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，每</span>2<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">～</span>4<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">周</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">次，可用于治疗性腺功能减退的</span>BMD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">下降患者。肾功能受损以及老年患者慎用睾酮，以免增加前列腺增生的危险；睾酮可以增加亚临床的前列腺癌的生长，故用药需监测前列腺特异抗原（</span>PSA<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）；还需监测肝功能、血常规以及胆固醇；如出现水肿以及黄疸应停药。用药期间应保证钙和维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">的供应。另有外用睾酮可供选择。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\">2. <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">选择性雌激素受体调节剂（</span>selective estrogen receptor modulators<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，</span>SERMs<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）</span></span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">&nbsp; &nbsp; 选择性雌激素受体调节剂在某些器官具有弱的雌激素样作用，而在另一些器官可起雌激素的拮抗作用。</span>SERMs<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">能防止骨质疏松、还能减少心血管疾病、乳腺癌和子宫内膜癌的发生率。这类药物有雷洛昔芬（</span>raloxifene<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，商品名</span>Evista<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">），为非类固醇的苯骈噻吩（</span>nonsteroidal benzothiophene<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">），是雌激素的激动药，能抑制骨吸收、增加脊柱和髋部的</span>BMD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，能使锥体骨折的危险性下降</span>40%<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">～</span>50%<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，但疗效较雌激素差。该药适用于不愿服用雌激素或因病不能服用雌激素的具有中度骨质疏松症危险的妇女，尤其是那些具有绝经期血管舒缩综合征（如燥热、脸红）的妇女以及具有发生心血管疾病和乳腺癌危险的妇女。绝经前妇女禁用，也不推荐和雌激素替代疗法，</span>Evista<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">的剂量为</span>60mg/d<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">。该药具有拮抗华法林的作用，禁止和阴离子交换树脂（如考来烯胺）同时服用，与地西泮（安定）、二氮嗪、利多卡因等高蛋白结合率的药物联用时应谨慎。长期制动和手术前</span>3<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">天停用，以免引起血栓形成。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\">3. <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">二磷酸盐类（</span>Bisphosphonates<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）</span></span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">&nbsp; &nbsp; 二磷酸盐类是骨骼中与羟基磷灰石相结合的焦磷酸盐的人工合成类似物，能特异性抑制破骨细胞介导的骨吸收并增加骨密度，具体机制仍未完全清楚，考虑与调节破骨细胞的功能以及活性有关。禁用于孕妇以及计划怀孕的妇女。第一代命名为羟乙基膦酸钠（</span>etidronate disodium<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）称依替膦酸钠，治疗剂量有抑制骨矿化的不良反应，因此主张间歇性、周期性给药，每周期开始时连续服用羟乙基膦酸钠</span>2<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">周，每天</span>400mg<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">然后停用</span>10<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">周，每</span>12<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">周为一个周期。服用羟乙基膦酸钠需同时服用钙剂，如能坚持连用</span>3<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">年，可使骨质疏松症患者的椎骨估量增加</span>5.7%<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，股骨颈骨量的增加相对小些。骨活检的结果显示，这种周期疗法不影响骨矿化。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">&nbsp; &nbsp; 近年来不断有新一代的磷酸盐应用于临床，如氨基二磷酸盐（</span>alendronate<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，阿仑屈酯）、利塞膦酸（利塞膦酸钠）（</span>risedronate sodium<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，商品</span>Actonel<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）、氯瞵酸（氯甲二磷酸盐）（</span>coldronate<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，商品</span>bonefos<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，骨膦）以及帕米膦酸纳（</span>pamidronate<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，商品名</span>Aredia<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，阿可达）等，抑制骨吸收的作用特强，治疗剂量下并不影响骨矿化。阿仑膦酸钠（</span>alendronate<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，商品名</span>fosamax<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，福善美）证实能减轻骨吸收，降低脊柱、髋骨以及腕部骨折发生率达</span>50%<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，在绝经前使用可以阻止糖皮质激素相关的骨质疏松症。预防剂量</span>5mg/d<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，治疗量</span>10mg/d<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">或</span>70mg/<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">周。服用本药后需站立或保持坐位</span>30min<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，低钙血症、食管功能异常以致影响药物经食道排空。与含钙药物以及其他多价阳离子共同服用时，建议分开服用，至少相隔</span>30min<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">。同时服用阿司匹林和</span>NSAIDs<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">可增加胃肠道反应。有上消化道疾病、肾功能不全（肌酐清除率＜</span>35ml/min<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）时慎用；服药期间保证足够的钙和维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">的摄入。如出现严重的胃肠反应，如吞咽困难、吞咽痛、胸骨后疼痛以及胃烧灼感加重时应停药。目前国产的二磷酸盐有固邦，服用方法同辛伐他汀的阿仑膦酸钠。利塞膦酸能阻止骨吸收，增加骨密度，在脊柱与股骨颈分别</span>5%<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">和</span>1.6%<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">。绝经的妇女连续服用利塞膦酸</span>3<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">年，椎体骨折和椎体外骨折的发生率分别下降</span>41%<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">和</span>39%<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">。利塞膦酸的剂量为</span>5mg/d<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，新近上市</span>35mg<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">的剂型，为每周服用</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">次，疗效与</span>5mg/d<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">相当。骨膦主要作用于骨组织，其作用机制是防止羟基磷灰石结晶溶解和直接抑制破骨细胞活性，从而抑制骨的吸收。骨膦可导致破骨细胞产生形态学变化例如细胞包含物的损耗（如溶酶体）和皱状缘收缩。已有证据表明，骨膦还可抑制不同的中介物，如抑制酸液的产生、前列腺素的合成以及溶酶体的释放，间接降低破骨细胞的活性。骨膦的理化性质和羟乙基膦酸二钠（</span>EHDP<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）类似，但其潜在的抑制破骨细胞的活性功能较</span>EHDP<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">高</span>10<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">倍，而对骨矿吸收无影响。骨膦对钙和矿物质具有极强的吸附性，主要在骨骼中发挥作用。骨膦有胶囊、片剂以及注射液供选择。帕米膦酸钠是破骨细胞性骨溶解的抑制剂，能牢固的吸附在骨小梁表面，形成一层保护膜，阻止破骨前体细胞吸附于骨，以及随后转化成为成熟破骨细胞的过程。帕米膦酸钠为静脉使用。上述药物中，以阿仑膦酸钠最常用于治疗和防止骨质疏松症。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\">4. </span><a style=\"font-family: 宋体; color: rgb(0, 0, 0); text-decoration: underline;\"><span style=\"font-family: 宋体; color: rgb(0, 0, 0);\">降钙素</span></a><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>Calcitonin<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）</span></span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">&nbsp; &nbsp; 降钙素是甲状腺</span>C<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">细胞分泌的</span>32<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">个氨基酸的肽，为一种肽类激素，可以快速抑制破骨细胞活性（破骨细胞存在降钙素受体，降钙素能够抑制骨吸收），缓慢作用可以减少破骨细胞的数量，具有止痛、增加活动功能和改善钙平衡的功能，对于骨折的患者具有止痛的作用，适用于二磷酸盐和雌激素有禁忌证或不能耐受的患者。对于绝经后妇女降钙素似乎能预防脊柱的骨丢失，但附件骨的骨丢失照旧。尚未充分研究降钙素对于骨质疏松性骨折发生率的影响。</span>FDA<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">已经认可降钙素用于治疗妇女绝经后骨质疏后骨质疏松症。国内常用的制剂有降钙素（</span>Miacalcin<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，鲑鱼降钙素）和依降钙素（益钙宁）。降钙素有肠道外给药和鼻内给药</span>2<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">种方式，胃肠外给药的作用时间可持续达</span>20<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">个月。降钙素（密钙息）的使用方法是每天喷</span>200U<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，两鼻孔交替使用，或</span>100U<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">肌内注射或皮下注射，或静脉给药皆可。接受降钙素鼻内给药治疗的患者应该定期检查鼻腔，如有严重的鼻腔溃疡应停药；长期静脉给药的患者应防止低钙血症所致的手足搐搦并应定期检查尿沉渣。降钙素对少数病例存在止痛效应，因此降钙素可能用于骨折或骨畸形所致的慢性疼痛，但是</span>3<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">个月后止痛疗效差。降钙素是肽类物质，不应该忽略存在病人发生过敏的可能性。应该询问药物过敏史，药物剂量从小量开始，逐渐增量。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\">5. <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">和钙</span></span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">&nbsp; &nbsp; 维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">及其代谢产物可以促进小肠钙的吸收和骨的矿化，活性维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（如罗盖全、阿法骨化骨化骨化醇）可以促进骨形成，增加骨钙素的生成和碱性磷酸酶的活性。服用活性维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">较单纯服用钙剂更能降低骨质疏松症患者椎体和椎体外骨折的发生率。另有维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">和钙的联合制剂可供选择，治疗效果比较可靠。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\">5.1 <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">的应用</span></span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">&nbsp;（</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）不应该忽略维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">的</span>2<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">次羟化的临床应用价值：第</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">步，在肝进行</span>25-<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">羟化酶的羟化，产生</span>25-OH-D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">。严重肝功能衰竭的患者中仅仅个别人存在</span>25-<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">羟化酶活性不足。所以许多专家认为，不必要在体外把维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">进行</span>25-<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">羟化酶的羟化。应用</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，</span>25-<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>OH<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）</span>2D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">治疗绝经后骨质疏后骨质疏松症存在较大争论。每天</span>0.5<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">μ</span>g<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">的</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，</span>25-<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>OH<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）</span>2D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">治疗是否优于生理剂量的未羟化的维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，尚无结论。第</span>2<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">步，</span>25-OH-D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">在近曲肾小管进行</span>1-[alpha]<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">羟化酶的羟化，产生</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，</span>25-<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>OH<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）</span>2D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">。人们仅仅能够根据肾小球功能障碍（</span>Cre<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">和</span>BUN<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">的升高）推论近曲肾小管羟化酶活性降低。临床上，凡是“肾功能不全”者才不应该应用未羟化的维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，而选择每天</span>0.25<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">～</span>0.50<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">μ</span>g<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">的</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">α</span>-D3<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">。</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">α</span>-D3<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">的制剂有“法能”等，花费明显低于</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，</span>25-<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>0H<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）</span>2D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">。</span></span></p><p style=\"margin-left:14px\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>2<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）无论美欧和中国普遍存在维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">缺乏所致骨钙丢失：在美国，它也是常见病，但常常未能作出诊断。老年人特别容易存在维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">缺乏，原因是：维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">摄入减少和肠钙吸收百分比下降，晒太阳减少和皮肤维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">合成量减少，肾</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">α</span>-<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">羟化酶缺乏和相应的</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，</span>25<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>OH<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）</span>2D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">缺乏，活性维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">受体的敏感性降低。维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">促进肠钙吸收，缺乏时钙吸收减少，降低的血钙依靠继发性甲旁亢和骨钙外流进入血而维持血钙正常低限。因此维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">缺乏或其效应降低能够引起继发性甲旁亢和相应的骨丢失加快。</span></span></p><p style=\"margin-left:14px\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>3<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）应遵从推荐的成人每天维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">摄入量：尽管当前推荐维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">每天摄入量是：</span>19<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">～</span>50<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">岁</span>200U<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，</span>51<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">～</span>70<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">岁</span>400U<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，＞</span>70<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">岁</span>600U<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，但许多专家推荐，</span>19<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">岁以上成人每天维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">摄入量应该是</span>800U<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，但是不要长期超过每天</span>1000U<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">。老年男性和女性服用小剂量维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>800U/d<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）和钙能够减少髋部骨折和其他非脊柱骨折。这种剂量从来没有引起维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">中毒和相应的骨吸收增加。</span></span></p><p style=\"margin-left:14px\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>4<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）应当注意：维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">和</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，</span>25-<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>OH<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）</span>2D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">增加肠钙吸收所需剂量和它们刺激骨吸收引起骨质疏松所需剂量相比，前者比后者剂量小，但并不小很多。因此，长期较大剂量</span>VitD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">应用可以引起骨质丢失，加重骨质疏松。长期每天摄入维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">大于</span>4000U<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，或者</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，</span>25<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>OH<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）</span>2D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">或</span>l<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">α</span>-D3<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">长期每天摄入超过</span>1.5<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">～</span>3.0<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">μ</span>g<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，则能够像过量</span>PTH<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">一样，引起骨钙外流入血，经尿排出，即：过量维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">类似于甲状旁腺功能亢进，能够促进骨吸收。</span></span></p><p style=\"margin-left:14px\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>5<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）应注意：“钙</span> VitD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">’这种最常用、最基础、相当有效的治疗，需要定期监测血钙、尿钙，将血、尿钙控制在正常范围。</span>24h<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">尿钙应控制小于</span>300mg<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，又大于</span>100mg<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\">5.2 <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">钙剂的应用</span></span></p><p style=\"margin-left:14px\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）计算方法：国民每天元素钙摄入量为</span>1000mg/d<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">。大多数专家推荐绝经后妇女每天钙的总摄入量为</span>1000<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">～</span>1500mg/d<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，包括饮食中钙、牛奶中钙和药物补充剂。青春期和青年成人每天摄入钙的最大允许量是</span>1200mg/d<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">。大多数绝经后妇女的饮食摄钙≤</span>350<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">～</span>500mg/d<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，大约每天</span>400mg<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">每天饮牛奶</span>500ml<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，能够获得</span>500mg<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">元素钙。因此，重症病人按照每天</span>1500mg<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">补充，药物钙的补充量</span>=1500<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">推荐量</span>-400<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">饮食</span>-500<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">牛奶</span>=600mg<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">元素钙的药物补充量。如果维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">补充合理，多数病人按照每天</span>100mg<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">元素钙补充是可以的，则药物钙补充量</span>=1000-400-500=100mg<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">药物钙。</span></span></p><p style=\"margin-left:14px\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>2<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）药物钙服药时间：枸橼酸钙的服药时间可以是胃排空时，但大多数钙剂是碳酸钙，应该餐中服药，在餐中胃酸分泌的条件下，碳酸钙易于解离被吸收。难于证明各种不同的药物钙补充剂之间在临床疗效方面的区别。</span></span></p><p style=\"margin-left:14px\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>3<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）提倡应用牛奶供钙：牛奶</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">毫升含</span>1mg<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">钙，提倡</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">天饮</span>250<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">～</span>500ml<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">。服鲜奶后腹痛、腹泻者，可用递增法刺激肝脏乳糖酶的分泌，以后逐步加量，可以消除腹痛、腹泻。</span></span></p><p style=\"margin-left:14px\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>4<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）钙剂量大时应该分次服药：这样从大便丢失的钙量较少。</span></span></p><p style=\"margin-left:14px\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">（</span>6<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）氟化物：氟化物是骨形成的有效刺激物，可以增加椎体和髋部骨密度，降低椎体骨折发生率。每天</span>15<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">～</span>20 mg<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">的小剂量氟，即能有效地刺激骨形成且副作用小。单氟磷酸盐（</span>Monoflurophospate<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，</span>MFP<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）通过水解酶的作用在小肠缓慢释放，可持续</span>12h<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">。特乐定（</span>Tridin<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">）的有效成分为单氟磷酸谷氨酰胺和葡萄糖酸酸酸钙，每片含氟</span>5mg<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，元素钙</span>150mg<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，</span>3<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">次</span>/d<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">，与进餐时嚼服。本药儿童及发育时期禁用。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">&nbsp; &nbsp; 对于接受治疗的骨质减少和骨质疏松症的患者，建议每</span>1<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">～</span>2<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">年复查</span>BMD<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">一次。如检测骨的更新指标很高，药物应减量。为长期预防骨量丢失，建议妇女在绝经后即开始雌激素替代治疗，至少维持</span>5<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">年，以</span>10<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">～</span>15<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">年为佳。如患者确诊疾病已知会导致骨质疏松，或使用明确会导致骨质疏松的药物，建议同时给予钙、维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">以及二磷酸盐治疗。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">三、外科治疗</span>&nbsp; <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">只有在因骨质疏松症发生骨折以后，才需外科治疗，其目的在于治疗骨折，尽早恢复正常功能。</span></span></p><p><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">四、继发性骨质疏松的治疗</span>&nbsp; <span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">主要是积极治疗原发病，可同时酌情应用降钙素、维生素</span>D<span style=\"color: rgb(0, 0, 0); font-family: 宋体;\">、二磷酸盐、雌激素等药物。</span></span></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('488', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '998', '概述', '<p><span style=\"font-family: 宋体; text-indent: 28px;\">&nbsp; &nbsp; 前列腺炎分为急性和慢性前列腺炎、非细菌性前列腺炎和前列腺痛。细菌性前列腺炎常有菌尿，而非细菌性前列腺炎或前列腺痛很少发生尿路感染，前列腺痛无炎症体征，前列腺按摩液正常。前列腺炎，尤其是慢性前列腺炎是男性成人常见疾病，目前，对大多数慢性前列腺炎的病因尚不清楚，治疗效果亦不甚满意。</span></p><p><span style=\"font-family: 宋体; text-indent: 28px;\">急性前列腺炎是成年男性的常见病，是指前列腺非特异性细菌感染所致的急性炎症，主要表现为尿急、尿频、尿痛、直肠及会阴部痛，多有恶寒发热等。</span></p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('489', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '998', '病理变化', '<p>&nbsp; &nbsp; &nbsp;&nbsp;<span style=\"text-indent: 28px;\">1</span><span style=\"text-indent: 28px; font-family: 宋体;\">、实质性前列腺炎：病变再发展，间质内嗜酸性细胞浸润，扩展到实质，形成小脓肿。上皮坏死脱落，腺腔因而不易分辨。间质炎蔓延到一叶或整个腺体。</span></p><p style=\"text-indent:28px\">2<span style=\"font-family:宋体\">、滤泡性前列腺炎：各个腺泡腺管有上皮脱落和脓细胞浸润，由于炎症发展而充血水肿加剧，管腔狭窄闭塞，可形成假性脓肿或小脓肿。整个腺体变软，肿胀具有弹性。</span></p><p style=\"text-indent:28px\">3<span style=\"font-family:宋体\">、卡他性前列腺炎：感染由前列腺排泄管向腺腔蔓延，充血、水肿、渗出增加。腔内腺上皮伴轻度炎细胞浸润，腺管上皮增生和脱屑。</span></p><p style=\"text-indent:28px\">4<span style=\"font-family:宋体\">、前列腺脓肿：实质性前列腺炎发展为局限脓肿，或身体它处炎症经血行感染及淋巴感染而引起前列腺脓肿。约</span>1/2<span style=\"font-family:宋体\">病例脓肿继续增大，最后向尿道、会阴或直肠穿破。</span></p><p style=\"text-indent: 28px;\"><span style=\"font-family:宋体\">急性前列腺炎的病理变化主要是以多形核白细胞浸润、破坏前列腺腺体，或前列腺导管及其上皮和邻近的间质为其特点，是由细菌感染所致。其病理变化又因炎症的类型不同而有所区别。</span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('490', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '998', '临床表现', '<p>&nbsp; &nbsp; &nbsp; &nbsp; <span style=\"text-indent: 28px;\">(1)</span><span style=\"text-indent: 28px; font-family: 宋体;\">全身症状：乏力、虚弱、厌食、恶心、呕吐、高热、寒战、虚脱或败血症表现。突然发病时全身症状可掩盖局部症状。</span></p><p style=\"text-indent:28px\">(2)<span style=\"font-family:宋体\">局部症状：会阴或耻骨上区重压感，久坐或排便时加重，且向腰部、下腹、背部、大腿等处放散。</span></p><p style=\"text-indent:28px\">(3)<span style=\"font-family:宋体\">尿路症状：排尿时灼痛、尿急、尿频、尿滴沥和脓性尿道分泌物。膀胱颈部水肿可致排尿不畅，尿流变细或中断，严重时有尿潴留。</span></p><p style=\"text-indent:28px\">(4)<span style=\"font-family:宋体\">直肠症状：直肠胀满，便急和排便痛，大便时尿道流白。</span></p><p style=\"text-indent: 28px;\">(5)<span style=\"font-family:宋体\">性症状：性欲减退、性交痛、阳痿、血精。</span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('491', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '998', '诊断依据', '<p>&nbsp; &nbsp; &nbsp;&nbsp;<span style=\"text-indent: 28px;\">1</span><span style=\"text-indent: 28px; font-family: 宋体;\">、病史：发病前是否患过全身它处感染病灶，如有无皮肤化脓性感染，或上呼吸道感染等，或急性尿道炎病史，以及有否尿道器械操作病史。</span></p><p style=\"text-indent:28px\">2<span style=\"font-family:宋体\">、症状：起病急骤，全身症状有高热、寒战、厌食、乏力等，局部症状有尿频、尿急、尿痛及直肠刺激症状。</span></p><p style=\"text-indent:28px\">3<span style=\"font-family:宋体\">、实验室检查：血白细胞一般在</span>1.5<span style=\"font-family:宋体\">万～</span>2<span style=\"font-family:宋体\">万</span>/<span style=\"font-family:宋体\">立方毫米，明显核左移。尿镜检可见大量白细胞及脓细胞，尿</span>pH&gt;7<span style=\"font-family:宋体\">。尿三杯试验第一杯有碎屑及脓尿；第二杯常较清晰；第三杯混浊</span>,<span style=\"font-family:宋体\">有碎屑及上皮细胞。尿道分泌物检查及细菌培养可以发现致病菌，前列腺液检查涂片染色常可找到大量白细胞和细菌。</span></p><p style=\"text-indent: 28px;\">4<span style=\"font-family:宋体\">、直肠指诊：①卡他性炎症：前列腺可正常或稍大</span>,<span style=\"font-family:宋体\">有张力，一叶或二叶局部不规则；②</span> <span style=\"font-family:宋体\">滤泡性炎症：前列腺有小硬结，或整个腺体肿大，质软有弹性，压痛阳性。③实质性炎症：前列腺明显增大、质硬、张力大、压痛明显。局部也可摸到柔软区，轻压时有脓液排出。</span></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('492', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '998', '治疗', '<p>&nbsp; &nbsp; &nbsp; &nbsp;<span style=\"text-indent: 28px;\">1</span><span style=\"text-indent: 28px; font-family: 宋体;\">、一般治疗：应卧床休息</span><span style=\"text-indent: 28px;\"> 3-4 </span><span style=\"text-indent: 28px; font-family: 宋体;\">天，适当饮水，禁忌饮酒和食用刺激性食物。可行热水坐浴或会阴部热敷，并保持大便通畅。禁忌性生活。</span></p><p style=\"text-indent:28px\">2<span style=\"font-family:宋体\">、抗生素治疗：当病人全身症状明显，体温较高，血中白细胞明显升高时</span>,<span style=\"font-family:宋体\">应通过静脉给药，使用</span>1<span style=\"font-family:宋体\">周后改用口服药直到</span>1<span style=\"font-family:宋体\">个月；当病人全身症状不重，体温及血象正常时，可口服给药，一般疗程为</span>1<span style=\"font-family:宋体\">个月。应选用能够弥散进入前列腺内且快速有效的抗感染药物，迅速控制症状，以防转为慢性前列腺炎。</span></p><p style=\"text-indent:28px\">3<span style=\"font-family:宋体\">、中药治疗：李氏前列失贴</span> <span style=\"font-family:宋体\">，采用的是穴位针对性疗法，是结合了针灸与药物的原理，治疗前景非常可观。中成药前列康舒强效组方是由草乌（制）、诃子、石菖蒲、木香、银朱、牛胆粉、茜草等纯中药材为原料，无副作用，在同类药品中临床常效果比较好。另外，康恩贝生产的前列康，也称普乐安片，效果也是还可以的。</span></p><p style=\"text-indent:28px\">4<span style=\"font-family:宋体\">、对症治疗：如发生高热，应对症给予退热药，如消炎痛栓、阿司匹林等。如膀胱刺激症状明显，可选用：普鲁本辛</span> 15-30mg <span style=\"font-family:宋体\">口服，每日</span> 3 <span style=\"font-family:宋体\">次；哌唑嗪</span> 2mg <span style=\"font-family:宋体\">，口服，每日</span> 2 <span style=\"font-family:宋体\">次。如发生排尿困难或尿潴留，应行暂时性耻骨上膀胱穿刺造口以引流尿液，或采用细软的硅胶导尿管留置导尿。</span></p><p style=\"text-indent:28px\">5<span style=\"font-family:宋体\">、手术治疗：如果急性前列腺炎已形成前列腺脓肿，则应经直肠或经会阴部行切开引流术。如果脓肿局限于前列腺内，可用尿道镜行前列腺穿刺排脓术，然后注入广谱抗生素。</span></p><p style=\"text-indent: 28px;\">6<span style=\"font-family:宋体\">、饮食治疗：建议多吃黑色素含量高的食物，比如黑豆、黑米、黑芝麻、核桃、黑木耳等。平时可以经常泡些虫椹草水喝，这个中药有消炎抗菌、补肾虚的作用，同时对脱发也有作用。动物肉类、鸡蛋、骨髓、黑芝麻、樱桃、桑椹、山药等也有不同程度的补肾功效。</span></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('493', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1631', '概述', '<p>&nbsp; &nbsp;<span style=\"font-family: 宋体; text-indent: 24px;\">急性细菌性前列腺炎是由细菌引起的前列腺组织的急性炎症称为急性细菌性前列腺炎，如炎症进一步发展形成脓肿则称为前列腺脓肿。急性前列腺炎由细菌感染引起。疲劳、感冒、过度饮酒、性欲过度等为诱发因素。另外，使用尿路器械检查或对慢性细菌性前列腺炎患者进行前列腺按摩后也可引起急性发作。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('494', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1631', '病因', '<p style=\"text-indent:24px\"><span style=\"font-size:12px;font-family:宋体\">病原体感染为主要致病因素。由于机体抵抗力低下，毒力较强的细菌或其他病原体感染前列腺并迅速大量生长繁殖而引起。主要致病菌为大肠杆菌，其次为肺炎克雷白菌、变形杆菌、假单胞菌属和金黄色葡萄球菌等，绝大多数为单一病原菌感染，先前有下尿路操作史前列腺炎的细菌毒力及耐药性与自发感染者不同。</span></p><p><span style=\"font-size:12px;font-family:宋体\">主要感染途径：</span></p><p><span style=\"font-size:12px\">1.</span><span style=\"font-size:12px;font-family:宋体\">直接蔓延，含有致病菌的尿反流入前列腺导管逆行至腺体，是最常见的感染途径；</span></p><p><span style=\"font-size:12px\">2.</span><span style=\"font-size:12px;font-family:宋体\">血源性感染，致病菌由机体其他部位的感染灶播散入血，随血流进入前列腺，也是常见的感染途径；</span></p><p><span style=\"font-size:12px\">3.</span><span style=\"font-size:12px;font-family:宋体\">淋巴感染，直肠细菌通过淋巴管蔓延侵入前列腺。</span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('495', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1631', '临床表现', '<p>1.<span style=\"font-family: 宋体;\">全身症状</span></p><p><span style=\"font-size:12px;font-family:宋体\">常突然发病，多数患者可出现全身感染中毒症状，包括突然发热、寒战、肌肉关节疼痛和全身不适，并可出现恶心、呕吐、厌食等。</span></p><p><span style=\"font-size:12px\">2.</span><span style=\"font-size:12px;font-family:宋体\">局部症状</span></p><p><span style=\"font-size:12px;font-family:宋体\">腰骶部和会阴部疼痛为主要表现，伴有尿频、尿急、尿道灼热及排尿困难，夜尿多。有时可出现终末期血尿，偶有急性尿潴留。急性细菌性前列腺炎通常伴有不同程度的膀胱炎。</span></p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('496', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1631', '辅助检查', '<p>1.<span style=\"font-family: 宋体;\">体检及直肠指诊</span></p><p><span style=\"font-size:12px;font-family:宋体\">体检时可发现耻骨上压痛、不适感，有尿潴留者可触及耻骨上膨隆的膀胱。直肠指检可发现前列腺肿胀饱满、触痛明显、发热，整个或部分腺体坚韧不规则，可有结节。如出现前列腺脓肿可触及波动感。</span></p><p><span style=\"font-size:12px\">2.</span><span style=\"font-size:12px;font-family:宋体\">前列腺液检查</span></p><p><span style=\"font-size:12px;font-family:宋体\">大量白细胞或脓细胞以及巨噬细菌，培养有大量细菌生长。白细胞的多少与症状的严重程度不相关。</span></p><p><span style=\"font-size:12px\">3.</span><span style=\"font-size:12px;font-family:宋体\">尿常规分析及尿沉渣检查</span></p><p><span style=\"font-size:12px;font-family:宋体\">较多白细胞及红细胞。尿培养常能发现致病菌。</span></p><p><span style=\"font-size:12px\">4.</span><span style=\"font-size:12px;font-family:宋体\">超声波检查</span></p><p><span style=\"font-size:12px;font-family:宋体\">可正常或轻度增大，形态尚对称。包膜增厚但无中断，内部回声多呈分布不均匀的低回声。当出现脓肿时，脓肿区呈边缘不齐的厚壁的无回声区或低回声区，无回声区内可有分隔。</span></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('497', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1631', '治疗', '<p>1.<span style=\"font-family: 宋体;\">一般治疗</span></p><p><span style=\"font-size:12px;font-family:宋体\">&nbsp; &nbsp; 应卧床休息</span><span style=\"font-size:12px\">3</span><span style=\"font-size:12px;font-family:宋体\">～</span><span style=\"font-size:12px\">4</span><span style=\"font-size:12px;font-family:宋体\">天，大量饮水，禁忌饮酒和食用刺激性食物。可行热水坐浴或会阴部热敷，并保持大便通畅，禁忌性生活。</span></p><p><span style=\"font-size:12px\">2.</span><span style=\"font-size:12px;font-family:宋体\">抗生素治疗</span></p><p><span style=\"font-size:12px;font-family:宋体\">&nbsp; &nbsp; 一旦得到临床诊断立即使用抗生素治疗。当患者全身症状明显，体温较高，血中白细胞明显升高时，应通过静脉给药，使用</span><span style=\"font-size:12px\">1</span><span style=\"font-size:12px;font-family:宋体\">周后改用口服药直到</span><span style=\"font-size:12px\">1</span><span style=\"font-size:12px;font-family:宋体\">个月；推荐开始时使用如：广谱青霉素、三代头孢菌素、氨基糖苷类或氟喹诺酮类。当患者全身症状不重，体温及血象正常时，可口服给药，疗程至少为</span><span style=\"font-size:12px\">1</span><span style=\"font-size:12px;font-family:宋体\">个月。应选用能够弥散进入前列腺内且快速有效的抗感染药物，迅速控制症状，以防转为慢性前列腺炎。</span></p><p><span style=\"font-size:12px\">3.</span><span style=\"font-size:12px;font-family:宋体\">对症治疗</span></p><p><span style=\"font-size:12px;font-family:宋体\">&nbsp; &nbsp; 如发生高热，应对症给予退热药。如膀胱刺激征明显，要针对病证用药。如发生排尿困难或尿潴留，应行暂时性耻骨上膀胱穿刺造口以引流尿液，或采用细软的硅胶导尿管留置导尿，但留置导尿管时间不宜超过</span><span style=\"font-size:12px\">12</span><span style=\"font-size:12px;font-family:宋体\">小时。</span></p><p><span style=\"font-size:12px\">4.</span><span style=\"font-size:12px;font-family:宋体\">手术治疗</span></p><p><span style=\"font-size:12px;font-family:宋体\">&nbsp; &nbsp; 如果急性前列腺炎已形成前列腺脓肿，则应经直肠或经会阴部行切开引流术。如果脓肿局限于前列腺内，可用尿道镜行前列腺穿刺排脓术，然后注入广谱抗生素。</span></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('498', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1633', '概述', '<p><span style=\"font-family: 宋体;\">&nbsp; &nbsp; 绝经后骨质疏松症（</span>postmenopausal osteoporosis<span style=\"font-family: 宋体;\">，</span>POP<span style=\"font-family: 宋体;\">）是一种与衰老有关的常见病，主要发生在绝经后妇女，由于雌激素缺乏导致骨量减少及骨组织结构变化，使骨脆性增多易于骨折，以及由骨折引起的疼痛、骨骼变形、出现合并症，乃至死亡等问题，严重地影响老年人的身体健康及生活质量，甚至缩短寿命，增加国家及家庭财力与人力负担。与绝经相关的骨质疏松症已是不可忽视的重要保健课题。</span>1993<span style=\"font-family: 宋体;\">年</span>WHO<span style=\"font-family: 宋体;\">对骨质疏松症定义为是全身性的骨量减少，伴随骨的微结构改变，导致骨脆性增加，因而骨折危险性增加的一种疾病。</span>2001<span style=\"font-family: 宋体;\">年美国国立卫生院共识会议提出，骨质疏松症是以骨强度受损为特征的骨骼疾病，导致骨折危险性增加。骨强度集中反映骨密度与骨质量。骨质疏松症的病理特点是骨矿含量和骨基质成分等比例地减少，骨皮质变薄，骨小梁减少、变细，绝经后骨质疏松症时骨小梁断裂。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('499', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1633', '病因与发病机制', '<p><span style=\"font-family: 宋体;\">【病因】</span><br/></p><p><span style=\"font-size: 12px;font-family: 宋体\">&nbsp; &nbsp; Ⅰ型骨质疏松又称为绝经后骨质疏松，主要原因是雌激素缺乏，发生于女性患者，年龄在</span><span style=\"font-size: 12px\">50</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">70</span><span style=\"font-size: 12px;font-family: 宋体\">岁，表现出骨量迅速流失，骨松质丢失更明显，骨折多发生在以骨松质为主的椎体，股骨上端及桡骨远端。</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">&nbsp; &nbsp; Ⅱ型骨质疏松又称老年性骨质疏松。与Ⅰ型比较，男性患者增加，但男女之比仍为</span><span style=\"font-size: 12px\">1:2</span><span style=\"font-size: 12px;font-family: 宋体\">，发病年龄多在</span><span style=\"font-size: 12px\">70</span><span style=\"font-size: 12px;font-family: 宋体\">岁以上，表现为骨量缓慢丢失，骨松质与骨密质丢失速度大致相同，骨折好发部位除与Ⅰ型相同外，髋部骨折的发生率有所增加。</span></p><p style=\"text-align:center\"><span style=\"font-size: 12px\">1983</span><span style=\"font-size: 12px;font-family: 宋体\">年，</span><span style=\"font-size: 12px\">Riggs</span><span style=\"font-size: 12px;font-family: 宋体\">对<a>Ⅰ</a>、Ⅱ型骨质疏松症进行比较（表</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">）</span></p><table><tbody><tr class=\"firstRow\"><td width=\"234\" valign=\"top\" style=\"word-break: break-all;\"><span style=\"font-family: 宋体;\">项目</span></td><td width=\"234\" valign=\"top\" style=\"word-break: break-all;\"><span style=\"font-family: 宋体;\">Ⅰ型</span></td><td width=\"234\" valign=\"top\" style=\"word-break: break-all;\"><span style=\"font-family: 宋体;\">Ⅱ型</span></td></tr><tr><td width=\"234\" valign=\"top\" style=\"word-break: break-all;\"><span style=\"font-family: 宋体;\">病因</span></td><td width=\"234\" valign=\"top\" style=\"word-break: break-all;\"><span style=\"font-family: 宋体;\">雌激素缺乏</span></td><td width=\"234\" valign=\"top\" style=\"word-break: break-all;\"><span style=\"font-family: 宋体;\">老年性</span></td></tr><tr><td width=\"234\" valign=\"top\" style=\"word-break: break-all;\"><span style=\"font-family: 宋体;\">年龄</span></td><td width=\"234\" valign=\"top\" style=\"word-break: break-all;\">51~75<span style=\"font-family: 宋体;\">岁</span></td><td width=\"234\" valign=\"top\" style=\"word-break: break-all;\">75<span style=\"font-family: 宋体;\">岁以上</span></td></tr><tr><td width=\"234\" valign=\"top\" style=\"word-break: break-all;\"><span style=\"font-family: 宋体;\">男女比例</span></td><td width=\"234\" valign=\"top\" style=\"word-break: break-all;\">1:6</td><td width=\"234\" valign=\"top\" style=\"word-break: break-all;\">1:2</td></tr><tr><td width=\"234\" valign=\"top\" style=\"word-break: break-all;\"><span style=\"font-family: 宋体;\">骨丢失部位</span></td><td width=\"234\" valign=\"top\" style=\"word-break: break-all;\"><span style=\"font-family: 宋体;\">松质骨为主</span></td><td width=\"234\" valign=\"top\" style=\"word-break: break-all;\"><span style=\"font-family: 宋体;\">松质骨和密质骨</span></td></tr><tr><td width=\"234\" valign=\"top\" style=\"word-break: break-all;\"><span style=\"font-family: 宋体;\">骨丢失速度</span></td><td width=\"234\" valign=\"top\" style=\"word-break: break-all;\"><span style=\"font-family: 宋体;\">加速</span></td><td width=\"234\" valign=\"top\" style=\"word-break: break-all;\"><span style=\"font-family: 宋体;\">等速</span></td></tr><tr><td width=\"234\" valign=\"top\" style=\"word-break: break-all;\"><span style=\"font-family: 宋体;\">骨折部位</span></td><td width=\"234\" valign=\"top\" style=\"word-break: break-all;\"><span style=\"font-family: 宋体;\">椎骨，挠骨</span></td><td width=\"234\" valign=\"top\" style=\"word-break: break-all;\"><span style=\"font-family: 宋体;\">椎骨，髋骨</span></td></tr><tr><td width=\"234\" valign=\"top\" style=\"word-break: break-all;\"><span style=\"font-family: 宋体;\">甲状旁腺功能</span></td><td width=\"234\" valign=\"top\" style=\"word-break: break-all;\"><span style=\"font-family: 宋体;\">低下</span></td><td width=\"234\" valign=\"top\" style=\"word-break: break-all;\"><span style=\"font-family: 宋体;\">亢进</span></td></tr><tr><td width=\"234\" valign=\"top\" style=\"word-break: break-all;\"><span style=\"font-family: 宋体;\">肠钙吸收</span></td><td width=\"234\" valign=\"top\" style=\"word-break: break-all;\"><span style=\"font-family: 宋体;\">低下</span></td><td width=\"234\" valign=\"top\" style=\"word-break: break-all;\"><span style=\"font-family: 宋体;\">低下</span></td></tr><tr><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all;\">1.25(OH)<sub>2</sub>D<sub>3</sub><span style=\"font-family: 宋体;\">生成</span></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all;\"><span style=\"font-family: 宋体;\">继发性减少</span></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all;\"><span style=\"font-family: 宋体;\">原发性减少</span></td></tr></tbody></table><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\">&nbsp; &nbsp; &nbsp;</span><span style=\"font-family: 宋体;\">继发性骨质疏松是由其他病因引起的。如慢性疾病：慢性肾功能衰竭、胃切除、肠改道、钙吸收不良综合征、多发性骨髓瘤等；内分泌疾病：高泌乳素血症、甲状腺功能亢进、肾上腺皮质激素分泌过多、糖尿病、甲状旁腺功能亢进等。医源性因素：长期应用抗癫痫药、含铝抗酸剂、服用过量甲状腺素或长期应用糖皮质激素、促性腺激素释放激素（</span>GnRH<span style=\"font-family: 宋体;\">）激动剂等。</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">&nbsp; &nbsp; 绝经后骨质疏松是多因素性疾病，遗传、生活方式、营养等均与发病有关。具有以下高危因素者易患绝经后骨质疏松症：白人及亚洲妇女、骨质疏松症家族史、或具有影响骨量的特殊基因的妇女、钙摄入不足、缺乏体力活动、大量吸烟及饮酒、早绝经或绝经前行双侧卵巢切除术者。是否发生骨质疏松症，取决于其骨峰值及其骨丢失的速度，骨峰值高及（或）骨丢失慢者，不易发生，骨峰值低及（或）骨丢失快者容易发生。</span></p><p>1. <span style=\"font-family: 宋体;\">骨峰值</span>&nbsp; <span style=\"font-family: 宋体;\">骨峰值指个人一生中的最高骨量，一般在</span>25<span style=\"font-family: 宋体;\">～</span>35<span style=\"font-family: 宋体;\">岁时达到。影响骨峰值的因素很多，其中遗传因素最为重要，营养、生活习惯等也有一些影响。</span></p><p style=\"text-align: left;\"><span style=\"font-size: 12px;font-family: 宋体\"></span></p><p style=\"margin-left:14px\"><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">）遗传因素</span><span style=\"font-size: 12px\">&nbsp; </span><span style=\"font-size: 12px;font-family: 宋体\">决定骨峰值的</span><span style=\"font-size: 12px\">70%</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">80%</span><span style=\"font-size: 12px;font-family: 宋体\">。例如黑人</span><span style=\"font-size: 12px\">BMD</span><span style=\"font-size: 12px;font-family: 宋体\">高于白人及亚洲人，其骨质疏松性骨折发生率低，骨质疏松有家族倾向、单卵双胎的</span><span style=\"font-size: 12px\">BMD</span><span style=\"font-size: 12px;font-family: 宋体\">差异较双卵双胎者小、男性的骨峰值高于女性、在有些国家，维生素</span><span style=\"font-size: 12px\">D</span><span style=\"font-size: 12px;font-family: 宋体\">受体基因、雌激素受体基因、或胶原基因的多态性与</span><span style=\"font-size: 12px\">BMD</span><span style=\"font-size: 12px;font-family: 宋体\">有关等，均证明骨峰值受遗传因素影响。</span></p><p style=\"margin-left:14px\"><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">2</span><span style=\"font-size: 12px;font-family: 宋体\">）营养</span><span style=\"font-size: 12px\">&nbsp; </span><span style=\"font-size: 12px;font-family: 宋体\">青春期内钙摄入量高者，骨峰值较高，对成熟骨</span><span style=\"font-size: 12px\">BMC</span><span style=\"font-size: 12px;font-family: 宋体\">的影响可达</span><span style=\"font-size: 12px\">6%</span><span style=\"font-size: 12px;font-family: 宋体\">。世界卫生组织推荐，青春期内元素钙摄入量应为每天</span><span style=\"font-size: 12px\">1000mg</span><span style=\"font-size: 12px;font-family: 宋体\">。</span></p><p style=\"margin-left:14px\"><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">3</span><span style=\"font-size: 12px;font-family: 宋体\">）生活习惯</span><span style=\"font-size: 12px\">&nbsp; </span><span style=\"font-size: 12px;font-family: 宋体\">运动可增加</span><span style=\"font-size: 12px\">BMD</span><span style=\"font-size: 12px;font-family: 宋体\">，如果坚持每天锻炼，其体力活动量高于平均量</span><span style=\"font-size: 12px\">1SD</span><span style=\"font-size: 12px;font-family: 宋体\">时，其骨量较活动量低于平均量</span><span style=\"font-size: 12px\">1SD</span><span style=\"font-size: 12px;font-family: 宋体\">者高</span><span style=\"font-size: 12px\">7%</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">10%</span><span style=\"font-size: 12px;font-family: 宋体\">。但运动过度引起性腺功能低下而发生闭经时，骨量反而降低。骨峰值形成前大量吸烟、嗜酒者骨峰值低。</span></p><p style=\"margin-left:14px\"><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">4</span><span style=\"font-size: 12px;font-family: 宋体\">）原发性性腺功能不足及青春期发育延迟者，骨峰值低。</span></p><p><span style=\"font-size: 12px\">2. </span><span style=\"font-size: 12px;font-family: 宋体\">骨丢失率</span><span style=\"font-size: 12px\">&nbsp; </span><span style=\"font-size: 12px;font-family: 宋体\">妇女的骨丢失与增龄及绝经有关。</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">&nbsp; &nbsp;（</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">）与年龄相关的骨丢失</span><span style=\"font-size: 12px\">&nbsp; </span><span style=\"font-size: 12px;font-family: 宋体\">脊椎骨丢失一般自</span><span style=\"font-size: 12px\">40</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">50</span><span style=\"font-size: 12px;font-family: 宋体\">岁开始，丢失率为每年</span><span style=\"font-size: 12px\">0.8%</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">1.2%</span><span style=\"font-size: 12px;font-family: 宋体\">。四肢骨的丢失大约晚</span><span style=\"font-size: 12px\">10</span><span style=\"font-size: 12px;font-family: 宋体\">年，即自</span><span style=\"font-size: 12px\">50</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">60</span><span style=\"font-size: 12px;font-family: 宋体\">岁开始，丢失率为每年</span><span style=\"font-size: 12px\">0.3%</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">0.6%</span><span style=\"font-size: 12px;font-family: 宋体\">，均呈线性，其发生机制不清楚，可能与骨形成减少有关。这种骨丢失的后果是骨小梁变细，不发生骨小梁的穿孔性变化。</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">&nbsp; &nbsp;（</span><span style=\"font-size: 12px\">2</span><span style=\"font-size: 12px;font-family: 宋体\">）与绝经相关的骨丢失</span><span style=\"font-size: 12px\">&nbsp; </span><span style=\"font-size: 12px;font-family: 宋体\">不论年龄，妇女一旦绝经，体内的雌激素即急剧下降，骨丢失呈对数增加，骨小梁变细、变薄、乃至断裂（穿孔）。双侧卵巢切除术后，卵巢来源的性激素全部消失，骨丢失速度更快，此时脊椎骨丢失是四肢骨的两倍，丢失率高达每年</span><span style=\"font-size: 12px\">4%</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">5%</span><span style=\"font-size: 12px;font-family: 宋体\">，持续</span><span style=\"font-size: 12px\">5</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">10</span><span style=\"font-size: 12px;font-family: 宋体\">年后，骨丢失速度才减慢。四肢骨的骨丢失慢，丢失的持续时间也长。</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">动物试验及临床观察证实，去卵巢动物或绝经后妇女补充雌激素后，骨转换率降低，可以有效地防止骨丢失，由此也证明，雌激素不足是绝经后骨质疏松症的主要发病原因。</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">【发病机制】</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">&nbsp; &nbsp; 正常骨骼通过骨重建使骨质不断地得到更新。破骨细胞的溶骨作用在骨表面下挖空形成骨陷窝，随后由一群成骨细胞向骨陷窝移行，合成和分泌胶原以及与骨形成有关的多肽蛋白。钙离子沉积后形成骨基质，骨陷窝由新形成的骨基质得到修补，完成一个骨重建单位，周期大约为</span><span style=\"font-size: 12px\">3</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">4</span><span style=\"font-size: 12px;font-family: 宋体\">个月。骨转换率是指旧骨吸收和新骨形成过程的速率，绝经后雌激素降低，骨转换增加，骨丢失增加，呈现高转换型骨质疏松。雌激素对骨质疏松发病的影响，主要是通过以下途经实现。</span></p><p><span style=\"font-size: 12px\">&nbsp; &nbsp; 1. </span><span style=\"font-size: 12px;font-family: 宋体\">对钙调节激素的作用</span><span style=\"font-size: 12px\">&nbsp; </span><span style=\"font-size: 12px;font-family: 宋体\">雌激素可以增强肝</span><span style=\"font-size: 12px\">25-</span><span style=\"font-size: 12px;font-family: 宋体\">羟化酶、肾</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">α</span><span style=\"font-size: 12px\">-</span><span style=\"font-size: 12px;font-family: 宋体\">羟化酶活性，提高</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">，</span><span style=\"font-size: 12px\">25-</span><span style=\"font-size: 12px;font-family: 宋体\">双羟维生素</span><span style=\"font-size: 12px\">D</span><span style=\"font-size: 12px;font-family: 宋体\">水平，促进肠钙吸收，并使钙盐和磷盐在骨质中沉积，促进骨基质合成。雌激素还有拮抗甲状旁腺素的作用，与甲状旁腺素共同维持血中钙磷平衡。甲状旁腺素是刺激骨溶解的激素，当雌激素减少，对甲状旁腺素拮抗作用减弱，可以加速骨质消融而逐渐发展为骨质疏松。降钙素具有抑制破骨细胞活性，雌激素可促进降钙素分泌。</span></p><p><span style=\"font-size: 12px\">&nbsp; &nbsp; 2. </span><span style=\"font-size: 12px;font-family: 宋体\">通过细胞因子的作用参与骨形成与吸收过程</span><span style=\"font-size: 12px\">&nbsp; </span><span style=\"font-size: 12px;font-family: 宋体\">自从</span><span style=\"font-size: 12px\">1988</span><span style=\"font-size: 12px;font-family: 宋体\">年</span><span style=\"font-size: 12px\">Komm</span><span style=\"font-size: 12px;font-family: 宋体\">证明成骨细胞中有雌激素受体存在之后，</span><span style=\"font-size: 12px\">Ernst</span><span style=\"font-size: 12px;font-family: 宋体\">发现外源性雌激素可促进大鼠成骨细胞产生</span><span style=\"font-size: 12px\">IGF-I</span><span style=\"font-size: 12px;font-family: 宋体\">。由于</span><span style=\"font-size: 12px\">IGF-I</span><span style=\"font-size: 12px;font-family: 宋体\">的产生增强，使雌激素受体过度表达。还发现雌激素能促进成骨细胞中</span><span style=\"font-size: 12px\">TGF-</span><span style=\"font-size: 12px;font-family: 宋体\">β的产生，表明这些生长因子对骨形成有促进作用，雌激素通过这些生长因子的产生，促进骨形成。</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">实验表明，当雌激素缺乏，骨髓单核细胞分泌</span><span style=\"font-size: 12px\">IL-1</span><span style=\"font-size: 12px;font-family: 宋体\">和间质细胞分泌</span><span style=\"font-size: 12px\">IL-6</span><span style=\"font-size: 12px;font-family: 宋体\">都增多。</span><span style=\"font-size: 12px\">Pacifici</span><span style=\"font-size: 12px;font-family: 宋体\">等还发现在培养的末梢血单核细胞中能产生</span><span style=\"font-size: 12px\">TNF-</span><span style=\"font-size: 12px;font-family: 宋体\">α和</span><span style=\"font-size: 12px\">GM-CSF</span><span style=\"font-size: 12px;font-family: 宋体\">；切除卵巢的患者体内</span><span style=\"font-size: 12px\">TNF-</span><span style=\"font-size: 12px;font-family: 宋体\">α和</span><span style=\"font-size: 12px\">GM-CSF</span><span style=\"font-size: 12px;font-family: 宋体\">水平升高，接受雌激素治疗的患者</span><span style=\"font-size: 12px\">TNF-</span><span style=\"font-size: 12px;font-family: 宋体\">α和</span><span style=\"font-size: 12px\">GM-CSF</span><span style=\"font-size: 12px;font-family: 宋体\">恢复到正常水平。以上细胞因子对骨吸收过程有促进作用，雌激素通过抑制上述细胞因子的产生而抑制骨吸收。</span></p><p style=\"margin-left: 0px; text-indent: 0px;\"><span style=\"font-size: 12px\">&nbsp; &nbsp; 3. </span><span style=\"font-size: 12px;font-family: 宋体\">雌激素对骨细胞的直接作用</span><span style=\"font-size: 12px\">&nbsp; </span><span style=\"font-size: 12px;font-family: 宋体\">自从</span><span style=\"font-size: 12px\">1988</span><span style=\"font-size: 12px;font-family: 宋体\">年</span><span style=\"font-size: 12px\">komm</span><span style=\"font-size: 12px;font-family: 宋体\">在成骨细胞上发现了雌激素受体（</span><span style=\"font-size: 12px\">ER</span><span style=\"font-size: 12px;font-family: 宋体\">），</span><span style=\"font-size: 12px\">1990</span><span style=\"font-size: 12px;font-family: 宋体\">年</span><span style=\"font-size: 12px\">Penlser</span><span style=\"font-size: 12px;font-family: 宋体\">又在破骨细胞上发现了雌激素受体，更加明确了雌激素与骨细胞的直接作用关系。雌激素可与成骨细胞和破骨细胞上的雌激素受体结合，直接抑制破骨细胞的溶酶体酶活性，降低其在骨切片上产生陷窝的能力。</span><span style=\"font-size: 12px\">1996</span><span style=\"font-size: 12px;font-family: 宋体\">年</span><span style=\"font-size: 12px\">Shevde</span><span style=\"font-size: 12px;font-family: 宋体\">在去势大鼠模型上证明雌激素可通过受体结合途径，直接抑制破骨细胞前体形成细胞（骨髓造血干细胞）的募集、分化，从而抑制破骨细胞活性，且利用细胞形态学方法证明，雌激素的这种作用是通过影响细胞周期诱导细胞凋亡来实现的。</span><span style=\"font-size: 12px\">1997</span><span style=\"font-size: 12px;font-family: 宋体\">年</span><span style=\"font-size: 12px\">kameda</span><span style=\"font-size: 12px;font-family: 宋体\">应用高度纯化的哺乳动物成熟的破骨细胞，也得出了相似的结论。</span><span style=\"font-size: 12px\">Ernst</span><span style=\"font-size: 12px;font-family: 宋体\">证实雌激素增强了大鼠原始颅骨细胞的繁殖及细胞内胶原、</span><span style=\"font-size: 12px\">IGF-I mRNA</span><span style=\"font-size: 12px;font-family: 宋体\">的表达。</span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('500', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1633', '临床表现', '<p>&nbsp; &nbsp;<span style=\"font-family: 宋体;\">骨质疏松症是一种隐匿发生的疾病，在没有发生骨折之前，往往没有任何症状，一旦发现驼背、身材变矮、或骨痛时，常常已经发生了骨折。因此，不能用临床症状进行诊断，疼痛的严重程度可用于判断治疗效果。</span></p><p><span style=\"font-size: 12px\">1. </span><span style=\"font-size: 12px;font-family: 宋体\">骨痛</span><span style=\"font-size: 12px\">&nbsp; </span><span style=\"font-size: 12px;font-family: 宋体\">骨质疏松的骨痛，通常是因小梁骨发生微骨折，当体位变动时肌肉及韧带牵拉引起，故可发生起坐痛、前屈后伸痛、行走痛、翻身痛及卧位痛等。通常用四级评分法反应疼痛程度，</span><span style=\"font-size: 12px\">0</span><span style=\"font-size: 12px;font-family: 宋体\">分为无痛，</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">分为有时疼痛，</span><span style=\"font-size: 12px\">2</span><span style=\"font-size: 12px;font-family: 宋体\">分为经常疼痛，但能忍受，</span><span style=\"font-size: 12px\">3</span><span style=\"font-size: 12px;font-family: 宋体\">分为疼痛难忍，并影响工作及生活。</span></p><p><span style=\"font-size: 12px\">2. </span><span style=\"font-size: 12px;font-family: 宋体\">驼背或身材变矮当脊椎发生压缩性骨折时出现驼背或身材变矮。</span></p><p><span style=\"font-size: 12px\">3. </span><span style=\"font-size: 12px;font-family: 宋体\">局部压痛或叩击痛</span><span style=\"font-size: 12px\">&nbsp; </span><span style=\"font-size: 12px;font-family: 宋体\">局部压痛或叩击痛的特点是不伴随局部红肿及发热。</span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('501', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1633', '并发症', '<p>1. <span style=\"font-family: 宋体;\">骨折</span>&nbsp; <span style=\"font-family: 宋体;\">骨折是骨质疏松所致的最主要的并发症，如因骨折而卧床不起，则易导致肺炎，心血管疾病等并发病常发生脊椎、前臂及髋部骨折。与健康人发生骨折的区别是轻微外伤即发生骨折。</span></p><p style=\"margin-left:14px\"><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">）脊椎骨折</span><span style=\"font-size: 12px\">&nbsp; </span><span style=\"font-size: 12px;font-family: 宋体\">提举或推拉重物，弯腰，轻微跌倒，或跌倒时臀部着地时即可发生脊椎压缩性骨折，出现急性及严重的腰、背疼痛，有时伴随身材变矮，或有神经根压迫性疼痛。如果脊椎压缩性骨折逐渐发生，则出现慢性腰背痛。</span></p><p style=\"margin-left:14px\"><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">2</span><span style=\"font-size: 12px;font-family: 宋体\">）前臂骨折</span><span style=\"font-size: 12px\">&nbsp; </span><span style=\"font-size: 12px;font-family: 宋体\">跌倒时一手或双手接触地面时易于发生。</span></p><p style=\"margin-left:14px\"><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">3</span><span style=\"font-size: 12px;font-family: 宋体\">）髋部骨折</span><span style=\"font-size: 12px\">&nbsp; </span><span style=\"font-size: 12px;font-family: 宋体\">轻微滑倒即可发生髋部骨折，常见于年龄较大的绝经后妇女。因髋部骨折发生后，</span><span style=\"font-size: 12px\">15%</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">30%</span><span style=\"font-size: 12px;font-family: 宋体\">在</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">年内死于各种合并症，存活者中，约半数生活不能自理，因而是骨质疏松症的最严重的合并症。</span></p><p><span style=\"font-size: 12px\">2. </span><span style=\"font-size: 12px;font-family: 宋体\">胸闷、气急、咳嗽、腹胀、便秘等症状</span><span style=\"font-size: 12px\">&nbsp; </span><span style=\"font-size: 12px;font-family: 宋体\">因胸廓失去了弹性和腰椎前突妨碍心脏、肺和消化系统的血液循环及功能活动，因此可并发胸闷、气急、咳嗽、腹胀、便秘等症状。</span></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('502', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1633', '辅助检查', '<p>1. <span style=\"font-family: 宋体;\">骨吸收生化指标</span></p><p style=\"margin-left:14px\"><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">）尿</span><span style=\"font-size: 12px\">Ca/Cr&nbsp; </span><span style=\"font-size: 12px;font-family: 宋体\">骨吸收时骨钙进入血循环，引起血钙升高，尔后尿钙升高，故尿钙可以反映骨吸收状况。饮食中的钙含量、肠钙吸收及肾功能情况等影响血及尿钙水平，故特异性不强。空腹</span><span style=\"font-size: 12px\">12h</span><span style=\"font-size: 12px;font-family: 宋体\">后的尿钙可避免食物的影响，主要反应骨吸收状况，为避免前日饮食的影响，空腹</span><span style=\"font-size: 12px\">12h</span><span style=\"font-size: 12px;font-family: 宋体\">后的第一次尿弃去，留取空腹的第二次尿测定。</span></p><p style=\"margin-left:14px\"><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">2</span><span style=\"font-size: 12px;font-family: 宋体\">）尿</span><span style=\"font-size: 12px\">HOP/Cr&nbsp; </span><span style=\"font-size: 12px;font-family: 宋体\">尿</span><span style=\"font-size: 12px\">HOP</span><span style=\"font-size: 12px;font-family: 宋体\">的</span><span style=\"font-size: 12px\">50%</span><span style=\"font-size: 12px;font-family: 宋体\">为骨胶原的代谢产物，骨吸收增加时，比值升高。为避免饮食的影响，除需留取空腹的第二次尿之外，应在留尿标本的前</span><span style=\"font-size: 12px\">3</span><span style=\"font-size: 12px;font-family: 宋体\">天禁食含胶原多的食物。</span></p><p style=\"margin-left:14px\"><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">3</span><span style=\"font-size: 12px;font-family: 宋体\">）Ⅰ型胶原吡啶交联物及末端肽</span><span style=\"font-size: 12px\">&nbsp; </span><span style=\"font-size: 12px;font-family: 宋体\">Ⅰ型胶原吡啶交联物及末端肽是骨、软骨及其他结缔组织中胶原的代谢产物，骨吸收增加时，血或尿中的含量增多，因为骨组织的转化率远高于软骨及结缔组织，故主要反应骨的吸收状况，其水平不受饮食影响，较尿</span><span style=\"font-size: 12px\">Ca/Cr</span><span style=\"font-size: 12px;font-family: 宋体\">及尿</span><span style=\"font-size: 12px\">HOP/Cr</span><span style=\"font-size: 12px;font-family: 宋体\">反映骨吸收的特异性强。目前多测定尿</span><span style=\"font-size: 12px\">Pyr/Cr</span><span style=\"font-size: 12px;font-family: 宋体\">、</span><span style=\"font-size: 12px\">DPYr/Cr</span><span style=\"font-size: 12px;font-family: 宋体\">；血的Ⅰ型胶原交联氨基末端肽（</span><span style=\"font-size: 12px\">NTx</span><span style=\"font-size: 12px;font-family: 宋体\">）或</span><span style=\"font-size: 12px\">c-</span><span style=\"font-size: 12px;font-family: 宋体\">端多肽（</span><span style=\"font-size: 12px\">CTx</span><span style=\"font-size: 12px;font-family: 宋体\">）。</span><span style=\"font-size: 12px\">NTx</span><span style=\"font-size: 12px;font-family: 宋体\">是破骨细胞降解胶原的直接产物，而</span><span style=\"font-size: 12px\">CTx</span><span style=\"font-size: 12px;font-family: 宋体\">的结构为所有组织中的Ⅰ型胶原所共有，故其特异性较</span><span style=\"font-size: 12px\">NTx</span><span style=\"font-size: 12px;font-family: 宋体\">差。</span></p><p style=\"margin-left:14px\"><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">4</span><span style=\"font-size: 12px;font-family: 宋体\">）血抗酒石酸酸性磷酸酶（</span><span style=\"font-size: 12px\">TRAP</span><span style=\"font-size: 12px;font-family: 宋体\">）</span><span style=\"font-size: 12px\">&nbsp; TRAP</span><span style=\"font-size: 12px;font-family: 宋体\">由破骨细胞合成并直接分泌入血，因而反映破骨细胞的状况，骨吸收增加时，血</span><span style=\"font-size: 12px\">TRAP</span><span style=\"font-size: 12px;font-family: 宋体\">升高。</span></p><p><span style=\"font-size: 12px\">2. </span><span style=\"font-size: 12px;font-family: 宋体\">骨形成生化指标</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">）血清碱性磷酸酶（</span><span style=\"font-size: 12px\">ALP</span><span style=\"font-size: 12px;font-family: 宋体\">）及骨碱性磷酸酶（</span><span style=\"font-size: 12px\">bALP</span><span style=\"font-size: 12px;font-family: 宋体\">）</span><span style=\"font-size: 12px\">&nbsp; ALP</span><span style=\"font-size: 12px;font-family: 宋体\">由肝及成骨细胞产生，小肠来源者占</span><span style=\"font-size: 12px\">25%</span><span style=\"font-size: 12px;font-family: 宋体\">，空腹时比例减少，肾来源者很少，可以不计，故在肝功能正常时，它反映成骨细胞的活性。</span><span style=\"font-size: 12px\">bALP</span><span style=\"font-size: 12px;font-family: 宋体\">只来源于成骨细胞，故特异性强。</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">2</span><span style=\"font-size: 12px;font-family: 宋体\">）血清骨钙素（</span><span style=\"font-size: 12px\">BGP</span><span style=\"font-size: 12px;font-family: 宋体\">）</span><span style=\"font-size: 12px\">&nbsp; BGP</span><span style=\"font-size: 12px;font-family: 宋体\">是骨组织中最丰富的非胶原蛋白，由成骨细产生，成熟的</span><span style=\"font-size: 12px\">BGP</span><span style=\"font-size: 12px;font-family: 宋体\">分子分泌到细胞外，其中大部分进入细胞外骨基质，小部分进入血循环。绝经后骨质疏后骨质疏松妇女血中的</span><span style=\"font-size: 12px\">BGP</span><span style=\"font-size: 12px;font-family: 宋体\">可能升高、降低或正常，取决于其骨形成速率。骨形成刺激剂治疗后</span><span style=\"font-size: 12px\">BGP</span><span style=\"font-size: 12px;font-family: 宋体\">水平升高，而使用骨吸收抑制剂后，</span><span style=\"font-size: 12px\">BGP</span><span style=\"font-size: 12px;font-family: 宋体\">水平降低。肾功能不良者，血</span><span style=\"font-size: 12px\">BGP</span><span style=\"font-size: 12px;font-family: 宋体\">升高（</span><span style=\"font-size: 12px\">BGF</span><span style=\"font-size: 12px;font-family: 宋体\">由肾滤过及降解）。</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">3</span><span style=\"font-size: 12px;font-family: 宋体\">）血清</span><span style=\"font-size: 12px\">I</span><span style=\"font-size: 12px;font-family: 宋体\">型胶原前肽</span><span style=\"font-size: 12px\">&nbsp; I</span><span style=\"font-size: 12px;font-family: 宋体\">型胶原由成骨细胞合成，其氨基端（</span><span style=\"font-size: 12px\">N-</span><span style=\"font-size: 12px;font-family: 宋体\">端，</span><span style=\"font-size: 12px\">PINP</span><span style=\"font-size: 12px;font-family: 宋体\">）和羧基端（</span><span style=\"font-size: 12px\">C-</span><span style=\"font-size: 12px;font-family: 宋体\">端，</span><span style=\"font-size: 12px\">PICP</span><span style=\"font-size: 12px;font-family: 宋体\">）延长肽被特异酶切下后，可以测定，反映胶原的合成状况。然而皮肤、牙齿、心血管等能合成</span><span style=\"font-size: 12px\">I</span><span style=\"font-size: 12px;font-family: 宋体\">型胶原的组织也可产生。</span></p><p><span style=\"font-size: 12px\">3. </span><span style=\"font-size: 12px;font-family: 宋体\">骨矿含量（</span><span style=\"font-size: 12px\">BMD</span><span style=\"font-size: 12px;font-family: 宋体\">）测定</span><span style=\"font-size: 12px\">&nbsp; BMD</span><span style=\"font-size: 12px;font-family: 宋体\">目前是诊断骨质疏松的主要依据，因为骨密度在很大程度上可以预测骨折的危险性，</span><span style=\"font-size: 12px\">WHO</span><span style=\"font-size: 12px;font-family: 宋体\">于</span><span style=\"font-size: 12px\">1994</span><span style=\"font-size: 12px;font-family: 宋体\">年修订骨量测定值的诊断标准为</span><span style=\"font-size: 12px\">BMD</span><span style=\"font-size: 12px;font-family: 宋体\">或</span><span style=\"font-size: 12px\">BMC</span><span style=\"font-size: 12px;font-family: 宋体\">较正常成年人平均值低</span><span style=\"font-size: 12px\">2.5s</span><span style=\"font-size: 12px;font-family: 宋体\">以上，称为</span><span style=\"font-size: 12px\">T-</span><span style=\"font-size: 12px;font-family: 宋体\">分（</span><span style=\"font-size: 12px\">T-Score</span><span style=\"font-size: 12px;font-family: 宋体\">），其计算方法为（测定的</span><span style=\"font-size: 12px\">BMD-</span><span style=\"font-size: 12px;font-family: 宋体\">正常成年人平均</span><span style=\"font-size: 12px\">BMD</span><span style=\"font-size: 12px;font-family: 宋体\">）÷标准差。但骨折的发生不仅仅取决于</span><span style=\"font-size: 12px\">BMD</span><span style=\"font-size: 12px;font-family: 宋体\">，而是与骨强度有关，骨强度由</span><span style=\"font-size: 12px\">BMD</span><span style=\"font-size: 12px;font-family: 宋体\">与骨质量组成，因此，诊断方法还有待完善。</span></p><p style=\"margin-left:14px\"><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">）</span><span style=\"font-size: 12px\">BMD</span><span style=\"font-size: 12px;font-family: 宋体\">的测定方法</span></p><p style=\"margin-left:42px\"><span style=\"font-size: 12px\">&nbsp;</span><span style=\"font-size: 12px;font-family: 宋体\">①</span><span style=\"font-size: 12px\">X</span><span style=\"font-size: 12px;font-family: 宋体\">线照片</span><span style=\"font-size: 12px\">&nbsp; X</span><span style=\"font-size: 12px;font-family: 宋体\">线照片是最早应用的定性或半定量的骨量测定法。所谓定性，是用肉眼观察骨组织与其旁的软组织之间的密度差，差别大者骨密度高，差别小者骨密度低，无差异者骨密度最低。此外，骨纹粗而密集者骨密度高，骨纹细而稀疏者骨密度低；骨皮质厚者骨密度高，反之则低。严重的骨质疏松症时，骨纹细少且伴随皮质骨呈线状。</span><span style=\"font-size: 12px\">1955</span><span style=\"font-size: 12px;font-family: 宋体\">年</span><span style=\"font-size: 12px\">Lachman</span><span style=\"font-size: 12px;font-family: 宋体\">提出</span><span style=\"font-size: 12px\">BMD</span><span style=\"font-size: 12px;font-family: 宋体\">丢失</span><span style=\"font-size: 12px\">30%</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">50%</span><span style=\"font-size: 12px;font-family: 宋体\">才能在</span><span style=\"font-size: 12px\">X</span><span style=\"font-size: 12px;font-family: 宋体\">线照片上发现，故不能用于早期诊断。后来出现了半定量的方法，即股骨颈小梁指数法（</span><span style=\"font-size: 12px\">Singh</span><span style=\"font-size: 12px;font-family: 宋体\">指数）及跟骨小梁指数法等。股骨颈小梁指数法是根据股骨颈骨小梁的分布多少分为Ⅰ</span><span style=\"font-size: 12px\">-</span><span style=\"font-size: 12px;font-family: 宋体\">Ⅶ级，Ⅲ级以下者，肯定为骨质疏松。跟骨小梁指数法是根据骨小梁密度分为</span><span style=\"font-size: 12px\">5</span><span style=\"font-size: 12px;font-family: 宋体\">度，</span><span style=\"font-size: 12px\">5</span><span style=\"font-size: 12px;font-family: 宋体\">度及</span><span style=\"font-size: 12px\">4</span><span style=\"font-size: 12px;font-family: 宋体\">度者为正常，</span><span style=\"font-size: 12px\">3</span><span style=\"font-size: 12px;font-family: 宋体\">度可疑，</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">度及</span><span style=\"font-size: 12px\">2</span><span style=\"font-size: 12px;font-family: 宋体\">度为骨质疏松。</span></p><p style=\"margin-left:42px\"><span style=\"font-size: 12px;font-family: 宋体\">目前</span><span style=\"font-size: 12px\">X</span><span style=\"font-size: 12px;font-family: 宋体\">线照片在骨质疏松症中的应用价值，在于诊断是否合并骨折，是否伴有骨质增生及骨骼变形，并与其他骨病鉴别，如骨肿瘤，骨软化症等，因此，并不能废弃。</span></p><p style=\"margin-left:42px\"><span style=\"font-size: 12px;font-family: 宋体\">②单能光子吸收仪（</span><span style=\"font-size: 12px\">SPA</span><span style=\"font-size: 12px;font-family: 宋体\">）</span><span style=\"font-size: 12px\">&nbsp; SPA</span><span style=\"font-size: 12px;font-family: 宋体\">是</span><span style=\"font-size: 12px\">20</span><span style=\"font-size: 12px;font-family: 宋体\">世纪</span><span style=\"font-size: 12px\">60</span><span style=\"font-size: 12px;font-family: 宋体\">年代发展的骨量测定技术，其原理是放射性核素产生的射线透过人体时，可被骨组织吸收，未被吸收的部分由放射源对侧的探测器接收，射线计数经电脑自动处理，以数字显示骨矿含量（</span><span style=\"font-size: 12px\">BMC</span><span style=\"font-size: 12px;font-family: 宋体\">）、骨宽度（</span><span style=\"font-size: 12px\">BW</span><span style=\"font-size: 12px;font-family: 宋体\">）及</span><span style=\"font-size: 12px\">BMD</span><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">BMC/BW</span><span style=\"font-size: 12px;font-family: 宋体\">）。</span><span style=\"font-size: 12px\">BMC</span><span style=\"font-size: 12px;font-family: 宋体\">以</span><span style=\"font-size: 12px\">g/cm</span><span style=\"font-size: 12px;font-family: 宋体\">表示，</span><span style=\"font-size: 12px\">BW</span><span style=\"font-size: 12px;font-family: 宋体\">以</span><span style=\"font-size: 12px\">cm</span><span style=\"font-size: 12px;font-family: 宋体\">表示，</span><span style=\"font-size: 12px\">BMD</span><span style=\"font-size: 12px;font-family: 宋体\">则为</span><span style=\"font-size: 12px\">g/cm2</span><span style=\"font-size: 12px;font-family: 宋体\">。骨量高时，探测器接收的射线量低，反之则高。</span></p><p style=\"margin-left:42px\"><span style=\"font-size: 12px;font-family: 宋体\">核素用</span><span style=\"font-size: 12px\">125</span><span style=\"font-size: 12px;font-family: 宋体\">碘（</span><span style=\"font-size: 12px\">125I</span><span style=\"font-size: 12px;font-family: 宋体\">）或</span><span style=\"font-size: 12px\">241</span><span style=\"font-size: 12px;font-family: 宋体\">镅（</span><span style=\"font-size: 12px\">241Am</span><span style=\"font-size: 12px;font-family: 宋体\">）。</span><span style=\"font-size: 12px\">125I</span><span style=\"font-size: 12px;font-family: 宋体\">的半衰期为</span><span style=\"font-size: 12px\">60</span><span style=\"font-size: 12px;font-family: 宋体\">天，需定期更换，</span><span style=\"font-size: 12px\">241Am</span><span style=\"font-size: 12px;font-family: 宋体\">的半衰期为</span><span style=\"font-size: 12px\">433</span><span style=\"font-size: 12px;font-family: 宋体\">年，可长期使用。此法适用于测定肌肉少的四肢骨，不能测定深部骨骼，如脊椎骨及股骨。前臂骨形态规律，骨周围为均一性薄层软组织，而且骨与软组织的比例高，测定中不易受技术因素的影响，故多用于前臂骨的测定。其精确度为</span><span style=\"font-size: 12px\">1%</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">2%</span><span style=\"font-size: 12px;font-family: 宋体\">，准确度为</span><span style=\"font-size: 12px\">4%</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">6%</span><span style=\"font-size: 12px;font-family: 宋体\">，一次测定需</span><span style=\"font-size: 12px\">5</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">10min</span><span style=\"font-size: 12px;font-family: 宋体\">，放射量小于</span><span style=\"font-size: 12px\">1/µSV</span><span style=\"font-size: 12px;font-family: 宋体\">。因价格较低、适用于普查，但前臂中、外</span><span style=\"font-size: 12px\">1/3</span><span style=\"font-size: 12px;font-family: 宋体\">交界处的皮质骨较多，绝经后变化较小，而测量前臂远端，虽松质骨较多，但因接近关节，骨形态不规则，测定值不甚理想，是其主要缺点。</span></p><p style=\"margin-left:42px\"><span style=\"font-size: 12px;font-family: 宋体\">测定方法：将前臂浸泡于水槽内，或包一水囊（使其吸收的光子相等于软组织，那么，对放射线的吸收差异只由骨组织构成）。选定测量部位，机器即自动在肢体上移动探测器，并自动显示测定值。</span></p><p style=\"margin-left:42px\"><span style=\"font-size: 12px;font-family: 宋体\">③双能光子吸收仪（</span><span style=\"font-size: 12px\">DPA</span><span style=\"font-size: 12px;font-family: 宋体\">）</span><span style=\"font-size: 12px\">&nbsp; DPA</span><span style=\"font-size: 12px;font-family: 宋体\">与</span><span style=\"font-size: 12px\">SPA</span><span style=\"font-size: 12px;font-family: 宋体\">的区别是应用两个能量不同的放射源，将两种能量的计数经处理后相减，则消除全部软组织的计数，剩下的就是骨组织的计数。故可测量脊椎骨及股骨等深部骨骼，但因其测量的精确度及准确度较差，检查时间长，于</span><span style=\"font-size: 12px\">20</span><span style=\"font-size: 12px;font-family: 宋体\">世纪</span><span style=\"font-size: 12px\">80</span><span style=\"font-size: 12px;font-family: 宋体\">年代末已被</span><span style=\"font-size: 12px\">DXA</span><span style=\"font-size: 12px;font-family: 宋体\">取代。</span></p><p style=\"margin-left:42px\"><span style=\"font-size: 12px\">&nbsp;</span><span style=\"font-size: 12px;font-family: 宋体\">④双能</span><span style=\"font-size: 12px\">X</span><span style=\"font-size: 12px;font-family: 宋体\">线吸收仪（</span><span style=\"font-size: 12px\">DXA</span><span style=\"font-size: 12px;font-family: 宋体\">）</span><span style=\"font-size: 12px\">&nbsp; DXA</span><span style=\"font-size: 12px;font-family: 宋体\">原理与</span><span style=\"font-size: 12px\">DPA</span><span style=\"font-size: 12px;font-family: 宋体\">相同，但放射源不用核素，而是利用</span><span style=\"font-size: 12px\">X</span><span style=\"font-size: 12px;font-family: 宋体\">线管。用滤光板将</span><span style=\"font-size: 12px\">X</span><span style=\"font-size: 12px;font-family: 宋体\">线球管产生的光子束分为两种能量的</span><span style=\"font-size: 12px\">X</span><span style=\"font-size: 12px;font-family: 宋体\">线，故能消除骨组织周围肌肉厚薄不同的影响，可测量脊椎骨，髋部及全身任何部位骨骼的</span><span style=\"font-size: 12px\">BMC</span><span style=\"font-size: 12px;font-family: 宋体\">及</span><span style=\"font-size: 12px\">BMD</span><span style=\"font-size: 12px;font-family: 宋体\">，并可测量肌肉及脂肪含量。用笔形</span><span style=\"font-size: 12px\">X</span><span style=\"font-size: 12px;font-family: 宋体\">线束扫描时间需</span><span style=\"font-size: 12px\">6</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">15min</span><span style=\"font-size: 12px;font-family: 宋体\">，用扇形</span><span style=\"font-size: 12px\">X</span><span style=\"font-size: 12px;font-family: 宋体\">线束扫描只需</span><span style=\"font-size: 12px\">2min</span><span style=\"font-size: 12px;font-family: 宋体\">。精确度为</span><span style=\"font-size: 12px\">1%</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">2%</span><span style=\"font-size: 12px;font-family: 宋体\">，准确度为</span><span style=\"font-size: 12px\">4%</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">8%</span><span style=\"font-size: 12px;font-family: 宋体\">，放射剂量为</span><span style=\"font-size: 12px\">1µSV</span><span style=\"font-size: 12px;font-family: 宋体\">。目前认为是诊断骨质疏松症及判断疗效的可靠方法。</span></p><p style=\"margin-left:42px\"><span style=\"font-size: 12px;font-family: 宋体\">测定方法：被测者平卧于机器上，测定脊椎骨时，可经前后位或侧位测定。前后位测定的缺点是老年病人易受骨质增生及主动脉硬化的影响而出现假阴性（测定值比实际高）。测定髋部时，一般测定股骨颈、</span><span style=\"font-size: 12px\">Wards</span><span style=\"font-size: 12px;font-family: 宋体\">三角区及大粗隆，故需内旋股骨</span><span style=\"font-size: 12px\">45</span><span style=\"font-size: 12px;font-family: 宋体\">°，使测定部位显露清楚。</span></p><p style=\"margin-left:42px\"><span style=\"font-size: 12px;font-family: 宋体\">⑤单能</span><span style=\"font-size: 12px\">X</span><span style=\"font-size: 12px;font-family: 宋体\">线吸收仪（</span><span style=\"font-size: 12px\">SXA</span><span style=\"font-size: 12px;font-family: 宋体\">）：与</span><span style=\"font-size: 12px\">SPA</span><span style=\"font-size: 12px;font-family: 宋体\">的用途及原理相同，不同之处是放射源用</span><span style=\"font-size: 12px\">X</span><span style=\"font-size: 12px;font-family: 宋体\">线，而不用核素。北京协和医院用</span><span style=\"font-size: 12px\">SXA</span><span style=\"font-size: 12px;font-family: 宋体\">测定前臂与</span><span style=\"font-size: 12px\">DXA</span><span style=\"font-size: 12px;font-family: 宋体\">测定腰椎、股骨颈、</span><span style=\"font-size: 12px\">Wards</span><span style=\"font-size: 12px;font-family: 宋体\">区、大粗隆相比，两种方法的相关性良好。</span></p><p style=\"margin-left:42px\"><span style=\"font-size: 12px;font-family: 宋体\">⑥定量计算机断层摄影（</span><span style=\"font-size: 12px\">QCT</span><span style=\"font-size: 12px;font-family: 宋体\">）</span><span style=\"font-size: 12px\">&nbsp; QCT</span><span style=\"font-size: 12px;font-family: 宋体\">是目前惟一可以在三维空间测量</span><span style=\"font-size: 12px\">BMD</span><span style=\"font-size: 12px;font-family: 宋体\">而得出真实体积</span><span style=\"font-size: 12px\">BMD</span><span style=\"font-size: 12px;font-family: 宋体\">的方法，测定值为</span><span style=\"font-size: 12px\">g/cm3</span><span style=\"font-size: 12px;font-family: 宋体\">，也是目前可以分别测量皮质骨与松质骨</span><span style=\"font-size: 12px\">BMD</span><span style=\"font-size: 12px;font-family: 宋体\">的惟一方法，用于测量腰椎</span><span style=\"font-size: 12px\">BMD</span><span style=\"font-size: 12px;font-family: 宋体\">。测量时将标准体模置于病人的背部，与病人同步扫描，扫描时间为</span><span style=\"font-size: 12px\">10</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">20min</span><span style=\"font-size: 12px;font-family: 宋体\">，精确度为</span><span style=\"font-size: 12px\">2%</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">5%</span><span style=\"font-size: 12px;font-family: 宋体\">，准确度为</span><span style=\"font-size: 12px\">3%</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">6%</span><span style=\"font-size: 12px;font-family: 宋体\">，放射剂量约为</span><span style=\"font-size: 12px\">100µSV</span><span style=\"font-size: 12px;font-family: 宋体\">。因放射剂量较大，不宜多次重复检查。</span></p><p style=\"margin-left:42px\"><span style=\"font-size: 12px;font-family: 宋体\">用于测量四肢的</span><span style=\"font-size: 12px\">QCT</span><span style=\"font-size: 12px;font-family: 宋体\">为</span><span style=\"font-size: 12px\">pQCT</span><span style=\"font-size: 12px;font-family: 宋体\">，其精确度提高到</span><span style=\"font-size: 12px\">0.5%</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">1%</span><span style=\"font-size: 12px;font-family: 宋体\">，放射剂量也大大减少。日本妇女中用</span><span style=\"font-size: 12px\">pQCT</span><span style=\"font-size: 12px;font-family: 宋体\">测量桡骨</span><span style=\"font-size: 12px\">BMD</span><span style=\"font-size: 12px;font-family: 宋体\">与</span><span style=\"font-size: 12px\">DXA</span><span style=\"font-size: 12px;font-family: 宋体\">测量脊椎、桡骨及股骨颈</span><span style=\"font-size: 12px\">BMD</span><span style=\"font-size: 12px;font-family: 宋体\">相比，有中度相关，预测骨折的可靠性次于</span><span style=\"font-size: 12px\">DXA</span><span style=\"font-size: 12px;font-family: 宋体\">。故能否用于诊断尚有争议。</span></p><p style=\"margin-left:14px\"><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">2</span><span style=\"font-size: 12px;font-family: 宋体\">）</span><span style=\"font-size: 12px\">BMD</span><span style=\"font-size: 12px;font-family: 宋体\">测定的质控指标</span><span style=\"font-size: 12px\">&nbsp; </span><span style=\"font-size: 12px;font-family: 宋体\">精确度指重复测量一个部位的变异，亦称重复误差，或精确度误差。通常以变异系数（</span><span style=\"font-size: 12px\">CV</span><span style=\"font-size: 12px;font-family: 宋体\">）表示，</span><span style=\"font-size: 12px\">CV</span><span style=\"font-size: 12px;font-family: 宋体\">越大，精确度越差。</span><span style=\"font-size: 12px\">CV</span><span style=\"font-size: 12px;font-family: 宋体\">计算法为：</span></p><p style=\"margin-left:14px\"><span style=\"font-size: 12px\">CV</span><span style=\"font-size: 12px;font-family: 宋体\">＝（标准差</span><span style=\"font-size: 12px\">/BMD</span><span style=\"font-size: 12px;font-family: 宋体\">均值）×</span><span style=\"font-size: 12px\">100%</span></p><p style=\"margin-left:14px\"><span style=\"font-size: 12px;font-family: 宋体\">精确度的临床意义在于：判断疗效时，如精确度为</span><span style=\"font-size: 12px\">1%</span><span style=\"font-size: 12px;font-family: 宋体\">，取</span><span style=\"font-size: 12px\">95%</span><span style=\"font-size: 12px;font-family: 宋体\">可信限时，</span><span style=\"font-size: 12px\">BMD</span><span style=\"font-size: 12px;font-family: 宋体\">变化大于±</span><span style=\"font-size: 12px\">2.8%</span><span style=\"font-size: 12px;font-family: 宋体\">才有意义，否则为仪器本身的误差，不能判断有效或无效。取</span><span style=\"font-size: 12px\">90%</span><span style=\"font-size: 12px;font-family: 宋体\">可信限，</span><span style=\"font-size: 12px\">BMD</span><span style=\"font-size: 12px;font-family: 宋体\">变化在±</span><span style=\"font-size: 12px\">2%</span><span style=\"font-size: 12px;font-family: 宋体\">即有临床意义。如果骨丢失率为每年</span><span style=\"font-size: 12px\">3%</span><span style=\"font-size: 12px;font-family: 宋体\">，用精度为</span><span style=\"font-size: 12px\">1%</span><span style=\"font-size: 12px;font-family: 宋体\">的仪器可以测量出变化，而精度差（即大于</span><span style=\"font-size: 12px\">1%</span><span style=\"font-size: 12px;font-family: 宋体\">）的仪器则测不出来。设计临床疗效观察应人组的例数，例如精度为</span><span style=\"font-size: 12px\">1%</span><span style=\"font-size: 12px;font-family: 宋体\">时，发现</span><span style=\"font-size: 12px\">BMD</span><span style=\"font-size: 12px;font-family: 宋体\">增加</span><span style=\"font-size: 12px\">0.5%</span><span style=\"font-size: 12px;font-family: 宋体\">，需要</span><span style=\"font-size: 12px\">42</span><span style=\"font-size: 12px;font-family: 宋体\">人（按统计学公式）。</span></p><p style=\"margin-left:14px\"><span style=\"font-size: 12px;font-family: 宋体\">准确度：指测量值与真值（如骨灰量）之间的误差，即仪器的误差，由厂家提供。误差大者易出现假阳性，小于真值则出现假阴性。</span></p><p><span style=\"font-size: 12px\">2. </span><span style=\"font-size: 12px;font-family: 宋体\">骨超声检查</span><span style=\"font-size: 12px\">&nbsp; </span><span style=\"font-size: 12px;font-family: 宋体\">利用超声通过骨组织的速度（</span><span style=\"font-size: 12px\">SOS</span><span style=\"font-size: 12px;font-family: 宋体\">，单位为</span><span style=\"font-size: 12px\">m/s</span><span style=\"font-size: 12px;font-family: 宋体\">）、振幅衰减（</span><span style=\"font-size: 12px\">BUA</span><span style=\"font-size: 12px;font-family: 宋体\">，单位为</span><span style=\"font-size: 12px\">dB/MHz</span><span style=\"font-size: 12px;font-family: 宋体\">）及硬度指数（</span><span style=\"font-size: 12px\">SI</span><span style=\"font-size: 12px;font-family: 宋体\">）反映骨结构与骨量，在理论上，超声检查既反映骨量又反映骨结构，且具有无放射线，价格较低，机器易搬动等许多优点，有人将超声检查值与</span><span style=\"font-size: 12px\">DXA</span><span style=\"font-size: 12px;font-family: 宋体\">检查结果相比，二者有相关性，故可用于观察病情变化及治疗效果。但超声检查结果不是</span><span style=\"font-size: 12px\">BMC</span><span style=\"font-size: 12px;font-family: 宋体\">，故不能与真值相比，无准确性指标，目前尚无公认的诊断标准。</span></p><p><span style=\"font-size: 12px\">3. </span><span style=\"font-size: 12px;font-family: 宋体\">骨组织活体切片检查</span><span style=\"font-size: 12px\">&nbsp; </span><span style=\"font-size: 12px;font-family: 宋体\">将活体骨组织制成切片，在显微镜下观察结构与形态，测量骨小梁面积、骨小梁周径、类骨质宽度等骨形态计量学指标，可用于疑难病例的鉴别诊断，研究骨代谢状况。与上述的几种方法相比，诊断更为可靠，但是观察结果有一定的主观性，故各实验室间、各观察者之间有一定的差异，此外，骨活检是有创性检查，不宜普遍进行。</span></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('503', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1633', '诊断与鉴别诊断', '<p><strong><span style=\"font-size: 12px;font-family: 宋体\">诊断</span></strong></p><p><span style=\"font-size: 12px;font-family: 宋体\">根据以上临床表现，实验室检查及辅助检查可以在骨质疏松早期即做出诊断。</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">骨矿含量是诊断骨质疏松的标准</span><span style=\"font-size: 12px\">1994</span><span style=\"font-size: 12px;font-family: 宋体\">年</span><span style=\"font-size: 12px\">WHO</span><span style=\"font-size: 12px;font-family: 宋体\">重新制订了以骨密度作为骨质疏松的诊断标准：</span></p><p><span style=\"font-size: 12px\">1.</span><span style=\"font-size: 12px;font-family: 宋体\">正常骨量：</span><span style=\"font-size: 12px\">BMD</span><span style=\"font-size: 12px;font-family: 宋体\">或</span><span style=\"font-size: 12px\">BMC</span><span style=\"font-size: 12px;font-family: 宋体\">较年轻成年人平均值低</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">个标准差以内。</span></p><p><span style=\"font-size: 12px\">2.</span><span style=\"font-size: 12px;font-family: 宋体\">骨量减少：</span><span style=\"font-size: 12px\">BMD</span><span style=\"font-size: 12px;font-family: 宋体\">或</span><span style=\"font-size: 12px\">BMC</span><span style=\"font-size: 12px;font-family: 宋体\">较年轻成年人平均值低</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">2.5</span><span style=\"font-size: 12px;font-family: 宋体\">个标准差。</span></p><p><span style=\"font-size: 12px\">3.</span><span style=\"font-size: 12px;font-family: 宋体\">骨质疏松症：</span><span style=\"font-size: 12px\">BMD</span><span style=\"font-size: 12px;font-family: 宋体\">或</span><span style=\"font-size: 12px\">BMC</span><span style=\"font-size: 12px;font-family: 宋体\">较年轻成年人平均低</span><span style=\"font-size: 12px\">2.5</span><span style=\"font-size: 12px;font-family: 宋体\">个标准差或以上。</span></p><p><span style=\"font-size: 12px\">4.</span><span style=\"font-size: 12px;font-family: 宋体\">严重的骨质疏松症（确定的骨质疏松症）：符合上述的骨质疏松症诊断标准。同时伴有一处或多处脆性骨折。</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">我国专家认为以骨量丢失平均值的</span><span style=\"font-size: 12px\">2.5</span><span style=\"font-size: 12px;font-family: 宋体\">个标准差不利于骨质疏松症的早期诊断和治疗，以丢失</span><span style=\"font-size: 12px\">2</span><span style=\"font-size: 12px;font-family: 宋体\">个标准差为诊断标准更适合我国国情。</span></p><p><strong><span style=\"font-size: 12px;font-family: 宋体\">鉴别诊断</span></strong></p><p><span style=\"font-size: 12px\">1. </span><span style=\"font-size: 12px;font-family: 宋体\">多发性骨髓瘤多发性骨髓瘤与骨质疏松相似之处为骨量降低，骨痛及病理性骨折。不同之处是多发性骨髓瘤在</span><span style=\"font-size: 12px\">X</span><span style=\"font-size: 12px;font-family: 宋体\">线照片上有骨破坏区，病情呈进行性加重，病变多见于头颅和骨盆，骨髓穿刺检查有助于确诊。</span></p><p><span style=\"font-size: 12px\">2. </span><span style=\"font-size: 12px;font-family: 宋体\">骨转移瘤</span><span style=\"font-size: 12px\">&nbsp; </span><span style=\"font-size: 12px;font-family: 宋体\">骨转移瘤常见于老年妇女，患者可伴有骨痛，骨量减少及（或）病理性骨折。与骨质疏松症的主要区别是可能发现原发肿瘤，</span><span style=\"font-size: 12px\">X</span><span style=\"font-size: 12px;font-family: 宋体\">线照片上有骨破坏区。</span></p><p><span style=\"font-size: 12px\">3. </span><span style=\"font-size: 12px;font-family: 宋体\">骨软化症</span><span style=\"font-size: 12px\">&nbsp; </span><span style=\"font-size: 12px;font-family: 宋体\">因骨软化症时</span><span style=\"font-size: 12px\">BMD</span><span style=\"font-size: 12px;font-family: 宋体\">也降低而需与骨质疏松症鉴别，但骨软化症常发生于生育期妇女，其发病与多产及营养不良有关，常有手足抽搐，血钙及血磷降低，血</span><span style=\"font-size: 12px\">tALP</span><span style=\"font-size: 12px;font-family: 宋体\">升高等改变，骨</span><span style=\"font-size: 12px\">X</span><span style=\"font-size: 12px;font-family: 宋体\">线照片可见骨边界有绒毛状变化，而绝经后骨质疏松症发生于绝经后妇女，通常无症状，血钙、磷正常，血</span><span style=\"font-size: 12px\">tALP</span><span style=\"font-size: 12px;font-family: 宋体\">在正常范围内升高，骨</span><span style=\"font-size: 12px\">X</span><span style=\"font-size: 12px;font-family: 宋体\">线照片上骨边界清晰。但高龄妇女缺乏户外活动，维生素</span><span style=\"font-size: 12px\">D</span><span style=\"font-size: 12px;font-family: 宋体\">摄入不足，可能同时患有骨质疏松及骨软化症。</span></p><p><span style=\"font-size: 12px\">4. </span><span style=\"font-size: 12px;font-family: 宋体\">继发性骨质疏松症</span><span style=\"font-size: 12px\">&nbsp; </span><span style=\"font-size: 12px;font-family: 宋体\">继发性骨质疏松症是由各种疾病或长期应用药物引起的骨质疏松症，疾病如甲状腺功能亢进症，甲状腺功能减低，甲状旁腺功能亢进，糖尿病，库欣综合征，慢性肝病，肾病，严重的营养不良等，药物如肾上腺皮质激素，甲状腺激素，促性腺激素释放激素类似物（</span><span style=\"font-size: 12px\">GnRH-</span><span style=\"font-size: 12px;font-family: 宋体\">α），肝素，化疗药物等。可发生于任何年龄，详细询问病史及体格检查，辅以必要的实验室检查，即可与绝经后骨质疏松症鉴别。</span></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('504', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1633', '治疗', '<p>&nbsp; &nbsp;1.<span style=\"font-family: 宋体;\">激素替代疗法（</span>HRT<span style=\"font-family: 宋体;\">）</span>&nbsp; <span style=\"font-family: 宋体;\">已有大量研究证实绝经后妇女单独应用雌激素或与孕激素联合应用可以预防骨量的丢失。一项绝经妇女雌、孕激素干预</span>36<span style=\"font-family: 宋体;\">个月的研究，结果证实安慰剂组腰椎</span>BMD<span style=\"font-family: 宋体;\">下降</span>1.8%<span style=\"font-family: 宋体;\">，髋骨</span>BMD<span style=\"font-family: 宋体;\">下降</span>1.7%<span style=\"font-family: 宋体;\">；而雌激素组与雌、孕激素联合治疗组结合雌激素（倍美力</span>CEEs<span style=\"font-family: 宋体;\">）</span>0.625mg/d<span style=\"font-family: 宋体;\">组、结合雌激素（</span>CEEs<span style=\"font-family: 宋体;\">）＋甲羟孕酮（安宫黄体酮</span>MPA<span style=\"font-family: 宋体;\">）</span>2.5mg/d<span style=\"font-family: 宋体;\">组、结合雌激素（</span>CEEs<span style=\"font-family: 宋体;\">）＋甲羟孕酮（</span>MPA<span style=\"font-family: 宋体;\">）</span>10mg/d<span style=\"font-family: 宋体;\">组、结合雌激素（</span>CEEs<span style=\"font-family: 宋体;\">）＋微粒化孕酮</span>200mg/d<span style=\"font-family: 宋体;\">×</span>12<span style=\"font-family: 宋体;\">天</span>/<span style=\"font-family: 宋体;\">月组，腰椎</span>BMD<span style=\"font-family: 宋体;\">增加</span>3.5%<span style=\"font-family: 宋体;\">～</span>5.0%<span style=\"font-family: 宋体;\">，髋骨</span>BMD<span style=\"font-family: 宋体;\">增加</span>1.7%<span style=\"font-family: 宋体;\">。另一项多中心研究纳入</span>9704<span style=\"font-family: 宋体;\">名非黑人妇女，年龄≥</span>65<span style=\"font-family: 宋体;\">岁，目前应用雌激素者，与未用者相比，腕骨骨折危险性为</span>0.39<span style=\"font-family: 宋体;\">（</span>95%Cl 0.24<span style=\"font-family: 宋体;\">～</span>0.64<span style=\"font-family: 宋体;\">），所有非脊椎骨折危险性为</span>O.66<span style=\"font-family: 宋体;\">（</span>95%Cl 0.54<span style=\"font-family: 宋体;\">～</span>0.80<span style=\"font-family: 宋体;\">）。</span>Deng<span style=\"font-family: 宋体;\">等指出不同的维生素</span>D<span style=\"font-family: 宋体;\">受体与雌激素受体基因类型对骨密度影响不同。</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">雌激素的剂量与疗效有明显关系。不同种类药物的最低有效剂量不同，如结合雌激素剂量为</span><span style=\"font-size: 12px\">0.625mg/d</span><span style=\"font-size: 12px;font-family: 宋体\">，雌二醇为</span><span style=\"font-size: 12px\">1mg/d</span><span style=\"font-size: 12px;font-family: 宋体\">，强调使用最低的有效剂量以避免其副作用。</span></p><p><span style=\"font-size: 12px\">&nbsp; &nbsp; &nbsp;George</span><span style=\"font-size: 12px;font-family: 宋体\">对绝经后双胎妇女的研究发现目前使用</span><span style=\"font-size: 12px\">HRT</span><span style=\"font-size: 12px;font-family: 宋体\">者其腰椎、髋骨骨密度比未用者增加，但以往使用</span><span style=\"font-size: 12px\">HRT</span><span style=\"font-size: 12px;font-family: 宋体\">者无相似的有益作用。表明</span><span style=\"font-size: 12px\">HRT</span><span style=\"font-size: 12px;font-family: 宋体\">需连续应用，如需停止，则应加用其他治疗以保持对骨量的有利影响。</span></p><p><span style=\"font-size: 12px\">&nbsp; &nbsp; &nbsp;2. &nbsp;</span><span style=\"font-size: 12px;font-family: 宋体\">补钙</span><span style=\"font-size: 12px\">&nbsp; </span><span style=\"font-size: 12px;font-family: 宋体\">适量钙摄入对获得骨峰量及保持骨髂健康是非常必要的。对绝经妇女推荐的每天钙摄入量为</span><span style=\"font-size: 12px\">1000</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">1500mg</span><span style=\"font-size: 12px;font-family: 宋体\">元素钙。我国居民的膳食结构处于低钙饮食品状态，</span><span style=\"font-size: 12px\">1992</span><span style=\"font-size: 12px;font-family: 宋体\">年全国营养调查发现城市和农村成年男性平均每人每天钙摄入量仅为</span><span style=\"font-size: 12px\">458mg</span><span style=\"font-size: 12px;font-family: 宋体\">和</span><span style=\"font-size: 12px\">378mg</span><span style=\"font-size: 12px;font-family: 宋体\">：</span><span style=\"font-size: 12px\">1994</span><span style=\"font-size: 12px;font-family: 宋体\">年的一项调查发现北京老年妇女每天钙摄入量也低于</span><span style=\"font-size: 12px\">400mg</span><span style=\"font-size: 12px;font-family: 宋体\">。改变饮食习惯，增加膳食中钙的摄入，应多吃含钙丰富的食物如牛奶、豆制品、海鱼、虾皮、紫菜及深绿色叶菜等，这是从食物中补钙的有效措施之一。此外还可通过钙制剂补充，如美信钙，每片含柠檬酸钙</span><span style=\"font-size: 12px\">315mg</span><span style=\"font-size: 12px;font-family: 宋体\">，此外还含有维生素</span><span style=\"font-size: 12px\">D</span><span style=\"font-size: 12px;font-family: 宋体\">，</span><span style=\"font-size: 12px\">300IU</span><span style=\"font-size: 12px;font-family: 宋体\">，每天口服</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">片。乐力钙含氨基酸螯合钙及多种微量元素，每片含钙量</span><span style=\"font-size: 12px\">250mg</span><span style=\"font-size: 12px;font-family: 宋体\">，</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">粒</span><span style=\"font-size: 12px\">/d</span><span style=\"font-size: 12px;font-family: 宋体\">。钙尔奇</span><span style=\"font-size: 12px\">D</span><span style=\"font-size: 12px;font-family: 宋体\">每片含碳酸钙及维生素</span><span style=\"font-size: 12px\">D 400U</span><span style=\"font-size: 12px;font-family: 宋体\">，钙含量为</span><span style=\"font-size: 12px\">600mg</span><span style=\"font-size: 12px;font-family: 宋体\">，</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">粒</span><span style=\"font-size: 12px\">/d</span><span style=\"font-size: 12px;font-family: 宋体\">。</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">&nbsp; &nbsp; 对老年妇女较长时间的钙剂补充可能部分逆转与年龄相关的血清甲状旁腺素（</span><span style=\"font-size: 12px\">PTH</span><span style=\"font-size: 12px;font-family: 宋体\">）及骨吸收的增加，降低骨丢失。然而这种作用是较弱的，与雌激素、双磷酸盐、降钙素比较，不能代替它们的治疗作用，可作为辅助治疗，联合应用。由于钙剂的安全性，较高的耐受性及花费较低，每天钙剂的补充是减少骨折危险的有效方式。尽管补钙是相对安全的，仍应注意监测血、尿中钙浓度，如果血钙在正常范围，</span><span style=\"font-size: 12px\">24h</span><span style=\"font-size: 12px;font-family: 宋体\">尿钙在</span><span style=\"font-size: 12px\">100</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">200mg</span><span style=\"font-size: 12px;font-family: 宋体\">，说明剂量恰当；如果尿钙在</span><span style=\"font-size: 12px\">300</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">400mg</span><span style=\"font-size: 12px;font-family: 宋体\">，说明钙或维生素</span><span style=\"font-size: 12px\">D</span><span style=\"font-size: 12px;font-family: 宋体\">剂量过大，应减量；如果尿钙＞</span><span style=\"font-size: 12px\">400mg</span><span style=\"font-size: 12px;font-family: 宋体\">，应停服以免出现肾或膀胱结石。</span></p><p><span style=\"font-size: 12px\">&nbsp; &nbsp; 3. </span><span style=\"font-size: 12px;font-family: 宋体\">维生素</span><span style=\"font-size: 12px\">D</span><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">vitamin D</span><span style=\"font-size: 12px;font-family: 宋体\">）</span><span style=\"font-size: 12px\">&nbsp; </span><span style=\"font-size: 12px;font-family: 宋体\">骨质疏松患者的负钙平衡的原因之一是由于肠道钙吸收障碍。影响肠道钙吸收最重要的激素是</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">，</span><span style=\"font-size: 12px\">25</span><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">0H</span><span style=\"font-size: 12px;font-family: 宋体\">）</span><span style=\"font-size: 12px\">2D3</span><span style=\"font-size: 12px;font-family: 宋体\">，如含量少，即使食物中含钙量较多，也难以吸收。维生素</span><span style=\"font-size: 12px\">D</span><span style=\"font-size: 12px;font-family: 宋体\">在肝内经肝细胞线粒体的</span><span style=\"font-size: 12px\">25-</span><span style=\"font-size: 12px;font-family: 宋体\">羟化酶（</span><span style=\"font-size: 12px\">25-hydroxylase</span><span style=\"font-size: 12px;font-family: 宋体\">）作用，被羟化成</span><span style=\"font-size: 12px\">25</span><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">OH</span><span style=\"font-size: 12px;font-family: 宋体\">）</span><span style=\"font-size: 12px\">D3</span><span style=\"font-size: 12px;font-family: 宋体\">，转运到肾脏，由</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">α</span><span style=\"font-size: 12px\">-</span><span style=\"font-size: 12px;font-family: 宋体\">羟化酶或</span><span style=\"font-size: 12px\">24-</span><span style=\"font-size: 12px;font-family: 宋体\">羟化酶等作用下再次被羟化成</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">，</span><span style=\"font-size: 12px\">25</span><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">OH</span><span style=\"font-size: 12px;font-family: 宋体\">）</span><span style=\"font-size: 12px\">2D3</span><span style=\"font-size: 12px;font-family: 宋体\">或</span><span style=\"font-size: 12px\">24</span><span style=\"font-size: 12px;font-family: 宋体\">，</span><span style=\"font-size: 12px\">25</span><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">0H</span><span style=\"font-size: 12px;font-family: 宋体\">）</span><span style=\"font-size: 12px\">2D3</span><span style=\"font-size: 12px;font-family: 宋体\">等。其中</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">，</span><span style=\"font-size: 12px\">25</span><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">0H</span><span style=\"font-size: 12px;font-family: 宋体\">）</span><span style=\"font-size: 12px\">2D3</span><span style=\"font-size: 12px;font-family: 宋体\">是维生素</span><span style=\"font-size: 12px\">D</span><span style=\"font-size: 12px;font-family: 宋体\">的活性代谢产物，也就是肾脏分泌的激素。</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">，</span><span style=\"font-size: 12px\">25</span><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">OH</span><span style=\"font-size: 12px;font-family: 宋体\">）</span><span style=\"font-size: 12px\">2D3</span><span style=\"font-size: 12px;font-family: 宋体\">对骨有直接作用，生理浓度的</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">，</span><span style=\"font-size: 12px\">25</span><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">OH</span><span style=\"font-size: 12px;font-family: 宋体\">）</span><span style=\"font-size: 12px\">2D3</span><span style=\"font-size: 12px;font-family: 宋体\">可同时促进骨吸收和骨形成。在成骨细胞中有</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">，</span><span style=\"font-size: 12px\">25</span><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">OH</span><span style=\"font-size: 12px;font-family: 宋体\">）</span><span style=\"font-size: 12px\">2D3</span><span style=\"font-size: 12px;font-family: 宋体\">受体，添加生理浓度的</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">，</span><span style=\"font-size: 12px\">25</span><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">OH</span><span style=\"font-size: 12px;font-family: 宋体\">）</span><span style=\"font-size: 12px\">2D3</span><span style=\"font-size: 12px;font-family: 宋体\">，可增加碱性磷酸酶活性及胶原的产生。目前已确认</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">，</span><span style=\"font-size: 12px\">25</span><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">0H</span><span style=\"font-size: 12px;font-family: 宋体\">）</span><span style=\"font-size: 12px\">2D3</span><span style=\"font-size: 12px;font-family: 宋体\">除促进肠钙吸收外，对骨组织的直接作用有骨石灰化、骨形成、骨成长作用及骨盐类动员作用。</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">&nbsp; &nbsp; 维生素</span><span style=\"font-size: 12px\">D</span><span style=\"font-size: 12px;font-family: 宋体\">对钙吸收及骨健康起了很重要的作用。食物中的维生素</span><span style=\"font-size: 12px\">D</span><span style=\"font-size: 12px;font-family: 宋体\">包括含维生素</span><span style=\"font-size: 12px\">D</span><span style=\"font-size: 12px;font-family: 宋体\">的牛奶（每夸脱含</span><span style=\"font-size: 12px\">400U</span><span style=\"font-size: 12px;font-family: 宋体\">），麦片粥、蛋黄、海鱼及鱼肝油等。一些钙剂及多种维生素片剂内也含有维生素</span><span style=\"font-size: 12px\">D</span><span style=\"font-size: 12px;font-family: 宋体\">。</span><span style=\"font-size: 12px\">Komulainen</span><span style=\"font-size: 12px;font-family: 宋体\">等认为低剂量维生素</span><span style=\"font-size: 12px\">D</span><span style=\"font-size: 12px;font-family: 宋体\">补充对于绝经后早期，非骨质疏松症妇女的预防作用较小，对使用</span><span style=\"font-size: 12px\">HRT</span><span style=\"font-size: 12px;font-family: 宋体\">者没有更显著的效果。对老年妇女每天补充</span><span style=\"font-size: 12px\">400U</span><span style=\"font-size: 12px;font-family: 宋体\">维生素</span><span style=\"font-size: 12px\">D3</span><span style=\"font-size: 12px;font-family: 宋体\">可以轻度降低</span><span style=\"font-size: 12px\">PTH</span><span style=\"font-size: 12px;font-family: 宋体\">的分泌，增加股骨颈骨密度，但骨转换的生化指标未见变化。对维生素</span><span style=\"font-size: 12px\">D</span><span style=\"font-size: 12px;font-family: 宋体\">缺乏的高危老年妇女，如慢性疾病、缺乏户外活动、长期居家或者在养老院的老人建议每天补充</span><span style=\"font-size: 12px\">400</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">800U</span><span style=\"font-size: 12px;font-family: 宋体\">维生素</span><span style=\"font-size: 12px\">D</span><span style=\"font-size: 12px;font-family: 宋体\">。成年人通过紫外线皮肤照射和食物摄取，可以获得足够的维生素</span><span style=\"font-size: 12px\">D</span><span style=\"font-size: 12px;font-family: 宋体\">。老年人由于肝脏</span><span style=\"font-size: 12px\">25-</span><span style=\"font-size: 12px;font-family: 宋体\">羟化酶以及肾脏</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">α</span><span style=\"font-size: 12px\">-</span><span style=\"font-size: 12px;font-family: 宋体\">羟化酶缺乏，宜选择活性维生素</span><span style=\"font-size: 12px\">D</span><span style=\"font-size: 12px;font-family: 宋体\">，如</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">α（</span><span style=\"font-size: 12px\">OH</span><span style=\"font-size: 12px;font-family: 宋体\">）</span><span style=\"font-size: 12px\">D3</span><span style=\"font-size: 12px;font-family: 宋体\">（阿法迪三），骨化三醇（</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">，</span><span style=\"font-size: 12px\">25</span><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">0H</span><span style=\"font-size: 12px;font-family: 宋体\">）</span><span style=\"font-size: 12px\">2D3,</span><span style=\"font-size: 12px;font-family: 宋体\">罗钙全）等补充效果较好，剂量一般为</span><span style=\"font-size: 12px\">0.25</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">0.5µg/d</span><span style=\"font-size: 12px;font-family: 宋体\">，口服。</span></p><p><span style=\"font-size: 12px\">&nbsp; &nbsp; 4. &nbsp;</span><span style=\"font-size: 12px;font-family: 宋体\">运动</span><span style=\"font-size: 12px\">&nbsp; </span><span style=\"font-size: 12px;font-family: 宋体\">绝经后有低骨量的妇女，骨丢失是缓慢的，可能通过运动加上钙剂补充，或者加上</span><span style=\"font-size: 12px\">HRT</span><span style=\"font-size: 12px;font-family: 宋体\">而得到预防。一些研究已发现运动加上雌激素比单用雌激素治疗更为有效，预防骨丢失需要的运动量及类型、方式尚不清楚。一项研究发现运动对绝经前后妇女可以预防或逆转大约每年</span><span style=\"font-size: 12px\">1%</span><span style=\"font-size: 12px;font-family: 宋体\">的腰椎及股骨颈的骨量丢失。另一项研究显示体力活动对腰椎</span><span style=\"font-size: 12px\">2</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">4</span><span style=\"font-size: 12px;font-family: 宋体\">水平的骨密度有显著作用，然而未能发现对前臂及髋骨骨量的有效作用。</span></p><p><span style=\"font-size: 12px\">&nbsp; &nbsp; 5. </span><span style=\"font-size: 12px;font-family: 宋体\">双磷酸盐</span><span style=\"font-size: 12px\">&nbsp; </span><span style=\"font-size: 12px;font-family: 宋体\">二磷酸盐是</span><span style=\"font-size: 12px\">20</span><span style=\"font-size: 12px;font-family: 宋体\">世纪</span><span style=\"font-size: 12px\">50</span><span style=\"font-size: 12px;font-family: 宋体\">年代开发的强力骨吸收抑制剂，用于治疗骨吸收加速的疾病，如变形性骨类（</span><span style=\"font-size: 12px\">Pagets</span><span style=\"font-size: 12px;font-family: 宋体\">病）、恶性肿瘤骨转移及其伴随的高钙血症等；当骨转换加快时，效果最好，因而也适用于绝经后骨质疏松症。双磷酸盐与体内的钙代谢调节剂——焦磷酸盐结构相似，对羟磷灰石亲和力强，与之结合后集聚在骨内，抑制磷酸钙结晶的形成并延迟磷灰石结晶凝聚，预防其溶解。在细胞水平上，二磷酸盐抑制骨吸收，虽其作用机制不甚清楚，但已发现它改变破骨细胞形态、抑制破骨细胞活性，并减少其数量，使骨转换率降低。目前在临床应用的双磷酸盐有以下几种类型：</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">）依替膦酸（羟乙膦酸二钠</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">依膦、邦得林），为第一代双磷酸盐，长期或大量应用可阻滞正常骨组织的矿化，使骨折发生的危险性增加。因此主张周期性使用，并同时补充钙剂。依替膦酸（依膦）的用法为每天早饭前</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">小时服</span><span style=\"font-size: 12px\">2</span><span style=\"font-size: 12px;font-family: 宋体\">片（每片</span><span style=\"font-size: 12px\">200mg</span><span style=\"font-size: 12px;font-family: 宋体\">），以一杯温开水吞下，或</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">片，每天两次口服，连服</span><span style=\"font-size: 12px\">14</span><span style=\"font-size: 12px;font-family: 宋体\">天后停药，同时每天晚上口服钙剂</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">片（</span><span style=\"font-size: 12px\">500</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">600mg</span><span style=\"font-size: 12px;font-family: 宋体\">钙），连服</span><span style=\"font-size: 12px\">3</span><span style=\"font-size: 12px;font-family: 宋体\">个月。可重复</span><span style=\"font-size: 12px\">2</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">4</span><span style=\"font-size: 12px;font-family: 宋体\">个疗程。</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">2</span><span style=\"font-size: 12px;font-family: 宋体\">）双氯膦酸二二钠（骨膦），间断用药，口服</span><span style=\"font-size: 12px\">400mg/d</span><span style=\"font-size: 12px;font-family: 宋体\">，应用</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">个月，停药</span><span style=\"font-size: 12px\">2</span><span style=\"font-size: 12px;font-family: 宋体\">个月。</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">3</span><span style=\"font-size: 12px;font-family: 宋体\">）阿仑膦酸钠（</span><span style=\"font-size: 12px\">Alendronate</span><span style=\"font-size: 12px;font-family: 宋体\">，福善美、天可、固邦），</span><span style=\"font-size: 12px\">10mg/</span><span style=\"font-size: 12px;font-family: 宋体\">片，口服，</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/d</span><span style=\"font-size: 12px;font-family: 宋体\">或隔天一次。需空腹时服用，并需同时饮一满杯水约</span><span style=\"font-size: 12px\">200ml</span><span style=\"font-size: 12px;font-family: 宋体\">，不得同时饮用牛奶或其他含钙饮料，并需保持直立姿势，以防止药物对食管的刺激。需按上方法服药半小时后，才可吃早饭，饮用其他饮料或药物。阿仑膦酸钠是新一代的双磷酸盐，通过侧链基团的改变，不但消除了阻滞正常骨组织矿化之缺陷，而且抑制骨吸收的强度也大大增加。这些药物，一旦吸收，可迅速分布于骨组织，尤其是在松质骨最具代谢活性的骨表面有更高的药物浓度。在血循环中的半衰期很短，约</span><span style=\"font-size: 12px\">2h</span><span style=\"font-size: 12px;font-family: 宋体\">，但在骨组织中存留的半衰期很久，达数年，可强有力的抑制骨质的吸收。骨转换率下降，最终导致骨量增加，骨折的发生率下降。一项对</span><span style=\"font-size: 12px\">447</span><span style=\"font-size: 12px;font-family: 宋体\">名绝经妇女应用阿仑膦酸钠（福善美）治疗的经验证实在腰椎、股骨颈及大转子骨密度增加了</span><span style=\"font-size: 12px\">1%</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">4%</span><span style=\"font-size: 12px;font-family: 宋体\">，全身骨密度增加了</span><span style=\"font-size: 12px\">0.3%</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">1.0%</span><span style=\"font-size: 12px;font-family: 宋体\">。</span><span style=\"font-size: 12px\">5mg</span><span style=\"font-size: 12px;font-family: 宋体\">，</span><span style=\"font-size: 12px\">10mg</span><span style=\"font-size: 12px;font-family: 宋体\">，</span><span style=\"font-size: 12px\">20mg 3</span><span style=\"font-size: 12px;font-family: 宋体\">种不同剂量的阿仑膦酸钠（福善美）所进行的</span><span style=\"font-size: 12px\">3</span><span style=\"font-size: 12px;font-family: 宋体\">年的研究证实，在治疗期间骨密度增长，与</span><span style=\"font-size: 12px\">5mg</span><span style=\"font-size: 12px;font-family: 宋体\">，</span><span style=\"font-size: 12px\">20mg</span><span style=\"font-size: 12px;font-family: 宋体\">剂量相比较，</span><span style=\"font-size: 12px\">10mg</span><span style=\"font-size: 12px;font-family: 宋体\">剂量组骨密度增加最明显。</span><span style=\"font-size: 12px\">5mg</span><span style=\"font-size: 12px;font-family: 宋体\">阿仑膦酸钠（福善美）剂量已经被美国</span><span style=\"font-size: 12px\">FDA</span><span style=\"font-size: 12px;font-family: 宋体\">批准用于预防骨质疏松。我国孟迅吾等对</span><span style=\"font-size: 12px\">81</span><span style=\"font-size: 12px;font-family: 宋体\">例原发性骨质疏松症所进行的多中心开放研究，患者每天口服阿仑膦酸钠（福善美）</span><span style=\"font-size: 12px\">10mg</span><span style=\"font-size: 12px;font-family: 宋体\">和元素钙</span><span style=\"font-size: 12px\">500mg</span><span style=\"font-size: 12px;font-family: 宋体\">，结果腰椎</span><span style=\"font-size: 12px\">2</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">4</span><span style=\"font-size: 12px;font-family: 宋体\">骨密度于治疗</span><span style=\"font-size: 12px\">3</span><span style=\"font-size: 12px;font-family: 宋体\">个月、</span><span style=\"font-size: 12px\">6</span><span style=\"font-size: 12px;font-family: 宋体\">个月和</span><span style=\"font-size: 12px\">12</span><span style=\"font-size: 12px;font-family: 宋体\">个月均较治疗前有非常明显的升高，分别为</span><span style=\"font-size: 12px\">2.8%</span><span style=\"font-size: 12px;font-family: 宋体\">，</span><span style=\"font-size: 12px\">4.1%</span><span style=\"font-size: 12px;font-family: 宋体\">和</span><span style=\"font-size: 12px\">6.3%</span><span style=\"font-size: 12px;font-family: 宋体\">，髋部骨密度在</span><span style=\"font-size: 12px\">3</span><span style=\"font-size: 12px;font-family: 宋体\">，</span><span style=\"font-size: 12px\">6</span><span style=\"font-size: 12px;font-family: 宋体\">，</span><span style=\"font-size: 12px\">12</span><span style=\"font-size: 12px;font-family: 宋体\">个月也有显著升高，以大转子最为显著，升高</span><span style=\"font-size: 12px\">2.6%</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">2.9%</span><span style=\"font-size: 12px;font-family: 宋体\">，其次为股骨颈和</span><span style=\"font-size: 12px\">Wards</span><span style=\"font-size: 12px;font-family: 宋体\">三角。</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">双磷酸盐的主要副作用为消化道反应，可有恶心、呕吐、腹泻等，有消化道疾病者需慎用。需注意使用方法，以减少对胃肠道的刺激。</span></p><p><span style=\"font-size: 12px\">&nbsp; &nbsp; 6. </span><span style=\"font-size: 12px;font-family: 宋体\">降钙素（</span><span style=\"font-size: 12px\">CT</span><span style=\"font-size: 12px;font-family: 宋体\">）</span><span style=\"font-size: 12px\">&nbsp; </span><span style=\"font-size: 12px;font-family: 宋体\">降钙素（</span><span style=\"font-size: 12px\">CT</span><span style=\"font-size: 12px;font-family: 宋体\">）是由甲状腺滤泡旁细胞（</span><span style=\"font-size: 12px\">C</span><span style=\"font-size: 12px;font-family: 宋体\">细胞）分泌的，由</span><span style=\"font-size: 12px\">32</span><span style=\"font-size: 12px;font-family: 宋体\">个氨基酸组成的多肽，是调节钙与骨代谢的激素之一。主要作用于骨和肾，抑制</span><span style=\"font-size: 12px\">PTH</span><span style=\"font-size: 12px;font-family: 宋体\">、维生素</span><span style=\"font-size: 12px\">D</span><span style=\"font-size: 12px;font-family: 宋体\">等引起的骨吸收因子。降钙素（</span><span style=\"font-size: 12px\">CT</span><span style=\"font-size: 12px;font-family: 宋体\">）对骨的作用，其一是直接抑制骨盐溶解，使原始细胞转变成破骨细胞的过程受到抑制，并加速破骨细胞向成骨细胞的转化，使溶解过程减弱。其二是拮抗血钙上升。血钙较高时，降钙素（</span><span style=\"font-size: 12px\">CT</span><span style=\"font-size: 12px;font-family: 宋体\">）分泌增加，血钙降低时，降钙素（</span><span style=\"font-size: 12px\">CT</span><span style=\"font-size: 12px;font-family: 宋体\">）分泌减少。此作用对维持生理骨量有重要意义。其三，降钙素（</span><span style=\"font-size: 12px\">CT</span><span style=\"font-size: 12px;font-family: 宋体\">）可拮抗</span><span style=\"font-size: 12px\">PTH</span><span style=\"font-size: 12px;font-family: 宋体\">的促进骨钙释放入血液的作用。降钙素（</span><span style=\"font-size: 12px\">CT</span><span style=\"font-size: 12px;font-family: 宋体\">）具有镇痛作用，其机制可能与改善钙代谢、中枢性镇痛作用及对肌肉收缩功能的作用有关。</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">降钙素有鳗鱼降钙素（益钙宁）和鲑鱼降钙素（密钙息）两种药物。与破骨细胞膜表面受体结合，激活腺苷酸环化酶致</span><span style=\"font-size: 12px\">CAMP</span><span style=\"font-size: 12px;font-family: 宋体\">升高，并激活磷脂肌肌醇系统致胞浆游离钙升高，两种效应抑制破骨细胞吸收功能，具有增加骨量和明显镇痛作用。降钙素（益钙宁）每支</span><span style=\"font-size: 12px\">10U</span><span style=\"font-size: 12px;font-family: 宋体\">、</span><span style=\"font-size: 12px\">20U</span><span style=\"font-size: 12px;font-family: 宋体\">，用法为</span><span style=\"font-size: 12px\">10U</span><span style=\"font-size: 12px;font-family: 宋体\">每周</span><span style=\"font-size: 12px\">2</span><span style=\"font-size: 12px;font-family: 宋体\">次或者</span><span style=\"font-size: 12px\">20U</span><span style=\"font-size: 12px;font-family: 宋体\">每周</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">次肌内注射。降钙素（密钙息）每支</span><span style=\"font-size: 12px\">50U</span><span style=\"font-size: 12px;font-family: 宋体\">，一天或隔天注射</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">次，持续</span><span style=\"font-size: 12px\">2</span><span style=\"font-size: 12px;font-family: 宋体\">周，以后隔</span><span style=\"font-size: 12px\">2</span><span style=\"font-size: 12px;font-family: 宋体\">天注射一次，持续</span><span style=\"font-size: 12px\">3</span><span style=\"font-size: 12px;font-family: 宋体\">个月，每</span><span style=\"font-size: 12px\">3</span><span style=\"font-size: 12px;font-family: 宋体\">个月为一周期，用</span><span style=\"font-size: 12px\">2</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">4</span><span style=\"font-size: 12px;font-family: 宋体\">个周期，即可提高骨量。降钙素（密钙息）也有鼻喷剂，</span><span style=\"font-size: 12px\">50</span><span style=\"font-size: 12px;font-family: 宋体\">或</span><span style=\"font-size: 12px\">100U/</span><span style=\"font-size: 12px;font-family: 宋体\">喷，一般用</span><span style=\"font-size: 12px\">100U/</span><span style=\"font-size: 12px;font-family: 宋体\">次。</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">主要副作用为头昏、心慌、面部潮红、恶心等不适。有过敏体质者、支气管哮喘史者慎用。</span></p><p><span style=\"font-size: 12px\">&nbsp; &nbsp; 7. &nbsp;</span><span style=\"font-size: 12px;font-family: 宋体\">选择性雌激素受体调节剂（</span><span style=\"font-size: 12px\">SERM</span><span style=\"font-size: 12px;font-family: 宋体\">）</span><span style=\"font-size: 12px\">&nbsp; SERM</span><span style=\"font-size: 12px;font-family: 宋体\">是一类人工合成的类似雌激素的化合物，它们选择性作用于不同组织的雌激素受体，分别产生类雌激素或抗雌激素作用。对</span><span style=\"font-size: 12px\">SERM</span><span style=\"font-size: 12px;font-family: 宋体\">的研究提示，作用于骨的雌激素受体亦能发挥类似雌激素样作用。</span><span style=\"font-size: 12px\">Richard</span><span style=\"font-size: 12px;font-family: 宋体\">发现接受他莫昔芬（三苯氧胺）治疗两年后的绝经后乳腺癌病人，腰椎骨密度每年平均增长</span><span style=\"font-size: 12px\">0.61%</span><span style=\"font-size: 12px;font-family: 宋体\">，而对照组每年减少</span><span style=\"font-size: 12px\">1.00%</span><span style=\"font-size: 12px;font-family: 宋体\">，二者有显著差异。对切除卵巢的老年鼠及成长期鼠，他莫昔芬（三苯氧胺）、雷洛昔芬等同样具有维持骨量、减少骨丢失的作用，但也有作者认为</span><span style=\"font-size: 12px\">SERM</span><span style=\"font-size: 12px;font-family: 宋体\">对骨作用的影响与雌激素水平有关。他莫昔芬（</span><span style=\"font-size: 12px\">TAM</span><span style=\"font-size: 12px;font-family: 宋体\">）用于健康绝经前妇女，可使腰椎和髋部骨量进行性降低。表明在绝经前较高的雌激素水平时，他莫昔芬（</span><span style=\"font-size: 12px\">TAM</span><span style=\"font-size: 12px;font-family: 宋体\">）对骨代谢的净效应为抗雌激素性的，而在绝经后内源性雌激素水平低下时，他莫昔芬（</span><span style=\"font-size: 12px\">TAM</span><span style=\"font-size: 12px;font-family: 宋体\">）才表现出固有的对骨组织的雌激素样作用。这可能与不同雌激素浓度下，雌激素受体的敏感性有关。雷洛昔芬与他莫昔芬（三苯氧胺）对骨量及血脂均有较好的影响，但在他莫昔芬（三苯氧胺）的临床研究中有引起子宫内膜增生，甚至诱发子宫内膜癌的报道。动物实验发现大剂量他莫昔芬（三苯氧胺）可诱发大鼠肝癌，故雷洛昔芬的临床应用前景更为看好。他莫昔芬（三苯氧胺）剂量为</span><span style=\"font-size: 12px\">10mg</span><span style=\"font-size: 12px;font-family: 宋体\">，口服</span><span style=\"font-size: 12px\">2</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/d</span><span style=\"font-size: 12px;font-family: 宋体\">，雷洛昔芬剂量为</span><span style=\"font-size: 12px\">60mg/d</span><span style=\"font-size: 12px;font-family: 宋体\">口服。</span></p><p><span style=\"font-size: 12px\">&nbsp; &nbsp; 8. </span><span style=\"font-size: 12px;font-family: 宋体\">依普拉封</span><span style=\"font-size: 12px\">&nbsp; </span><span style=\"font-size: 12px;font-family: 宋体\">依普拉封是</span><span style=\"font-size: 12px\">20</span><span style=\"font-size: 12px;font-family: 宋体\">世纪</span><span style=\"font-size: 12px\">60</span><span style=\"font-size: 12px;font-family: 宋体\">年代后期在匈牙利合成的一种异黄酮衍生物，为</span><span style=\"font-size: 12px\">7-</span><span style=\"font-size: 12px;font-family: 宋体\">异丙氧基异黄酮。属于植物雌激素类的一种。它在动物和人体中均没有雌激素活性，但能增加雌激素的活性。在</span><span style=\"font-size: 12px\">20</span><span style=\"font-size: 12px;font-family: 宋体\">世纪</span><span style=\"font-size: 12px\">70</span><span style=\"font-size: 12px;font-family: 宋体\">年代初通过给小鼠、鸡和羊口服依普拉芬天然合成衍生物，发现它能增加骨中的总钙量，因而首次提出这类物质可作为药物治疗骨质疏松。</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">&nbsp; &nbsp; 对依普拉封的一些基础研究证实可通过增加成骨细胞数量而增加骨形成，并可抑制骨吸收。依普拉芬对骨吸收抑制的机制与抑制前破骨细胞的募集和分化有关，而且这种抑制可通过降低成骨细胞对</span><span style=\"font-size: 12px\">PTH</span><span style=\"font-size: 12px;font-family: 宋体\">反应而间接调节。</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">&nbsp; &nbsp; 依普拉封对骨质疏松的治疗作用与雌激素相似，但应用依普拉封的绝经后妇女，血清促性腺激素、雌激素或泌乳素水平无变化。为了解依普拉封与雌激素受体间可能的相互作用，对人前破骨细胞系</span><span style=\"font-size: 12px\">FLG29.1</span><span style=\"font-size: 12px;font-family: 宋体\">和人乳腺癌细胞系</span><span style=\"font-size: 12px\">MCF7</span><span style=\"font-size: 12px;font-family: 宋体\">进行了研究。研究发现雌二醇和其他类固醇物质不能替代</span><span style=\"font-size: 12px\">[3H]</span><span style=\"font-size: 12px;font-family: 宋体\">标记的依普拉封与</span><span style=\"font-size: 12px\">FLG29.1</span><span style=\"font-size: 12px;font-family: 宋体\">细胞结合。同样依普拉封也不能替代</span><span style=\"font-size: 12px\">[3H]</span><span style=\"font-size: 12px;font-family: 宋体\">标记的雌二醇与</span><span style=\"font-size: 12px\">MCF7</span><span style=\"font-size: 12px;font-family: 宋体\">细胞相结合。代谢产物预保温后，雌激素与</span><span style=\"font-size: 12px\">FLG29.1</span><span style=\"font-size: 12px;font-family: 宋体\">细胞的结合增加。依普拉封及其代谢产物不能引起</span><span style=\"font-size: 12px\">FLG29.1</span><span style=\"font-size: 12px;font-family: 宋体\">雌激素受体相关基因的表达，也不引起</span><span style=\"font-size: 12px\">MCF7</span><span style=\"font-size: 12px;font-family: 宋体\">对信息基因（</span><span style=\"font-size: 12px\">CAT</span><span style=\"font-size: 12px;font-family: 宋体\">）和雌激素反应成分的影响。</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">&nbsp; &nbsp; 上述结论提示，依普拉封作用于破骨细胞前体，而不是雌激素受体相互作用的调节。有关依普拉封的类雌激素作用及与雌激素受体结合的部位、直接或间接的作用等问题尚有争议，还需在分子水平作进一步的研究。</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">剂量为每天口服</span><span style=\"font-size: 12px\">600mg</span><span style=\"font-size: 12px;font-family: 宋体\">，分</span><span style=\"font-size: 12px\">3</span><span style=\"font-size: 12px;font-family: 宋体\">次给药。不良反应主要是胃肠道反应，发生率在</span><span style=\"font-size: 12px\">10%</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">16.1%</span><span style=\"font-size: 12px;font-family: 宋体\">。极少数患者出现可逆性白细胞减少，停药后可恢复正常。</span></p><p><span style=\"font-size: 12px\">&nbsp; &nbsp; 9. &nbsp;</span><span style=\"font-size: 12px;font-family: 宋体\">氟制剂</span><span style=\"font-size: 12px\">&nbsp; </span><span style=\"font-size: 12px;font-family: 宋体\">氟是骨和牙齿生长发育必需的微量元素，对骨有特殊的亲和力，在骨质中取代羟磷灰石上的</span><span style=\"font-size: 12px\">OH</span><span style=\"font-size: 12px;font-family: 宋体\">－，形成的氟磷灰石能拮抗破骨细胞的溶骨作用，并刺激成骨细胞的活性，促进骨形成，尤其增加松质骨的形成。应用氟化物时，必须配用足够的钙剂，才能使新骨转变为成熟骨。单氟磷酸谷酰胺与钙剂合制成的特乐定嚼片（每片含氟元素</span><span style=\"font-size: 12px\">5mg</span><span style=\"font-size: 12px;font-family: 宋体\">，钙元素</span><span style=\"font-size: 12px\">150mg</span><span style=\"font-size: 12px;font-family: 宋体\">）目前已用于临床，</span><span style=\"font-size: 12px\">3</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">4</span><span style=\"font-size: 12px;font-family: 宋体\">片</span><span style=\"font-size: 12px\">/d</span><span style=\"font-size: 12px;font-family: 宋体\">，口服，有消化道刺激的不适反应。</span></p><p><span style=\"font-size: 12px\">&nbsp; &nbsp; 10. </span><span style=\"font-size: 12px;font-family: 宋体\">甲状旁腺素（</span><span style=\"font-size: 12px\">PTH</span><span style=\"font-size: 12px;font-family: 宋体\">）</span><span style=\"font-size: 12px\">&nbsp; </span><span style=\"font-size: 12px;font-family: 宋体\">小剂量间隙皮下注射</span><span style=\"font-size: 12px\">PTH</span><span style=\"font-size: 12px;font-family: 宋体\">在动物实验中有成骨作用，可使骨量增加，并提高抗骨折能力，目前临床应用资料较少，还需要临床进一步观察研究。</span></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('505', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1587', '概述', '<p>&nbsp; &nbsp;<span style=\"font-family: 宋体;\">胸膜腔内积气称为气胸，创伤性气胸发生率在钝性伤中占</span>15%<span style=\"font-family: 宋体;\">～</span>50%<span style=\"font-family: 宋体;\">，在穿透性伤中占</span>30%<span style=\"font-family: 宋体;\">～</span>87.6%<span style=\"font-family: 宋体;\">。气胸中空气在绝大多数病例来源于肺被肋骨骨折断端刺破，亦可由于暴力作用引起的支气管或肺组织挫裂伤，或因气道内压力急剧升高而引起的支气管或肺破裂。气胸分为闭合性、张力性和开放性气胸三类。开放性气胸患者常在伤后迅速出现严重呼吸困难、发绀和休克。检查时可见胸壁有明显创口通入胸腔。一经发现，必须立刻急救，尽快封闭胸壁创口，同时进一步检查和弄清伤情，安放胸腔闭式引流，必要时应尽早剖胸探查处理。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('506', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1587', '病因', '<p><span style=\"font-family: 宋体;\">&nbsp; &nbsp; 由火器伤或锐器伤造成胸壁缺损创口，伤及肺、支气管和气管或食管，亦可引起气胸，且多为血气胸或脓气胸。偶尔在闭合性或穿透性膈肌破裂时伴有胃破裂而引起脓气胸。胸膜腔与外界大气直接相交通，空气可随呼吸自由进行胸膜腔，形成开放性气胸。伤侧胸腔压力等于大气压，肺受压萎陷，萎陷的程度取决于肺顺应性和胸膜有无粘连。健侧胸膜腔仍为负压，低于伤侧，使纵隔向健侧移位，健侧肺亦有一定程度的萎陷。同时由于健侧胸腔压力仍可随呼吸周期而增减，从而引起纵隔摆动（或扑动）和残气对流（或摆动气），导致严重的通气、换气功能障碍。纵隔摆动引起心脏大血管来回扭曲以及胸腔负压受损，使静脉血回流受阻，心排出量减少。</span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('507', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1587', '临床表现', '<p>&nbsp; &nbsp;<span style=\"font-family: 宋体;\">开放性气胸患者常在伤后迅速出现严重呼吸困难、不安、脉搏细弱频数、发绀和休克。检查时可见胸壁有明显创口通入胸腔，并可听到空气随呼吸进出的“嘶</span>-<span style=\"font-family: 宋体;\">嘶”声音。伤侧叩诊鼓音，呼吸音消失，有时可听到纵隔摆动声。</span></p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('508', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1587', '辅助检查', '<p>1.<span style=\"font-family: 宋体;\">胸腹腔穿刺</span></p><p><span style=\"font-family:宋体\">如果患者血气胸和腹膜刺激征同时存在，则应该及早进行胸腹腔穿刺，胸腹腔穿刺是一种简便又可靠的诊断方法。</span></p><p>2.X<span style=\"font-family:宋体\">线检查</span></p><p><span style=\"font-family:宋体\">是诊断气胸的重要方法，肺内病变情况以及有无胸膜粘连、胸腔积液和纵隔移位等。纵隔旁出现透光带提示有纵隔气肿。气胸线以外透亮度增高，无肺纹可见。大量气胸时，肺脏向肺门回缩，外缘呈弧形或分叶状。</span></p><p>3.CT<span style=\"font-family:宋体\">检查</span></p><p><span style=\"font-family:宋体\">胸部钝性创伤中血胸与气胸同时存在，基本由于胸部受挤压及肋骨骨折所引起相应部位肺挫伤及肺破裂所致。横贯一侧或双侧胸腔的气液平面为其特征表现。</span></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('509', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1587', '诊断', '<p>1.<span style=\"font-family: 宋体;\">有外伤史。</span></p><p>2.<span style=\"font-family:宋体\">临床表现：①胸壁有伤口，胸膜腔与外界相通，呼吸时空气可经伤口自由出入。②有严重发绀、缺氧及呼吸困难。③伤员多伴有休克。</span></p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('510', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1587', '治疗', '<p>1.<span style=\"font-family: 宋体;\">紧急处理</span></p><p><span style=\"font-family:宋体\">开放性气胸易于诊断，一经发现，必须立刻急救。根据患者当时所处现场的条件，自救或互救，尽快封闭胸壁创口，变开放性气胸为闭合性气胸。可用大型急救包，多层清洁布块或厚纱布垫。如有大块凡林纱布或无菌塑料布则更为合用。要求封闭敷料够厚以避免漏气，但不能往创口内填塞；范围应超过创缘</span>5<span style=\"font-family:宋体\">厘米以上。患者到达医院后首先给予输血、补液和吸氧等治疗，纠正呼吸和循环功能紊乱，同时进一步检查和弄清伤情。待全身情况改善后，尽早在气管插管麻醉下进行清创术并安放胸腔闭式引流。如果有肺、支气管、心脏和血管等胸内脏器的严重损伤，应尽早剖胸探查处理。</span></p><p>2.<span style=\"font-family:宋体\">胸腔闭式引流</span></p><p><span style=\"font-family:宋体\">胸腔闭式引流是最简单而有效的治疗手段，是抢救患者生命的有效措施，它不仅有利于肺的复张，改善患者呼吸和循环状况，有利于观察胸腔内有无活动出血和漏气的情况及速度，而且为是否手术治疗提供依据。</span></p><p><span style=\"font-family:宋体\">（</span>1<span style=\"font-family:宋体\">）适应证急性脓胸、胸外伤、肺及其他胸腔大手术、张力性气胸。</span></p><p><span style=\"font-family:宋体\">（</span>2<span style=\"font-family:宋体\">）禁忌证结核性脓胸。</span></p><p><span style=\"font-family:宋体\">（</span>3<span style=\"font-family:宋体\">）注意事项保持引流管通畅，不使受压、扭转。逐日记录引流量及其性质和变化。每日帮助患者起坐及变换体位，使引流充分通畅。如系急性脓胸，术中宜取分泌物作常规检查、细菌培养及药物敏感度试验。如为张力性气胸，可于病侧锁骨中线第</span>2<span style=\"font-family:宋体\">前肋间、腋前线或腋中线的第</span>4<span style=\"font-family:宋体\">或第</span>5<span style=\"font-family:宋体\">肋间处置管，术后注意事项同套管胸腔闭式引流术。定期胸部</span>X<span style=\"font-family:宋体\">线摄片，了解肺膨胀和胸膜腔积液情况。</span></p><p><span style=\"font-family:宋体\">（</span>4<span style=\"font-family:宋体\">）治愈标准症状消失。胸壁伤口愈合。</span>X<span style=\"font-family:宋体\">线检查：气体消失，无积液，肺扩张良好。</span></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('517', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '702', '概述', '<p><span style=\"font-family: 宋体\">&nbsp; &nbsp; 咳嗽性哮喘</span>(cough type asthma)<span style=\"font-family:宋体\">，又称咳嗽变异性哮喘，是指以慢性咳嗽为主要或惟一临床表现的一种特殊类型哮喘。在支气管哮喘开始发病时，大约有</span>5%<span style=\"font-family:宋体\">～</span>6%<span style=\"font-family:宋体\">是以持续性咳嗽为主要症状的，多发生在夜间或凌晨，常为刺激性咳嗽，此时往往被误诊为支气管炎。近年来这一问题引起了国内外许多学者的注意，并发现在引起慢性咳嗽的单一原因中，哮喘占</span>24%<span style=\"font-family:宋体\">，居第</span>2<span style=\"font-family:宋体\">位，而</span>28%<span style=\"font-family:宋体\">的哮喘患者则以咳嗽为惟一临床症状。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('518', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '702', '临床表现', '<p>&nbsp; &nbsp; &nbsp;&nbsp;<span style=\"text-indent: 28px;\">&nbsp; &nbsp; 1.</span><span style=\"text-indent: 28px; font-family: 宋体;\">在表现为咳嗽性哮喘的成人中，发病年龄较典型哮喘为高，约有</span><span style=\"text-indent: 28px;\">13%</span><span style=\"text-indent: 28px; font-family: 宋体;\">患者年龄大于</span><span style=\"text-indent: 28px;\">50</span><span style=\"text-indent: 28px; font-family: 宋体;\">岁，中年女性较多见。而在儿童时期，咳嗽可能是哮喘的唯一症状，甚至是发展为支气管哮喘的一个先兆。</span></p><p style=\"text-indent:28px\">&nbsp;&nbsp;&nbsp; 2.<span style=\"font-family:宋体\">多有较明确的家族过敏史或有其他部位的过敏性疾病史，如过敏性鼻炎、湿疹等。</span></p><p style=\"text-indent:28px\">&nbsp;&nbsp;&nbsp; 3.<span style=\"font-family:宋体\">发作大多有一定的季节性，以春秋为多。</span></p><p style=\"text-indent:28px\">&nbsp;&nbsp;&nbsp; 4.<span style=\"font-family:宋体\">临床表现主要为长期顽固性干咳，常常在运动、吸入冷空气、上呼吸道感染后诱发，在夜间或凌晨加剧，体检时无哮鸣音，肺功能损害介于正常人与典型哮喘之间，皮肤过敏原试验可以阳性。</span></p><p style=\"text-indent:28px\">&nbsp;&nbsp;&nbsp; 5.<span style=\"font-family:宋体\">支气管激发试验阳性，当出现阳性反应时，可以出现类似发病时的刺激性咳嗽，提示气道高反应性的存在；气道阻塞的可逆性试验阳性。</span></p><p style=\"text-indent:28px\">&nbsp;&nbsp;&nbsp; 6.<span style=\"font-family:宋体\">一般的止咳化痰药和抗生素治疗无效，而用抗组胺药、β</span>2-<span style=\"font-family:宋体\">受体激动剂、茶碱类或肾上腺皮质激素可缓解。</span></p><p><span style=\"font-family:宋体\">并发症：可合并低氧血症，气胸，纵隔气肿，严重可发展急性肺水肿。</span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('519', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '702', '辅助检查', '<p>1<span style=\"font-family: 宋体;\">、支气管激发试验阳性。</span></p><p>2<span style=\"font-family:宋体\">、胸部</span>X<span style=\"font-family:宋体\">线检查正常。</span></p><p>3<span style=\"font-family:宋体\">、</span>.<span style=\"font-family:宋体\">肺功能检查多数正常，少数病人可有轻度阻塞性通气功能障碍的表现，</span>FEV1/FVC(<span style=\"font-family:宋体\">一秒用力呼气量</span>/<span style=\"font-family:宋体\">用力肺活量</span>)<span style=\"font-family:宋体\">＜</span>70%<span style=\"font-family:宋体\">或＜正常预计值的</span>80%<span style=\"font-family:宋体\">。</span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('520', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '702', '诊断', '<p><span style=\"font-family: 宋体\"><b>&nbsp; &nbsp; &nbsp;&nbsp;</b>在遇到仅主诉为长期咳嗽</span>(<span style=\"font-family:宋体\">时间大于</span>2<span style=\"font-family:宋体\">周</span>)<span style=\"font-family:宋体\">的患者时，应当考虑到哮喘的可能，在详细询问病史、认真体检、总结临床特点的基础上，结合以下方法可以确诊：</span></p><p style=\"text-indent:28px\">&nbsp;&nbsp;&nbsp; 1.<span style=\"font-family:宋体\">若患者就诊时测定的</span>FEVl<span style=\"font-family:宋体\">或</span>PEFR<span style=\"font-family:宋体\">低于正常值的</span>70%<span style=\"font-family:宋体\">，可令其吸入支气管扩张剂，如</span>2%<span style=\"font-family:宋体\">沙丁胺醇</span>200<span style=\"font-family:宋体\">μ</span>g<span style=\"font-family:宋体\">，</span>15min<span style=\"font-family:宋体\">后复测上述指标，如</span>FEVl<span style=\"font-family:宋体\">和</span>PEFR<span style=\"font-family:宋体\">改善率≥</span>15%<span style=\"font-family:宋体\">，可确诊本病。</span></p><p style=\"text-indent:28px\">&nbsp;&nbsp;&nbsp; 2.<span style=\"font-family:宋体\">如果患者就诊时</span>FEV1<span style=\"font-family:宋体\">及</span>PEFR<span style=\"font-family:宋体\">≥</span>70%<span style=\"font-family:宋体\">正常预计值，可谨慎地进行支气管激发试验。</span></p><p style=\"text-indent:28px\">&nbsp;&nbsp;&nbsp; 3.<span style=\"font-family:宋体\">连续</span>3<span style=\"font-family:宋体\">天测定</span>24h<span style=\"font-family:宋体\">内</span>PEFR<span style=\"font-family:宋体\">昼夜变化，是诊断这类支气管哮喘简单而有效的筛选方法，若</span>PEFR<span style=\"font-family:宋体\">变异率≥</span>20%<span style=\"font-family:宋体\">，可确诊本病。</span></p><p style=\"text-indent:28px\">&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">虽然肺功能指标的测定是早期发现这类哮喘的有效手段，但有人研究发现昼夜咳嗽的频率与肺功能损害的程度并不相关。</span></p><p style=\"text-indent:28px\">&nbsp;&nbsp;&nbsp; 4.<span style=\"font-family:宋体\">试验治疗</span>&nbsp; <span style=\"font-family:宋体\">对于可疑患者，可以试用支气管扩张剂，包括β</span>2<span style=\"font-family:宋体\">受体兴奋剂、茶碱类，如咳嗽明显减轻或消失，则支持支气管哮喘的诊断；如疗效不显著，可改用泼尼松</span> (30<span style=\"font-family:宋体\">～</span>40mg/d)<span style=\"font-family:宋体\">，多数咳嗽性哮喘可在</span>1<span style=\"font-family:宋体\">周内症状明显缓解，少数患者需治疗</span>2<span style=\"font-family:宋体\">周才见效。</span></p><p style=\"text-indent:28px\">&nbsp;&nbsp;&nbsp; 5.<span style=\"font-family:宋体\">排除其他可以引起慢性咳嗽的疾病。</span></p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('521', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '702', '鉴别诊断', '<p><span style=\"font-family:宋体\"> &nbsp; &nbsp;由于咳嗽是许多疾病的一种非特异性症状，临床上进行确诊时必须详细询问病史、全面查体、做胸部</span>X<span style=\"font-family:宋体\">线、心电图、纤维支气管镜及一些特殊检查以除外一些可以引起慢性、顽固性咳嗽的其他疾病。慢支、胃食道反流、支气管哮喘、后鼻孔滴漏是慢性咳嗽最常见的病因，而且一部分胃食道反流患者可以并存支气管哮喘；此外，慢性心功能不全、食道裂孔疝、过敏性鼻炎、高血压病，气道炎症、肿物、结核灶、异物以及烟雾刺激、焦虑等都可导致慢性咳嗽。</span></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('522', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '702', '治疗', '<p><span style=\"font-size:14px;font-family:宋体\"> </span><span style=\"font-size: 12px;\"><span style=\"font-family: 宋体;\">&nbsp; &nbsp;顽固咳嗽常常是早期哮喘的一种表现形式，可能发展为典型的支气管哮喘，故应及早诊断并进行治疗。由于其本质同典型哮喘一样，是因变应原或其他诱因引起的气道慢性非特异性炎症，以及在此基础上形成的气道高反应性和顽固性咳嗽，故治疗原则和典型哮喘一样，主要应用支气管扩张剂，口服茶碱类药物和</span><span style=\"font-family: Calibri, sans-serif;\">(</span><span style=\"font-family: 宋体;\">或</span><span style=\"font-family: Calibri, sans-serif;\">)</span><span style=\"font-family: 宋体;\">β</span><span style=\"font-family: Calibri, sans-serif;\">2</span><span style=\"font-family: 宋体;\">受体兴奋剂。一些抗变态反应及稳定肥大细胞的药物如奈多罗米、色甘酸、酮替芬也可以收到良好的效果。这些药物若不显效，可考虑应用肾上腺糖皮质激素，加用倍氯米松</span><span style=\"font-family: Calibri, sans-serif;\">(</span><span style=\"font-family: 宋体;\">二丙酸倍氯米松</span><span style=\"font-family: Calibri, sans-serif;\">)</span><span style=\"font-family: 宋体;\">气雾剂或口服泼尼松，另可试用雾化吸入抗胆碱能类药物。</span></span></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('523', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1004', '概述', '<p>&nbsp; &nbsp;<span style=\"font-family: 宋体; text-indent: 28px;\">慢性非细菌性前列腺炎主要表现为骨盆区域疼痛，可见于会阴、阴茎、肛周部、尿道、耻骨部或腰骶部等部位。排尿异常可表现为尿急、尿频、尿痛和夜尿增多等。其发病机制未明，病因学十分复杂，存在广泛争议。慢性非细菌性前列腺炎缺乏客观的、特异性的诊断依据，临床诊断时应与可能导致骨盆区域疼痛和排尿异常的疾病进行鉴别诊断，以排尿异常为主的患者应明确有无膀胱出口梗阻和膀胱功能异常。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('524', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1004', '病因', '<p>&nbsp; &nbsp; &nbsp;&nbsp;<span style=\"font-family: 宋体; text-indent: 28px;\">病因十分复杂，多数学者认为其主要病因可能是病原体感染、炎症和异常的盆底神经肌肉活动和免疫异常等共同作用结果。</span></p><p style=\"text-indent:28px\">1.<span style=\"font-family:宋体\">病原体感染</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">本型患者虽然常规细菌检查未能分离出病原体，但可能仍然与某些特殊病原体：如厌氧菌、</span>L<span style=\"font-family:宋体\">型变形菌、纳米细菌、或沙眼衣原体、支原体等感染有关。</span></p><p style=\"text-indent:28px\">2.<span style=\"font-family:宋体\">排尿功能障碍</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">某些因素引起尿道括约肌过度收缩，导致膀胱出口梗阻与残余尿形成，造成尿液反流入前列腺，不仅可将病原体带入前列腺，也可直接刺激前列腺，诱发无菌的“化学性前列腺炎”。</span></p><p style=\"text-indent:28px\">3.<span style=\"font-family:宋体\">精神心理因素</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">经久不愈的前列腺炎患者中一半以上存在明显的精神心理因素和人格特征改变。如：焦虑、压抑、疑病症、癔病，甚至自杀倾向。这些精神、心理因素的变化可引起植物神经功能紊乱，造成后尿道神经肌肉功能失调，导致骨盆区域疼痛及排尿功能失调；或引起下丘脑</span>-<span style=\"font-family:宋体\">垂体</span>-<span style=\"font-family:宋体\">性腺轴功能变化而影响性功能，进一步加重症状，消除精神紧张可使症状缓解或痊愈。但目前还不清楚精神心理改变是其直接原因，还是继发表现。</span></p><p style=\"text-indent:28px\">4.<span style=\"font-family:宋体\">免疫反应异常</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">近年研究显示免疫因素在慢性非细菌性前列腺炎的发生发展和病程演变中发挥着非常重要的作用。</span></p><p style=\"text-indent:28px\">5.<span style=\"font-family:宋体\">氧化应激</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">前列腺炎患者氧自由基的产生过多或</span>/<span style=\"font-family:宋体\">和自由基的清除体系作用相对降低，从而使机体抗氧化应激作用的反应能力降低、氧化应激作用产物或</span>/<span style=\"font-family:宋体\">和副产物增加。</span></p><p style=\"text-indent:28px\"><span style=\"font-size: 12px;\">6.<span style=\"font-family: 宋体;\">盆腔相关疾病因素</span></span></p><p><span style=\"font-family: 宋体; font-size: 12px;\">间质性膀胱炎是可能的病因，前列腺外周带静脉丛扩张、痔、精索静脉曲张等是造成慢性前列腺炎久治不愈的原因之一。</span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('525', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1004', '临床表现', '<p><span style=\"font-family: 宋体; text-indent: 28px;\"> &nbsp; &nbsp;主要表现为骨盆区域疼痛，可见于会阴、阴茎、肛周部、尿道、耻骨部或腰骶部等部位。排尿异常可表现为尿急、尿频、尿痛和夜尿增多等。由于慢性疼痛久治不愈，患者生活质量下降，并可能有性功能障碍、焦虑、抑郁、失眠、记忆力下降等。</span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('526', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1004', '辅助检查', '<p>&nbsp; &nbsp; &nbsp;&nbsp;<span style=\"text-indent: 28px;\">1.</span><span style=\"text-indent: 28px; font-family: 宋体;\">体格检查</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">直肠指检可了解前列腺大小、质地、有无结节、有无压痛及其范围与程度，盆底肌肉的紧张度、盆壁有无压痛，按摩前列腺获得前列腺液。</span></p><p style=\"text-indent:28px\">2.<span style=\"font-family:宋体\">实验室检查</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">（</span>1<span style=\"font-family:宋体\">）前列腺按摩液常规检查正常的前列腺按摩液中白细胞</span>HP<span style=\"font-family:宋体\">，卵磷脂小体均匀分布于整个视野，</span>pH6.3<span style=\"font-family:宋体\">～</span>6.5<span style=\"font-family:宋体\">，红细胞和上皮细胞不存在或偶见。当白细胞</span>&gt;10<span style=\"font-family:宋体\">个</span>/HP<span style=\"font-family:宋体\">，卵磷脂小体数量减少，有诊断意义。</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">（</span>2<span style=\"font-family:宋体\">）尿常规分析及尿沉渣检查尿常规分析及尿沉渣检查是排除尿路感染、诊断前列腺炎的辅助方法。</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">（</span>3<span style=\"font-family:宋体\">）细菌学检查推荐“两杯法”或“四杯法”病原体定位试验。</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">（</span>4<span style=\"font-family:宋体\">）其他实验室检查前列腺炎患者可能出现精液质量异常，在部分慢性前列腺炎患者中也会出现</span>PSA<span style=\"font-family:宋体\">升高的情况。尿细胞学检查在与膀胱原位癌等鉴别方面具有一定价值。</span></p><p style=\"text-indent:28px\">3.B<span style=\"font-family:宋体\">超检查</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">可以发现前列腺回声不均，前列腺结石或钙化，前列腺周围静脉丛扩张等表现，但目前仍然缺乏</span>B<span style=\"font-family:宋体\">超诊断前列腺炎的特异性表现，也无法利用</span>B<span style=\"font-family:宋体\">超对前列腺炎进行分型。</span></p><p style=\"text-indent:28px\">4.<span style=\"font-family:宋体\">尿动力学</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">①尿流率尿流率检查可以大致了解患者排尿状况，有助于前列腺炎与排尿障碍相关疾病进行鉴别；②尿动力学检查可以发现膀胱尿道功能障碍。</span></p><p style=\"text-indent:28px\">5.CT<span style=\"font-family:宋体\">和</span>MRI<span style=\"font-family:宋体\">检查</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">对鉴别精囊、射精管等盆腔器官病变有潜在应用价值，但对于前列腺炎本身的诊断价值仍不清楚。</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">须详细询问病史、全面体格检查（包括直肠指检）、尿液和前列腺按摩液常规检查。推荐应用</span>NIH<span style=\"font-family:宋体\">慢性前列腺炎症状指数进行症状评分。推荐“两杯法”或“四杯法”进行病原体定位试验。</span></p><p style=\"text-indent: 28px;\"><span style=\"font-family:宋体\">为明确诊断及鉴别诊断，可选择的检查有：精液分析或细菌培养、前列腺特异性抗原、尿细胞学、经腹或经直肠</span>B<span style=\"font-family:宋体\">超（包括残余尿测定）、尿流率、尿动力学、</span>CT<span style=\"font-family:宋体\">、</span>MRI<span style=\"font-family:宋体\">、尿道膀胱镜检查和前列腺穿刺活检等。</span></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('527', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1004', '诊断与鉴别诊断', '<p><strong><span style=\"font-family:宋体\">诊断</span></strong></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">依据病史、全面体格检查（包括直肠指检）、尿液和前列腺按摩液常规检查、精液分析或细菌培养、前列腺特异性抗原、尿细胞学、经腹或经直肠</span>B<span style=\"font-family:宋体\">超（包括残余尿测定）、尿流率、尿动力学、</span>CT<span style=\"font-family:宋体\">、</span>MRI<span style=\"font-family:宋体\">、尿道膀胱镜检查和前列腺穿刺活检等作出诊断。</span></p><p><strong><span style=\"font-family:宋体\">鉴别诊断</span></strong></p><p style=\"text-indent: 28px;\"><span style=\"font-family:宋体\">慢性非细菌性前列腺炎缺乏客观的、特异性的诊断依据，临床诊断时应与可能导致骨盆区域疼痛和排尿异常的疾病，如良性前列腺增生、睾丸附睾和精索疾病、膀胱过度活动症、间质性膀胱炎、膀胱肿瘤、前列腺癌、肛门直肠疾病、腰椎疾病、中枢和外周神经病变等进行鉴别诊断。</span></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('528', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1004', '治疗', '<p>&nbsp; &nbsp; &nbsp; &nbsp;<span style=\"font-family: 宋体; text-indent: 28px;\">慢性非细菌性前列腺炎应采取综合治疗。治疗目标主要是缓解疼痛、改善排尿症状和提高生活质量。</span></p><p style=\"text-indent:28px\">1.<span style=\"font-family:宋体\">一般治疗</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">健康教育、心理和行为辅导有积极作用。患者应戒酒，忌辛辣刺激食物；避免憋尿、久坐，注意保暖，加强体育锻炼。</span></p><p style=\"text-indent:28px\">2.<span style=\"font-family:宋体\">药物治疗</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">最常用的药物是抗生素、α</span>-<span style=\"font-family:宋体\">受体阻滞剂、植物制剂和非甾体抗炎镇痛药，其他药物对缓解症状也有不同程度的疗效。</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">（</span>1<span style=\"font-family:宋体\">）抗生素目前，在治疗慢性非细菌性前列腺炎的临床实践中，最常用的一线药物是抗生素，但是只有约</span>5%<span style=\"font-family:宋体\">的慢性前列腺炎患者有明确的细菌感染。①炎症型抗生素治疗大多为经验性治疗，理论基础是推测某些常规培养阴性的病原体导致了该型炎症的发生。因此，推荐先口服氟喹诺酮等抗生素</span>2<span style=\"font-family:宋体\">～</span>4<span style=\"font-family:宋体\">周，然后根据疗效反馈决定是否继续抗生素治疗。只在临床症状确有减轻时，才建议继续应用抗生素。推荐的总疗程为</span>4<span style=\"font-family:宋体\">～</span>6<span style=\"font-family:宋体\">周。②非炎症型不推荐使用抗生素治疗。</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">（</span>2<span style=\"font-family:宋体\">）α</span>-<span style=\"font-family:宋体\">受体阻滞剂α</span>-<span style=\"font-family:宋体\">受体阻滞剂能松弛前列腺和膀胱等部位的平滑肌而改善下尿路症状和疼痛，因而成为治疗慢性前列腺炎的基本药物。</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">可根据患者的情况选择不同的α</span>-<span style=\"font-family:宋体\">受体阻滞剂。推荐使用的α</span>-<span style=\"font-family:宋体\">受体阻滞剂主要有：多沙唑嗪、萘哌地尔、坦索罗辛和特拉唑嗪等，对照研究结果显示上述药物对患者的排尿症状、疼痛及生活质量指数等有不同程度的改善。</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">（</span>3<span style=\"font-family:宋体\">）植物制剂植物制剂在慢性前列腺炎中的治疗作用日益受到重视，为推荐的治疗药物。植物制剂主要指花粉类制剂与植物提取物，其药理作用较为广泛，如非特异性抗炎、抗水肿、促进膀胱逼尿肌收缩与尿道平滑肌松弛等作用。推荐使用的植物制剂有：普适泰、沙巴棕及其浸膏等。由于品种较多，其用法用量需依据患者的具体病情而定，通常疗程以月为单位。不良反应较小。</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">（</span>4<span style=\"font-family:宋体\">）非甾体抗炎镇痛药非甾体抗炎镇痛药是治疗慢性非细菌性前列腺炎相关症状的经验性用药。其主要目的是缓解疼痛和不适。</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">（</span>5<span style=\"font-family:宋体\">）</span>M-<span style=\"font-family:宋体\">受体阻滞剂对表现如尿急、尿频和夜尿但无尿路梗阻的前列腺炎患者，可以使用</span>M-<span style=\"font-family:宋体\">受体阻滞剂（如托特罗定等）治疗。</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">（</span>6<span style=\"font-family:宋体\">）抗抑郁药及抗焦虑药对合并抑郁、焦虑等心境障碍的慢性前列腺炎患者，在治疗前列腺炎的同时，可选择使用抗抑郁药及抗焦虑药治疗。这些药物既可以改善患者心境障碍症状，还可缓解排尿异常与疼痛等躯体症状。应用时必须注意这些药物的处方规定和药物不良反应。可选择的抗抑郁药及抗焦虑药主要有选择性</span>5-<span style=\"font-family:宋体\">羟色胺再摄取抑制剂、三环类抗抑郁剂等药物。</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">（</span>7<span style=\"font-family:宋体\">）中医中药推荐按照中医药学会或中西医结合学会有关规范进行前列腺炎的中医中药治疗</span></p><p style=\"text-indent:28px\">3.<span style=\"font-family:宋体\">其他治疗</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">（</span>1<span style=\"font-family:宋体\">）前列腺按摩前列腺按摩是传统的治疗方法之一，研究显示适当的前列腺按摩可促进前列腺腺管排空并增加局部的药物浓度，进而缓解慢性前列腺炎患者的症状，故推荐为慢性非细菌性前列腺炎的辅助疗法。</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">（</span>2<span style=\"font-family:宋体\">）生物反馈治疗研究表明慢性前列腺炎患者存在盆底肌的协同失调或尿道外括约肌的紧张。生物反馈合并电刺激治疗可使盆底肌松弛，并使之趋于协调，同时松弛外括约肌，从而缓解慢性前列腺炎的会阴部不适及排尿症状。</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">（</span>3<span style=\"font-family:宋体\">）热疗主要利用多种物理手段所产生的热效应，增加前列腺组织血液循环，加速新陈代谢，有利于消炎和消除组织水肿，缓解盆底肌肉痉挛等。短期内有一定的缓解症状作用，但长期效果不明确。对于未婚及未生育者不推荐使用。</span></p><p style=\"text-indent: 28px;\"><span style=\"font-family:宋体\">（</span>4<span style=\"font-family:宋体\">）前列腺注射治疗经尿道前列腺灌注治疗疗效与安全性均为得到证实。</span></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('529', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '999', '概述', '<p style=\"text-indent: 28px;\"><span style=\"font-family:宋体\">慢性前列腺炎包括慢性细菌性前列腺炎和非细菌性前列腺炎两部分。其中慢性细菌性前列腺炎主要为病原体感染，以逆行感染为主，病原体主要为葡萄球菌属，常有反复的尿路感染发作病史或前列腺按摩液中持续有致病菌存在。非细菌性前列腺炎是多种复杂的原因和诱因引起的炎症、免疫、神经内分泌参与的错综的病理变化，导致以尿道刺激症状和慢性盆腔疼痛为主要临床表现，而且常合并精神心理症状的疾病，临床表现多样。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('530', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '999', '病因与分类', '<p><strong><span style=\"font-family:宋体\">病因</span></strong></p><p>1.<span style=\"font-family:宋体\">慢性细菌性前列腺炎</span></p><p><span style=\"font-family:宋体\">致病因素亦主要为病原体感染，但机体抵抗力较强或</span>/<span style=\"font-family:宋体\">和病原体毒力较弱，以逆行感染为主，病原体主要为葡萄球菌属，其次为大肠埃希菌、棒状杆菌属及肠球菌属等。前列腺结石和尿液反流可能是病原体持续存在和感染复发的重要原因。</span></p><p>2.<span style=\"font-family:宋体\">慢性非细菌性前列腺炎</span></p><p><span style=\"font-family:宋体\">病因学十分复杂，其主要病因可能是病原体感染、炎症和异常的盆底神经肌肉活动和免疫异常等共同作用结果。</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp;（</span>1<span style=\"font-family:宋体\">）病原体感染</span> <span style=\"font-family:宋体\">本型患者虽然常规细菌检查未能分离出病原体，但可能仍然与某些特殊病原体：如厌氧菌、</span>L<span style=\"font-family:宋体\">型变形菌、纳米细菌、或沙眼衣原体、支原体等感染有关。有研究表明本型患者局部原核生物</span>DNA<span style=\"font-family:宋体\">检出率可高达</span>77%<span style=\"font-family:宋体\">；临床某些以慢性炎症为主、反复发作或加重的“无菌性”前列腺炎，可能与这些病原体有关。其他病原体如寄生虫、真菌、病毒、滴虫、结核分枝杆菌等也可能是该型的重要致病因素，但缺乏可靠证据，至今尚无统一意见。</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp;（</span>2<span style=\"font-family:宋体\">）排尿功能障碍</span> <span style=\"font-family:宋体\">某些因素引起尿道括约肌过度收缩，导致膀胱出口梗阻与残余尿形成，造成尿液反流入前列腺，不仅可将病原体带入前列腺，也可直接刺激前列腺，诱发无菌的“化学性前列腺炎”，引起排尿异常和骨盆区域疼痛等。</span></p><p><span style=\"font-family:宋体\">许多前列腺炎患者存在多种尿动力学改变，如：尿流率降低、功能性尿路梗阻、逼尿肌</span>-<span style=\"font-family:宋体\">尿道括约肌协同失调等。这些功能异常也许只是一种临床现象，其本质可能与潜在的各种致病因素有关。</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp;（</span>3<span style=\"font-family:宋体\">）精神心理因素</span> <span style=\"font-family:宋体\">研究表明：经久不愈的前列腺炎患者中一半以上存在明显的精神心理因素和人格特征改变。如：焦虑、压抑、疑病症、癔病，甚至自杀倾向。这些精神、心理因素的变化可引起植物神经功能紊乱，造成后尿道神经肌肉功能失调，导致骨盆区域疼痛及排尿功能失调；或引起下丘脑</span>-<span style=\"font-family:宋体\">垂体</span>-<span style=\"font-family:宋体\">性腺轴功能变化而影响性功能，进一步加重症状，消除精神紧张可使症状缓解或痊愈。但目前还不清楚精神心理改变是其直接原因，还是继发表现。</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp;（</span>4<span style=\"font-family:宋体\">）神经内分泌因素</span> <span style=\"font-family:宋体\">前列腺痛患者往往容易发生心率和血压的波动，表明可能与自主神经反应有关。其疼痛具有内脏器官疼痛的特点，前列腺、尿道的局部病理刺激，通过前列腺的传入神经触发脊髓反射，激活腰、骶髓的星形胶质细胞，神经冲动通过生殖股神经和髂腹股沟神经传出冲动，交感神经末梢释放去甲肾上腺素、前列腺素、降钙素基因相关肽、</span>P<span style=\"font-family:宋体\">物质等，引起膀胱尿道功能紊乱，并导致会阴、盆底肌肉异常活动，在前列腺以外的相应区域出现持续的疼痛和牵涉痛。</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp;（</span>5<span style=\"font-family:宋体\">）免疫反应异常</span> <span style=\"font-family:宋体\">近年研究显示免疫因素在</span>III<span style=\"font-family:宋体\">型前列腺炎的发生发展和病程演变中发挥着非常重要的作用，患者的前列腺液和</span>/<span style=\"font-family:宋体\">或精浆和</span>/<span style=\"font-family:宋体\">或组织和</span>/<span style=\"font-family:宋体\">或血液中可出现某些细胞因子水平的变化，如：</span>IL-2<span style=\"font-family:宋体\">、</span>IL-6<span style=\"font-family:宋体\">、</span>IL-8<span style=\"font-family:宋体\">、</span>IL-10<span style=\"font-family:宋体\">、</span>TNF-<span style=\"font-family:宋体\">α及</span>MCP-1<span style=\"font-family:宋体\">等，而且</span>IL-10<span style=\"font-family:宋体\">水平与</span>III<span style=\"font-family:宋体\">型前列腺炎患者的疼痛症状呈正相关，应用免疫抑制剂治疗有一定效果。</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp;（</span>6<span style=\"font-family:宋体\">）氧化应激学说</span> <span style=\"font-family:宋体\">正常情况下，机体氧自由基的产生、利用、清除处于动态平衡状态。前列腺炎患者氧自由基的产生过多或</span>/<span style=\"font-family:宋体\">和自由基的清除体系作用相对降低，从而使机体抗氧化应激作用的反应能力降低、氧化应激作用产物或</span>/<span style=\"font-family:宋体\">和副产物增加，也可能为发病机制之一。</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp;（</span>7<span style=\"font-family:宋体\">）盆腔相关疾病因素</span> <span style=\"font-family:宋体\">部分前列腺炎患者常伴有前列腺外周带静脉丛扩张、痔、精索静脉曲张等，提示部分慢性前列腺炎患者的症状可能与盆腔静脉充血，血液於滞相关，这也可能是造成久治不愈的原因之一。</span></p><p><strong><span style=\"font-family:宋体\">分类</span></strong></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp;慢性前列腺炎的命名属于旧的分类体系，在该体系中前列腺炎分为：急性细菌性前列腺炎（</span>ABP<span style=\"font-family:宋体\">）、慢性细菌性前列腺炎（</span>CBP<span style=\"font-family:宋体\">）、慢性非细菌性前列腺炎（</span>CNP<span style=\"font-family:宋体\">）、前列腺痛（</span>PD<span style=\"font-family:宋体\">）。慢性前列腺炎分为：慢性细菌性前列腺炎和慢性非细菌性前列腺炎，二者分别相当于前列腺炎</span>NIH<span style=\"font-family:宋体\">分型中与</span>II<span style=\"font-family:宋体\">型和</span>III<span style=\"font-family:宋体\">型。</span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('531', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '999', '临床表现', '<p>1.<span style=\"font-family: 宋体;\">慢性细菌性前列腺炎</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp;有反复发作的下尿路感染症状，如尿频、尿急、尿痛、排尿烧灼感，排尿困难、尿潴留，后尿道、肛门、会阴区坠胀不适。持续时间超过</span>3<span style=\"font-family:宋体\">个月。</span></p><p>2.<span style=\"font-family:宋体\">慢性非细菌性前列腺炎</span></p><p><span style=\"font-size:14px;font-family:宋体\">&nbsp;</span><span style=\"font-family:宋体\"> &nbsp;主要表现为骨盆区域疼痛，可见于会阴、阴茎、肛周部、尿道、耻骨部或腰骶部等部位。排尿异常可表现为尿急、尿频、尿痛和夜尿增多等。由于慢性疼痛久治不愈，患者生活质量下降，并可能有性功能障碍、焦虑、抑郁、失眠、记忆力下降等。</span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('532', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '999', '诊断', '<p><strong><span style=\"font-family:宋体\">诊断</span></strong></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp; 慢性前列腺炎：须详细询问病史、全面体格检查（包括直肠指检）、尿液和前列腺按摩液常规检查。推荐应用</span>NIH<span style=\"font-family:宋体\">慢性前列腺炎症状指数进行症状评分。推荐“两杯法”或“四杯法”进行病原体定位试验。</span></p><p><span style=\"font-family:宋体\">为明确诊断及鉴别诊断，可选择的检查有：精液分析或细菌培养、前列腺特异性抗原、尿细胞学、经腹或经直肠</span>B<span style=\"font-family:宋体\">超（包括残余尿测定）、尿流率、尿动力学、</span>CT<span style=\"font-family:宋体\">、</span>MRI<span style=\"font-family:宋体\">、尿道膀胱镜检查和前列腺穿刺活检等。</span></p><p><span style=\"font-family:宋体\">具体诊断方法：</span></p><p>&nbsp; &nbsp; 1.<span style=\"font-family:宋体\">病史采集。</span></p><p>&nbsp; &nbsp; 2.<span style=\"font-family:宋体\">体格检查</span></p><p><span style=\"font-family:宋体\">直肠指检可了解前列腺大小、质地、有无结节、有无压痛及其范围与程度，盆底肌肉的紧张度、盆壁有无压痛，按摩前列腺获得前列腺液。</span></p><p>3.<span style=\"font-family:宋体\">实验室检查</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp; （</span>1<span style=\"font-family:宋体\">）前列腺按摩液（</span>EPS<span style=\"font-family:宋体\">）常规检查</span> <span style=\"font-family:宋体\">正常的</span>EPS<span style=\"font-family:宋体\">中白细胞</span>HP<span style=\"font-family:宋体\">，卵磷脂小体均匀分布于整个视野，</span>pH6.3<span style=\"font-family:宋体\">～</span>6.5<span style=\"font-family:宋体\">，红细胞和上皮细胞不存在或偶见。当白细胞</span>&gt;10<span style=\"font-family:宋体\">个</span>/HP<span style=\"font-family:宋体\">，卵磷脂小体数量减少，有诊断意义。</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp; （</span>2<span style=\"font-family:宋体\">）尿常规分析及尿沉渣检查</span> <span style=\"font-family:宋体\">尿常规分析及尿沉渣检查是排除尿路感染、诊断前列腺炎的辅助方法。</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp; （</span>3<span style=\"font-family:宋体\">）细菌学检查</span> <span style=\"font-family:宋体\">慢性前列腺炎推荐“两杯法”或“四杯法”病原体定位试验。</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp; （</span>4<span style=\"font-family:宋体\">）其他病原体检查</span> <span style=\"font-family:宋体\">包括沙眼衣原体和支原体检查。</span></p><p>4.<span style=\"font-family:宋体\">器械检查</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp; （</span>1<span style=\"font-family:宋体\">）</span>B<span style=\"font-family:宋体\">超检查</span> <span style=\"font-family:宋体\">尽管前列腺炎患者</span>B<span style=\"font-family:宋体\">超检查可以发现前列腺回声不均，前列腺结石或钙化，前列腺周围静脉丛扩张等表现，但目前仍然缺乏</span>B<span style=\"font-family:宋体\">超诊断前列腺炎的特异性表现，也无法利用</span>B<span style=\"font-family:宋体\">超对前列腺炎进行分型。</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp; （</span>2<span style=\"font-family:宋体\">）尿动力学</span> <span style=\"font-family:宋体\">①尿流率，尿流率检查可以大致了解患者排尿状况，有助于前列腺炎与排尿障碍相关疾病进行鉴别；②尿动力学检查，可以发现膀胱尿道功能障碍。</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp; （</span>3<span style=\"font-family:宋体\">）</span>CT<span style=\"font-family:宋体\">和</span>MRI <span style=\"font-family:宋体\">对鉴别精囊、射精管等盆腔器官病变有潜在应用价值，但对于前列腺炎本身的诊断价值仍不清楚。</span></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('533', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '999', '鉴别诊断', '<p style=\"line-height: normal;\"><span style=\"font-family: 宋体;\">&nbsp; &nbsp; 慢性前列腺炎缺乏客观的、特异性的诊断依据，临床诊断时应与可能导致骨盆区域疼痛和排尿异常的疾病进行鉴别诊断，以排尿异常为主的患者应明确有无膀胱出口梗阻和膀胱功能异常。需要鉴别的疾病包括：良性前列腺增生、睾丸附睾和精索疾病、膀胱过度活动症、神经源性膀胱、间质性膀胱炎、腺性膀胱炎、性传播疾病、膀胱肿瘤、前列腺癌、肛门直肠疾病、腰椎疾病、中枢和外周神经病变等。</span><br/></p><p style=\"line-height: normal;\"><span style=\"font-family:宋体\">患者经治疗后症状无缓解，应根据具体情况，选择进一步的检查，除外上述疾病。</span></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('534', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '999', '治疗', '<p><span style=\"font-family: 宋体;\">&nbsp; &nbsp; 慢性细菌性前列腺炎治疗以口服抗生素为主，选择敏感药物，疗程为</span>4<span style=\"font-family: 宋体;\">～</span>6<span style=\"font-family: 宋体;\">周，其间应对患者进行阶段性的疗效评价。疗效不满意者，可改用其他敏感抗生素。可选用α</span>-<span style=\"font-family: 宋体;\">受体阻滞剂改善排尿症状和疼痛。植物制剂、非甾体抗炎镇痛药和</span>M-<span style=\"font-family: 宋体;\">受体阻滞剂等也能改善相关的症状。</span><br/></p><p><span style=\"font-family:宋体\">慢性非细菌性前列腺炎：可先口服抗生素</span>2<span style=\"font-family:宋体\">～</span>4<span style=\"font-family:宋体\">周，然后根据其疗效反馈决定是否继续抗生素治疗。推荐使用α</span>-<span style=\"font-family:宋体\">受体阻滞剂改善排尿症状和疼痛，也可选择植物制剂、非甾体抗炎镇痛药和</span>M-<span style=\"font-family:宋体\">受体阻滞剂等改善排尿症状和疼痛。</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp; 慢性前列腺炎的治疗目标主要是缓解疼痛、改善排尿症状和提高生活质量，疗效评价应以症状改善为主。</span></p><p>1.<span style=\"font-family:宋体\">一般治疗</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp; 患者应自我进行心理疏导，保持开朗乐观的生活态度，应戒酒，忌辛辣刺激食物；避免憋尿、久坐及长时间骑车、骑马，注意保暖，加强体育锻炼。</span></p><p>2.<span style=\"font-family:宋体\">药物治疗</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp; 最常用的药物是抗生素、α</span>-<span style=\"font-family:宋体\">受体阻滞剂、植物制剂和非甾体抗炎镇痛药，其他药物对缓解症状也有不同程度的疗效。</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp;（</span>1<span style=\"font-family:宋体\">）抗生素</span> <span style=\"font-family:宋体\">目前，在治疗前列腺炎的临床实践中，最常用的一线药物是抗生素，但是只有约</span>5%<span style=\"font-family:宋体\">的慢性前列腺炎患者有明确的细菌感染。</span></p><p><span style=\"font-family:宋体\">慢性细菌性前列腺炎：根据细菌培养结果和药物穿透前列腺的能力选择抗生素。前列腺炎确诊后，抗生素治疗的疗程为</span>4<span style=\"font-family:宋体\">～</span>6<span style=\"font-family:宋体\">周，其间应对患者进行阶段性的疗效评价。不推荐前列腺内注射抗生素的治疗方法。</span></p><p><span style=\"font-family:宋体\">慢性非细菌性前列腺炎：抗生素治疗大多为经验性治疗，理论基础是推测某些常规培养阴性的病原体导致了该型炎症的发生。因此，推荐先口服氟喹诺酮等抗生素</span>2<span style=\"font-family:宋体\">～</span>4<span style=\"font-family:宋体\">周，然后根据疗效反馈决定是否继续抗生素治疗。只在临床症状确有减轻时，才建议继续应用抗生素。推荐的总疗程为</span>4<span style=\"font-family:宋体\">～</span>6<span style=\"font-family:宋体\">周。</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp;（</span>2<span style=\"font-family:宋体\">）α</span>-<span style=\"font-family:宋体\">受体阻滞剂</span> <span style=\"font-family:宋体\">α</span>-<span style=\"font-family:宋体\">受体阻滞剂能松弛前列腺和膀胱等部位的平滑肌而改善下尿路症状和疼痛，因而成为治疗Ⅱ型</span>/<span style=\"font-family:宋体\">Ⅲ型前列腺炎的基本药物。</span></p><p><span style=\"font-family:宋体\">可根据患者的情况选择不同的α</span>-<span style=\"font-family:宋体\">受体阻滞剂。推荐使用的α</span>-<span style=\"font-family:宋体\">受体阻滞剂主要有：多沙唑嗪、萘哌地尔、坦索罗辛和特拉唑嗪等，对照研究结果显示上述药物对患者的排尿症状、疼痛及生活质量指数等有不同程度的改善。</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp;（</span>3<span style=\"font-family:宋体\">）植物制剂</span> <span style=\"font-family:宋体\">植物制剂在Ⅱ型和Ⅲ型前列腺炎中的治疗作用日益受到重视，为推荐的治疗药物。植物制剂主要指花粉类制剂与植物提取物，其药理作用较为广泛，如非特异性抗炎、抗水肿、促进膀胱逼尿肌收缩与尿道平滑肌松弛等作用。推荐使用的植物制剂有：普适泰、沙巴棕及其浸膏等。由于品种较多，其用法用量需依据患者的具体病情而定，通常疗程以月为单位。不良反应较小。</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp;（</span>4<span style=\"font-family:宋体\">）非甾体抗炎镇痛药</span> <span style=\"font-family:宋体\">非甾体抗炎镇痛药是治疗Ⅲ型前列腺炎相关症状的经验性用药。其主要目的是缓解疼痛和不适。</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp;（</span>5<span style=\"font-family:宋体\">）</span>M-<span style=\"font-family:宋体\">受体阻滞剂</span> <span style=\"font-family:宋体\">对表现如尿急、尿频和夜尿但无尿路梗阻的前列腺炎患者，可以使用</span>M-<span style=\"font-family:宋体\">受体阻滞剂（如托特罗定等）治疗。</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp;（</span>6<span style=\"font-family:宋体\">）抗抑郁药及抗焦虑药</span> <span style=\"font-family:宋体\">对合并抑郁、焦虑等心境障碍的慢性前列腺炎患者，在治疗前列腺炎的同时，可选择使用抗抑郁药及抗焦虑药治疗。这些药物既可以改善患者心境障碍症状，还可缓解排尿异常与疼痛等躯体症状。应用时必须注意这些药物的处方规定和药物不良反应。可选择的抗抑郁药及抗焦虑药主要有选择性</span>5-<span style=\"font-family:宋体\">羟色胺再摄取抑制剂、三环类抗抑郁剂等药物。</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp;（</span>7<span style=\"font-family:宋体\">）中医中药</span> <span style=\"font-family:宋体\">推荐按照中医药学会或中西医结合学会有关规范进行前列腺炎的中医中药治疗</span></p><p>3.<span style=\"font-family:宋体\">其他治疗</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp;（</span>1<span style=\"font-family:宋体\">）前列腺按摩</span> <span style=\"font-family:宋体\">前列腺按摩是传统的治疗方法之一，研究显示适当的前列腺按摩可促进前列腺腺管排空并增加局部的药物浓度，进而缓解慢性前列腺炎患者的症状，故推荐为Ⅲ型前列腺炎的辅助疗法。Ⅰ型前列腺炎患者禁用。</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp;（</span>2<span style=\"font-family:宋体\">）生物反馈治疗</span> <span style=\"font-family:宋体\">研究表明慢性前列腺炎患者存在盆底肌的协同失调或尿道外括约肌的紧张。生物反馈合并电刺激治疗可使盆底肌松弛，并使之趋于协调，同时松弛外括约肌，从而缓解慢性前列腺炎的会阴部不适及排尿症状。</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp;（</span>3<span style=\"font-family:宋体\">）热疗</span> <span style=\"font-family:宋体\">主要利用多种物理手段所产生的热效应，增加前列腺组织血液循环，加速新陈代谢，有利于消炎和消除组织水肿，缓解盆底肌肉痉挛等。短期内有一定的缓解症状作用，但长期效果不明确。对于未婚及未生育者不推荐使用。</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp;（</span>4<span style=\"font-family:宋体\">）前列腺注射治疗</span>/<span style=\"font-family:宋体\">经尿道前列腺灌注治疗</span> <span style=\"font-family:宋体\">疗效与安全性均未得到证实。</span></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('535', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1002', '概述', '<p>&nbsp; &nbsp;<span style=\"text-indent: 28px; font-family: 宋体;\">慢性细菌性前列腺炎（</span><span style=\"text-indent: 28px;\">CBP</span><span style=\"text-indent: 28px; font-family: 宋体;\">）是泌尿系常见疾病，临床上以青壮年多见，其病因复杂，临床表现多样化，病程迁延，可反复发作。患者一般病程较长、症状较重，不但影响正常工作和生活，而且对患者的心理造成很大的压力。经尿道逆行性感染是慢性细菌性前列腺炎的重要感染途径。随着性传播疾病的发病率增加，前列腺炎的发病率也逐渐增加。该病缺乏客观的、特异性的诊断依据，临床诊断时应与可能导致盆腔疼痛和排尿异常的疾病进行鉴别诊断。以排尿异常为主的患者应明确有无膀胱出口梗阻和膀胱功能异常。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('536', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1002', '病因', '<p><span style=\"font-family: 宋体; text-indent: 28px;\"> &nbsp; &nbsp;主要致病因素为病原体逆行感染为主，致病菌与急性前列腺炎类似，大肠杆菌是常见致病菌，其次为葡萄球菌属、棒状杆菌属及肠球菌属等。前列腺结石和尿液反流可能是病原体持续存在和感染复发的重要原因。</span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('537', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1002', '临床表现', '<p>&nbsp; &nbsp;<span style=\"font-family: 宋体;\">慢性细菌性前列腺炎有反复发作的下尿路感染症状，如尿频、尿急、尿痛、排尿烧灼感、排尿困难、尿潴留、后尿道肛门会阴区坠胀不适，持续时间超过</span>3<span style=\"font-family: 宋体;\">个月。</span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('538', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1002', '辅助检查', '<p>1.<span style=\"font-family: 宋体;\">实验室检查</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp; 在无急性附睾炎存在或慢性感染急性发作时，外周血检查白细胞计数不升高，前列腺特异性抗原可升高。前列腺按摩液中常可发现大量的炎症细胞。</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp; 当有继发性膀胱炎时，中段尿可为脓尿和细菌尿，其致病菌与感染前列腺的病原菌一致。</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp; 当尿液本身被感染时，收集分段尿以及前列腺按摩液进行细菌培养可确定致病菌的来源，标本注入培养基中进行培养</span>24<span style=\"font-family:宋体\">～</span>48<span style=\"font-family:宋体\">小时，使用标准的微生物检查方法识别各种细菌的生长。当膀胱标本（中段尿）无菌或基本无菌生长时，比较其他标本的菌落计数来确定感染部位。若尿道标本（初程尿）菌落计数大大超过（至少</span>10<span style=\"font-family:宋体\">倍）前列腺标本，则感染位于尿道；反之，感染来源于前列腺。</span></p><p>2.<span style=\"font-family:宋体\">影像学检查</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp; 除外有各种合并症（如前列腺结石、前列腺肥大、尿道狭窄、肾脏感染等），否则排泄性尿路造影正常。经直肠超声检查有助于前列腺脓肿的诊断。</span></p><p>3.<span style=\"font-family:宋体\">器械检查</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp; 膀胱镜或尿道镜可能无异常出现，或发现前列腺段尿道充血水肿，有或无炎症性息肉。这些表现均非慢性细菌性前列腺炎特有的表现，在其他前列腺炎症中亦可存在。</span></p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('539', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1002', '诊断', '<p>诊断</p><p><span style=\"font-family: 宋体; text-indent: 28px;\">&nbsp; &nbsp; 慢性细菌性前列腺炎和慢性非细菌性前列腺炎及前列腺痛症状类似，须详细询问病史、全面体格检查（包括直肠指检）、尿液和前列腺按摩液常规检查。推荐“两杯法”或“四杯法”进行病原体定位试验。</span></p><p><span style=\"font-family:宋体\">鉴别诊断</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp; 需要鉴别的疾病包括：良性前列腺增生、睾丸附睾和精索疾病、膀胱过度活动症、神经源性膀胱、腺性膀胱炎、性传播疾病、膀胱肿瘤、前列腺癌、中枢和外周神经病变等。</span></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('540', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1002', '治疗', '<p>1.<span style=\"font-family: 宋体;\">治疗原则</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp; 慢性细菌性前列腺炎：以口服抗生素治疗为主，选择敏感药物，疗程</span>4<span style=\"font-family:宋体\">～</span>6<span style=\"font-family:宋体\">周，其间应进行阶段性的疗效评价。疗效不满意者，改用其他敏感抗生素。可选用α</span>-<span style=\"font-family:宋体\">受体阻滞剂改善排尿症状和疼痛。植物制剂、非甾体抗炎镇痛药和</span>M-<span style=\"font-family:宋体\">受体阻滞剂等也能改善相应症状。</span></p><p>2.<span style=\"font-family:宋体\">治疗方法</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp; 治疗目的主要是缓解症状和提高生活质量，疗效评价应以症状改善为主。</span></p><p><span style=\"font-family:宋体\">（</span>1<span style=\"font-family:宋体\">）一般治疗</span>&nbsp; <span style=\"font-family:宋体\">戒酒，忌辛辣刺激食物；避免憋尿、久坐，注意保暖，加强体育锻炼。</span></p><p><span style=\"font-family:宋体\">（</span>2<span style=\"font-family:宋体\">）药物治疗</span>&nbsp; <span style=\"font-family:宋体\">常用的药物有抗生素、α</span>-<span style=\"font-family:宋体\">受体阻滞剂、植物制剂和非甾体抗炎镇痛药，其他药物对缓解症状也有疗效。①抗生素</span>&nbsp; <span style=\"font-family:宋体\">可供选择的抗生素有氟喹诺酮类（如环丙沙星、左氧氟沙星、洛美沙星和莫西沙星等）、四环素类（如米诺环素等）和磺胺类（如复方新诺明）等药物。②α</span>-<span style=\"font-family:宋体\">受体阻滞剂</span>&nbsp; <span style=\"font-family:宋体\">α</span>-<span style=\"font-family:宋体\">受体阻滞剂能松弛前列腺和膀胱等部位的平滑肌，改善下尿路症状，因而成为治疗前列腺炎的基本药物。α</span>-<span style=\"font-family:宋体\">受体阻滞剂主要有：多沙唑嗪、萘哌地尔、坦索罗辛和特拉唑嗪等，α</span>-<span style=\"font-family:宋体\">受体阻滞剂的疗程应在</span>12<span style=\"font-family:宋体\">周以上。③植物制剂</span>&nbsp; <span style=\"font-family:宋体\">主要指花粉类制剂与植物提取物，植物制剂有：普适泰、沙巴棕及其浸膏等。不良反应较小。④</span>M-<span style=\"font-family:宋体\">受体阻滞剂</span>&nbsp; <span style=\"font-family:宋体\">对伴有膀胱过度活动症（</span>OAB<span style=\"font-family:宋体\">）表现，如尿急、尿频和夜尿，无尿路梗阻的前列腺炎患者，可使用</span>M-<span style=\"font-family:宋体\">受体阻滞剂（如托特罗定等）治疗。⑤抗抑郁药及抗焦虑药</span>&nbsp; <span style=\"font-family:宋体\">对合并抑郁、焦虑的慢性前列腺炎患者，在治疗前列腺炎的同时，可选择使用抗抑郁药及抗焦虑药物治疗。</span></p><p><span style=\"font-family:宋体\">（</span>3<span style=\"font-family:宋体\">）其他治疗</span>&nbsp; <span style=\"font-family:宋体\">①前列腺按摩</span>&nbsp; <span style=\"font-family:宋体\">是传统的治疗方法之一。适当的前列腺按摩可促进前列腺腺管排空，增加局部的药物浓度，缓解慢性前列腺炎的症状。②生物反馈治疗</span>&nbsp; <span style=\"font-family:宋体\">生物反馈合并电刺激治疗可使盆底肌松弛，使之趋于协调，同时松弛外括约肌，缓解慢性前列腺炎的会阴部不适及排尿症状。③热疗</span>&nbsp; <span style=\"font-family:宋体\">利用多种物理手段所产生的热效应，增加前列腺组织血液循环，加速新陈代谢，有利于消炎和消除组织水肿，缓解盆底肌肉痉挛等。对于未婚及未生育者不推荐使用。④前列腺注射治疗</span>/<span style=\"font-family:宋体\">经尿道前列腺灌注治疗</span>&nbsp; <span style=\"font-family:宋体\">缺乏循证医学证据证实其疗效与安全性。⑤手术治疗</span>&nbsp; <span style=\"font-family:宋体\">经尿道膀胱颈切开术、经尿道前列腺切除术等手术仅在合并前列腺相关疾病有手术适应证时选择上述手术。</span></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('545', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1005', '概述', '<p><span style=\"font-family: 宋体\"> &nbsp; &nbsp;前列腺结石是指前列腺组织或腺泡中形成的结石。多是由正常前列腺</span>&nbsp;&nbsp;&nbsp; <span style=\"font-family:宋体\">液中所含的钙盐和磷酸盐沉积而成，感染可促进某些结石的形成。</span></p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('546', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1005', '病因与发病机制', '<p><strong><span style=\"font-family:宋体\">&nbsp; &nbsp; 病因：</span></strong><span style=\"font-family: 宋体\">目前认为与前列腺腺体增生有关的腺管堵塞是结石形成的主要易患因素。根据前列腺结石成分的不同，分为内源性结石和外源性结石，前者主要来自前列腺液，后者主要来自尿液。</span></p><p><strong><span style=\"font-family: 宋体;\">&nbsp; &nbsp; 发病机制：</span></strong><span style=\"font-family: 宋体;\">外源性结石的形成与尿液在前列腺内的反流有关。结石常伴有前列腺的灶性慢性炎症改变，有圆形细胞浸润，腺泡中充满脱落的上皮细胞和碎片，结石较大者前列腺管和腺泡可出现扩张，周围有囊腔，其壁内无上皮细胞覆盖，腺泡间有圆形细胞浸润及纤维化。前列腺结石数目不定，少则一个，多则数百，常为多发。大小为</span>1<span style=\"font-family: 宋体;\">～</span>4mm<span style=\"font-family: 宋体;\">，有的可达</span>1cm<span style=\"font-family: 宋体;\">，为棕色圆形或卵圆形。小结石表面光滑，多发结石为多面体形。一般较硬但可被钳碎。</span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('547', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1005', '临床表现', '<p><span style=\"font-family:宋体\"> &nbsp; &nbsp;多数患者无特异症状，常表现为前列腺增生、尿道狭窄或慢性前列腺炎症状。有些小结石可随尿排出。有些患者可出现腰骶部、会阴或阴茎部疼痛。有的则出现性功能紊乱。有前列腺脓肿者，可出现会阴深部及阴囊部疼痛，大便时加重，伴有发热及全身症状，前列腺压痛明显。</span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('548', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1005', '辅助检查', '<p><span style=\"font-family:宋体\"> &nbsp; &nbsp;膀胱尿道镜检查仅可见前列腺尿道肿胀，有时当通过前列腺部尿道时，有摩擦感，此时作直肠指诊，可出现噼啪声响</span>(<span style=\"font-family:宋体\">系大而多发结石</span>)<span style=\"font-family:宋体\">，小结石可凸进尿道。</span></p><p>&nbsp;&nbsp;&nbsp; X<span style=\"font-family:宋体\">线检查有</span>3<span style=\"font-family:宋体\">种表现：</span></p><p>&nbsp;&nbsp;&nbsp; 1.<span style=\"font-family:宋体\">前列腺内弥散性致密阴影。</span></p><p>&nbsp;&nbsp;&nbsp; 2.<span style=\"font-family:宋体\">呈马蹄形或以尿道为中心的环状阴影。</span></p><p>&nbsp;&nbsp;&nbsp; 3.<span style=\"font-family:宋体\">孤立性结石或整个前列腺被结石占据。</span></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('549', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1005', '诊断与鉴别诊断', '<p><strong><span style=\"font-family:宋体\">&nbsp; &nbsp; 诊断：</span></strong><span style=\"font-family: 宋体\">直肠指诊、尿道探条、膀胱镜和</span>X<span style=\"font-family:宋体\">线等检查可确诊。直肠指诊时可无异常发现，但</span>70%<span style=\"font-family:宋体\">患者前列腺增大、变硬，但较活动，前列腺表面光滑，边缘清楚。</span>18%<span style=\"font-family:宋体\">～</span>22%<span style=\"font-family:宋体\">前列腺表面呈结节状，有的局部可坚硬如石。</span></p><p><strong><span style=\"font-family:宋体\">&nbsp; &nbsp; 鉴别诊断：</span></strong><span style=\"font-family:宋体\">本病需与前列腺癌及前列腺结核相鉴别。前列腺癌直肠指检可发现前列腺坚硬，超声检查、前列腺特异性抗原</span>(Prostatic Specific antigen<span style=\"font-family:宋体\">，</span>PSA)<span style=\"font-family:宋体\">、酸性磷酸酶及经直肠穿刺活检均可鉴别。前列腺结核常为年轻病人，往往伴有附睾结核。</span></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('550', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1005', '治疗', '<p>&nbsp; &nbsp;1.<span style=\"font-family: 宋体;\">无症状的前列腺结石，无需治疗。</span></p><p>&nbsp;&nbsp;&nbsp; 2.<span style=\"font-family:宋体\">伴有感染者，应控制感染，再进一步治疗。</span></p><p>&nbsp;&nbsp;&nbsp; 3.<span style=\"font-family:宋体\">经尿道切除前列腺及结石，多用于年轻者，以避免造成性功能障碍。</span></p><p>&nbsp;&nbsp;&nbsp; 4.<span style=\"font-family:宋体\">大而多发结石伴前列腺增生者宜采用耻骨上前列腺及结石摘除术。</span></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('551', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1006', '概述', '<p>&nbsp; &nbsp; &nbsp; &nbsp;<span style=\"text-indent: 28px; font-family: 宋体;\">前列腺囊肿是由于前列腺腺体先天性或后天性原因而发生囊样改变。先天性囊肿为副肾管退化不全，在正中线融合，膀胱下形成一个很深的憩室或囊肿，开口于前列腺尿道的后方。后天性囊肿系由坚韧的前列腺基质导致腺泡不完全或间断性梗阻，逐渐使腺泡上皮变厚，终至发生潴留性囊肿。其可位于前列腺内的任何部位或突出至膀胱颈部，直径为</span><span style=\"text-indent: 28px;\">1</span><span style=\"text-indent: 28px; font-family: 宋体;\">～</span><span style=\"text-indent: 28px;\">2</span><span style=\"text-indent: 28px; font-family: 宋体;\">厘米。</span></p><p><span style=\"font-family:宋体\"> &nbsp; &nbsp;前列腺囊肿可并发感染及结石，较大的囊肿可压迫尿道而引起排尿困难，常见症状有尿急、尿频、排尿费力、尿线细及尿潴留等。先天性前列腺囊肿常伴有尿道下裂、隐睾、肾发育不全等先天性疾病。囊肿较大时直肠指检于前列腺触及囊肿，尿道造影可见后尿道有弧形压迹，超声与</span>CT<span style=\"font-family:宋体\">可明确其位置。较小而无症状的囊肿可不必治疗，较大的囊肿或有症状的小囊肿可用手术治疗。有报道在</span>B<span style=\"font-family:宋体\">超定位下经会阴或经直肠行囊肿穿刺抽吸，然后注入凝固剂，但易复发。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('552', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1006', '病因', '<p>&nbsp; &nbsp; 1.<span style=\"font-family: 宋体;\">真性前列腺囊肿</span></p><p><span style=\"font-family:宋体\">前列腺腺体在胚胎发育期内受到障碍，引起前列腺导管狭窄，造成阻塞，内容物逐渐潴留而形成，故属于潴留性前列腺囊肿。</span></p><p>&nbsp; &nbsp; 2.<span style=\"font-family:宋体\">先天性囊肿</span></p><p><span style=\"font-family:宋体\">为中肾导管与中肾旁管发育异常、管腔部分扩张而形成囊肿。起于中肾旁管的囊肿常位于前列腺后正中处，而起自中肾导管的囊肿则居于两旁。这种囊肿实际并非起自前列腺，常与膀胱后壁粘连。其体积往往可长到很大，压迫膀胱颈引起排尿困难，压迫直肠引起肛门坠胀感与排便困难。先天性前列腺囊肿常伴有尿道下裂、隐睾、肾发育不全等先天性疾病。</span></p><p>&nbsp; &nbsp;3.<span style=\"font-family:宋体\">后天性囊肿</span></p><p><span style=\"font-family:宋体\">系由坚韧的前列腺基质导致腺泡不完全或间断性梗阻，逐渐使腺泡上皮变厚，终至发生潴留性囊肿，可位于前列腺内的任何部位或突出至膀胱颈部，直径为</span>1<span style=\"font-family:宋体\">～</span>2cm<span style=\"font-family:宋体\">。</span></p><p>&nbsp; &nbsp; 4.<span style=\"font-family:宋体\">炎症性囊肿</span></p><p><span style=\"font-family:宋体\">系前列腺慢性炎症引起结缔组织增生，导致前列腺导管狭窄、分泌物潴留形成囊肿。</span></p><p>&nbsp; &nbsp; 5.<span style=\"font-family:宋体\">寄生虫性囊肿</span></p><p><span style=\"font-family:宋体\">由寄生虫引起，如包虫能使前列腺管及周围发生慢性炎症；或由肉芽增生，逐渐形成囊肿。</span></p><p><span style=\"font-family:宋体\">上述各种囊肿以潴留性前列腺囊肿最常见，可发生于腺体任何部分。</span></p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('553', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1006', '临床表现', '<p><span style=\"font-family: 宋体;\">&nbsp; &nbsp; 前列腺囊肿由正常的腺泡组成，或为多房性，腺泡内衬柱状上皮，有的为低立方上皮，囊内充满浆液性或浆液血性液体。</span><br/></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp; 前列腺囊肿可并发感染及结石，较大的囊肿当其生长压向尿道或膀胱颈时，可使尿流受阻。常见症状有尿急、尿频、排尿费力、尿线细、尿潴留等，压向直肠时可引起排便困难。囊肿较大时直肠指检于前列腺部可触及囊肿，尿道造影可见后尿道有弧形压迹，超声与</span>CT<span style=\"font-family:宋体\">可明确其位置。</span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('554', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1006', '辅助检查', '<p><br/></p><p>1.<span style=\"font-family:宋体\">膀胱镜检查</span></p><p><span style=\"font-family:宋体\">可见直径</span>1<span style=\"font-family:宋体\">～</span>2cm<span style=\"font-family:宋体\">的半圆形、或有蒂圆形的透明肿物，突出于膀胱颈部。多为后天性囊肿。</span></p><p>2.X<span style=\"font-family:宋体\">线检查</span></p><p><span style=\"font-family:宋体\">（</span>1<span style=\"font-family:宋体\">）静脉尿路造影可发现泌尿系畸形，如肾不发育等。</span></p><p><span style=\"font-family:宋体\">（</span>2<span style=\"font-family:宋体\">）尿道造影因囊肿与尿道不相通而不显示，无异常发现。</span></p><p>3.B<span style=\"font-family:宋体\">型超声检查</span></p><p><span style=\"font-family:宋体\">可在前列腺区发现内壁光滑、边缘清楚、无内部回声的圆形或椭圆形的透声区。经直肠超声，显示前列腺中央向后上方延伸之界清、圆形无回声区，呈泪滴状，借一小蒂与精阜相连。</span></p><p>4.CT<span style=\"font-family:宋体\">检查</span></p><p><span style=\"font-family:宋体\">前列腺大囊肿和苗勒管囊肿位于前列腺的中线后部，为圆形、边界清楚的囊性病变，呈水样密度。</span></p><p>5.<span style=\"font-family:宋体\">直肠或会阴穿刺</span></p><p><span style=\"font-family:宋体\">如囊肿过大，可经直肠或会阴穿刺抽出囊液。后天性囊肿为澄清黏液，亦可为暗褐色或血色，囊液内可含精子。</span></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('555', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1006', '诊断', '<p style=\"text-indent: 28px;\"><span style=\"font-family:宋体\">前列腺囊肿的病理改变可以通过囊肿的病理切片诊断。了解前列腺囊肿的形成机理后对前列腺囊肿的诊断有很大帮助。</span></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('556', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1006', '治疗', '<p style=\"text-indent: 0px; \"><span style=\"text-indent: 28px;\">&nbsp; &nbsp; &nbsp; &nbsp;</span><span style=\"text-indent: 28px; font-family: 宋体;\">较小而无症状的囊肿可不必治疗，较大的囊肿或有症状的小囊肿可手术治疗，途径有经膀胱、膀胱外、经会阴、经直肠等多种。常由于暴露欠佳致手术切除不完全，复发率高、并发症多。囊肿近会阴用经会阴入路手术切除易引起</span><span style=\"text-indent: 28px;\">ED</span><span style=\"text-indent: 28px; font-family: 宋体;\">，青年患者慎用。有报道在</span><span style=\"text-indent: 28px;\">B</span><span style=\"text-indent: 28px; font-family: 宋体;\">超定位下经会阴或经直肠行囊肿穿刺抽吸，然后注人凝固剂，但易复发。囊肿近尿道膀胱或突入膀胱用经膀胱手术切除或经尿道电切，去除大部分囊肿顶部使其充分引流。腹腔镜切除前列腺囊肿具有组织显露清楚、手术时间短、不易损伤盆腔组织、创伤小、不造瘘、出血少等优点，是治疗向尿道后方及膀胱颈突起的前列腺囊肿的首选方法。对于近尿道或突入膀胱的囊肿，经尿道电切除囊肿则是手术最佳途径，但是对于年轻患者，保留精阜对正常射精至关重要。当患者持续高热不退、尿路症状无明显改善、尿道溢脓、大便不畅时，应考虑前列腺囊肿的可能，借助</span><span style=\"text-indent: 28px;\">B</span><span style=\"text-indent: 28px; font-family: 宋体;\">超等检查确诊后行脓肿切开引流或穿刺引流治疗。只有当脓肿彻底消灭之后，以上症状才会缓解。</span></p><p style=\"text-indent:28px\"><span style=\"font-family:宋体\">穿刺治疗比较简单，经肛门指诊，将一根长针头刺入脓腔内，用注射器抽吸直至脓汁完全吸净。有时一次不会完全消灭，需两次或数次才能达到满意效果。</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp; &nbsp;当脓腔较大、脓汁较多时，以脓腔切开引流为佳。用肛门直肠镜暴露出前列腺部位，用尖刀将直肠壁切开脓肿腔内，将脓汁引流出来放置引流管，视引流情况，结合检查再决定拔除引流管时间。当前该治疗仍需用抗生素配合治疗。</span></p><p><span style=\"font-family:宋体\">理疗对于急性前列腺炎及脓肿都是有帮助的。进行合理应用能促进炎症吸收。</span></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('576', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1491', '概述', '<p style=\"text-indent: 0px; \"><span style=\"text-indent: 28px; font-family: 宋体;\"> &nbsp; &nbsp;心源性哮喘是由于左心衰竭和急性肺水肿等引起的发作性气喘，其发作时的临床表现可与支气管哮喘相似。心源性哮喘患者既往有高血压或心脏病历史，哮喘时，伴有频繁咳嗽、咳泡沫样特别是血沫样痰，心脏扩大，心律失常和心音异常等。心源性哮喘综合征（</span><span style=\"text-indent: 28px;\">Ridley</span><span style=\"text-indent: 28px; font-family: 宋体;\">综合征）系指由于各种原因引起的左心衰，临床以阵发性夜间呼吸困难为突出表现的一组综合病征。</span></p><p><span style=\"font-family:宋体\">另外，还有心因性哮喘。即精神因素诱发的哮喘，这些精神因素以愤怒、恐惧、抑郁和焦虑多见，导致心室压力、负荷过度，心率失衡。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('577', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1491', '病因', '<p><span style=\"font-family: 宋体;\">本征的主要病因有以下因素。</span></p><p>1.<span style=\"font-family:宋体\">左心室心肌病变，如冠心病、急性心肌梗死、充血型心肌病、肥厚型心肌病、心肌炎等。</span></p><p>2.<span style=\"font-family:宋体\">左心室压力负荷过重，如高血压、主动脉瓣狭窄、梗阻型心肌病等。</span></p><p>3.<span style=\"font-family:宋体\">左心室容量负荷过度，如主动脉瓣关闭不全、二尖瓣关闭不全、某些有左至右分流的先天性心血管病（室间隔缺损、动脉导管未闭等）。</span></p><p>4.<span style=\"font-family:宋体\">左心室舒张期顺应性减低，主要见于冠心病、高血压、梗阻型心肌病及伴有左心室肥厚的疾病。</span></p><p>5.<span style=\"font-family:宋体\">严重心律失常，如心房颤动、心房扑动、阵发性心动过速、高度房室传导阻滞等。</span></p><p>6.<span style=\"font-family:宋体\">心外疾病，如肺栓塞、脑血管意外、吸入刺激性气体、静脉补液过量、肾炎、肾衰竭等。</span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('578', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1491', '临床表现', '<p style=\"text-indent: 0px;\"><span style=\"text-indent: 28px;\">&nbsp; &nbsp;&nbsp;</span><span style=\"text-indent: 28px; font-family: 宋体;\">心源性哮喘就是阵发性的夜间呼吸困难。该病多发生在老年人身上，通常都是由于高血压、冠心病等导致慢性心力衰竭所造成的。最突出的临床表现为阵发性夜间呼吸困难、心源性哮喘。典型发作多发生在夜间熟睡</span><span style=\"text-indent: 28px;\">1</span><span style=\"text-indent: 28px; font-family: 宋体;\">～</span><span style=\"text-indent: 28px;\">2</span><span style=\"text-indent: 28px; font-family: 宋体;\">小时后，患者因气闷、气急而突然惊醒，被迫立即坐起并打开窗户，意欲减轻窒息感，伴以阵咳、哮喘性呼吸音或咳泡沫样痰。轻者取坐位十余分钟至</span><span style=\"text-indent: 28px;\">1</span><span style=\"text-indent: 28px; font-family: 宋体;\">小时左右，呼吸困难可自动消退，患者又能入睡。严重者可持续发作，频频咳嗽，气促加重，发绀，大汗淋漓，手足厥冷，咳出粉红色泡沫性痰，并可发展为急性肺水肿。体征除了原发疾病的体征，如心浊音界向左下扩大、心尖抬举性搏动、</span><span style=\"text-indent: 28px;\">S4</span><span style=\"text-indent: 28px; font-family: 宋体;\">及瓣膜闻及杂音外，尚有左心衰的体征，如心率加快、舒张早期奔马律、两肺湿啰音（特别是左肺基部的细湿啰音）及哮鸣音、胸腔积液（特别是右侧胸腔积液）、血压可因代偿性交感神经张力增加引起小动脉收缩致血压暂时性升高。在无呼吸道感染情况下，出现咳嗽、气喘，口唇发绀，下肢浮肿，平睡仰卧时加重，用抗菌消炎药治疗效果不明显，但用强心药物疗效很好；当轻微活动或稍微劳动后，出现气虚无力，平卧后反而出现咳嗽、气喘、气促，须垫高枕头方感到舒适些；精神淡漠或烦躁不安，常在睡眠中憋醒，要求把门窗打开，才自觉舒服；尿量昼少夜多。</span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('579', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1491', '辅助检查', '<p>1.<span style=\"font-family: 宋体;\">实验室检查</span><br/></p><p><span style=\"font-family:宋体\"> &nbsp; 并发感染时可有白细胞计数升高。中性粒细胞比例增加。</span></p><p>2.<span style=\"font-family:宋体\">其他辅助检查</span></p><p>&nbsp; &nbsp; X<span style=\"font-family:宋体\">线检查示两肺门阴影增加，不同程度的肺淤血如上叶肺静脉扩张、肺叶间水肿、</span>KerleyB<span style=\"font-family:宋体\">线或肺水肿（肺野呈云雾状阴影）。左心室扩大、左心房与肺动脉段增大等。心电图示左心室肥厚、</span>ST-T<span style=\"font-family:宋体\">改变。超声心动图示左心室内径增大，室壁运动振幅减弱等。</span></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('580', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1491', '诊断', '<p style=\"text-indent:28px\"><span style=\"font-family:宋体\">典型的支气管哮喘，发作前有先兆症状，如打喷嚏、流涕、咳嗽、胸闷等，如不及时处理，可因支气管阻塞加重而出现哮喘，严重者可被迫采取坐位或呈端坐呼吸，干咳或咯大量白色泡沫痰，甚至出现发绀等，但一般可自行或用平喘药物等治疗后缓解。某些患者在缓解数小时后，可再次发作甚至导致哮喘持续状态。</span></p><p><span style=\"font-family:宋体\">此外，在临床上还存在非典型表现的哮喘，如咳嗽变异型哮喘患者，在无明显诱因咳嗽</span>2<span style=\"font-family:宋体\">个月以上，夜间及凌晨常发作、运动、冷空气等诱发加重，气道反应性测定存在有高反应性，抗生素或镇咳祛痰药治疗无效，使用支气管解痉剂或皮质激素有效，但需排除引起咳嗽的其他疾病。</span></p><p><span style=\"font-family:宋体\">&nbsp; &nbsp; 根据有无过敏原和发病年龄的不同，临床上分为外源性哮喘和内源性哮喘。外源性哮喘常在童年青少年时发病，多有家族过敏史为Ⅰ型变态反应。内源性哮喘则多无已知过敏原在成年人发病，无明显季节性，少有过敏史，可能由体内感染灶引起。无论何种哮喘轻症可以逐渐自行缓解，缓解期无任何症状或异常体征。</span></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('581', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1491', '治疗', '<p style=\"text-indent: 0px;\"><span style=\"font-size: 12px;\"><span style=\"text-indent: 28px;\">&nbsp; &nbsp;&nbsp;</span><span style=\"font-family: 宋体; text-indent: 28px;\">应努力寻找发生本征的病因并进行病因治疗，如二尖瓣狭窄所致的阵发性呼吸困难，行二尖瓣分离可使本征症状完全消失。阵发性夜间呼吸困难的治疗与其</span><span style=\"font-family: 宋体; text-indent: 28px;\">他急性心力衰竭的治疗相同，如镇静、输氧、取坐位、两腿下垂，减少静脉回流；用强心、利尿及血管扩张剂，以改善心功能。</span></span></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('596', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1590', '概述', '<p>&nbsp; &nbsp;<span style=\"font-family: 宋体;\">气胸，指胸腔内仅含气体，血胸指胸腔内血液积存，血气胸为二者并存。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('597', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1590', '自发性血气胸', '<p>&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;<span style=\"font-family: 宋体;\">临床上，自发性血胸常合并自发性气胸。血胸的血外观看来的是纯血液，但它的血红蛋白含量低，系胸膜渗液与血液混合所致</span>;<span style=\"font-family: 宋体;\">触摸气管和心尖搏动来确定纵隔位置是判断血气胸严重程度的一个重要标志。试验性胸腔穿刺抽吸血液时最常犯的错误是穿刺位置太低，因为这类病人多呈卧位或膈肌升高。胸腔闭式引流后血气胸症状不缓解的常见原因是引流管过细。胸腔引流管的内径不得小于</span>1cm<span style=\"font-family: 宋体;\">。</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">【发病原因】</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">&nbsp; &nbsp; 当肺内压力突然升高，致肺泡破裂，气体通过裂孔进入胸腔内，可造成自发性气胸；自发性气胸引起肺压缩时，可牵拉粘连带，致粘连带撕裂，粘连带中的小动脉破裂出血，便造成自发性血胸。</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">&nbsp; &nbsp; 自发性血气胸一般无肺结核、肺气肿等基础病变，患病年龄以青少年多见。多在用力负重、剧烈咳嗽、屏气后出现，少数患者诱因不明显。一般来说，自发性血气胸患者多由于肺脏结构先天性发育缺陷，部分肺泡壁结构较为薄弱，形成肺大泡。　　当急性失血时，患者可出现胸闷、气促、呼吸困难等不适。因循环血量骤减，患者甚至可出现血压下降等低血容量休克症状，例如脸色苍白、出冷汗、脉搏细速。另外，中量以上的血胸可因胸腔内血液积存，压迫肺脏，使通气功能受到影响，造成呼吸功能障碍，同时胸膜腔内的大量出血，可压迫纵膈，使纵膈移位，造成血液回流受阻，加重循环功能障碍。如不及时抢救，可危及生命。</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">【治疗】</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">&nbsp; &nbsp; 自发性血气胸的治疗，应根据出血量的多少，以及是否为进行性出血而定。一般来讲，小量自发性血胸，可让其自然吸收，不需做穿刺抽液处理。如积血量较多，应尽早行胸膜腔穿刺，尽可能将积血抽净，促进肺膨胀，以改善呼吸功能。如临床观察判断患者有病情继续恶化，休克症状逐渐加重，胸腔内有进行性出血时，应在积极抗休克及输全血的同时，果断进行紧急开胸止血术。</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">&nbsp; &nbsp; 自发性血气胸如未根除病因，有可能反复发作，故平时应注意防范。患者应尽量避免从事负重或剧烈的体育活动，如举重、潜水、激烈对抗赛等。在日常生活中，如突然感到胸闷、气促、呼吸困难、脉搏增快、面色苍白、出冷汗等，应及时求医，以免贻误病情，导致严重后果。</span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('598', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1590', '急性血气胸', '<p>&nbsp; &nbsp;<span style=\"font-family: 宋体;\">急性血气胸是指胸部外伤后所造成的胸膜腔积血、积气。</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">【症状】</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">&nbsp; &nbsp; 胸部外伤血气胸的发作等占</span><span style=\"font-size: 12px\">70%</span><span style=\"font-size: 12px;font-family: 宋体\">以上，血气胸可单独发生，也可以发生于合并其他类型的胸部外伤时，如穿透或闭合的胸壁损伤，肋骨骨折，纵隔伤，胸腹联合伤，胸部异物以及挫伤窒息，损伤性湿肺，爆震伤，所谓闭合胸伤三大综合征等伤均可合并血气胸。因此，对任何一个胸部外伤的伤员，都要检查有无血气胸。小量的血气胸可无明显症状。其中轻微者如单纯性小量闭合性气胸肺萎陷在</span><span style=\"font-size: 12px\">20%</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">25%</span><span style=\"font-size: 12px;font-family: 宋体\">者，可观察待其自行吸收。大量出血或高压积气的严重血气胸是胸部伤死亡的主要原因之一，必须紧急处理。急性血气胸与其它类型严重的胸部伤一样，在诊断和治疗上必须同时进行。及时给予有效的医疗，这样可使病人转危为安，否则可因未及时抢救而死亡。对胸部外伤伤员，要早期判断以下</span><span style=\"font-size: 12px\">10</span><span style=\"font-size: 12px;font-family: 宋体\">个问题</span><span style=\"font-size: 12px\">:</span><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">）有无血容量不足</span><span style=\"font-size: 12px\">;</span><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">2</span><span style=\"font-size: 12px;font-family: 宋体\">）有无呼吸功能不全</span><span style=\"font-size: 12px\">;</span><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">3</span><span style=\"font-size: 12px;font-family: 宋体\">）有无张力性气胸</span><span style=\"font-size: 12px\">;</span><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">4</span><span style=\"font-size: 12px;font-family: 宋体\">）有无心包填塞</span><span style=\"font-size: 12px\">;</span><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">5</span><span style=\"font-size: 12px;font-family: 宋体\">）有无多发肋骨骨折（反常呼吸）</span><span style=\"font-size: 12px\">;</span><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">6</span><span style=\"font-size: 12px;font-family: 宋体\">）有无严重血胸、气胸或血气胸</span><span style=\"font-size: 12px\">;</span><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">7</span><span style=\"font-size: 12px;font-family: 宋体\">）有无纵隔损伤</span><span style=\"font-size: 12px\">;</span><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">8</span><span style=\"font-size: 12px;font-family: 宋体\">）有无膈肌破裂</span><span style=\"font-size: 12px\">;</span><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">9</span><span style=\"font-size: 12px;font-family: 宋体\">）有无主动脉或其主要分支的破裂</span><span style=\"font-size: 12px\">;</span><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">10</span><span style=\"font-size: 12px;font-family: 宋体\">）有无心脏损伤。伤员若有上述事项之一者，可随时发生生命危险。为抢救生命有时必须做</span><span style=\"font-size: 12px\">X</span><span style=\"font-size: 12px;font-family: 宋体\">线检查以前作出诊断和治疗。</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">处理</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">&nbsp; &nbsp; 急性血气胸的早期处理原则包括</span><span style=\"font-size: 12px\">3</span><span style=\"font-size: 12px;font-family: 宋体\">方面</span><span style=\"font-size: 12px\">:</span><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">）急救处理</span><span style=\"font-size: 12px\">:</span><span style=\"font-size: 12px;font-family: 宋体\">纠正休克、补血及呼吸功能障碍的纠正等。（</span><span style=\"font-size: 12px\">2</span><span style=\"font-size: 12px;font-family: 宋体\">）手术治疗</span><span style=\"font-size: 12px\">:</span><span style=\"font-size: 12px;font-family: 宋体\">胸部伤需要开胸手术者不多，危重病人而行急诊手术。（</span><span style=\"font-size: 12px\">3</span><span style=\"font-size: 12px;font-family: 宋体\">）预防感染</span><span style=\"font-size: 12px\">:</span><span style=\"font-size: 12px;font-family: 宋体\">清创、引流和抗生素的应用等。</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">【开胸手术处理的指征】</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">&nbsp; &nbsp; 开胸手术处理的指征</span><span style=\"font-size: 12px\">:</span><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">）胸腔活动性出血，血压下降。（</span><span style=\"font-size: 12px\">2</span><span style=\"font-size: 12px;font-family: 宋体\">）张力性气胸与支气管断裂</span><span style=\"font-size: 12px\">;</span><span style=\"font-size: 12px;font-family: 宋体\">引流瓶中持续大量溢气，肺仍不复张者。（</span><span style=\"font-size: 12px\">3</span><span style=\"font-size: 12px;font-family: 宋体\">）大咳血不止。（</span><span style=\"font-size: 12px\">4</span><span style=\"font-size: 12px;font-family: 宋体\">）有心脏大血管损伤者。（</span><span style=\"font-size: 12px\">5</span><span style=\"font-size: 12px;font-family: 宋体\">）膈肌破裂、食管破裂等。（</span><span style=\"font-size: 12px\">6</span><span style=\"font-size: 12px;font-family: 宋体\">）大的开放性胸壁伤的闭合修补。（</span><span style=\"font-size: 12px\">7</span><span style=\"font-size: 12px;font-family: 宋体\">）血胸的早期清除，有大量血胸，但引流不畅，疑有胸内血凝块者。（</span><span style=\"font-size: 12px\">8</span><span style=\"font-size: 12px;font-family: 宋体\">）抗休克效果不佳者应开胸处理。急性血气胸的选择性初期治疗是胸腔闭式引流。及早进行胸腔闭式引流是治疗血气胸简单有效的重要措拖。而且绝大多数病例可用胸腔闭式引流等非开胸手术治愈。</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">【急性血气胸早期行闭式引流的优点】</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">&nbsp; &nbsp; 急性血气胸早期行闭式引流的优点在于</span><span style=\"font-size: 12px\">:</span><span style=\"font-size: 12px;font-family: 宋体\">（</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">）很快解除血气胸对肺及纵隔的压迫，改善呼吸、循环功能。（</span><span style=\"font-size: 12px\">2</span><span style=\"font-size: 12px;font-family: 宋体\">）能预防或减少脓胸及凝固性血胸的发生率。（</span><span style=\"font-size: 12px\">3</span><span style=\"font-size: 12px;font-family: 宋体\">）通过引流观察血量多少可确定有无活动性出血和是否需要急诊开胸探查手术。临床上绝大多数病人在伤后立即发生血气胸，除大血管出血外，多数在数小时最长</span><span style=\"font-size: 12px\">12h</span><span style=\"font-size: 12px;font-family: 宋体\">便停止胸腔内出血，一般</span><span style=\"font-size: 12px\">2</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">5h</span><span style=\"font-size: 12px;font-family: 宋体\">血液中纤维蛋白析出，胸血失去凝固性。但也有部分胸部外伤病人入院时，无血气胸或数天后又出现中等量（</span><span style=\"font-size: 12px\">500</span><span style=\"font-size: 12px;font-family: 宋体\">～</span><span style=\"font-size: 12px\">1000ml</span><span style=\"font-size: 12px;font-family: 宋体\">）或大量（</span><span style=\"font-size: 12px\">1000ml</span><span style=\"font-size: 12px;font-family: 宋体\">以上）血气胸。这种迟发性血气胸的发生率约占</span><span style=\"font-size: 12px\">10%</span><span style=\"font-size: 12px;font-family: 宋体\">。迟发时间短者</span><span style=\"font-size: 12px\">5h</span><span style=\"font-size: 12px;font-family: 宋体\">，长者</span><span style=\"font-size: 12px\">15h</span><span style=\"font-size: 12px;font-family: 宋体\">。</span><span style=\"font-size: 12px\">1/3</span><span style=\"font-size: 12px;font-family: 宋体\">发生在伤后</span><span style=\"font-size: 12px\">24h</span><span style=\"font-size: 12px;font-family: 宋体\">，尤其多发生于初次检查后的</span><span style=\"font-size: 12px\">6h</span><span style=\"font-size: 12px;font-family: 宋体\">内。因此对每个胸部损伤的伤员均需密切观察，或出院时嘱其有变化随时来诊。</span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('739', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1627', '概述', '<p>&nbsp; &nbsp; 初发型心绞痛：指劳力性心绞痛初次发作，病程在1个月以内。有过稳定型心绞痛病史的患者已有数月不发生心绞痛，现再次发生心绞痛而时间未到1个月，也可列入本型。<br/></p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('740', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1627', '病因', '<p>&nbsp; &nbsp; 引起初发心绞痛的病因包括：①冠状动脉粥样硬化致管腔固定性狭窄(常在75%以上)；②冠状动脉痉挛，如变异型心绞痛；③冠状动脉其他病变：如炎症、栓塞或先天畸形；④非冠状动脉病变：如主动脉瓣狭窄或主动脉关闭不全、梅毒性主动脉炎、严重贫血、甲亢、陈发性心动过速；⑤低血压、血液黏滞度增高或血流缓慢；⑥肥厚型心肌病、二尖瓣脱垂等。其中，最重要的是冠心病，即冠状动脉粥样硬化狭窄及(或)冠状动脉痉挛。</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('741', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1627', '临床表现', '<p>&nbsp; &nbsp;多数病人表现为：其心绞痛的发作在一段时期内(1个月以上)，其持续时间、严重程度以及心绞痛的阈值相对稳定，即引起心绞痛发作的体力活动量患者多可预测，不适症状经休息或含服硝酸甘油后可迅速缓解。</p><p>&nbsp; &nbsp; 1.症状 &nbsp;典型心绞痛具有如下六个方面的特点：</p><p>&nbsp; &nbsp; (1)心绞痛的性质：对同一患者来说，每次发作的疼痛程度可轻重不一，但疼痛的性质基本上是一致的。病人常描述为：“压迫感”、“压榨感”、“窒息感”、“缩窄感”、“涨破感”和“烧灼感”等。刀割样或针刺样的疼痛通常不是心绞痛。有时患者对疼痛的性质叙说不清时笼统地称其为胸部不适。患者一般用他的整个手掌或拳头来指出不适部位，而很少用一个指头表示。</p><p>&nbsp; &nbsp; (2)心绞痛的部位及放射：大部分心绞痛位于胸骨后、左胸前区，也可在上腹至咽部间，以及双侧腋前线间的任何部位。半数以上患者有放射性疼痛，上臂内侧是常见部位(此点对心绞痛与颈椎病的鉴别甚有帮助，后者的疼痛恰好向上臂外侧放射)，少数疼痛开始于上臂而后放射到前胸。同一患者在同一时期内，其疼痛部位多固定不变，如部位扩大、放射部位增多提示病变加重；胸痛位置多变不支持心绞痛。心绞痛范围小如一拳，大成一片、甚至遍及全胸；如胸痛呈点状、线状分布，不支持心绞痛。</p><p>&nbsp; &nbsp; (3)心绞痛的诱因：心绞痛最常见的诱发因素是体力负荷或情绪激动，如走急路、上楼梯或上坡时最易诱发。这种胸痛发生于劳累当时而不是之后，并且常在停止活动后症状很快消失。逆风行走、寒冷或饱餐后行走时心绞痛常加重，在有情绪因素的体力负荷下心绞痛易于恶化。需要指出的是，心绞痛在同一病人足以诱发它的劳力强度可能逐日不同，而在同一天中也不一样，其原因可通过仔细询问病史得到解释，如进餐、天气、情绪激动等。心绞痛的阈值在晨间较一天中任何时间都低，因此病人常发现在晨间第一次进行某种活动时可引起心绞痛，而在其余时间或以后同样活动时却不引起心绞痛。如不论何种类型的心绞痛，其阈值变动颇大，且在休息时显著，则应考虑为冠状动脉痉挛所引起的可能。因此，仔细询问病史不但可显示疼痛的原因(如心肌缺血)，还可提供缺血机制的线索[如冠状动脉痉挛和(或)器质性阻塞]。</p><p>&nbsp; &nbsp; (4)心绞痛持续的时间：心绞痛呈阵发性发作，全过程一般为3～5min，重度发作可达10～15min，超过30min者少见，应与心肌梗死鉴别。断断续续的胸痛或与心跳一致的跳痛、一过性持续数秒的胸痛不像心绞痛；若疼痛是模糊的沉重感觉，且持续数天或数周，也不像心绞痛；心绞痛很少受深呼吸的影响。</p><p>&nbsp; &nbsp; (5)心绞痛缓解的方法：如停止活动、原位站立数分钟即可缓解。心绞痛发作时病人喜取立位或坐位，不喜卧位。舌下含服硝酸甘油1～3min可使心绞痛缓解；如在体力负荷时发生的心绞痛5～10min才“有效”者，不一定是硝酸甘油的作用；重度心绞痛发作，硝酸甘油疗效差；口服硝酸甘油可预防心绞痛的发作，并能增加心绞痛患者的运动耐量；此外，还要注意：硝酸甘油放置半年以上，其疗效逐渐减退。</p><p>&nbsp; &nbsp; (6)伴随症状：心绞痛发作时可伴有胸闷、气短、疲倦及衰弱等症状，有时甚至心绞痛的症状被这些非特异症状所掩盖，应引起重视。</p><p>&nbsp; &nbsp; 仔细收集以上六个方面的资料对于心绞痛的诊断非常重要，需要时间、耐心和技巧。启发性提问常导致错误诊断，应避免。</p><p>&nbsp; &nbsp; 有些病人的心绞痛阈值可以变化很大，这是由于在固定狭窄的基础上，冠状动脉发生收缩所致。这类病人在一段时间内或一天内的某一时刻能完成较大量的体力活动，而在另一段时间轻度活动就引起心绞痛。病人常诉心绞痛有昼夜变异，心绞痛较常发生于早晨。气温低、情绪激动、精神紧张可诱发劳力性心绞痛，有时甚至诱发静息时心绞痛。</p><p>&nbsp; &nbsp; 2.体征</p><p>&nbsp; &nbsp; (1)全身检查：详尽的体检能提供有用的诊断线索及肯定病人的危险因素。在心绞痛发作期或发作后立即进行检查，能提高诊断的价值。检查不仅应针对心血管系统，还要特别注意对冠心病的预后和作冠脉血运重建手术的风险及预期效果能产生影响的伴发疾病的存在。</p><p>&nbsp; &nbsp; 望诊眼睛可发现角膜弓(arcus corneae)，检查皮肤可示黄色瘤(xanthoma)。角膜弓的大小似乎与年龄、胆固醇及低密度脂蛋白水平呈正相关。黄色瘤的形成与三酰甘油浓度升高及高密度脂蛋白相对缺乏有关。有调查发现，黄色瘤和角膜弓的发生率均随年龄而增加，在Ⅱ型高脂血症病人中发生率最高，在Ⅳ型高脂血症病人中发生率最低。视网膜小动脉改变常见于冠心病伴糖尿病或高血压者。</p><p>&nbsp; &nbsp; 血压可缓慢上升或在心绞痛发作期间急剧升高(同时心率加快)。血压改变可在心绞痛前(促成心绞痛)或后(由心绞痛所致)出现。全身性体检的其他重要发现还有动脉搏动及静脉系统的异常。周围血管疾病和冠心病的关系是密切而且充分肯定的。这些关系不但见于有症状的、临床有明显周围血管疾病或颈动脉疾病的患者，而且也见于无症状的、但已有踝-臂血压指数降低或超声波检查已证实的早期颈动脉疾病病人。触诊和听诊如发现有颈动脉和周围动脉疾病，则提示不明原因的胸部不适可能是由冠心病引起。检查患者静脉系统，特别对下肢静脉的评价，对冠状动脉搭桥手术中决定采用何种移植方式有重要意义。</p><p>&nbsp; &nbsp; (2)心脏检查：出现肥厚型心肌病或主动脉瓣膜病的杂音提示心绞痛不是由冠心病引起。胸痛发作期间检查心脏常有价值。体检可发现因心脏缺血而产生的一过性左心室功能障碍，如出现第3心音或肺部啰音。心绞痛期间可听到缺血性左心室功能障碍所致的第1心音二尖瓣成分减弱；出现暂时性第2心音逆分裂，这是由于左右心室收缩不协调、左心室收缩时间延长，导致主动脉瓣关闭延迟引起的。如没有其他明显的心脏病，出现第3心音或响亮的第4心音，提示心肌缺血是产生胸痛的原因。第3和第4心音多见于静息时发生心绞痛的病人，这些病人做等长运动时，即使未诱发心绞痛，第3心音和第4心音出现的频率也常增加。心尖部心脏抬举感常见于中度或重度左心室功能障碍患者。</p><p>左侧卧位时，可触及心尖部反常搏动，这些搏动与运动障碍的部位有关，对舒张期听诊结果起补充作用。短暂的心尖部收缩期杂音相当常见，提示由于一过性心肌缺血所致的乳头肌功能不全。这种杂音如持续存在，提示乳头肌纤维化、心内膜下心肌梗死或局部室壁运动异常，使乳头肌的相对位置发生改变所致。收缩期杂音在病情较重的冠心病患者中相当多见，特别是曾患心肌梗死和有左室功能障碍的患者。收缩期杂音可分为收缩早期、晚期或全收缩期杂音，运动或心绞痛发作时杂音增强。心绞痛发作期间也可听到由二尖瓣脱垂引起的收缩中期喀喇音，随后紧跟着收缩晚期杂音。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('742', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1627', '辅助检查', '<p>&nbsp;实验室检查：</p><p>&nbsp; &nbsp; 1.血常规 &nbsp;可发现是否合并贫血、血小板增多症及红细胞增多症等疾病。如Hb和RBC下降即出现贫血，因为贫血可减少血液携带氧的能力，增加心脏负荷（Hb＜90g/L与心脏负荷增加有关）；若Hb＜70g/L时可出现ECG上ST-T改变。若出现红细胞增多症、血小板增多症和粒细胞增多症，因为可增加血液切变力，诱发心绞痛发作。</p><p>&nbsp; &nbsp; 2.血脂 &nbsp;血脂紊乱与冠心病的发病密切相关。典型的动脉粥样硬化的血脂特点是：TC(总胆固醇)、LDL-C、VLDL-C、三酰甘油等增高和HDL-C下降。</p><p>&nbsp; &nbsp; 3.血糖 &nbsp;以证明葡萄糖耐量降低和糖尿病是冠心病的危险因素，所有怀疑冠心病的病都应该测空腹血糖。</p><p>&nbsp; &nbsp; 4.甲状腺功能 &nbsp;合并甲亢可出现持续性心动过速、T3、T4升高；这些激素可引起心律加快、增加代谢率，从而增加氧耗量；同时激活血小板，引起冠状动脉收缩，减少氧供，诱发心绞痛。</p><p>影像学检查：</p><p>&nbsp; &nbsp; 1.X线检查 &nbsp;胸片正常或发现心影增大，肺淤血，后者主要见慢性心肌缺血致心肌纤维化或心肌梗死后出现心脏扩大、心力衰竭。</p><p>&nbsp; &nbsp; 2.心电图 &nbsp;是最常用、最重要的检查方法，包括静息心电图、负荷心电图和Holter检测。</p><p>&nbsp; &nbsp; (1)静息心电图：此方法不能肯定是否有冠状动脉疾病，因为即使在心绞痛非常严重的病人静息心电图正常的也很常见(约占50%)。但是，静息心电图可以有冠心病其他表现，例如陈旧性心肌梗死的表现或非特异性ST-T改变。</p><p>&nbsp; &nbsp; (2)胸痛发作时的心电图：绝大多数心绞痛病人可出现发作性心肌缺血引起的ST改变，主要表现为ST段压低0.1mv(1mm)，发作缓解后可恢复，有时出现T波倒置或低平。</p><p>&nbsp; &nbsp; (3)负荷心电图试验：包括运动平板和二阶梯运动试验。在运动中出现典型的心绞痛；运动中或后即刻ECG出现ST段水平或下斜型压低≥0.1mv，或原有的ST段下降者，运动后在原有基础上再下降0.1mv，并持续2min以上才逐渐恢复正常者；运动中血压下降等为阳性结果。阴性标准：运动已达预计心率，心电图无ST段下降或下降较运动前＜0.1mv。</p><p>&nbsp; &nbsp; (4)动态心电图：可发现有症状的心肌缺血和无痛性心肌缺血。</p><p>&nbsp; &nbsp; 3.超声心动图 &nbsp;可探测到缺血区心室壁的运动异常：运动减弱、无运动和矛盾运动。</p><p>&nbsp; &nbsp; 4.冠状动脉造影 &nbsp;冠状动脉主要分支有＞75%狭窄或左主干狭窄＞50%，即可诊断冠心病。</p><p>&nbsp; &nbsp; 5.心肌核素灌注显影检查 &nbsp;国内多用99mTc-焦磷酸盐(99mTc-PyP)，经注射后可随冠状动脉血流很快被正常心肌所摄取，其摄取量与冠脉血流成正比。因为心肌梗死后瘢痕部位无血流通过，在心肌显像时表现为灌注缺损；若冠状动脉供血不足则产生心肌缺血，在心肌显像时表现为放射性稀疏。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('743', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1627', '诊断', '<p>&nbsp; &nbsp;1.诊断 &nbsp;初发型心绞痛的诊断主要依靠症状，症状典型诊断即可成立。在诊断冠心病心绞痛前，必须排除非冠脉疾病引起的心绞痛。</p><p>&nbsp; &nbsp; 2.心绞痛的分级 &nbsp;加拿大心血病学会提出的按诱发心绞痛的体力活动量而定的分级标准已获得了广泛的采用。这是纽约心脏协会功能分级的修改，但比后者分级更为具体。该分级标准如下：</p><p>&nbsp; &nbsp; Ⅰ级：一般的日常活动不引起心绞痛，费力、速度快、长时间的体力活动引起发作。</p><p>&nbsp; &nbsp; Ⅱ级：日常体力活动稍受限制，在饭后、寒冷、情绪激动时受限更明显。</p><p>&nbsp; &nbsp; Ⅲ级：日常体力活动明显受限，以一般速度在一般条件下平地步行1里路或上一层楼即可引起心绞痛发作。</p><p>&nbsp; &nbsp; Ⅳ级：轻微活动可引起心绞痛，甚至休息时亦有。这种分级有赖于准确地观察病人。</p><p>&nbsp; &nbsp; 由于临床上病人的症状耐受性大不相同，故这种分级标准亦存在着一定的局限性。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('744', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1627', '鉴别诊断', '<p>&nbsp; &nbsp;1.食管疾病<br/></p><p>&nbsp; &nbsp; (1)反流性食管炎：由于食管下端括约肌松弛，酸性胃液反流，引起食管炎症、痉挛，表现为胸骨后或中上腹部烧灼性痛，有时可向背部放射而疑似心绞痛。但本病常于餐后平卧时发生，服抗酸药可使之缓解。</p><p>&nbsp; &nbsp; (2)食管裂孔疝：常伴胃酸反流，其症状类似食管炎，常于饱餐后弯腰或平卧时发作，胃肠造影可明确诊断。</p><p>&nbsp; &nbsp; (3)弥漫性食管痉挛：也可伴发于反流性食管炎，其引起的胸痛有多种表现，服用硝酸甘油有效，麦角新碱可诱发，故易疑为心绞痛发作，是不典型心绞痛性胸痛的一个常见原因。根据患者有反酸和厌食的病史、症状常于进食尤其冷饮时或饭后发生、与劳累无关、发作时有吞咽困难可与心绞痛相区别。食管镜和食管测压法可明确诊断。</p><p>临床上，心绞痛与食管疾病往往同时存在，食管反流能降低心绞痛的阈值，食管痉挛可由麦角新碱诱发和由硝酸甘油缓解，因而两者的鉴别常存在困难。胸痛表现为“烧心”，且与体位改变和进食有关，同时伴随吞咽困难是食管疼痛的特点；食管疼痛较心绞痛更常放射到背部。准确的诊断不仅需要仔细地询问病史及体检，有时还需借助于实验室检查。</p><p>&nbsp; &nbsp; 2.肺、纵隔疾病</p><p>&nbsp; &nbsp; (1)肺栓塞：其疼痛突然发生并在休息时出现，见于有本病高危因素(如心力衰竭、静脉病、手术后等)的病人，常伴有咯血和呼吸急促。其疼痛性质典型地被描述为胸部紧压感伴有或随后发生胸膜炎性胸痛，即该侧胸部尖锐疼痛，呼吸或咳嗽使之加重。X线胸片、肺动脉造影、肺核素扫描可明确诊断。</p><p>&nbsp; &nbsp; (2)自发性气胸及纵隔气肿：二者的胸痛均突然发生，前者胸痛位于胸部的侧面，后者位于胸部中央，均伴有急性呼吸困难。X线胸片可明确诊断。</p><p>&nbsp; &nbsp; 3.胆绞痛 &nbsp;此病常突然发病，疼痛剧烈且常呈固定性，持续2～4h，然后可自行消失，在发作间期无任何症状。一般它在右上腹最重，但也可位于上腹部或心前区。这种不适症状常放射到肩胛骨，可沿着肋缘放射到背部，偶尔放射到肩部，提示横膈受刺激。常有恶心、呕吐，但疼痛与进餐的关系不确定；此病常有消化不良、腹部胀气、不能耐受脂肪食物等病史，但这些症状也常见于一般人群，特异性不强。超声显像对诊断胆石是准确的，且可了解胆囊大小、胆囊壁厚度以及是否有胆管扩张。口服胆囊造影术未能显示胆囊充盈，提示胆囊无功能。</p><p>&nbsp; &nbsp; 4.神经、肌肉和骨骼的原因</p><p>&nbsp; &nbsp; (1)颈脊神经根炎：它可表现为恒久疼痛，有时导致感觉障碍。疼痛可能与颈部活动有关，如同肩关节活动引起滑囊炎的疼痛发作一样。手指沿背面加压，有皮肤过敏区，可疑及胸脊神经根炎。有时，颈肋压迫臂肩神经丛可产生酷似心绞痛样疼痛。体检时通过活动也可发现肩关节炎症和(或)肩部韧带钙化、颈椎病、酷似心绞痛的肌肉骨骼疾病、肩峰下的滑囊炎及肋软骨炎等。</p><p>&nbsp; &nbsp; (2)胸肋综合征：又称Tietze综合征。其疼痛局限在肋软骨和肋胸骨关节肿胀处，有压痛。临床表现典型的Tietze综合征不常见，而肋软骨炎引起肋骨与肋软骨连接处的压痛(不伴肿胀)相对多见。检查时，肋软骨连接处的压痛是常有的临床体征。治疗肋软骨炎通常采用消除疑虑和抗炎药物。</p><p>&nbsp; &nbsp; (3)带状疱疹：在其出疹前期可出现胸痛，严重时甚至可类似心肌梗死。根据疼痛的持久性、局限于皮肤感觉神经纤维分布区、皮肤对触摸的极度敏感及特异性疱疹的出现可作出本病的诊断。</p><p>&nbsp; &nbsp; (4)不明原因的胸壁痛和触痛：触诊和胸部活动(如弯腰、转身或行走时摆动手臂等)可致胸痛。与心绞痛相反，疼痛可持续几秒或几小时，硝酸甘油不能使其立即缓解。一般不需治疗，偶需用水杨酸盐。</p><p>&nbsp; &nbsp; 5.功能或精神性胸痛 &nbsp;它是神经循环衰弱症焦虑状态的一种表现。疼痛可位于心尖部，为持续时间达数小时的隐痛，常加重或转变为1～2s时限的乳腺下尖锐刀刺样痛，多发生在情绪紧张和疲劳时，与运动关系不大，可伴有心前区的压痛。发作时可伴有心悸、过度通气、四肢麻木和刺痛、叹气、头晕、呼吸困难、全身无力和情绪不稳或压抑等征象。除镇痛剂外其他药物不能使之缓解，但可被多种形式的干预，如休息、劳力、安定药和安慰剂所减轻。与心肌缺血性疼痛相反，功能性疼痛更易显示出对不同的干预方法产生不同的反应。由于功能性疼痛常发生在过度通气后，后者可引起肌肉张力增高，产生弥漫性胸部紧压感。有些所谓的功能性胸痛其实可能有器质性疾病的基础。这在二尖瓣脱垂病人中的胸痛常见。其胸痛的性质在病人之间的变异很大，即可类似典型的心绞痛亦可类似前述神经循环衰弱症的胸痛。</p><p>&nbsp; &nbsp; 6.非冠状动脉粥样硬化的心脏及血管疾病</p><p>&nbsp; &nbsp; (1)急性心包炎：发病年龄轻。常先有病毒性上呼吸道感染史。其炎症引起的疼痛起病突然、较心绞痛性不适感尖锐，位置偏左而非在胸部正中，常辐射到颈部。疼痛呈持续性且与劳累无关，呼吸、吞咽及扭动身体可使其加重，当病人坐起并前倾时疼痛减轻。听诊有心包摩擦音。借助心电图可明确诊断。</p><p>&nbsp; &nbsp; (2)主动脉疾病：当有高血压的病人突然发生持续而严重的疼痛，且放射到背部和腰部时提示主动脉夹层分离的可能；胸主动脉瘤的不断扩张可侵蚀脊椎体引起局限而严重的钻孔样疼痛，夜间尤甚；重度主动脉瓣狭窄因冠状动脉供血不足，可出现心绞痛，主动脉瓣区收缩期杂音及超声心动图可资鉴别。</p><p>&nbsp; &nbsp; (3)重度右室高压：二尖瓣狭窄、原发性肺动脉高压和肺心病等疾病可产生疼痛。此痛还可出现于肺动脉压低时，如重度肺动脉瓣狭窄伴右室高压。目前认为此种疼痛是由于心排量受限，在收缩期因右室高压使冠脉血流减少、右室耗氧增加，引起心肌灌注不良所致。因此，胸部不适可由心脏缺血所致。由于这种痛可自行缓解，多持续数分钟，故对硝酸甘油的反应难以评价。若疼痛由活动引起且能被硝酸甘油预防，则疼痛很可能因冠心病所致。许多肺动脉高压的病人在运动时或运动后的心电图上出现ST段移位。</p><p>&nbsp; &nbsp; (4)冠状动脉造影结果正常的胸痛：心绞痛或类似心绞痛的胸痛伴冠脉造影正常的综合征常被称为X综合征，需与冠心病所引起的典型缺血性心脏病区别。其病因尚不清楚，其中一部分患者有真正的心肌缺血，表现为运动或快速起搏时心肌产生乳酸盐增多。</p><p>&nbsp; &nbsp; 有胸痛而冠脉造影正常的病人多见于绝经期前的妇女，大多数的胸痛症状不典型，胸痛可由劳累诱发，但促发痛的阈值变化很大，有时疼痛非常剧烈。本病可影响到患者的工作和生活质量。部分患者可有恐慌、焦虑或精神异常等临床表现。有的病人有胰岛素抵抗和高胰岛素血症。临床查体多无异常发现。部分病人胸痛时心电图上可有非特异性ST-T异常。近20%的患者有运动试验阳性。运动核素心肌显像可发现部分病人有心肌灌注异常，但它与缺损范围、运动试验阳性程度和运动耐量无一致的相关性。</p><p>&nbsp; &nbsp; 对临床上有缺血证据的患者可使用硝酸酯及β-受体阻滞药治疗，但实际的治疗效果常不理想。硝酸酯不能提高X综合征患者的运动耐量，甚至可使有些患者的运动耐量减退。钙拮抗药可减弱有些病人胸痛发作的频度及严重程度，并可提高其运动耐量。在治疗过程中应尽力寻找胸痛的非心脏原因。对有胃-食管反流及食管功能障碍者，治疗这些疾病对缓解症状有效。对那些无缺血证据和(或)那些对抗缺血治疗无反应者，除可提供一般支持治疗外，耐心向病人解释本病的良好预后，使其安心，也是治疗上的重要环节。</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('745', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1627', '治疗', '<p>心绞痛的治疗应包括以下四个方面。</p><p>&nbsp; &nbsp; 1.冠心病易患因素的纠正 &nbsp;如积极治疗高血压；控制体重、停止吸烟、合并糖尿病者需降低升高的血糖。如有贫血、甲亢、心力衰竭或使用任何增加心肌氧耗的药物均需注意纠正或避免。</p><p>&nbsp; &nbsp; 2.调整生活方式 &nbsp;减轻或避免心肌缺血的发作。例如估测患者的体力活动耐量，调整日常生活及工作量。患者应避免突然的劳累动作，尤其在较长时间休息以后，例如对昼夜心绞痛发作规律的研究发现，清晨起来后的短时间内，心绞痛阈较低，因此，起床后活动动作宜慢，必要时须用硝酸甘油作预防。</p><p>&nbsp; &nbsp; 3.心绞痛的药物治疗 &nbsp;药物是治疗冠心病最基本、最重要的方式，不仅可缓解急性发作，还可以预防心绞痛发作，提高病人的生活质量。</p><p>&nbsp; &nbsp; (1)急性发作时的治疗：在心绞痛突然发作时，要立即停止活动并休息。若症状仍不缓解，可使用作用较快的硝酸酯类药物，一般首选硝酸甘油和硝酸异山梨酯。</p><p>&nbsp; &nbsp; ①首先舌下含服硝酸甘油：0.3～0.6mg，因可为唾液所溶解而吸收，1～2min即开始起效，约半小时后作用消失。对约92%的病人有效，其中76%在3min内见效。若无效或未充分缓解，可每隔5min再含服0.4mg；15min内可含1.2～1.5mg，若心绞痛症状持续20min，且不为硝酸甘油所缓解可到附近医疗中心就诊，以除外急性心肌梗死。</p><p>&nbsp; &nbsp; ②硝酸异山梨酯：5～10mg 舌下含服，1～5min见效，作用维持2～3h。市场上有这两种药物的喷雾剂，比片剂更容易吸收。</p><p>&nbsp; &nbsp; ③也可含服一些起效快的中药制剂，如速效救心丸、复方丹参滴丸等。</p><p>&nbsp; &nbsp; (2)缓解期的治疗：可使用硝酸酯类、β受体阻滞药、钙通道拮抗药及抗血小板药物。</p><p>&nbsp; &nbsp; ①硝酸酯类：临床常用的硝酸酯类主要是硝酸甘油、硝酸异山梨醇(消心痛)和单硝酸异山梨醇。</p><p>&nbsp; &nbsp; A.单硝酸异山梨醇酯：与硝酸异山梨醇(消心痛)相比单硝酸异山梨醇不需要通过肝脏首次代谢，具有100%的生物利用率，其血清半衰期为4～5h，明显长于消心痛的血清半衰期，是近年来应用较多的药物，其中20mg的剂型有长效心痛治、异乐定、鲁南欣康和丽珠欣乐，作用可持续8h，适合于2次/d给药。30mg，40mg，50mg，60mg的剂型有依姆多(有30mg及60mg两种剂型)、德脉宁、长效异乐定，臣功再佳及莫诺确特等，药效可持续16～24h，一般1片/d即可。</p><p>&nbsp; &nbsp; B.速效类硝酸甘油和硝酸异山梨醇(消心痛)口腔喷雾剂：是硝酸甘油和消心硝酸异山梨醇(消心痛)的改进剂，喷雾后15～30s起效，3～4min作用达高峰，可维持1～1.5h。</p><p>&nbsp; &nbsp; C.长效硝酸甘油缓释剂：有2.5mg和6.5mg两种，口服后，前者2～8h疗效明显，后者则作用持续时间更长。</p><p>&nbsp; &nbsp; D. 硝酸异山梨醇(消心痛)皮肤喷雾剂：喷雾皮肤后约30～60min起效，药效可维持12h。</p><p>&nbsp; &nbsp; E.硝酸甘油和硝酸异山梨醇(消心痛)的静脉剂型：适用于急性心肌梗死早期和不稳定性心绞痛的急性发病期。</p><p>&nbsp; &nbsp; 硝酸酯类药物的主要副作用是：头痛、头晕、反射性心动过速和直立性低血压等。</p><p>&nbsp; &nbsp; ②钙通道拮抗药：常用的有3类：</p><p>&nbsp; &nbsp; A.二氢吡啶类：如硝苯地平、氨氯地平(络活喜)、波依定，拜心同和尼卡地平。因降低血压作用明显，适用于冠心病并高血压的患者。硝苯地平常用量为30～120mg/d，分3～4次口服；氨氯地平(络活喜)为5～10mg/d，1次口服；非洛地平(波依定)2.5～10mg/d，1次口服；硝苯地平(拜心同)30mg/d，1次口服。</p><p>&nbsp; &nbsp; B.粟碱的衍生物:如维拉帕米，160～320mg/d，分3～4次口服；维拉帕米缓释剂剂型为240mg/片，1次/d。</p><p>&nbsp; &nbsp; C.1.5-苯噻嗪衍生物：如地尔硫 ，90～240mg/d，分3～4次口服。</p><p>&nbsp; &nbsp; 主要副作用：二氢吡啶类可使血压降低、心动过速、头痛、眩晕、疲乏、胃肠道不适和周围水肿(以踝关节周围为常见)。而维拉帕米和地尔硫卓的主要副作用是心动过缓、传导阻滞、心力衰竭、头痛和疲乏等。</p><p>&nbsp; &nbsp; ③β受体阻滞药：临床常用β受体阻滞药有普萘洛尔(心得安)、阿替洛尔(氨酰心安)、美托洛尔(美多心安)和比索洛尔(康可)；这些β受体阻滞药均无内源性拟交感活性，除普萘洛尔(心得安)外，均是心脏选择性作用于β受体，故心得普萘洛尔(心得安)近来已较少使用。β受体阻滞药应用剂量国内明显低于国外。</p><p>&nbsp; &nbsp; A.美托洛尔(美多心安)：美托洛尔(美多心安)是脂溶性，主要经肝脏代谢。剂量25～200mgd，分2～3次口服；使用剂量低于100mg/d时有心脏选择性。</p><p>&nbsp; &nbsp; B.阿替洛尔(氨酰心安)和比索洛尔(康可)：为水溶性，主要经肾脏代谢，阿替洛尔(氨酰心安)12.5～100mg/d，分1～2次口服；比索洛尔(康可)2.5～10mg/d，1次/d口服。比索洛尔(康可)10mg时相当于阿替洛尔(氨酰心安)100mg的疗效。血清半衰期阿替洛尔(氨酰心安)为6～9h，比索洛尔(康可)为18～24h。</p><p>&nbsp; &nbsp; ④抗心肌缺血药：在正常无心肌缺血的情况下，心脏活动的能量60%～90%来自心肌细胞内的脂肪酸代谢。10%～40%由糖酵解和乳酸氧化提供。心肌缺血时，游离脂肪酸动员增加，脂肪酸氧化速度增加，葡萄糖氧化供能(葡萄糖有氧代谢)ATP份额被压缩了5%～10%，ATP生成的速率下降。如以1.6碳软脂酸供能时，每消耗1个氧分子(O2)可产生4.3个ATP的能量；而以葡萄糖氧化时，每消耗1个氧分子可提供6个ATP的能量。可见消耗同样的氧，葡萄糖供能比游离脂肪酸氧化供能的效能高12%～28%。由于糖酵解和乳酸产生增加，导致细胞内pH降低，影响离子泵的正常功能和钠、钾离子的跨膜流动，钙离子在细胞内过载，导致心功能下降。在中等程度心肌缺血时(冠脉血流量仅为正常30%～60%)虽然有乳酸堆积，心肌仍以耗氧较多的脂肪酸氧化作为能量的主要来源，丙酮酸转化为乳酸；使心肌功能进一步受影响。</p><p>&nbsp; &nbsp; 曲美他嗪(万爽力)：为优化心肌能量平衡的抗心肌缺血药。作用于线粒体水平，通过选择性抑制长链3-酮酰辅酶A硫解酶(3-KAT)而可部分抑制脂肪酸氧化，增加葡萄糖有氧代谢，减少ATP产生的氧耗和乳酸H的堆积，减少细胞酸中毒及细胞内Ca2 超负荷，减轻自由基损害。保证了离子泵的正常功能，钠、钾离子的跨膜流动，继而保持了细胞的自身平衡。具有直接的心肌细胞保护作用，对血流动力学没有影响。</p><p>&nbsp; &nbsp; 稳定型心绞痛的病人冠状动脉已有较明显的固定狭窄，不能通过冠状动脉适应性的扩张来增加血流灌注，同时由于内皮细胞功能的损伤，NO(一氧化氮)产生减少，使在体力运动、情绪激动或寒冷气候时冠脉收缩，故约有30%稳定型心绞痛患者可以静息状态下出现症状发作。作为第一个3-KAT抑制剂，“曲美他嗪(万爽力)”有助于优化心肌能量代谢，从脂肪酸氧化转向葡萄糖氧化，恢复糖酵解和氧化的耦联，促使氧耗较少的ATP产生，有助于缺血心肌机械功能的恢复。</p><p>&nbsp; &nbsp; 在2001年9月在瑞典斯德哥尔摩召开的欧洲心脏病年会(ESC)对曲美他嗪的治疗进展进行了专题研讨。认为在治疗稳定型心绞痛β受体阻滞药是一线药物，但该类药有一定的禁忌证，在老年患者更易发生。硝酸酯、钙拮抗药、曲美他嗪可在一线药物有禁忌证或耐受性差时作为二线药物使用。研究证实，在治疗稳定型心绞痛时，与有血流动力学作用的药物相比，TMZ至少有同等的疗效，而病人的耐受性更好。有作者应用TMZ 20mg，3次/d(71例)，与普萘洛尔(心得安)40mg，3次/d(78例)比较；结果显示治疗心绞痛二者同样有效。TMZ与其他药物联合应用时常有较好的协同作用，如在延长运动至心绞痛发作和ST段降低的时间上，TMZ与硝酸酯合用较β受体阻滞药和硝酸酯合用更有效。地尔硫卓治疗无效的病人加用TMZ可使症状改善。</p><p>&nbsp; &nbsp; 还有TMZ改善左心室功能，提高LVEF，对内皮细胞、平滑肌细胞和血小板等的作用也有相关研究报道。总之，由于TMZ的独特作用机制和良好的安全性，它的临床运用范围在不断扩大，已从单纯治疗冠心病稳定型心绞痛，扩展到对多种心肌缺血状态及缺血性心功能障碍时的保护。</p><p>&nbsp; &nbsp; ⑤抗血小板的药物： 主要抗血小板的药物有阿司匹林、噻氯匹啶、氯吡格雷、双嘧达莫(潘生丁)、鱼油及血小板糖蛋白(GPⅡb/Ⅲa——纤维蛋白原受体)拮抗药等。</p><p>&nbsp; &nbsp; 4.心绞痛的介入性治疗 &nbsp;主要指冠状动脉血运重建疗法，目前主要有两种即PTCA（经皮腔内冠状动脉成形术）和CABG（冠状动脉搭桥术）。</p><p>&nbsp; &nbsp; (1)PTCA：即用经皮穿刺方法送入球囊导管，扩张狭窄冠状动脉的一种心导管治疗技术。其治疗机制是通过球囊在动脉粥样硬化狭窄节段的机械挤压，使粥样硬化的血管内膜向外膜伸展，血管直径扩大，或粥样硬化斑块被撕裂沿血管腔延伸，在生理压力和血流冲击下，重新塑形生成新的平滑内腔，并在较长时间内保持血流通畅。</p><p>&nbsp; &nbsp; 目前随着PTCA技术的改进、材料的改良、优质影像增强系统的引入及PTCA操作经验的积累，其临床适应证在扩展。在临床上药物治疗无效，病人要求行血运重建治疗；同时有血管再通操作成功的可能性的病人可考虑进行PTCA的治疗。</p><p>&nbsp; &nbsp; (2)CABG：它通过将移植血管绕过冠状动脉狭窄部位与其近端吻合，可以达到立即恢复和(或)增加缺血心肌的血流量，有效地降低心绞痛的发生率，缓解症状，改善心脏功能提高生活质量。</p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('746', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1627', '预防', '<p>&nbsp; &nbsp;由于冠心病是造成人类死亡的最重要的疾病之一，而临床上尚缺乏根治性措施，因此对冠心病的积极预防有着十分重要的意义。冠心病的预防包括一级预防和二级预防两个方面。一级预防是指对尚未患上冠心病的人群采取措施控制或减少冠心病的危险因素，以防患病，减少发病率。二级预防是指已患上冠心病的患者采取药物或非药物措施，以防止病情复发或防止病情加重。</p><p>&nbsp; &nbsp; 1.一级预防措施 &nbsp;包括两种情况：</p><p>&nbsp; &nbsp; (1)健康教育：对整个人群进行健康知识教育，提高公民的自我保健意识，避免或改变不良生活习惯，如戒烟、注意合理饮食、适当运动、保持心理平衡等，从而减少冠心病的发生。</p><p>&nbsp; &nbsp; (2)控制高危因素：针对冠心病的高危人群，如高血压病、糖尿病、高脂血症、肥胖、吸烟以及有家族史等情况，给予积极处理。当然，在这些危险因素中有些是可以控制的，如高血压、高血脂、糖尿病、肥胖、吸烟、少活动的生活方式等；而有些是无法改变的，如冠心病家族史、年龄、性别等。处理方法包括选用适当药物持续控制血压、纠正血脂代谢异常、戒烟限酒、适当体力活动、控制体重、控制糖尿病等。</p><p>&nbsp; &nbsp; 2.二级预防 &nbsp;采用已经验证过有效的药物，预防冠心病的复发和病情加重。</p><p>目前已肯定有预防作用的药物有：</p><p>&nbsp; &nbsp; (1)抗血小板药：阿司匹林已被证实可减少心肌梗死的发生和再梗死率，急</p><p>性心肌梗死后应用阿司匹林可使再梗死率下降大约25%；如有阿司匹林不能耐受或过敏者，可选用氯吡格雷。</p><p>&nbsp; &nbsp; (2)β受体阻滞药：只要无禁忌证，冠心病患者均应使用β受体阻滞药，尤其在发生急性冠状动脉事件后；有资料表明，急性心肌梗死后患者应用β受体阻滞药，可使病死率和再梗死率降低20%～25%。可采用的药物有美托洛尔、普奈洛尔、噻吗洛尔等。</p><p>&nbsp; &nbsp; (3)他汀类降脂药：研究结果显示出冠心病患者的长期调脂治疗，不但使总病死率降低，生存率提高，而且需要行冠脉介入治疗或CABC的患者数量减少。这得益于他汀类药物降脂作用以外的改善内皮功能、抗炎作用、影响平滑肌细胞增殖以及干扰血小板聚集、凝血、纤溶过程等功能。辛伐他汀、普伐他汀、氯伐</p><p>他汀以及阿托伐他汀等均有此作用。</p><p>&nbsp; &nbsp; (4)ACEI：多应用于伴有左心室功能严重受损或心力衰竭者。已有许多临床试验结果证实ACEI降低急性心肌梗死后的病死率；因此急性心肌梗死后，射血分数＜40%或室壁运动指数≤1.2，且无禁忌证的患者，均应使用ACEI。常用的有卡托普利、依那普利、贝那普利和福辛普利等。</p><p>&nbsp; &nbsp; 另外，针对冠状动脉造影有冠状动脉粥样硬化轻度狭窄性病变而临床上尚未出现缺血症状者，尽管还不能明确诊断冠心病，但应视为冠心病的高危人群，给予积极预防，也可给予小剂量阿司匹林长期服用，并祛除血脂异常、高血压等危险因素。</p><p><br/></p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('747', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1617', '概述', '<p>&nbsp; &nbsp;高脂血症性胰腺炎：胰腺病人的血TG值＞11.30 mmol/L或TG值虽为5.65-11.30mmol/L（500-1000mg/dL）但血清为乳状，并排出引发胰腺炎的其它因素可诊断为高脂血症性胰腺炎。（HAP）</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('748', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1617', '病因与发病机制', '<p>&nbsp; &nbsp;所有能引起血TG水平明显升高均可诱发高脂血症性胰腺炎。常见有内源性脂代谢障碍（如家族性脂蛋白酶缺乏或家族性脂蛋白C-II缺乏）酗酒、妊娠、肥胖、糖尿病、甲状腺功能减退、慢性肾炎等。</p><p>&nbsp; &nbsp; 发病机制：(1)大量游离脂肪酸（FFA）诱发酸中毒，激活脂蛋白酶。(2)高TG可损伤血管内皮，增加血液黏度胰腺微循坏障碍。（3）FFA皂化剂样作用可以使胰腺间质崩解，使胰腺发生自溶。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('749', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1617', '临床表现', '<p>（1）腹痛 腹痛常位于中上腹部，有时向腰背部呈束带状放射，弯腰或前倾坐位可减轻；常突然发作于大量饮酒或饱餐后，程度不一，轻者为钝痛，重者多呈持续性绞痛。</p><p>（2）恶心、呕吐 多数患者起病即呕吐胃内容物，甚至呕吐胆汁，吐后腹痛并不缓解。</p><p>（3）发热 多数急性胰腺炎患者出现中度发热，一般持续3～5天。</p><p>（4）水电解质及酸碱失衡 患者有不同程度的脱水，频繁呕吐者可发生代谢性碱中毒，重症胰腺炎常伴有代谢性酸中毒、低钙血症、血糖升高、低血钾、低血镁。</p><p>（5）胰腺的位置深在，一般的轻型水肿型胰腺炎在上腹部深处有压痛，少数前腹壁有明显压痛。而急性重型胰腺炎，由于其大量的胰腺溶解、坏死、出血，则前、后腹膜均被累及，全腹肌紧、压痛，全腹胀气，并可有大量炎性腹水，可出现移动性浊音。肠鸣音消失，出现麻痹性肠梗阻。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('750', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1617', '辅助检查', '<p>【实验室检查】&nbsp;</p><p>&nbsp; &nbsp; 1.白细胞计数 &nbsp;轻型胰腺炎时，可不增高或轻度增高，但在严重病例和伴有感染时，常明显增高，中性粒细胞也增高。</p><p>&nbsp; &nbsp; 2.测定血脂谱全套 空腹TC、TG、LDL-C、HDL-C。 血TG 值＞11.3mmol/L。</p><p>&nbsp; &nbsp; 3.判断血浆中有无乳糜微粒存在</p><p>可采用简易的方法，即把血浆放置4℃冰箱中过夜，然后观察血浆是否有“奶油样”的顶乳状血清：当血血TG 值＞11.3mmol/L，血清均为呈乳状。</p><p>&nbsp; &nbsp; 4.血淀粉酶测定：约50％的高脂血症性胰腺炎病人血淀粉酶测定值在正常范围，这是由于HLG病人血液内存在一种淀粉酶活性抑制物所致，这种非脂肪类抑制因子还能通过肾脏进入尿液抑制尿淀酶的活性。</p><p>&nbsp; &nbsp; 5血清钙测定</p><p>正常值不低于2.12mmol/L（8.5mg/dl）。在发病后两天血钙开始下降，以第4～5天后为显著,重型者可降至1.75mmol/L（7mg/dl）以下，提示病情严重,预后不良。</p><p>【影像学检查】</p><p>&nbsp; 1.X线检查</p><p>&nbsp; &nbsp; (1)腹平片：可能见到以下征象：①胰腺部位的密度增强(由于炎症渗出所致)；②反射性肠郁张(主要在胃、十二指肠、空肠和横结肠)；③膈肌升高，胸腔积液；④少数病例可见胰腺结石或胆道结石；⑤十二指肠环淤滞，其内缘有平直压迹；⑥仰卧位腹平片，表现“横结肠截断”征，即结肠肝曲，脾曲充气，即使改变体位横结肠仍不充气，这是由于急性胰腺炎引起结肠痉挛所致。</p><p>&nbsp; &nbsp; (2)上消化道钡餐造影：可能见到以下征象：①胰腺头部肿大，十二指肠环有扩大；②胃窦部受压；③十二指肠有扩张、淤积现象；④十二指肠乳头部水肿或由于胰头肿大所致倒“3”字征；⑤胰腺假性囊肿时，可见胃肠受挤压现象。</p><p>&nbsp; &nbsp;2.超声检查 &nbsp;超声在急性胰腺炎的诊断占有愈加重要的位置，成为不可缺少的常规检查方法之一，但易受胃肠积气的影响。超声对胰腺炎的诊断可有以下发现。</p><p>&nbsp; &nbsp; (1)胰腺体积增大：在水肿型胰腺炎时，胰腺体积增大者少；而在重型胰腺炎时则多有增大，且胰腺轮廓模糊，表面不光滑，胰腺深面与脾静脉分界不清，有时胰腺前后界难以辨认。</p><p>&nbsp; &nbsp; (2)胰腺回声增强：在水肿型胰腺炎可见部分胰腺回声增强，但在重型胰腺炎时可见胰腺内部大幅度凹凸不平，多有强回声，间有不规则低回声区。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('751', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1617', '诊断与鉴别诊断', '<p>诊断</p><p>（1）<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>首先确诊胰腺炎</p><p>（2）<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>血TG值显著升高，基础血TG＞11.30mmol/L</p><p>（3）<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>乳状血清：当TG＞11.30mmol/L时，血清均为乳状。血清TG值5.65-11.30mmol/L之间血清呈乳状者，亦可诊断高脂血症性胰腺炎</p><p>（4）<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>血淀粉酶增高或正常</p><p>高脂血症性胰腺炎应与下列疾病鉴别：</p><p>1.消化性溃疡急性穿孔</p><p>有较典型的溃疡病史，腹痛突然加剧，腹肌紧张，肝浊音消失，X线透视见膈下有游离气体等，可资鉴别。</p><p>2.胆石症和急性胆囊炎</p><p>常有胆绞痛史，疼痛位于右上腹，常放射到右肩部，Murphy征阳性，血及尿淀粉酶轻度升高，B超及X线胆道造影可明确诊断。</p><p>3.急性肠梗阻</p><p>腹痛为阵发性，腹胀，呕吐，肠鸣音亢进，有气过水声，无排气，可见肠型，腹部X线可见液气平面。</p><p>4.心肌梗死</p><p>有冠心病史，突然发病，有时疼痛限于上腹部，心电图显示心肌梗死图像，血清心肌酶升高，血尿淀粉酶正常</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('752', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1617', '治疗与预防', '<p>治疗</p><p>1.非手术治疗</p><p>&nbsp; &nbsp; （1）降血脂治疗：主要包括降脂药物和血液净化。降脂药物应采用以降低血TG为主的药物，贝特类药物是临床常用的降TG药。但目前认为他汀类药物有较好的降TG作用，禁食者可通过鼻胃管、空肠造瘘管等给药。妊娠妇女不宜使用降脂药物。</p><p>血液净化包括血液滤过、血浆置换等，能迅速清除TG、乳糜微粒、炎症因子，阻断炎症介质的释放，有利于胰腺炎症和坏死的过程，改善重要脏器的功能并缩短病程。</p><p>Kyriakidis等对10例重症高脂血症AP患者在常规治疗的同时在入院48小时内实施血浆置换法，结果发现，所有患者的血TG水平都降低，且腹痛等临床和体征都有改善。</p><p>&nbsp; &nbsp; （2）持续静脉滴注肝素和胰岛素能刺激脂蛋白酶活化，活化的脂蛋白脂肪酶能催化乳糜微粒和极低密度脂蛋白核心的TG分解为脂肪酸和胆酸甘油酯，从而降低血TG水平。Berger等对5名高脂血症性急性胰腺炎患者持续静脉滴注肝素和胰岛素,3天后5名患者血TG值&lt;2.8mmol/L,无并发症且全部存活。皮下注射低分子量肝素还可改善胰腺微循环障碍,抑制炎症因子防止中性粒细胞激活。血液净化（血脂吸附与血液滤过）降血脂药物（氟伐他汀钠40mg，每晚一次，口服，或力平之200mg，每晚一次）低分子量肝素（法安明5000IU，皮下注射，每天一次，连续3天）胰岛素持续静脉推注（血糖控制在11.1mmol/L以下）和全腹皮硝外敷（24h持续全腹皮下外敷，可改善腹腔内组织水肿和促进胰腺假性囊肿吸收）</p><p>&nbsp; &nbsp; &nbsp;(3)脂肪乳剂的应用</p><p>高脂血症性急性胰腺炎患者营养支持更需慎重。一般认为早期应禁用脂肪乳剂和致高血脂药,并设法使TG降至＜5.65mmoL,然后可根据血清脂乳廓清试验决定是否应用脂肪乳。脂肪乳应用原则：1.基础血TG值在1.7-3.4mmol/L者，可用脂肪乳，2.基础血TG值在3.4-4.5mmol/L且空腹血清呈乳状者，禁用脂肪乳，但空腹血清不呈乳状者，仍可慎用。3.基础血TG值＞4.5mmol/L者，不用脂肪乳。4.应用过程中，需定期复查脂肪乳廊清试验，阳性者及时停用，并予降脂治疗 &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; （5）改善微循坏障碍</p><p>高TG性胰腺炎患者因高血粘度更易出现微循坏障碍，故改善胰腺炎微循坏就不尤为重要。常用的药物主要有：低分子右旋糖酐、生长抑制、低分子肝素、丹参、前列腺素抑制等。</p><p>预防</p><p>&nbsp; &nbsp; &nbsp;高脂血症性急性胰腺炎患者治愈后容易复发，大多是因为血TG控制不良所致。因此患者治愈后应严格控制血TG水平＜5.65mmol/L</p><p>具体措施</p><p>（1）低值饮食、禁酒、避免暴饮暴食，加强体育锻炼，尊属服用降脂药及胰酶制剂。</p><p>（2）积极治疗引起高脂血症的原发疾病，如糖尿病，甲状腺功能减退症。</p><p>（3）避免服用可引起血TG水平升高的药物，如利尿剂、糖皮质激素等。</p><p>（4）妊娠期妇女易引起血TG升高，而诱发AP。因此应行血脂和脂蛋白检查，如发现血脂升高及时通过饮食调节控制血TG浓度，并在妊娠期间全过程随访TG变化。</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('753', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1636', '概述', '<p>&nbsp; &nbsp;伴随年龄增大以骨量低，骨组织微结构损坏，导致骨 脆性增加，易发生骨折为特征的全身性骨病称老年性骨质疏松。</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('754', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1636', '病理及生理', '<p>&nbsp; &nbsp; &nbsp; &nbsp;老年性骨质疏松症一方面由于增龄造成骨重建 失衡，骨吸收/骨形成比值升高，导致进行性骨丢 失; 另一方面，增龄和雌激素缺乏使免疫系统持续 低度活化，处于促炎性反应状态。炎性反应介质肿 瘤坏死因 子 α ( tumor necrosis factor-α，TNF-α) 、 白介素 ( interleukin，IL) -1、IL-6、IL-7、IL-17 及前列腺素 E2 ( prostaglandin E2，PGE2) 均诱导 M-CSF 和 ＲANKL 的表达，刺激破骨细胞，并抑制 成骨细胞，造成骨量减少。雌激素和雄激素在体内 均具有对抗氧化应激的作用，老年人性激素结合球 蛋白持续增加，使睾酮和雌二醇的生物利用度下 降，体内的活性氧类堆积，促使间充质干细胞、成骨细胞和骨细 胞凋亡，使骨形成减少。老年人常见维生素 D 缺 乏及慢性负钙平衡，导致继发性甲状旁腺功能亢 进。年龄相关的肾上腺源性雄激素生成减少、生长 激素-胰岛素样生长因子轴功能下降、肌少症和体 力活动减少造成骨骼负荷减少，也会使骨吸收增 加。此外，随增龄和生活方式相关疾病引起的氧化 应激及糖基化增加，使骨基质中的胶原分子发生非 酶促交联，也会导致骨强度降低。 骨质疏松症及其骨折的发生是遗传因素和非遗 传因素交互作用的结果。遗传因素主要影 响骨骼大小、骨量、结构、微结构和内部特性。峰 值骨量的 60%至 80%由遗传因素决定，多种基因 的遗传变异被证实与骨量调节相关。非遗传因素主 要包括环境因素、生活方式、疾病、药物、跌倒相 关因素等。骨质疏松症是由多种基因-环境因素等 微小作用积累的共同结果。</p><p>临床类型按病因可分为原发性和继发性2 大类：</p><p>&nbsp; &nbsp; &nbsp; &nbsp;1.原发性骨质疏松症 原发性骨质疏松症是指单位体积骨量减少、骨组织细微结构退变为特征的全身性骨骼改变，包括绝经后骨质疏松症和老年性骨质疏松症，以前者为多见。原发性骨质疏松症又可分为2 个亚型。</p><p>Ⅰ型骨质疏松症：又称为绝经后骨质疏松症，发病年龄多在绝经后至70 岁。主要见于女性，女∶男为6∶1。骨质疏松以骨松质为主，最常见的骨折部位以椎体和远端桡骨多见。主要发病因素为雌激素缺乏。</p><p>Ⅱ型骨质疏松症：又称为老年性骨质疏松症，发病年龄多在70 岁以上，女性略多于男性。女∶男为2∶1。松质骨与皮质骨同样疏松，骨折部位多见于股骨、椎骨及尺桡骨。主要发病因素为年龄老化。</p><p>&nbsp; &nbsp; &nbsp; &nbsp;2.继发性骨质疏松症 是指伴有明确的原发病或导致骨质疏松症的继发性病因者。主要病因有以下几类：</p><p>(1)内分泌疾病：</p><p>①肾上腺皮质疾病：库欣病，阿狄森病。</p><p>②性腺疾病：促性腺激素增高症，非正常绝经性骨质疏松症，性腺功能减退。</p><p>③垂体疾病：肢端肥大症，垂体功能减退。</p><p>④甲状腺疾病：甲状腺功能减退，甲状腺功能亢进。</p><p>⑤甲状旁腺疾病：甲状旁腺功能亢进。</p><p>⑥胰腺疾病：糖尿病。</p><p>(2)骨髓疾病：骨髓病，白血病，淋巴病，转移瘤，高歇病，贫血(镰状细胞、地中海贫血、血友病)，肥大细胞病。</p><p>(3)肾脏疾病：肾衰竭，肾功能不全，肾小管酸中毒，肾性骨病。</p><p>(4)风湿性疾病：类风湿性关节炎，强直性脊柱炎，慢性炎性多关节病。</p><p>(5)胃肠道疾病：胃肠吸收障碍综合征，胃切除术，肠道旁路等。</p><p>(6)肝脏疾病：肝硬化(原发性胆汁性或特发性)。</p><p>(7)先天性结缔性组织病：成骨细胞缺陷症，高胱氨酸尿症，Ehlers-Danos综合征及Marfan 综合征。</p><p>(8)药物因素：类固醇类药物，肝素，抗惊厥药，免疫抑制剂，甲状腺制剂，抗酸剂(铝制剂)。</p><p>(9)营养因素：维生素C 缺乏，维生素D 缺乏，维生素AD 过多，钙缺乏，蛋白质缺乏。</p><p>(10)废用因素：长期卧床引起的肢体瘫痪，宇宙飞行引起的失重，骨折后。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('755', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1636', '临床表现', '<p>&nbsp; &nbsp; &nbsp; 骨质疏松症初期通常没有明显的临床表现， 因而被称为 “寂静的疾病” 或 “静悄悄的流行 病”。但随着病情进展，骨量不断丢失，骨微结 构破坏，患者会出现骨痛，脊柱变形，甚至发生 骨质疏松性骨折等后果。部分患者可没有临床症 状，仅在发生骨质疏松性骨折等严重并发症后才 被诊断为骨质疏松症。&nbsp;</p><p>&nbsp; &nbsp; &nbsp; &nbsp;(一) 疼痛 骨质疏松症患者，可出现腰背疼痛或全身骨 痛。疼痛通常在翻身时、起坐时及长时间行走后 出现，夜间或负重活动时疼痛加重，并可能伴有 肌肉痉挛，甚至活动受限。&nbsp;</p><p>&nbsp; &nbsp; &nbsp; &nbsp;(二) 脊柱变形 严重骨质疏松症患者，因椎体压缩性骨折， 可出现身高变矮或驼背等脊柱畸形。多发性胸椎 压缩性骨折可导致胸廓畸形，甚至影响心肺功能; 严重的腰椎压缩性骨折可能会导致腹部脏器功能 异常，引起便秘、腹痛、腹胀、食欲减低等不适。&nbsp;</p><p>&nbsp; &nbsp; &nbsp; &nbsp;(三) 骨折 骨质疏松性骨折属于脆性骨折，通常指在日 常生活中受到轻微外力时发生的骨折。骨折发生 的常见部位为椎体 ( 胸、腰椎) ，髋部 ( 股骨近端。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('756', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1636', '辅助检查', '<p><br/></p><p>&nbsp; &nbsp; &nbsp; &nbsp;1.骨形成指标</p><p>&nbsp; &nbsp; &nbsp; &nbsp;(1)血清骨源性碱性磷酸酶(bALP)：该酶由成骨细胞合成与分泌，它在血液中的浓度可反映成骨细胞水平。对bALP 活性的监测及动态观察将为疾病的早期诊断、治疗效果的监测、病情预后等提供有效依据。</p><p>&nbsp; &nbsp; &nbsp; &nbsp;(2)骨钙蛋白(BGP)：骨钙蛋白又称骨钙素。它来自成骨细胞的非胶蛋白，半寿期为5min。监测血BGP 不仅能反应成骨细胞活性而且可以帮助观察药物治疗后成骨细胞的改变。当骨形成与骨吸收耦联时，骨钙素是反映骨形成的特异指标。在许多内分泌疾病和骨病患者中，血清骨钙素发生变化。是临床上诊断、检测病情的一项重要生化指标，可直接反应骨形成速率。抗骨吸收药物可使BGP 水平下降，而刺激骨形成治疗则使BGP 水平上升。</p><p>&nbsp; &nbsp; &nbsp; &nbsp;(3)原胶原延长肽(PICP)：该肽力为在Ⅰ型胶原蛋白修饰过程中被切下而排出体外的一段多肽，其水平高低能够反映成骨细胞的胶原合成功能。</p><p>&nbsp; &nbsp; &nbsp; 2.骨吸收指标</p><p>&nbsp; &nbsp; &nbsp; &nbsp;(1)空腹尿钙/肌酐比值：正常值为0.13±0.01，如尿钙排出量增加，说明骨吸收率增加。骨吸收时，骨钙释放入血，导致尿钙升高。由于影响尿钙的因素较多，因此特异性不强。</p><p>&nbsp; &nbsp; &nbsp; &nbsp;(2)空腹尿羟脯氨酸/肌酐比值：正常高限为0.016，比值增高，说明骨吸收率增加。虽较常用，但特异性及敏感性均不强。</p><p>&nbsp; &nbsp; &nbsp; &nbsp;(3)抗酒石酸酸性磷酸酶(TRAP)：主要存在于破骨细胞，其水平可反映骨质吸收情况。绝经妇女，甲旁亢和甲亢患者血清TRAP 显着增加，绝经后妇女接受雌激素替代疗法后，血清TRAP 下降70%。是反映破骨细胞活性的较好指标。</p><p>&nbsp; &nbsp; &nbsp; &nbsp;(4)Ⅰ型胶原吡啶交联物及末端肽：作为骨吸收指标近年来受到重视。有较强的特异性与代表性。骨转换标志物排泌有昼夜节律，这提示我们在收集标本时要定点标准化。</p><p>&nbsp; &nbsp; &nbsp; &nbsp;3.骨密度测定方法 单光子吸收法(SPA)，双光子吸收法(DPA)，定量CT 法(QCT)，定量超声测定法(QUS)，双能X 射线骨密度测定法(DEXA)等，以测定骨质疏松的程度，确定诊断及检查药物治疗的效果。其中以双能X 线骨密度测定仪较好，是目前公认的骨质疏松检查的金标准，即用两种不同能量的射线校准不同软组织厚度及脂肪含量。双光子很快就被双能X 线所取代。并得到广泛使用。两者的工作原理一样，但DXA 比DPA 扫描快，更精确，更准确，避免了同位素的衰减。它的原理是两种能量X 线同时穿过身体，被探测器接收。因不同组织(主要是骨、脂肪和肌肉)对高低两种能量X 线的反应不同，因此可以用数学公式校正。不同的厂家采用不同的技术得到两种能量X 线，一种是用K 边缘过滤、另一种是使用转换开关。</p><p>&nbsp; &nbsp; &nbsp; &nbsp;4.骨X 线检查 X 线照片是骨质疏松的较基本检查手段，但不敏感。通常要在骨密度下降30%以上才有较明显改变。可表现骨密度减低，骨皮质变薄，哈佛管扩大，骨小梁间隙增宽，横形骨小梁消失，骨结构模糊均匀。尽管常规X 线在骨质疏松的诊断，特别是早期诊断上帮助不大，但在诊断骨质疏松的病因，发现临床症状不典型的椎体骨折及与其他骨病的鉴别等方面仍必不可少。如显示甲状旁腺亢进时特有的骨膜下骨吸收，骨软化时的线状透亮区等均有助于确立诊断。此外，参考脊椎X 线片上粉碎骨折、骨赘、软组织钙化的存在，椎体双凹变形，胸11、12 椎体，腰1、2 椎体常出现压缩性骨折等。对正确解释骨密度测量所测定的高骨密度状态有重要价值。因此医师应熟悉骨质疏松的常规X 线的表现。</p><p>&nbsp; &nbsp; &nbsp; &nbsp;5.高分辨率CT 骨量或单纯骨密度测定能提供有关骨质疏松骨折危险性的重要信息。但许多科研结果显示骨矿测量只能部分解释骨强度。虽然骨质疏松患者骨量和骨密度减低，但和正常健康者仍有很大重迭。此外，骨量丢失为骨折的危险因素，然而，骨质疏松患者骨量的增加并不一定具有保护性。许多研究显示定量测定骨骼结构特点，有助于提高评估骨强度的能力。显微计算机断层扫描(CT)以及磁共振成像，这些影像技术能检测骨结构。高分辨率CT 使用相对高分辨率和薄层扫描，能清楚显示椎骨和髋关节的结构特征。显示桡骨远端骨小梁结构。可分别测定皮质骨和松质骨骨矿密度，可定量分析骨小梁结构。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('757', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1636', '诊断与鉴别诊断', '<p>1.骨质疏松症（osteoprosis）以绝经期妇女及老年人的原发性骨质疏松最为多见，继发于其他疾病的继发性骨质疏松较少见。</p><p>2.常见症状是背痛，多见于胸段和下腰段。</p><p>3.X线检查见最明显的骨质疏松部位是胸椎和腰椎。椎体的塌陷可表现为鱼尾样双凹形或楔形变，椎体有时甚至完全压扁。</p><p>4.骨计量学检查或定量组织形态学测量。能观察到骨代谢及骨量的异常变化。</p><p>鉴别诊断：1.骨软化症 血钙水平降低或正常偏低，血清磷不同程度降低。肾性骨病、血尿素氮及肌酐可反映病情，血磷可升高，而血钙很低。血磷酸酶低，ALD 升高。及其他血尿生化检查。</p><p>2.甲状旁腺功能亢进 血钙升高，血磷降低，ALP 升高，骨扫描、手、头颅X 线可显示特殊类型。磁共振成像显示增大的甲状旁腺。及其他生化检查。</p><p>3.骨髓瘤 血象检查有细胞性贫血。血沉可升高至100mm/h 以上，血清免疫电泳90%有异常IGG 及IGA，血清钙升高，骨髓穿刺可能浆细胞超过20%。骨质疏松患者一般血尿检查多正常。其他继发性骨质疏松有其他疾病相应的生化异常变化。如糖尿病骨质疏松可血糖升高，甲状腺功能亢进可T3、T4 增高。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('758', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1636', '治疗', '<p>&nbsp; &nbsp;有效的措施有以下几种。　</p><p>&nbsp; &nbsp; 1.运动</p><p>每周坚持3小时的运动，总体钙增加。但是运动过度致闭经者，骨量丢失反而加快。运动还能提高灵敏度以及平衡能力。　</p><p>&nbsp; &nbsp; 2.营养</p><p>良好的营养对于预防骨质疏松症具有重要意义，包括足量的钙、维生素D、维生素C以及蛋白质。从儿童时期起，日常饮食应有足够的钙摄入，钙影响骨峰值的获得。绝经后妇女每天1，000～1，500mg，65岁以后男性以及其他具有骨质疏松症危险因素的患者，推荐钙的摄入量为1500mg/天。维生素D的摄入量为400～800U/天。　</p><p>&nbsp; &nbsp; 3.预防摔跤</p><p>应尽量减少骨质疏松症患者摔倒几率，以减少髋骨骨折以及Colles骨折。</p><p>&nbsp; &nbsp; 4.药物治疗</p><p>有效的药物治疗能阻止和治疗骨质疏松症，包括雌激素代替疗法、降钙素、选择性雌激素受体调节剂以及二磷酸盐，这些药物可以阻止骨吸收但对骨形成的作用特别小。用于治疗和阻止骨质疏松症发展的药物分为两大类，第一类为抑制骨吸收药，包括钙剂、维生素D及活性维生素D、降钙素、二磷酸盐、雌激素以及异黄酮；第二类为促进骨性成药，包括氟化物、合成类固醇、甲状旁腺激素以及异黄酮。</p><p>1）激素代替疗法激素代替疗法被认为是治疗绝经后妇女骨质疏松症的最佳选择，也是最有效的治疗方法，存在的问题是激素代替疗法可能带来其他系统的不良反应。激素代替疗法避免用于患有乳腺疾病的患者，以及不能耐受其副作用者。①雌二醇建议绝经后即开始服用，在耐受的情况下终身服用。周期服用，即连用3周，停用1周。过敏、乳腺癌、血栓性静脉炎及诊断不清的阴道出血禁用。另有炔雌醇和炔诺酮属于孕激素，用来治疗中到重度的与绝经期有关的血管舒缩症状。②雄激素研究表明对于性激素严重缺乏所致的骨质疏松症男性患者，给予睾酮替代治疗能增加脊柱的BMD，但对髋骨似乎无效，因此雄激素可视为一种抗骨吸收药。③睾酮肌内注射，每2～4周1次，可用于治疗性腺功能减退的BMD下降患者。肾功能受损以及老年患者慎用睾酮，以免增加前列腺增生的危险；睾酮可以增加亚临床的前列腺癌的生长，故用药需监测前列腺特异抗原（PSA）；还需监测肝功能、血常规以及胆固醇；如出现水肿以及黄疸应停药。用药期间应保证钙和维生素D的供应。另有外用睾酮可供选择。　</p><p>（2）选择性雌激素受体调节剂该类药物在某些器官具有弱的雌激素样作用，而在另一些器官可起雌激素的拮抗作用。SERMs能防止骨质疏松、还能减少心血管疾病、乳腺癌和子宫内膜癌的发生率。这类药物有雷洛昔芬，为非类固醇的苯骈噻吩是雌激素的激动药，能抑制骨吸收、增加脊柱和髋部的BMD，能使椎体骨折的危险性下降40%～50%，但疗效较雌激素差。绝经前妇女禁用。</p><p>（3）二磷酸盐类二磷酸盐类是骨骼中与羟基磷灰石相结合的焦磷酸盐的人工合成类似物，能特异性抑制破骨细胞介导的骨吸收并增加骨密度，具体机制仍未完全清楚，考虑与调节破骨细胞的功能以及活性有关。禁用于孕妇以及计划怀孕的妇女。第一代命名为羟乙基膦酸钠称依替膦酸钠，治疗剂量有抑制骨矿化的不良反应，因此主张间歇性、周期性给药，每周期开始时连续服用羟乙基膦酸钠2周，停用10周，每12周为一个周期。服用羟乙基膦酸钠需同时服用钙剂。</p><p>近年来不断有新一代的磷酸盐应用于临床，如氨基二磷酸盐（阿仑屈酯）、利塞膦酸（利塞膦酸钠）、氯瞵酸（氯甲二磷酸盐）（商品名骨膦）以及帕米膦酸纳等，抑制骨吸收的作用特强，治疗剂量下并不影响骨矿化。阿仑膦酸钠（商品名福善美）证实能减轻骨吸收，降低脊柱、髋骨以及腕部骨折发生率达50%，在绝经前使用可以阻止糖皮质激素相关的骨质疏松症。</p><p>（4）降钙素降钙素为一种肽类激素，可以快速抑制破骨细胞活性，缓慢作用可以减少破骨细胞的数量，具有止痛、增加活动功能和改善钙平衡的功能，对于骨折的患者具有止痛的作用，适用于二磷酸盐和雌激素有禁忌证或不能耐受的患者。国内常用的制剂有降钙素（Miacalcin，鲑鱼降钙素）和依降钙素（益钙宁）。降钙素有肠道外给药和鼻内给药2种方式，胃肠外给药的作用时间可持续达20个月。</p><p>（5）维生素D和钙维生素D及其代谢产物可以促进小肠钙的吸收和骨的矿化，活性维生素D（如罗盖全、阿法骨化醇）可以促进骨形成，增加骨钙素的生成和碱性磷酸酶的活性。服用活性维生素D较单纯服用钙剂更能降低骨质疏松症患者椎体和椎体外骨折的发生率。另有维生素D和钙的联合制剂可供选择，治疗效果比较可靠。</p><p>（6）氟化物氟化物是骨形成的有效刺激物，可以增加椎体和髋部骨密度，降低椎体骨折发生率。每天小剂量氟，即能有效地刺激骨形成且副作用小。特乐定（Tridin）的有效成分为单氟磷酸谷氨酰胺和葡萄糖酸钙，与进餐时嚼服。本药儿童及发育时期禁用。</p><p>对于接受治疗的骨质减少和骨质疏松症的患者，建议每1～2年复查BMD一次。如检测骨的更新指标很高，药物应减量。为长期预防骨量丢失，建议妇女在绝经后即开始雌激素替代治疗，至少维持5年，以10～15年为佳。如患者确诊疾病已知会导致骨质疏松，或使用明确会导致骨质疏松的药物，建议同时给予钙、维生素D以及二磷酸盐治疗。</p><p>&nbsp; &nbsp; 5.外科治疗只有在因骨质疏松症发生骨折以后，才需外科治疗。</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('759', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1636', '预后与预防', '<p style=\"white-space: normal;\">预后</p><p style=\"white-space: normal;\">影响预后的因素主要是骨折后相关并发症，骨质疏松症虽不能完全预防，但给予一定的预防措施，如摄入足够的钙、维生素D、锻炼等，能在很大程度减轻骨质疏松症，防止严重并发症出现。</p><p style=\"white-space: normal;\">预防</p><p style=\"white-space: normal;\">骨质疏松症给患者生活带来极大不便和痛若，治疗收效很慢，一旦骨折又可危及生命，因此，要特别强调落实三级预防：</p><p style=\"white-space: normal;\">1.一级预防</p><p style=\"white-space: normal;\">应从儿童、青少年做起，如注意合理膳食营养，多食用含钙、磷高的食品，如鱼、虾、牛奶、乳制品、骨头汤、鸡蛋、豆类、杂粮、绿叶蔬菜等。坚持科学的生活方式，如坚持体育锻炼，多接受日光浴，不吸烟、不饮酒、少喝咖啡、浓茶及含碳酸饮料，少吃糖及食盐，动物蛋白也不宜过多，晚婚、少育，哺乳期不宜过长，尽可能保存体内钙质，丰富钙库，将骨峰值提高到最大值是预防生命后期骨质疏松症的最佳措施。对有遗传基因的高危人群，重点随访，早期防治。</p><p style=\"white-space: normal;\">2.二级预防</p><p style=\"white-space: normal;\">人到中年，尤其妇女绝经后，骨丢失量加速进行。此时期应每年进行一次骨密度检查，对快速骨量减少的人群，应及早采取防治对策。近年来欧美各国多数学者主张在妇女绝经后3年内即开始长期雌激素替代治疗，同时坚持长期预防性补钙，以安全、有效地预防骨质疏松。</p><p style=\"white-space: normal;\">3.三级预防</p><p style=\"white-space: normal;\">对退行性骨质疏松症患者应积极进行抑制骨吸收（雌激素、CT、Ca），促进骨形成（活性VitD）的药物治疗，还应加强防摔、防颠等措施。对中老年骨折患者应积极手术，实行坚强内固定，早期活动，给予体疗、理疗心理、营养、补钙、遏制骨丢失，提高免疫功能及整体素质等综合治疗。</p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('761', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1637', '概述', '<p>&nbsp; &nbsp; 由于各种全身性或内分泌代谢性疾病引起的骨组织量减少称为内分泌骨质疏松症。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('762', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1637', '病因与发病机制', '<p style=\"white-space: normal;\">病因与发病机制：影响峰骨量的因素有以下4个方面：</p><p style=\"white-space: normal;\">&nbsp; &nbsp; 1.遗传 &nbsp;峰骨量的高低与遗传因素有关。①种族：高加索人与亚洲人的峰骨量较低，因而患骨质疏松症的危险性更大。②家族史：年轻女性的骨密度与其父母的骨密度具有显著相关性。③同卵双胎的骨密度具有更大的相似性。④维生素D先天性缺乏常伴随骨密度减低。</p><p style=\"white-space: normal;\">&nbsp; &nbsp; 2.营养 &nbsp;适当摄入钙质，可以增加骨密度，减少骨质疏松症发生的危险性。摄入钙的吸收率在儿童期为75%，在成人为30%～50%。在成人早期补充钙质可以增加骨矿物质量。摄入障碍多伴有骨密度减低。联合国粮农组织和世界卫生组织推荐的每日摄入钙量为500mg。美国营养学家则推荐800mg。我国营养学家建议采用美国钙摄入标准。儿童期、妊娠期和哺乳期钙摄入量要增加至每日1000～1500mg。</p><p style=\"white-space: normal;\">&nbsp; &nbsp; 3.运动 &nbsp;运动能够刺激骨改进循环。骨量的维持或骨肥大依赖于运动的类型、频度与抗重力效果。青春期的运动能够增加骨矿物质量，但过度的运动不仅不能增加骨矿物质量，反而降低骨矿物质量，这是必须避免的。同时，运动必须规律，持之以恒。如果运动的强度或频率降低，运动对骨的效应也将降低。</p><p style=\"white-space: normal;\">&nbsp; &nbsp; 4.内分泌状态</p><p style=\"white-space: normal;\">&nbsp; &nbsp; (1)月经周期与雌激素及孕激素可导致骨矿物质量变化：月经初潮越早，其后的骨矿物质量越大，初潮越迟，骨密度越小。停止排卵的妇女比继续排卵的妇女骨密度要低。妇女在绝经前主要为雌二醇，在绝经后主要为雌酮。雌激素的转化过程主要在脂肪中完成。因此，肥胖妇女患骨质疏松症的危险性低于消瘦妇女。雌激素对骨的影响，一是影响成骨细胞，提高成骨细胞的数量，增加成骨细胞合成胶原，增加成骨细胞上的前列腺素受体数量。二是抑制破骨细胞对骨的吸收。此外，雌激素还能抑制甲状旁腺素活性、刺激降钙素分泌、促进胃肠道吸收钙及促进维生素D向活性方式转化等作用。</p><p style=\"white-space: normal;\">&nbsp; &nbsp; (2)甲状旁腺：由甲状旁腺素分泌。该激素能够提高破骨细胞与成骨细胞的数量和活性。当甲状旁腺素分泌过剩时，骨更新加速。但只要破骨/成骨细胞维持活性平衡，骨量不会减少。</p><p style=\"white-space: normal;\">&nbsp; &nbsp; (3)维生素D：维生素D的活性形式为1，25-二羟维生素D3，具有两方面功能，一是促进肠道吸收钙磷，二是在骨中增加骨骼更新部位破骨细胞的活性，并能刺激成骨细胞合成蛋白质，同时参与骨基质的矿化。缺乏维生素D将导致类骨质矿化障碍，发生骨软化症。但维生素D过量反而发生骨丢失。</p><p style=\"white-space: normal;\">&nbsp; &nbsp; (4)降钙素：由甲状旁腺C细胞分泌降钙素。其主要生理功能为抑制破骨细胞活性。药理性应用可减低骨更新速率。</p><p style=\"white-space: normal;\">&nbsp; &nbsp; (5)甲状腺素：T3、T4能够通过直接或间接途径影响骨细胞功能。甲亢可导致骨吸收部位增多与骨吸收增强，引起骨矿物质丢失。骨细胞对外源性甲状腺素极为敏感。</p><p style=\"white-space: normal;\">&nbsp; &nbsp; (6)糖皮质激素：骨细胞上有糖皮质激素受体，过剩的激素活性将导致成骨细胞功能受抑制。</p><p style=\"white-space: normal;\">&nbsp; &nbsp; (7)雄性激素：伴有性腺功能减退的男性患者常患骨质疏松症。通过补充雄激素可以预防发生骨质疏松症。雄激素在绝经后妇女中所起的生理作用更大。已有研究表明，用雌激素及激素联合治疗骨质疏松症，比单用雌激素效果更大。 &nbsp;&nbsp;</p><p>发病机制：骨是皮质骨(骨密度)和松质骨(骨松质)构成。</p><p>&nbsp; &nbsp; 皮质骨：有3个不同层面，即骨内膜层、骨膜层和皮质内层。骨改建的活性程度及部位与年龄阶段有关。儿童时期，骨膜层新骨形成速度大于骨内膜层旧骨破坏速度，在骨的外层形成骨量净增加。青春期，无论在骨内膜层还是在骨膜层均有新骨形成，使骨的总量增加。成年早期，骨内膜层骨丢失增加，骨膜下骨开始过度并置，提示年龄/绝经相关性骨量减少的开始，同时伴有皮质内骨层的变窄和骨髓腔增宽。</p><p>&nbsp; &nbsp; 骨单位即哈佛系统，是长骨的主要结构单位。其在长骨内纵向排列，并可分支相互连接，是在密质骨起支持作用的主要部分。</p><p>&nbsp; &nbsp; 松质骨：骨小梁由相互连接的平行与垂直排列的骨板与骨细胞构成，骨板的排列方向与骨所承受的压力和张力方向一致。骨再建发生于每个小梁的骨板内外侧。过度再建将导致骨板变薄并最终发生骨组织溶解，使小梁骨失去结构的连续性。这一改变最初见于平行骨小梁，继之导致骨的机械强度降低，最后表现为受重力作用的骨折几率显著增加。小梁骨结构的变化和与之相伴的椎体压力变化随年龄增长而增加。</p><p>&nbsp; &nbsp; 骨再建：骨的更新决定骨的强度。旧骨“脆弱”，新骨强壮。因此，骨的再建过程就是除去旧骨，形成新骨。新陈代谢，维持骨的强壮。参与更新骨骼的细胞主要是破骨细胞和成骨细胞。</p><p>&nbsp; &nbsp; 1.破骨细胞 &nbsp;破骨细胞由多个单核细胞融合而成，在功能活跃时，能够释放多种蛋白酶、碳酸酐酶、乳酸及柠檬酸等，在酶及酸的作用下使骨的矿物质和骨基质溶解。因此，破骨细胞有溶解和吸收骨矿物质和骨基质的作用。破骨细胞的分化、补充与抑制受多种激素影响。其中，促进破骨细胞活性的激素有甲状旁腺素、白三烯、转化生长因子-α(TGF-α)、肿瘤坏死因子(TNF)及白细胞介素-1(IL-1)等。抑制破骨细胞活性的激素有雌二醇、降钙素、Y-干扰素(Y-IFN)和TGF-β。破骨细胞具有雌激素受体雌激素，与其他抑制吸收因素的最主要作用是抑制破骨细胞的分化与补充，其次是抑制其活性。</p><p>&nbsp; &nbsp; 2.成骨细胞 &nbsp;成骨细胞分布于骨组织表面，成年前较多，成年后较少。成骨细胞分泌骨基质的有机成分类骨质，其中富含Ⅰ型胶原，为随后发生的骨化作准备。同时，成骨细胞还释放基质小泡使类骨质钙化。成骨细胞同样受多种激素控制。其中，如促进成骨细胞活性的因素有1，25-羟维生素D3、TGF-β、甲状腺激素、雌二醇、人类生长因子、前列腺素E2和甲状旁腺激素；抑制成骨细胞活性的仅有肾上腺皮质激素。成骨细胞上也有雌激素受体。在试管内发现，雌激素能够对成骨细胞产生以下影响：①增加成骨细胞数量。②增加成骨细胞的胶原合成量。③提高核上的类固醇激素的受体密度。④提高成骨细胞指导合成TGF-β的信使RNA量。⑤抑制甲状旁腺激素相关性CAMP生成。</p><p>&nbsp; &nbsp; 骨的再建周期是一个通过除去旧骨和形成新骨，借以维持骨的健康和强壮的连续性过程。这个循环主要有以下4个阶段：①激活阶段：前破骨细胞受粒巨细胞集落刺激因子激活，并在其他细胞因子和生长因子的影响下，分化成熟为活性破骨细胞；②吸收阶段：新形成的破骨细胞分泌酸性物质，溶解和消化旧骨的基质与矿物质；③逆转阶段：当吸收形成的腔隙达到了预计的深度时，吸收即告结束；④成骨阶段：成骨细胞被吸引进入吸收形成的腔隙，在生长因子和多种激素的影响下成熟，并形成新骨充填于吸收腔中。</p><p>&nbsp; &nbsp; 骨平衡：在正常情况下，骨的吸收相与再建相维持平衡状态，即由破骨细胞正常溶解和吸收旧骨所留下的腔隙，由成骨细胞分泌的类骨质完全充填并进一步矿化。这一过程是保证骨量维持正常平衡状态的根本条件。为破骨细胞活性过度增强时，骨的溶解和吸收增多，导致吸收后腔隙的深度增大。当成骨细胞受损时，又会不适当地分泌类骨质于正常吸收的腔隙内。绝经期妇女骨丢失加速，就是由破骨细胞活性显著增高所致。与年龄增长有关的缓慢骨丢失是由于成骨细胞活性降低。因此，对于前者可以通过应用抗吸收药物逆转骨质疏松的病理过程。对于后者可以采用骨再建刺激物以逆转骨质缺乏伴发的低速骨丢失。</p><p>&nbsp; &nbsp; 骨量的调节：人类的骨量随年龄增长而自然增加。在绝经前成人期达到最大骨矿物质量，即峰骨量。峰骨量是人类骨骼发育的里程碑，在临床上它至少有两个方面的重要功能。一是峰骨量越高，其后发生骨质疏松症的危险性就越低。因此，有必要鼓励妇女在绝经前达到峰骨量。二是比较患者的峰骨量与在测的骨密度，有助于临床估计患者骨密度的相对丢失程度。</p><p>骨丢失是人类不可避免的正常老化过程的一部分。椎骨的峰骨量一般在人的第2个十年达到。由于小梁骨比皮质骨的代谢率高，表面积更大，因而小梁骨的骨丢失比皮质骨的骨丢失更显著。不同年龄阶段皮质骨丢失的速率不同，如从40岁到绝经，每年丢失0.3%～0.5%，绝经后1～8年，每年丢失2%～3%。小梁骨丢失自30岁以后即开始，每年约丢失1.2%。</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('763', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1637', '临床表现', '<p>&nbsp; &nbsp;在绝经后妇女或老年人，有易患骨质疏松的危险性，如老衰、种族遗传、生活习惯、运动减少、吸烟、饮酒、长期摄入咖啡等。骨质疏松的临床表现与骨质疏松的程度及骨折有关。在早期，骨质疏松较轻者，常无明显不适感，称为“静悄悄的疾病”。然而到了中晚期，则出现局部或全身骨痛，身高变矮、驼背，有外力或轻微外力即骨折，甚至呼吸障碍。</p><p>&nbsp; &nbsp; 1.骨痛 &nbsp;骨痛是骨质疏松症的最常见、最主要的症状。其主要原因有3点：①骨转换过快，骨吸收增加导致骨小梁的吸收，断裂，骨皮质变薄，穿孔，从而引起全身疼痛；②在应力作用下，由于骨强度明显下降导致椎体楔形变或鱼尾样变形而引起疼痛；③由于骨骼变形，导致附着在骨骼上的肌肉张力出现变化。肌肉易于疲劳，出现痉挛，从而产生肌膜性疼痛。疼痛最常见的部位是腰背部、肋部及髂部，胸背部严重畸形时，全身各处均有疼痛。</p><p>&nbsp; &nbsp; 2.身长缩短，驼背 &nbsp;由松质骨和皮质骨组成的骨骼中，松质骨更易发生骨质疏松性改变。椎体主要由松质骨组成，而且支持整个身体，容易产生身高变矮等症状。</p><p>&nbsp; &nbsp; 椎体平均高度约2cm，骨质疏松时骨小梁破坏，数量减少，强度变弱。易于导致椎体变形。在严重骨质疏松时，整个脊柱可缩短约10～15cm。研究发现，妇女在60岁以后，男性在65岁以后逐渐出现身高缩短。女性在65岁时约缩短4cm，75岁时缩短约9cm。椎体压缩，但后结构如棘突、椎板、椎弓根并未压缩，从而造成整个脊椎前屈和后突驼背畸形，驼背越重，腰背痛的症状也明显。由于受力的原因，有些患者还伴有侧凸畸形。</p><p>&nbsp; &nbsp; 3.骨折 &nbsp;有研究证实，骨密度每减低0.1g/cm2(或低于峰骨量2SD)骨折危险性就增大1.5～2.5倍。发生时间多在绝经后5～8年，骨折的主要症状为疼痛。轻者常无明显感觉、重者压缩性骨折立即疼痛，约持续3～4周后逐渐缓解，以后遗留驼背、身高下降等。</p><p>&nbsp; &nbsp; 原发性骨质疏松症首先发生在松质骨区域，导致骨小梁吸收，断裂，数量下降，同时在皮质骨区域出现穿孔，皮质变薄，从而造成骨质疏松性骨折易于出现在富含松质骨的胸腰椎、髋部、桡骨远端以及长管状骨的干骺端。常见胸腰椎压缩性骨折、股骨颈及转子间骨折、Colles骨折、肱骨颈、肱骨髁上骨折、踝部骨折、胫骨平台骨折、股骨髁上骨折等。骨质疏松性骨折发生的特点：在扭转身体、持物、开窗、室内日常活动、跌倒等轻微外力作用下即可发生。</p><p>&nbsp; &nbsp; 4.呼吸系统障碍 &nbsp;骨质疏松所造成的呼吸系统障碍，主要是由于脊柱畸形和胸廓畸形所造成的。虽然患者出现胸闷、气短、呼吸困难及发绀等症状较少见，肺功能测定可发现肺活量和最大换气量减少。</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('764', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1637', '辅助检查', '<p>实验室检查：</p><p>&nbsp; &nbsp; &nbsp; &nbsp;1.骨形成指标</p><p>(1)血清骨源性碱性磷酸酶(bALP)：该酶由成骨细胞合成与分泌，它在血液中的浓度可反映成骨细胞水平。对bALP 活性的监测及动态观察将为疾病的早期诊断、治疗效果的监测、病情预后等提供有效依据。</p><p>(2)骨钙蛋白(BGP)：骨钙蛋白又称骨钙素。它来自成骨细胞的非胶蛋白，半寿期为5min。监测血BGP 不仅能反应成骨细胞活性而且可以帮助观察药物治疗后成骨细胞的改变。当骨形成与骨吸收耦联时，骨钙素是反映骨形成的特异指标。在许多内分泌疾病和骨病患者中，血清骨钙素发生变化。是临床上诊断、检测病情的一项重要生化指标，可直接反应骨形成速率。抗骨吸收药物可使BGP 水平下降，而刺激骨形成治疗则使BGP 水平上升。</p><p>(3)原胶原延长肽(PICP)：该肽力为在Ⅰ型胶原蛋白修饰过程中被切下而排出体外的一段多肽，其水平高低能够反映成骨细胞的胶原合成功能。</p><p>&nbsp; &nbsp; &nbsp; &nbsp;2.骨吸收指标</p><p>(1)空腹尿钙/肌酐比值：正常值为0.13±0.01，如尿钙排出量增加，说明骨吸收率增加。骨吸收时，骨钙释放入血，导致尿钙升高。由于影响尿钙的因素较多，因此特异性不强。</p><p>(2)空腹尿羟脯氨酸/肌酐比值：正常高限为0.016，比值增高，说明骨吸收率增加。虽较常用，但特异性及敏感性均不强。</p><p>(3)抗酒石酸酸性磷酸酶(TRAP)：主要存在于破骨细胞，其水平可反映骨质吸收情况。绝经妇女，甲旁亢和甲亢患者血清TRAP 显着增加，绝经后妇女接受雌激素替代疗法后，血清TRAP 下降70%。是反映破骨细胞活性的较好指标。</p><p>(4)Ⅰ型胶原吡啶交联物及末端肽：作为骨吸收指标近年来受到重视。有较强的特异性与代表性。骨转换标志物排泌有昼夜节律，这提示我们在收集标本时要定点标准化。</p><p>&nbsp; &nbsp; &nbsp; &nbsp;3.骨密度测定方法 单光子吸收法(SPA)，双光子吸收法(DPA)，定量CT 法(QCT)，定量超声测定法(QUS)，双能X 射线骨密度测定法(DEXA)等，以测定骨质疏松的程度，确定诊断及检查药物治疗的效果。其中以双能X 线骨密度测定仪较好，是目前公认的骨质疏松检查的金标准&nbsp;</p><p>影像学检查：</p><p>&nbsp; &nbsp; &nbsp; &nbsp;1.骨X 线检查 X 线照片是骨质疏松的较基本检查手段，但不敏感。通常要在骨密度下降30%以上才有较明显改变。可表现骨密度减低，骨皮质变薄，哈佛管扩大，骨小梁间隙增宽，横形骨小梁消失，骨结构模糊均匀。尽管常规X 线在骨质疏松的诊断，特别是早期诊断上帮助不大，但在诊断骨质疏松的病因，发现临床症状不典型的椎体骨折及与其他骨病的鉴别等方面仍必不可少。如显示甲状旁腺亢进时特有的骨膜下骨吸收，骨软化时的线状透亮区等均有助于确立诊断。此外，参考脊椎X 线片上粉碎骨折、骨赘、软组织钙化的存在，椎体双凹变形，胸11、12 椎体，腰1、2 椎体常出现压缩性骨折等。对正确解释骨密度测量所测定的高骨密度状态有重要价值。因此医师应熟悉骨质疏松的常规X 线的表现。</p><p>&nbsp; &nbsp; &nbsp; &nbsp;2.高分辨率CT 骨量或单纯骨密度测定能提供有关骨质疏松骨折危险性的重要信息。但许多科研结果显示骨矿测量只能部分解释骨强度。虽然骨质疏松患者骨量和骨密度减低，但和正常健康者仍有很大重迭。此外，骨量丢失为骨折的危险因素，然而，骨质疏松患者骨量的增加并不一定具有保护性。许多研究显示定量测定骨骼结构特点，有助于提高评估骨强度的能力。显微计算机断层扫描(CT)以及磁共振成像，这些影像技术能检测骨结构。高分辨率CT 使用相对高分辨率和薄层扫描，能清楚显示椎骨和髋关节的结构特征。显示桡骨远端骨小梁结构。可分别测定皮质骨和松质骨骨矿密度，可定量分析骨小梁结构。</p><p>&nbsp; &nbsp; &nbsp; &nbsp;3.定量磁共振 磁共振技术复杂发展迅速。尽管骨组织本身不含质子，但骨组织周围软组织及骨髓含有大量脂肪和水质子，能产生很强的信号，因而骨小梁和皮质骨结构被衬托勾画得非常清楚。可表现为骨髓水肿，T1 加权像呈低信号强度，T2 加权像呈高信号强度，这种骨髓水肿可在数月后消失。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('765', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1637', '诊断与鉴别诊断', '<p>诊断</p><p>1、<span class=\"Apple-tab-span\" style=\"white-space: pre;\">	</span>脆性骨折：是骨强度下降的最终后果，故有过由明确疾病或药物引起的脆性骨折即可诊断继发性骨质疏松症。</p><p>2、<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>骨矿质盐密度测定</p><p>3、<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>骨密度测定方法：在分析结果时应更注重 Z 值</p><p>4、<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>X 线平片：对于诊断骨质疏松症的敏感性和准确性较低，故对骨质疏松症的早期诊断帮助不大。但对于发现有无骨折，与骨折肿瘤和关节病变相鉴别，有较大价值。</p><p>5、<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>骨转换生化指标测定：目前尚无一项生化指标可作为骨质疏松症的诊断指标。主要用于骨转换分型、判断骨丢失速率、监测病情、评价药物疗效。常用的骨转换生化指标见原发性骨质疏松症诊疗指南。</p><p>6、<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>引起骨质疏松 症的原发病相关检查：如肝肾功能、自身免疫指标、甲状腺功能、甲状旁腺功能、性腺功能、肿瘤相关检查等。</p><p>鉴别诊断</p><p>1.骨软化症 血钙水平降低或正常偏低，血清磷不同程度降低。肾性骨病、血尿素氮及肌酐可反映病情，血磷可升高，而血钙很低。血磷酸酶低，ALD 升高。及其他血尿生化检查。</p><p>2.甲状旁腺功能亢进 血钙升高，血磷降低，ALP 升高，骨扫描、手、头颅X 线可显示特殊类型。磁共振成像显示增大的甲状旁腺。及其他生化检查。</p><p>3.骨髓瘤 血象检查有细胞性贫血。血沉可升高至100mm/h 以上，血清免疫电泳90%有异常IGG 及IGA，血清钙升高，骨髓穿刺可能浆细胞超过20%。骨质疏松患者一般血尿检查多正常。其他继发性骨质疏松有其他疾病相应的生化异常变化。如糖尿病骨质疏松可血糖升高，甲状腺功能亢进可T3、T4 增高。</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('766', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1637', '治疗', '<p>&nbsp; &nbsp; &nbsp; 1.钙剂 钙(Ca)是人体中的重要元素，也是含量最多的元素之一，占体重的1.5%～2%。99%的钙贮存在骨骼和牙齿中，钙与磷的结合物是构成人体骨架的主要成分，它主要以羟磷灰石结晶形式存在，它参与人体的生命活动过程。钙不断地进行新陈代谢，钙的排出主要通过尿、大便、乳汁、汗液、皮肤、月经和头发等排出。<br/></p><p>&nbsp; &nbsp; &nbsp; 2.活性维生素D 对PTH 的作用：活性维生素D 的代谢产物通过增加肠钙吸收并增强对钙的敏感性间接抑制PTH，也可以经甲状腺腺细胞1，25-(OH)2D3 受体直接抑制甲状旁腺细胞的增生。血清维生素D 浓度减低会导致维生素D 对PTH分泌的正常抑制功能减弱，发生继发性甲状旁腺功能亢进，并使骨吸收增强。老年甲状旁腺维生素D 受体数量减少，甲状旁腺细胞增生，伴随血中PTH 升高，说明PTH 分泌不仅受血钙浓度调解，而且还直接受血清1，25-(OH)2D3 的浓度调解。维生素D 对骨的代谢作用总结为如下2 个方面：</p><p>①使骨的吸收下降：增加钙、磷的吸收；增加骨的矿化；间接抑制PTH 生长与分泌；直接抑制甲状旁腺的增生及PTH 的合成与释放。</p><p>②增加骨量与改善骨质量：增加骨基质蛋白的量与质；促进骨生长因子的生长和被激活；维持正常骨重建过程。国内外的研究资料均已证实成年后随增龄出现肠钙吸收减少。小肠钙吸收必须依赖于肾合成的1，25-(OH)2D3，原发性骨质疏松症患者存在维生素D 的生成与代谢障碍，导致活性维生素D 的减少，这与雌激素的减少、皮肤7-脱氢胆固醇合成降低、肠道1，25-(OH)2D3 受体减少、肾功能生理性减低及肠道对维生素D 的吸收减少等多种机制有关。老年性骨质疏松症发病机制中，由于活性维生素D 不足，出现的继发性甲状旁腺功能亢进，PTH 升高促进了骨吸收。Ⅰ型骨质疏松症因雌激素降低，除了使骨钙丢失，对分布于肠道和肾小管上的肾激素受体刺激减弱，导致钙吸收抑制外，雌激素还是1α羟化酶的重要辅助因子，可协助活性维生素D3 的形成，雌激素还可降解骨对PTH 的敏感性，因此当雌激素不足时，钙吸收会减少，1，25-(OH)2D3 的合成也会受影响。骨对PTH的敏感性增强，这时即使没有甲状旁腺机能亢进，PTH 不增高，也会增强骨的吸收。由于雌激素不足而造成的维生素D 活化及维生素D 受体缺陷而引起的钙吸收减少大约是60%～70%绝经后Ⅰ型骨质疏松妇女的主要特征。骨质疏松患者血内25-(OH)D3 和1，25-(OH)2D3 水平都降低，而PTH 水平增高，经补充维生素D3 和钙剂后，血清维生素D3 水平升高，同时PTH 水平降低。普通维生素D 对骨代谢性疾病的治疗作用有限。目前临床常用的活性维生素D 制剂有1，25-(OH)2D3(钙叁醇)与1α-(OH)2D3(阿法D3)或阿法化醇两种。1，25-(OH)2D3 是对骨组织、甲状旁腺、小肠等靶器官有直接作用的活性物质。作为骨质疏松症防治的长期用药剂量1α-(OH)D3 为0.5～1μg/d，1，25-(OH)2D 5μg/d(分两次)，是安全剂量。1，25-(OH)2D3 和1α-(OH)D3 口服后在小肠内被吸收，代谢后经胆汁由肠道排出。</p><p>&nbsp; &nbsp; &nbsp; 原发性骨质疏松症的治疗：活性维生素D3 对女性绝经后骨质疏松症及男性老年性骨质疏松症有良好的疗效及降低骨折的作用。绝经后骨质疏松妇女，每天用1α-(OH)D3 0.75μg 及钙剂150mg，治疗1 年后，L2～4 的骨密度(BMD)上升了2.1%，单纯服用钙剂组下降了2.1%，1α-(OH)D3治疗组的骨吸收指标：尿脱氧吡啶酚下降；骨形成指标：骨钙素上升，提示1α-(OH)D3有增高骨密度的作用，可能与骨吸收受抑制有关。患有骨质疏松症的老年妇女和男性首先为原发性维生素D 缺乏(维生素D 缺乏症)，合并亚临床型或极少数为临床型的骨软化症为特征的，小剂量的维生素D2 或D3 治疗对老年骨质疏松症有助于保证骨量，纠正骨软化及降低骨折率。绝经后骨质疏松妇女(平均67 岁)每天口服1α(OH)D3 0.5μg，钙剂500mg。糖皮质激素可以导致肠道钙吸收减少，增加肾脏的钙丢失，代偿性的PTH增加，使骨量丢失。骨质量下降。此外，糖皮质激素还能抑制成骨细胞功能，降低生长激素和睾酮对骨质的成骨作用。通过改善肠道对钙的吸收及直接抑制甲状旁腺内PTH 的合成与释放，抑制甲状旁腺细胞增生达到对抗上述不良作用的效果。活性维生素D 还能增强原先受到糖皮质激素抑制的同种骨生长因子和骨基质蛋白的刺激作用。对于糖基质激素引起的骨质疏松症采取小剂量维生素D(400U/d～5 万U/周)和钙剂(500～1000mg/d)联合治疗，效果不如应用活性维生素D 代谢物有效。都能纠正肾病人中继发甲状旁腺功能亢进的低血钙症，使肌痛、关节痛、骨痛症状缓解，并在生化指示及放射检查上都有改善。</p><p>&nbsp; &nbsp; &nbsp; 联合用药：氟制剂的联合应用： 认为对氟化物有效应者或接受高剂量氟化物者，若存在维生素D 抵抗则会加重钙的缺失和PTH 升高，尽管骨量增加，但骨小梁断裂，以致骨质量下降。氟化物治疗的这种副作用可能是因PTH 增高引起的骨丢失，以及骨的软化所致。骨化叁醇能促进骨的矿化和成骨细胞活性。在氟化物有效应者和钙吸收不良者应用骨化叁醇，可治疗激发性甲状旁腺功能亢进，减慢骨吸收率，而使氟化物的成骨作用被增强。研究者认为二者的联合应用是氟制剂应用的最佳方案。雌激素的联合应用：雌二醇与1，25-(OH)2D3 对骨细胞的刺激作用在预防骨折中可能具有重要作用。活性维生素D 制剂和雌激素联合治疗时必须注意高血钙的危险性。其他药物的联合应用：长期应用降钙素或双磷酸盐可能造成PTH 升高，这种升高现象可以由活性维生素D3 的联合治疗而得到控制。在活性维生素D3 与新型双磷酸盐联合应用时骨细胞有活化作用，可保留骨重建单位。活性维生素D 治疗上的新应用：活性维生素D 有广阔的应用前景，除治疗骨质疏松外，在抗肿瘤、免疫调解、细胞分化调控及促进激素分泌等诸多方面开拓了新的治疗领域。活性维生素D3 治疗的惟一副作用是因为个体应用剂量过大引起的高血钙症及高尿钙症。在年轻患者中早期表现是尿钙水平增高，在已经确诊的老年疏松症患者中，因肾的排泄功能衰退，高血钙可能先于高尿钙症的出现。肾功能改变或肾结石形成只发生在极少数应用极高剂量的维生素D 患者中。</p><p>&nbsp; &nbsp; &nbsp; 3.性激素 绝经和年龄增长是妇女骨丢失的两个不利因素。妇女和男性在获骨峰后，随年龄增长，骨缓慢丢失。从将要绝经开始，在增龄影响基础上，绝经有关的骨加速丢失持续10 年左右。为此妇女的骨要比男性多丢失15%～20%，妇女一生约丢失松质骨50%，男性30%，因此妇女较早较多地发生骨质疏松症，对绝经后妇女的骨健康，绝经较增龄更重要，在原发性骨质疏松症中，绝经后骨质疏松最常见。绝经后骨质疏松的特点是：①伴随绝经骨加速丢失；②绝经早期骨加速丢失以松骨为主。其临床表现和处理明显区别与其他类型骨质疏松症。性激素补充疗法HPT 是一种医疗措施。当肌体缺乏性激素，并由此发生或将会发生健康问题时，需要外源地给予具有性激素活性的药物，以纠正与性激素不足有关的健康问题。卵巢功能减退、内分泌失调、最终雌激素不足是绝经前后心里及器官功能失调的基本原因，补充雌激素是缓解这些问题的病因治疗，因此是首选疗法。大量临床实践、基础研究和流行病学研究证明雌激素是一个健康妇女不可缺少的内分泌激素，从而确定了HRT 在预防绝经后退化性疾病包括绝经后骨质疏松症中的重要作用，是预防、治疗绝经后骨质疏松症的首选疗法。在使用HRT 的绝经后妇女观察到雌激素可以抑制骨转换，减少破骨细胞数量和抑制其破骨活性。其作用概括起来可以归纳为下述3 个途径：①对钙调解激素的影响。促进降钙素(CT)分泌，抑制骨吸收；增强肝25 羟化酶、肾1α羟化酶活性，提高1，25 双羟维生素D 水平，促进肠钙吸收；降低甲状旁腺激素(PTH)对血钙水平反应的起点，抑制PTH 分泌，减少骨吸收。②对骨吸收因子的影响。高浓度前列腺素E2(PGE2)刺激骨吸收；白介素-1(IL-1)参与破骨细胞的形成及活化，促进产生PGE2 白介素-6(IL-6)募集破骨细胞，刺激骨吸收；肿瘤坏死因子(TNF)刺激骨吸收。雌激素可以降低PGE2，抑制IL-1-6，抑制释放TNF 等。③直接作用。</p><p>(1)HRT 的用法：</p><p>&nbsp; &nbsp; &nbsp; ①生理性补充：施以HRT，目的是尽可能地使绝经后妇女体内器官功能生理地正常运行，既保持功能健康，并非使其妇科内分泌恢复到生育期中卵巢周期中的水平，后者主要为适应生殖功能的需要。为生理的补充，因此多主张用天然雌激素，即化学结构为雌二醇，雌酮或雌叁醇。用量控制血E2 浓度在60pg/ml 左右，或相当的雌激素活动范围内，不宜超过150pg/ml。</p><p>&nbsp; &nbsp; &nbsp; ②以补充雌激素为中心：性激素主要有3 类：雌激素、孕激素和雄激素。临床实践表明，妇女健康不可缺雌激素，而绝经后妇女的健康并不需要孕激素。绝经后卵巢间质、肾上腺仍继续产生雄激素，相对也不缺乏雄激素。在绝经过渡期，要根据个体卵巢功能及雄、孕激素缺乏的状况临床调整月经的需要、患者的主诉及全面健康状况进行HRT。基本上是个体化治疗，无固定的模式。绝经过渡期与卵巢内分泌功能衰退相应，首先是缺乏孕激素，雌激素呈现波动性下降，因此补充首先以孕激素为主，当有雌激素低落时，应给予雌激素，也可给予人工周期样HRT。在绝经后，HRT 是以补充雌激素为中心，以解决与雌激素不足有关的健康问题为目的的一种治疗方法。要预防绝经后退化性疾病通常需要长期补充，随之而来可能在某些妇女中出现副作用。长期服用雌激素的主要副作用是刺激子宫内膜细胞异常增生，继而可能发展为癌。其次可能诱导个别妇女乳腺细胞的异常生长或癌的发生。</p><p>&nbsp; &nbsp; &nbsp; 有子宫的妇女，为预防绝经后退化性疾病，需长期合用雄、雌激素，因此要选择适合某个妇女的孕激素。雄激素明显地促进蛋白质的合成，提高基础代谢率，增加骨形成，精力充沛，唤起性欲。对某些绝经后的妇女，根据健康的需要可加用雄激素。但是，雄激素有明显的皮肤副作用，如多毛，还有体重增加及对心血管的副作用，因此应注意选择制剂和使用时机和时间。</p><p>(2)适应证：从防治绝经后骨质疏松症考虑，HRT 的适应证为有骨质疏松症或有骨疏松的危险因素，如骨质疏松家族史，初潮晚、绝经早、人工绝经、雌激素不足性闭经；低骨峰值；骨快速丢失；摄入低钙、低维生素D、高蛋白、高磷、高咖啡因、高钠、维生素K、B6、B12 等缺乏；低体重；长期失重；长期用药：如糖皮质激素、甲状腺素、抗癫痫类、含铝抗酸药、锂、肝素、GnRH 类似物等；长期缺乏运动；滥用烟、酒，缺少阳光的居住环境等。</p><p>(3)禁忌证：</p><p>①肿瘤：雌激素依赖性肿瘤，如：有或怀疑有乳腺癌、子宫内膜癌；雌激素可能促生长的肿瘤，如：肝、肾肿瘤、黑色素瘤等；孕激素可能促生长的肿瘤如：脑膜瘤。</p><p>②严重的肝、肾功能障碍。</p><p>③血卟啉症。</p><p>④红斑狼疮。</p><p>⑤近6 个月内患有明确的血栓栓塞病。</p><p>(4)慎用：下列为HRT 的慎用情况，经权衡利弊和知情同意后，可在妇科医师及有关医师共同监测下慎用HRT。①明显的子宫内膜移位症；②有临床意义的子宫肌瘤；③严重的乳腺纤维瘤史；④与雌激素有关的血栓栓塞病史；⑤已控制的高血压；⑥已控制的糖尿病；⑦耳硬化症；⑧癫痫；⑨严重的胆囊疾病，肝血管瘤；⑩有乳腺癌家族史。有上述情况者使用HRT 时，应选择适当的剂型、剂量及用药途径。</p><p>(5)方法：当需要用，并且可以用HRT 时，下一步要考虑的是如何用。临床实践中，要依次考虑以下几个方面，选择恰当的性激素、药物、用药途径和剂量等。雌激素的选用是性激素补充疗法的中心，为药学研究开发的重点，药物类别，使用途径及其剂型的内容为最丰富，以下以雌激素为重点展开介绍。</p><p>①雌激素。用于HRT 的雌激素从化学结构可分为天然和合成2 大类。</p><p>A.天然雌激素包括：雌二醇(E2)、雌酮(E1)及其结合物、雌叁醇(E3)、结合的马雌激素。</p><p>B.合成类雌激素。主要有以下几种：乙烯雌酚(DES)、炔雌醇(炔雌醇，EE)、乙炔雌二醇叁甲醚(为EE 衍生物)、乙炔雌叁醇环戊醚，为雌叁醇的衍生物。乙炔雌叁醇环戊醚(尼尔雌醇(维尼安)有缓解妇女绝经后骨丢失的作用，由于结构的改变，其雌激素活动明显增强，用于HRT 疗效明显，但也应视为一种对子宫内膜有促生长作用的雌激素。与合成类雌激素比较，用天然雌激素有以下优点：对肝代谢影响比较弱，比较符合生理；可用现行较简便方法测得体内雌激素水平，便于监测。</p><p>②孕激素。按结构也分两类：天然和合成。</p><p>A.天然：孕酮。</p><p>B.合成有两类：结构衍生于孕育酮与17α-OH 孕酮和衍生于19 去甲睾酮。前者有较强的抗雌激素作用，该类中甲羟孕酮较接近天然孕酮，无明显雄激素及对抗雌激素改善血脂的作用，使用最多。</p><p>③雄激素。按结构也有天然与合成2 类，用于HRT 的，前者有睾酮、雄烯二酮、双氢睾酮、去氢表雄酮，后者有甲基睾酮。</p><p>(6)应用模式：</p><p>①单用雌激素：适用于已切除子宫，不需要保护子宫内膜的情况。有子宫的妇女若单用雌激素，应仔细监测子宫内膜。</p><p>②单用孕激素：有周期用及连续用两种。前者多用于绝经过渡期，改善卵巢功能衰退过程中伴随的症状；后者可短期用于绝经后症状重、需要HRT 又存在对雌激素禁忌证者。</p><p>③合用雌、孕激素：适用于有完整子宫的妇女。合用孕激素的目的在于对抗雌激素促子宫内膜的过度生长。此外，对增进骨健康可能有协同作用。可分序贯合用和联合并用两种。</p><p>④合用雌雄激素：适用于不需要保护子宫内膜的妇女。需加用雄激素的目的主要是促进蛋白合成，增强肌肉力量，增加骨密度，改善对事物的兴趣。</p><p>⑤合用雌、孕、雄激素：也适用于有完整的子宫，并需加用雄激素者。启用时机：为达到预防的目的，过去主张HRT 在绝经后尽早开始。现已观察到从绝经过渡期开始的，与卵巢功能衰退有关的机体功能改变明显影响妇女身心健康，临床上这部分人群求医的人数正在迅速增长。用于缓解症状，可针对症状，短期随意使用，通常1～2 年。用于退化性疾病的预防，需长期使用，一般应坚持5～10 年以上。要减少骨质疏松性髋部骨折危险性50%，HRT 需至少6 年以上。但是过去应用HRT10 年以上，目前停用数年后，骨折危险与从未用HRT 者相似，若持续HRT10 年以上并使用至当前者，骨折危险为0.27。停止HRT 后，骨丢失再次发生，因此有建议若随诊中不存在继续HRT 的禁忌者，又有必要性，HRT 可使用至生命终止。</p><p>(7)副作用：</p><p>①短期HRT 的副作用：通常无明显副作用，部分妇女可能有血压改变，体重增长，胃肠道反应、皮疹、偏头痛、头晕、全身肿胀、乳房胀痛，阴道分泌物增多及出血等。</p><p>②长期HRT 的副作用：除短期HRT 的副作用可能发生外，长期应用HRT 的副作用主要有下列几方面：与性激素有关的肿瘤：</p><p>A.妇科肿瘤。</p><p>B.乳腺癌。选择性雌激素受体调解剂为了使更多的妇女接受并享用长期HRT，避免其副作用，就需要一类药，能在一些组织保留雌激素作用的一些益处，而在另一些组织避免雌激素的副作用，于是选择性雌激素受体调解剂应运得到发展。性激素补充疗法与其他抗骨质疏松药物的联合应用骨质疏松症的发生、发展受综合因素影响，因此治疗上需要针对多因素采用多种抗骨质疏松药的联合应用。已经报道HRT 与钙、维生素D、氟化纳类等或与双磷酸盐类联合应用分别比单用HRT、氟化钠或双磷酸盐等对骨密度的增加更为明显，这种联合用法对严重的骨质疏松患者可能增加一个选择措施。</p><p>&nbsp; &nbsp; &nbsp; 4.降钙素 降钙素主要有4 种，即猪(pCT)、人(hCT)、鲑鱼(sCT)及鳗鱼(eCT)降钙素，所有种属降钙素都是由32 个氨基酸构成的多肽。</p><p>&nbsp; &nbsp; &nbsp; (1)对血钙的影响：在正常情况下，降钙素对血钙的影响很弱，但当血钙过度升高和骨转换升高时，CT 的作用随之加强，血浆钙值升高10%，可以引起降钙素分泌量增加2 倍，当高钙血症时，CT 分泌增多，抑制骨骼的钙质释放入血液和细胞外液，而血液中的钙质仍继续进入骨骼，导致骨钙降低。</p><p>&nbsp; &nbsp; &nbsp; (2)对骨骼的作用：破骨细胞具有丰富的降钙素受体，降钙素能够与受体结合，刺激cAMP 的产生，再激活蛋白激酶，短时间内迅速抑制破骨细胞的活性，长期作用则抑制其增值，减少破骨细胞数量，从而抑制骨吸收，降低骨转换，对骨骼起到保护作用。CT 对成人或成年动物可以抑制进端肾小管对钙磷的重吸收，使尿钙磷排泄增加，血钙磷值下降。降钙素非常有意义的发现是CT 具有止痛作用，尤其是对于与骨骼相关的疼痛，如肿瘤骨骼转移、Paget 病以及骨质疏松症骨质的疼痛等。降钙素止痛的机制目前尚不清楚。目前临床应用的降钙素有鲑鱼降钙素(Set，品名为密钙息，由瑞士诺华药厂生产)，注射剂为50U 或100U/瓶，供皮下、肌肉和静脉注射。鼻喷制剂为14 制剂量，每喷200U 经鼻黏膜吸收，在美国和欧洲广泛应用；鳗鱼降钙素(eCT，商品名为益钙宁，由日本旭化成药厂生产)，每支10U、20U 或40U，供肌肉注射。目前临床应用的降钙素有注射和鼻喷2 种制剂。骨密度改变：在OVX、肝素、泼尼松(强的松)及制动所诱导的骨质疏松动物模型中，使降钙素能明显减少上述诱发因素所致的骨量下降，使骨密度增加，其中以腰椎部位骨密度增加最明显。骨折的愈合：降钙素可以加快骨折的愈合，而不影响骨折愈合速度。骨形成及骨矿化：研究表明，降钙素可以增加骨骼生长周径，加快软骨形成及矿化。降钙素能够抑制破骨细胞活性，减慢骨转换的骨吸收相，增加骨量，对于骨转换增高的骨质疏松症患者，降钙素治疗效果较好。降钙素还具有止痛作用，可以减轻骨质疏松症患者的腰背疼痛以及骨折性疼痛。研究表明，降钙素能有效预防绝经早期妇女的松骨骨丢失，尤其是对于高骨转换型的妇女，能降低骨折的发生率。对于不愿或不能采用雌激素治疗的患者，降钙素无疑是个较好的选择。降钙素通常选用的剂量为20～100U/d，低剂量降钙素也同样有效， 100UsCT 隔天注射适用于治疗骨质疏松症，而低剂量(20U，3 次/周)可以用于预防健康绝经后妇女骨量丢失。骨质疏松症者每天鼻喷200U 的CT，具有显着疗效，对于绝经后骨转换增高的妇女，200U 隔日使用，即可防止骨量丢失，对于绝经早期妇女，可以采用50U/次，5 次/周的剂量。我国目前注射用降钙素(鲑鱼降钙素，密钙息)及依降钙素(鳗鱼降钙素，益钙宁)2 种注射制剂，价格均较昂贵，对于骨疏松患者，推荐使用的剂量为益钙宁20U/次，1 次/周肌内注射，或10U/次，每周注射两次；降钙素(密钙息)50U隔日或每天肌内注射1 次sCT，鼻喷剂每天或隔天200U。最常见的不良反应是面部或躯体皮肤潮红，其次是恶心、呕吐等肠胃不适反应，少数患者有尿急、多尿的泌尿系统症状。鼻喷剂还可以有鼻黏膜充血、鼻塞、鼻黏膜刺激以及少数患者出现嗅觉减退。治疗过程中逐渐减退甚至消失。综上所述，降钙素是一种预防及治疗绝经后骨质疏松症的安全而有效的药物。</p><p>&nbsp; &nbsp; &nbsp; 5.双磷酸盐 许多双磷酸盐应用在骨质疏松症中，其增加骨量明显有效。</p><p>(1)依屈磷酸盐(Eti)：本品是第一代双磷酸盐类药物的代表品种，由美国P&amp;G 公司开发，商品名为羟乙磷酸二钠Didronel。用Eti 进行间歇疗法能显着减少绝经期骨质疏松症患者的骨折，增加脊椎骨密度，而且未发现临床、生化、骨组织形态副反应，其特点为安全、有效。</p><p>(2)氯屈磷酸盐(Clo)：本品由芬兰Leiras 药厂生产，商品名为骨磷。用于治疗肿瘤和高钙血症，以及绝经后骨质疏松与制动所致的骨丢失。即使服用大剂量时也不会影响骨的矿化过程。最近的研究还表明，在绝经期妇女中，骨磷防止骨丢失的效果与雌激素相似。骨磷可增加类风湿性关节炎和使用皮质类固醇的哮喘病人的骨量。副作用为个别患者发生口腔溃疡和发热。</p><p>(3)帕米磷酸盐(Pam)：本品由瑞士Ciba-Geigy 公司开发，1989 年首次上市，商品名为阿可达Aredia。抑制骨吸收作用比Clo 强10 倍，抑制可的松药物诱发人和动物的骨质疏松。</p><p>(4)阿仑磷酸盐(Ale)：由美国Merck 公司开发的新型双磷酸盐类药物，商品名为福善美。它是目前研究与应用最多的双磷酸盐。国产阿仑磷酸盐(商品名为“固邦”)。研究证实，国产阿仑磷酸盐-固邦同样具有抑制骨吸收、降低骨转化及增加骨量之功效，并且可以减少骨质疏松性骨折的发生。</p><p>(5)斯孟磷酸盐(Cim)：是日本山之内制药公司开发的新型双磷酸盐类药物，可以通过抑制骨吸收而增加骨质疏松患者的骨质，但连续用药不会出现象羟乙酸钠那样的抑制骨质矿化现象，且抑制骨吸收作用更强。</p><p>&nbsp; &nbsp; &nbsp; 6.氟化物 氟为亲骨元素，长期高氟摄入可引起氟骨病，表现为骨硬化或骨软化，伴骨结构减弱。氟化物通过加强对成骨细胞的募集及分化而刺激新骨形成，氟化物对成骨细胞的确切作用仍不清楚，骨对氟化物的反应也不肯定。一般认为，给予氟化物可增加压缩强度，但减少弯曲强度。氟化物治疗过程中可出现两种主要副作用，一为胃刺激，病人有厌食、恶心、呕吐，但多为轻度，另一突出副作用为下肢疼痛。氟化物有一定应用前景，但有些问题仍应需进一步研究。</p><p>&nbsp; &nbsp; &nbsp; 7.甲状旁腺激素 对骨质疏松患者，应用短周期人甲状旁腺素可使骨量增加。PTH 刺激骨吸收，在周期性治疗中应用序列抗吸收制剂可能增加PTH 的合成作用。</p><p>&nbsp; &nbsp; &nbsp; 8.中药 对中药治疗骨质疏松症机理的探讨目前正在进一步深入，其机制是对身体的全身性、多环节、多通路的调解作用来实现的。现用于临床的中药有很多，如淫羊藿、黄芪、杜仲、蛇床子、续断等，中成药如：仙灵骨葆，伤科接骨片等。择优治疗方案：</p><p>(1)维生素D：400～800U/d，经常户外活动适当日照获得维生素D，日照少的患者口服维生素AD 丸，1 丸/d。病情严重的可用活性维生素D，例如，法能等。</p><p>(2)钙剂：钙尔奇D、司特立、螯合钙等，800～1500mg/d 元素钙(包括食物钙及钙剂)，继发性骨质疏松尚需治疗原发病，消除危险因素。</p><p>(3)性激素替代疗法：尼尔雌醇，结合雌激素(倍美力)、替勃龙(利维爱)、雄性激素(无禁忌证，且有适应证时)，剂量随个体差异而定。另可加用双磷酸盐，如阿仑磷酸盐(固邦)、依替膦酸（邦特林）等。严重骨质疏松尤其骨折、骨痛时，用降钙素(密钙息鼻喷剂)等。</p><p>&nbsp; &nbsp; &nbsp; 9.康复治疗 用脉冲电磁场发送低频变化脉冲来治疗康复骨质疏松有效。现在医学证明：电刺激能促进骨组织生长。脉冲电场差刺激作用将人体生理循环恢复到35 岁，旺盛状态，改变人体生理循环，使之成熟细胞增生，促进成骨细胞发展。脉冲电磁对骨坏死，先天性骨缺损，关节固定失败，椎骨融合术后及老年骨质疏松都有一定临床效果。适当的活动锻炼对骨质疏松起到一定有益作用，应根据每人的健康状况特别是心脏的功能，制出适当的活动方式。</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('767', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1637', '预防', '<p><br/></p><p>内分泌骨质疏松症的危险因素主要有以下几个方面：</p><p>1.遗传因素 包括种族、家族史、绝经、Turner 综合征、瘦小体型与低体重等。已经证实，高加索人与亚洲人容易发生骨质疏松症。黑人骨质疏松症患病率最低。有骨质疏松家族史或体形瘦小的妇女易患骨质疏松症。最近证实年轻妇女的骨密度与其父母的骨密度有非常显着的相关性。同卵双胎比异卵双胎在骨密度方面具有更大的相似性。瘦小体型者骨质疏松发生率高。低体重人群比高体重人群更易患骨质疏松症。这些都说明遗传因素较大地影响着骨密度以及骨质疏松症的发生。</p><p>2.生活方式 有遗传因素的患者，有以下几个因素可加速骨质疏松症的发生：①饮食中缺乏钙或有导致钙丢失的高蛋白饮食；②不活动导致骨骼的失用性吸收；③过度酗酒；④吸烟可刺激雌激素向无活性形式加速转化；⑤摄入咖啡因。</p><p>3.妇科因素 ①初潮延迟；②月经周期紊乱；③运动诱发月经紊乱；④子宫切除；⑤哺乳期延长。</p><p>4.营养与摄取食物异常 钙摄入少于10mg/(kg?d)，长期蛋白质摄入过少或过多，维生素C 缺乏。厌食或贪食。</p><p>5.内分泌因素 ①雌激素缺乏；②甲状旁腺素增高；③降钙素减低；④1，25-2 羟维生素D3 减少。</p><p>6.脊柱侧弯 其原因不清，但有较强的遗传倾向。一些研究证实本病与雌激素减低有关。</p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('768', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '777', '概述', '<p style=\"line-height: 150%;\"><span style=\"color: rgb(0, 0, 0);\">&nbsp; &nbsp;<span style=\"text-indent: 24px; line-height: 150%; font-family: 宋体;\">妊娠期高血压疾病(hypertensive disorders complicating pregnancy)是妊娠期特有的疾病，包括妊娠期髙血压、子痫前期、子痫、慢性髙血压并发子痫前期以及慢性髙血压。以前我国把妊娠高血压、子痫前期和子痫统称为妊娠高血压<span style=\"line-height: 150%;\">综合征</span>(pregnancy induced hypertension<span style=\"line-height: 150%;\">)</span>。妊娠期高血压疾病的发病率各地报道不一，国外报道初产妇无慢性髙血压和糖尿病病史者妊娠期髙血压疾病的发病率为5%~9%，子痫前期的发病率为5 %~7%;初产妇妊娠期高血压疾病的发病率是经产妇的4~5倍。妊娠期髙血压疾病的发病率在不同孕周的分布并不均衡，随着孕龄的增加其发病率相应增加，超过50%的妊娠期髙血压疾病发生于孕37周后。 本类疾病以髙血压、蛋白尿、水肿为特征，并伴有全身多脏器的损害;严重患者可出现抽搐、昏迷、脑出血、心力衰竭、胎盘早剥和弥漫性血管内凝血，甚至死亡。该病严重影响母婴健康，是孕产妇和围生儿发病及死亡的主要原因之一。</span></span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('769', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '777', '高危因素和病因', '<p style=\"line-height: 150%\"><span style=\"color: rgb(0, 0, 0);\">&nbsp; &nbsp; &nbsp;&nbsp;<span style=\"font-family: 宋体; text-indent: 24px;\">病因和发病机制至今尚未完全阐 明，子痫前期子痫的发病机制可能与遗传易感性、免疫适应不良、胎盘缺血和氧化应激反应有关。</span><sup style=\"font-family: 宋体; text-indent: 24px;\">：</sup></span></p><p style=\"margin-left: 0;text-indent: 24px;line-height: 150%\"><span style=\"color: rgb(0, 0, 0);\">1. <span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">高危因素&nbsp; 流行病学调査发现如下髙危因素均与妊娠期高血压疾病发病风险增加密切相关:初产妇、孕妇年龄小于18岁或大于40岁、多胎妊娠、妊娠期髙血压病史及家族史、慢性肾炎、抗磷脂综合征、糖尿病、血管紧张素基因 T235阳性、营养不良、低社会经济状况。</span></span></p><p style=\"margin-left: 0;text-indent: 24px;line-height: 150%\"><span style=\"color: rgb(0, 0, 0);\">2. <span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">病因</span></span></p><p style=\"line-height:150%\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">（1）免疫机制：妊娠被认为是成功的自然同种异体移植。胎儿在妊娠斯内不受排斥是因胎盘的免疫屏障作用、胎膜细胞可抑制NK细胞对胎儿的损伤、母体内免疫抑制细胞及免疫抑制物的作用，其中以胎盘的免疫屏障作用最重要。</span></p><p style=\"text-indent:24px;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">研究发现患本病者同种异体抗原如滋养叶细胞抗原超负荷，影响子宫胎盘血管床的发育和重铸过程;母胎免疫平衡失调、封闭抗体(blocking</span> <span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">antibodies)产生不足，使胎盘局部免疫反应与滋养细胞表达的TCX抗原形成的保护性作用减弱;补体活化，在子痫前期患者血中补体被激活的现象较普遍，C3和C4均明显减少，被激活的补体进一步激活白细胞，白细胞在胎儿胎盘血循环中被激活后，随着血液流动，可停滞在微循环中破坏血管内皮，引起脏器的损伤;细胞和体液免疫异常，子痫前斯患者,Thl细胞的数目往往增多，可刺激细胞毒性因子的增多，包括肿瘤坏死因子、白细胞介素-1和白细胞介素-6。这些细胞因子诱导脂肪细胞降解，破坏肝脂肪酸氧化，影响前列环素和一氧化氮的合成，另外TNF-α、IL1使血液中血小板源性生长因子、内皮素、纤溶酶原激活物抑制物-1等含量增加，造成毛细血管高 凝状态及毛细血管通透性增加。本病患者夫妇、母婴HLA-DR4出现频率明显高于正常孕妇，夫妇HLA共享亦显著增加。HLA-DR4在子痫前期发病中的作用可能为:①直接作为免疫基因，通过免疫基因产物如抗原影响巨噬细胞呈递 抗原;②与疾病致病基因连锁不平衡；③使母胎间抗原呈递及识别功能降低，导致封闭抗体产生不足，最终导致子痫前期的发生。</span></span></p><p style=\"text-indent: 6px;line-height: 150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">(2)胎盘浅着床:子痫前期常见于子宫张力过高及合并有全身血管病变的孕妇，其发生可能与“胎盘浅着床”有关。“胎盘浅着床”可能是HLA-G的表达下降或缺失，导致hlA-G表达缺陷的滋养细胞易受到母体免疫系统的攻击，不能侵人母体螺旋动脉，影响血管重铸，形成胎盘浅着床,使盘缺血缺氧。妊娠是一种成功的自然半同种异体移植， 有赖于母胎间免疫平衡，平衡一旦失调就可能引起免疫排 斥反应，导致病理妊娠。HDCP与免疫相关的有力证据是螺旋小动脉发育受阻于黏膜段(即胎盘浅着床)，且螺旋小 动脉管壁出现急性粥样硬化病变。另外，患者血管壁上可见明显的免疫球蛋白IgM和补体C</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体; letter-spacing: -1px;\">3沉积。</span></span></p><p style=\"text-indent:24px;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">(3)血管内皮细胞受损:来源于胎盘及蜕膜的细胞毒性物质和炎性介质如氧自由基、过氧化脂质、肿瘤坏死因 子、白细胞介素-6、极低密度脂蛋白等可能引起血管内皮损伤。当血管内皮细胞受损失时血管内皮源性舒张因子</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">(endothelium</span> <span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">derived</span> <span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">relaxing</span> <span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">factor, EDRF)、—</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">氧化氮氣</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">(nitric oxide</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">.</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">NO</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">)、血管舒张因子前列环素</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">(Prostacyclin, PG1<sub>2</sub>)</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">分泌</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">减少</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">，血管内皮收缩因子血栓素</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">A(thrombinxone</span> <span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">A3,TXA</span><sub><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">3</span></sub><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">) </span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">产生增加,导致收缩因子和舒张因子比例失调，致使血压升高，从而导致一系列病理变化。鉴于胎盘在妊娠中的特殊作用，认为这些毒性因子可能来源于胎盘。因此胎盘血管内损伤可能先于全身其他脏器<sub>。</sub></span></span></p><p style=\"text-indent:24px;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">⑷遗传因素:子痫前期的家族多发性提示该病可能存在遗传因素，目前发现的易感基因有内皮型一氧化氮合酶基因、肾素-血管紧张素-醛固酮系统基因、</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">Fas</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">/</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">Pasl</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">基 因、V Leiden基因、凝血酶原基因、凝血酶原调节蛋白（</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">TM</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">)、: 亚甲基四氢叶酸还原酶(MTHFR)基因、线粒体</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">DNA</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">突变、 脂蛋白脂肪酶基因(LPL)、载脂蛋白</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">E</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体; letter-spacing: 5px;\">基因、TNF-α基因、 HL</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">A-G</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体; letter-spacing: -1px;\">；、HLA-DR4</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">、印迹基因等。单基因假设能够解释子痫前期的发生，但多基因遗传也不能排除。</span></span></p><p style=\"text-indent: 24px; line-height: 150%;\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"line-height: 150%; font-family: 宋体; color: windowtext;\">（5）胰岛素抵抗：子痫前期-子痫患者存在胰岛素抵抗， 高胰岛素血症导致</span><span style=\"color: rgb(0, 0, 0); line-height: 150%; font-family: 宋体;\">NO</span><span style=\"line-height: 150%; font-family: 宋体; color: windowtext;\">合成下降及脂质代谢紊乱，影响前列腺素E<sub>2</sub>合成，增加外周血管的阻力，血压升高，因而认为胰岛素抵抗与子痫前期-子痫的发生密切相关。其他因素如血清抗氧化剂活性、血浆高半胱氨酸浓度等的作用正在</span><span style=\"color: rgb(0, 0, 0); line-height: 150%; font-family: 宋体; letter-spacing: -1px;\">研究之中。</span></span></p><p style=\"text-indent: 24px; line-height: 150%;\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); line-height: 150%; font-family: 宋体;\"><span style=\"color: rgb(0, 0, 0); letter-spacing: -1px;\">&nbsp;</span>Cundy</span><span style=\"line-height: 150%; font-family: 宋体; color: windowtext;\">等发现1型糖尿病与2型糖尿病患者子痫前期 的总体发生率是相似的,分别为41%和45%，但2型糖尿病妇女更易患慢性高血压(孕周&lt;20周即诊断),而子痫前期的发生率少于1型糖尿病。糖尿病的孕妇子痫前期的发病率随</span><span style=\"color: rgb(0, 0, 0); line-height: 150%; font-family: 宋体;\">White</span><span style=\"line-height: 150%; font-family: 宋体; color: windowtext;\">分类的严重程度增加而增加，并发妊娠期糖尿病肾病的妇女发病率最高。</span></span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('770', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '777', '分类', '<p style=\"line-height:150%\"><span style=\"color: rgb(0, 0, 0);\">&nbsp; &nbsp; &nbsp; &nbsp;<span style=\"text-indent: 24px; line-height: 150%; font-family: 宋体;\">1.妊娠期高血压</span><span style=\"text-indent: 24px; line-height: 150%; font-family: 宋体;\">(gestational</span><span style=\"text-indent: 24px;\"> </span><span style=\"text-indent: 24px; line-height: 150%; font-family: 宋体;\">hypertension</span><span style=\"text-indent: 24px; line-height: 150%; font-family: 宋体; letter-spacing: 2px;\">) 妊娠期</span><span style=\"text-indent: 24px; line-height: 150%; font-family: 宋体;\">首次出现</span><span style=\"text-indent: 24px; line-height: 150%; font-family: 宋体;\">BP≥</span><span style=\"text-indent: 24px; line-height: 150%; font-family: 宋体;\">140/90</span><span style=\"text-indent: 24px; line-height: 150%; font-family: 宋体;\">mmHg</span><span style=\"text-indent: 24px; line-height: 150%; font-family: 宋体;\">并于产后12周恢复正常;尿蛋白</span><span style=\"text-indent: 24px; line-height: 150%; font-family: 宋体;\">C(</span><span style=\"text-indent: 24px; line-height: 150%; font-family: 宋体;\">-);少数患者可伴有上腹部不适或血小板减少。在妊娠20周后，如果血压持续升高，虽然未出现蛋白尿，但母儿 的危险性增加，约有10%妊娠期高血压患者在出现蛋白尿之前就发生子痫。妊娠期高血压是暂时的，可能发展为子痫前期，也可能产后12周血压仍未恢复而诊断为慢性高血压，所以妊娠期高血压在产后</span><span style=\"text-indent: 24px; line-height: 150%; font-family: 宋体;\">12</span><span style=\"text-indent: 24px; line-height: 150%; font-family: 宋体;\">周以后才能</span><span style=\"text-indent: 24px; line-height: 150%; font-family: 宋体;\">确诊。</span></span></p><p style=\"text-indent:24px;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">2.子痫前期(</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">pre</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">-</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">eclampsia</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">) 蛋白尿是子痫前期的 重要依据，是全身的微小动脉瘦挛导致肾脏血流量减少的 结果，标志着孕妇的肾脏功能受到损害。临床上蛋白尿往 往出现在血压升高以后，但许多研究表明肾脏病理生理变化 可能在血压升高等临床症状出现以前</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">3 ~4</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">个月就已开始。</span></span></p><p style=\"text-indent:24px;line-height:150%\"><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: rgb(0, 0, 0);\">因此血压升髙和尿蛋白轻度升高是子痫前期诊断的基本条件，子痫前期可以分成:轻度子痫前期和重度子痫前 期。高血压加重，尿蛋白增加，或者肾、肝、血液系统的实验 室指标异常，或者子痫发作前的症状，如头痛、眼花、上腹部 疼痛等任何一方面的出现均表明病情加重,使子痫前期的诊断更加明确。</span></p><p style=\"text-indent:24px;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">轻度子痫前期:妊娠20周以后出现</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">BP</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">≥140/90</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">mmHg</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">，尿蛋白≥0.3</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">g</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">/24</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">h</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">或随机尿蛋白(+);可伴有上腹不适、头痛 等症状<sub>。</sub></span></span></p><p style=\"text-indent:24px;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">重度子痫前期:</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">BP</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">≥160/1</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">lOmmHg</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">,尿蛋白多≥2.0</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">g</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">/24</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">h </span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">或随机尿蛋白多(</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">+</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">+);血清肌酐&gt;106u</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">mmoI</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">/</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">L</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">，血小板&lt;100 </span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">x </span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">10<sup>9</sup>/</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">L</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">;血乳酸脱氢酶</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">(Lactate</span> <span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">dehydrogenase</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">，</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">LDH</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">)升高;血</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">ALT</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">或</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">AST</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">升高;持续性头痛或其他脑或视觉障碍;持续性上腹不适。</span></span></p><p style=\"text-indent:24px;line-height:150%\"><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: rgb(0, 0, 0);\">下列标准至少一条符合可诊断重度子痫前期。</span></p><p style=\"margin-left:42px;line-height: 150%\"><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">(1)中枢神经系统异常表现:视力模糊、头痛、头晕;严 重者神志不清、昏迷等。</span></p><p style=\"margin-left:42px;line-height: 150%\"><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">(2)肝包膜下血肿或肝破裂的症状:包括上腹部不适或 右上腹持续性疼痛等。</span></p><p style=\"margin-left:42px;line-height: 150%\"><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">(3)肝细胞损伤的表现:血清转氨酶升高。</span></p><p style=\"margin-left:42px;line-height: 150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">(4)血压改变：收缩压≥160mmHg，或舒张压≥110</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">mmHg。</span></span></p><p style=\"margin-left:42px;line-height: 150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">(5)血小板减少:&lt;100 </span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">x</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\"> 10<sup>9</sup>/</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">L<sub>o</sub></span></span></p><p style=\"margin-left:42px;line-height: 150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">(6)蛋白尿:≥5</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">g</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">/24</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">h</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">，或间隔4小时两次尿白尿(+++)。</span></span></p><p style=\"margin-left:42px;line-height: 150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">(7)少尿:24小时尿量&lt;500</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">ml</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">。</span></span></p><p style=\"margin-left:42px;line-height: 150%\"><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">(8)肺水肿。</span></p><p style=\"margin-left:42px;line-height: 150%\"><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">(9)脑血管意外。</span></p><p style=\"margin-left:42px;line-height: 150%\"><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">(10)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp; </span>血管内溶血:贫血、黄疸、或乳酸脱氢酶升高。</span></p><p style=\"margin-left:42px;line-height: 150%\"><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">(11)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp; </span>凝血功能障碍</span></p><p style=\"margin-left:42px;line-height: 150%\"><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">(12)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp; </span>胎儿生长受限或羊水过少。</span></p><p style=\"line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">3.子痫(</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">eclampsia</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">)&nbsp; 在子痫前期的基础上进而有抽搐发作，或伴有昏迷,不能用其他原因解释，称为子痫。少数患者病情进展迅速，子痫前期的征象不明显而骤然发作。子痫的典型发作过程首先表现为眼球固定，瞳孔散大。头 偏向一侧，牙关紧闭;继而口角及面肌颤动，数秒后发展为 全身及四肢肌强直，双手紧握，双臂屈曲，迅速发生强烈抽 动。抽搐时呼吸暂停，面色青紫。持续1分钟左右,抽搐强度减弱，全身肌肉松弛，随即深长吸气，发出鼾声而恢复呼 吸。抽搐发作前及抽搐期间，神志丧失。抽搐次数少，间隔时间长，抽搐过后短期即可苏醒;抽搐频繁且持续时间长，往往陷人深昏迷。在抽搐过程中易发生种种创伤，如唇舌 咬伤、摔伤甚至骨折,昏迷中呕吐可造成窒息或吸人性肺</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">炎。子痫发生在妊娠晚期或临产前，称为产前子痫，多见; 发生分娩过程，称为产时子痫，较少见;发生于产后称为 产后子痫，大部分在产后妨小时以内，个别甚至在产后10天发生。</span></span></p><p style=\"text-indent:24px;line-height:150%\"><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: rgb(0, 0, 0);\">抽搐前常有头痛、视觉异常，10%的子痫发作出现在明 显蛋白尿之前。重危:抽搐10次以上，昏迷持续6小时或以上。呼吸≥30次/分，脉率&gt;120次/分，体温＞39℃，少尿， 无尿或血尿，心衰，肺水肿。</span></p><p style=\"margin-left:0;text-indent:0;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 9px; line-height: 150%; font-family: MingLiU;\">4.<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">原发性离血压合并子痫前期（</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">preeclampsia</span> <span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">supe</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">­</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">rimposed</span> <span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">upon</span> <span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">chronic</span> <span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">hypertension</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">} &nbsp;髙血压孕妇妊娠</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">20周以前无尿蛋白，若出现尿蛋白≥0.3</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">g</span><sub><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">/</span></sub><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">24</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">h</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">;高血压孕妇妊娠20周后突然尿蛋白增加或血压进一步升髙或血小板&lt;100</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">xl</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">0<sup>9</sup>/</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">L</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">。在妊娠前出现高血压,并已予以降压治疗者的诊断并不困难。对于在妊娠前和妊娠早期均未进行检査,在妊娠晚期首次发现高血压的患者，与子痫前期的鉴别比较困难，需要随访到产后12周才能确诊。</span></span></p><p style=\"text-indent:24px;line-height:150%\"><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: rgb(0, 0, 0);\">一般妊娠合并慢性高血压在妊娠中期血压有所下降， 在妊娠晚期恢复到妊娠前的水平。妊娠合并慢性髙血压的 围生儿死亡率升髙3倍，胎盘早剥的风险升髙2倍;同时，胎长受限、妊娠35周前早产的发生率均明显升髙。</span></p><p style=\"text-indent:24px;line-height:150%\"><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: rgb(0, 0, 0);\">慢性高血压最大风险是并发子痫前期的几率升高， 25%慢性高血压合并妊娠时可能会并发子痫前期;若存在肾功能不全，病程超过4年，或既往妊娠时曾经出现过髙血压，子痈前期的发生率更高;若并发子痫前期，发生胎盘早剥的比率明显升高。</span></p><p style=\"margin-left: 0px; text-indent: 0px; line-height: 150%;\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 9px; line-height: 150%; font-family: MingLiU;\">5.<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">妊娠合并慢性高血压(chronic</span> <span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">hypertension</span> <span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">compli­cating</span> <span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">pregnancy) &nbsp;妊娠前或妊娠 20 周前舒张压≥90mmHg (除外滋养细胞疾病)，妊娠期无明显加重;妊娠20周后首次诊断高血压并持续到产后12周后。不管是何种原因导致 的慢性高血压，在妊娠期均有可能发展为子痫前期和子痫。在妊娠中期才首次检査并发现高血压者的诊断和处理较为 困难。当出现下列情况之一时，应考虑可能存在潜在的慢 性髙血压:①妊娠前曾有高血压(多140/90mmHg);②妊娠20周前发现髙血压（&gt; 140/90mmHg),除外妊娠滋养细胞疾病;③产后12周高血压仍持续存在。</span></span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('771', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '777', '临床表现', '<p style=\"text-indent: 0px; line-height: 150%;\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"text-indent: 24px;\">&nbsp; &nbsp;&nbsp;</span><span style=\"font-family: 宋体; text-indent: 24px;\">典型临床表现为妊娠20周后出现髙血 压、水肿、蛋白尿。视病变程度不同,轻者可无症状或有轻度头晕,血压轻度升高，伴水肿或轻微蛋白尿;重者出现头 痛、眼花、恶心、呕吐、持续性右上腹疼痛等，血压明显升高， 蛋白尿增多，水肿明显;甚至昏迷、抽搐。</span></span></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('772', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '777', '诊断', '<p style=\"text-indent:24px;line-height:150%\"><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: rgb(0, 0, 0);\">&nbsp;根据病史、临床表现、体征及辅助检査即可作出诊断，同时应注意有无并发症及凝血机制障碍。</span></p><p style=\"margin-left:0;text-indent:0;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 9px; line-height: 150%; font-family: MingLiU;\">1.<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><strong><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">病史</span></strong><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\"> 有本病的髙危因素及上述临床表现，应特别注意有无头痛、视力改变、上腹不适等。</span></span></p><p style=\"margin-left:0;text-indent:0;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 9px; line-height: 150%; font-family: MingLiU;\">2.<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><strong><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">体格检查</span></strong></span></p><p style=\"margin-left:0;text-indent:0;line-height:150%\"><span style=\"color: rgb(0, 0, 0); line-height: 150%; font-family: 宋体;\"><strong>&nbsp; &nbsp;</strong>⑴<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp; </span>高血压:收缩压≥140mmHg或舒张压≥90mmHg<sub>o</sub></span></p><p style=\"text-indent:24px;line-height:150%\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">⑵蛋白尿:24小时内尿液中蛋白含量≥300mg或相隔6小时的两次随机尿液蛋白浓度为30mg/L(定性+)。蛋白尿在24小时内有明显波动，应留取24小时尿作定董检査。</span></p><p style=\"text-indent:24px;line-height:150%\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">(3)水肿：特点是自踝部逐渐向上延伸的凹陷性水肿， 经休息后不缓解。水肿局限于膝下为“+”，延及大腿为 “++”，延及外阴及腹壁为“+++”，全身水肿或伴有腹水为<span style=\"color: rgb(0, 0, 0); letter-spacing: -2px;\">“++++”。</span></span></p><p style=\"margin-left:0;text-indent:0;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 9px; line-height: 150%; font-family: MingLiU;\">3.<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp; </span></span><strong><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">辅助检査</span></strong></span></p><p style=\"line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">&nbsp;</span><strong><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">&nbsp; (1)孕妇方面</span></strong></span></p><p style=\"margin-left:0;text-indent:0;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 9px; line-height: 150%; font-family: MingLiU;\">&nbsp; &nbsp; 1)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">尿液检査:应测尿比重、尿常规，当尿比重多≥1.020时说明尿液浓缩。尿蛋白定性比较方便，但是容易受到外 界因素的影响;24小时尿蛋白定量比较客观、准确，但比较麻烦,可以用12小时或6小时尿蛋白定量替代。尿蛋白(+) 时通常尿蛋白含量为300mg/24h。</span></span></p><p style=\"margin-left:0;text-indent:0;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 9px; line-height: 150%; font-family: MingLiU;\">&nbsp; &nbsp; 2)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">血液检査:含全血细胞计数、血红蛋白含量、血细胞比容、血黏度，根据病情轻重可反复检査。血浓缩支持子痫前期的诊断，是疾病严重程度的指标。若合并有溶血的情 况，血色素降低，涂片可见破损的红细胞。血小板降低提示为重度子痫前期。</span></span></p><p style=\"margin-left:0;text-indent:0;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 9px; line-height: 150%; font-family: MingLiU;\">&nbsp; &nbsp; 3)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">凝血功能测定:对于妊娠期高血压疾病的凝血功能的变化，越来越受到重视，目前认为子痫前期<sup>-</sup>子痫处于高凝状态，称为易栓症。评价机体凝血状态的指标有： 凝血酶原时间(prothrombin</span> <span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">time，PT)、活化部分凝血活酶时</span></span></p><p style=\"line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">间</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">(activated</span> <span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">partial</span> <span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">thromboplastin</span> <span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">time</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">, </span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">APTT</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">)、凝血酶时间 </span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">(thrombin</span> <span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">time</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">，</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">TT</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">)、纤维蛋白原(</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">fibrinogen</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">，</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">FIB)、D</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\"> -二聚体(</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">D</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">-</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">DIMER</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">)、3</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">P</span> <span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">试验</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">（plasma</span> <span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">protamine</span> <span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">paracoagulation</span> <span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">test</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">，3</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">P</span> <span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">test</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">)。</span></span></p><p style=\"margin-left:0;text-indent:24px;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 9px; line-height: 150%; font-family: MingLiU;\">① </span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">PT:是检査外源性凝血因子的一种过筛试验，正常值 12~16秒，超过3秒以上为异常。国际标准化比值(international normalized</span> <span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">ratio,INR)：0.8~1.5。</span></span></p><p style=\"margin-left:0;text-indent:24px;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 9px; line-height: 150%; font-family: MingLiU;\">② </span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">APTT:是检査内源性凝血因子的一种过筛试验，正常值<span style=\"color: rgb(0, 0, 0); letter-spacing: -1px;\">24</span></span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: &quot;MS Mincho&quot;; letter-spacing: -1px;\">〜</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体; letter-spacing: -1px;\">36</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体; letter-spacing: -2px;\">秒，超</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">过10秒以</span><span style=\"color: rgb(0, 0, 0); font-size: 14px; line-height: 150%;\">上</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">为</span><span style=\"color: rgb(0, 0, 0); font-size: 14px; line-height: 150%;\">异</span><span style=\"color: rgb(0, 0, 0); font-size: 14px; line-height: 150%; font-family: 宋体;\">常。</span></span></p><p style=\"margin-left:0;text-indent:24px;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 9px; line-height: 150%; font-family: MingLiU;\">③ </span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">TT:正常参考值16~18秒，超过3秒以上为异常。 TT延长可作为临床低(无)纤维蛋白原血症、异常纤维蛋白原血症、FDP增多症、肝素增多或类肝素抗凝物质存在如 SLB</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体; letter-spacing: -2px;\">、肝病、肾病等的诊断依据。</span></span></p><p style=\"margin-left:0;text-indent:24px;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 9px; line-height: 150%; font-family: MingLiU;\">④ </span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">FIB:芷常值2~4g/L,妊娠期可以比非妊娠升高50%， FIB减少主要见于DIC、原发性纤溶亢进、重症肝炎和溶栓 治疗时<sub>〇</sub></span></span></p><p style=\"margin-left:0;text-indent:24px;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 9px; line-height: 150%; font-family: MingLiU;\">⑤ </span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">D-DIMER:是交联纤维蛋白的特异性降解产物，只有在血栓形成后才会在血浆中增髙，是诊断血栓形成的重要分子标志物。D-DIMER对DIC诊断的特异性要强于FDP检测。DIC</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体; letter-spacing: -2px;\">时，血浆</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">D-二聚体明显升高，呈阳性反应， 是诊断DIC的重要依据。</span></span></p><p style=\"margin-left:0;text-indent:24px;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 9px; line-height: 150%; font-family: MingLiU;\">⑥ </span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">3P试验:正常参考值为阴性。临床意义:DIC早期有继发性纤溶亢进3P试验阳性，DIC晚期3P试验阴性。</span></span></p><p style=\"margin-left:0;text-indent:0;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 9px; line-height: 150%; font-family: MingLiU;\">&nbsp; &nbsp; 4)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">肝功能测定:肝细胞功能受损可致ALT</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体; letter-spacing: -2px;\">、AST升髙。 </span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">胆红素检査不仅能反映肝脏损害的程度，而且对黄疽的鉴</span><span style=\"color: rgb(0, 0, 0); line-height: 150%; font-family: 宋体;\">别具有重要意义</span><sub><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">.</span></sub><span style=\"color: rgb(0, 0, 0); line-height: 150%; font-family: 宋体;\">肝细胞损害引起的黄疽，因为同时有摄 取、结合、排泄的障碍，因此直接和间接胆红素均可升高，但一般直接胆红素升高比间接胆红素升髙的幅度大。乳酸脱氢酶升高提示存在有溶血。血清白蛋白降低说明内皮细胞渗漏的程度(低白蛋白血症),可出现白蛋白缺乏为主的低蛋白血症，白/球蛋白比值倒置。</span></span></p><p style=\"margin-left:0;text-indent:24px;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 8px; line-height: 150%; font-family: MingLiU;\">5)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp; </span></span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">肾功能测定:肾功能受损时，血淸肌酐、尿素氮、尿酸升高，肌酐升髙与病情严重程度相平行。血清肌酐升髙尤其是合并有少尿时，提示重度子痫前期;尿酸在慢性高血压患者中升髙不明显，因此可用于本病与慢性髙血压的鉴别诊断。</span></span></p><p style=\"margin-left:0;text-indent:24px;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 8px; line-height: 150%; font-family: MingLiU;\">6)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp; </span></span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">血清电解质、二氧化碳结合力测定:重度子痫前期与子痫应测定电解质与二氧化碳结合力,以早期发现酸中 毒并纠正。冬眠合剂治疗，可导致出现低血钾;酸中毒时细胞内K+外游导致髙血钾。</span></span></p><p style=\"margin-left:0;text-indent:24px;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 8px; line-height: 150%; font-family: MingLiU;\">7)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp; </span></span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">心电图检査:了解有无心肌损害或传导异常以及可以发现高血钾或低血钾的波形变化。</span></span></p><p style=\"margin-left:0;text-indent:24px;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 8px; line-height: 150%; font-family: MingLiU;\">8)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp; </span></span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">眼底检査:视网膜小动脉可以反映体内器官的小动脉情况。视网膜小动静比例可由2 : </span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体; letter-spacing: 1px;\">3变为1</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">： </span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体; letter-spacing: 1px;\">2或 </span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">1 : 3,且有反光增强、并可有视网膜水肿、有渗出物及视网膜剥离、亦可有点状或火焰状出血。</span></span></p><p style=\"margin-left:0;text-indent:24px;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><strong><span style=\"color: rgb(0, 0, 0); line-height: 150%; font-family: 宋体;\">⑵<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp; </span>胎儿监护</span></strong></span></p><p style=\"margin-left:0;text-indent:0;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 8px; line-height: 150%; font-family: MingLiU;\">1)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">胎动计数:&lt;10次;/12小时或突然下降50%。</span></span></p><p style=\"margin-left:0;text-indent:0;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 8px; line-height: 150%; font-family: MingLiU;\">2)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">胎心监护:胎儿电子监测，NST或宫缩刺激试验、缩宫素刺激试验。</span></span></p><p style=\"margin-left:0;text-indent:0;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 8px; line-height: 150%; font-family: MingLiU;\">3)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">胎儿超声:评价胎儿生长发育情况、多普勒脐动脉血流监测评价胎儿是否存在宫内缺氧。</span></span></p><p style=\"margin-left:0;text-indent:0;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 8px; line-height: 150%; font-family: MingLiU;\">4)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">生物物理评分法:国内外多采用Manning的五项指标来判断，即NST、胎动(FM)、胎儿呼吸动度(FBM)、胎儿张 力(FT)和羊水量(AFY)。</span></span></p><p style=\"margin-left: 0px; text-indent: 0px; line-height: 150%;\"><span style=\"color: rgb(0, 0, 0); text-indent: 24px; line-height: 150%; font-family: 宋体;\">5)始儿-胎盘功能测定:尿雌三醇(E3)&lt;6mg/24h，胎盘催乳素(HPL)＜4g/ml则示胎盘功能显著减退。</span></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('773', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '777', '鉴别诊断', '<p style=\"line-height:150%\"><span style=\"color: rgb(0, 0, 0);\">&nbsp; &nbsp; &nbsp; &nbsp;<span style=\"text-indent: 24px; line-height: 150%; font-family: 宋体;\">1、慢性肾炎合并妊娠&nbsp; 在妊娠期血压升高的孕妇中， 除妊娠期高血压疾病以外，还有慢性肾炎合并妊娠。主要的鉴别点在于:慢性肾炎合并妊娠的患者往往会有肾炎的病史，实验室检査会有先有蛋白尿、肾功能的损害，然后出现血压升高，结束妊振以后肾功能损害和蛋白尿依然存在。</span></span></p><p style=\"text-indent: 24px; line-height: 150%;\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">2、妊娠期发生抽搞患者的鉴别诊断 子痫应与癫痫、 脑炎、脑肿瘤、脑血管畸形破裂出血、糖尿病高渗性昏迷、低血糖昏迷等鉴别。鉴别主要依靠病史、临床表现、影像学检查、血液检查等。另外，妊娠期髙血压疾病本身并发症&nbsp;&nbsp;&nbsp; -脑血管意外，包括脑出血、脑梗死、脑水肿。妊娠期髙血压 疾病死亡的主要原因是脑血管意外，死于子痫的孕产妇尸检80%有脑出血，并且缺血与出血同时存在。脑实质出血轻者仅见瘀点，重者呈大片状，出血部位多见于双顶叶、枕 叶皮质及皮质下区，其次为基底节和矢状窦，血液还可流入脑室系统。临床表现与出血部位密切相关。一般脑梗死发 病呈亚急巧可#件，意识障碍不明显，可有头痛、恶心、呕吐 等颅内压€髙症状。子痫是颅内出血最常见的原因，发生 子痫前常有额部剧烈搏动性疼痛，使用镇静剂无效，伴有兴奋、反射亢进,以后发生抽搐，注意抽搐发生后的无偏瘫、喷射性呕吐、失明和长时间昏迷，如出现上述症状，应怀疑有脑出血，可行CT或MRI检査确诊。</span></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('774', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '777', '治疗', '<p style=\"line-height:150%\"><span style=\"color: rgb(0, 0, 0);\">&nbsp; &nbsp; &nbsp;&nbsp;<span style=\"text-indent: 24px; line-height: 150%; font-family: 宋体;\">治疗目的:①防止子痫发生，或-旦发生，经首次急症处理后不再发作;②降低婴儿病率及病死率，避免新生儿出现严重后遗症;③降低孕产妇病率和病死率及严重后遗症。</span></span></p><p style=\"text-indent:24px;line-height:150%\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">病情程度不同，治疗原则略有不同:①妊娠期高血压： 一般采用休息、镇静、对症等处理后，病情可得到控制，若血压升髙，可予以降压治疗;②子痫前期:除了一般处理，还要进行解痉、降压等治疗，必要时终止妊娠册痫:需要及时 控制抽搐的发作，肪治并发症，经短时间控制病情后及时终止妊娠;④妊娠合并慢性高血压:以降血压为主。</span></p><p style=\"line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><strong><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">1、妊娠期高血压</span></strong></span></p><p style=\"line-height:150%\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">&nbsp; &nbsp; &nbsp;⑴休息:保证充足的睡眠，取左侧卧位，毎日休息不少 于10小时。左侧卧位可减轻子宫对腹主动脉、下腔静脉的 压迫，使回心血量增加，改善子宫胎盘的血供。以前认为住 院卧床休息可预防和减少重度子痫前期的发生.但是有研究表明:住院休息并不能改善母儿结局，在分娩孕周、重度子痫前期、早产、FGH、新生儿转新生儿加强监护病房、围产儿死亡率方面均无差别。</span></p><p style=\"margin-left:24px;line-height: 150%\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">（2)镇静:对于精神紧张、焦虑或睡眠欠佳者可给予镇静剂。</span></p><p style=\"margin-left:24px;line-height: 150%\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">（3)密切监护母儿状态:应注意孕妇是否出现头痛、视 力改变、上腹不适等症状。每日测体重及血压，定期复査尿蛋白、监测血液、胎儿发育状况和胎盘功能。</span></p><p style=\"margin-left:24px;line-height: 150%\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">（4)间断吸氧:可增加血氧含量，改善全身主要脏器和胎盘的氧供。</span></p><p style=\"margin-left:24px;line-height: 150%\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">（5)饮食:应包括充足的蛋白质、热量，不限盐和液体，但对于全身水肿者应适当限制盐的摄入。</span></p><p style=\"line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><strong><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">2、子痫前期</span></strong><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">&nbsp; 应住院治疗，防止子痫及并发症发生。 治疗原则:①镇静;②解痉，降压，改善微循环，保护脏器功能;③密切监测母胎状态，适时终止妊娠;④有指征的使用利尿剂与扩容剂等。</span></span></p><p style=\"line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">&nbsp; &nbsp; ⑴休息:同妊娠期高血压</span><sub><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">。</span></sub></span></p><p style=\"margin-left:24px;line-height: 150%\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">(2)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp; </span>镇静:适当镇静可消除患者的焦虑和精神紧张，达到降低血压、缓解症状及预防子痫发作的作用。</span></p><p style=\"margin-left:24px;line-height: 150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">1）<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp; </span></span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体; letter-spacing: 1px;\">地西泮(</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">diazepam):具有较强的镇静、抗惊厥、肌肉 松弛作用，对胎儿及新生儿的影响较小。用法:2.5~5mg</span> <span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">口 服，每日3次;或10mg肌肉注射或静脉缓慢推入(&gt;2分钟)。 必要时间隔15分钟后重复给药。1小时内用药超过30mg 可能发生呼吸抑制，24小时总量不超过lOOmg。</span></span></p><p style=\"margin-left:24px;line-height: 150%\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">2）<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp; </span>冬眠药物:可广泛抑制神经系统，有助于解迄降压，控制子痫抽搐。用法①哌替啶50mg、异丙嗪25mg肌内注射，间隔12小时可重复使用，若估计6小时内分娩者应禁用；②派替啶l00mg、氯丙嗪 50mg、异丙嗪50mg加人10% 葡萄糖500ml内静脉滴注:紧急情况下，可将1/3纛加入 25%葡萄糖液20ml缓慢静脉推注(&gt;5分钟)，余2/3童加入 10%葡萄糖250ml静脉滴注。</span></p><p style=\"text-indent:24px;line-height:150%\"><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: rgb(0, 0, 0);\">其优点:能解除血管痉挛，改善微循环;降压作用迅速， 而且可降低机体新陈代谢速度，因而可有助于提高机体对缺氧的耐受性;并对大脑皮质和自主神经系统有广泛抑制作用，从而减轻机体对不良刺激的反应，有利控制子痫抽搐。</span></p><p style=\"text-indent:24px;line-height:150%\"><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: rgb(0, 0, 0);\">其缺点:如血压易急速下降，可使肾及胎盘血流董更不 足，对胎儿不利，重症患者常有肝损,如使用较多的冬眠合剂，可加重肝功能损害;氣丙嗪又可抑制ATP酶系统，影响细胞的钠泵功能，有时可导致低血钾出现。</span></p><p style=\"text-indent:24px;line-height:150%\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">3）其他镇静药物:苯巴比妥钠、异戊巴比妥钠、吗啡 等，具有较好的抗惊厥、抗抽搐作用，可用于子痫发作时控制抽搐及产后预防或控制子痫发作。由于该药可致胎儿呼吸抑制，分娩6小时前宜慎重。</span></p><p style=\"text-indent:24px;line-height:150%\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">(3)解痉:首选药物为硫酸镑(magnegiumsulfate)。硫酸镁对重度子痫前期与子痫的主要作用是防止重度子痫前期进展成子痫，以及控制子痫抽搐及再抽搐。</span></p><p style=\"margin-left:48px;line-height: 150%\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">1）<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp; </span>作用机制:①镑离子抑制运动神经末梢释放乙酷胆碱，阻断神经肌肉接头间的信息传导，使骨骼肌松弛;②镁离子刺激血管内皮细胞合成前列环素，抑制内皮素合成， 降低机体对血管紧张素n的反应，从而缓解血管痉挛状态； ③镁离子通过阻断谷氨酸通道阻止钙离子内流，解除血管痉挛、减少血管内皮损伤;④镁离子可提髙孕妇和胎儿血红 蛋白的亲和力，改善氧代谢。</span></p><p style=\"margin-left:48px;line-height: 150%\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">2）<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp; </span>用药指征:①控制子痫抽搐及防止再抽搐;②预防 重度子痫前期发展成为子痫;③子痫前期临产前用药预防抽搐。</span></p><p style=\"margin-left:48px;line-height: 150%\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">3）<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp; </span>用药方案:静脉给药结合肌内注射。静脉给药： ①首次负荷剂纛25%硫酸镁20ml加于10%葡萄糖注射液20ml中，缓慢静脉注入，5~10分钟推完;②继之25%硫酸镁60ml加入5%葡萄糖注射液500ml静脉滴注，滴速为 l~1.5g/h。每日总量为25~30g，用药过程中可监测血淸镁离子浓度。</span></p><p style=\"margin-left:48px;line-height: 150%\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">4）<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp; </span>硫酸镁该何时应用、持续多长时间:美国推荐于分娩期使用，持续到产后12-24小时。</span></p><p style=\"margin-left:0;text-indent:0;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 9px; line-height: 150%; font-family: MingLiU;\">①<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">轻度子痫前期:即使不接受硫酸镁治疗，发生子痫 的几率很低，大约为1/200。大多数是于足月后或产后发生。 如果是临产后发展为子痫，常为自限性，对母体不会带来非常大的并发症。如果要使子痫发生率降低50%，需要治疔 400例轻度子痫前期才能预防1例子痫的发生，硫酸镁治疗 产生的副作用远大宁所带来的好处。因此，在轻度子痫前 期患者常规使用硫酸镁预防子痫，值得商榷。</span></span></p><p style=\"margin-left:0;text-indent:0;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 9px; line-height: 150%; font-family: MingLiU;\">②<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp; </span></span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">1度子痫前期:不用硫酸镁治疗时重度子痫前期发生子痫的发生率为2%，用硫酸镁治疗时子痫发生率为0.6%，因此治疗71例重度子痫前期就可以能预防1例子痫<sub>6</sub>用硫酸镁治疗提示有发生子痫征兆的重度子痫前期的患者，每治疗36例就能预防1例子痫的发生，这类患者是硫酸镁的最佳适应证。</span></span></p><p style=\"margin-left:48px;line-height: 150%\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">5）<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp; </span>毒性反应：正常孕妇血淸镁离子浓度为0.75~ lmmol/L,治疗有效浓度为2~3.5mmnol/L，若血淸镁离子浓度超过5mmol/L即可发生镁中毒。首先表现为膝反射减弱或消失，继之出现全身肌张力减退、呼吸困难、复视、语言不淸，严重者可出现呼吸肌麻瘐，甚至呼吸、心跳停止，危及生命。</span></p><p style=\"margin-left:48px;line-height: 150%\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">6）<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp; </span>注意亊项:用药前及用药过程中应注意以下事项：定时检査膝腱反射是否减弱或消失;呼吸不少于16次/分；</span></p><p style=\"line-height:150%\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">尿量每小时不少于25ml或每24小时不少于600ml;硫酸镁治疗时需备钙剂，一旦出现中毒反应，立即静脉注射10%葡萄糖酸钙l0ml,lg葡萄糖酸钙静脉推注可以逆转轻至中度呼吸抑制;肾功能不全时应减量或停用硫酸镁;有条件时监测血镁浓度。</span></p><p style=\"line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); line-height: 150%; font-family: 宋体;\">&nbsp; &nbsp; &nbsp;（4）<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp; </span>降压药物:降压的目的是为了延长孕周或改变围产期结局。对于血压≥160/ll0mmHg、舒张压多≥llOmmHg或平均动脉压多≥140mmHg者，以及原发性高血压、妊娠前高血压已用降压药者</span><span style=\"color: rgb(0, 0, 0); line-height: 150%; font-family: 宋体; letter-spacing: -2px;\">，须</span><span style=\"color: rgb(0, 0, 0); line-height: 150%; font-family: 宋体;\">应用降压药物。降压药物选择的原则:对胎儿无毒副作用，不影响心搏出量、肾血浆流量及子宫胎盘灌注量，不致血压急剧下降或下降过低。理想降压至收缩压140~155mmHg，舒张压90~105mmHg。</span></span></p><p style=\"margin-left:0;text-indent:0;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 8px; line-height: 150%; font-family: MingLiU;\">&nbsp; &nbsp; &nbsp; 1)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">肼屈嗪(hydralazine):周围血管扩张剂，能扩张周围 小动脉，使外周阻力降低，从而降低血压，并能增加心排血量、肾血浆流量及乎宫胎盘血流量。降压作用快，舒张压下縣较显著。用法:每15~20分钟给药5~10mg，直至出现满意反应(舒张压控制在90~100mmHg);或10-20mg，每日 2-3次口服;或40mg加入5%葡萄糖500ml内静脉滴注。 有妊娠期髙血压疾病性心脏病心力衰竭者，不宜应用此药。 妊娠早期慎用。副反应为头痛、心率加快、潮热等。</span></span></p><p style=\"margin-left:0;text-indent:0;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 8px; line-height: 150%; font-family: MingLiU;\">&nbsp; &nbsp; &nbsp; 2)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">拉贝洛尔(labetalol):为a、β能肾上腺素受体阻断剂，降低血压但不影响肾及胎盘血流量，并增加前列环素水平、降低血小板消耗及对抗血小板的凝集,促进胎儿肺成熟。该药显效快，不引起血压过低或反射性心动过速。在 早孕期使用P受体拮抗剂，可能导致FGR<sub>。</sub>用法:00mg</span> <span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">口服，2次/日，最大量2400mg/日，或盐酸拉贝洛尔20mg静脉注射，10分钟后剂釐加倍,最大单次剂量80mg，直到血压被控制。在紧急治疗高血压时，静脉用药其降压作用较肼苯达嗪更快，而且不致引起反射性心动过速或血压过低等不良反应。每日最大总剂量220~300mg。副反应为头皮刺痛及呕吐。但是如果有房室传导阻滞、脑出血等情况，拉贝洛尔要慎用，哮喘和充血性心力衰竭的患者是禁忌。</span></span></p><p style=\"margin-left:0;text-indent:0;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"line-height: 150%; color: rgb(0, 0, 0); font-family: 宋体;\">&nbsp; &nbsp; &nbsp;</span><span style=\"color: rgb(0, 0, 0); font-size: 8px; line-height: 150%; font-family: MingLiU;\">3)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style=\"color: rgb(0, 0, 0); line-height: 150%; font-family: 宋体;\">硝苯地平(nifedipine):钙离子通道阻滞剂,可阻止细胞外钙离子穿通细胞膜进入细胞内，并抑制细胞内肌浆</span></span></p><p style=\"line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">网的钙离子释人细胞质，从而可解除外周血管痉挛</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体; letter-spacing: -3px;\">,</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">使全身 血管扩张，血压下降，由于其降压作用迅速，目前不主张舌下含化。用法:10mg</span> <span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">口服，每日3次，24小时总量不超过 60mg。其副反应为心悸、头痛，与硫酸镁有协同作用。</span></span></p><p style=\"margin-left:0;text-indent:0;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 8px; line-height: 150%; font-family: MingLiU;\">&nbsp; &nbsp; &nbsp; 4)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">尼莫地平(nimodipine):亦为钙离子通道阻滞剂，其 优点在于可选择性的扩张脑血管。用法:20rag</span> <span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">口服，每日 2~3次；或20~40mg加人5%葡萄糖250ml、中静脉滴注，每 日1次，每日总量不超过360mg,该药副反应为头痛、恶心、 心悸及颜面潮红。</span></span></p><p style=\"margin-left:0;text-indent:0;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 8px; line-height: 150%; font-family: MingLiU;\">&nbsp; &nbsp; &nbsp; 5)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">酚妥拉明(立其丁):强效α受体阻滞剂，静滴20mg 加于5%葡萄糖500ml，严密观察血压变化；口服:50mg，4 次/天。血容量不足时应纠正后使用。副作用为心动过速及体位性低血压。</span></span></p><p style=\"margin-left:0;text-indent:0;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 8px; line-height: 150%; font-family: MingLiU;\">&nbsp; &nbsp; &nbsp; 6)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">硝酸甘油:为速效动脉扩张剂，可使血管扩张，降低心脏前后负荷，增加心排出量，多用于急性心衰、肺水肿时。 0.5mg,舌下含化或20mg加人5%葡萄糖中静脉滴入，血压降至预期值时10-15滴/分维持。副作用为面部潮红、搏 动性头痛，量大时可致体位性低血压。青光眼及颅内髙压禁用。</span></span></p><p style=\"margin-left:0;text-indent:0;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 8px; line-height: 150%; font-family: MingLiU;\">&nbsp; &nbsp; &nbsp; 7)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">甲基多巴(methyldopa):可兴奋血管运动中枢的a 受体，抑制外周交感神经而降低血压，妊娠期使用效果较 好。用法</span><sub><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">:</span></sub><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">250mg</span> <span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">口服，每日3次。其副作用为嗜睡、便秘、 口干、心动过缓。</span></span></p><p style=\"margin-left:0;text-indent:0;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 8px; line-height: 150%; font-family: MingLiU;\">&nbsp; &nbsp; &nbsp; 8)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">硝普钠(sodium</span> <span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">nitroprasside).:强力的速效血管扩张剂，扩张周围血管使血压下降。由节药物能迅速通过胎盘入胎儿体内，并保持较高浓度，其代谢产物(氰化物)对 胎儿有毒性作用，不宜在妊娠期使用。分娩期或产后血压 过高，应用其他降压药效果不佳时，方考虑使用。剂量为 50mg加人減葡萄糖500ml，静脉缓滴，开始以6滴/分，以后每5分钟测血压一次，按血压下降情况，&#39;每5分钟加2滴， 直至出现满意降压效果为止</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体; letter-spacing: -3px;\">，一</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">般控制血压在140/90mmHg 即可，并继续维持此血压水平。硝普钠溶液必须避光。用药不宜超过72小时。用药期间，应严密监测血压及心率。</span></span></p><p style=\"margin-left:0;text-indent:0;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 8px; line-height: 150%; font-family: MingLiU;\">&nbsp; &nbsp; &nbsp; 9)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">肾素血管紧张素类药物:可导致胎儿生长受限、胎儿畸形、新生儿呼吸窘迫综合征、新生儿早发性髙血压，妊 娠期应禁用。</span></span></p><p style=\"text-indent:24px;line-height:150%\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">(5)扩容:一般不主张应用扩容剂，在严重子痫前期患者扩容治疗易导致肺水肿心衰。仅用于严重的低蛋白血症、 贫血，可选用人血白蛋白、血浆、全血等，同时利尿治疗。</span></p><p style=\"text-indent:24px;line-height:150%\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">(6)利尿药物:利尿剂减少血容量、加重血液浓缩、减少 胎盘灌流，目前不主张常规使用利尿剂，因此主张有指征应用。其指征是全身水肿、肺水肿、脑水肿、心力衰竭。</span></p><p style=\"margin-left:0;text-indent:0;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 8px; line-height: 150%; font-family: MingLiU;\">1)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">氢氯噻嗪(双氢克尿塞):作用于肾髓襻升支皮质部及远曲小管前段的利尿剂，使钠、钾、氯和水分排出增多。 此较为安全。常用量:每日2次，每次25mg</span><sub><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">0</span></sub></span></p><p style=\"margin-left:0;text-indent:0;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 8px; line-height: 150%; font-family: MingLiU;\">2)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">呋塞米(速尿)：主要作用于肾髓襻升支，为</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体; letter-spacing: -2px;\">高效利</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">尿剂有较强的排钠、钾作用，容易造成电解质平衡失调，对脑水肿、无尿或少尿患者的疗效显著，与洋地黄并用，对 控制妊娠期髙血压疾病相关的心力衰竭作用良好，常用量 20~40mg，静注(溶于50%葡萄糖溶液20ml)如1小时未见效，两加倍剂量静注，甚至单剂量注射500~600mg，24小时 累积可达1g。</span></span></p><p style=\"margin-left:0;text-indent:0;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 8px; line-height: 150%; font-family: MingLiU;\">3)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">甘露醇:本品为渗透性利尿剂，注入体内后由肾小 球滤过，极少由肾小管再吸收,所有滤过的甘露醇均在尿中 排出。在尿内排出甘露醇颗粒时，带出大量水分，导致渗透性利尿，同时可丢失大量钠离子,防止出现低血钠症;大剂量快速滴注甘露醇可导致一过性的血容量增加，故有肺水肿心衰倾向的患者慎用。子痫或子痫前期有颅内压升高时，应用甘露醇降低颅内压可取得一定疗效。常用剂量为20% 甘露醇250ml在15-20分钟内快速静脉滴注。如静脉滴注速度缓慢，则利尿作用差。但心衰和肺水肿时禁甩。</span></span></p><p style=\"text-indent:12px;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">（7)适时终止妊娠：终止妊娠是治疗妊娠期高血压疾病的有效措</span><em><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">。</span></em></span></p><p style=\"margin-left:0;text-indent:0;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 8px; line-height: 150%; font-family: MingLiU;\">1)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">终止妊娠的指征：①子痫前期患者经积极治疗 24~48小时仍无明显好转者;②子痫前期患者孕周已超过34周；③子痫前期患者孕龄不足34周，胎盘功能减退，胎儿已成熟者;④子痫前期患者，孕齡不足34周，胎盘功能减退;胎儿尚未成熟者，可甩地塞米松促胎肺成熟后终止妊娠；⑤子痫控制后2小时可考虑终止妊娠。</span></span></p><p style=\"margin-left:0;text-indent:0;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 8px; line-height: 150%; font-family: MingLiU;\">2)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">终止妊娠的方式:①引产:适用于病情控制后，宫颈条件成熟者。.先行人工破膜，羊水清亮者，可给予缩宫素静脉滴注引产。第一产程应密切观察产程进展状况，保持产妇安静和充分休息。第二产程应以会阴后-侧切开术、胎 头吸引或低位产钳产缩短产程。第三产程应预防产后出血。产程中应加强母儿安危状况及血压监测，—旦出现头痛、眼花、恶心、呕吐等症状，病情加重，立即以剖宫产结束分娩。②剖宫产:适用于有产科指征者，宫颈条件不成熟， 不能在短时间内经阴道分娩，引产失败，胎盘功能明显减退，或已有胎儿窘迫征象者。</span></span></p><p style=\"margin-left:0;text-indent:0;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><strong style=\"text-indent: 24px;\"><span style=\"color: rgb(0, 0, 0); line-height: 150%; font-family: 宋体;\">3．子痫&nbsp;</span></strong><span style=\"color: rgb(0, 0, 0); text-indent: 24px; line-height: 150%; font-family: 宋体;\"> 是妊娠期高血压疾病最严重的阶段，是妊娠期髙血压疾病所致母儿死右的最主要原因，应积极处理。 立即左侧卧位减少误吸，开放呼吸道，建立静脉通道。</span></span></p><p style=\"margin-left:0;text-indent:0;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 8px; line-height: 150%; font-family: MingLiU;\">(1)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp; </span></span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">子痫处理原则:控制抽搐，纠正缺氧和酸中毒，控制血压，抽搐控制后终止妊娠。</span></span></p><p style=\"margin-left:48px;line-height: 150%\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">1)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp; </span>控制抽搐:①25%硫酸镁20ml加于25%葡萄糖液20ml静脉推注(&gt;5分钟)，继之静脉滴注,维持血药浓度，同 时应用有效镇静药物，控制抽搐;②20%甘露醇250ml快速 静脉滴注降低颅压。</span></p><p style=\"margin-left:48px;line-height: 150%\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">2)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp; </span>血压过高时给予降压药。</span></p><p style=\"margin-left:48px;line-height: 150%\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">3)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp; </span>纠正缺氧和酸中毒:面罩和气囊吸氧，根据二氧化 碳结合力及尿素氮值，给予适量4%碳酸氢钠纠正酸中毒。</span></p><p style=\"margin-left:48px;line-height: 150%\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">4)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp; </span>终止妊娠:抽搐控制后2小时可考虑终止妊娠。对 于早发性子痫前期治疗效果较好者，可适当延长孕周，但须严密监护孕妇和胎儿。</span></p><p style=\"margin-left:0;text-indent:0;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 8px; line-height: 150%; font-family: MingLiU;\">(2)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">护理：保持环境安静,避免声光刺激；吸氧，防止口舌咬伤；防止窒息；防止坠地受伤；密切观察体溫、脉搏、呼吸、血压、神志、尿量(应保留等尿管监测)等。</span></span></p><p style=\"margin-left:0;text-indent:0;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 8px; line-height: 150%; font-family: MingLiU;\">(3)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">密切观察病情变化；及早发现心力衰竭、脑出血、肺水肿、HELLP综合征、肾衰竭、DIC等并发症,并积极处理。</span></span></p><p style=\"margin-left:43px;line-height: 150%\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">4、<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp; </span>慢性高血压合并妊娠&nbsp; 收缩压140~160mmHg/舒张压在90~110mmHg、肾功正常者，孕期发生相关合并症的几率较低，围产期预后较好，适合于非药物治疗，尚无证据表明葯物抬疗可改善新生儿预后。</span></p><p style=\"text-indent:24px;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">血压高过160/</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">ll</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">0</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">mmHg</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">或是过去已长期服用降血压</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">药的患者,</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">可使用</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">肾上腺索能受</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">体阻滞剂如拉贝洛尔(柳胺苄心定)、甲</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">基多巴</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">。当血压迅速恶化，收缩压持续超过 </span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">llOmmHg并出现严重的</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">蛋白尿</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">、肾</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">功能损害或</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">FGR时，应终止妊娠。</span></span></p><p style=\"text-indent:24px;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">5、</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">早发型重度子痫前期 &nbsp;近年来，国内外许多学者提 出早发型子痛前期</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">(early</span> <span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">onset</span> <span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">pre</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">-</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">eclampsia</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">)的概念，其中早发型重度子痫前期是产科医师所要面对的棘手而又挑战性的难题。目前对早发型重度子痫前期尚无统一限定范围。 有将32孕周定为早发型和晚发型重度子痫前期的分界点，但是目前还是倾向于把34孕周前的重度子痫前期称为早发型重度子痫前期</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">(early</span> <span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">onset</span> <span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">severe</span> <span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">pre</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">-</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">eclampsia</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">，</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\"> EOSP</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">&gt;, 但孕32周之前的早发型重度子痫前期对母儿的危险更加不容忽视。以往认为子痫前期好发于初产妇,</span><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">Sibai</span><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">发现早 发型重度子痫前期的初产妇当再次妊娠时复发率达40%， 并且已有学者发现早发重度子痫前期与晚发型重度子痫前期的病因或发病机制不一样。</span></span></p><p style=\"text-indent:24px;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">对于早发型重度子痫前期，以前的观点为：不考虑孕龄大小均提倡立即终止妊娠，结果导致围产儿发病率和死 亡率增加。后来在对早发型重度子痫前期进行促胎肺成熟的过程中发现一些早发型重度子痫前期病例的病情经过对症治疗后有好转,遂有学者提出：对于无其他严重并发症 的早发型重度子痫前期可以在严密监测母儿情况下，可以继续妊娠，即所谓的保守治疗(conservative</span> <span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">management)或期待疗法(expectant</span> <span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">management),旨在保证孕妇安全的情 况下适度延长孕龄，减少因胎儿不成熟而致的围产儿死亡。 但是对于已经有严重并发症者，则要毫不犹豫的终止妊娠。</span></span></p><p style=\"text-indent:24px;line-height:150%\"><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: windowtext;\">因为期待治疗是为了延长胎儿孕龄，但无疑是将孕妇 置于有可能发生严重并发症的危险境地。所以在决定进行 期待治疗之前，首先也是极其重要的一步，要对孕妇和胎儿 进行严格的评估，判断母儿病情是否适合期待治疗。所谓评估就是通过各种检査，评价早发型重度子痫前期发病孕周、孕妇各个脏器功能状况、胎儿生长发育以及有无宫内缺氧，另外也要对所处地区和医疗机构母儿救治条件和医疗水平(特别是孕产妇、危重早产儿救治和护理水平，所以早发型重度子痫前期都应在三级医疗机构进行监测和分娩)， 以及患者的经济状况和对于胎儿的期望程度作出客观评价，然后在孕妇和胎儿之间、终止妊娠的时机寻找一个最佳的平衡点。</span></p><p style=\"text-indent:24px;line-height:150%\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">在决定进行期待治疗之后，要对母儿进行严密和认真的监测包括孕妇终末器官受系的症状、体征和相应实验室 结果的变化、胎儿宫内安危和生长情况以及孕周。孕妇方面包括:严密临床观察(孕妇主诉)、血压监测和尿蛋白定性 检测;24小时尿蛋白总量测定<sub>}</sub>肝肾功能检査;电解质测定；血常规和血小板检査;凝血功能检测;眼底检査;心电图和 或动态心电图检査;等等。胎儿方面包括:胎动计数、胎心率、胎儿电子监测、超声检査(胎儿生长情况)、脐带血流的多普勒测定、生物物理评分以及生化指标等。</span></p><p style=\"text-indent:24px;line-height:150%\"><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: rgb(0, 0, 0);\">终止妊娠是治疗重度子痫前期的最有效的方法。在对孕妇和胎儿进行监测的同时，要进行治疗。</span></p><p style=\"text-indent:24px;line-height:150%\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">作出适时终止妊娠的决定:主要是在如果继续妊振对孕妇和胎儿所产生的危险和延长孕周对胎儿的好处之间作一个平衡。但如果孕妇和胎儿安全受到威胁，不管孕周多大或期待治疗时间多长，都应终止妊娠:不能控制的严重高 血压，尤其舒张期血压持续大于llOmmHg;肺水肿;子痫反复发作;HELLP伴有消化系统症状和右上腹压痛;胎盘早剥;出现持续性头疼和视觉障碍;胎心监护显示反复晚期减速和重度变异减速;超声估计胎儿体重小于5百分位数或经治疗1~2周后胎儿体重増长不明显;脐动脉舒张末期血流缺失或反向。</span></p><p style=\"text-indent:24px;line-height:150%\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">在期待治疗期间，若病情控制平稳，无母儿并发症发生，在孕34周可以考虑终止妊娠，若出现孕妇病情恶化或 产科并发症，则应及时终止妊娠。对此有不同观点，有学 者提出即使孕妇和胎儿情况良好，如果期待治疗时间已经 达到11天,也以终止妊娠为佳。</span></p><p style=\"text-indent:24px;line-height:150%\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 150%; font-family: 宋体;\">虽然国内外的研究表明:在早发型重度子痫前期中，剖宫产是其主要的终止妊振方武，主要与以下因素有关<sub>3</sub>引产和产程期间母儿状况的变化;孕周小;宫颈条件不成熟。但是由于早发型重度子痫前期极低体重儿和超低体重发生率髙，与此相关的死亡率也较高，剖宫产并不是最佳方式</span><span style=\"color: rgb(0, 0, 0); line-height: 150%; font-family: 宋体; font-size: 10.9091px;\">。</span></span></p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('775', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '777', 'HELLP综合征', '<p style=\"white-space: normal; text-indent: 24px; line-height: 18px;\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"line-height: 18px; font-family: 宋体;\">自1922年有报道在子痫的患者中出现溶血和血小板减少，直到1982年Weinstein在文献 ,中提出缩写词&nbsp;HELLP。HELLP</span>&nbsp;<span style=\"line-height: 18px; font-family: 宋体;\">综合征&lt;hemolysis，el<sub>e</sub>vated liver</span>&nbsp;<span style=\"line-height: 18px; font-family: 宋体;\">Enzymes,and</span>&nbsp;<span style=\"line-height: 18px; font-family: 宋体;\">lo</span><span style=\"line-height: 18px; font-family: 宋体;\">w pla</span><span style=\"line-height: 18px; font-family: 宋体;\">telet</span>&nbsp;<span style=\"line-height: 18px; font-family: 宋体;\">syndrome,HELLP</span>&nbsp;<span style=\"line-height: 18px; font-family: 宋体;\">syndrome)是妊娠期髙血压疾病的严重并发症，具有三个典型的临床表现:H(hemolysia)代表微血管病变的溶血性贫血;EL(etevated liver</span>&nbsp;<span style=\"line-height: 18px; font-family: 宋体;\">enzymes)代表肝酶的病理性增高,LP(low</span>&nbsp;<span style=\"line-height: 18px; font-family: 宋体;\">platelet)代表血小板减少。国外报道HELLP综合征的发病率为4%~16%， 国内约为2.7%,其中初产妇比例52%~81%,平均起病孕龄为32~34周。</span></span></p><p style=\"white-space: normal; text-indent: 24px; line-height: 18px;\"><span style=\"color: rgb(0, 0, 0);\"><strong><span style=\"line-height: 18px; font-family: 宋体; color: windowtext;\">1.<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;</span></span><span style=\"color: rgb(0, 0, 0); line-height: 18px; font-family: 宋体;\">HELLP综</span><span style=\"line-height: 18px; font-family: 宋体; color: windowtext;\">合征的分类</span></strong><span style=\"line-height: 18px; font-family: 宋体; color: windowtext;\"> &nbsp;血小板计数和血清乳酸脱氢酶反映病情的严重程度、病情的变化以及恢复。</span></span></p><p style=\"white-space: normal; text-indent: 24px; line-height: 18px;\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"line-height: 18px; font-family: 宋体; color: windowtext;\">密西西比分类系统主要参考血小板计数，进行病情严重的分类。除了微血管溶血和肝酶升高以外，</span><span style=\"color: rgb(0, 0, 0); line-height: 18px; font-family: 宋体;\">HELLP综</span><span style=\"line-height: 18px; font-family: 宋体; color: windowtext;\">合 征 class 1:血小板≤50 000/u1;class 2:血小板 &gt;5000以 及:S100 000/ul；class 3:血小板 &gt;100 000和≤ 150 OOO/ul。</span>&nbsp;<span style=\"line-height: 18px; font-family: 宋体; color: windowtext;\">HELLP</span><span style=\"color: rgb(0, 0, 0); line-height: 18px; font-family: 宋体;\">综合征</span><span style=\"line-height: 18px; font-family: 宋体; color: windowtext;\">class&nbsp;1</span><span style=\"color: rgb(0, 0, 0); line-height: 18px; font-family: 宋体;\">的围产期病率和死亡率最髙，恢复时间最长。</span></span></p><p style=\"white-space: normal; text-indent: 24px; line-height: 18px;\"><span style=\"line-height: 18px; font-family: 宋体; color: rgb(0, 0, 0);\">Memphis 分类:完全性和部分性HELLP。 完全性HELLP 除了微血管溶血以外，血清乳酸脱氢酶≥600IU/L,血小板 &lt;100 000/ul，AST≥70IU/L;部分性仅仅有一项或两项异常 (LDH、AST 或 BPC)。</span></p><p style=\"white-space: normal; text-indent: 24px; line-height: 18px;\"><span style=\"color: rgb(0, 0, 0);\"><strong><span style=\"color: rgb(0, 0, 0); line-height: 18px; font-family: 宋体;\">2.<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;</span></span><span style=\"line-height: 18px; font-family: 宋体; color: windowtext;\">病理生理</span></strong><span style=\"line-height: 18px; font-family: 宋体; color: windowtext;\"> &nbsp;本病的主要病理改变与妊娠期髙血压疾病相同，如血管痉挛、血管内皮损伤、血小板聚集</span><span style=\"color: rgb(0, 0, 0); line-height: 18px; font-family: 宋体;\">与消耗、 纤维蛋白沉积和终末器官缺血等，但启动机制尚不清楚。 血管内皮细胞损伤可引起管腔内纤维蛋白沉积，使管腔中流动的有形物质和损伤。部位接触后遭到破坏，血小板被激活释放出缩血管物质，包括血栓素A</span><sub><span style=\"color: rgb(0, 0, 0); font-size: 12px; line-height: 18px; font-family: 宋体;\">2</span></sub><span style=\"color: rgb(0, 0, 0); line-height: 18px; font-family: 宋体;\">、内皮素等，导致血管收缩，促使血管内皮进一步损伤，促进血小板凝集，增加 了血小板消耗而使血小板减少;红细胞通过内皮损伤的血管和纤维蛋白网沉淀物时变形、破坏而发生溶血;血管内皮损伤，末梢血管疼挛，在门脉周围和(或)肝实质形成局灶性 肝细胞坏死、出血和玻璃样物质沉积，肝窦内也有大片纤维 素样物质沉着，甚至出现包囊下或肝实质内出血，引起肝酶升高和肝区疼痛，偶可导致肝包膜破裂。</span></span></p><p style=\"white-space: normal; text-indent: 24px; line-height: 18px;\"><span style=\"color: rgb(0, 0, 0);\"><strong><span style=\"color: rgb(0, 0, 0); line-height: 18px; font-family: 宋体;\">3.<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;</span>临床表现</span></strong><span style=\"color: rgb(0, 0, 0); line-height: 18px; font-family: 宋体;\"> &nbsp;子痫前期好发于年轻的初产妇，而&nbsp;HELLP好发辨龄较大的经产妇。本病可发生于妊娠中期 至产后数日的任何时间，1980—1991年美国密西西比医学中心收治454例和1977—1992年期间田纳西州孟菲斯收 治442例HELLP综合征，近1/3发生在产后，2/3发生在产前;10%发生在孕27周之前，20%在37周以后，70%发生在孕27~37周;产后发生HELLP综合征伴肾衰竭和肺水肿者危险性更大<sub>。</sub></span></span></p><p style=\"white-space: normal; text-indent: 24px; line-height: 18px;\"><span style=\"color: rgb(0, 0, 0); line-height: 18px; font-family: 宋体;\">本病多为非特异性症状，HELLP综合征最显著的临床症状为右上腹痛或者胃区痛，占86%~92%，其中20%~40% 在实验室检査异常前出现右上腹痛;45%~86%恶心和(或) 呕吐;50%~67%的HELLP综合征患者出现全身性的水肿；至少有20%的HELLP综合征不表现为高血压，5%~15% 没有或仅有轻度蛋白尿,15%既没有高血压也没有蛋白尿 (即没有子痫前期的HELLP综合征)，髙血压或者蛋白尿的严重程度与实验室检査异常程度无关。</span></p><p style=\"white-space: normal; text-indent: 24px; line-height: 18px;\"><span style=\"color: rgb(0, 0, 0);\"><strong><span style=\"color: rgb(0, 0, 0); line-height: 18px; font-family: 宋体;\">4．诊断</span></strong><span style=\"color: rgb(0, 0, 0); line-height: 18px; font-family: 宋体;\">&nbsp; &nbsp;临床表现的多变性、非特异性，常常导致临 床诊断的延误，关键是对有右上腹或上腹部疼痛、恶心、呕吐的妊娠期髙血压疾病患者保持髙度警锡，通过实验室检査确诊。无高血压，特别是疾病早期，以及缺乏蛋白尿，使&nbsp;HELLP早期诊断遇到困难。</span></span></p><p style=\"white-space: normal; text-indent: 24px; line-height: 18px;\"><span style=\"line-height: 18px; font-family: 宋体; color: rgb(0, 0, 0);\">HELLP综合征的诊断主要基于实验室检査:微血管性溶血性贫血、肝功能受损和血小板减少。乳酸脱氢酶升高和血清结合珠蛋白降低是其敏感和早期指标，发生在间接胆红素升高和血红蛋白之前》血清结合珠蛋白降低提示溶 血即将发生。肝功能受损表现为和LDH的升高。 除非病情严重，间接胆红素通常只有轻度升髙。</span></p><p style=\"white-space: normal; text-indent: 24px; line-height: 18px;\"><span style=\"color: rgb(0, 0, 0);\"><strong><span style=\"line-height: 18px; font-family: 宋体; color: windowtext;\">5.实验室检査</span></strong></span></p><p style=\"white-space: normal; text-indent: 24px; line-height: 18px;\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"line-height: 18px; font-family: 宋体; color: windowtext;\">(1)血管内溶血:外周血存在红细胞碎片，伹碎片数量 并不与多器官受累的程度有关，微血管溶血性贫血表明小 血管受累和内皮功能失调的程度。血红蛋白60~90</span><span style=\"color: rgb(0, 0, 0); font-size: 8px; line-height: 16.3636px; font-family: 宋体;\">g</span><span style=\"line-height: 18px; font-family: 宋体; color: windowtext;\">/</span><span style=\"color: rgb(0, 0, 0); font-size: 8px; line-height: 16.3636px; font-family: 宋体;\">L</span><span style=\"line-height: 18px; font-family: 宋体; color: windowtext;\">，血淸总胆红素&gt;20.5</span><span style=\"color: rgb(0, 0, 0); font-size: 8px; line-height: 16.3636px; font-family: 宋体;\">umol/LL</span><span style=\"line-height: 18px; font-family: 宋体; color: windowtext;\">，以间接胆红素为主，血细胞比容&nbsp;&lt;0.30,网织红细胞&gt;0.015。</span></span></p><p style=\"margin-left: 48px; white-space: normal; line-height: 18px;\"><span style=\"line-height: 18px; font-family: 宋体; color: windowtext;\">⑵<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;</span>肝酶升高:血清丙氨酸转氨酶、门冬氨酸转氨酶、乳酸脱氢酶均升高，其中乳酸脱氢酶升高出现最早。</span></p><p style=\"margin-left: 48px; white-space: normal; line-height: 18px;\"><span style=\"line-height: 18px; font-family: 宋体; color: windowtext;\">⑶<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;</span>血小板减少：正常血小板寿命8~10天，子痫前期血小板的寿命降低到3~5天；而HELLP综合征的血小板寿命更 加短，结构不完整，导致血小板进一步聚集和受破坏。血小 板减少是HELLP综合征最重要、也是最早的实验室指标。根 据血小板减少程度将HELLP综合征分3级：I级:血小板计数≤50 x 109/L; II 级:血小板计数 &gt;50 x 109/L，≤100 x109/L;Ⅲ级:血小板计数&gt;100 x l09/L,≤150 x109/L。血小板计数和血乳酸脱氢酶水平与该病的严重程度关系密切。大多数HELLP综合征的血小板产后持续下降，产后3天开始升髙，产后6天即使没有地塞米松和大剂量可的松治疗血小板也能达到&gt;100 000/ul。产后96小时血小板没有增加表明病严重以及不可逆转的多器官衰竭，对分娩后没有好转或其他治疗没有反应，血浆置换也许有效。</span></p><p style=\"margin-left: 48px; white-space: normal; line-height: 18px;\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"line-height: 18px; font-family: 宋体; color: windowtext;\">⑷<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;</span>凝血功能检査:临床上，血液分析应用最广泛，然而凝血酶原时间、部分凝血酶原时间和纤维蛋白原直到疾病后期才表现为异常。所以对于血小板的监测很重要</span><span style=\"color: rgb(0, 0, 0); font-size: 8px; line-height: 16.3636px; font-family: 宋体;\">，</span><span style=\"line-height: 18px; font-family: 宋体; color: windowtext;\">当血小板计数接近或少于50&nbsp;000/</span><span style=\"color: rgb(0, 0, 0); line-height: 18px; font-family: 宋体;\">ulI</span><span style=\"line-height: 18px; font-family: 宋体; color: windowtext;\">时，应当重视凝血功能的监测，以便早期发现弥散性凝血功能异常。</span></span></p><p style=\"white-space: normal; text-indent: 24px; line-height: 18px;\"><span style=\"color: rgb(0, 0, 0);\"><strong><span style=\"line-height: 18px; font-family: 宋体; color: windowtext;\">6.治疗</span></strong></span></p><p style=\"white-space: normal; text-indent: 24px; line-height: 18px;\"><span style=\"line-height: 18px; font-family: 宋体; color: rgb(0, 0, 0);\">⑴积极治疗妊娠期髙血压疾病:解痉、镇静、降压及合理的扩容、必要时利尿为治疗原则:。</span></p><p style=\"white-space: normal; text-indent: 24px; line-height: 18px;\"><span style=\"line-height: 18px; font-family: 宋体; color: rgb(0, 0, 0);\">(2)应用肾上腺皮质激素:可使血小板计数、乳酸脱氢 酶、肝功能等指标改善、尿量增加、平均动脉压下降，并可促使胎儿肺成熟，孕期每12小时静滴地塞米松10mg，产后应继续应用，持续时间依据有关检査而定(主要是血小板计 数、乳酸脱氢酶等)。</span></p><p style=\"white-space: normal; text-indent: 24px; line-height: 18px;\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"line-height: 18px; font-family: 宋体; color: windowtext;\">（3）控制出血、输注血小板:预防性输注血小板并不能预防产后出血的发生。血小板小于50 000/ul时静脉针眼、 手术切口会发生自发性出血，如果血小板小于50 000/ul， 剖官产时推荐血小板输注。对于HELLP孕妇行剖宫产，血 小板40 000/u1是防止产后出血的阈值。如果血小板小于 40 00O/u1,在手术之前输注血小板;如果静脉针眼出血,不管血小板计数，都应该输注血小板。&nbsp;</span><span style=\"color: rgb(0, 0, 0); line-height: 18px; font-family: 宋体;\">HELLP</span><span style=\"line-height: 18px; font-family: 宋体; color: windowtext;\">孕妇，阴道分娩的血小板小于20 000/</span><span style=\"color: rgb(0, 0, 0); line-height: 18px; font-family: 宋体;\">ul</span><span style=\"line-height: 18px; font-family: 宋体; color: windowtext;\">应该输注血小板。分娩后，推荐剖 宫产后24小时内血小板小于50&nbsp;000/</span><span style=\"color: rgb(0, 0, 0); line-height: 18px; font-family: 宋体;\">ul</span><span style=\"line-height: 18px; font-family: 宋体; color: windowtext;\">或阴道分娩24小时内血小板小于20&nbsp;000/</span><span style=\"color: rgb(0, 0, 0); line-height: 18px; font-family: 宋体;\">ul</span><span style=\"line-height: 18px; font-family: 宋体; color: windowtext;\">，输注血小板以防止血肿形成。</span></span></p><p style=\"white-space: normal; text-indent: 24px; line-height: 18px;\"><span style=\"color: rgb(0, 0, 0); line-height: 18px; font-family: 宋体;\">(4)血浆析出疗法:用新鲜冷冻血浆置换患者血浆， 去除毒素、免疫复合物、血小板聚集抑制因子的危害，降低 血液黏稠度，补充缺乏的血浆因子等。可用于产后持续性HELLP者.</span></p><p style=\"margin-left: 24px; white-space: normal; line-height: 18px;\"><span style=\"line-height: 18px; font-family: 宋体; color: rgb(0, 0, 0);\">（5）产科处理</span></p><p style=\"margin-left: 60px; white-space: normal; line-height: 18px;\"><span style=\"color: rgb(0, 0, 0); line-height: 18px; font-family: 宋体;\">1)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>终止妊娠的时机:孕龄≥32周或胎肺已成熟、胎儿宫内窘迫、先兆肝破裂及病情恶化者，应立即终止妊娠;病情稳定、妊娠＜32周、胎肺不成熟及胎儿情况良好者，应 虑对症处理、延长孕周，通常在期待治疗4日内终止妊娠。</span></p><p style=\"margin-left: 60px; white-space: normal; line-height: 18px;\"><span style=\"color: rgb(0, 0, 0); line-height: 18px; font-family: 宋体;\">2)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>分娩方式:HELLP综合征不是剖宮产指征，分娩方式依产科因素而定。</span></p><p style=\"margin-left: 60px; white-space: normal; line-height: 18px;\"><span style=\"color: rgb(0, 0, 0); line-height: 18px; font-family: 宋体;\">3)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>麻醉选择：因血小板减少，有局部出血危险，故阴部 阻滞和硬膜外麻醉禁忌，阴道分娩宜采用局部浸润麻醉，剖宫产采用局部浸润麻醉或全身麻醉。^</span></p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('776', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '777', '临床特殊情况的思考和建议', '<p style=\"white-space: normal; line-height: 18px;\"><span style=\"color: rgb(0, 0, 0);\">&nbsp; &nbsp; &nbsp;<strong><span style=\"line-height: 18px; font-family: 宋体;\">1</span></strong><span style=\"line-height: 18px; font-family: 宋体;\">、不典型子痫前期 &nbsp;经典的子痫前期指孕20周后出现髙血压、且尿蛋白含量多0.3g/24h,伴或不伴多器官受损。 近年来研究结果不断更新对子痫前期及子痫诊治的认识 越来越多的研究表明非典型子痫前期-子痫的存在:重度妊娠期高血压、毛细血管渗漏综合征、晚发产后子痫。</span></span></p><p style=\"white-space: normal; line-height: 18px;\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 8px; line-height: 16.3636px; font-family: MingLiU;\">&nbsp; &nbsp; (1)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span></span><span style=\"color: rgb(0, 0, 0); line-height: 18px; font-family: 宋体;\">重度妊娠期髙血压:是指在妊娠期高血压基础之 上，收缩压多I60mmHg和(或)舒张压≥1lOmmHg。Alan等报道重度妊娠期髙血压孕妇的不良妊娠结局发生率明显髙于轻度子痫前期患者:早产和胎儿发育受限发生率增加，重度妊娠期髙血压患者中&lt; 孕37周早产发生率高达54.2%，&lt;孕35周早产发生率为25.0%，胎儿发育受限(fetal</span>&nbsp;<span style=\"color: rgb(0, 0, 0); line-height: 18px; font-family: 宋体;\">growth retardaticm，FGR)发生率为20.8%,而轻度妊娠期高血压与轻度子痫前期组的妊娠结局相比无明显统计学差异。&nbsp;Magee等的多中心研究亦得出同样结论:重度妊娠期髙血压在围产期母体的发病率显著高于轻度子痫前期妇女，妊娠结局与重度子痫前期妇女相似。Sibai提出:对于重度妊娠期高血压，如果病情控制不佳或有终末器官损伤的表现， 应作为重度子痫前期看待，应及早终止妊娠。</span></span></p><p style=\"white-space: normal; line-height: 18px;\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); font-size: 8px; line-height: 16.3636px; font-family: MingLiU;\">&nbsp; &nbsp; (2)<span style=\"color: rgb(0, 0, 0); font-variant-numeric: normal; font-stretch: normal; font-size: 9px; line-height: normal; font-family: &quot;Times New Roman&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;</span></span><span style=\"color: rgb(0, 0, 0); line-height: 18px; font-family: 宋体;\">&nbsp;毛细血管渗漏综合征（capillary leak syndrome，CLS）：是重度子痈前期病程中的严重病理生理阶段，由于毛细血管内皮细胞损伤涉及多个器官的低灌注和功能障碍，是一 种可逆性毛细血管的高渗透性，血浆从血管渗透到组织间 隙,CLS涉及全身多个重要脏器，尤其是肺间质的渗出，导致气体交换障碍，临床上表现为严重的低氧血症甚至肺水肿。CLS给临床治疗带来极大的困难，同时也是影响抢救 成功的因素之一。CLS诊断的金标准为输入白蛋白后测定 细胞外液菊粉分布容量和进行生物电阻抗分析，观察胶体渗透浓度的改变。此方法虽安全无创，但价格昂贵，不能在临床推广应用，目前诊断主要根据存在的诱发因素、临床表现及实验室检査作出诊断。毛细管渗漏综合征表现:蛋白尿、腹水、肺水肿、过度体重增加,或者多器官功能障碍&nbsp;(multiple</span>&nbsp;<span style=\"color: rgb(0, 0, 0); line-height: 18px; font-family: 宋体;\">organ</span>&nbsp;<span style=\"color: rgb(0, 0, 0); line-height: 18px; font-family: 宋体;\">dysfonction</span>&nbsp;<span style=\"color: rgb(0, 0, 0); line-height: 18px; font-family: 宋体;\">syndrome)。因此，存在毛细血管 渗漏综合征的孕妇，无论血压是否升髙，均应査血小板、肝 酶指标或肾功能，同时询问是否存在子痫前期的症状，—旦发现异常均应作为子痈前期进行处理。CLS的治疗目标是积极治疗原发病,及时终止妊娠，迅速改善血管痉挛、内皮 细胞的损伤状态，改善循环功能,保证组织供氧。另外，皮质类固醉激素可以抑制炎症反应，稳定细胞膜，改善毛细血管通透性，减少渗出，减轻水肿和蛋白尿，在CLS的治疗中及早应用有明显效果。</span></span></p><p style=\"white-space: normal; line-height: 18px;\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); text-indent: 24px; line-height: 18px; font-family: 宋体;\">（3)晚发产后子痫(late</span><span style=\"color: rgb(0, 0, 0); text-indent: 24px;\">&nbsp;</span><span style=\"color: rgb(0, 0, 0); text-indent: 24px; line-height: 18px; font-family: 宋体;\">postpartum</span><span style=\"color: rgb(0, 0, 0); text-indent: 24px;\">&nbsp;</span><span style=\"color: rgb(0, 0, 0); text-indent: 24px; line-height: 18px; font-family: 宋体;\">eclampBia):—般认为子痫前期和子痫通常发生在产前和产后48小时内，但越来越多国内外文献报道在产后48小时以后仍然会发生子痫前期及子痫。如果子痫发生在产后48小时至产后4周之 间称为晚发产后子痫，对于分确48小时后出现抽搐，不管发病前有或无血压升高和蛋白尿，应考虑晚发产后子痫，同时要除外其他疾病。首先选用硫酸镁控制抽搐，用法间产前子痫;血压应控制在150/100mmHg以下;监测生命体征<sub>5&nbsp;</sub>经正规硫酸镁治疗后,如果抽搐持续存在或继续有脑部症状，需要进一步排除其他脑部疾病。晚发产后子痫应和以下疾病急性鉴别:脑血管意外、髙血压脑病、脑部肿瘤、转移 性滋养细胞疾病、代谢性疾病等。</span></span></p><p style=\"margin-left: 24px; white-space: normal; line-height: 18px;\"><span style=\"color: rgb(0, 0, 0);\"><strong><span style=\"color: rgb(0, 0, 0); line-height: 18px; font-family: 宋体;\">2、&nbsp;</span></strong><span style=\"color: rgb(0, 0, 0); line-height: 18px; font-family: 宋体;\">硫酸镁使用问题&nbsp; 由于硫酸镁和硝苯地平的作用 位点相似，产科医生有这样的忧虑，硫酸镁和硝苯地平不能 同时使用，但根据加拿大妇产科学会关于妊娠期髙血压疾 病指南，认为硫酸镁和硝苯地平可同时使用，并不增加不良心血管事件发生的机会。</span></span></p><p style=\"margin-left: 24px; white-space: normal; line-height: 18px;\"><span style=\"color: rgb(0, 0, 0);\"><strong><span style=\"color: rgb(0, 0, 0); line-height: 18px; font-family: 宋体;\">3、&nbsp;</span></strong><span style=\"color: rgb(0, 0, 0); line-height: 18px; font-family: 宋体;\">心衰时使用硫酸镁的使用问题&nbsp; 妊娠期髙血压疾病特别是重度子痫前期是心衰发生的高危因素，如果子痫前期孕妇并发心衰，是否应用硫酸镁处于两难境地。硫酸 镁对于预防子痫发生尤其重要，但硫酸镁对于已经受损的 心肌细胞是否有抑制？不得不考虑。目前还没有非常好的循证证据可以参考,大多局限于专家个人的主张。</span></span></p><p style=\"margin-left: 24px; white-space: normal; line-height: 18px;\"><span style=\"color: rgb(0, 0, 0);\"><strong><span style=\"color: rgb(0, 0, 0); line-height: 18px; font-family: 宋体;\">4、&nbsp;</span></strong><span style=\"color: rgb(0, 0, 0); line-height: 18px; font-family: 宋体;\">孕24~28周之间的早发型重度子痫前期&nbsp; 对于孕 20~24周之间的早发型重度子痫前期，目前大多主张以终止妊娠为宜，但是对于孕24~28周早发型重度子痫前期，则 要慎重考虑:孕妇年龄、受孕难易程度、医疗机构新生儿诊 治水平、夫妇双方的意见是在做决定之前必须要考虑的几个重要方面。在知情告知中，重点要交代:早产儿髙死亡率和患病率、母亲风险、再次妊娠时再发风险<sub>&amp;</sub></span></span></p><p style=\"margin-left: 24px; white-space: normal; line-height: 18px;\"><span style=\"color: rgb(0, 0, 0);\"><strong><span style=\"color: rgb(0, 0, 0); line-height: 18px; font-family: 宋体;\">5、&nbsp;</span></strong><span style=\"color: rgb(0, 0, 0); line-height: 18px; font-family: 宋体;\">.重度子痫前期补液几个问题&nbsp; 对于正常妊娠而言， 孕期血容量增加35%~45%<sub>;</sub>对于重度子痫前期，血容量绝对值并没有增加，但由于全身微小动脉痉挛,所以血容量相 对增加。所以补液要注意以下几点:补液速度每小时不超过80ml;重度子痫前期对产后失血耐受能力降低，在纠正产后出血贫血和休克时，要更为积极，但要注意速度。</span></span></p><p style=\"margin-left: 24px; white-space: normal; line-height: 18px; text-align: left;\"><span style=\"color: rgb(0, 0, 0);\"><span style=\"color: rgb(0, 0, 0); line-height: 18px; font-family: 宋体;\">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;来源：《实用妇产科学》第3版</span></span></p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('868', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '506', '概述', '<p>&nbsp; &nbsp; &nbsp; 单纯性收缩期高血压是指一个人的舒张压不高，仅仅收缩压超过正常范围。1993年3月，世界卫生组织在轻度高血压自理准则会议简报中，重新规定了单纯收缩期高血压标准为21.3kPa（160mmHg）以上，舒张压12.0kPa（90mmHg）以下。如果收缩压在18.7kPa～21.3kPa（140～160mmHg）之间，称临界单纯收缩期高血压。因为单纯性收缩期高血压多发生于60岁以上的老年人，所以又叫老年性单纯性收缩期高血压，简称老年性收缩期高血压，少部分发生于青年人高动力循环者。</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('869', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '506', '临床诊断', '<p>&nbsp; &nbsp; &nbsp; 收缩期血压为21.3kPa（160mmHg）以上，舒张压12.0kPa（90mmHg）以下。如果收缩压在18.7kPa～21.3kPa（140～160mmHg）之间，称临界单纯收缩期高血压。</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('870', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '506', '治疗', '<p>&nbsp; &nbsp; &nbsp;单纯性收缩期高血压是否需要治疗，不少人并不十分清楚，甚至错误地认为单纯收缩压高点算啥，尤其是老年人收缩压高是自然现象，无甚危害。果真是这样吗？国外有学者对5727人随访观察20年，结果发现，冠心病与收缩压的关系明显高于舒张压，并发脑卒中、左室肥厚、充血性心力衰竭与收缩压的关系比舒张压更密切。我国北京阜外医院报告117例老年单纯性收缩期高血压，其中并发脑卒中者占41.9%，心肌梗塞32.5%，心力衰竭28.2%，肾功不全57.3%，其发病率均高于其他类型高血压。还有一些报道显示，老年高血压的几项并发症，最常见于收缩期高血压患者，尤其易发生缺血性中风。可见，对单纯性收缩期高血压决不可掉以轻心。</p><p>&nbsp; &nbsp; &nbsp; 最近一项国际性研究也指出，老年单纯性高血压治疗是安全有效的，能使脑血管病减少36%，心血管疾病减少32%，因此，主张对单纯性收缩期高血压应及时治疗。</p><p>&nbsp; &nbsp; &nbsp; 单纯性收缩期高血压治疗，包括非药物治疗和药物治疗两个方面。非药物治疗指的是生活干预措施，包括调节生活规律、减少情绪刺激、减轻过高体重、限制营养过剩、坚持体育运动、限盐、戒烟、忌酗酒等，这是任何高血压病人都不可缺少的基础治疗。而药物治疗的原则是：强调个体化治疗，注意血压波动规律、靶器官的损害程度、合并症情况及其他危险因素。先选用单一抗高血压药物，从小剂量开始，不要急剧降压，尤其对老年人更要特别注意，应在医生指导下，根据血压监测情况，及时调整用药及其剂量。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('871', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1619', '概述', '<p>&nbsp; &nbsp; &nbsp; 高血压是心血管疾病的独立危险因素。单纯舒张期高血压（IDH），是指在标准状态下测量的收缩压＜140mmHg，同时舒张压≥90mmHg。高血压分为三种亚型：单纯收缩期高血压（ISH）、单纯舒张期高血压（IDH）、收缩期合并舒张期高血压（SDH）。单纯舒张期高血压是一种发生率相对较低的高血压类型。然而近年来一些大型临床研究发现IDH与ISH、SDH一样已经成为心血管事件发生的独立危险因素。因此IDH越来越受到重视，了解掌握IDH的特点及治疗措施已经成为降压治疗及预防心血管疾病的重要组成部分。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('872', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1619', '流行病学', '<p>&nbsp; &nbsp; &nbsp;单纯舒张期高血压（IDH）占全部原发性高血压 人的10%～15%，在中青年的发生率较高，好发年龄为35～49岁。考虑为男性雌激素水平低，烟酒对血管内皮损害，中年男性多有向心性肥胖以及社会环境因素（工作、家庭负担）等诸多因素引起外周阻力增高所致。随着年龄增长其发生率减少，老年患者则以单纯收缩期高血压（ISH）为主。美国开展的一项全国性大样本调查显示IDH主要分布于50岁以下人群中。1991年第3次全国高血压调查显示：我国大于18岁人群中IDH的发生率为2.8%，随着年龄的增长， IDH发生率逐渐降低。2000—2001年一项全国高血压调查入选了169871名研究对象，35～74岁成年人高血压患病率为27.2%，而IDH的发生率为4.4%。此次研究经过平均8.3年的随访显示，40岁以上不接受降压治疗的人群中IDH组患者心血管事件的累计发生率和病死率分别为996.7/10万和589.7/10万。 Framingham研究连续10年的随访显示，年轻男性、肥胖、睡眠呼吸障碍者，以及有吸烟、酗酒、缺乏锻炼等不良生活习惯者均为IDH的高危患者。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('873', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1619', '病理生理', '<p>&nbsp; &nbsp; &nbsp;美国学者Laragh将高血压的发病机制根据分为两型，即（1）“V”型，钠－容量依赖性高血压患者，血浆肾素水平偏低，多为盐敏感性高血压和老年 患者；（2）“R”型，这型患者具有较强的肾素缩血管作用，血浆肾素水平偏高。年轻高血压患者多见，多表现为IDH。IDH患者大多伴有交感神经张力增加和（或）肾素－血管紧张素－醛固酮（RAAS）系统激活。舒张压主要取决于外周小血管阻力和大动脉弹性，其中外周血管阻力是影响舒张压最重要的因素。大血管弹性越好，外周小血管阻力越大，舒张压就越高。而交感神经兴奋以及RAAS系统的激活是外周血管阻力增加的主要机制。</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('874', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1619', '临床特点', '<p>&nbsp; &nbsp; &nbsp; 单纯舒张期高血压多见于中青年患者，多为高血压的早期阶段， 可逐渐进展为ISH和收缩期合并舒张期高血压（SDH）。由于IDH多发生于青中年 患者，大多数因为没有明显症状而被忽视，而一部分患者有头部不适，精神萎靡，则归结于工作压力大，酒精作用，并未重视。因此，舒张期高血压的诊断及血压控制率低。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('875', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1619', '危害', '<p>&nbsp; &nbsp; &nbsp;近年来随着对IDH研究的深入， IDH对心脑血管疾病的危害已经得到公认。早期发表于lancet的一项研究显示，舒张压每降低5mmHg，发生脑中风 的危险性明显降低（西方人为27%～34%，东亚人为44%）。最高舒张压组（＞110mmHg）的脑卒中 危险为最低舒张压组（＜79mmHg）的13倍。国内一项针对我国35岁以上高血压患者的研究显示，IDH和ISH一样，都是脑血管事件发生的独立危险因素。Franklin等对高血压不同亚型与代谢综合征 的关系进行了研究，该研究对5968例18岁以上研 究对象进行一横断面研究，结果显示尽管IDH组患者的年龄最小，但是IDH与代谢综合征的相关性最大。由Arima等开展的PROGRESS试验2，观察降低舒张压对主要心血管疾病的事件发生的作用。研究入选了4283例高血压患者，其中ISH、IDH、SDH患者人数分别为1923例、 315例、2045例。研究结果发现， 有效的降压治疗可使ISH、IDH、SDH组患者发生主要心血管事件分别降低27%、 28%、32%。一项大型的荟萃分析对百万例研究对象进行分析，发现DBP≥75mmHg时血压与脑卒中病死率呈线 性上升关系，男性患者明显多于女性。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('876', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1619', '防治', '<p>&nbsp; &nbsp; &nbsp;目前世界各国指南一致认为：一旦血压≥140/90mmHg则需药物治疗。因此，轻度IDH即需要接受治疗。IDH的治疗主要包括非药物治疗和药物治疗。5.1 非药物治疗改变生活方式是IDH非药物治疗的重要措施。合理的膳食，低盐低脂饮食、注意补 充钾、钙及优质蛋白质，多吃蔬菜水果。戒烟、戒酒。 消除精神压力，保证充足的睡眠。有研究显示运动可以使血压下降，每天坚持进行有氧运动，减轻体重（体重指数控制在24以下）。5.2 药物治疗 IDH患者经积极的非药物治疗，血 压仍高或伴有明显症状的，应选用药物治疗。药物治疗应根据患者年龄及可能的发病机制选择相应的 药物。临床研究发现肾素－血管紧张素水平随着年龄的增长而下降。英国学者Brown提出降压药物的AB/CD原则，将一线降压药物分为A（ACEI、ARB）、B（β-受体阻滞剂）、C（钙离子拮抗剂）、D（利尿剂）。对于年轻的IDH患者，其高血压类型多为“R”型，即患者体内肾素水平较高，同时IDH患者多伴交感 神经张力增加，应选用A或B，即ACEI、ARB、β-受体阻滞剂。对于中老年患者， 应选用C或D。对于心率不快的IDH患者，应尽量避免使用β-受体阻滞剂，因其可增加外周血管的阻力。</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('901', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '86', '概述', '<p>&nbsp; &nbsp; &nbsp; 胆囊炎是较常见的疾病，发病率较高。根据其临床表现和临床经过，又可分为急性和慢性两种类型，常与胆石症合并存在。右上腹剧痛或绞痛，多见于结石或寄生虫嵌顿梗阻胆囊颈部所致的急性胆囊炎，疼痛常突然发作，十分剧烈，或呈绞痛样。胆囊管非梗阻性急性胆囊炎时，右上腹疼痛一般不剧烈，多为持续性胀痛，随着胆囊炎症的进展，疼痛亦可加重，疼痛呈放射性，最常见的放射部位是右肩部和右肩胛骨下角等处。</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('902', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '86', '临床表现', '<p>1.急性胆囊炎</p><p>&nbsp; &nbsp; &nbsp; 急性结石性胆囊炎的临床表现和急性无结石性胆囊炎基本相同。</p><p>&nbsp; &nbsp; &nbsp;（1）症状 ①疼痛 右上腹剧痛或绞痛，多为结石或寄生虫嵌顿梗阻胆囊颈部所致的急性胆囊炎；疼痛常突然发作，十分剧烈，或呈现绞痛样，多发生在进食高脂食物后，多发生在夜间；右上腹一般性疼痛，见于胆囊管非梗阻性急性胆囊炎时，右上腹疼痛一般不剧烈，多为持续性胀痛，随着胆囊炎症的进展，疼痛亦可加重，疼痛呈现放射性，最常见的放射部位是右肩部和右肩胛骨下角等处，乃系胆囊炎症刺激右膈神经末梢和腹壁周围神经所致。②恶心、呕吐 是最常见的症状，如恶心、呕吐顽固或频繁，可造成脱水，虚脱和电解质紊乱，多见于结石或蛔虫梗阻胆囊管时。③畏寒、寒战、发热 轻型病例常有畏寒和低热；重型病例则可有寒战和高热，热度可达39℃以上，并可出现谵语、谵妄等精神症状。④黄疸 较少见，如有黄疸一般程度较轻，表示感染经淋巴管蔓延到了肝脏，造成了肝损害，或炎症已侵犯胆总管。</p><p>&nbsp; &nbsp; &nbsp;（2）主要体征 腹部检查可见右上腹部及上腹中部腹肌紧张、压痛、反跳痛、Murphy征阳性。伴胆囊积脓或胆囊周围脓肿者，于右上腹可扪及有压痛的包块或明显肿大的胆囊。当腹部压痛及腹肌紧张扩展到腹部其他区域或全腹时，则提示胆囊穿孔。或有急性腹膜炎。有15%～20%的病人因胆囊管周围性水肿、胆石压迫及胆囊周围炎造成肝脏损害，或炎症累及胆总管，造成Oddi括约肌痉挛和水肿、导致胆汁排出障碍，可出现轻度黄疸。如黄疸明显加深，则表示胆总管伴结石梗阻或并发胆总管炎的可能。严重病例可出现周围循环衰竭征象。血压常偏低，甚至可发生感染性休克，此种情况尤易见于化脓坏疽型重症病例时。</p><p>2.慢性胆囊炎</p><p>&nbsp; &nbsp; &nbsp;（1）症状 持续性右上腹钝痛或不适感；有恶心、嗳气、反酸、腹胀和胃部灼热等消化不良症状；右下肩胛区疼痛；进食高脂或油腻食物后症状加重；病程长，病情经过有急性发作和缓解相交替的特点，急性发作时与急性胆囊炎症状同，缓解期有时可无任何症状。</p><p>&nbsp; &nbsp; &nbsp;（2）体征 胆囊区可有轻度压痛和叩击痛，但无反跳痛；胆汁淤积病例可扪到胀大的胆囊；急性发作时右上腹可有肌紧张，体温正常或有低热，偶可出现黄疸。胆囊压痛点在右腹直肌外缘与肋弓的交点，胸椎压痛点在8～10胸椎旁，右膈神经压痛点在颈部右侧胸锁乳突肌两下角之间。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('903', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '86', '辅助检查', '<p>1.实验室检查</p><p>&nbsp; &nbsp; &nbsp; （1）血常规 急性胆囊炎时，白细胞计数轻度增高，中性粒细胞增多。如白细胞计数超过20×109/L，并有核左移和中毒性颗粒，则可能是胆囊坏死或有穿孔等并发症发生。</p><p>&nbsp; &nbsp; &nbsp; （2）十二指肠引流 慢性胆囊炎时，如胆汁中黏液增多；白细胞成堆，细菌培养或寄生虫检查阳性，对诊断帮助很大。</p><p>2.其他辅助检查</p><p>&nbsp; &nbsp; &nbsp; （1）急性胆囊炎 ①超声检查 B超发现胆囊肿大、壁厚、腔内胆汁黏稠等常可及时做出诊断。②放射线检查 腹平片具有诊断意义的阳性发现是：胆囊区结石；胆囊阴影扩大；胆囊壁钙化斑；胆囊腔内气体和液平。胆囊造影：口服法：胆囊一般不显影；静脉注射法，对急性胆囊炎则有诊断意义。③放射性核素检查 对诊断急性胆囊炎的敏感性为100%，特异性为95%，亦具有诊断价值。</p><p>&nbsp; &nbsp; &nbsp; （2）慢性胆囊炎 ①超声波检查 如发现胆囊结石、胆囊壁增厚、缩小或变形，有诊断意义。②腹部X线平片 如系慢性胆囊炎，可发现胆结石、胀大的胆囊、胆囊钙化斑和胆囊乳状不透明阴影等。③胆囊造影 可发现胆结石、胆囊缩小或变形、胆囊浓缩及收缩功能不良、胆囊显影淡薄等慢性胆囊炎影像。当胆囊不显影时，如能除外系肝功能损害或肝脏代谢功能失常所致，则可能是慢性胆囊炎。④胆囊收缩素试验 如胆囊收缩幅度小于50%，并出现胆绞痛，为阳性反应，表示为慢性胆囊炎。⑤纤维腹腔镜检查 直视下如发现肝脏和胀大的胆囊为绿色、绿褐色或绿黑色。则提示黄疸为肝外阻塞；如胆囊失去光滑、透亮和天蓝色的外观，变为灰白色，并有胆囊缩小和明显的粘连，以及胆囊变形等，则提示为慢性胆囊炎。⑥小剖腹探查 小剖腹探查是近年来新提倡的一种诊断疑难肝胆疾病及黄疸的方法，它既能对慢性胆囊炎做出明确诊断，又能了解肝脏的表现情况。</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('904', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '86', '诊断与鉴别诊断', '<p>&nbsp;诊断</p><p>1.急性胆囊炎</p><p>&nbsp; &nbsp; &nbsp; ①多以食用油腻食物为诱因。②突发右上腹持续性剧烈疼痛伴阵发性加重，可向右肩胛部放射，常有恶心、呕吐、发热。③右上腹有压痛、肌紧张，墨菲征阳性，少数可见黄疸。④白细胞及中性粒细胞计数增高，血清黄疸指数和胆红素可能增高。⑤B超可见胆囊肿大，胆囊壁增厚或毛糙，囊内有浮动光点，伴有结石时可见结石影像。⑥X线检查：胆囊区腹部平片可有胆囊增大阴影。</p><p>2.慢性胆囊炎</p><p>&nbsp; &nbsp; &nbsp; &nbsp;①持续性右上腹钝痛或不适感，或伴有右肩胛区疼痛。②有恶心、嗳气、反酸、腹胀和胃部灼热等消化不良症状，进食油腻食物后加重。③病程长，病情经过有急性发作和缓解交替的特点。④胆囊区可有轻度压痛的叩击痛。⑤胆汁中黏液增多，白细胞成堆，细菌培养阳性。⑥B超可见胆囊结石，胆囊壁增厚，胆囊缩小或变形。⑦胆囊造影可见胆结石，胆囊缩小或变形，胆囊收缩功能不良，或胆囊显影淡薄等。</p><p>鉴别诊断</p><p>1.急性胆囊炎</p><p>&nbsp; &nbsp; &nbsp; 应与引起腹痛（特别是右上腹痛）的疾病进行鉴别，主要有：急性胰腺炎、右下肺炎、急性膈胸膜炎、胸腹部带状疱疹早期、急性心肌梗死和急性阑尾炎等。</p><p>2.慢性胆囊炎</p><p>&nbsp; &nbsp; &nbsp; 应注意与消化性溃疡、慢性胃炎、胃消化不良、慢性病毒性肝炎、胃肠神经功能症和慢性泌尿道感染等鉴别。慢性胆囊炎时，进食油腻食物后常有恶心和右上腹不适或疼痛加剧，此种情况消化道疾病少见。另外，可借助消化道钡餐造影、纤维胃镜、肝功能和尿液检查进行鉴别。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('905', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '86', '治疗', '<p>1.一般治疗</p><p>&nbsp; &nbsp; &nbsp; ①积极预防和治疗细菌感染及并发症，注意饮食卫生，防止胆道寄生虫病的发生，并积极治疗肠蛔虫症。②生活起居有节制，注意劳逸结合、寒温适宜，保持乐观情绪及大便通畅。③本病若有结石，或经常发作，可考虑手术治疗。④应选用低脂肪餐，以减少胆汁分泌，减轻胆囊负担。</p><p>2.药物治疗</p><p>&nbsp; &nbsp; &nbsp; （1）急性胆囊炎 ①解痉、镇痛 可使用阿托品肌内注射，硝酸甘油舌下含化、哌替啶（度冷丁）等，以解除Oddi括约肌痉挛和疼痛。②抗菌治疗 抗生素使用是为了预防菌血症和化脓性并发症，通常以氨苄西林（氨基苄青霉素）、克林霉素（氯林可霉素）和氨基醣甙类联合应用，或选用第二代头孢霉素如头孢孟多（头孢羟唑）或头孢呋辛治疗。抗生素的更换应根据血培养、手术时的胆汁培养和胆囊壁的细菌培养，以及药物敏感试验的结果而定。③利胆药物 50%硫酸镁口服（有腹泻者不用），去氢胆酸片口服，胆酸片口服。</p><p>&nbsp; &nbsp; &nbsp; （2）慢性胆囊炎 ①利胆药物 可口服50%硫酸镁、去氢胆酸片等。②驱虫疗法 针对病因进行驱虫。③溶石疗法 如系胆固醇结石引起者，可用鹅去氧胆酸溶石治疗。文献报道，溶石有效率可达60%左右。疗程结束后仍需服维持量，以防复发。</p><p>&nbsp; &nbsp; &nbsp; （3）合理选用中成药 ①金胆片 功能：消炎利胆。用于急慢性胆囊炎。②清肝利胆口服液 功能：清利肝胆湿热。主治纳呆、胁痛、疲倦乏力、尿黄、苔腻、脉弦、肝郁气滞，肝胆湿热未清等症。</p><p>3.外科手术治疗</p><p>&nbsp; &nbsp; &nbsp; 行胆囊切除术是急性胆囊炎的根本治疗。手术指征：①胆囊坏疽及穿孔，并发弥漫性腹膜炎者；②急性胆囊炎反复急性发作，诊断明确者；③经积极内科治疗，病情继续发展并恶化者；④无手术禁忌证，且能耐受手术者。慢性胆囊炎伴有胆石者；诊断一经确立，行胆囊切除术是一合理的根本治法。如病人有心、肝、肺等严重疾病或全身情况不能耐受手术，可予内科治疗。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('906', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1610', '概述', '<p>&nbsp; &nbsp; &nbsp; 胆石症（gallstones）或（choleliths）， 胆管或胆囊产生胆石而引起剧烈的腹痛、黄疸、发烧等症状之疾病，称为“胆石症”。胆石症是最常见的胆道疾病。我国的一种常见病，近年来有逐年升高趋势。按结石所含得成分，分为三类：胆固醇结石、胆色素结石、混合型结石，其中以胆固醇结石最为多见。按发生的部位来分，可分为胆囊结石、肝外胆管结石和肝内胆管结石，其中胆囊结石占全部结石的50%左右。　　　中国胆石症的特点①胆石类型：混合性色素泥沙样结石远多于胆固醇性结石;②发病部位：胆管多于胆囊，肝内胆管结石发生率也较高;③病因：既往统计胆道蛔虫症在胆石形成上起重要作用。近年由于饮食卫生及营养水平的不断提高已有所改变。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('907', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1610', '临床表现', '<p>&nbsp; &nbsp; &nbsp; 一般而言，胆石发生在胆道的不同部位时，其症状并不完全相同。现按胆囊结石、肝外胆管结石及肝内胆管结石分别描述其临床表现　　<br/></p><p>胆囊结石的临床表现</p><p>&nbsp; &nbsp; &nbsp; (1)胆绞痛或上腹痛：胆绞痛是一种内脏性疼痛多数是因胆囊管被结石暂时性梗阻所致。如果胆囊有急性炎症并存时，则胆囊壁可有不同程度的充血、水肿或增厚等病理表现。在典型病例，患者常有反复发作的上腹部疼痛，常位于右上腹或上腹部，重者表现为绞痛疼痛可因进食而加重；部分病例疼痛可于夜间发作。绞痛发作多发生于缺乏体力活动或缺乏运动者(如长期卧床者)。胆绞痛的典型发作多表现为在15min或1h内逐渐加重，然后又逐渐减弱；约有1/3的患者疼痛可突然发作少数患者其疼痛可突然终止。如疼痛持续5～6h以上者，常提示有急性胆囊炎并存。约半数以上的患者疼痛常放射到右肩胛区、后背中央或右肩头。胆绞痛发作时患者常坐卧不安。疼痛发作的间歇期可为数天、数周数月甚至数年，在发作的时间上无法预测是胆绞痛的一个特点。</p><p>&nbsp; &nbsp; &nbsp; (2)恶心与呕吐：多数患者在胆绞痛发作的同时伴有恶心与呕吐，重者伴出冷汗。呕吐后胆绞痛常有一定程度的减轻。呕吐的持续时间一般不会很长。</p><p>&nbsp; &nbsp; &nbsp; (3)消化不良：消化不良表现为对脂肪和其他食物的不能耐受，常表现为过度嗳气或腹部膨胀，餐后饱胀及早饱烧心等症状。消化不良症状的发生可能与胆石的存在或并存有胆囊炎等有关。</p><p>&nbsp; &nbsp; &nbsp; (4)畏寒、发热：当并发急性胆囊炎时，患者可有畏寒、发热；当胆囊积水继发细菌感染形成胆囊积脓或坏疽、穿孔时，则寒战、发热更为显著</p><p>&nbsp; &nbsp; &nbsp; (5)黄疸：单纯胆囊结石并不引起黄疸只有当伴有胆总管结石或炎症(胆管炎)，或胆囊结石排入胆总管引起梗阻时可出现黄疸部分患者伴有皮肤瘙痒。</p><p>&nbsp; &nbsp; &nbsp; (6)右上腹压痛：部分单纯胆囊结石患者在体检时右上腹可有压痛。如并发急性胆囊炎时则右上腹明显压痛肌紧张，有时可扪及肿大的胆囊，Murphy征阳性。</p><p>&nbsp; &nbsp; &nbsp; (7)胆心综合征：因胆囊结石等胆道疾病反射性引起心脏功能失调或心律的改变，而导致的一组临床症候群称为胆心综合征，而患者的冠状动脉或心脏并无器质性病变胆石症引起冠心病样症状的机制是由于胆石症胆道梗阻，胆管内压增高时，可通过脊髓神经反射(胆囊与心脏的脊神经支配，在胸4～5脊神经处交叉)即经内脏-内脏神经反射途径，引起冠状血管收缩血流量减少重者可导致心肌缺氧而发生心绞痛、心律失常或心电图改变等。　　</p><p>肝外胆管结石的临床表现</p><p>&nbsp; &nbsp; &nbsp; 肝外胆管结石是指发生在肝总管及胆总管内的结石，最多见的是胆总管结石，约有15%的胆囊结石患者可并存有胆总管结石，且随年龄的增加，二者并存的比例增高。反之，约95%的胆总管结石患者并存有胆囊结石胆总管结石者其结石多位于胆总管的下端及十二指肠壶腹部。当胆石引起胆总管梗阻即可产生典型症状与体征。其临床表现主要与胆道阻塞、胆管内压力增高、胆汁排泄受阻以及胆汁并发细菌感染等因素密切相关典型症状有胆绞痛、寒战、高热及黄疸，称之为胆总管结石的三联征，即charcot征。</p><p>&nbsp; &nbsp; &nbsp; (1)上腹疼痛或绞痛：约90%以上的胆总管结石患者有上腹部或右上腹部疼痛或绞痛，可放射至右肩背部。发生绞痛的原因是结石嵌顿于胆总管下端壶腹部后，胆总管梗阻并刺激Oddi括约肌和胆管平滑肌所致绞痛可在进食油腻食物后诱发，或体位改变、身体受到颠簸后诱发。重者可伴有冷汗面色苍白、恶心与呕吐等症状。</p><p>&nbsp; &nbsp; &nbsp; (2)寒战与高热：约75%的胆总管结石患者在发作胆绞痛后，因并发胆道细菌感染而引起寒战与高热，体温可达40℃。寒战、高热的原因是感染向肝内逆行扩散，致病菌及其毒素经肝血窦、肝静脉至体循环而导致全身性感染的结果少数胆总管结石者，如为急性胆管梗阻同时伴严重胆管内感染而引起急性化脓性炎症时，则称为急性化脓性胆管炎或称为重症急性胆管炎可出现低血压、中毒性休克及败血症等全身中毒的临床表现。</p><p>&nbsp; &nbsp; &nbsp; (3)黄疸：约70%的胆总管结石患者，在上腹绞痛、寒战高热后的12～24h即可出现黄疸发生黄疸的机制是因结石嵌顿于乏特壶腹部不能松动，胆总管梗阻不能缓解所致，常伴有皮肤瘙痒尿呈浓茶色粪便色泽变淡或呈现陶土色多数患者黄疸可呈波动性，在1周左右可有所缓解，系因胆管扩张以后结石有所松动之故或系结石经松弛的括约肌而排入十二指肠的缘故。有学者认为黄疸呈间歇性出现或表现为时深时浅是胆总管结石的特征。</p><p>&nbsp; &nbsp; &nbsp; (4)上腹部压痛：体检时在剑突下和右上腹有深压痛，炎症重者常伴腹肌紧张肝区可有叩击痛。如胆囊管通畅者，有时也可扪及肿大的胆囊。　　</p><p>肝内胆管结石的临床表现</p><p>&nbsp; &nbsp; &nbsp; 原发于左右肝管分叉处以上部位的结石，称为肝内胆管结石。结石可广泛分布于肝内胆管系统，也可散在于肝内胆管的某一分支内，也可发生在某一肝叶或肝段的胆管内。大量资料表明，结石发生于左侧肝内胆管者多见。主要临床表现有：</p><p>&nbsp; &nbsp; &nbsp; (1)上腹部疼痛：肝内胆管结石的症状常不典型散在于肝内胆管的较小结石通常不引起症状或仅表现为右上腹和胸背部的持续性胀痛或钝痛。一般不发生绞痛。</p><p>&nbsp; &nbsp; &nbsp; (2)黄疸：一般的肝内胆管结石不出现黄疸，只有当双侧或左、右叶的胆管均被结石阻塞时才出现黄疸，此时多数可伴有胆绞痛或较剧烈的疼痛。如并发胆道感染时，也可出现寒战与高热，重者亦可发展为急性化脓性胆管炎。</p><p>&nbsp; &nbsp; &nbsp; (3)上腹部压痛：体检时常可触及肿大的肝脏并有压痛，少数可有肝区叩击痛。多数资料表明，肝内胆管结石常与胆总管结石并存，所以当患者有胆石症的典型症状(绞痛、寒战与高热、黄疸)时常是胆总管结石的症状。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('908', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1610', '诊断与辅助检查', '<p>诊断 主要依据胆石症的临床表现、实验室及影像学检查结果而作出正确诊断。</p><p>实验室检查</p><p>&nbsp; &nbsp; &nbsp; 1.胆红素代谢 当胆石引起胆管梗阻时，血清总胆红素增高，其中主要是结合胆红素增高即1min胆红素与总胆红素之比常大于40%；如胆管完全梗阻，其比值可大于60%。尿中胆红素含量显著增加，而尿胆原则减少或缺如，粪胆原亦减少或消失。</p><p>&nbsp; &nbsp; &nbsp; 2.血清酶学检查 梗阻性黄疸时碱性磷酸酶(ALP)明显增高，常高于正常值的3倍；γ-谷氨酰转肽酶(γ-GT)亦显著性升高；血清转氨酶(ALT、AST)呈轻到中度升高；乳酸脱氢酶(LDH)一般稍增高。</p><p>&nbsp; &nbsp; &nbsp; 3.凝血酶原时间测定 胆管梗阻时，凝血酶原时间延长，应用维生素K后凝血酶原时间可恢复正常。但如胆管长期梗阻而引起肝功能严重损害时，即使注射维生素K凝血酶原时间也不会恢复正常，提示肝细胞制造凝血酶原有障碍。</p><p>&nbsp; &nbsp; &nbsp; 4.血清铁与铜含量测定 正常人血清铁与血清铜的比值为0.8～1.0，当胆道发生梗阻时，血清铜含量增加，使铁铜比值小于0.5。</p><p>&nbsp; &nbsp; &nbsp; 5.十二指肠引流液检查 目前已较少采用，主要是引流液的采集较麻烦，且不能为多数患者所接受。目前采集十二指肠液有两种方法，即十二指肠插管法与逆行胆管造影时进行。一般需在应用八肽缩胆囊素刺激胆囊收缩后，再收集富含胆汁的十二指肠液然后将此液体置于显微镜下观察，如发现胆固醇结晶和(或)胆色素钙盐颗粒则对胆石症的诊断有重要帮助。　　</p><p>影像学检查</p><p>&nbsp; &nbsp; &nbsp; 1.X线腹部平片、口服胆囊造影及静脉胆道造影 传统的X线平片、口服胆囊造影和静脉胆道造影检查方法近年来已较少采用</p><p>(1)含钙的混合性结石在X线平片上可能显影而单纯胆固醇性结石和胆色素性结石在X线平片上不能显影；胆囊结石中10%～20%为含钙阳性结石可在腹部平片上显示80%～90%为阴性结石，平片上不能见到，需造影才能显示。</p><p>(2)口服胆囊造影的胆囊显影率很高，可达80%以上，故可发现胆囊内，甚至肝外胆管内有无结石存在。但由于显影受到较多因素的影响，故诊断胆囊结石的准确率仅为50%～60%。</p><p>(3)静脉胆道造影可了解肝胆管胆总管有无结石及梗阻存在，各级胆管有无扩张等。由于静脉胆道造影受较多因素的影响故其诊断的准确率并非很高，仅达50%左右。</p><p>&nbsp; &nbsp; &nbsp; 2.经内镜逆行胆管造影(ERCP) 内镜下逆行胆管造影是用纤维十二指肠镜经十二指肠乳头插管，注入造影剂，显示胆道系统及胰管的方法对胆石症的诊断有极高的价值。造影后可清晰显示整个胆管系统及胆囊因此可发现胆管及胆囊有无结石、胆管有无扩张或狭窄等改变ERCP诊断胆总管结石的阳性率可达95%左右。若胆管存在狭窄、梗阻因素，则仅能显示梗阻以下胆管的影像，而梗阻以上的胆管内有无结石常不能显示，此时应再结合PTC等其他检查方法以进一步明确诊断</p><p>&nbsp; &nbsp; &nbsp; 3.经皮肝穿刺胆道造影(PTC) 经皮肝穿刺胆道造影适于原因不明的梗阻性黄疸，拟诊胆道结石狭窄及与其他胆管疾病鉴别。在X线电视或B超引导下，经皮穿刺胆管的成功率可达80%～100%。PTC能清楚显示肝内外整个胆道系统，可提供胆道内正确的解剖关系、病变部位、范围和性质，对本病的诊断及鉴别诊断有较大帮助。PTC诊断胆总管结石的阳性率达90%左右。由于PTC属损伤性检查，因此有一定的并发症如出血、胆漏感染或发生胆管炎等。</p><p>&nbsp; &nbsp; &nbsp; 4.CT或MRI检查 经B型超声波检查未能发现病变时可进一步作CT或MRI检查CT对含钙的结石敏感性很高，常可显示直径为2mm的小结石，CT诊断胆石的准确率可达80%～90%。平扫即可显示肝内胆管总肝管、胆总管及胆囊内的含钙量高的结石；经口服或静脉注射造影剂后，CT可显示胆色素性结石和混合性结石，亦能显示胆囊内的泥沙样结石。CT对单纯胆固醇性结石有时易发生漏诊。近年来MRI诊断技术已逐渐应用于临床其对胆石的诊断正确率也很高由于CT或MRI检查的费用较昂贵所以一般不作为首选的检查方法</p><p>&nbsp; &nbsp; &nbsp; 5.术中胆道造影 对术前胆道疾病未明确诊断者，本法是一极好的补充，方法简单易行且安全。术中经胆囊管插管或直接穿刺胆总管，注入浓度15%～20%的造影剂30ml左右，即可获得较清楚的胆系影像。结合探查所见，便能全面了解肝胆情况有利于诊断治疗可降低胆道残余结石率有条件的基层单位应开展此项检查。</p><p>&nbsp; &nbsp; &nbsp; 6.B型超声波检查 超声检查具有检查方便无创伤性、可反复多次、诊断准确率高等优点，已成为诊断胆石症的首选检查方法。无论是胆囊结石、肝外胆管结石还是肝内胆管结石，在B超声像图上，结石表现为回声增强的光团或光斑其后方常伴有声影。胆囊结石典型表现如下：(1)胆囊内一个或多个强回声光团。(2)回声光团可随患者体位的改变而移动。(3)在强回声光团的后方有清晰的声影。</p><p>&nbsp; &nbsp; &nbsp; 位于胆总管下端的结石如受胃肠道气体的干扰时，常难于显示，因此，B超对胆总管下端结石的诊断正确率较低，同时还可出现假阳性或假阴性。由于胆囊结石结构、成分和位置不同，可出现一些不典型表现。如胆囊内充满结石，由于缺乏胆汁衬托，其声像图可不明显而只见声影疏松的结石可不出现典型的声影、胆囊萎缩合并结石可造成实质性回声而后方声影不清晰等一般认为，B超诊断胆囊结石的正确率可达95%～97%，诊断胆总管结石的正确率为53%～84%，肝内胆管结石的正确率为80%～90%特别是对于可透X线结石及在胆囊造影不显影时B超可作出正确的诊断在超声表现不典型时，仍应与X线检查和CT扫描互相验证，作出诊断。</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('909', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1610', '治疗方法', '<p>&nbsp; &nbsp; &nbsp; 胆石症的治疗目的在于缓解症状，减少复发消除结石，避免并发症的发生。急性发作期宜先行非手术治疗，待症状控制后，进一步检查，明确诊断；如病情严重、非手术治疗无效，应在初步诊断的基础上及时进行手术治疗　　</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('910', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '149', '肝癌', '<p>&nbsp; &nbsp; &nbsp; 肝癌即肝脏恶性肿瘤，可分为原发性和继发性两大类。原发性肝脏恶性肿瘤起源于肝脏的上皮或间叶组织，前者称为原发性肝癌，是我国高发的，危害极大的恶性肿瘤；后者称为肉瘤，与原发性肝癌相比较较为少见。继发性或称转移性肝癌系指全身多个器官起源的恶性肿瘤侵犯至肝脏。一般多见于胃、胆道、胰腺、结直肠、卵巢、子宫、肺、乳腺等器官恶性肿瘤的肝转移。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('911', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '149', '病因', '<p>&nbsp; &nbsp; &nbsp;原发性肝癌的病因及确切分子机制尚不完全清楚，目前认为其发病是多因素、多步骤的复杂过程，受环境和因此双重因素影响。流行病学及实验研究资料表明，乙型肝炎病毒（HBV）和丙型肝炎病毒（HCV）感染、黄曲霉素、饮水污染、酒精、肝硬化、性激素、亚硝胺类物质、微量元素等都与肝癌发病相关。继发性肝癌（转移性肝癌）可通过不同途径，如随血液、淋巴液转移或直接侵润肝脏而形成疾病。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('912', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '149', '临床表现', '<p>1.原发性肝癌</p><p>&nbsp; &nbsp; &nbsp; （1）症状 早期肝癌常症状无特异性，中晚期肝癌的症状则较多，常见的临床表现有肝区疼痛、腹胀、纳差、乏力、消瘦，进行性肝大或上腹部包块等；部分患者有低热、黄疸、腹泻、上消化道出血；肝癌破裂后出现急腹症表现等。也有症状不明显或仅表现为转移灶的症状。</p><p>&nbsp; &nbsp; &nbsp; （2）体征 早期肝癌常无明显阳性体征或仅类似肝硬化体征。中晚期肝癌通常出现肝脏肿大、黄疸、腹水等体征。此外，合并肝硬化者常有肝掌、蜘蛛痣、男性乳腺增大、下肢水肿等。发生肝外转移时可出现各转移部位相应的体征。</p><p>&nbsp; &nbsp; &nbsp; （3）并发症 常见的有上消化道出血、肝癌破裂出血、肝肾衰竭等。</p><p>2.继发性肝癌</p><p>&nbsp; &nbsp; &nbsp; （1）原发肿瘤的临床表现 主要见于无肝病病史的患者，肝脏转移尚属早期，未出现相应症状，而原发肿瘤症状明显多属中晚期。此类患者的继发性肝癌多在原发治疗的检查、随访中发现。</p><p>&nbsp; &nbsp; &nbsp; （2）继发性肝癌的临床表现 患者多主诉上腹或肝区闷胀不适或隐痛，随着病情发展，患者出现乏力、食欲差、消瘦或发热等。体检时在中上腹部可扪及肿大的肝脏，或质地坚硬有触痛的硬结节，晚期患者可出现贫血、黄疸和腹水等。此类患者的临床表现类似于原发性肝癌，但一般发展相对缓慢，程度也相对较轻，多在做肝脏各种检查时疑及转移可能，进一步检查或在手术探查时发现原发肿瘤。部分患者经多种检查无法找到原发癌灶。</p><p>&nbsp; &nbsp; &nbsp; （3）既有原发肿瘤，也有继发性肝癌的临床表现 主要见于原发肿瘤及肝脏转移癌均已非早期，患者除肝脏的类似于原发性肝癌的症状、体征外，同时有原发肿瘤引起的临床表现，如结、直肠癌肝转移时可同时伴有排便习惯、粪便性状的改变以及便血等。</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('913', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '149', '辅助检查', '<ol class=\" list-paddingleft-2\" style=\"list-style-type: decimal;\"><li><p>原发性肝癌</p></li></ol><p>&nbsp; &nbsp; &nbsp; （1）肝癌血清标志物检测 ①血清甲胎蛋白（AFP）测定 对诊断本病有相对的特异性。放射免疫法测定持续血清AFP≥400μg/L，并能排除妊娠、活动性肝病等，即可考虑肝癌的诊断。临床上约30%的肝癌患者AFP为阴性。如同时检测AFP异质体，可使阳性率明显提高。②血液酶学及其他肿瘤标志物检查 肝癌患者血清中γ-谷氨酰转肽酶及其同功酶、异常凝血酶原、碱性磷酸酶、乳酸脱氢酶同功酶可高于正常。但缺乏特异性。</p><p>&nbsp; &nbsp; &nbsp; （2）影像学检查 ①超声检查 可显示肿瘤的大小、形态、所在部位以及肝静脉或门静脉内有无癌栓，其诊断符合率可达90%。②CT检查 具有较高的分辨率，对肝癌的诊断符合率可达90%以上，可检出直径1.0cm左右的微小癌灶。③MRI检查 诊断价值与CT相仿，对良、恶性肝内占位病变，特别与血管瘤的鉴别优于CT。④选择性腹腔动脉或肝动脉造影检查 对血管丰富的癌肿，其分辨率低限约1cm，对&lt;2.0cm的小肝癌其阳性率可达90%。⑤肝穿刺行针吸细胞学检查 在B型超声导引下行细针穿刺，有助于提高阳性率。</p><p>2.继发性肝癌</p><p>&nbsp; &nbsp; &nbsp; 大多数继发性肝癌患者肿瘤标志物在正常范围内，但少数来自胃、食管、胰腺及卵巢的肝转移癌则可有AFP的升高。有症状者多伴有ALP、GGT升高。癌胚抗原CEA升高有助于肝转移癌的诊断，结直肠癌肝转移时CEA阳性率高达60%～70%。选择性肝血管造影可发现直径1cm的病灶。选择性腹腔或肝动脉造影多显示为少血管型肿瘤；CT表现为混合不匀等密度或低密度占位，典型的呈现“牛眼”征；MRI检查肝转移癌常显示信号强度均匀、边清、多发，少数有“靶”征或“亮环”征。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('914', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '149', '诊断与治疗', '<p>诊断</p><p>&nbsp; &nbsp; &nbsp; 根据发病原因、临床表现、检查结果，针对不同情况进行明确诊断。</p><p>治疗</p><p>&nbsp; &nbsp; &nbsp; 根据肝癌的不同阶段酌情进行个体化综合治疗，是提高疗效的关键；治疗方法包括手术、肝动脉结扎、肝动脉化疗栓塞、射频、冷冻、激光、微波以及化疗和放射治疗等方法。生物治疗，中医中药治疗肝癌也多有应用。</p><p>1.手术治疗</p><p>&nbsp; &nbsp; &nbsp; 手术是治疗肝癌的首选，也是最有效的方法。手术方法有：根治性肝切除，姑息性肝切除等。</p><p>对不能切除的肝癌可根据具体情况，采用术中肝动脉结扎、肝动脉化疗栓塞、射频、冷冻、激光、微波等治疗有一定的疗效。原发性肝癌也是行肝移植手术的指征之一。</p><p>2.化学药物治疗</p><p>&nbsp; &nbsp; &nbsp; 经剖腹探查发现癌肿不能切除，或作为肿瘤姑息切除的后续治疗者，可采用肝动脉和（或）门静脉置泵（皮下埋藏灌注装置）作区域化疗栓塞；对估计手术不能切除者，也可行放射介入治疗，经股动脉作选择性插管至肝动脉，注入栓塞剂（常用如碘化油）和抗癌药行化疗栓塞，部分患者可因此获得手术切除的机会。</p><p>3.放射治疗</p><p>&nbsp; &nbsp; &nbsp; 对一般情况较好，肝功能尚好，不伴有肝硬化，无黄疸、腹水、无脾功能亢进和食管静脉曲张，癌肿较局限，尚无远处转移而又不适于手术切除或手术后复发者，可采用放射为主的综合治疗。</p><p>4.生物治疗</p><p>&nbsp; &nbsp; &nbsp; 常用的有免疫核糖核酸、干扰素、白细胞介素-2、胸腺肽等，可与化疗联合应用。</p><p>5.中医中药治疗</p><p>&nbsp; &nbsp; &nbsp; 采取辨证施治、攻补兼施的方法，常与其他疗法配合应用。以提高机体抗病力，改善全身状况和症状，减轻化疗、放疗不良反应。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('915', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '90', '概述', '<p>&nbsp; &nbsp; &nbsp; 肝炎是肝脏炎症的统称。通常是指由多种致病因素，如病毒、细菌、寄生虫、化学毒物、药物、酒精、自身免疫因素等使肝脏细胞受到破坏，肝脏的功能受到损害，引起身体一系列不适症状，以及肝功能指标的异常。由于引发肝炎的病因不同，虽然有类似的临床表现，但是在病原学、血清学、损伤机制、临床经过及预后、肝外损害、诊断及治疗等方面往往有明显的不同。<br/></p><p>需要注意的是，通常我们生活中所说的肝炎，多数指的是由甲型、乙型、丙型等肝炎病毒引起的病毒性肝炎。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('916', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '90', '分类', '<p>1.根据病因</p><p>&nbsp; &nbsp; &nbsp; 可以分为病毒性、细菌性（如阿米巴）药物性、酒精性、中毒性、自身免疫性、非酒精性脂肪性等。</p><p>2.根据病程长短</p><p>&nbsp; &nbsp; &nbsp; 可以分为急性肝炎、慢性肝炎等。</p><p>3.根据有无出现黄疸</p><p>&nbsp; &nbsp; &nbsp; 急性肝炎可分为急性黄疸型肝炎和急性无黄疸型肝炎。</p><p>4.根据病情轻重程度</p><p>&nbsp; &nbsp; &nbsp; 慢性肝炎可以分为轻度、中度、重度等。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('917', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '90', '临床表现', '<p>1.症状</p><p>不同病因的肝炎临床表现各异，常见症状包括：食欲减退、腹胀、厌油腻食物、恶心、呕吐、易疲倦。</p><p>2.体征</p><p>部分患者巩膜或皮肤黄染，发热，肝区隐痛、肝大、触痛，部分患者出现蜘蛛痣和肝掌，重型肝炎可见腹水、少尿、出血倾向和意识障碍、昏迷等。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('918', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '90', '辅助检查', '<p>1.实验室检查</p><p>&nbsp; &nbsp; &nbsp; （1）肝功能检查。</p><p>&nbsp; &nbsp; &nbsp; （2）血清学检查（检测病毒特异性标志物，有助于病毒性肝炎分型）。</p><p>&nbsp; &nbsp; &nbsp; （3）其他相关检查（血常规、肾功能、蛋白、脂肪及糖代谢、血清免疫学检查等）。</p><p>2.影像学检查</p><p>&nbsp; &nbsp; &nbsp; 包括腹部超声、CT、磁共振检查等</p><p>3.肝穿刺病理检查</p><p>&nbsp; &nbsp; &nbsp; 对各型肝炎的诊断有很大价值，通过肝组织电镜、免疫组化检测以及以KnodellHAI计分系统观察，对肝炎的病原、病因、炎症活动度以及纤维化程度等均可得到正确数据，有利于临床诊断和鉴别诊断。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('919', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '90', '诊断与治疗', '<p>诊断</p><p>&nbsp; &nbsp; &nbsp; 根据病史、临床表现及检查结果。</p><p>治疗</p><p>&nbsp; &nbsp; &nbsp; 病因治疗</p><p>&nbsp; &nbsp; &nbsp; 抗炎治疗</p><p>&nbsp; &nbsp; &nbsp; 保护肝功能，防止进一步受损。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('920', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '863', '概述', '<p>&nbsp; &nbsp; &nbsp; 与成人相同，小儿继发性肝肿瘤较原发性肝肿瘤更常见。原发性肝脏恶性肿瘤占小儿肿瘤的1.2%～5%，其中最常见的是肝母细胞瘤(hepatoblastoma)和肝细胞癌(hepatocellular carcinoma)。良性肿瘤主要是血管瘤、错构瘤及畸胎瘤。肝母细胞瘤较肝细胞癌多见，几乎都发生于5岁前小儿，约50%病人年龄小于18个月。男孩较女孩多见，尤以肝细胞癌，男∶女为2∶1。发生肝细胞癌的高峰年龄是10～14岁。与肾母细胞瘤相似，先天性畸形如半侧肢体肥大与广泛血管瘤等可并发肝恶性瘤，肝脏肿瘤与肾母细胞瘤可发生于同一患者。曾有报道，肝母细胞瘤和肝细胞癌发生于孪生儿中。</p><p>&nbsp; &nbsp; 肝母细胞瘤几乎都发生于正常肝脏，而小儿肝细胞癌常并发于肝硬化或原有肝实质病变。如继发于胆道闭锁及巨细胞肝炎的肝硬化发生肝恶性瘤的病例增多。此外，先天性再生障碍性贫血(Fanconis anemia)应用雄激素治疗者，有发生肝肿瘤的报道。如有慢性遗传性铬氨酸症小儿存活至2岁左右，发生肝细胞癌的危险可达40%。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('921', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '863', '临床表现', '<p>&nbsp; &nbsp; &nbsp;小儿多以不规则局限性肝肿大为最初症状，肿块位于右腹或右上腹部。病史中常记述肿瘤生长迅速，有的可达脐下或超越中线，表面光滑，边缘清楚，硬度中等，略能左右移动，无压痛。早期除有轻度贫血外，一般情况多良好。晚期则出现黄疸、腹水、发热、贫血、体重下降，腹壁可见静脉怒张，并可因腹内巨大肿块造成呼吸困难。约20%肝母细胞瘤病例有骨质疏松，严重者可导致多发骨折。</p><p>&nbsp; &nbsp; 很多病人就诊时有贫血和血小板增多，尤多见于肝母细胞瘤患儿。肝母细胞瘤患儿的肝功能常正常，但肝细胞癌病例因并发于肝炎或肝硬化，血清胆红素、碱性磷酸酶和转氨酶可能增高。60%～90%肝细胞癌病例和90%以上肝母细胞瘤病例的甲胎蛋白增高。肝母细胞瘤病儿尿内胱硫醚(cystathionine)排泄增多。</p><p>&nbsp; &nbsp; 其他原发性肝肿瘤常见的有海绵状血管瘤及血管内皮细胞瘤两种，前者因肿瘤生长可压迫肝组织，使肝细胞变性，有时肿瘤内有动静脉短路，可致小儿心力衰竭或因肿瘤破裂出血死亡。小的血管瘤生长慢，可无临床症状。</p><p>&nbsp; &nbsp; 血管内皮细胞瘤属于恶性，肝内有血窦形成。临床上可有疼痛、高热及黄疸。病程缓慢，但预后不佳。</p><p>&nbsp; &nbsp; 肝错构瘤、畸胎瘤及单发或多发肝囊肿等均极少见。</p><p>并发症：常并发黄疸、腹水、骨质疏松，可导致多发骨折、贫血和血小板增多等。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('922', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '863', '辅助检查', '<p>实验室检查：血清学和影像学的不断发展为亚临床肝癌的早期诊断提供了各种方法，临床上把血清学诊断称为“定性诊断”，影像学诊断称为“定位诊断”，穿刺活检或脱落细胞检查称为“病理诊断”这些方法的综合应用可提高诊断的正确率。<br/></p><p>&nbsp; &nbsp; 1.甲胎蛋白(AFP)检测 &nbsp;AFP对肝细胞其准确率达90%左右，其临床价值有：</p><p>&nbsp; &nbsp; (1)早期诊断：能够诊断亚临床病灶，可在症状出现8个月前左右做出诊断。</p><p>&nbsp; &nbsp; (2)鉴别诊断：因89%肝细胞癌病人血清中AFP大于20ng/ml，因此甲胎蛋白低于此值又无其他肝癌证据者，可排除肝癌。</p><p>&nbsp; &nbsp; (3)有助于反映病情好转与恶化，AFP上升者表示恶化，下降者如临床也改善则病情好转。</p><p>&nbsp; &nbsp; (4)有助于判断手术切除的彻底以及预示复发与否，术后AFP下降至正常值者示切除彻底，降而复升者提示复发，也可在复发症状出现前6～12个月做出预报。</p><p>&nbsp; &nbsp; (5)有助于对各种治疗方法做出评价，治疗后AFP转阴率越高，其效果越好。</p><p>&nbsp; &nbsp; AFP假阳性，并非所有AFP阳性的病人都患有肝癌，AFP假阳性主要见于肝炎、肝硬化，两者占假阳性病例的80%，此外还有生殖腺胚胎癌、消化道癌、病理性妊娠、肝血管内皮瘤、恶性肝纤维组织瘤等。AFP阴性病人的诊断，AFP阴性不能除外肝癌诊断时，可进行酶学检查，其中较有临床意义的是：α1抗胰蛋白酶(AAT)，γ-谷氨酰转酞酶(γ-GT)，癌胚抗原(CEA)，碱性磷酸酶(AKP)等，这些血清学的化验结果在肝病病人都有可能上升，但都不是特异性。</p><p>&nbsp; &nbsp; 2.肝穿刺活组织检查 &nbsp;对诊断基本明确的可以不做肝穿刺检查，因为肝脏穿刺有一定的并发症，最常见为出血，另外肝穿刺时穿刺针会穿过门静脉或肝静脉及胆道，此种情况就有可能会有癌细胞被带到血管内，引起转移。</p><p>影像学检查：</p><p>&nbsp; &nbsp; 1.B超 &nbsp;可显示大于1cm的肿瘤、诊断正确率为90%，可显示肿瘤大小，部位形态、数量、肝胆管、门静脉、脾脏、腹腔淋巴结等，同时对有无肝硬化、脾大腹水也可做出诊断。</p><p>&nbsp; &nbsp; 2.CT &nbsp;对肝癌的诊断准确率为93%，最小分辨显示为1.5cm，其优点是可直接观察肿瘤的大小、位置和肝静脉门静脉的关系，并可诊断门静脉或肝静脉有无癌栓。</p><p>&nbsp; &nbsp; 3.血管造影 &nbsp;肝动脉造影可了解病变的血运情况以判断手术的可能性及指征。可显示1.5cm左右的肿瘤，是目前影像学诊断方法中，分辨力最高的一种，同时对鉴别肝血管瘤有重要的意义，在明确诊断的同时，还可了解肝动脉有无变异现象，对肝切除手术有很重要的帮助，如果为中晚期肝癌，不能手术治疗时，可给以栓塞和(或)化疗。</p><p>&nbsp; &nbsp; 4.MRI和CT相比 &nbsp;基本一致，但对一些难以鉴别的肝肿块有帮助，T1、T2图像能比较明确地分辨肝癌、肝血管瘤、肝脓肿、囊肿等。</p><p>&nbsp; &nbsp; 5.放射性核素扫描 &nbsp;对难以和血管瘤相鉴别的病人可运用血流扫描加以鉴别，因放射扫描的分辨力低，一般很少用来做肝癌的诊断方法。</p><p>&nbsp; &nbsp; 6.腹腔镜 &nbsp;在难以确诊的病人可考虑用腹腔镜检查，直接观察肝脏、肝表面肿物及腹腔内的情况。</p><p>&nbsp; &nbsp; 7.X线检查 &nbsp;X线透视下可见右膈升高、运动受限或限局性隆起，30%病例在X线平片中可见肿瘤内有钙化影，约10%病例诊断时有肺转移瘤。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('923', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '863', '诊断', '<p>诊断：根据上述临床表现和实验室、辅助检查结果可以论断。临床诊断要点：</p><p>&nbsp; &nbsp; 1.既往肝炎史。</p><p>&nbsp; &nbsp; 2.肝区疼痛和其他临床症状。</p><p>&nbsp; &nbsp; 3.AFP＞400µg/L持续4周以上，或者AFP＞200µg/L持续8周以上。</p><p>&nbsp; &nbsp; 4.B超、CT发现肝脏有占位性病变，可除外转移或良性肿瘤。</p><p>鉴别诊断：首要区别肝大的原因，是否为代谢性疾病、良性肝肿瘤，如肝海绵状血管瘤以及肝的转移瘤如神经母细胞瘤。经甲胎蛋白测定、超声波探测和CT或核磁可协助诊断。</p><p>&nbsp; &nbsp; 用静脉肾盂造影检查，可与腹膜后肿瘤如肾母细胞瘤、神经母细胞瘤、畸胎瘤相鉴别。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('924', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '863', '治疗', '<p>治疗：最有效的治疗是手术切除病变，良性或恶性肿瘤均可手术切除，约95%病例的病变可做完整切除。手术后4～6周肝组织可迅速修复，此时应复查CT及AFP和B超以作为日后复查的基础。肿瘤相对的对放疗不敏感，联合应用顺铂与多柔比星(阿霉素)对肝母细胞瘤有效，可使不能切除的肿瘤转变为能手术切除的病变，并可清除肺转移灶。</p><p>&nbsp; &nbsp; 广泛的良性肝肿瘤不能行肝切除者，目前尚无有效疗法。对侵及左、右肝叶的不能切除的血管瘤患儿，对引起心力衰竭的肝血管瘤如不能切除，可做肝动脉结扎。目前主张做肝动脉插管栓塞治疗。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('925', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1605', '概述', '<p>&nbsp; &nbsp; &nbsp; 急腹症，多种以急性腹痛为主要特征的腹腔病证之总称。证见发病后出现腹痛、腹胀、呕吐及大小便异常、寒热出汗等。具有炎症、梗阻、穿孔、出血、瘀血及机能障碍等病理性证候。中医学将其分为气滞血瘀、热盛肉腐（热毒极盛）及痞结不通等临床证型。中西医结合医学家认为急腹症包括有：急性腹膜炎与腹腔脓肿、上消化道出血、胃及十二指肠溃疡急性穿孔、急性肠梗阻、急性阑尾炎、胆道系统感染与胆石症、胆道蛔虫病、急性胰腺炎、腹部闭合性损伤及子宫外孕等。近数十年来，中西医结合工作者根据中医六腑“以通为用”的基本理论，提出了西医辨病，中医辨证，中西医结合分期分型诊治的原则，对急腹症治疗制定出通里攻下、清热解毒、理气开郁、活血化瘀、清热利湿、利水渗湿、温中散寒、补气养血等非手术方法的治疗法则，同时配合针灸、电针、穴位注射、电兴奋、拔罐、耳针、埋线、按摩及颠簸疗法等多种治疗措施。且正确掌握手术指征，适时采用胃肠减压、西药、输血输液、灌肠等治疗手段，使急腹症的疗效提高。为急腹症之治疗开辟了一个领域。</p><p>&nbsp; &nbsp; &nbsp; 急腹症指全腹部剧烈疼痛、压痛、反跳痛、腹壁肌肉紧张，甚至可出现休克，急腹症常意味着病变广泛及病情严重，无论是何种疾病，患者家属都应当立即寻求救治，由医生根据患者的病史和其他并发症状鉴别诊断。在未得到医生救助和诊断之前，切不可给患者服用止痛药物或饮酒以免加重病情和掩盖症状。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('926', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1605', '病因', '<p>炎症性急腹症<br/></p><p>&nbsp; &nbsp; &nbsp; 常见为腹痛、腹膜刺激征、发热。可有寒战、白细胞升高。多伴有呕吐、腹泻等胃肠道刺激症状。如右上腹痛，局部有压痛、反跳痛、肌紧张，墨菲氏征阳性，可诊断为急性胆囊炎。B超可确诊。</p><p>穿孔性急腹症</p><p>&nbsp; &nbsp; &nbsp; 突发性持续性腹痛、腹膜刺激征、气腹。有时有板状腹。上消化道穿孔或结肠穿孔可出现膈下游离气体。例如患者有节律性上腹痛病史，此次发病前有饥饿或暴饮暴食诱因，突然出现腹痛，腹膜刺激征明显，X线发现膈下游离气体，那么可诊断为上消化道穿孔（消化性溃疡穿孔）。若患者有胆囊结石病史，腹腔穿刺有胆汁样液体，则考虑为胆囊穿孔。可见病史询问非常重要。当然，不能据此确诊，但可以明辨检查方向。B超可确诊。CT更加清晰。</p><p>梗阻性急腹症</p><p>&nbsp; &nbsp; &nbsp; 阵发性腹痛、腹胀、呕吐。肠梗阻、肾结石梗阻等。可根据各自特点做出诊断。B超或X线可作出诊断。</p><p>出血性急腹症</p><p>&nbsp; &nbsp; &nbsp; 腹痛、休克、内出现或外出血。注意询问患者病史，比如是否有肝癌（肝癌破裂出血严重）、腹主动脉瘤、消化性溃疡等。急性失血表现较为明显，面色苍白、烦躁、冷汗、脉搏细速等。女性病人要注意询问月经史，排除宫外孕破裂可能。进来年轻女性病人宫外孕发病率逐年升高。</p><p>损伤性急腹症</p><p>&nbsp; &nbsp; &nbsp; 外伤史、腹痛、内出血、腹膜刺激征等。这部分诊断较为容易，往往有明确的外伤史，一般需要紧急手术治疗。</p><p>缺血性急腹症</p><p>&nbsp; &nbsp; &nbsp; 腹外疝、肠系膜上动脉栓塞、脏器扭转等，特别是肠系膜上动脉栓塞，容易误诊，危害较大。</p><p>全身性疾病所致急腹症</p><p>&nbsp; &nbsp; &nbsp; 腹型癫痫、过敏性紫癜、血卟啉病、铅中毒等等，非常容易误诊。必须在排除能够马上致命的疾病后仔细排查，方有可能做正确诊断。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('927', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1605', '诊断', '<p>诊断</p><p>1、临床表现</p><p>&nbsp; &nbsp; &nbsp; 急性腹痛的病因牵涉到外科、内科、妇科等上百种疾病，在确定病因诊断时应该首先考虑最常见的一些疾病，同时必须排除最致命的疾病（比如肝癌破裂出血、肠系膜上动脉栓塞、主动脉瘤破裂出血等）。不同的部位有不同的脏器，这些脏器病变后会引起相应腹部疼痛；反过来，腹部某处疼痛，常有相应脏器的病变引起。但同一部位往往存在多个脏器，腹痛到底是哪个脏器引起，则要根据各个脏器病变的特点进行分析判断。例如，右上腹有肝脏、胆囊、胆管、十二指肠等结构，它们的病变都可引起右上腹疼痛，然而到底是哪个结构病变所致，则要考虑其各自特点；肝炎常有食欲减退、乏力、肝功能明显损伤等，而无明显右上腹压痛、反跳痛、肌紧张；胆囊炎则有右上腹明显压痛、反跳痛、肌紧张、墨菲征阳性；胆管炎则有高热、腹痛、黄疸等。根据这些特点，可以作出鉴别诊断及病因诊断。另外，同一种疾病可以引起多个部位疼痛。</p><p>2、辅助检查</p><p>&nbsp; &nbsp; &nbsp; 对急腹症患者，除详细了解病史体征外，有时还必须辅以必要的辅助检查，以便进一步明确诊断。目前，辅助检查急腹症病因的判断起到越来越重要的作用，对提高确诊率有着重要的临床意义。常规化验、B超、CT、腹腔穿刺等等，有时对于疾病诊断非常重要。</p><p>综上所述，病史的询问、临床表现、简单的辅助检查时非常重要的，结合这些临床资料，仔细分析，一般可作出正确诊断。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('928', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1605', '治疗', '<p>&nbsp; &nbsp; &nbsp; 急腹症的治疗根据病因不同而有所不同。但有一个共同的原则：维持生命体征稳定。包括输液、输血、维持血压稳定。在没有明确诊断之前，不要用麻醉性镇痛药，以免掩盖病情，造成更大损害。待诊断明确后，可酌情使用哌替啶等止痛。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('933', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1612', '概述', '<p>&nbsp; &nbsp; &nbsp; 甲、乙、丙、丁和戊型肝炎分别由甲型肝炎病毒(HAV)、乙型肝炎病毒(HBV)、丙型肝炎病毒(HCV)、丁型肝炎病毒(HDV)和戊型肝炎病毒(HEV)感染引起。传染源是患者和病毒携带者。HAV和HEV以粪-口为主要传播途径，如通过日常生活接触、饮水和食物传播。HBV、HCV和HDV主要通过体液传播如输血及血制品、预防接种、药物注射、针刺等，生活密切接触是次要途径。婴幼儿的乙型肝炎可通过胎盘、分娩、哺乳、喂养造成母婴传播。HCV主要通过输血传染。HBV、HCV可通过唾液、精液和阴道分泌物而导致性传播。</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('934', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1612', '分类', '<p>&nbsp; &nbsp; &nbsp;急性肝炎可分为急性黄疸型肝炎和急性无黄疸型肝炎两种：</p><p>&nbsp; &nbsp; &nbsp; 1.急性黄疸型肝炎：急性起病，病情发展较快，出现不同程度皮肤和眼球黄染。病程约为2-3个月，以甲肝为多见。</p><p>&nbsp; &nbsp; &nbsp; 2.急性无黄疸型肝炎：本型比黄疸型多，多见于乙肝和丙肝。大多数是缓慢起病。最突出的表现是食欲不振，全身乏力和肝区疼痛等症状。部分病人有恶心呕吐，头昏头痛，可有发热和上呼吸道症状。多数病例肝肿大并有压痛，叩击痛。肝功能损害不如黄疸型显著。大多数在3-6个月内恢复健康，但部分病例病情迁延，转为慢性。　　</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('935', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1612', '症状', '<p>&nbsp; &nbsp; &nbsp;急性肝炎感染后症状：患者近期出现低热、全身疲乏无力、食欲减退，伴有恶心、呕吐、厌油腻、肝区不适及尿黄等症状，休息后不见好转。</p><p>急性乙肝的分类症状：急性乙肝分为急性黄疸型肝炎和急性无黄疸型肝炎。</p><p>1、急性黄疸型肝炎</p><p>&nbsp; &nbsp; &nbsp; （1）黄疸前期：多缓慢起病，发热轻或多无发热常出现关节痛、皮疹。常见症状有乏力、食欲减退、厌油腻、恶心、呕吐、有时腹痛、腹泻。本期平均持续5-7天。</p><p>&nbsp; &nbsp; &nbsp; （2）黄疸期：发热消退，自觉症状稍减轻，巩膜及皮肤出现黄疸，数日至3周内达到高峰。尿色深黄可出现一过性粪便变浅。肝区痛、肝大、质较软，有压痛和叩痛。本期持续2-6天。</p><p>&nbsp; &nbsp; &nbsp; （3）恢复期：患者黄疸逐渐减轻、消退，大便颜色恢复正常，皮肤瘙痒消失，食欲好转，体力恢复，消化道症状减轻，黄疸消退，肝功能恢复正常。本期一般为1-2个月。</p><p>2、急性无黄疸型肝炎</p><p>&nbsp; &nbsp; &nbsp; 此型较多见，占急性乙肝的90%以上。症状较轻，全身乏力、食欲减退、恶心、腹胀等症状。肝大、质较软，有压痛和叩痛。此型肝炎症状轻常被忽视诊断。病程约2-3个月。</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('936', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1612', '诊断', '<p>&nbsp; &nbsp; 一、分型 可分为急性黄疸型肝炎和急性无黄疸型肝炎。</p><p>&nbsp; &nbsp; 二、病史 有与肝炎患者密切接触史，血液、体液感染史，暴发流行区有水源、食物污染史。</p><p>&nbsp; &nbsp; 三、症状 多急性起病。常有发热、恶心、厌油、纳差、腹胀、便清、明显乏力等。大多有轻中度肝肿大，质地软，常有触痛或叩击痛，脾可轻度肿大，部分有黄疸。</p><p>&nbsp; &nbsp; 四、辅助检查 (一)疾病诊断检查 肝功能试验如血清谷丙转氨酶(ALT)、胆红素检查，肝组织活检有助于诊断。 (二)病原分型检查 目前多用免疫学、酶学及分子生物学方法作病原检测。肝组织免疫组化和免疫电镜有助于病原分型。 1．甲型肝炎：IgM型抗体(抗-HAVIgM)有早期诊断价值，可用免疫电镜检测粪便中甲型肝炎病毒(HAV)颗粒，多聚酶链反应(PCR)检查血及粪便的病毒RNA(HAV-RNA)。 2．乙型肝炎：IgM型抗体(抗-HBclgM)有早期诊断价值，可作血HBSAg、 抗-HBs、HBeAg、抗-HBe、抗一HBc、乙肝病毒DNA多聚酶、PCR检测乙型肝炎病毒 &nbsp; &nbsp; &nbsp; DNA(HBV-DNA)。 3．丙型肝炎：可作血清抗体(抗-HCV)、血清丙型肝炎病毒RNA(HCV-RNA)等，免疫组化法检测肝组织HCV抗原为较特异的方法。 4．丁型肝炎：可作血清抗原(HDAg)和抗体(抗-HDV)、血清病毒RNA(HDV-RNA)及免疫组化法检测肝组织HDAgo 5．戊型肝炎：可检测血清抗体(抗-HEV)，免疫电镜法检测粪便或胆汁中。　HEV抗原。免疫荧光法检测肝组织内的HEV抗原。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('937', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1612', '治疗', '<p>&nbsp; &nbsp; &nbsp; 一、一般治疗 适当休息，肝炎症状明显期特别是有黄疽者应卧床休息，直至症状和黄疸明显消退方可起床活动，逐步增加活动量或延长活动时间，以活动后不觉疲乏为度。合理饮食，以流食为主，少量多餐，保证水分的供给以利于利尿排黄，应补充维生素B族和维生素C，黄疸严重者注意维生素K的补充。避免饮酒、过度劳累和使用对肝脏有害的药物。</p><p>&nbsp; &nbsp; &nbsp; 二、药物治疗 早期应用干扰素300万U，皮下注射或肌注，隔日1次，3-6个月为一疗程。急性期黄疸者可予茵陈蒿汤治疗。恶心、厌油、呕吐者应给予葡萄糖加维生素C维生素B，或门冬氨酸钾镁溶液，静滴。也可用肝炎灵和病毒灵。　　</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('938', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1612', '预后', '<p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp;甲型肝炎预后良好，大多数于3个月内恢复健康。戊型肝炎病死率一般为1％-2％，最高达12％。 [预防] 隔离患者，甲型和戊型肝炎应加强个人卫生，粪便管理等。乙、丙、丁型肝炎应防止通过血液和体液的传播。易人群可接种甲型肝炎减毒活疫苗和乙型肝炎疫苗进行主动免疫；还可使用人血清或胎盘球蛋白防止甲型肝炎，或应用高滴度抗-HB-VlgG注射预防乙型肝炎。　　</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('949', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1613', '概述', '<p>&nbsp; &nbsp; 慢性肝炎是指由不同病因引起的，病程至少持续超过6个月以上的肝脏坏死和炎症，如感染肝炎病毒（乙肝病毒，丙肝病毒），长期饮酒，服用肝毒性药物等。临床上可有相应的症状、体征和肝生化检查异常，也可以无明显临床症状，仅有肝组织的坏死和炎症。病程呈波动性或持续进行性，如不进行适当的治疗，部分患者可进展为肝硬化。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('950', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1613', '临床表现', '<p>&nbsp; &nbsp; &nbsp;慢性肝炎轻、中度：典型慢性肝炎的早期症状轻微且缺乏特异性，呈波动性间歇性，甚至多年没有任何症状。最常见的就是容易疲劳和胃部不适，容易被忽略，也容易被误认为是胃病；临床上经常见到隐匿性肝硬化患者，在出现肝硬化之前，没有感觉到明显不适，也没有进行常规的体检，在不知不觉中逐步发展成为肝硬化；偶有患者出现恶心，腹胀、黄疸，尿色深，但依据症状不能判断出慢性肝炎的严重程度。</p><p>慢性肝炎重度及慢性重型肝炎：当患者尿色进行性加深，皮肤巩膜黄染进行性加深，乏力食欲下降越来越明显时，提示病情恶化，尤其需要警惕慢性重型肝炎的发生，慢性重型肝炎是肝衰竭的表现，可表现为高度乏力，高度腹胀，高度黄疸以及高度食欲不振，可出现低蛋白血症，腹水胸水，腹腔感染，凝血功能下降，上消化道出血，肝性脑病等，临床上死亡率较高，需要积极救治。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('951', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1613', '并发症', '<p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp; 慢性肝炎并发症较普遍，如慢性胆囊炎，肝性糖尿病，乙肝相关性肾病等，控制肝病稳定，有助于并发症的稳定。在慢性肝炎的基础上，当存在诱因如患者过度劳累、大量饮酒或者重叠感染其他肝炎病毒时，可以出现病情急剧加重，发展成为慢性重型肝炎。此外，如果慢性肝炎病情逐渐发展，会发展成肝硬化。慢性重型肝炎与肝硬化均是由慢性肝炎发展而来，病情严重甚至有生命危险，但不是慢性肝炎严格意义上的并发症。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('952', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1613', '诊断检查', '<p>慢性肝炎需要做如下检查：</p><p>&nbsp; &nbsp; &nbsp; (1)肝功能：包括血清ALT,AST, 总胆红素，直接胆红素，间接胆红素，白蛋白，球蛋白，胆碱酯酶，碱性磷酸酶，转肽酶等，了解肝脏损伤程度。</p><p>&nbsp; &nbsp; &nbsp; (2)凝血酶原时间（PT）及 PTA ：PT是反映肝脏凝血因子合成功能的重要指标， PTA是PT测定值的常用表示方法，对判断疾病进展及预后有较大价值，近期内PTA进行性降至40%以下为肝衰竭的重要诊断标准之一，&lt; 20%者提示预后不良。亦有采用国际标准化比值（INR）来表示此项指标者，INR值升高与PTA值下降意义相同。</p><p>&nbsp; &nbsp; &nbsp; (3)肝炎病毒学指标：乙肝五项，丙肝抗体，了解有无肝炎病毒感染。</p><p>&nbsp; &nbsp; &nbsp; (4)肿瘤标志：如甲胎蛋白AFP, CA199, AFU等，以早期发现肝癌。</p><p>&nbsp; &nbsp; &nbsp; (5)影像学：包括腹部肝胆脾彩超，了解肝脏有无慢性损伤以及早期筛查肝癌.必要时行腹部增强CT或核磁,以了解肝脏慢性损伤程度。</p><p>&nbsp; &nbsp; &nbsp; (6)肝脏瞬时弹性波扫描（Fibroscan）:是一种无创检查可用于慢性肝炎患者肝脏纤维化程度评估。慢性肝炎患者评估肝脏纤维化程度对于确定治疗方案非常重要。</p><p>&nbsp; &nbsp; &nbsp; (7)肝组织活检：仍然是评估患者肝脏损害程度的金标准，包括炎症分级与纤维化分期两个方面。</p><p></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('953', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1613', '鉴别诊断', '<p>慢性肝炎需要与慢性胃炎，慢性胆囊炎鉴别。依据以上检查，鉴别慢性肝炎不难。</p><p>&nbsp; &nbsp; &nbsp; 1) 慢性胃炎：表现为胃胀，胃部不适。化验肝功能正常，彩超肝脏无慢性损伤影像改变。无肝炎病毒感染标志。</p><p>&nbsp; &nbsp; &nbsp; 2) 慢性胆囊炎：表现为肝区不适，厌食油腻等，彩超显示有慢性胆囊炎改变，肝脏影像正常。化验肝功通常为正常，无肝炎病毒感染标志；当有胆结石梗阻时会出现黄疸，血清胆红素升高，胆管酶碱性磷酸酶（AKP, ALP）和转肽酶(r-GT, GGT)升高。常与慢性肝炎合并存在，为慢性肝炎的继发表现，掩盖慢性肝炎，需注意鉴别。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('954', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1613', '治疗', '<p>&nbsp; &nbsp; &nbsp;慢性肝炎的治疗包括多个方面，保肝、抗纤维化、抗病毒去除病因、预防肝癌等等，其中针对不同的病因并去除病因，是慢性肝炎治疗中最重要的原则。慢性乙肝病毒携带者需要定期体检复查，通常不需要治疗。</p><p>&nbsp; &nbsp; &nbsp; ①保肝治疗：药物种类比较多，包括甘草酸类制剂，水飞蓟素类制剂，五味子类制剂等。适用于所有的慢性肝炎病人。</p><p>&nbsp; &nbsp; &nbsp; ②抗纤维化治疗：多为中成药口服制剂，也适用于所有的慢性肝炎病人</p><p>&nbsp; &nbsp; &nbsp; ③注射干扰素抗病毒治疗：包括普通干扰素（2a，2b和1b）和聚乙二醇化干扰素（2a和2b），适用于慢性乙肝以及慢性丙肝患者，疗程至少1年。干扰素联合利巴韦林是慢性丙肝的标准治疗方案，疗效取决于HCV基因分型以及对治疗的应答快慢。治疗4周内出现丙肝病毒低于检测线者（俗称为阴转），称为有快速应答（RVR），此人群对干扰素治疗效果最好，痊愈率达到87%。</p><p>&nbsp; &nbsp; &nbsp; ④口服核苷类似物抗病毒治疗：这类药物只适用于治疗乙型肝炎,包括慢性乙型肝炎和乙肝肝硬化。在中国大陆有以下四种药物：拉米夫定（lamivudine， LAM），阿德福韦酯(adefovir dipivoxil, ADV)，替比夫定（telbivudine，LdT），恩替卡韦(entecavir, ETV)；国际上还有第五种药物：替诺福韦（tenofovir disoproxil fumarate，TDF），用于治疗对以上四种药物耐药的患者。核苷类似物的优点是抗病毒疗效好，副作用小，且服用方便，每日1片，在临床上得到广泛的应用，延长了肝硬化患者的生存期并明显改善了肝硬化患者的生活质量。缺点是需要长期服用，并且有耐药的风险。作为治疗慢性乙肝的特殊药品，必须在医生的指导下应用，并且需要定期复查乙肝病毒定量。若随意服药停药，会促进乙肝病毒耐药的发生及导致病情加重，甚至导致死亡。</p><p>&nbsp; &nbsp; &nbsp; ⑤免疫抑制剂：自身免疫性肝炎在保肝药物难以控制的肝功能反复时，行肝穿若提示肝内炎症活动明显，则需要使用糖皮质激素，或合并使用另 一种免疫抑制剂硫唑嘌呤，可促进病情的恢复。</p><p>&nbsp; &nbsp; &nbsp; ⑥预防肿瘤的发生：慢性肝炎病史长，发生肝癌的机率增加，补充微量元素硒有助于增强抗癌能力；此外注射胸腺肽提高免疫功能，也有利于增强预防肿瘤的能力。</p><p>&nbsp; &nbsp; &nbsp; ⑦去除病因：禁酒，停止服用损伤肝脏的药物：对于酒精性肝病以及药物性肝病患者尤其重要。对于其他原因导致的慢性肝炎也有重要意义。</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('955', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '187', '概述', '<p>&nbsp; &nbsp; &nbsp; 十二指肠溃疡是我国人群中常见病、多发病之一，是消化性溃疡的常见类型。好发于气候变化较大的冬春两季。男性发病率明显高于女性。与胃酸分泌异常、幽门螺杆菌（H.pylori）感染、非甾体抗炎药（NSAID）、生活及饮食不规律、工作及外界压力、吸烟、饮酒以及精神心理因素密切相关。十二指肠溃疡多发生在十二指肠球部（95%），以前壁居多，其次为后壁、下壁、上壁。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('956', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '187', '临床表现', '<p>&nbsp; &nbsp; &nbsp;主要临床表现为上腹部疼痛，可为钝痛、灼痛、胀痛或剧痛，也可表现为仅在饥饿时隐痛不适。典型者表现为轻度或中度剑突下持续性疼痛，可被制酸剂或进食缓解。临床上约有2/3的疼痛呈节律性：早餐后1～3小时开始出现上腹痛，如不服药或进食则要持续至午餐后才缓解。食后2～4小时又痛，进餐后可缓解。约半数患者有午夜痛，患者常可痛醒。节律性疼痛大多持续几周，随着缓解数月，可反复发生。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('957', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '187', '辅助检查', '<p>1.内镜（胃镜）检查<br/></p><p>可对十二指肠黏膜直接观察、摄像，还可在直视下取活组织作病理学检查。是诊断十二指肠溃疡的最主要方法。</p><p>2.X线钡餐检查</p><p>对心脑血管疾病或因其他原因而无法耐受内镜（胃镜）检查的患者可进行钡餐检查，可发现龛影；正面观龛影呈圆形或椭圆形，边缘整齐。因溃疡周围的炎性水肿而形成环形透亮区。</p><p>3.HP检测</p><p>4.胃液分析</p><p>正常男性和女性的基础酸排出量（BAO）平均分别为2.5和1.3mmol/h，（0～6mmol/h），男性和女性十二指肠溃疡患者的BAO平均分别为5.0和3.0mmol/h。当BAO&gt;10mmol/h，常提示胃泌素瘤的可能。五肽胃泌素按6μg/kg注射后，最大酸排出量（MAO），十二指肠溃疡者常超过40mmol/h，对溃疡病的诊断和鉴别诊断有参考价值。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('958', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '187', '诊断', '<p>&nbsp; &nbsp; &nbsp;根据临床表现及相关检查可诊断。十二指肠溃疡的诊断主要依靠典型的周期性上腹疼痛和内镜检查。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('959', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '187', '并发症', '<p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp; 十二指肠溃疡的常见并发症：穿孔（溃疡深大）、出血（溃疡侵及血管）和梗阻（因溃疡反复发生导致十二指肠管腔狭窄）。</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('960', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '187', '治疗', '<p>1.药物治疗</p><p>&nbsp; &nbsp; &nbsp; 目标是控制症状，促进溃疡愈合，预防复发及避免并发症。目前最常用的药物分为以下几类：</p><p>（1）抑制胃酸分泌药 目前临床上主要有H2受体拮抗剂（H2-RA）及质子泵抑制剂（PPI）。PPI促进溃疡愈合的速度较快、愈合率较高，是治疗十二指肠溃疡的首选用药。常用的PPI有奥美拉唑、泮托拉唑、兰索拉唑、雷贝拉唑、埃索美拉唑、艾普拉唑等。</p><p>（2）黏膜保护剂 与抑制胃酸药联用可提高溃疡愈合质量，减少溃疡复发。</p><p>（3）促胃肠动力药 主要用于出现恶心、呕吐、腹胀等症状的患者以促进胃肠排空，缓解症状。</p><p>（4）根除幽门螺杆菌</p><p>2.手术治疗</p><p>&nbsp; &nbsp; &nbsp; 主要用于治疗并发症（穿孔、出血、梗阻）。</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('961', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '186', '概述', '<p>&nbsp; &nbsp; &nbsp; 胃溃疡以反复发作的节律性上腹痛为临床特点，常伴有嗳气、返酸、灼热、嘈杂等感觉，甚至还有恶心、呕吐、呕血、便血。若作胃镜检查，可以清楚看见胃部有圆形、椭圆形溃疡灶。以往治疗胃溃疡多采用手术切除部分胃脏，后来研究出奥美拉唑等制酸剂，治疗消化性溃疡（胃溃疡、十二指肠溃疡）效果非常好，使得大部分患者可以免受手术之苦，但部分病情严重的患者，仍需手术，尤其是胃溃疡有恶变可能，治疗更应该慎重。</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('962', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '186', '临床表现', '<p>&nbsp; &nbsp; &nbsp;上腹痛:慢性、周期性节律性上腹痛是典型消化性溃疡的主要症状。</p><p>&nbsp; &nbsp; &nbsp; 疼痛产生的机理与下列因素有关：①溃疡及其周围组织的炎症病变可提高局部内脏感受器的敏感性，使痛阈降低；②局部肌张力增高或痉挛；③胃酸对溃疡面的刺激。</p><p>&nbsp; &nbsp; &nbsp; 其它临床表现:胃肠道症状及全身症状嗳气、反酸、胸骨后烧灼感、流涎、恶心、呕吐、便秘等可单独或伴疼痛出现。反酸及胸骨后烧灼感是由于贲门松弛，流涎（泛清水）是迷走神经兴奋增高的表现，恶心、呕吐多反映溃疡具有较高活动程度。频繁呕吐宿食，提示幽门梗阻。便秘较多见与结肠功能紊乱有关。部分患者有失眠、多汗等植物神经功能紊乱症状。本病活动期可有上腹部压痛，缓解期无明显体征。</p><p>&nbsp; &nbsp; &nbsp; 胃溃疡的体征在缓解期多不明显，发作期如无并发症，可仅于上腹部疼痛区有压痛点，一般较轻。后壁穿透性溃疡在背部11～12胸椎两旁常有压痛。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('963', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '186', '并发症', '<p>&nbsp; &nbsp; &nbsp; 出血：胃溃疡是上消化道出血的常见原因之一。出血是由于血管受到溃疡的侵蚀、破裂所致。毛细血管受损时，仅在大便检查时，发现隐血；较大血管受损时，出现黑便、呕血。一般出血前症状加重，出血后上腹部疼痛减轻或消失。</p><p>&nbsp; &nbsp; &nbsp; 胃穿孔：溃疡深达浆膜层时可发生急性胃穿孔，内容物溢入腹腔，导致急性弥漫性腹膜炎。表现为突然上腹部剧痛、恶心、呕吐、腹部呈板样， 有明显压痛及反跳痛，肝浊音界及肠鸣音消失，腹部透视见膈下游离气体，部分患者呈休克状态。</p><p>&nbsp; &nbsp; &nbsp; 幽门梗阻：幽门溃疡可致幽门括约肌痉挛，溃疡周围组织充血水肿，妨碍幽门过道的通畅，造成暂时幽门梗阻。在溃疡愈合后，因瘢痕形成或周围组织粘连引起持久性的器质性幽门狭窄。表现为胃排空时间延长，上腹疼痛，胀满不适，餐后加重，常伴有胃蠕动波、蠕动音、震水音；后期无蠕动波但可见扩大的胃型轮廓，往往大量呕吐，吐后上述症状减轻或缓解，呕吐物常为隔宿食物，味酸臭。</p><p>&nbsp; &nbsp; &nbsp; 癌变：少数胃溃疡可发生癌变，十二指肠溃疡则否。胃溃疡癌变发生于溃疡边缘，据报道癌变率在1％左右。长期慢性胃溃疡病史、年龄在45岁以上、溃疡顽固不愈者应提高警惕。对可疑癌变者，在胃镜下取多点活检做病理检查；在积极治疗后复查胃镜，直到溃疡完全愈合；必要时定期随访复查。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('964', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '186', '辅助检查', '<p>胃镜及胃粘膜活组织检查是确诊消化性溃疡首选的检查方法。可行以下检查以明确诊断：</p><p>&nbsp; &nbsp; &nbsp; 一、胃镜检查，可于胃部见圆或椭圆、底部平整、边缘整齐的溃疡。根据溃疡面所见，可分为：①活动期：溃疡面为灰白或褐色苔膜覆盖，边缘肿胀，色泽红润、光滑而柔软。②愈合期：苔膜变薄，溃疡缩小，其周围可见粘膜上皮再生的红晕;或溃疡面几乎消失，其上有极少的薄苔。③瘢痕期：溃疡面白苔已消失，变成红色充血的瘢痕;可见皱襞集中。</p><p>&nbsp; &nbsp; &nbsp; 二、X线钡餐检查:　龛影为溃疡病的直接征象。切线位，龛影凸出于胃内壁轮廓之处，呈乳头状或半圆形;正位，龛影为圆形或椭圆形，其边缘光滑整齐。　龛影周围粘膜纹：切线位，龛影与胃交界处显示1～2mm的透明细线影，见于龛影的上缘或下缘，或龛影的整个边缘。　</p><p>“狭颈征”：切线位，龛影口部与胃腔交界处有约0.5～1cm一段狭于龛影的口径，称为“狭颈征”。　</p><p>“项圈征”：在龛影口部有一边缘光滑细线状密度减低区，如颈部戴的项圈。　</p><p>龛影周围的“日晕征”：正位，龛影周围有宽窄不一致的透亮带，边缘光滑。　</p><p>以龛影为中心的粘膜皱襞纠集;呈放射状分布，其外围逐渐变细消失，为慢性溃疡的另一征象。　</p><p>溃疡病的其他X线征象：　(1)胃大弯侧指状切迹;　(2)胃小弯侧缩短;　(3)胃角切迹增宽;　(4)幽门管狭窄性梗阻，胃内滞留液。</p><p>&nbsp; &nbsp; &nbsp; 三、幽门螺杆菌检测：幽门螺杆菌检测应列为消化性溃疡诊断的常规检查项目，因为有无幽门螺杆菌感染决定治疗方案的选择。检测方法分为侵入性和非侵人性两大类。前者需通过胃镜检查取胃黏膜活组织进行检测，主要包括快速尿素酶试验、组织学检查和幽门螺杆菌培养；后者主要有13C或14C尿素呼气试验、粪便幽门螺杆菌抗原检测及血清学检查（定性检测血清抗幽门螺杆菌IgG抗体）。</p><p>快速尿素酶试验是侵入性检查的首选方法，操作简便、费用低。组织学检查可直接观察幽门螺杆菌，与快速尿素酶试验结合，可提高诊断准确率。幽门螺杆菌培养技术要求高，主要用于科研。13C或14C尿素呼气试验检测幽门螺杆菌敏感性及特异性高而无需胃镜检查，可作为根除治疗后复查的首选方法。</p><p>应注意，近期应用抗生素、质子泵抑制剂、铋剂等药物，因有暂时抑制幽门螺杆菌作用，会使上述检查（血清学检查除外）呈假阴性。</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('965', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '186', '诊断', '<p>（1）慢性病程，周期性发作，常与季节变化、精神因素、饮食不当有关；或长期服用能致溃疡的药物如阿司匹林等。</p><p>（2）上腹隐痛、灼痛或钝痛，服用碱性药物后缓解。典型胃溃疡常于剑突下偏左，好发于餐后半小时到1～2小时，痛常伴反酸嗳气。</p><p>（3）基础泌酸量及最大泌酸量测定有助诊断。胃溃疡的基础泌酸量正常或稍低，但不应为游离酸缺乏。</p><p>（4）溃疡活动期大便隐血阳性。</p><p>（5）X线钡餐检查可见龛影及粘膜皱襞集中等直接征象。单纯局部压痛，激惹变形等间接征象仅作参考。</p><p>（6）胃镜检查，可于胃部见圆或椭圆、底部平整、边缘整齐的溃疡。根据溃疡面所见，可分为：①活动期：溃疡面为灰白或褐色苔膜覆盖，边缘肿胀，色泽红润、光滑而柔软。②愈合期：苔膜变薄，溃疡缩小，其周围可见粘膜上皮再生的红晕；或溃疡面几乎消失，其上有极少的薄苔。③瘢痕期：溃疡面白苔已消失，变成红色充血的瘢痕；可见皱襞集中。</p><p>具备以上(1)(2)(5)或(2)(6)项者可作胃溃疡诊断，对诊断为胃溃疡者须与恶性溃疡鉴别，凡能进行胃镜检查者应做胃粘膜活检予以确诊。如果确认请及时去医院就诊。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('966', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '186', '治疗', '<p>药物治疗：治疗胃溃疡，关键是抗幽门螺杆菌治疗、制酸剂的应用。</p><p>&nbsp; &nbsp; &nbsp; （一）对幽门螺杆菌感染引起的胃溃疡，根除幽门螺杆菌不但可促进溃疡愈合，而且可预防溃疡复发，从而彻底治愈溃疡。因此，凡有幽门螺杆菌感染的消化性溃疡，无论初发或复发、活动或静止、有无合并症，均应予以根除幽门螺杆菌治疗。已证明在体内具有杀灭幽门螺杆菌作用的抗生素有克拉霉素、阿莫西林、甲硝唑（或替硝唑）、四环素、呋喃唑酮、某些喹喏酮类如左氧氟沙星等。PPI（质子泵抑制剂，比如奥美拉唑）及胶体铋体内能抑制幽门螺杆菌，与上述抗生素有协同杀菌作用。目前尚无单一药物可有效根除幽门螺杆菌，因此必须联合用药。</p><p>&nbsp; &nbsp; &nbsp; （二）治疗消化性溃疡的药物可分为抑制胃酸分泌的药物和保护胃黏膜的药物两大类，主要起缓解症状和促进溃疡愈合的作用，常与根除幽门螺杆菌治疗配合使用。制酸剂只要有两大类：</p><p>质子泵抑制剂：奥美拉唑、雷贝拉唑、泮托拉唑等。</p><p>H2受体拮抗剂：西咪替丁、雷尼替丁、法莫替丁、尼扎替丁等。</p><p>此外尚有一些碱性抗酸剂，目前用的比较少，主要有氢氧化铝、铝碳酸镁等及其复方制剂。</p><p>&nbsp; &nbsp; &nbsp; （三）治疗胃溃疡的药物合用，如图：</p><p style=\"text-align: center;\">根除幽门螺杆菌的常用三联治疗方案<br/></p><table><tbody><tr class=\"firstRow\"><td width=\"361\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\" rowspan=\"6\" colspan=\"1\">质子泵抑制剂或胶体铋<br/><br/>PPI常规剂量的倍量/日<br/><p>(如奥美拉唑40mg/L)</p><p><br/></p>枸橼酸铋钾（胶体次枸橼酸铋）480mg/d<br/>选择一种</td><td width=\"361\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\" rowspan=\"6\" colspan=\"1\">抗菌药物<br/>克拉霉素1000mg/d<br/>阿莫西林2000mg/d<br/>甲硝唑800mg/d<br/>选择2种<br/>上述剂量分2次服，疗程7-14天</td></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr></tbody></table><p>*注：目前国内多采用7天疗程，但国外有报道10天疗程效优于7天，14天又优于10天。</p><p>手术治疗<br/></p><p>&nbsp; &nbsp; &nbsp; 由于内科治疗的进展，目前外科手术主要限于少数有并发症者，包括：①大量出血经内科治疗无效；②急性胃穿孔；③瘢痕性幽门梗阻；④胃溃疡癌变；⑤严格内科治疗无效的顽固性溃疡。手术治疗主要是胃大部分切除术、胃迷走神经切断术、高选择性迷走神经切断术等。</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('977', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1616', '概述', '<p>&nbsp; &nbsp; &nbsp; 本病主要见于亚洲和非洲的一些发展中国家。一般在发达国家以散发病例为主，发展中国家以流行为主。自1980年后中国新疆地区曾有数次流行，其他各地均有散发性戊型肝炎的报告，约占急性散发性肝炎10%，至少已有6个省市自治区曾报告发生戊型肝炎暴发流行。其流行特点似甲型肝炎，经粪-口途径传播。以水型流行最常见，少数为食物型暴发或日常生活接触传播。具有明显季节性，多见于雨季或洪水之后；发病人群以青壮年为主，孕妇易感性较高，病情重且病死率高；无家庭聚集现象。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('978', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1616', '临床表现', '<p>&nbsp; &nbsp; &nbsp;潜伏期10～60日，平均40日。一般起病急，黄疸多见。半数有发热，伴有乏力、恶心、呕吐、肝区痛。约1/3有关节痛。常见胆汁淤积状，如皮肤瘙痒、大便色变浅较甲型肝炎明显。多数肝大，脾大较少见。大多数病人黄疸于2周左右消退，病程6～8周，一般不发展为慢性。孕妇感染HEV病情重，易发生肝功能衰竭，尤其妊娠晚期病死率高，可见流产与死胎，其原因可能与血清免疫球蛋白水平低下有关。HBsAg阳性者重叠感染HEV，病情加重，易发展为急性重型肝炎。</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('979', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1616', '辅助检查', '<p>特异血清病原学检查是确诊的依据。</p><p>1.酶联免疫试验（ELISA）</p><p>检测血清中抗-HEV IgM，为确诊急性戊型肝炎的指标。</p><p>2.蛋白吸印试验（WB）</p><p>此法较ELISA法灵敏和特异，但操作方法较复杂，检测所需时间较长。</p><p>3.聚合酶链反应（PCR）</p><p>用以检测戊型肝炎患者血清和粪便中HEV-RNA，本法灵敏度高，特异性强，但在操作过程中易发生实验室污染而出现假阳性。</p><p>4.免疫电镜技术（IEM）和免疫荧光法（IF）</p><p>用以检测戊型肝炎患者粪便、胆汁和肝组织中HEV颗粒和HEV抗原（HEAg）。但此两种方法均需特殊设备和技术，且HEV在肝组织、胆汁和粪便中存在时间较短，阳性率较低，不宜作为常规检查。</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('980', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1616', '诊断', '<p>应根据临床特点、肝功能检查，参考流行病学资料。排除HAV、HBV、HCV感染和其他原因引起的急性肝损害。</p><p>1.急性戊型肝炎的诊断</p><p>（黄疸型/无黄疸型）</p><p>（1）病人接触史或高发区居留史：发病前2～6周内接触过肝炎病人或饮用过被污染的水、外出用餐、到过戊肝高发区和流行区。</p><p>（2）持续一周以上乏力，食欲减退或其他消化道症状，肝大，伴叩击痛。</p><p>（3）血清转氨酶明显升。</p><p>（4）血清病原学检验排除急性甲、乙、丙、庚型肝炎。</p><p>（5）皮肤巩膜黄染，血清胆红素大于17.1μmol/L，尿胆红素阳性并排除其他疾病所致的黄疸。</p><p>（6）血清学检验抗HEV-IgM阳性，抗HEV-IgG由阴转阳或抗体滴度由低转高4倍以上。</p><p>2.急性重型戊型肝炎</p><p>（1）符合急性黄疸型戊型肝炎的诊断标准。</p><p>（2）起病10天内出现精神，神经症状（指肝性脑病）。</p><p>（3）黄疸迅速加深，血清胆红素大于171μmol/L。</p><p>（4）凝血酶原时间延长，凝血酶原活动度低于40%。</p><p>3.亚急重型性戊型肝炎</p><p>（1）符合急性黄疸型肝炎的诊断标准。</p><p>（2）起病后10天以上出现以下情况者。①高度乏力和明显食欲不振，恶心，呕吐，皮肤巩膜黄染，重度腹胀或腹腔积液；②血清胆红素上升&gt;171μmol/L.或每日升高值大于17.1μmol/L。③血清凝血酶原时间显著延长，凝血酶原活度低于40%。④意识障碍。</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('981', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1616', '鉴别诊断', '<p>戊肝与甲肝相比，具有以下几个突出特征。</p><p>1.易发季节</p><p>多发于高温多雨季节，尤其在洪涝灾害造成粪便对水源广泛污染的地区。</p><p>2.潜伏期较长</p><p>多在2～9周之间，平均为6周。</p><p>3.患者发病年龄较大</p><p>以20岁以上的青壮年人发病率最高，在儿童中可能为临床感染。</p><p>4.粪便检查</p><p>患者早期粪便中可以检查出戊性肝炎病毒颗粒，但很快会自行消失。</p><p>5.其他</p><p>戊型肝炎多数病例症状较轻，黄疸不很严重。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('982', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1616', '治疗', '<p>&nbsp; &nbsp; &nbsp;适当休息、合理营养为主，选择性使用药物为辅。应忌酒、防止过劳及避免应用损肝药物。</p><p>1.休息</p><p>&nbsp; &nbsp; &nbsp; 早期严格卧床休息最为重要，症状明显好转可逐渐增加活动量，以不感到疲劳为原则，治疗至症状消失，隔离期满。经1～3个月休息，逐步恢复工作。</p><p>2.饮食</p><p>&nbsp; &nbsp; &nbsp; 以合乎患者口味，易消化的清淡食物为宜。应含多种维生素，有足够的热量及适量的蛋白质，脂肪不宜限制过严。</p><p>3.如进食少或有呕吐者</p><p>&nbsp; &nbsp; &nbsp; 应用10%葡萄糖液1000～1500ml加入维生素C3g、肝太乐、普通胰岛素，静脉滴注，每日1次。也可加入能量合剂及10%氯化钾。热重者可用菌陈胃苓汤加减；湿热并重者用菌陈蒿汤和胃苓合方加减；肝气郁结者用逍遥散；脾虚湿困者用平胃散。有主张黄疸深者重用赤芍有效。一般急性肝炎可治愈。</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('988', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '314', '概述', '<p>&nbsp; &nbsp; &nbsp; 心功能不全是指在静脉回流正常的情况下，心脏排出的血液不足以维持组织代谢需要的一种病理状态。临床上以心排出量不足、组织血流量减少、和肺循环和(或)体循环淤血为特征。故又称充血性心力衰竭。</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('989', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '314', '原因', '<p>① 原发性心肌收缩力减弱，如各种心肌炎、心肌病和缺血性心脏病等。<br/></p><p>② 心脏负荷过重，包括前负荷(容量负荷)和后负荷(阻力负荷)过重。长期负荷过重可引起继发性心肌收缩力减弱。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('990', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '314', '诊断', '<p>1. 症状<br/></p><p>&nbsp; &nbsp; &nbsp; 右心衰病理基础为体循环淤血所致。常见食欲不振、恶心呕吐、尿少、浮肿等。</p><p>2. 体征</p><p>&nbsp; &nbsp; &nbsp; ① 颈静脉怒张，肝颈回流征(+)。</p><p>&nbsp; &nbsp; &nbsp; ② 肝脏肿大或压痛。</p><p>&nbsp; &nbsp; &nbsp; ③ 水肿：为下垂性凹陷性，在身体的下垂部位，起床活动者以脚、踝内侧和胫前明显，仰卧者为骶部水肿。重者全身水肿，伴胸水、腹水。</p><p>&nbsp; &nbsp; &nbsp; ④ 右心室增大或全心增大</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('991', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '314', '鉴别诊断', '<p>&nbsp; &nbsp; &nbsp;1)缺血性心脏病是由于冠脉循环改变引起冠脉血流和心肌需求之间不平衡而导致的心肌损害。其中最常见的原因是冠状动脉粥样硬化引起的冠状动脉狭窄和闭塞，约占缺血性心脏病的90%左右。</p><p>&nbsp; &nbsp; &nbsp; 2)心肌病通常指病因不能明确的心肌疾病，称特发性心肌病，主要为扩张型心肌病、肥厚型心肌病、限制型心肌病和致心律失常型心肌病。其中以扩张型心肌病和肥厚型心肌病较为常见。</p><p>1. 症状</p><p>&nbsp; &nbsp; &nbsp; 右心衰病理基础为体循环淤血所致。常见食欲不振、恶心呕吐、尿少、浮肿等。</p><p>2. 体征</p><p>&nbsp; &nbsp; &nbsp; ① 颈静脉怒张，肝颈回流征(+)。</p><p>&nbsp; &nbsp; &nbsp; ② 肝脏肿大或压痛。</p><p>&nbsp; &nbsp; &nbsp; ③ 水肿：为下垂性凹陷性，在身体的下垂部位，起床活动者以脚、踝内侧和胫前明显，仰卧者为骶部水肿。重者全身水肿，伴胸水、腹水。</p><p>&nbsp; &nbsp; &nbsp; ④ 右心室增大或全心增大。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('992', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '314', '治疗', '<p>&nbsp; &nbsp; &nbsp;1.按心功能不全给予一般处理和护理。</p><p>&nbsp; &nbsp; &nbsp; 2.应用强心药物。一般可静脉注入西地兰0.4mg(加葡萄糖液20ml稀释)，必要时4～6h重复0.2～0.4mg;亦可用毒毛旋花子甙。同时存在烧伤休克者，可静脉滴入多巴胺或多巴酚丁胺;心率不超过110/min时，也可静脉滴入异丙基肾上腺素。</p><p>&nbsp; &nbsp; &nbsp; 3.因心脏负荷重引起的心功能不全、中心静脉压升高者，应使用利尿剂;同时伴周围血管阻力增高者,可使用血管扩张剂。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('993', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '491', '概述', '<p>&nbsp; &nbsp; &nbsp; 脂肪肝，是指由于各种原因引起的肝细胞内脂肪堆积过多的病变。脂肪性肝病正严重威胁国人的健康，成为仅次于病毒性肝炎的第二大肝病。脂肪肝是一种常见的临床现象，而非一种独立的疾病。其临床表现轻者无症状，重者病情凶猛。一般而言，脂肪肝属可逆性疾病，早期诊断并及时治疗常可恢复正常。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('994', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '491', '临床表现', '<p>&nbsp; &nbsp; &nbsp; &nbsp;脂肪肝的临床表现多样，轻度脂肪肝多无临床症状。仅有疲乏感，而多数脂肪肝患者较胖。脂肪肝病人多于体检时偶然发现。中、重度脂肪肝有类似慢性肝炎的表现，可有食欲不振、疲倦乏力、恶心、呕吐、肝区或右上腹隐痛等。肝脏轻度肿大可有触痛，质地稍韧、边缘钝、表面光滑，少数病人可有脾肿大和肝掌。当肝内脂肪沉积过多时，可使肝被膜膨胀、肝韧带牵拉，而引起右上腹剧烈疼痛或压痛、发热、白细胞计数增多，误诊为急腹症而作剖腹手术。此外，脂肪肝病人也常有舌炎、口角炎、皮肤淤斑、四肢麻木、四肢感觉异常等末梢神经炎的改变。少数病人也可有消化道出血、牙龈出血、鼻衄等。重度脂肪肝患者可以有腹腔积液和下肢水肿、电解质紊乱如低钠、低钾血症等，脂肪肝表现多样，遇有诊断困难时，可做肝活检确诊。<br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('995', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '491', '诊断', '<p>1.无饮酒史或饮酒折合乙醇量男性每周140克，女性70克。</p><p>2.排除病毒性肝炎、药物性肝病、全胃肠外营养、肝豆状核变性等可导致脂肪肝的特定疾病。</p><p>3.除原发疾病临床表现外，有乏力、消化不良、肝区隐痛、肝脾肿大等非特异性症状及体征。</p><p>4.可有超重/内脏性肥胖、空腹血糖增高、血脂紊乱、高血压等代谢综合征。</p><p>5.血清转氨酶和谷氨酰转肽酶水平可由轻至中度增高，通常以丙氨酸氨基转移酶升高为主。</p><p>6.肝脏影像学表现符合弥漫性脂肪肝的影像学诊断标准。</p><p>7.肝活检组织学改变符合脂肪性肝病的病理学诊断标准。</p><p>凡具备上述第1～5项和第6或第7项中任何一项者即可诊断为脂肪肝。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('996', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '491', '并发症', '<p>脂肪肝可以是一个独立的疾病也可以是某些全身性疾病的并发表现：</p><p>1.常并发有酒精中毒的其他表现</p><p>如酒精依赖，胰腺炎、周围神经炎、贫血舌炎、酒精性肝炎、肝硬化等。</p><p>2.营养过剩型脂肪肝</p><p>如：肥胖症、糖尿病、高脂血症、高血压、冠状动脉粥样硬化性心脏病（简称冠心病）、痛风、胆石症等。</p><p>3.营养不良性脂肪肝常与慢性消耗性疾病并存</p><p>如结核病、溃疡性结肠炎等。</p><p>4.妊娠急性脂肪肝</p><p>常并发有肾功能衰竭、低血糖、胰腺炎、败血症、弥散性血管内凝血（DIC）等。</p><p>5.重症脂肪肝患者</p><p>可以有腹腔积液和下肢水肿，其他还可有蜘蛛痣、男性乳房发育、睾丸萎缩、阳痿、女子有闭经、不孕等。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('997', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '491', '治疗', '<p>1.一般治疗</p><p>&nbsp; &nbsp; &nbsp; （1）找出病因如长期大量饮酒者应戒酒。营养过剩、肥胖者应严格控制饮食，使体能恢复正常。有脂肪肝的糖尿病人应积极有效地控制血糖。营养不良性脂肪肝患者应适当增加营养，特别是蛋白质和维生素的摄入。</p><p>&nbsp; &nbsp; &nbsp; （2）调整饮食结构 提倡高蛋白质、高维生素、低糖、低脂肪饮食。不吃或少吃动物性脂肪、甜食（包括含糖饮料）。多吃青菜、水果和富含纤维素的食物，以及高蛋白质的瘦肉、河鱼、豆制品等，不吃零食，睡前不加餐。</p><p>&nbsp; &nbsp; &nbsp; （3）适当增加运动 促进体内脂肪消耗。行走、仰卧起坐或健身器械锻炼都是很有益的。</p><p>&nbsp; &nbsp; &nbsp; （4）补硒 能让肝脏中谷胱甘肽过氧化物酶的活性达到正常水平，对养肝护肝起到良好作用，硒麦芽粉、五味子为主要原料制成的养肝片，具有免疫调节的保健功能，对化学性肝损伤有辅助保护作用，有养肝、保肝、护肝作用。</p><p>2.药物治疗</p><p>&nbsp; &nbsp; &nbsp; 到目前为止，西药尚无防治脂肪肝的有效药物，以中药长期调理性的治疗较好。西药常选用保护肝细胞、去脂药物及抗氧化剂等，如维生素B、C、E，卵磷脂、熊去氧胆酸、水飞蓟素、肌苷、辅酶A、还原型谷胱甘肽、牛磺酸、肉毒碱乳清酸盐、肝泰乐，以及某些降脂药物等。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('998', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '875', '概述', '<p>&nbsp; &nbsp; &nbsp;临床中，诊断为肾小球肾炎、隐匿性肾炎、肾盂肾炎、过敏性紫癜肾炎、红斑狼疮肾炎、痛风肾、iga肾病、肾病综合征、膜性肾病、肾病综合征、糖尿病肾病、高血压肾病、多囊肾，等等，当这些肾病的发病迁延难愈，时间超过三个月，病人尿液和相关的血液指标出现异常，肾脏病理学、影像学发现异常，或肾脏的肾小球有效滤过率低于60%，都可统称为“慢性肾病”。慢性肾病如未能及时有效救治，导致病情恶化进展，则随病程迁延，慢性肾病患者将发展成为慢性肾功能不全、肾衰竭，最终形成尿毒症。</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('999', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '875', '临床表现', '<p><br/></p><p>&nbsp; &nbsp; &nbsp; 肾炎的水肿一般是眼睑水肿，以清晨起床后最为常见。但正常人在睡眠不足的情况下，清晨起床后也会出现眼睑水肿，起来活动后就会消退。</p><p>&nbsp; &nbsp; &nbsp; 有一部分慢性肾炎患者是以高血压为表现的，但由于发病年龄集中在青壮年，心脏和血管条件都很好，代偿能力很强，许多人都是在偶 然间发现自己血压高的，而更多人特别是年轻人，没有头晕、心悸的感觉，因此血压高了容易被忽略。</p><p>&nbsp; &nbsp; &nbsp; 另外，还有一部分患者血压高在疾病的晚期由于肾脏功能失代偿才表现出来。，一般出现肉眼血尿的情况大都不是由于慢性肾炎引起，而是泌尿系统的其他疾病，而慢性肾炎的血尿大都是镜下血尿。通常，尿常规检查尿中出现尿蛋白和红细胞，则可能为慢性肾病早期发生的预警信号。早期慢性肾病的症状不显见，如一般的慢性肾炎患者都没有特别明显的不适症状。故有尿液异常时，建议就医检查诊断。一旦病人感觉自身有明显疲劳、贫血等非常明显的症状出现才去就医时，可能慢性肾病病情已经过了早期阶段了，这样将为慢性肾病的后期治疗带来更大的难度。</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1000', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '875', '治疗', '<p>（一）活血扩张各级动脉</p><p>&nbsp; &nbsp; &nbsp; 活血、通络扩张各级动脉，改善微循环障碍(激活受损肾脏固有细胞代谢功能)过程</p><p>&nbsp; &nbsp; &nbsp; 该过程的治疗原则:</p><p>1、扩张肾动脉及消化道动脉，增加肾脏以及全身的有效血流灌注量;</p><p>2、改善局部微循环障碍，增加供氧，增强新陈代谢;</p><p>3、缓解因缺氧而导致的内环境紊乱状态;</p><p>4、减轻中毒症状。</p><p>（二）祛淤、清毒过程</p><p>&nbsp; &nbsp; &nbsp; 祛淤、清毒(致纤维细胞的降解、凋亡)过程</p><p>&nbsp; &nbsp; &nbsp; 该过程的治疗原则</p><p>1、中药活性物质靶向定位于受损的肾脏纤维化组织、肌成纤维细胞和免疫复合物;</p><p>2、与病灶纤维化组织、肌成纤维细胞和免疫复合物紧密融合;</p><p>3、融合后，释放一系列有效药物成分，对病灶纤维化组织与免疫复合物进行攻击，导致纤维化组织与肌成纤维细胞破碎，并激活吞噬细胞对其吞噬后排出体外。</p><p>4、中药活性物质还可激活一系列降解酶，对细胞外基质和免疫复合物进行降解，阻断纤维化恶化链。</p><p>（三）修复重建生新过程</p><p>&nbsp; &nbsp; &nbsp;该过程的治疗原则</p><p>1、激活受损肾脏细胞的代谢功能;</p><p>2、改善肾衰患者的内环境紊乱和缺氧状态，为修复创造良好环境;</p><p>3、供给修复肾脏必需的物质：维生素、微量元素、氨基酸和蛋白质;</p><p>4、修复肾小球机械屏障与电荷屏障的组织结构，恢复肾小球选择性滤过功能。</p><p>（四）饮食</p><p>&nbsp; &nbsp; &nbsp; 首先掌握好蛋白质摄入量，一般成人每日每公斤体重0.8克左右，少年儿童可适度增加，可食用豆类、乳类、蛋类等食品，避免食用动物内脏、无鳞鱼，不建议肾病患者吃“蛋白粉”。其次宜选用富含维生素A、B及C的食物，如蔬菜、瓜果类等。伴有高血压给予低盐饮食。伴有高脂血症者，须限制膳食中的饱和脂肪酸与胆固醇的含量。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1001', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '875', '预后', '<p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp;肾活检的病理学分型对预后的判断比较可靠，一般认为微小病变型肾病和单纯的系膜增殖性肾炎预后较好，膜性肾病进展较慢，其预后较膜增殖性肾炎好，后者大部分病例在数年内出现肾功能不全，局灶性节段性肾小球硬化预后亦差。近年来的研究表明，除了肾小球病变外，肾小管、肾内血管及肾间质病变的程度明显影响预后。肾小管萎缩、肾内小血管硬化、肾间质大量淋巴细胞浸润及间质纤维化则预后较差。</p><p style=\"white-space: normal;\">临床观察：</p><p style=\"white-space: normal;\">①发病前有溶血性链球菌感染史者较无链球菌感染史者预后好。</p><p style=\"white-space: normal;\">②患者仅有蛋白尿或伴血尿，或者仅有血尿，而无其它临床症状者，预后较好。</p><p style=\"white-space: normal;\">③慢性肾炎高血压型预后相对较差。若使用降压药，血压能降至正常或正常略高者，预后相对好些。血压超过22．7/14．7千帕(170/110毫米汞柱)，使用一般降压药无效者，预后较差。</p><p style=\"white-space: normal;\">④出现持续性血尿者，肾功能恶化较快。</p><p style=\"white-space: normal;\">⑤肾功能减退，出现氮质血症者预后差。</p><p style=\"white-space: normal;\">（一）间质性肾炎的预后</p><p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp; 慢性间质性肾炎的病预后随病因及肾功能损害程度而异。病因能被彻底清除时，慢性间质性肾炎可以治愈。若已至发展慢性肾功能不全阶段，则多形成慢性肾功能衰竭，预后不良。</p><p style=\"white-space: normal;\">肾病综合征的预后</p><p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp; 肾病综合征的预后因病因、病理类型的不同，以及是否得到合理治疗等因素而存在着很大的差异。在估计肾综的预后时，下列因素可作为参考：</p><p style=\"white-space: normal;\">(1)年龄：儿童原发性肾病综合征中，微小病变病占80%，2—6岁年龄组中微小病变肾病达85%，随着年龄的增长而逐渐减少。在大于30岁成人中只占20%。因该型肾病综合征预后良好，因而有54%的儿童肾病综合征可完全缓解，成人仅21%可完全缓解。但在小儿，发病年龄越小，病死率越高。也有人对此持不同看法。英国有个统计数字表明，儿童肾病综合征约15%成年后继续有症状。</p><p style=\"white-space: normal;\">(2)血尿：血尿不明显的属肾病综合征1型，病理上多为微小病变病或轻度系膜增殖性肾炎，预后较好。明显血尿的属肾病综合征Ⅱ型，预后不佳。</p><p style=\"white-space: normal;\">(3)蛋白尿：选择性蛋白尿表明病变轻，预后较好，非选择性蛋白尿预后差。如果早期有严重蛋白尿者，肾功能衰竭出现较早，预后差。</p><p style=\"white-space: normal;\">(4)高血压及氮质血症：常见于肾病综合征Ⅱ型，对激素治疗不敏感，预后不良。</p><p style=\"white-space: normal;\">(5)血清胆固醇：血清胆固醇升高多见于微小病变病，其他疾病升高的幅度较低，而系统性红斑狼疮引起的继发性肾病综合征，血清胆固醇正常，故可认为血清胆固醇升高者，预后较好。但儿童血清胆固醇高于20．8mmol/L者，病死率高。</p><p style=\"white-space: normal;\">(6)开始治疗的时间：早确诊，早治疗，预后相对较好。成人肾病综合征起病后6个月以上才开始用皮质激素治疗者预后差。有人报告68例肾病综合征，病程在6个月以上才开始激素治疗者无1例缓解，而病程少于6个月就开始激素治疗的，有15%病例完全或部分缓解。</p><p style=\"white-space: normal;\">(7)浮肿出现的时间：有统计表明，成人肾病综合征在首次出现浮肿后的第3—4年发生终末期肾功能衰竭的人数最多。</p><p style=\"white-space: normal;\">(8)对激素的反应：肾病综合征病人如果一开始就对皮质激素治疗反应不良者，预示治疗困难，预后不良。</p><p style=\"white-space: normal;\">（二）IGA肾病预后</p><p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp; 本病预后一般，少数人可以缓解，大部分病情进展缓慢，部分最终发生肾功能衰竭。与预后相关的因素有：</p><p style=\"white-space: normal;\">1. 男性，且起病年龄较大者（大于40岁）预后较差。</p><p style=\"white-space: normal;\">2. 伴有高血压，尤其是难以控制的高血压，预后较差。</p><p style=\"white-space: normal;\">3. 肾活检病理检查呈弥漫性、增生性肾小球损害，尤其是伴有新月体形成；局灶性节段性肾小球硬化者，预后差。</p><p style=\"white-space: normal;\">（三）多囊肾的预后</p><p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp; 多囊肾患者的个体差异性较大，其病程的长短与有无合并症密切相关。如患者有较多的合并症及进行性尿毒症时，其预后较差；?而有的患者，虽有肾功能不全，但并无合并症，其病程进展缓慢，预后相对较好。故临床上对多囊肾合并症处理的好坏可成为决定预后的关键。本病出现临床症状的年龄越轻其预后越差。一般在症状出现后可存活10年左右，若不做透析疗法和肾移植，平均死亡年龄约50岁。本病死亡的主要原因为肾功能衰竭、心力衰竭、颅内出血及肺部感染等。</p><p style=\"white-space: normal;\">（四）膜性肾病的预后</p><p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp; 本病是一个缓慢发展相对良性的疾病，据世界各地报告10年存活率在80%左右。影响本病预后的因素比较公认的为大量蛋白尿及肾功能损害，其他因素各家分析结果不一。　</p><p style=\"white-space: normal;\">(1)年龄：儿童预后较好，10年存活率可达90%以上，大部分在诊断后5年内蛋白尿会自发性完全缓解，成人则大约是25%，通常在起病后3年以上方会发生。</p><p style=\"white-space: normal;\">(2)性别： Kincaid-Smith报道本病于妇女为肯定良性疾病。5年、10年及15年的生存率均为99%，但若本病妇女妊娠则会加重病情的发展。</p><p style=\"white-space: normal;\">(3)蛋白尿程度：已公认蛋白尿程度影响预后，起病肾活检时有肾病综合征者，10年、15年存活率分别为76%及60%；而无肾病综合征者10年、15年存活率均在98%。另外，可依据蛋白尿程度及持续时间作粗略估计：①蛋白尿≥8g/d持续6个月以上者，预后不良的出现率为66%；②蛋白尿≥6g/d持续9个月以上者，预后不良出现率为55%。</p><p style=\"white-space: normal;\">(4)高血压：有难以控制的高血压者预后不良。</p><p style=\"white-space: normal;\">(5)肉眼血尿：本病一般不出现肉眼血尿，若出现肉眼血尿，可提示转变为新月体型肾炎，预后不好。</p><p style=\"white-space: normal;\">(6)肾功能：公认肾功能是决定预后的一个指标，起始肾功能及肌酐清除率下降速度是两个决定性的因素。</p><p style=\"white-space: normal;\">(7)组织学变化：肾小管与间质病变是公认的预后不良的指标，而肾小球病变与预后关系意见则不一致。</p><p style=\"white-space: normal;\">（五）继发性肾病的预后</p><p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp; 继发性肾病综合征中，系统性红斑狼疮预后很差，发生肾病综合征后肾功能急剧恶化，常于肾病综合征后5个月内死于尿毒症。糖尿病性肾病综合征预后也不好，常伴有高血压及氮质血症，也常发生充血性心力衰竭。约25%的病人可在6年内、50%病人在10年内、75%病人在15年内发展为终末期肾功能衰竭，从出现蛋白尿到死于尿毒症的平均时间约为10年；糖尿病肾病的预后也与其肾脏病理改变性质有关，弥漫型较结节型糖尿病肾病易发展为尿毒症。过敏性紫癜性肾炎大部分患者预后良好，尤其是儿童患者。对于成年患者预后的看法不一。一般认为成年患者出现慢性肾衰的危险性高。特别是老年，起病为急性肾炎综合征，或持续性肾病综合征者预后较差。但也有人系统观察后认为，成年人患肾病综合征伴高血压及氮质血症者的长期预后也是好的。肾脏病理改变程度也是决定预后的关键因素。病理下，出现新月体的肾小球越少，预后越好。本病女性患者于病后短期内不宜妊娠，妊娠后期应密切观察血压及肾功能变化。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1002', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '472', '概述', '<p>&nbsp; &nbsp; &nbsp;肾病综合征（nephrotic syndrome，NS）不是一独立性疾病，而是肾小球疾病中的一组临床症候群。它是多种原发性或继发性慢性肾小球疾病的临床表现[1]。常见的原发性肾小球疾病包括：肾小球微小病变、膜性肾病、IgA肾病、局灶节段性肾小球硬化、C3肾病、系膜毛细血管性肾炎等；常见的继发性肾小球疾病包括：狼疮性肾炎、糖尿病肾病、系统性淀粉样变性、乙型肝炎病毒相关性肾炎等[1]。上述肾小球疾病的诊断有赖于肾穿刺活检病理诊断。</p><p>&nbsp; &nbsp; &nbsp; 典型表现为大量蛋白尿（每日＞3.5g／1.73m2体表面积）、低白蛋白血症（血浆白蛋白＜30g/L）、水肿伴或不伴有高脂血症诊断标准应为大量蛋白尿和低蛋白血症。大量蛋白尿是肾小球疾病的特征，在肾血管疾病或肾小管间质疾病中出现如此大量的蛋白尿较为少见。由于低蛋白血症、高脂血症和水肿都是大量蛋白尿的后果，因此，认为诊断的标准应以大量蛋白尿为主。</p><p>&nbsp; &nbsp; &nbsp; 肾病综合征在儿童肾小球疾病中占70％～90％，在成人中亦占20％～30％。其病因及发病机理迄今尚未完全明白。近年来，研究表明，本病与细胞免疫功能有关。西医从50～60年代开始使用激素和免疫抑制剂，70年代又采用大剂量激素进行冲击疗法，虽然使本病的病死率由过去的60％～70％下降为4％～7％，但是，随之而来的毒副作用也是不容忽视的。</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1003', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '472', '病因', '<p>&nbsp; &nbsp; &nbsp;许多疾病可引起肾小球毛细血管滤过膜的损伤，导致肾病综合征。成人的2／3和大部分儿童的肾病综合征为原发性，包括原发性肾小球肾病急、慢性肾小球肾炎和急进性肾炎等。按病理诊断主要包括：微小病变性肾病，膜性肾小球肾炎（膜性肾病），系膜毛细血管增生性肾炎（膜增生性肾炎）和局灶节段性肾小球硬化症。它们的相对发病率和特征见表1。继发性肾病综合征的原因为：感染、药物（汞、有机金、青霉胺和海洛因等）、毒素及过敏、肿瘤（肺、胃、结肠、乳腺实体瘤和淋巴瘤等）、系统性红斑狼疮、过敏性紫癜淀粉样变及糖尿病等。成人肾病综合征的1／3和儿童的10％可由继发性因素引起。</p><p style=\"text-align: center;\">表1 表现为肾病综合征的原发性肾小球疾病</p><table><tbody><tr class=\"firstRow\"><td valign=\"top\" colspan=\"1\" rowspan=\"2\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td valign=\"top\" colspan=\"1\" rowspan=\"2\" style=\"border-width: 1px; border-style: solid;\">微小病变性肾病&nbsp;</td><td valign=\"top\" colspan=\"1\" rowspan=\"2\" style=\"border-width: 1px; border-style: solid;\">局灶性肾小球硬化症</td><td valign=\"top\" colspan=\"1\" rowspan=\"2\" style=\"border-width: 1px; border-style: solid;\">膜性肾病</td><td valign=\"top\" colspan=\"2\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">膜增生性肾炎<strong>&nbsp;</strong><br/></td></tr><tr><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">Ⅰ型</td><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><p>Ⅱ型</p><p>&nbsp;&nbsp;</p></td></tr><tr><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">发生率</td><td valign=\"top\" rowspan=\"1\" colspan=\"5\" style=\"border-width: 1px; border-style: solid;\"><br/></td></tr><tr><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">儿童</td><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">75％</td><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">10％</td><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">6.0％</td><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">10％</td><td width=\"106\" valign=\"top\" style=\"border-width: 1px; border-style: solid;\"><br/></td></tr><tr><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">成人</td><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">15％</td><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">15％</td><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">50％</td><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">10％</td><td width=\"106\" valign=\"top\" style=\"border-width: 1px; border-style: solid;\"><br/></td></tr><tr><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">临床表现</td><td valign=\"top\" rowspan=\"1\" colspan=\"5\" style=\"border-width: 1px; border-style: solid;\"><br/></td></tr><tr><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">年龄</td><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">2～6，成人</td><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">2～6，成人</td><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">＞35</td><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">5～15</td><td width=\"106\" valign=\"top\" style=\"border-width: 1px; border-style: solid;\"><br/></td></tr><tr><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">性别（男：女）</td><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">2∶1</td><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">1.3∶1</td><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">2∶1</td><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">1∶1</td><td width=\"106\" valign=\"top\" style=\"border-width: 1px; border-style: solid;\"><br/></td></tr><tr><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">肾病综合征</td><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">100％</td><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">90％</td><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">80％</td><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">60％</td><td width=\"106\" valign=\"top\" style=\"border-width: 1px; border-style: solid;\"><br/></td></tr><tr><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">无症状性蛋白尿</td><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">0</td><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">10％</td><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">20％</td><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">40％</td><td width=\"106\" valign=\"top\" style=\"border-width: 1px; border-style: solid;\"><br/></td></tr><tr><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">血尿</td><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">20％</td><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">60％～80％</td><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">35％</td><td width=\"106\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">80％</td><td width=\"106\" valign=\"top\" style=\"border-width: 1px; border-style: solid;\"><br/></td></tr><tr><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">高血压</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">10％</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">20％</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">25％</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">35％</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-width: 1px; border-style: solid;\"><br/></td></tr><tr><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">预后</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">不进展</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">10年</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">50％在10～20年</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">10～20年</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">5～15年</td></tr><tr><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">血清学发现</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">C1q、C4、C3～C9均下降</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">C1q、C4正常，C3～C9↓C3NF↑</td></tr><tr><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">HLA</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">B8，B12</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">—</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">DRW3</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">—</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">—</td></tr><tr><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">肾病理</td><td valign=\"top\" colspan=\"5\" rowspan=\"1\" style=\"border-width: 1px; border-style: solid;\"><br/></td></tr><tr><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">光镜</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">正常</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">局灶节段硬化性损害</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">GBM弥漫性增厚</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">GBM增厚，细胞增生，分叶</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><br/></td></tr><tr><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">免疫荧光</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">阴性</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">IgM，C3</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">细颗粒IgG，C3</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">颗粒状IgG，C3</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">仅有C3</td></tr><tr><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">电镜</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">上皮足突融合</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">上皮足突融合</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">上皮下沉积</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">系膜和内皮下沉积</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">膜内致密沉积</td></tr><tr><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">对皮质激素反应&nbsp;</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">90％</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">15％～20％</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-width: 1px; border-style: solid;\"><br/></td></tr><tr><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-width: 1px; border-style: solid;\"><br/></td></tr></tbody></table><p>&nbsp; &nbsp; &nbsp; 肾病综合征是由多种原因作用于机体，导致肺、脾、肾三脏功能失调。脾虚则运化无权，难以摄取精微和输布水液；肾虚则开阖失常，不能固摄精气和排泄湿浊。脾不升清降浊，渐致水肿、蛋白尿、低蛋白血症和高脂血症。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1004', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '472', '临床表现', '<p>&nbsp; &nbsp; &nbsp;1. 蛋白尿 &nbsp;正常成人每天尿蛋白质排泄量不超过150mg。大量蛋白尿的产生是由于肾小球滤过膜异常所致。正常肾小球滤过膜对血浆蛋白有选择性滤过作用，能有效阻止绝大部分血浆蛋白从肾小球滤过，只有极小量的血浆蛋白进入肾小球滤液。影响蛋白滤过的因素可能有：</p><p>&nbsp; &nbsp; &nbsp; 1.1 蛋白质分子大小 &nbsp;肾小球毛细血管对某一物质的清除与该物质的有效分子半径成反比，蛋白质分子量越大，滤过越少或完全不能滤过。一般情况下，分子量在6万～7万道尔顿的血浆蛋白质（如白蛋白）滤过较少，分子量大于20万道尔顿（如α1脂蛋白等）不能滤过，而分子量较小（小于4万）的血浆蛋白，如溶菌酶、β2-mg和免疫球蛋白的轻链等，则可自由滤过。这种滤过作用因蛋白质分子量不同而异的屏障作用，称为分子选择屏障（机械屏障）。这种屏障作用是由肾小球滤过膜的超微结构决定的。肾小球滤过膜由内皮、肾小球基底膜（GBM）和上皮层组成。内皮细胞间的间隙为40～100ｎm，血浆中全部可溶性物质（包括可溶性免疫复合物）均可通过；GBM由内疏松层、致密层和外疏松层组成，GBM上有滤过，孔半径为3.5～4.2nm，形成一层粗滤器，可允许部分白蛋白（分子半径3.7nm）和转铁蛋白通过。上皮层：上皮细胞的足突之间有裂隙，其上有隔膜，上面有小孔，孔径为4×14nm，形成一层细滤器，使比白蛋白较大的分子不能滤过。</p><p>&nbsp; &nbsp; &nbsp; 1.2 蛋白质带电荷情况 &nbsp;肾小球基底膜的内层、外层，肾小球血管袢的内皮、上皮细胞表面及系膜基质含有丰富的氨基多糖成分（硫酸肝素）和涎酸，两者均使肾小球滤过膜带阴电荷，构成了静电屏障。通过同性电荷相斥的原理，带阴电荷蛋白质清除率最低，而带阳电荷者清除率最高。研究证明肾小球疾病时，肾小球基膜涎酸成分明显减少，使带阴电荷的白蛋白滤过出现蛋白尿。肾小球阴电荷场除有静电屏障外，还有维持细胞形态和毛细血管结构的功能。因此，临床上单纯静电屏障作用丧失者少见，多伴有组织结构功能异常。</p><p>&nbsp; &nbsp; &nbsp; 1.3 蛋白质的形态和可变性 &nbsp;由于上述肾小球机械屏障作用，使排列疏松呈线状形态的分子较排列紧密呈球形的分子更容易通过肾小球滤过膜。</p><p>&nbsp; &nbsp; &nbsp; 1.4 血液动力学改变 &nbsp;肾小球滤过膜的通透性与肾小球内压和肾血流量有密切关系。入球小动脉血浆流量下降和膜两侧静水压代偿性增高，是肾小球损害时普遍的血流动力学调节机制。此时单个肾小球滤过分数增高，出球端的蛋白浓度高于正常，使血浆蛋白经肾小球毛细血管壁的弥散增加。肾内血管紧张素Ⅱ增加使出球小动脉收缩，肾小球内毛细血管压力增加，亦可增加蛋白漏出。</p><p>&nbsp; &nbsp; &nbsp; 电荷屏障异常（如微小病变）主要导致白蛋白漏出，表现为选择性蛋白尿，在光镜下肾小球结构无异常，但用特殊染色技术，可发现肾小球毛细血管壁的阴离子明显减少。白蛋白清除分数增加，可反应电荷屏障缺陷的程度。机械屏障异常，如膜性肾炎，膜增生性肾炎或伴有GBM生化、结构改变的肾小球疾病，如糖尿病、遗传性肾炎等均可有明显的结构改变，使所有的血浆蛋白滤过增加，即表现为非选择性蛋白尿。</p><p>&nbsp; &nbsp; &nbsp; 2. 低白蛋白血症 &nbsp;低白蛋白血症见于大部分肾病综合征患者，即血清白蛋白水平在30g/L以下。其主要原因是尿中丢失白蛋白，但二者并不完全平行，因为血浆白蛋白值是白蛋白合成与分解代谢平衡的结果。主要受以下几种因素影响：①肝脏合成白蛋白增加。在低蛋白血症和白蛋白池体积减少时，白蛋白分解率的绝对值是正常的，甚至下降。肝脏代偿性合成白蛋白量增加，如果饮食中能给予足够的蛋白质及热卡，患者肝脏每日可合成白蛋白达20g以上。体质健壮和摄入高蛋白饮食的患者可不出现低蛋白血症。有人认为，血浆胶体渗透压在调节肝脏合成白蛋白方面可能有重要的作用。②肾小管分解白蛋白能力增加。正常人肝脏合成的白蛋白10％在肾小管内代谢。在肾病综合征时，由于近端小管摄取和分解滤过蛋白明显增加，肾内代谢可增加至16％～30％。③严重水肿，胃肠道吸收能力下降，肾病综合征患者常呈负氮平衡状态。年龄、病程、慢性肝病、营养不良均可影响血浆白蛋白水平。肾病综合征患者摄入高蛋白饮食会导致尿蛋白增加，而血浆白蛋白没有增加或虽有增加但甚少，而在严重营养不良者，如果同时服用血管紧张素转换酶抑制剂（减轻肾小球高滤过），则高蛋白饮食可使血浆白蛋白浓度增加。如果限制蛋白摄入，则尿蛋白会减少，而且血浆白蛋白水平多无改变或虽有则甚微。因此对肾病综合征病人的饮食蛋白摄入量的控制便有了新概念。</p><p>&nbsp; &nbsp; &nbsp; 由于低白蛋白血症，药物与白蛋白的结合会有所减少，因而血中游离的药物水平升高，即使常规剂量也可产生毒性反应。低蛋白血症时，花生四烯酸和血浆蛋白结合减少，从而促使血小板聚集和血栓素（TXA2）增加，后者可加重蛋白尿和肾损害。</p><p>&nbsp; &nbsp; &nbsp; 3 水肿 &nbsp;水肿的出现及其严重程度与低蛋白血症的程度呈正相关。然而例外的情况并不少见。机体自身具有抗水肿形成能力，其调节机理为：①当血浆白蛋白浓度下降，血浆胶体渗透压下降的同时，组织液从淋巴回流大大增加，从而带走组织液内的蛋白质，使组织液的胶体渗透压同时下降，两者的梯度差值仍保持正常范围。②组织液水分增加，则其静水压上升，可使毛细血管前的小血管收缩，从而使血流灌注下降，减少了毛细血管床的面积，使毛细血管内静水压下降，从而抑制体液从血管内向组织间逸出。③水分逸出血管外，使组织液蛋白浓度下降，而血浆内蛋白浓度上升。鉴于淋巴管引流组织液蛋白质的能力有限，上述体液分布自身平衡能力有一定的限度，当血浆胶体渗透压进一步下降时，组织液的胶体渗透压无法调节至相应的水平，两者间的梯度差值不能维持正常水平，才产生水肿。</p><p>大多数肾病综合征水肿患者血容量正常，甚至增多，并不一定都减少，血浆肾素正常或处于低水平，提示肾病综合征的钠潴留，是由于肾脏调节钠平衡的障碍，而与低血容量激活肾素-血管紧张素-醛固酮系统无关。肾病综合征水肿的发生不能仅以一个机理来解释。血容量的变化，仅在某些病人身上可能是造成水钠潴留，加重水肿的因素，但不能解释所有水肿的发生，其真正的形成机制，目前尚未清楚，很可能是与肾内某些调节机制的障碍有关。</p><p>&nbsp; &nbsp; &nbsp; 4. 高脂血症 &nbsp;肾病综合征时脂代谢异常的特点为血浆中几乎各种脂蛋白成分均增加，血浆总胆固醇（Ch）和低密度脂蛋白胆固醇（LDL-Ch）明显升高，甘油叁酯（TG）和极低密度脂蛋白胆固醇（VLDL-Ch）升高。高密度脂蛋白胆固醇（HDL-Ch）浓度可以升高，正常或降低；HDL亚型的分布异常，即HDL3增加而HDL2减少，表明HDL3的成熟障碍。在疾病过程中各脂质成分的增加出现在不同的时间，一般以Ch升高出现最早，其次才为磷脂及TG。除数量改变外，脂质的质量也发生改变，各种脂蛋白中胆固醇／磷脂及胆固醇／甘油叁酯的比例均升高。载脂蛋白也常有异常，如ApoB明显升高，ApoC和ApoＥ轻度升高。脂质异常的持续时间及严重程度与病程及复发频率明显相关，长期的高脂血症可在肾病综合征进入恢复期后持续存在。 肾病综合征时脂质代谢异常的发生机理：①肝脏合成Ch、TG及脂蛋白增加。②脂质调节酶活性改变及LDL受体活性或数目改变导致脂质的清除障碍。③尿中丢失HDL增加。在肾病综合征时，HDL的ApoA-Ⅰ可以有50％～100％从尿中丢失，而且患者血浆HDL3增加而HDL2减少，说明HDL3在转变为较大的HDL2颗粒之前即在尿中丢失。 肾病综合征患者的高脂血症对心血管疾病发生率的影响，主要取决于高脂血症出现时间的长短、LDL／HDL的比例、高血压史及吸烟等因素的影响。长期的高脂血症，尤其是LDL上升而HDL下降，可加速冠状动脉粥样硬化的发生，增加患者发生急性心肌梗塞的危险性。近年来，高脂血症对肾脏的影响已引起了不少学者的重视。脂质引起肾小球硬化的作用已在内源性高脂血症等的研究中得到证实。脂代谢紊乱所致肾小球损伤的发生机理及影响因素较为复杂，可能与下述因素有关：肾小球内脂蛋白沉积、肾小管间质脂蛋白沉积、LDL氧化、单核细胞浸润、脂蛋白导致的细胞毒性致内皮细胞损伤、脂类介质的作用和脂质增加基质合成。</p><p>&nbsp; &nbsp; &nbsp; 5. 血中其他蛋白浓度改变 &nbsp;肾病综合征时多种血浆蛋白浓度可发生变化。如血清蛋白电泳中α2和β球蛋白升高，而α1球蛋白可正常或降低，IgG水平可显着下降，而IgA、IgM和IgＥ水平多正常或升高，但免疫球蛋白的变化同原发病有关。补体激活旁路Ｂ因子的缺乏可损害机体对细菌的调理作用，为肾病综合征病人易感染的原因之一。纤维蛋白原、凝血因子Ｖ、Ⅶ、Ⅹ可升高；血小板也可轻度升高；抗凝血酶Ⅲ可从尿中丢失而导致严重减少；C蛋白和S蛋白浓度多正常或升高，但其活性降低；血小板凝集力增加和β-血栓球蛋白的升高，可能是潜隐的自发性血栓形成的一个征象。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1005', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '472', '并发症', '<p>&nbsp; &nbsp; &nbsp; 1 感染 &nbsp;肾病综合征患者对感染抵抗力下降的原因最主要是由于：①尿中丢失大量IgG。②B因子（补体的替代途径成分）的缺乏导致对细菌免疫调理作用缺陷；③营养不良时，机体非特异性免疫应答能力减弱，造成机体免疫功能受损。④转铁蛋白和锌大量从尿中丢失。转铁蛋白为维持正常淋巴细胞功能所必需，锌离子浓度与胸腺素合成有关。⑤局部因素。胸腔积液、腹水、皮肤高度水肿引起的皮肤破裂和严重水肿使局部体液因子稀释、防御功能减弱，均为肾病综合征患者的易感因素。在抗生素问世以前，细菌感染曾是肾病综合征患者的主要死因之一，严重的感染主要发生在儿童和老人，成年人较少见。临床上常见的感染有：原发性腹膜炎、蜂窝织炎、呼吸道感染和泌尿道感染。一旦感染诊断成立，应立即予以治疗。</p><p>&nbsp; &nbsp; &nbsp; 2 高凝状态和静脉血栓形成 &nbsp;肾病综合征存在高凝状态，主要是由于血中凝血因子的改变。包括Ⅸ、Ⅺ因子下降，V、Ⅷ、Ｘ因子、纤维蛋白原、β-血栓球蛋白和血小板水平增加。血小板的粘附和凝集力增强。抗凝血酶Ⅲ和抗纤溶酶活力降低。因此，促凝集和促凝血因子的增高，抗凝集和抗凝血因子的下降及纤维蛋白溶解机制的损害，是肾病综合征产生高凝状态原因。抗生素、激素和利尿剂的应用为静脉血栓形成的加重因素，激素经凝血蛋白发挥作用，而利尿剂则使血液浓缩，血液粘滞度增加。</p><p>&nbsp; &nbsp; &nbsp; 肾病综合征时，当血浆白蛋白小于2.0g/d1时，肾静脉血栓形成的危险性增加。多数认为血栓先在小静脉内形成，然后延伸，最终累及肾静脉。肾静脉血栓形成，在膜性肾病患者中可高达50％，在其他病理类型中，其发生率为5％～16％。肾静脉血栓形成的急性型患者可表现为突然发作的腰痛、血尿、白细胞尿、尿蛋白增加和肾功能减退。慢性型患者则无任何症状，但血栓形成后的肾瘀血常使蛋白尿加重，或对治疗反应差。由于血栓脱落，肾外栓塞症状常见，可发生肺栓塞。也可伴有肾小管功能损害，如糖尿、氨基酸尿和肾小管性酸中毒。明确诊断需做肾静脉造影。Doppler超声、CT、IMR等无创伤性检查也有助于诊断。血浆β血栓蛋白增高提示潜在的血栓形成，血中α2-抗纤维蛋白溶酶增加也认为是肾静脉血栓形成的标志。外周深静脉血栓形成率约为6％，常见于小腿深静脉，仅12％有临床症状，25％可由Doppler超声发现。肺栓塞的发生率为7％，仍有12％无临床症状。其他静脉累及罕见。动脉血栓形成更为少见，但在儿童中，尽管血栓形成的发生率相当低，但动脉与静脉累及一样常见。</p><p>&nbsp; &nbsp; &nbsp; 3 急性肾衰 &nbsp;急性肾衰为肾病综合征最严重的并发症，常需透析治疗。常见的病因有：①血液动力学改变：肾病综合征常有低蛋白血症及血管病变，特别是老年患者多伴肾小动脉硬化，对血容量及血压下降非常敏感，故当急性失血、呕吐、腹泻所致体液丢失、外科损伤、腹水、大量利尿及使用抗高血压药物后，都能使血压进一步下降，导致肾灌注骤然减少，进而使肾小球滤过率降低，并因急性缺血后小管上皮细胞肿胀、变性及坏死，导致急性肾衰。②肾间质水肿：低蛋白血症可引起周围组织水肿，同样也会导致肾间质水肿，肾间质水肿压迫肾小管，使近端小管包曼囊静水压增高，GFR下降。③药物引起的急性间质性肾炎。④双侧肾静脉血栓形成。⑤血管收缩：部分肾病综合征患者在低蛋白血症时见肾素浓度增高，肾素使肾小动脉收缩，GFR下降。此种情况在老年人存在血管病变者多见。⑥浓缩的蛋白管型堵塞远端肾小管：可能参与肾病综合征急肾衰机制之一。⑦肾病综合征时常伴有肾小球上皮足突广泛融合，裂隙孔消失，使有效滤过面积明显减少。⑧急进性肾小球肾炎。⑨尿路梗阻。</p><p>&nbsp; &nbsp; &nbsp; &nbsp;4 肾小管功能减退 &nbsp;肾病综合征的肾小管功能减退，以儿童多见。其机制认为是肾小管对滤过蛋白的大量重吸收，使小管上皮细胞受到损害。常表现为糖尿、氨基酸尿、高磷酸盐尿、肾小管性失钾和高氯性酸中毒，凡出现多种肾小管功能缺陷者常提示预后不良。</p><p>&nbsp; &nbsp; &nbsp; 5 &nbsp;骨和钙代谢异常 &nbsp;肾病综合征时血循环中的VitD结合蛋白（Mw65000）和VitD复合物从尿中丢失，使血中1，25（OH）2VitD3水平下降，致使肠道钙吸收不良和骨质对PTH耐受，因而肾病综合征常表现有低钙血症，有时发生骨质软化和甲旁亢所致的纤维囊性骨炎。在肾病综合征进展的肾衰所并发的骨营养不良，一般较非肾病所致的尿毒症更为严重。</p><p>&nbsp; &nbsp; &nbsp; 6 内分泌及代谢异常 &nbsp;肾病综合征尿中丢失甲状腺结合蛋白（TBG）和皮质激素结合蛋白（CBG）。临床上甲状腺功能可正常，但血清TBG和T3常下降，游离T3和T4、TSH水平正常。由于血中CＢＧ和17羟皮质醇都减低，游离和结合皮质醇比值可改变，组织对药理剂量的皮质醇反应也不同于正常。由于铜蓝蛋白（Mw151000）、转铁蛋白（Mw80000）和白蛋白从尿中丢失，肾病综合征常有血清铜、铁和锌浓度下降。锌缺乏可引起阳萎、味觉障碍、伤口难愈及细胞介导免疫受损等。持续转铁蛋白减少可引起临床上对铁剂治疗有抵抗性的小细胞低色素性贫血。此外，严重低蛋白血症可导致持续性的代谢性碱中毒，因血浆蛋白减少10g/L，则血浆重碳酸盐会相应减少3mmol/L。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1006', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '472', '诊断', '<p>①尿蛋白&gt;3.5g/d[1]；</p><p>②血浆白蛋白&lt;30g/L[1];</p><p>③水肿[1]；</p><p>④高脂血症[1]。</p><p>其中前两项是诊断肾病综合征必需的条件。</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1007', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '472', '治疗方案', '<p>&nbsp; &nbsp; &nbsp; （一）一般性治疗 &nbsp;低盐（&lt;3g/d）饮食，少食动物性油脂，多食含可溶性纤维食品等，在水肿和低蛋白血症较严重时，应注意卧床休息。</p><p>引起肾病综合征的原发疾病治疗</p><p>&nbsp; &nbsp; &nbsp; 1 糖皮质激素治疗 &nbsp;糖皮质激素用于肾脏疾病，主要是其抗炎作用。它能减轻急性炎症时的渗出，稳定溶酶体膜，减少纤维蛋白的沉着，降低毛细血管通透性而减少尿蛋白漏出；此外，尚可抑制慢性炎症中的增生反应，降低成纤维细胞活性，减轻组织修复所致的纤维化。糖皮质激素对肾病综合征的疗效反应在很大程度上取决于其病理类型，一般认为只有微小病变肾病的疗效最为肯定。<br/></p><p>&nbsp; &nbsp; &nbsp; 激素的制剂有短效（半衰期6～12小时）：氢化泼尼松（20mg）；中效（12～36小时）：泼尼松（5mg）、泼尼松龙（5mg）、甲泼尼松龙（4mg）、氟羟泼尼松龙（4mg）；长效（48～72小时）：地塞米松（0.75mg）、倍他米松（0.60mg）。激素可经胃肠道迅速吸收，故片剂为最常用的剂型。</p><p>&nbsp; &nbsp; &nbsp; 泼尼松：成年人剂量通常为每日0.8～1.0mg/kg，一般每日剂量40～60mg，最大每日剂量不超过80mg，推荐早晨一次顿服，以便尽可能减轻泼尼松对机体内分泌节律的影响，疗程通常需要8周，必要时可延长至10～12周[1]。上述足剂量治疗后，减量时应缓慢，一般是每2周减少原剂量的10%左右，在减少至每日7.5～10mg时，可维持性治疗至少半年至1年。</p><p>&nbsp; &nbsp; &nbsp; 首治剂量一般为泼尼松1mg/（kg•d），儿童1.5～2mg/（kg•d）。经治疗8周后，有效者应维持应用，然后逐渐减量，一般每1～2周减原剂量的10％～20％，剂量越少递减的量越少，速度越慢。激素的维持量和维持时间因病例不同而异，以不出现临床症状而采用的最小剂量为度，以低于15mg/d为满意。在维持阶段有体重变化、感染、手术和妊娠等情况时调整激素用量。经8周以上正规治疗无效病例，需排除影响疗效的因素，如感染、水肿所致的体重增加和肾静脉血栓形成等，应尽可能及时诊断与处理。对口服激素治疗反应不良，高度水肿影响胃肠道对激素的吸收，全身疾病（如系统性红斑狼疮）引起的严重肾病综合征；病理上有明显的肾间质病变，小球弥漫性增生，新月体形成和血管纤维素样坏死等改变的患者，可予以静脉激素冲击治疗。</p><p>&nbsp; &nbsp; &nbsp; 冲击疗法的剂量为甲泼尼松龙0.5～1g/d，疗程3～5天，但根据临床经验，一般选用中小剂量治疗，即泼尼松龙240～480mg/d，疗程3～5天，1周后改为口服剂量。这样既可减少因大剂量激素冲击而引起的感染等副作用，临床效果也不受影响。相应的地塞米松冲击剂量为30～70mg/d，但要注意加重水钠潴留和高血压等副作用。</p><p>&nbsp; &nbsp; &nbsp; 长期应用激素可产生很多副作用，有时相当严重。激素导致的蛋白质高分解状态可加重氮质血症，促使血尿酸增高，诱发痛风和加剧肾功能减退。大剂量应用有时可加剧高血压、促发心衰。激素应用时的感染症状可不明显，特别容易延误诊断，使感染扩散。激素长期应用可加剧肾病综合征的骨病，甚至产生无菌性股骨颈缺血性坏死。</p><p>在使用泼尼松时应注意：</p><p>①大剂量服用泼尼松时，可出现严重不良反应或并发症，如感染、股骨头坏死和骨折、活动性出血、高血压、电解质紊乱等。使用的禁忌证包括：严重感染（包括细菌、病毒、真菌等）、内脏手术后、胃和十二指肠溃疡、急性心肌梗死、精神病等[1]。</p><p>②在服用泼尼松期间，应嘱患者定期就诊，根据病情变化和不良反应、并发症等，及时调整剂量。</p><p>&nbsp; &nbsp; &nbsp; 2 免疫抑制剂 &nbsp;在治疗肾病综合征时，肾上腺糖皮质激素常需要联合其他免疫抑制剂，以便增强疗效和减少疾病复发等，免疫抑制剂一般不单独使用[1]。</p><p>&nbsp; &nbsp; &nbsp; 2.1 雷公藤多苷 &nbsp;成年人剂量通常为10～20mg，每日3次，疗程多为6个月，应注意观察不良反应。</p><p>在使用雷公藤多苷时应注意：</p><p>①有严重心血管疾病的老年患者、严重肝和肾功能障碍的患者应慎用[1]。</p><p>②雷公藤多苷对生殖系统有明显影响，可导致女性患者月经紊乱甚至闭经等，可影响男性患者精子的发育等。</p><p>③白细胞减少，偶有导致粒细胞减少的报道。</p><p>&nbsp; &nbsp; &nbsp; 2.2 环磷酰胺 &nbsp;成年人剂量口服通常为50mg，每日1～2次，或静脉注射，0.75g/m2，每月1次。</p><p>&nbsp; &nbsp; &nbsp; 环磷酰胺副作用比较大，患者一定要在医生指导下服用，副作用主要包括：①骨髓抑制：表现为白细胞减少，患者在服用期间，应每周化验血常规1～2次，发现白细胞减少时，应及时停药，骨髓抑制一般多能恢复；②化学性膀胱炎：表现为尿频、尿急、血尿等，患者在服用时，应多饮水，增加尿量以减轻药物损伤；③对生殖系统有影响：长时间服用，男性患者可导致睾丸萎缩、精子数量减少，女性患者可导致闭经、卵巢纤维化等，对需要保持生育功能的青年患者应谨慎使用；④脱发：一般停药后可再生新发；此外，还有胃肠道症状、肝功能损伤等。</p><p>&nbsp; &nbsp; &nbsp; 2.3 环孢素 &nbsp;成年人剂量通常为每日3～5mg/kg，若出现肾功能不全，应酌情减量，维持血浓度谷值为100～200ng/ml，服用3～6个月后，根据疗效和不良反应，逐渐减量，一般服用时间超过1年。</p><p>副作用主要包括：肾毒性、肝功能损伤、高血压、高尿酸血症、多毛、牙龈增生以及神经系统症状等。</p><p>&nbsp; &nbsp; &nbsp; 环孢霉素A（CyA）是一种有效的细胞免疫抑制剂，近年已试用于各种自身免疫性疾病的治疗。目前临床上以微小病变、膜性肾病和膜增生性肾炎疗效较肯定。与激素和细胞毒药物相比，应用CyA最大优点是减少蛋白尿及改善低蛋白血症疗效可靠，不影响生长发育和抑制造血细胞功能。但此药亦有多种副作用，最严重的副作用为肾、肝毒性。其肾毒性发生率在20％～40％，长期应用可导致间质纤维化。个别病例在停药后易复发。故不宜长期用此药治疗肾病综合征，更不宜轻易将此药作为首选药物。CyA的治疗剂量为3～5mg/（kg•d），使药物血浓度的谷值在75～200μg/ml（全血，HPLC法），一般在用药后2～8周起效，但个体差异很大，个别病人则需更长的时间才有效，见效后应逐渐减量。用药过程中出现血肌酐升高应警惕CyA中毒的可能。疗程一般为3～6个月，复发者再用仍可有效。</p><p>&nbsp; &nbsp; &nbsp; 3 对症治疗</p><p>3.1 低白蛋白血症治疗</p><p>&nbsp; &nbsp; &nbsp; （1）饮食疗法：肾病综合征患者通常是负氮平衡，如能摄入高蛋白饮食，则有可能转为正氮平衡。但肾病综合征患者摄入高蛋白会导致尿蛋白增加，加重肾小球损害，而血浆白蛋白水平没有增加。因此，建议每日蛋白摄入量为1g/kg，再加上每日尿内丢失的蛋白质量，每摄入1g蛋白质，必须同时摄入非蛋白热卡138kJ（33kcal）。供给的蛋白质应为优质蛋白，如牛奶、鸡蛋和鱼、肉类。</p><p>&nbsp; &nbsp; &nbsp; （2）静脉滴注白蛋白：由于静脉输入白蛋白在1～2天内即经肾脏从尿中丢失，而且费用昂贵。另外大量静脉应用白蛋白有免疫抑制、丙型肝炎、诱发心衰、延迟缓解和增加复发率等副作用，故在应用静脉白蛋白时应严格掌握适应证：①严重的全身水肿，而静脉注射速尿不能达到利尿效果的患者，在静脉滴注白蛋白以后，紧接着静脉滴注速尿（速尿120mg，加入葡萄糖溶液100～250ml中，缓慢滴注1小时），常可使原先对速尿无效者仍能获得良好的利尿效果。②使用速尿利尿后，出现血浆容量不足的临床表现者。③因肾间质水肿引起急性肾功能衰竭者。</p><p>3.2 水肿的治疗</p><p>&nbsp; &nbsp; &nbsp; 3.2.1 限钠饮食 &nbsp;水肿本身提示体内钠过多，所以肾病综合征患者限制食盐摄入有重要意义。正常人每日食盐的摄入量为10g（含3.9g钠），但由于限钠后病人常因饮食无味而食欲不振，影响了蛋白质和热量的摄入。因此，限钠饮食应以病人能耐受，不影响其食欲为度，低盐饮食的食盐含量为3～5g/d。慢性患者，由于长期限钠饮食，可导致细胞内缺钠，应引起注意。</p><p>&nbsp; &nbsp; &nbsp; 3.2.2 利尿剂的应用 &nbsp;常用的利尿剂主要包括：噻嗪类、袢利尿剂和保钾利尿剂等。</p><p>氢氯噻嗪：成年人剂量通常为25mg，每日2～3次；螺内酯：成年人剂量通常为20mg，每日2～3次；氨苯蝶啶：成年人剂量通常为50mg，每日2～3次；呋塞米：成年人剂量通常为每日20～100mg，分1～3次口服，或静脉注射。</p><p>按不同的作用部位，利尿剂可分为：</p><p>①袢利尿剂：主要作用机制是抑制髓袢升支对氯和钠的重吸收，如映塞米（速尿）和布美他尼（丁脲胺）为最强有力的利尿剂。剂量为速尿20～120mg/d，丁脲胺1～5mg/d。</p><p>②噻嗪类利尿剂：主要作用于髓袢升支厚壁段（皮质部）及远曲小管前段，通过抑制钠和氯的重吸收，增加钾的排泄而达到利尿效果。双氢氯塞嗪的常用剂量为75～100mg/d。</p><p>③排钠潴钾利尿剂：主要作用于远端小管和集合管，为醛固酮拮抗剂。安体舒通常用剂量为60～120mg/d，单独使用此类药物效果较差，故常与排钾利尿剂合用。</p><p>④渗透性利尿剂：可经肾小球自由滤过而不被肾小管重吸收，从而增加肾小管的渗透浓度，阻止近端小管和远端小管对水钠的重吸收，以达到利尿效果。低分子右旋糖酐的常用剂量500Ml/2～3d，甘露醇250Ml/d，注意肾功能损害者慎用。</p><p>肾病综合征患者的利尿药物首选速尿，但剂量个体差异很大；静脉用药效果较好，方法：将100mg速尿加入100Ml葡萄糖溶液或100ml甘露醇中，缓慢静滴1小时；速尿为排钾利尿剂，故常与安体舒通合用。速尿长期应用（7～10天）后，利尿作用减弱，有时需加剂量，最好改为间隙用药，即停药3天后再用。建议对严重水肿者选择不同作用部位的利尿剂联合交替使用。</p><p>在使用利尿剂时应注意通常应从小剂量开始，为增强疗效常常需要联合使用，注意监测患者血压、血容量、电解质和酸碱平衡改变等，尤其是在使用较大剂量、联合应用，以及在儿童和老年患者中应用时。</p><p>&nbsp; &nbsp; &nbsp; 3.3 高凝状态治疗 &nbsp;肾病综合征患者由于凝血因子改变处于血液高凝状态，尤其当血浆白蛋白低于20～25g/L时，即有静脉血栓形成可能。目前临床常用的抗凝药物有：</p><p>（1）肝素：主要通过激活抗凝血酶Ⅲ（ATⅢ）活性。常用剂量50～75mg/d静滴，使ATⅢ活力单位在90％以上。有文献报道肝素可减少肾病综合征的蛋白尿和改善肾功能，但其作用机理不清楚。值得注意的是肝素（MＷ65600）可引起血小板聚集。目前尚有小分子量肝素皮下注射，每日一次。</p><p>（2）尿激酶（UK）：直接激活纤溶酶原，导致纤溶。常用剂量为2～8万U/d，使用时从小剂量开始，并可与肝素同时静滴。监测优球蛋白溶解时间，使其在90～120分钟之间。UK的主要副作用为过敏和出血。</p><p>（3）华法令：抑制肝细胞内维生素Ｋ依赖因子Ⅱ、Ⅶ、Ⅸ、Ｘ的合成，常用剂量2.5mg/d，口服，监测凝血酶原时间，使其在正常人的50％～70％。</p><p>（4）潘生丁：为血小板拮抗剂，常用剂量为100～200mg/d。一般高凝状态的静脉抗凝时间为2～8周，以后改为华法令或潘生丁口服。</p><p>有静脉血栓形成者：①手术移去血栓。②介入溶栓。经介入放射在肾动脉端一次性注入UK24万U来溶解肾静脉血栓，此方法可重复应用。③全身静脉抗凝。即肝素加尿激酶，疗程2～3个月。④口服华法令至肾病综合征缓解以防血栓再形成。</p><p>&nbsp; &nbsp; &nbsp; 3.4 高脂血症治疗 &nbsp;肾病综合征患者，尤其是多次复发者，其高脂血症持续时间很长，即使肾病综合征缓解后，高脂血症仍持续存在。近年来认识到高脂血症对肾脏疾病进展的影响，而一些治疗肾病综合征的药物如：肾上腺皮质激素及利尿药，均可加重高脂血症，故目前多主张对肾病综合征的高脂血症使用降脂药物。可选用的降脂药物有：①纤维酸类药物（fibric acids）：非诺贝特（fenofibrate）每日3次，每次100mg，吉非罗齐（gemfibrozil）每日2次，每次600mg，其降血甘油叁酯作用强于降胆固醇。此药偶有胃肠道不适和血清转氨酶升高。②Hmg-CoA还原酶抑制剂：洛伐他汀（美降脂），20mgBid，辛伐他汀（舒降脂），5mg Bid；此类药物主要使细胞内Ch下降，降低血浆LDL-Ch浓度，减少肝细胞产生VLDL及LDL。③血管紧张素转换酶抑制剂（ACEI）：主要作用有降低血浆中Ch及TG浓度；使血浆中HDL升高，而且其主要的载脂蛋白ApoA-Ⅰ和ApoA-Ⅱ也升高，可以加速清除周围组织中的Ch；减少LDL对动脉内膜的浸润，保护动脉管壁。此外ACEI尚可有不同程度降低蛋白尿的作用。</p><p>&nbsp; &nbsp; &nbsp; 3.5 急性肾衰治疗 &nbsp;肾病综合征合并急性肾衰时因病因不同则治疗方法各异。对于因血液动力学因素所致者，主要治疗原则包括：合理使用利尿剂、肾上腺皮质激素、纠正低血容量和透析疗法。血液透析不仅控制氮质血症、维持电解质酸碱平衡，且可较快清除体内水分潴留。因肾间质水肿所致的急性肾衰经上述处理后，肾功能恢复较快。使用利尿剂时需注意：①适时使用利尿剂：肾病综合征伴急性肾衰有严重低蛋白血症者，在未补充血浆蛋白就使用大剂量利尿剂时，会加重低蛋白血症和低血容量，肾功能衰竭更趋恶化。故应在补充血浆白蛋白后（每日静脉用10～50g人体白蛋白）再予以利尿剂。但一次过量补充血浆白蛋白又未及时用利尿剂时，又可能导致肺水肿。②适当使用利尿剂：由于肾病综合征患者有相对性血容量不足和低血压倾向，此时用利尿剂应以每日尿量2000～2500ml或体重每日下降在1kg左右为宜。③伴血浆肾素水平增高的患者，使用利尿剂血容量下降后使血浆肾素水平更高，利尿治疗不但无效反而加重病情。此类患者只有纠正低蛋白血症和低血容量后再用利尿剂才有利于肾功能恢复。</p><p>&nbsp; &nbsp; &nbsp; 肾病综合征合并急性肾衰一般均为可逆性，大多数患者在治疗下，随着尿量增加，肾功能逐渐恢复。少数病人在病程中多次发生急性肾衰也均可恢复。预后与急性肾衰的病因有关，一般来说急进性肾小球肾炎、肾静脉血栓形成预后较差，而单纯与肾病综合征相关者预后较好。</p><p>&nbsp; &nbsp; &nbsp; 4 其他措施 &nbsp;目前，一般主张针对肾病综合征的不同病理环节综合使用激素、细胞毒免疫抑制剂、抗凝药和抗血小板聚集药，但以前二者为主。</p><p>水肿明显、尿少的患者，应卧床休息，注意保暖，低盐（2～3克／日）饮食。水肿严重者，控制水人量，蛋白质每日应增加到80～100克。</p><p>身体虚弱患者，应首先改善一般情况，采用对症支持疗法，积极预防和治疗感染。</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1008', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1472', '概述', '<p>&nbsp; &nbsp; &nbsp; 1.5型糖尿病，(LADA)又称成人迟发性自身免疫糖尿病，在我国占糖尿病发病率的10%，容易被误诊、漏诊，从而导致治疗方法不正确或者不及时，加重病情。近年来，随着实验室水平的提高及各级医生的重视，确诊的病例越来越多。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1009', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1472', '发病原因', '<p>&nbsp; &nbsp; &nbsp;目前认为成人迟发性自身免疫糖尿病其实质是由于免疫破坏 胰岛β细胞引起的胰岛素缺乏性糖尿病。特点是相对于1型来讲，由于其胰岛细胞破坏缓慢而延至成人25～34岁左右才发病;相对2型糖尿病，这类病人比较消瘦或者低体重，体重指数(BMI)&lt;21，一般发病半年后自发酮症酸中毒，磺脲类口服降糖药继发失效，空腹血C肽0.3nmol/L和(或)胰高糖素刺激后(或餐后2小时)&lt;0.6nmol/L。临床结合谷氨酸脱羧酶抗体(GADAb)、胰岛细胞抗体(ICA)及胰岛素自身抗体(IAA)联合检测，排除线粒体基因突变糖尿病及年轻的成年发病型糖尿病(MODY)的情况下，可以确诊为成人迟发性自身免疫糖尿病。这种糖尿病多发生于应激情况下，如严重感染，创伤后被迅速暴露出来。</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1010', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1472', '疾病治疗', '<p>&nbsp; &nbsp; &nbsp;一旦确定应即刻应用胰岛素，加用免疫抑制剂，如小剂量的环孢素A或者雷公藤多苷片，目的在于阻止自身免疫介导的胰岛β细胞的损伤，促进胰岛修复，延缓胰岛素依赖阶段的出现，达到良好的代谢控制，减少慢性并发症。否则若再用刺激胰岛素分泌的磺脲类药物如达美康、美吡达等会使可能残剩的部分胰岛细胞遭到彻底破坏，造成更严重的损害，所以勿用磺脲类降糖药治疗成人迟发性自身免疫糖尿病。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1037', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1634', '概述', '<p>&nbsp; &nbsp; &nbsp;骨质疏松症分为原发性和继发性两大类，废用性骨质疏松症属继发性骨质疏松症，主要因骨骼机械力减少，致全身性或局部性骨量丢失引起。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1038', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1634', '病因与发病机制', '<p>病因</p><p>&nbsp; &nbsp; &nbsp; （1）运动能力受限或功能障碍；</p><p>&nbsp; &nbsp; &nbsp; （2）运动系统包括肌肉骨骼损伤或病损；</p><p>&nbsp; &nbsp; &nbsp; （3）神经系统损伤或病损。废用性骨质疏松多见于脊髓损伤、偏瘫、脊髓灰质炎及其后遗症、骨折、长期卧床及太空飞行。</p><p>&nbsp; &nbsp; &nbsp; 废用性骨质疏松症可引起一系列并发症，如肾结石发病率增高、关节周围软组织骨化（异位骨化）、肢体畸形以及病理性骨折发病率增高等，已引起人们的广泛关注。</p><p>发病机制</p><p>&nbsp; &nbsp; &nbsp; 骨质是通过不断重复的骨破坏及骨形成来维持的，这一进程称为骨重建。它主要是由破骨细胞及成骨细胞调节的，破骨细胞吸收局部旧骨质，而成骨细胞不断形成新骨，骨质疏松症则是这一生物调节失衡的结果。</p><p>&nbsp; &nbsp; &nbsp; 当骨的正常负荷减弱或消失时，与外力负荷相对应的骨重建随之发生，引起骨质萎缩，机械强度下降。有研究表明，当病人卧床4周时，髂骨松质骨骨量开始下降，至卧床25周时骨量下降约33％。</p><p>&nbsp; &nbsp; &nbsp; Rubin等研究发现，火鸡制动4周后，其尺骨骨质丢失约12％，骨吸收显著增高，骨吸收孔径增长约3倍。长期制动导致的骨量丢失，在主动活动后可恢复，但往往需要更长时间。有实验研究发现，犬和鼠需要2-3倍的时间来恢复在废用期导致的骨丢失。</p><p>&nbsp; &nbsp; &nbsp; 众所周知，骨质及骨小梁的方向与外力的强度、方向相适应，根据Wolff定律，废用性骨质疏松症被认为与缺乏机械外力有关。在机械外力作用下，局部调节破骨细胞与成骨细胞分化的基因表达有哪些改变，现在仍不得而知。</p><p>&nbsp; &nbsp; &nbsp; 骨质及骨的形状，在任何时期都是依靠破骨细胞的骨质吸收和成骨细胞的骨形成之间的平衡骨重建来实现的。其具体机制为：成骨细胞从骨微环境中募集或从细胞族系中激活而形成新的骨质，外部机械力的大小和频率决定了力学能量密度率（SED），而SED又决定了对骨细胞刺激的强度，骨细胞信号传导至骨的表面并随着距离呈指数衰减。</p><p>&nbsp; &nbsp; &nbsp; 骨小梁的方向也可随着外力负荷的方向发生适应性改变，在长期的外力刺激下，骨小梁的方向可完全重新排列，以适应新的外力方向。因此，机械外力决定了骨重建的正向或负向平衡。这可能是长期制动导致废用性骨质疏松症的机制。</p><p>&nbsp; &nbsp; &nbsp; 近年来，针对废用性骨质疏松症分子机制的研究发现，一些神经递质及神经活动功能的异常与废用性骨质疏松症有关。当大鼠坐骨神经切断后，可导致下肢废用性骨质疏松症。</p><p>&nbsp; &nbsp; &nbsp; 尽管制动可能是导致废用性骨质疏松症的因素之一，但神经递质也可在局部骨内间接或直接作用于破骨细胞，使其增生、分化、活性增强。神经损伤可能通过抑制破骨细胞生成的限制性因素诱导骨的吸收增强。失去神经调节作用可导致骨的负向平衡。如果局部神经递质的释放可以调节骨的重建，则可以设想，单侧坐骨神经切断术即可损害对侧坐骨神经的神经信号系统并导致对侧骨量的丢失。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1039', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1634', '分类', '<p style=\"white-space: normal;\"><br/></p><p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp; 长期卧床、制动、失重是导致废用性骨质疏松发生的三大病因。根据其病因，临床上将废用性骨质疏松归纳为以下几大类。</p><p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp; 1. 截瘫所致的废用性骨质疏松 &nbsp;研究报道，外伤性截瘫患者应用双能Ｘ线骨密度仪测量双侧股骨近端及腰椎的骨密度，发现均表现不同程度的骨质疏松，卧床时间越长，骨质疏松越严重。</p><p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp; 2. 偏瘫所致的废用性骨质疏松 &nbsp;研究发现，老年偏瘫患者偏瘫侧的股骨发生骨萎缩和病理性骨折频率增加，偏瘫患者要被迫卧床一段时间，由于偏瘫侧肢体肌肉麻痹，肢体的运动受到极大的限制，肌肉收缩对骨刺激应力的消失，再加上卧床的免负荷以及瘫痪后内分泌的改变，骨质疏松是不可避免的。</p><p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp; 3. 脊髓灰质炎麻痹肢体所致的废用性骨质疏松 &nbsp;脊髓灰质炎患者下肢肌肉麻痹越严重，受累肢体的骨骼发育就越差，骨质疏松就越严重，肌肉广泛麻痹的肢体骨骼变细、变短、骨皮质变薄、骨的形态也发生改变，表现有明显的骨质疏松。</p><p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp; 4. 肢体骨折后所致的废用性骨质疏松 &nbsp;骨折后由于局部肿胀、疼痛、固定和肢体运动量的明显减少，下肢骨折长时间的不负重或负重量减少，造成损伤肢体的骨矿物质丢失，引起骨质疏松，这是骨折后最常见的并发症。骨折后肢体被固定的范围越广、时间越长，骨质疏松就越严重。</p><p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp; 5. 截肢患者残肢的废用性骨质疏松 &nbsp;传统的假肢是末端开放、残肢插入式假肢，当负重时残肢的皮肤肌肉等软组织越塞越紧，而骨端并无负重，残肢肌肉萎缩，残肢骨表现骨质疏松。现代假肢是末端闭合的，全面接触全面承重式假肢，由于骨端负重及肌肉生理功能的发挥，则残肢的骨质疏松明显地减轻，但仍有不同程度的表现。</p><p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp; 6. 失重所致的废用性骨质疏松 &nbsp;失重导致废用性骨质疏松，失重使骨骼处于无负荷无应力刺激状态，是骨质疏松发生的基本原因。另外，失重条件下肌萎缩，肌力下降使骨应力刺激减少，也促进废用性骨质疏松发生。</p><p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp; 7. 各种疾病长期卧床引起的废用性骨质疏松 &nbsp;各种内外妇科疾病只要是迫使患者长期卧床就会造成骨矿物质丢失，引起骨质疏松。卧床时间越长，肢体运动功能越差，引起骨质疏松的程度就越重。</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1040', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1634', '临床表现', '<p>&nbsp; &nbsp; &nbsp;废用性骨质疏松症特别是急性制动后，骨丢失常见症状为疼痛，好发于腰背、坐骨结节及足跟部，翻身、坐位及站立开始负重时产生疼痛。病人软组织松弛，肢体萎缩，周径减少，肌力降低，病程较长者可出现关节粘连、僵硬，甚至关节周围异位骨化，肢体功能受到严重障碍。</p><p>加之，身体平衡及协调和对外界的保护性反应降低，骨折危险性增加。骨折主要发生在松质骨及负重骨，如下肢骨，特别是末端，青少年及年轻者较常见，6个月骨量即可减少达50％。</p><p>&nbsp; &nbsp; &nbsp; 常见脊椎压缩性骨折及桡骨远端、肱骨外科颈、股骨颈和股骨转子间骨折，还可出现驼背及肢体畸形。长期卧床病人的双下肢及躯干运动量明显减少，肌肉收缩及幅度降低。如果去除废用性的因素，骨质疏松症往往可以好转，但是需要更长的时间。</p><p>&nbsp; &nbsp; &nbsp; Lyritis等认为骨折后局部骨质疏松是一种骨折部位及邻近骨折关节周围特异制动性骨质疏松，它不仅由于制动引起，也与血管运动障碍有关。骨折后应用接骨板及螺钉内固定，在接骨板下可发生局部骨质疏松，系由于应力遮挡及内、外骨膜血管损害所致。制动性骨质疏松如同时合并妇女绝经后或老年性骨质疏松，症状将更严重。</p><p>&nbsp; &nbsp; &nbsp; 症状决定于制动期限、方式及程度。骨折及手术后，由于需要保持患部制动，甚至长期卧床，必然导致骨吸收增加及骨形成减少，增加骨折危险性。骨折后又不可避免地发生疼痛，这样周而复始，如不进行干预，就会陷于一个难以阻断的恶性循环。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1041', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1634', '辅助检查', '<p>&nbsp; &nbsp; &nbsp;脊髓损伤后尿钙排量呈逐渐性升高，第7周达最高值。宇航员失重后，尿钙和粪钙均增加，钙丢失最初较少，2月末可达200ｍｇ/ｄ停止后可较快恢复。Nabavi等通过研究也发现了微重力环境对破骨细胞的骨吸收和成骨细胞骨架组织和粘附的影响。</p><p>&nbsp; &nbsp; &nbsp; 在骨吸收生化指标中，血清Ⅰ型胶原交联C末端肽（CTX）、Ｉ型胶原交联N末端肽（NTX）及血浆抗酒石酸酸性磷酸酶（TRAP）值均增加，尿羟脯氨酸/肌酐（OHPr/Cr）、尿吡啶啉（PYD）、脱氧吡啶啉（DPD）值亦均增加。</p><p>&nbsp; &nbsp; &nbsp; 骨形成生化指标中，血清骨特异性碱性磷酸酶（BALP）、骨钙素（BGP）、Ｉ型前胶原前肽PICP值亦增加。血清BGP由成骨细胞合成，是足骨组织内非胶原骨蛋白的主要成分，它反映成骨细胞活性、骨转换和骨形成的特异指标。</p><p>&nbsp; &nbsp; &nbsp; 血中BGP与骨内BGP含量呈密切正相关关系，BGP是反映骨形成的特异指标。血浆抗酒石酸酸性磷酸酶TRAP是酸性磷酸酶的第５型同工酶，主要由骨吸收功能细胞———多核破骨细胞释放，具有很高活性，是破骨细胞功能的重要标志，它的活性与破骨细胞呈正相关，因此可以作为鉴定骨吸收的重要指标。</p><p>&nbsp; &nbsp; &nbsp; AKP碱性磷酸酶广泛分布于机体的骨、肝、肠、胎盘等组织中。临床主要用于阻塞性黄疸、原发性肝癌、继发性肝癌胆汁淤积性肝炎的检查。由于骨组织中此酶亦很活跃，因此近年来也用于骨软化症、佝偻病、骨细胞癌、骨质疏松的辅助诊断。</p><p>&nbsp; &nbsp; &nbsp; AKP是反映成骨细胞在体外分化为成熟骨细胞及基质钙化的一个重要指标。血清骨特异性碱性磷酸酶（BALP）是成骨细胞的标志酶，反映成骨细胞在体外分化为成熟骨细胞及基质钙化的一个重要指标。丙二醛（MDA，表示脂质过氧化物含量）是反映体内各元素水平的指标。</p><p>【不同阶段和程度】　　</p><p>&nbsp; &nbsp; &nbsp; 目前临床实验研究多集中在外伤性脊髓损伤所致的完全瘫痪、脊髓灰质炎引起的局部瘫痪或肌无力、中风及其它疾病引起的偏瘫，由于外伤性脊髓损伤所致的完全瘫痪是临床上最彻底的制动病倒，所以目前研究较多。</p><p>通常有三种选经对骨反应进行定量分析：</p><p>（1）骨代谢物的生化指标测量；</p><p>（2）局部骨活性的组织形态学测量；</p><p>（3）局部骨量或骨矿含量分析。用这些不同方法所得结果之间是相互联系的，但却分别表现了骨反应的不同阶段和程度。</p><p>【早期变化】</p><p>&nbsp; &nbsp; &nbsp; 失骨的早期变化可通过生化指标检测，但是尿和血清生化测定代表的是系统水平的反应，而通常骨细胞因废用性导致的活性变化却十分局限，所以测得的代谢反应是全身性的，不能代表任何特定身体部分。尿钙在损伤后立即升高并在8-10周达高峰，约为正常水平的2倍。</p><p>&nbsp; &nbsp; &nbsp; 15周后尿钙降至稳定水平，但仍比正常水平高。7个月后尿钙的排泄才恢复正常。尿羟脯氨酸伤后也立即增高，3个月达高峰。维持高峰水平长达8个月，然后在1年内下降并稳定到一定水平。</p><p>&nbsp; &nbsp; &nbsp; 有研究显示：受伤制动后血清钙浓度升高（1.3％）和血清磷浓度升高（5.9％），以及尿肌酐排泄升高（17％），但尿钙排泄并不升高。以上检测骨代谢生化指标都提示骨吸收增强。而在伤后5-9周，总血清碱性磷酸脂酶开始逐步升高。</p><p>【中期变化】</p><p>&nbsp; &nbsp; &nbsp; 小梁骨容量（小梁占骨的百分比）以每月6％的速度减少，并且与瘫痪时期长短相关，直到25周之后才与瘫痪时期没有进一步联系，达到一个稳定状态。小梁破骨细胞吸收表面数目在伤后升高，并一直维持16周，40周后逐步恢复正常。</p><p>&nbsp; &nbsp; &nbsp; 可以说，骨丢失发生是由于骨形成减少以及破骨细胞吸收作用暂时性升高。随之以一个“惰”骨为特征的新的稳定状态，它在“单位时间内比以前产生更少的骨”。</p><p>【后期变化】</p><p>&nbsp; &nbsp; &nbsp; 失骨所致骨反应的后期变化可通过对特定部位直接测量骨量或骨矿骨量得到，它提供了最重要的临床评估资料。能够测量到的骨重建资料可能需要数周或数月，这取决于测量技术和骨反应的大小程度。</p><p>&nbsp; &nbsp; &nbsp; 研究表明胫骨骨量的减少是股骨的两倍，靛部受伤后立即发生骨丢失，在最初4～6个月，平均以每月大于2％的速度丢失，在接下来第一年的其余时间丢失速度约为1％，这么大的丢失比率在第3年或第4年才消失，而在此以后几乎没有资料显示可测量的骨丢失。</p><p>&nbsp; &nbsp; &nbsp; 虽然在这些研究中存在着个体差异，但是通常认为小梁骨丢失比皮质骨丢失更明显，而局部发生的骨丢失与瘫痪是否彻底有关。</p><p>&nbsp; &nbsp; &nbsp; Donahue等通过对黑熊冬眠的研究发现，黑熊不因冬眠而导致骨质疏松这一现象与甲状腺激素的水平有直接关系，这可能成为废用性骨质疏松症的一个新的研究方向。</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1042', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1634', '诊断', '<p>废用性骨质疏松症的诊断要点主要有：</p><p>&nbsp; &nbsp; &nbsp; （1）运动功能障碍或运动量减少３个月以上者，尤其是绝经后妇女易发生废用性骨质疏松症。</p><p>&nbsp; &nbsp; &nbsp; （2）因外伤或疾病而被制动、卧床的青少年，时间在３个月或半年以上，若有肢体皮温增高、骨骼疼痛、泌尿系结石，则提示有骨质疏松或弥漫性骨萎缩的可能。</p><p>&nbsp; &nbsp; &nbsp; （3）骨质疏松症患者活性维生素Ｄ减少，以此可与骨软化症作鉴别。</p><p>&nbsp; &nbsp; &nbsp; （4）对原因不明的肌肉功能障碍、肌腱异位骨化、骨骼疼痛以及骨关节变形者，需进一步检查，以排除骨质疏松症。</p><p>&nbsp; &nbsp; &nbsp; （5）Ｘ线检查根据不同特征可分为4种类型：</p><p>&nbsp; &nbsp; &nbsp; ①广泛性骨质疏松：多见于高龄者，运动功能受限8周的早期骨质疏松症，常见于腕骨、跟骨和四肢长骨；</p><p>&nbsp; &nbsp; &nbsp; ②斑状骨质疏松：多见于ｌ5岁以下青少年，因运动功能长期受限，近关节周围的四肢长骨端呈斑块状骨质疏松区；</p><p>&nbsp; &nbsp; &nbsp; ③线状骨质疏松：有2种表现，一种是在四肢长骨的干骺端呈横行带状透明区，称为带状骨质疏松。常出现在运动功能障碍3个月以内的横行骨小梁。另一种是在运动功能障碍３个月以上的纵行骨小粱受累，呈纵行线条稀疏透明状，称为线状骨质疏松；</p><p>&nbsp; &nbsp; &nbsp; ④板层状骨质疏松：常发生在20岁以后，其长骨干的骨膜下成骨与骨髓炎表现相似。另外，诊断废用性骨质疏松症，可辅助进行骨密度测定检查，使诊断更加客观化。</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1043', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1634', '防治', '<p>&nbsp; &nbsp; &nbsp; 废用性骨质疏松的防治包括卧床体位、运动锻炼、物理治疗、药物治疗。在任何情况下，都不要忽视对原发病的积极治疗，在防治上应首先强调运动锻炼。</p><p>&nbsp; &nbsp; &nbsp; 卧床宜采用半坐位，保持头高足低，避免体液向头部和躯体上部转移。体育锻炼在于对成骨细胞和破骨细胞产生刺激，诱导体液流动。应力刺激产生负电位，易于结合阳性钙离子，促进骨形成。</p><p>&nbsp; &nbsp; &nbsp; 肌肉锻炼可使骨血流量增加，促进骨骼肌循环，提高组织营养。体育锻炼应尽早进行，循序渐进并主动运动，采取等长及等张肌力收缩。根据个体情况适当制订锻炼方法，可站立或步行，注意关节活动度训练。</p><p>&nbsp; &nbsp; &nbsp; 以主动运动为主，被动锻炼仅适用于瘫痪及偏瘫病人，包括按摩、关节被动活动、挛缩及粘连肌肉牵长等。应尽量缩小固定范围及期限，对非损伤部位尽可能进行力所能及的运动。对长期制动进行锻炼或开始行走时宜动作轻柔，避免使用暴力，以防发生骨折。</p><p>&nbsp; &nbsp; &nbsp; 物理治疗可采用电刺激，掌握刺激频率，可使肌肉被动收缩，促进成骨细胞活性，抑制骨吸收。电刺激可增加细胞液中钙离子浓度，应用脉冲电磁场（PEMF，低电压高频率电刺激对提高骨质和增加骨量均有效。</p><p>&nbsp; &nbsp; &nbsp; 在PEMFs作用下，人体躯干、髋部骨骼等表面或内部将产生生物物理刺激电磁场效应，提高骨密度。PEMFs通过刺激成骨细胞的功能而影响骨代谢，失重后通过心血管系统的变化，体液及骨矿重新分布。</p><p>&nbsp; &nbsp; &nbsp; 在药物治疗方面，可根据病人情况选择使用阿仑膦酸盐、利塞膦酸盐或降钙素，有鲑鱼降钙素（ｓＣＴ针剂或鼻喷剂）和鳗鱼降钙素类似物。</p><p>双膦酸盐也具有很好的效果，依替膦酸盐可增加1α，25（OH）2D3、PTH和血清骨钙素，降低血ICTP和血离子钙。在脊髓损伤早期静脉内注射帕米膦酸盐可抑制骨吸收标志物增加和随之发生的骨密度降低。</p><p>&nbsp; &nbsp; &nbsp; 对截瘫病人应用二膦酸盐可使骨量轻微增加，破骨细胞活性降低。唑来膦酸也可提高小儿脊髓损伤的骨矿物密度，降钙素能有效防止急性制动后骨吸收。老年骨折病人术后立即给予降钙素尤其有重要意义，不仅能促进骨折愈合，还能因止痛效果而提前活动。</p><p>&nbsp; &nbsp; &nbsp; 每日还应补充钙剂及维生素D。中药亦可适当采用，以补肾壮骨为主，辅以健脾益气。药物治疗的目的在于抑制破骨细胞的数目及活性，增加活跃成骨细胞数目。</p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1051', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '270', '概述', '<p>&nbsp; &nbsp; &nbsp; 高血压脑病（hypertensive encephalopathy）是指在高血压病程中因血压急剧、持续升高导致的急性脑循环障碍综合征。</p><p>任何类型高血压只要血压显著升高，均可引起高血压脑病，但临床上多见于既往血压正常而突然发生高血压者，如急性肾小球肾炎、妊娠中毒症等，也好发于急进型或严重缓进型高血压伴明显脑动脉硬化的病人。除血压突然升高外，常伴剧烈头痛与神志改变，有时还出现肢体活动障碍，眼底检查有局限性或弥漫性视网膜小动脉痉挛，但不一定有出血、渗出或水肿，降压治疗后可迅速恢复。</p><p>&nbsp; &nbsp; &nbsp; 高血压脑病的发病机制尚未完全阐明，有两种学说：过度调节或小动脉痉挛学说、自动调节破裂学说。高血压脑病主要病理改变是弥漫性脑水肿，脑重量增加可超过正常脑的20%～30%。</p><p>&nbsp; &nbsp; &nbsp; 高血压脑病应与高血压危象、高血压性脑出血、脑梗死和蛛网膜下腔出血等鉴别。</p><p>&nbsp; &nbsp; &nbsp; 高血压脑病一旦发生，应迅速救治，尽快降低血压，控制病情，防止脑疝形成。</p><p>&nbsp; &nbsp; &nbsp; 高血压脑病起病急，症状明显，病情危重，若不及时治疗，可因脑水肿加剧出现脑疝，可迅速死亡。据统计，未经治疗的高血压危重症，6个月病死率50%，1年病死率90%。高血压脑病经治疗后，大部分病例症状完全缓解，影像学检查异常完全消失，预后良好。因此其预后取决于早期诊断和治疗。</p><p>&nbsp; &nbsp; &nbsp; 高血压病患者，平素应用有效降压药物平稳降压，在精神刺激，情绪紧张或其他可能引起血压急剧升高的应激情况下，强化血压监测，及时调整药物即可避免高血压脑病的发生。对颈动脉内膜剥离术后患者，术后进行24h动态血压监测，一旦发现血压异常升高，及时降压治疗。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1052', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '270', '病因与发病机制', '<p>【病因】</p><p>1 原发性高血压 &nbsp;原发性高血压的发病率占1%左右，高血压病史较长，有明显脑血管硬化者更易发生。既往血压正常而突然出现高血压的疾病，如：急进性高血压和急性肾小球肾炎病人也可发生。</p><p>2 继发性高血压 &nbsp;如妊娠高血压综合征、肾小球肾炎性高血压、肾动脉狭窄、嗜铬细胞瘤等血压中等程度增高，也有发生高血压脑病的可能。</p><p>3 某些药物或食物诱发高血压脑病 &nbsp;少见情况下，高血压患者应用单胺氧化化酶抑制剂的同时，又服用萝芙木类、甲基多巴或节后交感神经抑制剂，也会引起与高血压脑病相似的症状。进食富含胺类的食物也可诱发高血压脑病。</p><p>4 颈动脉内膜剥离术后 &nbsp;高度颈动脉狭窄患者行颈动脉内膜剥离术后，脑灌注突然增加，亦可引起高血压脑病。</p><p>【发病机制】</p><p>1 过度调节或小动脉痉挛学说 &nbsp;正常情况下，脑血管随血压变化而舒缩，血压升高时，脑部血管收缩；血压下降时脑血管扩张，当血压急剧升高时可造成脑膜及脑细小动脉持久性痉挛，使流入毛细血管的血流量减少，导致缺血和毛细血管通透性增高，血液内水分外渗增加，可导致脑水肿和颅内压增高，在此基础上可发生坏死性小动脉炎、斑点状出血或多发性小栓塞，引起脑血液循环急性障碍和脑功能损伤，从而产生一系列临床表现。</p><p>2 自动调节破裂学说 &nbsp;脑血管通常随血压变化而扩张或收缩，以保持脑血流量的相对稳定。直接测量脑膜血管的直径和用同位素间接测量入脑血流量，均说明血压下降时脑膜血管扩张，血压升高时则收缩。正常人当平均动脉压（MAP）在60～120mmHg之间时脑血流量是恒定的。血压明显上升，如MAP≥180mmHg时，自动调节机制破坏，原先收缩的脑血管（血压升高时收缩）由于不能承受过高的压力而突然扩张，产生所谓被动性扩张现象，结果脑血管过度灌注，脑血流量增加，血浆渗透压增高，渗入血管组织周围而导致脑水肿和颅内高压，从而产生一系列临床表现。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1053', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '270', '病理改变', '<p>&nbsp; &nbsp; &nbsp; 高血压脑病主要病理改变是弥漫性脑水肿，脑重量增加可超过正常脑的20%～30%。脑外观苍白，脑回变平，脑沟变浅，脑室变小，脑浅表部位动脉、毛细血管和静脉扩张，Virchow-Robin腔隙扩大，脑切面呈白色，可有瘀点状出血或微小狭长的裂隙状出血及腔隙性病损等。脑小动脉管壁玻璃样变性使血管内皮增厚，外膜增生，血管腔狭窄或阻塞，导致纤维蛋白性血栓和脑实质微梗死，形成本病特有的小动脉病（arteriolopathy），血管壁纤维素样坏死严重可破裂，发生多数瘀点或脑内出血。Feigin和Prose（1959）描述两种脑动脉玻璃样变性类型，一种为纤维蛋白样动脉炎，可见血管壁炎症性改变、血液外渗、微动脉瘤形成；另一种血管壁无炎性改变，胶原染色性物质使血管腔狭窄、小血栓形成和脑缺血。颅内压增高或视网膜动脉压增高阻碍静脉回流，可导致视网膜动脉纤维素样坏死、出血或梗死及永久性视力丧失。还可见少突胶质细胞肿胀、树突状细胞破碎（clasmato-dendrosis）及神经元缺血性改变。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1054', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '270', '临床表现', '<p>&nbsp; &nbsp; &nbsp; 高血压脑病起病急骤，病情发展非常迅速。肾功能损害者更容易发病。</p><p>&nbsp; &nbsp; &nbsp; 高血压脑病常因过度劳累、紧张和情绪激动所诱发，出现高血压脑病一般需经12～48h，短则几分钟。血压升高尤以舒张压为主，舒张压常超过120mmHg。</p><p>&nbsp; &nbsp; &nbsp; 主要有脑水肿和颅内高压的症状，先有严重的弥漫性头痛，清晨较明显。初呈兴奋、烦躁不安，继而精神萎靡、嗜睡。若病情继续进展，脑水肿加剧，则在数小时或1～2天内出现意识模糊，甚至昏迷。除神志改变外，还常伴有呕吐，有时呈喷射性。</p><p>&nbsp; &nbsp; &nbsp; 视力障碍以偏盲、黑矇多见；有时出现一过性偏瘫、半身感觉障碍、甚至失语，有的还有颈项强直、癫痫发作（可为局限性癫痫发作、癫痫大发作或癫痫持续状态）等神经症状，严重者并有呼吸中枢衰竭症状。眼底检查有局限或弥漫性视网膜血管痉挛，不一定伴有视盘水肿、渗出和出血。脑脊液压力增高并有蛋白质。</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1055', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '270', '并发症', '<p>&nbsp; &nbsp; &nbsp; 高血压脑病易并发脑疝、罕见并发脑血栓形成或脑出血。</p><p>&nbsp; &nbsp; &nbsp; 1. 脑疝：由于脑水肿加剧，其脑容积增加而压迫正常脑组织，易出现脑疝，可迅速死亡</p><p>&nbsp; &nbsp; &nbsp; 2.脑血栓或脑出血：Schwartz等报道，110例高血压脑病中，3例因血小板减少导致致命大量脑出血，可见脑出血并发症虽然罕见，但后果严重。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1056', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '270', '辅助检查', '<p style=\"white-space: normal;\">1. &nbsp;除非伴肾病或尿毒症，尿常规通常无蛋白、红细胞、白细胞及管型等，血尿素氮正常。</p><p style=\"white-space: normal;\">2. &nbsp;CSF压力多数增高，偶可正常，细胞数正常，极少数患者有少量红细胞，蛋白轻微增高。</p><p style=\"white-space: normal;\">3. 脑部CT：出现局限或广泛的低密度灶脑水肿表现，主要累及皮质下白质，偶尔累及皮质。Schwartz等发现，在高血压并发的高血压脑病，脑水肿常为双侧性，主要位于枕叶，也有位于顶叶、后额叶、小脑胼胝体的带状结构等处。颈动脉内膜剥离术后的高血压脑病，脑水肿位于手术同侧的大脑前、中动脉供血区域。高血压脑病缓解后，CT异常所见消失。</p><p style=\"white-space: normal;\">4. 脑部MRI：与CT改变相似，MRI上T1下降、T2上升。</p><p style=\"white-space: normal;\">5. SPECT：在CT或MRI显示异常的部位，可见血流灌注增加。</p><p style=\"white-space: normal;\">6. 眼底检查：视网膜动脉呈弥漫性或局限性强烈的痉挛、硬化或有出血、渗出和视盘水肿。</p><p style=\"white-space: normal;\">7. 脑电图：出现局限性异常或双侧同步锐性慢波，有时表现为节律性差。</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1057', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '270', '诊断与鉴别诊断', '<p>诊断</p><p>&nbsp; &nbsp; &nbsp; 根据高血压脑病患者原发性或继发性高血压病史，可有过劳、精神紧张、激动等诱因，血压突然急骤升高，尤其舒张压升高（＞120mmHg），出现剧烈头痛、呕吐、意识障碍，偏瘫、失语和癫痫发作等一过性神经系统局灶体征，眼底可见高血压性视网膜病变，CT或MRl显示特征性顶枕叶水肿，迅速降压后症状体征迅速消失，不遗留后遗症，一般不难诊断。但准确的诊断必须谨慎除外其他原因引起的血压升高及神经学缺陷。</p><p>鉴别诊断</p><p>&nbsp; &nbsp; &nbsp; 高血压脑病应与高血压危象、高血压性脑出血、脑梗死和蛛网膜下腔出血等鉴别：</p><p>&nbsp; &nbsp; &nbsp; 1. 高血压脑病与高血压危象都是高血压的特殊临床表现，共同特点均表现血压急剧升高，但发病机制及临床表现不同。</p><p>&nbsp; &nbsp; &nbsp; 2. 出血性卒中：脑出血或蛛网膜下腔出血（SAH）均可出现脑水肿及颅内压增高症状，如高血压、剧烈头痛、呕吐、癫痫发作，甚至昏迷等。高血压脑病以舒张压升高为主，神经功能缺失症状体征为一过性，脑出血神经功能缺失体征固定并可加重，SAH可见脑膜刺激征，CT检查有肯定的鉴别价值，高血压脑病显示弥漫性脑水肿，脑卒中可见高密度或低密度病灶证据。</p><p>&nbsp; &nbsp; &nbsp; 3. 尿毒症性脑病：尿毒症合并高血压并出现脑部症状时，须鉴别为高血压脑病或尿毒症脑病引起。高血压脑病常伴癫痫发作和黑矇，降压后症状迅速好转；尿毒症肾功能障碍严重，常伴扑翼样震颤或肌阵挛，血尿素氮或肌酐增高，透析治疗后症状可缓解；尿毒症患者很少发生癫痫样发作和黑矇，有助于鉴别。</p><p>&nbsp; &nbsp; &nbsp; 4. 高血压性心脏病引起的肺水肿需与高血压脑病鉴别，前者有明显肺水肿症状体征，纠正肺水肿后血压下降，可资鉴别。</p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1058', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '270', '治疗', '<p>&nbsp; &nbsp; &nbsp; 高血压脑病及时处理预后良好，处理不当可导致死亡，因此应力争早期确诊，卧床休息，尽快降血压，降低颅内压及减轻脑水肿，防止脑疝形成，控制癫痫发作，预防心力衰竭等。具体治疗及处理措施是：</p><p>&nbsp; &nbsp; &nbsp; 1 迅速降压治疗 &nbsp;为预防或减轻靶器官的损伤，在数分钟至2h之间使血压降低，至目标血压水平，仍有争议。有主张将血压降至正常或接近正常水平，有主张血压降低幅度应小于20%～25%，或将舒张压降至100～110mmHg（13.3～14.8kPa），恢复脑血管自动调节机制。但降压不要过快、过低，以防发生脑血流灌注不足，诱发脑梗死；老年人个体差异大，血压易波动，用药应从小量开始，逐渐加量，以免血压降得过快、过低，引起心肌梗死等不良后果。</p><p>临床常用短效静脉制剂降压：</p><p>（1）首选硝普钠：硝普钠 0.25～10μg/（kg•min）加入5%葡萄糖液500ml静脉滴注，滴速1ml/min，每2～3min测1次血压，调整滴速及用量使血压维持在适宜水平；此药降压迅速稳定，无不良反应，但理化性质不稳定，配制后须在12h内使用。可同时使小动脉、毛细血管及小静脉扩张，静脉回心血量减少，左心室前后负荷均降低，适于伴左心衰或急性冠状动脉功能不全患者。</p><p>（2）硝酸甘油：25mg加于5%葡萄糖500ml静脉滴注，5～100μg/min静脉点滴,2～5min起作用，持续5～10min。根据血压调节滴速，降压作用迅速，监护较硝普钠简单，副作用较少，有人主张用它代替硝普钠，尤适宜合并冠心病、心肌供血不足和心功能不全者。</p><p>（3）尼卡地平：5～15mg/h静脉点滴，5～10min开始起作用，持续1～4h（常时间使用后持续时间超过12h）。</p><p>（4）拉贝洛尔：每10分钟静注20～40mg，或0.5～2mg/min静滴,5～10min开始起作用，持续2～6h。</p><p>（5）乌拉地尔：首剂12.5～25mg，随后5～40mg/h 静滴,3～5min起作用，作用持续4～6h。</p><p>（6）酚妥拉明：5～10mg静注,1～2min起作用，持续10～30min。</p><p>（7） 利舍平（利血平）（Reserpine）：可耗竭交感神经末梢儿茶酚胺贮存，扩张血管及降低血管周围阻力。1mg肌内注射，1.5～3h起效，必要时每6～12h可重复注射，适于快速降压后维持用药。副作用为鼻塞、口干、心动过缓、嗜睡和帕金森病样表现。</p><p>（8）卡托普利（captopil）：主要作用于肾素-血管紧张素-醛固酮系统（RAA系统）的特异性竞争型抑制剂，抑制RAA系统血管紧张素转换酶（ACE），阻止血管紧张素-Ⅰ转换为血管紧张素-Ⅱ，抑制醛固酮分泌，减少水钠潴留。12.5～25mg口服，3次/d，60～90min显效。可见胃肠道反应、失眠、口干及中性粒细胞减少，心衰患者不宜使用。</p><p>（9）降压后可用硝苯地平（nifedipine，心痛定）10～20mg舌下含服或咬碎咽下或直肠给药，3次/d，也可用气雾剂喷入口咽部，每次0.5mg，连用6次；本药为钙通道拮抗药，20～30min起效，1.5～2h降压明显，1次用药后奏效达80%，可使平均动脉压下降25%。对高血压脑病合并冠心病，病情不太严重患者最理想，是较安全、迅速的降压药。</p><p>&nbsp; &nbsp; &nbsp; 2 迅速降低颅内压 &nbsp;降颅压及减轻脑水肿可用20%甘露醇250ml快速静脉滴注，每6～8小时1次，心肾功能不全者慎用；可与速尿40mg静脉注射、10%人血白蛋白50ml静脉滴注或地塞米松10～20mg静脉滴注合用。 &nbsp; 呋塞米20～40mg加10%葡萄糖液20ml内静脉注射，必要时可重复使用。</p><p>&nbsp; &nbsp; &nbsp; 3 对症治疗 &nbsp;癫痫频繁发作或癫痫持续状态首选安定10～20mg缓慢静脉注射。若不能控制可用安定40～50mg加于10%葡萄糖溶液500ml中静脉滴注，应注意呼吸情况。也可用苯妥英（苯妥英钠），常与安定合用作为维持用药或用于出现呼吸抑制者，首剂500mg加入5%葡萄糖500ml中，静脉滴注，300～500mg/d维持疗效。随后成人可用苯巴比妥0.2g肌内注射，与10%水合氯醛30ml灌肠，6h交替使用；控制发作1～2天后改用苯妥英（苯妥英钠）或卡马西平口服，维持2～3个月以防复发。</p><p>&nbsp; &nbsp; &nbsp;4 相关药品 &nbsp;氧、萝芙木、甲基多巴、胶原、尿素、硝普钠、硝酸甘油、甘油、尼卡地平、拉贝洛尔、乌拉地尔、酚妥拉明、呋塞米、葡萄糖、甘露醇、水合氯醛、苯妥英钠、苯巴比妥、巴比妥、利血平、卡托普利、硝苯地平、人血白蛋白、地塞米松、卡马西平</p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1066', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '494', '概述', '<p>&nbsp; &nbsp; &nbsp; 酒精性肝硬化是由于长期大量饮酒所致的肝硬化。是酒精肝的终末阶段。酒精性肝硬化的发生与饮酒者的饮酒方式、性别、遗传因素、营养状况及是否合并肝炎病毒感染有关。一次大量饮酒较分次少量饮酒的危害性大，每日饮酒比间断饮酒的危害性大。饮酒的女性较男性更易发生酒精性肝病。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1067', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '494', '临床表现', '<p>&nbsp; &nbsp; &nbsp; 一般于50岁左右出现症状，男女比例约为2：1，常于60岁前后死亡。早期常无症状，以后可出现体重减轻、食欲不振、腹痛、乏力、倦怠、尿色深、牙龈出血及鼻出血等。面色灰黯、营养差、毛细血管扩张、蜘蛛痣、肝掌、腮腺非炎性肿大、掌挛缩、男性乳房发育、睾丸萎缩和阴毛呈女性分布，以及厌氧菌所致的原发性腹膜炎，肝性脑病等。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1068', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '494', '辅助检查', '<p>1.实验室检查</p><p>&nbsp; &nbsp; &nbsp; （1）血常规血色素、血小板、白细胞计数降低。</p><p>&nbsp; &nbsp; &nbsp; （2）肝功能实验代偿期轻度异常，失代偿期血清蛋白降低，球蛋白升高，A/G倒置。凝血酶原时间延长，凝血酶原活动下降。转氨酶、胆红素升高。总胆固醇及胆固醇脂下降，血氨可升高。氨基酸代谢紊乱，支/芳比例失调。尿素氮、肌酐升高。电解质紊乱：低钠、低钾。</p><p>&nbsp; &nbsp; &nbsp; （3）病原学检查HBV-M或HCV-M或HDV-M阴性。</p><p>&nbsp; &nbsp; &nbsp; （4）纤维化检查血清Ⅲ型前胶原氨基端肽（PⅢNP）值上升，脯氨酰羟化酶（PHO）上升，单胺氧化酶（MAO）上升，血清板层素（LM）上升。</p><p>&nbsp; &nbsp; &nbsp; （5）腹水检查抽腹水作常规检查、腺苷脱氨酶（ADA）测定、细菌培养及细胞学检查。为提高培养阳性率，腹水培养应在床边进行，使用血培养瓶，分别作需氧和厌氧菌培养。</p><p>2.影像学检查</p><p>&nbsp; &nbsp; &nbsp; （1）X线检查食管胃底钡剂造影，可见食管胃底静脉出现虫蚀样或蚯蚓样静脉曲张变化。</p><p>&nbsp; &nbsp; &nbsp; （2）B型及彩色多普勒超声波检查酒精性肝硬化早期，肝脏假小叶形成的再生结节较小，周围的纤维束较狭窄而整齐，B型超声检查各径线测值常增大，肝内回声密集增强，稍增粗，与其他慢性肝病不易区别。随着病程进展，肝细胞大量破坏，肝细胞再生和大量纤维组织增生，超声检查切面图像可显示无数圆形或类圆形低回声结节，弥漫分布于全肝，结节较肝炎后肝硬化者细小而均匀，大小多为0.2cm～0.5cm之间，结节周边可见纤维组织包绕而呈网格状强回声。肝包膜增厚，回声增强，但并不出现肝炎后肝硬化常见的锯齿状改变，肝脏体积常缩小。</p><p>&nbsp; &nbsp; &nbsp; （3）CT检查肝脏各叶比例失常，密度降低，呈结节样改变，肝门增宽、脾大、腹水。</p><p>3.内镜检查</p><p>&nbsp; &nbsp; &nbsp; 可确定有无食管胃底静脉曲张，阳性率较钡餐、X线检查更高，尚可了解静脉曲张的程度，并对其出血的风险性进行评估。食管胃底静脉曲张是诊断门静脉高压的最可靠指标。在并发上消化道出血时，急诊胃镜检查可判明出血部位和病因，并进行止血治疗。</p><p>4.肝活检检查</p><p>&nbsp; &nbsp; &nbsp; 肝穿刺活检可确诊。</p><p>5.腹腔镜检查</p><p>&nbsp; &nbsp; &nbsp; 能直接观察肝、脾等腹腔脏器及组织，并可在直视下取活检，对诊断有困难者有价值。</p><p>6.门静脉压力测定</p><p>&nbsp; &nbsp; &nbsp; 经颈静脉插管测定肝静脉楔入压与游离压，二者之差为肝静脉压力梯度（HVPG），反映门静脉压力。正常多小于5mmHg，大于10mmHg则为门脉高压症。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1069', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '494', '治疗', '<p>治疗</p><p>&nbsp; &nbsp; &nbsp; &nbsp;本病无特效治疗，关键在于戒酒和早期诊断，针对病因和加强一般治疗，使病情缓解及延长其代偿期，对失代偿期患者主要是对症治疗，改善肝功能和抢救并发症；对有门脉高压的患者应采取各种防止上消化道出血的有效措施，包括选择好适应证和时机进行手术治疗。<br/></p><p>预防</p><p>1.选择健康文明的生活方式。</p><p>2.控制饮酒量，尽量饮用低度酒或不含酒精的饮料。</p><p>3.饮酒后要及时补充高蛋白、高纤维素饮食，尤其应补充维生素B族、维生素A、C、K及叶酸等。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1073', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1473', '概述', '<p>&nbsp; &nbsp; &nbsp;糖尿病妇女妊娠时可伴发包括视网膜病变、肾病、神经病变、非感知性低血糖、高血压和高胆固醇血症等并发症,母亲的年龄、肥胖、不良生活习惯(如吸烟)和血糖控制不良都是相关危险因。</p><p>White分类方法(表14-4-19)对糖尿病妇女妊娠后胎儿和母亲的风险进行分层。在 Joslin医院和其他一些单位的研究发现,B、C和D级患者的预后没有什么差别,F级母亲罹患高血压合并症、胎儿宫内生长停滞和早产的危险增加,新生儿期生存率约为89%~100%。微量蛋白尿是先兆子痫的危险因素。同时罹患高血压和微量蛋白尿的妇女,先兆子痫的发病率为50%。在B、C、D和R级患者中,可以用一个亚级“f”来区别这种附加的风险。</p><p>A级以下的妇女需要胰岛素治疗,R、F、RF、H和T级不考虑起病年龄和病程,但是通常病程较长。出现一种合并症即升至下一个级别。</p><p style=\"text-align: center;\">表14-4-19妊娠前糖尿病的 White分类</p><table><tbody><tr class=\"firstRow\"><td width=\"362\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">妊娠前糖尿病</td><td width=\"362\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">糖耐量异常,单纯饮食治疗可以维持血糖正常或是需要胰岛素治疗</td></tr><tr><td width=\"362\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">A级</td><td width=\"362\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">单纯饮食治疗足以控制血糖,不考虑起病年龄和病程</td></tr><tr><td width=\"362\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">B级</td><td width=\"362\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">起病年龄≥20岁和病程&lt;10年</td></tr><tr><td width=\"362\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">C级</td><td width=\"362\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">起病年龄10~19岁或病程10~19年</td></tr><tr><td width=\"362\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">D级</td><td width=\"362\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">起病年龄&lt;10岁或病程≥20年,或非增殖性糖尿病视网膜病变,或高血压(无先兆子痫)</td></tr><tr><td width=\"362\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">R级</td><td width=\"362\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">增殖性糖尿病视网膜病变或玻璃体出血</td></tr><tr><td width=\"362\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">F级</td><td width=\"362\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">肾病,尿蛋白&gt;500mg/dl</td></tr><tr><td width=\"362\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">RF级</td><td width=\"362\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">R级和F级的条件并存</td></tr><tr><td width=\"362\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">H级</td><td width=\"362\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">存在动脉硬化性心脏病的证据</td></tr><tr><td width=\"362\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">T级</td><td width=\"362\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">肾移植患者</td></tr></tbody></table>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1074', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1473', '受孕前的准备', '<p>&nbsp; &nbsp; 1型和2型糖尿病在受孕前应将血糖控制在接近正常水平(表14-4-20),以减少先天性畸形和自然流产的危险。准备受孕的妇|女应该提前到糖尿病和妊娠专科门诊咨询。咨询的内容包括母亲和胎儿风险的评估和降血糖治疗如何达标。母亲的风险评估包括眼科散瞳检眼镜检查和处理。</p><p style=\"text-align: center;\">表14420受孕前的控制目标<br/></p><table><tbody><tr class=\"firstRow\"><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">目标</td><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">血浆(mmol/L)</td><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">全血(mmol/L)</td></tr><tr><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">空腹和餐前血糖</td><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">4.4~6.1</td><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">3.9~5.6</td></tr><tr><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">餐后2h血糖</td><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">5.6~8.6<span class=\"Apple-tab-span\" style=\"white-space: pre;\">	</span></td><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">5.0~5.6</td></tr><tr><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">HbAlc</td><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">&lt;7%</td><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">尽可能降至正常,避免低血糖</td></tr></tbody></table><p>&nbsp; &nbsp; &nbsp; 评估其他合并症,并积极进行治疗。①肾功能的测定:测定随机尿微量蛋白/血肌酐。②心脏功能的评估:具有一个或一个以上冠心病危险因素、35岁或以上的妇女应该做心功能评估。冠心病的危险因素包括高血压(血压&gt;130/80mmHg)、吸烟、冠心病家族史、高胆固醇血症[LDL≥2 . 6 mmol / (100 mg / dl) ,HDL≤ 1 mmol / L( 40mg/ dl) ]或是肾病(微量白蛋白尿或肾病)。可选择心电图、超声心动图和运动负荷试验进行评估。③高血压和(或)微量白蛋白尿的治疗:应该在妊娠前三个月停用ACEI和ARB,必要时可用a甲基多巴、β受体阻断药和钙拮抗药。④高血脂的治疗:包括他汀类在内的所有降胆固醇药在妊娠期禁用,应该在受孕前停药。妊娠是高甘油三酯血症引发胰腺炎的危险因素。治疗的方法是限制热量摄入,补充中链甘油三酯和静脉注射肝素。</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1075', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1473', '治疗', '<p>&nbsp; &nbsp; &nbsp; 1. 控制血糖 &nbsp;妊娠期糖尿病患者应在家中检测血糖,并将血糖控制在目标范围内(表14-4-21)。<br/></p><p>&nbsp; &nbsp; &nbsp; 2. 胎儿监测 &nbsp;在妊娠15~21周做三维超声扫描以评估神经管缺损和其他先天性畸形,妊娠18周时做胎儿径线测量。妊娠20~22周做超声心动图,筛查心血管缺损。妊娠后3个月开始胎儿监测,包括非应激性试验、生物生理试验和母亲监测胎动,以降低死胎的风险。根据血糖控制状态、合并糖尿病肾病或高血压以及胎儿生长情况决定胎儿监测的次数和频率。</p><p style=\"text-align: center;\">表14-4-21受孕后的治疗目标</p><table><tbody><tr class=\"firstRow\"><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">目标<span class=\"Apple-tab-span\" style=\"white-space: pre;\">	</span></td><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">血浆(mmol/L)</td><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">全血(mmol/L)</td></tr><tr><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">空腹和餐前血糖</td><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">3.9~5.9</td><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">3.3~5.3</td></tr><tr><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">餐后1h血糖</td><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">5.6~8.6</td><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">5.0~7.8</td></tr><tr><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">餐后2h血糖</td><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">5.0~7.2</td><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">4.4~6.7</td></tr><tr><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">尿酮体</td><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">阴性</td><td width=\"234\" valign=\"top\" style=\"border-width: 1px; border-style: solid;\"><br/></td></tr><tr><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">Hbalc</td><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">正常化</td><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span class=\"Apple-tab-span\" style=\"white-space: pre;\">	</span><br/></td></tr></tbody></table><p>&nbsp; &nbsp; &nbsp; 注:应避免严重低血糖,有非感知性低血糖的患者血糖目标值要放宽,1型糖尿病妊娠妇女常需每天多次胰岛素注射或是持续皮下胰岛素注射(CSⅡ),而2型糖尿病妊娠者可以选择单纯医学营养治疗或胰岛素强化治疗。基础冲击疗法,模拟生理性胰岛素分泌模式,即中效或长效胰岛素作为补充基础胰岛素,短效胰岛素或类似物进餐前应用,而CSⅡ只用短效胰岛索即可。</p><p>&nbsp; &nbsp; &nbsp; 3. 临产和分娩 &nbsp;根据胎儿体重以及是否存在活动的视网膜病变来决定分娩方式。生产和(或)剖宫产前维持血糖水平正常十分重要,分娩前一天晚上,睡前胰岛素应该如常注射,待产日早晨可给予小剂量中效胰岛素,如受孕前剂量的1/3;或停用中效胰岛素,改用短效胰岛素静脉滴注,并调整剂量以维持血糖正常。胰岛素泵使用者,如果针头埋在股部或臀部皮下,可以保留基础量不变;如果血糖下降至4.4mmol/L(80mg/dl)以下,应该减少基础量;如果血糖水平在6. 1mmo/L(110mg/dl)以上,停用胰岛素泵,改用胰岛索静脉滴注,并维持血糖在4.4~5.6mmol/L(80-100mg/dl)之间。在产程延长时,静脉滴注5%葡萄糖100~125ml/h,以防止饥饿性酮症。<br/></p><p>&nbsp; &nbsp; &nbsp; 4. 产后血糖监测 &nbsp;产后胰岛素敏感性即可升高,胰岛索需要量通常下降至受孕前剂量以下。为了减少发生严重低血糖的危险,产后24小时内的胰岛素剂量应为受孕前的1/3~1/2。产后2周胰岛素需要量已稳定,宜对血糖进行精细调节。应用胰岛素泵的患者需要检测一系列空腹血糖值以重新确定适当的胰岛素基础剂量。哺乳母亲的胰岛素需要量可能仍较低,应该计算碳水化合物需要量以防止哺乳期低血糖。产后6周复诊,需处理合并症和其他存在的疾病。</p><p style=\"text-align: right;\">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;来源：《实用妇产科学》第3版</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1076', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '490', '定义', '<p>&nbsp; &nbsp; &nbsp; 妊娠时发生或是第一次确诊的任何程度的糖耐量减低。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1077', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '490', '病因和发病机制', '<p>&nbsp; &nbsp; &nbsp;所有妊娠妇女的糖代谢都有定程度的变化,但是只有少数人发生妊娠糖尿病。大多数妊娠糖尿病患者的致病原因更类似2型糖尿病。妊娠糖尿病妇女的空腹胰岛素水平并不低,但是与糖耐量正常的妇女比较,第1相胰岛素分泌和某一定量血糖刺激的胰岛素分泌反应却降低,OGTT显示胰岛素分泌延迟。妊娠糖尿病在妊娠早期胰岛素原水平升高,并持续到产后。因此妊娠糖尿病的发生除了胰岛素抵抗外,还有β细胞分泌胰岛素功能的损害。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1078', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '490', '筛查和诊断', '<p>&nbsp; &nbsp; &nbsp;妊娠糖尿病风险因素的评估要在第一次围产期检查时进行。具有多种危险因素的高危对象应该尽早进行筛查。第一次筛查阴性者,需要在妊娠24-28周之间重检。对于中危的妇女,在妊娠24~28周之间也要进行筛查。而对于那些低危妇女(符合每一条低危因素)则无须进行筛查(表14-4-16)</p><p>&nbsp; &nbsp; &nbsp;OGTT试验前要求禁食过夜,试验期历时数个小时,实施起来有一定难度。50g葡萄糖负荷试验在妊娠24~28周进行,负荷后1小时测定血浆或是血清葡萄糖,尽快进行检测,可以在一天中的任何时刻进行。该筛查方法(表14-4-17)敏感性较高,易推广应用。阳性者需进一步做诊断性TT试验。</p><p style=\"text-align: center;\">表14-4-16妊娠糖尿病筛查</p><table><tbody><tr class=\"firstRow\"><td valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\" rowspan=\"1\" colspan=\"3\">第一步:风险因素的评估</td></tr><tr><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">风险因素的分类</td><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">临床特点</td><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">筛查或尽快筛查</td></tr><tr><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">高危(只要符合任意一条)</td><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><p>显著肥胖</p><p>一级亲属糖尿病</p><p>糖耐量受损病史</p><p>妊娠糖尿病史</p></td><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><p>如首次筛查正常</p><p>孕24~28周复查</p></td></tr><tr><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">中危<span class=\"Apple-tab-span\" style=\"white-space: pre;\">	</span></td><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">既不属于高危又不属于低危</td><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">孕24~28周筛查血糖</td></tr><tr><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">低危(均需符合）</td><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><p>年龄低于25</p><p>不属于糖尿病高患病率族群岁</p><p>一级亲属中无糖尿病</p><p>体重正常</p><p>无糖耐量异常史</p><p>无产科预后不良史</p></td><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">无须进行血糖筛查</td></tr></tbody></table><p>注：根据2008年ADA糖尿病分类和诊断标准<br/></p><p style=\"text-align: center;\">表14-4-17妊娠糖尿病筛查<br/></p><table><tbody><tr class=\"firstRow\"><td valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\" rowspan=\"1\" colspan=\"3\">第二步：血糖筛查</td></tr><tr><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">血糖切点</td><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">阳性预测值</td><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">敏感度</td></tr><tr><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">≥7.8mmol/L(140mg/dl)</td><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">14%~18%</td><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">~80%</td></tr><tr><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">≥7.2mmol/L(130mg/dl)</td><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">20%~25%</td><td width=\"234\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">~90%</td></tr></tbody></table><p>注:此检查是在中、高危人群中进行,给予50g葡萄糖口服1小时后检测。被检者在检查前无须准备,可以在任何时间进行极高危者则可直接进行空腹血糖和OGTT检查。<br/></p><p>&nbsp; &nbsp; &nbsp; 目前用的两个妊娠糖尿病的诊断标准是:75g2h-OGTT和100g3h-OGTT。这两种OGTT检测评价空腹(禁食8~14小时)以及负荷后1小时和2小时血糖水平100g试验还评价3小时血糖水平。两个标准都是依据任何两个以上时点值超过为阳性(表14-4-18)。</p><p style=\"text-align: center;\">表14-4-18妊娠糖尿病的诊断</p><table><tbody><tr class=\"firstRow\"><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">100g-3h-OGTT</td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">时间</td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">mmol/L</td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">mg/dl</td></tr><tr><td width=\"171\" valign=\"top\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">空腹</td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">5.3</td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">95</td></tr><tr><td width=\"171\" valign=\"top\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">1h<span class=\"Apple-tab-span\" style=\"white-space: pre;\">	</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">10.0</td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">180</td></tr><tr><td width=\"171\" valign=\"top\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">2h</td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">8.6</td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">155</td></tr><tr><td width=\"171\" valign=\"top\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">3h</td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">7.8</td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">140</td></tr><tr><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">7g-2h-OGTT</td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">空腹</td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">5.3<span class=\"Apple-tab-span\" style=\"white-space: pre;\">	</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">95</td></tr><tr><td width=\"171\" valign=\"top\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">1h</td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">10.0</td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">180</td></tr><tr><td width=\"171\" valign=\"top\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">2h<span class=\"Apple-tab-span\" style=\"white-space: pre;\">	</span></td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">8.6</td><td width=\"171\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">155</td></tr></tbody></table><p>注:根据2008年ADA糖尿病分类和诊断标准。</p><p>&nbsp; &nbsp; &nbsp; 上述两种方法的诊断标准都是依据任何两个或两个以上性时点。受试者在未禁食(每天≥150g碳水化合物)3天以上,禁食过夜,即空服8--14小时后检测。</p><p>&nbsp; &nbsp; &nbsp; 由于妊娠糖尿病以损伤糖耐量为主,空腹血糖水平一般正常。所以如果空腹血糖≥7.0mmol/L(126mg/dl)或是随机血糖≥11.1mmo/L(200mg/dl)的患者,可能是孕前就发生了糖尿病。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1079', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '490', '治疗', '<p>&nbsp; &nbsp; &nbsp;严格的血糖控制可以降低胎儿合并症的风险。但是控制目标过严,母亲有发生低血糖的危险,一些证据表明,控制过严亦有发生小孕龄婴儿的危险。ADA建议的目标值是全血空腹血糖&lt;5.3mmol/L(95mg/dl)。餐后1小时&lt;7.8mmol/L(140mg/dl)和(或)餐后2小时&lt;6.7mmol/L(120mg/dl)。</p><p>&nbsp; &nbsp; &nbsp; 医学营养治疗是妊娠糖尿病的中心环节。饮食方案受孕妇体形、体力活动量和体重增加程度的影响,血糖控制的目标不宜过严,以免引起酮血症或出现尿酮体。对于非低体重的患者,适宜中等程度的热量限制。体重在理想范围的妇女,摄入总热量开始为126kJ(30kcal)/kg体重;低于理想体重80%的妇女,宜提供167kJ(40kcal)/kg体重;体重为理想体重120%~150%的妇女应给予105kJ(25kcal)/kg体重;体重为理想体重150%以上的妇女为50kJ(12kcal)/kg体重。然后根据体重增加程度和是否有酮症进行调整。碳水化合物、蛋白质、脂肪分别占总热量的35%~45%、20%~25%和35%~40%。妊娠糖尿病妇女早餐后的碳水化合物耐受最差,严格地限制早餐的碳水化合物有助于改善早餐后血糖控制。</p><p>&nbsp; &nbsp; &nbsp; 约50%的妊娠糖尿病妇女经单纯的饮食控制后血糖可能仍未达标,需用胰岛素治疗。大多数妊娠糖尿病患者雷要0.7U/(kg•d),分三次注射。与非妊娠患者一样,2/3剂量在早餐前,1/3剂量在晚餐前注射,短效和中效(或长效)胰岛素的比例为1:2。从妊娠20~24周至30~32周,胰岛素剂量约增加50%。妊娠30周以后胰岛素需要量趋于稳定。是否可用二甲双胍需更多循证医学依据。与非糖尿病孕妇比较,妊娠糖尿病孕妇发生高血压、蛋白尿、水肿、先兆子痫或子痫的概率增高,因此围产期除了控制血糖外,还要监测这些合并症的指标。从妊娠36周开始,每周进行一次生物物理检查,超声检查通常在妊娠38周施行,原因是大孕龄胎儿准备引产和巨大胎儿准备剖宫产。正常孕龄大小胎儿可以等到妊娠40周时再处理,大多数产科专家建议妊娠糖尿病孕妇在妊娠40~41周分娩应用胰岛素治疗的妊娠糖尿病患者,分娩时间最好选在早晨,平时晚餐注射的胰岛素不变,分娩日早晨的胰岛索暂停,如果产程延长,可注射平时早餐胰岛素剂量的25%~30%。如果母亲空版血糖&gt;110mg/dl,可以考虑胰岛素静脉滴注,因为母亲高血糖可引发新生儿高胰岛素血症和产后低血糖。如果母亲注射胰岛素并且能自然分娩,应该输注葡萄糖并维持血糖水平在80~110mg/dl之间,以预防母亲低血糖妊娠期的高血糖在分娩后即可下降,因此可停用胰岛素。妊娠时糖尿病的发生越早和胰岛素剂量越大的患者,产后完全恢复的可能性越小。在患者出院前应该检查一次血糖,确定血糖水平已经恢复正常。出院后血糖升高者应该尽早到医院行葡萄糖耐量试验,但不必测糖化血红蛋白。</p><p>妊娠糖尿病患者在产后是发生2型糖尿病的高危人群,应该进行干预以延缓或预防糖尿病的发生。</p><p style=\"text-align: right;\">来源：《实用妇产科学》第3版</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1080', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '488', '概述', '<p>&nbsp; &nbsp; &nbsp; 1型糖尿病原名胰岛素依赖型糖尿病，多发生在儿童和青少年，也可发生于各种年龄。起病比较急剧，体内胰岛素绝对不足，容易发生酮症酸中毒，必须用胰岛素治疗才能获得满意疗效，否则将危及生命。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1081', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '488', '病因', '<p><br/></p><p>1.自身免疫系统缺陷</p><p>&nbsp; &nbsp; &nbsp; 在1型糖尿病患者的血液中可查出多种自身免疫抗体，如谷氨酸脱羧酶抗体(GAD抗体)、胰岛细胞抗体（ICA抗体）等。这些异常的自身抗体可以损伤人体胰岛分泌胰岛素的B细胞，使之不能正常分泌胰岛素。</p><p>2.遗传因素</p><p>&nbsp; &nbsp; &nbsp; 目前研究提示遗传缺陷是1型糖尿病的发病基础，这种遗传缺陷表现在人第6对染色体的HLA抗原异常上。研究提示：1型糖尿病有家族性发病的特点——如果你父母患有糖尿病，那么与无此家族史的人相比，你更易患上此病。</p><p>3.病毒感染可能是诱因</p><p>&nbsp; &nbsp; &nbsp; 许多科学家怀疑病毒也能引起1型糖尿病。这是因为1型糖尿病患者发病之前的一段时间内常常有病毒感染史，而且1型糖尿病的发生，往往出现在病毒感染流行之后。如那些引起流行性腮腺炎和风疹的病毒，以及能引起脊髓灰质炎的柯萨奇病毒家族，都可以在1型糖尿病中起作用。</p><p>4.其他因素</p><p>&nbsp; &nbsp; &nbsp; 如牛奶、氧自由基、一些灭鼠药等，这些因素是否可以引起糖尿病，科学家正在研究之中。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1082', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '488', '临床表现', '<p>&nbsp; &nbsp; &nbsp; 此病好发于儿童或青少年期，此为第一特点。除了儿童之外，实际上1型糖尿病也可能发生在一生中各个年龄段，特别是更年期。1型糖尿病的第二个特点是发病一般比较急骤，口渴、多饮、多尿、多食以及乏力消瘦，体重急剧下降等症状十分明显，有的患者首发即有酮症酸中毒。1型糖尿病的第三个特点是最终将无一例外地使用胰岛素治疗，所以1型糖尿病原来又称为胰岛素依赖型糖尿病。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1083', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '488', '辅助检查', '<p>&nbsp; &nbsp; &nbsp; 做抗体试验，即胰岛素自身抗体（IAA），胰岛细胞抗体（ICA），谷氨酸脱羧酶抗体（GAD-Ab），1型糖尿病患者这些抗体可能是阳性。标致胰岛功能的胰岛素及C-肽水平很低。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1084', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '488', '诊断与鉴别诊断', '<p>诊断</p><p>&nbsp; &nbsp; &nbsp; 根据年龄，临床表现等综合判定，也可以通过胰岛素测定来做出诊断。</p><p>鉴别诊断</p><p>&nbsp; &nbsp; &nbsp; 1型糖尿病与2型糖尿病的区别。</p><p>&nbsp; &nbsp; &nbsp; 1型糖尿病的发病与HLA抗原有关，2型糖尿病则与之无关；1型糖尿病体内可检出GAD等特异性抗体，2型糖尿病抗体阴性；1型糖尿病体内胰岛素绝对不足，因此需要终身使用外来胰岛素治疗，2型糖尿病则不需要胰岛素维持生命；1型糖尿病往往发病较急，容易发生酮症酸中毒，2型糖尿病则不然。</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1085', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '488', '治疗', '<p>&nbsp; &nbsp; &nbsp;1型糖尿病的胰岛素治疗目标是保证患者有良好的生活质量（即尽可能避免严重的低血糖发生）和满意控制代谢水平(即积极预防糖尿病并发症)。年龄较大的患者也可加用二甲双胍和葡萄糖苷酶抑制剂类药物。</p><p>&nbsp; &nbsp; &nbsp; 胰岛素类似物与传统的胰岛素相比具有药代动力学上的优势，如lispro或aspart胰岛素具有超短效的活性，glargine或detemir胰岛素能模拟基础胰岛素特性。无论采用何种胰岛素治疗方案，患者都应该首先接受特殊的宣教，并学会定期自行监测血糖，及时调整治疗方案，促使血糖达标。</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1086', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '489', '概述', '<p>&nbsp; &nbsp; &nbsp; 2型糖尿病患者体内产生胰岛素的能力并非完全丧失，有的患者体内胰岛素甚至产生过多，但胰岛素的作用效果较差，因此患者体内的胰岛素是一种相对缺乏，可以通过某些口服药物刺激体内胰岛素的分泌。但到后期仍有一些病人需要使用胰岛素治疗。</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1087', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '489', '病因', '<p>1.遗传因素</p><p>&nbsp; &nbsp; &nbsp; 与1型糖尿病一样，2型糖尿病有较为明显的家族史。其中某些致病的基因已被确定，有些尚处于研究阶段。</p><p>2.环境因素</p><p>&nbsp; &nbsp; &nbsp; 流行病学研究表明，肥胖、高热量饮食、体力活动不足及增龄是2型糖尿病最主要的环境因素，高血压、血脂异常等因素也会增加患病风险。</p><p>3.年龄因素</p><p>&nbsp; &nbsp; &nbsp; 大多数2型糖尿病于30岁以后发病。在半数新诊断的2型糖尿病患者中，发病时年龄为55岁以上。</p><p>4.种族因素</p><p>&nbsp; &nbsp; &nbsp; 与白种人及亚洲人比较，2型糖尿病更容易在土著美洲人、非洲--美洲人及西班牙人群中发生。</p><p>5.生活方式</p><p>&nbsp; &nbsp; &nbsp; 摄入高热量及结构不合理（高脂肪、高蛋白、低碳水化合物）膳食会导致肥胖，随着体重的增加及缺乏体育运动，胰岛素抵抗会进行性加重，进而导致胰岛素分泌缺陷和2型糖尿病的发生。</p><p>&nbsp; &nbsp; &nbsp; 导致2型糖尿病的主要诱因包括肥胖、体力活动过少和应激。应激包括紧张、劳累、精神刺激、外伤、手术、分娩、其他重大疾病，以及使用升高血糖的激素等等。由于上述诱因，患者的胰岛素分泌能力及身体对胰岛素的敏感性逐渐降低，血糖升高，导致糖尿病。</p><p>到目前为止，我们还无法控制人体的遗传因素。但是，我们能对环境因素进行干预，从而降低2型糖尿病的患病率。</p><p><br/></p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1088', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '489', '临床表现', '<p>&nbsp; &nbsp; &nbsp; 2型糖尿病中一部分病人以胰岛素抵抗为主，病人多肥胖，因胰岛素抵抗，胰岛素敏感性下降，血中胰岛素增高以补偿其胰岛素抵抗，但相对病人的高血糖而言，胰岛素分泌仍相对不足。此类病人早期症状不明显，仅有轻度乏力、口渴，常在明确诊断之前就可发生大血管和微血管并发症。饮食治疗和口服降糖药多可有效。另一部分病人以胰岛素分泌缺陷为主，临床上需要补充外源性胰岛素。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1089', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '489', '辅助检查', '<p>&nbsp; &nbsp; &nbsp;2型糖尿病是胰岛素不能有效发挥作用(与受体结合含量少)所致，因此不仅要检查空腹血糖，而且要观察餐后2小时血糖，特别应做胰岛功能检查。</p><p>&nbsp; &nbsp; &nbsp; 具体数值如下：正常人空腹血糖：3.9～6.1毫摩尔/升，餐后2小时血糖在7.8毫摩尔/升以下。如空腹血糖≥7.0毫摩尔/升，餐后2小时血糖≥11.1毫摩尔/升，就可诊断糖尿病。如空腹血糖在6.1～7.0毫摩尔/升，餐后2小时血糖在7.8～11.1毫摩尔/升之间为糖调节受损，是早期糖尿病的表现。而尿糖检查仅供参考，不能诊断糖尿病及用药的依据。</p><p>&nbsp; &nbsp; &nbsp; 胰岛功能检查：验者口服75克葡萄糖水300毫升后观察血糖、胰岛素、C肽变化。</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1090', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '489', '诊断', '<p>1997年7月美国糖尿病协会提出了糖尿病诊断和分类标准。<br/></p><p>1.有糖尿病症状，并且随机血糖≥11.1mmol/L。随机血糖是指就任意时间的血糖值，典型的糖尿病症状包括多尿、烦渴和无其他诱因的体重下降。</p><p>2.空腹血糖≥7.0mmol/L，空腹状态定义为至少8小时内无热量摄入。</p><p>3.OGTT时2小时血糖≥11.1mmol/L。OGTT仍然按WHO的要求进行。</p><p>没有糖尿病的症状而符合上述标准之一的患者，在次日复诊仍符合三条标准之一者即诊断为糖尿病。</p><p>在新的分类标准中，糖尿病和葡萄糖耐量受损(IGT)及空腹葡萄糖受损(IFG)共属高血糖状态，与之相应的为葡萄糖调节正常的正常血糖状态。IGT的诊断标准为：OGTT时2小时血糖≥7.8毫摩尔/升，但&lt;11.1毫摩尔/升，IFG为空腹血糖≥6.1毫摩尔/升但〈7.0毫摩尔/升。</p><p>2010年ADA糖尿病诊断标准：</p><p>1.糖化血红蛋白HbA1c≥6.5%。</p><p>2.空腹血糖FPG≥7.0mmol/L。空腹定义为至少8小时内无热量摄入。</p><p>3.口服糖耐量试验时2小时血糖≥11.1mmol/L。</p><p>4.在伴有典型的高血糖或高血糖危象症状的患者，随机血糖≥11.1mmol/L。</p><p>在无明确高血糖时，应通过重复检测来证实标准1～3。</p><p>跟过去相比有两个方面的进步：增加糖化血红蛋白指标；弱化了症状指标，更多人纳入糖尿病范畴，得到早期诊治。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1091', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '489', '治疗', '<p>1.口服降糖药</p><p>&nbsp; &nbsp; &nbsp; （1）双胍类（如二甲双胍） 这类药物具有减少肝脏输出葡萄糖的能力，并能帮助肌肉细胞、脂肪细胞和肝脏从血液中吸收更多的葡萄糖，从而降低血糖水平。</p><p>&nbsp; &nbsp; &nbsp; （2）磺脲类（如格列美脲、格列本脲、格列齐特和格列喹酮） 这类口服降糖药的主要作用是刺激胰岛释放更多胰岛素。</p><p>&nbsp; &nbsp; &nbsp; （3）噻唑烷二酮类（如罗格列酮和吡格列酮） 此类药物可以增强胰岛素敏感性，帮助肌肉细胞、脂肪细胞和肝脏吸收更多血液中的葡萄糖。不过罗格列酮可能会增加心脏病风险。</p><p>&nbsp; &nbsp; &nbsp; （4）苯甲酸衍生物类（如瑞格列奈和那格列奈） 这类药物的作用机制与磺脲类药物相似，主要是刺激胰腺产生更多胰岛素来降低血糖。</p><p>&nbsp; &nbsp; &nbsp; （5）α-葡萄糖苷酶抑制剂（如阿卡波糖和伏格列波糖） 这类降糖药能抑制人体消化道对糖类的吸收，主要作用是降低餐后血糖。</p><p>2.胰岛素类药物</p><p>&nbsp; &nbsp; &nbsp; 若是通过改变生活方式和使用口服降糖药仍然不能很好地控制住血糖，或者服用其他药物会给你带来不良影响时，医生可能就会建议你使用胰岛素。目前，胰岛素不能口服，只能利用注射器或胰岛素笔等装置通过皮下注射。</p><p>&nbsp; &nbsp; &nbsp; 不同胰岛素制剂的起效时间和作用持续时间也不同。患者需要在医生的指导下，选用适合自身当前病情的胰岛素类型，并制定适当的胰岛素注射时间。</p><p>&nbsp; &nbsp; &nbsp; 为了达到最好的血糖控制效果，有时也可能将多种胰岛素预混后进行注射。通常，胰岛素注射的频率为1～4次/天。</p><p>&nbsp; &nbsp; &nbsp; 通过减轻体重和加强运动锻炼，有些2型糖尿病患者发现自己可以不再需要药物。因为他们在体重达到理想范围时，通过自身的分泌胰岛素和饮食调节就能控制住血糖。</p><p>&nbsp; &nbsp; &nbsp; 目前还不清楚孕妇口服低血糖药物是否安全。2型糖尿病女性患者在妊娠期和哺乳期可能需要停止口服降糖药而注射胰岛素。</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1092', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '873', '概述', '<p>&nbsp; &nbsp; &nbsp; 胆源性胰腺炎最主要的症状（约95%的病人）多为突发性上腹或左上腹持续性剧痛或刀割样疼痛，上腹腰部呈束带感，常在饱餐或饮酒后发生，伴有阵发加剧，可因进食而增强，可波及脐周或全腹。常向左肩或两侧腰背部放射。疼痛部位通常在中上腹部，如胰头炎症为主，常在中上腹偏右；如胰体、尾炎为主，常在中上腹部及左上腹。疼痛在弯腰或起坐前倾时可减轻。有时单用吗啡无效，若合并胆管结石或胆道蛔虫，则有右上腹痛，胆绞痛。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1093', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '873', '症状体征', '<p>恶心呕吐</p><p>&nbsp; &nbsp; &nbsp; 2／3的病人有此症状，发作频繁，早期为反射性，内容为食物、胆汁。晚期是由于麻痹性肠梗阻引起，呕吐物为粪样。如呕吐蛔虫者，多为并发胆道蛔虫病的胰腺炎。酒精性胰腺炎者的呕吐常于腹痛时出现，胆源性胰腺炎者的呕吐常在腹痛发生之后。</p><p>腹胀</p><p>&nbsp; &nbsp; &nbsp; 在重型者中由于腹腔内渗出液的刺激和腹膜后出血引起，麻痹性肠梗阻致肠道积气积液引起腹胀。</p><p>黄疸</p><p>&nbsp; &nbsp; &nbsp; 约20％的患者于病后1～2天出现不同程度的黄疸。其原因可能为胆管结石并存，引起胆管阻塞，或肿大的胰头压迫胆总管下端或肝功受损出现黄疸，黄疸越重，提示病情越重，预后不良。</p><p>发热</p><p>&nbsp; &nbsp; &nbsp; 多为中度热：38°～39℃之间，一般3～5天后逐渐下降。但重型者则可持续多日不降，提示胰腺感染或脓肿形成，并出现中毒症状，严重者可体温不升。合并胆管炎时可有寒战、高热。</p><p>手足抽搐</p><p>&nbsp; &nbsp; &nbsp; 为血钙降低所致。系进入腹腔的脂肪酶作用，使大网膜、腹膜上的脂肪组织被消化，分解为甘油和脂肪酸，后者与钙结合为不溶性的脂肪酸钙，因而血清钙下降，如血清钙＜1．98mmol／L（8mg％），则提示病情严重，预后差。</p><p>休克</p><p>&nbsp; &nbsp; &nbsp; 多见于急性出血坏死型胰腺炎，由于腹腔、腹膜后大量渗液出血，肠麻痹肠腔内积液，呕吐致体液丧失引起低血容量性休克。另外吸收大量蛋白质分解产物，导致中毒性休克的发生。主要表现烦躁、冷汗、口渴，四肢厥冷，脉细，呼吸浅快、血压下降，尿少。严重者出现紫绀、呼吸困难，谵妄、昏迷、脉快、血压测不到，无尿、BUN＞100mg%、肾功衰竭等。</p><p>急性呼吸衰竭</p><p>&nbsp; &nbsp; &nbsp; 其临床特点是突然发生进行性呼吸窘迫，过度换气，紫绀，焦急，出汗等，常规氧疗法不能使之缓解。</p><p>急性肾功能衰竭</p><p>&nbsp; &nbsp; &nbsp; 重症急性胰腺炎者23%可出现急性肾功能衰竭，死亡率高达80%。其发生原因与低血容量、休克和胰激肽的作用有关。胰酶引起血凝异常，出现高凝状态，产生微循环障碍，导致肾缺血缺氧。</p><p>循环功能衰竭</p><p>&nbsp; &nbsp; &nbsp; 重症胰腺炎可引起心力衰竭与心律失常，后者可酷似心肌梗塞。</p><p>胰性脑病</p><p>&nbsp; &nbsp; &nbsp; 发生率约5.9%-11.9%，表现为神经精神异常，定向力缺乏，精神混乱，伴有幻想，幻觉，躁狂状态等。常为一过性，可完全恢复正常，也可遗留精神异常。</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1094', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '873', '临床表现', '<p>(1)病情发展过程：可有以下3类：仅有过急性发作史，以后未再复发，但炎症持续存在；有过反复急性发作，但每次发作后并未完全痊愈，与复发性急性胰腺炎不同；有些患者并无明确腹痛发作，而最终出现脂肪泻、糖尿病等为主要表现，此型又称为慢性无痛性胰腺炎。</p><p>(2)症状：腹痛，初为间歇性，渐呈持续性，部位及性状与急性胰腺炎相似，可伴有发热与黄疸。因胰腺外分泌不足，胰酶缺乏而出现脂肪泻、脂溶性维生素缺乏等现象，最终胰岛必将累及，出现糖尿病症状。</p><p>(3)体征：上腹部可有压痛，或可扪及包块，并发脾静脉血栓时，可引起脾大，或出现节段性门脉高压征。少数可并发胰腺癌。</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1095', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '873', '辅助检查', '<p>(1)血清和尿淀粉酶：除急性发作期，一般不增高。</p><p>(2)各种胰腺外分泌功能试验：均可减退。①促胰滠素试验。胰液分泌量减少(&lt;80ml／20分)，碳酸氢钠(十二指肠液正常值：&gt;80mmol／L)和胰酶含量减低。②胆囊收缩素刺激试验。结果同促胰液素试验。③尿BT—PABA(苯甲酰一酪氨酰一对氨基苯甲酸)试验。测定尿中PABA的排泄量，约为正常量的50％。④Lundh试验。胰酶活力降低。此试验现已少用。</p><p>(3)血清放免法胆囊收缩素、促胰液素测定：含量明显增加，系因胰酶减少，对胆囊收缩及促胰液素的反馈性抑制减弱或消失所致。</p><p>(4)1~I碘化脂肪吸收试验：血131碘&lt;正常值；粪便”。碘&gt;iE常值。</p><p>(5)胰腺内分泌功能减退，血糖可升高。</p><p>(6)腹部X线平片：可见胰腺钙化影，钡透可有胃和(或)十二指肠受压征象。</p><p>(7)B超扫描：可显示胰腺肿大或缩小以及囊肿等图像。</p><p>(8)逆行胰管造影：可见胰管结石、管腔变形或呈串珠状。</p><p>(9)CT扫描：可见胰腺缩小、增大或正常。密度下降或正常。胰管扩张呈串珠状，或狭窄与扩张混合存在。胰腺结石或钙化。</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1096', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '873', '诊断与鉴别诊断', '<p>诊断标准</p><p>&nbsp; &nbsp; ①典型的症状与体征,外分泌功能明显异常，逆行胰胆管造影有典型的慢性胰腺炎改变，并可除外胰腺癌者。</p><p>&nbsp; &nbsp; ②x线与CT有明确胰腺钙化或胰腺结石。③胰腺活组织检查符合慢性胰腺炎。</p><p>鉴别诊断</p><p>&nbsp; &nbsp; 本病应与急性复发性胰腺炎鉴别：后者在发作时血淀耪酶显著增高，腹部平片常阴性，胰腺组织无永久性炎症痕迹。当慢性胰腺炎出现梗阻性黄疸时，常与胰腺癌、壶腹部瘟、总胆管结石等相混淆，往往须经多方面检查，甚至剖腹探查，经病理活检与细胞学检查才能作出诊断。</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1101', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1470', '概述', '<p>&nbsp; &nbsp; &nbsp; 非增值性糖尿病性视网膜病变是无新生血管的糖尿病性视网膜病变。</p><p>&nbsp; &nbsp; &nbsp; 糖尿病患者约有70%出现全身小血管和微血管病变，其中，糖尿病视网膜病变（diabetic retinopaty,DR)是糖尿病微血管病变中最严重的并发症之一，也是具有特异性改变的眼底病变。</p><p>&nbsp; &nbsp; &nbsp; 糖尿病患者最常见的主诉为闪光感及视力减退，按病变严重程度将糖尿病视网膜病变分为非增殖期和增殖期。非增殖期的糖尿病视网膜病变的眼底表现为：视网膜静脉扩张、微血管瘤、深层和浅层出血、硬性渗出、棉絮斑、视网膜水肿，长期的黄斑水肿形成黄斑囊样水肿，视力明显下降。增殖期糖尿病视网膜病变损害进一步加重，较大面积毛细血管闭塞缺血，则发生视网膜新生血管，进而新生血管由视网膜表面长入内界膜与玻璃体后界膜间，形成纤维血管膜。新生血管易破裂出血，大量玻璃体积血、机化，导致牵拉性视网膜脱离。缺血区的视网膜产生的血管生长因子，经玻璃体进入前房，致虹膜、房角新生血管形成，最终导致继发闭角型青光眼即新生血管性青光眼而失明。</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1102', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1470', '临床分期', '<p>1. 非增值期：<br/></p><p>&nbsp; &nbsp; Ⅰ以后极部为中心，出现微血管瘤和小出血点</p><p>&nbsp; &nbsp; Ⅱ出现黄白色硬性渗出</p><p>&nbsp; &nbsp; Ⅲ出现白色棉绒斑</p><p>2. 增值期</p><p>&nbsp; &nbsp; Ⅳ眼底有新生血管或并有玻璃体出血</p><p>&nbsp; &nbsp; Ⅴ眼底有新生血管和鲜味增值</p><p>&nbsp; &nbsp; Ⅵ眼底有新生血管和纤维增值，并发牵拉性视网膜脱离</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1103', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1470', '辅助检查', '<p><br/></p><p>1.血糖检查：定期测定血糖水平，监控糖尿病病情发展。</p><p>2.肾功能检查：及时发现糖尿病肾病并发症。</p><p>3.胆固醇血脂检查：检测胆固醇、血脂水平。</p><p>4.眼底荧光血管造影：如在眼底镜下尚未发现糖尿病性视网膜病变时，眼底荧光血管造影就可出现异常荧光形态。在眼底荧光血管造影下发现的微血管瘤比眼底镜下所见要早得多，多得多。其他如毛细血管扩张、通透性增加、无灌注区，动静脉异常、渗出及出血，新生血管等，眼底荧光血管造影都有特殊表现。</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1104', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1470', '治疗', '<p><br/></p><p>1.药物治疗</p><p>&nbsp; &nbsp; &nbsp; （1）长期控制糖尿病 糖尿病性视网膜病变的根本治疗是治疗糖尿病。原则上应当首先并经常将血糖控制到正常或接近正常水平。</p><p>&nbsp; &nbsp; &nbsp; （2）降低血脂 对于血脂偏高和视网膜黄斑区及其周围有环形硬性渗出的糖尿病患者，应摄取低脂饮食，并应用降血脂药物。</p><p>&nbsp; &nbsp; &nbsp; （3）控制血压 血压升高可加重糖尿病性视网膜病变，当高血压得到控制时，荧光渗漏显著减轻，故应对糖尿病合并高血压病的患者控制血压。口服血管紧张素转化酶抑制剂对糖尿病性视网膜病变有减轻作用，这可能与它抗高血压作用有关。</p><p>&nbsp; &nbsp; &nbsp; （4）导升明 据称导升明（2，5-二羟基苯磺酸钙）对导致糖尿病性视网膜病变的“三高”因素：即毛细血管高通透性、血液高黏滞性、血小板高活性有明显的抑制和逆转作用。</p><p>&nbsp; &nbsp; &nbsp; （5）阿司匹林 可抑制血栓素和前列腺素代谢产物生成，抑制血小板凝集，对微血栓形成有一定的预防作用。</p><p>2.光凝治疗</p><p>&nbsp; &nbsp; &nbsp; 激光治疗被认为是治疗糖尿病性视网膜病变的有效方法。临床实验证明光凝治疗在2个方面对该病的发病过程有有益的作用：一是导致新生血管退化并阻止它们再生；二是减少黄斑水肿。</p><p>3.冷凝治疗</p><p>&nbsp; &nbsp; &nbsp; 冷凝主要用于不适合做光凝治疗的患者或光凝治疗的补充疗法，如患者有屈光间质混浊或视网膜周边部病变光凝无法治疗。</p><p>4.玻璃体切割术</p><p>&nbsp; &nbsp; &nbsp; 对于糖尿病性视网膜病变，玻璃体切割术的基本适应证是玻璃体出血及严重的增殖性病变。一般认为，广泛玻璃体出血3个月以上不能自发吸收者需行玻璃体切割术。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1105', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1471', '概述', '<p>&nbsp; &nbsp; &nbsp; 增值性糖尿病性视网膜病变是有新生血管的糖尿病性视网膜病变。</p><p>&nbsp; &nbsp; &nbsp; 糖尿病患者约有70%出现全身小血管和微血管病变，其中，糖尿病视网膜病变（diabetic retinopaty,DR)是糖尿病微血管病变中最严重的并发症之一，也是具有特异性改变的眼底病变。糖尿病患者最常见的主诉为闪光感及视力减退，按病变严重程度将糖尿病视网膜病变分为非增殖期和增殖期。非增殖期的糖尿病视网膜病变的眼底表现为：视网膜静脉扩张、微血管瘤、深层和浅层出血、硬性渗出、棉絮斑、视网膜水肿，长期的黄斑水肿形成黄斑囊样水肿，视力明显下降。增殖期糖尿病视网膜病变损害进一步加重，较大面积毛细血管闭塞缺血，则发生视网膜新生血管，进而新生血管由视网膜表面长入内界膜与玻璃体后界膜间，形成纤维血管膜。新生血管易破裂出血，大量玻璃体积血、机化，导致牵拉性视网膜脱离。缺血区的视网膜产生的血管生长因子，经玻璃体进入前房，致虹膜、房角新生血管形成，最终导致继发闭角型青光眼即新生血管性青光眼而失明。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1106', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1471', '临床分期', '<p>糖尿病视网膜病变的临床分期：</p><p>1. 非增值期：</p><p>&nbsp; &nbsp; &nbsp; Ⅰ以后极部为中心，出现微血管瘤和小出血点</p><p>&nbsp; &nbsp; &nbsp; Ⅱ出现黄白色硬性渗出</p><p>&nbsp; &nbsp; &nbsp; Ⅲ出现白色棉绒斑</p><p>2. 增值期</p><p>&nbsp; &nbsp; &nbsp; Ⅳ眼底有新生血管或并有玻璃体出血</p><p>&nbsp; &nbsp; &nbsp; Ⅴ眼底有新生血管和鲜味增值</p><p>&nbsp; &nbsp; &nbsp; Ⅵ眼底有新生血管和纤维增值，并发牵拉性视网膜脱离</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1107', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1471', '辅助检查', '<p>1.血糖检查：定期测定血糖水平，监控糖尿病病情发展。</p><p>2.肾功能检查：及时发现糖尿病肾病并发症。</p><p>3.胆固醇血脂检查：检测胆固醇、血脂水平。</p><p>4.眼底荧光血管造影：如在眼底镜下尚未发现糖尿病性视网膜病变时，眼底荧光血管造影就可出现异常荧光形态。在眼底荧光血管造影下发现的微血管瘤比眼底镜下所见要早得多，多得多。其他如毛细血管扩张、通透性增加、无灌注区，动静脉异常、渗出及出血，新生血管等，眼底荧光血管造影都有特殊表现。</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1108', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1471', '治疗', '<p>1.药物治疗</p><p>（1）长期控制糖尿病 糖尿病性视网膜病变的根本治疗是治疗糖尿病。原则上应当首先并经常将血糖控制到正常或接近正常水平。</p><p>（2）降低血脂 对于血脂偏高和视网膜黄斑区及其周围有环形硬性渗出的糖尿病患者，应摄取低脂饮食，并应用降血脂药物。</p><p>（3）控制血压 血压升高可加重糖尿病性视网膜病变，当高血压得到控制时，荧光渗漏显著减轻，故应对糖尿病合并高血压病的患者控制血压。口服血管紧张素转化酶抑制剂对糖尿病性视网膜病变有减轻作用，这可能与它抗高血压作用有关。</p><p>（4）导升明 据称导升明（2，5-二羟基苯磺酸钙）对导致糖尿病性视网膜病变的“三高”因素：即毛细血管高通透性、血液高黏滞性、血小板高活性有明显的抑制和逆转作用。</p><p>（5）阿司匹林 可抑制血栓素和前列腺素代谢产物生成，抑制血小板凝集，对微血栓形成有一定的预防作用。</p><p>2.光凝治疗</p><p>激光治疗被认为是治疗糖尿病性视网膜病变的有效方法。临床实验证明光凝治疗在2个方面对该病的发病过程有有益的作用：一是导致新生血管退化并阻止它们再生；二是减少黄斑水肿。</p><p>3.冷凝治疗</p><p>冷凝主要用于不适合做光凝治疗的患者或光凝治疗的补充疗法，如患者有屈光间质混浊或视网膜周边部病变光凝无法治疗。</p><p>4.玻璃体切割术</p><p>对于糖尿病性视网膜病变，玻璃体切割术的基本适应证是玻璃体出血及严重的增殖性病变。一般认为，广泛玻璃体出血3个月以上不能自发吸收者需行玻璃体切割术。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1150', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1475', '概述', '<p>&nbsp; &nbsp; &nbsp; 糖尿病性胃轻瘫是泛指无机械性肠梗阻存在时的胃动力障碍和排空延迟，临床上出现恶心、早饱、餐后腹胀、纳减、呕吐、腹痛和体重减轻等症状。原发性胃轻瘫者病因不明，继发性者大多与DM、系统性硬皮症和胃部手术有关。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1151', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1475', '病因与发病机制', '<p>&nbsp; &nbsp; &nbsp; 临床和试验结果表明，DM患者血糖控制不良可并发自主神经病变导致胃轻瘫。血糖水平与胃排空呈负相关，高血糖可抑制胃蠕动和胃排空，以及胃消化间期移行性复合运动(IMMC)周期活动。胃肠道激素的变化也与血糖变化有关。</p><p>（一）主神经和胃肠内神经系统病变</p><p>&nbsp; &nbsp; &nbsp; 自主神经包括交感神经和副交感神经，前者神经末梢释放的神经递质主要是多巴胺和去甲肾上腺素，具抑制胃肠蠕动的作用；后者神经末梢释放的神经递质主要是乙酰胆碱，可促进胃肠蠕动。大量研究证实，迷走神经病变和迷走神经切除可使胃动力减弱或消失，导致胃轻瘫。而DM患者由于血糖控制不良可导致自主神经病变，从而继发胃轻瘫。</p><p>&nbsp; &nbsp; &nbsp; 胃壁由浆膜、肌层、粘膜下层和粘膜层组成，肌层的外层为纵行肌，中层为环形肌，内层为斜行肌，在纵行肌和环形肌之间有肌问神经丛，在粘膜下层与粘膜层之间有粘膜下神经丛。由肌间神经丛和粘膜下神经丛组成一个独立的胃肠神经系统(ENS)，主要功能是调控胃肠蠕动。DM患者的神经病变，可引起ENS肌间神经丛和粘膜下神经丛损伤，导致胃动力障碍和排空延迟。</p><p>（二）IMMC周期紊乱或消失</p><p>&nbsp; &nbsp; &nbsp; 正常胃IMMC的静止和运动周期变化可分为4个时相：第1相为胃运动静止期，胃无收缩，持续45分钟；第1l相为不规则间歇收缩期，持续40分钟；第…相为强力收缩期，持续1 0分钟；第1V相为收缩消退期，持续5分钟。胃IMMC的主要作用是促进近端胃、远端胃和近端小肠收缩的协调运动。DM胃动力障碍，主要是由于高血糖可抑制胃蠕动，延迟胃排空，引起胃动力减弱，张力降低，胃的lMMC周期第…相紊乱或消失，近端胃和远端胃的蠕动不协调，幽门活动异常和阻力增高，导致全胃活动，尤其是远端胃活动减弱和排空延迟。</p><p>（三）胃电节律紊乱</p><p>&nbsp; &nbsp; &nbsp; 胃的活动是由胃壁肌的综合电活动产生。胃活动的起搏点位于胃体中部上三分之一的区域，其起搏细胞为CajaI问质细胞，该细胞在胃纵行肌和环行肌中形成一个网络区域，胃电活动、神经和激素信号可通过该网络区域产生胃电节律。正常胃电活动是有规则的，为每分钟3次的慢波节律。在病理情况下，正常慢波节律受到破坏，出现每分钟3次以上的胃动过速，或每分钟3次以下的胃动过缓和(或)快慢不均的胃电节律紊乱，其结果是胃肌收缩无力，蠕动减弱或消失，胃潴留和排空延迟，这些变化与IMMC周期紊乱或消失有关。因此，DM胃轻瘫患者也可出现胃电节律紊乱。</p><p>（四）胃肠道激素变化</p><p>&nbsp; &nbsp; &nbsp; 胃肠道激素如：胃动素、胃泌素、胰多肽、生长抑素、胰高血糖素和胆囊收缩素等变化都可影响胃运动功能。这些激素的变化与自主神经病变、胃动力障碍和血糖变化有关。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1152', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1475', '诊断', '<p>&nbsp; &nbsp; &nbsp; 诊断本病需作胃动力检查(双核素胃排空和胃电图)，此外尚需作胃镜检查，以排除消化性溃疡、返流性食管炎等疾病，并排除幽门梗阻及胃输出端梗阻等引起呕吐的病症，还应与胃肠炎、系统性硬皮症、皮肌炎等疾病区别。<br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1153', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1475', '治疗', '<p>&nbsp; &nbsp; &nbsp; 本病常发生于血糖控制不良的DM患者。除饮食控制和适当体育锻炼外，应联合降糖药和促胃动力药物进行治疗，后者包括抗胆碱药、多巴胺D。受体拮抗剂、5一羟色胺4(5-HT。)受体激动剂和胃动素受体激动剂等。如能早期发现及时治疗，可改善和逆转胃轻瘫。虽然促胃动力药物对DM胃轻瘫的疗效各家报道不一，但大多数学者认为疗效肯定。</p><p>&nbsp; &nbsp; &nbsp; 多潘立酮(吗丁啉)和甲氧氯普胺(胃复安)，可阻断多巴胺D。受体对胃肠道的抑制作用，增强胃肠动力，改善和消除上腹胀、早饱、恶心、呕吐等胃部症状。多潘立酮可显著改善胃排空延迟和胃轻瘫症状，其作用于外周，耐受性好，偶有口干、头痛或头晕。大剂量用药，少数患者可出现乳腺肿胀、溢乳、月经失调或停经，停药后可消失。剂量为每次1 0～20mg，一日3次，餐前15—30分钟口服。</p><p>&nbsp; &nbsp; &nbsp; 甲氧氯普胺可增强食管和胃动力、减少食管返流。因其可透过血脑屏障，兼有外周和中枢神经系统作用，故可能引起帕金森病、迟缓性运动障碍和张力障碍性反应等中枢神经系统的不良反应，使用时应注意。剂量为每次口服1 0mg，一日3—4次。</p><p>&nbsp; &nbsp; &nbsp; 西沙必利是5-HT。受体激动剂，是促进全胃肠道动力药，其促进胃肠动力的作用较多巴胺D。受体拮抗剂强，主要作用是通过肠肌间神经丛的神经节前和节后纤维释放乙酰胆碱，促进胃肠蠕动，从而促进胃对食物的排空，剂量为每次5～10mg，一日3次，餐前或睡前服用，一日剂量不宜超过30mg，一般在服药24周后见效。本品偶可引起轻度头晕和头痛；大剂量用药可引起Q-T问期延长和严重室性心律紊乱，因此有Q-T问期延长、窦房功能障碍、心律失常和有较严重心脏病者禁用本品；有肝、肾功能不全及反复发生的低血糖患者，也不宜使用本品。一些经细胞色素P450在肝内代谢的药物如三唑类抗真菌药(酮康唑)和大环内酯类抗生素(红霉素)不能与本品联用，因联用可导致Q-T间期延长和严重的室性心律紊乱。</p><p>&nbsp; &nbsp; &nbsp; 研究对严格入选的74例2型DM性胃轻瘫患者给予西沙必利，剂量一日不超过30mg，疗程4周，有效率达85％，心电图监测未见发生严重心脏不良反应。</p><p>&nbsp; &nbsp; &nbsp; 红霉素等大环内酯类抗生素具有胃动素受体激动剂的特性，有强大的促胃动力作用。静脉给药较口服给药效果好。起始宜用小剂量，一日40mg，以后增至一日100～200mg，可显著提高胃排空，改善胃轻瘫。本类药物可有恶心、呕肚、腹泻、腹痛等胃肠道反应，偶可有上消化道出血，其消化道不良反应发生率与剂量有关。大剂量可引起Q—T问期延长、严重心律紊乱和电解质紊乱。</p><p>&nbsp; &nbsp; &nbsp; 对应用各种药物无效的顽固性胃轻瘫者可择期进行手术治疗，以解除胃轻瘫症状。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1159', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1469', '概述', '<p>&nbsp; &nbsp; &nbsp;小儿糖尿病是由于胰岛素分泌不足所引起的内分泌代谢疾病，以碳水化合物、蛋白质及脂肪代谢紊乱为主，引起空腹及餐后高血糖及尿糖。临床表现为多饮、多尿、多餐和消瘦。小儿易出现酮症酸中毒，后期常有血管病变导致眼及肾脏受累。儿童时期的糖尿病可见于各年龄阶段，学齢期和青春发育期多见，无性别差异。根据不同的病因，可将儿童时期的糖尿病分为：原发性糖尿病和继发性糖尿病，原发性糖尿病又分为：胰岛素依赖型糖尿病（IDDM）又称为Ⅰ型糖尿病；非胰岛素依赖型糖尿病（NIDDM）又称为Ⅱ型糖尿病。继发性糖尿病：胰腺病，激素受体异常，糖耐量减低。儿童糖尿病多见胰岛素依赖型。目前，小儿Ⅱ型糖尿病发病率有所提高，胰岛素敏感性降低，胰岛素分泌水平高于正常人。</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1160', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1469', '病因', '<p>&nbsp; &nbsp; &nbsp; 1.自身免疫反应 &nbsp;现已证明体液免疫和细胞免疫均与糖尿病有关。初发的胰岛素依赖型糖尿病，三分之二的患儿体内测出胰岛细胞抗体。部分患儿还可测出胰岛素受体自身抗体和胰岛β细胞膜抗体。</p><p>&nbsp; &nbsp; &nbsp; 2.环境因素</p><p>&nbsp; &nbsp; （1）病毒感染柯萨奇B组病毒、EB病毒、腮腺炎病毒等。</p><p>&nbsp; &nbsp; （2）牛乳蛋白过早、过多的摄入牛乳制品，其中酪蛋白作为抗原，触发糖尿病发生。牛乳中牛胰岛素可引起破坏人β细胞功能的免疫反应。</p><p>&nbsp; &nbsp; （3）药物和化学因素。</p><p>&nbsp; &nbsp; &nbsp; 3.遗传易感性 &nbsp;有遗传性，目前证实位于白细胞第6号染色体短臂上的组织相容复合体基因为易感性基因。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1161', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1469', '辅助检查', '<p>1. 血液检查</p><p>（1）血糖测定以静脉血浆（或血清）葡萄糖为标准。1997年美国糖尿病学会（ADA）制定的诊断糖尿病的标准：正常空腹血糖&lt;6.1mmol/L（110mg/dl），空腹血糖6.1～6.9mmol/L为空腹血糖受损；如空腹血糖≥7.0mmol/L，或口服糖耐量试验（OGTT）2小时血糖值&gt;11.1mmol/L，即可诊断糖尿病。糖耐量试验不作为临床糖尿病诊断的常规手段。</p><p>（2）血浆C肽测定C肽测定可反映内源性胰岛β细胞分泌胰岛素的功能，不受外来胰岛素注射影响。有助于糖尿病的分型。儿童Ⅰ型糖尿病时C肽值明显低下。</p><p>（3）糖化血红蛋白（HBAlc）是代表血糖的真糖部分，可反映近2个月血糖平均浓度，是判断一段时间内血糖控制情况的可靠、稳定、客观的指标，与糖尿病微血管及神经并发症有一定的相关性。正常人HBAlc&lt;6%；，HBAlc维持在6%～7%，表示控制良好，糖尿病并发症不发生或已发生但不进展；HBAlc8%～9%时为控制尚可；HBA1c11%～13%为控制较差，糖尿病并发症显著增加。因此，美国糖尿病学会要求糖尿病的患儿HBAlc控制在7%以内。</p><p>2. 尿液检查</p><p>（1）糖尿重症病例治疗前经常有糖尿，轻症仅见于餐后或有感染等应激情况下，不少久病者由于肾糖阈升高，虽有高血糖而无糖尿。因此收集一段时间的尿液进行定量检测更有意义。</p><p>（2）蛋白尿反应糖尿病人肾脏早期受累程度，糖尿病患儿无并发症病时白蛋白尿阴性或偶有白蛋白尿，白蛋白尿排泄率在30mg～300mg/d，时称微量白蛋白尿，表明患者已有早期糖尿病肾病，白蛋白尿排泄率&gt;300mg/d时，称临床或大量白蛋白尿。</p><p>（3）尿酮体见于重症或饮食失调伴酮症酸中毒时尿酮体阳性。</p><p>（4）管型尿往往与大量蛋白尿同时发现，多为透明管型及颗粒管型。见于弥漫型肾小球硬化症。</p><p>3. 其他检查</p><p>（1）拍胸片除外肺结核。</p><p>（2）腹部B超检查肝脏和胰腺。</p><p>（3）眼科检查眼底。</p><p><br/></p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1162', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1469', '诊断', '<p>&nbsp; &nbsp; &nbsp; 根据患儿出现明显多饮，多尿、多食和消瘦，空腹血糖≥7.0mmol/L，口服葡萄糖耐量试验2小时血糖值≥11.1mmol/L，或任意时间血糖≥11.1mmol/L，可诊断糖尿病。家族糖尿病史有助于糖尿病的诊断。应与糖尿、脱水酸中毒、昏迷等鉴别。</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1163', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1469', '治疗', '<p style=\"white-space: normal;\">1. 饮食治疗</p><p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp; （1）热卡供给每天总热卡等于1000千卡+（年龄-1）×（70-100）千卡。合理的饮食治疗是所有糖尿病人的治疗基础，摄入的热量要适合患儿的年龄、体重、日常的活动、平时的饭量。还要考虑到患儿的生长发育。</p><p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp; （2）饮食成分组成蛋白质占总热卡15%～20%左右，以动物蛋白为主；脂肪以植物油为主占30%左右，以不饱和脂肪酸为主；碳水化合物以大米、谷类为主占总热量的55%；</p><p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp; （3）三餐分配一般以少量多餐适宜，餐间可加2次点心，避免低血糖发作。多吃纤维素性食物，使糖的吸收缓慢而均匀，从而改善糖的代谢。三餐比例为早餐1/5，中餐2/5，晚餐2/5</p><p style=\"white-space: normal;\">2. 胰岛素替代治疗</p><p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp; （1）常用胰岛素剂型正规胰岛素（RI）为速效性；珠蛋白胰岛素（NPH）为中效型：鱼精蛋白新胰岛素为中长效性（PZI）</p><p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp; （2）胰岛素用法常用方法每日两次皮下注射，全日总量的2/3在早餐前30分钟注射，1/3在晚餐前30分钟注射；每次注射将短效和中长效胰岛素混合（按3:1或4:1的比例），按照先吸短效后吸中长效的顺序混匀后注射。</p><p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp; （3）胰岛素注射部位上臂、大腿、及腹部按顺序轮换注射。注射点之间隔2厘米，避免一个月内同一部位两次注射。</p><p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp; （4）胰岛素计量的调整再保饮食和运动量相对稳定的情况下，一般2～3天调整一次，每次增或减2单位，每日只调一个时段。儿童1型糖尿病终身需用胰岛素治疗。</p><p style=\"white-space: normal;\">3. 运动治疗</p><p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp; 运动是儿童正常生长和发育所必需的生活内容，运动对于糖尿病儿童更有重要意义。运动使肌肉对胰岛素的敏感性增加，而加速葡萄糖的利用，有利于血糖的控制。运动可降低血脂，增强体质，减少并发症。</p><p style=\"white-space: normal;\">4.预防感染。</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1164', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1477', '概述', '<p>&nbsp; &nbsp; &nbsp; 急性水肿型胰腺炎(或称急性间质性胰腺炎)为急性胰腺炎常见的一种。可经非手术治愈，基本上是一种内科病。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1165', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1477', '临床表现', '<p><strong>　　1.症状</strong><br/></p><p>　　(1)腹痛：腹痛多为持续性伴有阵发加重，采用针刺或注入解痉药物而能使腹痛缓解。</p><p>　　(2)恶心呕吐：不仅有恶心，还常呕吐1～3次不等。</p><p>　　(3)全身症状：可不发热或仅有轻度发热;若发热不退，则可能有并发症出现，如胰腺脓肿等。黄疸的发生，可能为并发胆道疾病或为肿大的胰头压迫胆总管所致。</p><p>　<strong>　2.体征</strong></p><p>　　(1)全身体征：</p><p>　　①体位：多平卧或侧位，但喜静卧。</p><p>　　②舌苔：舌质多淡红，伴有感染时多红或紫红;舌苔多薄白或白腻，严重病例则黄腻或黄燥。</p><p>　　(2)腹部体征：</p><p>　　①视诊：腹部多平坦。</p><p>　　②触诊：压痛、反跳痛与肌紧张可因病变程度和部位不同而各异。一般情况下，多在上腹部有程度不同的压痛，但压痛部位与病变部位有关。病变在胰头者，压痛在右上腹;病变在胰尾者，压痛在左上腹;病变累及全胰腺者，全上腹有压痛。</p><p>　　③叩诊：有肠胀气时，叩诊呈鼓音，若腹腔有渗液时，则叩诊呈浊音，并可测出移动性浊音。</p><p>　　④听诊：肠音多减弱，当出现肠麻痹时，可呈“安静腹”。</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1166', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1477', '诊断', '<p>　诊断本病应具备以下4项标准：①具有典型的临床表现，如上腹痛或恶心呕吐，伴有上腹部压痛或腹膜刺激征;②血清、尿液或腹腔穿刺液有胰酶含量增加;③图像检查(超声、CT)显示有胰腺炎症或手术所见或尸解病理检查证实有胰腺炎病变;④能除外其他类似临床表现的病变。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1183', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '300', '概述', '<p>&nbsp; &nbsp; &nbsp; 慢性阑尾炎是指阑尾急性炎症消退后而遗留的阑尾慢性炎症病变，诸如管壁纤维结缔组织增生、管腔狭窄或闭塞、阑尾扭曲，与周围组织粘连等。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1184', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '300', '临床表现', '<p>&nbsp; &nbsp; &nbsp; （1）腹部疼痛：主要位于右下腹部，其特点是间断性隐痛或胀痛，时重时轻，部位比较固定。多数病人在饱餐，运动和长期站立后，诱发腹痛发生。病程中可能有急性阑尾炎的发作。</p><p>&nbsp; &nbsp; &nbsp; （2）胃肠道反应：病人常觉轻重不等的消化不良、胃纳不佳。病程较长者可出现消瘦、体重下降。一般无恶心和呕吐，也无腹胀，但老年病人可伴有便秘。</p><p>&nbsp; &nbsp; &nbsp; （3）腹部压痛：压痛是唯一的体征，主要位于右下腹部，一般范围较小，位置恒定，重压时才能出现。无肌紧张和反跳痛，一般无腹部包块，但有时可触到胀气的盲肠。</p><p>&nbsp; &nbsp; &nbsp; （4）间接体征：各种特定的压痛点如麦氏点、兰氏点及腰大肌征、罗氏征，在慢性阑尾炎的诊断中无意义。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1185', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '300', '诊断', '<p>&nbsp; &nbsp; &nbsp;诊断慢性阑尾炎并不容易，其确诊必须建立在排除一切可以引起右下腹疼痛和压痛疾病的基础上。因此对慢性阑尾炎的诊断应持慎重态度。</p><p>&nbsp; &nbsp; &nbsp; 右下腹不显或不规则隐痛是主要的临床表现，偶有其他消化道症状如排便次数增多或腹部饱胀感等。右下腹轻度压痛是主要体征。反复(间歇)发作性阑尾炎曾有较明确的急性阑尾炎发作史。以后间歇性反复发作，但均属亚急性性质。发作时常有反射性胃部不适、腹胀、便秘等症状，比较肯定的为右下腹疼痛和局部压痛，并不严重。多次发作后，右下腹还可以扪到索状质硬的阑尾。触之即痛，因此临床上容易识别。至于无急性阑尾炎发作史者，病史不清，症状体征又不典型，诊断较难。病人往往有经常性右下腹绞痛性发作，疼痛程度不一，多数为隐痛，平时有较多的胃肠道疾病症状，如食欲不振、腹胀、食后胃部不适、便秘或轻度腹泻等，均无特点。较多的和较集中的临床表现还是右下腹疼痛和压痛，涉及范围较广，但仍以阑尾点为中心。</p><p>&nbsp; &nbsp; &nbsp; 对曾有急性阑尾炎发作史，以后症状体征比较明显的反复(间歇)发作性阑尾炎，诊断并不困难，而对无急性阑尾炎发作史的慢性(梗阻性)阑尾炎，明确诊断是关键问题。钡灌肠检查帮助较大。最典型的发现是钡剂充盈阑尾，发现阑尾狭窄变细，不规则，间断充盈、扭曲、固定，并可扪到显影的阑尾有明显压痛。有时阑尾不充盈或仅部分充盈，局部有压痛，也可考虑为慢性阑尾炎的表现。此外，阑尾充盈虽然正常，但排空延迟至48h以上，也可作为诊断参考。　　</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1186', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '300', '辅助检查', '<p>&nbsp; &nbsp; &nbsp; 1、X线钡灌肠检查：可见阑尾显影有中断、扭曲、排空迟缓，并因粘连不易被推动等(图1)。如阑尾腔已全闭塞，则不显影。该检查对无典型的发作史者有重要意义。钡灌肠检查不仅可明确压痛点位于阑尾处，重要还在于排除可与慢性阑尾炎相混淆的其他疾病，如溃疡病、慢性结肠炎、盲肠结核或癌肿、内脏下垂等。</p><p>&nbsp; &nbsp; &nbsp; 2、超声检查：用以排除最易与慢性阑尾炎相混淆的慢性胆囊炎、女性的慢性附件炎及慢性泌尿系感染等。诊断为慢性阑尾炎而行手术者中约35%术后症状未见改善，均系其他疾病误诊为慢性阑尾炎，可见其误诊率之高和术前鉴别诊断的重要。　　</p><p><br/></p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1187', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '300', '治疗', '<p>&nbsp; &nbsp; &nbsp; 手术治疗是唯一有效的方法，但在决定行阑尾切除术时应特别慎重。</p><p>&nbsp; &nbsp; &nbsp; （1）慢性阑尾炎确诊后，原则上应手术治疗，切除病理性阑尾，特别是有急性发作史的病人，更应及时手术。对诊断可疑的病人或有严重并存病的高龄病人，应暂行非手术治疗，在门诊追踪观察。</p><p>&nbsp; &nbsp; &nbsp; （2）手术中如发现阑尾外观基本正常，不能轻易只切除阑尾后关腹，应仔细检查阑尾附近的组织和器官如回盲部，回肠末段一米，小肠系膜及其淋巴结。女性病人还应仔细探查盆腔及附件，以防误诊和漏诊。</p><p>&nbsp; &nbsp; &nbsp; （3）手术后应对每一个病人进行一段时间的随访，以了解切除阑尾后的实际效果。　　</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1194', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '824', '概述', '<p>&nbsp; &nbsp; &nbsp;单纯性阑尾炎：阑尾有轻度炎症改变，水肿充血不严重；或浆膜充血发红，阑尾壁各层中均有炎性细胞浸润，以黏膜层较重，有浅表小出血点或溃疡。此类阑尾炎属早期轻度感染。临床症状和机体反应也较轻，如能及时处理，可达到炎症吸收、感染消退，阑尾可恢复正常。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1195', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '824', '临床表现', '<p>&nbsp;临床表现与病理类型密切相关。</p><p>&nbsp; &nbsp; 1.腹痛 &nbsp;典型的急性阑尾炎开始有中上腹或脐周疼痛，数小时后腹痛转移并固定于右下腹。早期阶段为一种内脏神经反射性疼痛，故中上腹和脐周疼痛范围较弥散，常不能确切定位。当炎症波及浆膜层和壁层腹膜时，因后者受体神经支配，痛觉敏感、定位确切，疼痛即固定于右下腹，原中上腹或脐周痛即减轻或消失。据统计70%～80%的患者有典型转移性右下腹痛病史。少数病人的病情发展快，疼痛可一开始即局限于右下腹。因此，无典型的转移性右下腹疼痛史并不能除外急性阑尾炎。</p><p>&nbsp; &nbsp; 单纯性阑尾炎常呈阵发性或持续性胀痛和钝痛，持续性剧痛往往提示为化脓性或坏疽性阑尾炎。持续剧痛波及中下腹或两侧下腹，常为阑尾坏疽穿孔的征象。有时阑尾坏疽穿孔，神经末梢失去感受和传导功能，或因腔内压力骤减，腹痛反而有所缓解，但这种疼痛缓解的现象是暂时的，且其他伴随的症状和体征并未改善，甚至有所加剧。为此，须综合临床现象加以分析才不会被假象误导。</p><p>&nbsp; &nbsp; 2.胃肠道症状 &nbsp;单纯性阑尾炎的胃肠道症状并不突出。在早期可能由于反射性胃痉挛而有恶心、呕吐。盆腔位阑尾炎或阑尾坏疽穿孔可因直肠周围炎而排便次数增多。并发腹膜炎、肠麻痹则出现腹胀和持续性呕吐。</p><p>&nbsp; &nbsp; 3.发热 &nbsp;一般只有低热，无寒战，化脓性阑尾炎一般亦不超过38℃。高热多见于阑尾坏疽、穿孔或已并发腹膜炎。伴有寒战和黄疸，则提示可能并发化脓性门静脉炎。</p><p>&nbsp; &nbsp; 4.压痛和反跳痛 &nbsp;腹部压痛是壁层腹膜受炎症刺激的表现。阑尾压痛点通常位于麦氏(McBurney)点，即右髂前上棘与脐连线的中、外1/3交界处。阑尾的这一体表解剖标志并非固定不变，它也可位于两侧髂前上棘连线中、右1/3交界处的Lanz点。随阑尾解剖位置的变异，压痛点可相应改变，但关键是右下腹有一固定的压痛点。压痛程度和范围往往与炎症的严重程度相关。</p><p>&nbsp; &nbsp; 反跳痛也称Blumberg征。在肥胖或盲肠后位阑尾炎的病人，压痛可能较轻，但有明显的反跳痛。</p><p>&nbsp; &nbsp; 5.腹肌紧张 &nbsp;阑尾化脓即有此体征，坏疽穿孔并发腹膜炎时腹肌紧张尤为显著。但老年或肥胖病人腹肌较弱，须同时检查对侧腹肌，进行对比，才能判断有无腹肌紧张。</p><p>&nbsp; &nbsp; 6.结肠充气试验 &nbsp;也称Rovsing征，先以一手压住左下腹降结肠区，再用另一手反复按压其上端、病人诉右下腹痛为阳性，只有阳性结果才有诊断价值。</p><p>&nbsp; &nbsp; 7.腰大肌试验 &nbsp;病人左侧卧位，右下肢向后过伸，引起右下腹痛者为阳性，有助于盲肠后阑尾炎的诊断。</p><p>&nbsp; &nbsp; 8.闭孔肌试验 &nbsp;仰卧位，右腿前屈90°，引起右下腹痛为阳性，有助于盆腔位阑尾炎的诊断。</p><p>&nbsp; &nbsp; 9.直肠指检 &nbsp;位于盆腔的阑尾炎症时腹部可无明显压痛，但在直肠右前壁处有触痛，如坏疽穿孔直肠周围积脓时，不仅触痛明显，而且直肠周围有饱满感。直肠指检尚有助于除外盆腔及子宫附件炎性病变。</p><p>&nbsp; &nbsp; 10.皮肤感觉过敏 &nbsp;在早期，尤其在阑尾腔有梗阻时，可出现右下腹皮肤感觉过敏现象，范围相当于第10～12胸髓节段神经支配区，位于右髂嵴最高点、右耻骨嵴及脐构成的三角区，也称Sherren三角，它并不因阑尾位置不同而改变，如阑尾坏疽穿孔，则在此三角区的皮肤感觉过敏现象即消失。</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1196', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '824', '辅助检查', '<p>实验室检查：</p><p>&nbsp; &nbsp; 1.血常规 &nbsp;急性阑尾炎病人白细胞计数增多，约占病人的90%，是临床诊断中重要依据。一般在(10～15)×109/L。随着炎症加重，白细胞数随之增加，甚至可超过20×109/L。但年老体弱或免疫功能受抑制的病人，白细胞数不一定增多。与白细胞数增多的同时，中性多形核细胞数也有增高(约80%)。二者往往同时出现，但也有仅中性多形核细胞比数明显增高(＞80%)，具有同样重要意义。当病情正在发展，症状恶化，已经增多的白细胞数突然降低，往往是脓毒血症的表现，属于危象，应予重视。</p><p>&nbsp; &nbsp; 2.尿常规 &nbsp;急性阑尾炎病人的尿液检查并无特殊，但为排除类似阑尾炎症状的泌尿系统疾病，如输尿管结石，常规检查尿液仍属必要。偶有阑尾远端炎症并与输尿管或膀胱相粘连，尿中也可出现少量红、白细胞，不应与结石相混淆。</p><p>影像学检查：</p><p>&nbsp; &nbsp; 1.腹部X线平片 &nbsp;无并发症的急性阑尾炎，其X线平片可能完全正常，无诊断意义。在并发有局限或弥漫性腹膜炎时，则可发现有：①右下腹盲肠和回肠末端部位肠腔积气和液气平面；②腰椎侧弯和右腰大肌阴影模糊；③有时可见阑尾粪石；④右下腹软组织块影，由周围充气肠曲衬托，边缘可以比较清晰；⑤穿孔所致气腹极为少见；⑥横结肠扩张等有助于诊断与排除输尿管结石、肠梗阻等其他可能，但特异性很差。</p><p>&nbsp; &nbsp; 2.CT检查 &nbsp;正常阑尾仅偶见于CT检查时，炎症阑尾可显示阑尾周壁对称性增厚，管腔闭塞或充满脓液而扩张。有时可见盲肠周围脂肪模糊、密度增大，右腰大肌肿胀，特别容易发现阑尾周围脓肿，对有并发症者可见腹腔内多处脓肿，但CT发现率仅13%～60%，因此只有用于发现阑尾炎并发周围炎性肿块或脓肿时。虽然其敏感性高达94%，特异性仅为79%，可作为必要时的辅助诊断和排除与阑尾炎相混淆的腹部病变。</p><p>&nbsp; &nbsp; 3.超声检查 &nbsp;目前已被公认为急性阑尾炎诊断中的一项有价值的方法，此检查于20世纪80年代始应用于诊断急性阑尾炎，采用加压探测法，将四围肠内气体驱开而阑尾形态不变。阑尾充血水肿渗出在超声显示中呈低回声管状结构，较僵硬，其横切面呈同心圆似的靶样显影，直径≥7mm，是急性阑尾炎的典型图像。准确率高达90%～96%，敏感性和特异性也均在90%左右。但坏疽性阑尾炎或炎症已扩散为腹膜炎时，大量腹腔渗液和肠麻痹胀气影响超声的显示率。超声检查可显示盲肠后阑尾炎，因为痉挛的盲肠作为透声窗而使阑尾显示。超声检查也可在鉴别诊断中起重要作用，因为它可显示输尿管结石、卵巢囊肿、异位妊娠、肠系膜淋巴结肿大等，因此对女性急性阑尾炎的诊断和鉴别诊断特别有用。有人报道临床典型病人即使超声检查为阴性，也应考虑手术治疗，如果二者均不肯定则宜观察。超声检查为一种非侵入性检查，具有方便、无痛苦、可重复、可床边应用和值得普及推广的优点。</p><p>&nbsp; &nbsp; 4.腹腔镜检查 &nbsp;应认为是急性阑尾炎诊断手段中能得到最肯定结果的一种方法。因为通过下腹部插入腹腔镜可以直接观察阑尾有无炎症，也能分辨与阑尾炎有相似症状的邻近其他疾病，不但对确定诊断可起决定作用，并可同时进行治疗。但此法有下列缺点：①必须具备昂贵的腹腔镜；②必须在麻醉下在下腹部作小切口，虽然切口不大，但也是手术；③术者必须操作熟练以达到诊断目的而又不至引起并发症，不是一般医生可能完成；④无法在床旁进行；⑤不方便，有痛苦。因此只有非常必要时才采用此法，当AIDS病人(包括AIDS/HIV、抗癌化学治疗、应用大量激素治疗、器官移植后应用免疫抑制剂的病人)出现不典型急性阑尾炎临床表现，既不能等待观察以致病情加重，又不能盲目手术甚至误切正常阑尾，腹腔镜检查肯定诊断为一可取的方法。一般情况下，除非采用腹腔镜进行手术，否则无此必要。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1197', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '824', '诊断', '<p>&nbsp; &nbsp; &nbsp; 至今多数急性阑尾炎的诊断仍以转移性右下腹痛或右下腹痛、阑尾部位压痛和血白细胞数增多三者为决定性依据。典型的急性阑尾炎(约占80%)均有上述很明确的症状和体征，易据此作出诊断。对于临床上不典型的病人则需其他辅助检查手段协助诊断<br/></p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1198', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '824', '治疗', '<p>目前公认急性阑尾炎的治疗方法为手术切除阑尾和处理其并发症。但是阑尾炎症的病理变化比较复杂，非手术治疗在急性阑尾炎治疗中仍有其地位，不应忽视。</p><p>&nbsp; &nbsp; 1.非手术治疗 &nbsp;当急性阑尾炎处在早期单纯性炎症阶段时，一旦炎症吸收消退，阑尾能恢复正常，也不再反复，因此阑尾不必切除，可采用非手术治疗，促使阑尾炎症及早消失。当急性阑尾炎诊断明确，有手术指征，但因病人周身情况或客观条件不允许，也可先采取非手术治疗，延缓手术。若急性阑尾炎已合并局限性腹膜炎，形成炎性肿块，也应采用非手术治疗，使炎性肿块吸收，再考虑择期阑尾切除。如炎性肿块转成脓肿，则应先行切开引流，以后再进行择期阑尾切除术。当急性阑尾炎诊断尚未肯定，需等待观察时，也可一边采用非手术治疗，一边观察其病情改变。此外，非手术治疗还可以作为阑尾手术前准备。总之，非手术治疗有其重要地位。非手术治疗包括：</p><p>&nbsp; &nbsp; (1)一般治疗：主要为卧床休息、禁食，给予水、电解质和热量的静脉输入等。</p><p>&nbsp; &nbsp; (2)抗生素应用：在非手术治疗中抗生素的应用颇为重要。关于其选择与用量，应根据具体情况而定。阑尾炎绝大多数属混合感染，以往采用青、链霉素联合应用，效果满意，以后发现耐药菌株增多且厌氧菌感染率增高，随即改用“金三联”即氨苄西林(氨苄青霉素)、庆大霉素与甲硝唑联合，其抗菌覆盖面大，价格也不贵，甚受推崇。近年来新型高效抗生素出现，更有头孢霉素不断更新。因此目前常采用头孢霉素或其他新型β-内酰胺类抗生素与甲硝唑联合。其优点为抗菌谱更广，抗耐药菌力更强，而毒性、副作用则更少。对轻型急性阑尾炎，抗生素应用近似预防性质，可选用一般抗生素短时间应用。只有对炎症严重的病人才适合正规治疗性应用。重型阑尾炎(坏疽或穿孔性)目前主张采用第三代头孢霉素加甲硝唑联用或用亚胺培南能收到良好效果。</p><p>&nbsp; &nbsp; (3)止痛药应用：止痛有时非常必要。强烈的疼痛可以增加精神上的恐怖，降低体内免疫功能，从而减弱病人抗病的能力。一般止痛药有时不能止住较强的疼痛，吗啡类药的应用可以考虑但必须谨慎，可适用于已决定手术的病人，但禁用于一般情况，尤其是体弱者。</p><p>&nbsp; &nbsp; (4)对症处理：如镇静、止吐、必要时放置胃减压管等。</p><p>&nbsp; &nbsp; 2.手术治疗 &nbsp;原则上急性阑尾炎，除黏膜水肿型可以保守后痊愈外，都应采用阑尾切除手术治疗，去除病灶以达到：①迅速恢复；②防止并发症的发生；③对已出现并发症的阑尾炎也可以得到良好治疗效果；④去除以后有可能反复发作的病灶；⑤得到正确的病理结果。但是急性阑尾炎由于病情轻重、来院迟早、病人年龄及体质强弱等等原因，情况极为复杂，更因很多疾病与阑尾炎有时难以鉴别，因此处理上应因病而异，决不应因“阑尾炎”手术小而草率从事。因手术操作不当而出现的各种并发症为5%～30%，死亡率也在1%左右，如果再加上因错误诊断误行阑尾手术，加重原发疾病，则危险性更大，所以阑尾虽小，必须认真对待，不容丝毫疏忽。</p><p>&nbsp; &nbsp; 阑尾切除术为腹部外科中经常进行的手术。一般说来，并不复杂，但有时也较困难。</p><p>&nbsp; &nbsp; (1)手术适应证：①临床上诊断明确的急性阑尾炎、反复性阑尾炎和慢性阑尾炎；②非手术治疗失败的早期阑尾炎；③急性阑尾炎非手术治疗后形成的回盲部肿块；④阑尾周围脓肿切开引流愈合后；⑤其他阑尾不可逆性病变。对病人体质极差、有重度心肺等伴发症者，则不宜行手术治疗。</p><p>&nbsp; &nbsp; (2)术前准备：即使无并发症的急性阑尾炎，也应有必要的术前准备，包括对病人生命器官功能的一般了解，常规化验和较短时间的补液、胃肠减压、止痛、抗生素应用和术前用药等，以保证麻醉顺利，手术安全。对有并发症的重型阑尾炎情况则有所不同，因为阑尾炎症状严重，甚至化脓坏疽，并且同时有局限性或弥漫性腹膜炎，以致合并有不同程度的脓毒血症表现，或出现早期多器官功能衰竭(MOF)现象，术前准备应随病情加重而加强。输液量要大，有时还需一定量的胶体液以补充血容量；抗生素要选效力强、毒性小、抗菌谱广、对耐药菌株有效并联合应用；对症处理也要积极，包括对各生命器官的保护和调整，其目的在于使病情可以在短时间内趋于平稳，以便及早进行病灶切除，使病人能及早得到良好的治疗效果。</p><p>&nbsp; &nbsp; (3)切口选择：一般采用右下腹斜切口。标准麦氏(阑尾点)斜形切口是在右髂前上棘与脐部联结线的外1/3与中1/3交接点上，作与联结线垂直的4～5cm小切口。切口也可随估计阑尾部位略予移动，以直接暴露出阑尾。斜行切口优点是按肌纤维方向分开肌肉，对腹壁血管和神经无损伤，发生切口疝机会小。切口也可呈横形，与皮肤褶皱相吻合，其瘢痕不显。横切口开始时应用于儿童，目前也应用于成人。</p><p>&nbsp; &nbsp; 切口长度应随腹壁厚度而加以调整，肥胖病人的切口往往要长。任何过小的切口，必然增加手术难度，甚至会产生不必要的意外，得不偿失，不值得采取。</p><p>&nbsp; &nbsp; 严格保护切口，是预防术后切口感染的重要措施。显露阑尾是手术重要步骤，应在直视下找到盲肠，再沿结肠带找到阑尾根部，用环钳和(或)长无齿镊夹出阑尾，如阑尾显露不清，应果断延长切口。最好在直视下切除阑尾，当阑尾基底易暴露，而阑尾其余部位暴露不清或与周围组织紧密粘连固定，可采用阑尾逆行切除法。必须确定已将阑尾全部切除，没有残留。如阑尾基底部坏死，盲肠壁亦有坏死，可将阑尾全切，坏死的盲肠壁亦切除，然后将切口内翻缝合。</p><p>&nbsp; &nbsp; (4)寻找和切除阑尾方法：阑尾根部与盲肠顶端的解剖关系恒定，沿结肠带追踪到盲肠顶端即为阑尾根部，此方法亦适用于寻找异位阑尾。如未见到阑尾，应考虑阑尾位于腹膜外的可能，须剪开侧腹膜，将盲肠与升结肠向内侧翻转寻找阑尾。也可循回肠末端寻找盲肠和阑尾。</p><p>&nbsp; &nbsp; 顺位法切除阑尾，操作方便，污染少。如炎症严重，阑尾尖端与深部组织粘连而无法提出，或逆行切除，如有困难，可行黏膜下阑尾切除术：先将阑尾根部切断，残端按常规结扎荷包埋入盲肠，再完整剥除阑尾黏膜，仅留下阑尾的浆肌套筒。如根部坏疽，盲肠壁水肿、脆弱，则不宜勉强行荷包埋入缝合，以免放腹腔引流。</p><p>&nbsp; &nbsp; (5)阑尾残端的处理：一般采用结扎断端，用苯酚(石炭酸)、酒精、盐水涂残端，荷包缝合，内翻埋入盲肠的方法。这样处理止血有保证，创面腹膜化防止粘连，断端烧灼可灭活腺体，使残端埋入盲肠后不致形成黏液囊肿。但对盲肠壁炎症显著，肠壁水肿脆弱或阑尾残端肿胀增粗时，可单纯结扎。</p><p>&nbsp; &nbsp; (6)腹腔探查：术中见阑尾炎症明显，不必探查腹腔其他部位。如术中发现阑尾正常或炎症轻，则应系统探查寻找病因。先检查盲肠有无病变，然后从回肠末端开始探查小肠，观察有无克罗恩病或梅克尔憩室炎，继之探查盆腔内器官、乙状结肠等。最后再探查胆囊、十二指肠和胃等腔内其他脏器。</p><p>&nbsp; &nbsp; (7)腹腔冲洗与引流：一般不宜冲洗腹腔，以避免炎症扩散。尽量吸尽脓液，除非脓液不能吸尽或坏死组织较多时。一般不需引流，连续缝合腹膜，切口冲洗后一期缝合。腹腔引流适用于：①阑尾炎症较重，粘连广泛，阑尾切除后局部仍有少量渗血者；②阑尾附近有较多脓性渗液者；③阑尾位置较深，或盲肠后阑尾，阑尾坏疽，切除不很顺利者；④阑尾根部结扎不很可靠，又不能埋入盲肠者；⑤阑尾周围已成脓肿者。</p><p>&nbsp; &nbsp; 3.术后并发症及治疗：阑尾切除术虽然并不复杂，但仍有发生各种并发症的可能，其发生率与阑尾炎症程度、病人全身情况及手术操作有无失误有关。</p><p>&nbsp; &nbsp; (1)切口感染：是阑尾切除术后最常见的并发症。未穿孔的阑尾切除术后，切口感染率＜1%；穿孔的阑尾切除术后切口感染率7%～9%；穿孔并发弥漫性腹膜炎时，切口感染率高达30%，充分说明阑尾炎应及早发现并手术。当阑尾炎还在早期时，阑尾切除术后切口感染的机会不多，即使感染，程度也轻，易于处理。关于预防切口感染，除早期手术外，还有预防性应用抗生素，切口在手术中严加保护、切口缝合前局部应用甲硝唑或抗生素液冲洗、切口缝合不留空隙。切口如果严重污染时，可采用延期缝合等。预防性抗生素应在手术前半小时就开始应用，对一般非坏疽性阑尾炎，预防应用24～48h已足够。对严重炎症的阑尾炎手术后，抗生素作为治疗应用，应根据情况延长应用日期。切口是否延期缝合应慎重考虑，多数情况无此必要。对切口缝合后感染机会极大者，可先放置缝线而不结扎，敞开切口，引流包扎，24h后流液不多时，再将缝线结扎作为二期缝合。</p><p>&nbsp; &nbsp; (2)腹腔脓肿：阑尾切除后并发腹腔脓肿发生率不高(＜1%)，见于阑尾炎症严重，并发穿孔，尤其是穿孔后引起弥漫性腹膜炎的病人，既属于腹膜炎的延续，又与阑尾手术时预防措施不力有关。腹腔脓肿常见于膈下、盆腔及肠间。病人持续高热，血白细胞计数升高。B型超声检查可以发现局部积液。有时膈下脓肿可出现呃逆，盆腔脓肿可出现排便次数增加，里急后重感觉和肛诊触到包块和压痛点。一旦证实应及时引流，脓液稀薄及穿刺条件许可时，可采用B型超声引导下穿刺置管引流，否则应手术引流。在行阑尾手术时应尽可能防止术后腹腔脓肿的发生，包括：①对弥漫性腹膜炎病人，冲洗腹腔应该积极，物理性冲洗远较局部应用抗生素重要；②腹腔内有可能引发脓液的坏死组织应清除，如脓苔粘连，脱入腹腔的粪石或坏死脱落组织，严重感染的网膜也最好去除；③凡属能继续渗液和有可能继发坏死的局部应放置引流。</p><p>&nbsp; &nbsp; (3)残株炎与盲肠壁脓肿：发生率约为0.5%。残株炎为阑尾切除时残留根部过长(1～5cm)，以后局部反复发作炎症，近似阑尾炎。残根留长的原因常是：①阑尾根部为盲肠浆膜所盖，不易辨认；⑦阑尾根部水肿，解剖不清；③反复炎症使阑尾与盲肠紧密相连，根部不易分离；④切口过小，暴露不够，阑尾根部的位置又过深。因此在阑尾手术时应注意，遇到上述情况应细致解剖，勿草率从事。残根埋入盲肠内时荷包缝合过宽，致使残株周围留有较大空隙，易致盲肠壁脓肿，也应防止。残株炎与盲肠壁脓肿发生于阑尾切除后，常反复出现阑尾炎症状，并被延误，有达30年后才被发现。B型超声检查和钡灌肠检查对诊断有一定价值。</p><p>&nbsp; &nbsp; (4)粪瘘：阑尾炎症严重，周围组织也水肿变脆，因此手术时易损伤附近肠管，也易致阑尾根部结扎不牢，术后炎症将已损肠壁溃破或根部结扎的线结脱落，发生术后粪瘘。有时阑尾周围脓肿与粪瘘相通，在切开引流后很快出现粪瘘。除术中误伤肠道而又疏忽极为危险外，术后粪瘘均较局限，只要向外引流通畅，下段肠道并无梗阻，易于自愈。治疗原则为积极支持治疗和创面清洁。如有可疑，应作窦道肉芽活组织病理检查以排除特殊原因，多数情况不必手术修补。</p><p>&nbsp; &nbsp; (5)其他：阑尾切除术后也有严重的并发症。如阑尾动脉结扎线结脱落，发生术后腹腔内大出血；术中误伤肠管未被发现，术后出现弥漫性腹膜炎，均应立即再手术处理。术后门静脉炎或脓毒血症有时合并多发肝脓肿为罕见极为严重的并发症，必须在发现后积极处理，方可避免不良后果。此外还有早期粘连性肠梗阻、切口出血、血肿或破裂等。至于少见的尚有术后局部炎性包块，发生于1个月后，为慢性炎症的增殖性改变。病人全身情况佳，困难在于与回盲部肿瘤或结核不易鉴别。近年来对阑尾切除术后是否易致结肠癌问题时有论及。有认为40岁以上病人阑尾切除术后其结肠癌发病率较正常人明显高，虽无定论但值得注意。结肠癌与急性阑尾炎并存或是急性阑尾炎的病因已引起临床注意，因此阑尾切除术后观察发现可能被遗漏的结肠癌，应予重视。</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1204', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '825', '概述', '<p>&nbsp; &nbsp; &nbsp; 化脓性阑尾炎：由早期炎症加重而致，或由于阑尾管腔梗阻，内压增高，远端血运严重受阻，感染形成和蔓延迅速，以致数小时内即成化脓性甚至蜂窝织炎性感染。阑尾肿胀显著，浆膜面高度充血并有较多脓性渗出物，有的部分或全部为大网膜所包裹。阑尾壁内有大量炎性细胞浸润，有的已形成微小脓肿，或已为大小不一的大量微小脓肿所占。阑尾腔内有脓性分泌物，有明显大肠杆菌和厌氧菌感染的现象。化脓性阑尾炎可引起阑尾周围的局限性腹膜炎，也可因为穿孔而致弥漫性腹膜炎。此类阑尾炎的阑尾已有不同程度的组织破坏，即使保守恢复，阑尾壁的瘢痕挛缩，可使管腔狭窄，导致炎症反复发作。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1205', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '825', '临床表现', '<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); text-align: justify; white-space: normal; background-color: rgb(255, 255, 255);\">临床表现与病理类型密切相关。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); text-align: justify; white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; 1.腹痛 &nbsp;典型的急性阑尾炎开始有中上腹或脐周疼痛，数小时后腹痛转移并固定于右下腹。早期阶段为一种内脏神经反射性疼痛，故中上腹和脐周疼痛范围较弥散，常不能确切定位。当炎症波及浆膜层和壁层腹膜时，因后者受体神经支配，痛觉敏感、定位确切，疼痛即固定于右下腹，原中上腹或脐周痛即减轻或消失。据统计70%～80%的患者有典型转移性右下腹痛病史。少数病人的病情发展快，疼痛可一开始即局限于右下腹。因此，无典型的转移性右下腹疼痛史并不能除外急性阑尾炎。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); text-align: justify; white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; 单纯性阑尾炎常呈阵发性或持续性胀痛和钝痛，持续性剧痛往往提示为化脓性或坏疽性阑尾炎。持续剧痛波及中下腹或两侧下腹，常为阑尾坏疽穿孔的征象。有时阑尾坏疽穿孔，神经末梢失去感受和传导功能，或因腔内压力骤减，腹痛反而有所缓解，但这种疼痛缓解的现象是暂时的，且其他伴随的症状和体征并未改善，甚至有所加剧。为此，须综合临床现象加以分析才不会被假象误导。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); text-align: justify; white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; 2.胃肠道症状 &nbsp;单纯性阑尾炎的胃肠道症状并不突出。在早期可能由于反射性胃痉挛而有恶心、呕吐。盆腔位阑尾炎或阑尾坏疽穿孔可因直肠周围炎而排便次数增多。并发腹膜炎、肠麻痹则出现腹胀和持续性呕吐。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); text-align: justify; white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; 3.发热 &nbsp;一般只有低热，无寒战，化脓性阑尾炎一般亦不超过38℃。高热多见于阑尾坏疽、穿孔或已并发腹膜炎。伴有寒战和黄疸，则提示可能并发化脓性门静脉炎。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); text-align: justify; white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; 4.压痛和反跳痛 &nbsp;腹部压痛是壁层腹膜受炎症刺激的表现。阑尾压痛点通常位于麦氏(McBurney)点，即右髂前上棘与脐连线的中、外1/3交界处。阑尾的这一体表解剖标志并非固定不变，它也可位于两侧髂前上棘连线中、右1/3交界处的Lanz点。随阑尾解剖位置的变异，压痛点可相应改变，但关键是右下腹有一固定的压痛点。压痛程度和范围往往与炎症的严重程度相关。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); text-align: justify; white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; 反跳痛也称Blumberg征。在肥胖或盲肠后位阑尾炎的病人，压痛可能较轻，但有明显的反跳痛。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); text-align: justify; white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; 5.腹肌紧张 &nbsp;阑尾化脓即有此体征，坏疽穿孔并发腹膜炎时腹肌紧张尤为显著。但老年或肥胖病人腹肌较弱，须同时检查对侧腹肌，进行对比，才能判断有无腹肌紧张。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); text-align: justify; white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; 6.结肠充气试验 &nbsp;也称Rovsing征，先以一手压住左下腹降结肠区，再用另一手反复按压其上端、病人诉右下腹痛为阳性，只有阳性结果才有诊断价值。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); text-align: justify; white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; 7.腰大肌试验 &nbsp;病人左侧卧位，右下肢向后过伸，引起右下腹痛者为阳性，有助于盲肠后阑尾炎的诊断。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); text-align: justify; white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; 8.闭孔肌试验 &nbsp;仰卧位，右腿前屈90°，引起右下腹痛为阳性，有助于盆腔位阑尾炎的诊断。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); text-align: justify; white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; 9.直肠指检 &nbsp;位于盆腔的阑尾炎症时腹部可无明显压痛，但在直肠右前壁处有触痛，如坏疽穿孔直肠周围积脓时，不仅触痛明显，而且直肠周围有饱满感。直肠指检尚有助于除外盆腔及子宫附件炎性病变。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); text-align: justify; white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; 10.皮肤感觉过敏 &nbsp;在早期，尤其在阑尾腔有梗阻时，可出现右下腹皮肤感觉过敏现象，范围相当于第10～12胸髓节段神经支配区，位于右髂嵴最高点、右耻骨嵴及脐构成的三角区，也称Sherren三角，它并不因阑尾位置不同而改变，如阑尾坏疽穿孔，则在此三角区的皮肤感觉过敏现象即消失。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1206', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '825', '辅助检查', '<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); text-align: justify; white-space: normal; background-color: rgb(255, 255, 255);\">实验室检查：</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); text-align: justify; white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; 1.血常规 &nbsp;急性阑尾炎病人白细胞计数增多，约占病人的90%，是临床诊断中重要依据。一般在(10～15)×109/L。随着炎症加重，白细胞数随之增加，甚至可超过20×109/L。但年老体弱或免疫功能受抑制的病人，白细胞数不一定增多。与白细胞数增多的同时，中性多形核细胞数也有增高(约80%)。二者往往同时出现，但也有仅中性多形核细胞比数明显增高(＞80%)，具有同样重要意义。当病情正在发展，症状恶化，已经增多的白细胞数突然降低，往往是脓毒血症的表现，属于危象，应予重视。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); text-align: justify; white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; 2.尿常规 &nbsp;急性阑尾炎病人的尿液检查并无特殊，但为排除类似阑尾炎症状的泌尿系统疾病，如输尿管结石，常规检查尿液仍属必要。偶有阑尾远端炎症并与输尿管或膀胱相粘连，尿中也可出现少量红、白细胞，不应与结石相混淆。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); text-align: justify; white-space: normal; background-color: rgb(255, 255, 255);\">影像学检查：</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); text-align: justify; white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; 1.腹部X线平片 &nbsp;无并发症的急性阑尾炎，其X线平片可能完全正常，无诊断意义。在并发有局限或弥漫性腹膜炎时，则可发现有：①右下腹盲肠和回肠末端部位肠腔积气和液气平面；②腰椎侧弯和右腰大肌阴影模糊；③有时可见阑尾粪石；④右下腹软组织块影，由周围充气肠曲衬托，边缘可以比较清晰；⑤穿孔所致气腹极为少见；⑥横结肠扩张等有助于诊断与排除输尿管结石、肠梗阻等其他可能，但特异性很差。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); text-align: justify; white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; 2.CT检查 &nbsp;正常阑尾仅偶见于CT检查时，炎症阑尾可显示阑尾周壁对称性增厚，管腔闭塞或充满脓液而扩张。有时可见盲肠周围脂肪模糊、密度增大，右腰大肌肿胀，特别容易发现阑尾周围脓肿，对有并发症者可见腹腔内多处脓肿，但CT发现率仅13%～60%，因此只有用于发现阑尾炎并发周围炎性肿块或脓肿时。虽然其敏感性高达94%，特异性仅为79%，可作为必要时的辅助诊断和排除与阑尾炎相混淆的腹部病变。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); text-align: justify; white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; 3.超声检查 &nbsp;目前已被公认为急性阑尾炎诊断中的一项有价值的方法，此检查于20世纪80年代始应用于诊断急性阑尾炎，采用加压探测法，将四围肠内气体驱开而阑尾形态不变。阑尾充血水肿渗出在超声显示中呈低回声管状结构，较僵硬，其横切面呈同心圆似的靶样显影，直径≥7mm，是急性阑尾炎的典型图像。准确率高达90%～96%，敏感性和特异性也均在90%左右。但坏疽性阑尾炎或炎症已扩散为腹膜炎时，大量腹腔渗液和肠麻痹胀气影响超声的显示率。超声检查可显示盲肠后阑尾炎，因为痉挛的盲肠作为透声窗而使阑尾显示。超声检查也可在鉴别诊断中起重要作用，因为它可显示输尿管结石、卵巢囊肿、异位妊娠、肠系膜淋巴结肿大等，因此对女性急性阑尾炎的诊断和鉴别诊断特别有用。有人报道临床典型病人即使超声检查为阴性，也应考虑手术治疗，如果二者均不肯定则宜观察。超声检查为一种非侵入性检查，具有方便、无痛苦、可重复、可床边应用和值得普及推广的优点。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); text-align: justify; white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; 4.腹腔镜检查 &nbsp;应认为是急性阑尾炎诊断手段中能得到最肯定结果的一种方法。因为通过下腹部插入腹腔镜可以直接观察阑尾有无炎症，也能分辨与阑尾炎有相似症状的邻近其他疾病，不但对确定诊断可起决定作用，并可同时进行治疗。但此法有下列缺点：①必须具备昂贵的腹腔镜；②必须在麻醉下在下腹部作小切口，虽然切口不大，但也是手术；③术者必须操作熟练以达到诊断目的而又不至引起并发症，不是一般医生可能完成；④无法在床旁进行；⑤不方便，有痛苦。因此只有非常必要时才采用此法，当AIDS病人(包括AIDS/HIV、抗癌化学治疗、应用大量激素治疗、器官移植后应用免疫抑制剂的病人)出现不典型急性阑尾炎临床表现，既不能等待观察以致病情加重，又不能盲目手术甚至误切正常阑尾，腹腔镜检查肯定诊断为一可取的方法。一般情况下，除非采用腹腔镜进行手术，否则无此必要。</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1207', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '825', '诊断', '<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: inherit;\">&nbsp; &nbsp; &nbsp; 至今多数急性阑尾炎的诊断仍以转移性右下腹痛或右下腹痛、阑尾部位压痛和血白细胞数增多三者为决定性依据。典型的急性阑尾炎(约占80%)均有上述很明确的症状和体征，易据此作出诊断。对于临床上不典型的病人则需其他辅助检查手段协助诊断<br/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: inherit;\"><br/></p><ul style=\"list-style-type: none;\" class=\" list-paddingleft-2\"><li style=\"\"><p><br/></p></li></ul><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1208', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '825', '治疗', '<p><span style=\"background-color: rgb(255, 255, 255); color: rgb(51, 71, 95);\"></span><span style=\"background-color: rgb(255, 255, 255); color: rgb(51, 71, 95);\">&nbsp; &nbsp; &nbsp;目前公认急性阑尾炎的治疗方法为手术切除阑尾和处理其并发症。但是阑尾炎症的病理变化比较复杂，非手术治疗在急性阑尾炎治疗中仍有其地位，不应忽视。</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; 1.非手术治疗 &nbsp;当急性阑尾炎处在早期单纯性炎症阶段时，一旦炎症吸收消退，阑尾能恢复正常，也不再反复，因此阑尾不必切除，可采用非手术治疗，促使阑尾炎症及早消失。当急性阑尾炎诊断明确，有手术指征，但因病人周身情况或客观条件不允许，也可先采取非手术治疗，延缓手术。若急性阑尾炎已合并局限性腹膜炎，形成炎性肿块，也应采用非手术治疗，使炎性肿块吸收，再考虑择期阑尾切除。如炎性肿块转成脓肿，则应先行切开引流，以后再进行择期阑尾切除术。当急性阑尾炎诊断尚未肯定，需等待观察时，也可一边采用非手术治疗，一边观察其病情改变。此外，非手术治疗还可以作为阑尾手术前准备。总之，非手术治疗有其重要地位。非手术治疗包括：</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; (1)一般治疗：主要为卧床休息、禁食，给予水、电解质和热量的静脉输入等。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; (2)抗生素应用：在非手术治疗中抗生素的应用颇为重要。关于其选择与用量，应根据具体情况而定。阑尾炎绝大多数属混合感染，以往采用青、链霉素联合应用，效果满意，以后发现耐药菌株增多且厌氧菌感染率增高，随即改用“金三联”即氨苄西林(氨苄青霉素)、庆大霉素与甲硝唑联合，其抗菌覆盖面大，价格也不贵，甚受推崇。近年来新型高效抗生素出现，更有头孢霉素不断更新。因此目前常采用头孢霉素或其他新型β-内酰胺类抗生素与甲硝唑联合。其优点为抗菌谱更广，抗耐药菌力更强，而毒性、副作用则更少。对轻型急性阑尾炎，抗生素应用近似预防性质，可选用一般抗生素短时间应用。只有对炎症严重的病人才适合正规治疗性应用。重型阑尾炎(坏疽或穿孔性)目前主张采用第三代头孢霉素加甲硝唑联用或用亚胺培南能收到良好效果。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; (3)止痛药应用：止痛有时非常必要。强烈的疼痛可以增加精神上的恐怖，降低体内免疫功能，从而减弱病人抗病的能力。一般止痛药有时不能止住较强的疼痛，吗啡类药的应用可以考虑但必须谨慎，可适用于已决定手术的病人，但禁用于一般情况，尤其是体弱者。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; (4)对症处理：如镇静、止吐、必要时放置胃减压管等。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; 2.手术治疗 &nbsp;原则上急性阑尾炎，除黏膜水肿型可以保守后痊愈外，都应采用阑尾切除手术治疗，去除病灶以达到：①迅速恢复；②防止并发症的发生；③对已出现并发症的阑尾炎也可以得到良好治疗效果；④去除以后有可能反复发作的病灶；⑤得到正确的病理结果。但是急性阑尾炎由于病情轻重、来院迟早、病人年龄及体质强弱等等原因，情况极为复杂，更因很多疾病与阑尾炎有时难以鉴别，因此处理上应因病而异，决不应因“阑尾炎”手术小而草率从事。因手术操作不当而出现的各种并发症为5%～30%，死亡率也在1%左右，如果再加上因错误诊断误行阑尾手术，加重原发疾病，则危险性更大，所以阑尾虽小，必须认真对待，不容丝毫疏忽。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; 阑尾切除术为腹部外科中经常进行的手术。一般说来，并不复杂，但有时也较困难。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; (1)手术适应证：①临床上诊断明确的急性阑尾炎、反复性阑尾炎和慢性阑尾炎；②非手术治疗失败的早期阑尾炎；③急性阑尾炎非手术治疗后形成的回盲部肿块；④阑尾周围脓肿切开引流愈合后；⑤其他阑尾不可逆性病变。对病人体质极差、有重度心肺等伴发症者，则不宜行手术治疗。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; (2)术前准备：即使无并发症的急性阑尾炎，也应有必要的术前准备，包括对病人生命器官功能的一般了解，常规化验和较短时间的补液、胃肠减压、止痛、抗生素应用和术前用药等，以保证麻醉顺利，手术安全。对有并发症的重型阑尾炎情况则有所不同，因为阑尾炎症状严重，甚至化脓坏疽，并且同时有局限性或弥漫性腹膜炎，以致合并有不同程度的脓毒血症表现，或出现早期多器官功能衰竭(MOF)现象，术前准备应随病情加重而加强。输液量要大，有时还需一定量的胶体液以补充血容量；抗生素要选效力强、毒性小、抗菌谱广、对耐药菌株有效并联合应用；对症处理也要积极，包括对各生命器官的保护和调整，其目的在于使病情可以在短时间内趋于平稳，以便及早进行病灶切除，使病人能及早得到良好的治疗效果。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; (3)切口选择：一般采用右下腹斜切口。标准麦氏(阑尾点)斜形切口是在右髂前上棘与脐部联结线的外1/3与中1/3交接点上，作与联结线垂直的4～5cm小切口。切口也可随估计阑尾部位略予移动，以直接暴露出阑尾。斜行切口优点是按肌纤维方向分开肌肉，对腹壁血管和神经无损伤，发生切口疝机会小。切口也可呈横形，与皮肤褶皱相吻合，其瘢痕不显。横切口开始时应用于儿童，目前也应用于成人。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; 切口长度应随腹壁厚度而加以调整，肥胖病人的切口往往要长。任何过小的切口，必然增加手术难度，甚至会产生不必要的意外，得不偿失，不值得采取。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; 严格保护切口，是预防术后切口感染的重要措施。显露阑尾是手术重要步骤，应在直视下找到盲肠，再沿结肠带找到阑尾根部，用环钳和(或)长无齿镊夹出阑尾，如阑尾显露不清，应果断延长切口。最好在直视下切除阑尾，当阑尾基底易暴露，而阑尾其余部位暴露不清或与周围组织紧密粘连固定，可采用阑尾逆行切除法。必须确定已将阑尾全部切除，没有残留。如阑尾基底部坏死，盲肠壁亦有坏死，可将阑尾全切，坏死的盲肠壁亦切除，然后将切口内翻缝合。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; (4)寻找和切除阑尾方法：阑尾根部与盲肠顶端的解剖关系恒定，沿结肠带追踪到盲肠顶端即为阑尾根部，此方法亦适用于寻找异位阑尾。如未见到阑尾，应考虑阑尾位于腹膜外的可能，须剪开侧腹膜，将盲肠与升结肠向内侧翻转寻找阑尾。也可循回肠末端寻找盲肠和阑尾。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; 顺位法切除阑尾，操作方便，污染少。如炎症严重，阑尾尖端与深部组织粘连而无法提出，或逆行切除，如有困难，可行黏膜下阑尾切除术：先将阑尾根部切断，残端按常规结扎荷包埋入盲肠，再完整剥除阑尾黏膜，仅留下阑尾的浆肌套筒。如根部坏疽，盲肠壁水肿、脆弱，则不宜勉强行荷包埋入缝合，以免放腹腔引流。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; (5)阑尾残端的处理：一般采用结扎断端，用苯酚(石炭酸)、酒精、盐水涂残端，荷包缝合，内翻埋入盲肠的方法。这样处理止血有保证，创面腹膜化防止粘连，断端烧灼可灭活腺体，使残端埋入盲肠后不致形成黏液囊肿。但对盲肠壁炎症显著，肠壁水肿脆弱或阑尾残端肿胀增粗时，可单纯结扎。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; (6)腹腔探查：术中见阑尾炎症明显，不必探查腹腔其他部位。如术中发现阑尾正常或炎症轻，则应系统探查寻找病因。先检查盲肠有无病变，然后从回肠末端开始探查小肠，观察有无克罗恩病或梅克尔憩室炎，继之探查盆腔内器官、乙状结肠等。最后再探查胆囊、十二指肠和胃等腔内其他脏器。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; (7)腹腔冲洗与引流：一般不宜冲洗腹腔，以避免炎症扩散。尽量吸尽脓液，除非脓液不能吸尽或坏死组织较多时。一般不需引流，连续缝合腹膜，切口冲洗后一期缝合。腹腔引流适用于：①阑尾炎症较重，粘连广泛，阑尾切除后局部仍有少量渗血者；②阑尾附近有较多脓性渗液者；③阑尾位置较深，或盲肠后阑尾，阑尾坏疽，切除不很顺利者；④阑尾根部结扎不很可靠，又不能埋入盲肠者；⑤阑尾周围已成脓肿者。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; 3.术后并发症及治疗：阑尾切除术虽然并不复杂，但仍有发生各种并发症的可能，其发生率与阑尾炎症程度、病人全身情况及手术操作有无失误有关。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; (1)切口感染：是阑尾切除术后最常见的并发症。未穿孔的阑尾切除术后，切口感染率＜1%；穿孔的阑尾切除术后切口感染率7%～9%；穿孔并发弥漫性腹膜炎时，切口感染率高达30%，充分说明阑尾炎应及早发现并手术。当阑尾炎还在早期时，阑尾切除术后切口感染的机会不多，即使感染，程度也轻，易于处理。关于预防切口感染，除早期手术外，还有预防性应用抗生素，切口在手术中严加保护、切口缝合前局部应用甲硝唑或抗生素液冲洗、切口缝合不留空隙。切口如果严重污染时，可采用延期缝合等。预防性抗生素应在手术前半小时就开始应用，对一般非坏疽性阑尾炎，预防应用24～48h已足够。对严重炎症的阑尾炎手术后，抗生素作为治疗应用，应根据情况延长应用日期。切口是否延期缝合应慎重考虑，多数情况无此必要。对切口缝合后感染机会极大者，可先放置缝线而不结扎，敞开切口，引流包扎，24h后流液不多时，再将缝线结扎作为二期缝合。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; (2)腹腔脓肿：阑尾切除后并发腹腔脓肿发生率不高(＜1%)，见于阑尾炎症严重，并发穿孔，尤其是穿孔后引起弥漫性腹膜炎的病人，既属于腹膜炎的延续，又与阑尾手术时预防措施不力有关。腹腔脓肿常见于膈下、盆腔及肠间。病人持续高热，血白细胞计数升高。B型超声检查可以发现局部积液。有时膈下脓肿可出现呃逆，盆腔脓肿可出现排便次数增加，里急后重感觉和肛诊触到包块和压痛点。一旦证实应及时引流，脓液稀薄及穿刺条件许可时，可采用B型超声引导下穿刺置管引流，否则应手术引流。在行阑尾手术时应尽可能防止术后腹腔脓肿的发生，包括：①对弥漫性腹膜炎病人，冲洗腹腔应该积极，物理性冲洗远较局部应用抗生素重要；②腹腔内有可能引发脓液的坏死组织应清除，如脓苔粘连，脱入腹腔的粪石或坏死脱落组织，严重感染的网膜也最好去除；③凡属能继续渗液和有可能继发坏死的局部应放置引流。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; (3)残株炎与盲肠壁脓肿：发生率约为0.5%。残株炎为阑尾切除时残留根部过长(1～5cm)，以后局部反复发作炎症，近似阑尾炎。残根留长的原因常是：①阑尾根部为盲肠浆膜所盖，不易辨认；⑦阑尾根部水肿，解剖不清；③反复炎症使阑尾与盲肠紧密相连，根部不易分离；④切口过小，暴露不够，阑尾根部的位置又过深。因此在阑尾手术时应注意，遇到上述情况应细致解剖，勿草率从事。残根埋入盲肠内时荷包缝合过宽，致使残株周围留有较大空隙，易致盲肠壁脓肿，也应防止。残株炎与盲肠壁脓肿发生于阑尾切除后，常反复出现阑尾炎症状，并被延误，有达30年后才被发现。B型超声检查和钡灌肠检查对诊断有一定价值。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; (4)粪瘘：阑尾炎症严重，周围组织也水肿变脆，因此手术时易损伤附近肠管，也易致阑尾根部结扎不牢，术后炎症将已损肠壁溃破或根部结扎的线结脱落，发生术后粪瘘。有时阑尾周围脓肿与粪瘘相通，在切开引流后很快出现粪瘘。除术中误伤肠道而又疏忽极为危险外，术后粪瘘均较局限，只要向外引流通畅，下段肠道并无梗阻，易于自愈。治疗原则为积极支持治疗和创面清洁。如有可疑，应作窦道肉芽活组织病理检查以排除特殊原因，多数情况不必手术修补。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-stretch: inherit; line-height: inherit; color: rgb(51, 71, 95); white-space: normal; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; (5)其他：阑尾切除术后也有严重的并发症。如阑尾动脉结扎线结脱落，发生术后腹腔内大出血；术中误伤肠管未被发现，术后出现弥漫性腹膜炎，均应立即再手术处理。术后门静脉炎或脓毒血症有时合并多发肝脓肿为罕见极为严重的并发症，必须在发现后积极处理，方可避免不良后果。此外还有早期粘连性肠梗阻、切口出血、血肿或破裂等。至于少见的尚有术后局部炎性包块，发生于1个月后，为慢性炎症的增殖性改变。病人全身情况佳，困难在于与回盲部肿瘤或结核不易鉴别。近年来对阑尾切除术后是否易致结肠癌问题时有论及。有认为40岁以上病人阑尾切除术后其结肠癌发病率较正常人明显高，虽无定论但值得注意。结肠癌与急性阑尾炎并存或是急性阑尾炎的病因已引起临床注意，因此阑尾切除术后观察发现可能被遗漏的结肠癌，应予重视。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1209', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '826', '概述', '<p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp; 由于阑尾化脓性感染加重所致，或因阑尾管腔严重梗阻，阑尾血运在短时间内完全阻断而致阑尾坏疽，达到阑尾急性炎症中最严重的程度。根据阑尾血运阻断的部位，阑尾呈现部分或全部坏死。坏死部分呈紫黑色，黏膜几近全部糜烂脱落，阑尾腔内有血性脓液。多数合并有穿孔，并为大网膜所包盖，周围有局限脓液积存或已成弥漫性腹膜炎。此类阑尾炎既可发生于特定的发病条件，也可发生于临床上误诊和延误治疗后，一旦出现，不但有严重的局部体征。同时有剧烈的周身反应如中毒性休克，会出现致死性的后果，因此有人将坏疽性和穿孔性阑尾炎合称为重度阑尾炎(advanced appendicitis)，也是急性阑尾炎发展过程中应尽量防止发生的。</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1210', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '826', '临床表现', '<p>临床表现与病理类型密切相关。</p><p>&nbsp; &nbsp; 1.腹痛 &nbsp;典型的急性阑尾炎开始有中上腹或脐周疼痛，数小时后腹痛转移并固定于右下腹。早期阶段为一种内脏神经反射性疼痛，故中上腹和脐周疼痛范围较弥散，常不能确切定位。当炎症波及浆膜层和壁层腹膜时，因后者受体神经支配，痛觉敏感、定位确切，疼痛即固定于右下腹，原中上腹或脐周痛即减轻或消失。据统计70%～80%的患者有典型转移性右下腹痛病史。少数病人的病情发展快，疼痛可一开始即局限于右下腹。因此，无典型的转移性右下腹疼痛史并不能除外急性阑尾炎。</p><p>&nbsp; &nbsp; 单纯性阑尾炎常呈阵发性或持续性胀痛和钝痛，持续性剧痛往往提示为化脓性或坏疽性阑尾炎。持续剧痛波及中下腹或两侧下腹，常为阑尾坏疽穿孔的征象。有时阑尾坏疽穿孔，神经末梢失去感受和传导功能，或因腔内压力骤减，腹痛反而有所缓解，但这种疼痛缓解的现象是暂时的，且其他伴随的症状和体征并未改善，甚至有所加剧。为此，须综合临床现象加以分析才不会被假象误导。</p><p>&nbsp; &nbsp; 2.胃肠道症状 &nbsp;单纯性阑尾炎的胃肠道症状并不突出。在早期可能由于反射性胃痉挛而有恶心、呕吐。盆腔位阑尾炎或阑尾坏疽穿孔可因直肠周围炎而排便次数增多。并发腹膜炎、肠麻痹则出现腹胀和持续性呕吐。</p><p>&nbsp; &nbsp; 3.发热 &nbsp;一般只有低热，无寒战，化脓性阑尾炎一般亦不超过38℃。高热多见于阑尾坏疽、穿孔或已并发腹膜炎。伴有寒战和黄疸，则提示可能并发化脓性门静脉炎。</p><p>&nbsp; &nbsp; 4.压痛和反跳痛 &nbsp;腹部压痛是壁层腹膜受炎症刺激的表现。阑尾压痛点通常位于麦氏(McBurney)点，即右髂前上棘与脐连线的中、外1/3交界处。阑尾的这一体表解剖标志并非固定不变，它也可位于两侧髂前上棘连线中、右1/3交界处的Lanz点。随阑尾解剖位置的变异，压痛点可相应改变，但关键是右下腹有一固定的压痛点。压痛程度和范围往往与炎症的严重程度相关。</p><p>&nbsp; &nbsp; 反跳痛也称Blumberg征。在肥胖或盲肠后位阑尾炎的病人，压痛可能较轻，但有明显的反跳痛。</p><p>&nbsp; &nbsp; 5.腹肌紧张 &nbsp;阑尾化脓即有此体征，坏疽穿孔并发腹膜炎时腹肌紧张尤为显著。但老年或肥胖病人腹肌较弱，须同时检查对侧腹肌，进行对比，才能判断有无腹肌紧张。</p><p>&nbsp; &nbsp; 6.结肠充气试验 &nbsp;也称Rovsing征，先以一手压住左下腹降结肠区，再用另一手反复按压其上端、病人诉右下腹痛为阳性，只有阳性结果才有诊断价值。</p><p>&nbsp; &nbsp; 7.腰大肌试验 &nbsp;病人左侧卧位，右下肢向后过伸，引起右下腹痛者为阳性，有助于盲肠后阑尾炎的诊断。</p><p>&nbsp; &nbsp; 8.闭孔肌试验 &nbsp;仰卧位，右腿前屈90°，引起右下腹痛为阳性，有助于盆腔位阑尾炎的诊断。</p><p>&nbsp; &nbsp; 9.直肠指检 &nbsp;位于盆腔的阑尾炎症时腹部可无明显压痛，但在直肠右前壁处有触痛，如坏疽穿孔直肠周围积脓时，不仅触痛明显，而且直肠周围有饱满感。直肠指检尚有助于除外盆腔及子宫附件炎性病变。</p><p>&nbsp; &nbsp; 10.皮肤感觉过敏 &nbsp;在早期，尤其在阑尾腔有梗阻时，可出现右下腹皮肤感觉过敏现象，范围相当于第10～12胸髓节段神经支配区，位于右髂嵴最高点、右耻骨嵴及脐构成的三角区，也称Sherren三角，它并不因阑尾位置不同而改变，如阑尾坏疽穿孔，则在此三角区的皮肤感觉过敏现象即消失。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1211', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '826', '辅助检查', '<p>实验室检查：</p><p>&nbsp; &nbsp; 1.血常规 &nbsp;急性阑尾炎病人白细胞计数增多，约占病人的90%，是临床诊断中重要依据。一般在(10～15)×109/L。随着炎症加重，白细胞数随之增加，甚至可超过20×109/L。但年老体弱或免疫功能受抑制的病人，白细胞数不一定增多。与白细胞数增多的同时，中性多形核细胞数也有增高(约80%)。二者往往同时出现，但也有仅中性多形核细胞比数明显增高(＞80%)，具有同样重要意义。当病情正在发展，症状恶化，已经增多的白细胞数突然降低，往往是脓毒血症的表现，属于危象，应予重视。</p><p>&nbsp; &nbsp; 2.尿常规 &nbsp;急性阑尾炎病人的尿液检查并无特殊，但为排除类似阑尾炎症状的泌尿系统疾病，如输尿管结石，常规检查尿液仍属必要。偶有阑尾远端炎症并与输尿管或膀胱相粘连，尿中也可出现少量红、白细胞，不应与结石相混淆。</p><p>影像学检查：</p><p>&nbsp; &nbsp; 1.腹部X线平片 &nbsp;无并发症的急性阑尾炎，其X线平片可能完全正常，无诊断意义。在并发有局限或弥漫性腹膜炎时，则可发现有：①右下腹盲肠和回肠末端部位肠腔积气和液气平面；②腰椎侧弯和右腰大肌阴影模糊；③有时可见阑尾粪石；④右下腹软组织块影，由周围充气肠曲衬托，边缘可以比较清晰；⑤穿孔所致气腹极为少见；⑥横结肠扩张等有助于诊断与排除输尿管结石、肠梗阻等其他可能，但特异性很差。</p><p>&nbsp; &nbsp; 2.CT检查 &nbsp;正常阑尾仅偶见于CT检查时，炎症阑尾可显示阑尾周壁对称性增厚，管腔闭塞或充满脓液而扩张。有时可见盲肠周围脂肪模糊、密度增大，右腰大肌肿胀，特别容易发现阑尾周围脓肿，对有并发症者可见腹腔内多处脓肿，但CT发现率仅13%～60%，因此只有用于发现阑尾炎并发周围炎性肿块或脓肿时。虽然其敏感性高达94%，特异性仅为79%，可作为必要时的辅助诊断和排除与阑尾炎相混淆的腹部病变。</p><p>&nbsp; &nbsp; 3.超声检查 &nbsp;目前已被公认为急性阑尾炎诊断中的一项有价值的方法，此检查于20世纪80年代始应用于诊断急性阑尾炎，采用加压探测法，将四围肠内气体驱开而阑尾形态不变。阑尾充血水肿渗出在超声显示中呈低回声管状结构，较僵硬，其横切面呈同心圆似的靶样显影，直径≥7mm，是急性阑尾炎的典型图像。准确率高达90%～96%，敏感性和特异性也均在90%左右。但坏疽性阑尾炎或炎症已扩散为腹膜炎时，大量腹腔渗液和肠麻痹胀气影响超声的显示率。超声检查可显示盲肠后阑尾炎，因为痉挛的盲肠作为透声窗而使阑尾显示。超声检查也可在鉴别诊断中起重要作用，因为它可显示输尿管结石、卵巢囊肿、异位妊娠、肠系膜淋巴结肿大等，因此对女性急性阑尾炎的诊断和鉴别诊断特别有用。有人报道临床典型病人即使超声检查为阴性，也应考虑手术治疗，如果二者均不肯定则宜观察。超声检查为一种非侵入性检查，具有方便、无痛苦、可重复、可床边应用和值得普及推广的优点。</p><p>&nbsp; &nbsp; 4.腹腔镜检查 &nbsp;应认为是急性阑尾炎诊断手段中能得到最肯定结果的一种方法。因为通过下腹部插入腹腔镜可以直接观察阑尾有无炎症，也能分辨与阑尾炎有相似症状的邻近其他疾病，不但对确定诊断可起决定作用，并可同时进行治疗。但此法有下列缺点：①必须具备昂贵的腹腔镜；②必须在麻醉下在下腹部作小切口，虽然切口不大，但也是手术；③术者必须操作熟练以达到诊断目的而又不至引起并发症，不是一般医生可能完成；④无法在床旁进行；⑤不方便，有痛苦。因此只有非常必要时才采用此法，当AIDS病人(包括AIDS/HIV、抗癌化学治疗、应用大量激素治疗、器官移植后应用免疫抑制剂的病人)出现不典型急性阑尾炎临床表现，既不能等待观察以致病情加重，又不能盲目手术甚至误切正常阑尾，腹腔镜检查肯定诊断为一可取的方法。一般情况下，除非采用腹腔镜进行手术，否则无此必要。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1212', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '826', '诊断', '<p>&nbsp; &nbsp; &nbsp;至今多数急性阑尾炎的诊断仍以转移性右下腹痛或右下腹痛、阑尾部位压痛和血白细胞数增多三者为决定性依据。典型的急性阑尾炎(约占80%)均有上述很明确的症状和体征，易据此作出诊断。对于临床上不典型的病人则需其他辅助检查手段协助诊断。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1213', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '826', '治疗', '<p>&nbsp; &nbsp;目前公认急性阑尾炎的治疗方法为手术切除阑尾和处理其并发症。但是阑尾炎症的病理变化比较复杂，非手术治疗在急性阑尾炎治疗中仍有其地位，不应忽视。</p><p>&nbsp; &nbsp; 1.非手术治疗 &nbsp;当急性阑尾炎处在早期单纯性炎症阶段时，一旦炎症吸收消退，阑尾能恢复正常，也不再反复，因此阑尾不必切除，可采用非手术治疗，促使阑尾炎症及早消失。当急性阑尾炎诊断明确，有手术指征，但因病人周身情况或客观条件不允许，也可先采取非手术治疗，延缓手术。若急性阑尾炎已合并局限性腹膜炎，形成炎性肿块，也应采用非手术治疗，使炎性肿块吸收，再考虑择期阑尾切除。如炎性肿块转成脓肿，则应先行切开引流，以后再进行择期阑尾切除术。当急性阑尾炎诊断尚未肯定，需等待观察时，也可一边采用非手术治疗，一边观察其病情改变。此外，非手术治疗还可以作为阑尾手术前准备。总之，非手术治疗有其重要地位。非手术治疗包括：</p><p>&nbsp; &nbsp; (1)一般治疗：主要为卧床休息、禁食，给予水、电解质和热量的静脉输入等。</p><p>&nbsp; &nbsp; (2)抗生素应用：在非手术治疗中抗生素的应用颇为重要。关于其选择与用量，应根据具体情况而定。阑尾炎绝大多数属混合感染，以往采用青、链霉素联合应用，效果满意，以后发现耐药菌株增多且厌氧菌感染率增高，随即改用“金三联”即氨苄西林(氨苄青霉素)、庆大霉素与甲硝唑联合，其抗菌覆盖面大，价格也不贵，甚受推崇。近年来新型高效抗生素出现，更有头孢霉素不断更新。因此目前常采用头孢霉素或其他新型β-内酰胺类抗生素与甲硝唑联合。其优点为抗菌谱更广，抗耐药菌力更强，而毒性、副作用则更少。对轻型急性阑尾炎，抗生素应用近似预防性质，可选用一般抗生素短时间应用。只有对炎症严重的病人才适合正规治疗性应用。重型阑尾炎(坏疽或穿孔性)目前主张采用第三代头孢霉素加甲硝唑联用或用亚胺培南能收到良好效果。</p><p>&nbsp; &nbsp; (3)止痛药应用：止痛有时非常必要。强烈的疼痛可以增加精神上的恐怖，降低体内免疫功能，从而减弱病人抗病的能力。一般止痛药有时不能止住较强的疼痛，吗啡类药的应用可以考虑但必须谨慎，可适用于已决定手术的病人，但禁用于一般情况，尤其是体弱者。</p><p>&nbsp; &nbsp; (4)对症处理：如镇静、止吐、必要时放置胃减压管等。</p><p>&nbsp; &nbsp; 2.手术治疗 &nbsp;原则上急性阑尾炎，除黏膜水肿型可以保守后痊愈外，都应采用阑尾切除手术治疗，去除病灶以达到：①迅速恢复；②防止并发症的发生；③对已出现并发症的阑尾炎也可以得到良好治疗效果；④去除以后有可能反复发作的病灶；⑤得到正确的病理结果。但是急性阑尾炎由于病情轻重、来院迟早、病人年龄及体质强弱等等原因，情况极为复杂，更因很多疾病与阑尾炎有时难以鉴别，因此处理上应因病而异，决不应因“阑尾炎”手术小而草率从事。因手术操作不当而出现的各种并发症为5%～30%，死亡率也在1%左右，如果再加上因错误诊断误行阑尾手术，加重原发疾病，则危险性更大，所以阑尾虽小，必须认真对待，不容丝毫疏忽。</p><p>&nbsp; &nbsp; 阑尾切除术为腹部外科中经常进行的手术。一般说来，并不复杂，但有时也较困难。</p><p>&nbsp; &nbsp; (1)手术适应证：①临床上诊断明确的急性阑尾炎、反复性阑尾炎和慢性阑尾炎；②非手术治疗失败的早期阑尾炎；③急性阑尾炎非手术治疗后形成的回盲部肿块；④阑尾周围脓肿切开引流愈合后；⑤其他阑尾不可逆性病变。对病人体质极差、有重度心肺等伴发症者，则不宜行手术治疗。</p><p>&nbsp; &nbsp; (2)术前准备：即使无并发症的急性阑尾炎，也应有必要的术前准备，包括对病人生命器官功能的一般了解，常规化验和较短时间的补液、胃肠减压、止痛、抗生素应用和术前用药等，以保证麻醉顺利，手术安全。对有并发症的重型阑尾炎情况则有所不同，因为阑尾炎症状严重，甚至化脓坏疽，并且同时有局限性或弥漫性腹膜炎，以致合并有不同程度的脓毒血症表现，或出现早期多器官功能衰竭(MOF)现象，术前准备应随病情加重而加强。输液量要大，有时还需一定量的胶体液以补充血容量；抗生素要选效力强、毒性小、抗菌谱广、对耐药菌株有效并联合应用；对症处理也要积极，包括对各生命器官的保护和调整，其目的在于使病情可以在短时间内趋于平稳，以便及早进行病灶切除，使病人能及早得到良好的治疗效果。</p><p>&nbsp; &nbsp; (3)切口选择：一般采用右下腹斜切口。标准麦氏(阑尾点)斜形切口是在右髂前上棘与脐部联结线的外1/3与中1/3交接点上，作与联结线垂直的4～5cm小切口。切口也可随估计阑尾部位略予移动，以直接暴露出阑尾。斜行切口优点是按肌纤维方向分开肌肉，对腹壁血管和神经无损伤，发生切口疝机会小。切口也可呈横形，与皮肤褶皱相吻合，其瘢痕不显。横切口开始时应用于儿童，目前也应用于成人。</p><p>&nbsp; &nbsp; 切口长度应随腹壁厚度而加以调整，肥胖病人的切口往往要长。任何过小的切口，必然增加手术难度，甚至会产生不必要的意外，得不偿失，不值得采取。</p><p>&nbsp; &nbsp; 严格保护切口，是预防术后切口感染的重要措施。显露阑尾是手术重要步骤，应在直视下找到盲肠，再沿结肠带找到阑尾根部，用环钳和(或)长无齿镊夹出阑尾，如阑尾显露不清，应果断延长切口。最好在直视下切除阑尾，当阑尾基底易暴露，而阑尾其余部位暴露不清或与周围组织紧密粘连固定，可采用阑尾逆行切除法。必须确定已将阑尾全部切除，没有残留。如阑尾基底部坏死，盲肠壁亦有坏死，可将阑尾全切，坏死的盲肠壁亦切除，然后将切口内翻缝合。</p><p>&nbsp; &nbsp; (4)寻找和切除阑尾方法：阑尾根部与盲肠顶端的解剖关系恒定，沿结肠带追踪到盲肠顶端即为阑尾根部，此方法亦适用于寻找异位阑尾。如未见到阑尾，应考虑阑尾位于腹膜外的可能，须剪开侧腹膜，将盲肠与升结肠向内侧翻转寻找阑尾。也可循回肠末端寻找盲肠和阑尾。</p><p>&nbsp; &nbsp; 顺位法切除阑尾，操作方便，污染少。如炎症严重，阑尾尖端与深部组织粘连而无法提出，或逆行切除，如有困难，可行黏膜下阑尾切除术：先将阑尾根部切断，残端按常规结扎荷包埋入盲肠，再完整剥除阑尾黏膜，仅留下阑尾的浆肌套筒。如根部坏疽，盲肠壁水肿、脆弱，则不宜勉强行荷包埋入缝合，以免放腹腔引流。</p><p>&nbsp; &nbsp; (5)阑尾残端的处理：一般采用结扎断端，用苯酚(石炭酸)、酒精、盐水涂残端，荷包缝合，内翻埋入盲肠的方法。这样处理止血有保证，创面腹膜化防止粘连，断端烧灼可灭活腺体，使残端埋入盲肠后不致形成黏液囊肿。但对盲肠壁炎症显著，肠壁水肿脆弱或阑尾残端肿胀增粗时，可单纯结扎。</p><p>&nbsp; &nbsp; (6)腹腔探查：术中见阑尾炎症明显，不必探查腹腔其他部位。如术中发现阑尾正常或炎症轻，则应系统探查寻找病因。先检查盲肠有无病变，然后从回肠末端开始探查小肠，观察有无克罗恩病或梅克尔憩室炎，继之探查盆腔内器官、乙状结肠等。最后再探查胆囊、十二指肠和胃等腔内其他脏器。</p><p>&nbsp; &nbsp; (7)腹腔冲洗与引流：一般不宜冲洗腹腔，以避免炎症扩散。尽量吸尽脓液，除非脓液不能吸尽或坏死组织较多时。一般不需引流，连续缝合腹膜，切口冲洗后一期缝合。腹腔引流适用于：①阑尾炎症较重，粘连广泛，阑尾切除后局部仍有少量渗血者；②阑尾附近有较多脓性渗液者；③阑尾位置较深，或盲肠后阑尾，阑尾坏疽，切除不很顺利者；④阑尾根部结扎不很可靠，又不能埋入盲肠者；⑤阑尾周围已成脓肿者。</p><p>&nbsp; &nbsp; 3.术后并发症及治疗：阑尾切除术虽然并不复杂，但仍有发生各种并发症的可能，其发生率与阑尾炎症程度、病人全身情况及手术操作有无失误有关。</p><p>&nbsp; &nbsp; (1)切口感染：是阑尾切除术后最常见的并发症。未穿孔的阑尾切除术后，切口感染率＜1%；穿孔的阑尾切除术后切口感染率7%～9%；穿孔并发弥漫性腹膜炎时，切口感染率高达30%，充分说明阑尾炎应及早发现并手术。当阑尾炎还在早期时，阑尾切除术后切口感染的机会不多，即使感染，程度也轻，易于处理。关于预防切口感染，除早期手术外，还有预防性应用抗生素，切口在手术中严加保护、切口缝合前局部应用甲硝唑或抗生素液冲洗、切口缝合不留空隙。切口如果严重污染时，可采用延期缝合等。预防性抗生素应在手术前半小时就开始应用，对一般非坏疽性阑尾炎，预防应用24～48h已足够。对严重炎症的阑尾炎手术后，抗生素作为治疗应用，应根据情况延长应用日期。切口是否延期缝合应慎重考虑，多数情况无此必要。对切口缝合后感染机会极大者，可先放置缝线而不结扎，敞开切口，引流包扎，24h后流液不多时，再将缝线结扎作为二期缝合。</p><p>&nbsp; &nbsp; (2)腹腔脓肿：阑尾切除后并发腹腔脓肿发生率不高(＜1%)，见于阑尾炎症严重，并发穿孔，尤其是穿孔后引起弥漫性腹膜炎的病人，既属于腹膜炎的延续，又与阑尾手术时预防措施不力有关。腹腔脓肿常见于膈下、盆腔及肠间。病人持续高热，血白细胞计数升高。B型超声检查可以发现局部积液。有时膈下脓肿可出现呃逆，盆腔脓肿可出现排便次数增加，里急后重感觉和肛诊触到包块和压痛点。一旦证实应及时引流，脓液稀薄及穿刺条件许可时，可采用B型超声引导下穿刺置管引流，否则应手术引流。在行阑尾手术时应尽可能防止术后腹腔脓肿的发生，包括：①对弥漫性腹膜炎病人，冲洗腹腔应该积极，物理性冲洗远较局部应用抗生素重要；②腹腔内有可能引发脓液的坏死组织应清除，如脓苔粘连，脱入腹腔的粪石或坏死脱落组织，严重感染的网膜也最好去除；③凡属能继续渗液和有可能继发坏死的局部应放置引流。</p><p>&nbsp; &nbsp; (3)残株炎与盲肠壁脓肿：发生率约为0.5%。残株炎为阑尾切除时残留根部过长(1～5cm)，以后局部反复发作炎症，近似阑尾炎。残根留长的原因常是：①阑尾根部为盲肠浆膜所盖，不易辨认；⑦阑尾根部水肿，解剖不清；③反复炎症使阑尾与盲肠紧密相连，根部不易分离；④切口过小，暴露不够，阑尾根部的位置又过深。因此在阑尾手术时应注意，遇到上述情况应细致解剖，勿草率从事。残根埋入盲肠内时荷包缝合过宽，致使残株周围留有较大空隙，易致盲肠壁脓肿，也应防止。残株炎与盲肠壁脓肿发生于阑尾切除后，常反复出现阑尾炎症状，并被延误，有达30年后才被发现。B型超声检查和钡灌肠检查对诊断有一定价值。</p><p>&nbsp; &nbsp; (4)粪瘘：阑尾炎症严重，周围组织也水肿变脆，因此手术时易损伤附近肠管，也易致阑尾根部结扎不牢，术后炎症将已损肠壁溃破或根部结扎的线结脱落，发生术后粪瘘。有时阑尾周围脓肿与粪瘘相通，在切开引流后很快出现粪瘘。除术中误伤肠道而又疏忽极为危险外，术后粪瘘均较局限，只要向外引流通畅，下段肠道并无梗阻，易于自愈。治疗原则为积极支持治疗和创面清洁。如有可疑，应作窦道肉芽活组织病理检查以排除特殊原因，多数情况不必手术修补。</p><p>&nbsp; &nbsp; (5)其他：阑尾切除术后也有严重的并发症。如阑尾动脉结扎线结脱落，发生术后腹腔内大出血；术中误伤肠管未被发现，术后出现弥漫性腹膜炎，均应立即再手术处理。术后门静脉炎或脓毒血症有时合并多发肝脓肿为罕见极为严重的并发症，必须在发现后积极处理，方可避免不良后果。此外还有早期粘连性肠梗阻、切口出血、血肿或破裂等。至于少见的尚有术后局部炎性包块，发生于1个月后，为慢性炎症的增殖性改变。病人全身情况佳，困难在于与回盲部肿瘤或结核不易鉴别。近年来对阑尾切除术后是否易致结肠癌问题时有论及。有认为40岁以上病人阑尾切除术后其结肠癌发病率较正常人明显高，虽无定论但值得注意。结肠癌与急性阑尾炎并存或是急性阑尾炎的病因已引起临床注意，因此阑尾切除术后观察发现可能被遗漏的结肠癌，应予重视。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1237', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '188', '概述', '<p>&nbsp; &nbsp; &nbsp; 胰腺炎是胰腺因胰蛋白酶的自身消化作用而引起的疾病。胰腺有水肿、充血，或出血、坏死。临床上出现腹痛、腹胀、恶心、呕吐、发热等症状。化验血和尿中淀粉酶含量升高等。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1238', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '188', '临床表现', '<p>1.急性胰腺炎</p><p>发作前多有暴饮暴食或胆道疾病史。急性胰腺炎可分为普通型和出血坏死型。出血坏死型较少见，但病情严重，死亡率高。</p><p>（1）休克患者常出现休克症状如苍白、冷汗、脉细、血压下降等，引起休克的原因可有多种，如由于胰液外溢，刺激腹膜引起剧烈疼痛；胰腺组织及腹腔内出血；组织坏死，蛋白质分解引起的机体中毒等。休克严重者抢救不及时可以致死。</p><p>（2）腹痛 腹痛常位于中上腹部，有时向腰背部呈束带状放射，弯腰或前倾坐位可减轻；常突然发作于大量饮酒或饱餐后，程度不一，轻者为钝痛，重者多呈持续性绞痛。</p><p>（3）恶心、呕吐 多数患者起病即呕吐胃内容物，甚至呕吐胆汁，吐后腹痛并不缓解。</p><p>（4）发热 多数急性胰腺炎患者出现中度发热，一般持续3～5天。</p><p>（5）水电解质及酸碱失衡 患者有不同程度的脱水，频繁呕吐者可发生代谢性碱中毒，重症胰腺炎常伴有代谢性酸中毒、低钙血症、血糖升高、低血钾、低血镁。</p><p>2.慢性胰腺炎</p><p>（1）腹痛 多位于上腹部，弥散，可放射至背部、两肋，坐起或前倾有所缓解。</p><p>（2）胰腺功能不全 不同程度的消化不良症状如腹胀、纳差、厌油、消瘦、脂肪泻等；半数患者因为内分泌功能障碍发生糖尿病。</p><p>（3）体征 轻度慢性胰腺炎很少有阳性体征，部分病例有上腹轻度压痛；晚期慢性胰腺炎因脂肪泻可有营养不良的表现；若急性发作，则可出现中至重度的上腹压痛。</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1239', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '188', '辅助检查', '<p>1.白细胞计数<br/></p><p>&nbsp; &nbsp; &nbsp; 如感染严重,白细胞总数增高，并出现明显核左移。部分病人尿糖增高，严重者尿中有蛋白、红细胞及管型。</p><p>2.血、尿淀粉酶测定</p><p>&nbsp; &nbsp; &nbsp; 具有重要的诊断意义。正常值：血清：8～64温氏（Winslow）单位，或40～180苏氏（Somogyi）单位；尿：4～32温氏单位。</p><p>&nbsp; &nbsp; &nbsp; 急性胰腺炎病人胰淀粉酶溢出胰腺外，迅速吸收入血，由尿排出，故血尿淀粉酶大为增加，是诊断本病的重要的化验检查。</p><p>&nbsp; &nbsp; &nbsp; 淀粉酶值在严重坏死型者，因腺泡严重破坏，淀粉酶生成很少，故其值并无增高表现。如淀粉酶值降后复升，提示病情有反复，如持续增高可能有并发症发生。当测定值&gt;256温氏单位或&gt;500苏氏单位，对急性胰腺炎的诊断才有意义。</p><p>3.血清脂肪酶测定</p><p>&nbsp; &nbsp; &nbsp; 其值增高的原因同淀粉酶，发病后24小时开始升高，可持续5～10天,对较晚患者测定其值有助诊断。</p><p>4.血清钙测定</p><p>&nbsp; &nbsp; &nbsp; 正常值不低于2.12mmol/L（8.5mg/dl）。在发病后两天血钙开始下降，以第4～5天后为显著,重型者可降至1.75mmol/L（7mg/dl）以下，提示病情严重,预后不良。</p><p>5.血清正铁蛋白（MHA）测定</p><p>&nbsp; &nbsp; &nbsp; MHA来自血性胰液内红细胞破坏释放的血红素，在脂肪酶和弹性蛋白酶作用下，转化为正铁血红素，被吸收入血液中与白蛋白结合，形成正铁血红蛋白。重症患者常于起病后12小时出现MHA，在重型急性胰腺炎患者中为阳性，水肿型为阴性。</p><p>6.X线检查</p><p>&nbsp; &nbsp; &nbsp; 腹部可见局限或广泛性肠麻痹。小网膜囊内积液积气。胰腺周围有钙化影。还可见膈肌抬高，胸腔积液，偶见盘状肺不张，出现ARDS时肺野呈“毛玻璃状”。</p><p>7.B超与CT</p><p>&nbsp; &nbsp; &nbsp; &nbsp;均能显示胰腺肿大轮廓，渗液的多少与分布。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1240', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '188', '并发症', '<p>&nbsp; &nbsp; &nbsp;轻症急性胰腺炎极少有并发症发生，而重症急性胰腺炎则常出现多种并发症，如胰腺脓肿、胰腺假性囊肿、休克、脏器功能衰竭，病情中可继发腹腔、呼吸道、泌尿道等感染，感染扩散可引起败血症。少数可演变为慢性胰腺炎。</p><p>&nbsp; &nbsp; &nbsp; 慢性胰腺炎主要表现为慢性腹痛及胰腺内、外分泌功能不全，它与胰腺癌的发生有关。最常见的并发症是假性囊肿的形成及十二指肠、共同通道的机械性梗阻。</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1241', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '188', '治疗', '<p>（一）急性胰腺炎</p><p>1.一般治疗</p><p>急性胰腺炎的初期，轻型胰腺炎及尚无感染者均应采用非手术治疗。</p><p>（1）禁食、鼻胃管减压 持续胃肠减压，防止呕吐和误吸。给全胃肠动力药可减轻腹胀。</p><p>（2）补充体液，防治休克全部病人均应经静脉补充液体、电解质和热量，以维持循环稳定和水电解质平衡。预防出现低血压，改善微循环。</p><p>（3）解痉止痛 诊断明确者，发病早期可对症给予止痛药。但宜同时给解痉药。禁用吗啡，以免引起Oddis括约肌痉挛。</p><p>（4）抑制胰腺外分泌及胰酶 胃管减压、H2受体阻滞剂、抗胆碱能药、生长抑素等，一般用于病情比较严重的病人。胰蛋白酶抑制剂如抑肽酶、加贝酯等具有—定的抑制胰蛋白酶的作用。</p><p>（5）营养支持 早期禁食，主要靠完全肠外营养（TPN）。当腹痛、压痛和肠梗阻症状减轻后可恢复饮食。除高脂血症病人外，可应用脂肪乳剂作为热源。</p><p>（6）抗生素的应用 早期给予抗生素治疗，在重症胰腺炎合并胰腺或胰周坏死时，经静脉应用广谱抗生素或选择性经肠道应用抗生素可预防因肠道菌群移位造成的细菌感染。</p><p>2.手术治疗</p><p>&nbsp; &nbsp; &nbsp; 胰腺脓肿，胰腺假性囊肿和胰腺坏死合并感染是急性胰腺炎严重威胁生命的并发症。如诊断不确定；继发性的胰腺感染；合并胆道疾病；虽经合理支持治疗，而临床症状继续恶化，应手术治疗。</p><p>&nbsp; &nbsp; &nbsp; 严重者手术方式主要有两种：①剖腹清除坏死组织，放置多根多孔引流管，以便术后持续灌洗，然后将切口缝合。②剖腹清除坏死组织、创口部分敞开引流术。术中可同时行胃造瘘、空肠造瘘（用于肠内营养支持）及胆道引流术。偶有单发脓肿或感染性胰腺假性囊肿可采用经皮穿刺置管引流治疗。</p><p>&nbsp; &nbsp; &nbsp; 在重症胆源性胰腺炎伴有壶腹部嵌顿结石，合并胆道梗阻或胆道感染者，应急诊手术或早期（72小时内）手术，解除胆道梗阻，取出结石，畅通引流，并根据病情需要选择作胆囊切除术或小网膜腔胰腺区引流术。在有条件的情况下，可经纤维十二指肠镜Oddis括约肌切开取石，其疗效显著，并发症少。</p><p>（二）慢性胰腺炎</p><p>&nbsp; &nbsp; &nbsp; 慢性胰腺炎应予以病因治疗，如治疗胆源性疾病，戒酒；饮食疗法，少量多餐、高蛋白、高维生素、低脂饮食；补充胰酶；控制糖尿病；营养支持疗法。必要时行胰管引流术和胰腺手术。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1261', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1609', '胆囊炎伴胆石症', '<p>参见“胆囊炎”与“胆石症”疾病。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1285', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '504', '高血压1级(低危)', '', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1287', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '505', '高血压1级(低危)', '', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1316', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '800', '概述', '<p>&nbsp; &nbsp; &nbsp; 老年指年龄≥65岁，我国老年人群高血压患病率高达49%。早期人们认为老年高血压是血压随年龄增长而升高的生理现象，不必治疗，但长期研究表明，老年高血压是危害老年人生存和生活质量的重要因素，积极治疗可明显降低脑卒中等重要心血管事件危险性。无论年龄大小，都应该在医生的指导下控制血压，使之尽量降至正常范围。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1317', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '800', '临床表现', '<p>&nbsp; &nbsp; &nbsp;年龄≥65岁。除一部分病人为从老年前期的舒张期高血压演进而来，表现为收缩压和舒张压均升高。在老年高血压中有半数以上是单纯性收缩期高血压（ISH），是以收缩压增高和脉压差增大为特点的一种特殊类型高血压。具有较高的致死、致残率，已成为人们研究的热点。</p><p>&nbsp; &nbsp; &nbsp; 1.单纯收缩期高血压多见：老年人由于动脉硬化，动脉壁的弹性和伸展性降低，收缩期的弹性膨胀和舒张期的弹性回缩幅度减弱，缓冲能力降低，导致收缩压升高，舒张压降低，脉压差增大。所以老年人常常是单纯收缩期高血压。</p><p>&nbsp; &nbsp; &nbsp; 2.血压波动大，血压昼夜波动的节律异常，对心脑肾等靶器官的损害大；易受环境改变的影响而产生应激反应使诊室血压大大高于自测血压；易发生晨峰血压增高，即起床后2h内的收缩压平均值-夜间睡眠时的收缩压最低值（包括最低值在内1h的平均值），≥35mmHg为晨峰血压增高。建议测量24小时动态血压，以便明确血压波动情况，调整用药方案；提倡家庭自测血压。</p><p>&nbsp; &nbsp; &nbsp; 3.易发生体位性低血压和餐后低血压。</p><p>&nbsp; &nbsp; &nbsp; 4.老年人味觉灵敏度下降，往往吃菜很咸。而肾脏对水盐调节能力下降，血压对盐更敏感。摄入盐过多会使血压升高，降压药疗效降低，血压难以控制。</p><p>&nbsp; &nbsp; &nbsp; 5.常合并其他心血管危险因素，更容易发生靶器官损害和心血管疾病；因多种疾病并存而用药种数多，易发生药物之间的相互作用，易致药物不良反应。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1318', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '800', '辅助检查', '<p>1.实验室检查<br/></p><p>（1）血液检查检 测血清血脂、血糖、尿酸、肌酐；血清钾、钠等及全血细胞计数，以了解有无伴发心血管病的危险因素。</p><p>（2）尿液检查 尿常规，尿白蛋白肌酐比值，24小时尿蛋白，尿电解质以及其他可了解有无继发性收缩期高血压得原发病和靶器官受损的证据。</p><p>2.影像学检查</p><p>（1）心电图及动态心电图 可及时发现收缩期高血压病人有无左心室肥厚、心律失常和伴发心肌缺血的表现，有利于对病情的评估和治疗。</p><p>（2）超声心动图 对了解老年单纯收缩期高血压的左室结构和有无舒张功能受损有较高的价值。</p><p>（3）胸片常规检查 了解心脏大小及肺部情况，有无呼吸系统疾病。</p><p>3.其他</p><p>有关心脑肾等靶器官损害和并发症，合并症的检查。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1319', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '800', '诊断', '<p>&nbsp; &nbsp; &nbsp;年龄≥65岁，收缩压（SBP）≥140mmHg，如同时舒张压（DBP）&lt;90mmHg为单纯性收缩期高血压（ISH）。</p><p>&nbsp; &nbsp; &nbsp; 1.最初升高的读数至少复查三次以上，每次取大于2个读数的平均值。</p><p>&nbsp; &nbsp; &nbsp; 2.一些心排出量增加的疾病，如主动脉关闭不全、主动脉瘘、动脉导管未闭、重度贫血、甲亢等所致的SBP升高不包括在内。</p><p>&nbsp; &nbsp; &nbsp; 3.老年人血压较不稳定，易受情绪、体位、活动的影响，并且24小时血压变化大，应于不同体位反复测量血压，测量前须安静5分钟以上。</p><p>&nbsp; &nbsp; &nbsp; 4.另外在诊断上，根据患者病史、家族史、体格检查以及实验室检查做出诊断性综合评估，全面了解高血压原因、心血管病危险因素的评估以及靶器官受损程度等情况，便于指导诊治措施及预后判断。</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1320', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '800', '治疗', '<p>1.降压目标</p><p>&nbsp; &nbsp; &nbsp; 高血压的治疗目的，除了降压外，更重要的还在于延缓降低动脉粥样硬化、减少靶器官的损害。老年高血压的治疗要以平稳、安全为重，从小剂量开始，注意目标血压值不要太低，防止重要脏器供血不足。老年高血压患者，降压标准可放宽至150/90mmHg以下，如能耐受，可降至140/90mmHg以下。降压速度要慢，防止体位性低血压，用药前后测量坐立位血压。2013年欧洲高血压指南推荐降压目标：</p><p>（1）年龄低于80岁的老年人，收缩压控制在140～150mmHg,如患者一般情况好，能耐受，收缩压可进一步降低到140mmHg以下</p><p>（2）年龄大于80岁，如果一般情况和精神状态较好，收缩压可控制在140～150mmHg。</p><p>（3）对于虚弱的老年人，是否需降压治疗由临床医生根据其对治疗效果的监测来决定。</p><p>（4）对于所有老年人，舒张压控制小于90mmHg,如有糖尿病，进一步降至85mmHg以下。对老年人来说，舒张压在80～85mmHg之间较安全且能被病人耐受。</p><p>2.生活方式、饮食结构的改善</p><p>&nbsp; &nbsp; &nbsp; 针对老年高血压患者，需进行规律的体育锻炼、降低体重、增加蔬菜水果摄入、减少盐和酒精摄入量、戒烟等。</p><p>3.药物治疗</p><p>&nbsp; &nbsp; &nbsp; （1）各种降压药应根据不同情况选用。五种药物都可。低肾素，老年ISH多用利尿剂或长效CCBs，伴心力衰竭及肾病（如糖尿病肾病）者宜用ACEI或ARB，对伴心肌梗死者可用β受体阻滞剂及ACEI。</p><p>&nbsp; &nbsp; &nbsp; （2）不同类别的降压药物联合应用能较单用一种药物更大幅度地降低血压，降压幅度大约是单用一种药物时的2倍，即降低8%～15%。对于很多高血压患者来说，单一药物治疗并不能使血压降至理想水平，而单一药物剂量的增加常伴随不良反应的加大，往往使患者难于耐受，此时最佳的选择便是联合用药。</p><p>&nbsp; &nbsp; &nbsp; （3）老年人中常有药代动力学的变化，一般情况下，随年龄的增加，体内脂肪量增加，而水分、血浆容量、肌肉总量降低，导致脂溶性药物的分布容积降低。由于肝肾功能常有降低，老年高血压患者的药物代谢和排出率降低。因此，在使用下列药物时应考虑减量，如噻嗪类利尿剂、氨苯蝶啶、维拉帕米、血管紧张素转换酶抑制剂、水溶性β受体阻滞药、可乐定、甲基多巴等。</p><p>&nbsp; &nbsp; &nbsp; （4）老年人肝脏对钙拮抗药的清除率低。老年人α受体阻滞药和拉贝洛尔的药代动力学无降低，而β受体的敏感性降低，但α受体功能正常。在降压的速度方面，不宜快速降低血压。主要原因在于老年人脑循环和其他循环系统的功能需要在较高循环压力情况下维持正常，虽然对降压治疗可以进行自身调节和适应，但常需要数天才能适应。因此，即使在需要快速降压的老年人中，开始降压幅度也不宜超过25%。</p><p>&nbsp; &nbsp; &nbsp; （5）除了降压治疗外，老年人一般靶器官损害和并发症较多，需注重多重干预，个体化治疗。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1347', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '778', '概述', '<p>&nbsp; &nbsp; &nbsp; H型高血压为伴有高同型半胱氨酸血症-简称高血同（homocysteine,Hcy≥10umol/L）的原发性高血压。<br/></p><p>&nbsp; &nbsp; &nbsp; 高血压分为原发性与继发性。原发性高血压，又称高血压病，占高血压病人的90%以上，其中有一些特殊类型高血压，如盐敏感性高血压、白大衣性高血压、H型高血压。继发性高血压具有病因，是某些疾病的一种临床表现，最常见为肾脏病所致的肾性高血压。</p><p>&nbsp; &nbsp; &nbsp; 世界卫生组织CDC疾控分类目录认为健康成人空腹血浆半胱氨酸平均水平在5-15umm/L，当HCY水平为≥10umm/L，属于高HCY血症，伴有高HCY的高血压，被称为“H型高血压”。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1348', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '778', '原因', '<p>&nbsp; &nbsp; &nbsp;引起原发性高血压的原因有：（1）遗传因素，（2）饮食，高钠低钾膳食有关，（3）精神应激，长期处于紧张、高压状态，（4）肥胖，（5）口服避孕药等。</p><p>&nbsp; &nbsp; &nbsp; 引起Hcy升高的原因主要有：（1）维生素B6、B12与叶酸摄入不足，尤以叶酸摄入不足导致的同型半胱氨酸生物合成代谢中蛋氨酸循环障碍密切相关；（2）与遗传基因有关，研究证实MTHFRC677TTT基因型的同型半胱氨酸水平是CT/CC基因型的两倍；（3）富含蛋氨酸蛋白饮食。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1349', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '778', '发生机制', '<p>&nbsp; &nbsp; &nbsp; &nbsp;高同型半胱氨酸血症是以血Hcy水平增高为特点，是动脉粥样硬化与动脉硬化的独立危险因素，与外周血管疾病及脑血管疾病、高血压及高血压性心脏病、冠状动脉阻塞及血栓形成的发生密切相关。许多研究证据发现Hcy可破坏血管内皮细胞，引发血管结构发生改变等，导致血管功能紊乱。2010年美国学者对有关机制的研究进行了综述：高同型半胱氨酸血症引起血管功能紊乱主要通过两条途径:第一条为升高血压；第二条为损害内皮NO源性血管舒张活性。Hcy激活金属蛋白酶诱导胶原合成导致弹力与胶原比值的失衡而损害血管的弹性。血管内皮的高Hcy的代谢产物影响平滑肌细胞，导致血管功能紊乱而引起高血压；Hcy在体内代谢产生硫化氢(H2S)，而H2S是很强的抗氧化剂及血管舒张因子。当高Hcy血症时，通过抑制胱硫醚-γ-合成酶(CSE)引起H2S产生减少，从而引起高血压及血管疾病。</p><p>&nbsp; &nbsp; &nbsp; 另外，高同型半胱氨酸血症引起高血压的学说还与血管紧张素转化酶活性增加有关。有研究显示H2S阻滞内皮细胞血管紧张素转化酶(ACE)活性 。还有研究显示Hcy诱导血管内皮细胞AT1受体相关的金属蛋白酶-9和胶原合成，导致高血压血管重构的发生。</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1350', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '778', '治疗方案', '<p>&nbsp; &nbsp; &nbsp;中国高血压防治指南2010在评估危险因素指标中增加了对同型半胱氨酸血浆水平的测定，并规定≥10umol/L为高同型半胱氨酸血症，为独立心血管病危险因素。H型高血压的治疗方案：控制及管理血压的同时，控制高同型半胱氨酸血症即是否有效降低Hcy。有荟萃分析结果显示，每降低血浆同型半胱氨酸3umol/L，即可降低冠心病风险11%，降低卒中风险19%。</p><p>&nbsp; &nbsp; &nbsp; 控制H型高血压关键在于降低血压并降低Hcy，改善生活方式及积极药物治疗是关键。</p><p>生活方式</p><p>&nbsp; &nbsp; &nbsp; 生活方式干预包括适当控制富含蛋氨酸蛋白饮食，补充富含叶酸、维生素B12的食物，例如：猕猴桃、菠菜、黄豆等。</p><p>药物治疗</p><p>&nbsp; &nbsp; &nbsp; 为进一步明确补充降低Hcy对预防脑卒中的效果，一项[18] &nbsp;共纳入16000多例受试者(多伴有心、脑、肾损伤、糖尿病或多重危险因素)Meta分析结果表明，服用叶酸超过36个月(RR=0.71;95%CI:0.57-0.87)和Hcy降低超过20%(RR=0.77;95%CI:0.63-0.94)的人群中更为显著。Albert等[19] &nbsp;，一项大规模随机、对照、双盲试验研究WAFACS证实血管紧张素转化酶抑制剂(ACEI)类药物和补充叶酸在降低患者心脑血管事件风险方面具有协同作用(ACEI+叶酸治疗组RR=0.81，非ACEI+叶酸治疗组:RR=1.15,P=0.03)。末见其他降压药有类似协同作用。</p><p>&nbsp; &nbsp; &nbsp; 服用叶酸日剂量0.8mg可以达到降低Hcy最佳效应。一项Meta分析涉及受试者2596人，分析了不同剂量的叶酸以及合用维生素B12和B6对血浆Hcy水平的影响。在以性别标化和治疗前血浆叶酸浓度在12nmol/L和tHcy水平在12umol/L的前提下，分析结果显示，叶酸剂量为每日0.2mg,0.4mg,0.8mg,2.0mg和5.0mg时，Hcy浓度下降13%、20%,23%、23%和25%;同时加服维生素B12(400ug/d)可使Hcy进一步下降7%，而加服维生素B6似乎没有明显增强叶酸降低Hcy的作用。研究者认为，每日服用0.8mg叶酸可能会产生最好的降低Hcy的作用。Wald DS等的一项随机对照临床研究同样表明，0.2mg,0.4mg,0.8mg,1.0mg/d叶酸剂量组中，0.8mg/d叶酸剂量具有最佳的降低Hcy疗效。</p><p>&nbsp; &nbsp; &nbsp; 马来酸依那普利叶酸片以经典ACEI依那普利与0.8mg叶酸为基础组方。经北京大学第一医院李建平教授等在中国6个研究中心的RCT临床验证，依那普利叶酸片用于轻、中度原发性高血压患者降压、降低Hcy安全、有效。李建平教授等人的进一步分析表明依那普利叶酸片对H型高血压(Hcy&gt;10umol/L)患者疗效最佳，这表明依那普利叶酸片是H型高血压患者的最佳选择和基础用药。</p><p>&nbsp; &nbsp; &nbsp; 孙宁玲等研究表明使用依那普利叶酸片固定复方降压、降低Hcy疗效明显优于降压药和叶酸的简单联合。</p><p>&nbsp; &nbsp; &nbsp; 中国高血压的防治重点应该是在控制血压的同时，降低同型半胱氨酸。阜外高血压诊治中心吴海英教授在北京举办的“北京国际心血管病论坛”上发表了上述观点。</p><p>&nbsp; &nbsp; &nbsp; 我国科学家针对我国脑卒中是第一位死因特点，研发出的一类新药依那普利叶酸片复方制剂，可以同时降低血压和同型半胱氨酸，为我国H型高血压控制和脑卒中预防提供了一个重要手段。大量研究表明：0.8 mg叶酸降同型半胱氨酸作用最强，而且安全。常用规格的依那普利叶酸片含有0.8mg的叶酸，是唯一批准上市的最佳剂量规格。2010年版中国高血压指南中明确指出：</p><p>我国高血压人群伴有HHCY*比例较高 75%属H型高血压</p><p>降低同型半胱氨酸可以有效降低脑卒中</p><p>HHCY*是脑卒中的独立危险因素，显著增加高血压患者血管事件风险，指导高血压高危分层管理</p><p>HHCY*检测具有临床诊断、筛查和防治干预价值的界值是≥10μmol/L</p><p>采用多效固定复方制剂“依那普利/叶酸片（依叶）”，具有降低心脑血管事件风险的优效性。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1351', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '778', '治疗误区', '<p style=\"white-space: normal;\">改变饮食可以降低同型半胱氨酸吗</p><p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp; Hcy是人体必须氨基酸——蛋氨酸代谢中不断产生的中间产物；Hcy升高可能因为环境因素(不良的饮食结构及习惯)或者基因因素(MTHFR限速酶活性下降使Hcy代谢异常)，因此改变饮食减少富含蛋氨酸食物的摄入，多食新鲜的蔬菜水果有益降Hcy。但是叶酸是一种B族维生素，人体自身不能合成，必须每天从食物、饮料、药物等外源性物质中获得来维持机体代谢的需要。含叶酸的食物很多，但由于天然的叶酸极不稳定，易受阳光、加热的影响而发生氧化，所以人体真正能从食物中获得的叶酸并不多。专家观点：控制Hcy水平，行为改变要先行，药物治疗是关键。</p><p style=\"white-space: normal;\">是否所有的叶酸都可以来降低同型半胱氨酸（Hcy）</p><p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp; 上市的叶酸有0.4mg,5mg两种规格，0.4mg小剂量叶酸片，在2000版药典用法用量中明确为“预防用药”，主要用作预防神经管畸形的初发和再发，而且能够起到预防孕妇贫血、重度妊娠反应、自然流产和促进胎儿中枢神经系统正常发育，预防胎儿宫内发育迟缓等作用。5mg为“治疗用药”，主要用作维生素B12缺乏引起的巨幼红细胞性贫血。</p><p style=\"white-space: normal;\">马来酸依那普利叶酸片10mg/0.8mg是唯一获得国家药监局批准的用于治疗伴有血同型半胱氨酸升高的高血压的药物。</p><p style=\"white-space: normal;\">高血压患者应走出不愿意服药、不规律服药、不难受不吃药的误区，积极进行药物治疗</p><p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp; 高血压患者服药&quot;三不&quot;特点主要表现为，一是不愿意服药；二是不规律服药，不遵医嘱，一味地根据广告和别人的用药经验服药；三是不管血压升高程度，自己凭感觉服药，感觉不难受不吃药。建议高血压患者一定到医院查找病因，检查有无糖尿病、心肾损害或相关疾病，并按规律服药，平稳降压。特别重要的是，高血压“高危和很高危”患者必须立即开始药物治疗，H型高血压作为特别危害中国人的高危类型，必须最大程度地对高血压本身和相关的、能够改变的心血管病危险因素进行干预治疗。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1380', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '503', '概述', '<p>&nbsp; &nbsp; &nbsp; 高血压（hypertension）是指以体循环动脉血压（收缩压和/或舒张压）增高为主要特征（收缩压≥140毫米汞柱，舒张压≥90毫米汞柱），可伴有心、脑、肾等器官的功能或器质性损害的临床综合征。高血压是最常见的慢性病，也是心脑血管病最主要的危险因素。正常人的血压随内外环境变化在一定范围内波动。在整体人群，血压水平随年龄逐渐升高，以收缩压更为明显，但50岁后舒张压呈现下降趋势，脉压也随之加大。近年来，人们对心血管病多重危险因素的作用以及心、脑、肾靶器官保护的认识不断深入，高血压的诊断标准也在不断调整，目前认为同一血压水平的患者发生心血管病的危险不同，因此有了血压分层的概念，即发生心血管病危险度不同的患者，适宜血压水平应有不同。血压值和危险因素评估是诊断和制定高血压治疗方案的主要依据，不同患者高血压管理的目标不同，医生面对患者时在参考标准的基础上，根据其具体情况判断该患者最合适的血压范围，采用针对性的治疗措施。在改善生活方式的基础上，推荐使用24小时长效降压药物控制血压。除评估诊室血压外，患者还应注意家庭清晨血压的监测和管理，以控制血压，降低心脑血管事件的发生率。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1381', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '503', '病因', '<p>1.遗传因素</p><p>&nbsp; &nbsp; &nbsp; 大约60%的半数高血压患者有家族史。目前认为是多基因遗传所致，30%～50%的高血压患者有遗传背景。</p><p>2.精神和环境因素</p><p>&nbsp; &nbsp; &nbsp; 长期的精神紧张、激动、焦虑，受噪声或不良视觉刺激等因素也会引起高血压的发生。</p><p>3.年龄因素</p><p>&nbsp; &nbsp; &nbsp; 发病率有随着年龄增长而增高的趋势，40岁以上者发病率高。</p><p>4.生活习惯因素</p><p>&nbsp; &nbsp; &nbsp; 膳食结构不合理，如过多的钠盐、低钾饮食、大量饮酒、摄入过多的饱和脂肪酸均可使血压升高。吸烟可加速动脉粥样硬化的过程，为高血压的危险因素。</p><p>5.药物的影响</p><p>&nbsp; &nbsp; &nbsp; 避孕药、激素、消炎止痛药等均可影响血压。</p><p>6.其他疾病的影响</p><p>&nbsp; &nbsp; &nbsp; 肥胖、糖尿病、睡眠呼吸暂停低通气综合征、甲状腺疾病、肾动脉狭窄、肾脏实质损害、肾上腺占位性病变、嗜铬细胞瘤、其他神经内分泌肿瘤等。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1382', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '503', '分类', '<p>临床上高血压可分为两类：</p><p>1.原发性高血压</p><p>&nbsp; &nbsp; &nbsp; 是一种以血压升高为主要临床表现而病因尚未明确的独立疾病，占所有高血压患者的90%以上。</p><p>2.继发性高血压</p><p>&nbsp; &nbsp; &nbsp; 又称为症状性高血压，在这类疾病中病因明确，高血压仅是该种疾病的临床表现之一，血压可暂时性或持久性升高。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1383', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '503', '临床表现', '<p>&nbsp; &nbsp; &nbsp;高血压的症状因人而异。早期可能无症状或症状不明显，常见的是头晕、头痛、颈项板紧、疲劳、心悸等。仅仅会在劳累、精神紧张、情绪波动后发生血压升高，并在休息后恢复正常。随着病程延长，血压明显的持续升高，逐渐会出现各种症状。此时被称为缓进型高血压病。缓进型高血压病常见的临床症状有头痛、头晕、注意力不集中、记忆力减退、肢体麻木、夜尿增多、心悸、胸闷、乏力等。高血压的症状与血压水平有一定关联，多数症状在紧张或劳累后可加重，清晨活动后血压可迅速升高，出现清晨高血压，导致心脑血管事件多发生在清晨。</p><p>&nbsp; &nbsp; &nbsp; 当血压突然升高到一定程度时甚至会出现剧烈头痛、呕吐、心悸、眩晕等症状，严重时会发生神志不清、抽搐，这就属于急进型高血压和高血压危重症，多会在短期内发生严重的心、脑、肾等器官的损害和病变，如中风、心梗、肾衰等。症状与血压升高的水平并无一致的关系。</p><p>&nbsp; &nbsp; &nbsp; 继发性高血压的临床表现主要是有关原发病的症状和体征，高血压仅是其症状之一。继发性高血压患者的血压升高可具有其自身特点，如主动脉缩窄所致的高血压可仅限于上肢；嗜铬细胞瘤引起的血压增高呈阵发性。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1384', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '503', '检查', '<p>1.体格检查</p><p>（1）正确测量血压。由于血压有波动性，且情绪激动、体力活动时会引起一时性的血压升高，因此应至少2次在非同日静息状态下测得血压升高时方可诊断高血压，而血压值应以连续测量3次的平均值计。仔细的体格检查有助于发现继发性高血压线索和靶器官损害情况</p><p>（2）测量体重指数（BMI）、腰围及臀围。</p><p>（3）检查四肢动脉搏动和神经系统体征，听诊颈动脉、胸主动脉、腹部动脉和股动脉有无杂音。</p><p>（4）观察有无库欣病面容、神经纤维瘤性皮肤斑、甲状腺功能亢进性突眼征或下肢水肿。</p><p>（5）全面的心肺检查。</p><p>（6）全面详细了解患者病史。</p><p>2.实验室检查</p><p>&nbsp; &nbsp; &nbsp; 可帮助判断高血压的病因及靶器官功能状态。常规检查项目有血常规、尿常规（包括蛋白、糖和尿沉渣镜检）、肾功能、血糖、血脂、血钾、超声心动图、心电图、胸部X线、眼底、动态血压监测等。</p><p>&nbsp; &nbsp; &nbsp; 可根据需要和条件进一步检查眼底以及颈动脉超声等。24小时动态血压监测有助于判断血压升高的严重程度，了解血压昼夜节律，监测清晨血压，指导降压治疗以及评价降压药物疗效。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1385', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '503', '诊断与鉴别诊断', '<p>&nbsp; &nbsp; &nbsp;根据患者的病史、体格检查和实验室检查结果，可确诊高血压。诊断内容应包括：确定血压水平及高血压分级；无合并其他心血管疾病危险因素；判断高血压的原因，明确有无继发性高血压；评估心、脑、肾等靶器官情况；判断患者出现心血管事件的危险程度。</p><p>目前国内高血压的诊断采用2005年中国高血压治疗指南建议的标准：</p><table class=\"table-view log-set-param\" width=\"473\"><tbody><tr class=\"firstRow\"><td width=\"141\" colspan=\"2\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>类别</p></td><td width=\"102\" colspan=\"2\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>收缩压（mmHg）</p></td><td width=\"122\" colspan=\"2\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>舒张压（mmHg）</p></td></tr><tr><td width=\"131\" valign=\"top\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>正常血压</p></td><td width=\"102\" valign=\"top\" colspan=\"2\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>&lt;120</p></td><td width=\"89\" valign=\"top\" colspan=\"2\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>&lt;80</p></td><td valign=\"top\" align=\"left\" width=\"43\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><br/></td></tr><tr><td width=\"131\" valign=\"top\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>正常高值</p></td><td width=\"102\" valign=\"top\" colspan=\"2\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>120～139</p></td><td width=\"89\" valign=\"top\" colspan=\"2\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>80～89</p></td><td valign=\"top\" align=\"left\" width=\"43\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><br/></td></tr><tr><td width=\"131\" valign=\"top\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>高血压</p></td><td width=\"102\" valign=\"top\" colspan=\"2\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>≥140</p></td><td width=\"89\" valign=\"top\" colspan=\"2\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>≥90</p></td><td valign=\"top\" align=\"left\" width=\"43\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><br/></td></tr><tr><td width=\"131\" valign=\"top\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>1级高血压（轻度）</p></td><td width=\"102\" valign=\"top\" colspan=\"2\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>140～159</p></td><td width=\"89\" valign=\"top\" colspan=\"2\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>90～99</p></td><td valign=\"top\" align=\"left\" width=\"43\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><br/></td></tr><tr><td width=\"131\" valign=\"top\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>2级高血压（中度）</p></td><td width=\"102\" valign=\"top\" colspan=\"2\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>160～179</p></td><td width=\"89\" valign=\"top\" colspan=\"2\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>100～109</p></td><td valign=\"top\" align=\"left\" width=\"43\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><br/></td></tr><tr><td width=\"131\" valign=\"top\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>3级高血压（重度）</p></td><td width=\"102\" valign=\"top\" colspan=\"2\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>≥180</p></td><td width=\"89\" valign=\"top\" colspan=\"2\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>≥110</p></td><td valign=\"top\" align=\"left\" width=\"43\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><br/></td></tr><tr><td width=\"131\" valign=\"top\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>单纯收缩期高血压</p></td><td width=\"102\" valign=\"top\" colspan=\"2\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>≥140</p></td><td width=\"89\" valign=\"top\" colspan=\"2\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>&lt;90</p></td><td valign=\"top\" align=\"left\" width=\"43\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><br/></td></tr></tbody></table><p>如患者的收缩压与舒张压分属不同的级别时，则以较高的分级标准为准。单纯收缩期高血压也可按照收缩压水平分为1、2、3级。</p><p>高血压患者心血管危险分层标准：</p><table class=\"table-view log-set-param\"><tbody><tr class=\"firstRow\"><td valign=\"top\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>其他危险因素和病史</p></td><td valign=\"top\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>1级</p></td><td width=\"65\" valign=\"top\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>2级</p></td><td width=\"59\" valign=\"top\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>3级</p></td></tr><tr><td valign=\"top\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>无其他危险因素</p></td><td valign=\"top\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>低</p></td><td width=\"65\" valign=\"top\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>中</p></td><td width=\"59\" valign=\"top\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>高</p></td></tr><tr><td valign=\"top\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>1-2个危险因素</p></td><td valign=\"top\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>中</p></td><td width=\"65\" valign=\"top\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>中</p></td><td width=\"59\" valign=\"top\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>很高危</p></td></tr><tr><td valign=\"top\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>≥3个危险因素或糖尿病或靶器官损害</p></td><td valign=\"top\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>高</p></td><td width=\"65\" valign=\"top\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>高</p></td><td width=\"59\" valign=\"top\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>很高危</p></td></tr><tr><td valign=\"top\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>有并发症</p></td><td valign=\"top\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>很高危</p></td><td width=\"65\" valign=\"top\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>很高危</p></td><td width=\"59\" valign=\"top\" style=\"margin: 0px; padding-top: 2px; padding-bottom: 2px; line-height: 22px; border-color: rgb(230, 230, 230); border-width: 1px; border-style: solid;\"><p>很高危</p></td></tr></tbody></table><p><a class=\"lemma-anchor para-title\" style=\"color: rgb(19, 110, 194); position: absolute; top: -50px;\"></a><a class=\"lemma-anchor \" style=\"color: rgb(19, 110, 194); position: absolute; top: -50px;\"></a><a class=\"lemma-anchor \" style=\"color: rgb(19, 110, 194); position: absolute; top: -50px;\"></a></p><p>初诊高血压应鉴别继发性高血压。常见有肾脏病、肾动脉狭窄、原发性醛固酮增多症、嗜铬细胞瘤引起的高血压等，大多数继发性高血压可通过 原发病的治疗或手术得到改善。 &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1386', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '503', '治疗', '<p>（一）原发性高血压的治疗</p><p>1.治疗目的及原则</p><p>&nbsp; &nbsp; &nbsp; 高血压治疗的主要目标是血压达标，降压治疗的最终目的是最大限度地减少高血压患者心、脑血管病的发生率和死亡率。降压治疗应该确立血压控制目标值。另一方面，高血压常常与其他心、脑血管病的危险因素合并存在，例如高胆固醇血症、肥胖、糖尿病等，协同加重心血管疾病危险，治疗措施应该是综合性的。不同人群的降压目标不同，一般患者的降压目标为140/90mmHg以下，对合并糖尿病或肾病等高危患者，应酌情降至更低。对所有患者，不管其他时段的血压是否高于正常值，均应注意清晨血压的监测，有研究显示半数以上诊室血压达标的患者，其清晨血压并未达标。</p><p>（1）改善生活行为 ①减轻并控制体重。②减少钠盐摄入。③补充钙和钾盐。④减少脂肪摄入。⑤增加运动。⑥戒烟、限制饮酒。⑦减轻精神压力，保持心理平衡。</p><p>（2）血压控制标准个体化 由于病因不同，高血压发病机制不尽相同，临床用药分别对待，选择最合适药物和剂量，以获得最佳疗效。</p><p>（3）多重心血管危险因素协同控制 降压治疗后尽管血压控制在正常范围，血压升高以外的多种危险因素依然对预后产生重要影响。</p><p>2.降压药物治疗</p><p>&nbsp; &nbsp; &nbsp; 对检出的高血压患者，应使用推荐的起始与维持治疗的降压药物，特别是每日给药1次能控制24小时并达标的药物，具体应遵循4项原则，即小剂量开始，优先选择长效制剂，联合用药及个体化。</p><p>（1）降压药物种类 ①利尿药。②β受体阻滞剂。③钙通道阻滞剂。④血管紧张素转换酶抑制剂。⑤血管紧张素Ⅱ受体阻滞剂。</p><p>应根据患者的危险因素、靶器官损害及合并临床疾病的情况，选择单一用药或联合用药。选择降压药物的原则如下：</p><p>&nbsp; &nbsp;1）使用半衰期24小时以及以上、每日一次服药能够控制24小时的血压药物，如氨氯地平等，避免因治疗方案选择不当导致的医源性清晨血压控制不佳；</p><p>&nbsp; &nbsp;2）使用安全、可长期坚持并能够控制每一个24小时血压的药物，提高患者的治疗依从性；</p><p>&nbsp; &nbsp;3）使用心脑获益临床试验证据充分并可真正降低长期心脑血管事件的药物，减少心脑血管事件，改善高血压患者的生存质量。</p><p>（2）治疗方案 大多数无并发症或合并症患者可以单独或者联合使用噻嗪类利尿剂、β受体阻滞剂等。治疗应从小剂量开始，逐步递增剂量。临床实际使用时，患者心血管危险因素状况、靶器官损害、并发症、合并症、降压疗效、不良反应等，都会影响降压药的选择。2级高血压患者在开始时就可以采用两种降压药物联合治疗。</p><p>（二）继发性高血压的治疗</p><p>&nbsp; &nbsp; &nbsp; 主要是针对原发病的治疗，如嗜铬细胞瘤引起的高血压，肿瘤切除后血压可降至正常；肾血管性高血压可通过介入治疗扩张肾动脉。对原发病不能手术根治或术后血压仍高者，除采用其他针对病因的治疗外，还应选用适当的降压药物进行降压治疗。</p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1479', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1608', '概述', '<p>&nbsp; &nbsp; &nbsp; 胆囊炎是较常见的疾病，发病率较高。根据其临床表现和临床经过，又可分为急性和慢性两种类型，常与胆石症合并存在。右上腹剧痛或绞痛，多见于结石或寄生虫嵌顿梗阻胆囊颈部所致的急性胆囊炎，疼痛常突然发作，十分剧烈，或呈绞痛样。胆囊管非梗阻性急性胆囊炎时，右上腹疼痛一般不剧烈，多为持续性胀痛，随着胆囊炎症的进展，疼痛亦可加重，疼痛呈放射性，最常见的放射部位是右肩部和右肩胛骨下角等处。大多数急性胆囊炎都属于感染性胆囊炎，细菌性炎症占急性胆囊炎的50%～80%。常见致病菌为大肠埃希菌，克雷伯杆菌和粪链球菌，大多为混合感染，占60%以上。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1480', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1608', '临床表现', '<p><span style=\"font-size: 12px;\">1.急性胆囊炎</span></p><p>&nbsp; &nbsp; &nbsp; 急性结石性胆囊炎的临床表现和急性无结石性胆囊炎基本相同。</p><p>&nbsp; &nbsp; &nbsp;（1）症状 ①疼痛 右上腹剧痛或绞痛，多为结石或寄生虫嵌顿梗阻胆囊颈部所致的急性胆囊炎；疼痛常突然发作，十分剧烈，或呈现绞痛样，多发生在进食高脂食物后，多发生在夜间；右上腹一般性疼痛，见于胆囊管非梗阻性急性胆囊炎时，右上腹疼痛一般不剧烈，多为持续性胀痛，随着胆囊炎症的进展，疼痛亦可加重，疼痛呈现放射性，最常见的放射部位是右肩部和右肩胛骨下角等处，乃系胆囊炎症刺激右膈神经末梢和腹壁周围神经所致。②恶心、呕吐 是最常见的症状，如恶心、呕吐顽固或频繁，可造成脱水，虚脱和电解质紊乱，多见于结石或蛔虫梗阻胆囊管时。③畏寒、寒战、发热 轻型病例常有畏寒和低热；重型病例则可有寒战和高热，热度可达39℃以上，并可出现谵语、谵妄等精神症状。④黄疸 较少见，如有黄疸一般程度较轻，表示感染经淋巴管蔓延到了肝脏，造成了肝损害，或炎症已侵犯胆总管。</p><p>&nbsp; &nbsp; &nbsp;（2）主要体征 腹部检查可见右上腹部及上腹中部腹肌紧张、压痛、反跳痛、Murphy征阳性。伴胆囊积脓或胆囊周围脓肿者，于右上腹可扪及有压痛的包块或明显肿大的胆囊。当腹部压痛及腹肌紧张扩展到腹部其他区域或全腹时，则提示胆囊穿孔。或有急性腹膜炎。有15%～20%的病人因胆囊管周围性水肿、胆石压迫及胆囊周围炎造成肝脏损害，或炎症累及胆总管，造成Oddi括约肌痉挛和水肿、导致胆汁排出障碍，可出现轻度黄疸。如黄疸明显加深，则表示胆总管伴结石梗阻或并发胆总管炎的可能。严重病例可出现周围循环衰竭征象。血压常偏低，甚至可发生感染性休克，此种情况尤易见于化脓坏疽型重症病例时。</p><p><span style=\"font-size: 12px;\">2.慢性胆囊炎</span><br/></p><p>&nbsp; &nbsp; &nbsp;（1）症状 持续性右上腹钝痛或不适感；有恶心、嗳气、反酸、腹胀和胃部灼热等消化不良症状；右下肩胛区疼痛；进食高脂或油腻食物后症状加重；病程长，病情经过有急性发作和缓解相交替的特点，急性发作时与急性胆囊炎症状同，缓解期有时可无任何症状。</p><p>&nbsp; &nbsp; &nbsp;（2）体征 胆囊区可有轻度压痛和叩击痛，但无反跳痛；胆汁淤积病例可扪到胀大的胆囊；急性发作时右上腹可有肌紧张，体温正常或有低热，偶可出现黄疸。胆囊压痛点在右腹直肌外缘与肋弓的交点，胸椎压痛点在8～10胸椎旁，右膈神经压痛点在颈部右侧胸锁乳突肌两下角之间。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1481', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1608', '辅助检查', '<p><span style=\"font-size: 12px;\">1.实验室检查</span></p><p>&nbsp; &nbsp; &nbsp; （1）血常规 急性胆囊炎时，白细胞计数轻度增高，中性粒细胞增多。如白细胞计数超过20×109/L，并有核左移和中毒性颗粒，则可能是胆囊坏死或有穿孔等并发症发生。</p><p>&nbsp; &nbsp; &nbsp; （2）十二指肠引流 慢性胆囊炎时，如胆汁中黏液增多；白细胞成堆，细菌培养或寄生虫检查阳性，对诊断帮助很大。</p><p><span style=\"font-size: 12px;\">2.其他辅助检查</span><br/></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; （1）急性胆囊炎 ①超声检查 B超发现胆囊肿大、壁厚、腔内胆汁黏稠等常可及时做出诊断。②放射线检查 腹平片具有诊断意义的阳性发现是：胆囊区结石；胆囊阴影扩大；胆囊壁钙化斑；胆囊腔内气体和液平。胆囊造影：口服法：胆囊一般不显影；静脉注射法，对急性胆囊炎则有诊断意义。③放射性核素检查 对诊断急性胆囊炎的敏感性为100%，特异性为95%，亦具有诊断价值。</span><br/></p><p>&nbsp; &nbsp; &nbsp; （2）慢性胆囊炎 ①超声波检查 如发现胆囊结石、胆囊壁增厚、缩小或变形，有诊断意义。②腹部X线平片 如系慢性胆囊炎，可发现胆结石、胀大的胆囊、胆囊钙化斑和胆囊乳状不透明阴影等。③胆囊造影 可发现胆结石、胆囊缩小或变形、胆囊浓缩及收缩功能不良、胆囊显影淡薄等慢性胆囊炎影像。当胆囊不显影时，如能除外系肝功能损害或肝脏代谢功能失常所致，则可能是慢性胆囊炎。④胆囊收缩素试验 如胆囊收缩幅度小于50%，并出现胆绞痛，为阳性反应，表示为慢性胆囊炎。⑤纤维腹腔镜检查 直视下如发现肝脏和胀大的胆囊为绿色、绿褐色或绿黑色。则提示黄疸为肝外阻塞；如胆囊失去光滑、透亮和天蓝色的外观，变为灰白色，并有胆囊缩小和明显的粘连，以及胆囊变形等，则提示为慢性胆囊炎。⑥小剖腹探查 小剖腹探查是近年来新提倡的一种诊断疑难肝胆疾病及黄疸的方法，它既能对慢性胆囊炎做出明确诊断，又能了解肝脏的表现情况。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1482', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1608', '诊断', '<p><span style=\"font-size: 12px;\">1.急性胆囊炎</span></p><p>&nbsp; &nbsp; &nbsp; ①多以食用油腻食物为诱因。②突发右上腹持续性剧烈疼痛伴阵发性加重，可向右肩胛部放射，常有恶心、呕吐、发热。③右上腹有压痛、肌紧张，墨菲征阳性，少数可见黄疸。④白细胞及中性粒细胞计数增高，血清黄疸指数和胆红素可能增高。⑤B超可见胆囊肿大，胆囊壁增厚或毛糙，囊内有浮动光点，伴有结石时可见结石影像。⑥X线检查：胆囊区腹部平片可有胆囊增大阴影。</p><p><span style=\"font-size: 12px;\">2.慢性胆囊炎</span><br/></p><p>&nbsp; &nbsp; &nbsp; &nbsp;①持续性右上腹钝痛或不适感，或伴有右肩胛区疼痛。②有恶心、嗳气、反酸、腹胀和胃部灼热等消化不良症状，进食油腻食物后加重。③病程长，病情经过有急性发作和缓解交替的特点。④胆囊区可有轻度压痛的叩击痛。⑤胆汁中黏液增多，白细胞成堆，细菌培养阳性。⑥B超可见胆囊结石，胆囊壁增厚，胆囊缩小或变形。⑦胆囊造影可见胆结石，胆囊缩小或变形，胆囊收缩功能不良，或胆囊显影淡薄等。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1483', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1608', '治疗', '<p><span style=\"font-size: 12px;\">1.一般治疗</span></p><p>&nbsp; &nbsp; &nbsp; ①积极预防和治疗细菌感染及并发症，注意饮食卫生，防止胆道寄生虫病的发生，并积极治疗肠蛔虫症。②生活起居有节制，注意劳逸结合、寒温适宜，保持乐观情绪及大便通畅。③本病若有结石，或经常发作，可考虑手术治疗。④应选用低脂肪餐，以减少胆汁分泌，减轻胆囊负担。</p><p><span style=\"font-size: 12px;\">2.药物治疗</span><br/></p><p>&nbsp; &nbsp; &nbsp; （1）急性胆囊炎 ①解痉、镇痛 可使用阿托品肌内注射，硝酸甘油舌下含化、哌替啶（度冷丁）等，以解除Oddi括约肌痉挛和疼痛。②抗菌治疗 抗生素使用是为了预防菌血症和化脓性并发症，通常以氨苄西林（氨基苄青霉素）、克林霉素（氯林可霉素）和氨基醣甙类联合应用，或选用第二代头孢霉素如头孢孟多（头孢羟唑）或头孢呋辛治疗。抗生素的更换应根据血培养、手术时的胆汁培养和胆囊壁的细菌培养，以及药物敏感试验的结果而定。③利胆药物 50%硫酸镁口服（有腹泻者不用），去氢胆酸片口服，胆酸片口服。</p><p>&nbsp; &nbsp; &nbsp; （2）慢性胆囊炎 ①利胆药物 可口服50%硫酸镁、去氢胆酸片等。②驱虫疗法 针对病因进行驱虫。③溶石疗法 如系胆固醇结石引起者，可用鹅去氧胆酸溶石治疗。文献报道，溶石有效率可达60%左右。疗程结束后仍需服维持量，以防复发。</p><p>&nbsp; &nbsp; &nbsp; （3）合理选用中成药 ①金胆片 功能：消炎利胆。用于急慢性胆囊炎。②清肝利胆口服液 功能：清利肝胆湿热。主治纳呆、胁痛、疲倦乏力、尿黄、苔腻、脉弦、肝郁气滞，肝胆湿热未清等症。</p><p><span style=\"font-size: 12px;\">3.外科手术治疗</span><br/></p><p>&nbsp; &nbsp; &nbsp; 行胆囊切除术是急性胆囊炎的根本治疗。手术指征：①胆囊坏疽及穿孔，并发弥漫性腹膜炎者；②急性胆囊炎反复急性发作，诊断明确者；③经积极内科治疗，病情继续发展并恶化者；④无手术禁忌证，且能耐受手术者。慢性胆囊炎伴有胆石者；诊断一经确立，行胆囊切除术是一合理的根本治法。如病人有心、肝、肺等严重疾病或全身情况不能耐受手术，可予内科治疗。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1504', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1632', '概述', '<p><br/></p><p>&nbsp; &nbsp; &nbsp; 骨质疏松症（osteoporosis）是一种系统性骨病，其特征是骨量下降和骨的微细结构破坏，表现为骨的脆性增加，因而骨折的危险性大为增加，即使是轻微的创伤或无外伤的情况下也容易发生骨折。常常在不知不觉中发生椎体压缩骨折，也可因咳嗽、打喷嚏、轻微外伤等诱发椎体骨折。</p><p>&nbsp; &nbsp; &nbsp; 骨质疏松症分为原发性和继发性两大类，废用性骨质疏松症属继发性骨质疏松症，主要因骨骼机械力减少，致全身性或局部性骨量丢失引起。</p><p>&nbsp; &nbsp; &nbsp; 创伤后骨质疏松特指由外伤（常见于脊椎压缩性骨折、髋部骨折和桡骨远端骨折）引起的废用性骨质疏松。</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1505', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1632', '临床表现', '<p>&nbsp; &nbsp; &nbsp;<span style=\"font-size: 12px;\">废用性骨质疏松症特别是急性制动后，骨丢失常见症状为疼痛，好发于腰背、坐骨结节及足跟部，翻身、坐位及站立开始负重时产生疼痛。病人软组织松弛，肢体萎缩，周径减少，肌力降低，病程较长者可出现关节粘连、僵硬，甚至关节周围异位骨化，肢体功能受到严重障碍。</span></p><p>&nbsp; &nbsp; &nbsp; 加之，身体平衡及协调和对外界的保护性反应降低，骨折危险性增加。骨折主要发生在松质骨及负重骨，如下肢骨，特别是末端，青少年及年轻者较常见，6个月骨量即可减少达50％。</p><p>&nbsp; &nbsp; &nbsp; 常见脊椎压缩性骨折及桡骨远端、肱骨外科颈、股骨颈和股骨转子间骨折，还可出现驼背及肢体畸形。长期卧床病人的双下肢及躯干运动量明显减少，肌肉收缩及幅度降低。如果去除废用性的因素，骨质疏松症往往可以好转，但是需要更长的时间。</p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; Lyritis等认为骨折后局部骨质疏松是一种骨折部位及邻近骨折关节周围特异制动性骨质疏松，它不仅由于制动引起，也与血管运动障碍有关。骨折后应用接骨板及螺钉内固定，在接骨板下可发生局部骨质疏松，系由于应力遮挡及内、外骨膜血管损害所致。制动性骨质疏松如同时合并妇女绝经后或老年性骨质疏松，症状将更严重。</span></p><p>&nbsp; &nbsp; &nbsp; 症状决定于制动期限、方式及程度。骨折及手术后，由于需要保持患部制动，甚至长期卧床，必然导致骨吸收增加及骨形成减少，增加骨折危险性。骨折后又不可避免地发生疼痛，这样周而复始，如不进行干预，就会陷于一个难以阻断的恶性循环。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1506', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1632', '辅助检查', '<p>&nbsp; &nbsp; &nbsp;<span style=\"font-size: 12px;\">在骨吸收生化指标中，血清Ⅰ型胶原交联C末端肽（CTX）、Ｉ型胶原交联N末端肽（NTX）及血浆抗酒石酸酸性磷酸酶（TRAP）值均增加，尿羟脯氨酸/肌酐（OHPr/Cr）、尿吡啶啉（PYD）、脱氧吡啶啉（DPD）值亦均增加。</span></p><p>&nbsp; &nbsp; &nbsp; 骨形成生化指标中，血清骨特异性碱性磷酸酶（BALP）、骨钙素（BGP）、Ｉ型前胶原前肽PICP值亦增加。血清BGP由成骨细胞合成，是足骨组织内非胶原骨蛋白的主要成分，它反映成骨细胞活性、骨转换和骨形成的特异指标。</p><p>&nbsp; &nbsp; &nbsp; 血中BGP与骨内BGP含量呈密切正相关关系，BGP是反映骨形成的特异指标。血浆抗酒石酸酸性磷酸酶TRAP是酸性磷酸酶的第５型同工酶，主要由骨吸收功能细胞———多核破骨细胞释放，具有很高活性，是破骨细胞功能的重要标志，它的活性与破骨细胞呈正相关，因此可以作为鉴定骨吸收的重要指标。</p><p>&nbsp; &nbsp; &nbsp; AKP碱性磷酸酶广泛分布于机体的骨、肝、肠、胎盘等组织中。临床主要用于阻塞性黄疸、原发性肝癌、继发性肝癌胆汁淤积性肝炎的检查。由于骨组织中此酶亦很活跃，因此近年来也用于骨软化症、佝偻病、骨细胞癌、骨质疏松的辅助诊断。</p><p>&nbsp; &nbsp; &nbsp; AKP是反映成骨细胞在体外分化为成熟骨细胞及基质钙化的一个重要指标。血清骨特异性碱性磷酸酶（BALP）是成骨细胞的标志酶，反映成骨细胞在体外分化为成熟骨细胞及基质钙化的一个重要指标。丙二醛（MDA，表示脂质过氧化物含量）是反映体内各元素水平的指标。</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1507', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1632', '诊断', '<p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 创伤后骨质疏松的诊断主要依据创伤病史以及在病史基础上的骨质疏松来诊断。骨折后骨质疏松比单纯卧床引起的骨质疏松骨质丢失更加迅速，在普通X线平片上6周即可看到明显的骨质疏松存在，瘫痪后2~3个月以内出现骨质疏松。</span><br/></p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1508', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1632', '治疗', '<p>&nbsp; &nbsp; &nbsp;<span style=\"font-size: 12px;\">废用性骨质疏松的防治包括卧床体位、运动锻炼、物理治疗、药物治疗。在任何情况下，都不要忽视对原发病的积极治疗，在防治上应首先强调运动锻炼。</span></p><p>&nbsp; &nbsp; &nbsp; 卧床宜采用半坐位，保持头高足低，避免体液向头部和躯体上部转移。体育锻炼在于对成骨细胞和破骨细胞产生刺激，诱导体液流动。应力刺激产生负电位，易于结合阳性钙离子，促进骨形成。</p><p>&nbsp; &nbsp; &nbsp; 肌肉锻炼可使骨血流量增加，促进骨骼肌循环，提高组织营养。体育锻炼应尽早进行，循序渐进并主动运动，采取等长及等张肌力收缩。根据个体情况适当制订锻炼方法，可站立或步行，注意关节活动度训练。</p><p>&nbsp; &nbsp; &nbsp; 以主动运动为主，被动锻炼仅适用于瘫痪及偏瘫病人，包括按摩、关节被动活动、挛缩及粘连肌肉牵长等。应尽量缩小固定范围及期限，对非损伤部位尽可能进行力所能及的运动。对长期制动进行锻炼或开始行走时宜动作轻柔，避免使用暴力，以防发生骨折。</p><p>&nbsp; &nbsp; &nbsp; 物理治疗可采用电刺激，掌握刺激频率，可使肌肉被动收缩，促进成骨细胞活性，抑制骨吸收。电刺激可增加细胞液中钙离子浓度，应用脉冲电磁场（PEMF，低电压高频率电刺激对提高骨质和增加骨量均有效。</p><p>&nbsp; &nbsp; &nbsp; 在PEMFs作用下，人体躯干、髋部骨骼等表面或内部将产生生物物理刺激电磁场效应，提高骨密度。PEMFs通过刺激成骨细胞的功能而影响骨代谢，失重后通过心血管系统的变化，体液及骨矿重新分布。</p><p>&nbsp; &nbsp; &nbsp; 在药物治疗方面，可根据病人情况选择使用阿仑膦酸盐、利塞膦酸盐或降钙素，有鲑鱼降钙素（ｓＣＴ针剂或鼻喷剂）和鳗鱼降钙素类似物。</p><p>&nbsp; &nbsp; &nbsp; 双膦酸盐也具有很好的效果，依替膦酸盐可增加1α，25（OH）2D3、PTH和血清骨钙素，降低血ICTP和血离子钙。在脊髓损伤早期静脉内注射帕米膦酸盐可抑制骨吸收标志物增加和随之发生的骨密度降低。</p><p>&nbsp; &nbsp; &nbsp; 对截瘫病人应用二膦酸盐可使骨量轻微增加，破骨细胞活性降低。唑来膦酸也可提高小儿脊髓损伤的骨矿物密度，降钙素能有效防止急性制动后骨吸收。老年骨折病人术后立即给予降钙素尤其有重要意义，不仅能促进骨折愈合，还能因止痛效果而提前活动。</p><p>&nbsp; &nbsp; &nbsp; 每日还应补充钙剂及维生素D。中药亦可适当采用，以补肾壮骨为主，辅以健脾益气。药物治疗的目的在于抑制破骨细胞的数目及活性，增加活跃成骨细胞数目。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1509', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1591', '概述', '<p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 脓气胸是脓胸(脓性渗出液积聚于胸膜腔内的化脓性感染.)的一种类型，即在有化脓性感染的基础上脓腔内有气体，出现液平面，称为脓气胸。胸部隐痛，气促、咳嗽为主要临床表现的病证。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1510', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1591', '临床表现', '<p>&nbsp; &nbsp; &nbsp;<span style=\"font-size: 12px;\">脓气胸的临床表现是脓胸与气胸的总和，症状可以以脓胸或气胸其中一类症状为主，也可能同时出现。</span></p><p>&nbsp; &nbsp; &nbsp; 气胸的典型症状为突发性胸痛，继之有胸闷和呼吸困难，并可有刺激性咳嗽。这种胸痛常为针刺样或刀割样，持续时间很短暂。刺激性干咳因气体刺激胸膜所致。出现张力性气胸的患者常表现精神高度紧张、恐惧、烦躁不安、气促、窒息感、发绀、出汗，并有脉搏细弱而快，血压下降、皮肤湿冷等休克状态，甚至出现意识不清、昏迷，若不及时抢救，往往引起死亡。</p><p>&nbsp; &nbsp; &nbsp; 脓胸主要症状表现为呼吸困难和急性炎症表现（高热、胸痛、呼吸急促、食欲减退、周身不适等症状）。由于脓胸的症状与病因及分期、胸膜腔内脓液的多少、患者防御机制的状态，以及致病菌毒力的额大小有关，临床表现可以相差很大。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1511', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1591', '辅助检查', '<p>&nbsp; &nbsp; &nbsp;<span style=\"font-size: 12px;\">1.血液化验：白细胞计数增高，中性粒细胞比例增多，核左移，可见中毒颗粒，慢性期有贫血，血红蛋白和白蛋白降低。</span></p><p>&nbsp; &nbsp; &nbsp; 2.影像学检查：X线检查是诊断气胸和脓胸的重要方法。脓气胸检查时可见气胸表现（胸片上大多有明确的气胸线，为萎缩肺组织与胸膜腔内气体交界线，呈外凸线条影，气胸线外为无肺纹理的透光区，线内为压缩的肺组织。大量气胸时可见纵隔、心脏向健侧移位。）并可见气液面。积液在胸片常见胸部有一篇均匀模糊阴影，积液量较多的病例直立位时可在下胸部呈典型的S形线（Ellis线）。</p><p>&nbsp; &nbsp; &nbsp; 3.胸腔穿刺液化验：早期渗出液，继而脓性，部分有臭味，白细胞计数达（10～15）×109/L，以中性粒细胞为主；蛋白质含量&gt;3g/dl，葡萄糖&lt;20mg/dl，涂片染色镜检可找到致病菌，进行培养可确定致病菌，药敏试验用于指导治疗。</p><p>&nbsp; &nbsp; &nbsp; 4.肺功能检查：慢性期为限制性通气功能障碍，肺活量减低。</p><p>&nbsp; &nbsp; &nbsp; 5.痰色检查：疑有支气管－胸膜瘘时，可于胸腔内注入1%亚甲蓝2～5ml后观察咳出痰之颜色，以助诊断。</p><p>&nbsp; &nbsp; &nbsp; 6.血气分析和肺功能检查：多数患者的动脉血气分析不正常，有超过75%的患者PaO2低于80mmHg。16%的继发性气胸患者PaO2&lt;55mmHg、PaCO2&gt;50mmHg。肺功能检查对检测气胸发生或者容量的大小帮助不大，故不推荐采用。</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1512', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1591', '诊断', '<p>&nbsp; &nbsp; &nbsp;<span style=\"font-size: 12px;\">根据临床症状、体征、特别是X线表现及胸穿结果，诊断本病并不困难。</span></p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1513', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1591', '治疗', '<p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 脓气胸的治疗原则为抗感染、排净脓液促进肺复张以消灭脓腔、全身给以一般治疗，出现张力性气胸及时进行排气治疗、甚至手术疗法。</span><br/></p><p>1.一般治疗</p><p>&nbsp; &nbsp; &nbsp; 患者应绝对卧床休息，充分吸氧，尽量少讲话，使肺活动减少，有利于气体吸收和肺的复张。适用于首次发作，肺萎陷在20%以下，不伴有呼吸困难者。同时应加强营养、补充血浆或白蛋白、维持水、电解质和酸碱平衡及对症处理。</p><p>2.抗菌药物治疗</p><p>&nbsp; &nbsp; &nbsp; 根据胸腔液或血培养结果和药敏试验结果，选择有效的抗菌药物，一般采用联合、足量、静脉内全身给予。特殊菌种如结核菌、真菌、放线菌等应给予有效的抗痨方案和抗真菌治疗。</p><p>3.排气排脓：</p><p>&nbsp; &nbsp; &nbsp; （1）呼吸困难明显、肺压缩程度较重的患者，尤其是张力型气胸需要紧急排气者需要及时进行排气：主要有穿刺排气和闭式引流法。</p><p>&nbsp; &nbsp; &nbsp; （2）穿刺引流：每次抽净脓液后用生理盐水灌洗，然后向胸腔内注入抗生素。有助于及早消灭脓腔，控制感染。</p><p>&nbsp; &nbsp; &nbsp; （3）如穿刺效果不佳，病情进展，可在在局麻下做肋间插管或经肋床插管闭式引流排脓，灌洗和局部抗生素注入治疗，脓腔关闭后拔管。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1514', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1642', '概述', '<p>&nbsp; &nbsp; &nbsp;<span style=\"font-size: 12px;\">系原发性高血压引起的良性小动脉肾硬化（又称高血压肾小动脉硬化）和恶性小动脉肾硬化，并伴有相应临床表现的疾病。</span></p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1515', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1642', '诊断', '<p><span style=\"font-size: 12px;\">一、病史及症状</span></p><p>&nbsp; &nbsp; &nbsp; 年龄多在40～50 岁以上，高血压病史5～10年以上。早期仅有夜尿增多，继之出现蛋白尿，个别病例可因毛细血管破裂而发生短暂性肉眼血尿，但不伴明显腰痛。常合并动脉硬化性视网膜病变、左心室肥厚、冠心病、心力衰竭、脑动脉硬化和（或）脑血管意外史。病程进展缓慢，少部分渐发展成肾功能衰竭，多数肾功能常年轻度损害和尿常规异常。恶性高血压者舒张压需超过16Kpa(120mmHg），伴有明显心脑合并症且迅速发展，大量蛋白尿，常伴有血尿，肾功能进行性减退。</p><p>二、体检发现</p><p>&nbsp; &nbsp; &nbsp; 一般血压持续性增高（20.0/13Kpa，150/100mmHg以上）；有的眼睑和/或下肢浮肿、心界扩大等；多数动脉硬化性视网膜病变，当眼底有条纹状、火焰状出血和棉絮状的软性渗出，支持恶性肾小动脉硬化症诊断。伴有高血压脑病者可有相应的神经系统定位体征。&nbsp;</p><p>三、辅助检查</p><p>&nbsp; &nbsp; &nbsp; （一）多为轻中度蛋白尿，24小时定量多在1.5～2.0g；镜检有形成分（红细胞、白细胞、透明管型）少，可有血尿；早期血尿酸升高，尿NAG酶、β2-MG增高，尿浓缩-稀释功能障碍； Ccr多缓慢下降，血尿素氮、肌酐升高。肾小管功能损害多先于肾小球功能损害。</p><p>&nbsp; &nbsp; &nbsp; （二）影像学检查肾脏多无变化，发展致肾功能衰竭时可出现肾脏不同程度缩小；核素检查早期即出现肾功损害；心电图常提示左心室高电压；胸部X线或超声心动图常提示主动脉硬化、左心室肥厚或扩大。</p><p>&nbsp; &nbsp; &nbsp; （三）临床诊断困难者在早期应作肾活检。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1516', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1642', '鉴别诊断', '<p>&nbsp; &nbsp; &nbsp;<span style=\"font-size: 12px;\">应除外各种继发高血压，尤其是慢性肾炎高血压型。恶性肾小动脉硬化症应与急进性肾炎、系统性血管炎等病相鉴别。</span></p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1517', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1642', '治疗措施', '<p>&nbsp; &nbsp; &nbsp;<span style=\"font-size: 12px;\">一、早期、轻度高血压和尿常规大致正常者可予非药物治疗，保持良好的情绪、减肥、限盐、限酒、练气功及太极拳、适当的体育锻炼等。</span></p><p>&nbsp; &nbsp; &nbsp; 二、可供选用的降压药物：①利尿剂；②β受体阻滞剂；③钙拮抗剂；④血管紧张素转换酶抑制剂（ACEI）。其中钙拮抗剂、ACEI对肾脏的血流动力学更有利，ACEI降低尿蛋白优于其它的降血压药物。使血压有效地控制到正常或接近正常（18.7/12kPa，140/90mmHg）能够预防、稳定或延缓高血压肾损害。</p><p>&nbsp; &nbsp; &nbsp; 三、恶性肾小动脉硬化症患者短期内肾功能迅速恶化，在合并有高血压脑病、视力迅速下降、颅内出血等以及不能口服药物时，可静脉给药，常用硝普钠，力争在12～24小时控制血压。长压定能够迅速降低血压，适合恶性高血压的最初治疗。</p><p>&nbsp; &nbsp; &nbsp; 四、伴发高脂血症、糖尿病及高尿酸血症者，应给予相应的治疗。同时应用抗血小板聚集和粘附的药物，如潘生丁、阿司匹林等，可能有阻止肾小动脉硬化的作用。</p><p>&nbsp; &nbsp; &nbsp; 五、有肾功能不全时还应给予非透析治疗和替代治疗，见&quot;慢性肾功能不全&quot;章节。</p><p>&nbsp; &nbsp; &nbsp; 六、保持大便通畅，宜用清宁丸、莫家清宁丸。中药宜用柴胡枳桔汤、天麻钩藤饮等。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1518', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1597', '概述', '<p>&nbsp; &nbsp; &nbsp;<span style=\"font-size: 12px;\">高血压性心脏病是指由于长期体循环动脉压力增高，致使心脏后负荷过重而引起的以左心室肥厚，扩大为主要特征，并可能进一步导致心功能不全症状的一种心脏病变。是高血压病最常见的合并症和死亡原因之一。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1519', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1597', '临床表现', '<p><span style=\"font-size: 12px;\">1.长期高血压史；</span></p><p>2.左心室肥厚、扩大；</p><p>3.心功能不全，常以左心衰为主。</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1520', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1597', '辅助检查', '<p><span style=\"font-size: 12px;\">1.典型病例的检查以明确心脏形态结构及功能损害情况为主要目的，以“Ａ”专案为主；</span></p><p>2.疑难病例尚要与冠心病、肥厚型心肌病及其它以左室扩大为表现的心脏病鉴别，可按需要安排适当“Ｂ”和“Ｃ”项检查。</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1521', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1597', '诊断依据', '<p>诊断依据</p><p>&nbsp; &nbsp; 1.高血压病史；</p><p>&nbsp; &nbsp; 2.左室肥大证据。</p><p>治疗原则</p><p>&nbsp; &nbsp; 1.持续、稳定控制高血压；</p><p>&nbsp; &nbsp; 2.保护心脏结构及功能；</p><p>&nbsp; &nbsp; 3.治疗心功能不全。</p><p>用药原则</p><p>&nbsp; &nbsp; 1. 早期、持续、系统的抗高血压药物治疗是防止本病的最根本性方法。</p><p>&nbsp; &nbsp; 2. 应首先选用“Ａ”项降压效果稳定、持续和具有显著心脏保护作用的药物，如β-阻滞剂、转换酶抑制剂或钙拮抗剂类。</p><p>&nbsp; &nbsp; 3. 心功能衰竭期的治疗强调降低后负荷，即扩血管药物尤其是动脉扩张剂的使用。适当配合洋地黄类正性肌力药及利尿剂。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1522', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1597', '疗效评价', '<p><br/></p><p>1.治愈：血压恢复正常，心功能恢复正常。</p><p>2.好转：血压较前降低＞２０ｍｍＨｇ（平均动脉压），心功能改善１－２级。</p><p>3.无效：血压水平及心功能状态均无改善。</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1523', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '701', '概述', '<p>&nbsp; &nbsp; &nbsp; 过敏性哮喘是一种比较顽固的疾病，多在婴幼儿期发病，如果忽视治疗，可以伴随终身。大部分哮喘患者都存在过敏现象或者有过敏性鼻炎，有过敏性鼻炎的哮喘患者发病前兆会有打喷嚏、流鼻涕、鼻痒、眼痒、流泪等症状。 由于症状与呼吸道感染或炎症相似，大人缺乏相关知识，往往在早期忽视治疗，也极有可能被误诊。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1524', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '701', '临床表现', '<p>&nbsp; &nbsp;&nbsp;<span style=\"font-size: 12px;\">过敏性哮喘发作前有先兆症状如打喷嚏、流涕、咳嗽、胸闷等，如不及时处理，可因支气管阻塞加重而出现。</span></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 哮喘，严重者可被迫采取坐位或呈端坐呼吸，干咳或咯大量白色泡沫痰，甚至出现紫绀等。但一般可自行或用自行或用平喘药物等治疗后缓解。某些患者在缓解数小时后可再次发作，甚至导致哮喘持续状态。</span><br/></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 在临床上还存在非典型表现的哮喘。如咳嗽变异型哮喘，患者在无明显诱因咳嗽2个月以上，夜间及凌晨常发作，运动、冷空气等诱发加重，气道反应性测定存在有高反应性，抗生素或镇咳、祛痰药治疗无效，使用支气管解痉剂或皮质激素有效，但需排除引起咳嗽的其他疾病。 　　</span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1525', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '701', '并发症', '<p>&nbsp; &nbsp; &nbsp;<span style=\"font-size: 12px;\">长期反复发作可并发慢性支气管炎、阻塞性肺气肿、慢性肺源性心脏病以及肺间质纤维化等。在发作期可因剧烈咳嗽而并发气胸、纵隔气肿等。　</span></p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1526', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '701', '临床诊断', '<p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 发作前有先兆症状如打喷嚏、流涕、咳嗽、胸闷等，如不及时处理，可因支气管阻塞加重而出现哮喘，称为&quot;过敏性鼻炎哮喘综合症“。哮喘发作严重者可被迫采取坐位或呈端坐呼吸，干咳或咯大量白色泡沫痰，甚至出现紫绀等。但一般可自行或用自行或用平喘药物等治疗后缓解。某些患者在缓解数小时后可再次发作，甚至导致哮喘持续状态。此外，在临床上还存在非典型表现的哮喘。如咳嗽变异型哮喘，患者在无明显诱因咳嗽2个月以上，夜间及凌晨常发作，运动、冷空气等诱发加重，气道反应性测定存在有高反应性，抗生素或镇咳、祛痰药治疗无效，使用支气管解痉剂或皮质激素有效，但需排除引起咳嗽的其他疾病。</span></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 过敏性哮喘的诊断检查：症状不典型者（如无明显喘息和体征），应按具体情况选择下列检查，至少应有下列三项中的一项阳性，结合平喘治疗能明显缓解症状和改善肺功能，可以确定诊断。</span><br/></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 1、支气管激发试验或运动试验阳性：支气管激发试验常采用组织胺或乙酰甲胆碱吸入法。吸入组织胺累积剂量7.8?mol或乙酰甲胆碱浓度8mg/ml以内，肺通气功能（FEV1）下降?20％者为气道高反应性，是支持支气管哮喘的有力证据，一般适用于通气功能在正常预计值的70％或以上的患者。</span><br/></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 2、支气管舒张试验阳性：吸入激动剂后15分钟，或强化平喘治疗（包括激素的使用，故亦称激素试验）1-2周后，EFV1增加15％以上，且绝对值增加&gt;=200ml为阳性，适用于发作期，EFV1&lt;60%的正常预计值者；</span><br/></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 3、PEFR日内变异率或昼夜波动率≥20％。　　</span></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1527', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '701', '诊断标准', '<p>&nbsp; &nbsp; &nbsp;<span style=\"font-size: 12px;\">在中华医学会呼吸病学分会哮喘学组在2008年制订的支气管哮喘防治指南（支气管哮喘的定义、诊断、治疗及教育和管理方案）中，哮喘病的诊断标准是：</span></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 1．反复发作喘息、气急、胸闷或咳嗽，多与接触变应原、冷空气、物理、化学性刺激、病毒性上呼吸道感染、运动等有关。</span><br/></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 2．发作时在双肺可闻及散在或弥漫性，以呼气相为主的哮鸣音，呼气相延长。</span><br/></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 3. 上述症状可经治疗缓解或自行缓解。</span><br/></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 4. 除外其他疾病所引起的喘息、气急、胸闷或咳嗽。</span><br/></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 5．临床症状不典型者(如无明显喘息或体征)应至少具备以下一项试验阳性：</span><br/></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; (1)支气管激发试验或运动试验阳性；</span><br/></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; (2)支气管舒张试验阳性(FEV1增加15%以上,且FEV1绝对值增加&gt;200ml)；</span><br/></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; (3)PEF日内变异率或昼夜波动率≥20%</span><br/></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 符合以上1-4条或4、5条者，可确诊为支气管哮喘。</span></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1528', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '701', '常见过敏原', '<p>&nbsp; &nbsp; &nbsp;<span style=\"font-size: 12px;\">1、花粉：各季节空气中有各种不同的花粉。花粉有风媒和虫媒两种，引起哮喘者主要为风媒花粉，颗粒直径在17～58微米间。北美洲致敏花粉为豚草花粉属为主，已发现该花粉中大约有20种不同过敏原成分。我国北方地区引起秋季花粉症为菊科植物，很可能有过敏原交叉性。我国上海地区春季花粉症主要为杨树、桑树、法国梧桐、枫杨等花粉引起，而秋季为律草、蓖麻、蒿属等花粉所致。</span></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 2、屋尘：屋尘由多种成分组成，包括动物毛屑、真菌、细菌、花粉、动植物纤维等。一般认为，屋尘中的主要过敏原为尘螨，对于四季均有呼吸道过敏症状者，更应重视屋尘的过敏作用。</span><br/></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 3、螨：螨有5000多种，有过敏原作用的主要有屋尘螨和宇尘螨。尘螨分布世界各地，多孳生于人类居住环境中。尘螨生存的最适温度为25℃左右，相对湿度为75%～80%。哮喘多发于春、秋季，符合尘螨的季节消长。对尘螨过敏的发病率，儿童高于成人，男性高于女性。</span><br/></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 4、动物皮屑：猫、狗的皮屑是公认的过敏原。陈旧的羽毛、羊毛也可作为过敏原。</span><br/></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 5、真菌：真菌容易在潮湿、多雨和近海地区繁殖。如在梅雨季节，常可见由链孢霉菌引起的哮喘病人。</span><br/></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 6、昆虫排泄物：因吸入昆虫排泄物引起哮喘者并不多见，但在美国，近年来对蟑螂引起哮喘非常重视，我国也有报道。</span><br/></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 7、食物：主要指鱼、虾、蟹、贝类、蛋品、牛奶等动物性食品。某些人食用后主要引起吐泻等消化道过敏反应，但有的也可引起呼吸道过敏反应及全身出疹等。</span><br/></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 8、其他。</span></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1529', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '701', '西医常规治疗', '<p>&nbsp; &nbsp; &nbsp;<span style=\"font-size: 12px;\">传统过敏性哮喘药多为抗组胺药和激素类药，不但会致人困乏疲倦，对肝肾还有损害，而激素更可能导致肥胖、感染、色素沉着等问题。另外这些抗过敏药多在用时见效，一停药就复发，症状甚至更重。</span></p><p><span style=\"font-size: 12px;\">（一）抗炎药物</span><br/></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 也称作控制病情的药物。由于哮喘的病理基础是慢性过敏性炎症的，所以控制和消除慢性气道炎症是哮喘的基本治疗。常用的药物是吸入的糖皮质激素和色酮类药物。一些新的药物，如白三烯调节剂、长效β2激动剂和控释型茶碱也有一定的抗炎作用。</span><br/></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 1．糖皮质激素（简称激素）：是当前防治哮喘最有效的药物。吸入激素是控制哮喘稳定的最基本治疗，是哮喘的第一线的药物治疗。吸入激素主要作用于呼吸道局部，所用剂量较小，药物进入血液循环后在肝脏迅速被灭活，全身性不良反应少。常用的吸入激素有二丙酸培氯米松（Beclomethasone Dipropionate）、布地奈德（Budesonide）、氟尼缩松(Flunisolide)和曲安缩松(Triamcinolone Acetonide)等。近年已发展了一些新的活性更强的吸入激素，如氟替卡松(Fluticasone)等。其作用增强2倍，副作用少。借助MDI、干粉剂或持续雾化吸入。起效缓慢，需长期规律吸入一周以上才开始有效，最佳作用需要连续应用3个月以上才能达到。根据哮喘病情吸入剂量一般200～1200μg/d。</span><br/></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 口服或静脉用激素是中重度哮喘发作的重要治疗药物。按照病情需要选用合适的剂量和疗程（），症状缓解后逐渐减量和停用，序贯应用吸入激素。</span><br/></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 2．脱敏治疗：也称变应原疫苗治疗，是哮喘的重要治疗方法之一，其疗效已经在鼻炎合并哮喘的患者中所证实。临床上主要针对尘螨和各种花粉进行脱敏治疗。研究证实该疗法能改变哮喘的自然进程并可在停止治疗后维持数年的疗效。许多学者主张舌下脱敏治疗，由于舌下脱敏治疗避免了反复注射的麻烦和痛苦，因此特别适合儿童。但需要更多的研究来比较舌下脱敏治疗是否和注射脱敏治疗具有同样的疗效。</span><br/></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 脱敏疗法（SIT）是哮喘的一种特异性免疫治疗，用于过敏原明确又难以避免的中、轻度慢性哮喘，可减轻发作，青年和儿童患者效果较好。由于对脱敏疗法治疗哮喘的疗效尚有不同意见，且其治疗时间长、起效慢，并有引起严重过敏反应的危险，因而使该疗法的广泛应用受到限制。 1997～1998年，WHO和欧洲变态反应与临床免疫学会先后提出了关于哮喘患者采用SIT治疗的建议：a．多种过敏原或非过敏原所致者，SIT无效；b．青少年效果比老年人好；c．SIT注射必须在无症状期进行；d．患者FEV1在70 % pre以上；e．花粉哮喘是良好适应症；f．对动物过敏又不愿放弃饲养者可行；g．交链霉菌和分枝孢子菌属过敏者可行SIT。此外，抗原制作必须标准化，对多种抗原过敏者不宜施行脱敏疗法。</span><br/></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 3. 抗白三烯药物：包括白三烯受体拮抗剂和合成抑制剂（5-脂氧酶抑制剂）。能成功应用于临床的半胱氨酰白三烯受体拮抗剂有扎鲁斯特(Zafirlukast 20mg每日两次)和孟鲁斯特(平奇 或顺尔宁10 mg，每天一次) ，不仅能缓解哮喘症状，且能减轻气道炎症，具有一定的临床疗效，可以用于不能使用激素的患者或者联合用药。主要不良反应是胃肠道症状，通常较轻微，少数有皮疹，血管性水肿，转氨酶升高，停药后可恢复正常。</span><br/></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 4.抗-IgE单克隆抗体:是一种针对人类IgE的重组单克隆抗体（商品名Xoalir），在治疗过敏性鼻炎和哮喘中已经取得了显著疗效。2003年5月正式获FDA批准上市。Xoalir在治疗中-重度哮喘病和季节性和常年性过敏性鼻炎均有效，已知Xoalir可以降低血清游离IgE水平，低调节周围血嗜碱细胞的IgE受体,可显著降低鼻部和支气管的嗜酸细胞、肥大细胞、以及T细胞和B细胞的数目。研究表明，对已经吸入高剂量激素仍然不能控制的哮喘病患者，Xoalir有显著的益处。临床资料提示，Xoalir可以改善伴有持续性过敏性鼻炎的哮喘病患者的喘息症状、提高生命质量和控制急性发作，对Xoalir疗效好的往往是在那些更严重的哮喘病患者中。Xoalir抗炎治疗机制与抑制IgE有关。Xolair的临床剂量是125 mg～375 mg，皮下注射，每2～4周一次。该药可同时改善哮喘的上呼吸道和下呼吸道的症状。</span><br/></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 5.抗组胺药物：由于哮喘为过敏性疾病，一旦确诊就应该尽早给予抗组胺药物。有效地控制过敏性鼻炎可以避免大多数哮喘发作或避免哮喘加重，因此使用抗组胺药物治疗过敏性鼻炎对改善哮喘病的预后具有重要意义。抗组胺药物的普通剂量即可有效治疗过敏性鼻炎来预防哮喘发作，加倍剂量可改善并发的哮喘症状。给予抗组胺药加伪麻黄碱治疗过敏性鼻炎-哮喘综合症在改善鼻塞症状的同时，更可改善哮喘症状、提高PEF和减少支气管扩张剂的用量。在儿童，上呼吸道感染和哮喘加重能被连续的抗组胺药治疗所控制。在过敏性体质儿童早期治疗(Early Treatment of the Atopic Child ETAC)的研究中发现，连续抗组胺药治疗可降低哮喘病的发病率。</span><br/></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 6.色苷酸二钠 是一种非皮质激素抗炎药物。作用机制尚未完全阐明，能够稳定肥大细胞膜，抑制介质释放，对其他炎症细胞释放介质亦有一定的抑制作用。临床使用较少。</span><br/></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; （二）支气管舒张药，此类药除主要作用为舒张支气管，控制哮喘的急性症状。</span><br/></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 1．β2激动剂：β2激动剂药物主要分成速效β2激动剂和长效β2激动剂。①速效β2激动剂：包括沙丁胺醇（salbutamol）、特布他林（terbutaline）和酚丙喘宁（fenoterol）等，作用时间4～6小时。②长效β2激动剂（LABA):包括沙美特罗（salmeterol）、福米特罗（Formoterol）和丙卡特罗（procaterol）等。作用时间&gt;12小时，尤其适用于夜间哮喘。β2激动剂是缓解急性发作的症状的第一线药物。β2激动剂的用药方法可采用吸入，口服或静脉注射，首选吸入法，其作用迅速，气道内药量高，全身副作用少。吸入的方法有定量气雾剂、干粉吸入剂和持续雾化吸入。以定量气雾剂为最常用。然而，定量气雾剂使用需要配合储雾罐使用才能保证疗效。</span><br/></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 2．茶碱类 口服氨茶碱一般剂量每日～8mg/kg，缓释放茶碱每日～12mg/kg。静脉给药主要应用于重危症哮喘。首次注射剂量为4～6mg/kg而且应缓慢注射，注射时间应大于15min，静脉滴注维持量为每小时0.8～1.0mg/kg，每日用量一般不超过750mg～1000mg。</span><br/></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 3．抗胆碱药物 吸入抗胆碱药物，如溴化异丙托品（Ipratropine bromide）等，与β2激动剂联合吸入治疗使支气管舒张作用增强并持久，主要应用于单独应用β2激动剂未能控制症状的哮喘患者，对合并有慢性阻塞性肺疾病时尤为合适。可用MDI或持续雾化吸入，每日～4次，每次～250μg吸入。约15分钟起效，维持6～8小时。不良反应少，少数病人有口苦或口干感。</span></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1530', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '701', '上呼吸道或下呼吸道的治疗', '<p>&nbsp; &nbsp; &nbsp;<span style=\"font-size: 12px;\">相似处：过敏性鼻炎和哮喘综合症的治疗应该同时针对过敏性鼻炎和哮喘基础炎症过程进行联合抗炎治疗，</span></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 不同处：拟交感神经药在控制上呼吸道和下呼吸道症状中的药理作用是不同的。鼻黏膜血管充血引起的鼻塞症状可被血管收缩药物——α-肾上腺素能激动剂所改善，而支气管平滑肌则需要应用支气管舒张剂例如β2-肾上腺素能激动剂。</span><br/></p><p><span style=\"font-size: 12px;\">研究表明，鼻吸入激素不但改善过敏性鼻炎的症状而且也可改善哮喘症状并减轻支气管高反应性</span><br/></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; H1受体阻滞剂（抗组胺药），普通剂量用于治疗季节性鼻炎，虽然不能显著改善肺功能，但可改善同时并发的轻度季节性哮喘症状。给予一种抗组胺药加伪麻黄碱可以改善哮喘症状、PEF、并可减少季节性鼻炎合并哮喘患者的支气管扩张剂的用量。</span><br/></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 在儿童，上呼吸道感染和哮喘加重能被持续抗组胺药治疗所控制。在特应性体质儿童早期治疗(Early Treatment of the Atopic Child ETAC)的研究，持续抗组胺药治疗可减少发展成哮喘病危险的人数。</span><br/></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 在儿童，鼻窦疾病的抗生素治疗可改善下呼吸道的症状。</span><br/></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 在合并鼻息肉或鼻窦炎的哮喘病患者，手术治疗后可改善哮喘症状。</span></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1531', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '701', '鼻炎合并哮喘的治疗', '<p>&nbsp; &nbsp; &nbsp;<span style=\"font-size: 12px;\">应当给鼻炎和哮喘病人吸入性皮质类固醇药并应注意皮质类固醇总量不宜超过推荐剂量水平。这样，有些严重患者可以避免因全身糖皮质激素用药超出建议水平而导致更多副作用。</span></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 过敏原免疫治疗（过敏疫苗）是过敏性鼻炎和哮喘综合症的一项重要治疗方法，这在合并鼻炎和哮喘的病人已证实。免疫治疗能改变疾病的自然进程和在治疗中断后维持几年疗效。由于舌下免疫治疗避免了反复注射的麻烦的痛苦，因此特别适合儿童。但需要更多的研究来比较注射（疫苗）和舌下免疫治疗来判定舌下免疫治疗是否具有同样的疗效。</span><br/></p><p><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; 一种新药，单克隆抗-IgE抗体，注射给药，可改善过敏性鼻炎和哮喘综合症的上呼吸道和下呼吸道的症状。　　　</span></p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1539', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1635', '概述', '<p>&nbsp; &nbsp; &nbsp; 药物性骨质疏松属于继发性骨质疏松的一种，①长期使用肝素，②长期应用甲氨蝶呤。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1540', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1635', '临床表现', '<p><span style=\"font-size: 12px;\">1、症状视骨质疏松程度和原发疾病的性质而不同。</span></p><p>&nbsp; &nbsp; &nbsp; 多数症状较为隐匿，无诊断特异性，往往被原发病的表现所掩盖，不少患者在进行 X 片检查时才发现已经并发骨质疏松症。部分病人诉腰背酸痛、乏力、肢体抽搐或活动困难。病情严重者可以有明显骨骼疼痛，轻微损伤即易发生脊柱、肋骨、髋部或长骨骨折，肋骨骨折在继发性骨质疏松症中较原发性骨质疏松症中更为常见。瘦<span style=\"font-size: 12px;\">人更易患骨质疏松症</span></p><p>2、主要体征与原发性骨质疏松症类似，可有身高缩短，严重者发生脊柱后凸、驼背或胸廓畸形。</p><p>3、原发病的多种临床表现。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1541', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1635', '诊断指标', '<p>&nbsp; &nbsp; &nbsp;<span style=\"font-size: 12px;\">目前没有直接测定骨强度的临床方法，故临床上常常采用下列诊断指标：骨密度低下及 \\ 或脆性骨折。对于继发性骨质疏松症，还需要具有明确的引起骨质疏松症的原因。</span></p><p>1、 脆性骨折：是骨强度下降的最终后果，故有过由明确疾病或药物引起的脆性骨折即可诊断继发性骨质疏松症。</p><p>糖尿病性骨质疏松症</p><p>糖尿病性骨质疏松症</p><p>2、骨矿质盐密度测定</p><p>3、骨密度测定方法：在分析结果时应更注重 Z 值。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1542', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1635', '诊断标准', '<p>&nbsp; &nbsp; &nbsp; &nbsp; 1994年WHO建议根据BMD或BMC（骨矿含量）值对骨质疏松症进行分级诊断：正常为BMD或BMC在正常成人骨密度平均值的1个标准差（SD）之内；骨质减少为BMD或BMC较正常成人骨密度平均值降低1～2.5个标准差；骨质疏松症为BMD或BMC较正常成人骨密度平均值降低2.5个标准差以上；严重骨质疏松症为BMD或BMC较正常成人骨密度平均值降低2.5个标准差以上并伴有1个或1个以上的脆性骨折。该诊断标准中BMD或BMC可在中轴骨或外周骨骼测定。<span style=\"font-size: 12px;\"><span style=\"color: rgb(51, 51, 51); font-family: arial, 宋体, sans-serif; font-size: 14px; line-height: 24px; text-indent: 28px; widows: 1; background-color: rgb(255, 255, 255);\"></span></span></p><p>&nbsp; &nbsp; &nbsp; X 线平片：对于诊断骨质疏松症的敏感性和准确性较低，故对骨质疏松症的早期诊断帮助不大。但对于发现有无骨折，与骨折肿瘤和关节病变相鉴别，有较大价值。</p><p>&nbsp; &nbsp; &nbsp; 骨转换生化指标测定：目前尚无一项生化指标可作为骨质疏松症的诊断指标。主要用于骨转换分型、判断骨丢失速率、监测病情、评价药物疗效。常用的骨转换生化指标见原发性骨质疏松症诊疗指南。</p><p>&nbsp; &nbsp; &nbsp; 引起骨质疏松症的原发病相关检查：如肝肾功能、自身免疫指标、甲状腺功能、甲状旁腺功能、性腺功能、肿瘤相关检查等。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1543', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1635', '治疗方案', '<p>&nbsp; &nbsp; &nbsp;<span style=\"font-size: 12px;\">1、 原发疾病的治疗：积极寻找骨质疏松症的病因，对于有效治疗继发性骨质疏松症，具有重要意义。一旦病因明确，应及时对原发病进行治疗。</span></p><p>&nbsp; &nbsp; &nbsp; 2、 一般措施：注意进食含钙丰富、低盐和适量蛋白质的均衡膳食。在不影响对原发病治疗的前提下，适当户外活动，以增加阳光照射、增加机体的协调能力、防止摔跤，避免酗酒和嗜烟，慎用可能影响骨骼健康的其它药物。</p><p>&nbsp; &nbsp; &nbsp; 3、基础药物治疗：包括适当补充钙剂、维生素 D 或其活性代谢物等。参考原发性骨质疏松症诊疗指南。特别需注意的是，如果患者伴有高钙血症，如肿瘤或甲状旁腺功能亢进者，则应禁忌使用钙剂及维生素 D 制剂。如患者伴有肾结石及高尿钙排量，则应慎用钙剂及维生素 D 制剂。</p><p>&nbsp; &nbsp; &nbsp; 4、药物治疗：必要时给予有效的骨吸收抑制剂（如双膦酸盐和降钙素）治疗。药物用法及注意事项详见原发性骨质疏松症诊疗指南。骨形成促进剂（如甲状旁腺素氨基酸端片断）是否适用于继发新骨质疏松症，有待于今后经验的积累。</p><p>特殊治疗</p><p>&nbsp; &nbsp; &nbsp; 1、性激素缺乏性骨质疏松症：积极治疗原发病。对年轻的女性病人需补充适量的雌激素或雌、孕激素，男性病人应补充雄激素。必要时并用其它类抗骨质疏松药物。</p><p>&nbsp; &nbsp; &nbsp; 2、糖皮质激素性骨质疏松症：生理剂量的糖皮质激素也可引起骨丢失，于用药 6 — 12 个月骨量下降最明显。某些疾病需长期应用糖皮质激素，如病情允许，应采用最低剂量。酌情补充钙剂、维生素 D 制剂和双膦酸盐类抗骨质疏松药物，有助于防止发生糖皮质激素骨质疏松。对于骨痛明显的患者，可以加用降钙素类药物。</p><p>&nbsp; &nbsp; &nbsp; 3、制动性（废用性）骨质疏松症：一般性治疗和药物治疗同原发性骨质疏松症，但要特别注意制动部位的功能锻炼和康复治疗。</p><p>&nbsp; &nbsp; &nbsp; 4、长期肠外营养支持导致的骨质疏松症：一般性治疗和药物治疗同原发性骨质疏松症。由于本症易合并佝偻症（或骨软化症），除使用无铝营养支持液外，要积极补充维生素 D 制剂。</p><p>&nbsp; &nbsp; &nbsp; 5、糖尿病性骨质疏松症：主要是严格控制高血糖，同时应用抗骨质疏松药物治疗。</p><p>&nbsp; &nbsp; &nbsp; 6、器官移植后骨质疏松症：同原发性骨质疏松症</p><p>&nbsp; &nbsp; &nbsp; 7、血液透析性骨质疏松症：防治方法同原发性骨质疏松症。避免使用含铝透析液和低磷透析液。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1619', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '56', '概述', '<p>&nbsp; &nbsp;<span style=\"text-indent: 28px; font-family: 宋体;\">心绞痛（</span><span style=\"text-indent: 28px;\">angina pectoris</span><span style=\"text-indent: 28px; font-family: 宋体;\">）是冠状动脉供血不足，心肌急剧的暂时缺血与缺氧所引起的以发作性胸痛或胸部不适为主要表现的临床综合征。心绞痛是心脏缺血反射到身体表面所感觉的疼痛，特点为前胸阵发性、压榨性疼痛，可伴有其他症状，疼痛主要位于胸骨后部，可放射至心前区与左上肢，劳动或情绪激动时常发生，每次发作持续</span><span style=\"text-indent: 28px;\">3</span><span style=\"text-indent: 28px; font-family: 宋体;\">～</span><span style=\"text-indent: 28px;\">5</span><span style=\"text-indent: 28px; font-family: 宋体;\">分钟，可数日一次，也可一日数次，休息或用硝酸酯类制剂后消失。本病多见于男性，多数</span><span style=\"text-indent: 28px;\">40</span><span style=\"text-indent: 28px; font-family: 宋体;\">岁以上，劳累、情绪激动、饱食、受寒、阴雨天气、急性循环衰竭等为常见诱因。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1620', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '56', '临床表现', '<p style=\"text-indent:28px\"><span style=\"font-family:宋体\">多表现为闷痛、压榨性疼痛或胸骨后、咽喉部紧缩感，有些患者仅有胸闷，可分为典型性心绞痛和不典型性心绞痛：</span></p><p>1.<span style=\"font-family:宋体\">典型心绞痛症状</span></p><p><span style=\"font-family:宋体\">突然发生的位于胸骨体上段或中段之后的压榨性、闷胀性或窒息性疼痛，亦可能波及大部分心前区，可放射至左肩、左上肢前内侧，达无名指和小指，偶可伴有濒死感，往往迫使患者立即停止活动，重者还出汗。疼痛历时</span>1<span style=\"font-family:宋体\">～</span>5<span style=\"font-family:宋体\">分钟，很少超过</span>15<span style=\"font-family:宋体\">分钟；休息或含服硝酸甘油，疼痛在</span>1<span style=\"font-family:宋体\">～</span>2<span style=\"font-family:宋体\">分钟内（很少超过</span>5<span style=\"font-family:宋体\">分钟）消失。常在劳累、情绪激动（发怒、焦急、过度兴奋）、受寒、饱食、吸烟时发生，贫血、心动过速或休克亦可诱发。</span></p><p>2.<span style=\"font-family:宋体\">不典型的心绞痛症状</span></p><p><span style=\"font-family:宋体\">疼痛可位于胸骨下段、左心前区或上腹部，放射至颈、下颌、左肩胛部或右前胸，疼痛可很快消失或仅有左前胸不适、发闷感，常见于老年患者或者糖尿病患者。</span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1621', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '56', '辅助检查', '<p>1.<span style=\"font-family: 宋体;\">心电图</span><br/></p><p><span style=\"font-family:宋体\">心电图是诊断心肌缺血的最常用的无创性检查，静息时心电图在正常范围内的患者可考虑进行动态心电图记录和（或）心脏负荷试验。</span></p><p>2.X<span style=\"font-family:宋体\">线</span></p><p><span style=\"font-family:宋体\">可无异常发现，部分患者可见心影增大、主动脉增宽、肺充血等改变。</span></p><p>3.<span style=\"font-family:宋体\">放射性核素</span></p><p><span style=\"font-family:宋体\">常用的放射性核素有</span>201Tl<span style=\"font-family:宋体\">或</span>99mTc-MIBI<span style=\"font-family:宋体\">，可使正常心肌显影而缺血区不显影。</span></p><p>4.<span style=\"font-family:宋体\">选择性冠状动脉造影</span></p><p><span style=\"font-family:宋体\">通过向冠状动脉内注入造影剂，可显示出左、右冠状动脉及其分支内的阻塞性病变。虽为有创性检查，但同时也是反映冠状动脉粥样硬化性病变的最有价值的检测手段。</span></p><p>5.<span style=\"font-family:宋体\">血管内超声显像</span></p><p><span style=\"font-family:宋体\">是将微型超声探头通过心导管送入冠状动脉，能同时了解到冠脉官腔狭窄情况和管壁的病变情况。</span></p><p>6.<span style=\"font-family:宋体\">血管镜</span></p><p><span style=\"font-family:宋体\">可直接观察冠脉腔，尤其适用于血栓性病变。</span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1622', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '56', '诊断', '<p style=\"text-indent: 0px; \"><span style=\"text-indent: 28px; font-family: 宋体;\"><b>&nbsp; &nbsp;&nbsp;</b>据典型的发作特点和体征，含服硝酸甘油后缓解，结合年龄和存在冠心病易患因素，除外其他原因所致的心绞痛，一般即可确立诊断。发作时心电图检查可见以</span><span style=\"text-indent: 28px;\">R</span><span style=\"text-indent: 28px; font-family: 宋体;\">波为主的导联中，</span><span style=\"text-indent: 28px;\">ST</span><span style=\"text-indent: 28px; font-family: 宋体;\">段压低，</span><span style=\"text-indent: 28px;\">T</span><span style=\"text-indent: 28px; font-family: 宋体;\">波平坦或倒置（变异型心绞痛者则有关导联</span><span style=\"text-indent: 28px;\">ST</span><span style=\"text-indent: 28px; font-family: 宋体;\">段抬高），发作过后数分钟内逐渐恢复。心电图无改变的患者可考虑作负荷试验。</span></p><p><span style=\"font-family:宋体\">发作不典型者，诊断要依靠观察硝酸甘油的疗效和发作时心电图的改变；如仍不能确诊，可多次复查心电图、心电图负荷试验或</span>24<span style=\"font-family:宋体\">小时动态心电图连续监测，如心电图出现阳性变化或负荷试验诱致心绞痛发作时亦可确诊。</span></p><p><span style=\"font-family:宋体\">诊断有困难者可作放射性核素检查或考虑行选择性冠状动脉造影。考虑施行外科手术治疗者则必需行选择性冠状动脉造影。冠状动脉内超声检查可显示管壁的病变，对诊断可能更有帮助。</span></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1623', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '56', '鉴别诊断', '<p>1.<span style=\"font-family: 宋体;\">急性心肌梗死</span></p><p><span style=\"font-family:宋体\">本病疼痛部位与心绞痛相仿，但性质更剧烈，持续时间可达数小时，常伴有休克、心律失常及心力衰竭，并有发热，含服硝酸甘油多不能使之缓解。心电图中面向梗死部位的导联</span>ST<span style=\"font-family:宋体\">段抬高，并有异常</span>Q<span style=\"font-family:宋体\">波。白细胞计数及肌酸磷酸激酶、门冬氨酸转氨酶、乳酸脱氢酶、肌红蛋白、肌凝蛋白轻链等增高，红细胞沉降率增快。</span></p><p>2.X<span style=\"font-family:宋体\">综合征</span></p><p><span style=\"font-family:宋体\">本病为小冠状动脉舒缩功能障碍所致，以反复发作劳累性心绞痛为主要表现，疼痛亦可在休息时发生。发作时或负荷后心电图可示心肌缺血、核素心肌灌注可示缺损、超声心动图可示节段性室壁运动异常。但本病多见于女性，冠心病的易患因素不明显，疼痛症状不甚典型，冠状动脉造影阴性，左心室无肥厚表现，麦角新碱试验阴性，治疗反应不稳定而预后良好，则与冠心病心绞痛不同。</span></p><p>3.<span style=\"font-family:宋体\">其他疾病引起的心绞痛</span></p><p><span style=\"font-family:宋体\">包括严重的主动脉瓣狭窄或关闭不全、风湿热或其他原因引起的冠状动脉炎、梅毒性主动脉炎引起冠状动脉口狭窄或闭塞、肥厚型心肌病、先天性冠状动脉畸形等均引起心绞痛，要根据其他临床表现来进行鉴别。</span></p><p>4.<span style=\"font-family:宋体\">肋间神经痛、</span></p><p><span style=\"font-family:宋体\">本病疼痛常累及</span>1<span style=\"font-family:宋体\">～</span>2<span style=\"font-family:宋体\">个肋间，但并不一定局限在前胸，为刺痛或灼痛，多为持续性而非发作性，咳嗽、用力呼吸和身体转动可使疼痛加剧，沿神经行径处有压痛，手臂上举活动时局部有牵拉疼痛，故与心绞痛不同。</span></p><p><span style=\"font-family:宋体\">此外，不典型的心绞痛还需与食管病变、膈疝、溃疡病、肠道疾病、颈椎病等所引起的胸、腹疼痛相鉴别。</span></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1624', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '56', '治疗', '<p>1.<span style=\"font-family: 宋体;\">发作时的治疗</span><br/></p><p><span style=\"font-family:宋体\">（</span>1<span style=\"font-family:宋体\">）休息</span> <span style=\"font-family:宋体\">发作时立刻休息，患者一般在停止活动后症状即可缓解。</span></p><p><span style=\"font-family:宋体\">（</span>2<span style=\"font-family:宋体\">）药物治疗</span> <span style=\"font-family:宋体\">较重的发作，可使用作用快的硝酸酯制剂。这类药物除扩张冠状动脉，降低阻力，增加血流量外，还通过扩张周围血管，减少静脉回心血量，降低心室容量、心腔内压、心排血量和血压，减低心脏前后负荷和心肌的需氧，从而缓解心绞痛。</span></p><p><span style=\"font-family:宋体\">其中最常用的是硝酸甘油片，舌下含服，</span>1<span style=\"font-family:宋体\">～</span>2<span style=\"font-family:宋体\">分钟开始起作用，约半小时后作用消失；也可选用二硝酸异山梨酯：舌下含服，</span>2<span style=\"font-family:宋体\">～</span>5<span style=\"font-family:宋体\">分钟见效；另外还可选用亚硝酸异戊酯</span>0.2<span style=\"font-family:宋体\">毫升（</span>1<span style=\"font-family:宋体\">支）用手绢包裹压碎后，吸入其挥发气体。优点是作用快，但副作用较大且有乙醚味，故很少采用。应用上述药物的同时，可考虑用镇静药。经以上治疗疼痛不能缓解或本次发作较平时重且持续时间长者，应考虑到是否有急性心肌梗死的可能，及时到医院检查治疗。</span></p><p>2.<span style=\"font-family:宋体\">缓解期的治疗</span></p><p><span style=\"font-family:宋体\">宜尽量避免各种诱因。调节饮食，特别是进食不应过饱；禁绝烟酒。调整日常生活与工作量，减轻精神负担；保持适当的体力活动，但以不发生疼痛症状为度；一般不需卧床休息。缓解期药物治疗的三项基本原则是：选择性地扩张病变的冠脉血管；降低血压；改善动脉粥样硬化。</span></p><p><span style=\"font-family:宋体\">初次发作（初发型）或发作频繁、加重（恶化型），或卧位型、变异型、中间综合征、梗死后心绞痛等，疑为心肌梗死前奏的患者，应休息一段时间，使用作用持久的抗心绞痛药物，以防心绞痛发作，可单独选用、交替应用或联合应用下列作用持久的药物。</span></p><p><span style=\"font-family:宋体\">（</span>1<span style=\"font-family:宋体\">）硝酸酯制剂</span> <span style=\"font-family:宋体\">①硝酸异山梨醇。②四硝酸戊四醇酯。③长效硝酸甘油制剂：服用长效片剂使硝酸甘油持续而缓慢释放。用</span>2%<span style=\"font-family:宋体\">硝酸甘油软膏或膜片制剂涂或贴在胸前皮肤，作用可维持</span>12<span style=\"font-family:宋体\">～</span>24<span style=\"font-family:宋体\">小时。</span></p><p><span style=\"font-family:宋体\">（</span>2<span style=\"font-family:宋体\">）β受体阻断剂（β阻断剂）</span> <span style=\"font-family:宋体\">具有阻断拟交感胺类对心率和心收缩力受体的刺激作用，减慢心率，降低血压，减低心肌收缩力和耗氧量，从而缓解心绞痛的发作。此外，还减低运动时血流动力的反应，使在同一运动量水平上心肌耗氧量减少；使不缺血的心肌区小动脉（阻力血管）缩小，从而使更多的血液通过极度扩张的侧支循环（输送血管）流入缺血区。可作为起始治疗药物，根据症状和心率调整剂量。不良反应有心室喷血时间延长和心脏容积增加，这时可能使心肌缺血加重或引起心力衰竭，但其使心肌耗氧量减少的作用远超过其不良反应。常用制剂有：①普萘洛尔，逐渐增加剂量；②氧烯洛尔；③阿普洛尔；④吲哚洛尔；⑤索他洛尔；⑥美托洛尔；⑦阿替洛尔；⑧醋丁洛尔；⑨纳多洛尔等。</span></p><p><span style=\"font-family:宋体\">β阻断剂可与硝酸酯合用，但要注意：①β阻断剂与硝酸酯有协同作用，因而剂量应偏小，开始剂量尤其要注意减小，以免引起体位性低血压等不良反应；②停用β阻断剂时应逐步减量，突然停用有诱发心肌梗死的可能；③心功能不全，支气管哮喘以及心动过缓者不宜用。</span></p><p><span style=\"font-family:宋体\">（</span>3<span style=\"font-family:宋体\">）钙通道阻滞剂</span> <span style=\"font-family:宋体\">本类药物抑制钙离子进入细胞内，也抑制心肌细胞兴奋</span>-<span style=\"font-family:宋体\">收缩耦联中钙离子的利用。因而抑制心肌收缩，减少心肌耗氧；扩张冠状动脉，解除冠状动脉痉挛，改善心内膜下心肌的血供；扩张周围血管，降低动脉血压，减轻心脏负荷；还降低血液黏度，抗血小板聚集，改善心肌的微循环。常用制剂有：①维拉帕米</span> <span style=\"font-family:宋体\">不良反应有头晕、恶心、呕吐、便秘、心动过缓、</span>PR<span style=\"font-family:宋体\">间期延长、血压下降等；②硝苯地平</span> <span style=\"font-family:宋体\">不良反应有头痛、头晕、乏力、血压下降、心率增快等；③地尔硫卓</span> <span style=\"font-family:宋体\">不良反应有头痛、头晕、失眠等。④新制剂</span> <span style=\"font-family:宋体\">尼卡地平、尼索地平、氨氯地平、非洛地平、苄普地尔等。</span></p><p><span style=\"font-family:宋体\">钙通道阻断剂治疗变异型心绞痛的疗效最好。本类药可与硝酸酯同服，其中硝苯地平尚可与β阻断剂同服，但维拉帕米和地尔硫卓与β阻断剂合用时则有过度抑制心脏的危险。停用本类药时也宜逐渐减量然后停服，以免发生冠状动脉痉挛。</span></p><p><span style=\"font-family:宋体\">（</span>4<span style=\"font-family:宋体\">）冠状动脉扩张剂</span> <span style=\"font-family:宋体\">理论上能增加冠状动脉的血流，改善心肌血供，缓解心绞痛。但由于冠心病时冠状动脉病变情况复杂，有些血管扩张剂如双嘧达莫，可能扩张无病变或轻度病变的动脉较扩张重度病变的动脉远为显著，减少侧支循环的血流量，引起所谓“冠状动脉窃血”，增加了正常心肌的供血量，使缺血心肌的供血量反而减少，因而不再用于治疗心绞痛。目前仍用的有：①吗多明：不良反应有头痛、面部潮红、胃肠道不适等；②胺碘酮：也用于治疗快速心律失常，不良反应有胃肠道反应、药疹、角膜色素沉着、心动过缓、甲状腺功能障碍等；③乙氧黄酮；④卡波罗孟；⑤奥昔非君；⑥氨茶碱；⑦罂粟碱等。</span></p><p><span style=\"font-family:宋体\">（</span>5<span style=\"font-family:宋体\">）抗氧化</span> <span style=\"font-family:宋体\">鉴于动脉粥样硬化的核心原因是氧化应激及炎症反应。而氧化应激是以低密度脂蛋白</span>LDL<span style=\"font-family:宋体\">氧化为</span>Ox-LDL<span style=\"font-family:宋体\">后引起，</span>Ox-LDL<span style=\"font-family:宋体\">是导致动脉粥样硬化的起点，因此防止</span>LDL<span style=\"font-family:宋体\">氧化为</span>Ox-LDL<span style=\"font-family:宋体\">尤其重要，现在比较肯定的疗法是有效地抗氧化，比如说</span>ASTA<span style=\"font-family:宋体\">虾青素、花青素之类的天然抗氧化剂，已经作为美国等国家防治冠心病的首选药物，虾青素可以显著减轻炎症因子</span>CRP<span style=\"font-family:宋体\">（</span>C<span style=\"font-family:宋体\">反应蛋白），组织动脉粥样硬化的血栓形成。</span></p><p>3.<span style=\"font-family:宋体\">其他治疗</span></p><p><span style=\"font-family:宋体\">低分子右旋糖酐或羟乙基淀粉注射液，作用为改善微循环的灌流，可用于心绞痛的频繁发作。抗凝剂如肝素、溶血栓药和抗血小板药可用于治疗不稳定型心绞痛。高压氧治疗增加全身的氧供应，可使顽固的心绞痛得到改善，但疗效不易巩固。体外反搏治疗能增加冠状动脉的血供，也可考虑应用。兼有早期心力衰竭者，治疗心绞痛的同时宜用快速作用的洋地黄类制剂。</span></p><p>4.<span style=\"font-family:宋体\">外科手术治疗</span></p><p><span style=\"font-family:宋体\">主要是在体外循环下施行主动脉</span>-<span style=\"font-family:宋体\">冠状动脉旁路移植手术，取患者自身的大隐静脉作为旁路移植的材料，一端吻合在主动脉，另一端吻合在有病变的冠状动脉段的远端；或游离内乳动脉与病变冠状动脉远端吻合，引主动脉的血流以改善病变冠状动脉所供血心肌的血流供应。</span></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1643', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '62', '概述', '<p><strong><span style=\"font-size:14px;font-family:宋体\"></span></strong></p><p><span style=\"font-size: 12px;\"></span></p><p>&nbsp; &nbsp; &nbsp;<span style=\"font-size: 12px;\">上呼吸道感染简称上感，又称普通感冒。是包括鼻腔、咽或喉部急性炎症的总称。广义的上感不是一个疾病诊断，而是一组疾病，包括普通感冒、病毒性咽炎、喉炎、疱疹性咽峡炎、咽结膜热、细菌性咽-扁桃体炎。狭义的上感又称普通感冒，是最常见的急性呼吸道感染性疾病，多呈自限性，但发生率较高。成人每年发生2～4次，儿童发生率更高，每年6～8次。全年皆可发病，冬春季较多。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1644', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '62', '病因', '<p>&nbsp; &nbsp; &nbsp;<span style=\"font-size: 12px;\">上呼吸道感染有70%～80%由病毒引起。包括鼻病毒、冠状病毒、腺病毒、呼吸道合胞病毒、埃可病毒、柯萨奇病毒等。另有20%～30%的上感由细菌引起。细菌感染可直接感染或继发于病毒感染之后，以溶血性链球菌为最常见，其次为流感嗜血杆菌、肺炎球菌、葡萄球菌等，偶或为革兰阴性细菌。</span></p><p>&nbsp; &nbsp; &nbsp; 各种导致全身或呼吸道局部防御功能降低的原因，如受凉、淋雨、气候突变、过度疲劳等可使原已存在于上呼吸道的或从外界侵入的病毒或细菌迅速繁殖，从而诱发本病。老幼体弱，免疫功能低下或患有慢性呼吸道疾病的患者易感。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1645', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '62', '临床表现', '<p><br/></p><p>1. 普通感冒</p><p>&nbsp; &nbsp; &nbsp; 俗称“伤风”，又称急性鼻炎或上呼吸道卡他，多由鼻病毒引起，其次为冠状病毒、呼吸道合胞病毒、埃可病毒、柯萨奇病毒等引起。</p><p>&nbsp; &nbsp; &nbsp; 起病较急，潜伏期1～3天不等，随病毒而异，肠病毒较短，腺病毒、呼吸道合胞病毒等较长。主要表现为鼻部症状，如喷嚏、鼻塞、流清水样鼻涕，也可表现为咳嗽、咽干、咽痒或灼热感，甚至鼻后滴漏感。发病同时或数小时后可有喷嚏、鼻塞、流清水样鼻涕等症状。2～3天后鼻涕变稠，常伴咽痛、流泪、味觉减退、呼吸不畅、声嘶等。一般无发热及全身症状，或仅有低热、不适、轻度畏寒、头痛。体检可见鼻腔黏膜充血、水肿、有分泌物，咽部轻度充血。</p><p>&nbsp; &nbsp; &nbsp; 并发咽鼓管炎时可有听力减退等症状。脓性痰或严重的下呼吸道症状提示合并鼻病毒以外的病毒感染或继发细菌性感染。如无并发症，5～7天可痊愈。</p><p>2. 急性病毒性咽炎或喉炎</p><p>&nbsp; &nbsp; &nbsp; （1）急性病毒性咽炎 多由鼻病毒、腺病毒以及肠道病毒、呼吸道合胞病毒等引起。临床特征为咽部发痒或灼热感，咳嗽少见，咽痛不明显。当吞咽疼痛时，常提示有链球菌感染。腺病毒等感染时可有发热和乏力。腺病毒咽炎可伴有眼结合膜炎。体检咽部明显充血水肿，颌下淋巴结肿大且触痛。</p><p>&nbsp; &nbsp; &nbsp; （2）急性病毒性喉炎 多由鼻病毒及腺病毒等引起。临床特征为声嘶、讲话困难、咳嗽时疼痛，常有发热、咽痛或咳嗽。体检可见喉部水肿、充血，局部淋巴结轻度肿大和触痛，可闻及喉部的喘鸣音。</p><p>3. 急性疱疹性咽峡炎</p><p>&nbsp; &nbsp; &nbsp; 常由柯萨奇病毒A引起，表现为明显咽痛、发热，病程约1周，多于夏季发作，儿童多见，偶见于成年人。体检可见咽充血，软腭、悬雍垂、咽及扁桃体表面有灰白色疱疹及浅表溃疡，周围有红晕，以后形成疱疹。</p><p>4. 咽结膜热</p><p>&nbsp; &nbsp; &nbsp; 主要由腺病毒、柯萨奇病毒等引起。临床表现有发热、咽痛、畏光、流泪，体检可见咽及结合膜明显充血。病程4～6天，常发生于夏季，儿童多见，游泳者易于传播。</p><p>5.细菌性咽-扁桃体炎</p><p>&nbsp; &nbsp; &nbsp; 多由溶血性链球菌，其次为流感嗜血杆菌、肺炎球菌、葡萄球菌等引起。起病急、明显咽痛、畏寒、发热（体温可达39℃以上）。体检可见咽部明显充血，扁桃体肿大、充血，表面有黄色脓性分泌物，颌下淋巴结肿大、压痛，肺部无异常体征。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1646', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '62', '辅助检查', '<p><span style=\"font-size: 12px;\">1. 血常规</span></p><p>&nbsp; &nbsp; &nbsp; 病毒性感染时，白细胞计数多正常或偏低，淋巴细胞比例升高；细菌感染时，白细胞计数常增多，有中性粒细胞增多或核左移现象。</p><p>2. 病原学检查</p><p>&nbsp; &nbsp; &nbsp; 因病毒类型繁多，且明确类型对治疗无明显帮助，一般无需明确病原学检查。必要时可用免疫荧光法、酶联免疫吸附法、病毒分离鉴定、病毒血清学检查等确定病毒类型。细菌培养可判断细菌类型并做药物敏感试验以指导临床用药。</p><p>&nbsp; &nbsp; &nbsp; 病毒感染：可有血白细胞总数正常或降低、淋巴细胞增高；<br/></p><p>&nbsp; &nbsp; &nbsp; 细菌感染：可有白细胞总数增高、中性白细胞增高、核左移；</p><p>&nbsp; &nbsp; &nbsp; 血分泌物培养：可分离病毒、细菌；</p><p>&nbsp; &nbsp; &nbsp; 胸片：无气管以下的病变。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1647', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '62', '诊断与鉴别诊断', '<p>诊断</p><p>&nbsp; &nbsp; &nbsp; 根据病史、流行病学、鼻咽部的症状体征，结合周围血象和阴性胸部影像学检查可做出临床诊断。特殊情况下可行细菌培养或病毒分离，或病毒血清学检查等确定病原体。</p><p>鉴别诊断</p><p>1. 过敏性鼻炎</p><p>临床上很像“伤风”，不同之处包括：</p><p>（1）起病急骤、鼻腔发痒、喷嚏频繁、鼻涕呈清水样，无发热，咳嗽较少；</p><p>（2）多由过敏因素如螨虫、灰尘、动物皮毛、低温等刺激引起；</p><p>（3）如脱离过敏源，数分钟及1～2小时内症状即消失；</p><p>（4）体检可见鼻黏膜苍白、水肿；</p><p>（5）鼻分泌物涂片可见嗜酸性粒细胞增多。</p><p>2. 流行性感冒</p><p>&nbsp; &nbsp; &nbsp; 为流感病毒所致的急性呼吸道传染性疾病，传染性强，常有较大范围的流行。临床特点：</p><p>（1）起病急，全身症状重，畏寒、高热、全身酸痛、眼结膜炎症明显，部分患者有恶心、呕吐、腹泻等消化道症状。</p><p>（2）鼻咽部症状较轻。</p><p>（3）病毒为流感病毒，必要时可通过病毒分离或血清学明确诊断。</p><p>（4）早期应用抗流感病毒药物如金刚烷胺、奥司他韦疗效显著。</p><p>（5）可通过注射流感疫苗进行预防。</p><p>3. 急性传染病</p><p>&nbsp; &nbsp; &nbsp; 某些急性传染病（如麻疹、流行性出血热、流行性脑脊髓膜炎、脊髓灰质炎、伤寒、斑疹伤寒）在患病初期常有上呼吸道症状，在这些病的流行季节或流行区应密切观察，并进行必要的实验室检查，以资鉴别。</p><p>（1）麻疹 上呼吸道感染的症状为前驱期症状，约有90%的患者在发病后2～3天在上颌第二磨牙部位的颊黏膜上可见灰白色小斑点（科氏斑），上感无科氏斑。</p><p>（2）流行性出血热 主要传染源是鼠类，流行具有地区性。可有头痛、腰痛、眼眶痛（俗称三痛）症状，发热、出血及肾损害为3大主征，典型患者可有发热期、低血压休克期、少尿期、多尿期及恢复期5期。上感全身中毒症状轻，主要以鼻咽部卡他症状为主。</p><p>（3）流行性脑脊髓膜炎 部分患者初期有咽痛、鼻咽部分泌物增多症状，很快进入败血症及脑膜炎期，出现寒战、高热、头痛、皮疹。后期可有剧烈头痛病出现脑膜刺激征。主要传染源是带菌者，通过飞沫传播。</p><p>（4）脊髓灰质炎 是由脊髓灰质炎病毒引起的急性传染病，未应用疫苗的儿童易感。前驱期大多出现上感症状，部分进入瘫痪前期，出现体温上升、肢体疼痛、感觉过敏等神经系统症状，瘫痪器出现肢体不对称性、弛缓性瘫痪，多见于单侧下肢。</p><p>（5）伤寒 发热为期最早期症状，可伴有上感症状，但常有缓脉、脾大或玫瑰疹，伤寒病原学与血清学检查阳性，病程较长。</p><p>（6）斑疹伤寒 流行性斑疹伤寒多见于冬春，地方性斑疹伤寒多见于夏秋。一般起病急，脉搏较速，多有明显头痛。发病第5～6天出现皮疹，数量多且可有出血性皮疹。外斐反应阳性。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1648', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '62', '治疗', '<p><span style=\"font-size: 12px;\">1. 对症治疗</span></p><p>&nbsp; &nbsp; &nbsp; （1）休息 病情较重或年老体弱者应卧床休息，忌烟、多饮水，室内保持空气流通。</p><p>&nbsp; &nbsp; &nbsp; （2）解热镇痛 如有发热、头痛、肌肉酸痛等症状者，可选用解热镇痛药，如复方阿司匹林、对乙酰氨基酚、吲哚美辛（消炎痛）、去痛片、布洛芬等。咽痛可用各种喉片如溶菌酶片、咽喉片，或中药六神丸等口服。</p><p>&nbsp; &nbsp; &nbsp; （3）减充血剂 鼻塞、鼻黏膜充血水肿时，可使用盐酸伪麻黄碱，也可用1%麻黄碱滴鼻。</p><p>&nbsp; &nbsp; &nbsp; （4）抗组胺药 感冒时常有鼻黏膜敏感性增高，频繁打喷嚏、流鼻涕，可选用马来酸氯苯那敏或苯海拉明等抗组胺药。</p><p>&nbsp; &nbsp; &nbsp; （5）镇咳剂 对于咳嗽症状较明显者，可给予右美沙芬、喷托维林等镇咳药。</p><p>2. 病因治疗</p><p>&nbsp; &nbsp; &nbsp; （1）抗菌药物治疗 单纯病毒感染无需使用抗菌药物，有白细胞计数升高、咽部脓苔、咳黄痰等细菌感染证据时，可酌情使用青霉素、第一代头孢菌素、大环内酯类或喹诺酮类。极少需要根据病原菌选用敏感的抗菌药物。</p><p>&nbsp; &nbsp; &nbsp; （2）抗病毒药物治疗 目前尚无特效抗病毒药物，而且滥用抗病毒药物可造成感冒病毒耐药现象。因此如无发热，免疫功能正常，发病超过两天的患者一般无需应用。免疫缺陷患者可早期常规使用。广谱抗病毒药物利巴韦林和奥司他韦对呼吸道合胞病毒等有较强的抑制作用，可缩短病程。</p><p>3. 中医中药治疗</p><p>&nbsp; &nbsp; &nbsp; 具有清热解毒和抗病毒作用的中药亦可选用，有助于改善症状，缩短病程。小柴胡冲剂、板蓝根冲剂应用较为广泛。</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1678', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '57', '概述', '<p style=\"text-indent: 2em;\">心肌梗塞又称心肌梗死，是指心肌的缺血性坏死，为在冠状动脉病变的基础上，冠状动脉的血流急剧减少或中断，使相应的心肌出现严重而持久地急性缺血，最终导致心肌的缺血性坏死。发生急性心肌梗死的病人，在临床上常有持久的胸骨后剧烈疼痛、发热、白细胞计数增高、血清心肌酶升高以及心电图反映心肌急性损伤、缺血和坏死的一系列特征性演变，并可出现心律失常、休克或心力衰竭，属急性冠脉综合征的严重类型。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1679', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '57', '临床表现', '<p style=\"text-indent: 2em;\"><strong><span style=\"font-size: 12px;\">先兆</span></strong></p><p style=\"text-indent: 2em;\">50％～81．2％患者在发病前数日有乏力，胸部不适，活动时心悸、气急、烦躁、心绞痛等前驱症状，其中以新发生心绞痛(初发型心绞痛)或原有心绞痛加重(恶化型心绞痛)为最突出。心绞痛发作较以往频繁、程度较剧、持续较久、硝酸甘油疗效差、诱发因素不明显。同时心电图示sT段一时性明显抬高(变异型心绞痛)或压低，T波倒置或增高(“假性正常化”)即前述不稳定型心绞痛情况，如及时住院处理，可使部分患者避免发生MI。</p><p style=\"text-indent: 2em;\"><strong>症状</strong></p><p style=\"text-indent: 2em;\">疼痛 这是最先出现的症状，疼痛部位和性质与心绞痛相同，但常发生于安静或睡眠时，疼痛程度较重，范围较广，持续时间可长达数小时或数天，休息或含用硝酸甘油片多不能缓解，病人常烦躁不安、大汗淋漓、恐惧，有濒死之感。在我国约1/6-1/3的病人疼痛的性质及部位不典型，如位于上腹部，常被误认为胃溃疡穿孔或急性胰腺炎等急腹症;位于下颌或颈部，常被误认为骨关节病。部分病人无疼痛，多为糖尿病人或老年人，一开始即表现为休克或急性心力衰竭;少数病人在整个过程中都无疼痛或其他症状，而事后才发现得过心肌梗死。</p><p style=\"text-indent: 2em;\">全身症状 主要是发热，伴有心动过速、白细胞增高和红细胞沉降率增快等，由坏死物质吸收所引起。一般在疼痛发生后24-48小时出现，程度与梗死范围常呈正相关，体温一般在38℃上下，很少超过39℃，持续一周左右。</p><p style=\"text-indent: 2em;\">胃肠道症状 约1/3有疼痛的病人，在发病早期伴有恶心、呕吐和上腹胀痛，与迷走神经受坏死心肌刺激和心排血量降低组织灌注不足等有关;肠胀气也不少见;重症者可发生呃逆。</p><p style=\"text-indent: 2em;\">心律失常 见于75%-95%的病人，多发生于起病后1-2周内，尤其24小时内。心电图可呈现弥漫性异常。</p><p style=\"text-indent: 2em;\">低血压和休克疼痛期中，会导致血压下降，可持续数周后再上升，且常不能恢复以往的水平。如疼痛缓解而收缩压低于80mmHg，病人烦躁不安、面色苍白、皮肤湿冷、脉细而快、大汗淋漓、尿量减少、神志迟钝、甚至昏厥者则为休克的表现。</p><p style=\"text-indent: 2em;\">心力衰竭 主要是急性左心衰竭，可在起病最初数日内发生或在疼痛、休克好转阶段出现。发生率约为20%-48%，为梗死后心脏收缩力显著减弱和顺应性降低所致。病人出现呼吸困难、咳嗽、紫绀、烦躁等，严重者可发生肺水肿或进而发生右心衰竭的表现，出现颈静脉怒张、肝肿痛和水肿等。右心室心肌梗死者，一开始即可出现右心衰竭的表现。</p><p style=\"text-indent: 2em;\"><strong>体征</strong></p><p style=\"text-indent: 2em;\">心脏体征心脏浊音界可正常也可轻度至中度增大；心率多增快，少数也可减慢；心尖区第一心音减弱；可出现第四心音(心房性)奔马律，少数有第三心音(心室性)奔马律；10％～20％患者在起病第2～3天出现心包摩擦音，为反应性纤维性心包炎所致；心尖区可出现粗糙的收缩期杂音或伴收缩中晚期喀喇音，为二尖瓣乳头肌功能失调或断裂所致；可有各种心律失常。</p><p style=\"text-indent: 2em;\">血压除极早期血压可增高外，几乎所有患者都有血压降低。起病前有高血压者，血压可降至正常，且可能不再恢复到起病前的水平。</p><p style=\"text-indent: 2em;\">其他可有与心律失常、休克或心力衰竭相关的其他体征。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1680', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '57', '辅助检查', '<p style=\"text-indent: 2em;\"><strong><span style=\"font-size: 12px; text-indent: 2em;\">一、心电图</span></strong></p><p style=\"text-indent: 2em;\">心电图有进行性和特征性改变，对诊断和估计病变的部位、范围和病情演变，都有很大帮助。心电图波形变化包括三种类型：</p><p style=\"text-indent: 2em;\">坏死区的波形向坏死心肌的导联，出现深而宽的Q波。</p><p style=\"text-indent: 2em;\">损伤区的波形面向坏死区周围的导联，显示抬高的ST段。</p><p style=\"text-indent: 2em;\">缺血区的波形面向损伤区外周的导联，显示T波倒置。</p><p style=\"text-indent: 2em;\">必要时可动态观察心电图，对诊断心肌梗死有非常大的帮助，心电图还可以帮忙定位梗死部位。</p><p style=\"text-indent: 2em;\"><strong>二、放射线核素检查</strong></p><p style=\"text-indent: 2em;\">利用放射性核素及其标记化合物对疾病进行诊断和研究的一类方法。20世纪50年代以后迅速发展起来的现代医学重要诊断技术之一。可以用来判断心肌的活性。</p><p style=\"text-indent: 2em;\"><strong>三、超声心动图</strong></p><p style=\"text-indent: 2em;\">二维和M型超声心动图也有助于了解心室壁的运动和左心室功能，诊断室壁瘤和乳头肌功能失调等。</p><p style=\"text-indent: 2em;\"><strong>四、实验室检查</strong></p><p style=\"text-indent: 2em;\">白细胞计数：发病1周内白细胞可增至10,000～20,000/mm3，中性粒细胞多在75%～90%，嗜酸粒细胞减少或消失。</p><p style=\"text-indent: 2em;\">红细胞沉降率：增快，可维持1～3周。</p><p style=\"text-indent: 2em;\">血清酶：测定血清肌酸磷酸激酶（CK或CPK）发病6小时内出现，24小时达高峰，48～72小时后消失，阳性率达92.7%。谷草转氨酶（AST或GOT）发病后6～12小时升高，24～48小时达高峰，3～6天后降至正常。乳酸脱氢酶（LDH）发病后8～12小时升高，2～3天达高峰，1～2周才恢复正常。近年来还用α-羟丁酸脱氢酶（α-HBDH）、γ-谷酰基磷酸转肽酶（γ-GTP）、丙酮酸激酶（PK）等。肌酸磷酸激酶有3种同工酶，其中CK-MB来自心肌，其诊断敏感性和特异性均极高，分别达到100%和99%，它升高的幅度和持续的时间常用于判定梗死的范围和严重性。乳酸脱氢酶有5种同工酶，其中LDH1来源于心肌，在急性心肌梗死后数小时总乳酸脱氢酶尚未出现前就已出现，可持续10天，其阳性率超过95%。</p><p style=\"text-indent: 2em;\">肌红蛋白测定：尿肌红蛋白排泄和血清肌红蛋白含量测定，也有助于诊断急性心肌梗死。尿肌红蛋白在梗死后5～40小时开始排泄，持续平均可达83小时。血清肌红蛋白的升高出现时间较CK出现时间略早，在4小时左右，高峰消失较CK快，多数24小时即恢复正常。</p><p style=\"text-indent: 2em;\">其他血清学检测：肌凝蛋白轻链或重链，血清游离脂肪酸，在急性心肌梗死后均增高。血清游离脂肪酸显著增高者易发生严重室性心律失常。此外，急性心肌梗死时，由于应激反应，血糖可升高，糖耐量可暂降低，约2～3周后恢复正常。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1681', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '57', '诊断', '<p style=\"text-indent: 2em;\"><span style=\"font-size: 12px;\">根据典型的临床表现、特征性的心电图改变和实验室检查发现，诊断本病并不困难。无痛的病人，诊断较困难。凡年老病人突然发生休克、严重心律失常、心力衰竭、上腹胀痛或呕吐等表现而原因未明者，或原有高血压而血压突然降低且无原因可寻者，手术后发生休克但排除出血等原因者，都应想到心肌梗死的可能。此外年老病人有较重而持续较久的胸闷或胸痛者，即使心电图无特征性改变，也应考虑本病的可能。都宜先按急性心肌梗死处理，并在短期内反复进行心电图观察和血清心肌酶测定，以确定诊断。</span></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1682', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '57', '鉴别诊断', '<p style=\"text-indent: 2em;\">(一)心绞痛 心绞痛的疼痛性质与心肌梗死相同，但发作较频繁，每次发作历时短，一般不超过15分钟，发作前常有诱发因素，不伴有发热、白细胞增加、红细胞沉降率增快或血清心肌酶增高，心电图无变化或有ST段暂时性压低或抬高，很少发生心律失常、休克和心力衰竭，含有硝酸甘油片疗效好等，可资鉴别。</p><p style=\"text-indent: 2em;\">(二)急性心包炎 尤其是急性非特异性心包炎，可有较剧烈而持久的心前区疼痛，心电图有ST段和T波变化。但心包炎病人在疼痛的同时或以前，已有发热和血白细胞计数增高，疼痛常于深呼吸和咳嗽时加重，体检可发现心包摩擦音，病情一般不如心肌梗死严重，心电图除aVR外，各导联均有ST段弓背向下的抬高，无异常Q波出现。</p><p style=\"text-indent: 2em;\">(三)急性肺动脉栓塞 肺动脉大块栓塞常可引起胸痛、气急和休克，但有右心负荷急剧增加的表现。如右心室急剧增大、肺动脉瓣区搏动增强和该处第二心音亢进、三尖瓣区出现收缩期杂音等。发热和白细胞增多出现也较早。心电图示电轴右偏，Ⅰ导联出现S波或原有的S波加深，Ⅲ导联出现Q波和T波倒置，aVR导联出现高R波，胸导联过渡区向左移，左胸导联T波倒置等，与心肌梗死的变化不同，可资鉴别。</p><p style=\"text-indent: 2em;\">(四)急腹症急性胰腺炎、消化性溃疡穿孔、急性胆囊炎、胆石等，病人可有上腹部疼痛及休克，可能与急性心肌梗死病人疼痛波及上腹部者混淆。但仔细询问病史和体格检查，不难作出鉴别，心电图检查和血清心肌酶测定有助于明确诊断。</p><p style=\"text-indent: 2em;\"><span style=\"text-indent: 2em; font-size: 12px;\">&nbsp;(五)主动脉夹层分离以剧烈胸痛起病，颇似急性心肌梗死。但疼痛一开始即达高峰，常放射到背、肋、腹、腰和下肢，两上肢血压及脉搏可有明显差别，少数有主动脉瓣关闭不全，可有下肢暂时性瘫痪或偏瘫。X线胸片、CT，超声心动图探测到主动脉壁夹层内的液体，可资鉴别。</span></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1683', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '57', '治疗', '<p style=\"text-indent: 2em;\"><span style=\"font-size: 12px;\">急性心梗应住院治疗。</span></p><p style=\"text-indent: 2em;\">一、一般治疗</p><p style=\"text-indent: 2em;\">绝对卧床休息，进易消化饮食。保持大便通畅(可用果导)。镇静。吸氧：一般鼻导管给氧，氧流量2~4L；镇痛药物，须注意其血压下降、呼吸抑制及呕吐等副作用；监护：心电、血压及呼吸、心率、心律、尿量监护，开放静脉。</p><p style=\"text-indent: 2em;\">二、限制及缩小梗死面积</p><p style=\"text-indent: 2em;\">药物治疗 ①硝酸甘油静脉滴注，在低血压、低血容量或心动过速时慎用；②β受体阻滞剂，宜用于血压高、心率快、ST上升明显、胸痛者。禁用于心衰、低血压及缓慢型心律失常；③钙阻滞剂，目前无证据表明可缩小心梗面积。如合并严重高血压或冠脉痉挛可选用硝苯吡啶、硫氮卓酮，用时应注意有关禁忌症。</p><p style=\"text-indent: 2em;\">溶栓治疗 ①适应症：急性心梗发病6h以内(最好在4h以内者)的Q波心梗。又无禁忌症者；②禁忌症：近期活动性出血或出血倾向，严重高血压、脑血管疾病，严重肝肾疾病、高龄(年龄&gt;70岁)；③常用药物及用法：链激酶、尿激酶及组织型纤溶酶原激活剂，其主要并发症为出血，尤其是颅内出血可危及生命，应予注意。</p><p style=\"text-indent: 2em;\">急诊经皮腔内成形术(PTCA)及外科搭桥手术：适用于溶栓禁忌、溶栓失败患者，对溶栓后严重残余狭窄应择期行PTCA或外科搭桥手术；</p><p style=\"text-indent: 2em;\">三、AMI并发症的治疗</p><p style=\"text-indent: 2em;\">针对不同并发症有不同治疗方法，详见下面关于并发症页面。</p><p style=\"text-indent: 2em;\">四、恢复期的治疗</p><p style=\"text-indent: 2em;\">治疗冠心病危险因素：高脂血症者宜控制饮食，低脂、低碳水化合物、高水果、蔬菜饮食，每日脂肪摄入量限制在总热量30%以内，同时予以降血脂药物治疗，常用的几种调血脂药物：(1)多烯康、(2)诺衡、(3)降脂异丙酯、(4)烟酸，可降低甘油三酯、低密度胆固醇。治疗高血压、糖尿病，戒烟</p><p style=\"text-indent: 2em;\">继续药物治疗，消心痛、阿斯匹林、β受体阻滞剂；</p><p style=\"text-indent: 2em;\">完成下列检查：核素运动心肌显像、心血池造影、超声心动图、动态心电图、晚电位。尚有缺血心肌存在，应作冠状动脉造影，必要时进行介入性治疗如PTCA或冠状动脉搭桥术。</p><p style=\"text-indent: 2em;\">五、其他有效措施</p><p style=\"text-indent: 2em;\">应用抗氧化剂清除自由基，减轻缺血再灌注损伤。近年来科学家发现，缺血导致的损伤主要不是缺血本身造成的，而更多的是血液供应恢复时，氧自由基造成的损害，这一损伤被称为“缺血再灌注损伤”。这一发现在发达国家已经应用于临床。主要是在恢复血供的同时，应用合理剂量的抗氧化剂，如SOD制剂、谷胱甘肽制剂等。　　　</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1871', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '256', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">狂犬病（rabies）乃狂犬病病毒所致的急性传染病，人兽共患，多见于犬、狼、猫等肉食动物，人多因被病兽咬伤而感染。临床表现为特有的恐水怕风、咽肌痉挛、进行性瘫痪等。因恐水症状比较突出，故本病又名恐水症（hydrophobia）。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1872', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '256', '病原', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">狂犬病病毒（rabies virus）属于弹状病毒科（<em style=\"box-sizing: border-box;\">Rhabdoviridae family</em>）狂犬病病毒属（<em style=\"box-sizing: border-box;\">Lyssavirus genus</em>）。其一端圆凸，一端平凹，形如子弹，直径75～80nm，长130～240nm。病毒易在日光、紫外线、甲醛、升汞季胺类化合物（如苯扎溴铵）、脂溶剂、50%～70%乙醇等作用下灭活，56℃30～60分钟或100℃2分钟也能灭活病毒。病毒于-70℃或冻干后置0～4℃中可保持活力数年。被感染的组织可保存于50%甘油内送验。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">狂犬病病毒基因组为单股负链不分节段的RNA，从3′端至5′端的排列依次为N、NS、M、G及L基因，包含着病毒全部基因编码的核蛋白（N）、磷酸化蛋白（NS）、基质（M）、糖蛋白（G）和依赖RNA的RNA多聚酶（L）5个主要病毒的结构蛋白。糖蛋白可导致宿主产生中和抗体，能对抗病毒攻击。核蛋白抗体则不具中和力，但可用核蛋白来检测包涵体。目前，根据基因序列差异将狂犬病病毒分为至少7个基因型。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1873', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '256', '流行病学', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">全球每年发病人数约55 000人，95%发生在亚洲和非洲，南亚和东亚是全球狂犬病疫情最重的地区，印度和我国狂犬病报告发病数居全球前两位。印度每年死亡数超过2万，2011年我国报告发病人数为1964例。近5年来狂犬病死亡累计人数居全国前4位的省（区）分别为广西、贵州、湖南、广东。狂犬病所致死亡人数在法定传染病中居于前三位。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">动物是本病的传染源，动物通过相互间的撕咬而传播病毒，野生动物中狐狸、浣熊及貂分别占71.5%、9.5%及1.6%，牛、猫、犬分别占7.5%、5.1%和2.7%。野生动物感染狂犬病后，大多死亡，而蝙蝠、鼠类则可成为无症状携带者。犬的狂犬病则可在犬中传播。国内的主要问题是家犬也可成为无症状携带者，带毒率在8%～25%间，且我国的狂犬病主要由犬传播，所以表面“健康”的犬对人的健康危害很大。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">就传播方式而言可分为城市型和森林型。前者由未经免疫的犬、猫传播；森林型乃由狐狸（欧洲）、浣熊（美国）、獴（南非、加勒比海）、狼及蝙蝠（拉丁美洲）引起，我国浙江、江苏均有由鼬獾咬伤所致的病例报告。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">另一分型方法是分成咬伤型及非咬伤型，前者因病犬、病猫等动物的唾液中含病毒较多，病毒通过被咬伤的伤口侵入体内。非咬伤型中，人可因眼结膜被病兽唾液沾污、肛门皮肤被病犬触舔而获得感染。此外，偶可通过剥病兽皮、进食染毒肉类而发病，美洲则有因吸入蝙蝠群聚洞穴中的含病毒气溶胶而得病者。偶有因器官移植而感染。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">人对狂犬病病毒普遍易感，狩猎者、兽医及饲养动物者更易感染。农村青少年与病兽接触机会多，故发病者也多。热带和亚热带地区任何季节均有本病发生，我国东北地区则以春夏季为多见。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">未作预防注射者被病犬咬伤后的平均发病率为15%～20%，被病狼咬后为50%～60%。发病与否与下列因素有关：①咬伤部位：咬伤头面、颈部的发病率较高，咬伤手和臂的发病率次之；②创伤程度：创口深而大者发病率高，头面部深伤者的发病率可达80%左右；③局部处理情况：咬伤后迅速彻底清洗者的发病机会较少；④衣着厚薄：冬季衣着厚，受染机会少；⑤注射疫苗情况：及时、全程、足量注射狂犬疫苗者的发病率低。国内报告全程注射后的发病率为0.15%（国外为0.016%～0.48%），有报告未注完全程者的发病率为13.93%。&nbsp;发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多数动物实验证明，在潜伏期和发病期间并不出现病毒血症。狂犬病的发病过程可分为3个阶段。</p><p>（一）局部组织内繁殖期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病毒自咬伤部位侵入后，于伤口的横纹肌肌梭感受器神经纤维处聚集繁殖，然后再侵入附近的末梢神经。从局部伤口至侵入周围神经的间隔时间一般为3日以内，也有认为可达2周或更长。</p><p>（二）侵入中枢神经期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病毒沿周围神经的轴索浆向心性扩散，其速度约每小时3mm。病毒到达背根神经节后，即在其内大量繁殖，然后侵入脊髓和大脑及小脑等处的神经元。</p><p>（三）向各器官扩散期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病毒自中枢神经系统向周围神经离心性扩散，侵入唾液腺、肾上腺、肾、肺、肝、骨骼肌、心脏等处，其中唾液腺、舌部味蕾、嗅神经上皮等处的病毒含量多。由于迷走神经核、舌咽神经核和舌下神经核受损，临床上可出现恐水、呼吸困难、吞咽困难等症状。唾液分泌和出汗增多乃交感神经受刺激所致，迷走神经节、交感神经节和心脏神经节受损时可引起患者心血管功能紊乱或突然死亡。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病理变化主要为急性弥漫性脑脊髓炎，与被咬伤部位相当的背根节及脊髓段的病变尤甚，大脑的海马以及延髓、脑桥、小脑等处的损害也严重，脑膜通常无病变。脑实质可见充血、水肿及微小出血，镜下可见非特异性变性和炎症，如神经细胞空泡形成、透明变性和染色质分解、血管周围单核细胞浸润等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">以上病变均属非特异性，而在80%患者的神经细胞胞质中可发现一种特异而具诊断价值的嗜酸性包涵体，称为内基小体（negri body）。内基小体呈圆形或椭圆形，直径为3～10nm，边缘整齐，内有1～2个状似细胞核的小点，最常见于海马（ammon horn）、小脑浦肯野组织、大脑皮质、脑干、下丘脑、脊髓神经细胞、后角神经节、视网膜神经细胞层、交感神经节等处。内基小体实为病毒的集落，电镜下可见小体内含有病毒颗粒。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">唾液腺肿胀，质柔软，腺泡细胞明显变性，腺组织周围有单核细胞浸润。胰腺腺泡和上皮、胃黏膜壁细胞、肾上腺髓质细胞、肾小管上皮细胞等均可呈急性变性。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1874', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '256', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">潜伏期长短不一，多数在3个月以内，国内报告平均66.9日。4%～10%患者的潜伏期超过半年，1%超过1年，有报告6年者；潜伏期的长短与年龄（儿童较短）、伤口部位（头面部伤者的发病较早，平均39日，下肢伤者的潜伏期平均90日）、伤口深浅（深者潜伏期短）、入侵病毒的数量及毒力（毒力强者潜伏期短）等因素有关，其他如扩创不彻底、外伤、受寒、过度劳累等，均可能使疾病提前发生。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">典型病例的临床过程可分以下3期。</p><p>（一）前驱期或侵袭期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在兴奋状态出现前，大多数患者有低热、食欲缺乏、恶心、头痛（多在枕部）、倦怠、周身不适等，酷似“感冒”；继而出现恐惧不安，对声、光、风、痛等较敏感，并有喉头紧缩感。较有诊断意义的早期症状是伤口及其附近感觉异常，有麻、痒、痛及蚁走感等，此乃病毒繁殖时刺激神经元所致，见于80%的病例。本期持续2～4日。</p><p>（二）兴奋期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患者逐渐进入高度兴奋状态，其突出表现为极度恐怖、恐水、怕风、发作性咽肌痉挛、呼吸困难、排尿排便困难及多汗流涎等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">恐水是本病的特殊症状，乃咽肌痉挛所致，但不一定每例均有，也不一定在早期出现。典型患者见水、闻流水声、饮水或仅提及饮水时，均可引起严重咽喉肌痉挛。患者虽渴极而不敢饮，即使饮后也无法下咽。常伴声嘶及脱水。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">怕风也是常见症状之一，微风也能引起咽肌痉挛。其他刺激如光、声、触动等，均可导致同样发作，严重发作时，尚可出现全身疼痛性抽搐。由于常有呼吸肌痉挛，故可导致呼吸困难及发绀。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">交感神经功能亢进也常见，表现为唾液分泌增多、大汗淋漓、心率增快、血压及体温升高等。因括约肌功能障碍而出现排尿、排便困难者也相当多见。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患者的神志大多清楚，虽极度恐惧和烦躁不安，但绝少有侵人行为。随着兴奋状态的增长，部分患者可出现精神失常、谵妄、幻视幻听、冲撞嚎叫等。病程进展很快，很多患者在发作中死于呼吸衰竭或循环衰竭。本期持续1～3日。</p><p>（三）麻痹期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">痉挛停止，患者渐趋安静，但出现弛缓性瘫痪，尤以肢体软瘫最为多见。眼肌、颜面部肌肉及咀嚼肌也可受累，表现为斜视、眼球运动失调、下颌下坠、口不能闭、面部缺少表情等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患者的呼吸渐趋微弱或不规则，并可出现潮式呼吸；脉搏细数、血压下降、反射消失、瞳孔散大，可因呼吸和循环衰竭而迅速死亡。临终前患者多进入昏迷状态。本期持续6～18小时。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">狂犬病的整个病程一般不超过6日，偶见超过10日者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">除上述典型病例外，尚有以瘫痪为主要表现的“麻痹型”或“静型”，也称“哑狂犬病”（dumb rabies），约占20%。该型患者无兴奋期及恐水现象，而以高热、头痛、呕吐、咬伤处疼痛开始，继而出现肢体软弱、腹胀、共济失调、肌肉瘫痪、大小便失禁等，呈现横断性脊髓炎或上升性脊髓麻痹等症状。其病变仅局限于脊髓和延髓，而不累及脑干或更高部位的中枢神经系统。病程可长达10日，最终因呼吸肌麻痹与延髓性麻痹而死亡。吸血蝙蝠啮咬所致的狂犬病常属此型。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1875', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '256', '并发症', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可出现抗利尿激素分泌异常，尚可并发肺炎、气胸、纵隔气肿、心律不齐、心衰、动静脉栓塞、上腔静脉阻塞、上消化道出血、急性肾衰竭等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1876', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '256', '实验室检查', '<p>（一）血、尿常规及脑脊液</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">周围血白细胞总数自（12～30）×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L不等，中性粒细胞一般占80%以上。尿常规检查可发现轻度蛋白尿，偶有透明管型。脑脊液压力可稍增高，细胞数稍增多，一般不超过200×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">6</span>/L，主要为淋巴细胞，蛋白质增高，糖正常或降低。</p><p>（二）病毒分离</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1987年后建立的鼠神经瘤传代细胞（NA-C1300）对于街毒和固定毒均敏感，代替了过去沿用的以原代细胞进行培养。唾液及脑脊液常用来分离病毒，唾液的分离率较高。</p><p>（三）抗原检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">采用皮肤或脑活检行免疫荧光检查，荧光抗体法的阳性率与PCR同。而角膜印片的阳性率较低。</p><p>（四）核酸测定</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">采用PCR法测定RNA，以唾液标本检测的阳性率较高。</p><p>（五）动物接种</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">标本接种于1～2日龄乳小白鼠，3～4日后杀部分鼠后取出脑组织作免疫荧光试验以确定有无病原，该标本可同时做病理切片以检查Negri小体；部分小鼠可留观至6～8日，观察有无竖毛、惊厥、麻痹等。</p><p>（六）抗体检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">ELISA用于检测早期的IgM，病后8日，50%血清为阳性，15日时全部阳性。血清中和抗体于病后6日测得，细胞疫苗注射后，中和抗体效价可达数千，其他疫苗不超过1∶1000，而患者可达1∶10 000以上。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1877', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '256', '诊断与鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早期易误诊，儿童及咬伤史不明确者尤甚。已在发作阶段的患者，根据流行病学史、突出的临床表现，如咬伤部位感觉异常、兴奋躁动、恐水怕风、咽喉痉挛、流涎多汗、各种瘫痪等，即可作出临床诊断。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">符合以下3条之一者即可确诊：①免疫荧光试验阳性；②存活1周以上者做血清中和试验或补体结合试验检测抗体，效价上升者中若曾接种过疫苗，中和抗体效价需超过1∶5000；③死后脑组织标本分离病毒阳性或印片荧光抗体染色阳性或脑组织内检到内基小体。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病需与破伤风、病毒性脑膜脑炎、脊髓灰质炎等鉴别。破伤风的潜伏期短，有牙关紧闭及角弓反张而无恐水症状。脊髓灰质炎无恐水症状，肌痛较显著，瘫痪时其他症状大多消退。病毒性脑膜脑炎有严重神志改变及脑膜刺激征，脑脊液发现，免疫学试验及病毒分离等均有助于鉴别。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">类狂犬病性癔症患者在被动物咬伤后不定时间内出现喉紧缩感，饮水困难且兴奋，但无怕风、流涎、发热和瘫痪，经暗示、说服、对症治疗后，常可迅速恢复。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">接种狂犬病疫苗后，可出现发热、关节酸痛、肢体麻木、运动失调、各种瘫痪等，与本病瘫痪型不易鉴别，但在停止接种并采用肾上腺皮质激素后大多恢复。死亡病例需经免疫荧光试验或脑组织内基小体检查方能确诊。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1878', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '256', '预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病死率几近100%，患者一般于3～6日内均死于呼吸或循环衰竭。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1879', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '256', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.单室严格隔离，专人护理，安静卧床休息，防止一切音、光、风的刺激。大静脉插管行高营养疗法，医护人员须戴口罩及手套、穿隔离衣。患者的分泌物、排泄物及其污染物，均须严格消毒。装好床栏，防止患者在痉挛发作中受伤。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.积极做好对症处理，防治各种并发症。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）神经系统：有恐水现象者应禁食禁饮，尽量减少各种刺激。痉挛发作可予苯妥英钠、地西泮等。脑水肿可予甘露醇及呋塞米等脱水剂，无效时可予侧脑室引流。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）垂体功能障碍：抗利尿激素过多者应限制水分摄入，尿崩症者予静脉补液，用血管加压素。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（3）呼吸系统：吸气困难者予气管切开，发绀、缺氧、肺萎陷不张者应给予吸氧、人工呼吸，并发肺炎者予物理疗法及抗菌药物。气胸者，施行肺复张术。注意防止吸入性肺炎。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（4）心血管系统：心律失常多数为室上性，与低氧血症有关者应给氧，与病毒性心肌炎有关者按心肌炎处理。低血压者予血管收缩剂及扩容补液。心力衰竭者应限制水分，应用地高辛等强心剂。动脉或静脉血栓形成者，可换静脉插管；如有上腔静脉阻塞现象，应拔除静脉插管。心搏骤停者施行复苏术。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（5）其他：贫血及胃肠出血者给予输血、补液。高热者用冷褥，体温过低者予热毯，血容量过低或过高者，应及时予以调整。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1880', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '256', '预防', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鉴于本病缺乏有效的治疗手段，故应加强预防措施以控制疾病的蔓延。严格执行犬的管理，可使发病率明显降低。人一旦被咬伤，伤口处理、疫苗注射至关重要，严重咬伤者还需注射狂犬病血清，国内外均证明狂犬病血清的使用与否，会影响到预防的成败。</p><p>（一）管理传染源</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对必须饲养的猎犬、警犬、实验用犬以及日益增多的宠物犬，应加强管理，需进行登记，并做好预防接种。目前认为，亚洲及非洲的宠物和其他犬类的预防注射率较低，中国在这方面还有大量工作要做。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">发达国家的宠物犬管理较规范，已列入法制轨道，第一次预防注射应于3～6月龄，第二剂于1岁时注射，此后若干年可行加强注射。</p><p>（二）伤口处理</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早期的伤口处理极为重要。含季胺的1%～4%氯化苯甲羟胺（benzalkonium chloride）虽有杀狂犬病病毒作用，但其作用不及肥皂水，所以人被咬伤后应及时以20%肥皂水充分地清洗伤口，然后不断冲洗和擦拭。伤口较深者尚需用导管伸入，以肥皂水作持续灌注清洗以求去除狗涎。使用免疫血清应先作皮试，皮试阴性后，可注入伤口底部，此甚为重要，尤其是严重咬伤者。四周伤口不宜缝合或包扎。</p><p>（三）预防接种</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">-世界卫生组织（WHO）推荐使用的疫苗有：①人二倍体细胞疫苗（HDCV），注射后3个月的抗体效价达10IU/ml，该疫苗的免疫原性最强，但价格高昂。目前美国、加拿大，欧洲大多数国家在应用。②原代细胞培养疫苗，包括地鼠肾细胞疫苗、鸡胚细胞疫苗（PCECV）和鸭胚细胞疫苗等，国内采用地鼠肾细胞疫苗，2001年起规定用改进的精制地鼠肾细胞纯化疫苗。美国目前PCECV的应用也较广。③传代细胞系疫苗，含Vero细胞疫苗和BHK细胞疫苗。中国应用的主要品种是Vero细胞疫苗，采用法国巴斯德研究所提供的细胞系和病毒株生产的国产Vero细胞疫苗，达到2010年中国药典规定的标准，即每毫升细胞DNA残留量低于100pg。国内研究证明，Vero疫苗注射后14天，中和抗体滴度可达8.87IU/ml。</p><p>1.暴露后接种</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">暴露后是否进行预防注射，取决于暴露的级则，Ⅰ级暴露：是指接触、喂养动物，或完整无损的皮肤被动物舔触；Ⅱ级：裸露皮肤被动物轻咬或轻微擦伤、抓伤，但无出血；Ⅲ级：一处或多处皮肤被咬伤、抓伤或黏膜被唾液污染。动物舔触处的皮肤有破损。或暴露与蝙蝠相关。对于Ⅰ级暴露，无须采取预防措施，而Ⅱ级暴露者应立即接种疫苗，Ⅲ级暴露除立即接种疫苗外，还需接种狂犬病免疫球蛋白。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">国内广泛存在“健康”带毒犬，除Ⅱ级和Ⅲ级暴露者应注射疫苗外，对Ⅰ级暴露中的被舔皮肤，应仔细鉴别皮肤是否确实无破损。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Vero细胞疫苗的用法为暴露后第0、3、7、14及28日共注射5剂，每次0.5ml，有主张第90日加强一次。注射部位以上臂三角肌为宜，不满2岁儿童可注射大腿外侧。国内不少地区使用地鼠肾疫苗，于暴露后第0、7、14日注射1ml，重度伤者或头、面、颈部咬伤者，则于第0、3、7、14及28日各注射一次，剂量同上。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">狂犬病免疫球蛋白（rabies immune globulin，RIG）包括人RIG和马RIG两种，RIG可中和狂犬病病毒，应伤后立即用，我国生产的是马血清，每支10ml，含1000IU，成人剂量20ml，儿童40IU/kg，取其半量做伤口注射，另一半行肌内注射，但注射部位应远离疫苗注射点，以免影响疫苗效果。</p><p>2.暴露前预防</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">适用于兽犬医、动物管理者、从事狂犬病病毒研究人员、经常接触可能带狂犬病病毒的蝙蝠、浣熊、臭鼬、猫、狗等的人员、从事与蝙蝠相关的管理与研究者和狂犬病病房的医护人员。免疫方案为第0、7、28日各注射1剂量疫苗，一年后加强一次，以后每隔1～3年加强一次。也可依据中和抗体水平决定是否加强，若滴度≥0.51U/ml，可不加强，随访至＜0.51U/ml时再予注射。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1881', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '256', '参考文献', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.吴慧.1996-2009年中国狂犬病流行病学分析.疾病监测，2011，26（6）：427-430.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.WHO.Rabies vaccines：WHO position paper.Weekly Epidemiological Record，2010，85（32）：309-320.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.SusanE，Ruppcht cE，Frshbein D，et al.Human Rabies prevention-United States，MMWR，2008，May 23，57（RR03）：1-26.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.Zhang X，Zhu Z，Wang C.Persistence of Rabies antibody 5 Years after postexposure prophylaxis with vero cell antirabies vaccine and antibody response to a Single booster close.Clinical and vaccine immunology，2011，18（9）：1477-1479.</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '12', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1888', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '474', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">败血症（septicemia）是指病原菌侵入血流并快速繁殖后，其组分、毒素及代谢产物等所引起的全身炎症反应综合征（systemic inflammatory response syndrome，SIRS）。病原菌通常指细菌，也可为真菌、分枝杆菌等。血培养多为一种病原菌，但也可以有两种或两种以上病原菌。临床表现一般为急性起病，寒战、高热，呼吸急促，心动过速，以及皮疹、关节肿痛、肝脾大等。严重者可出现急性器官功能障碍，称之为重型败血症。病情进一步加重后可发展为感染性休克、弥散性血管内凝血（DIC）和多器官功能衰竭。败血症是一种严重的血流感染（blood stream infection，BSI），即使给予合理的抗菌药物治疗，病死率仍较高。关于败血症、菌血症、SIRS、脓毒症有关分类及诊断标准详见“感染性休克”。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1889', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '474', '病原', '<p>（一）致病菌的流行特征1.致病菌的分布</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在不同时期、不同地区以及抗菌药物应用情况不同，败血症的致病菌所占比例有很大差异。20世纪最常见致病菌为大肠埃希菌、金黄色葡萄球菌（金葡菌）、肺炎链球菌、肺炎克雷伯菌和铜绿假单胞菌，其中以革兰阴性杆菌为主，在致病菌中所占比例高达70%以上。而21世纪初临床分离细菌中，最常见的致病菌则为金葡菌、大肠埃希菌、凝固酶阴性葡萄球菌、肠球菌属、克雷伯菌属，革兰阳性菌败血症呈显著上升趋势。而近年医院血流感染监测结果显示，最常见病原菌依次为凝固酶阴性葡萄球菌、大肠埃希菌、肺炎克雷伯菌、金葡菌及鲍曼不动杆菌，革兰阳性菌和革兰阴性菌几乎各占一半。虽然各地不同时期败血症的致病菌有很大差异，但总的来说，革兰阴性菌仍以大肠埃希菌多见，革兰阳性菌则以葡萄球菌为主。此外，厌氧菌败血症也不容忽视，虽然所占比例曾一度下降，但近年来又开始增多，除了腹腔感染、外科手术、妇产科疾病等过去常见基础疾病外，又出现了一些新的特点，如老年人居多，且半数为恶性肿瘤患者，尤以血液系统和消化道恶性肿瘤多见，其次为泌尿系统肿瘤，可能与免疫抑制剂的大量使用及易涉及厌氧菌有关。病原菌仍以脆弱拟杆菌为主，但梭菌属及消化链球菌属也开始增多，而消化链球菌属对甲硝唑的敏感性在下降。更值得注意的是20世纪90年代以来，国内外医院真菌败血症呈显著增多趋势，可占到5%～12%，以白念珠菌为主，但非白念珠菌（如光滑念珠菌、近平滑念珠菌、热带念珠菌等）的构成比正在显著上升，如骨髓移植等患者非白念珠菌所占比例甚至大大超过白念珠菌，已引起高度重视。</p><p>2.致病菌的耐药性</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">随着抗菌药物的广泛应用，致病菌的耐药性也呈显著增加趋势。在20世纪70年代初，由于广谱青霉素和第1代头孢菌素的应用，临床开始出现革兰阴性杆菌产生β-内酰胺酶及其所致的耐药性问题，20世纪80年代以后，因各种头孢菌素及超广谱β-内酰胺类的广泛应用，又导致革兰阴性菌产生新的β-内酰胺酶，出现多重耐药菌株，在医院内迅速传播。以产超广谱β-内酰胺酶（ESBLs）和头孢菌素酶（AmpC酶）者最为突出，ESBLs可以破坏大多数β-内酰胺类抗生素，通常对SMZ、氨基糖苷类、氟喹诺酮类等呈交叉耐药。产ESBLs细菌以克雷伯菌属、大肠埃希菌及其他肠杆菌最为常见，我国大多数地区均有检出，经济发达地区检出率更高。产AmpC酶细菌往往表现为对所有的第3代头孢菌素、头霉素、氨曲南等耐药，克拉维酸、舒巴坦和三唑巴坦3种酶抑制剂对AmpC酶的抑制作用也很差。AmpC酶高产的细菌有肠杆菌属、枸橼酸菌属、沙雷菌属、不动杆菌属及铜绿假单胞菌等。近年来还出现一些包括对碳青霉烯类也耐药的严重耐多药革兰阴性杆菌，如铜绿假单胞菌、不动杆菌等非发酵菌；与此同时，革兰阳性球菌中葡萄球菌和肠球菌耐药性亦有变化，约半数菌株对苯唑西林耐药。尤其是近年来出现的对万古霉素中介的金葡菌（VISA）以及耐万古霉素金葡菌（VRSA），给临床医师带来极大的挑战。地区或医院不同，其耐甲氧西林金葡菌（MRSA）所占比例差异较大。如美国报告耐甲氧西林凝固酶阴性葡萄球菌（MRCNS）占凝固酶阴性葡萄球菌的73%～86%，MRSA占金葡菌的27%～31%，自20世纪70年代以来该比例呈逐年上升趋势。国内近来有报道医院感染金葡菌败血症中50%左右为MRSA，凝固酶阴性葡萄球菌中MRCNS仍占80%左右。肠球菌耐药性也呈上升趋势，尤其是出现了耐万古霉素肠球菌（VRE），以屎肠球菌为多见，给临床治疗带来了困难。肺炎链球菌、草绿色链球菌和溶血性链球菌对青霉素敏感性也呈下降趋势，三者对青霉素敏感率分别降至63.9%、79.4%和84.3%，部分草绿色链球菌对万古霉素也耐药，对大环内酯类的敏感性也在下降。真菌败血症主要是由念珠菌所致，其中白念珠菌大多对氟康唑、两性霉素B、氟胞嘧啶敏感，而非白念珠菌对氟康唑的敏感性在下降，克柔念珠菌对氟康唑天然耐药。总之，各种致病菌的耐药性均在增加，但不同时期、不同地区（包括医院、病区）的菌株耐药水平各不相同。</p><p>（二）常见致病菌特点1.致病菌的种类与原发感染病灶、入侵途径有着密切关系</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">通常由皮肤软组织、手术后伤口感染引起的败血症，以葡萄球菌属最为常见；泌尿道感染所致败血症常见病原菌为大肠埃希菌、变形杆菌属、金葡菌、肠球菌属等；若为留置导尿、尿路手术后败血症，可能致病菌为肠杆菌科细菌、铜绿假单胞菌、肠球菌属和真菌；腹腔、盆腔、肝胆系统的可能致病菌为肠杆菌科细菌和厌氧菌。严重烧伤后败血症致病菌以葡萄球菌属、铜绿假单胞菌多见，也可为肠杆菌科细菌及真菌等。应用导管及输液装置者可能有葡萄球菌属、肠杆菌属、念珠菌属。肺部感染所致败血症因感染方式不同，其致病菌也有所不同，社区获得性肺炎者致病菌为肺炎链球菌、流感嗜血杆菌、金葡菌等；医院获得性肺炎者致病菌主要为革兰阴性杆菌；而医院吸入性肺炎的致病菌还应包括厌氧菌；若为气管切开或使用机械通气患者，可能致病菌为肠杆菌科细菌、铜绿假单胞菌和金葡菌。</p><p>2.不同人群感染的致病菌也有所不同</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于成人的肺部、泌尿生殖系统及胆系感染多见，所以肠杆菌科细菌、肠球菌属及厌氧菌所致败血症较小儿多见；儿童中则以肺炎链球菌、金葡菌、大肠埃希菌败血症更为常见；新生儿免疫功能不完善，细菌入侵门户多，其病原菌以表皮葡萄球菌、金葡菌、B组溶血性链球菌、大肠埃希菌多见；女性由于尿路感染多于男性，因此大肠埃希菌败血症明显较男性为多。而糖尿病伴有菌尿患者易发生肠杆菌科细菌败血症。严重烧伤或免疫功能严重低下者还可见由两种或两种以上致病菌同时或先后感染的复数菌败血症。医院散发感染败血症的病原菌主要为凝固酶阴性葡萄球菌、金葡菌、肠杆菌属、肠球菌属、铜绿假单胞菌、念珠菌属等所致；医院局部流行菌株败血症主要为铜绿假单胞菌、克雷伯菌属、沙雷菌属、肠杆菌属、不动杆菌属、凝固酶阴性葡萄球菌、金葡菌、肠球菌、念珠菌，其耐药性也最显著，尤其是重症监护室（ICU）中获得的病原菌。免疫缺损患者特别是粒细胞缺乏患者，易发生耐药的革兰阴性杆菌、葡萄球菌属和真菌败血症。&nbsp;发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">致病菌经各种途径进入血液循环后是否能引起败血症，与致病菌的数量、毒力、人体的免疫防御功能及遗传易感多态性相关。少量病菌进入血液循环后，如人体的免疫功能正常，可迅速被吞噬细胞、中性粒细胞等吞噬而清除，一般无明显毒血症表现。当人体抵抗力因各种慢性病、免疫缺陷等而减弱，或侵入的细菌毒力强、数量多，则细菌可在血液中大量生长繁殖而产生败血症。</p><p>（一）病原菌的致病力</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">金葡菌具有多种酶和毒素，如血浆凝固酶、α溶血素和肠毒素等，有助于细菌的生长、繁殖和扩散，导致严重的败血症，其产生的肠毒素F与中毒性休克综合征有关。大肠埃希菌等革兰阴性杆菌的内毒素能刺激炎症介质的释放，损伤血管内皮细胞和心肌、启动凝血系统、激活补体，因此可导致休克、DIC等。铜绿假单胞菌分泌内、外毒素及蛋白分解酶，可造成坏死性皮肤损害及严重的脏器损伤。肺炎链球菌及肺炎克雷伯菌等具有荚膜，可对抗吞噬及体液中的杀菌物质。</p><p>（二）人体的免疫防御反应1.皮肤及黏膜的防御作用</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">完整的皮肤和黏膜是防止细菌入侵的天然屏障。由于皮肤和黏膜的血管和淋巴组织丰富，局部如有炎症，细菌易从此处进入淋巴和血液循环。挤压皮肤炎症或脓肿，可使局部防御功能破坏，细菌更易入侵。严重烧伤时皮肤创面为细菌入侵敞开门户，皮肤坏死和血浆渗出又为细菌繁殖创造了良好的环境，因此败血症的发生率较高。尿路、胆道或胃肠道黏膜的破损除易引起细菌感染外，如同时有机械性梗阻如结石嵌顿、通道狭窄等则可因内容物或排泄物积滞、内脏压力增高、管壁紧张等而使细菌易于侵入血液循环。</p><p>2.全身性免疫反应</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">各种不同的原发疾病可造成相应的免疫功能异常，不同的免疫功能缺陷有利于某些致病菌感染的发生，如：①各种黏膜分泌物中分泌型免疫球蛋白（IgA）减少，可使细菌易入侵呼吸道或肠道等而发生感染，低丙种球蛋白血症者易发生肺炎链球菌、流感嗜血杆菌、金葡菌等感染；②急性白血病及肿瘤化疗时颗粒细胞减少，吞噬细胞功能障碍，易发生革兰阴性杆菌、金葡菌及真菌感染；③多发性骨髓瘤及慢性淋巴细胞性白血病者体液免疫受损，易感染有荚膜的细菌；④霍奇金病、AIDS和器官移植者细胞免疫功能缺损，易造成细胞内生长的微生物，如单核细胞增多性李斯特菌、念珠菌、隐球菌和军团菌等的感染；⑤脾切除及镰形细胞病患者因补体功能受损，也易感染有荚膜细菌。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">各种慢性疾病，如肝硬化、糖尿病、肾病综合征等由于代谢紊乱、免疫球蛋白合成减少、粒细胞吞噬功能和单核-吞噬细胞系统功能减弱等而易招致细菌感染。肝硬化者因出现侧支循环，从肠道入侵的细菌可直接进入体循环而引起败血症。</p><p>3.医源性因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">抗肿瘤药、糖皮质激素等免疫抑制剂以及放射治疗等均可削弱细胞免疫和体液免疫功能。广谱抗菌药物可使体内菌群失调，导致耐药的条件致病菌繁殖而造成严重的二重感染。各种原因引起的粒细胞减少是导致败血症的重要原因。各种创伤性诊断和治疗手段如插管检查、内镜检查、长期留置静脉导管、透析疗法和各种手术等都可导致细菌进入血液循环。由于接受这些检查及治疗的患者病情多数较重，机体防御功能差，而医院感染的细菌又常为耐药菌。因此，医源性血流感染是当前的重要问题。</p><p>（三）败血症的病理生理</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">败血症的病理生理过程为多因素综合作用的结果，微生物及其胞壁产物包括革兰阴性菌的脂多糖（LPS）、革兰阳性细菌的肽聚糖、胞壁酸复合物及真菌的多肽等，可激活细胞因子、补体、凝血系统，激肽、内啡肽，交感神经等系统，产生各种生物活性物质并相互作用，引起一系列病理生理效应，其作用的靶器官是血管内皮细胞和微循环。当LPS等与宿主效应细胞，如中性粒细胞、单核细胞、吞噬细胞等接触数分钟至数小时，即可诱导一些细胞因子，如肿瘤坏死因子（TNF-α）、白介素1（IL-1）、干扰素（IFN）和各种集落刺激因子的产生。其中，TNF-α在革兰阴性杆菌败血症病理生理改变中起关键性作用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">TNF-α等细胞因子通过血小板活化因子（PAF）使白细胞趋化、聚集、活化、黏附血管内皮细胞、损伤血管内皮细胞、造成毛细血管壁完整性破坏及血管内液外渗导致微循环障碍。补体系统C3a及C5a的激活加重了微循环障碍。此时早期心搏出量增加，外周阻力降低，有效循环血容量减少，细胞缺氧，心、脑、肾等器官受损，出现乳酸酸中毒等。血容量减少又反射性地兴奋交感-肾上腺髓质系统，使外周阻力增加，加重了微循环障碍，使组织缺氧加重，此种情况常见于重症革兰阴性败血症及感染性休克患者。败血症可发展为重型感染性休克、DIC及多器官功能障碍的机制见“感染性休克”。</p><p>（四）病理</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病原菌的毒素可致组织和脏器细胞变性、坏死，心、肝、肾等脏器的实质细胞有混浊肿胀，灶性坏死和脂肪变性。毛细血管受损造成皮肤黏膜瘀点、皮疹和肺间质水肿。有些细菌如化脓性球菌引起的败血症，可形成肺、肝等迁徙性脓肿，并可引起骨髓炎、心内膜炎等。重型败血症可进一步发展为感染性休克、DIC、多器官衰竭，并出现相应的病理改变。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1890', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '474', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">败血症多起病急骤，发病前常有原发感染灶或引起感染的诱因，多无特异的临床表现，轻者仅具全身性感染症状，重者可造成心、肝、肾、肺等脏器损害及感染性休克、DIC发生。各种致病菌所造成的败血症，既具有相同的临床表现，彼此间又有一定的差异性。</p><p>（一）主要临床表现1.毒血症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">发热和寒战是败血症的常见症状，热型以弛张热和间歇热多见，少数呈稽留热、不规则热或双峰热，后者多见于革兰阴性杆菌败血症。部分患者体温不升甚至低于正常，以老年体弱者、慢性重症疾病及免疫力严重低下者多见，且预后不佳。一般全身感染症状严重，可伴有全身不适、肌肉酸痛，食欲缺乏、恶心、呕吐、腹胀、腹泻，头晕、头痛、神志淡漠、烦躁、谵妄或昏迷，贫血、肝脾大，严重者可出现黄疸、中毒性心肌炎、急性肾衰竭、DIC等。</p><p>2.过度换气和精神状态改变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">过度换气是败血症极其重要的早期体征，甚至可出现在发热和寒战前，由于过度换气，可导致呼吸性碱中毒。早期精神状态改变仅表现为定向障碍或性格改变，后期可出现显著的感觉迟钝，甚至昏迷。常无神经系统的定位体征，精神状态改变尤易发生于婴幼儿、老年人及原有中枢神经系统疾病者。</p><p>3.皮疹</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">部分患者可出现皮肤损害，表现多种多样，以瘀点最为多见，多分布于躯干、四肢、眼结膜、口腔黏膜等处，为数不多。葡萄球菌和链球菌败血症可有瘀点、猩红热样皮疹、脓疱疹等。铜绿假单胞菌败血症可出现“牛眼样”皮损，称为坏疽性深脓疱（ecthyma gangrenosum），从水疱发展而来，皮损呈圆形或卵圆形，直径1～5cm，边缘隆起，周围皮肤呈红斑和硬结或红晕样改变，中心为坏死性溃疡。</p><p>4.关节症状</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多见于革兰阳性球菌、脑膜炎球菌、产碱杆菌等败血症，表现为大关节红、肿、热、痛和活动受限，少数患者出现关节腔积液、积脓。</p><p>5.肝脾大</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多数患者仅出现轻度肝脾大，中毒性肝炎或肝脓肿时肝大显著，伴触痛，有压痛和叩击痛，部分患者有轻至中度黄疸。</p><p>6.迁徙性病灶</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">为细菌栓子栓塞于身体各组织器官所致。多见于病程较长的革兰阳性化脓性球菌和厌氧菌败血症，少数革兰阴性杆菌如肺炎克雷伯菌、鼠伤寒沙门菌等所致败血症也可引起迁徙性病灶或损害。较常见迁徙性病灶有皮下脓肿、肺脓肿、肝脓肿、化脓性关节炎、骨髓炎等。金葡菌、念珠菌等败血症还可发生感染性心内膜炎，伴有心脏扩大、心功能不全及血管栓塞等表现。</p><p>7.感染性休克</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">约见于1/5～1/3败血症患者，有些败血症起病时即表现为休克或快速（数小时内）发展为休克，但多数先有血流动力学改变（如血压不稳），数小时后才出现休克。表现为烦躁不安，面色苍白，口唇发绀，皮肤花斑，四肢厥冷，脉搏细速，尿量减少及血压下降。</p><p>（二）常见败血症的临床特点1.金葡菌败血症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">较常见（20%～30%），约半数以上为医院感染。原发病灶常为疖、痈、皲裂等皮肤及伤口感染或留置导管，而从呼吸道入侵者多数为机体防御功能低下的医院感染。常在原发病灶出现后一周内发生，急性起病，寒战高热，皮疹多见，形态多样，可有瘀点、荨麻疹、猩红热样皮疹及脓疱疹等。关节症状比较明显，主要为大关节，有疼痛，局部有时伴红肿。迁徙性损害是金葡菌败血症的特点，常见多发性肺部浸润，甚至脓肿形成，其次有肝脓肿、骨髓炎、关节炎、皮下脓肿等。有文献结合尸检报告，金葡菌败血症并发心内膜炎者可高达8%，多累及主动脉瓣。由于急性心内膜炎可侵犯正常心脏瓣膜，病理性杂音的出现不及亚急性者为多。因此，如患者发热不退，有进行性贫血、反复出现皮肤瘀点、有内脏血管栓塞、血培养持续阳性等，应考虑心内膜炎的存在，需进一步做超声心动图等检查以明确诊断。对于那些小的赘生物，或发生在右侧的心脏瓣膜赘生物，经食管心脏超声更易发现。感染性休克较少见。</p><p>2.凝固酶阴性葡萄球菌败血症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">约占10%～15%，其中70%以上为医院感染，尤其多发生于大医院，常见于体内异物留置者，如静脉导管，人工关节、人工瓣膜、起搏器等。血浆凝固酶阴性的葡萄球菌正常存在于人体皮肤、黏膜表面，同时可黏附于人工假体装置及导管表面并繁殖，且分泌一种黏质覆盖在表面，黏附性强且具有抵抗吞噬细胞及抗菌药物的作用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于凝固酶阴性葡萄球菌为正常皮肤表面的细菌，血培养阳性常难以鉴别是污染还是感染所致。如患者有人工假体装置或免疫缺陷者，应多考虑感染；如假体装置局部疼痛、有压痛、导管进入皮肤处有红肿，人工关节功能障碍、人工瓣膜者有新出现的心脏杂音或多发性血栓形成，都是感染的有力证据。</p><p>3.肠球菌败血症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在医院感染的败血症中可占10%左右，其中约77%为医院感染。泌尿生殖道、消化道及血管导管是其常见的入侵途径，易发生于消化道肿瘤及腹腔感染的患者。由于好发于免疫力低下患者，且对多种抗菌药物耐药，病情多危重。</p><p>4.革兰阴性杆菌败血症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">约占40%，好发于医院感染。以胆道、呼吸道、泌尿道、肠道和大面积烧伤感染时多见。一般以突起寒战开始，发热以间歇热或弛张热多见，部分患者可有体温不升、双峰热、相对缓脉等，40%左右的患者可发生休克，约1/3患者于病程早期（1～5日）出现，持续时间长，有低蛋白血症者更易发生。严重者出现多器官功能障碍，伴有心律失常、心力衰竭、ARDS、急性肾衰竭、DIC等，病情危重。肺炎克雷伯菌败血症还可出现迁徙性病灶。铜绿假单胞菌败血症以继发于严重免疫力低下及大面积烧伤者更为多见，临床表现较一般革兰阴性杆菌败血症凶险，可有较特征性中心坏死性皮疹。休克、DIC、黄疸等的发生率均较高。而关节痛、皮疹及迁徙性损害较革兰阳性菌败血症少见，多无转移性脓肿。</p><p>5.厌氧菌败血症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">约占7%～10%，常因厌氧培养不普及而漏诊。易与需氧菌掺杂一起，引起复数菌败血症。患者多为新生儿及严重免疫低下患者，主要为腹腔感染，其次为女性生殖道、压疮及呼吸道感染。临床表现与需氧菌败血症基本相似，可有高热毒血症症状重，部分患者出现黄疸（10%～40%）和贫血，其脓性分泌物呈腐败性臭味，含有气体，并可有假膜形成。临床上也易发生感染性休克与DIC，易引起血栓性静脉炎，所产生的肝素酶可使肝素降解而促凝，有利于脓毒性血栓形成，脱落后可致迁徙性病灶。可引起较严重的溶血性贫血、心内膜炎等。</p><p>6.真菌性败血症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">好发于医院感染和免疫力低下人群，主要是念珠菌。诱因为长期应用广谱抗菌药物、糖皮质激素、免疫抑制剂、留置导管、腹部外科手术以及侵袭性检查等。病初进展常缓慢，临床表现无特异，早期全身毒血症症状较轻，常被原发病及伴发细菌感染表现所掩盖。当真菌播散时，全身各脏器、组织可有多发性小脓肿，病情常会迅速恶化，出现神志淡漠、嗜睡和感染性休克。检眼镜检查视网膜和脉络膜上常有小的、白色发亮的圆形隆起。除血培养外，痰、尿、咽拭子等培养常可获同一真菌。</p><p>7.其他</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">单核细胞增多性李斯特菌引起的败血症常见于新生儿、老年人、孕妇和免疫功能缺陷者。健康带菌者可通过粪-口传播。孕妇受染后可通过胎盘或产道传播给胎儿或新生儿，前者引起流产，后者导致新生儿严重的全身播散性感染。近年来发现婴幼儿鼠伤寒沙门菌败血症的病死率高达40%，以腹泻为早期症状，以后有多脏器损害，出现感染性休克、DIC、呼吸衰竭、脑水肿等临床表现。</p><p>（三）特殊类型的败血症1.新生儿败血症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">指出生后第一个月内的感染。葡萄球菌、大肠埃希菌、B组溶血性链球菌等为常见病原。由母亲产道感染、吸入受感染的羊水、通过脐带或皮肤等感染而入侵。</p><p>2.老年人败血症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">好发于医院内感染，以革兰阴性杆菌常见，肺部感染后发生败血症的机会较青年人多，从压疮入侵者也不少。起病急骤，发热为主要表现，热型多样，可为稽留热、弛张热或不规则热，易出现神志改变，如谵妄、表情淡漠等；一旦出现少尿、低血压等休克表现或DIC征兆，往往提示预后欠佳。若发生心内膜炎，预后更差。</p><p>3.烧伤后败血症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常于烧伤后36小时组织液由外渗开始回收时细菌随之而入。国内有学者对1800余例烧伤患者进行了调查，败血症发生率为2.5%，多发生于急性感染期（23.4%），创面修复期（42.5%）和残余创面期（24.1%）。耐药的金葡菌和铜绿假单胞菌是主要病原菌，且常发生混合感染。临床表现较一般败血症为重，可出现过高热、休克、中毒性心肌炎、中毒性肝炎等，部分患者体温不升，病死率较高。</p><p>4.医院感染败血症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">不同时期、大小不同的医院，其医院感染败血症所占比例可有较大的差异。在1组843例败血症的文献报告中，医院感染败血症占败血症总数的47.9%，其中绝大多数有严重的基础疾病，部分为医源性感染，如免疫抑制剂的应用、气管切开、导尿、静脉内留置导管、透析疗法和各种手术等。常见的病原菌为凝固酶阴性葡萄球菌、金葡菌、铜绿假单胞菌、不动杆菌等。由于患者的基础健康情况差，免疫功能低下，感染往往危重，且耐药情况严重，治疗效果差。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">其中粒细胞缺乏者发生败血症较多，多数为血液系统肿瘤化疗或骨髓移植引起粒细胞缺乏者，感染入侵途径有肺炎、齿龈炎、皮肤软组织炎、肛周炎等，致病菌以不动杆菌属、铜绿假单胞菌、葡萄球菌及真菌多见。由于机体免疫明显低下，感染后病情进展迅速，病死率高。因此，持续粒细胞缺乏伴发热的患者需及时行血培养检查，并积极给予经验性抗菌药物治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">输液引起的败血症常与所输液体被污染或留置导管感染有关。液体内细菌以肺炎克雷伯菌及聚团肠杆菌生长最快，24小时内细菌数可达10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">5</span>/ml（＞10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">6</span>/ml时液体可变混浊）。静脉高营养液中含有丰富的葡萄糖，真菌易于生长。全血则因存在抗体且保存于低温，细菌不易生长，若发生污染则多为耐药细菌，如大肠埃希菌或铜绿假单胞菌，病情极为严重。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">导管相关性血流感染（catheter related blood stream infection，CRBSI）是指有留置血管内导管的患者临床出现脓毒症的表现，同时外周静脉血培养和导管尖端培养出相同的细菌或真菌；或者从导管内采集静脉血培养和外周静脉血培养出相同的细菌或真菌，且导管内采集静脉血标本定量培养的菌落计数是外周静脉血培养菌落计数的5倍以上，或导管内静脉血培养出现阳性结果早于外周静脉血培养2小时以上，则可诊断为CRBSI。病原菌以凝固酶阴性葡萄球菌为最多，鲍曼不动杆菌、铜绿假单胞菌以及念珠菌的分离率近年来有所增加。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1891', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '474', '辅助检查', '<p>（一）一般检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">外周血常规检查通常可见白细胞总数明显升高，一般为（10～30）×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L。中性粒细胞百分比增高，可出现核左移及细胞内中毒性颗粒。嗜酸性粒细胞减少或消失。机体反应较差者和少数革兰阴性杆菌败血症的白细胞总数可不升高，甚至降低，但中性粒细胞分类多数增高，此类患者预后往往较差。少数败血症患者可有血小板减少及凝血机制异常，此时应警惕DIC的发生。重型患者可出现脏器功能障碍，其检查指标可参见“感染性休克”。</p><p>（二）病原学检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血培养是确诊败血症的主要依据，目前血培养方法已由手工、半自动发展到全自动血培养监测系统，不仅减少标本污染机会，还提高检测阳性率和缩短检测时间。目前国内已有多种全自动连续监测血液培养系统，如BacT/Alert 3D、VersaTREK、Mini Vital及BACTEC 9000系列等。常用培养瓶种类有标准需氧培养瓶、标准厌氧培养瓶、树脂或活性炭需氧培养瓶、树脂厌氧培养瓶、树脂儿童培养瓶及真菌培养瓶等。由于患者血液中病原菌浓度水平很低，为获得较高的阳性率，宜在抗菌药物应用前及寒战、高热时，于10分钟内从不同部位采集血液标本2次，每次20～30ml分送需氧菌和厌氧菌培养，必要时还可送真菌培养，4～6小时后可再采集1次血标本。厌氧血培养不仅可培养专性厌氧菌，还能培养出兼性厌氧菌，而部分兼性厌氧菌在需氧培养瓶中生长不佳。此外，如果患者使用过抗菌药物，要用含树脂或活性炭的中和抗生素培养瓶采样。儿童、婴幼儿采血量最大不超过总血容量的1%。对于导管相关性败血症，若为外周导管，应在无菌状态下拔除导管，并剪下5cm导管头端进行半定量培养。若使用中心静脉导管或静脉留置管，可经导管和外周静脉同时采血做细菌定量培养。骨髓培养有较高的阳性率。脓液、胸腔积液、腹水等均应做涂片和培养，均有参考价值。分离到细菌后应做药敏试验，体外细菌药敏试验与临床疗效的符合率一般为80%。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">值得注意的是，阳性血培养的意义一定要结合临床来判断。国外学者曾对1585份阳性血培养的临床意义进行了前瞻性分析，发现其中791（42.9%）份为污染或导管定植，109份（5.9%）的临床意义难以辨别，通常认为污染可能性大的细菌有类白喉棒状杆菌、微球菌、丙酸杆菌属等，凝固酶阴性葡萄球菌也易造成污染，如果多次血培养中仅1次阳性的污染可能大（阳性预测值仅5%～20%），如果2次或2次以上血培养阳性，提示感染的可能性大（阳性预测值达98%）。穿刺部位严格的消毒措施仍是防止污染的关键；另一方面，血培养阴性也不能完全除外败血症，尤其是采血前已用过抗菌药物者。多次血培养可增加阳性检出率，如果1次血培养，阳性率仅为65.1%，连续2次血培养的阳性率可增加至80.4%，3次血培养的阳性检出率可高达95.7%。当普通血培养阴性又疑似败血症时需采用特殊培养基，以培养出某些特殊病原，如L型细菌、军团菌、分枝杆菌、巴通体及真菌等。</p><p>（三）其他检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年来发现一些感染早期诊断相关的生物标志物，如血清降钙素原（procalcitonin，PCT）和中性粒细胞CD64的测定对全身严重感染和败血症的早期判断有一定临床参考价值，血清（1→3）-β-D葡聚糖检测有利于念珠菌败血症的诊断。另实时PCR技术以及应用气相色谱测致病菌代谢产物方法，均有助于败血症的快速诊断。病程中如出现迁徙性病灶或心、肝、肾等损害及休克等，超声波、核素、X线、心电图等相应检查也有助于诊断。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1892', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '474', '（一）诊断依据', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">凡急性发热患者，白细胞总数及中性粒细胞明显升高，而无局限于某一系统的急性感染；或有胆道、尿路等原发感染灶，但不能用以解释患者全身严重毒血症症状时，应考虑败血症的可能。凡新近有皮肤感染、外伤，尤其是有挤压疮疖史者；或有尿路、胆道、呼吸道等感染病灶；或各种局灶感染虽经有效抗菌药物治疗，而体温仍未能控制者，均应高度怀疑有败血症的可能。若病程中出现皮疹、肝脾大、迁徙性脓肿或感染性休克等时，则败血症的临床诊断基本成立。血或骨髓培养阳性为败血症确诊的重要依据。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1893', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '474', '鉴别诊断', '<p>1.成人Still病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">青少年多见。属变态反应性疾病，以发热、皮疹、关节痛和白细胞增多四大表现为特点，临床表现酷似败血症。但与败血症不同之处有：①体温虽高，热程虽长，可长达数周至数月，但无明显毒血症症状，且可自行缓解；②皮疹虽短暂，但可反复多次出现；③血象中白细胞总数及中性粒细胞虽增多，但嗜酸性粒细胞一般不减少，也不消失；④发热时血沉增快，黏蛋白增高；⑤反复血培养阴性，抗菌药物治疗无效；⑥糖皮质激素及吲哚美辛（消炎痛）等非甾体类抗炎药物治疗有效。但该病没有特异性诊断手段，须除外其他疾病后尚可考虑。</p><p>2.恶性淋巴瘤</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多见于青壮年，起病急，有不规则发热伴畏寒，常进行性消瘦、贫血及衰竭，肝脾进行性肿大，出血倾向较明显。外周血三系明显减少，血培养阴性，血液和骨髓涂片及淋巴结活检有助于诊断。</p><p>3.其他</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">尚需与风湿热、伤寒、粟粒性肺结核、部分病毒感染、淋巴瘤、系统性红斑狼疮、皮肌炎、疟疾、血小板减少性紫癜等鉴别。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1894', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '474', '预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病死率达30%～40%。影响预后的因素主要有：①老年人和儿童病死率高；②医院感染败血症的病死率较高；③真菌败血症和复数菌败血症的病死率较高；④有严重并发症患者的病死率较高，如发生感染性休克者病死率为30%～50%，并发肾衰者病死率高达61.5%，发生迁徙感染者病死率也较高；⑤有严重基础疾病患者，如恶性肿瘤、肝硬化、糖尿病、AIDS等均增加了预后的严重性；⑥在药敏报告之前及时选用正确的抗菌药物可显著降低病死率。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1895', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '474', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">败血症是全身性感染，病情发展迅速，损害遍及各组织和脏器，因此，除积极控制感染和治疗原发疾病之外，尚须针对其并发症如感染性休克、DIC、肾功能不全、ARDS等而采取相应的综合治疗措施。</p><p>（一）一般治疗和对症治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">卧床休息，给予高热量和易消化的饮食；高热时以物理降温为主，补充适量维生素，维持水、电解质和酸碱平衡，纠正低蛋白血症，必要时给予输新鲜全血、血浆和白蛋白等支持治疗。加强护理，尤其是口腔的护理，以免发生真菌性口腔炎。同时，还应注意继发性肺炎和压疮等防治。</p><p>（二）抗菌药物的治疗1.抗菌药物应用的原则及方法</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">败血症诊断一旦成立，在未获得病原学结果之前，应尽快给予经验性抗菌药物治疗，以后再根据病原菌种类和药敏试验结果调整给药方案。败血症的抗菌药物治疗可根据病情选用单药或两种有协同作用的抗菌药物联合应用，为了保证适当的血浆和组织的药物浓度，原则上应选用杀菌剂，静脉给药，剂量要足，疗程要长，一般在体温恢复正常、临床症状消失后，再继续用药7～10日，真菌性败血症则继续用药至少14日。如有迁徙性病灶或脓肿，则除穿刺、切开引流外，疗程须适当延长。</p><p>2.抗菌药物的选择（1）经验性治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于败血症病情危急，而病原菌常无法在短期内检出。因此，在败血症临床诊断初步确定，留取血或其他标本送培养后，应根据患者的基础疾病、原发感染灶、致病菌入侵途径和临床特征，并结合当地致病菌的流行和耐药情况，尽早给予经验性抗菌药物治疗。而一旦病原菌明确，应根据药敏结果再适当调整用药。通常给予抗菌谱较广的一种或两种药物联合治疗，可选择一种合适的广谱青霉素或第二～四代头孢菌素，或与β-内酰胺酶抑制剂的复合剂如哌拉西林/三唑巴坦、替卡西林/克拉维酸或头孢哌酮/舒巴坦等，也可以再联合应用氨基糖苷类或氟喹诺酮类抗菌药物。若为严重免疫功能低下患者的医院感染，尤其是考虑到铜绿假单胞菌或肠球菌感染可能时，更应联合用药。对于持续粒细胞缺乏伴发热患者，疑有金葡菌感染时，还应加用万古霉素或去甲万古霉素治疗，治疗4～7天无效者，尚需考虑真菌败血症可能，而选用卡泊芬净、米卡芬净、伊曲康唑注射液、伏立康唑或两性霉素B脂质体等抗真菌药物经验性治疗。</p><p>（2）葡萄球菌败血症：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">葡萄球菌败血症的治疗应采取个体化方案，应根据药敏结果、患者基础情况以及有无迁徙性病灶、药物过敏史等，而选用合适药物治疗。一般对于甲氧西林敏感株，应首选半合成青霉素如苯唑西林或氯唑西林；若对青霉素过敏，可选用万古霉素或第1代头孢菌素中的头孢唑林；若有严重青霉素类过敏史者，可选用万古霉素（或去甲万古霉素）、替考拉宁、夫西地酸钠、克林霉素、磷霉素等药物治疗。对于耐甲氧西林金葡菌（MRSA）及耐甲氧西林表皮葡萄球菌（MRSE）败血症首选万古霉素（或去甲万古霉素），当抗菌治疗效果不佳时，应监测血药浓度，并根据血药浓度调整剂量；必要时可联合用药；同时需明确有无感染性心内膜炎和（或）其他部位迁徙性病灶，如果有迁徙性病灶宜延长治疗4周以上，或考虑外科手术治疗（心脏瓣膜置换术、脓肿引流术等）。如果持续血培养阳性，且万古霉素MIC＞2μg/ml，提示万古霉素的抗菌活性降低，应换用其他抗菌药物治疗或联合用药。目前一些新药如 唑烷酮类的利奈唑胺（linezolid）、脂肽类的达托霉素（daptomycin），以及链阳菌素类新药奎奴普丁-达福普汀（quinupristin/dalfopristin）有较好的疗效，如达托霉素可作为治疗MRSA败血症的选用药物，也适用于万古霉素治疗失败、糖肽类不能耐受，或肾功能不全患者。国内临床已有利奈唑胺供应。</p><p>（3）其他革兰阳性球菌败血症：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">以链球菌和肠球菌多见。A组溶血性链球菌通常对青霉素敏感，B组链球菌的敏感性略差，因此，治疗A组链球菌败血症时可单用青霉素G或阿莫西林，亦可选用第一代头孢菌素、红霉素或克林霉素等，而治疗后者宜加用氨基糖苷类。对青霉素敏感的肺炎链球菌首选青霉素G或阿莫西林，耐青霉素肺炎链球菌首选第三、四代头孢菌素、新喹诺酮类药物或万古霉素单用，或联合利福平治疗。肠球菌常对多种抗生素耐药，治疗时需联合用药，对青霉素敏感菌株，首选氨苄西林或青霉素与氨基糖苷类的联合；对青霉素耐药菌株可选择万古霉素（去甲万古霉素）或替考拉宁联合氨基糖苷类，但应警惕肾毒性的发生。对万古霉素耐药菌株，可试用大剂量氨苄西林治疗。对于难治性或多重耐药的革兰阳性球菌败血症还可选用新药利奈唑胺、达托霉素、奎奴普丁-达福普汀等治疗。</p><p>（4）革兰阴性菌败血症：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">应参照体外药敏试验结果选择合适抗菌药物。临床常选用青霉素类（哌拉西林、替卡西林、美洛西林）、第三代头孢菌素（头孢曲松、头孢噻肟、头孢哌酮、头孢他啶等）、第四代头孢菌素（头孢吡肟）、氨曲南、碳青霉烯类（亚胺培南、美罗培南、帕尼培南）或β-内酰胺类抗生素/酶抑制剂复合制剂（氨苄西林/舒巴坦、头孢哌酮/舒巴坦、哌拉西林/三唑巴坦），可联合应用氨基糖苷类或氟喹诺酮类抗菌药物。但铜绿假单胞菌、不动杆菌等非发酵菌多为医院感染，对哌拉西林及羧苄西林大多耐药，对多黏菌素很敏感，不少对头孢哌酮/舒巴坦等β-内酰胺酶抑制剂复合制剂、环丙沙星、阿米卡星等敏感。ESBLs革兰阴性杆菌，可选用碳青霉烯类（如亚胺培南、美罗培南、帕尼培南），部分患者还可根据药敏选用头霉素类（如头孢美唑、头孢西丁）治疗。而β-内酰胺类抗生素/酶抑制剂复合制剂对产ESBLs细菌的抗菌活性因药物种类不同有一定差异，在我国较早应用的氨苄西林/舒巴坦、阿莫西林/克拉维酸、替卡西林/克拉维酸等，细菌的耐药率较高，而近年开始应用的哌拉西林/三唑巴坦、头孢哌酮/舒巴坦等体外活性尚好，因此，在选择β-内酰胺类抗生素/酶抑制剂复合制剂时，也应参照体外药敏试验结果。产AmpC酶革兰阴性杆菌对β-内酰胺类抗生素中只有第四代头孢菌素与碳青霉烯类敏感，对氨基糖苷类、喹诺酮类的敏感率可在70%左右，而现有β-内酰胺类抗生素/酶抑制剂复合制剂、头霉素对产AmpC酶细菌感染无效。</p><p>（5）厌氧菌败血症：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">首先要清除病灶或行脓肿引流以改变厌氧环境。抗菌药物可选用甲硝唑、替硝唑、氯霉素、克林霉素、头孢西丁或亚胺培南。由于多为需氧菌或兼性厌氧菌的混合感染，因此，需同时对需氧菌进行有效的抗菌治疗。</p><p>（6）真菌败血症：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">白念珠菌败血症可选用两性霉素B及其脂质制剂、氟康唑、伊曲康唑注射液、伏立康唑、卡泊芬净、米卡芬净、氟胞嘧啶等药物治疗，仍以两性霉素B抗菌作用最强，但因其毒性大，常限制其使用，氟胞嘧啶不宜单独使用。非白念珠菌则应根据药敏选用两性霉素B脂质制剂、卡泊芬净、米卡芬净等药物治疗，严重者可联合用药。</p><p>（7）其他：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">单核细胞增多性李斯特菌对青霉素高度敏感，常选用青霉素或氨苄西林与庆大霉素联合。鼠伤寒沙门菌易耐药，宜根据药敏结果选择用药，一般对第二、三代头孢菌素、氟喹诺酮类药物高度敏感。</p><p>（三）治疗局部感染病灶及原发病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">及早处理原发感染灶。化脓性病灶无论为原发性或迁徙性，应尽可能地给予切开引流，清除伤口内坏死组织和异物。胆道或泌尿道感染具有梗阻者应给予手术治疗。如果患者的免疫抑制状态是由于药物或疾病所致，则需停用或减量使用免疫抑制剂或有效治疗这些基础疾病（如白血病等）。如考虑败血症由静脉留置导管而致，目前主张对于外周静脉导管和短期使用的中心静脉导管，则应及早拔除或更换。对于长期留置导管而病情严重或有并发症者，也应拔除导管。多数导管相关性败血症患者经拔除导管，并应用合适抗菌药物治疗后，24小时内体温会降至正常。对于长期留置或永久留置导管者，也可考虑抗菌素封管治疗，即采用高浓度的敏感抗菌药物封闭在导管内，但其有效性和安全性还有待于进一步观察。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1896', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '474', '预防', '<p>（一）控制传染源</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于医院高危患者MRSA、MRSE及其他多重耐药病原菌行常规监测，以期早期发现和及时隔离携带者，由此可显著减少交叉感染及败血症的发生。对于医护人员慢性带菌者，也应暂时调离病房并给予积极治疗。避免滥用抗菌药物和免疫抑制剂，减少耐药菌株的产生及二重感染的发生。抗菌药物应用期间严密观察口腔、消化道、呼吸道、尿道等处有无真菌感染，如有发生，需及时处理。对于化脓性感染及已感染的伤口应积极治疗；疖、痈等皮肤感染切忌针挑或挤压，加强压疮的防治。</p><p>（二）切断传播途径</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">医护人员必须严格执行消毒隔离制度及无菌操作规程，勤洗手，防止致病菌及条件致病菌在医院内的交叉感染。严格规范各种侵袭性操作，包括严格掌握各种导管应用的指征，对留置血管导管应常规局部消毒、保持无菌防护和定期更换等。应尽量缩短患者住院时间，住院时间越长，发生医院感染败血症的危险性越大。</p><p>（三）保护易感人群</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对糖尿病、慢性肝病、艾滋病等易继发感染的原发疾病应积极治疗。及时处理局部损伤，以免发生感染。加强围生期保健工作，产前应进行阴道分泌物检查，如培养发现B组溶血性链球菌应及时治疗，以免新生儿受染。对新生儿室、烧伤病房及血液恶性肿瘤接受化疗者或骨髓移植者宜采取防护性隔离，防止耐药金黄色葡萄球菌及铜绿假单胞菌等医院感染的发生。加强营养支持，提高机体免疫力。</p><p>（四）病原菌及其耐药性监测</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">建立和完善医院感染监控系统，通报各地区或单位细菌、真菌感染及其耐药情况，限制及轮替使用敏感的抗菌药物，减少耐药菌株的发生。建立全国性细菌、真菌耐药监测网，及时掌握细菌耐药性变迁动态，制定与指导临床合理使用抗菌药物，及追踪和控制多重耐药菌株的流行。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('1897', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '474', '参考文献', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.马序竹，吕媛，薛峰.2010年度卫生部全国细菌耐药监测报告：血流感染细菌耐药监测.中华医院感染学杂志，2011，21（24）：5147-5151.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.魏泽庆，沈萍，陈云波等.Mohnarin 2010年报告：血流感染细菌构成及耐药性分析.中华医院感染杂志，2012，22（3）：465-470.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.Wisplinghoff H，Bischoff T，Tallent SM，et al.Nosocomial bloodstream infections in US hospitals：analysis of 24179cases from a prospective nationwide surveillance study.Clin Infect Dis，2004，39（7）：309-317.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.Mermel LA，Allon M，Bouza E，et al.Clinical practice guidelines for the diagnosis and management of intravascular catheter-related infection：2009update by the Infectious Diseases Society of A-merica.Clin Infect Dis，2009，49（1）：1-45.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.Riedel S，Carroll KC.Blood cultures：key elements for best practices and future directions.J Infect Chemother，2010，16（5）：301-316.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">6.Liu C，Bayer A，Cosgrove SE，et al.Clinical practice guideline by the Infectious Diseases Society of America for the treatment of methicillin-resistant Staphylococcus aureus infections in adults and children.Clin Infect Dis，2011，52（3）：e18-55.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">7.Arendrup MC，Sulim S，Holm A，et al.Diagnostic issue，clinical characteristics，and outcomes for patients with fungemia.J Clin Microbiol，2011，49（9）：3300-3308.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">8.van Hal SJ，Jensen SO，Vaska VL，et al.Predictors of mortality in staphylococcus aureus bacteremia.Clin Microbiol Rev，2012，25（2）：362-386.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">9.Deen J，von Seidlein L，Andersen F，et al.Communityacquired bloodstream infections in developing countries in south and southeast Asia：a systematic review.Lancet Infect Dis，2012，12（6）：480-487.</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2062', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '869', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胆囊癌的症状隐蔽且不典型，不易为患者所关注，因此待诊断明确时，其病情已多属中、晚期，根治机会不多，故应加强本病的早期诊治。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2063', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '869', '发病率', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胆囊癌少见，多在剖腹手术时意外发现，缺少大宗病例的发病率统计。据我国20世纪90年代末统计，胆囊癌约占尸检病例的0.2%～1.0%，或占胆道手术病例的0.8%～3.3%。我国广大地区的胆囊癌的发病率明显低于胆管癌，尤在胆管疾病多发地区，如胆管炎者。胆囊癌以女性多见，男女比率为1∶2～5。好发于60岁以上患者。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2064', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '869', '病因', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胆囊癌的病因尚不清楚。据流行病学调查资料统计，与胆囊癌发病相关的危险因素有年龄、性别、种族、饮食、激素、细菌感染、胆囊结石等。在日本，人们注意到“油腻食物爱好者”可增加胆囊癌的危险性。Kowalewski报道，给仓鼠口服亚硝基胺可诱发胆囊癌，同时在胆囊内植入人工胆固醇晶体结石，胆囊癌的发病率高出10倍以上。较多的学者报道，消化道内存在的或胆囊感染中的厌氧菌——梭状芽孢杆菌，能使胆酸脱氧而转化为去氧胆酸和石胆酸，两者与致癌物质多环芳香烃的结构相似。Moosa等提出，胆囊结石合并感染时，细菌作用于胆汁，可产生胆蒽和甲基胆蒽，为强烈的致癌物质，能诱发胆囊癌。Fortner将甲基胆蒽注入狗的胆囊内，结果引发胆囊癌。由此可见，某些化学性物质的致癌作用不容忽视。胆囊慢性炎症使黏膜上皮发生反复损伤-再生修复-上皮异形化-癌变的过程，这是胆囊癌发生的又一种推理。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胆囊结石与胆囊癌的关系则更引起人们关注。胆囊癌合并胆囊结石的发生率为25%～95%，多数在50%～70%之间，而胆囊结石病例中有1%～6.3%合并胆囊癌。其机制可能为结石长期刺激胆囊黏膜导致慢性炎症和癌变，也可能导致胆囊排空障碍和胆汁淤滞，加上细菌感染等因素，使胆酸转化成有致癌作用的物质。胆囊腺瘤、腺肌瘤、胰胆管连接异常、瓷性胆囊均易伴发胆囊癌，已取得人们共识。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2065', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '869', '病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要为腺癌，鳞癌、鳞腺癌少见。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早期胆囊癌为黏膜息肉样病变，直径绝大多数超过10mm，以单发为主，多位于胆囊颈部。中期胆囊癌向胆囊壁内浸润性生长，胆囊壁局部增厚，质地僵硬。切面见肿瘤处黏膜已破坏；壁内有灰白色实质性脆性组织病灶。有时癌肿沿囊壁环状浸润生长，使胆囊腔呈葫芦样。有时癌肿呈蕈状向腔内生长，或呈乳头状，像菜花样充满胆囊腔。晚期胆囊癌则穿破胆囊浆膜面，向周围肝实质浸润性生长，或累及肝、胆总管致梗阻性黄疸，或浸润十二指肠、结肠肝曲、腹壁。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在组织学上大多数胆囊癌属腺癌，5%～20%为未分化或分化不良型癌。按癌细胞分化程度的差异，可分为高、中、低分化腺癌。根据肿瘤病理学形态结构的特点可分为硬化型癌、乳头状癌、胶样癌和鳞癌。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">许多研究表明，肿瘤预后除与癌细胞的分化程度和形态结构有关外，瘤细胞的生物学行为和肿瘤进展情况均显著地影响患者的预后。根据肿瘤侵犯深度和有无转移，Nevin于1976年将胆囊癌分为五期：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅰ期：肿瘤仅侵犯黏膜层的原位癌。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅱ期：肿瘤侵犯到黏膜下和肌层。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅲ期：肿瘤侵犯至胆囊壁全层，但尚无淋巴结转移。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅳ期：胆囊壁全层受累及，合并胆囊管周围淋巴结转移。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅴ期：肿瘤侵犯至肝或其他脏器伴胆总管周围淋巴结或远处转移。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据癌细胞的分化程度分为三级：Ⅰ级为分化良好，Ⅱ级为中度分化，Ⅲ级为分化不良。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胆囊癌的恶性程度较高，具有生长快和转移早的特点。胆囊癌淋巴转移发生极早，肿瘤位于黏膜层时约60%即可发生转移，其发生率随肿瘤侵犯深度增加而上升，其总发生率为25%～85%。胆囊淋巴回流一般不上行至肝门部，累及肝门部者均属晚期肿瘤。肝脏转移亦是最常见的方式，发生率为65%～90%。原发病灶经胆囊床直接侵犯肝实质，或肿瘤细胞经胆囊深静脉回流至肝方叶，表现为近原发病灶处肝内局部肿瘤形成，伴或不伴卫星结节。癌肿亦可沿胆囊颈管下行至胆总管，在颈部和胆总管内壁种植，造成梗阻性黄疸。有时癌肿阻塞了胆囊管后可继发感染，产生急性胆囊炎，很难与急性结石性胆囊炎相鉴别。此外，癌肿尚可经神经、腹膜或向更远处转移。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2066', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '869', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早期胆囊癌缺乏临床症状，往往在B超检查后发现胆囊隆起性病变才引起医师和患者的注意。出现临床症状时主要有中上腹及右上腹隐痛、胀痛、不适、恶心、呕吐、嗳气、乏力、食欲缺乏等，一旦出现右上腹包块、黄疸、腹水、消瘦等症状，提示已属晚期。国内邹声泉等对430例胆囊癌调查分析表明，临床症状表现为上腹痛者占87%，恶心、呕吐者占31%，黄疸者占31%，消瘦者占28%，右上腹包块者占22%，低热者占19%。因半数以上的胆囊癌伴有胆囊结石，结石性胆囊炎的症状有时掩盖了胆囊癌的表现，甚至发生急性胆囊炎，切除的胆囊经病理切片检查才发现为胆囊癌。当胆囊管阻塞或癌肿累及肝脏或邻近器官时，有时可在右上腹扪及坚硬肿块。如癌肿侵犯十二指肠，可出现幽门梗阻症状。当癌肿直接累及肝外胆管或发生胆管转移时，可出现梗阻性黄疸。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2067', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '869', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对胆囊癌的早期诊断首推超声检查，B型超声扫描检出胆囊的最小病变直径为2mm，能对胆囊内隆起性病变的大小、部位、数目、内部结构及其与胆囊壁的关系清楚显示。凡病变大于10mm，形态不规则，基底宽，内部回声不均，呈单发性或合并有结石，有自觉症状者应高度怀疑早期胆囊癌。彩超能检测到胆囊癌块及胆囊壁的彩色血流，并测及动脉频谱，可与最多见的胆固醇性息肉相鉴别。内镜超声则经胃或十二指肠壁观察胆囊壁情况，图像更为清晰。超声扫描还可引导细针穿刺进行细胞学检查。中晚期胆囊癌B超检查时则更容易被发现。胆囊癌的声像图可分为5型，即小结节型、蕈伞型、厚壁型、实块型和混合型。超声扫描还是随访病变大小变化最简易的手段。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">CT扫描是胆囊癌重要的诊断手段。厚壁型胆囊癌常呈局限性、不对称、不规则增厚，增强时扫描均匀程度不如慢性胆囊炎。结节型胆囊癌可见突入胆囊腔内的结节，多发或单发。结节的基底部与胆囊壁呈钝角，结节局部的胆肝界面的囊壁增厚，增强扫描时结节影明显强化或不均匀强化。肿块型胆囊癌整个胆囊腔闭塞，平扫时肿瘤组织密度为30～50Hu，与附近组织比较呈低密度，增强后肿瘤强化。合并胆囊结石尚可显示肿瘤内的结石影。CT扫描还能显示胆囊癌浸润肝实质的深度、范围，肝内转移病灶、肝内胆管是否扩张以及肝十二指肠韧带周围淋巴结有无肿大等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">口服胆囊造影对早期胆囊癌的发现率低，对中晚期胆囊癌则胆囊常不能显示。如能显示罗-阿窦，则可提示为腺肌瘤。对中晚期胆囊癌，经内镜逆行胰胆管造影（ERCP）可确定肝外胆管是否受累及。选择性肝动脉造影对早期胆囊癌诊断并不敏感，因为一旦发现肿瘤血管已多属晚期。血清CA19-9值的显著增高，也可作为一项辅助诊断指标。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">术中探查是诊断胆囊癌的重要手段。因为不少胆囊癌病例缺乏特异性症状，术前未作出确诊，多因胆囊结石或胆囊息肉作胆囊切除时才发现为胆囊癌。因此，手术医师应常规检查每一个胆囊切除标本，先观察胆囊的大体轮廓有无异常；然后按摸胆囊壁有无局限性增厚区、有无硬结或肿块；最后剖开胆囊壁，观察黏膜是否光滑，有无隆起样病变，疑为肿瘤时取病灶组织作冰冻切片或快速石蜡切片检查，根据结果作相应的处理。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2068', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '869', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前胆囊癌的预后仍很差，5年生存率为7.1%～40.2%，60%以上的患者可死于1年之内。早期诊断和综合治疗有所进步可望改善预后。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2069', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '869', '预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前胆囊癌的预后仍很差，5年生存率为7.1%～40.2%，60%以上的患者可死于1年之内。早期诊断和综合治疗有所进步可望改善预后。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2156', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1651', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝脏血源丰富，其他癌肿可转移至肝脏。上海医科大学病理解剖资料，继发性肝癌（secondary liver cancer）为原发性肝癌的1.2倍，而西方国家多在20倍以上。其中以继发于胃癌的最多，其次为结直肠癌、肺癌、乳腺癌、胰腺癌等癌肿，原发癌在消化系统的最为多见，占35%～50%。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2157', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1651', '病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝脏的转移癌结节大小不一呈弥漫型多发结节，质地较硬呈灰白色。四周边缘隆起，中央可凹陷呈“脐凹”。癌结节多包膜完整、边界清晰。继发性肝癌很少伴有肝硬化。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2158', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1651', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">继发性肝癌可出现肝痛、消化道不适症状。少部分患者可伴有原发癌的症状，如结肠癌肝转移可伴有腹泻、黑便等，胰腺癌肝转移伴有腹痛等。由于影像学检查的普及，不少患者在体检时发现有多发性肝占位性病变而得以诊断。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多数继发性肝癌有原发癌的病史，如胃癌、结肠癌、肺癌、乳腺癌、胰腺癌等。首次发现的继发性肝癌可通过影像学检查和内窥镜检查多可发现原发癌，但也有部分继发性肝癌因原发病灶隐匿不能发现。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2159', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1651', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有肝外原发肿瘤的病史结合继发性肝癌的影像学表现多可作出诊断。肿瘤标志物如癌胚抗原（CEA）可升高，部分来自于胃肠道的继发性肝癌也可伴有甲胎蛋白（AFP）的升高。超声导引下肝肿瘤组织活检可明确转移癌的类型，有助于诊断。对于高度怀疑继发性肝癌，但原发灶不明确的患者，可应用PET全身扫描检查，常可发现原发性癌灶。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2160', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1651', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">原发灶已根治性切除患者，如发现肝脏内复发，如果肝脏病灶可获彻底性切除，仍应该首选手术切除，对于不适合手术切除的小转移灶，如病灶直径在3cm以下，肿瘤结节数不超过3个，也可采用射频毁损治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝动脉化疗栓塞适合于转移性肝癌之血供丰富者，如结肠癌肝转移，也可获得较好的效果。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2185', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1535', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">甲状腺结节又称 (结节性甲状腺肿，nodular goiter)是单纯性甲状腺肿的一个自然病程阶段。由于多种原因甲状腺素分泌不足，通过神经-体液调节机制，垂体前叶分泌过多的促甲状腺素，造成代偿性的甲状腺增生，即为单纯性甲状腺肿。这种肿大一般不伴有甲状腺功能的异常。在病程初期，扩张的滤泡较均匀地分布在腺体各部，表现为弥漫性甲状腺肿；而在后期，若未经及时治疗，病变继续发展，扩张的滤泡集成多个大小不等的结节，则表现为甲状腺结节。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用耳鼻咽喉头颈外科学</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2186', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1535', '病因', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">大致可分为三个方面：</p><p>1.甲状腺素原料碘的缺乏</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是引起单纯性甲状腺的主要因素，我国高原、山区省份 (如云贵地区)，土壤中碘盐被冲刷流失，造成饮水、食物中含碘不足，这些地区患此病较多，又称“甲状腺地方性肿”。</p><p>2.人体对甲状腺素需求量的增高</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">处于青春发育期、妊娠期和绝经期的妇女，有时可发生轻度的甲状腺弥漫性肿大，此为一种生理现象，在成年或妊娠后可自行缩小。</p><p>3.甲状腺素合成和分泌障碍</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">长期摄入某些物质，包括食用植物 (如白菜、萝卜)、某些药物和微量元素，可抑制甲状腺素合成，引起甲状腺代偿性肿大。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用耳鼻咽喉头颈外科学</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2187', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1535', '病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">甲状腺腺体内扩张、融合、肿大的滤泡集成多个大小不等的结节，周围有纤维组织增生、包绕，形成多发性结节。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用耳鼻咽喉头颈外科学</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2188', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1535', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.全身症状　多数无全身症状，基础代谢率正常，亦有少数患者可继发甲状腺功能亢进。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.甲状腺肿大和结节　甲状腺可有不同程度的肿大，能随吞咽上下移动。在肿大腺体的一侧或双侧，可扪及多个或单个结节，结节大小不等，质地不均匀，一般增长很慢，但囊肿样变的结节，如并发囊内出血，结节可在短期内较快增大并有局部疼痛。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.压迫症状　肿大的甲状腺可压迫邻近器官而引起压迫症状。常见的为气管受压、移位，因狭窄、气管软化而出现呼吸困难。肿大的甲状腺压迫食管可出现吞咽困难；压迫喉返神经可出现声嘶；压迫颈深部大静脉，引起头颈部静脉回流受阻，可出现面部肿胀、青紫和胸部表浅静脉扩张；压迫交感神经节，可出现Horner综合征。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.少数多发性结节性甲状腺肿患者可能发生恶变。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用耳鼻咽喉头颈外科学</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2189', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1535', '诊断要点', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.多结节的甲状腺肿。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.甲状腺功能多正常。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.甲状腺摄碘率可增高，但无高峰前移。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.放射性核素扫描显示放射性分布不均匀。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.甲状腺B超显示结节为实质性或囊性。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">6.结节穿刺活检有助于区分良恶性，其中采用细针抽吸细胞学检查 (fine-needle aspiration cytology，FNAC)约80%可获可靠的诊断。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用耳鼻咽喉头颈外科学</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2190', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1535', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">据报道甲状腺结节肿癌变发生率在8%～17%，故有学者认为甲状腺结节均需施行手术治疗，以防恶变。手术适应证有：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.压迫气管、食管、喉返神经等引起压迫症状者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.甲状腺胸骨后肿。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.巨大甲状腺肿影响生活和工作者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.甲状腺结节继发功能亢进者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.甲状腺结节疑有恶变者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">手术可行甲状腺大部切除术，原则是切除全部结节，残留甲状腺组织越多越好。若残留组织过少，术后甲状腺激素合成将进一步减少，根据垂体-甲状腺反馈调节学说，TSH分泌增多，而极易引起甲状腺肿复发。术后为防止复发和甲状腺功能减退，可服用甲状腺素制剂。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用耳鼻咽喉头颈外科学</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2221', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '218', '概述', '<p style=\"margin: 0 0 10px;text-indent: 0;padding: 0;line-height: 25px\"><span style=\"letter-spacing: 0;font-size: 12px\"><span style=\"font-family:微软雅黑\">甲状腺功能亢进症</span>(hyperthyroidism，简称甲亢)是由于甲状腺激素产生或分泌过多所致，常伴有甲状腺肿大、眼球外突及基础代谢率(basal metabolic rate，BMR)增高等表现。致甲亢的原因很多，儿童时期甲亢主要指弥漫性甲状腺肿型甲亢，即Graves病，又称Bsedow病。</span></p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2222', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '218', '病因及分类', '<p>1.弥漫性甲状腺肿性甲亢(Graves)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　Graves病为一自身免疫性疾病，是儿童自身免疫性甲状腺疾病中最常见的，大约占95%。虽然国内外学者对Graves病的发病机制进行大量研究，但至今尚未完全阐明。大多集中在体液免疫方面的研究。最近研究的促甲状腺激素受体抗体(TRAb)(thyrotropin receptor antibody，TRAb)对Graves病发病起到重要作用。TSH受体(TSH receptor)为自体抗原并诱发产生自身抗体，TRAb是一组多克隆抗体，分兴奋型(TSAb)和阻断型(TBII)两种抗体，在Graves病主要以兴奋型抗体占优势，与TSH受体结合后刺激甲状腺滤泡细胞增生并产生大量的甲状腺激素，引起体内分解代谢增强及交感神经的兴奋等表现。在细胞免疫方面表现为抑制性T细胞克隆的异常，其功能明显降低引起免疫调节障碍，解除了对辅助性T细胞、致敏效应细胞的抑制，以致后者袭击甲状腺组织细胞，辅助性T细胞协助B细胞转化为浆细胞，产生大量甲状腺刺激性抗体而致病。成人未治疗的 Graves病TRAb可高达83%～100%，儿童为93%，随着治疗的好转，TRAb阳性率逐渐降低。如果TRAb长期保持阴性时，可减少甲亢的复发。复发的患者TRAb再度升高。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">甲亢与遗传有密切关系，临床实践中发现患甲亢的患者，家族中有患甲状腺疾病者或患有其他自身免疫性病的患者，最多见自身免疫性淋巴细胞性甲状腺炎和甲减。Hassan报告过四对孪生子患甲亢，单卵双生同时发病的几率为60%。组织相容抗原(HLA)与甲亢发病有密切关系，白种人Graves病HLA-DR<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>出现的频率比HLA-B8高7倍;我国香港地区中国人男患者HLA-B46、DRB9、DQB1-030303出现频率明显增高，遗传研究表明Graves病可能为多基因疾病。34%基因与环境因素等有关，如精神刺激、情绪波动、思想负担过重等，以及青春发育和感染等均与诱发本病有关。</p><p>2.结节性毒性甲状腺肿</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">又称Plummer病，其病因同Graves病。甲状腺呈结节状增生，某些可发展为腺瘤。有人认为结节可有“自主”性功能进展，使病情从无毒相(功能正常)逐渐向有毒相(功能亢进)转换所致。</p><p>3.亚急性甲状腺炎(subacute thyroiditis)引致甲亢</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于甲状腺组织被炎症破坏，储存在甲状腺内的甲状腺激素被释放至血中，出现暂时性甲亢。</p><p>4.慢性淋巴细胞性甲状腺炎(桥本病)引致甲亢</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">亦系甲状腺自身免疫性疾病。当甲状腺组织受损，滤泡破裂而释放出甲状腺激素时，可出现甲亢症状，但是甲状腺病理上有弥漫性淋巴细胞浸润，腺上皮萎缩及纤维增生，最后出现甲状腺功能低下(甲减)表现，所以这种甲亢也是暂时性的，或称假性甲亢。</p><p>5.医源性甲亢</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　有些甲减患儿的家长误认为多服药可以加速病情好转，因此服用过多甲状腺片，以致使患儿出现消瘦、心悸、出汗等甲亢表现。服用碳酸锂亦可引致甲亢，其机制与碘化物所致甲亢者相似:因甲状腺内碘库扩大，产生脱逸现象，结果引起甲亢。</p><p>6.碘甲亢</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　又称Jod-Basedow病。投入过多的碘剂所致，一般发生在预防碘缺乏而普遍增加碘摄入量或服用含碘药物治疗之后，在防治碘缺乏性疾病同时，增加甲亢的发病率，碘甲亢，一般在摄碘后6个月发生，高为13个月。美国报告经治疗的Graves患者，近年的缓解率下降，分析与高碘饮食有关。术后甲亢复发率在富碘区比缺碘区高5倍。临床表现与Graves病相似，很少有突眼，血清中无甲状腺自身抗体存在，甲状腺吸<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">131</span>&nbsp;I率低。大多数患者停用碘制剂后，病情渐好转，重者可短期使用抗甲状腺药物，剂量要小。</p><p>7.甲状腺肿瘤引致甲亢</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　肿瘤组织本身或其转移灶，均可有摄取碘及分泌甲状腺激素的功能而引致甲亢。</p><p>8.新生儿甲亢</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　非常罕见，发生率仅2%左右。临床发病严重，其病死率可达到12%～20%，心脏衰竭是常见的致死原因。病因主要为甲亢孕妇血中存在可通过胎盘传给胎儿的促甲状腺受体刺激抗体(TRSAb)，服用通过胎盘的药物(PTU)或母体同时存在促甲状腺受体抑制抗体(TRBAb)，母体高水平的TRSAb预示导致新生儿甲亢。如果新生儿从母体已获得抗甲状腺药物，其发病可延迟3～4天，如果TRBAb也存在，甲亢症状可延迟几周出现。很少是由于TSH受体突变引起。由于TSH受体突变使该受体细胞外TSH结合区具有抗原性而发病。一般多为暂时性，2～12周自发缓解，少数可迁延数年之久，主要取决于TRSAb的水平。轻者无症状不必治疗，重者表现极度烦躁不安、易激惹、易饥饿，皮肤潮红，呼吸及心率加快，突眼，甲状腺肿大，有时可出现黄疸、肝脏肿大。需要治疗。</p><p>9.TSH增高型甲亢</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　又称TSH毒症。血T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>、T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>及TSH均增高，可以有以下原因:</p><p>(1)垂体肿瘤:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">分泌TSH增多，或有异位肿瘤分泌TSH样物质，如肺癌、葡萄胎等。</p><p>(2)选择性垂体无反应症:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">属于甲状腺不应症的一种，有遗传性。血T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>升高，血T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>亦高但是垂体不出现负反馈反应，血TSH仍增高，而体内其他组织对血T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>及T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>仍有反应引致甲亢。</p><p>(3)家族性甲亢:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">垂体前叶有缺陷。分泌TSH细胞内缺乏5&#39;脱碘酶，T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>转化T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>减少，T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>核受体不能充分饱和，对TSH分泌减少的负反馈作用减弱，故TSH分泌仍多，血T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>、T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>仍增高，引起甲亢。又称垂体TSH分泌不当综合征。用T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>治疗，甲亢可减轻。</p><p>10.甲亢合并其他疾病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可与其他内分泌疾病或自身免疫性疾病共存，如多内分泌腺体自身免疫综合征，可合并特发性艾迪生病、甲状旁腺功能低下、糖尿病、恶性贫血、重症肌无力、红斑性狼疮、类风湿关节炎等。还可见于Down综合征及多发性骨纤维性结构发育不良。</p><p>11.T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>毒症甲亢</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　仅有血T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>增高，而血T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>正常。目前认为T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>毒症、T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>毒症均不是独立疾病，而是甲亢某些阶段可表现单纯血T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>高或血T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>高，或是治疗后在恢复过程中出现上述结果。另外总T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>或总T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>高不一定是甲亢，应查游离T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>(FT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>)及游离T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>(FT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>)，若有增高才能诊断甲亢。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.下册</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2223', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '218', '病理变化', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">甲状腺腺体呈对称性肿大，腺滤泡细胞增多，由立方形变为柱状，血管明显增多，淋巴组织也增多，除甲状腺本身的变化外，胸腺、淋巴结、脾脏、垂体及心脏亦常增大。肝脏常有脂肪变性，骨骼肌有脂肪浸润、横纹消失及肌纤维退化。伴眼球突出者有球后组织水肿及脂肪增加，淋巴细胞浸润，退行性变及纤维组织增生。有少数病例腺内有结节(包括腺瘤)，周围组织常萎缩，称结节性毒性甲状腺肿甲亢。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.下册</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2224', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '218', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">小儿患甲亢约占甲亢总病例5%，以学龄儿童及青少年多见。也可在生后6～12个月发病。女孩发病高于男孩，女比男为5∶1。从发病到确诊平均3～6个月，最早出现的症状为情绪不稳定，常以记忆力差，学习成绩下降为首发症状，但常不被家长重视，往往双眼突出或甲状腺肿大方来就诊。</p><p>1.基础代谢率增高</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　交感神经兴奋性增加、基础代谢率增加，一般身高略高于同龄儿，食欲增加，易饥饿，多汗、怕热、低热;情绪不稳定，易兴奋激动、脾气急躁、好动、失眠、多语等。大便次数增多，多为稠便;心悸、心率增快、心尖部可闻收缩期杂音，脉压差大，可有高血压，心脏扩大及心律紊乱等。心力衰竭或心房颤动在小儿少见。手及舌出现细微且快速震颤等神经精神症状。肌肉乏力，但周期性麻痹少见。骨质疏松可伴有骨痛等。可有月经紊乱、闭经及月经过少。</p><p>2.甲状腺肿大</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　甲状腺呈中轻度肿大，可随气管上下移动。腺体光滑、柔软、有些患者可扪及震颤，可听到血管杂音。结节性肿大者可扪及大小不一、质硬、单个或多个结节。</p><p>3.Graves眼病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　一般为轻中度，眼突度17～20mm(正常为14mm)，突眼可为一侧或两侧，亦可无突眼(占30%～50%)、睑裂增宽、不常瞬目，常作凝视状，上眼睑挛缩，眼向下看时上眼睑不能随眼球立即下落，上眼睑外翻困难，闭眼时睑缘颤动，辐辏力弱，眼向上看时，前额皮肤不能皱起，可有眼肌麻痹等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.下册</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2225', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '218', '实验室检查', '<p>1.血清甲状腺激素水平</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　TT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>升高，FT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>也增高。血TT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>、FT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>升高而TT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>、FT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>正常时对甲亢早期诊断更有意义，反映甲状腺功能已经不正常。同时应考虑有T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>型甲亢的可能。</p><p>2.促甲状腺激素(TSH)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　甲亢时TSH降低，一般试剂盒，只测得＜4～5mU/L(4～5μU/ml)的TSH值，而用超敏感 TSH测定法确诊甲亢，可测到0.02mU/L(0.02μU/ml)。对临床症状轻的或亚临床型甲亢诊断更有意义。</p><p>3.TRH兴奋试验</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　静脉注射促甲状腺激素释放激素(TRH)(按7μg/kg)，注射前、及注射后15、 30、90、120分钟各测血TSH，正常30分钟TSH升高5～40μU/L，甲亢时过多T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>抑制TSH分泌，TSH不增高或低于正常，此试验已取代甲状腺抑制试验。</p><p>4.甲状腺抗体测定</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　测定抗甲状腺球蛋白抗体(TGAb)及抗甲状腺过氧化物酶抗体(TPOAb)以便明确是否为桥本病引致甲亢，Graves病可轻度升高。测定TRAb以观察治疗效果及有无复发的可能。</p><p>5.基础代谢率(BMR)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　正常值±15，5岁以上儿童测定较有意义，应多做几次，如由负值低限至正值高限亦有诊断价值。BMR(%)=脉搏/分+脉压差-111(Gale法)。</p><p>6.吸<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">131</span>&nbsp;I试验</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2～4小时＞30%，或24小时＞50%考虑甲亢，目前已少用。</p><p>7.甲状腺扫描</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　了解甲状腺大小、结节性质以除外肿瘤、囊肿等。</p><p>8.甲状腺“B”超</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　作用同上，尤对囊肿诊断似更优于扫描。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.下册</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2226', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '218', '诊断及鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">甲亢典型病例根据症状和体征即可诊断，早期及不典型病例尤其突眼及甲状腺肿大不够明显时，需配合实验室检查方可确诊，应与下列病区别:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"box-sizing: border-box; font-weight: 700;\">1.单纯性甲状腺肿</span>　多发生在青春期，心率正常，大便次数正常，血FT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>、FT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>、T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>、T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>正常。必要时可做灵效TSH检查或TRH兴奋试验。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"box-sizing: border-box; font-weight: 700;\">2.慢性淋巴细胞性甲状腺炎</span>　少数可表现为一过性甲亢，血中可测得很高的TGAb及TPOAb，多数甲状腺功能减低或正常。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"box-sizing: border-box; font-weight: 700;\">3.甲状腺肿甲减</span>　为甲状腺合成过程中酶缺陷所致，有遗传家族史，临床有甲减表现，如食欲减退、便秘、呆滞、发育迟缓、甲状腺肿大，血T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>减低，TSH增高等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"box-sizing: border-box; font-weight: 700;\">4.甲状腺囊肿、肿瘤</span>　局部可扪及肿块，扫描及超声波检查可协助明确肿物性质。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"box-sizing: border-box; font-weight: 700;\">5.心悸、心动过速</span>　应与心肌炎或其他心脏病相鉴别。注意甲状腺是否肿大。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">6.低热待查者应除外甲亢。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">7.肌病应与重症肌无力、周期性麻痹相鉴别。前者皮下注射新斯的明0.02～0.04mg/(kg·次)，看肌力恢复与否;后者有低血钾及相应心电图改变，两者T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>均正常。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"box-sizing: border-box; font-weight: 700;\">8.其他原因造成的突眼</span>　如先天性头面不对称、眼局部感染、眼部肿瘤(绿色瘤、黄色瘤、神经母细胞瘤等)、球后出血等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.下册</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2227', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '218', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">儿童甲亢的治疗与成人基本相同，有三种方法:口服抗甲状腺药、手术切除及放射131碘治疗。小儿首选药物治疗，总疗程2～3年。若治疗过程正处于青春期，有些患者总疗程可能延续到4～5年。疗法的选择应根据患儿年龄、性别、病程、甲亢类型、甲状腺大小、药物反应，有无桥本病、家长能否坚持治疗，以及外科做甲状腺次全切除的经验等而决定。</p><p>1.抗甲状腺药物</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　硫脲类如甲基硫氧嘧啶(methylthiouracil)、丙基硫氧嘧啶(propylthiouracil);异吡唑类如他巴唑(tapazole)作用机制均系抑制碘的有机化及偶联，使甲状腺激素合成减少。儿科多用他巴唑，剂量0.5～1.0mg/(kg·d)，因在血半衰期较长(6～8小时)，故可每日1次或2次口服。丙基硫氧嘧啶剂量为他巴唑的10倍，其血半衰期短(0.5小时)，每日3次口服为宜。用药1～3个月后病情基本被控制，心率降到80～90次/分，血T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>、T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>亦降到正常，可减量1/3～1/2，继续服用，如仍稳定，逐步减至维持量，一般2.5～10mg/d。随访时除了保持甲状腺功能正常外，最好能测血TRAb，转阴后再停药，一般用药2～3年为宜。青春期可适当延长用药时间。可加服β-肾上腺能受体阻滞剂——普萘洛尔，剂量5～10mg/(kg·d)，每日3次口服，它还能抑制T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>在周围组织转变为T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>，对减轻病情有效。也可加服乙种维生素类和(或)利血平。</p><p>2.甲状腺激素的使用</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　治疗过程中由于治疗过度，血清甲状腺素水平低于正常，负反馈使TSH增高，出现甲状腺肿大更明显，或出现甲减。此时应加服<em style=\"box-sizing: border-box;\">L</em>-甲状腺素片12.5～50μg/d，并酌情减少他巴唑用量。</p><p>3.药物副作用</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　很少，大约10%～20%，常见的有皮疹、关节痛、颗粒白细胞减少、药物热等。较严重的副作用大约为 2%～5%，如关节炎、肝炎(0.2%～1%)、颈淋巴结肿等均罕见。白细胞＜4× 10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">-9</span>/L(＜4000/mm<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">3</span>)者或粒细胞低于 1.5×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">-9</span>/L (1500/mm<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">3</span>)时停药观察。其次轻度皮疹者加服抗过敏药或更换其他抗甲状腺药物得到控制。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">甲亢治疗的过程中，定期监测血T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>、T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>和TSH，治疗初期应每个月查一次及白细胞，3个月后可改为2～3个月复查一次。甲亢在治疗过程中或停药后因感染、劳累、精神紧张等原因易复发。</p><p>4.<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">131</span>&nbsp;I(RAI)治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　近来许多学者推荐此法，认为简单、有效、经济且无致癌危险。治疗后甲状腺可缩小35%～54%，一些儿科专家认为至少满10岁才考虑此疗法。一般在采用放射碘治疗前口服抗甲状腺药物1～2周，也可以在开始即采用RAI治疗。放射I的剂量按甲状腺组织的重量，300μCi/g，或总剂量为15mCi。也可按公式，放射性活性(MBq)=［23.4×甲状腺重量(g)×120(Gy)］/［估计吸收率(0h%)×有效半衰期(d)］。RAI治疗最常见的并发症是甲减，包括一过性和永久性。一过性甲减是指Graves病在未使用抗甲状腺药物或碘治疗情况下用RAI治疗5个月，血清T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>低于正常，随访14个月恢复正常，一过性甲减年发生率占甲减总人数58%左右。永久性甲低是指RAI治疗一年内发生甲减有明显临床症状，经甲状腺激素治疗4个月后甲状腺功能仍未恢复正常，永久性甲减多发生在RAI治疗后第一年，发生率大约为10%～20%左右。以后每年递增3%左右。副作用有恶心、呕吐、放射性甲状腺炎及甲状腺结节。</p><p>5.手术治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　适应证:药物过敏，甲状腺肿瘤、白细胞＜4×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">-9</span>/L、甲状腺明显肿大影响呼吸及结节性甲状腺肿致甲亢，且服药后缩小不明显者，用足量的药物治疗病情不能缓解者。手术采取甲状腺次全切除术，手术成功率达99%。关键术前准备:服用抗甲状腺药物1～3个月使甲状腺功能正常，术前防止术中出血，服复方碘溶液5滴/天，1～2周，或用普萘洛尔1～2mg/kg，每6小时一次，从术前4日至术后7日服用。手术后主要并发症为甲减，大约80%发生甲减，需用甲状腺激素替代治疗并定期检测甲状腺功能。少数出现暂时性或永久性甲状旁腺功能减低。</p><p>6.一般治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　发病早期及病情较重时应卧床休息，使身心得到安宁，避免外来的刺激和压力，饮食应富有蛋白质、糖类及维生素等。</p><p>7.甲亢危象(thyrotoxic crisis)的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　小儿极少见甲亢危象，属于内分泌疾病的急症之一。诱因有:感染、劳累、手术前准备不充分、精神创伤等。可表现为高热、脉速、烦躁不安、大量出汗，吐泻，重症伴有休克。治疗应大量给与碘剂口服与静脉注射，卢戈液10～20滴，每6小时口服，NaI 0.25g加入葡萄糖生理盐水内静脉点滴，用碘前1小时加服丙基硫氧嘧啶100～150mg，每6小时服用一次(能减少T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>在周围组织内转化为T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>，故至危重情况较他巴唑为优)。普萘洛尔每次0.1～0.3mg/kd(最大量5mg/次)静脉慢推。吸氧、退热、镇静、控制感染、静脉中加注氢化可的松，必要时洋地黄控制心力衰竭等对症治疗。</p><p>8.新生儿甲亢的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　轻者不必用药。症状明显的可用丙基硫氧嘧啶5～10mg，每8小时一次口服，或他巴唑0.25～1.0mg，每12小时一次，1～2周。重症加服普萘洛尔1～2mg/(kg·d)，及对症治疗，必要时输液、加用抗生素及皮质激素等。当症状明显好转，可单用抗甲状腺药物治疗，维持甲状腺功能正常。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.下册</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2228', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '218', '预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">50%～66%甲亢患儿服用药物治疗能使病情缓解。对治疗反应好，需要抗甲状腺药量小，且甲状腺体积显著缩小者预后好，复发少。病程越长疗效越差，停药后复发机会也越大。除甲状腺功能正常外，应测血中TRAb浓度，转阴后复发机会少。此外还可结合查rT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.下册</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2234', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '663', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">甲状腺炎（thyroiditis）是由自身免疫异常、感染、药物、放射线等各种原因所致甲状腺组织损伤的一组异质性疾病。按发病急缓可分为急性、亚急性、慢性甲状腺炎。按病理可分为化脓性、肉芽性、纤维性甲状腺炎等。按症状则有疼痛性、无痛性甲状腺炎。再是特殊时期如分娩后发病的则为产后甲状腺炎等。</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2235', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '664', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">亚急性甲状腺炎（subacute thyroiditis，SAT）或又称de Quervain甲状腺炎、肉芽肿甲状腺炎。本病为非化脓性甲状腺炎，是疼痛性甲状腺疾病中发病率最高的疾病。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2236', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '664', '病因', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">尚未完全阐明，一般认为与病毒感染有关。证据有：①发病前通常有上呼吸道感染史，发病常随季节变动，发病率在夏季最高，与肠道病毒的感染发病高峰存在相关性；②患者血中存在病毒抗体如柯萨齐病毒抗体、腮腺炎病毒抗体以及流感病毒抗体等（抗体的效价滴度和病期一致）。但是亚急性甲状腺炎的原因是病毒的确切证据至今尚未找到。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此外，中国人，日本人等的亚急性甲状腺炎与HLABw35有关联，显示对病毒的易感染性具有遗传因素，但也有患者与上述HLA-Bw35无关。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2237', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '664', '病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">甲状腺大多肿大，质地较硬实。切面可见到透明的胶质，其中有散在的灰色病灶，显示胶质有不同程度的消失。显微镜下见病灶部甲状腺腺泡组织为肉芽肿组织所替代，其中由大量慢性炎症细胞、组织细胞和吞有胶质颗粒的多核巨细胞形成，病变与结核结节相似，故有肉芽肿性或巨细胞性甲状腺炎之称。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2238', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '664', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多见于中年女性，典型者病期可分为早期伴甲状腺毒症，中期甲状腺功能减退症以及恢复期三期。</p><p>1.早期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">起病多急骤，呈发热，伴以怕冷和全身乏力等。最为特征性的表现是甲状腺部位疼痛或压痛，并常向颌下、耳后或颈部等处放射，吞咽时疼痛加重。甲状腺病变范围不一，可从一叶开始，以后扩大转移到另一叶，病变腺体肿大，坚硬，压痛显著。病变广泛时，滤泡内甲状腺激素以及非激素碘化蛋白质一时性大量释放入循环中，因而除感染的一般表现外，病后一周内多数患者尚可伴有甲状腺毒症的临床表现。</p><p>2.中期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">当甲状腺滤泡内甲状腺激素由于组织结构感染破坏而发生耗竭，甲状腺滤泡组织尚未修复前，血清甲状腺激素浓度降至甲状腺功能减退的水平，临床上也可转变为甲状腺功能减退症。</p><p>3.恢复期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">上述症状逐渐改善，甲状腺肿或结节也渐消失，也有不少病例遗留小结节，以后慢慢吸收。95%的患者甲状腺功能恢复正常，但5%的患者可持续存在甲状腺功能减退症。仅2%的患者会复发亚急性甲状腺炎。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在轻或不典型病例中，甲状腺仅略肿大，疼痛和压痛也轻微，无发热等全身症状，临床上也未必有甲亢或甲减的表现。本病病程长短不一，可数周至半年以上，一般约2～3个月。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2239', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '664', '辅助检查', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血沉明显增高，C反应蛋白浓度也有相似升高，但白细胞计数正常或轻微升高。血甲状腺激素浓度升高，T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>与T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>比值小于20，反映了甲状腺内储存激素的比例，TSH降低或检测不到。24小时摄碘率低下（＜5%），抗甲状腺过氧化物酶抗体，抗甲状腺球蛋白抗体等甲状腺自身抗体通常阴性，也有部分患者的甲状腺自身抗体一过性轻微升高，随着病情好转，而消失。超声波在其活动期时，常能显示出与压痛部位一致的不规则形状低回声病灶。细针穿刺的细胞涂片可见多核巨细胞和其他炎症细胞。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2240', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '664', '鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">SAT须与以下疾病相鉴别。</p><p>1.急性化脓性甲状腺炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常可出现前颈部甲状腺侧叶肿大伴疼痛或压触痛，并伴有发热性疾病的全身症状和颈部淋巴结肿大。白细胞计数及血沉与C反应蛋白浓度均明显升高。甲状腺功能一般正常。细针穿刺细胞学检查显示大量中性粒细胞的浸润，抽取液培养出病原体。超声波、CT示脓肿样的显像。</p><p>2.无痛性甲状腺炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可出现一过性甲状腺毒症症状，系甲状腺激素自滤泡漏出所致，类似于亚急性甲状腺炎，但无前颈部甲状腺侧叶疼痛或触痛以及全身发热症状，血沉也正常，且一般具有自身免疫性甲状腺疾病的背景，故抗甲状腺自身抗体均明显升高。</p><p>3.结节性甲状腺肿大伴结节急性出血</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">出血之结节常伴自发疼痛与压痛，但病变以外的甲状腺组织无疼痛也无其他全身症状。甲状腺功能、血沉均正常。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2241', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '664', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病为自限性疾病，治疗仅仅是缓解症状。一般采用阿司匹林等非甾体类药物足以控制症状。如症状改善不明显、较重者可考虑使用糖皮质激素，如泼尼松20～40mg/d，以缓解症状，但激素并不能缩短其病程，因此症状一好转，即可减量维持（10～20mg/d，4～6周），直至24小时摄碘率恢复正常。β-受体阻断药可控制甲亢症状，甲状腺激素替代治疗可在甲减时期有症状患者中使用。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2336', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '447', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">乳腺癌（carcinoma of breast）是女性最常见的恶性肿瘤之一，发病率位居女性恶性肿瘤发病率之首位。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;中华妇产科学.中册</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2337', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '447', '发病率', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于地理位置不同、种族不同、生活方式及饮食习惯不同，如欧洲、美洲、澳大利亚的发病率与亚洲地区的发病率差异较大。世界卫生组织2008年公布的统计资料显示，2008年全球女性乳腺癌新发病例138. 4万人，占全部恶性肿瘤的23%，其中发达国家69. 2万人，欠发达国家69. 1万人，标化发病率从欠发达地区如东非19. 3/ 10万人，到发达地区如西欧89. 7/10万人不等。亚洲发病率近年也是上升趋势，新加坡的统计数据从每年21. 2/10万（1968～1972）上升到38. 8/10万（1988～1992）。中国同样也呈逐年上升趋势，根据国家癌症中心及卫生部疾病预防控制局的统计资料（中国癌症发病与死亡2003～2007），中国全国女性乳腺癌发病率，2003年37. 10/10万人，2004 年40. 00/10万人，2005年42. 18/10万人，2006年43. 10/ 10万人，2007年45. 18/10万人，而2010年达到47. 64/10万人（2011中国肿瘤登记年报），在女性恶性肿瘤中位居首位。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;中华妇产科学.中册</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2338', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '447', '病因', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根本病因尚未能完全了解，但有些因素可能是诱发乳腺癌的重要因素。严重的肥胖及中心性脂肪堆积的成年妇女绝经后乳腺癌的发病率明显增加。肥胖可能通过雌激素生物利用度和脂类代谢影响乳腺细胞。卵巢内分泌在乳腺癌的发病机制中占有重要地位，雌激素和孕激素是与乳腺癌发病密切相关的重要内分泌激素，初潮年龄早于12岁、绝经50岁的，行经40年以上的妇女的乳腺癌危险性较一般妇女要高1倍多。总之，暴露于高水平雌激素的周期越长，患乳腺癌的风险越大；乳腺癌的发病率随着初产年龄的推迟而逐渐增高，而且与产次相关高产次的妇女患乳腺癌的概率减小。哺乳可降低乳腺癌的发病危险，且哺乳总时间与乳腺癌的危险性呈负相关。口服避孕药并不增加乳腺癌的危险性，但在围绝经期后长期服用雌激素可以增加乳腺癌的发病机会。高脂饮食、饮酒可以增加乳腺癌的发病率，与非饮酒者相比乳腺癌风险增加11%。患有乳腺纤维囊性病者乳腺癌的风险可增加2～4倍。遗传因素在乳腺癌发病中起着重要作用，美国一项研究表明一级亲属患乳腺癌的妇女发生乳腺癌的概率较无家族史的高2～3倍。随着分子生物学技术的发展和人类基因组计划的开展，已证实至少存在两种乳腺癌易感基因、BRCA1和BRCA2，分别定位在17和13号染色体上，均为常染色体显性遗传的抑癌基因。BRCA1或BRCA2的遗传性突变携带者一生中有高达90%的乳腺癌患病风险，约有5%～10%的乳腺癌与遗传易感性有关。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">植物雌激素（phytoestrogen），异黄酮（isoflavone）有潜在抗癌作用。饮食中异黄酮的主要来源是黄豆，新加坡的一个研究称，绝经前妇女每天摄入≥55g豆类食品者，乳腺癌危险减少60%，日本也有同样报道。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">其他因素，如环境的污染，有机氯杀虫剂，放射线等皆有致癌作用。更多的致癌因素仍在探索中。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;中华妇产科学.中册</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2339', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '447', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">乳腺癌早期阶段很少有症状，以致使得许多患者延误就诊时间。局部症状包括：乳腺肿块，早期表现为单个小肿块，质地硬，不规则，界限不清。随着近年技术的进步很多临床触诊阴性的乳腺肿块可以通过检查发现；异常乳头溢液（浆液性、血性）是发现早期乳癌的重要线索；乳头内陷，由于病灶邻近乳晕区所致，可见于乳腺癌及乳腺炎；乳头溃烂，可见于乳头湿疹，也是发现Paget病的重要线索；皮肤凹陷（酒窝征），是由于Cooper韧带受侵犯致使局部皮肤下陷、粘连，可见于乳腺癌，脂肪坏死及乳腺炎；乳腺癌晚期还可出现皮肤水肿（橘皮征）、红肿，皮肤浸润、溃疡，肿块固定（固定于胸肌、胸壁）。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;中华妇产科学.中册</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2340', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '447', '诊断', '<p>1.体格检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是诊断工作第一个步骤。检查时首先观察双侧乳房形态是否对称？乳头的位置是否对称？有无凹陷、固定？是否居中？有无偏斜？乳房皮肤有无红肿？有无“酒窝征”及“橘皮外观”。对于乳房偏小的患者可以采用坐位，乳房下垂或偏大的患者应采用仰卧位检查。按顺序用手指检查4个象限，手指放平触诊。确定有无肿块及大小，检查肿块是否与皮肤粘连或是否与胸壁粘连。检查腋下淋巴结时，检查者左手握住患者患侧上肢前臂，使腋下放松，右手触摸腋下进行检查，对侧相反。对于怀疑患有乳腺癌的患者还应检查患者锁骨上窝，明确是否有肿大淋巴结。</p><p>2.特殊检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）乳腺摄片检查（mammography）：现代乳腺摄片，诊断准确率可达80%～90%。常见的有意义阳性所见：①高密度占位影，摄片上的肿块大小比体检时肿块不一致，这时恶性肿瘤周围组织呈水肿状态，以致触诊时肿块比真正瘤体大；如果患者腺体的致密，占位性病变与周围腺体分界不清时，可表现为病变大于查体所见；此项检查对于脂肪型乳腺检查效果较好，对于致密型乳腺还需要借助于超声和磁共振成像（MRI）检查作为补充。②肿块有毛刺样改变，不光滑，密度大。③局部皮肤下陷或增厚。④砂粒样钙化灶。近年研究表明，乳腺摄片的广泛应用提高了T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>及原位癌的发现率，使小癌的发现率由原来的56. 6%上升到83%，使乳腺癌治疗中保留乳房的概率大为提高。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）B超：诊断准确率可达90%，对致密型的乳房，分辨力比X线高，直径小于0. 5cm的肿块也能检出。对囊性肿物的判断明显优于X线检查。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（3）MRI：MRI用于乳腺癌的诊断对小病灶的检出率有很大帮助。一般从肿瘤大小、肿瘤边缘（光滑、分叶状、不规则状、毛刺状）、强化的均匀性（均匀、不均匀或者介于两者之间）、环形强化和内部间隔强化等方面进行分析。由于乳腺腺体组织随月经周期变化而有所改变，MRI的最佳检查时间为月经期的第8～15天。对于不能耐受长时间俯卧位进行MRI检查或MRI强化剂不能耐受的患者还可以考虑进行CT检查。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（4）计算机近红外扫描（lintro- scan）：即近红外线扫描（infrared light scan，ILS），1981年Morton首先应用此技术诊断乳腺癌。其原理是近红外光对软组织有较强的穿透性，还具有一定的选择性。血红蛋白对近红外光有吸收作用，当近红外光穿透肿瘤时，因血红蛋白的吸收会产生阴影，其灰度将直接反映局部血红蛋白量，形成近红外光的乳腺成像原理。由于恶性肿瘤血液供应多，其灰度就大。或血管本身发生中断或异常粗大的改变，使得红外光扫描在乳腺肿块的良恶性鉴别上就有一定价值。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（5）细针穿刺吸引细胞学检查（fine needle aspiration cytology，FNA）：细针指6～8号针。①安全性：大量实践证实其可靠性，Bergetal观察了针吸与未针吸的370对乳腺癌患者，预后无显著差异。Frazeh等总结了5000例，也未发现增加局部种植的情况。②成功关键：针头进入皮下后，抽吸针筒芯，使筒内呈负压状态，然后刺入肿块，以不同方向穿刺3次，关键一步是在去除负压后才拔针，否则少量细胞进入针筒内后无法吹出，使操作失败。③意义：准确性可达80%以上，但需要有经验的专门细胞学专家读片才能达到。另外对那些临床上不可触及包块的病例在X线摄片三维定位下，采用细针穿刺，也可用B超定位，置入细的带钩的金属丝，而后行活检，可准确切除不可触及病变，使早期病例得以确诊。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（6）核心针穿刺活检（core needle biopsy，CNB）：CNB与FNA是乳腺病变常用的获得术前病理诊断的手段，使用超声引导可以提高活检准确率，常用探头频率为10MHz。患者仰卧位，对乳腺进行4个象限及乳头为中心多切面扫描，观察肿瘤内部回声、边界，测量大小，测量肿瘤距体表的深度，并对肿瘤做好标记。核心针活检枪分为全自动和半自动两种。根据病变特征可选用18、16或14G活检针，常规消毒皮肤，铺无菌洞巾，用2%利多卡因局部麻醉，在超声引导下将穿刺针经穿刺导向器穿刺入肿瘤包膜内放枪，取肿瘤组织2～6块，甲醛溶液固定，送病理检查。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">与手术活检相比，穿刺针活检对正常组织的破坏少，无瘢痕，患者只需要局部麻醉，且费用也相对低廉。最重要的是穿刺活检可以使一部分乳腺良性病变的患者免去了不必要的手术。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于体检发现乳房肿块的患者，也可采用手术活检、术中快速冷冻病理检查与手术治疗同时进行的方法。但这种方法不利于手术前制订详细的治疗方案，且延长了手术的时间。术前穿刺针活检若为恶性病变，不仅为进一步的治疗提供依据（包括手术和术前的辅助化疗），而且有利于医师和患者共同讨论手术治疗的方式，例如是否采取保留乳房的手术等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（7）对于上述方法仍未确诊的病例，即应行活检手术。活检分切取活检及切除活检，切取活检是切开后在肿瘤上取一小片组织送切片检查，此法易引起肿瘤播散，应避免或放弃。切除活检是在正常组织范围切入，包括病灶在内大块切除，切缘皆在正常组织内。两组对预后有明显统计学上的差异。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;中华妇产科学.中册</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2341', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '447', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">乳腺癌的治疗手段包括对局部病灶进行手术治疗、放射治疗，以及对全身性疾病进行化疗、内分泌治疗、生物治疗或联合应用这些手段。对各种全身和局部治疗手段的需求和选择是依据多种预后和预测因素而判断的。这些因素包括肿瘤组织学特征、原发肿瘤的临床和病理学特征、腋窝淋巴结状况、肿瘤激素受体水平和HER- 2状态、有无可检测到的转移病灶、合并症情况、患者的年龄以及绝经状态。从治疗角度看，乳腺癌可分为：①单纯的非浸润性癌，包括小叶原位癌（LCIS）和导管原位癌（DCIS）（0期）；②可手术的局部浸润性癌；③无法手术的局部浸润性癌；④转移或复发性乳腺癌。</p><p>1.单纯非浸润性癌（0期）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">LCIS和DCIS两种类型可能都很难与非典型增生或早期浸润性癌相鉴别。中国女性乳腺中-重度不典型发生率仅占增生性病变的5. 3%，且发病年龄分布与乳腺癌相似。活检前应进行双侧乳腺钼靶X线摄片以鉴别是否存在多发肿瘤并评估非浸润性病灶的范围。有条件者可行MRI检查。乳腺原位癌疗效良好，5年生存率99. 0%，20年生存率80. 0%。单纯原位癌的治疗目的在于预防浸润性病灶的出现，或在病灶仍局限在乳腺内时发现其浸润成分。对于通过病理检查或再次切除、全乳切除以及腋窝淋巴结分期时发现存在浸润性癌（包括微浸润癌）的患者，应当按照相应浸润性癌分期的指南接受治疗。</p><p>2.小叶原位癌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">LCIS的患者出现浸润性癌的风险很低，并且双侧乳腺发生浸润性乳腺癌的风险相等，由其发展为浸润性癌组织学特点良好，推荐随访观察。在适当监测下很少出现死于继发浸润性癌的情况。如果考虑全乳切除术以降低浸润性乳腺癌发生风险，则需要切除双侧乳腺以便使风险降到最低。在特殊情况下，如BRCA1/2突变、或有明确乳腺癌家族史的妇女，可考虑双侧全乳切除联合或不联合乳房重建术。患有LCIS的妇女无论接受随访观察还是双侧全乳切除治疗，其预后都非常好。数据显示，他莫昔芬治疗5年可使LCIS患者浸润性乳腺癌的发病风险降低大约46%（风险比0. 54；95%CI 0. 27～1. 02）。对于选择随访观察的LCIS患者，绝经前妇女可考虑选用他莫昔芬、绝经后妇女可考虑选用他莫昔芬/雷洛昔芬以降低发生浸润性乳腺癌的风险。对LCIS患者的随访包括每6～12个月1次的体格检查，持续5年，然后每年1次。对接受临床观察的患者建议每年接受1次乳腺钼靶X线摄片。</p><p>3.导管原位癌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于DCIS以及经乳腺钼靶X线摄片或其他影像学检查、体检或活检发现有广泛病变证据（即病灶涉及≥2个象限）的患者，应接受全乳切除，但不需要淋巴结清扫。对于绝大多数病灶局限、初次切除或再次切除时获得切缘阴性的患者，保乳手术或全乳切除都是恰当的治疗选择，但是要注意保乳适应证。尽管全乳切除可以达到最大的局部控制效果，但是接受全乳切除患者的乳腺癌的长期生存率与接受保乳手术联合全乳放疗患者相同。接受全乳切除的妇女适合接受乳房重建手术。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对手术切缘阴性的单纯DCIS患者加用全乳放疗可以降低局部复发率，但对患者的总体生存率、无远处转移生存率没有影响。在保乳手术后接受放射治疗可以使局部复发的相对风险降低大约一半。推荐对肿瘤床进行推量照射（采用光子、近距离放疗或电子束），特别是年龄≤50岁的患者，以达到最大的局部控制效果。对部分患者，只接受肿块切除而不进行乳房放疗也有很低的乳房内复发风险，低危DCIS患者的10年无病生存率为94%，中/高危患者为83%。患者年龄、肿瘤大小和分级、以及切缘宽度等因素都会影响肿瘤的复发风险。对于DCIS，现有的共识是：切缘距肿瘤大于10mm是足够的，而小于1mm则不充分，但对这两个值之间的切缘状态没有统一的共识。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于DCIS累及腋窝淋巴结的情况非常罕见，目前不推荐单纯DCIS患者接受腋窝淋巴结清扫。然而，有小部分初次活检显示明显为单纯DCIS的女性在外科手术时会被确诊为浸润性乳腺癌，因此需要对她们进行腋窝淋巴结分期。对于需要接受全乳切除或对特定解剖位置（如乳腺尾）切除的单纯DCIS患者，由于手术有可能影响以后的前哨淋巴结活检，因此可以考虑在手术同时进行前哨淋巴结活检。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">术后应当对切除标本的切缘和切除标本的放射学检测结果进行分析，以确保所有乳腺X线摄片发现的病灶都被切除。另外，在一些情况［如切除样本中的肿块和（或）微钙化灶显示不清］下应考虑在肿瘤切除术后复查乳房X线摄片。由于DCIS在临床上可能为隐匿性，并需要进一步的手术治疗，送标本行切缘状态病理检查时可使用标记夹标示活检范围。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在乳腺异常增生的范畴内，DCIS介于导管非典型性增生和浸润性导管癌之间。NSABP乳腺癌预防试验显示，接受他莫昔芬治疗的非典型导管增生患者的浸润性乳腺癌发病率可降低75%。此外，保乳手术（BCS）联合放疗后的DCIS患者可从他莫昔芬治疗中受益。与接受安慰剂患者相比，接受他莫昔芬治疗的妇女复发的绝对风险降低5%，相对复发风险降低37%。在中位随访74个月时，接受他莫昔芬治疗患者的乳腺癌总发病率为8. 2%（浸润性乳腺癌4. 1%，非浸润性乳腺癌4. 2%），相比之下，接受安慰剂治疗患者的乳腺癌发病率为13. 4%（浸润性乳腺癌7. 2%，非浸润性乳腺癌6. 2%）。ER表达水平增高可预测他莫昔芬在降低保乳手术后患者的同侧和对侧乳腺癌发病风险方面的获益。因此，对于接受了接受肿块切除（不论是否接受放疗）或全乳切除术的DCIS患者以及保乳手术的DCIS患者，尤其是ER阳性DCIS患者，可考虑使用他莫昔芬来降低同侧乳腺癌复发风险。DCIS患者的随访包括每6～12个月1次的体检，连续5年，随后为每年1次，每年接受1次乳腺X线检查。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">绝大部分的DCIS复发为保乳术后的乳房内复发，且其中大部分的复发灶位于原发灶附近。对于初始治疗仅为肿块切除的DCIS患者，复发的治疗方法基本同前。对于初次治疗为保乳手术加放疗的DCIS患者，如出现复发常需要行全乳切除术。全乳切除术后的局部复发DCIS患者则需行广泛的局部切除并考虑胸壁放疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">总体上看，单纯性DCIS初次治疗后的局部复发病例中有一半仍为DCIS，其余的为浸润性癌。那些局部复发为浸润性癌的患者须按照初诊、初治浸润性乳腺癌而接受相应的全身治疗。</p><p>4.Ⅰ期、ⅡA期、ⅡB期浸润性乳腺癌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">浸润性乳腺癌的检查和分期手段包括：病史采集和体检、全血细胞计数、血小板计数、肝功能检查、双侧乳腺X线、乳腺B超检查、肿瘤ER和PR检查、HER- 2状态检查和病理检查。鉴于乳腺MRI的假阳性率较高，通常仅用于乳腺钼靶X线摄片和超声检查无法充分评估疾病之时（如乳腺组织特别致密，腋窝淋巴结阳性但原发灶不明且怀疑源于乳腺，或需要评估胸壁的情况），对于计划进行保乳手术的女性也推荐进行乳腺MRI检查。由于PET扫描在检测较小（＜1cm）和（或）低度恶性病灶时的假阴性率较高，发现腋窝淋巴结转移的敏感性较低，不宜将PET或PET/CT扫描用于上述患者的分期。</p><p>【局部治疗】</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">乳腺癌改良根治术（全乳切除+Ⅰ/Ⅱ级腋窝淋巴结清扫）是局部治疗的基本方式。作为大多数Ⅰ期和Ⅱ期乳腺癌患者的初始治疗，全乳切除术加腋窝淋巴结清扫与肿块切除、腋窝淋巴结清扫加全乳放疗的保乳治疗疗效相当。保乳治疗的绝对禁忌证包括：乳腺或胸壁先前接受过中等剂量或高剂量放疗；正在妊娠且需在妊娠期放疗；乳腺X线片显示弥漫性可疑或恶性征象的微小钙化；无法通过单一切口进行局部切除而保证满意外观效果的多中心病灶；切缘病理阳性患者。病理切缘阳性患者一般需要进行再切除以获得阴性病理切缘。若切缘仍为阳性，则需要行全乳切除术以达到理想的局部控制。为了充分评估肿块切除术的切缘情况，手术医师应当标明手术标本的方向，病理医生需提供切缘的大体和镜下描述，以及包括距标本边缘最近处肿瘤和切缘的距离、方位和类型（浸润性或DCIS）等信息。保乳治疗的相对禁忌证包括：累及皮肤的活动性结缔组织疾病（特别是硬皮病和狼疮）、大于5cm的肿瘤和切缘病理局灶阳性。年龄较小是保乳手术或全乳切除术后同侧乳腺癌复发风险增加的因素。乳腺癌家族史或乳腺癌遗传易感性（如BRCA1/2或其他基因突变）等危险因素最常见于年轻乳腺癌患者。总之，保乳治疗后需要综合考虑多方面因素，根据适应证合理选择。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">前哨淋巴结定位和切除是评估Ⅰ期和Ⅱ期乳腺癌患者腋窝淋巴结病理状态的重要方法。接受前哨淋巴结活检的乳腺癌患者发生手臂、肩部并发症（如疼痛、淋巴水肿和感觉丧失）的情况减少。然而，并非所有患者都适于前哨淋巴结活检。可接受前哨淋巴结定位和切除的候选患者应该满足腋窝淋巴结临床阴性，或对所有临床可疑的腋窝淋巴结行空芯针或细针穿刺（FNA）活检且结果为阴性。如无法确定前哨淋巴结或确认前哨淋巴结发生转移，应进行标准腋窝淋巴结清扫。对于临床淋巴结阴性的Ⅰ期或Ⅱ期乳腺癌患者，推荐使用前哨淋巴结定位和切除作为初次腋窝淋巴结分期方法。传统的Ⅰ、Ⅱ级腋窝淋巴结清扫至少需要10个淋巴结供病理学分析，以达到准确的腋窝分期。</p><p>1.乳房重建（1）乳房全切术后的重建：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">乳房重建方式包括使用假体、自体组织或联合使用二者重建。使用假体的重建一般包括植入胸大肌下扩张器、经过数次扩张、最后用胸大肌下永久性假体替换扩张器。采用自体组织的重建也有多种方式，包括联合运用不同部位来源的肌肉、脂肪和皮肤。选择重建方式的决定因素包括患者的倾向、身体状况、吸烟史、合并症、放疗计划以及重建手术团队的技术与经验。对许多患者来说，重建手术可在和全乳切除的同次麻醉中同期进行。乳房重建是一个可选性的治疗项目，不影响复发或死亡率，但可以改善很多患者的生活质量。当计划在全乳切除术后进行乳房重建时，仔细的前瞻性评估以及乳腺癌治疗团队成员如肿瘤外科、整形外科医师以及团队中其他成员的合作十分重要。</p><p>（2）保乳术后的重建：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">当手术造成患侧乳房的缺损较大并且美观效果不理想时可考虑乳房重建。肿瘤整形外科中不断发展的领域包括使用“体积易位（displacement）”技术来修补大型乳房部分切除术所造成的缺损。具有肿瘤整形性质的体积易位技术指在切除大部分乳腺组织（通常根据肿瘤所在乳腺区段设计）的同时使用“乳房固定技术（mastopexy）”，后者指在乳房包膜内重新分配剩余乳腺组织以此填补手术所致的缺损，因此避免了乳腺外形的严重变形。体积易位技术通常由切除肿瘤的手术者在行保乳手术的同时进行肿瘤整形性体积易位技术的优势在于允许切除较大体积的乳腺组织，因此可以保证足够的肿瘤切缘。同时该技术相对标准乳房切除术更好地保持了乳房的自然外观和形状。其局限性在于不同治疗中心间的治疗缺乏标准化，若术后病理切缘阳性而需改行全乳切除术则所有的这些保乳尝试会变得没有意义。对于术后很可能导致外观效果差的患者，在术前应该考虑该重建方式，而那些对保乳术后乳房外观不满意的患者应接受整形外科的咨询，探讨如何修补术后的乳房缺损。</p><p>2.Ⅲ期浸润性乳腺癌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅲ期浸润性乳腺癌的分期评估与Ⅰ期或Ⅱ期相似，检查应包括病史、体检、全血细胞计数、血小板计数、肝功能、胸部影像学检查、肿瘤的病理检查、双侧乳腺X线检查和乳腺超声检查。建议根据治疗方式需要和上述检查的异常发现选择乳腺MRI、骨扫描、腹部CT、超声或MRI检查。化疗前要评价肿瘤的ER/PR及HER- 2状况。对于根据被判定为遗传性乳腺癌的高危患者，推荐进行遗传学咨询。</p><p>3.可手术的局部进展期乳腺癌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">局部进展期乳腺癌是指临床和影像学初步评估显示疾病进展仅限于乳腺和区域淋巴结内。Ⅲ期患者可以进一步被分为初始手术无法切除全部病灶、无法达到长期局部控制的患者（不可手术）以及适当初次手术有望达到病理阴性切缘和长期局部控制的患者（可手术）。可手术局部进展期乳腺癌患者（临床分期通常为T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>N<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>）的治疗方法以根治性手术切除为主。对于术前未接受新辅助治疗的ⅢA期乳腺癌患者，术后的全身辅助治疗方案与Ⅱ期乳腺癌术后辅助治疗方案相似。</p><p>4.不可手术的局部进展期乳腺癌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于不宜手术切除的乳腺癌患者，标准治疗为术前初始治疗，又称为新辅助治疗，包括化疗或内分泌治疗。术前治疗获得临床缓解后的局部治疗包括：①全乳切除+Ⅰ/Ⅱ级腋窝淋巴结清扫，联合或不联合二期乳房重建；②肿块切除+Ⅰ/Ⅱ级腋窝淋巴结清扫。两种局部治疗都存在较高的局部复发风险，有必要进行胸壁（或乳腺）和锁骨上淋巴结放疗。如果内乳淋巴结受累，也应对其进行放疗。不可手术的Ⅲ期乳腺癌患者在术前化疗期间如果病情进展，可采用姑息性乳腺放疗以加强局部控制。Ⅲ期乳腺癌患者治疗后的随访与早期浸润性乳腺癌患者相同。</p><p>【治疗后监测与随访】</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">治疗后随访应包括常规体检和乳腺X线摄片。对接受保乳手术的患者，首次乳腺X线检查应安排在保乳放疗后的6～12个月。乳腺MRI检查可用于双侧乳腺癌高风险患者的治疗后监测和随访。绝经后患者应用他莫昔芬有引发子宫内膜癌的风险，建议患者在接受他莫昔芬治疗时应每年接受妇科检查，不推荐在无症状女性中常规进行子宫内膜活检。在疾病监测期间应对这些高危患者监测骨密度，并补充钙和维生素D。对于骨质减少或骨质疏松的乳腺癌患者，可推荐使用双膦酸盐以增加或保持骨矿物质密度。</p><p>【外科治疗】1.概述</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">现代乳腺癌外科治疗起源于19世纪中叶。德国病理学家Rudolf Virchow进行了仔细的尸检解剖，推测乳腺癌起源于上皮细胞，然后沿胸大肌筋膜和淋巴管道播散，认为乳腺癌开始时可能属于局部病变、通过外科就能够治愈。根据Virchow的理论框架，1894年美国W. Halsted创立了乳腺癌外科根治手术。手术范围包含乳腺、腋窝及连同腋窝的淋巴管道。乳腺癌根治术达到了良好的肿瘤局部控制效果。1948年，Patey和Dyson发表了关于对Halsted手术改良术式的报道，胸大肌得以保留。1951年，Auchincloss提出保留胸大、小肌的手术方法。这两种术式破坏性小、局部控制效果不亚于标准的乳腺癌根治术。保留胸大肌和胸小肌的乳腺癌改良根治术至今仍然广泛应用于治疗早期乳腺癌。为了便于术后乳腺重建，目前已出现了保留乳腺皮肤、甚至保留乳头乳晕的改良根治术。相关的随机临床试验正在验证这类肿瘤美容手术的近期和远期效果。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">20世纪70年代开展的早期乳腺癌随机临床试验的结果表明，在多学科综合治疗的条件下，Ⅰ/Ⅱ期乳腺癌患者全乳切除+腋窝清扫和保乳手术（乳腺肿物切除）+腋窝清扫+术后放疗的效果没有显著差异，局部手术切除范围不再是术后生存的影响因素。和全乳切除相比，保留乳房可以获得较好的美容效果，缓解手术对患者的心理和社交产生的不良影响。既往接受过乳腺或者胸壁的局部放疗、计划妊娠期放疗、乳腺照相发现可疑或者明确的弥漫性恶性钙化灶、病变范围广泛不可能通过美容效果较好的单个手术切口达到局部切除、切缘阳性为保乳手术的绝对禁忌证。相对禁忌证包括：合并累及皮肤的结缔组织病（尤其是红斑狼疮和硬皮病）、肿瘤直径＞5cm（2B）、局灶切缘阳性。一些学者认为，年轻（≤35岁）和特定基因突变（brca- 1/2等）的携带者保乳术后局部复发风险较高。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对临床腋窝检查阴性的早期乳腺癌患者，腋窝清扫的意义和Halsted时代显著不同。前哨淋巴结概念的引入，使得临床可以对1～2个淋巴结进行病理学检查，如果没有发现癌细胞就不再进行腋窝清扫。2005年起欧美将前哨淋巴结活检作为临床腋窝检查阴性的早期乳腺癌腋窝分期的标准手段，我国也已于2009年将之作为部分乳腺癌患者腋窝分期的标准方法。其优点是显著降低了术后上肢水肿的风险。前哨淋巴结活检阴性的患者术后可以不再进行腋窝放疗。NCCN 2011年制订的前哨淋巴结活检的指征包括诊断时临床检查淋巴结阴性和诊断时临床检查淋巴结阳性但组织学检查为阴性等两种情况。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">乳腺癌治疗已越来越关注改善患者的生存质量。乳腺重建能够减轻乳腺切除带来的精神创伤，特别能够减轻患者乳腺被切除的感觉、丧失女人味的感觉和抑郁。乳腺重建方法种类繁多，如使用扩张器、假体、自身组织皮瓣等。乳腺切除后的重建手术越来越被认为是乳腺癌治疗的重要内容，北美和欧洲已将之作为整形外科的培训项目。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">NCCN 2011年制订的不同临床分期的乳腺癌外科治疗方法如下：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1）Ⅰ、Ⅱ期、部分ⅢA期（T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>N<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>）患者，可以选择乳腺肿物切除+腋窝淋巴结分期手术、全乳切除+腋窝淋巴结分期手术±乳腺重建，两种方法均为Ⅰ类推荐。对T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>、T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>期乳腺癌，如果只有肿瘤大小达不到保乳的要求，如果选择保乳可以考虑术前化疗（ⅡA类推荐）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2）Ⅱ期、部分ⅢA期（T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>N<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>）患者，只有肿瘤大小达不到保乳要求、而选择保乳术的，可以选择术前化疗后再切除肿瘤。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3）Ⅲ期（除T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>N<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>外）、Ⅳ期患者。术前化疗有效，可以选择肿物局部切除或者全乳切除±乳腺重建，需要清扫腋窝淋巴结。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4）术后局部复发的患者，尽可能切除局部复发病灶（包括腋窝复发病灶）。保乳术后复发可以选择全乳切除+腋窝淋巴结清扫。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">需要特别说明的是，只有1）中的部分内容为Ⅰ类推荐，其他均为ⅡA类推荐。</p><p>2.保乳手术和乳腺癌改良根治术</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前我国早期乳腺癌患者接受的乳腺癌手术大多数为乳腺癌改良根治术和保留乳腺的肿瘤切除术（保乳手术）。Ⅰ类证据表明，两者均为早期乳腺癌的首选治疗方法。建议按照NCCN 2011年的规范选择手术适应证。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">乳腺癌改良根治术切除整个乳腺和邻近的腋窝淋巴结，乳腺单纯切除术只切除整个乳房、不清扫腋窝淋巴结。两者均保留胸大小肌。一般采用双弧形皮肤切口、皮肤切口必须包含乳头乳晕复合物及肿瘤。在乳腺和皮下组织之间的一个相对无血管的区域进行锐性解剖。游离范围向上达到锁骨下水平、向下达到腹直肌水平、内侧为胸骨、外侧为背阔肌。在前面完成游离乳腺皮下组织后，从后面再用电刀将乳腺组织从胸大肌表面游离。胸大肌筋膜保持完整。整个游离过程中注意彻底止血。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">清扫腋窝开始时就应该充分显露胸小肌。腋窝组织位于胸小肌的后方。腋窝水平Ⅰ清扫是指清扫胸小肌外侧和外侧缘的腋窝组织，水平Ⅱ清扫是指清扫胸小肌内外侧缘之间的腋窝组织，水平Ⅲ清扫是指清扫胸小肌内侧缘的腋窝组织。一般情况下只需切除水平Ⅰ、Ⅱ的淋巴结即可。如果胸小肌内侧存在可触及的淋巴结，需要进行腋窝水平Ⅲ的清扫，此时需要显露胸小肌并根据需要向上或者向下牵引，才能切除全部锁骨下淋巴结。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">保乳手术一般需要两个切口：一个切除乳腺肿瘤、一个腋窝清扫或者前哨淋巴结活检。乳腺切口一般直接开口于肿瘤之上。不推荐从乳腺的其他部位开口、通过一个部位的正常乳腺组织切除另一个部位的乳腺组织。一般采用肿瘤上方的弧形切口，切除肿瘤及其周围约1～2cm之外的乳腺组织，肿瘤位置表浅时可将其表面皮肤一并切除。切除原发病灶后，标记标本的方向和各个切缘（前、后、外、内、上、下），采用可以辨认的方法（线结或者各色墨汁）分别进行标记。标本病理科送检，病理科医生检查切缘是否有癌残存。如果病理科医生确定切缘仍有癌组织残存，外科医生还需要再次切除乳腺组织至切缘阴性，如果数次切缘为阳性，则改行全乳切除。原发灶切除后，对残腔彻底地电凝止血，一般不放置引流，术后创腔可出现积液，液体日后可被吸收及机化变为实性，有利于外形。腋窝清扫可在胸大肌外侧缘和背阔肌前缘之间作一约5～7cm斜形或弧形切口进行，清扫范围同改良根治术，如果有适应证，可行前哨淋巴结活检，阴性则不清扫腋窝。如果阳性前哨淋巴结仅为1～2个，有试验提示清与不清扫腋窝，5年生存率无区别。但目前尚未达成共识。</p><p>3.前哨淋巴结活检</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">前哨淋巴结活检是腋窝淋巴结分期的一种外科方法。前哨淋巴结是指接受肿瘤区域引流的第一组淋巴结。如果前哨淋巴结没有出现转移，那么引流区域的非前哨淋巴结也不会出现癌转移；前哨淋巴结阴性而非前哨淋巴结出现阳性的概率大约在5%以下，如果前哨淋巴结行冷冻或石蜡切片HE染色提示有转移，则应行腋窝清扫。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">前哨淋巴结的示踪剂包括放射性核素如<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">99m</span>Tc标记的硫胶体，国内则用<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">99m</span>Tc标记的右旋糖酐或美罗华等，蓝染料则用专利蓝，亚甲蓝，异硫蓝等，国内常用亚甲蓝，纳米碳也在试用，临床通过肿瘤周围注射、乳晕下注射、肿瘤表面皮内注射三种方法注射示踪剂来定位前哨淋巴结，两者联合使用可提高准确性。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">选择蓝色染料时一般从腋窝处胸大肌外缘与乳腺腺体外上缘相交处下方的腋窝组织寻找，从上往下解剖，确认含蓝色染料的输出淋巴管，追踪输出淋巴管可以发现染蓝色的前哨淋巴结。选择放射性胶体时，前哨淋巴结可通过手持γ探测器来确定。前哨淋巴结数目一般在3～5个之内，如果前哨淋巴结没有癌转移的证据，一般不再进行腋窝淋巴结清扫。</p><p>【放射治疗】</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.早期乳腺癌保乳手术后的放射治疗　对于年龄≥70岁、肿瘤小于2cm，腋窝淋巴结无转移、手术切缘阴性、且激素受体阳性的患者，放疗获益不大。如果患者有随诊条件，可考虑术后单纯内分泌治疗而不做术后放疗及化疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.疗效与并发症的观察　应重视美容效果的观察与记录：双乳及双上肢彩色照片：放疗前和结束时各一次，随访时每半年一次，病程记录及随访记录中应详细描写乳腺的外形、皮肤改变、手感柔软程度等，双上肢臂围测量：测量参考点在尺骨鹰嘴上下各15cm处之臂围周径。放疗前、放疗毕时各测量一次，随诊时每半年一次；双乳X线平片及乳腺及区域淋巴结区B超：放疗前及放疗毕时各一次，随诊时，每半年一次。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.乳腺癌根治术或改良根治术后放疗　适应证：对术后全身治疗包括化疗或（和）内分泌治疗者，具有下列高危因素之一，需考虑术后放疗：①原发肿瘤≥5cm，或肿瘤侵及乳腺皮肤、胸壁；②腋淋巴结转移≥4个；③腋淋巴结检出总数≤10个，且腋淋巴结转移1～3个；④切缘阳性/切缘近（＜1mm）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.乳腺癌新辅助化疗加根治术或改良根治术后放疗　放疗指征暂同未做新辅助化疗者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.乳腺癌根治术或改良根治术后局部区域复发的放疗　乳腺癌根治术或改良根治术后出现胸壁单个复发，手术切除肿瘤，然后放疗；如果手术无法切除，应先给予放疗。</p><p>【化疗】1.乳腺癌术后辅助化疗（1）禁忌证：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">妊娠早期妇女，年老体衰且伴有严重内脏器质性病变患者。</p><p>（2）治疗前准备：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">首次化疗前应检测血常规、肝肾功能、心电图；以后每次化疗前后常规检测血常规；心、肝、肾功能异常者需监测血常规、心电图、LVEF或肝肾功能；育龄妇女应妊娠试验阴性并嘱避孕；签署化疗知情同意书。</p><p>（3）化疗方案与注意事项：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">首选含蒽环类的联合化疗方案，常用的有：CA（E）F、AC方案（C：环磷酰胺、A：阿霉素、E：表阿霉素、F：氟尿嘧啶）；蒽环类与紫杉类联合方案TAC（T多西紫杉醇）；蒽环类与紫杉类序贯方案AC→T/wP （wP为每周紫杉醇）或FEC→T。老年、低风险、蒽环类禁忌或不能耐受的患者可选用非蒽环类联合化疗方案，常用的有CMF方案（C：环磷酰胺、M：甲氨蝶呤、F：氟尿嘧啶）。根据不同化疗方案执行化疗，若无特殊情况，不建议减少周期数和剂量。辅助化疗一般不与内分泌治疗或放疗同时进行。化疗结束后再开始进行内分泌治疗。放疗与内分泌治疗可先后或同时进行。</p><p>2.新辅助化疗（1）新辅助化疗的适应证：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①一般适合临床ⅡB、Ⅲ期的乳腺癌患者；②肿块偏大，有保乳意愿，没有保乳术禁忌证的患者；③符合上述条件的绝经后乳腺癌患者，若术前穿刺肿瘤ER，PR强阳性，可根据情况选择新辅助化疗或新辅助内分泌治疗。</p><p>（2）新辅助化疗的禁忌证：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①未经组织病理学确诊的浸润性乳腺癌（推荐获得ER，PR，HER2等免疫组化指标，不推荐将细胞学作为病理诊断标准）；②妊娠妇女，尤其是妊娠早、中期发生的乳腺癌必须终止妊娠。③年老体衰且伴有严重心、肺器质性病变等预期无法耐受化疗者。</p><p>（3）新辅助化疗的实施</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1）治疗前准备：基线体检：精确测量乳腺原发灶和腋窝淋巴结的最长径（多个肿块时取最长径之和），基线影像学评估：乳腺超声、乳腺X线下肿瘤的最长径（有条件者可作MRI评估），血常规、肝肾功能、心电图、胸片、肝脏超声检查。局部晚期乳腺癌或炎性乳腺癌患者还需加作全身骨扫描、胸部CT。心脏病者行必要的心功能检查（如心脏超声检测LVEF），术前必须对乳腺原发灶行核芯针活检明确组织学诊断及免疫组化检查，区域淋巴结转移可采用细胞学诊断，育龄妇女应妊娠试验阴性或嘱避孕，告知化疗的不良反应，签署化疗同意书。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2）化疗方案：宜选择含蒽环类的联合化疗方案，常用的有：CAF、FAC、AC、CEF、FEC方案（C：环磷酰胺、A：阿霉素、E：表阿霉素、F：氟尿嘧啶）；蒽环类与紫杉类联合方案A（E）T、TAC（T：多西紫杉醇）；蒽环类与紫杉类序贯方案AC→T/P（T：多西紫杉醇；P：紫杉醇）；其他含蒽环类的化疗方案NE（N长春瑞滨）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3）疗效评估及化疗疗程：建议在化疗第2个周期的最后一天，即计划第3周期之前开始首次评估疗效；应从体检和影像学两个方面评价乳腺原发灶和腋窝淋巴结转移灶疗效，按照RECIST标准，分为CR，PR，SD和PD；无效的患者建议暂停该方案化疗，改用手术、放疗或其他全身治疗措施（更换化疗方案或改行新辅助内分泌治疗）；对CR或PR的患者处理有争议，一般可根据个体情况而有以下选择：直接手术；相同方案继续2～4个周期（总计4～6个周期）化疗后评估化疗效果及手术；相同方案继续2个周期，然后更换方案（如AC→T）继续4个周期化疗后评估化疗效果及手术。</p><p>（4）乳腺癌经新辅助化疗降期后的外科处理</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1）手术：可根据个体情况选择根治术、改良根治术、保乳手术。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2）术后病理检查：病理完全缓解（pCR）的定义有两种：①一般指乳腺原发灶中找不到恶性肿瘤的组织学证据，或仅存原位癌成分；②严格意义上的pCR是指乳腺原发灶和转移的区域淋巴结均达到病理完全缓解。病理完全缓解（pCR）的确定需要病理医生配合，建议临床医生协助病理医生找到原病灶部位，多点取材来确定pCR。残存肿瘤的组织学分型、分级以及ER、PR、HER2等免疫组化结果应当参考术前病理诊断。（例如术前ER阳性而术后ER阴性仍应视为ER阳性的乳腺癌）。</p><p>（5）新辅助治疗后的术后辅助治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1）术后辅助化疗：一般可以根据术前化疗的周期、疗效及术后病理检查结果而选择相同化疗方案、更换化疗方案及不采用辅助化疗，鉴于目前尚无足够证据故无法统一。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2）术后辅助放疗：一种意见认为无论化疗反应如何都应根据化疗前的肿瘤临床分期来决定是否需要辅助放疗以及辅助放疗的范围；另一种意见则认为应根据术后的病理分期来决定。作者更倾向按照化疗前临床分期予以处理，但尚无足够循证依据。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3）辅助内分泌治疗、靶向治疗：参见乳腺癌术后辅助全身治疗。</p><p>【乳腺癌术后辅助内分泌治疗】1.内分泌治疗的历史</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">乳腺癌内分泌治疗的历史，可以追溯到1896年Beatson首先报告3例绝经前晚期乳腺癌，在切除双侧卵巢后2例肿瘤明显缩小。此后一百年以来，随着对乳腺癌了解的逐步深入，乳腺癌内分泌治疗经历了肾上腺切除、卵巢切除、雄激素、雌激素、孕激素、抗雌激素、芳香化酶抑制剂（AI）治疗等发展过程。目前的乳腺癌内分泌治疗，主要是指药物治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于内分泌治疗比化疗的毒性低，故对于适合内分泌治疗的MBC患者，应首选内分泌治疗。部分作者建议，如果肿瘤生长不快，并且对患者的生命未构成威胁，则应至少试用一种内分泌治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">内分泌治疗的传统一、二、三线药物分别是他莫昔芬（TAM）、孕激素和AI。由于近年来的临床试验结果，加之TAM已广泛应用于乳腺癌术后辅助治疗，故目前已经大大改变了这一传统用法，临床上，AI已代替TAM成为绝经后MBC的一线治疗药物。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">氟维司群是一种新的雌激素受体拮抗剂，它可以和雌激素受体结合，阻断受体并促进受体降解，从而阻断刺激肿瘤生长的信号传导。这一活性机制与雌激素受体调节剂（SERM）TAM是不同的。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅲ期临床试验结果表明，对于曾接受过TAM治疗后肿瘤进展或复发的绝经后乳腺癌患者，氟维司群的治疗效果至少与阿那曲唑相同，中位TTP为5. 5和4. 1个月，客观有效率分别为19. 2%与16. 5%。而对一线非甾体类AI治疗失败后的绝经后患者，氟维司群组和依西美坦组TTP无显著差异，均为3. 7个月。另外，两组的客观缓解率、临床获益率与不良反应也没有显著差别。</p><p>2.内分泌治疗的机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">正常乳腺上皮细胞含有多种激素受体如雌激素受体（ER）、孕酮受体（PR）等，乳腺的正常生长发育有赖于多种激素的协调作用。乳腺发生癌变后，部分乳腺癌可以保留全部或部分激素受体并具有功能，其生长与发展受激素环境的影响，因此称为激素依赖性肿瘤。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">机体内雌激素产生的部位与月经状况有关，绝经前妇女的雌激素主要由卵巢产生。绝经后妇女卵巢萎缩，雌激素主要是在外周组织通过将肾上腺分泌的雄激素前体经芳香化酶转变而成，因为雌激素和可能的其他激素能刺激乳腺肿瘤生长，所以根据以上的作用机制发展一些治疗方法，如抑制雌激素的合成、降低雌激素水平、阻断雌激素与雌激素受体的结合、部分或全部阻断雌激素受体的活性等，来达到治疗乳腺癌的目的。</p><p>3.内分泌药物及选择原则</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常用药物有：①AI（阿那曲唑、来曲唑、依西美坦）；②氟维司群；③雌激素受体拮抗剂：TAM或托瑞米芬；④孕激素：醋酸甲地孕酮、甲羟孕酮。⑤氟甲睾酮；⑥炔雌醇。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">选择原则：①一般不重复使用辅助治疗或一线治疗用过的药物；②TAM辅助治疗失败的患者首选AI；③AI治疗失败可选孕激素（醋酸甲地孕酮/甲羟孕酮）或氟维司群；④既往未用抗雌激素治疗者，仍可使用TAM或托瑞米芬；⑤ER阳性的绝经前患者可采取卵巢功能抑制治疗，随后遵循绝经后妇女内分泌治疗指南。</p><p>4.适应证</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">激素受体［ER和（或）PR］阳性的乳腺癌。</p><p>5.内分泌治疗与其他辅助治疗的次序</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　辅助内分泌治疗与化疗同时应用可能会降低疗效。一般在化疗之后应用，但可以和放射治疗以及曲妥珠单抗治疗同时应用，</p><p>6.绝经前患者辅助内分泌治疗方案与注意事项</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　首选他莫昔芬20mg/d×5年。治疗期间注意避孕，并每年行一次妇科检查。卵巢去势推荐用于下列绝经前患者：高度风险组且化疗后未导致闭经的患者，与他莫昔芬或第三代芳香化酶抑制剂联合应用，不愿意接受辅助化疗的中度风险组患者，与他莫昔芬或第三代芳香化酶抑制剂联合应用。对他莫昔芬有禁忌者，若采用药物性卵巢去势（GnRHa），目前推荐的治疗时间是2～3年。</p><p>7.绝经后患者辅助内分泌治疗的方案及注意事项</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　第三代芳香化酶抑制剂应向所有绝经后ER和（或）PR阳性的患者推荐，尤其是具备以下因素的患者：高度风险患者，HER2过度表达患者，对他莫昔芬有禁忌的患者，使用他莫昔芬期间出现中、重度不良反应的患者；他莫昔芬20mg/d×5年后的高风险患者。芳香化酶抑制剂优先推荐：从一开始就应用5年；必要时也可以在他莫昔芬治疗2～3年后再转用2～3年芳香化酶抑制剂；或在他莫昔芬用满5年之后的高度风险患者继续应用5年芳香化酶抑制剂。可选用雌激素受体调节剂如他莫昔芬。他莫昔芬20mg/d×5年是有效而经济的治疗方案。治疗期间应每年行一次妇科检查。不适用他莫昔芬的患者可应用其他内分泌治疗药如托瑞米芬。</p><p>【生物靶向药物治疗】1.曲妥珠单抗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HER- 2/neu 基因扩增或过度表达的乳腺癌患者无病生存期较短，预后差。目前，已开发出针对HER- 2的单克隆抗体曲妥珠单抗。对HER- 2/neu基因扩增或过度表达的晚期乳腺癌患者，多项随机分组临床试验结果表明，曲妥珠单抗联合化疗的疗效显著优于单用化疗。</p><p>2.拉帕替尼</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在过度表达HER2的细胞，同时抑制EGFR和HER2有相加作用。拉帕替尼（lapatinib）是一种口服的小分子表皮生长因子酪氨酸激酶抑制剂，可以同时作用于EGFR与HER2。在体外试验中，对HER2过表达乳腺癌细胞系的生长抑制作用明显。在HER2过表达的进展期乳腺癌的Ⅰ期临床试验中，拉帕替尼也具有较高的有效率，且与曲妥珠单抗无交叉耐药。因为其结构为小分子，与曲妥珠单抗不同，能够透过血脑屏障，对于乳腺癌脑转移有一定的治疗作用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一项国际多中心Ⅲ期临床试验显示，拉帕替尼联合卡培他滨治疗对蒽环类、紫杉类和曲妥珠单抗治疗失败的晚期难治性乳腺癌的疗效（ORR、TTP和PFS）优于单用卡培他滨。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前，拉帕替尼已在许多国家被批准用于HER2阳性MBC的治疗。</p><p>3.贝伐单抗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">贝伐单抗是一种针对血管内皮生长因子的重组人源化单克隆抗体，该药已经获得欧盟和美国的批准用于一线治疗MBC。在E<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>100试验中700余例初治局部复发或转移性乳腺癌患者进入临床试验，结果显示，贝伐单抗联合每周紫杉醇治疗能够显著改善PFS，风险比0. 48；P=0. 0001（独立核查委员会评估结果）和0. 42，P= 0. 0001（研究者评估结果）；中位PFS相似（独立评估委员会评估结果为11. 2个月vs. 5. 8个月，研究者评估结果为11. 4个月vs. 5. 8个月，有效率分别为48. 9%vs. 22. 2%，P = 0. 0001），这是第一个证实抗血管生成药物联合化疗显著优于单用化疗的临床试验。而在AVADO试验中，736例局部复发或转移性乳腺癌患者随机分入低剂量贝伐单抗联合TXT组、高剂量贝伐单抗联合TXT组以及单药TXT组。结果显示了联合组的无进展生存优势。贝伐单抗低剂量组与单药TXT组比较的无进展生存风险比为0. 79（P = 0. 0318），中位PFS为8. 7个月vs. 8. 0个月；贝伐单抗高剂量组与单药组比较的风险比0. 72（P = 0. 0099），中位PFS 8. 8个月vs. 8. 0个月。多数不良事件严重程度为轻至中度。回顾性分析显示，接受TXT联合贝伐单抗治疗的老年患者耐受性良好。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鉴于以上临床结果，贝伐单抗联合其他化疗药物已成为MBC的标准治疗方案之一，广泛用于MBC的治疗。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;中华妇产科学.中册</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2490', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '716', '概述', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病毒性肺炎（viral pneumonia）是由各种不同种类病毒侵犯肺实质而造成的炎症，常由上呼吸道病毒感染向下蔓延发展引起，亦可由体内潜伏病毒或各种原因如输血、器官移植等引起病毒血症进而导致肺部病毒感染。病毒性肺炎好发于冬春季节，暴发或散在流行，免疫低下患者全年均可发病。在社区获得性肺炎中病毒性肺炎约占5%～15%，而非细菌性肺炎中约25%～50%为病毒性肺炎所致。多见于儿童，成人相对少见。近年来由于免疫抑制药物的广泛应用，以及艾滋病的发病人数逐年增多，单纯疱疹病毒、水痘-带状疱疹病毒，尤其是巨细胞病毒（CMV）引起的成人严重肺炎有所增加。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2491', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '716', '病因与传播途径', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可引起肺炎的病毒很多，临床常见流行性感冒病毒、副流感病毒、腺病毒、呼吸道合胞病毒、CMV、麻疹病毒、水痘-带状疱疹病毒等。亦可有肠道病毒如柯萨奇病毒、埃可病毒等。流感病毒较多见，常见于年幼者、孕妇以及65岁以上的老人，虽好发于原有心、肺疾患及慢性消耗性疾病者，尤易发生于左心房压力增高如二尖瓣狭窄者，但正常人亦可发生，为病毒直接侵犯肺部所致。小儿感染中腺病毒和呼吸道合胞病毒占重要地位。研究表明呼吸道合胞病毒所致肺炎占需住院婴幼儿肺炎的20%～25%。而器官移植患者中CMV感染发生率亦有明显升高趋势。近二十年来不断发现可引起肺炎的新病毒，1993年在美国西南部发现以肺间质浸润、非心源性肺水肿和ARDS为主要临床表现的汉坦病毒（hantavirus），其引起的汉坦病毒肺综合征（HPS）病死率达50%。1997年香港地区首次报告的高致病性人禽流感，已在世界多个地方有致死报道，病死率高达60%。又如2002年底开始于我国广东，2003年春季在国内和世界一些国家发生并流行的一种新的冠状病毒（SARS-CoV）感染，可导致严重急性呼吸综合征（SARS）。2012年以来，中东地区尚发现由一种高度类似SARS-CoV的新型冠状病毒引起的感染病例，已引起世界卫生组织的高度重视。其他尚有H7N9等甲型流感病毒肺炎。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病毒性肺炎主要经飞沫吸入，或通过污染的食具或玩具以及与患者直接接触感染，或由上呼吸道病毒感染向下蔓延所致，常伴鼻炎、气管支气管炎。动物如禽、马、猪等有时带有某种流行性感冒病毒，亦可经接触传染至人。粪-口传染见于肠道病毒；呼吸道合胞病毒通过尘埃传染。病毒亦可通过输血、器官移植途径、母婴间的垂直传播等感染。如器官移植受者可通过多次输血，甚至供者的器官引进病毒特别是CMV感染。不同感染的潜伏期不同，如流感为1～3天，SARS-CoV为1～14天（中位期4～7天）。潜伏期已成为诊断相关病毒感染的重要流行病学依据。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2492', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '716', '病理', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病毒感染累及下呼吸道，引起气道上皮广泛破坏，纤毛功能损害，黏膜坏死、溃疡，黏液增加，细支气管阻塞，进而累及肺实质。单纯性病毒性肺炎多为细支气管及其周围炎和肺间质性炎症，肺泡间隔有单核细胞和淋巴细胞浸润，肺泡水肿、透明膜形成，进而导致呼吸膜增厚，弥散距离增大。肺泡细胞和吞噬细胞内可见病毒包涵体。呼吸道合胞病毒、麻疹病毒、CMV引起的肺炎，肺泡腔内尚可见散在多核巨细胞。肺炎病灶可为局灶性或弥漫性渗出，甚至实变。病变吸收后可遗留肺纤维化。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2493', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '716', '临床表现', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">各种病毒感染起始症状各异。临床症状通常较轻，病程多在2周左右。绝大部分患者先有咽痛、鼻塞、流涕、发热、头痛等上呼吸道感染症状；少数如SARS可急性起病，进展迅速。病变进一步发展成肺炎时，咳嗽多呈阵发性干咳，可伴气急、胸痛、持续高热。婴幼儿以及存在免疫缺损患者病情多较严重，有持续高热、剧烈咳嗽、血痰、心悸、气促、神志异常等，可伴休克、心力衰竭、氮质血症。严重者常会发生呼吸窘迫。流感病毒肺炎常在急性流感症状尚未消散时，即出现咳嗽、少量白黏痰、胸闷、气急等症状。腺病毒肺炎约半数以上病例尚有呕吐、腹胀、腹泻等消化道症状，一般认为可能与腺病毒在肠道内繁殖有关。呼吸道合胞病毒肺炎绝大部分发生于2岁以下儿童，约2/3的病例有一过性高热，阵发性连声剧咳、呼吸喘憋症状明显；皮肤偶见红色斑疹，肺部可闻及较多湿啰音和哮鸣音，亦可出现肺实变体征。水痘、麻疹性肺炎常先有特征性皮疹。口腔黏膜Koplik斑和全身性特征性皮疹是麻疹的典型表现。麻疹并发麻疹病毒肺炎时呼吸道症状持续加重，高热持续不退，肺部可闻及干湿啰音。水痘-带状疱疹病毒肺炎多发生于成年人。典型皮疹于躯干、四肢先后分批出现，发展极快。肺炎症状多发生于出疹后2～6天，亦可出现于出疹前或出疹后10天。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">除某些病毒感染时有特征性皮疹出现外，多数体征常并不明显，部分患者可于下肺部闻及小水泡音或干啰音。重症者可有呼吸频率加快、发绀、肺部干湿啰音、心动过速等。严重者可见三凹征和鼻翼扇动，肺部可闻及较为广泛的干湿啰音及哮鸣音，并可出现ARDS、心力衰竭和急性肾衰竭，甚至休克。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">实验室检查外周血白细胞计数一般正常，也可稍高或偏低。继发细菌感染时白细胞总数和中性粒细胞比例均增多。血沉、C反应蛋白多正常。重症者常有淋巴细胞减少。痰涂片所见的白细胞以单核细胞为主。痰培养常无致病菌生长。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胸部X线征象常与症状不相称，往往症状严重而无明显的X线异常。病毒性肺炎一般以间质性改变为主，或多叶散在斑片样密度增高模糊影，病情严重者显示双肺弥漫性结节性浸润，亦有病灶融合呈大片样改变，伴局限性肺不张或肺气肿。但大叶实变及胸腔积液者均不多见。病灶多见于两肺的中下2/3肺野。不同病毒引起的肺炎X线表现有所不同。呼吸道合胞病毒肺炎常有肺门阴影扩大，肺纹理增粗，在支气管周围有小片状阴影，或有间质病变，肺气肿明显；腺病毒肺炎肺局部有小点状、不规则网状阴影，可融合成片状浸润灶，严重者两肺呈弥漫性浸润阴影，与ARDS表现相仿。CMV肺炎的胸部影像学表现常为两肺不对称的毛玻璃影，气腔病变和细小的小叶中心结节，双侧支气管血管周围肺间质和肺泡浸润性表现主要累及肺下叶，极少呈局限性实质性浸润。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2494', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '716', '诊断', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床有急性呼吸系统感染的症状，外周血白细胞正常，胸部影像学上有弥漫性间质性改变或散在渗出性病灶，结合特征性皮疹、有某些环境危险暴露因素、处于病毒感染流行期等，并排除细菌性或其他病原体感染的可能，可考虑病毒性肺炎的诊断。由于各型肺炎间缺乏明显的特异性，最后确诊往往需要借助病原学方面的检查，包括病毒分离、血清学检测以及病毒和病毒抗原、DNA的检测等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">痰中细胞核内的包涵体可提示病毒感染，但并非一定来自肺部，需发病早期进一步收集肺活检标本或下呼吸道分泌物尤其是下呼吸道的防污染标本行培养分离病毒，鼻咽拭子的病毒分离亦有一定诊断价值。亦有用免疫荧光和酶联免疫吸附试验测定下呼吸道分泌物中病毒抗原，阳性率可达85%～90%。快速培养将传统细胞培养与荧光标记单克隆抗体检测CMV即刻早期抗原α、β蛋白相结合，可提高细胞培养的敏感性，并大大缩短检查时间。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血清学方法可检测病毒特异性IgG、IgM以协助诊断。IgG检查常需抽取急性期和恢复期双份血清，早期诊断价值不大，多用于流行病学调查。而急性期特异性IgM检测可用于早期诊断。如采用急性期单份血清检测呼吸道合胞病毒、副流感病毒特异性IgM，敏感性、特异性均较高。鼻咽分泌物中特异性IgA检测亦有早期诊断价值，但早期特异性IgM升高不宜作为婴幼儿呼吸道合胞病毒感染的诊断依据。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病毒抗原和核酸的检测已广泛应用于病原体的确定。鼻咽拭子、下呼吸道标本如经纤支镜肺活检标本、支气管肺泡灌洗液等可用来检测其中的CMV包涵体、抗原、DNA、mRNA，特异性高。通过免疫荧光染色技术检测外周血中性粒细胞中的晚期抗原结构pp65有较高的特异性及敏感性，定量分析2×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">5</span>个外周血白细胞中的CMV阳性细胞数水平，可预测CMV肺炎的发生及预后，指导治疗，但预测复发效果不佳。PCR尤其是定量PCR技术及分子杂交技术可用于CMV的DNA检测。原位分子杂交、反转录PCR、核酸序列扩增方法检测病毒mRNA耗时少，特异性及敏感性高，尤其是主要即刻早期mRNA被认为是CMV活动性感染的最特异指标，因其还能区别潜伏或活动性感染，在CMV肺炎的检测及早期诊断方面具有良好前景。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2495', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '716', '治疗', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前对多数病毒尚缺少特异性治疗。利巴韦林体外研究虽有广谱抗病毒作用，但临床疗效缺少充分评价，仅可能对呼吸道合胞病毒感染有效，可口服或静脉给药，针对呼吸道合胞病毒肺炎尚提倡经气道雾化吸入，配合应用特异性免疫球蛋白、呼吸道合胞病毒单抗（帕利珠单抗，palivizumab）、气道湿化和痰液引流等可有较好效果。毒副作用主要为骨髓抑制。阿昔洛韦可用于治疗水痘-带状疱疹肺炎，用量一般为10～12mg/kg，静脉滴注，每8小时1次，共7天，疗效虽未完全肯定，但入院36小时内开始用药，可能是最佳治疗。更昔洛韦对CMV肺炎按不同宿主推荐治疗为：①艾滋病患者：更昔洛韦5mg/kg，静脉滴注，每天2次，用药2～3周；②骨髓移植：更昔洛韦7.5～10mg/（kg/d），静脉滴注，用药20天（或加维持治疗5mg/kg，3～5次/周，共8～20次）联合静脉用丙种球蛋白500mg/kg，隔天1次，共10次，或400mg/（kg/d）d1，d4，d8和200mg/kg d14；③实体器官移植：更昔洛韦7.5～10mg/（kg/d），静脉滴注，10～20天，随后应用维持量。阿糖腺苷能抑制病毒DNA合成。常用于疱疹病毒肺炎的治疗。金刚烷胺、金刚乙胺对甲型流感病毒和人禽流感有效，48小时内尽早用药较好，但对流感病毒肺炎的疗效尚未有定论。另外，早期使用奥司他韦能降低H5N1人禽流感的病死率，而且WHO认为在病程后期进行治疗也应该使用奥司他韦。除抗病毒药物外，现代免疫治疗对病毒性肺炎亦有一定的疗效，干扰素、聚肌胞（Poly I∶C）、白细胞介素-2、特异性抗病毒免疫核糖核酸、免疫球蛋白甚至特异性免疫球蛋白等均可应用于临床病毒性肺炎的治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">除特异性抗病毒治疗外，治疗尚应注意辅助治疗和对症支持治疗，如气道湿化和痰液引流，保持呼吸道通畅，低氧血症时氧疗，积极纠正心、肺功能衰竭，必要时机械通气辅助呼吸等。原则上病毒性肺炎不宜应用抗生素预防继发细菌感染，但临床上其与细菌性肺炎早期往往很难区别，且常合并细菌性感染，抗生素多有应用。对明确继发细菌、真菌感染者，应及时选用敏感抗菌药物。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2496', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '716', '预防', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要为提高机体抵抗力，注意个人和公共卫生，减少吸入和接触病毒机会。对献血和器官移植供体加强检测可减少病毒输入机会，并为移植受者预防性使用抗病毒药物提供依据。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2497', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '716', '参考文献', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.Fauci AS，Braunwald E，Kasper DL.et al.Harrison’s Principles of Internal Medicine.17th ed.New York：McGraw-Hill Medical Publishing Division，2008.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.Goldman L，Schafer AI.Goldman’s Cecil Medicine，24th ed. Philadelphia：Saunders，2011.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.Ruuskanen O，Lahti E，Jennings L，et al.Viral pneumonia. Lancet，2011，377（9773）：1264-1275.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.Cesario，Thomas C.Viruses Associated With Pneumonia in Adults.Clinical Infectious Diseases，2012，55（1）：107-113.</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><br/><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2517', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '63', '发病情况', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性气管支气管炎（acute tracheobronchitis）是气管为主并可累及支气管的自限性急性气道炎症（acute airway inflammation）（1～3周），主要表现为咳嗽，诊断前提是临床和影像没有肺炎证据。中华医学会呼吸病学分会《咳嗽的诊断与治疗指南》内定义急性气管支气管炎是由于生物性或非生物性因素引起的气管支气管黏膜的急性炎症。2011年欧洲呼吸病学会将其定义为：急性气管支气管炎指没有慢性肺部疾病的患者出现以咳嗽为主的急性症状，可以伴有咳痰或其他临床征象提示是下呼吸道感染，而不能以其他原因来解释（如鼻窦炎和哮喘）。可以认为这是迄今对本病比较准确的界定。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2518', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '63', '病原体与流行病学', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病的病原体主要是病毒、细菌和非典型病原体。对初级保健机构就诊的下呼吸道感染患者的病原学研究显示，细菌（主要是肺炎链球菌）占26%，非典型病原体（主要是肺炎支原体）占24%，病毒（以流感病毒最重要）占19%，其他研究则表明病毒所占比例明显为高，非典型病原体比例要低。非典型病原体感染的发生率可能会受局部地区小流行的影响，1994年瑞典曾有研究报道，急性支气管炎有25%归因于衣原体感染。早年认为百日咳为儿童疾病，但20世纪80年代以来，本病在美国等国家的年长儿童和年轻人中增加，美国旧金山市的一项研究表明咳嗽≥2周的153例成人中有12%证明为百日咳杆菌感染。呼吸道感染的常见病原菌如肺炎链球菌、流感嗜血杆菌、金黄色葡萄球菌和卡他莫拉菌亦常怀疑为本病的致病菌，但除非在新生儿、人工气道或免疫抑制患者，至今没有“细菌性支气管炎”的确切证据。半数以上的患者检测不出病原体。非感染性因素如烟尘和过敏原也在急性气管支气管炎的发病中起重要作用，但确切比例尚不清楚。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">社区中具有急性下呼吸道症状的人群颇多，但就医者仅占10%。在西欧近10余年来初级保健机构中急性气管支气管炎的发病率从50人/1000人/年下降至22人/1000人/年，可能原因是下呼吸道感染就医减少，以及医生对以咳嗽为主要症状的患者诊断为哮喘或COPD较过去增多。&nbsp;发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病理主要为气管支气管黏膜充血、水肿、分泌物增加；黏膜下层水肿，淋巴细胞和中性粒细胞浸润。一般仅限于气管、总支气管和肺叶支气管黏膜，严重者可蔓延至细支气管和肺泡，引起微血管坏死和出血。损害严重者黏膜纤毛功能降低，纤毛上皮细胞损伤、脱落。炎症消退后，黏膜的结构和功能多能恢复正常。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年来有人注意到急性支气管炎与气道高反应性之间的关系。在复发性急性支气管炎的患者轻度支气管哮喘发作较正常人群为多。反之，急性支气管炎患者既往亦多有支气管哮喘史或特异质病史，提示支气管痉挛可能是急性支气管炎患者咳嗽迁延不愈的原因之一。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2519', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '63', '临床表现', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">起病往往先有上呼吸道感染的症状，如鼻塞、流涕、咽痛、声音嘶哑等。在成人，流感病毒、腺病毒和肺炎支原体感染可有发热，乏力、头痛、全身酸痛等全身症状，而鼻病毒、冠状病毒等引起的急性支气管炎常无这些表现。炎症累及支气管黏膜时，则出现咳嗽、咳痰。咳嗽是急性支气管炎的主要表现，开始为刺激性干咳，3～4天后鼻咽部症状减轻，咳嗽转为持续并成为突出症状，受惊、吸入冷空气、晨起晚睡或体力活动时咳嗽加剧。咳嗽为阵发性或持续性，剧咳时伴恶心、呕吐及胸、腹肌疼痛。咳嗽可持续2～3周，吸烟者则更长。半数患者有咳痰，痰呈黏液性，随病程发展可转为脓性痰，偶痰中带血。气管受累时，深呼吸及咳嗽时可有胸骨后疼痛。部分患者可出现支气管痉挛，表现为喘鸣、气急和程度不等的胸部紧缩感，长期随访此类患者可能演变为哮喘。有慢性阻塞性肺疾病及其他损害肺功能的基础疾病者可有发绀和呼吸困难。胸部体检，如黏液分泌物潴留于较大支气管时可闻及粗干性啰音，咳嗽后啰音消失。支气管痉挛时，可闻及哮鸣音。无并发症者不累及肺实质。胸部影像检查无异常或仅有肺纹理加深。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2520', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '63', '诊断与鉴别诊断', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">诊断并不困难，通常根据症状、体征、X线表现、血常规检查即可作出临床诊断。但急性气管支气管炎通常是一个临床诊断，对于没有慢性肺部疾病的患者来说，重要的是需要除外肺炎。但对于一个咳嗽1～3周而没有发热等其他症状的患者来说，是否需要胸片检查是一个很受争议的问题。这也就是欧洲呼吸病学会坚持用下呼吸道感染（lower respiratory tract infection，LRTI）这个名词的原因，建议只有出现如下一项表现（新出现局限性肺部体征、呼吸困难、气急、脉搏率＞100次/分、发热＞4天）需要怀疑肺炎的患者先测血清C反应蛋白（C-reactive protein，CRP），如果CRP＜20mg/L则不考虑肺炎的诊断，如果CRP＞100mg/ L，需要怀疑肺炎而需进一步通过胸片来确认。因此在影像学检查以前，气管支气管炎的诊断是一个临床诊断，用LRTI则能避免影像学缺失导致诊断不正确。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于影像学没有异常的急性咳嗽患者，气管支气管的诊断通常也与上呼吸道感染、流感等诊断重叠在一起而难以区分，特别是当咳嗽正逐渐成为一个诊断名词的时候，急性气管支气管炎和急性咳嗽有时几乎成了一个同义词，如果咳嗽超过3周而成为亚急性咳嗽时，是否需要按照慢性咳嗽来诊断还是继续保留急性气管支气管炎的诊断也成了难题。事实上许多亚急性咳嗽甚至慢性咳嗽大多起源于急性的病毒感染，而感染不仅仅局限于上呼吸道，而是自上而下全呼吸道的炎症反应，导致气道的反应性升高。作者认为对于急性气管支气管炎而言，病程和急性症状的把握可能是诊断的分水岭。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于有慢性气道疾病如COPD、哮喘、支气管扩张的患者来说，是否需要诊断急性气管支气管炎更是颇费踌躇的问题，理论上两者可以合并存在，但临床医生更倾向用原有疾病的急性加重，如COPD急性加重来诊断出现的情况，但并非每次出现急性气管支气管的炎症都会导致原有疾病的加重而需要改变原来的维持治疗，因此需要临床医生准确把握两者的区别而避免过度诊断和治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">许多影像学有异常的急慢性肺部疾病如肺炎、肺结核、肺脓肿、肺癌、肺间质纤维化，均可出现不同程度的咳嗽，为避免误诊，如果咳嗽超过3周，治疗效果不佳，或者出现其他症状不能解释，建议按照慢性咳嗽的流程，先行胸部X线检查。对于本身就有慢性肺部疾患的患者，需对照影像学的变化，区分是否是原有疾病的加重。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">气管支气管炎的病原一般认为以病毒最为常见，其他肺炎支原体和百日咳杆菌等也有可能，但一般来说均无必要进行病原学检查。特殊情况下结核和曲霉可以引起单纯气管支气管的感染，但通常病程迁延，开始易被误诊，需要通过支气管镜检查来明确。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2521', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '63', '治疗', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一般患者无须住院治疗。有慢性心肺基础疾病者，流感病毒引起的支气管炎导致严重通气不足时，需住院接受呼吸支持和氧疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对症治疗主要是止咳祛痰，剧烈干咳患者可适当应用镇咳剂。伴支气管痉挛时可用茶碱或β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体激动药。以全身不适及发热为主要症状者应卧床休息，注意保暖，多饮水，服用解热药。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性气管支气管炎是抗生素治疗的滥觞，美国至少70%就诊的气管支气管炎接受了抗菌药物治疗，而通常认为其主要的病因是病毒。但由于病因诊断的不确定性，是否应用抗菌药物成为临床难题，建议在老年人、有心肺基础疾病者特别是出现脓痰的患者可以应用大环内酯类、β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">-</span>内酰胺类或喹诺酮类口服抗菌药物。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2522', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '63', '预防', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">冬季注意保暖，避免上呼吸道感染；戒烟。做好环保工作，治理空气污染。改善劳动卫生条件，生产车间要防止有害气体、酸雾和粉尘的外逸。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2523', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '63', '参考文献', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Woodhead M，Blasi F，Ewig S，et al.Guidelines for the management of adult lower respiratory tract infections.Clin Microbiol Infect，2011，17（S6）：E1-E59.</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2524', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1630', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">简称绒癌，卵巢绒癌是罕见而高度恶性的肿瘤，多发生于青春期前，约半数发生于儿童。卵巢绒癌可分为妊娠性及非妊娠性两类，前者来自卵巢妊娠，后者系由生殖细胞演变而来。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;中华妇产科学.下册</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2525', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1630', '病理变化', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">：非妊娠性绒癌与妊娠性绒癌的病理形态基本相同，但非妊娠性绒癌多与其他类型恶性生殖细胞肿瘤合并存在，如未成熟畸胎瘤、胚胎性癌、内胚窦瘤、无性细胞瘤等。常为单侧，肿瘤直径可达15cm左右，包膜薄，其下往往有出血。切面可见组织疏松、质脆，呈紫红色，有广泛出血及坏死。此肿瘤系由细胞滋养层及合体滋养层两种细胞组成，但镜下无绒毛结构。非妊娠性绒癌的转移途径与妊娠性绒癌不同，以腹腔内扩散及淋巴道转移为主，但也可经血循环转移至肺、肝、脑、肾、胃肠及盆腔等处。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;中华妇产科学.下册</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2526', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1630', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">：非妊娠性绒癌与妊娠性绒癌的临床表现不同。非妊娠性绒癌多见于青少年及小儿，由于产生hCG使儿童的卵巢发育，而出现性早熟，如月经初潮提前、腋毛、阴毛生长、乳房增大、乳晕着色及阴道少量出血等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;中华妇产科学.下册</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2527', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1630', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">：首先根据临床表现。卵巢绒癌患者的hCG浓度增高，妊娠试验有助于诊断。肺部拍片如发现转移灶，也有助于诊断。非妊娠性绒癌需与妊娠性绒癌相鉴别，病理切片难以区分，主要依靠病史及临床表现。非妊娠性绒癌患者多为未婚少女，发病前无妊娠史。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;中华妇产科学.下册</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2528', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1630', '治疗及预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">：此癌对化疗药物敏感，一般确诊后应尽快切除肿瘤。术后辅以化疗。但非妊娠性绒癌的化疗效果不如妊娠性绒癌好，预后极差，多于术后1年内死亡。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;中华妇产科学.下册</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2693', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '423', '病因', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">丹毒（erysipelas）是由溶血性链球菌感染所致的皮肤和皮下组织的急性炎症。面部丹毒常易累及眼睑，上下眼睑均可发病，并向周围组织蔓延。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;中华眼科学:全3册（上）</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2694', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '423', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">典型症状为皮肤局部充血（鲜红色）、隆起、质硬，表面光滑，病变边缘与正常皮肤之间分界清楚，周围有小疱疹包围，这是临床诊断的重要特征。眼睑常高度水肿，不能睁开，患部剧烈疼痛和压痛。耳前和颌下淋巴结肿大，全身伴有高热。在病变过程中，如发现深部组织硬结化，应是为睑脓肿的前驱症状。睑部丹毒除可由面部蔓延而来以外，还可因睑外伤或湿疹继发性感染所致。抵抗力较强的患者，病变可于几天之内自行消退，但大多数情况，不经彻底治疗则病变可迁延数周之久，愈后无免疫力，遇到寒冷或创伤时，在原发灶上易复发。多次复发的结果慢慢会变成睑象皮病。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">至于所谓坏疽性丹毒是一种较严重的丹毒感染，一般都原发于眼睑部。这种丹毒可在几小时或几天之内引起眼睑深部组织坏死，表面覆盖一层黑色硬痂皮，几周后脱落。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">睑部丹毒可通过面部静脉或淋巴组织向眶内或颅内蔓延扩散，造成严重后果。有的病例由于眼球和眼眶组织的破坏，而导致视神经炎或视神经萎缩，以致失明。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;中华眼科学:全3册（上）</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2695', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '423', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.局部紫外线照射，同时肌肉或静脉给大剂量青霉素1000万U静脉点滴，每天2～3次，7天后改为肌内注射。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.卧床休息，清淡饮食，大便通畅。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;中华眼科学:全3册（上）</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2737', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1656', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性细支气管炎(acute bronchiolitis)是指管径＜2mm的细支气管的急性炎症，可以是特发的，但更常见于感染后、药物反应、结缔组织病、吸入毒气烟雾和器官移植等，临床上也称为细支气管综合征(bronchiolar syndrome)。既往急性细支气管炎的命名与分类非常混乱，目前临床上的急性细支气管炎常特指下呼吸道感染后的细支气管炎。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;呼吸病学</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2738', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1656', '分类', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">按病因分类可分为：</p><p>1.吸入性损伤</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">毒气(如氮氧化物)、灰尘、刺激性气体、金属粉尘、有机粉尘、香烟、可卡因、燃烧烟雾。</p><p>2.感染后</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①急性细支气管炎：是一种以病毒为主的感染性(后)细支气管炎，多发生于1岁以内的婴幼儿，偶见于年长儿童和成人。②闭塞性细支气管炎：单纯疱疹病毒、HIV、巨细胞病毒、风疹病毒、副流感病毒(Ⅲ型)、腺病毒、肺炎衣原体、克雷伯杆菌、流感嗜血杆菌、嗜肺军团菌、黏质沙雷菌、百日咳杆菌、B组链球菌、新型隐球菌、卡氏肺孢子虫。</p><p>3.药物性</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">青霉胺、六甲胺、L-色氨酸、白消安、金制剂、头孢菌素、胺碘酮、醋丁洛尔、百草枯中毒。</p><p>4.特发性</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①无诱因：隐源性缩窄性细支气管炎、呼吸性细支气管炎相关间质性肺病、隐源性机化性肺炎、弥漫性泛细支气管炎、肺神经内分泌细胞原发性弥漫性增生。②有相关诱因：器官移植相关、结缔组织病相关、阻塞性肺炎、溃疡性结肠炎、慢性嗜酸性粒细胞肺炎、放射性肺炎、吸入性肺炎、恶性组织细胞增生症、急性呼吸窘迫综合征、血管炎和慢性甲状腺炎。根据组织病学则可分为增殖性和缩窄性细支气管炎两类。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本文重点阐述感染后的急性细支气管炎。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;呼吸病学</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2739', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1656', '流行病学', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要侵犯1岁以内的婴幼儿(最多的是6个月左右)。低社会阶层生活拥挤、热带多雨季节、无母乳喂养或母乳喂养少于1个月、年龄小于12周、奶瓶喂养、母亲妊娠时嗜烟、早产、患心肺疾病或抵抗力低下等均是疾病发生的易患因素。呼吸道合胞病毒感染后的急性细支气管炎在男性患者的发生率较女性稍高。一般感染后的潜伏期约4～6天；而病毒可于症状出现前1～2天至症状出现后1～2周内传播，有时甚至可长至1个月。由于感染后自身不能产生永久性免疫抗体，故临床上再感染的发生率极高。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;呼吸病学</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2740', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1656', '病因', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">呼吸道合胞病毒是最常见的病原体，其次为副流感病毒1、2和3型。此外还有腺病毒、鼻病毒、肠道病毒、流感病毒和肺炎支原体等。不同地区中，这些病原体所占比例存在一定差异。儿童中急性细支气管炎约55%由呼吸道合胞病毒引起。美国1994年报道病毒感染占50%～75%；国内报道为57.9%～88.2%，住院患儿中则更高。副流感病毒引起的感染约占11%，病情多较凶险，病死率高。少见病原体有冠状病毒、风疹病毒、腮腺炎病毒、带状疱疹病毒、A型流感病毒、鼻病毒和微小病毒。其感染方式多经由打喷嚏或咳嗽的飞沫直接接触到幼儿的脸部，或幼儿接触受到飞沫感染的玩具，再由手经眼睛或鼻腔而传染。成人患者则多于感染肺炎支原体后发生，少数因感染呼吸道合胞病毒或细菌后诱发。&nbsp;发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">免疫组织学研究表明，急性细支气管炎是呼吸道合胞病毒感染后诱发Ⅰ型变态反应的结果。初次感染呼吸道合胞病毒后，CD4和CD8淋巴细胞亚群参与和终止病毒的复制过程，以CD8细胞起主要作用。IL-4诱导生成的IgE与急性细支气管炎的发生关系密切。急性细支气管炎时体内产生IL-2和IFN-γ的细胞克隆受抑制，而释放IL-4的细胞克隆优先激活，使IL-4分泌增加，IL-4能特异性地诱导B细胞合成IgE，且通过抑制IFN-γ产生而促进IgE生成。IL-4和其他淋巴因子还通过激活中性粒细胞和巨噬细胞脱颗粒，从而引发变态反应。血清和支气管分泌液中特异性IgG和IgE上升导致气道反应性增高。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;呼吸病学</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2741', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1656', '病理改变', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病变主要在细支气管，肺泡也可累及。受累上皮细胞纤毛脱落、坏死，继之细胞增生形成无纤毛的扁平或柱状上皮细胞，杯状细胞增多，黏液分泌增加，管壁内淋巴细胞和单核细胞浸润。管腔内充满由纤维素、炎性细胞和脱落的上皮细胞组成的渗出物，使管腔部分或完全阻塞，并可导致小灶性肺萎陷或急性阻塞性肺气肿。细支气管周围有大量炎症细胞浸润，其中绝大多数为单核细胞。黏膜下层和动脉外膜水肿。如病变并不广泛，且其损伤程度不重，炎症消退后，渗出物可被完全吸收或咳出而痊愈。少数患者可因管壁的瘢痕修复，管腔内渗出物发生机化，使细支气管阻塞，形成纤维闭塞性细支气管炎。由于细支管管壁薄，炎症容易扩展累及周围的肺间质和肺泡，导致间质性炎症和渗出液填充肺泡，还可形成细支气管周围炎。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;呼吸病学</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2742', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1656', '病理生理', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">小支气管和细支气管发生的炎症与一般的炎症相似，但所引起的病理生理改变则非常严重。炎症和水肿易使婴幼儿患者病灶部位的细支气管分泌物引流不畅。坏死物质和纤维蛋白形成的栓子可使细支气管部分或完全阻塞。部分阻塞的管腔远端区域出现过度充气，完全阻塞则导致肺不张。由于细支气管内腔狭窄，尤其是婴幼儿的小气道较成人的明显狭窄，气流阻力增大，气流速度慢，故吸入的微生物易于沉积，加上婴幼儿的特异性和非特异性免疫反应尚未发育成熟，支气管黏膜上的IgA水平较低，尚不能起到保护作用，因而在感染呼吸道病毒后较成人更易患细支气管炎。这些病变致气流阻力增加、肺顺应性降低、呼吸频率增快、潮气量下降和通气量降低，加上肺内的气体分布不均和通气/灌注比例不匹配，最终引起低氧血症，甚至发生二氧化碳潴留和高碳酸血症。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;呼吸病学</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2743', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1656', '临床表现', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患者临床过程的表现差异很大，且呈动态变化，可出现轻微的呼吸暂停或痰液阻塞，也可表现为严重的呼吸窘迫综合征。最常见的表现为起病急骤，以鼻塞、流涕和喷嚏为首发的先兆。几天后出现咳嗽、喘息、呼吸增快、心率增快、发热和胸部紧缩感，伴有激惹、呕吐、食欲减退等表现。由于细支气管内腔狭窄，管壁又无软骨支撑，发炎时易于阻塞或闭塞，因此患儿最突出的症状是喘憋性呼吸困难。与普通肺炎相比，其喘憋症状更严重，且出现更早。病情严重时呼吸浅快，伴有呼气性喘鸣，呼吸频率可高达每分钟60～80次或更快。缺氧严重时多数患者有明显的“三凹征”，鼻翼扇动，烦躁不安和发绀，甚至可出现神志模糊、惊厥和昏迷等脑病征象。由于过度换气及液体摄入不足，部分患者有脱水和酸中毒。肺部体检叩诊呈过清音，听诊呼吸音减低，满布哮鸣音或哨笛音，喘憋减轻时可闻及细湿啰音。心力衰竭者较少见，但有时心动过速可成为最显著的症状。如呼吸困难加重，而相应的肺部听诊阳性体征减少时，提示气道阻塞加重、呼吸肌肉疲劳和呼吸衰竭的发生。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;呼吸病学</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2744', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1656', '实验室检查', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血常规检查可出现淋巴细胞升高伴或不伴中性粒细胞升高，C反应蛋白也可升高，但均对感染诊断的帮助不大。中毒症状明显或体温大于40℃者，尿液或血液细菌培养对是否合并细菌感染有较高的辅助诊断价值。病情严重、出现脱水的患者可有尿素升高和电解质紊乱。动脉血气可提示低氧血症。鼻咽部分泌物病毒免疫荧光检测或PCR检测有助于病因的诊断。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;呼吸病学</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2745', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1656', '影像学表现与肺功能检测', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胸部X线表现在患者间存在很大的差异，多表现正常或伴有肺纹理增粗及肺过度充气的征象，也可出现亚段肺实变和不张。少数患者表现为结节、网状结节和磨玻璃影等类似间质性肺炎的影像特征。胸部CT对于本疾病的诊断价值不高，主要用来排除其他疾病，尤其是支气管扩张。通气/灌注肺扫描的不匹配对诊断有一定的帮助。肺功能可表现为正常或阻塞性通气功能障碍。由于目前肺功能在婴幼儿中检测的研究很少，其应用价值很受限。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;呼吸病学</p><p><br/></p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2746', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1656', '病理活检', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">开胸肺活检是急性细支气管炎诊断的金标准，根据活检的时间，早期多表现为增殖性细支气管炎，晚期则多表现为缩窄性细支气管炎或两者并存。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;呼吸病学</p><p><br/></p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2747', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1656', '诊断与鉴别诊断', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要依据流行病学资料、患儿年龄及临床表现特征等诊断。在呼吸道分泌物，特别是鼻分泌物中分离到病毒，可确诊为病毒引起的急性细支气管炎。起病后3～7天内可通过组织培养分离出病毒。应用快速病原诊断技术也可在数小时内从呼吸道分泌物中检测出病毒抗原。血清学检查对诊断帮助不大，因为检测恢复期血清至少需要2～4周的时间，且婴幼儿可从母体内获得抗体，对诊断有影响。呼吸窘迫对进食的影响、脱水严重程度以及对治疗的反应等均有助于患者病情严重程度的评估。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">许多疾病可引起与细支气管炎相似的呼吸困难和喘息表现，不易鉴别。需鉴别的常见疾病有急性喉气管支气管炎、支气管哮喘、喘息性支气管炎和病毒性肺炎。急性喉气管支气管炎主要表现吸气性困难和特征性哮鸣声。支气管哮喘在婴幼儿期不多见，但其临床表现可类似于急性细支气管炎。患儿可有家族过敏史、肾上腺素能受体激动剂或氨茶碱治疗后症状迅速缓解等，可以此鉴别。喘息性支气管炎与轻症急性细支气管炎有时不易区别，鉴别要点为前者无明显的肺气肿存在，咳喘不严重，亦无中毒症状，且可反复发作。腺病毒性肺炎也可有明显的中毒症状，但病程较长，喘憋出现晚，肺炎体征较明显，X线胸片上可见大片融合灶。此外，喘憋病人尚需与胃液反流、气道异物阻塞、咽后壁脓肿等鉴别。大部分患者可出现发热，但一般为低热，如体温大于40℃时应注意考虑其他诊断的可能。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;呼吸病学</p><p><br/></p>', null, '12', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2748', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1656', '治疗', '<p><br/></p><p>(一)氧疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性细支气管炎导致的气道阻塞明显时可发生通气/灌注异常，引起婴幼儿缺氧。如血氧饱和度(SaO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>)低于90%时，应给予低浓度氧疗。可经头罩或氧气帐给予温暖、微湿的氧气，以保持SaO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>在93%～95%以上。</p><p>(二)注意液体出入量的平衡</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">因患者呼吸急促使不显性失水增加，故应少量多次喝水。对于奶瓶喂养或不能进食者，先予胃管置入进食；重症者应积极静脉补液。脱水的纠正有利于气道阻塞的改善。</p><p>(三)抗病毒治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">尽管目前抗病毒药物利巴韦林已常用于治疗呼吸道合胞病毒引起的细支气管炎，但并没有循证依据的证实，甚至有研究提示对患者可能有害，因此不建议常规使用。临床上常用剂量0.8mg/(kg·h)，每天雾化12～18小时，连续3～5天。如通过机械通气给予利巴韦林雾化吸入时，需特别注意避免呼吸阀阻塞。</p><p>(四)支气管扩张剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">应用支气管扩张剂治疗仍有争议，大多数研究认为患儿气道阻塞的主要原因是病毒感染引起的炎症，而支气管平滑肌收缩对气道阻塞不起主要作用，因此β-肾上腺素能药物等对肺功能的改善无益，因此不建议作为常规治疗。也有少数研究提示口服或雾化吸入支气管舒张剂可减轻气道阻力。但须注意雾化给药时的气体温度，以免造成支气管狭窄加重。</p><p>(五)抗炎治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖皮质激素对病毒性急性细支气管炎的帮助有限，对住院日数、肺功能及临床表现改善也不大。有关孟鲁司特的研究结果也提示不能改善患者的病情。但近年来有研究认为细支气管炎后持续喘息的患儿雾化吸入肾上腺皮质激素有一定的短期疗效。</p><p>(六)重症患者的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如患者在高浓度吸氧下仍无法维持SaO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>大于92%，呼吸状态恶化或出现呼吸肌肉疲劳，呼吸暂停发生频率增多时需入住重症监护室，必要时给予机械通气治疗，个别的病情严重患者可考虑肺移植。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;呼吸病学</p><p><br/></p>', null, '13', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2749', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1656', '预后与预防', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">大多数患者可于病后几天至几周内开始康复，之后是否更易发展为支气管哮喘或COPD尚缺乏相关研究结果。少数感染腺病毒的患者在成年后可发展为Swyer-James(MacLeod)综合征。通过积极的预防措施可减少该病的发生与传播：①合理的母乳喂养，增强体质和机体对环境适应力；②父母双亲的戒烟；③注意手卫生、定时清洗玩具、用酒精清除污物等可减少和避免病毒的传播，婴幼儿亦应避免与呼吸道病人接触以减少感染的机会；④对于支气管肺发育不全、早产或心功能不全者可给予呼吸道合胞病毒单抗治疗，预防疾病发生。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;呼吸病学</p><p><br/></p>', null, '14', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2750', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1656', '参考文献', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.Fishman AP，Elias JA，Fishman JA，et al.Fishman’s Pulmonary Diseases and Disorders.4th ed.McGraw-Hill Professional，2008.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.Iqbal SMJ，Afzal MF，Sultan MA，et al.Acute Bronchiolitis：Epidemiological and Clinical Study.ANNALS，2009，15(4)：203-205.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.Amirav I，Anthony S.Luder MB，et al.A Double-Blind，Placebo-Controlled，Randomized Trial of Montelukast for Acute Bronchiolitis.Pediatrics，2008，122：e1249-1255.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.Bush A，Thomson AH.Acute bronchiolitis.BMJ，2007，335：1037-1041.</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;呼吸病学</p><p><br/></p>', null, '15', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2816', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1626', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病足是常见的糖尿病慢性并发症之一，也是导致糖尿病患者截肢的主要原因。15%的糖尿病患者会并发糖尿病足，其中10%～14.5%的患者会因此截肢，截肢后30天内死亡率为10%。而因血管病变导致肢端坏死的男性糖尿病患者是非糖尿病患者的53倍，女性则为71倍。截至2002年的统计，在发展中国家，中国糖尿病足的发病率仅次于印度，名列第二。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1956年，Oakley最先应用“糖尿病足”这一名词，是指因糖尿病神经病变，末梢神经感觉障碍及自主神经损害；下肢血管病变——动脉硬化引起周围小动脉闭塞症；或皮肤微血管病变以及细菌感染所导致的足部疼痛、足部溃疡及足坏死等病变。常常由于缺血、神经病变和感染三种因素协同发生作用。除了溃疡和肢端坏死之外，尚有糖尿病骨病，即X线片上可见的无菌性溶骨性破坏，是引起糖尿病Charcot关节最常见的原因。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (下册)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2817', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1626', '病因、病理', '<p>1.大血管病变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">其发病特点为：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(1)发病较早，进展较快，病变程度较严重。要比同年龄、性别的非糖尿病患者早10～20年。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(2)最严重的多见于膝下血管，胫动脉和腓动脉及其分支。在糖尿病多节段血管闭塞的患者中，可见近端与远端血管呈弥漫性墙壁样改变，而非糖尿病患者其闭塞的血管仅仅累及血管的某一节段。糖尿病患者一旦动脉粥样硬化开始，通常累及双侧下肢，而非糖尿病患者的病变往往是单侧性。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(3)症状出现早，下肢供血不足，肢端发凉，肌肉萎缩，缺血性疼痛、麻痹。足背动脉搏动减弱或消失出现较早。</p><p>2.微血管病变与微循障碍</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是糖尿病肢端坏死的病理基础，亦是预后的决定因素。主要有微血管病变、微血流紊乱、血液理化特性改变。这三者在糖尿病肢端坏死的发病过程中，相互影响，互为因果，并呈恶性循环。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(1)微血管内皮细胞损伤是导致糖尿病患者肢端坏死最基础的病理改变。内皮细胞以核为中心的细胞体向血管腔内突出，使管腔不光滑或阻塞，增加血流阻力，导致血栓形成等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(2)微血管基底膜增厚是糖尿病微血管病变的特异性病理改变，超微结构观察有局部与全层增厚两种形式。增厚的基底膜继发微血管管腔部分或全部阻塞，微循环障碍。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(3)微血管管腔狭窄，可由基底膜的器质性病变，也可存在微动脉功能性痉挛收缩，可使管腔减小50%。</p><p>3.周围神经病变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是导致糖尿病肢端坏死的重要原因，远在18世纪初的文献中已经有关于糖尿病神经炎的报道。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(1)周围神经病理改变多见轴突变性，使轴突变小，功能失常、鞘膜变性、胶原纤维明显增生、施万细胞中胞浆呈髓脂质纤维丧失、细胞突起变薄。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(2)自主神经病变，多呈节段性鞘膜断裂。轴突变性与周围神经相似，交感神经节的变化主要是空泡变性，神经节成不同程度的染色质溶解。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(3)由于糖尿病患者运动神经损伤，足部的伸肌与屈肌之间张力不平衡，易于形成跖趾关节或趾间关节背侧脱位，远侧移位的跖部脂肪垫或跖骨头下陷，形成“弓形足”或槌状趾、爪形趾畸形；足部肌肉萎缩，行走时负重在较小的面积上，而该处的保护机制下降，容易损伤，形成溃疡；由于自主神经病变使趾端皮肤少汗或无汗，皮肤干裂，易于受到细菌感染；皮肤血流增加可致下肢水肿；感觉神经病变使足部感觉迟钝，外伤后常无疼痛或疏忽大意，易于被细菌感染而形成溃疡。</p><p>4.局部感染与足坏死</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">文献报道，糖尿病的皮肤感染，疖、痈、蜂窝织炎、毛囊炎占15.97%，其中坏死性蜂窝织炎占71%，外科手术后感染占33%，术后脓毒症休克占7.15%。近年来有逐渐增加的趋势。致病菌以大肠埃希菌、铜绿假单胞菌、金黄色葡萄球菌、表皮球菌及克雷白杆菌占多数。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(1)由于糖尿病患者肢端感觉降低，保护性功能下降，生活中各种机械性、物理性及化学性损伤易于造成皮肤损伤，使细菌侵入机体后繁殖生长并逐渐蔓延扩大；同时患者存在足部畸形，爪形趾、槌状趾、踇外翻、夏科关节等。行走时足的负重点发生改变，新的压力点由于保护机制不完善而易于受到损伤；不合适的鞋袜同样是导致细菌存留感染的原因之一。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(2)由于异物损伤导致感染：如木刺、铁钉、泥土及砖瓦碎片等造成足部外伤，异物可以存留或随外力拔出，但是细菌已经存留在伤口中，如果伤口存在无效腔或引流不畅，深部容易成为细菌繁殖生长的培养基。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(3)糖尿病患者全身抵抗能力低下，患者容易感染并与糖尿病形成恶性循环，使感染不易控制。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(4)糖尿病足的血流动力学变化，使局部组织的防御能力减低，受损后的水肿、渗出，炎症加重组织张力使微血管血流进一步受损；营养不良、贫血、低蛋白血症、微量元素缺乏、老龄化合并其他疾病、酮症酸中毒、高渗性昏迷、心脑肾并发症等，均可以降低糖尿病患者的抵抗力，致使防御功能下降而发生感染。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (下册)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2818', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1626', '辅助检查', '<p>1.X线检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是最常用、方便、有效、经济的方法。骨病变是糖尿病的主要并发症之一，约占糖尿病患者的0.65%。</p><p>(1)骨质疏松：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">普遍性骨质疏松表现为足骨皮质变薄，骨小梁萎缩变细、模糊不清或减少；局限性骨质疏松表现为局部骨小梁较周围明显变细、减少、模糊甚至完全消失、局限性骨质疏松多发生于跖趾骨相对的两端偏侧，局部没有骨膜反应。</p><p>(2)骨质萎缩：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">表现为骨骼变细变小，以跖趾骨干尤为明显，在严重病例，趾骨干直径可以2mm，骨质萎缩可能是由于糖尿病所致神经血管营养不良，导致破骨细胞活跃引起骨膜下吸收的结果。</p><p>(3)骨质破坏：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">骨小梁消失或骨基质吸收。糖尿病性骨质破坏又称为骨坏死，多发生于跖趾关节相对两端的偏侧，也常发生于趾骨端，较少发生于跗骨。活动期可见小死骨、破坏边缘模糊不清，一般没有骨膜反应，附近软组织感染明显时，偶尔可见少许骨膜反应。骨质破坏有时边缘较清楚，可能与局部缺血、修复或骨膜下骨吸收有关。当骨坏死合并骨髓炎时，常可以见到较多的骨膜反应；骨性关节面被破坏后，关节肿胀，变形及脱位更加明显。严重者骨端变尖，呈刀削状、弯刀把或梅花状等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">骨质破坏的速度差异很大，有时一周内迅速进展，有时病变可以多年不变，已经修复多年的骨骼可以再度破坏并进展。这种变化可能与糖尿病病情变化、局部血供变化、局部感染等情况有关。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">关于骨质破坏的病理基础，不少学者认为是由于骨髓炎所致，目前这种观点已经为大量事实所否认。因为有些骨坏死并没有软组织溃疡或远离溃疡部位。而局部缺血可能是骨质破坏的重要因素之一。</p><p>(4)骨质修复：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">附近软组织肿胀逐渐减轻，骨质破坏区密度逐渐增高，边缘逐渐清晰，骨皮质逐渐增厚，骨性关节面逐渐清楚。文献报道有的骨端骨质破坏经过适当治疗后可以恢复至接近正常骨的状态。</p><p>(5)夏科关节(Charcot)：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">又称为神经营养性关节，主要表现为骨质碎裂，关节半脱位或脱位。碎裂的小骨块一般密度较高，附近关节结构不清。以跖跗关节多见，跗骨间关节也不少见。文献报道跖趾骨与踝关节同样可以发生。</p><p>(6)软组织改变：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有两种表现形式，干性坏疽与湿性坏疽。湿性坏疽X线片可见足底软组织肿胀，窦道及断断续续钙化的小动脉。当继发厌氧菌感染时，可见散在气泡。当干性坏疽与湿性坏疽同时存在，特别是皮肤呈显著的紫黑色时，常常可见明显的骨质破坏。</p><p>2.CT</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">分辨率明显高于X线片，可见骨正常结构消失，可以清晰显示骨小梁的吸收情况、残留的小片死骨、骨膜反应的多少及骨质修复情况；软组织的肿胀及与周围组织的关系；厌氧菌产生的气体部位及数量；窦道的具体情况等。</p><p>3.MRI</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">能够很好地显示骨骼、软组织微小的病理变化。由于反应性充血、水肿、蛋白、脂肪及骨髓组织增多等，糖尿病的骨质疏松T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>、T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>加权像上为较均匀的高信号。MRA可以清晰显示足部血管异常，血管粗细不均、变细或中断。</p><p>4.放射性核素检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于骨病的敏感性较X线为高，但是特异性较低，需要借助于其他检查综合分析。</p><p>5.多普勒检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">通过观察血流情况，可以判断动、静脉管腔有无狭窄、阻塞及其部位。是目前检查血管病变的重要手段之一。</p><p>6.神经肌肉电生理检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肌电图、体感诱发电位、运动神经/感觉神经传导速度测定、F/H波传导速度等可以提供周围神经功能状况的判定。</p><p>7.介入学检查与血管造影</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可以了解血管病变范围、血流分布及有无旁路手术的可能性，便于手术定位。但此项检查属于创伤性检查，造影后可能引起动脉痉挛，加重肢体缺血，甚至坏疽。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (下册)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2819', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1626', '治疗', '<p>1.原则</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(1)控制糖尿病：如糖尿病饮食治疗，应用糖尿病药物，将血糖控制在目标值。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(2)扩血管、抗凝、溶栓：改善血液循环，使大血管及微循环再疏通，从而使肢端血流畅通，坏疽局部供血得到良好改善。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(3)抗感染：选用有效抗生素，控制全身或坏疽局部感染，减少坏疽局部蔓延和脓毒症的发生。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(4)控制其他相关急、慢性并发症，增强患者体质。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(5)坏疽局部分级处理：通过去腐生肌的方法，即切开排脓，对坏死组织采取蚕食的方法逐渐清除，创面敷以外用药物，促进皮肤再生，促使创面早日愈合。</p><p>2.外科治疗(1)血管重建术：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年来的研究认为，糖尿病足仍有行远端血管转流的可能性。因此对于糖尿病足患者不应轻易放弃，而应重视远端血管重建以挽救肢体。目前，膝以下动脉重建以自体静脉移植转流通畅率最高，自体静脉移植于远端动脉搭桥是治疗糖尿病足缺血有效的方法。Pomposelli等的研究表明，足背动脉重建治疗缺血糖尿病足远期效果较好，应首选大隐静脉作为移植物。那种认为糖尿病足缺血患者由于存在小血管闭塞而只能行截肢的观点是错误的，足背动脉转流可常规用于糖尿病足缺血患者。</p><p>(2)介入治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">针对糖尿病下肢动脉缺血的介入治疗主要集中在腘动脉和胫腓动脉。最近文献报道，在有足背动脉搏动情况下，腘动脉介入治疗与髂动脉介入治疗的累积通畅率相当。糖尿病下肢动脉缺血介入治疗的最佳时机是中度缺血的患者，有经皮球囊扩张血管成形术、血管内支架、血管腔内硬化斑块旋切术、激光血管成形术等。术后应用防止血栓形成药物。介入治疗术后再通血管内膜增生是中期闭塞的重要因素，而应用动脉造影和双功彩超进行随访监测，可以及时发现血流动力学异常，及时治疗。</p><p>(3)自体组织移植：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年来随着组织工程学的逐渐发展，国外已经有学者应用于临床。移植物一般包括来源于患者骨髓的自体干细胞、生物可降解胶原膜与自体皮肤成纤维细胞。</p><p>(4)糖尿病足截肢术：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据Wagner分级系统，1、2级糖尿病足可通过护理和局部清创等方法治疗，不需截肢。3级糖尿病足如果有气性坏疽应及时施行截肢手术。4级糖尿病足损害严重，足前半部的坏疽兼有溃疡发生，这样的病变作部分截肢术是不可避免的。如果坏疽局限于1个足趾，坏疽又是干燥的，可自基底部将整个足趾切除。如坏疽已蔓延到足背，可将坏死足趾连同跖骨一并切除。多个足趾坏疽应作跖骨截除，根据坏死平面最大限度可截至跖跗部。坏疽进展快，又是湿性坏疽，施行截肢术刻不容缓，而且截肢平面应高于坏疽部位。术后开放还是关闭伤口应根据创面条件，如果手术较彻底关闭伤口后用负压引流。坏疽创面兼有剧痛、体温升高，白细胞与血沉增快，说明全身症状在发展，需增加胰岛素用量，全力控制症状发展和降低血糖水平。在此之前，可先姑息性地将坏疽部分截除，然后根据全身状况、局部血液循环选择高位(膝下、齐膝关节或膝上)截肢。5级糖尿病足坏疽已涉及整个足部。即使当时为足局部的坏死，但整个足严重的血液循环障碍也不可避免地要发展为整个足的坏疽。因此必须及时施行截肢手术。截肢平面可行膝下，经膝或膝上平面，此外尚可由动脉血管阻塞部位决定。截肢平面还得结合患者是否安装假肢、假肢种类及肢体的具体情况决定。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病足常合并神经性关节炎，为防止跗骨间的畸形或保持足的负重功能，可考虑做三关节融合术，术后石膏固定。固定期要比一般长。至于神经性关节炎本身并无特殊治疗，关键在于控制糖尿病，有时大剂量服用维生素B有暂时缓解症状的效用。</p><p>1)单个足趾切除：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对正常步态影响很小，拇趾切除不影响正常站立和步行，但如果患者快行或奔跑时由于<span style=\"font-size: 13.3333px;\">拇</span><span style=\"font-size: 13.3333px;\">趾</span>缺失导致推进力降低，会产生跛行。其他各趾切除的影响均不大，其中第五趾切除最常见。切除全部足趾对慢行影响不大，但对快行、跳跃、踮脚和下蹲均有很大影响。通常术后需要鞋内充填物而不需假体。</p><p>2)经跖骨截肢：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据截骨的程度会导致不同程度的功能障碍，越靠近近端对功能影响越大。</p><p>3)经跖骨更近端的截肢：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">会导致显著的步态影响，因为失去了正常的支撑和推进力。Roach和Mc-Farlane报道糖尿病足应用Lisfranc或Chopart截肢术后效果良好。但Lisfranc截肢术后常发生马蹄足，因为足背伸肌没有了附着点。而Chopart截肢术经中跗关节截肢可导致严重的马蹄内翻畸形。由于任何平面的截肢都会影响步行，所以常需要作高位水平的修整或距下关节融合术。Roach和McFarlane应用跟腱切断术来阻止早期的马蹄足发生。</p><p>3.内科治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病足在外科治疗后仍应继续内科治疗，以控制病情发展，改善全身情况。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (下册)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2820', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1626', '预防', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.首先是控制血糖　糖尿病足主要由于糖尿病造成肢体周围血管、神经病变继发感染所致，而控制血糖是减缓周围血管、神经病变发生的有效手段。并且高血糖也易发生感染，所以严格控制血糖是非常关键的一步。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.由于周围神经病变是糖尿病足发生的重要因素，所以适当的营养神经药物及适当的足部按摩也是有益处的。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.保护脚　不要穿过紧的鞋袜，不要光脚行走，修脚时避免足部受伤。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.积极治疗脚气　一般患者有不同程度的足部真菌感染，真菌感染也是创面难愈的因素之一。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.患者洗脚时要慎重　因足部皮肤因感觉异常而无法判断水温的高低易发生烫伤。一般水温不宜超过患者下肢体表温度。洗脚后宜用柔软及吸水性毛巾擦脚，动作要轻，要彻底擦干，尤其是趾缝应擦干，并防止任何的擦伤。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">纠正不良生活习惯，力求戒烟，避免过度紧张，特别应避免熬夜和过度疲劳，以防病情恶化。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (下册)</p><p><br/></p><br/><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2821', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '477', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胃泌素瘤（gastrinoma）是一种具有分泌胃泌素功能的肿瘤，常位于胰和十二指肠。其临床表现主要是由于高胃泌素血症所致的胃液、胃酸分泌过多而引起的多发、难治、非典型部位的消化性溃疡和（或）腹泻等综合征群。此病在1955年由Zollinger和Ellison首先报道，故曾命名为卓-艾综合征（Zollinger-Ellison syndrome）。分为两种类型：①单发型，较多见，倾向于恶性腺癌；②Ⅰ型多发性内分泌瘤综合征（multiple endocrine neoplasia type I，MEN-1）组成中的胃泌素瘤，常染色体显性遗传，多为良性腺瘤，占胃泌素瘤的20%左右。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2822', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '477', '病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胃泌素瘤大多数发生在胰腺和十二指肠，其次可位于肝、肾、脾门、肠系膜、胃、淋巴结及卵巢等部位，罕见位于心、胆总管、空肠、网膜。80%～90%的胃泌素瘤位于“胃泌素瘤三角区”内，其上方为胆囊管和胆总管交点，中间为胰腺的颈、体连接部，下方为十二指肠的第2、3部接合点。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胃泌素瘤行免疫组织化学染色可见胃泌素颗粒和嗜铬素A（chromogranin A）阳性。在组织学方向不能区别肿瘤的良恶性，确定肿瘤恶性的唯一方法是发现肿瘤与周围组织广泛浸润和（或）发生转移。当肿瘤直径＞3cm时应高度怀疑为恶性。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2823', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '477', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胃泌素瘤国内外报道其发病率仅为0.1～15/100万，发病以中年人多见，男性稍多于女性。胃泌素瘤虽多数为恶性，但因瘤体小，发展缓慢，所以肿瘤本身很少引起明显的症状，直至疾病的晚期才出现恶性肿瘤浸润或转移的症状。其临床表现主要与大量胃酸分泌有关。</p><p>（一）腹痛</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常是由于消化性溃疡所致，是最常见的症状，发生率在80%以上。疼痛较严重，呈持续进行性。消化性溃疡常为多发性，以在不典型部位（球后十二指肠降段和水平段，或空肠近端）为特点，对常规的抑酸药物、根治幽门螺杆菌及手术治疗的疗效欠佳，且易发生出血、穿孔及幽门梗阻等并发症。此外疼痛也可以由于胃酸反流入食管引起胃灼热的症状，约占20%。</p><p>（二）腹泻</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是本病的第二个常见症状，约占60%～70%。有10%～20%的患者腹泻可先于消化性溃疡。腹泻量大呈水样或脂肪泻，严重者可产生水、电解质和酸碱平衡紊乱。产生腹泻的原因是：①由于大量胃酸和胃液进入肠腔，超过了小肠的吸收能力，肠腔内容量增加而刺激了肠蠕动。②大量胃酸进入肠腔造成小肠黏膜直接损伤，引起炎症、渗出、绒毛萎缩变平而影响水和营养的吸收。③大量胃酸进入肠腔使胰脂肪酶失活，甘油三酯分解减少，同时大量胃酸进入肠腔使胆酸沉积，结合胆酸减少，使微胶粒形成减少，导致脂肪吸收障碍。如胃酸高分泌能控制，则腹泻也可停止。</p><p>（三）MEN-Ⅰ</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是常染色体显性遗传性疾病（第11对染色体q13变异），以甲状旁腺、胰岛细胞和垂体肿瘤组成为特征，常有家族史，最常见的症状是由甲状旁腺增生或肿瘤引起的，90%以上患者表现为高钙血症和肾结石，80%的患者伴胰腺内分泌肿瘤（包括胃泌素瘤和胰岛细胞瘤），60%的患者伴垂体肿瘤，部分伴泌乳素瘤，可表现为溢乳和性功能减退等症状。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2824', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '477', '诊断', '<p>（一）诊断及鉴别诊断</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病临床上少见，容易被忽视，有下列临床表现者应高度怀疑本病：①难治、多发、非典型部位及胃大部切除术后迅速复发的消化性溃疡，且不伴有幽门螺杆菌感染；②消化性溃疡伴有不明原因的腹泻；③胃镜显示异常粗大的胃黏膜皱襞；④消化性溃疡伴有内分泌疾病家族史；⑤消化性溃疡多次发生出血、穿孔或幽门梗阻和食管狭窄等并发症；⑥消化性溃疡伴有高钙血症、肾结石或其他内分泌疾病的临床表现。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">需鉴别的诊断包括：①低胃酸继发性高胃泌素血症：低胃酸诱因包括质子泵药物使用、萎缩性胃炎等；②其他胰腺神经内分泌肿瘤引起的胃溃疡；③胃窦部胃泌素细胞增生等。</p><p>（二）定性诊断1.胃液分析</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有一定价值。夜间12小时胃液总量＞1000ml（正常＜100ml），空腹胃液pH值＜2.5，基础酸分泌量（BAO）绝大多数患者＞15mmol/h，胃大部切除术或迷走神经切断术后常＞5mmol/h。本病患者胃内的壁细胞几乎全部处于最大刺激状态，对五肽胃泌素刺激反应较弱，故BAO/MAO＞60%。</p><p>2.血清胃泌素测定（放射免疫法）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">正常人或十二指肠溃疡的患者空腹血清胃泌素浓度平均为50～150pg/ml。胃泌素瘤的患者中99%～100%空腹血清胃泌素水平是升高的，当空腹血清胃泌素浓度＞1000pg/ml，伴有相应的临床症状和胃酸高分泌，可确定胃泌素瘤的诊断。但高胃泌素血症也可由其他原因引起，应注意进行鉴别。最常见的原因是胃酸分泌减少，如恶性贫血和萎缩性胃炎，其次有胃窦G细胞增生或功能亢进、胃出口梗阻、迷走神经切断术后、残窦综合征、抑酸药物治疗后（如奥美拉唑等）、幽门螺杆菌感染及肾功能不全等情况。</p><p>3.激发试验</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">适用于临床怀疑本病而空腹血清胃泌素水平为临界值或轻度升高者（150～1000pg/ml），激发试验的方法有三种：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）促胰泌素（secretin）刺激试验：是激发试验中最可靠、最有价值的一种。常用促胰泌素2U/kg静脉注射，于注射前5分钟及注射后2分钟、5分钟、10分钟分别采血样本测定血清胃泌素浓度，本病患者血清胃泌素值可增加200pg/ml以上，称促胰泌素刺激试验阳性。在正常人、胃酸缺乏和其他原因所致高胃泌素血症的患者促胰泌素刺激试验均阴性。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）钙输注试验：用于临床高度怀疑本病，而促胰泌素刺激试验可疑者，常使用葡萄糖酸钙每小时5mg/kg静脉滴注3小时，于注射前及注射后每30分钟分别采血样本测定血清胃泌素值。本病患者常在滴注后第3小时达高峰，常大量增加＞400pg/ml。十二指肠溃疡仅少量增加。高钙血症患者禁做此试验。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（3）标准试餐试验：常以一片面包（或等量馒头），200ml牛奶，一个煮熟鸡蛋，50g乳酪（含20g脂肪、30g蛋白质、25g碳水化合物）餐前15分钟及餐后每隔15分钟采血样本，共90分钟，分别测定血清胃泌素浓度。本病患者仅少量增加，而胃窦G细胞功能亢进的患者，血清胃泌素水平可增加2倍以上，十二指肠溃疡的患者呈中度增加。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（4）MEN-Ⅰ的胃泌素瘤患者常伴血钙、甲状旁腺素、泌乳素、卵泡刺激素升高。</p><p>（三）定位试验</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.超声、CT、MRI、核素扫描 均属无创伤性检查，应首先采用，有助于胃泌素瘤的定位和瘤体大小的诊断，但阳性率较低，尤其不易发现肿瘤直径较小者。MRI用钆喷酸葡胺（Ga-DTPA）增强薄层扫描肿瘤显示轻度强化，可提高肿瘤检出的敏感性。胃泌素瘤表达高结合力的生长抑素受体，故<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">123</span>Ⅰ-奥曲肽（octreotide）扫描对肿瘤定位和有无转移的特异性和敏感性均高于其他显像方法。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.内镜和超声内镜检查 内镜可发现位于上消化道内的溃疡和黏膜皱襞的变化。超声内镜用于检测胰腺，与生长抑素受体核素成像联用，能检出93%的胃泌素瘤，敏感性75%～85%，特异性95%（对胰腺），最小可检出直径2～3mm的病损，但对十二指肠胃泌素瘤的检出率仅为50%。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.选择性血管造影术 选择性腹腔和肝动脉造影，有助于胃泌素瘤的定位，尤其对判断肿瘤有无肝内转移是最好的检查手段，但对瘤体直径较小者敏感性不高。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.经皮经肝门静脉插管采血样本测定血清胃泌素的浓度检查价值有限，但当所有影像检查阴性时可以试行。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.手术探查 因为胃泌素瘤大多数为恶性，故有人主张只要患者无手术禁忌证和多处肝脏转移，应行外科剖腹探查，有条件的医疗单位可行术中超声。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2825', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '477', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对本病的根本治疗是手术切除产生胃泌素的肿瘤，对不能发现肿瘤及肿瘤不能完全切除者可用药物治疗，如肿瘤发生浸润和转移可用化疗药物。</p><p>（一）手术治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是最佳治疗。胃泌素瘤如为单个、体积小（＜3cm）且无转移者，手术切除肿瘤，胃酸分泌和血清胃泌素可迅速恢复正常，临床症状消失，疾病可获治愈。如肿瘤多发，位于胰、十二指肠，行Whipple手术，并发症和死亡率较高。</p><p>（二）药物治疗1.H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体阻断药</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如西咪替丁、雷尼替丁、法莫替丁等能有效降低胃酸分泌，促使溃疡愈合，消除消化性溃疡和腹泻等症状，疗效逊于PPI。</p><p>2.质子泵抑制药（PPI）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是治疗胃泌素瘤的首选药物。如奥美拉唑、兰索拉唑、雷贝拉唑、泮托拉唑等，既有口服制剂也有静脉制剂。其强力抑酸效果能有效控制胃酸高分泌引起的症状，没有减效或失效现象。</p><p>3.生长抑素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">能减少抑酸药的用量，抑制胃泌素的分泌，短期内肿瘤不增大。长期应用花费高昂。</p><p>4.α干扰素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">短期内可使肿瘤不增大，但并无减小。</p><p>5.化疗药物</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于肿瘤不能切除，且已发生浸润和转移者，可用链左霉素、阿霉素和5-氟尿嘧啶等，可改善症状，但只有短期效果，没有延长生存期的作用。副作用有恶心、呕吐、骨髓抑制和肾衰竭。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2826', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '477', '预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胃泌素瘤的恶性程度较低，生长缓慢，尽管肿瘤较大或伴有肝脏或别处转移，患者仍能正常生活多年，据报道胃泌素瘤的5年生存率为62%～75%，10年生存率为47%～53%，伴肝转移者5年生存率为20%，10年生存率为10%。死亡的主要原因为恶性肿瘤的肝转移，其次为消化性溃疡的并发症和严重腹泻所致水、电解质紊乱。对胃泌素瘤的患者应定期随访，监测胃酸分泌情况，调整抑酸药物剂量。对未治愈患者至少每年行肿瘤定位的影像检查，以便发现病灶，行根治性肿瘤切除术。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2827', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '477', '参考文献', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.Ramage JK，Ahmed A，Ardill J，et al.Guidelines for the management of gastroenteropancreatic neuroendocrine（including carcinoid）tumours.Gut，2012，61（1）：6-32.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.Jensen RT.Pancreatic endocrine tumors//Goldman L，Schafer AI.Goldman’s Cecil Medicine.24th ed.Philadelphia：W.B. Saunders Company，2012，1292.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.Hubbard H，Goodgame R.Evaluation of Possible Gastrinoma.MedGenMed，2007，9（1）：31.</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2836', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '85', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">风湿性心脏病通常侵犯二尖瓣，其次是主动脉瓣。风湿性主动脉瓣关闭不全也常合并二尖瓣病变，临床称之为联合瓣膜病（combined valvular disease）。梅毒性主动脉炎可发展为梅毒性主动脉关闭不全或主动脉瘤。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;中华眼科学:全3册（下）</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2837', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '85', '临床表现', '<p>临床症状</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">二尖瓣狭窄是心脏瓣膜病中最常见的一种。女性多于男性，发病年龄多在12～20岁，部分患者有风湿热史。主要症状为在体力活动后出现气短，心率增快，呼吸困难，阵发性咳嗽，一般为干咳或咳出泡沫样痰，严重者有咯血、胸痛、发绀和右心衰竭症状。听诊可闻第1心音亢进，二尖瓣开瓣拍击音，心尖区隆隆样舒张中期杂音及收缩前期杂音。X线检查典型改变为左心房增大，肺动脉段突出，右心室增大，长期肺淤血病例呈现肺含铁血黄素沉着病变。心电图检查典型者出现二尖瓣型P波，右心室肥厚或右束支传导阻滞。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主动脉瓣关闭不全早期仅有心悸和胸前区不舒适感觉，晚期时常出现左心功能不全或肺淤血等症状，劳动后出现呼吸困难，少数病例发生心绞痛。查体时可见心尖搏动点向左下移位，心浊音界向左扩大，在胸骨左缘第3～4肋间可听到舒张期吹风样杂音。X线检查常见心影呈靴状，主动脉弓轻度扩大。心电图检查常显示电轴左偏及左心室肥大。</p><p>眼部表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">往往出现眼睑水肿，以早晨起床时比较明显。有时发生球结膜下出血，多见于下方或颞下方。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">视网膜：视盘轻度充血，边缘不清。视网膜动脉较细，颜色较淡，视网膜后部水肿，黄斑区呈现红色，视网膜常有出血现象，出血状如瘀斑，常不规则，吸收也较慢。主动脉瓣关闭不全病例常因动脉舒张压过低见到视网膜中央动脉的搏动现象。瓣膜上赘生物也可发生视网膜中央动脉栓塞。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">治疗上眼科无特殊处理。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;中华眼科学:全3册（下）</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2858', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '568', '急性鼻炎', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性鼻炎 (acute rhinitis)是由病毒感染引起的鼻黏膜急性炎性疾病，俗称“伤风”，“感冒”。四季均可发病，但冬季更为多见。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用耳鼻咽喉头颈外科学</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2859', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '568', '病因', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">致病微生物为病毒。各种呼吸道病毒均可引致本病，其中以鼻病毒 (rhinoviruses)，腺病毒 (adenoviruses)，流感和副流感病毒 (influenza-parainfluenzaviruses)以及冠状病毒 (coronaviruses)最常见，此外，尚有肠病毒 (enteroviruses)，呼肠孤病毒 (respiratory-enteric orphan viruses，REO viruses)，呼吸合胞病毒 (respiratory synzytial viruses，RS病毒)等。其中，由肠病毒引起者潜伏期最短，鼻病毒，RS病毒及副流感病毒等潜伏期较长。呼吸合胞病毒，副流感病毒，冠状病毒引起的感染倾向于缺乏免疫性，以致一生中反复发生感染，鼻病毒，肠病毒，腺病毒可产生较长期的免疫力。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">当机体由于各种诱因而致抵抗力下降，鼻黏膜的防御功能遭到破坏时，病毒主要通过呼吸道传染而侵入机体，原已潜藏于上呼吸道的细菌也生长繁殖，毒力增强，使本病在原发的病毒感染的基础上，合并细菌性继发感染，如链球菌，葡萄球菌，肺炎球菌，流感杆菌和卡他球菌等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常见的诱因为：</p><p>1.全身因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　如受凉，过劳，营养不良，烟酒过度，维生素缺乏，内分泌失调以及心、肝、肾脏等全身慢性疾病等，可影响正常的新陈代谢，免疫功能下降。实验证明，当四肢皮肤受到寒冷刺激时，可引起鼻部血管痉挛，组织缺氧，鼻黏膜温度降低，纤毛输送功能障碍，SIgA减少，对病毒的抵抗力下降。体质因素在发病中亦有一定的影响，如据估计，约有10%的人群很少患本病。此外，居住拥挤，室内通风不良，空气干燥等环境因素亦为诱因之一。</p><p>2.局部因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　鼻腔的慢性疾病和邻近的病灶性疾病，可妨碍鼻腔的通气引流，影响其生理功能，有利于病原体在局部生长繁殖。如鼻中隔偏曲，慢性鼻炎，鼻息肉，慢性鼻窦炎，慢性扁桃体炎等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用耳鼻咽喉头颈外科学</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2860', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '568', '病理', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">发病早期，鼻黏膜血管痉挛，腺体分泌减少；继之，黏膜中的血管和淋巴管迅速扩张，黏膜充血、水肿，腺体及杯状细胞分泌增加，有单核白细胞和吞噬细胞浸润；鼻涕初为水样，逐渐变为黏液性。以后黏膜中中性粒细胞渐增多，渗出于黏膜表面，加之上皮细胞和纤毛脱落，鼻涕变为黏液脓性。恢复期上皮新生，黏膜逐渐恢复正常。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用耳鼻咽喉头颈外科学</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2861', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '568', '临床表现', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">潜伏期约1～3天。整个病程可分为3期：</p><p>1.前驱期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">数小时或1～2天。鼻内有干燥、灼热感或异物感，痒感，少数患者眼结膜亦有异物感，患者畏寒，全身不适。鼻黏膜充血，干燥。</p><p>2.卡他期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　约2～7天。此期出现鼻塞，逐渐加重，频频打喷嚏，流清水样鼻涕伴嗅觉减退，说话时有闭塞性鼻音，还可能出现鼻出血；同时全身症状达高峰，如发烧 (大多为低烧)，倦怠，食欲减退及头痛等，如并发急性鼻窦炎则头痛加重。鼻黏膜弥漫性充血，肿胀，总鼻道或鼻腔底充满水样或黏液性分泌物。由于大量分泌物的刺激和炎性反应，鼻前庭可发生红肿，皲裂。</p><p>3.恢复期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　清鼻涕减少，逐渐变为黏液脓性，合并细菌感染时，鼻涕为脓性，全身症状逐渐减轻。如无并发症，7～10天后痊愈。而鼻黏膜的纤毛输送功能一般在8周左右方能完全恢复。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于每次致病病毒的种类及其亚型不同，以及机体免疫功能和患者年龄的影响，本病的临床表现轻重不一，如副流感病毒3或RS病毒所引起的临床症状在成人和小儿有很大差别，成人的症状大多很轻，而在小儿则较重，常并发支气管炎或支气管肺炎。临床和实验研究证明，即使在同一种亚型的病毒，其引起的症状和并发症的发生率亦不尽一致，即使在同一家庭成员中也有明显差异。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">小儿体内缺少各种致病病毒的相关抗体，易患本病。小儿患病时，全身症状较成人严重，多有发烧，倦怠，甚至高烧，惊厥。常伴有较明显的消化道症状，如呕吐，腹泻等。合并腺样体肥大时，鼻塞比一般重，妨碍吮奶，患儿哭闹不已。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用耳鼻咽喉头颈外科学</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2862', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '568', '并发症', '<p></p><p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于感染的直接蔓延，或不恰当的处理方法 (如病期内作咽鼓管吹张，用力擤鼻等)，感染可向邻近器官扩散，产生各种并发症：①经鼻窦开口向鼻窦蔓延，引起急性鼻窦炎，其中以上颌窦炎和筛窦炎多见；②经咽鼓管并发急性中耳炎；③感染向下扩散，并发急性咽炎，急性喉炎、气管炎和支气管炎，小儿及老年人抵抗力低下，可并发肺炎；④经鼻泪管引起结膜炎，泪囊炎，但较少见。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用耳鼻咽喉头颈外科学</p><p style=\"white-space: normal;\"><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2863', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '568', '鉴别诊断', '<p><br/></p><p>1.流感</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　全身症状大多较重，如高烧，寒战，头痛，全身的关节及肌肉酸痛等。上呼吸道症状可不甚明显。</p><p>2.变应性鼻炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　无发烧等全身症状。鼻部症状的发作与接触一定的变应原有关。鼻黏膜苍白，水肿，鼻涕如清水样。可合并支气管哮喘等其他Ⅰ型变应性疾病，鼻腔分泌物细胞学检查，皮肤试验，激发试验及特异性IgE抗体测定等有助于鉴别。</p><p>3.急性鼻窦炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性鼻炎病程延长，恢复期内症状不减轻，反而加重，头痛明显，大量脓涕，中鼻道或嗅裂有脓，局部出现压痛；血中白细胞增多，中性粒细胞比率增加，影像学检查示窦腔密度增高，黏膜增厚，甚至可见液气面。</p><p>4.急性传染病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">许多呼吸道急性传染病的早期可出现类似急性鼻炎的症状，如麻疹、猩红热、百日咳等，通过详细的体格检查和对病程的严密观察可鉴别之。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用耳鼻咽喉头颈外科学</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2864', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '568', '预防', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.本病可发生或大或小的局部范围的流行，流行期间避免与患者密切接触，不出入或少出入公共场所，注意居室通风。由于致病病毒种类繁多，目前已鉴定出的血清型约100余种，且其间抗原极少出现交叉反应，疫苗接种在预防中作用有限。板蓝根等中药有某些预防作用，可煎服或粉剂冲服。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.经常锻炼身体，提倡冷水洗脸或冷水浴，增强体质。注意劳逸适度，饮食调和。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用耳鼻咽喉头颈外科学</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2865', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '568', '治疗', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">以支持治疗和对症治疗为主，并注意预防并发症。</p><p>1.全身治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">大量饮水，饮食清淡，疏通大便，注意休息。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(1)早期用发汗疗法：可减轻症状，缩短病程。如①生姜，红糖与葱白煎水热服；②解热镇痛药：复方阿司匹林1片，3次/d，或阿司匹林0.3～0.5g，3次/d。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(2)中成药：速效感冒胶囊1～2粒，3次/d，或感冒清1～2粒，3次/d，亦可用银翘片等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(3)合并细菌感染或有可疑并发症时，全身应用抗菌药物治疗。</p><p>2.局部治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(1)减充血剂喷鼻，可以减轻黏膜充血、肿胀而减轻鼻塞，改善引流，如1%麻黄碱生理盐水，或0.05%羟甲唑啉，小儿用药浓度适当降低。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(2)针刺迎香、鼻通穴，或作前述穴位按摩，可减轻鼻塞。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此外，要提倡正确的擤鼻法：紧压一侧鼻翼，轻轻擤出对侧鼻腔的分泌物；或将鼻涕吸入咽部后吐出。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用耳鼻咽喉头颈外科学</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2866', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '508', '概述', '<p>&nbsp; &nbsp;当高血压患者已经接受合理的联合降压药物治疗，且具有度好的治疗依从性.而血压仍然高于靶目标时.临床医师应该考虑该患者存在继发性高血压的可能。继发性高血压亦称症状性高血压，此种高血压存在明确的病因，高血压仅为临床表现之一。继发性高血压在所有高血压患者中约占5%-10%.继发性高血压本身的临床表现与高血压甚相似，因此，当原发病的其他症状不多或不太明显时，容易被误认为高血压；但是由于继发性高血压和高血压的治疗方法不尽相同；某些继发性高血压的基础疾病，如库欣病、嗜铬细胞瘤等伴发代谢异常或血压变异性增加等.故此类患者的心血管性致残率和致死率明显升高；并且有些继发性高血压的病因是可以根除的，因此在临床工作中，两者的鉴别关系到是否能及时正确地进行治疗，甚为重要。</p><p style=\"text-align: right;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2867', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '508', '病因', '<p>引起继发性高血压的原因，可有以下几种:</p><p>（一）肾脏疾病 &nbsp;肾脏疾病引起的高血压，是症状性高血压中最常见的一种，超过90%以上的慢性肾脏疾病 (CKD)患者在其整个病程中出现高血压 ,称为肾性高血压。包括:①肾实质性病变：如急性和慢性肾小球肾炎，慢性肾盂肾炎，妊娠高血压综合征，先天性肾脏病变（多囊肾、 马蹄肾、肾发育不全），肾结核，肾结石，肾肿瘤，继发性肾脏病变（各种结缔组织疾病、糖尿病性肾脏病变、肾淀粉样变、 放射性肾炎、创伤和泌尿道阻塞所致的肾脏病变）等；②肾血管病变:如肾动脉和肾静脉狭窄阻塞（先天性畸形、动脉</p><p>粥样硬化、炎症、血栓、肾蒂扭转）；③肾周围病变：如炎症、 脓肿、肿瘤、创伤、出血等。</p><p>(二）内分泌疾病 &nbsp;肾上腺皮质疾病，包括皮质醇增多症(库欣综合征）、原发性醛固酮增多症、伴有高血压的肾上腺性变态综合征和肾上腺髓质的嗜铬细胞瘤、肾上腺外的嗜铬细胞肿瘤都能引起症状性高血压。其他内分泌性的症状性高血压包括腺垂体功能亢进（肢端肥大症）、甲状腺功能亢进或低下、甲状旁腺功能亢进(高血钙）、类癌和绝经期综合征等。</p><p>(三）血管病变 &nbsp;如主动脉缩窄、多发性大动脉炎等。主要引起上肢血压升高。</p><p>(四）使用导致血压增高的各种药物 &nbsp;包括：①激素类;②麻醉剂与毒品；③影响交感神经系统的药物；④抗郁药物;⑤其他:如非甾体类消炎药（NSAIDs) (Cox-2抑制剂、布洛芬）、中草药等。</p><p>(五）阻塞性睡眠呼吸暂停低通气综合征（OSAHS） &nbsp;睡眠呼吸暂停综合征（OSA)与高血压密切相关，不仅可作为血压正常个体将来发生高血压的预测因子，而且是顽固性高血压的常见原因。</p><p>(六）颅内疾病 &nbsp;颅内肿瘤、脑炎、颅脑创伤等引起颅内压増高者，均可引起高血压。</p><p style=\"text-align: right;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2868', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '508', '病理和发病机制', '<p>&nbsp; &nbsp; 肾性高血压主要发生于肾实质病变和肾动脉病变。前一类肾脏病理解剖的共同特点是:肾小球玻璃样变性、间质组织和结缔组织增生、肾小管萎缩和肾细小动脉狭窄。 说明肾脏既有实质性损害也有血液供应不足这两种情况同时存在，后者为肾内血管病变所引起。后一类则病变在肾动脉，主要引起肾脏血流灌注减少而造成肾脏缺血。在以上病变造成肾缺血缺氣的情况下，肾脏可以分泌多种增高血压的因子，主要是肾小球旁细胞分泌大量肾素。过多血管紧张素Ⅱ通过直接缩血管作用、刺激醛固酮分泌导致水钠潴留和兴奋交感神经系统使血压增高。此外，氧化应激反应独立于肾素-血管紧张素-醛固酮(RAA)系统之外而发挥着缩血管、升高血压的作用。高血压反过来又可引起细小动脉病变，加重肾脏缺血。这样互相影响使血压持续增高,<br/></p><p>&nbsp; &nbsp; 皮质醇增多症（库欣综合征），又被分为ACTH依赖性与非ACTH依赖件病因所引起。前者是下丘脑-垂体或垂体以外的组织（如燕麦细胞 、小细胞肺癌、支气管或胸腺良性肿瘤)分泌ACTH样物质刺激肾上腺皮质增生；后者大多数是源于肾上腺皮质自身发生肿瘤（如肾上腺腺瘤、肾上腺肉瘤、肾上腺大结节或小结节样增生）；上述病因均可以使调节糖类和盐类的肾上腺皮质激素分泌增多，导致水钠潴留而发生高血压。</p><p>嗜铬细胞瘤是起源于神经外胚层的肿瘤，通过释放过量儿茶酚胺和众多具有生理作用的活性肽而引起患者血压阵发性或持续性增高。值得注意的是，大约有10%患者的肿瘤是沿着交感神经节散发于肾上腺以外的，包括腹部、颈部、纵隔、膀胱以及体内任何部位。</p><p>原发性醛固酮增多症由于肾上腺皮质增生或肿瘤导致的醛固酮自主性分泌过多，造成肾远曲小管排钾增多、体内钠和水潴留，进而使有效血容量增加和高血压。</p><p>&nbsp; &nbsp; 肾上腺性变态综合征的高血压，是C113羟化酶失常致 11去氧皮质醇及11去氧皮质酮增多的结果。也可由C17α 羟化酶不足而皮质醇及性激索减少，11去氧皮质酮、皮质酮及醛固酮分泌增多所致。</p><p>&nbsp; &nbsp; 甲状旁腺功能亢进患者约1/3有高血压，与该病血钙增高引起肾结石、肾钙质沉积、间质性肾炎、慢性肾盂肾炎等肾脏病变有关。血钙增高对血管也有直接的收缩作用。有些患者的高血压在血钙纠正后消失。腺垂体功能亢进症和糖尿病中，高血压较无此种疾病的人群中多数倍。绝经期综合征的高血压可能与卵巢功能减退，雌激素对大脑皮质、自主神经中枢的调节和对垂体的抑制减弱有关。</p><p>&nbsp; &nbsp; 先天性主动脉缩窄和多发性大动脉炎，可在主动脉各段造成狭窄，如狹窄发生于主动脉弓的末部至腹主动脉分叉之间，其所引起的体循环血流变化可使下肢血液供应减少可血压降低，大量血液主要进入狹窄部位以上的主动脉弓的分支，因而头部及上肢的血液供应增加而血伍升高。 由于狹窄部位以下的降主动脉与腹主动脉供血不足，且肾动脉的血液供应也不足，遂使肾脏缺血的因素亦参与了这类疾病高血压的形成。</p><p>&nbsp; &nbsp; OSA表现为睡眠中上呼吸道反复发生的机械性阻塞，其中至少存半数人血压增高，经手术或经鼻持续气道正压治疗血压可下降。本症不仅可通过心血管反射件调节机制的损伤和血管内皮功能障碍引起相当一部分患者血压增高，而且可通过兴奋交感神经、氧化应激、炎症和内皮功能障碍等机制对心血管功能和结构产生有害影响。</p><p>&nbsp; &nbsp; 许多药物可以引起或加重高血压。免疫抑制剂如环孢素和皮质激素可使高达80%的接受器官移植者血压升高。 非留体类抗炎药和cox -2抑制剂通过其抗肾脏前列腺素的作用使血压增高。高原病伴有的高血压，主要与高原气压及氧分压致组织缺氧有关。</p><p style=\"text-align: right;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2869', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '508', '临床表现', '<p>&nbsp; &nbsp; 继发性髙血压的临床表现主要是有关原发病的症状和体征，高血压仅是其中的表现之一。<br/></p><p>&nbsp; &nbsp; 继发性髙血压患者的血压特点可与髙血庄相类似，但又各有自身的特点。如嗜铬细胞瘤患者的血压增髙常为阵发性，伴有面色苍白或潮红、出汗、心悸等交感神经兴奋的症状，在发作间期血压可以正常，甚至因体位性低血压而发 生晕厥，但是也可能表现为持续性髙血压，并无血压骤升的 现象。而主动脉缩窄患者的高血压可仅限于上肢,本病的 特点常是上肢血压髙而下肢血压不髙或降低，且上肢血压 高于下肢，形成反常的上下肢血压差别(正常平卧位用常规血压计测定时下肢收缩压读数较上肢髙20~40mmHg)。测量血压可发现双上肢血压之间或上肢与下肢血压差距较大（＞20mmHg）。</p><p style=\"text-align: right;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2870', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '508', '诊断与鉴别诊断', '<p style=\"text-indent: 24px;line-height: 150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">对于下列髙血压患者应考虑继发性高血压的可能: ①常规病史、体检和实验室检查提示患者有引起髙血压的系统性疾病存在;②20岁之前或50岁之后开始出现高血压;③高血压起病突然，或高血压程度严重且进展急剧，或高血压患者原来控制良好的血压突然恶化，难以找到其他原因;④顽固性或难治性高血压（即患者已经使用三种或以上适当剂量的抗高血压药物且服药依从性良好，但血压仍不能达到靶目标</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">）；</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">⑤靶器官损害严重，与髙血压不相称，宜进行深入仔细的病史询问，体格检査和必要的实验室检查。</span></p><p style=\"text-indent: 24px;line-height: 150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">在病史询问中，应特别注意询问各种肾脏病、泌尿道感 染和血尿史、肾脏病家族史</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">(</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">多囊肾)，有无发作性出汗、头痛与焦虑不安(嗜铬细胞瘤)，肌肉无力和抽搐发作 (原发性 醛固酮增多症</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">)</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">等。体检中注意有无皮质醇增多症的外表体征、有无扪及增大的肾脏</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">(</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">多囊肾)、腹部杂音诉听诊(肾血管性高血压</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">),</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">心前区或胸部杂音的听诊</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">(</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">主动脉缩窄或主动脉病</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">),</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">双上肢血压以及股动脉搏动减弱、延迟或胸部杂音，下肢动脉血压降低(主动脉缩窄或主动脉病)，神经纤维瘤性皮肤斑(嗜铬细胞瘤</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">)</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">等。靶器官损害的体征包括有无颈动脉杂音;运动或感觉缺失；眼底异常;心尖搏动异常</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">；</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">心律失常;肺部啰音;重力性水肿和外周血管病变的体征。 除常规实验室检査外,根据不同的病因选作下列实验室检 査项目：游离甲状腺激素</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">（</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">FT</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">3</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">、</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">FT</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">4</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">）、</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">甲状腺刺激素</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">（</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">TSH</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">)</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">、</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">甲狀旁腺激素，血浆肾素、血管紧张素、酸固酮、皮质醇、儿茶酚胺，经胸超声心动图和主动脉磁共振成侓 </span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">(</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">MRD</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">，肾血管</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">B</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">型超声波、磁共振造影</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">(MRA)</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">或X</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">线电子计算机断层扫描</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">(</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">GT</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">)</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">造影</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">(</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">CTA</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">)</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">，肾上腺</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">B</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">型超声波或薄层</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">CT</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">或核素检査等</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">。</span></p><p style=\"line-height: 150%\"><strong><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">(</span></strong><strong><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">一)</span></strong><strong><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">肾实质性疾病</span></strong><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">&nbsp; 肾实质性高血压是最常见的高血压类型，占继发性髙血压的</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">50</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">%</span><span style=\"font-size: 12px;line-height: 150%;font-family: &#39;MS Mincho&#39;\">〜</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">70%以慢性肾小球肾炎最为常见，其他包括结构性贤病和梗阻性肾病等，成人患者中多囊肾亦较为常见。因此，应对所有髙血压患者初诊时进行尿常规检査，以筛査除外肾实质性髙血压，同时进行尿微量白蛋白/尿肌酐以及血肌酐检査并估算肾小球滤 过率，评估肾功能分期。目前超声检査在肾脏的解剖诊断 方面几乎已经完全取代了静脉肾盂造影，可以提供有关肾脏大小和形态、皮质厚度，有无泌尿道梗阻和肾脏肿块的所有必要的解剖学资料。功能方面的筛选试验包括尿蛋白、红细胞、白细胞和血肌酐浓度。应当对所有髙血压患者进行这些检査。</span></p><p style=\"line-height: 150%\"><strong><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">&nbsp;</span></strong><strong><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">(</span></strong><strong><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">二）肾血管性高血压</span></strong><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">&nbsp; 肾血管性高血压是继发性髙血压的第二位原因，系由于单侧或双侧肾动脉主支管腔狭窄，导致肾脏血流灌注降低而引起髙血压。绝大多数（90%）的狭窄病变是动脉粥祥硬化所致，即老年人肾动脉狭窄多为动脉粥样硬化所致。在我国，大动脉炎是年轻人肾动脉狭窄的重要原因之-。纤维肌性发育不良在较少 见。突然发生或加重、难治的高血压提示肾动脉狭窄的存 在。肾动脉狭窄的表现包括腹部血管杂音、自发性低血钾和肾功能进行性减退。彩色多普勒超声（C</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">DUS</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">)</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">能够发现肾动脉狭窄尤其是接近血管开口处的病变，不失为首选筛査肾动脉狭窄的方法</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">。</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">肾动脉血管造影虽然是确诊肾动脉狭窄“金标准”，但是为一种创伤性检査，故不应作为首选 的诊断方法。以钆造影剂进行</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">MRA</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">诊断肾动脉狭窄的阳 性似然比为</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">13.9</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">，</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">，</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">阴性似然比为</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">0.03</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">，</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">与</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">CTA</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">诊断肾动脉狭窄的准确性相似</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">（</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">阳性似然比为13.4,阴性似然比为0.0</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">6);</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">但</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">MRA</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">无放射紋损伤;且不含钆的造影剂对肾功能异常的患者亦无对比剂肾病的危险，虽然诊断的敏感性和特异性可能略有下降。</span></p><p style=\"line-height: 150%\"><strong><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">（三）嗜铬细胞瘤</span></strong><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">&nbsp; 嗜铬细胞瘤是一种少见的继发性髙血压的病因，约占所有继发性髙血压患者的</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">0.</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">5%,可为遗传性或获得性。嗜铬细胞瘤患者约70%有髙血压，为稳,定性或阵发性(伴有头痛、出汗、心悸和苍白等症状</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">);</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">超过</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">5</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">0%</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">患者在阵发性血压增髙的间歇期可出现体位性低血压。因此，对于髙血压患者若发生体位性低血压，在除外降压药物治疗过度的基础上，需要着重考虑嗜铬细胞瘤的可 能，由于嗜铬细胞瘤明显增加患者发生心血管事件的风险，且大部分高血压在手术切除肿瘤后得以根除，因此明确该病的诊断极为重要。应当首先进行生化检测以获得支持诊断的依据。血浆游离</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">3-</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">甲氧基肾上腺素具有相对高的敏感性(96%)与特异性(89%),阴性似然比接近0,被认为是可以用来排除嗜铬细胞瘤的最佳筛选手段。若临床怀疑嗜铬细胞瘤的患者血浆</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">3-</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">甲氧基肾上腺素浓度超过正常 上限4倍以上，则患有该疾病的可能性几近</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">l</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">00%,<sub>;</sub></span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">若患者血浆</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">3-</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">甲氧基肾上腺素浓度超过正常上限但低于上限值的4倍，则应进一步检测血浆儿茶酚胺与非</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">3-</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">甲氧基肾上腺素的儿茶酸胺代谢物浓度,联合可乐定抑制试验协助诊断。给予可乐定后血浆儿茶酚胺水平显著下降被视为可乐定抑制试验阴性。一旦做出定性诊断后，还需要进行定位诊断。95%位于肾上腺附近，因常为体积较大的肿瘤，因此 有时可通过超声波检査而被发现。</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">CT</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">和</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">MRI</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">是较敏感的 检査手段</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">(</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">敏感性98%</span><span style=\"font-size: 12px;line-height: 150%;font-family: &#39;MS Mincho&#39;\">〜</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">100%)。<sup>123</sup>1标记放射性核素扫描 技术具有较高的诊断特异性，能够弥补</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">CT</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">或</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">MRI</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">特异性低的不足<sub>。</sub>近期研究表明绝大多数嗜铬细胞瘤均可以摄取<sup>18</sup>氟</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">-2-</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">脱氧</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">-</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">D</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">-葡萄糖(<sup>18</sup></span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">F</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">-</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">FDG</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">)</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">，因此使用</span><sup><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">18</span></sup><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">F</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">-</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">FDG</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">正电子发射断层扫描技术</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">(</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">PET</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">)</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">在评估成人嗜铬细胞瘤或</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">副</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">神经节瘤方面具有明显优势。</span></p><p style=\"text-indent: 24px;line-height: 150%\"><strong><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">(四）皮质酵增多症</span></strong><strong><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">{</span></strong><strong><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">库欣综合征)</span></strong><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">&nbsp; 髙血压在本病十分常见，约占80%。需要对以下患者进行库欣综合征的筛査:①具有与年龄不相符的某些特征(如髙血压、骨质疏松</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">);</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">②出现库欣综合征的典型体形;③在与肾上腺腺瘤共存的肾上腺意外瘤。24小时尿氢化可的松浓度，过夜</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">lmg</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">地塞米松抑制试验和午夜血清可的松浓度，推荐作为筛査库欣综合征的首选方法。由于尿氢化可的松浓度的变异较大,至少需要收集2次标本进行测定。此外，</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">2</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">天小剂量地塞米松抑制试验(每6小时给予</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">0.5</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">mg</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">，</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">口服共8次 检测2天试验中第二天尿氢化可的松水平，也可以作为初筛方法;晚近也有采用后半夜血清或唾液氢化可的松作为诊断的更简单指标。经过过夜</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">lmg</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">地塞米松抑制试验 (夜11时给予</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">lmg</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">口服</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">）,</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">若患者血清可的松水平超过 </span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">50</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">nmol</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">/</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">L</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">(18</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">ng</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">/</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">ml</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">或</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">1.8</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">mg</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">/</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">dl</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">)</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">，</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">则提示库欣综合征.由于酗酒、严重抑郁、重度肥胖甚至糖尿病患者均可能存在功能性的可的松高水平状态.因此，在鉴别库欣综合征与可的松高功能状态时，需要采用一些二线检查方法，如:午夜血清可的松浓度、地塞米松-促肾上腺皮质激素释放激素试 验以及影像学检査，如肾上腺</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">CT</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">或垂体</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">MRI</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">等。</span></p><p style=\"text-indent: 24px;line-height: 150%\"><strong><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">{</span></strong><strong><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">五）原发性醛固酮增多症</span></strong><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">&nbsp; 先前以为原发性醛固酮增多症</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">(</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">PA</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">)</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">是引起继发性高血压的少见原因，约不到的高血压患者;随着血浆醛固酮浓度与血浆肾素活性比值 </span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">(</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">PAC</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">/</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">PRA</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">)</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">或血浆醛固酮与肾素比</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">(</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">ARR</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">)</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">广泛应用于该疾病的筛査，目前认为6%</span><span style=\"font-size: 12px;line-height: 150%;font-family: &#39;MS Mincho&#39;\">〜</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">10%的高血压患者可能是由于</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">PA</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">所致，而</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">PA</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">也成为继发性高血压最常见的原因。在病因方面，</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">30%</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">PA</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">为肾上腺腺瘤(多见于女性，男女比例为1 : </span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">2),</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">70%为肾上腺皮质增生(多见于男性，男女比例为4：1)，罕见的是肾上腺癌。</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">ARR</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">目前被普遍认为是筛査</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">PA</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">的一种最可靠方法，然而一些因素可以影响 </span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">ARR</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">测定结果，且降低</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">ARR</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">诊断</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">PA</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">的敏感性和特异<span style=\"letter-spacing:3px\">性。只有少数患者存在低钾血症，因此血清</span>钾的检测是不应再作为</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">PA</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">首选或重要的筛査试验。需要明确的是，</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">ARR</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">增高并不能诊断</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">PA</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">,</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">应该进</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">一</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">步通过醛固酮抑制试验证实或排除</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">PA</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">。</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">欧洲内分泌学会临床实践指南推荐4种常用方法，包括氟氢可的松抑制试验(给予激素4天不能使血浆醛固酮水平降至阈值以下）、盐水静脉输注试验、口服氣化钠负荷试验以及卡托普利抑制试验,可以采用其中任一种方法进行确诊。上述试验阳性碎患者，还应该接受肾上腺薄层</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">CT</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">检査以除外肾上腺皮质癌。</span></p><p style=\"text-indent: 24px;line-height: 150%\"><strong><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">(六）主动脉缩窄</span></strong><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">&nbsp; 先天性主动脉缩窄或多发性大动脉炎引起的降主动脉和腹主动脉狭窄，都可引起上肢血压增高,在儿童髙血压患者中，主动脉缩窄是继肾实质病变之后的第二位病因。先天性主动脉缩窄还常常与其他先天性 缺陷(如室间隔缺损、动脉导管未闭、二叶式主动脉瓣、二尖瓣或主动脉瓣狭窄)相关联。由于儿童胸壁较薄，经胸超声心动图足以作为该疾病的诊断工具。对于成年人，胸部</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">X </span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">线片无特异性诊断价值，</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">MRI</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">日益成为一种常用而有价值的影像学检査。</span></p><p style=\"text-indent: 24px; line-height: 150%;\"><strong><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">(七）睡眠呼吸暂停综合征</span></strong><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">&nbsp; 又称阻塞性睡眠呼吸暂停综合征</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">（</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">OSA</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">)</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">，</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">是一种值得重视的继发性髙血压的病因，尤其是对于40</span><span style=\"font-size: 12px;line-height: 150%;font-family: &#39;MS Mincho&#39;\">〜</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">59岁的高血压患者。当高血压患者主诉打鼾以及白天嗜睡，伴睡眠时呼吸暂停等特点时，需怀疑</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">OSA</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">的可能。对肥胖者，特别是伴有难治性髙血压者亦应疑及本症的存在。鉴于本病的特点是睡眠中上呼吸道吸气相陷闭引起呼吸气流停顿的反复发生，氧饱和度下降，故 呼吸监测是诊断的主要工具;在上述检查费甩或仪器条件受限的情况下，临床评价工具(如</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">Epw</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">or</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">th</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">睡眠量表、睡眠呼吸暂停评分</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">)</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">也能够诊断中重度阻塞性睡眠呼吸暂停的患者。由于</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">OSA</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">可使患者正常的血压昼夜节律受损;故对于动态血庄监测显示为“非杓型”者，也应考虑作呼吸监测。</span></p><p style=\"text-indent: 24px; line-height: 150%; text-align: right;\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></span></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2871', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '508', '治疗', '<p style=\"text-indent: 24px;line-height: 150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">继发性髙血压的治疗，主要是针对其原发病。对原发病不能根治手术或术后血压仍髙者，除采用其他针对病因的治疗外，对高血压可按治疗原发性高血压的方法进行降压治疗。</span></p><p style=\"text-indent: 24px;line-height: 150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">有关肾血管性髙血压的治疗，目前认为血运重建的指征包括:①重度髙血压，恶性高血压，顽固性高血压，且患者只有一个肾脏缩小，不能耐受降压药物治疗;②慢性肾功能不全;③反复发作急性心力衰竭，难治性心力衰竭或难治性心绞痛。介入治疗已较外科手术血管重建更多选用<sub>;</sub>由于肌纤维发育不良患者绝大多数为青年人，血管成形术成功 率高而操作并发症发生率较低，尤其考虑到年轻女性在妊娠期间使用</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">RAS</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">抑制剂受限等因素，目前大多数临床医师 赞成将血管成形术作为治疗年轻女性肾血管性高血压的首选措施;经过血管内介人治疗获得血压水平改善的患者可达50%以上，但其中术后不需降压药物而血压正常的患者不足30%,而对动脉粥样硬化性病变，术后</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">S</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">个月再狭窄发生率可髙达16%</span><span style=\"font-size: 12px;line-height: 150%;font-family: &#39;MS Mincho&#39;\">〜</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">48%,且肾动脉狭窄的解除与术后血压的正常化并无良好关联，提示对于此类患者，血运重建并没有改善肾脏血流低灌注<sub>#</sub>药物治疗作为肾血管性高血压 的初始治疗仍然十分重要，近期的一项随机临床试验结果显示,对于粥样硬化所致肾动脉狭窄的老年患者，药物治疗在血压控制率和心血管死亡发生率方面与血运重建的效果相似，提示并非所有肾动脉狭窄的患者均痛要血运重建。 如果肾功能正常、血压得到控制、肾动脉狭窄不严重，或离 血压病程较长，则首选药物治疗。由于动脉粥样硬化病变有进展的离度危险，仍然霈要强化生活方式的改变、小剂量司匹林、他汀类药物和多种降压药治疗。如无双侧肾动脉狭窄，使用</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">ACE</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">抑制剂或</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">ARB</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">可以改善患者肾脏和心血管的预后，主要危险是狭窄后部位血流灌注显著减少导 致的肾功能急性恶化和血淸肌酐增高，但血淸肌酐的变化可在撤药后恢复正常。</span></p><p style=\"text-indent: 24px;line-height: 150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">嗜铬细胞瘤的治疗是切除肿瘤。</span></p><p style=\"text-indent: 24px;line-height: 150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">对原发性醛固酮增多症，通过腹腔镜切除腺瘤，术前给予醛固酮拮抗药(如螺内酯和依普利酮)^对肾上腺增生，给予醛固酮拮抗药治疗。</span></p><p style=\"text-indent: 24px;line-height: 150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">主动脉缩窄患者在手术修复或安置支架后，患者可能需要继续服用降压药。</span></p><p style=\"text-indent: 24px; line-height: 150%;\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">睡眠呼吸暂停综合征合并高血压的治疗，包括肥胖者减轻体重，以及使用正压呼吸装置。</span></p><p style=\"text-indent: 24px; line-height: 150%; text-align: right;\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></span></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2896', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '468', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病毒性肝炎是由多种肝炎病毒引起的，以肝脏损害为主的全身性传染病。临床上以食欲下降、乏力、肝脾肿大伴压痛、肝功能异常为主要表现，部分病例有发热、黄疸。病毒性肝炎具有传染性强，传播途径复杂，流行面广，发病率高及一些患者慢性化特点。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">从病原学上，病毒性肝炎至少分为甲、乙、丙、丁、戊五型，目前已证实还存在己型和庚型肝炎病毒。严格讲由不同型肝炎病毒所致之肝炎应独立命名，但从临床角度因各型肝炎具有共同点。因此，保留病毒性肝炎诊断，而将其又分为不同临床类型。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;中华妇产科学.上册</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2897', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '468', '病原分型及实验室诊断', '<p>1.甲型肝炎（1）病原体及传播途径：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">甲型肝炎病毒（hepatitis A virus，HAV）为微小RNA病毒，其核酸为单股正链RAN。甲型肝炎通过“粪-口”途径传播。HAV感染者在潜伏期最后10天至发病后2～3周内经粪便排出病毒，污染水源、蔬菜、食品、用具等可引起流行。HAV感染后可表现为急性黄疸型、急性无黄疸型或重型肝炎，也可为亚临床和隐性感染。甲型肝炎为急性自限性感染，一般不转为慢性或病原携带状态，极少出现肝衰竭，但无症状感染较常见。HAV感染可获持久免疫力。</p><p>（2）实验室诊断：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">甲肝特异性IgM抗体出现早，一般在黄疸出现时即可检出，滴度很快升至高峰，效价可维持3～6个月，因此抗HAV- IgM为甲肝早期诊断的灵敏可靠的指标。抗HAV- IgG在急性期后期和恢复期早期出现，滴度上升＞4倍，可以诊断甲肝，且抗HAV- IgG在人体内持续存在多年甚至终生。</p><p>2.乙型肝炎（1）病原体及传播途径：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">乙型肝炎病毒（hepatitis B virus，HBV）是一种部分链环状DNA病毒，病毒外层含乙型肝炎表面抗原（HBsAg），内层含核心抗原（HBcAg）及核心相关抗原（HBeAg）。HBV可整合入宿主DNA，它除对肝细胞具有特殊亲嗜性外，可侵犯其他组织细胞，已有人证实，HBV能在外周单个核细胞中复制，这可能与HBV感染慢性化有关。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">乙型肝炎主要传播途径有：①血液传染（包括医源性）；②性接触传播；③母婴传播。母婴传播的重要途径为：子宫内经胎盘传染胎儿；分娩时胎儿通过软产道接触母血或羊水而受感染；产后新生儿接触母亲唾液或哺母乳感染。围产期感染的婴儿，85%～90%将转为慢性病毒携带者，这是我国HBV慢性感染的主要原因。HBV慢性感染人群罹患原发性肝癌的危险性至少增加100倍。</p><p>（2）实验室诊断及血清标志1）HBsAg：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①HBsAg阳性为HBV感染标志，持续阳性达半年以上则为HBsAg携带者，可以是慢性乙肝或无症状携带者（无肝炎病史、无肝炎症状体征、肝功能正常、肝活检组织学正常）。②HBsAg阳性作为HBV复制和传染性指标不可靠。虽然滴度高者多数传染性较强，但有些患者尽管HBsAg滴度很高，而血中并无完整的具有传染性的HBV颗粒（Dane颗粒）。③HBsAg阴性并不能完全排除HBV感染。急性HBV感染的“空白期”（window phase）HBsAg消失，抗HBs尚未出现，此时仅能检出抗HBc（IgM型）；急性重型乙肝抗体反应亢进，抗HBs与HBsAg结合致HBsAg不能被检出；另外，输用HBsAg阴性而仅抗HBc阳性血液后，受血者可发生典型的输血后乙肝。以上均证实血清HBsAg阴性不能完全排除HBV感染。</p><p>2）抗HBs：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①抗HBs为免疫保护性抗体，初次感染出现晚，多见于HBV感染后3～5个月，在血中存在时间短，一般半年至3年；再次感染HBV，抗HBs出现早（2～4周），滴度高。②抗HBs与HBsAg同时存在是一种常见模式，国内报告为7. 5%。抗原抗体同时阳性也与HBV基因变异有关。③未接种过乙肝疫苗而单项抗HBs阳性，可能为假阳性，尤其是滴度低者。可通过动态监测或采用中和试验进一步确定。④有时抗HBs出现后仍有HBV复制。</p><p>3）HBeAg：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①HBeAg阳性为体内有HBV复制，是有传染性的标志。HBsAg和HBeAg均阳性的孕产妇，其胎婴儿HBV感染的危险性高达95%。②HBeAg阴性并非HBV复制停止的标志，60%以上HBeAg阴性而抗HBe阳性的肝炎患者血清中仍检出HBV DNA。③单项HBeAg阳性极为少见，假阳性可能性大，尤其是血清类风湿因子阳性时。</p><p>4）抗HBe：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">抗HBe阳转意味病毒复制水平降低，传染性降低。但相当部分患者仍有病毒复制，应检测HBV DNA以确定复制水平和传染性。</p><p>5）抗HBc：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①抗HBc阳性为HBV感染标志，可以是现症感染或既往感染；②抗HBc不是保护性抗体，抗HBc由四种类型免疫球蛋白组成，即IgM、IgG、IgA、IgE，一般“两对半”中的抗HBc为总抗体；③抗HBc出现早，持续时间长，因此自然感染后抗HBs阳性时多伴有抗HBc阳性；④HBsAg阳性时，绝大多数抗HBc阳性；⑤“两对半”中单项抗HBc阳性可见于下述几种情况：若抗HBc抑制率低于70%，则假阳性可能性大；急性HBV感染的“空白期”可见单项抗HBc阳性；输用抗HBc阳性血液可被动获得而呈现单项抗HBc阳性；孕妇血中IgG抗HBc可于妊娠21周后经胎盘主动转运至胎儿，因此8月龄以下婴儿出现单项抗HBc阳性不能作为感染标志；自然感染痊愈后早期抗HBs和抗HBc均阳性，随时间推移，抗HBs滴度降至检测水平以下，而仅出现单一抗HBc阳性；部分单项抗HBc阳性者为低水平HBV携带者，采用较敏感方法，如多聚酶链反应（PCR）法可从携带者血中检出HBV DNA。</p><p>6）HBV DNA：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HBV DNA阳性表示HBV复制，传染性强，是HBV感染的最直接、特异并且灵敏的指标。急性HBV感染时，于潜伏期HBV DNA即可阳性，感染后第8周达高峰至血清转氨酶升高时90%已被清除。慢性HBV感染者，HBV DNA可长期阳性。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">总之，对乙型肝炎病毒血清标志的临床意义解释是一项较为复杂的问题，应当遵循密切结合临床、选用敏感方法及多项指标联合检测与动态观察的原则做出综合判断。</p><p>3.丙型肝炎（1）病原体及传播途径：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">丙型肝炎病毒（hepatitis C virus，HCV）为有包膜单股正链RNA病毒。HCV抗原性弱，不整合入宿主细胞基因组。与HBV相比，病毒血症水平低，其感染慢性化率高，与肝硬化、肝癌关系密切。丙型肝炎传播途径与乙型肝炎相同，但因其病毒水平低，血液外的其他体液中病毒含量更低。因此，输用污染血液和血制品为主要传播途径。</p><p>（2）实验室诊断：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前主要检测感染者的抗HCV，但它并不能反映HCV的存在，采用反转录多聚酶链反应（RT- PCR）法检测HCV RNA是HCV存在、复制、具有传染性的标志。血清HCV RNA水平与肝组织学改变明显相关，但其复制水平与疾病严重性无关；急性自限性丙型肝炎于4个月内血清HCV RNA消失，慢化者则持续或间歇HCV RNA阳性，提示可用以判断急性丙型肝炎的预后；血清HCV RNA检测的意义在于确定感染、指导治疗和判断应答。</p><p>4.丁型肝炎（1）病原体及传播途径：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">丁型肝炎病毒（hepatitis D virus，HDV）的基因组为单股RNA，病毒颗粒为HBsAg，核心由HDAg和核酸组成。HDV为一种缺陷病毒，其生物周期的完成在许多方面需嗜肝DNA病毒，后者主要为其提供衣壳（如HBsAg），以及在装配、成熟、释放和再感染等环节发挥作用。HDV感染对加重乙型肝炎患者的肝损害及促进其慢性化方面均起重要作用。丁型肝炎的传播途径同乙型肝炎。与HBV相比HDV的母婴传播少见，而性接触传染HDV的危险性明显高于HBV。</p><p>（2）实验室诊断：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前主要检测血清中HDAg和抗HDV。HBV与HDV联合感染时，血清首先出现HBsAg，急性期HDAg呈一过性，数日内消失，继之出现抗HD IgM，但滴度低，持续时间短，同时HBc IgM也为阳性。如果在HBV感染基础上重叠HDV感染时，常出现抗HBc IgM阴性，抗HD IgM和抗HBc IgG阳性。持续高滴度抗HDIgG阳性为慢性HDV感染的主要血清标志。此外，尚可检测肝内HDAg或血清HDV RNA诊断HDV感染。</p><p>5.戊型肝炎（1）病原体及传播途径：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">戊型肝炎病毒（hepatitis E virus，HEV）为无包膜球形颗粒，基因组为单股正链RNA。HEV抗原的免疫原性远不及HAV抗原，机体产生的相应抗体效价较低。戊型肝炎的传播途径与甲型肝炎相同，为粪-口传播，水源污染是戊型肝炎流行的主要原因，故多发生于雨季或洪水过后。戊型肝炎为自限性，不发展为慢性，但病情较甲型肝炎为重。年老患者、合并HBV感染、合并妊娠均为重症化的因素。妊娠期戊肝常出现流产、死胎、产后出血及急性肝坏死，尤为妊娠晚期，病死率高达20%，有报告达39%者。HEV感染后可获一定时期免疫力，但持续多久尚不清楚。</p><p>（2）实验室诊断：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前主要检测血清抗HEV，抗HEV由阴转阳或滴度由低变高，或抗HEV阳性滴度1∶20，即可诊断。此外，尚可应用斑点杂交或PCR方法检测血清和（或）粪中的HEV RNA。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;中华妇产科学.上册</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2898', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '468', '临床分型及主要临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">无论何种肝炎病毒感染，按其临床表现分为以下临床类型。</p><p>1.急性肝炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　分为急性黄疸型和急性无黄疸型肝炎。前者临床表现为乏力、食欲下降、黄疸、肝脾大，部分患者有发热、关节痛、皮疹。无黄疸型症状较轻。</p><p>2.慢性肝炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　肝炎病程超过半年或发病日期不明，持续或间断出现肝炎症状，如乏力、食欲下降等；肝大，质地中等以上伴持续性脾肿大；肝功能不正常，可持续存在或呈间歇性，包括酶代谢，胆红素代谢与蛋白代谢；有肝外表现，如面色暗、肝掌、蜘蛛痣、面部毛细血管扩张、腮腺肿大、男性乳腺发育等；可出现多种不同的自身抗体，其中以抗肝特异性蛋白抗体（抗LSP）的出现意义最大。</p><p>3.重型肝炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">即肝衰竭，根据病理组织学特征和病情发展速度，肝衰竭可分为四种类型。</p><p>（1）急性肝衰竭：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">以急性黄疸型肝炎起病，2周内出现肝性脑病，肝浊音界进行性缩小，有出血倾向，凝血酶原活动度降低为突出特点。可有黄疸迅速加深、胆酶分离现象。</p><p>（2）亚急性肝衰竭：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">起病于急性黄疸型肝炎，15天至26周出现黄疸急剧加重，重度乏力，明显食欲下降，重度腹胀（胀气与腹水），肝进行性缩小，出现肝性脑病，凝血酶原时间显著延长，晚期出现难治性并发症，如肝肾综合征、消化道出血等。</p><p>（3）慢加急性肝衰竭：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是在慢性肝病基础上出现的急性肝功能失代偿。</p><p>（4）慢性肝衰竭：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是在肝硬化基础上，肝功能进行性减退导致的以腹水或门脉高压、凝血功能障碍和肝性脑病等为主要表现的慢性肝功能失代偿。</p><p>4.淤胆型肝炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　胆红素明显升高，以直接胆红素为主，临床表现为梗阻性黄疸，如皮肤瘙痒、大便陶土色等。具有“三分离”特点，即黄疸深而消化道症状轻；黄疸深而转氨酶升高不明显；黄疸深而凝血酶原时间正常。</p><p>5.肝炎后肝硬化</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　临床只能诊断临床肝硬化，可根据肝炎活动度分为活动性肝硬化和静止性肝硬化。凡慢性肝炎患者具有肯定的门脉高压证据且除外其他引起门脉高压原因者，即可诊断为临床肝硬化。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;中华妇产科学.上册</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2899', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '468', '婚育医学意见', '<p>1.医学意见的依据</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）病毒性肝炎是由肝炎病毒引起的全身性传染病，其中甲型和戊型肝炎经粪-口途径传染，乙型、丙型及丁型肝炎经血液传染和性接触传染，同时，可经母婴传播，是我国人群中慢性病毒携带的主要原因。据统计，乙型肝炎病毒携带者中35%将发展为慢性肝炎，其中68%将演变成肝硬化；我国80%肝细胞癌的病因为HBV或HCV；围产期感染HBV男婴50%将死于HBV相关疾病，女婴为14%。可见在婚前保健工作中阻断病毒性肝炎的传播，尤其是母婴传播，至关重要。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）病毒性肝炎患者妊娠后对母婴均可产生不良影响。据报道，妊娠使病毒性肝炎病情加重，重型肝炎发生率高，尤以妊娠晚期为著，其病死率是非妊娠妇女肝炎病死率的3. 5倍。死亡原因为肝坏死、肝功能衰竭、肝性脑病、肝肾综合征、产后大出血等。妊娠早期患急性病毒性肝炎者有发生胎儿畸形的可能性。另外，由于肝炎病毒能通过胎盘感染胎儿，易导致流产、早产、死胎、死产、新生儿死亡等，围产儿死亡率明显增高。鉴于病毒性肝炎患者妊娠后对孕产妇及胎婴儿可能发生的严重不良后果，在婚前保健工作中，如何帮助服务对象决定可否妊娠、何时妊娠较为安全等问题已是保障母婴健康的重要保健措施。</p><p>2.婚育医学意见（1）暂缓结婚：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①各型肝炎在急性传染期内均应暂缓结婚；②甲型和戊型病毒性肝炎为良性自限性，经积极治疗痊愈后，对结婚无任何影响；③慢性病毒性肝炎患者，如果肝功能损害严重，最好经治疗病情相对稳定后再结婚；④乙型肝炎可经性接触传染，有报告认为HBsAg阳性者（尤为HBeAg阳性，HBV DNA阳性者）的新婚配偶若未感染过HBV，则有发生急性重型肝炎的危险。因此，如果婚配之一方为HBV携带者（包括无症状携带者和乙型肝炎患者），双方均应进行乙肝血清标志检测，而另一方血清标志阴性时，应先接种乙肝疫苗，全程免疫完成，血清抗HBs阳转后再结婚。</p><p>（2）妊娠时机：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①各型肝炎在急性传染期内均不宜妊娠。②HBsAg阳性者妊娠，母婴传播危险性的高低与HBV在母体内的复制水平密切相关。因之，孕前应确定其传染性，如果HBeAg阳性及HBV DNA阳性者应给予治疗，待HBeAg、HBV DNA转为阴性再怀孕，较为妥当。③HBeAg阴性，而抗HBc及（或）抗HBe阳性者中，部分为HBV携带者，可采用PCR法自血清中检测HBV DNA，有时血清HBV DNA阴性，但外周单个核细胞中存在HBV，在妊娠期发生宫内感染。因此有条件者对上述情况应同时检测血清和外周单核淋巴细胞中HBV DNA，以确定母婴传播的危险性，并采取相应治疗和阻断母婴传播措施。④慢性乙肝及肝硬化患者妊娠增加母婴的危险性，原则上不宜妊娠。如果经过专科医师会诊并经过治疗，认为炎症为非活动期，肝损害程度不严重，肝储备力尚好，可以妊娠，但是必须采取相应措施以保证安全分娩。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;中华妇产科学.上册</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2900', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '468', '阻断HBV母婴传播的措施', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）孕前阻断是指感染HBV的妇女在怀孕前通过一定的方法防止孕后的母婴传播，目前主要应用抗病毒药物清除或减少体内的病毒量，以减少HBV母婴传播的几率。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）对HBsAg阳性或HBeAg阳性孕产妇的新生儿采用下述免疫方案：新生儿生后6小时内立即肌内注射乙肝免疫球蛋白200IU，24小时内肌内注射基因重组乙肝疫苗20μg，生后1个月、6个月再各注射20μg。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（3）HBsAg、HBeAg双阳性和（或）HBV DNA阳性孕产妇新生儿可采用乙肝疫苗四针接种，即“0、1、2、12”法，同时于生后6小时内注射乙肝免疫球蛋白200IU。对于乙型肝炎母婴传播的预防问题，现有的HBIG联合乙肝疫苗具有70%～80%的母婴传播阻断效果，是目前控制HBV感染最有效的手段。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（4）世界卫生组织提出将乙肝疫苗注射纳入现行儿童计划免疫方案，对婴儿开展大规模乙肝疫苗接种，直至消灭HBV感染。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（5）乙肝疫苗强化接种：我国学者主张，第1次免疫程序完后3～5年或学龄前再强化接种一次乙肝疫苗，可能对控制HBV感染有效。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;中华妇产科学.上册</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2940', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '150', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">发病率高居胃肠道恶性肿瘤的第三位，40岁以后高发，男女性发病的比例为2～3∶1，欧美人群的发病率高于亚太地区。2011年美国NCCN指南（National Comprehensive Cancer Network）报道，2010年全美新发病例数为102 900例，但近年来我国的发病率有明显上升。大量的研究显示：膳食纤维、叶酸和维生素C摄入过少，缺乏体育运动、高脂肪饮食、便秘、口服避孕药以及恶性肿瘤家族史等是结肠癌发病的危险因素。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">结肠癌发生的部位不同，患者临床症状有所差异。右半结肠的肿瘤多呈溃疡型或菜花样生长，肿瘤局部多破溃、出血伴感染。患者可出现右下腹持续性或间歇性不适、腹胀、腹痛、恶心、呕吐、排便习惯改变等症状，中晚期可出现腹腔包块、腹水、黄疸、恶病质等表现，但因肠腔直径大，患者很少出现肠梗阻的症状。左半结肠的肠腔相对较小，肿瘤多呈浸润性生长，常常导致肠腔狭窄，临床表现为部分或完全性肠梗阻、排便不适、里急后重，部分患者有肉眼可见的黏液血便或黏液脓血便。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常见的病理类型为腺癌，其次为黏液腺癌及未分化癌。大便隐血试验、直肠指检、结肠镜检查（colonoscopy）活检是诊断的金标准。计算机断层扫描（computed tomography，CT）、正电子发射计算机断层- X线计算机体层成像（positron emission computed tomography，PET/CT）、癌胚抗原（carcinoma embryonic antigen，CEA）有助于制定治疗策略和随访。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">结肠癌可通过局部直接浸润与种植浸润周围组织与器官，也可通过淋巴结、血循环转移到女性生殖器官、腹膜、肝脏、肺、脑、骨等器官。治疗以手术为主辅以化、放疗以及分子靶向药物的联合治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">该肿瘤复发率较高，病理类型、TNM分期、淋巴结转移、细胞分化程度、肿瘤直径大小及发生部位等均是影响结肠癌患者预后的重要因素，术后应进行严格的随访。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;中华妇产科学.下册</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2941', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '348', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">发病率高居消化道恶性肿瘤的第2位，2011年美国NCCN指南上的数据显示，2010年全美新发患者39 670例，其中女性患者为17 050例，男性为22 620例，预计死亡患者为51 370例。近30年来，直肠癌在我国的发病率以平均每年4. 2%的速度上升。高发年龄为30～60岁，男性多于女性。发病高危因素同结肠癌，有5%～10%的患者有明显的肿瘤家族史，统称为遗传性非家族息肉病性结直肠癌（hereditary nonpolyposis colorectal cancer，HNPCC），又称Lynch综合征。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">便血和排便习惯的改变是其最常见的症状，很多患者误认为是痔疮而未引起重视，大部分患者就诊时已属中晚期。晚期肿瘤甚至浸润骶丛神经，出现难以忍受的剧痛。若病变累及膀胱和生殖道可出现血尿、尿频及排尿不畅或阴道流血、盆腹腔包块等相应症状体征。肿瘤常呈浸润型、溃疡型和菜花型三种生长类型。根据肿瘤发生的部位和生物学行为的不同可分成上段直肠癌和中下段直肠癌。上段直肠癌患者术后局部复发罕见，多系远处转移，如肝、肺转移；患者可从术后辅助化疗中获益。中下段直肠癌患者术后大部分系局部复发，患者可从术前新辅助放化疗中获益。直肠指检、超声内镜检查可作为直肠癌患者的首选检查方法，CT、MRI以及PET/CT检查可根据需要选用，CEA可作为预后和随访的指标之一。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">淋巴结转移是直肠癌主要的扩散途径，此外，直接浸润蔓延也是其常见的扩散方式，虽然肿瘤沿肠管纵轴浸润的程度不及横向浸润快，但当肿瘤浸润肠壁全层后即可向邻近组织及器官蔓延，肝脏仍是血循环转移最常见的靶器官。治疗原则以全直肠系膜切除原则实施手术，术后应辅以化学治疗、放射治疗，术前判断暂时无法切除的病变可选择新辅助放化疗后再评估后决定能否手术。2011年NCCN指南建议术后同步放化疗+全身化疗是Ⅱ、Ⅲ期直肠癌术后标准的治疗方案；术前同步放、化疗与术后同步放、化疗相比，生存率相似，局部控制率提高，是Ⅱ、Ⅲ期直肠癌围术期辅助治疗的1类证据。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">直肠癌术后5年生存率徘徊在50%左右，局部复发和肝、肺远处转移是治疗失败的主要原因。随访应严格按结肠癌的随访要求进行。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;中华妇产科学.下册</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2960', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '892', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">膀胱癌是泌尿系统中最常见的恶性肿瘤，发病率占泌尿道上皮肿瘤的90%以上。2011年美国NCCN指南资料显示2010年美国新发膀胱肿瘤70 530例，其中女性18 170例，约为男性的1/3。死亡14 680例，其中女性为4270例。发病率随年龄增长而增加。＜40岁的患者少见，高发年龄为65岁，美国39岁以下女性膀胱癌发病率为0. 01%；40～59岁为0. 12%；60～69岁为0. 25%；70岁以上为0. 96%。本病好发于膀胱侧壁及后壁，其次为膀胱三角区和顶部，可多中心发生，也可与肾盂、输尿管和尿道肿瘤同时发病。病因尚未完全清楚，已知的高危因素有长期接触芳香族类化合物或产品、吸烟、长期慢性刺激、某些食物添加剂和药物等能增加膀胱癌发病的风险。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">膀胱肿瘤可来自上皮组织和非上皮组织，主要的病理类型有上皮性膀胱癌，其中90%以上为移行上皮性肿瘤，5%为鳞状上皮癌，预后差，1%～2%为腺癌，其中腺癌包括极罕见的有来自胃、直肠、乳腺、子宫内膜、卵巢等的转移性膀胱腺癌。其次是非上皮性膀胱肿瘤，约占膀胱癌的1%～5%，来自间叶组织。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床症状和肿瘤的部位、类型、大小、期别以及有无并发症或转移有关。5%的患者诊断时已属晚期，＞70%的患者治疗后复发且30%复发肿瘤的恶性度增加。血尿是本病最常见的首发症状，其他包括膀胱刺激症状、排尿困难，甚至出现尿潴留或尿失禁，若癌肿侵及输尿管口可引起肾盂及输尿管口扩张积水，若伴感染可出现不同程度的腰酸、腰痛、发热等不适。若双侧输尿管口受累，可出现急性肾功能衰竭。此外，3%左右的患者行双合诊或三合诊检查时可扪及盆腔内表面凹凸不平、质硬且不活动的包块，需要与生殖器官及其邻近组织的肿瘤相鉴别。膀胱镜下活检可确诊，可根据需要选择尿液查癌细胞、B超、膀胱造影、CT检查、膀胱癌抗原、癌胚抗原、ABO（H）血型抗原制定治疗和随访策略。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">淋巴结转移是膀胱癌最常见的转移途径，可转移到髂内、髂外、闭孔淋巴结及髂总淋巴结。肿瘤可直接蔓延到膀胱邻近器官，与盆腔粘连固定，或蔓延至膀胱顶部的黏膜或后尿道。晚期血循环转移最常见转移部位为肝脏，其次为肺及骨骼。皮肤、涎腺、肾上腺、肾、胰腺、心脏、肌肉、胃肠道、卵巢等器官转移均有报道。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">治疗原则是手术、膀胱灌注免疫治疗、新辅助化疗、同步放化疗、激光治疗等多学科综合治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">膀胱癌的预后与分期、肿瘤的形态及生长方式、肿瘤的发生部位、组织学类型、手术方式密切相关，移行细胞癌的预后明显优于腺癌和鳞癌。保留膀胱的手术患者需要密切随访。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;中华妇产科学.下册</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2973', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1573', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">睡眠呼吸暂停低通气综合征（sleep apnea hypopnea syndrome，SAHS）是一种常见的睡眠呼吸紊乱疾病，睡眠呼吸暂停指睡眠过程中口鼻呼吸气流消失或明显减弱。包括阻塞性睡眠呼吸暂停低通气综合征（obstructive sleep apnea hypopnea syndrome，OSAHS）、中枢性睡眠呼吸暂停综合征（central sleep apnea syndrome，CSAS）和混合性睡眠呼吸暂停综合征（mixed sleep apnea syndrome，MSAS）。OSAHS最常见，国外资料显示成年人中男性患病率达4%～24%，女性达2%～9%，肥胖者高达50%以上。CSAS一般不超过呼吸暂停的10%，起病隐匿，可出现与OSAHS相同的临床损害，危害较大。鉴于SAHS是多种全身性疾病独立危险因素，易发生夜间猝死，需高度重视和积极应对。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2974', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1573', '发病危险因素', '<p>（一）性别、年龄和肥胖</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">OSAHS常见于男性及妇女绝经前。男性发病率显著高于女性，男女性发病比例约（2～3）∶1；女性绝经后发病率明显增加，与男性相近。OSAHS好发于中老年人群，随年龄增加而加重。肥胖致口咽部黏膜下脂肪沉积，特别是在软腭水平，加剧上呼吸道阻塞。</p><p>（二）上呼吸道疾病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鼻息肉、鼻甲肥大及慢性鼻炎等致鼻腔阻塞，扁桃体肿大、慢性咽炎导致黏膜肿胀、增厚及舌肥大、舌根后坠等因素使咽腔狭窄，加重打鼾，并反复发生呼吸暂停。</p><p>（三）肌肉因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">任何因素致气道肌肉张力低下皆可致夜间发生上气道阻塞。</p><p>（四）神经、体液及内分泌因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">神经因素、绝经后妇女、肥胖、肢端肥大症及甲状腺功能减退患者等均易发生夜间呼吸暂停。</p><p>（五）先天性因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">颈短、颅面畸形、下颌畸形等均可使咽腔的正常解剖发生改变，出现上呼吸道狭窄。</p><p>（六）种族及遗传因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">年轻的非洲裔美国人与高加索人相比，发生OSAHS的危险性明显增加，且这些种族的差异随着年龄增长而下降。非肥胖OSAHS患者存在家庭聚集，有一定遗传特性。</p><p>（七）乙醇及药物</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">乙醇及安眠镇静药可降低上气道肌肉张力，抑制觉醒反应，抑制网状激动系统的效应，降低颏舌肌对低氧及高碳酸血症的反应，发生OSAHS。</p><p>（八）神经系统的损害</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">中枢神经系统疾病如肿瘤、外伤、血管栓塞、颅内感染，运动系统、脊髓灰质炎、肌强制性营养不良等病变均可能发生CSAS。</p><p>（九）低氧血症及高碳酸血症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性阻塞性肺疾病患者存在低氧血症或高碳酸血症时，可损害呼吸中枢功能，易合并CSAS。&nbsp;发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据脑电活动和睡眠深浅，整个失眠时相可分为非快速眼动睡眠（non-rapid eye movement，N-REM）及快速眼动睡眠（rapid eye movement，REM）两期组成，遵循“觉醒→N-REM→REM→N-REM或觉醒”的规律周而复始。在NREM睡眠时相，上气道肌肉张力降低，上气道口径减少，气道阻力增加，但上气道肌肉的放电时相和肋间肌的节律性收缩保持完整。在REM睡眠时相，上气道肌肉、肋间肌和大部分骨骼肌张力进一步降低导致上气道吸气时陷闭。颏舌肌张力减退致舌根后移和气道狭窄，肋间肌张力减退致吸气时胸壁不稳定，出现胸腹矛盾运动；睡眠觉醒和对外界的刺激受抑制，易发生阻塞性呼吸暂停。在神经、体液等参与下，或危险因素作用下，睡眠时上气道阻塞加重。由于中枢疾患如脑炎、脊髓灰白质炎等抑制呼吸中枢，或血中CO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>水平的变化（心衰）导致中枢通气功能的不稳定，易造成CSAS。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2975', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1573', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">OSAHS患者睡眠打鼾，打鼾与呼吸暂停间歇交替发作，严重者出现窒息后憋醒，心慌、胸闷或心前区不适，白天嗜睡和困倦。由于夜间出现反复的呼吸暂停及低氧血症，久之，可影响脏器功能，出现与全身各脏器功能损害有关的各种远期并发症，如肺动脉高压、肺心病、心律失常、高血压、心肌梗死、脑栓塞、红细胞增多症、肾功能损害、代谢紊乱和性欲减退。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">CSAS主要为夜间无打鼾或不典型打鼾，起病隐匿，严重者夜间可出现全身发绀。夜间反复发生低氧血症、高碳酸血症、觉醒和微觉醒，出现失眠、睡眠不安和频繁觉醒，晨起头痛、困乏或白天嗜睡。长久如此，出现慢性疲劳、记忆下降以及认知功能下降，部分出现抑郁症。由于个体差异，CSAS的临床表现各不相同，高碳酸血症型和非高碳酸血症型也存在着一定的差异。由于CSAS好发于心衰，在导致心衰临床症状加剧的同时，还会引起各种严重的发症，如脑血管意外（脑卒中）、肺动脉高压、呼吸衰竭、高血压和心律失常等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2976', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1573', '睡眠呼吸监护与相关检查', '<p>（一）睡眠呼吸监护适应证</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①夜间反复打鼾、睡眠不宁，清晨头痛，白天嗜睡，易疲劳者。②肥胖，睡眠时伴有明显低氧血症和心律失常者。③打鼾伴有药物难于控制的顽固性高血压或不明原因的胸闷者；打鼾伴有不明原因的蛋白尿和糖尿病者。④与脊柱后侧凸、肌肉萎缩有关的膈肌或胸廓损害者。⑤通气/血流比例和弥散严重受损的肺疾病，如患肺纤维化、囊性纤维化、纤维化性肺结核者。⑥影响呼吸中枢的疾病患者。⑦肥胖性低通气综合征者。⑧慢性高山病、夜间低氧血症者。⑨长期接受强效利尿剂，出现代谢性碱中毒影响通气功能者。</p><p>（二）监护方法</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">标准多导睡眠图（polysomnography，PSG）可监测脑电图、肌电图、心电图、口鼻气流及胸腹部呼吸运动。直接监测通气用咬口或面罩收集呼出气，不易耐受，且影响自然睡眠状态。间接监测通气包括定性和半定量两种方法。定性方法应用热敏电阻或快速CO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>分析仪监测呼出气体。半定量方法采用磁强计或呼吸感应性体容积描记仪。胸腹呼吸运动可用膈肌电图、经膈压测定和呼吸感应性容积描记仪监测。监测的内容主要有直接或间接测定PaO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>、PaCO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>和SaO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>。</p><p>（三）相关检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.测量身高、体重，计算体重指数BMI=体重（kg）/身高<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>（m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.体格检查 颈围、血压（睡前和醒后血压），评定颌面形态，鼻腔、咽喉部的检查；心、肺、脑、神经系统检查等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.血细胞计数，特别是红细胞计数、血细胞比容（HCT）、红细胞平均体积（MCV）、红细胞平均血红蛋白浓度（MCHC）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.动脉血气分析。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.肺功能检查。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">6.影像学检查 ①头颈部X线可发现下颌畸形/缺陷、舌骨下移、软腭低垂、悬腭垂粗长等所致的上气道狭窄。②多层螺旋CT气道三维重建可测量上气道的横断面积、气道周围结构，以及呼吸周期中上气道的动态变化，对狭窄部位和范围进行定位，主要用于OSAHS的辅助诊断，也可用于OSAHS与CSAS的鉴别诊断。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">7.心电图。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">8.甲状腺功能。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2977', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1573', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">OSAHS与CSAS的主要区别在于是否存在夜间打鼾，OSAHS有典型的夜间打鼾及呼吸不规则、白天过度嗜睡、经PSG监测显示夜间7小时睡眠中呼吸暂停及低通气反复发作＞30次，或低通气指数（每小时呼吸暂停+低通气次数）≥5次/小时。判断呼吸暂停的依据是口鼻气流较基线幅度下降≥90%，持续时间≥10秒。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2978', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1573', '鉴别诊断', '<p>1.PAH</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">见“原发性肺泡低通气”。</p><p>2.低通气综合征和其他原因低通气</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">低通气指睡眠过程中口鼻气流较基线水平降低≥30%并伴有SaO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>下降≥4%、持续时间≥10秒；或者口鼻气流较基线水平降低≥50%并伴SaO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>下降≥3%、持续时间≥10秒。综合临床表现、神经肌肉疾病、肺功能和PSG检测等资料进行鉴别。需要注意肥胖低通气综合征常和OSAHS并存。</p><p>3.原发性鼾症和上气道阻力综合征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">严重打鼾，但无呼吸暂停和血氧饱和度降低。</p><p>（三）病情严重程度的判断</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前缺乏权威的分级标准，可依据临床症状、受累器官的多少及严重程度、睡眠呼吸暂停低通气指数（AHI）及夜间低氧血症等综合评判；现有的分级标准有AHI分级：轻度5～15次/小时，中度15～30次/小时，重度＞30次/小时；夜间最低SaO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>分级：轻度85%～90%，中度80%～85%，重度＜80%。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2979', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1573', '治疗', '<p>（一）一般措施</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①运动和控制饮食等减肥措施对患者有益。②单纯氧疗无效，因氧疗使缺氧时外周化学感受器的刺激消失，患者觉醒减弱，应联合呼吸机治疗。③戒烟酒和避免应用镇静药。④采用合适的体位如侧卧睡眠对于减轻鼾症及OSAHS有一定帮助。</p><p>（二）呼吸机治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">经鼻持续气道正压呼吸（CPAP）保证上气道通畅，疗效达90%～95%；自动调节CPAP呼吸机有利于提高依从性。对于重叠综合征、OSAHS病情严重且CPAP压力较高及CPAP耐受性较差的患者可以选用双相气道正压通气（BiPAP）和伺服通气。BiPAP（S/T模式）和自适应支持通气（ASV）是CSAS更好的治疗方案，伺服通气治疗复杂性CSAS效果较好。</p><p>（三）手术治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鼻甲肥大、鼻息肉及扁桃体和增殖体肥大等可采用激光或手术治疗。悬雍垂腭咽成型术（UPPP）对单纯性口咽部阻塞有一定疗效；UPPP手术近期疗效较好，远期（3～5年）易复发，总有效率约为50%～60%。病情严重且危及生命时如无法适应呼吸机治疗或不适宜UPPP时，可气管切开。</p><p>（四）其他</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">口腔正畸及矫治器可减轻打鼾，但对OSAHS的效果尚难评价，耐受性差。对于CSAS可试用茶碱、乙酰唑胺、阿米三嗪和黄体酮等呼吸中枢兴奋药物治疗，必要时可使用无创BiPAP治疗CSAS。</p><p>（五）长期管理及依从性</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">SAHS病程长，全身各器官及组织受累的严重程度及病程差异较大，需要医务人员对病情及接受的治疗方法进行长程的、定期的监测和随访。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('2980', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1573', '参考文献', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.中华医学会呼吸病学会分会睡眠呼吸疾病学组.阻塞性睡眠呼吸暂停低通气综合征诊治指南（2011年修订版）.中华结核和呼吸杂志，2012，35（1）：9-12.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.Adult Obstructive Sleep Apnea Task Force of the American Academy of Sleep Medicine.Clinical guideline for the evaluation，management and long-term care of obstructive sleep apnea in adults.J Clin Sleep Med，2009，5（3）：263-276.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.Somers VK，White DP，Amin R，et al.Sleep apnea and cardiovascular disease：AHA/ACCF Scientific Statement.Circulation，2008，118（10）：1080-1111.</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3025', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '282', '概述', '<p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">慢性肺源性心脏病（chronic cor pulmonale）简称肺源性心脏病，是指由肺组织、胸廓或肺动脉系统病变引起的肺动脉高压，伴或不伴有右心衰竭的一类疾病。</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">肺源性心脏病在我国是常见病、多发病，平均患病率为0.48%，病死率在15%左右。我国北部及中部地区15岁以上人口患病率为3%，估计全国有2500万人罹患此病，与吸烟密切相关。但约有30%为非吸烟人群，而且以农村女性多见，个体易感因素、遗传、气道高反应性、环境因素、职业粉尘和化学物质、空气污染等与本病的发病密切相关。</p><p style=\"white-space: normal; text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3026', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '282', '病因', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">影响支气管-肺为主的疾病，主要包括：①阻塞性肺疾病：COPD（慢性阻塞性支气管炎、肺气肿及其相关疾病）、支气管哮喘（可逆性气道阻塞）、肺囊泡化纤维化，支气管扩张，细支气管炎等，其中在我国80%～90%的慢性肺源性心脏病病因为COPD；②限制性肺疾病：神经肌肉疾病，脊柱后侧突，肺结核后遗症，肉瘤样病，肺尖症，药物相关性肺疾病，过敏性肺泡炎，结缔组织病，特发性肺间质纤维化，明确病因引起的肺间质纤维化，肺纤维化合并肺气肿等；③“中枢”性呼吸功能不全：中枢性肺泡通气不足，肥胖-低通气综合征（以往称为Pickwickian综合征），睡眠呼吸暂停综合征等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3027', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '282', '病理解剖', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性阻塞性肺病常反复发作支气管周围炎及肺炎，炎症可累及邻近肺小动脉，使腔壁增厚、狭窄或纤维化，肺细动脉Ⅰ及Ⅲ型胶原增多；此外可有非特异性肺血管炎，肺血管内血栓形成等。最后致右心室肥大、室壁增厚、心腔扩张、肺动脉圆锥膨隆、心肌纤维肥大、萎缩、间质水肿，灶型坏死，坏死灶后为纤维组织所替代。部分患者可合并冠状动脉粥样硬化性病变。&nbsp;发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺的功能和结构改变致肺动脉高压（pulmonary arterial hypertension，PAH）是导致肺源性心脏病的先决条件。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在新的肺动脉高压诊断分组中，肺源性心脏病与肺动脉高压第三组相关［即呼吸系统疾病和（或）低氧血症相关性肺动脉高压］，且必须和特发性肺动脉高压（idiopathic pulmonary arterial hypertension，IPAH）及临界性肺动脉高压（第一组），肺静脉高压（第二组）以及血栓栓塞性肺动脉高压（第四组）区别开来。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性呼吸系统疾病，尤其是COPD并发肺动脉高压通常定义为平均肺动脉压力（pulmonary artery mean pressure，PAP）＞20mmHg，与IPAH定义（PAP＞25mmHg）稍有不同。</p><p>（一）血流动力学改变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于肺动脉高压是导致肺源性心脏病的先决条件，肺源性心脏病的发病机制首先是肺动脉高压的发病机制。慢性肺疾病时，许多原因可引起肺血管阻力增加。目前认为至少在COPD、脊柱后侧突和肥胖-低通气综合征中，引起肺血管阻力增加的最常见的原因为肺泡通气不足。在间质性肺疾病中，肺血管阻力增加是由解剖因素（肺纤维化造成的肺组织破坏和肺血管床的丢失）和生理因素（肺泡低氧）共同决定的。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">低氧作用于肺血管平滑肌细胞膜上的离子通道，引起钙内流增加和钾通道活性阻抑；刺激血管内皮细胞，使内皮衍生的收缩因子如内皮素-Ⅰ合成增加而内皮衍生的舒张因子，如一氧化氮和降钙素产生和释放减少；某些血管活性物质如血栓素A<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>、血管紧张素Ⅱ、血小板激活因子及肿瘤坏死因子等形成和释放均促使肺血管收缩。缺氧又使肺血管内皮生长释放因子分泌增加，使血管平滑肌增殖，肺血管顺应性下降，管腔变窄，血管阻力增加。慢性炎症使肺血管数量减少，肺微动脉中原位血栓形成，均更加重了肺动脉高压。</p><p>（二）呼吸功能改变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于支气管及肺泡病变造成阻塞性通气功能障碍。限制性肺部疾病或胸部活动受限制可出现限制性通气功能障碍，使肺活量、残气量和肺总量减低。</p><p>（三）心脏负荷增加，心肌功能抑制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺源性心脏病由于心肌氧张力减低，红细胞增多和肺血管分流，使左、右心室尤其是右心室负荷增加，右心室扩大，右心室排血不完全，最后产生右心衰竭。</p><p>（四）多脏器损害</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺源性心脏病可引起多脏器衰竭，这与炎症介质的释放，抗原抗体复合物形成，激活补体、释出C3等活性物质有关。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3028', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '282', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病病程进展缓慢，可分为代偿与失代偿两个阶段。</p><p>（一）功能代偿期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患者都有慢性咳嗽、咳痰或哮喘史，逐步出现乏力、呼吸困难。体检示明显肺气肿表现，包括桶状胸、肺部叩诊呈过度清音、肝浊音上界下降、心浊音界缩小甚至消失。听诊呼吸音低，可有干湿啰音，心音轻，有时只能在剑突下听到。肺动脉区第二心音亢进，剑突下有明显心脏冲动，是病变累及心脏的主要表现。颈静脉可有轻度怒张，但静脉压并不明显增高。</p><p>（二）功能失代偿期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺组织损害严重引起缺氧、二氧化碳潴留，可导致呼吸和（或）心力衰竭。</p><p>1.呼吸衰竭</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多见于急性呼吸道感染后。缺氧早期主要表现为发绀、心悸和胸闷等。病变进一步发展时发生低氧血症，可出现各种精神神经障碍症状，称为肺性脑病。</p><p>2.心力衰竭</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">亦多发生在急性呼吸道感染后，因此常合并有呼吸衰竭，以右心衰竭为主，可出现各种心律失常。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此外，由于肺源性心脏病是以心、肺病变为基础的多脏器受损害的疾病，在重症患者中，可有肾功能不全、弥散性血管内凝血、肾上腺皮质功能减退所致面颊色素沉着等表现。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3029', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '282', '辅助检查', '<p>（一）血液检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">红细胞计数和血红蛋白增高，血细胞比容正常或偏高，全血黏稠度、血浆黏稠度和血小板黏附率及聚集率常增高，红细胞电泳时间延长，血沉一般偏快；动脉血氧饱和度常低于正常，二氧化碳分压高于正常，以呼吸衰竭时显著。在心力衰竭期，可有丙氨酸氨基转移酶和血浆尿素氮、肌酐、血及尿β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>微球蛋白（β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>-M）增高等肝肾功能受损表现。合并呼吸道感染时，可有白细胞计数增高。</p><p>（二）痰细菌培养</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">旨在指导抗生素的应用。</p><p>（三）X线检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">诊断标准：①右肺下动脉横径≥15mm；②肺动脉中度凸出或其高度≥3mm；③右心室增大。通常分为三型；①正常型：心肺无异常表现；②间质型：非血管性纹理增多、粗乱，多见于肺下野或中下野，或兼有一定程度的肺气肿；③肺气肿型：表现为肺过度膨胀，肺血管纹理自中或内带变细、移位变形，有肺大泡或不规则局限透明区，但这些影像学改变的敏感性与特异性均较差。</p><p>（四）心电图检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">通过心电图发现右心室肥大具有较高的特异性，但其敏感性较差。心电图常表现为右心房和右心室增大，ST段与T波改变和各种心律失常。</p><p>（五）超声心动图</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">超声心动图诊断肺动脉高压的敏感性较差，但诊断右心室肥大的特异性高。常表现为右心房和右心室增大，左心室内径正常或缩小，室间隔增厚。通过测量三尖瓣反流速度，用Bernoulli公式可得到右心室收缩压。</p><p>（六）肺功能检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在心肺功能衰竭期不宜进行本检查，症状缓解期中可考虑测定。患者均有通气和换气功能障碍。表现为时间肺活量及最大通气量减低，残气量增加。</p><p>（七）磁共振检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">磁共振（MRI）检查能帮助诊断肺动脉高压以及右心室结构和功能的改变，尤其是增强MRI能提供良好的右心室图像，但磁共振检查不常规用于怀疑合并肺动脉高压的呼吸系统疾病患者，因为在COPD患者中，肺部过度充气会遮挡心脏图像。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3030', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '282', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病由慢性广泛性肺、胸部疾病发展而来，呼吸和循环系统的症状常混杂出现，故早期诊断比较困难。一般认为凡有慢性广泛性肺、胸部疾病患者，一旦发现有肺动脉高压、右心室增大而同时排除了引起右心增大的其他心脏疾病可能时，即可诊断为本病。肺动脉高压和右心室增大是肺源性心脏病早期诊断的关键。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3031', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '282', '鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①冠状动脉粥样硬化性心脏病：慢性肺源性心脏病和冠状动脉粥样硬化性心脏病（冠心病）均多见于老年人，且均可有心脏扩大、心律失常及心力衰竭，少数患者心电图的胸导联上可出现Q波。但前者无典型心绞痛或心肌梗死的表现，其酷似心肌梗死的图形多发生于急性发作期严重右心衰竭时，随病情好转，酷似心肌梗死的图形可很快消失。②风湿性心瓣膜病：慢性肺源性心脏病的右房室瓣关闭不全与风湿性心瓣膜病的右房室瓣病变易混淆，但依据病史及临床表现，结合X线、心电图、超声心动图、血气分析等检查所见，不难鉴别。③其他：原发性心肌病（有心脏增大、心力衰竭以及房室瓣相对关闭不全所致杂音）、缩窄性心包炎（有颈静脉怒张、肝大、水肿、腹水及心电图低电压）及发绀型先天性心脏病伴胸廓畸形时，均需与慢性肺源性心脏病相鉴别。一般通过病史、X线、心电图及超声心动图检查等进行鉴别诊断。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3032', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '282', '并发症', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">最常见为酸碱平衡失调和电解质紊乱。其他尚有上消化道出血和休克，其次为肝、肾功能损害及肺性脑病，少见的有自发性气胸、弥散性血管内凝血等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3033', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '282', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺源性心脏病是原发于重症胸、肺、肺血管基础疾病的晚期并发症，其中81.8%的患者由慢性支气管炎、支气管哮喘并发肺气肿发展而来，因此积极防治这些疾病是避免肺源性心脏病发生的根本措施。应讲究卫生、戒烟和增强体质，提高全身抵抗力，减少感冒和各种呼吸道疾病的发生。对已发生肺源性心脏病的患者，应针对缓解期和急性期分别加以处理。呼吸道感染是发生呼吸衰竭的常见诱因，故需要积极予以控制。</p><p>（一）缓解期治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是防止肺源性心脏病发展的关键。可采用：①冷水擦身和膈式呼吸及缩唇呼气以改善肺脏通气等耐寒及康复锻炼；②镇咳、祛痰、平喘和抗感染等对症治疗；③提高机体免疫力药物，如核酸酪素注射液皮下或肌内注射，或核酸酪素口服液10ml/支，3次/日，36个月为一疗程。气管炎菌苗皮下注射、卡介苗素注射液肌内注射等；④长期氧疗可以明显改善有缺氧状态的慢性肺源性心脏病患者的生存率；⑤中医中药治疗，宜扶正固木、活血化瘀，以提高机体抵抗力，改善肺循环情况。对缓解期的患者进行康复治疗及开展家庭病床工作能明显降低急性期的发作。</p><p>（二）急性期治疗1.控制呼吸道感染</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">呼吸道感染是发生呼吸衰竭和心力衰竭的常见诱因，故需积极应用药物予以控制。目前主张联合用药。宜根据痰培养和致病菌对药物敏感的测定选用，但不要受痰菌药物试验的约束。可考虑经验性抗菌药物治疗。急性发作的COPD分为单纯型、复杂型和慢性化脓型三型，其中单纯型推荐的经验性治疗抗菌药物是阿莫西林、多西环素、复方磺胺甲<img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%86%85%E7%A7%91%E5%AD%A6_%E5%85%A82%E5%86%8C(%E4%B8%8B)_978-7-117-17272-1/pics/BZ_273_1783_394_1818_428.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/>唑；复杂型推荐的是喹诺酮类、β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>内酰胺酶抑制剂复方制剂、第2代或第3代头孢菌素、新大环内酯类；慢性化脓型推荐的是环丙沙星、其他静脉用抗假单胞菌抗生素（哌拉西林钠、头孢他啶、头孢吡肟、碳青霉烯类、氨基糖苷类）。除全身用药外，尚可局部雾化吸入或气管内滴注药物。长期应用抗生素要防止真菌感染。一旦真菌已成为肺部感染的主要病原菌，应调整或停用抗生素，给予抗真菌治疗。</p><p>2.改善呼吸功能，抢救呼吸衰竭</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">采取综合措施，包括缓解支气管痉挛、清除痰液、畅通呼吸道，可用盐酸氨溴素15mg，2次/日，雾化吸入；或60mg，口服2次/日，静脉滴注。持续低浓度给氧，应用呼吸兴奋剂，Bipap正压通气等，必要时施行气管切开、气管插管和机械呼吸器治疗等。</p><p>3.控制心力衰竭</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">轻度心力衰竭给予吸氧，改善呼吸功能，控制呼吸道感染后，症状即可减轻或消失。较重者需要加用以下药物予以控制。</p><p>（1）利尿药：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一般以间隙、小量呋塞米及螺内酯交替使用为妥，目的为降低心脏前、后负荷，增加心排血量，降低心腔充填压，减轻呼吸困难。使用时应注意到可引起血液浓缩，使痰液黏稠，加重气道阻塞；电解质紊乱尤其是低钾、低氯、低镁和碱中毒，诱致难治性水肿和心律失常。若需长时间使用利尿药，可合用有保钾作用血管紧张素转换酶抑制剂，如卡托普利、培哚普利、福辛普利等，以避免肾素分泌增加、血管痉挛，增强利尿作用。</p><p>（2）洋地黄类：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在呼吸功能未改善前，洋地黄类药物疗效差，且慢性肺源性心脏病患者肝、肾功能差，因此用量宜小，否则极易发生毒性反应，出现心律失常。急性加重期以静脉注射毛花丙苷（西地兰）或毒毛旋花子苷K为宜，见效快，可避免在体内蓄积，若心力衰竭已纠正，可改用地高辛维持。</p><p>（3）血管扩张剂：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">除减轻心脏的前、后负荷，还可扩张肺血管，降低肺动脉压。全身性血管扩张药大多对肺血管也有扩张作用，如直接扩张血管平滑肌药物肼苯哒嗪、钙通道阻断药硝苯地平、α受体阻断药酚妥拉明、ACEI卡托普利以及β受体激动药、茶碱类、依前列醇等，均可不同程度的降低肺动脉压力。但应注意这些药物对心排血量及动脉血压的影响，应从小剂量开始。慢性肺源性心脏病是以右心病变为主的全心病变，可发生右心衰竭、急性肺水肿或全心衰竭。而且心力衰竭往往与呼吸衰竭并存。因此，治疗心力衰竭前应先治疗呼吸衰竭，一般随着呼吸功能的改善，急性增高的肺动脉压可随之下降，右心室负担减轻，轻症心力衰竭患者可得到纠正。</p><p>4.控制心律失常</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">除常规处理外，需注意治疗病因，包括控制感染、纠正缺氧、纠正酸碱和电解质平衡失调等。病因消除后心律失常往往会自行消失。此外，应用抗心律失常药物时还要注意避免应用普萘洛尔等β受体阻断药，以免引起气管痉挛。</p><p>5.应用肾上腺皮质激素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在有效控制感染的情况下，短期大剂量应用肾上腺皮质激素，对抢救早期呼吸衰竭和心力衰竭有一定作用。通常用氢化可的松100～300mg或地塞米松10～20mg加于5%葡萄糖溶液500ml中静脉滴注，每日一次，后者亦可静脉推注，病情好转后2～3天停用。如胃肠道出血、肾上腺皮质激素的使用应十分慎重。</p><p>6.并发症的处理</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">及时治疗并发症，如酸碱平衡失调和电解质紊乱、消化道出血、休克、弥散性血管内凝血等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3034', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '282', '预后和预防', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病常年存在，但多在冬季由于呼吸道感染而导致呼吸衰竭和心力衰竭，病死率较高。1973年前肺源性心脏病住院病死率在30%左右，1983年已下降到15%以下，目前仍在10%～15%，这与肺源性心脏病发病高峰年龄向高龄推移、多脏器合并症、感染菌群的改变等多因素有关，主要死因依次为肺性脑病、呼吸衰竭、心力衰竭、休克、消化道出血、弥散性血管内凝血、全身衰竭等。本病病程中多数环节是可逆的，因此需要积极控制感染、宣传戒烟、治理环境污染，这些对保护肺源性心脏病者的肺功能有着重要意义。对已发生肺源性心脏病的患者，应针对病情加以处理，通过适当治疗，心肺功能都可有一定程度的恢复。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3035', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '282', '参考文献', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.陈灏珠.实用心脏病学.第4版.上海：上海科学技术出版社，2007.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.Shujaat A，Minkin R，Eden E.Pulmonary hypertension and chronic cor pulmonale in COPD.Int J Chron Obstruct Pulmon Dis，2007，2：273-282.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.Weitzenblum E，Chaouat A.Cor pulmonale.Chronic Respiratory Disease，2009，6：177-185.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.Laura C，Price S，John Wort，et al.Inflammation in Pulmonary Arterial Hypertension.Chest，2012，141：210-221.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.Man JP，Sin DD，Ignaszewski A，et al.The complex relationship between ischemic heart disease and COPD exacerbations. Chest，2012，141：837-838.</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '12', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3058', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1655', '病因和病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">二尖瓣脱垂综合征（mitral valve prolapse，MVP）是指二尖瓣一个或两个瓣叶收缩期膨向LA，闭合线超过瓣环2mm及以上，以后叶脱垂多见。瓣叶可增厚或正常，可伴或不伴MR。其确切病因未明，可见于各年龄组，以年轻女性多见。曾被称为收缩期喀喇音杂音综合征、Barlow病、瓣膜松弛综合征等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">原发性MVP综合征可为家族性或非家族性。三分之一患者无其他器质性心脏病；马方综合征等遗传性胶原病变、von Willebrand’s病及其他凝血异常、原发性乳腺发育不良、多种结缔组织疾病（系统性红斑狼疮、强直性脊柱炎、结节性多动脉炎）、漏斗胸等常合并MVP。病理改变包括二尖瓣黏液样变性，海绵层增生伴蛋白多糖堆积，并侵入纤维层，瓣叶心房面局限性增厚，表面纤维素和血小板沉积。电镜下可见Ⅲ型胶原纤维生成减少和断裂，结缔组织中的胶原纤维变性，纤维素沉积；弹力纤维离断和溶解。瓣叶冗长累赘，在腱索间形成皱褶，收缩期向LA膨出呈半球状；腱索纤细冗长，扭曲，继之纤维化而增厚，以瓣叶受累最重处为显著；腱索异常使二尖瓣受力不匀，导致瓣叶受牵拉和松弛；黏液变性可致腱索断裂。瓣环扩大和钙化进一步加重反流的程度。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">继发性MVP多见于风湿或病毒感染、冠心病、心肌病、先天性心脏病、甲状腺功能亢进等；多因对侧瓣叶关闭受限，使得正常关闭的瓣叶呈现“相对性”或“假性”脱垂，以前叶脱垂多见。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3059', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1655', '病理生理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">正常情况下，心室收缩时室内压上升，乳头肌协同收缩，拉紧腱索以防瓣叶翻入LA；在腱索的牵引下，二尖瓣瓣叶相互靠近，瓣口关闭，此时瓣叶不超过瓣环水平。当二尖瓣的瓣叶、腱索、乳头肌或瓣环发生病变时，松弛的瓣叶在瓣口关闭后进一步脱向LA，可导致慢性MR，其血流动力学影响与其他原因的器质性MR相同。如出现自发性或继发于感染后的腱索断裂，可出现急性的重度MR。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3060', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1655', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据瓣叶结构异常的程度，有无合并MR及其程度，不同MVP综合征患者的临床表现和预后由轻到重呈现出广泛的差异。绝大多数MVP呈良性病程，预后无异于普通人群。</p><p>（一）症状</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多无明显症状。少数患者出现一过性症状，包括非典型胸痛、心悸、呼吸困难、疲乏、头晕、晕厥、血管性偏头痛、一过性脑缺血，以及焦虑紧张、惊恐发作等神经精神症状。</p><p>（二）体征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">体形多属无力型，可伴直背、脊柱侧凸或前凸、漏斗胸等。心脏冲动可呈双重性。典型听诊发现为心尖区或其内侧的收缩中晚期非喷射性喀喇音，为腱索突然拉紧，瓣叶脱垂突然中止所致；随即出现收缩晚期吹风样（偶可为雁鸣样）杂音，常为递增型，少数可为全收缩期杂音，并掩盖喀喇音。MR越严重，收缩期杂音出现越早，持续时间越长。凡能降低LV排血阻力，减少静脉回流，增强心肌收缩力而使LV舒张期末容量减少的生理或药物措施，如立位、屏气、心动过速、吸入亚硝酸异戊酯等，均可使收缩期喀喇音和杂音提前；反之，凡能增加LV排血阻力，增加静脉回流，减弱心肌收缩力而使LV舒张期末容量增加的生理或药物因素，如下蹲、心动过缓、β受体阻断药、升压药等，均可使收缩期喀喇音和杂音延迟。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3061', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1655', '辅助检查', '<p>（一）X线检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">类似于其他原因的器质性MR，部分可见胸廓畸形。</p><p>（二）心电图检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">正常或非特异性ST-T段的改变，QT间期可延长。可伴有各种类型的心律失常及旁路。</p><p>（三）超声心动图检查（图16-10-3）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">可评估瓣膜的厚度（≥5mm为瓣膜增厚）、活动、脱垂部位、瓣环和腱索情况、反流束的起源和朝向（间接提示脱垂部位）、定量反流的程度。反流程度及其血流动力学后果的评价与其他器质性MR相同；但反流束多为偏心性，TTE常低估反流程度，影响PISA法等定量的精确性；连枷瓣和腱索断裂提示合并严重MR。TEE可以精确评价反流的程度、瓣膜的结构、脱垂的范围和分区、修复的可能、有助于术前制订手术方案。少数患者可合并多个瓣膜脱垂和关闭不全、主动脉扩张、房间隔瘤或Ⅱ孔型房间隔缺损。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3062', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1655', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">诊断主要根据典型的心尖区收缩中、晚期喀喇音和收缩晚期吹风样杂音，以及超声心动图表现。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3063', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1655', '并发症', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">合并严重MR者晚期可出现充血性心力衰竭；腱索断裂可导致急性的重度MR，出现急性左心衰和肺水肿。感染性心内膜炎多见于有明显瓣膜结构和关闭不全的患者，但整体发生率并不高。心律失常多为良性，以室性心律失常和阵发性室上性心动过速最多见；单纯MVP中猝死较为罕见，除了家族性MVP和LV功能损害外，猝死的危险因素类似于非MVP人群。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3064', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1655', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">治疗原则与其他器质性MR并无差别。绝大多数合并轻、中度MR，无症状或症状轻微者不需治疗，可正常工作生活，定期随访；有症状者对症治疗，包括抗心律失常（可用β受体阻断药）、抗凝治疗（合并血栓栓塞危险因素者）等。胸痛可用β受体阻断药。硝酸酯类药物可加重脱垂，应慎用。有猝死危险因素或合并马方综合征者，应避免过度的体力劳动及剧烈运动。严重MR需手术治疗，手术指征和方法的选择与其他器质性MR相同。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3175', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1658', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">颅内血管破裂后，血液流入蛛网膜下腔称为蛛网膜下腔出血（subarachnoid hemorrhage，SAH），临床上将SAH分为外伤性与非外伤性两大类，非外伤性SAH又称为自发性SAH，是一种常见且致死率极高的疾病。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3176', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1658', '病因和危险因素', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要是动脉瘤，约占全部病例的85%左右，其他病因包括中脑周围非动脉瘤性出血、血管畸形、硬脑膜动-静脉瘘、凝血功能障碍、吸食可卡因和垂体卒中等。危险因素：高血压、吸烟、酗酒均为SAH的独立危险因素。可卡因和苯丙醇胺与SAH的发病相关。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3177', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1658', '预后和预防', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">SAH患者的预后较差，影响预后最重要的指标是早期出血的严重程度，平均死亡率高达45%，且主要发生在病后2周内，一个月内再出血的危险为33%，1个月后再出血的危险减低，但每年仍有3%的再出血危险。存活者中50%留有残疾，64%生活质量未恢复到病前水平。影响预后的因素分为患者因素、动脉瘤因素、医疗机构因素。预防措施包括积极治疗高血压、戒烟。可通过以下因素判断再出血的风险，包括早期出血严重程度、就诊时间、血压、性别、动脉瘤的特点、脑积水、早期血管造影及是否使用了脑室引流。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3178', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1658', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">颅内动脉瘤未破裂前多无症状。SAH常在体力劳动或激动时发病，约80%的患者会主诉“从未有过的剧烈头痛”，20%的患者仅有一过性或者先兆性头痛。头痛可伴随恶心、呕吐、颈项强直、意识障碍、局部神经缺损（包括脑神经瘫痪）、癫痫发作。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">先兆性出血或警示性渗漏，是指严重动脉瘤破裂前的轻微出血。这些轻微出血多发生于SAH前2～8周，多伴头痛，可持续数天，但比动脉瘤破裂时的头痛轻。恶心、呕吐也可出现，但脑膜刺激征不明显。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3179', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1658', '实验室和影像学检查', '<p>1.头颅CT平扫</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">CT是SAH诊断的首选。在SAH发病后12小时内，CT的敏感性高达98%～100%，24小时内逐渐降至93%，6天内降至57%～85%。腰椎穿刺可用于CT结果阴性的可疑病例的诊断。腰椎穿刺的时机、红细胞计数、白细胞计数、脑脊液是否黄染及胆红素的检测等将影响对结果的判断。CT平扫结合腰椎穿刺检查在多数情况下可以明确有无警示性渗漏，并可判断剧烈和（或）突发头痛的预后。故一般推荐头痛对症治疗前应予以CT平扫及腰椎穿刺。</p><p>2.CTA</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">CTA检查相对于DSA来说创伤较小，对于较大的动脉瘤敏感性与DSA相似。CTA还可弥补DSA的不足，对于动脉瘤壁钙化、动脉瘤腔内血栓、动脉瘤导致脑实质出血的倾向及动脉瘤与骨性结构的关系等方面CTA具有一定优势。</p><p>3.MRI和MRA</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">MRA对于判断动脉瘤颈与所属血管的关系存在着局限性。但MRA无须碘造影、无离子辐射，适用于孕妇，可用于SAH的筛查。</p><p>4.DSA</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DSA仍是目前明确SAH病因、诊断颅内动脉瘤的金标准。DSA阴性的患者大约占20%～25%，如果一周后再次行DSA，约有1%～2%患者发现之前未发现的动脉瘤。</p><p>5.实验室和其他检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">实验室检查主要包括血常规、血糖、凝血功能等生化指标，其他检查包括对病因的分析，如考虑烟雾病时需做钩体抗体检测；另一方面，主要是根据患者的病情选择相应的检查，如血气分析、心肌酶谱、心肌标志物等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3180', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1658', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">突发头痛、呕吐、脑膜刺激征阳性以及头颅CT发现蛛网膜下腔的高密度影是最经典的诊断标准。对可疑SAH患者应首选CT检查。当CT结果阴性时，腰椎穿刺检查有助于进一步提供诊断信息。对于SAH患者宜早期行DSA检查明确动脉瘤及其解剖学特点。在DSA不能及时实施时可作CTA或MRA检查。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3181', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1658', '鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">除动脉瘤性SAH外，需要鉴别其他导致SAH的病因，如AVM、凝血功能障碍、动脉粥样硬化等。</p><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">【病情评估和临床分级】</h6><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">SAH患者的临床分级已出现数个版本，其中Hunt-Hess量表，改良Fisher量表（主要评估血管痉挛的风险），GCS及国际神经外科医师联盟（ISAT）量表仍为主要的评分标准。尽管如何选择量表仍存争议，但仍推荐急诊时使用一种上述量表对患者进行评分并记录在案。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患者就诊后应全面采集病史及完善相关体检，有无SAH危险因素、有无药物滥用史、年轻患者应作毒物筛查等。影响预后的相关因素均应记录在案。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3182', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1658', '治疗', '<p>1.一般治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">SAH需要严密观察与监测。确诊后，需先开放呼吸道、吸氧、维持外周循环。SAH并发高血压的管理应较脑出血的高血压管理更为严格，应该及时使用钙离子拮抗剂等效果较强的药物，静脉推注或持续滴注，控制血压。但血压过低容易诱发缺血性损伤。当血压偏高时，应静脉持续给药。急性SAH患者，应重视心电监护，采取积极的预防措施，保护心功能。SAH后发生低钠血症的概率约为10%～30%。扩容治疗、氟氢可的松、3%氯化钠溶液可有效改善低钠血症，5%的白蛋白也有同样的作用。</p><p>2.动脉瘤介入和外科手术治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">外科手术夹闭或弹簧圈栓塞均可降低动脉瘤性SAH的再出血风险。与完全性栓塞相比，包埋或覆盖动脉瘤、不完全夹闭或栓塞都会增加再出血风险，应尽可能完全栓塞动脉瘤。早期治疗可降低再出血风险，且新技术可提高早期动脉瘤治疗的有效性。</p><p>3.预防再出血的药物和其他治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">明确病因，针对病因治疗是预防再出血的根本措施。早期、短程抗纤溶药物治疗结合早期动脉瘤治疗，可减少再出血的发生。</p><p>4.血管痉挛的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">动脉瘤性SAH的患者应静脉滴注或口服尼莫地平，可有效改善预后。扩容治疗是症状性血管痉挛合理的治疗方法，高血容量、诱导血压增高以及血液稀释的“3-H”治疗是主要的方法。可根据临床具体情况选择脑血管成形术和（或）动脉内注射血管扩张剂治疗血管痉挛。</p><p>5.脑积水的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有症状的慢性脑积水患者需临时或永久的脑脊液分流术。脑室引流对脑室扩张的患者有益，并可减轻急性SAH的意识障碍水平。</p><p>6.痫样发作的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">不推荐长期使用抗癫痫药物。但对痫样发作的高风险人群，如既往有癫痫史、有实质血肿或梗死、大脑中动脉动脉瘤的患者，可考虑长期使用。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3189', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1659', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">高血压脑病是指突然、严重的高血压促发的一种急性大脑综合征，是平均动脉压迅速升达150mmHg以上，脑小动脉发生过强的自动调节反应，即普遍的脑血管痉挛，使脑部缺血缺氧而导致脑水肿、毛细血管破裂（点状出血）和组织坏死（微梗死）而产生的症状、体征。主要表现为头痛、抽搐和意识障碍，并可伴有短暂的局灶性神经功能缺失。&nbsp;发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">健康成人平均动脉压约为90mmHg，自动调节的范围在60～150mmHg之间。血压升高的速度和程度是决定高血压脑病发生的最重要因素。在正常情况下，血压升高，脑小动脉舒张，以保证脑内血液供应，使颅内压维持在正常范围内。但当血压急剧升高时，脑血管自动调节功能失调，脑小动脉发生持续而强烈的收缩后，继之出现被动和强制性舒张，脑部过度灌注而发生脑水肿，颅内压升高而产生一系列症状。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3190', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1659', '发病原因', '<p>1.原发性高血压</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">原发性高血压发生高血压脑病的发病率约1%左右，高血压病史较长，有明显脑血管硬化者更易发生。</p><p>2.继发性高血压</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如妊娠高血压综合征、肾小球肾炎性高血压、肾动脉狭窄、嗜铬细胞瘤等也有发生高血压脑病的可能。子痫被认为是一种特殊类型的高血压脑病。5%～7%的孕妇发生高血压。</p><p>3.颈动脉血管内干预后</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">高度颈动脉狭窄患者行颈动脉内膜剥离术或支架术后，脑灌注突然增加，亦可引起高血压脑病或称高灌注综合征。</p><p>4.某些药物或食物诱发高血压脑病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">少见情况下，高血压患者应用单胺氧化酶抑制剂的同时，又服用萝芙木类、甲基多巴或节后交感神经抑制剂，也会引起与高血压脑病相似的症状。进食富含胺类的食物也可诱发高血压脑病。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3191', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1659', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">高血压脑病可发生于任何年龄，从新生儿到老年人，最多见于20～40岁的患者。头痛常急起，多为全头或枕部疼痛。随着头痛的加重可伴发呕吐。发病早期常有肌肉颤搐、肌阵挛等神经兴奋性增高的征象。多有全身或局限性痫性发作，继而呈昏睡、谵妄、精神错乱直至昏迷等意识障碍。可伴有短暂的黑矇、偏瘫、失语等。还常有眼底变化、左心室扩大、心肺功能紊乱等体征。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3192', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1659', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">高血压脑病的临床诊断要点是：①有高血压、肾脏病、妊娠高血压综合征等病史或其他引起血压过高的病因；②血压增高常达180/120mmHg或平均动脉压150mmHg以上；③有急性头痛、痫性发作、意识障碍三种主征，或伴有黑矇、偏瘫、失语等脑部局灶性症状。如各种急性脑病症状随着降低血压的措施奏效而迅速缓解时，更有助于诊断；④眼底有高血压性视网膜病变、视乳头水肿、出血、渗出，或无此种改变而仅表现为视网膜动脉痉挛；⑤CT缺乏脑出血或梗死的证据，有时可以表现为白质区域密度降低。应尽量避免腰椎穿刺。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3193', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1659', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">当高血压脑病的临床诊断一旦成立，迅速地降低血压，使血压维持在160/100mmHg左右，但如果平均动脉压低于基线水平40%以下时可能会发生低灌注，甚至脑梗死。所以，降压治疗要迅速但要注意幅度。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可选用的药物有：</p><p>1.硝普钠</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">30mg加入5%葡萄糖500ml内10～30 滴/分，避光静脉点滴，开始时速度可略快。血压下降后可逐渐减慢。一般用药后2分钟血压即明显下降。所以用此药时一定要监测血压和心率（律），根据血压情况及时调整滴速，达到治疗目的后可逐渐减量或停药。</p><p>2.尼卡地平</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5～15mg/h，作用迅速，不良反应少。</p><p>3.阿方那特（咪噻芬）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">250mg加入5%葡萄糖250ml静滴，开始以每分钟3～5mg滴速静脉滴注，3～5分钟后血压开始下降，减慢滴速，血压维持在预期水平缓慢停药。</p><p>4.25%硫酸镁</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">10ml肌注，必要时2～3次/天。</p><p>5.其他</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">适当应用脱水药物（甘露醇、白蛋白等），消除脑水肿；纠正水、电解质和酸碱平衡。急性期过后，意识转清，改用口服降压药物，以防再发。并应查明并进行病因治疗。地塞米松5～10mg，每6小时一次，可减轻脑水肿。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">抗癫痫药物如苯妥英钠、丙戊酸钠、苯巴比妥等，地西泮可能导致呼吸抑制，需谨慎使用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血压降到目标水平后，长期高血压患者的血压要略高一些，停止静脉给药，并开始口服降压药治疗。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3194', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1659', '预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如果血压控制有效，多预后较好，少数患者遗留有局限性神经功能缺失，如枕叶梗死等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3206', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '403', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">限制型心肌病（restrictive cardiomyopathy，RCM）的特征为原发性心肌和（或）心内膜纤维化，或是心肌的浸润性病变，引起心脏充盈受阻，发生舒张功能障碍。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3207', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '403', '发病情况', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病主要发生于热带与亚热带地区包括非洲、南亚和南美。我国已发现的也多数在南方，呈散发分布。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3208', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '403', '病因和发病机制', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">迄今未完全清楚。除浸润性病变外，非浸润性的本型心肌病的发病机制研究，集中于嗜酸性粒细胞，在热带与温带地区所见的一些本病患者不少与嗜酸性粒细胞增多有关。早期为坏死期，一般在起病5周以内，心肌内嗜酸性粒细胞增多，到10个月时，心内膜增厚并有血栓形成，为血栓形成期；2年以后进入纤维化期，致密纤维沉积在心内膜及其下1/3心肌内，增厚的心内膜可达4～5mm。致密组织常延伸至房室瓣的乳头肌和腱索中，导致二尖瓣和三尖瓣关闭不全。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3209', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '403', '病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心脏外观轻度或中度增大，心内膜显著纤维化与增厚，以心室流入道与心尖为主要受累部位，房室瓣也可被累及，纤维化可深入心肌内。附壁血栓易形成。心室腔缩小。心肌心内膜也可有钙化。显微镜下见心内膜表层为玻璃样变性的纤维组织，其下为胶原纤维层，间有钙化灶，再下面为纤维化的心肌，心肌有间质水肿和坏死灶。心室病变主要在流入道并延伸到心尖，可累及乳头肌、腱索、二尖瓣和三尖瓣。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3210', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '403', '病理生理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心内膜与心肌纤维化使心室舒张发生障碍，还可伴有不同程度的收缩功能障碍。心室腔减小，使心室的充盈受限制；心室的顺应性降低，回血障碍，随之心排血量也减小，造成类似缩窄性心包炎时的病理生理变化。房室瓣受累时可以出现二尖瓣或三尖瓣关闭不全。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3211', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '403', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">起病比较缓慢。早期可有发热，逐渐出现乏力、头晕、气急。病变以左心室为主者有左心衰竭和肺动脉高压的表现，如气急、咳嗽、咯血、肺基底部啰音，肺动脉瓣区第二心音亢进等；病变以右心室为主者有右心室回血受阻的表现，如颈静脉怒张、肝大、下肢水肿、腹水等。心脏冲动常减弱，浊音界轻度增大，心音低，心率快，可有舒张期奔马律及心律失常。心包积液也可存在。内脏栓塞不少见。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3212', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '403', '辅助检查', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">X线检查示心影扩大，可能见到心内膜心肌钙化的阴影。心室造影见心室腔缩小。心电图检查示低电压，心房或心室肥大，束支传导阻滞，ST-T改变，心房颤动，也可在V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>、V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>导联上有异常Q波。超声心动图可见下腔静脉和肝静脉显著增宽，心肌心内膜结构超声回声密度异常。左、右心房扩大，左、右心室腔不大或缩小，右心室心尖部心内膜增厚，甚至心腔闭塞，形成一僵硬变形的异常回声区，使整个心腔变形。心肌壁可以增厚，也可正常或厚度不均，室壁收缩活动减弱。当病变累及房室瓣时，可见二尖瓣和三尖瓣反流。心包膜一般不增厚。心导管检查示心室的舒张末期压逐渐上升，造成下陷后平台波型，在左心室为主者肺动脉压可增高，在右心室为主者右心房压力高，右心房压力曲线中显著的v波取代a波。收缩时间间期测定不正常。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3213', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '403', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于本病的早期临床表现不明显，诊断较困难。临床症状出现后则依靠各项检查可以确诊，超声心动图为无创而有效的检查方法。心肌心内膜活组织检查，如有阳性的特异性发现，有助于诊断，也可能仅发现浸润性病变。在临床上须与缩窄性心包炎鉴别，尤其有心室病变为主的病例，两者临床表现相似。有急性心包炎史、X线示心包钙化，胸部CT或磁共振检查示心包增厚，支持心包炎；心电图上心房或心室肥大、束支传导阻滞，收缩时间间期不正常支持心肌病；超声心动图对两者的鉴别有较大帮助，心尖部心腔闭塞及心内膜增厚可确立本病的诊断。对于诊断困难病例可作心室造影和心内膜心肌活检。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3214', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '403', '预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病程发展快慢不一。过去由于治疗不彻底，一旦出现症状，即逐渐丧失劳动力，最后导致死亡。左心室病变为主者比右心室病变为主者预后略好。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3215', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '403', '防治', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">预防仅限于避免并发症。不宜劳累，防止感染。治疗以针对心力衰竭的症状为主。有心房颤动者可给予洋地黄类；有水肿和腹水者宜用利尿药。应用利尿药或血管扩张药时应注意不使心室充盈压下降过多而影响心功能。为防止栓塞可用抗凝药。近年来用手术切除纤维化增厚的心内膜，房室瓣受损者同时进行人工瓣膜置换术，有较好的效果。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3225', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '54', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主动脉夹层（aortic dissection，AD）是指主动脉内膜破裂，血液从内膜破裂口进入血管中层，使主动脉壁分离，形成真假两腔的一种病理改变。Morgani（1761）首次描述了主动脉夹层的特点，Lacnnce（1820）命名为主动脉夹层动脉瘤（aortic dissection aneurysm）。随后研究发现，动脉瘤是部分夹层慢性期的表现，并非所有夹层都有动脉瘤变。虽然之后有胸主动脉夹层、主动脉夹层分离等命名，但都不能概括疾病的全部，目前统一称为主动脉夹层。Shenan（1934）全面复习并分析了300例主动脉夹层的尸检结果，对主动脉夹层的概念作出了明确定义。Gurin等（1935）首次报道通过右髂动脉开窗治疗主动脉夹层；DeBakey等（1955）首次成功地施行人工血管替换术治疗主动脉夹层；Wheat阐明了主动脉夹层发病的血流动力学机制，并建立了将抗高血压药物和β-受体阻滞剂用于主动脉夹层的治疗学模式；Dake等（1994）首先尝试用人工血管内支架腔内修复主动脉夹层，目前已在全世界范围广泛开展，极大地革新了主动脉夹层的治疗状况，改善了治疗效果。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3226', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '54', '流行病学', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">流行病学调查显示，主动脉夹层的年发病率为2.9～3.5/10万。男女之间的发病率约为5∶1。Stanford A型的发病年龄高峰在50～60岁之间，B型在60～70岁之间。约65%患者的夹层破口位于升主动脉，约25%患者的破口位于左锁骨下动脉以远，其余患者的破口位于主动脉弓。60%～70%的患者伴随有高血压。夹层的发病率呈昼夜和季节规律，寒冷季节清晨6点到10点是高发时段。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3227', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '54', '病因与发病机制', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主动脉夹层起病与多种因素有关，从作用时间来说包括先天性与后天性两类因素。从作用性质来说包括内因与外因两方面，内因导致主动脉壁结构强度降低，外因引起主动脉壁受力增加。</p><p>1.先天性因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">先天性因素主要对主动脉壁结构起作用，多种遗传性疾病导致其性质改变，强度降低。</p><p>（1）马方综合征（Marfan syndrome，MFS）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">MFS是一种常染色体显性遗传病，可引起动脉扩张和主动脉夹层分离、晶体异位以及一系列的皮肤、肌肉、骨骼异常，大动脉异常是最常见的临床表现。MFS是由位于15号染色体上的原纤维蛋白1（fibrillin-1，FBN1）基因突变引起。FBN1是一个具有多个结构域的糖蛋白，是细胞外微纤维的主要成分。目前认为四种可能因素导致马方综合征发生：①正常的 FBN1表达下降；②FBN 1在保持弹性纤维稳定性上有重要作用，突变的蛋白破坏了组织弹性纤维的稳态；③FBN 1基因突变增加了FBN 1对蛋白水解酶的敏感性，使其变得易于被降解；④FBN1的缺欠可以造成TGF-β的过度激活和信号转导方面的调控失衡。</p><p>（2）埃勒斯-当洛综合征（Ehlers-Danlos syndrome，EDS）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">EDS是一组以关节运动过度、皮肤伸展过度及组织脆性增加为特点的遗传性结缔组织疾病。它包括一系列综合征，但只有Ⅳ型EDS患者其未成年的死亡危险增加。EDS的血管表现是Ⅲ型前胶原基因（ProcollagenⅢ）发生突变造成的。动脉中Ⅲ型胶原整合成中膜的弹力层及外膜的胶原网，它的基因突变可引起动脉壁结构缺陷。</p><p>（3）主动脉瓣二叶畸形（bicuspid aortic valve，BAV）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">BAV可能是引起动脉扩张的最常见的先天性异常，其发生率在0.9%～20%之间。在尸检发现的主动脉夹层患者中，8%的患者属于BAV。组织学研究发现瓣膜上动脉弹性蛋白退化。对此类患者进行超声心动图检查发现，即使在年轻人中主动脉根部的扩张也很常见。BAV呈家族聚集性并且在患者的一级亲属中有9%的发病率。BAV的基因定位还没确定。</p><p>（4）无症状性家族性胸主动脉瘤及主动脉夹层分离：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">研究表明大约19%的胸主动脉瘤或主动脉夹层患者有其他家族成员同时患病。在大多数家系中，表现为表型不同的显性遗传，尤其是发病年龄显著不同。这种家族性的动脉瘤及主动脉夹层已证实定位于5和11号染色体的长臂，具体位置尚未确定。</p><p>2.后天性因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">后天性因素主要以外因的形式起作用。</p><p>（1）高血压：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">高血压是最重要的后天性病因。高血压患者使胸主动脉滋养血管血流减少，可导致细胞外基质成分加速降解、凋亡，动脉壁弹性组织消退和胶原蛋白变形。血压突然增高可增加血管内膜切应力，导致血管内膜和中膜撕裂。</p><p>（2）动脉粥样硬化：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">动脉粥样硬化在夹层发生中的作用有争议，部分研究认为它可导致主动脉壁结构缺陷，发生内膜和壁间溃疡，促进夹层发生。但部分研究认为动脉粥样硬化的全层炎症反而使主动脉三层结构黏合成整体，可起到阻碍血管壁撕裂的作用。</p><p>（3）妊娠：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">年轻妇女发生夹层者，50%发生在妊娠过程中。妊娠本身并不会促进夹层发生的情况，妊娠发生夹层者多数存在主动脉根部增宽超过4cm，这提示这部分患者本身即存在主动脉壁结构的缺陷。妊娠过程中先兆子痫导致的高血压可能促进夹层发生。</p><p>（4）吸毒：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">吸毒是夹层发生的另一个危险因素。可卡因可提高血管的交感神经活性，引起血压升高，两者共同导致血管壁的剪切力加大。吸毒后血压急剧变化，长期作用引起内膜撕裂，发生夹层。</p><p>（5）外伤：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">车祸、高空坠落等外伤可造成主动脉夹层，发生部位多位于主动脉峡部，这与主动脉峡部较为固定，外伤时动脉剧烈牵拉有关。</p><p>（6）医源性损伤：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">医源性主动脉夹层通常与创伤性、逆行性介入手术有关，或发生于瓣膜、动脉的术中、术后，或亦与动脉内球囊反搏术有关。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p><p style=\"text-indent: 2em;\"><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3228', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '54', '分期和分型', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主动脉夹层按照距起病时间的长短分为急性期和慢性期，目前临床上定义发病2周内为急性期，发病2周以上为慢性期。以2周作为分期界限主要是基于对夹层病变特点的认识，大部分危及生命的并发症发生在急性期。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主动脉夹层在解剖上存在两种分型方法：即Debakey分型和Stanford分型（图46-1）。Debakey分型将主动脉夹层分为3型，主要用于描述夹层的累及范围。</p><p style=\"text-align: center;\"><img id=\"P46-1_10401\" class=\"TP\" width=\"476\" height=\"258\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%A4%96%E7%A7%91%E5%AD%A6%EF%BC%88%E4%B8%8A%E5%86%8C%EF%BC%89_978-7-117-14353-0/pics/P46-1_10401.jpg\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图46-1　夹层的两种分型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅰ型：夹层起自升主动脉，跨越主动脉弓，累及降主动脉或腹主动脉。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅱ型：夹层起自升主动脉并仅累及升主动脉。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅲ型：夹层起自降主动脉并向下蔓延，仅累及降主动脉者为Ⅲa型；夹层超越肾动脉水平者为Ⅲb型。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Stanford分型以夹层发生位置作为依据，相对更为简单。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">A型：夹层发生位置位于升主动脉，包括DebakeyⅠ型和DebakeyⅡ型。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">B型：夹层发生位置位于降主动脉，包括DebakeyⅢa型和DebakeyⅢb型。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3229', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '54', '病理生理', '<p>1.夹层的发生与进展</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">绝大多数夹层的起始过程是内膜和中膜的撕裂，该撕裂处即为破口（tear）。在血流的作用下，血管在外层中膜之间或中膜和外膜之间发生劈裂，劈裂可向上或向下蔓延，引起血管分离。血液灌注在血管的分离层之间形成假腔。在血流的作用下，夹层可横向和纵向扩展，假腔扩大。假腔形成盲袋，压力不断升高，假腔和真腔之间的压力梯度可导致继发破口形成，这种自发的开窗（fenestration）通常发生在主动脉分支血管开口附近，如肠系膜上动脉或肾动脉。真假腔之间存在的由内膜和中膜构成的隔膜称之为内膜瓣（flap），是主动脉夹层最为特征性的结构。大部分的破口呈横向撕裂，一般只累及周径的部分。位于降主动脉的夹层，破口通常发生于左侧锁骨下动脉以远几厘米处。位于降主动脉的夹层，假腔一般往左后侧延伸，常见的情况是腹腔干动脉、肠系膜上动脉、右肾动脉起自于真腔，左肾动脉起自于假腔，但临床上经常遇到各种情况的变异。大量的临床观察和动物实验显示：承受最大dP/dT（单位时间内血压的波动值，表示左心室收缩力）的主动脉段最易发生内膜撕裂。在缩舒周期内，心脏的收缩力产生的屈服应力在升主动脉和降主动脉近端处最大。收缩期血流的能量储存在主动脉壁（大部分位于以弹力纤维构成为主的升主动脉），以保证舒张期血流继续向前。这种力量的幅度主要与血压的绝对值和dP/dT相关。主动脉通过位移和弹性扩张对抗血压和dP/dT产生的作用力。这种血流的反复长期作用可导致内膜撕裂和夹层发生。</p><p>2.分支动脉灌注不良</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">分支动脉灌注不良是夹层发生后的常见并发症，可导致肠道、肾脏、下肢缺血等严重后果，是夹层非破裂性死亡的重要原因。夹层导致的终末器官缺血即为灌注不良综合征（malperfusion syndrome）。多种原因可导致分支动脉灌注不良。值得重视的是这种灌注不良通常不是完全的，多种因素可以改变缺血程度，包括血压、夹层有无继续进展、有无继发破口形成，分支动脉内有无血栓形成等。夹层病变中存在两种因素导致内脏分支动脉灌注不良：</p><p>（1）静态阻塞（图46-2A）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">夹层形成后，假腔在横向和纵向二维上扩展，当蔓延至分支动脉或超越分支动脉平面时，假腔即能压迫相应动脉开口。此时即可导致该动脉低灌注或者无灌注，而压迫远端的分支动脉则因血流速度降低极易形成血栓，加重缺血。这种缺血很难自行缓解，除非夹层继发破口形成或分支动脉从根部撕裂（图46-2B）；多数需通过手术解决。</p><p>（2）动态缺血（图46-2C）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">部分夹层当假腔内压力较大时，真腔被压扁，无法给发自真腔的分支动脉提供足够血供。甚至部分时候夹层隔膜可被推至分支动脉开口内，从而导致分支动脉灌注不良。动态缺血是分支动脉灌注不良的主要原因，约占80%。动态缺血的严重程度与假腔径向累及范围、心搏输出量、血压、心律和外周动脉阻力等因素相关。此种缺血引起的分支动脉灌注不良常时轻时重，与假腔隔膜的移动相关。</p><p style=\"text-align: center;\"><img id=\"P46-2_10410\" class=\"TP\" width=\"476\" height=\"296\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%A4%96%E7%A7%91%E5%AD%A6%EF%BC%88%E4%B8%8A%E5%86%8C%EF%BC%89_978-7-117-14353-0/pics/P46-2_10410.jpg\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图46-2　夹层对分支动脉的影响</p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">（1）静态阻塞（T—真腔，F—假腔）；（2）分支动脉从根部撕裂；（3）动态阻塞</p><p>3.主动脉瓣关闭不全</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">A型主动脉夹层可累及主动脉瓣结构，引起主动脉瓣关闭不全。原因包括：夹层累及主动脉瓣交界，使其从原有位置剥离引起主动脉瓣脱垂；夹层逆行剥离，累及无冠窦及右冠窦形成盲袋并产生附壁血栓，压迫、推挤瓣环及窦管交界，造成主动脉瓣关闭不全。在A型主动脉夹层中，主动脉瓣关闭不全的发生率在70%～90%，严重者可引起急性左心衰竭。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3230', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '54', '临床表现', '<p>1.疼痛</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">疼痛是最常见的症状，超过93%的夹层患者自述有疼痛症状。A型夹层患者的疼痛于胸前区多见，可向颈部、左上臂等处放射。B型夹层的疼痛常位于后背区，多见的部位是肩胛间区。夹层引起的疼痛往往急剧出现，呈撕裂样或刀割样，同时伴有明显的濒死感。多数患者发作时脸色苍白，大汗淋漓。A型或B型夹层引起的疼痛均可向腹部放射，提示夹层继续向下撕裂。确切的降压可有效地减轻疼痛。疼痛停止，表明夹层撕裂过程停止。治疗过程中再次出现疼痛，则提示降压效果不佳，夹层再次撕裂。</p><p>2.血压异常</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">大部分的B型夹层患者伴有不同程度的血压升高，这种高血压对常规的降压治疗反应较差。A型夹层患者出现高血压的比率低于B型夹层者。由于心包内破裂和主动脉瓣反流等因素，部分A型夹层者可出现低血压。弓上分支动脉受累时，相应的上肢动脉出现灌注不良，此时测量的血压与真实的大动脉内血压有较大误差。上肢血压可能不高甚或降低，而中心动脉压却明显增高，这种表现称为“假性低血压”。</p><p>3.分支动脉缺血表现（1）肠系膜上动脉缺血：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肠系膜上动脉缺血可引起血运性肠梗阻、肠坏死。表现为恶心、呕吐、不同程度的腹痛，伴有腹肌紧张。</p><p>（2）肾动脉缺血：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">直接的表现为尿量减少，可引起顽固的高血压、急性肾衰竭。</p><p>（3）腹腔干缺血：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胃、脾、肝等脏器侧支循环丰富，一般不易引起缺血，部分患者可表现为肝脏酶学指标升高。</p><p>（4）脊髓缺血：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">夹层从降主动脉向下扩展过程中导致肋间动脉破坏，引起脊髓缺血，造成截瘫或偏瘫。</p><p>（5）四肢动脉缺血：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">上肢动脉因侧支循环丰富不易缺血。下肢动脉缺血程度不一，部分患者可类似急性动脉栓塞，需急诊手术纠正。部分患者虽动脉搏动消失，但肢体缺血不严重。</p><p>4.破裂症状</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">动脉夹层可破入心包腔、引起心包填塞。可破入食管、气管内或腹腔出现休克、胸病、呼吸困难、心悸及呕血、咯血等表现。部分夹层可在破裂后出现上述症状。大部分夹层破裂时来势凶猛，患者可于极短时间内死亡。</p><p>5.其他症状</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①晕厥：5%～10%的夹层患者可出现晕厥，晕厥的发生提示可能存在心包填塞或者夹层累及到弓上三分支动脉。A型夹层患者容易并发心包填塞或者累及弓上分支动脉，出现晕厥的可能性远高于B型夹层患者。约半数的患者影像学检查心包和弓上分支无任何异常，可能与血管迷走神经反射或主动脉壁上的压力感受器受到牵拉有关。②主动脉瓣关闭不全表现：A型夹层累及瓣膜时，患者可出现急性左心衰竭、严重的呼吸困难、胸痛、咯粉红色泡沫痰等症状。患者心前区可听到舒张期杂音，向心尖部传导，慢性期可出现与主动脉瓣膜关闭不全的体征。③神经压迫症状：夹层直接压迫可引起多种异常：如声音嘶哑（压迫喉返神经），Horner综合征（压迫交感神经节），感觉异常（如压迫腰神经丛）。④脉搏缺失：当夹层累及至弓上分支动脉或者腹主动脉和髂动脉时，可出现桡动脉、颈动脉、下肢动脉等搏动消失。检查脉搏情况是一项简单迅速却十分有效的体检手段，能提供夹层累及范围和发生并发症风险程度等信息。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3231', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '54', '辅助检查', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">夹层的辅助检查方法包括胸部X线平片、螺旋CT、MRI、DSA、经胸超声和经食管超声等。</p><p>1.X线平片</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">X线平片对主动脉夹层的诊断价值有限。夹层在X线平片的表现包括纵隔增宽、主动脉壁钙化移位和胸腔渗出等，其中纵隔增宽最为常见。胸腔渗出在B型夹层中多见，可能与出血和胸膜的炎症反应相关。</p><p>2.经胸或者经食管超声</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">经胸超声简单易操作，具有一定的敏感性和特异性，可作为夹层的筛查方法。但因为肋骨和胸腔内气体的干扰，诊断的准确度受到限制。经食管超声将探头放入食管直接观察，可以避免上述限制，诊断的特异性和敏感性显著升高。特别的优势是能准确地提供夹层破口的位置、真假腔、主动脉瓣有无反流等信息，可以在术中应用而不妨碍手术进行。缺点是患者有一定痛苦、费用相对较大。</p><p>3.DSA</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DSA既往是诊断主动脉夹层的金标准，但因为创伤和费用较大，目前已经逐渐被螺旋CT等损伤较小的检查所代替，一般只在行腔内修复治疗过程中应用。</p><p>4.MRI</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">MRI诊断夹层敏感性和特异性在95%～100%之间。通过MRI检查可以明确夹层的破口、病变范围、分支动脉受累等情况，也可以准确的判别真假腔。缺点是体内植入金属物品的患者不适用。</p><p>5.CT</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">造影剂增强的螺旋CT是目前夹层的常规检查手段，超过半数的患者通过CT检查得到诊断。CT检查一般全天对急诊开放，检查方便迅速，敏感性和特异性能满足诊断的需要。薄层的CT扫描可以有效地鉴别真假腔、破口的位置和分支动脉受累情况等。CT三维重建能直观地提供夹层的整体形态，有助于治疗方法的选择。腔内修复（endovascular repair）时移植物支架尺寸的确定通常都是基于对CT扫描的测量。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3232', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '54', '诊断与鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在过去，大部分的夹层是在怀疑其他疾病而行辅助检查时发现的。目前，随着临床医师对夹层认识的深入，部分患者在急诊即被正确地考虑为夹层，再通过影像学检查加以确诊。临床表现和体检仍是夹层的诊断基础，螺旋CT等辅助检查是确诊手段。诊断不仅要明确有无夹层，还要提供夹层累及范围、分支动脉受累情况和有无威胁生命的并发症等信息，迅速而准确的诊断和分型对提高救治效果极有帮助。主动脉夹层的鉴别诊断包括以下几方面：</p><p>1.心肌梗死</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心肌梗死可有胸前区剧烈疼痛，心电图表现有特征性ST-T段改变或出现病理性Q波。如果主动脉夹层累及冠状动脉开口造成心肌梗死，可增加鉴别难度。但主动脉夹层常伴有双上肢体血压不对称，脉搏减弱。心肌梗死者常继有血压降低，既往可有心绞痛病史。最佳的鉴别诊断是行增强CT检查。</p><p>2.急性肺梗死</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">除胸痛外可有特征性呼吸困难。夹层患者常伴有体循环血压升高，可通过CT肺动脉及主动脉扫描鉴别。</p><p>3.下肢动脉栓塞</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">夹层累及下肢动脉时可出现类似下肢动脉栓塞缺血症状。但下肢动脉栓塞者常有房颤病史，夹层患者往往有剧烈胸痛史，伴有明显的血压升高。可行影像学检查明确。</p><p>4.肠系膜上动脉栓塞</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">夹层累及腹主动脉时可出现明显腹痛，但此种腹痛往往症状剧烈却无体征。夹层导致肠系膜上动脉灌注不良时表现极似肠系膜上动脉栓塞，但栓塞者一般都有房颤病史，需行影像学检查明确。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3233', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '54', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">诊断的立即确立和对夹层病变过程的认识是取得最佳治疗效果的关键。最基本的治疗手段是通过药物降低体循环血压和dP/dT。确切的降低体循环血压和左心室收缩力dP/dT能达到阻止夹层继续进展、减轻隔膜飘动、缓解分支动脉灌注不良和防止夹层破裂的目的。对于A型夹层，急性期内极易发生破裂、心包填塞、急性主动脉瓣膜功能不全和冠状动脉堵塞，死亡率每过1小时即增加1%。因此，如无明显的手术禁忌，立即接受手术治疗行人工血管置换是最佳的治疗选择。对于B型夹层，急性期内发生夹层破裂和致死性并发症的风险显著低于A型夹层，除非有急性并发症发生，传统手术治疗效果并不优于药物治疗或者腔内修复治疗。</p><p>1.药物治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">药物治疗是任何夹层治疗的基础，包括降压、镇痛、镇静等内容。</p><p>（1）降压：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">夹层初始治疗的目的是降低血流撕裂血管壁造成夹层继续进展的力量。目前的临床与动物实验都显示：夹层的发生和进展与dP/dT相关，通过药物控制dP/dT能达到降低血流撕裂力量的作用。怀疑夹层者伴有血压升高时，应迅速静脉给予降压药物。β-受体阻断剂和血管扩张药物（如硝普钠）是理想的降压组合。应在血管扩张药物之前给予β-受体阻断剂，否则血管扩张药物可引起反射性的交感神经反应，导致儿茶酚胺释放，反而造成dP/dT升高。β-受体阻断剂可重复给药直到出现足够的β受体阻断作用（表现为心率降低至60～80次/分）。常用的β-受体阻断剂包括普奈络尔、拉贝洛尔、艾斯洛尔、美托洛尔等。普奈络尔是一种非选择性β-受体阻断剂，可每5分钟静脉给药1mg（累积不超过10mg），直至起效，然后每24小时给药4～6次维持。拉贝洛尔是一种α、β-受体阻断剂，能同时达到降低dP/dT和体循环血压的作用。起始剂量是20mg，可每10分钟追加一次以达到作用，之后可用微泵维持在2～10mg/min，根据血压调整。艾斯洛尔是一种短效β-受体阻断剂，半衰期只有9分钟。它的特殊作用在于可检测气道高反应性患者的β-受体阻断耐受能力。美托洛尔是一种心脏选择性β-受体阻断剂，造成气管支气管痉挛的可能性较低，但对于有明确气道高反应患者仍需慎用。有β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>-受体阻滞剂禁忌证时，应考虑使用其他降低心肌收缩力的药物，如地尔硫卓和维拉帕米。为有效降低体循环血压，可在β-受体阻断剂起效后静脉应用血管直接扩张剂硝普钠，起始剂量可为20μg/min，根据血压调整。推荐对初始治疗患者血压控制在120/80mmHg以下。有些作者甚至建议插入导尿管同时监测尿量，在血容量充足尿量大于30ml/h的情况下，收缩压可控制在70～80mmHg左右。长期应用硝普钠可致氰化物中毒，表现为酸碱平衡紊乱、意识障碍和反射亢进，有肝肾功能不全者更易发生。</p><p>（2）镇痛：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">夹层患者常伴有剧烈疼痛，难以忍受。疼痛又可促进交感神经兴奋，导致血压升高，血压升高使夹层加快撕裂，疼痛加重，进入恶性循环。可使用阿片类强镇痛药镇痛，无效时甚至可选择冬眠疗法。但需要注意的是，给药前需要与急腹症引起的疼痛相鉴别，排除肠梗阻等病变，以免掩盖症状，延误诊断与治疗。</p><p>（3）镇静：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">烦躁与失眠亦可促进交感神经兴奋，血压升高。此时需注意为患者安排安静环境，避免受到刺激。必要时可给予地西泮等药物帮助睡眠。</p><p>2.腔内修复治疗（1）腔内修复封堵夹层破口：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">据文献统计，在单纯进行内科药物治疗的情况下，14%～40%的B型夹层最终会形成动脉瘤。而在急性期，假腔内血流的持续存在可导致夹层继续撕裂、分支动脉灌注不良甚至夹层破裂。腔内修复通过将人工血管内支架（stent graft，SG）放置在破口位置，封闭动脉内膜破裂、假腔内血流消失，达到假腔内逐渐血栓形成夹层愈合的目的（图46-3），同时可解决大部分的分支动脉灌注不良。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">腔内修复可由血管外科医师或者联合放射科医师一起完成。硬件上要求有DSA、血管外科手术器械、相应的腔内器材。同时要求血管外科医师具备熟练的腔内操作经验和开放手术能力，需要有具备腔内修复经验的麻醉医师的配合。既往在较多单位手术是在介入科DSA室进行的，缺点是一旦需要中转开放手术，则无法迅速提供相应的配套设施。目前的趋势是要求手术室的DSA化或者DSA的手术室化（杂交手术室），在进行传统联合腔内修复的杂交手术时尤能体现其优势。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">B型夹层进行腔内修复需要具备一定的解剖条件，包括：①原发破口距离左锁骨下动脉下15mm以上，这段正常的主动脉壁起到与SG产生良好贴附作用，防止血液流向假腔，称之为铆钉区（landing zone，LZ）；②与支架近铆钉的主动脉无明显扩张（直径＜40mm）；③无严重的主动脉瓣反流；④股动脉和髂动脉直径足够导入输送系统。</p><p style=\"text-align: center;\"><img id=\"P46-3_10425\" class=\"TP\" width=\"350\" height=\"244\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%A4%96%E7%A7%91%E5%AD%A6%EF%BC%88%E4%B8%8A%E5%86%8C%EF%BC%89_978-7-117-14353-0/pics/P46-3_10425.jpg\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图46-3　夹层腔内修复示意图</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">腔内修复手术时机的选择：腔内修复一般选择在夹层起病2周后进行。夹层急性期内血管壁水肿严重、结构脆弱，如此时植入支架，导致血管壁撕裂的可能性增加。现在少数主张在超急性期内（24小时内）进行腔内修复，此时血管壁尚未出现水肿。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">手术通常在全麻下进行，以避免患者移动对造影的干扰。患者仰卧位，腹股沟区消毒铺巾。取3～5cm皮纹切口或者纵切口显露股动脉，近远端预置塑料阻断带。穿刺导入导丝导管，一般此时应用猪尾导管，导管一边手推造影鉴别真假腔一边前进，确保导丝位于真腔。导管上升直至升主动脉，前后及左前45°造影，明确夹层破口位置、真假腔关系。了解弓上三分支解剖信息、哪一侧椎动脉为优势动脉，并作标记。交换超硬导丝直至升主动脉末端，以便获得更好的支撑力。沿导丝导入输送系统送至夹层破口附近，再次明确标记点。麻醉师降低体循环血压，以减少释放过程中人工血管内支架移位，血压达到要求时快速释放。撤出输送系统，交换导管，再次造影明确封堵情况。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">腔内修复过程中遇到的问题与对策：</p><p>1）铆钉区不足：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括近段铆钉区与远端铆钉区不足。近段铆钉区不足指夹层破口距离左侧锁骨下动脉小于1.5cm。又分两种情况：其一是距离左侧颈总动脉长度大于1.5cm。此时如果左侧椎动脉为非优势动脉且颅内Willis环完整时，可直接覆盖左侧锁骨下动脉。上肢血供可以由周围侧支代偿，椎动脉可由颅内循环代偿，一般不出现缺血后果。如果左侧椎动脉为优势动脉时，需通过左颈到左锁骨下动脉旁路术保证椎动脉血供，左锁骨下动脉近段结扎或者术中栓塞以防止反向血流。其二是距离左侧颈总动脉长度小于1.5cm，但距离无名干大于1.5cm。此时如左椎动脉为非优势动脉且Willis环完整时，可行右颈到左颈人工血管旁路术，左颈动脉近段结扎拓展铆钉区。如左椎动脉是优势动脉，则尚需重建椎动脉血供。远端铆钉区不足指夹层破口距离腹腔干动脉长度小于1.5cm，一般较为少见，可通过人工血管重建腹腔干血供，近段结扎或术中栓塞等方法拓展，也有直接覆盖而无并发症发生的报道。</p><p>2）无合适导入动脉：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括导入动脉直径不够、过于扭曲、存在严重钙化斑块等情况。常规选择股动脉作为导入动脉，因它易于显露和操作。但当股动脉过于细小时，可以选择髂动脉甚至腹主动脉下段作为导入动脉，也可以通过球囊扩张或者扩张器系统加以扩大。当导入动脉扭曲时，通过将该动脉长段显露然后拉直予以纠正。存在严重钙化斑块时，可球囊扩张或于斑块近端导入输送器。</p><p>3）导丝导管无法选择至真腔：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">当真假腔关系复杂时，导丝常无法选择入真腔。此时解决的方法包括：①右桡动脉导入鹅颈圈套器，将由股动脉导入的导丝牵至真腔；②右桡动脉导入猪尾导管，股动脉导入猪尾导管，两导管相互圈套后拉至真腔；③右桡动脉导入长导丝沿真腔至股动脉，由股动脉切口处牵出，逆行导入导管。</p><p>4）近端内漏：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">指虽然人工血管内支架成功释放，但造影显示支架近端仍有持续血流进入假腔。对于流量较少的内漏，一般选择随访，通常随着支架外与主动脉之间血栓形成，内漏会逐渐消失。流量较大的内漏不易消失，可通过近端球囊瞬间扩张、植入金属支架、植入延伸物（cuff）等方法解决。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据操作者的经验和熟练程度不同，腔内修复的手术成功率一般在76%～100%之间。良好的近中期疗效已得到验证，但也存在一定的手术并发症发生率。可能的并发症包括：①分支动脉缺血，包括肠系膜上动脉和肾动脉缺血等；②假腔破裂；③术后继发A型夹层；④脊髓缺血，截瘫；⑤支架综合征（一过性体温升高、C反应蛋白升高和白细胞轻度升高）；⑥内漏；⑦支架移位；⑧下肢动脉栓塞。</p><p>（2）腔内修复治疗分支动脉灌注不良：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">部分患者急性期内有严重的分支动脉灌注不良，部分患者在人工血管置换后分支动脉灌注不良没有得到改善，此时均可以通过腔内修复技术解决。</p><p>1）分支动脉支架植入：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">造影明确真假腔的位置及与分支动脉的关系，通常在真腔侧降导丝选择入分支动脉，球囊扩张后植入裸金属支架，再次造影明确灌注不良有无解决。</p><p>2）开窗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">导丝一般从较小侧管腔（真腔）导入，选择靠近灌注不良处分支附近作为开窗点，使用Roesch-Uchida针、Brockenbrough针或者0.014导丝头穿透隔膜。导丝进入假腔后，导入5F导鞘，造影确认导丝导管确定已经穿过隔膜。选择直径12～15mm，长度为20～40mm的球囊，于隔膜处扩张。再次造影观察开窗处血流量和分支动脉血流改善情况。如效果不佳，可重复扩张球囊。</p><p>3.手术治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">外科手术指征为：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）主动脉直径＞5cm的年轻患者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）急性A型夹层。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（3）慢性A型夹层并重度主动脉瓣反流，局部主动脉瘤形成并进展，夹层血肿扩展延伸者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（4）急性B型夹层并病情进展或重要脏器受累。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（5）慢性B型夹层出现血肿进展、动脉瘤形成、主动脉瓣反流、夹层动脉渗血、有破裂出血可能、持续性疼痛和不能控制的高血压、分支动脉灌注不良等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（6）Marfan综合征引起的任何类型夹层患者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">手术治疗的禁忌证：合并恶性肿瘤或其他病变、预期寿命不超过1年、心功能衰竭、急性心肌梗死半年之内和全身感染等为手术绝对禁忌证。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">手术方式的选择：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）马方综合征合并主动脉夹层，主动脉根部及窦部均已扩大，主动脉瓣严重关闭不全，可采用Bentall或Carbrol术。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）A型夹层合并严重主动脉瓣关闭不全者，可采用Bentall术、Carbrol术或改良Wheat术。如果主动脉瓣仅轻-中度关闭不全，或是夹层累及瓣膜交界，引起瓣叶脱垂，则可采用主动脉瓣成形加人造血管置换术，或采用David术式。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（3）主动脉弓的处理：内膜破裂口在升主动脉，弓部夹层位于小弯侧，头臂干血管未受夹层影响，可将假腔封闭，仅行升主动脉置换。主动脉夹层影响弓部及头臂干血管，但血管开口于真腔，则可考虑行升主动脉加右半主动脉弓置换，并探查弓部，以免内膜片影响头臂干血流。内膜破口位于降主动脉、左锁骨下动脉附近，升主动脉夹层是内膜逆行剥离所致，而弓部夹层位于小弯侧，头臂干血管开口于真腔，则可考虑行全弓置换加降主动脉支架（象鼻手术），也可以根据情况仅行升主动脉加半弓置换。如果头臂干血管受累并形成夹层，最好行象鼻手术。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（4）B型夹层者最常用的方法是破口切除加人工血管置换术：“象鼻术”主要用于解决急性期假腔较大的夹层。“内膜开窗”术用于下肢内内脏动脉缺血患者，目前已较少应用。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3242', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '839', '内痔的分期', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">关于痔的分期方法，一直没有取得一致的意见。1979年，美国肛肠外科医师协会（ASCRS）组织痔的专题研讨会共介绍4种分类方法：Gabriel分类法、Dodd分类法、Smith分类法和Salvati分类法。我国痔的分期一直参照Salvati分类法。我国的《痔诊断暂行标准》，根据痔病出血和脱垂的严重程度将内痔分为4期：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">第一期：主要是排便时出血，呈滴血或喷血状，出血量较多，痔块不脱出肛门。肛镜见直肠下端黏膜呈质软、红色的结节或团块状突起。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">第二期：除便血外，排粪时痔块可脱出肛门外，排便后可自行复位。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">第三期：排便、用力屏气或咳嗽等腹内压增高时，痔块即可脱出肛门，不能自行复位，需用手推回或卧床休息后方可使痔块回纳。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">第四期：痔块长期脱出于肛门外，不能回纳或还纳后立即脱出。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据内痔发生的部位，分原发性内痔（母痔）和继发性内痔（子痔），继发性内痔常与母痔相连。母痔及子痔都可脱出肛门外，呈梅花状者称环状痔。若内痔脱垂，水肿不能回纳，称嵌顿性内痔。若有血循环障碍，称绞窄性内痔。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3243', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '839', '临床表现', '<p>1.便血</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">为内痔最常见的早期症状。其特点是无痛性、间歇性便后出血。出血可呈滴血状或喷血状，数日后可自行停止。便秘、粪便干硬或食用刺激性食物是痔出血的常见诱因。</p><p>2.肿块脱出</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">内痔发展至第二、三期时即可脱出肛门外。脱出的痔块初时便后可自行回纳，以后逐渐增大，不易自行复位，必须用手推回，不然脱出的痔块有嵌顿的可能。</p><p>3.疼痛和瘙痒</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">单纯性内痔无疼痛，当内痔或混合痔脱出嵌顿，出现感染、糜烂、血栓形成甚至坏死时则有不同程度的疼痛。痔块脱出或肛门括约肌松弛时，常有分泌物流出而刺激肛门皮肤，产生瘙痒不适甚至慢性湿疹。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3244', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '839', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据病史及直肠下端和肛门的检查，内痔诊断并不困难。除一期内痔外，其他三期内痔均可在肛门视诊下见到，必要时可于蹲位下用力屏气或排粪便后立即观察，这时可清楚地看到痔块大小、数目及部位。直肠指检多无异常发现，但应除外直肠癌及直肠息肉等引起便血的其他病变。肛门镜检查大部分可直接窥视内痔呈紫红或暗红色结节状突起，有时局部伴出血或糜烂。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3245', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '839', '鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">内痔的诊断多无困难，但应与下列疾病鉴别。</p><p>1.直肠癌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床上易将直肠癌误诊为内痔，这类教训已非罕见，主要原因是仅凭症状而诊断，忽视直肠指检及内镜检查，尤其是直肠指检。直肠癌为高低不平的肿块或边缘隆起的溃疡病灶，易出血，常伴有肠腔狭窄。</p><p>2.直肠息肉</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">也可有便血，当息肉脱出肛门外易被误诊为痔脱垂。但直肠息肉为圆形，呈实质性，多有蒂，色泽为黏膜样粉红色。</p><p>3.肛管、直肠脱垂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">与环状痔不同，直肠脱垂黏膜呈环形，表面光滑，色粉红，括约肌松弛，而环状痔黏膜呈梅花瓣状，色暗红。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3246', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '839', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据现代痔的概念，痔的治疗原则是治疗痔的症状而不是根治痔本身，因此见痔就治很显然是一种错误的观念需要加以纠正。现代观点认为，痔无症状时不需要治疗，只有合并脱垂、出血、嵌顿和血栓时才需要治疗。对有症状的痔治疗目的是消除或缓解症状，不是根治有病理改变的肛垫。由于肛垫在控便过程中发挥作用，因而从保持肛垫和肛管黏膜完整性的角度出发，应该加强保守治疗和非手术治疗。手术治疗时不应破坏或尽量少破坏肛垫组织。内痔的治疗方法很多，在治疗上应采取个体化原则，根据病情选择使用。</p><p>1.生活习惯的调理</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">改善饮食结构，多饮水，多进膳食纤维，定时排便，保持大便通畅，避免腹泻或便秘，便秘时可用轻泻剂通便。温水坐浴，保持肛门部清洁，促进局部血液循环，有利于预防痔的发生和改善痔的初期症状。</p><p>2.非手术治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">非手术治疗在消除症状方面疗效良好，不损伤肛垫，适用于症状、体征较轻一、二期的内痔，有症状的痔80%以上可经非手术治疗消除症状。</p><p>（1）药物内服：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床上治疗痔病的主要口服中成药，大致分为循环调节剂、纤维素增补剂和消炎止痛剂等几类。循环调节剂：改善动、静脉张力，保护微循环和减轻肛门局部水肿，主要有痔血胶囊、爱脉朗、消脱止和槐角丸等。纤维素增补剂：可改善粪便性状，增加肠道蠕动，减轻排便阻力。适用于痔病症状轻微者，有麻仁丸和通泰胶囊等。消炎止痛剂：具有抗炎、消肿和止痛作用。适用于痔的急性发作期，如出现内痔嵌顿、水肿或肛周炎症。有脏连丸、化痔丸和玄胡止痛片等。</p><p>（2）药物外用：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可采用肛门栓剂、外敷膏剂和蒸洗剂。如痔疮宁栓、马应龙痔疮膏和复方角菜酸酯栓等。近年来使用的太宁栓剂，其主要活性成分角菜酸酯（海藻提取物）可长时间（8～12小时）在直肠黏膜面形成一层黏液性膜状保护结构，有效地隔离污染物，保护受损黏膜并使其修复；其所含二氧化钛和氧化锌有止痒、抗炎、减轻黏膜充血及收敛作用；且有一定润滑作用，利于粪便排出。治疗痔急性发作有效，且起效较快，安全性高，但对于痔的脱垂治疗效果差。</p><p>（3）非手术肛垫固定术：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括硬化剂注射法、胶圈套扎法、枯痔钉法和物理疗法如针灸疗法、微波疗法、红外线凝固疗法、冷冻和激光疗法等。①硬化剂注射法是19世纪一直沿用至今的有效方法，原理是硬化剂使局部形成无菌性炎症，致黏膜下组织纤维化，起止血和固定肛垫作用，而非血管栓塞。常用5%苯酚植物油、5%鱼肝油酸钠、5%叶酸尿素奎宁水溶液、4%明矾水溶液和消痔灵等。②胶圈套扎法自 1963年Barron介绍以来，至今仍不失为一种介于注射疗法和手术疗法之间的有效方法，其原理是将胶圈套入内痔根部，阻断痔的血运，使其缺血坏死脱落，由于套扎点是在齿状线上方1cm以上，通常是无痛的。适用于各期内痔及混合痔的内痔部分，以第二、三期内痔最适宜。③物理疗法有一定效果，但有并发症（如激光疗法，常有痔核炎症疼痛、肛缘水肿和创口愈合缓慢等；微波对散热能力差的组织和器官，较易产生伤害），其在治疗中不占优势地位，但患者易接受，治疗早期痔还是可行的。</p><p>3.肛管扩张术</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Lord（1969）认为痔的存在与直肠下端及肛管出口狭窄有关，故主张用肛管扩张术治疗以降低肛管压力并使排便通畅，不再发生静脉丛充血，减轻痔的症状。扩肛术适用于肛管高压或疼痛剧烈者，如内痔嵌顿、绞窄。</p><p>4.手术治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">痔的手术治疗主要以症状明显的三、四期脱垂性内痔和混合痔为主，尤其是环形混合痔；或保守治疗无效才考虑手术治疗。传统术式过多破坏了肛垫组织，现已逐渐被吻合器肛垫悬吊术所替代。</p><p>（1）外剥内扎术（Milligan-Morgan术）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">即开放性血管垫切除术。在痔块根部作V形切口，剥离、缝扎、切除曲张静脉团，最后缝合黏膜切口。一次最多只能切除3个孤立痔块，以免肛管失禁或狭窄。手术简单，愈合快，且并发症少，疗效可靠。</p><p>（2）痔环切术（Whitehead术）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">治疗环状痔的一种手术方式，存在已有200余年的历史。但该手术完全破坏了齿线附近的黏膜，实质上是切除肛垫，手术后黏膜外翻，大便失禁发生率高，近年来不大使用。</p><p>（3） 吻合器痔上黏膜环切术（procedure for prolapse and hemorrhoids，PPH术）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肛垫理论的发展使人们改变了痔手术的观念，20世纪90年代以来兴起的PPH手术是痔治疗的重要进展之一。该手术由意大利医师Longo在1998年首先提出并使用，通过特制的吻合器环形切除肛垫上方（齿状线上2～4cm）直肠下端黏膜和黏膜下层组织一周并钉合，使脱垂肛垫上移，起到悬吊肛垫的作用，明显缓解脱垂症状；同时切断直肠黏膜下供应痔的部分动脉，术后痔血供减少，痔块在术后2周左右逐渐萎缩。原则上不切除痔块，若环形痔块大且严重脱垂，亦可同时切除其上半部分。PPH手术具有操作简单、术后并发症少、术后处理容易以及恢复快的优点。目前报道PPH手术近期效果良好，但对其远期疗效还需进一步观察。随着越来越多的肛肠外科医师熟练掌握这一技术，PPH手术有望成为重度痔治疗的常规方法。</p><p>5.急性嵌顿性内痔的手术治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">内痔脱出嵌顿，特别是环形痔急性脱垂嵌顿，有广泛血栓形成及严重水肿，此时行急诊痔切除术被认为有可能发生化脓性门静脉炎等严重并发症，多采用非手术治疗，但治疗时间长，可并发溃疡和组织坏死，治疗成功后仍需择期手术。目前认为，痔急性期水肿并非感染所致，且肛周组织有较强的抗感染能力，行急诊痔切除与择期手术一样安全，并发症并不增加。若患者不宜行痔切除或痔套扎，可行侧位内括约肌切断术。此法适用于内括约肌张力过高和伴有肛管高压的患者。手术后疼痛即刻缓解，水肿、脱垂于手术后数日内逐渐好转。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3247', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '838', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">外痔位于齿状线以下，表面为肛管皮肤覆盖。外痔可分为血栓性外痔、结缔组织外痔（皮垂）、血管性外痔及炎性外痔四种，常见的为血栓性外痔和结缔组织外痔。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3248', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '838', '类型', '<p>(一)血栓性外痔</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血栓性外痔较常见，可因外痔静脉丛的静脉炎导致静脉血栓形成，也可因用力排便或剧烈活动而使肛缘的静脉破裂，血液渗至皮下组织内形成血栓性肿块。临床表现为剧烈疼痛和局部肿胀，初起肿块较硬，触痛明显，数日后血块逐渐吸收变软，疼痛减轻。如发病在1～2天内而疼痛不减轻者，则需要切除血栓或切除痔核，如在发病后3～4天以后疼痛逐渐减轻，肿块缩小变软，往往不需手术，经对症治疗常可治愈。</p><p>(二)结缔组织外痔</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">简称皮垂，为肛门边缘皮肤皱折、增厚形成的皮赘。其内为增生的纤维结缔组织，很少有扩张的血管，通常是血栓性外痔或肛门部手术的后遗症，多无明显症状，偶有瘙痒或异物感。可采用通便、保持肛门周围清洁和避免局部刺激等措施，一般不必行手术切除。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3253', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '74', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心力衰竭(heart failure)，简称心衰，为儿科常见急症，严重危害儿童健康。心衰是心室收缩和(或)舒张功能障碍导致心输出量不足，组织的血液灌注减少，不能满足机体需要，造成神经-内分泌系统过度激活，导致一系列病理生理改变，是各种心脏病的严重阶段。心衰是一个综合征，由四部分组成:心功能障碍，运动耐力减低，肺、体循环充血，以及后期出现心律失常。心功能障碍是构成心衰的必备条件，其他三部分是心功能不全代偿机制的临床表现。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.下册</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3254', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '74', '病因', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据病理生理变化特点可将心衰病因分为三大类。</p><p>1.心肌病变(1)原发性心肌病变:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心肌炎、心肌病、心内膜弹力纤维增生症等。</p><p>(2)心肌代谢障碍:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">新生儿重度窒息、休克、严重贫血、高原病、维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>缺乏等。</p><p>2.心室压力负荷过重</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　指心脏在收缩时承受的阻抗负荷增加。</p><p>(1)左室压力负荷过重见于:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主动脉瓣狭窄、主动脉缩窄、高血压等。</p><p>(2)右室压力负荷过重见于:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺动脉瓣狭窄、肺动脉高压、新生儿持续性肺动脉高压等。</p><p>3.心室容量负荷过重</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">指心脏舒张期承受的容量负荷过大。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(1)左室容量负荷过重见于:动脉导管未闭、室间隔缺损、主动脉瓣或二尖瓣关闭不全等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(2)右室容量负荷过重见于:房间隔缺损、完全性肺静脉异位引流、三尖瓣或肺动脉瓣关闭不全等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(3)严重贫血、甲状腺功能亢进、肾脏疾病等则引起左、右室容量负荷过重。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">新生儿和婴儿心衰的病因与年长儿不尽相同。新生儿期，心脏解剖结构异常是生后一周心衰的主要原因，常见的有早产儿动脉导管未闭、完全性大动脉转位、左心发育不良综合征、主动脉缩窄、重度主动脉瓣狭窄、重度肺动脉瓣狭窄、肺动脉闭锁、完全性肺静脉异位引流等。此外，新生儿呼吸窘迫综合征、新生儿持续性肺动脉高压、肺炎、肺不张等也是常见原因。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">婴儿期，除先天性心脏病仍是常见原因外，心肌病变如心内膜弹力纤维增生症、心糖原累积症、病毒性心肌炎、心肌病等引起的心衰增多。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年川崎病发病数增多，其冠状动脉病变为婴幼儿心衰病因之一。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4岁以后儿童引起心衰的原因主要为风湿热及心肌病。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">克山病为我国地方性心肌病，可于儿童期发病，2岁以前很少见，为流行地区心衰的主要病因。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">小儿高原性心脏病多见于海拔3000m及以上的高原地区，初步认为高原低氧性毛细血管前肺小动脉收缩所致血管阻力增高是本病的发病原因。在青海高原，小儿患病率为0.96%，较成人为高。移居人群第1～3代的患病率明显高于世居人群，尤以汉族对缺氧较敏感，到海拔2800m以上即有发病者。主要临床表现为肺动脉高压和右室负荷过重。西藏及青海省(1964年)291例临床报告，冬春季发病较高，以1岁以内婴儿多见。早期临床表现为夜间哭闹、气急和口周发绀。三尖瓣区出现持续存在的收缩期吹风样杂音并逐渐增强，肺动脉瓣区出现舒张期杂音者病情均较重，继之出现以右心为主的充血性心衰症状。X线检查可见肺动脉段膨隆，右心室增大及肺纹理增多。心电图呈右心室肥厚或双侧心室肥厚。呼吸道感染常为发病诱因。死亡主要原因为心衰。此外，急速进入高原地区，可发生急性高原性肺水肿。起病急骤，经吸氧、镇静、利尿及静脉输注氨茶碱等治疗，可完全恢复。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心衰诱因有:①感染，特别是呼吸道感染，左向右分流的先天性心脏病常因并发肺炎而诱发心衰;风湿热为引起风湿性心脏病心衰的主要诱因。②过度劳累及情绪激动。③贫血。④心律失常，以阵发性室上性心动过速为常见。⑤输液过快或钠摄入量过多。⑥电解质紊乱和酸碱平衡失调如酸中毒、低血钾等。⑦停用洋地黄过早或洋地黄过量。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.下册</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3255', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '74', '病理生理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心衰的病理生理变化十分复杂，不仅是血流动力学障碍，而且是一组神经体液因子参与调节、导致心室重塑的分子生物学改变过程。</p><p>1.调节心功能的主要因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　心脏泵功能是从静脉吸回血液后再射入动脉系统，维持心搏量以供应组织代谢需要。心输出量的调节取决于下列因素:</p><p>(1)容量负荷:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">又称前负荷。指回心血量或心室舒张末期容量，通常用舒张末压表示。依照斯塔林(Starling)定律，在一定范围内心肌收缩力与心肌纤维长度成正比。当心室舒张末容量增加时，心肌纤维拉长，心肌收缩力增强，心输出量增加。但容量超过临界水平，则心输出量反而减低。心室舒张末容量与舒张期充盈时间及心室顺应性有关。在一定充盈压下，充盈时间长则心室舒张末期容量增加，心搏量增多。当心室顺应性下降时，改变舒张期压力与容量的关系，在任何容量下压力均升高，随之左房压升高，发生肺静脉淤血、肺水肿。另外，心室僵硬度增加、舒张障碍，影响心室充盈，使心输出量减少。</p><p>(2)压力负荷:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">又称后负荷。即心室开始收缩射血时面临的阻抗。总外周阻力是左室后负荷的重要决定因素，可用血压表示。在心肌收缩力和前负荷恒定时，后负荷下降，心输出量增加;反之则减少。</p><p>(3)心肌收缩力:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">指心肌本身的收缩力，与心肌分子结构及兴奋-收缩偶联过程有关。受交感神经系统调节。β受体兴奋时，心肌收缩力增强，心输出量增加。</p><p>(4)心率:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">与心脏传导系统的电生理特性及心脏自主神经调节有关。心输出量等于心率乘以心搏量。心率变化可影响心搏量及心输出量。在一定范围内增快心率可提高心输出量。当心动过速，心率＞150次/分，心室舒张充盈期短，充盈量不足，心搏量减少，心输出量反而下降。心动过缓，心率＜40次/分，舒张期充盈已达极限，不能提高心搏量，因而心输出量随之下降。</p><p>(5)心室收缩运动的协调性:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心室收缩时，室壁运动协调可维持最大的心搏量。心肌缺血、发生炎症，可致室壁矛盾运动;心律失常可使房室运动不协调，均可导致心搏量下降。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">上述各因素中，前四项最为重要，如果调节障碍，即导致心功能障碍，心输出量降低。</p><p>2.心衰的神经内分泌系统的调节机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　心肌损伤是发生心衰的根本原因。缺血、炎症及血液动力负荷过重等均可引起心肌结构和功能的变化，导致心室泵功能低下，心输出量降低，从而激活心脏、血管及肾脏等一系列内稳定调节机制。心衰早期这些调节机制相互作用可有利于提高心搏量，使心输出量在静息状态时能维持机体需要。随后转为不利因素，加快心衰发展，出现心功能代偿失调的临床征象。</p><p>(1)交感神经系统:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心输出量下降反射性兴奋交感神经，大量去甲肾上腺素(NE)和肾上腺素由交感神经末梢和肾上腺髓质释放到血循环中，血中儿茶酚胺水平升高，使未受损的心肌收缩力增强，心率加快，外周血管收缩，在心衰早期可部分代偿血流动力学异常。但长期儿茶酚胺持续过度增高，可带来明显副作用:①心肌代谢增加，氧耗加大;②心肌β受体密度下调，心肌收缩力下降;③外周血管收缩，致心脏后负荷过重、室壁应力增加和组织灌注不足;④直接心肌毒性作用，引起心肌变性、坏死;⑤激活肾素-血管紧张素-醛固酮系统，进一步加重外周血管收缩及水钠潴留。</p><p>(2)内分泌系统:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心肌损伤早期迅速激活循环内分泌系统，包括交感神经和肾素血管紧张素醛固酮系统等，心功能取得代偿，临床可无心衰征象，但上述内稳定调节机制继续进行，并激活心脏、血管和其他组织的自分泌和旁分泌。前者为局部分泌作用于自身细胞，后者为局部分泌，作用于邻近细胞。在心衰不断进展恶化过程中，自分泌和旁分泌起着重要作用。</p><p>1) 肾素-血管紧张素-醛固酮系统(RAAS):</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">RAAS的激活是一个主要的神经体液调节过程。心衰时，肾血流灌注降低及交感神经兴奋，刺激肾小球旁器释放肾素，是激活RAAS的主要机制，但心衰患儿的低钠饮食和应用利尿剂也是RAAS激活的重要因素。血液中肾素使肝脏分泌的血管紧张素原催化为血管紧张素Ⅰ，后者经肺部被血管紧张素转换酶(ACE)水解为血管紧张素Ⅱ(AngⅡ)。AngⅡ有较NE更强烈的收缩血管作用，并可刺激肾上腺皮质球状带增加醛固酮(Ald)分泌，引起水钠潴留和排钾、镁。另外，ACE和激肽酶Ⅱ是同一种酶，可催化缓激肽降解、失活，血浆缓激肽水平降低，使前列腺素E合成减少。后者有舒张血管作用，因而加重了血管收缩。现已证实AngⅡ除强烈收缩外周血管外，尚可致心肌坏死和促进动脉粥样硬化;过多Ald促进钾、镁排出，致心律失常阈值下降，并有造成心肌胶原纤维沉积的作用。持续RAAS过度激活，使心衰恶化。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">除循环内分泌系统外，心脏、血管及脑组织等存在自身的RAAS。当心脏超负荷时，室壁应力增加，激活心肌细胞内的AngⅡ与细胞膜AngⅡ受体结合，通过一系列分子生物学和生物化学过程，致心肌细胞基因表达异常，心肌重塑，促进心衰恶化。</p><p>2)心房利钠肽(ANP):</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是心房肌合成的内分泌素，具有利钠、排尿、扩张血管和抑制RAAS作用。心衰时，外周血ANP水平较正常对照组高出2～10倍。促使ANP释放的因素包括:①心衰引起左、右房压力升高;②心衰时细胞外液容量扩大，导致心房扩张。临床观察证明，外周血ANP水平与心衰严重程度呈正相关，病情好转，ANP水平迅速下降。心衰时，利钠肽活化可能是一种保护性神经内分泌机制，对过度的RAAS激活有对抗作用，并延缓病情进展，具有利钠排尿的作用。虽然心衰恶化伴有ANP分泌增多，但其作用减弱，认为可能系受体密度下降、分解亢进或肾血流减少之故。</p><p>3)生长激素(GH):</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">GH是胚胎及小儿时期心脏发育和成人维持心脏形态和功能不可少的因素。GH由神经垂体分泌，其大部分作用是通过胰岛素样生长因子-1(IGF-1)介导的。后者可在心脏内合成，在心肌内起旁分泌和自分泌作用。此外，其他组织产生的IGF-1也可作用于心肌组织。心肌内的GH受体表达高于其他组织。GH对心功能的直接作用有:①促进心肌组织生长，并调控心脏结构;②增加心肌收缩力;③改善能量转换为机械力的效应;④抑制心肌细胞凋亡。GH和IGF-1在心衰中的治疗作用尚在研究中。</p><p>4)内皮素(ET):</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血管内皮分泌血管活性物质，调节血管的收缩和舒张反应。内皮源的收缩血管活性物质有ET等，舒张因子有一氧化氮(NO)和前列环素(PGI2)。心衰时，心肌供氧不足，血管内皮损伤，其分泌血管活性物质及调节血管功能发生异常，主要表现为收缩血管物质分泌增多，而舒张血管物质分泌减少。临床研究表明心衰患儿血液中内皮细胞增加及ET释放增多，其增加程度与心衰严重程度相平行。ET有强烈血管收缩作用，收缩阻力血管及冠状动脉，加重后负荷及心肌缺血，并有引起肺动脉高压和促进血管平滑肌、心肌细胞生长和增殖的作用。</p><p>5)血管加压素(AVP):</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心输出量下降，通过心血管压力感受器刺激神经垂体释放AVP。另外，循环中AngⅡ水平升高，也可促进AVP分泌。AVP有收缩血管及抗利尿作用。</p><p>6)细胞因子:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心衰患儿免疫功能失调。研究证明许多细胞因子如肿瘤坏死因子-α(TNF-α)、白细胞介素-2、白细胞介素-6等参与心衰的发展。临床观察表明心衰患儿血液中TNF-α升高，并与心衰严重程度相关。TNF-α有抑制心肌收缩力和促进心肌细胞凋亡的作用。</p><p>3.心室重塑的调节机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　心室重塑是心衰进展中十分重要的机制，包括心室质量、心室容量、心室形态结构的变化。其特征为心室收缩力日益减弱的同时心室逐渐扩大。心室重塑的机制不甚清楚，但与心肌细胞的分子生物学和生物化学的改变以及内分泌、旁分泌及自分泌的调节作用密切相关。研究表明，当心脏超负荷时，心室应力增加，牵拉心肌细胞膜，激活细胞内的AngⅡ，后者作为自分泌形式与细胞膜AngⅡ受体结合，进而通过细胞内三磷酸肌醇和二酰甘油途径激活蛋白激酶C，促发转录和合成新的收缩蛋白;并作用于核内，启动原癌基因的转录和表达，使存活的心肌细胞肥厚，但此类肥厚心肌细胞的收缩蛋白基因表达异常，类似胚胎表型，这种胚胎型异构蛋白易于疲乏，使心肌细胞寿命缩短，加速心肌细胞衰竭。心肌细胞外基质改变，胶原蛋白沉着和纤维化在心室重塑中起重要作用，导致心室进一步扩大。胶原损伤可发生在心肌坏死之前。研究表明AngⅡ和Ald激活在促进胶原沉积和纤维化中起重要作用。心室重塑是一个不良的适应过程，肥厚的心肌细胞和胶原纤维并不是正常的细胞，最终导致心衰恶化。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">研究表明衰竭的心肌细胞出现程控的细胞死亡，称为凋亡，在扩张型心肌病尤为明显，为心衰进展的重要因素。凋亡与坏死不同，细胞凋亡不伴有炎症反应。凋亡是基因程控的耗能过程，由一系列密切相关的分子生物学与生物化学过程所组成。在衰竭的心脏，促进心肌细胞凋亡的因素包括一氧化氮、氧自由基、细胞因子、缺氧及机械应力作用等。心肌细胞凋亡参与心衰的心室重塑。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">综上所述，心室重塑是心衰发生发展的重要环节，由一系列分子和细胞机制导致心肌结构、功能和表型的变化。这些变化包括心肌细胞肥大、凋亡、胚胎基因和蛋白质的再表达，心肌细胞外基质量和组成的变化。临床表现为心肌质量、心室容量的增加和心室形状的改变。神经内分泌系统的长期、慢性激活促进心肌重塑，加重心肌损伤和功能恶化，又进一步激活神经内分泌系统，形成恶性循环。因此，治疗心衰的关键环节之一是阻断神经内分泌系统，阻断心室重塑。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">新生儿及婴儿期心血管系统发育尚未完善，心肌结构未成熟，心室顺应性差，肌节数量少，心肌收缩力弱。安静时心输出量较高，心率较快，提高心率增加心输出量的代偿功能受限。故新生儿和婴儿较年长儿易发生心衰。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.下册</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3256', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '74', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心衰是一组临床综合征，临床表现是诊断的重要依据，患儿的症状及体征系代偿功能失调引起，因原发心脏病变及患儿年龄而有所不同。年长儿心衰表现与成人相似。而新生儿及婴儿则迥然不同。新生儿早期表现常不典型，如嗜睡、淡漠、乏力、拒食或呕吐、体重增加不明显，有时单纯表现为烦躁不安。这些非特异症状常被忽视。婴儿心衰起病较急，发展迅速，患儿可突然出现烦躁不安、呼吸困难。先天性心脏病左向右分流者，起病稍缓，喂养困难。吮奶时气促、多汗，常因呼吸困难而间断，甚至拒食。体重不增，烦躁，多汗，喜竖抱并伏于成人肩上;呼吸促，干咳;由于扩张的肺动脉或左房压迫喉返神经，患儿哭声变弱，声音嘶哑;心前区隆起，心尖搏动强，心动过速，肝大，肺部有喘鸣;颈静脉怒张及水肿均不明显，只能通过量体重判断有无水肿存在。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.下册</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3257', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '74', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心衰患儿的典型临床表现可分三方面:</p><p>(1)心肌功能障碍:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1)心脏扩大。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2)心动过速:是较早出现的代偿现象。心搏量下降的情况下，心动过速在一定范围内可提高心输出量，改善组织缺氧状况。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3)第一心音低钝，严重者出现舒张期奔马律，是由于心室突然扩张与快速充盈所致，提示患儿严重心功能不全，但新生儿时期很少听到。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4)末梢循环灌注不良:患儿脉搏无力，血压偏低，脉压变窄，可有交替脉。四肢末梢发凉及皮肤发花等，是急性体循环血流量减少的征象。</p><p>(2)肺循环淤血:1)呼吸急促:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患儿由于肺毛细血管压力升高，发生肺间质水肿，影响换气功能，呼吸频率加快;心衰严重者，产生肺泡及细支气管水肿，呼吸困难加重，伴有三凹征。运动后呼吸困难及阵发性夜间呼吸困难，为年长儿左心衰竭的特征。新生儿和小婴儿多表现为喂养困难，吸乳时气急加重、吸乳中断。</p><p>2)肺部啰音:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺水肿、肺泡渗出可出现湿啰音。小气道阻力增大产生喘鸣音，是婴儿左心衰竭的体征。</p><p>3)咳嗽:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">支气管黏膜充血可引起干咳。如肺泡或支气管黏膜小血管破裂，可咳泡沫血痰，但婴幼儿少见。</p><p>(3)体循环淤血:1)肝脏肿大:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝大是体静脉淤血最早、最常见的体征。正常婴幼儿肝脏可在肋下2cm处，若超过此限且边缘较钝，应考虑心衰，进行性增大则更有意义。年长儿可诉肝区疼痛或压痛。长期肝淤血，可出现轻度黄疸。</p><p>2)颈静脉怒张:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">年长儿右心衰竭多有颈静脉怒张;婴儿由于颈部短，皮下脂肪多，不易显示。年幼儿头皮静脉或手背静脉充盈饱满，也是体静脉淤血的常见征象。</p><p>3)水肿:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在成人及年长儿皮下水肿是右心衰竭的重要体征，但在婴儿则因容量血管床相对较大，故水肿不明显，主要表现眼睑或骶尾部轻度水肿，但每天测体重均有增加，是体液潴留的客观指标。腹水及全身性水肿仅见于较大儿童。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.下册</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3258', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '74', '心衰的类型', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(1)按起病的缓急，分为急性心衰和慢性心衰。急性心衰是由于突然发生心脏结构和功能异常所引起，严重者发生急性肺水肿、心源性休克，多见于暴发性心肌炎、先天性心脏病手术后、川崎病冠状动脉病变引起心肌梗死等。慢性心衰是逐步发生的心脏结构和功能异常，心肌重构(myocardial remodeling)是其特征，一般均有代偿性心脏扩大或心肌肥厚。急性心衰可演变为慢性心衰。慢性心衰可因某些诱因如感染而突然加重，称为慢性心衰急性发作。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(2)按心脏受累部位，可分为左侧心衰、右侧心衰和全心衰。左侧心衰是因为左心室代偿功能不足，以肺循环淤血症状为主要表现。右侧心衰是因为右心室代偿功能不足，以体循环淤血症状为主要表现。全心衰是因为左、右心室代偿功能均不足。左心衰如持续存在，终将因逆行性肺动脉高压、右心室压力负荷增加而导致全心衰。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(3)根据心排血量属绝对降低或相对不足，分为低排血量型心衰和高排血量型心衰。低排血量型心衰的心脏指数(cardiac index，CI)＜2.5L/(min· m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>)。高排血量型心衰CI范围在3～5L/(min·m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>)。后者心排血量虽比一般人高，但仍不能满足机体代谢的需要，属相对不足。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(4)按心衰时心肌收缩和舒张功能的改变，分为收缩性心衰和舒张性心衰。收缩性心衰是因为心室收缩力受损，射血功能减退，表现为心室扩大、射血分数降低等。舒张性心衰是因为心室松弛功能障碍，舒张期充盈减少，心室充盈压增高。有的患儿同时存在收缩性心衰和舒张性心衰。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.下册</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3259', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '74', '心衰的程度', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床上一般依据病史、临床表现及劳动耐力的程度，将心脏病患儿心功能分为以下四级:</p><p>(1)Ⅰ级:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患儿体力活动不受限制。学龄期儿童能够参加体育课，并且能像正常儿童一样活动。</p><p>(2)Ⅱ级:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患儿体力活动轻度受限。休息时没有任何不适，但一般活动时出现症状如疲乏、心悸和呼吸困难。学龄期儿童能够参加体育课，但活动量比同龄正常儿童小。可能存在继发性生长障碍。</p><p>(3)Ⅲ级:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患儿体力活动明显受限。轻劳动时即有症状，例如步行15分钟即有疲乏、心悸和呼吸困难。学龄期儿童不能参加体育活动。存在继发性生长障碍。</p><p>(4)Ⅳ级:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在休息状态亦有症状，完全丧失劳动力。存在继发性生长障碍。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">上述心功能分级对婴儿不适用。婴儿心功能评价可参考改良Ross心衰分级计分法(表26-19)。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.下册</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3260', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '74', '辅助检查', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">辅助检查有助于进一步查明病因及并发症，指导治疗。</p><p>(1)X线胸片:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">可评价心脏大小、肺部情况。心胸比例＞0.5提示心脏增大;但新生儿和小婴儿的心胸比例正常可＞0.55，婴儿正常的胸腺心脏影，可被误诊为心脏扩大，应予注意。急性心衰或舒张性心衰可无心脏增大。明显肺淤血、肺水肿提示严重左心衰。</p><p>(2)心电图:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">对心律失常及心肌缺血引起的心衰有诊断价值，对应用洋地黄治疗有指导意义。</p><p>(3)超声心动图:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">对于病因诊断及治疗前后心功能评估十分重要。二维超声心动图测定心功能的常用指标为左室射血分数(ejection fraction，EF):为心脏每次收缩时射出血量与心室舒张末期容量之比。其计算公式为:射血分数=(心室舒张末期容量－心室收缩末期容量)/心室舒张末期容量=心搏量/心室舒张末期容量。它反映心室泵血功能。心室收缩力愈强，则心搏量愈大，心室舒张末期残余血量愈小，即射血分数增高。如低于0.45，提示心功能不全。临床上也可测量左室舒张末期内径和收缩末期室壁应力，分别反映左心室容量负荷和压力负荷状况。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">应用多普勒超声心动图检测经二尖瓣和三尖瓣血流频谱，可清晰显示心室舒张充盈。E峰为快速充盈血流速度，A峰为心房收缩期血流速度。正常E/A＞1。舒张功能障碍，A峰代偿性升高，E/A＜1。如EF、SF正常，E/A＜1，则为舒张功能障碍。近年来也采用组织多普勒技术测量房室瓣环运动速度，分别称为e峰和a峰(与舒张期充盈的E峰和A峰相对应)，计算e/a比值，如果该比值＜1，提示心室舒张功能减退。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">表26-19　改良Ross心衰分级计分方法</p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">注:0～2分为无心衰;3～6分为轻度心衰;7～9分为中度心衰;10～12分为重度心衰</p><p>(4)中心静脉压:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">即将导管插至腔静脉接近右房处测量压力。中心静脉压直接与右房压相关联;如右室生理及解剖均正常，则可反映右室舒张末期压力。通常以中心静脉压作为右室前负荷的指标，提示回心血量及右心功能，正常值为6～12cmH<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>&nbsp;O。如超过12cmH<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>&nbsp;O，表明血容量增多，右心衰竭或输液量过多、输液速度过快。低于6cmH<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O提示血容量不足。因此，中心静脉压可作为指导输液治疗的参考。右室舒张末期容量能更好地反映前负荷，除与舒张末期压力有一定关系外，心室顺应性也是决定因素之一。心室顺应性下降时，舒张末期容量减少，而压力上升。</p><p>(5)肺毛细血管楔压:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">采用漂浮导管测定。插管经右室进入肺动脉，至其末端，将导管前端气囊充气，即可测定肺毛细血管楔压。它可间接反映肺静脉压、左房压及左室舒张末期压力，用于评价左室前负荷及左心功能。正常值为8～12mmHg。如上升到20mmHg以上，提示肺淤血、肺水肿或左心衰竭。检测肺毛细血管楔压，对指导扩容、防止肺水肿、使用扩血管及利尿药有参考意义。左室舒张末期压力与容量相关，但受心室顺应性的影响。</p><p>(6)心输出量:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">应用热稀释法测定心输出量(cadiac output，CO)，按体表面积计算出心脏指数。正常小儿心脏指数(cadiac index，CI)为3.5～5.5L/ (min·m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>)。</p><p>(7)血浆脑利钠肽(BNP):</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">BNP及其前体氨基末端脑利钠肽(NT-proBNP)主要由心室肌细胞分泌，心室扩大、心室壁应力增高均可导致分泌增加，可反映心衰的程度。但新生儿期、肥厚性心肌病、川崎病和肾功能不全时BNP也可以增高，应加以注意。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.下册</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3261', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '74', '鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">年长儿童有典型心衰的症状和体征，一般无诊断困难。婴儿心衰应与毛细支气管炎、支气管肺炎相鉴别。婴儿心衰时，心脏病理性杂音可以不明显，尤其新生儿可无杂音。加上心动过速，肺部有干啰音和喘鸣音，常影响心脏听诊效果。轻度发绀、呼吸急促、心动过速、肝大是心衰和肺部感染的共性体征;肺炎合并阻塞性肺气肿使横膈下降，可出现肝下移，造成肝脏增大假象。有时吸氧有助于对肺源性的或心源性的发绀的鉴别诊断;吸氧后肺源性发绀可减轻或消失，血氧分压升高，氧饱和度正常;而心源性者则改善不明显。肺部满布湿性啰音、胸片表现肺部有片状阴影者，支持肺部炎症改变。心脏增大、杂音明显、有肺淤血的X线改变，则为心衰。必要时进行心脏超声检查。心衰确诊后应进一步明确病因。</p><p style=\"text-align: right;\">来源 &nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.下册</p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3262', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '74', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">治疗原则是消除病因及诱因，改善血流动力学状况，保护心功能。在过去的六十几年来，针对心衰的病理生理和发病机制等环节的治疗也不断取得进展。心衰的临床治疗发展可分为四个阶段:第一阶段1948～1968年，洋地黄和利尿剂，增强心肌收缩力，减轻前负荷;第二阶段1968～1978年，血管扩张剂，减轻前、后负荷;第三阶段1978～1988年，新型正性肌力药、肾上腺素能激动剂和磷酸二酯酶抑制剂;第四阶段1988～现在，血管紧张素转换酶抑制剂、β受体阻滞剂和醛固酮拮抗剂，干预神经内分泌系统激活和心室重塑，维护衰竭的心脏。合理的治疗可提高患儿生活质量，改善预后，延长寿命。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心衰死亡率很高，成人资料心衰患儿1年生存率男性85%，女性86%;5年生存率男性38%，女性57%。目前认为，无症状性心衰的早期干预，可以延缓心衰病情进展，改善预后。抑制神经内分泌作用，减轻心室重塑过程是治疗无症状性心衰的重要环节。临床研究证实在有些无症状性心衰阶段应用转换酶抑制剂能降低心衰的死亡率。例如，扩张型心肌病患儿左室射血分数＜40%，尚未出现明显心衰症状，如无禁忌情况，应采用转换酶抑制剂治疗。</p><p>1.病因治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　在治疗心衰的同时，应初步确定病因。可消除的病因，必须根治或使之减轻。小儿心衰主要病因之一为先天性心脏畸形，尤其是常见的左向右分流型先天性心脏病，应于适当时机手术根治，避免发生不可逆性肺动脉高压，失去手术良机，内科治疗只是为手术治疗做准备。目前婴儿严重先天性心脏病患儿均可手术纠治，甚至在心衰时进行手术，以期改善供氧及减轻肺循环容量负荷，挽救患儿生命。其他病因也应积极治疗。用抗生素控制感染性心内膜炎或其他感染;输红细胞纠正严重贫血;应用抗心律失常药或电学治疗控制心律失常;严重肺部疾病患儿可使用辅助呼吸措施改善肺功能等。对于急性风湿性心脏病或心包心肌炎患儿，给予肾上腺皮质激素也十分重要。注意锻炼身体，增强体质，合理营养，培养良好生活习惯，按时接受预防接种，避免传染病、饮食不当、不良嗜好等引起的心脏损伤。</p><p>2.一般治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　保证患儿休息、防止躁动，必要时用镇静剂、采取半卧位、供给湿化氧，并做好护理工作，避免便秘及排便用力。婴儿吸吮费力，宜少量多次喂奶。给予营养丰富、易于消化的食品。急性心衰或严重水肿者，应限制液体摄入量及食盐，大约每天摄入量为1200m l/m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>体表面积，或50～60m l/kg。</p><p>3.洋地黄类药物</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　洋地黄类药物中，儿科以地高辛为首选药物。</p><p>(1)洋地黄类药物的作用机制:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">洋地黄(digitalis)作用于心肌细胞膜钠离子、钾离子、三磷酸腺苷酶的特异部位(钠-钾泵受体)，使酶的结构发生变化，抑制酶的活性，造成钠离子、钾离子主动运转减弱、细胞内钠离子增多，与钙离子竞争和肌浆网结合，致使肌浆中游离钙离子增多，并作用于收缩蛋白，从而增强心肌收缩力。心衰患儿应用洋地黄，可使心肌收缩力增强，心输出量增加，心室舒张末期压力下降，改善组织灌注及静脉淤血状态。洋地黄还作用于心脏传导系统，延长房室结和希氏束的不应期，减慢心室率。用于心衰伴房颤，效果肯定;对窦性心律，亦可取得良好效果。此外，洋地黄还有神经内分泌作用，可恢复心脏压力感受器对中枢交感冲动的抑制作用，从而降低交感神经系统和肾素血管紧张素系统的活性。这些神经内分泌作用与洋地黄的血流动力学作用无关。</p><p>(2)洋地黄制剂及其用法:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">洋地黄类药分为两大类:作用缓慢类及作用迅速类。前者有洋地黄毒苷，目前已很少用;后者包括地高辛、毛花苷丙及毒毛旋花子苷K。地高辛可供口服及静脉注射;口服吸收良好，起始作用快，蓄积少，为儿科治疗心衰的主要药物。毛花苷丙及毒毛旋花子苷K仅供静脉注射。口服地高辛后，70%～80%从肠道吸收，30～60分钟起作用，2～3小时达峰浓度，最大效应维持4～6小时，半衰期为36小时，每天排泄量为体存量的33%，70%～90%以原形从肾脏排泄;静脉注射5～30分钟起作用，1.5～3小时达高峰。地高辛可经过胎盘进入胎儿循环，脐血地高辛水平与母血相近。毛花苷丙肌内注射吸收不良，不能达到快速起作用的效果。静脉注射3～6分钟开始起作用，1～2小时达高峰，半衰期23小时，主要由肾脏排泄。毒毛旋花子苷K静脉注射5～10分钟起作用，0.5～2小时达高峰，半衰期21小时，主要由肾脏排泄。近年有报道用β-甲基地高辛治疗小儿心衰，口服该药几乎100%从肠道吸收，服药后15分钟见效，4小时后血药浓度开始下降，半衰期为2～8天，作用可维持8天;其他药理作用与地高辛相同。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">洋地黄正性肌力作用与用量呈线性关系。中毒量与治疗量较接近，故治疗指数低。计算用量时必须十分仔细，并反复核对。各种制剂用量见表26-20。早产儿和肾功能不良、心肌炎、心肌病、低血钾、酸中毒等患儿应用易致洋地黄中毒，用量宜减少。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">表26-20　洋地黄制剂的剂量及用法</p><table width=\"734\"><tbody><tr class=\"firstRow\"></tr></tbody></table><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">洋地黄用法有两种:①负荷量法:在24小时内投以负荷量，首次用量为负荷量的1/2，余半量分两次，相隔6～12小时一次。负荷量12小时后，再加用维持量。②维持量法:每日用维持量，地高辛维持量为负荷量的1/5～1/4，分两次服用。每日服用地高辛维持量，经过4～5个半衰期，即6～8天，可达到稳定的有效血药浓度。对于起病迅速、病情严重的急性心衰患儿，采用负荷量法，以便及时控制心衰。慢性心衰者，可用维持量法。维持量应持续多久，应视病因能否解除而定。病因短期内可消除者，往往不需用维持量，或用数天即可停止;病因不能消除者，需持续用药数年。心内膜弹力纤维增生症患儿需用2年以上，并随患儿的年龄及体重增长相应增加维持量。小儿应用洋地黄，用量较成人大，有人认为与小儿细胞膜钠-钾泵受体结合力高有关。</p><p>(3)洋地黄中毒及血药浓度测定:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">使用洋地黄时，应了解患儿近期使用洋地黄的情况。肾功能不全、心肌疾病、低血钾、低血镁、酸中毒、缺氧等患儿对洋地黄的敏感性增强，应用时易中毒。地高辛与异搏定、普萘洛尔、奎尼丁、普罗帕酮、胺碘酮、卡托普利合用，可使肾清除及分布容积下降，致血药浓度升高，易发生中毒。地高辛与红霉素合用，增加地高辛吸收，致血浓度升高，可致中毒。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">洋地黄中毒为一严重并发症，可促使患儿心衰加重，发生严重心律失常等，甚至造成死亡。治疗用药中发生中毒，婴儿和儿童的表现与成人不同，心律失常以窦性心动过缓、窦房阻滞、不完全性房室传导阻滞、交界性心律、非阵发性结性心动过速及室上性心动过速伴房室传导阻滞为多见，而室性期前收缩及室性心动过速则较成人少见，可因室颤而致死;神经系统症状如嗜睡、昏迷、视力障碍则不多见;胃肠道反应有食欲缺乏、恶心、呕吐等，多见于年长儿。急性中毒(误服、企图自杀等)者神经系统症状较重，常并发高血钾。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">应用放射免疫法测定地高辛血清水平，对地高辛治疗心衰的剂量是否恰当及有无中毒均有参考意义。应用地高辛，口服6小时或静脉注射4小时后，其心肌与血清浓度较恒定，应在此时采血测定。地高辛的有效治疗血清浓度，婴儿为2～3ng/ml，儿童为0.5～2ng/ml。采用相同的治疗剂量，婴儿血清水平明显高于儿童的原因尚未明确。可能与婴儿循环血液中的内洋地黄素含量较年长儿多有关。内洋地黄素是一种内分泌素，在放射免疫测定中与地高辛抗体有交叉免疫反应。有人报道，未接受地高辛治疗的婴儿，用放射免疫方法测定其地高辛血清浓度可达0.5～1.5ng/m l。地高辛中毒时，新生儿血药浓度大多＞4ng/m l，婴儿＞3～4ng/m l，儿童＞2ng/m l。洋地黄中毒与药物血浓度并非绝对一致，中毒与有效治疗水平可有重叠。故仍需参考病史、心电图改变及临床表现确定。</p><p>(4)洋地黄中毒的治疗:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">首先应立即停药，并测定患儿血清地高辛、钾、镁浓度及肾功能，建立静脉输液并监测心电图。若中毒较轻，血清钾正常，一般在停药12～24小时后中毒症状消失。若中毒较重，血清钾低或正常、肾功能正常者，可静脉滴注0.3%氯化钾，以每小时0.3～0.5mmol/kg的速度缓慢滴注，总量不超过2mmol/kg;有Ⅱ度以上房室传导阻滞者禁用。窦性心动过缓、窦房阻滞者可用阿托品每次0.01～0.03mg/kg，口服、皮下注射或静脉注射，每天3～4次。苯妥英钠对洋地黄中毒所致的房室传导阻滞、室性期前收缩、室上性心动过速及室性心动过速疗效较好，静脉注射苯妥英钠2～3mg/kg，一次量不超过100mg，溶于生理盐水缓慢静脉注射，不应少于5分钟，必要时15分钟后可重复使用。本品碱性强，不可漏至血管外。利多卡因用于室性心律失常者，静脉注射每次1～2mg/kg，一次量不超过100mg，必要时5～10分钟重复一次，总量不超过5mg/kg。有效后改为20～50μg/(kg·min)静脉滴注维持。高度房室传导阻滞者可安装临时起搏器。严重洋地黄中毒伴有低血压、严重心衰、高血钾及神经系统症状，并有生命危险者，静脉注射地高辛特异抗体(地高辛免疫Fab)治疗。根据地高辛体存量折合地高辛免疫Fab用量。计算方法:治疗中中毒，地高辛体存量(mg)=地高辛血清浓度(ng/m l)×5.6×体重(kg)/ 1000。意外口服中毒，地高辛体存量(mg)=服入量× 0.8。地高辛免疫 Fab用量(mg)=地高辛体存量(mg)×50 000(地高辛免疫Fab分子量)/781(地高辛分子量)。地高辛免疫Fab加入生理盐水中，于30～60分钟输入，治疗中可出现心衰加重、低血钾、房颤、颜面潮红等不良反应。</p><p>4.利尿剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">　利尿剂(diuretics)作用于肾小管不同部位，抑制钠、水重吸收，从而发挥利尿作用。减轻肺水肿，降低血容量、回心血量及心室充盈压，减轻心室前负荷。利尿剂为治疗心衰第一线药。然而，长期应用利尿剂，易产生耐药性，并有激活RAAS的不良反应。常用利尿剂分三类:</p><p>(1)袢利尿剂:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">主要作用于袢上升支，抑制钠和水再吸收，促进钠钾交换，故排钠、氯及钾。利尿作用强而迅速，用于急性心衰、肺水肿及难治性心衰。此类药物包括呋塞米、依他尼酸、布美他尼(bumetanide)等。后者口服吸收59%～89%，半衰期0.3～1.5小时，65%由肾排泄。利尿效应较呋塞米强40倍。袢利尿剂除引起低血钠、低血钾、代谢性碱中毒外，对听神经有毒性作用，致耳鸣、眩晕、听力低下、耳聋。多发生于药量较大及肾功能不全者。布美他尼较少发生听神经毒性反应。袢利尿剂与转换酶抑制剂(ACEI)合用，可加强利尿剂作用，并预防低钾血症。</p><p>(2)噻嗪类利尿剂:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">主要作用于远端肾曲管，抑制钠再吸收，钠与钾交换增加，促进钾排出。此类药有氯噻嗪、氢氯噻嗪、美托拉松(metolazone;商品名沙洛索林，zaroxolyn)等。后者作用较氢氯噻嗪强10倍，口服65%吸收，半衰期4～5小时，主要由肾排泄，口服1小时起作用，持续24小时。美托拉松另一产品的商品名为麦克洛(mykrox)，作用更强，不可混同。噻嗪类利尿剂多用于轻、中度慢性心衰。</p><p>(3)保钾利尿剂:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">此类药有螺内酯、氨苯蝶啶、阿米洛利(amiloride)等。主要作用于集合管，抑制钠与钾、氢交换，利尿作用较弱，一般不单独使用。螺内酯尚有拮抗醛固酮的作用，防止心肌纤维化。阿美洛利作用较氨苯蝶啶强10倍，口服15%～25%吸收，半衰期21小时，由肾排泄。此类药有保钾作用，肾功能不全者慎用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">急性心衰、肺水肿选用作用迅速强效利尿剂，静脉注射呋塞米，首剂1～2mg/kg，多于1～2小时利尿，每6～12小时可重复使用。静脉用药数天后，可继续口服维持疗效。慢性心衰口服氢氯噻嗪或美托拉松。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">同类利尿剂合用一般无协同作用，尚可增加不良反应。呋塞米与美托拉松合用有协同作用，在肾血流量下降、肾小球滤过率减低及肾前性肾功能不全时亦可发挥作用，出现大量利尿。应密切监测血压及水电紊乱。可隔天服药或间歇治疗，服药4天，停药3天，避免水电紊乱。保钾利尿剂通常与其他类利尿药合用，可预防低钾血症。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">治疗心衰出现利尿剂耐药性，多由于应用利尿剂或血管扩张药造成血压下降、肾灌注不足、滤过率降低或严重心脏病心输出量过低造成。应注意是否并发低血容量、低钠、低钾血症。低钠血症通常反映水潴留。由于低血钠，袢利尿剂效应不良，应短期内提高钠盐摄入，限制液量，但禁忌输入高渗盐水。利尿剂联合应用非类固醇类抗炎药，如吲哚美辛、阿司匹林，可影响利尿效果。常用利尿剂的临床应用见表26-21。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">表26-21　利尿剂的临床应用</p><table width=\"353\"><tbody><tr class=\"firstRow\"></tr></tbody></table><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">hr:小时，m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>:平方米体表面积</p><p>5.血管紧张素转换酶抑制剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">　血管紧张素转换酶抑制剂(angiotensin converting enzyme inhibitors，ACEI)通过抑制转换酶(ACE)降低循环中RAAS活性，使AngⅡ减少，并参与心血管局部RAAS的调节作用。其血流动力学效应有:扩小动脉和静脉，减轻心室前、后负荷，心肌耗氧和冠状动脉阻力降低，增加冠状动脉血流和心肌供氧，改善心功能。研究认为ACEI对衰竭心脏尚有以下非依赖于血流动力学效应的保护心肌作用:①阻断循环中及心血管局部AngⅡ的生物效应，防止心肌细胞肥厚、间质纤维化，延迟心室重塑;②缓激肽作用:ACE是一种非特异性酶，除催化 AngⅡ产生外，还参与缓激肽降解，故ACEI可阻止缓激肽降解，加强内源性缓激肽作用，后者用强烈扩张血管的作用，并促使一氧化氮和前列环素的释放，使血管扩张;③抑制去甲肾上腺素分泌，降低交感神经系统活性;④抑制血管加压素作用;⑤抑制醛固酮释放，减轻水钠潴留;⑥含有巯基的ACEI具有清除氧自由基、保护心脏的作用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">目前临床应用的ACEI有20余种，根据所含配基不同，分为三类:①第一类含巯基，如卡托普利(captopril，开博通)等;②第二类含羟基，如依钠普利(enalapril)、贝那普利(benazepril，洛丁新)等;③第三类含磷酰基，如福辛普利(fesenpril)等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">儿科常用卡托普利、依那普利和贝那普利。分述如下:</p><p>(1)卡托普利:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">血流动力学效应有:体循环和肺循环阻力下降，心脏指数、每搏指数均增加，肺毛细血管楔压下降。患儿乏力、气促等临床症状减轻，心功能提高Ⅰ～Ⅱ级，运动耐力增加，尿量增多，发生心律失常减少。后者可能是纠正低血钾和抑制交感神经活性所致。本药口服65%～75%吸收，1小时后血浆浓度达峰值，半衰期(1.9±0.5)小时，作用持续8小时，故口服每天3次为宜。主要由肾排泄，尿毒症患儿半衰期延长。与地高辛合用，可使后者血浓度升高约10%左右。但地高辛中毒反应未见增加。用于心衰患儿，可使体内总钾含量及血清钾浓度升高，不宜补钾。口服从小剂量开始，7～10天内逐渐增加至有效量。新生儿用量:每次0.1～0.5mg/kg，Q8～12小时，最大量2mg/(kg·d);＞1个月:每次0.5～1mg/ kg，Q8～12小时，最大量4mg/(kg·d)。</p><p>(2)依那普利:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">与卡托普利比较有以下不同点:口服起效时间慢，服药后4小时达血药浓度峰值;血压下降较明显，而对水钠排泄作用不明显。口服从小剂量开始，于1～2周内逐渐加量。新生儿用量:每次0.05～0.2mg/kg，Q12～24小时，最大量0.4mg/ (kg·d);＞1个月:每次0.05～0.25mg/kg，Q12～24小时，最大量0.5mg/(kg·d)。本剂可供静脉注射，用量每次5～10μg/kg，Q8～24小时。</p><p>(3)贝那普利:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">药物动力学与依那普利相近。口服用量从0.1mg/(kg·d)开始，于1周内逐渐增加至0.3mg/(kg·d)，分1～2次服。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">ACEI应从小剂量开始，逐渐递增，达目标量后长期维持。ACEI的副作用有低血压、咳嗽、高血钾及较少见的血管神经性水肿。咳嗽是由于缓激肽增多，刺激咽喉及气管壁引起咳嗽反射，亚裔发生稍高。卡托普利尚可引起胃肠不适、嗅觉不良、皮疹、蛋白尿、肾功能损伤及粒细胞减少症。依那普利可引起低血糖反应。ACEI与吲哚美辛合用可影响效果。应避免与非类固醇类抗炎药、保钾利尿药合用，肾功能不全者慎用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">ACEI与直接扩张血管药比较有以下优点:①疗效持久;②不激活RAAS和交感神经系统;③有保护衰竭的心脏作用，使肥厚的心肌回缩。ACEI治疗心衰已取得满意效果，临床研究表明ACEI对心衰患儿的死亡率和致命性及非致命性心血管事件发生率均有不同程度的下降;对无症状性心衰患儿亦可推迟心衰发生及降低死亡率。现已公认ACEI为治疗心衰的首选药物，可延长患儿寿命，改善生活质量。无症状性心衰单用ACEI;有症状者应与利尿剂及(或)地高辛联合应用。儿科尚未见大量的ACEI治疗心衰的临床研究，但小儿先天性左向右分流型心脏病、心内膜弹力纤维增生症及扩张型心肌病并发心衰，联合应用ACEI、利尿剂和地高辛均取得满意效果。</p><p>6.扩张血管药</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">　扩张血管药主要通过扩张静脉容量血管和动脉阻力血管，减轻心室前、后负荷，提高心输出量;并可使室壁应力下降，心肌耗氧减低，改善心功能。血管扩张药对心衰血流动力学的影响因病情而异。对左室充盈压增高者，血管扩张药可使心输出量增加;反之，对左室充盈压减低者，则可使心输出量下降。应用扩张血管药必要时应监测血压、肺毛细血管楔压和中心静脉压，了解心室前、后负荷状况。小儿扩张型心肌病、二尖瓣或主动脉瓣关闭不全性瓣膜病及左向右分流型先天性心脏病引起的心衰，应用扩张小动脉药，减轻后负荷，有利于控制病情。而左室流出道梗阻型心脏病如主动脉狭窄等，通常不用减轻后负荷药物。治疗心衰，扩张血管药通常与正性肌力药和利尿剂联合应用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">扩张血管药包括多种作用机制不同的药物，见表26-22。有的直接扩张血管，如提供一氧化氮的硝普钠、硝酸甘油;阻滞α肾上腺素能受体的酚妥拉明、哌唑嗪;肼苯达嗪直接扩张阻力血管的作用机制尚不清楚。上述药物主要作用为扩张血管。另外，还有多种药物除扩张血管外，同时对心血管还具有其他重要作用，其中包括ACEI，如卡托普利、依那普利等;磷酸二酯酶抑制剂，如氨力农、米力农等;β肾上腺素能激动剂多巴胺及钙通道阻滞剂，如硝苯地平等。现主要介绍直接扩张血管的药物。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">表26-22　扩张血管药的临床应用</p><table width=\"727\"><tbody><tr class=\"firstRow\"></tr></tbody></table><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">+++效应强;++中;+弱;min分钟</p><p>(1)硝普钠:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">释放一氧化氮，松弛血管平滑肌。静脉输入，作用强，生效快，半衰期短。主要效应为扩张周围小动脉，减轻后负荷，然而扩张静脉，使回心血量减少亦有利。对急性心衰，尤其左心衰竭、肺水肿，伴有周围血管阻力增高者，效果显著。从小剂量开始，逐渐递增，并监测血流动力学参数。见效时心输出量增加，周围阻力及肺毛细血管楔压下降。本药有降低血压反应，应密切监测血压，原有低血压者禁忌。硝普钠代谢过程产生氰化物，在肝内迅速转化为硫氰酸盐，由肾排泄。长期大量应用或肾功能障碍者，可发生氰中毒，出现恶心、呕吐、心动过速、定向障碍、呼吸急促及意识障碍。应监测血硫氰酸盐浓度，如＞10g/dl为中毒。硝普钠溶液受光降解，使用及保存均应避光，随配随用。</p><p>(2)硝酸甘油:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">代谢过程产生一氧化氮，扩张血管，主要作用于静脉。对心脏手术后低心排综合征伴左室充盈压升高及肺水肿者，可选用静脉输入硝酸甘油。前负荷降低时不宜应用，以免使心输出量减少，应监测血流动力学改变。儿科用硝酸酯类不多。</p><p>(3)肼苯达嗪:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">直接松弛小动脉平滑肌，减轻后负荷，对前负荷无效应。对高血压心脏病、扩张型心肌病、二尖瓣或主动脉瓣关闭不全并发心衰可选用肼苯达嗪。副作用包括头痛、心动过速、恶心、呕吐。大量长期用药可发生狼疮样综合征，停药后可消退。</p><p>(4)酚妥拉明:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">为α肾上腺素能受体阻滞剂，主要扩张小动脉。作用迅速，持续时间短。于静脉注射后15分钟作用消失。本药尚有增加去甲肾上腺素释放，易致心动过速，甚至心律失常，故不常用于心衰患儿。</p><p>(5)哌唑嗪:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">口服吸收好，在肝脏代谢，由胆道排泄。口服1小时开始作用，2～3小时达血浆高峰浓度，作用持续6小时。首剂用量5μg/kg，如无低血压反应，可逐渐增加至每次50μg/kg，每6小时1次，最大量不超过0.1mg/kg。首剂30～90分钟可出现体位性严重低血压，尤其常见于低血容量及低钠血症患儿。应严密观察。其他副作用有晕厥、头晕、心动过速。长期用药易发生耐药性。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">血管扩张药与儿茶酚胺类药物联合应用对心脏术后低心排心衰、急性心衰、严重慢性心衰治疗无效者，可取得即时血流动力学改善。通常用硝普钠和多巴胺或多巴酚丁胺联合静脉输入。术后低心排者可联合用硝普钠与肾上腺素。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">直接扩张血管药物有激活交感神经系统及RAAS的反应，对心衰不利。另外，有的副作用较明显或易产生耐药性，因而临床应用受限制。在心衰治疗上，多于急性心衰或慢性心衰急剧加重时，短期加用硝普钠治疗，即时改善血流动力学状况，使症状有所好转。ACEI具有减轻前、后负荷作用，又无激活交感神经系统及RAAS的不良反应，可长期应用，而且有保护衰竭的心脏、降低患儿死亡率的优点，故作为扩张血管药治疗心衰上已广泛应用。</p><p>7.非洋地黄类正性肌力药</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">　这类药物通过增加心肌细胞内钙含量或增加心肌细胞对钙的敏感性而发挥正性肌力作用。临床常用的有以下几种:</p><p>(1)β受体激动剂:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">又称儿茶酚胺类药物，主要包括肾上腺素、异丙肾上腺素、多巴胺、多巴酚丁胺等。通过与心肌细胞膜β受体结合，使细胞内环腺苷酸(cAMP)增加，促进细胞内钙浓度增加，增强心肌收缩力，但对心率、周围血管及肾血管的作用则有不同。常用于低输出量性急性心衰及心脏手术后低心排血量综合征。</p><p>1)多巴胺:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">通过兴奋心脏β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>受体，增强心肌收缩力，并作用于肾、肠系膜、冠状动脉和脑动脉的多巴胺受体，引起相应的血管扩张，但在高浓度时主要兴奋α肾上腺素能受体使周围血管收缩。小剂量［2～5mg/(kg·min)］输入后，心脏指数增高，尿量增多，尿钠排泄增多，而对周围血管阻力及心率无影响。在高剂量［15μg/(kg·min)］时，对肾血流量作用减弱。剂量进一步增加至20μg/(kg·min)，则α肾上腺素能作用占优势，肾血流量减少，周围血管阻力增高。治疗心衰开始剂量2～5μg/(kg·min)，如有严重低血压可增加为5～10μg/(kg·min)。碱性液可降低多巴胺活性，宜用5%～10%葡萄糖液或生理盐水配制。漏出血管外致组织坏死。副作用有恶心、呕吐、心动过速及心律失常，尤其多见于原有心律紊乱患儿或剂量超过10μg/(kg·min)时。应监测血压、中心静脉压及(或)肺毛细血管楔压、心率及尿量。</p><p>2)多巴酚丁胺:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">为多巴胺的衍生物。主要作用于心脏β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>受体，对血管α和β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体作用轻微。可增加心肌收缩力及心输出量，对周围血管阻力无明显影响。与多巴胺比较，对心率和血压影响较小，亦无扩张肾血管作用。初始量为2～3μg/(kg·min)，可逐渐增加至20μg/(kg·min)。必要时监测血流动力学指标、心率及血压。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">上述两药作用迅速，持续时间短，应持续静脉滴注。一般静脉输入后1～2分钟即显效，10～15分钟达高峰，但停药10～15分钟，药效即消失。通常用于急性心衰、心源性休克的短期应急治疗。慢性顽固心衰可采用间歇治疗，每周静滴1次，患儿症状改善，住院或急诊次数减少;而长期持续用药可致死亡率提高，可能因致心律失常作用引起。多巴胺和多巴酚丁胺联合应用，各7.5μg/(kg·min)，常取得较好效果，并避免剂量较大引起周围血管收缩和心律失常的不良反应。此两药可与硝普钠合用。</p><p>(2)磷酸二酯酶抑制剂:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">通过抑制磷酸二酯酶，减少细胞内cAMP降解，增加钙浓度，加强心肌收缩力。同时扩张外周血管，减轻心室前、后负荷。</p><p>1)氨联吡啶酮(amrinone):</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">又称氨力农。静脉注射首剂负荷量0.5mg/kg，继以3～10μg/(kg·min)输入。副作用大，引起血小板减少、低血压、晕厥、肝损伤等。</p><p>2)甲腈吡啶酮(milrinone):</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">又称米力农。作用较氨联吡啶酮强10倍，副作用较轻。静脉注射首剂负荷量50μg/kg，以后0.25～1.0μg/(kg·min)静滴。用于低输出量性心衰、经常规治疗无效者。作为多巴胺、多巴酚丁胺的辅助治疗，短期静脉用药可改善血流动力学状况，但长期应用与安慰剂比较，死亡率增高。顽固性慢性心衰采用间歇用药，每周静滴1次。</p><p>(3)环磷酸腺苷葡甲胺(心先安，MCA):</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">是人工合成的环磷酸腺苷衍生物，提高心肌细胞内钙离子的浓度，改善心肌收缩力，并能扩张外周血管，减轻心脏压力负荷。使用剂量为2～4mg/kg，溶于10ml葡萄糖，缓慢静脉推注，每天1次，注射后10～20分钟起效，1～2小时达到高峰，6～8小时消失。一般用5～7天。</p><p>8.β受体阻滞剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">　长期神经内分泌激活是心肌重塑、心衰恶化的重要因素。慢性心衰者经强心剂、利尿剂及(或)ACEI治疗仍无好转，可维持原治疗，加用β受体阻滞剂。β受体阻滞剂治疗慢性心衰的机制:①阻断神经内分泌系统介导的心肌重塑;②保护心肌:防止儿茶酚胺对心肌毒性作用，减少儿茶酚胺引起心肌钙负荷过重，减少儿茶酚胺代谢过程中产生的氧自由基对心肌的损害;③上调β受体密度，恢复心肌的正性肌力反应，改善心肌收缩功能;④减慢心率，延长舒张期，改善心肌血流灌注;⑤抗心律失常作用;⑥改善舒张功能。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">成人用β受体阻滞剂治疗慢性心衰取得较多经验。70年代中期以来进行过多次临床试验，应用美托洛尔(metoprolol)、比索洛尔(bisoprolol)、奈比洛尔(nebivolol)等长期治疗扩张型心肌病及冠心病并发慢性心衰，试验结果提示可改善症状，并提高左室射血分数(LVEF)。1996年随机对照研究卡维地洛(carvedilol)治疗1904例慢性心衰患儿(LVEF＜35%，心功能Ⅱ～Ⅲ级)，基础心脏病为扩张型心肌病或冠心病，经过6～12个月治疗观察，卡维地洛组死亡率下降65%。提示卡维地洛治疗慢性心衰可改善患儿生活质量，并延长生存。卡维地洛除阻滞β受体外，还阻滞α受体，扩张血管和强力的抗氧化作用。成人慢性心衰患儿约80%可耐受β受体阻滞剂治疗，20%因心衰加重而停药;部分出现低血压、眩晕、低心排综合征、急性左心衰、心动过缓等不良反应。应用β受体阻滞剂约2～3个月后才能出现血流动力学改善的效应，故初始剂量宜小，并根据患儿对药物反应，每周逐渐增加剂量。儿科曾报道加用卡维地洛治疗扩张型心肌病及先心病慢性心衰，初始平均量0.08mg/(kg·d)，分2次，每2周递增，12周后达最大耐受平均量0.46mg/(kg·d)［0.04～0.75mg/(kg ·d)］。67%患儿心功能显著改善。54%出现头晕、低血压、头痛不良反应;30%严重反应，终至心脏移植、安置起搏器或死亡。另报告8例婴儿扩张型心肌病(EF＜30%)，加用卡维地洛后效果显著，并易耐受。美托洛尔初始量0.2～0.5mg/(kg·d)，分2次，逐渐增量，最大耐受量1～2mg/(kg·d)。用药期间应监测血压、心电图、心衰征象。出现严重反应宜减量或停用。哮喘、慢性支气管炎、血压过低、心动过缓、二度以上房室阻滞者禁忌。</p><p>9.舒张功能衰竭的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">　心室舒张功能是心肌松弛和容纳血液的能力。舒张功能障碍时，心室舒张期的压力和容量相关发生改变，心室不能正常充盈纳血，在相等的心室容量下，腔内压力比正常明显增高，舒张期压力容量曲线左移，即使收缩功能正常，也会发生心衰。舒张功能障碍的病理机制有以下几个方面:①心肌弛张功能异常:心肌弛张功能是指心肌恢复到收缩期前(舒张末期)时的长度和张力。功能障碍时，心室等容舒张期压力下降迟缓，舒张早期最大充盈速度随之减慢。如缺血性心脏病。②心肌及心腔僵硬:心肌伸展性及心腔扩张性降低，影响舒张期充盈纳血的功能。如先天性主动脉缩窄、肥厚型心肌病、心内膜心肌纤维化、高血压性心脏病等。心肌肥厚和纤维化，室壁僵硬，室腔形态异常。这种情况，在任何特定的容量下，腔内均有较高的舒张压。③心室腔扩张过度:如扩张型心肌病、室间隔缺损、主动脉瓣和二尖瓣关闭不全等，左室腔过度扩大，影响舒张功能。舒张功能衰竭，心室舒张末压升高，心输出量下降，出现心衰症状，与收缩功能不良的心衰相似。心功能衰竭中大约1/3为舒张功能减退引起。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">治疗舒张功能衰竭，首先应明确病因。病因不能解除者可对症治疗。用利尿剂及扩张静脉药减轻前负荷，改善肺水肿和体循环充血，ACEI也可奏效。扩张动脉药无大益处。正性肌力药特别是静脉输入多巴胺等儿茶酚胺类药对舒张功能有害。如并发房颤或房扑应尽力转为窦性心率，因心房正常收缩时使心室充盈的容量，约占心输出量的30%～40%，如心房丧失正常收缩功能，心输出量可显著减少。肥厚型心肌病用β阻滞剂普萘洛尔或钙通道阻滞剂维拉帕米，可改善舒张功能。</p><p>10.抗心律失常药</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">　严重心衰患儿常伴有症状性或无症状性心律失常，主要为室性期前收缩、室性心动过速等室性心律失常。少数发生晕厥或猝死。多种抗心律失常药，尤其第Ⅰ类药均有负性肌力作用及致心律失常反应，可使心衰加重，心律失常恶化，不宜应用。一般认为胺碘酮较安全、有效，但用量宜小。心衰伴低血镁是引起心律失常的原因。心衰患儿用利尿剂及饮食不佳，易发生低血镁。镁不足也是地高辛中毒心律失常的重要原因。有研究认为镁不足可导致心内膜纤维化，加重心肌病。因此，心衰患儿出现总体镁不足是重要预后因素，低镁血症应及时治疗。</p><p>11.治疗心衰的其他药物</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">(1)血管紧张素Ⅱ受体拮抗剂:AngⅡ受体拮抗剂通过阻止AngⅡ与受体结合，抑制AngⅡ效应，从而减轻前、后负荷，保护心脏，改善心功能。AngⅡ受体拮抗剂与ACEI有以下差别:①AngⅡ受体拮抗剂无内源性缓激肽作用，不引起咳嗽和血管神经性水肿的不良反应，故可用于ACEI不耐受者;②AngⅡ除ACE催化产生外，还可通过糜蛋白酶产生，AngⅡ受体拮抗剂可阻断ACE和糜蛋白酶介导的AngⅡ产生，而ACEI只有阻断ACE的作用。目前AngⅡ受体拮抗剂有罗沙坦(losantan)、依白沙坦(irbesantan)等。成人应用罗沙坦治疗心衰的效果与ACEI相近，有的研究认为罗沙坦与ACEI联合应用比单用ACEI更能改善左室功能。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">(2)钙通道阻滞剂:早年用钙通道阻滞剂维拉帕米(verapamil，异搏停)、地尔硫唑(diltiazem)、硝苯地平(nifedipine)作为血管扩张药治疗收缩功能障碍心衰，因负性肌力及反射性激活神经内分泌作用，致心衰加重，并增加死亡率。近年内科进行新的钙通道阻滞剂氨氯地平(am lodipine)治疗慢性严重心衰的前瞻性随机研究，患儿在原有治疗基础加用氨氯地平，经长期治疗观察，结果提示非缺血性心肌病组猝死及因泵衰竭死亡均明显下降。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">(3)其他新药如脑利钠激素(BNH)、心房利钠肽(ANP)、生长激素(GH)等，用于治疗心衰均在研究中。</p><p>12.改善心肌代谢药</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">　心衰时心肌缺氧，有明显的能量代谢异常，辅加改善心肌代谢药可能有益，近年应用以下药物:</p><p>(1)辅酶Q10:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">有增强心肌细胞线粒体功能，改善心肌代谢，稳定细胞膜和抗氧自由基作用，保护心肌。用辅酶Q10对防治阿霉素心肌损伤有益。用量1mg/(kg·d)，分两次服，长期治疗，患儿在3个月内显效。</p><p>(2)1，6二磷酸果糖(FDP):</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">可改善心肌线粒体能量代谢，稳定细胞膜，抑制中性粒细胞产生氧自由基，从而保护心肌。用量每次100～250mg/kg，静脉输入，7～10天为一疗程。对于慢性心衰也可用口服制剂。</p><p>13.非药物治疗(1)心室辅助装置(VAD):</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">主要用于难治性、Ⅳ级心衰，作为等待心脏移植的过渡方法。</p><p>(2)主动脉内球囊反搏(IABP):</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">对于心肌炎、心肌病和心脏手术后心衰药物不能控制者。但小婴儿因主动脉顺应性较好，故IABP的效果较差。</p><p>(3)体外膜肺(extracorporealmembrane oxygenation，ECMO):</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">应用于心衰治疗的指征与VAD相似，但同时也适用于肺部病变导致严重呼吸功能障碍者。</p><p>(4)心脏移植:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">心衰死亡率高，部分患儿最终需进行心脏移植。近年由于免疫抑制治疗的改进，心脏移植的存活率明显提高。据统计，1997年全球201个中心进行了3400例小儿心脏移植，1年存活75%，5年存活65%，10年存活50%。手术指征为:心肌病终末期治疗无效，复杂先天性心脏病手术危险极高和部分先天性心脏病术后心功能不全治疗无效者。心脏移植术后死亡主要原因有感染、排异反应、移植冠状动脉病、肺动脉高压等。</p><p>14.急性左心衰竭(肺水肿)的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">　急性肺水肿常发生于严重慢性心衰急剧加重时、急性心肌梗死、急性左室容量负荷过重(瓣膜关闭不全或室间隔缺损)及二尖瓣狭窄。患儿急性发生呼吸困难、咳粉色泡沫痰、心动过速、大汗及发绀。肺部有喘鸣及啰音。动脉血氧饱和度下降。应紧急治疗:①体位:患儿取坐位，双下肢下垂床边，以利呼吸，并可减少静脉回流。②吸氧:维持动脉血氧分压在60mmHg以上，严重者用机械通气。③镇静:静脉或皮下注射吗啡0.1～0.2mg/kg，必要时2～4小时再用。吗啡增加静脉容量、降低左房压，同时缓解患儿烦躁不安。④利尿:静脉注射强效利尿剂，呋塞米每次1～2mg/kg。⑤扩张血管:静脉输注硝酸甘油1～5μg/(kg·min)，降低前、后负荷。⑥增加心肌收缩力:静注地高辛;心输出量降低及低血压者静脉输入快速作用正性肌力药多巴胺、多巴酚丁胺，必要时联合用硝普钠。⑦肾上腺皮质激素:改善心肌代谢，解除支气管痉挛。⑧病因治疗:治疗中同时明确病因，给予相应治疗。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.下册</p><p><br/></p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3269', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1502', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性呼吸道感染通常分为急性上呼吸道感染(acute upper respiratory infections)和急性下呼吸道感染(acute lower respiratory infections)。急性上呼吸道感染是指鼻腔、咽或喉部急性炎症的总称。亦常用“感冒”、“鼻炎”、“急性鼻咽炎”、“急性咽炎”、“急性扁桃体炎”等名词诊断，统称为上呼吸道感染，简称“上感”。是小儿最常见的急性感染性疾病。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鼻咽部感染常出现并发症，可累及邻近器官如喉、气管、支气管、肺、口腔、鼻窦、中耳、眼以及颈部淋巴结等，有时鼻咽部症状已经好转或消失，而其并发症可以迁延或加重。对上呼吸道感染及其并发症的临床特点应作全面的观察和分析，早诊断，早治疗，提高疗效，避免贻误病情。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用内科学.上册</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3270', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1502', '病因', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.病原体以病毒为主，可占原发上呼吸道感染的90%以上。非典型病原体在呼吸道感染中所占比例也呈逐渐升高趋势，其中以肺炎支原体、肺炎衣原体、嗜肺军团菌、Q热立克次体为多见。细菌较少见。而病毒中以呼吸道病毒最为重要，肠道病毒也是不可忽视的病原。病毒感染后，上呼吸道黏膜失去抵抗力，细菌可乘虚而入，并发混合感染。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(1)常见病毒如下:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1)鼻病毒(<em style=\"box-sizing: border-box;\">Rhinovirus</em>):现发现有100余种不同血清型，冠状病毒(<em style=\"box-sizing: border-box;\">Coronavirus</em>)分离需特殊方法。两者皆为常见的病原。其感染症状局限于上呼吸道，多在鼻部，一般为自限性疾病，1周左右可自愈。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2)柯萨奇病毒(<em style=\"box-sizing: border-box;\">Coxsackievirus</em>，CV)与埃可病毒(<em style=\"box-sizing: border-box;\">Echovirus</em>):均属于肠道病毒(<em style=\"box-sizing: border-box;\">Enteroviruses</em>)。柯萨奇病毒分为A和B两类，可经呼吸道和消化道感染人体。柯萨奇病毒可引起疱疹性咽峡炎。柯萨奇A组病毒16型是手足口病的常见病原，与其暴发传染有关。埃可病毒，分为30多个型，主要经口-粪途径传播，也可通过咽喉分泌物排出病毒经呼吸道传播，可引起急性呼吸道感染，多发于夏、秋季节。此外，埃可病毒7型与轻型非特异性疾病、小儿麻痹、心肌炎和严重的新生儿疾病有关，还与病毒性脑炎的暴发和散发有关。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3)流感病毒(<em style=\"box-sizing: border-box;\">Influenza virus</em>):人流感病毒是流行性感冒的病原体，根据核蛋白的抗原性分甲、乙、丙三种血清型。甲型可因其抗原结构发生较剧烈的变异而导致大流行，估计每隔10～15年一次。乙型对人类致病性较低。丙型一般只造成散发流行，病情较轻。以上三型在小儿呼吸道疾病中主要引起上感，也可以引起喉、气管、支气管、毛细支气管炎和肺炎。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4)副流感病毒(<em style=\"box-sizing: border-box;\">Parainfluenza virus</em>):分四种血清型，1～3型在临床上最常见:1型称“红细胞吸附病毒2型”(HA2)，是儿童喉气管支气管炎的主要原因;2型称“哮吼类病毒”1型(HA1)，往往引起细支气管炎或肺炎，也常出现哮吼;3型是婴幼儿常见的呼吸道病原，可引起细支气管炎或肺炎;4型又称M-25，较少见，可在儿童及成人中发生上呼吸道感染，病情较轻。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5)呼吸道合胞病毒(<em style=\"box-sizing: border-box;\">Respiratory syncytial virus</em>，RSV):分A、B亚型。对婴幼儿呼吸道有强致病力，可引起小流行，是引起小儿病毒性肺炎最常见的病原。1岁以内婴儿约75%左右发生毛细支气管炎，30%左右致喉、气管、支气管炎及肺炎等。2岁以后毛细支气管炎发病减少。5岁以后，仅表现为轻型上感，下呼吸道感染明显减少。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">以上所述后三种病毒均属于黏液病毒。在急性上呼吸道感染中以副流感病毒、呼吸道合胞病毒及冠状病毒较为多见。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">6)腺病毒(<em style=\"box-sizing: border-box;\">Adenovirus</em>):有49种不同血清型，可以致轻重不同的上呼吸道感染，如鼻咽炎、咽炎、咽结合膜炎、滤泡性结膜炎，也可引起肺炎流行。第3、7型腺病毒可持续存在于上呼吸道腺体中，可引起致死性肺炎。第8型腺病毒容易在学龄儿童中引起流行性角膜结膜炎。第3、7、11型可致咽、结膜炎。1979～1983年夏季在北京曾由于游泳而引起第3、7型腺病毒咽结膜热流行。此外，腺病毒第11、21型可引起出血性膀胱炎。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">7)人偏肺病毒(<em style=\"box-sizing: border-box;\">Human metapneumovirus</em>，hMPV):是2001年首次被分离的呼吸道病毒病原，冬春两季为流行高峰，可导致各年龄组人群呼吸道感染，儿童、老人及免疫缺陷者更易感，症状严重程度不一，可从轻微的上呼吸道感染到严重的毛细支气管炎和肺炎。分为A、B两型，在宿主体内可迅速变异。通过呼吸道，或者接触污染的物体表面手-口或手-眼间接接触传播。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(2)肺炎支原体(<em style=\"box-sizing: border-box;\">Mycoplasma pneumoniae</em>，MP):不但引起肺炎，也可引起上呼吸道感染，肺炎多见于3岁以上小儿，婴幼儿发病率也呈逐年上升趋势。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(3)常见细菌:仅为原发性上呼吸道感染的10%左右。侵入上呼吸道的继发性细菌感染大多属于β溶血性链球菌A族、肺炎链球菌、流感嗜血杆菌及葡萄球菌，其中链球菌往往引起原发性咽炎。卡他莫拉菌是鼻咽部常见菌群之一，有时在呼吸道可发展为致病菌感染，且有增多趋势，但次于肺炎链球菌和流感杆菌感染。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.诱发因素　营养不良、缺乏锻炼或过度疲劳以及有过敏体质的小儿，因身体防御能力降低，容易发生上呼吸道感染。特别在消化不良、佝偻病以及有原发性免疫缺陷病或后天获得性免疫功能低下的患儿，并发这类感染时，往往出现严重症状。北方在气候寒冷多变的冬春季节、南方在湿度较大的夏秋雨季更易造成流行。必须指出，上呼吸道感染的发生发展不但取决于侵入的病原体种类、毒性和数量，且与宿主防御功能和环境因素有密切关系。如居住拥挤、大气污染、被动吸烟、间接吸入烟雾，均可降低呼吸道局部防御能力，促使病原体生长繁殖。故加强锻炼、改善营养状况与环境卫生对预防上感十分重要。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用内科学.上册</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3271', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1502', '流行病学', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性上呼吸道感染，全年都可发生，冬春较多。在幼儿期发病最多，5岁以下小儿平均每人每年发生4～6次;学龄儿童逐渐减少。致病病毒的传播一般通过飞沫传染及直接接触，偶尔通过肠道。可以流行或散发。传染期在轻症只限于最初几天，重症则较长，继发细菌感染后则更延长。人体对上述病毒的免疫力一般较短，仅1～2个月或稍长，但也有长达数年者。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用内科学.上册</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3272', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1502', '病理变化', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早期仅有上呼吸道黏膜下水肿，主要是血管扩张和单核细胞浸润，有较多量浆液性及黏液性炎性渗出，继发细菌感染后，有中性粒细胞浸润和脓性分泌物。上皮细胞受损后剥脱，到恢复期重新增生修复至痊愈。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用内科学.上册</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3273', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1502', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病情轻重程度相差很大，一般年长儿较轻，婴幼儿时期则重症较多。</p><p>1.潜伏期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多为2～3天或稍久。</p><p>2.轻症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">只有鼻部症状，如流清鼻涕、鼻塞、喷嚏等，也可有流泪、轻咳或咽部不适，可在3～4天内自然痊愈。如感染涉及鼻咽部，常有发热、咽痛、扁桃体炎及咽后壁淋巴组织充血和增生，有时淋巴结可轻度肿大。发热可持续2～3天至一周左右。在婴幼儿常易引起呕吐和腹泻，临床上称为“胃肠型感冒”。</p><p>3.重症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">体温可达39～40℃或更高，伴有畏寒、头痛、全身无力、食欲锐减、睡眠不安等，鼻咽部分泌物可引起较频繁的咳嗽。咽部充血，发生疱疹和溃疡时称为疱疹性咽炎。有时红肿明显波及扁桃体，出现滤泡性脓性渗出物，咽痛和全身症状加重，鼻咽部分泌物从稀薄变成稠厚。颌下淋巴结显著肿大，压痛明显。如果炎症波及鼻窦、中耳或气管，则发生相应症状，全身症状也较严重。要注意高热惊厥和急性腹痛，并与其他疾病作鉴别诊断。急性上呼吸道感染所致高热惊厥多见于婴幼儿，于起病后1～2日内发生，很少反复发生。急性腹痛有时很剧烈，多在脐部周围，无压痛，早期出现，多为暂时性，可能与肠蠕动亢进有关;也可持续存在，有时与阑尾炎的症状相似，多因并发急性肠系膜淋巴结炎所致。</p><p>4.急性扁桃体炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是急性咽炎的一部分，其病程和并发症与急性咽炎不尽相同，因此可单独作为一个病，也可并入咽炎。由病毒所致者有时可在扁桃体表面见到斑点状白色渗出物，同时软腭和咽后壁可见小溃疡，双侧颊黏膜充血伴散在出血点，但黏膜表面光滑，可与麻疹鉴别。由链球菌引起者，一般在2岁以上，发病时全身症状较多，有高热、畏寒、呕吐、头疼、腹痛等，以后咽痛或轻或重，吞咽困难，扁桃体大多呈弥漫性红肿或同时显示滤泡性脓性渗出物，舌红苔厚，颌下淋巴结肿大、压痛。如治疗不及时，容易发生鼻窦炎、中耳炎和颈部淋巴结炎。</p><p>5.血象</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病毒感染一般白细胞偏低或在正常范围，但在早期白细胞和中性粒细胞百分数较高;细菌感染时白细胞总数多增高，严重病例也可减低，但中性粒细胞百分数仍增高，可以出现核左移。</p><p>6.病程</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">轻型病例发热时间自1～2日至5～6日不等，但较重者高热可达1～2周，偶有长期低热达数周者，由于病灶未清除，需较长时间才能痊愈。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用内科学.上册</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3274', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1502', '并发症', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性上呼吸道感染如不及时治疗，可引起很多并发症，特别在婴幼儿时期更多见。并发症分三大类:①感染自鼻咽部蔓延至附近器官，较为常见的有急性结膜炎、鼻窦炎、口腔炎、喉炎、中耳炎和颈淋巴结炎，其他如咽后壁脓肿、扁桃体周围脓肿、上颌骨骨髓炎、支气管炎和肺炎亦不少见。②病原通过血液循环播散到全身，细菌感染并发败血症时，可导致化脓性病灶，如皮下脓肿、脓胸、心包炎、腹膜炎、关节炎、骨髓炎、脑膜炎、脑脓肿和泌尿系感染等。③由于感染和变态反应对机体的影响，可发生风湿热、肾炎、肝炎、心肌炎、紫癜、类风湿病及其他结缔组织病等。(以上各病详见相关章节)。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用内科学.上册</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3275', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1502', '诊断及鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">应注意下列几方面:</p><p>1.流行情况</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">了解当地疾病的流行情况对诊断及鉴别诊断均有帮助。患某种急性上呼吸道感染时，不但患儿症状相似，其并发症也大致相同。有些常见的急性传染病如幼儿急疹、麻疹、猩红热、流行性脑脊髓膜炎、百日咳、脊髓灰质炎等，起病时症状与急性上呼吸道感染相似，故应注意当地流行情况、病情的发展变化以及相关疾病的特殊症状及体征，以便鉴别。</p><p>2.体格检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">全面体格检查以排除其他疾病。观察咽部包括扁桃体、软腭和咽后壁，如扁桃体及咽部黏膜红肿较重，则细菌和病毒感染都有可能;当扁桃体上有脓性分泌物时应考虑链球菌感染。如扁桃体上有较大的膜性渗出物或超出扁桃体范围，需认真排除白喉。一般以咽涂片检查细菌，必要时培养。如在急性咽炎时还有出血性皮疹则必须排除败血症和脑膜炎。</p><p>3.与流感鉴别</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">流感有明显的流行病史，多有全身症状如高热、四肢酸痛、头痛等，全身中毒症状明显，一般鼻咽部症状如鼻分泌物多和咳嗽等则较全身中毒症状轻。</p><p>4.与消化系统疾病鉴别</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">婴幼儿时期的急性上呼吸道感染往往有消化道症状，如呕吐、腹痛、腹泻等，容易误诊为原发性胃肠病，尤其要注意与急性阑尾炎鉴别。</p><p>5.与过敏性鼻炎鉴别</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有些“感冒”患儿的全身症状不重，常为喷嚏、流涕、鼻黏膜苍白水肿，病程较长且反复发作，要考虑过敏性鼻炎的可能。行过敏原等检测以资鉴别。此病在学龄前和学龄儿多见。</p><p>6.从血象鉴别</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">发热较高，白细胞较低时应考虑常见的急性病毒性上呼吸道感染，并根据当地流行情况和患儿的接触史排除流感、麻疹、疟疾、伤寒、结核病等。白细胞持续增高时，一般考虑细菌感染，但在病毒感染早期也可以高达15×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L左右，但中性粒细胞很少超过75%。白细胞特别高时，要注意细菌性肺炎、传染性单核细胞增多症和百日咳等。急性咽炎伴有皮疹、全身淋巴结肿大及肝脾肿大者应检查血分片中异形淋巴细胞以除外传染性单核细胞增多症。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用内科学.上册</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3276', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1502', '预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">全身症状如精神、食欲等，常较体温和白细胞数更为重要。如饮食、精神如常者，多预后良好;精神萎靡、多睡或烦躁不安、面色苍白者，应加警惕。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用内科学.上册</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3277', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1502', '预防', '<p>1.积极锻炼</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">利用自然因素锻炼体格十分重要，如经常户外活动和体育锻炼等都是积极的方法，只要持之以恒，就能增强体质，防止上呼吸道感染。</p><p>2.讲卫生，避免发病诱因</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">穿衣过多过少、室温过高过低、天气骤变、环境污染和被动吸烟等，都是上呼吸道感染的诱因。</p><p>3.避免交叉感染</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">接触患儿后洗手。注意通风换气，保持适宜的温度、湿度，及时消毒患儿的床铺衣物，以免病原播散。在家庭中，成人患儿应避免与健康儿童接触。</p><p>4.药物预防</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">口服中药黄芪、匹多莫德、泛福舒等药物，有提高机体细胞和体液免疫功能作用，反复上呼吸道感染儿童应用后可减少复发次数，适量补充微量元素及维生素也有一定的作用。北京友谊医院儿科曾用中药加味玉屏风散(配方:生黄芪9g，白术6g，防风3g，生牡蛎9g，陈皮6g，山药9g，研成细末)每日2次，每次3g，口服。通过3年观察，认为此药似能提高体弱儿免疫力，降低反复呼吸道感染的发病率。</p><p>5.注射疫苗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">最近认为，应用减毒病毒疫苗，由鼻腔内滴入和(或)雾化吸入，可以激发鼻腔和上呼吸道黏膜表面分泌型IgA产生，从而增强呼吸道对感染的防御能力。大量研究指出，分泌型IgA对抗呼吸道感染的作用比任何血清抗体更佳。由于肠道病毒和鼻病毒的型别太多，很难用疫苗预防。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用内科学.上册</p><p><br/></p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3278', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1502', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">以充分休息、解表、清热、预防并发症为主，并重视一般护理和支持疗法。</p><p>1.对因疗法</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对因疗法中对病毒感染多采用中药治疗，细菌性感染则用青霉素和其他抗生素。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(1)大多数急性上呼吸道感染为病毒感染，单纯病毒性上呼吸道感染属于自限性疾病，早期予以抗病毒或对症治疗即可痊愈，临床上常用的抗病毒药物如下:①利巴韦林(病毒唑，virazole):有广谱抗病毒作用，每日10mg/kg，疗程为3～5天;②奥司他韦(oseltamivir):系神经氨酸酶抑制剂，为对甲、乙型流感病毒均有效的口服抗病毒药，每次2mg/kg，2次/日，疗程共5天。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(2)抗菌药物对于病毒性的急性上呼吸道感染非但无效，还可引起机体菌群失调，必须避免滥用。当病情重、合并细菌感染或有并发症时，可加用抗菌药物，常用青霉素类、头孢菌素类、大环内酯类，疗程为3～5天。如2～3天后无效，应考虑其他病原体感染。</p><p>2.对症治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">高热时先用冷毛巾湿敷前额和整个头部，每10分钟更换一次，往往可控制高热惊厥。此外，可用一般退热药如<a class=\"drugA\" style=\"box-sizing: border-box; background: transparent; color: rgb(51, 122, 183);\">对乙酰氨基酚</a>或布洛芬，根据病情可4～6小时重复一次，但避免用量过大以免体温骤降、多汗，甚至虚脱。对轻症咳嗽小儿，尤其是小婴儿，不宜用大量止咳的中西药品。高热惊厥者可予镇静、止惊等处理。局部治疗:如有鼻炎，为了使呼吸道通畅，保证休息，应在进食和睡前酌情用滴鼻药，婴儿忌用油剂滴鼻，恐吸入下呼吸道而致类脂性肺炎。年长儿患咽喉炎或扁桃体炎时，可用淡盐水或复方硼酸溶液漱口。</p><p>3.中药治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">儿童急性上呼吸道感染90%以上由病毒所致，我国中医中药是以临床实践为基础的实践科学，在治疗儿童上呼吸道感染方面积累了丰富的经验。小儿急性上呼吸道病毒感染属于中医学“感冒”范畴，中医认为感冒主要是感受外邪所致。根据临床表现可分为三型:风寒感冒、风热感冒、暑湿感冒。中医称流行性感冒为“时行感冒”，其临床表现与风热感冒相似，属于风热感冒的重症。小儿感冒后，临床表现特点有三:①易于寒随热化，表现为高热;②热盛时容易引起惊厥(热惊);③易因食滞引起吐泻等胃肠证候。无论风寒、风热或暑湿感冒，其病位在表，治疗以疏风解表为基本原则。以辛温解表治风寒型，以辛凉解表治风热型，以清暑解表治暑湿型。此外扁桃体炎为上呼吸道感染中的一种常见病，现对其中医治疗一并叙述。</p><p>(1)普通感冒1)风寒感冒:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多见于较大儿童感冒初期，出现恶寒、发热、无汗(或微汗)、流涕、头身疼痛、咳嗽有痰、舌质淡红、舌苔薄白、脉浮紧，治以辛温解表法。方剂:荆防败毒散加减。中成药:感冒清热冲剂、小儿至宝丸(至宝锭)。</p><p>2)风热感冒:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多见于婴幼儿，发热较重，或汗出而热不解，鼻塞、流黄涕、面赤、咽红，或咳嗽有痰，舌尖稍红，苔薄白或黄白相间，脉浮数或滑数。治以辛凉解表、清热解毒法。方剂:银翘散加减。常用的中成药有:小儿感冒冲剂、小儿肺热咳喘口服液、银翘解毒片、双黄连口服液、双花口服液及黄栀花口服液等。</p><p>3)暑湿感冒:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">夏季发病，表现为高热无汗，头痛，身重困倦，胸闷恶心，食欲缺乏，或呕吐、腹泻，或鼻塞、流涕、咳嗽，舌苔薄白或腻，质红，脉数。治则:清热化湿、解表透邪。方剂:藿香正气散加减。常用中成药有藿香正气水、藿香正气软胶囊等。</p><p>(2)流行性感冒:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">起病急骤，全身症状重。高热寒战，头晕头痛，鼻塞、喷嚏，咳嗽，面目红赤，哭闹不安或烦躁不宁，咽红肿痛，无汗或汗出热不解，肌肉酸痛，腹胀、腹痛，或有呕吐、泄泻，舌质红、苔黄腻，脉数。治以清热解毒法，可采用风热感冒的治疗方法，结合临床随证加减。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">按上述普通感冒各型，随证选加下列药物:①高热加黄芩6g;高热大便干者加小儿牛黄散，每次0.3～0.6g，每日冲服2～3次。②暑季感冒，高热神倦，恶心、呕吐，苔腻，加藿香6g，佩兰6g。③咳嗽重者加前胡9g，杏仁6g。④高热惊厥可加钩藤9g，蝉衣6g或珍珠母15g。⑤兼食滞者可加焦楂9g，建曲9g或莱菔子6g。</p><p>(3)急性扁桃体炎:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">中医称“乳蛾”，根据临床表现不同分为“喉蛾红肿”(相当于急性扁桃体炎)和莲房蛾(相当于隐窝性急性扁桃体炎)。在急性期均为清热泻火，解毒消肿为主要疗法，同时可应用外治法。急性扁桃体炎可为病毒感染或细菌性感染，也可为二者混合感染。辨证:外感风热、肺胃热盛。治则:疏风清热，利咽消肿。方剂:银翘散加减。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此外，局部可用锡类散或冰硼散吹喉，每次每侧吹少许，每日2～3次。病情重的婴幼儿，咳嗽反射可能减弱，用药吹喉时应慎重，药量宜少，以防啼哭挣扎时吹入气道。</p><p>4.对并发症的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对常见并发症的治疗，是处理急性上呼吸道感染的一个重要环节，必须根据轻重缓急而采取适当措施(参阅各种并发症的有关章节)。</p><p>5.一般护理</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">注意休息和护理，发热期宜给流食或软食，多饮水;哺乳期的婴儿应少量多次喂奶，以免导致吐泻等消化不良症状。室温宜恒定，保持一定湿度，有喉炎症状时更要注意。为了减轻咽痛及颈淋巴结疼痛，年长儿可用冷敷或热敷。鼻咽分泌物过多时，可取俯卧位。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用内科学.上册</p><p><br/></p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3279', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '55', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺炎（pneumonia）指肺实质（呼吸单位）的炎症，由感染、理化刺激和免疫损伤等所致，以感染最常见，非特指者通常即是感染性的。肺炎在影像学上至少见有一处浸润性阴影，区别于气道感染。感染性病原引起的肺炎常与下呼吸道感染或肺部感染一词混用是不恰当的，后者尚包括气道等部位感染（如急性气管支气管炎、慢性支气管炎急性加重、细支气管炎、支气管扩张，甚至胸膜炎），它们在病原体分布、临床表现和治疗上存在显著不同。据WHO估计全球每年有近4.5亿肺炎患者，约400万人死于本病，大概占年总死亡率的7%，5岁以下儿童和75岁以上老年人病死率最高，发展中国家5倍于发达国家。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">几乎所有致病微生物和寄生虫都可以引起肺炎。细菌性病原体最为常见；近年来病毒性肺炎在增加；由于免疫缺陷人群增多，真菌、原虫和疱疹病毒等所致肺炎日益常见。肺炎发病源于宿主防御机制缺陷、病原体毒力强和入侵量大，或者三者皆有。病原体入侵途径包括误吸（aspiration）、吸入（inhalation）和血源性播散或毗邻器官感染的蔓延与扩散。以误吸最为常见，其致病分为3个过程：①上呼吸道黏附和定植；②入侵下呼吸道直至肺泡；③诱发肺组织炎症反应。许多复杂的理化和生物学机制调控参与这些过程。按不同依据肺炎有多种分类。抗生素时代肺炎分类从以X线形态学为基础的解剖分类转为按病原体分类，这是肺炎历史上的重要进步。近年来尽管抗菌治疗不断发展，但肺炎病原学诊断仍然存在诸多困难和诊断滞后，经验性治疗成为现实的和相当有效的方法。而流行病学研究表明，不同途径感染获得方式以及不同宿主的肺炎在病原学上具有不同分布规律，临床亦各具特点，故现在多主张按发病场所和宿主状态分类，如社区获得性肺炎、医院获得（相关）性肺炎、免疫损害宿主肺炎、儿童肺炎、老年人肺炎等，一旦获得责任病原体诊断当按病原学分类。介于社区和医院获得性肺炎曾经分出护理院获得性肺炎（nursing home acquired pneumonia，NHAP），近年来有研究提示其病原体分布和耐药与医院获得性肺炎接近或相似，抗菌治疗需要针对耐药菌广谱覆盖。提倡用卫生保健相关性肺炎（healthcare-associated pneumonia，HCAP），将涵盖范围扩展到近90天内曾住院≥2次、近30天内接受过静脉治疗（抗生素、化疗药物）、伤口处理（换药）、在医院或血液透析门诊部接受透析治疗以及免疫抑制者。是否有必要划分出HCAP目前国际上尚存争议，我国也没有正式接受HCAP的概念，关键之一是担心过度抗菌治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">当前肺炎临床诊治面临的挑战主要是：①新病原体和原有病原体变异株的出现。自2003年以来，SARS冠状病毒（SARS-CoV）、高致病性或新变异流感病毒等使我们付出了沉重的生命代价，承受了巨大的经济损失。经过多年努力我国已建立起应对突发公共卫生事件的应急体系，卓有成绩。但是如何在研究和技术以及管理上探索更科学、更有实效的手段或办法仍然需要努力。②病原学诊断效率低，时间滞后。临床微生物发展不能适应和满足临床诊疗需要是一个世界性的普遍问题，但是国际上近年来还是有不少进展，特别是非培养诊断技术。国内诊断试剂研发几乎是空白。除了采取措施促进国内研发外，引进当是解决目前需要的捷径。引进诊断试剂不同于药品，它不进入体内，理应不必重新进行临床试验。③抗生素使用不合理，耐药增加。由于病原学诊断滞后，现在一致主张以下策略：参考指南，结合本地区耐药资料，及时实施经验性治疗。在获得病原检测结果后，对临床治疗反应和病原检测结果的临床意义进行综合评估，以决定转为目标治疗或作必要调整继续经验性治疗。④医疗费用增长过快。已有一些研究表明实行临床路径可以降低费用，但仍有待更多的研究和实践。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3280', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '55', '参考文献', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.Ruuskanen O，Lahti E，Jdnnings CJ，et al.Virus pneumonia. Lancet，2011，377（9773）：1264-1275.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.Sethi S.Respiratory Infections.New York：Informa Healthcare USA，Inc.，2010：1-16.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.Ewig S，Welte T，Chastre J，et al.Rethinking the concept of community-acquired pneumonia and health-care-associated pneumonia.Lancet infect Dis，2010，10（40）：279-287.</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3281', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1660', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">军团菌肺炎（legionella pneumonia）是军团菌感染引起的细菌性肺部炎症。起病急骤，以肺炎为主要表现，常伴多系统损害。我国自1982年在南京发现首例以来，已有不少散发及小规模暴发流行的报道。军团菌肺炎病情常发展迅速，不易诊断，常需与其他病原体所致的重症肺炎作鉴别诊断。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3282', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1660', '病原体', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">军团菌在分类上属军团菌科（Legionellaceae），由单一的军团菌属（Legionella）组成。目前已发现的军团菌属有49个种，70多个血清型，其中嗜肺军团菌（legionella pneumophila，Lp）有16个血清型。人类军团菌感染80%～90%由嗜肺军团菌引起，其中血清1型最常见。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">军团菌为需氧G<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">-</span>杆菌，在常规微生物培养基上不生长。培养基常用BCYE琼脂（buffer charcoal yeast extract agar），初次分离宜置于2.5%～5%CO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>环境中，一般在35℃48小时后才可在浓密接种处见到生长菌落。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3283', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1660', '流行病学', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">发病率取决于环境水体的污染程度、暴露程度、人体的免疫状态以及实验室的检测水平。通常认为军团菌是社区获得性肺炎的前四位病原体之一，约引起2%～9%的感染。依水污染情况不同，可引起约10%～50%的医院获得性肺炎。国内军团菌感染的流行情况不明，血清抗体水平调查显示正常人群军团菌抗体阳性率为5%～30%。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">人类军团菌感染主要是由于吸入了含军团菌的气溶胶或尘土。军团菌污染人工管道供水系统（如中央空调冷却塔、冷热水管道系统、淋浴器，甚至工业用冷却水、医用湿化器如呼吸机湿化装置等）是感染的常见原因。上海地区曾调查371份空调冷却塔水样，其中有185份检出军团菌，检出率高达49.19%。军团菌对热有较强的抵抗力，能在0～63℃温度下存活，40～45℃水比冷水更适合军团菌生长。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可终年流行，但夏秋季节更多见。国外一些资料显示旅游者占发现病例的10%～89%，故凡与旅游者及旅馆或其他建筑物有关联的肺炎流行应怀疑军团菌感染的可能。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">各年龄人群均可发生该病感染。危险因素包括高龄、吸烟、酗酒、糖尿病、慢性肺部疾病、终末期肾衰竭、器官移植、系统性红斑狼疮、长期应用糖皮质激素、化放疗、血液透析、HIV感染等。&nbsp;发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">军团菌是一种兼性细胞内寄生的机会致病菌，能侵入人类单核细胞、巨噬细胞以及水生环境中的原虫中并寄生（巨噬细胞和阿米巴为两种主要的相关宿主细胞）。感染常与吸入气溶胶中军团菌数量、菌株毒力大小以及机体抵抗力有关。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">含大量军团菌的气溶胶吸入后，直径小于5μm的颗粒可直接进入呼吸性细支气管和肺泡，借助Ⅳ型鞭毛、热休克蛋白和外膜蛋白，军团菌黏附于宿主细胞。肺泡巨噬细胞吞噬后，军团菌可阻止吞噬体-溶酶体融合，逃避机体杀灭，进而大量繁殖导致宿主细胞死亡、军团菌释放，引起新一轮的吞噬及释放。军团菌感染产生的毒素以及某些代谢产物和酶类可造成组织损伤，由此导致肺泡上皮和内皮的急性损害，并伴有水肿液和纤维素的渗出，而经支气管、淋巴管及血液播散到其他部位，可引起肺外多系统损伤。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">细胞介导免疫是人军团菌肺炎的主要防御机制，但中性粒细胞对军团菌杀伤作用有限，故其减少对该菌感染影响不大。而T淋巴细胞激活后的吞噬细胞则对军团菌有抑制杀伤作用，肿瘤坏死因子、干扰素、白细胞介素-2可增强效应细胞活性，有助于清除军团菌。特异性抗体及补体对吞噬细胞吞噬军团菌起促进作用，但体液免疫对军团菌无直接杀伤作用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">军团菌肺炎主要影响肺部，特点为严重的肺炎和支气管炎，亦可导致全身各系统损害。光镜下，肺部的病理变化主要是多中心急性纤维素性化脓性肺泡炎及急性渗出性肺泡损害。肺泡腔内纤维蛋白、炎症细胞渗出，肺泡间质炎症细胞浸润、水肿，严重者有肺实质破坏。免疫力低下者病变严重，可发生广泛肺泡损害伴透明膜形成。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3284', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1660', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">潜伏期2～10天。典型病例前驱期可有疲乏、全身不适、淡漠、肌痛、头痛等。90%以上有骤起的发热，达39.5～40℃，半数以上患者持续高热。3/4的患者同时伴有寒战，3/5以上的患者有心动过缓。相对缓脉有提示诊断意义。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患者上呼吸道感染症状一般不明显，有时早期可有轻度干咳，3～4天后出现少量非脓性痰，呈浆液性或血性，稠厚黄脓痰少见。1/3的病例有胸痛，症状进展很快，可出现进行性呼吸困难。咳嗽少痰，脓痰尤其少见，常需与支原体、衣原体、病毒等所致非典型肺炎相鉴别。但该病临床表现更重，且常需收住ICU。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早期常有无痛性腹泻，水样便。1/4的患者有恶心、呕吐等症状。神经系统受累多见。有精神状态异常者约占30%，次为头痛（29%）。头痛多位于前额部，程度较重，且不常与其他中枢神经系统症状同在。大多数患者肾脏受累较轻，主要为蛋白尿和血尿。感染亦可累及心血管系统，引起心肌炎、心包炎等，并可引起低血压、休克、弥散性血管内凝血（DIC）。皮肤改变罕见，可出现多形红斑等皮损。米克戴德军团菌可导致皮肤脓肿。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺外表现即多系统损害较普通肺炎突出，临床医师在肺炎伴有明显肺外表现时应想到军团病的可能。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">体格检查时军团菌肺炎早期常有中毒性面容、高热、相对缓脉、肺部啰音等。以后多数患者出现肺实变体征。呼吸急促与肺部受损程度成正比，但与影像学范围相比，体征常较轻微。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3285', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1660', '辅助检查', '<p>（一）实验室检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">大部分患者外周血白细胞增多，并伴有核左移。严重者可有白细胞及血小板减少。半数患者有低血钠、低血磷。其他改变包括PaO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>降低、肌酐升高，轻微血尿、蛋白尿和肝功能异常。有人认为肺炎伴有脑病、血尿、肝功能异常以及低血钠时，应疑军团菌感染。</p><p>（二）病原学检测1.呼吸道分泌物涂片非特异性染色</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">痰革兰染色军团菌难以着色。Giemsa染色军团菌呈淡紫色细长杆菌。Gimenez染色时军团菌常被染成红色，背景为绿色。米克戴德军团菌抗酸染色弱阳性，因可用Kinyoun抗酸染色液和改良萋-尼染色液染色检出，故有误诊而行抗结核治疗的报道。通常，痰涂片革兰染色具有较多中性粒细胞而无细菌时要考虑军团菌感染存在的可能。</p><p>2.培养</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">军团菌在普通血平板、麦康凯平板等培养基上不生长。在BCYE琼脂上也生长缓慢，2天后才能见到菌落，多数需要5天。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于临床标本污染机会多，军团菌分离培养常需在培养基中加入万古霉素、多黏菌素等以抑制污染菌生长。在培养基中加入染料，或者对标本先期进行预加热处理或酸处理，可提高军团菌培养阳性率。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">痰、气管内吸出物、胸液、血，以及经纤维支气管镜采集的各种标本均可用于军团菌培养。其中以气管内吸出物培养阳性率最高，敏感性达90%，特异性100%。而痰、血标本的敏感性分别约为80%、20%。纤支镜采样时应尽量少用或不用利多卡因、等渗氯化钠液冲洗，以尽量减少对军团菌生长的影响。</p><p>3.血清学检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">军团菌感染后特异性抗体常需6～9周才能达到有诊断意义水平，仅25%～40%患者病程第一周呈有意义升高。抗体检测方法众多，如间接免疫荧光分析（IFA）、间接血凝法（PHA）、微量凝集法（MAT）、酶联免疫吸附试验（ELISA）、放射免疫法（RIA）等。IFA敏感性可达70%～80%，特异性95%～99%，其他方法与之大致相仿，但敏感性大多稍低（ELISA法可较高）。依所用军团菌抗原及检测方法不同，部分正常人及某些细菌如铜绿假单胞菌、金黄色葡萄球菌等感染时可出现假阳性。一次军团菌感染后抗体升高可持续数月至数年，故应强调急性期及恢复期双份血清的抗体滴度有≥4倍以上变化，并达某一阈值，才有意义。目前，血清学诊断多用于回顾性诊断及流行病学调查。</p><p>4.细菌抗原和核酸检查（1）直接免疫荧光检测（DFA）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DFA法检测呼吸道标本是WHO推荐的军团菌肺炎早期诊断方法之一。其诊断敏感性50%～70%，特异性96%～99%。目前商业化应用的仅Lp1型试剂盒。</p><p>（2）尿可溶性抗原检测：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">几种酶免疫测定和快速免疫色谱分析的商业化试剂盒已可用于该检测。检测尿Lp1抗原，特异性96%～99%，敏感性50%～70%（仅次于培养）。军团病感染3天后尿抗原即可阳性，2个月后消失。糖皮质激素可延长阳性时间，不受抗生素治疗影响。目前尿可溶性抗原临床应用仅限于检测Lp1，其他军团菌尚无理想试剂盒。</p><p>（3）PCR及核酸检测技术的应用：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前已有军团菌种和属的特异性基因探针应用于临床，并有放射性核素标记的DNA探针出售。PCR和探针杂交技术或ELISA结合可在一定程度上提高检测的特异性和敏感性，对非嗜肺军团菌诊断的敏感性优于培养及DFA，但对痰Lp检测的敏感性不如培养高。目前PCR和DNA序列分析多用于培养物的鉴定。</p><p>5.影像学检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">军团菌肺炎胸部X线表现与一般细菌性肺炎相似，无明显特征性。胸片上以渗出、实变为主，可呈斑片、结节样改变。极早期或免疫抑制者偶或有间质性浸润影，但症状严重时仍大多为肺泡内渗出影，甚至有坏死及空洞形成（常发生于大剂量糖皮质激素治疗等免疫抑制宿主）。多段和多叶实变，以及毛玻璃样浸润，尤其是边界清楚的沿支气管的实变影混合有毛玻璃样改变是军团菌肺炎在CT上的较常见改变。胸膜腔积液可出现于需住院军团菌肺炎中的28%～63%患者。军团菌肺炎肺内病灶吸收较一般肺炎慢，有效治疗后半数患者2周后病变才明显吸收，1～4个月才完全消散。少数可残留条索影。尽管接受有合适的抗菌药物治疗，第一周仍可有肺部浸润或胸膜腔渗出病变进展，影像学改变迟于临床症状改善后数天。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3286', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1660', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床表现无特异性，但某些线索有提示军团菌感染作用：①持续高热超过40℃；②头痛或腹泻；③痰革兰染色可见较多中性粒细胞而细菌很少；④低钠血症；⑤血清肌酶升高；⑥对β-内酰胺类抗菌药物治疗无效。通常，当临床上出现下呼吸道感染症状伴全身中毒性表现、反应淡漠，以及与局限性肺部异常不成比例的发热、呼吸困难，对β-内酰胺类、氨基糖苷类抗菌药物治疗效果不佳等情况，结合上述线索，应怀疑军团菌肺炎。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">培养出军团菌，在组织或下呼吸道分泌物中检出其抗原或双份血清学检查阳性达界限值等均可确立军团菌肺炎诊断。因不存在带菌状态，痰培养阳性即可确定诊断。我国曾于1992年提出军团菌肺炎诊断标准：①临床表现：发热、寒战、咳嗽、胸痛等呼吸道症状；②胸部X线摄片：炎性阴影；③呼吸道分泌物、痰、血或胸水：在BCYE或其他特殊培养基中培养有军团菌生长；④呼吸道分泌物：DFA阳性；⑤IFA检测：前后两次抗体滴度4倍增长达1∶128以上，或MAT测前后两次抗体4倍增长达≥1∶64，或试管凝集试验（TAT）检测前后两次抗体滴度4倍增长，达≥1∶160。凡具有①、②同时又具③、④、⑤中任一项者可诊断为军团菌肺炎。对IFA或TAT仅一次增高（IFA≥1∶256，TAT≥1∶320），同时伴临床及X线表现可考虑为可疑军团菌肺炎。非嗜肺军团菌感染亦可参照此标准诊断。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鉴别诊断需排除其他病原体所致的肺炎以及肺栓塞等非感染性病变。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3287', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1660', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早期应用有效抗菌药物是成功治疗军团菌肺炎尤其是重症患者和免疫受损患者的关键。抗菌药物以大环内酯类和氟喹诺酮类为首选。美国FDA推荐使用的抗菌药物有红霉素、阿奇霉素、左氧氟沙星等。其他有效的药物尚有克拉霉素、环丙沙星、加替沙星、莫西沙星、多西环素、替吉环素、利福平等。对需要住院者，提倡给予静脉应用红霉素、阿奇霉素或广谱氟喹诺酮类，病情好转后再给予口服药物以完成疗程。红霉素可用1.0g静滴，每6小时1次，如治疗反应满意，2天后改为0.5g口服，每6小时1次，一般疗程为3周，以防吸收延缓或感染复发。左氧氟沙星750mg，静脉滴注，每天1次，或莫西沙星400mg，静脉滴注，每天1次，疗程2～4周；或阿奇霉素每次500mg，静脉滴注1天，继之250mg，静脉滴注，每天1次，连用4天，之后口服1周再重复。其他如多西环素、克拉霉素亦可选择。严重感染（尤其需机械通气者）、免疫抑制患者或对单一红霉素效果不佳者可联合利福平和大环内酯类或喹诺酮类之一应用，亦可考虑氟喹诺酮类加大环内酯类，如左氧氟沙星联合阿奇霉素治疗。对其他军团菌如米克戴德军团菌肺炎治疗类似。国内经验通常红霉素2.0g/d已足够，重症者合用利福平0.45～0.6g/d。国外研究表明左氧氟沙星疗效优于大环内酯类药物。目前临床治疗倾向于使用不良反应较小的阿奇霉素或氟喹诺酮类。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">其他支持对症治疗同一般肺炎，如积极纠正低氧血症、酸碱失调及水、电解质失衡，必要时机械通气。对免疫抑制者，应尽量停用免疫抑制药物。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3288', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1660', '预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">影响预后的主要因素是基础疾病及其严重程度、肺炎的严重程度、早期抗菌药物的选择及机体免疫状态。早期确诊和及早正确治疗在免疫正常者病死率由25%下降至7%，而免疫抑制者则由80%降至25%。与预后不良有关的其他因素为：两侧肺野浸润性阴影、低钠血症、低血压并需用正性肌力药物、经药物治疗肺炎无吸收、白细胞总数偏低、延误特异性治疗及出现呼吸衰竭。简化急性生理评分（SAPS）Ⅱ评分超过46、收住ICU前症状持续超过5天是军团菌肺炎独立的死亡危险因子。正确地使用抗菌药物治疗后，肺功能可完全恢复正常。部分患者出院后尚可存在疲乏感、头痛、焦虑、注意力不集中及感觉异常等症状，可持续17个月以上，但大部分患者经对症处理和休养后能达到完全恢复。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3289', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1660', '参考文献', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.Cunha BA.Legionnaires’disease：clinical differentiation from typical and other atypical pneumonias.Infect Dis Clin North Am，2010，24（1）：73-105.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.CarratalàJ，Garcia-Vidal C.An update on Legionella.Curr Opin Infect Dis，2010，3（2）：152-157.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.Levin AS.Nosocomial legionellosis：prevention and management.Expert Rev Anti Infect Ther，2009，7（1）：57-68.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.van Duin D.Diagnostic challenges and opportunities in older adults with infectious diseases.Clin Infect Dis，2012，54（7）：973-978.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.Postma DF，van Werkhoven CH，Huijts SM，et al.New trends in the prevention and management of community-acquired pneumonia.Neth J Med，2012，70（8）：337-348.</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3297', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '717', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">吸入性肺炎(aspiration pneumonitis)是指吸入酸性物质、食物、胃内容物或碳氢化合物或其他刺激性液体后，引起的肺损伤。严重者可导致低氧血症或急性呼吸衰竭(ARDS)。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;呼吸病学</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3298', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '717', '病因和发病机制', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">正常人由于会厌、声门、保护性的反射和吞咽的协同作用，食物和异物不易进入下呼吸道，少量液体亦能通过咳嗽排出。当神经系统病变或神志不清时，如假性延髓性麻痹、脑血管意外、癫痫发作、酒精中毒或安眠药中毒、全身麻醉等由于吞咽和声门关闭动作不协调，咳嗽受到抑制，异物或食物即可吸入气道；食管病变如食管失弛缓症、食管上段癌肿、Zenks食管憩室，食物下咽不能全部入胃，反流入气管；癌肿或外伤引起的食管气管瘘食物可经食管直接进入气管内；医源性的因素，如胃管刺激咽部引起呕吐，气管插管或气管切开影响喉功能，抑制正常咽部运动等，可将呕吐物吸入气道。老年人反应性差更易发生吸入性肺炎。临床上吸入胃内容物引起的吸入性肺炎较多见。误吸煤油、汽油、干洗剂、溺水等，多见于儿童。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">吸入物产生肺炎的严重程度与吸入胃液中的盐酸浓度、吸入量以及在肺内的分布情况有关。吸入胃酸的pH＜2.5时，可严重损伤肺组织，吸入液体少至50ml即能引起肺损害。动物实验中证实，吸入pH＜1.5的液体3ml/kg时，动物死亡100%。吸入液的分布范围越广泛，损害越严重。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;呼吸病学</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3299', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '717', '病理和病理生理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">吸入胃内容物后，胃酸刺激支气管引起强烈的支气管痉挛，接着发生支气管上皮的急性炎症反应和支气管周围的炎症细胞浸润。进入肺泡的胃液迅速向周围肺组织扩散，肺泡上皮细胞破坏、变性并累及毛细血管壁，血管壁通透性增加和肺泡毛细血管壁破坏，形成间质性肺水肿、肺泡水肿。数日后肺泡内水肿和出血逐渐吸收并有透明膜形成，然后引起纤维化。吸入同时可将咽部寄殖菌带入肺内，产生以厌氧菌感染为主的继发性细菌感染，形成肺脓肿。肺水肿使肺组织弹性减弱，顺应性降低，肺容量减少，肺泡Ⅱ型细胞破坏，表面活性物质减少，使小气道闭合，肺泡萎陷引起肺不张。肺泡通气不足，通气/血流比值降低、静动脉分流增加，导致低氧血症。血管内液体大量渗出或反射性血管扩张，血容量可减少35%以上，可发生低血容量性低血压。吸入碳氢化合物的病理过程与胃酸吸入相仿，因其表面张力低，吸入后在肺内大面积扩散，并使表面活性物质失活，更易产生肺不张、肺水肿，导致严重低氧血症。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;呼吸病学</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3300', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '717', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床表现与诱发因素和机体的状态有关。吸入呕吐物可突发喉反射性痉挛和支气管刺激发生喘鸣、剧咳。食管、支气管瘘引起吸入性肺炎，每天进食后有痉挛性咳嗽伴气急；神志不清者，吸入后常无明显症状，但于1～2小时后可突发呼吸困难，出现发绀，常咳出浆液性泡沫样痰，可带血。两肺可闻及湿啰音和哮鸣音，出现严重低氧血症，可产生急性呼吸窘迫综合征(ARDS)，并可伴二氧化碳潴留和代谢性酸中毒。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">实验室检查，白细胞计数中度增高伴核左移，动脉血气分析显示低氧血症。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">X线检查，表现为两肺散在不规则片状边缘模糊阴影。肺内病变分布与吸入时体位有关，常见于肺的后下部位，以右肺为多见，发生ARDS时可见双肺毛玻璃样改变。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如作纤维支气管镜检查，在气管或支气管中看到食物颗粒和其他胃内容物时，具有诊断价值。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;呼吸病学</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3301', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '717', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">诊断吸入性肺炎应当对那些容易发生胃酸吸入的病人引起注意，当他们突然发生呼吸困难，有或无刺激性咳嗽而出现呼吸衰竭，应首先高度怀疑本病。需鉴别的疾病有：心源性肺水肿、肺栓塞、细菌性肺炎和其他引起ARDS的原因，如脓毒血症和低血压等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;呼吸病学</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3302', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '717', '预防', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">应针对诱发因素进行预防，如手术麻醉前必须使胃排空，对昏迷患者可采取头低及侧卧位，尽早安置胃管，必要时作气管插管或气管切开等，加强有效的护理。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;呼吸病学</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3303', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '717', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">吸氧，应用纤维支气管镜或气管插管吸出胃内容物或异物，机械通气，必要时采用呼气末正压通气治疗；纠正血容量可用低盐白蛋白或低分子右旋糖酐等。使用利尿剂可避免左心室负荷过重和胶体渗入肺间质。肾上腺皮质激素治疗尚有争论。有学者认为吸入12小时内大量使用肾上腺皮质激素3～4天，可能有助于肺部炎症的吸收。细菌感染时根据吸入的内容、时间及病原菌，选用合适的抗生素。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;呼吸病学</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3348', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '173', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肠扭转指一段肠曲以其系膜的纵向为轴旋转180°以上甚至几转而造成肠梗阻，约占肠梗阻的2.6%～13%。&nbsp;发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">腹腔内各游离的肠段均可发生扭转，但以小肠和乙状结肠为多，盲肠少见。肠扭转大多是按顺时钟方向旋转。肠段扭转时造成肠系膜血管受压，是为绞窄性肠梗阻，当肠段扭转超过360°后静脉血流就停止，再进一步扭转，动脉血流也停止；肠段扭转还导致肠段两端均受压，形成闭袢性肠梗阻，因此肠扭转容易造成肠坏死穿孔。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肠扭转的发生首先须具有解剖因素，如肠系膜过长和根部较窄或盲肠过分游离。除此外，肠粘连也可使肠曲以此粘连点为轴心而扭转。肠扭转的发生还需要一定诱因。一段肠曲重量增加，如有些儿童肠道内大量蛔虫聚集成团或有些老年人患习惯性便秘甚或饱餐后，易使此段肠曲发生扭转。剧烈运动时由于体位突然改变，充盈的肠曲随体位变动的惯性作用而发生扭转。另有部分患者并无明显原因可见，扭转可能与肠动力改变有关。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3349', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '173', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">小肠扭转发病急骤，表现为中上腹或脐周持续性腹痛伴阵发性加重，多剧烈，可牵涉到腰背部，恶心呕吐早而频繁。体检可见全腹膨隆，伴压痛，肌紧张不明显，肠鸣音多减弱。小肠系膜根部扭转时，大量血浆成分丧失，在短时间内就可发生低血容量性休克。腹部X线平片上可见扩张的小肠肠袢呈小跨度并有位置和排列的紊乱，若为全小肠扭转，可仅为胃十二指肠扩张，而小肠本身充气不多。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">乙状结肠与盲肠扭转均可分两型，急性型发病急，多见的是亚急性，发病较缓慢，可有类似发作史。乙状结肠扭转腹痛多位于左下腹部，恶心呕吐轻而腹胀明显，体检时可扪及一巨大肠曲从左下腹往上伸展到中腹部或全腹部，腹部X线平片上可见巨大的双腔肠袢，自盆腔可达膈肌，立位时可见两个液平面，小量钡剂灌肠可见钡剂受阻，尖端呈“鸟嘴状”或螺旋形；盲肠扭转腹痛位右下腹部，也多伴有明显腹胀，腹部X线平片上除扩大充气的盲肠外，有时可在其右侧或下方见到回盲瓣所形成的V形切迹，钡剂灌肠可见钡剂受阻于横结肠或肝区处。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3350', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '173', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肠扭转可在短时间内发生肠绞窄坏死及休克等，死亡率高达15%～40%，因此除少数早期患者外，应及时予以手术治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">乙状结肠扭转如临床上无绞窄或腹膜炎表现，可经乙状结肠镜插管减压复位。如排出大量气体和粪水，腹痛等症状改善，表明复位成功，再留置肛管2～3天以利肠功能恢复。有报道应用纤维结肠镜复位，可治疗乙状结肠镜无法到达的高位扭转。如复位失败，插管后见血性粪水，有腹膜炎或肠坏死征象应急诊手术。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肠扭转的手术治疗包括扭转复位术和肠切除术。将扭转的肠袢反旋转复位，如肠袢血供良好，还须解决复发问题：小肠一般不予处理；对于移动性盲肠可将之与旁沟缝合固定；过长的乙状结肠可平行折叠后固定于横结肠内侧，也可切除过长的乙状结肠。如见肠坏死，须将坏死肠段切除，小肠一期吻合，乙状结肠除极少数情况极佳患者外，以一期造瘘二期吻合为妥。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3408', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '299', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性阑尾炎(acute appendicitis)是小儿最常见的急腹症。一般病势比成人严重。因此，小儿急性阑尾炎及时诊断和正确治疗是很重要的。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">小儿阑尾炎多见于6～12岁儿童，男性发病率略高于女性。5岁以后，随着年龄的增长，发病率亦增高，2岁以下婴儿则相当少见。北京儿童医院平均每年收治急性阑尾炎患儿400余例，其中3岁以下者约占5%，1岁以下较为罕见。患儿年龄越小，症状越不典型，且婴幼儿患儿因大网膜发育不完全，局限炎症能力相对较弱，感染易扩散，表现为病情进展迅速，短时间内即发生化脓、穿孔、坏死、弥漫性腹膜炎。若诊断治疗不及时，则会带来严重的并发症，甚至死亡，故应加以重视。到目前为止，国内外报道婴幼儿急性阑尾炎的误诊率约35%～50%，新生儿达90%以上。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用内科学.上册</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3409', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '299', '病因', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">小儿急性阑尾炎的发病原因较复杂，目前仍不够了解，与以下因素有关:①阑尾腔梗阻:分泌物滞留，腔内压力增高，阑尾壁血运发生障碍，有利于细菌的侵入。最常见的梗阻原因是肠石、异物(果核、蛔虫)、阑尾扭曲、管腔瘢痕狭窄等。②细菌感染:细菌可经破溃或损伤的黏膜及血循环达到阑尾，引起急性炎症。如咽峡炎、上感、扁桃体炎等。③神经反射:当胃肠道功能发生障碍时，常伴有阑尾肌肉和血管的反射痉挛，阑尾腔发生梗阻及血运障碍引起炎症。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.上册</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3410', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '299', '病理变化', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据病理发展过程的不同，可分为三型:</p><p>1.卡他性(单纯性)阑尾炎(catarrhal appendicitis)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">阑尾炎主要病变为黏膜充血水肿，中性多形核白细胞浸润。</p><p>2.化脓性(蜂窝织炎性)阑尾炎(suppurative appendicitis)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">阑尾炎除黏膜病变外，浆肌层亦受侵犯，有脓性渗出物附着，早期即可发生腹膜感染及渗出，病情进展可发生穿孔。</p><p>3.坏疽性阑尾炎(gangrenous appendicitis)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">阑尾感染后迅速发生血管痉挛栓塞，血循环障碍，阑尾壁迅速广泛坏死，呈暗紫色。渗出不多，但对周围组织浸润较快，易发生粘连。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">卡他性阑尾炎病变仅限于黏膜，经保守治疗可痊愈，但也可因阑尾腔引流不畅，继发感染而转化为化脓性阑尾炎。凡确诊为化脓性、坏疽性阑尾炎，均应早期手术治疗。小儿年龄愈小，大网膜愈短，阑尾壁薄，易发生穿孔，且局限能力差，可导致弥漫性腹膜炎。又因小儿盲肠位置较高，相对游离，活动度大，故压痛部位变异大，可表现为右中腹、脐下等不典型部位。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.上册</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3411', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '299', '临床表现', '<p><span style=\"font-size: 12px;\">1.腹痛</span><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">为小儿急性阑尾炎的主要症状，典型表现为起初是脐周或上腹部疼，数小时后转移至右下腹部。痛为持续性，如为梗阻性阑尾炎则伴有阵发性剧烈绞痛，阑尾穿孔引起弥漫性腹膜炎后，则全腹有持续性疼痛。</p><p>2.胃肠道症状</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患儿可有食欲缺乏。于发病初期有恶心、呕吐。呕吐次数不多，病初为反射性呕吐，当阑尾穿孔形成弥漫性腹膜炎时则产生腹胀及频繁呕吐。患儿常有便秘，如并发腹膜炎或盆腔脓肿时，可因直肠刺激征而出现频繁稀便。</p><p>3.体温和脉搏</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一般患儿早期体温略上升，随病情发展可以很快上升到38～39℃，甚至更高，年龄越小体温上升速度越快。脉搏的加快与体温成正比，中毒越严重，体温越高，脉搏越快且弱。</p><p>4.腹部体征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对诊断价值最大，年龄小不合作者，须多次反复检查，进行腹部左、右、上、下对比，必要时可给镇静剂待入睡后再进行检查，以免误诊。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">右下腹固定性压痛是最可靠的体征。早期没有腹肌紧张，待炎症波及腹膜后就有局限性腹肌紧张。小儿阑尾解剖位置不一定在麦氏点下方，有时偏上近脐部或在盲肠后，其压痛点随之而有变化。但对每个患儿，发病后压痛点基本上表现为固定的位置。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">阑尾穿孔并发弥漫性腹膜炎时，中毒症状多较严重，可有精神不振、高热、脱水、腹胀，查体肠鸣音减弱甚至消失，全腹压痛伴腹肌紧张，呈“板状腹”特征，但一般仍以右下腹为重。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">直肠指检对于急性阑尾炎诊断有一定价值。阑尾炎时在直肠前右侧壁有触痛及水肿，局部脓肿形成时有时可触到肿块。较小的幼儿甚至可摸到肿胀之阑尾。</p><p>5.血象</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">白细胞可显著增高，早期多在(15～20)×10<span style=\"box-sizing: border-box; position: relative; font-size: 10.5px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L，中性粒细胞可高达80%～90%。少数有严重休克或中毒症状的患儿，体温及白细胞可正常或偏低，为免疫能力反应低下的表现。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.上册</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3412', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '299', '并发症', '<p>1.残余脓肿(residual abscess)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">阑尾穿孔腹膜炎后，发生残余脓肿是较重的并发症。脓肿多局限于盆腔、髂窝肠间隙、膈下或肝内、脾下，以盆腔脓肿最多见，约在术后7～14日形成。临床表现为体温一度下降后又逐渐上升，白细胞计数升高。对此类患儿多用抗感染及支持疗法，使脓液自行吸收。当脓肿范围较大、位置明确而有张力时，可在B超引导下定位穿刺引流或手术切开引流。</p><p>2.粘连性肠梗阻(adhesiveness intestinal obstruction)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多发生于阑尾穿孔腹膜炎或脓肿者，因炎症造成肠管之间或肠管与肠系膜的粘连，可并发肠梗阻。术后早期(10天以内)发生肠梗阻多与感染有关，经保守疗法、胃肠减压、积极控制感染后梗阻多能缓解。晚期(1个月以后)发生的肠梗阻者保守疗法后不见好，则须开腹手术。</p><p>3.粪瘘(stercoral fistula)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多因阑尾周围或阑尾残端病变严重造成，小儿少见，个别为结核感染。换药数周不能自愈者，应行瘘管切除术。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.上册</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3413', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '299', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要靠病史和体格检查。凡小儿有急性腹痛，尤其是转移性右下腹痛，伴有恶心呕吐，持续6小时以上，影响其行走、活动者，均应考虑阑尾炎的可能。腹部检查，有局限性右下腹固定压痛，是诊断阑尾炎的可靠依据。腹肌紧张是腹膜受侵犯或刺激的体征。体温高，白细胞上升，核左移，根据以上各点，阑尾炎的诊断不难作出。但小儿对腹痛性质部位有时陈述不清，在做体检时均应反复多次(至少三次)才能确诊。婴幼儿疑有腹膜炎时，可行腹腔穿刺，抽出脓液者，应开腹手术。腹痛不足6小时，不能确诊者可先观察，超过12小时不能排除阑尾炎者，应开腹探查为宜。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">其他辅助的诊断方法:B超扫描，可以测出阑尾的长度、直径，腔内是否有肠石，与周围肠管是否形成粘连，局部有无脓肿形成等。单纯性阑尾炎可显示两条相等的平行线。化脓性呈C或V字形，断面变粗，坏疽性阑尾炎其壁增厚，有双壁征。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">腹腔镜检查:用腹腔镜可确定阑尾的病理改变，并可在腹腔镜下行阑尾切除术。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.上册</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3414', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '299', '鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">部分阑尾炎表现不典型，变化较多，易与其他急腹症相混淆。现将与其鉴别的常见疾病列举如下:</p><p>1.与早期单纯性阑尾炎相混淆的疾病(1)肺炎或胸膜炎:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">膈肌周围神经分布与腹壁神经分布同来自胸7～12对脊神经，当右肺下叶肺炎或右侧胸膜炎时，刺激膈肌，右腹可有反应性疼痛和肌紧张。但如果用手按住右肋缘处保护胸部，另一手逐渐持续压迫右下腹，则腹肌紧张会逐渐消失。此外，肺炎患儿可有呼吸快鼻翼扇动。胸部听诊可有摩擦音、啰音及呼吸音减低。胸部X线检查有助于诊断。</p><p>(2)急性肠系膜淋巴结炎:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常有急性上呼吸道感染或急性扁桃体炎的病史。腹痛较广泛。因肠系膜淋巴结在回肠末端较多，故右下腹痛也较其他部位明显。但压痛多不局限，也没有腹肌紧张。数小时后观察(同时用抗生素)病情无进展，或有减轻。</p><p>(3)急性胃肠炎:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有些肠炎患儿在腹泻未出现前会有腹痛、呕吐及发热，可能被误诊为阑尾炎。这些患儿的腹痛多为阵发性绞痛，腹部压痛部位不固定，腹肌紧张不明显。待观察数小时后，出现腹泻、压痛消失，多可确诊。</p><p>(4)肠蛔虫症:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有时引起肠痉挛，可致不规则性腹痛，检查时腹部压痛不固定，无肌紧张。</p><p>(5)过敏性紫癜:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于腹膜及肠浆膜下出血，故可有腹痛和压痛，但无肌紧张。皮下出血斑、关节肿胀和疼痛有助于鉴别。</p><p>2.与化脓坏疽及晚期阑尾炎相混淆的疾病(1)梅克尔憩室炎:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">憩室位于末端回肠距回盲部20～100cm以内，发炎时其压痛和肌紧张比较靠近中线，临床表现与化脓性或坏疽性阑尾炎极相似，术前多不能鉴别。如有便血史者，应考虑本病。两者均需早期手术，手术时如阑尾正常则应探查回肠，探查范围约为120cm左右。</p><p>(2)卵巢囊肿扭转(ovarian cyst torsion):</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">女孩患右侧卵巢囊肿扭转可引起右下腹阵发性剧烈绞痛。肿物可因血循环障碍出血坏死而引起有腹肌紧张压痛。直肠指诊及双合诊触及盆腔内圆形肿物则可确诊，B超有助于鉴别诊断。</p><p>(3)原发性腹膜炎:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4～7岁小儿多见，起病急骤、高热、腹胀、呕吐、白细胞高达(20～30)×10<span style=\"box-sizing: border-box; position: relative; font-size: 10.5px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L (20 000～30 000/mm<span style=\"box-sizing: border-box; position: relative; font-size: 10.5px; line-height: 0; vertical-align: baseline; top: -0.5em;\">3</span>)，全腹压痛、肌紧张，以双下腹为著，与化脓性阑尾炎穿孔引起的腹膜炎难以鉴别。腹穿脓液稀而无臭味，镜检为球菌者诊断为原发性腹膜炎，必要时可行剖腹探查以明确病因。</p><p>(4)回盲部结核(ileocecal tuberculosis):</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可误诊为坏疽性阑尾炎浸润或脓肿。结核患儿一般有慢性腹痛史，全身消瘦，经常有低热，常可摸到肿物，身体其他部位也可有结核病灶。应进一步作结核检查及观察。</p><p>(5)急性坏死性小肠炎:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有腹泻便血史，入院时常有高热，严重的中毒或休克状态，右下腹或全腹压痛紧张。不论是坏死性肠炎或阑尾炎所致的腹膜炎，均须开腹探查，以明确诊断施行手术治疗。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.上册</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3415', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '299', '预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性阑尾炎早期诊断，早期手术治疗，一般预后良好。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.上册</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3416', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '299', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">小儿急性阑尾炎的基本治疗是早期手术，切除阑尾。但必须根据年龄、病变类型、程度及全身情况而决定治疗方案。对单纯性阑尾炎保守治疗1～2天无恶化，或腹膜炎已趋好转、局限及形成阑尾脓肿者不宜手术，先采用中、西药保守综合疗法。在保守治疗时，应严密观察病情的发展，如体温上升、压痛范围扩大，或已形成的脓肿张力加大，均须立刻手术。对化脓性、坏疽性、梗阻性阑尾炎在3天以内者，均宜尽早手术治疗。3岁以下婴幼儿患儿由于炎症局限能力差，当腹膜炎症状明显时，可适当放宽时间限制。</p><p>1.非手术疗法(1)药物治疗:1)抗生素:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常用青霉素、氯霉素、庆大霉素及甲硝唑等，以控制革兰阳性、阴性及厌氧三种细菌。</p><p>2)中药:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">A．处方举例一(多用于卡他性阑尾炎):公英30g、丹皮9g、赤芍9g、大黄9g(后下)。处方举例二(多用于阑尾脓肿):银花30g、连翘15g、公英30g、败酱草30g、炒山甲9g、炒皂刺9g、桃仁9g、赤芍15g、大黄9g(后下)、生石膏30g(发热时用)。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">B．加减法:高热加紫雪、生石膏、人工牛黄、大青叶;湿热、纳呆、苔腻加藿香、佩兰薏米;恶心呕吐加生姜、竹茹、生半夏;腹胀加厚朴、枳壳、炒莱菔子;腹痛加元胡、川楝子、桃仁、川芎;便秘加元明粉、芒硝;弛张热加柴胡、芥穗、黄芩。</p><p>(2)针刺疗法:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可作为辅助疗法，主穴为足三里或阑尾穴，结合临床症状可配其他穴位如上脘、天枢、合谷等。</p><p>(3)一般疗法:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">应卧床休息，给流食或半流食。若因食欲缺乏而有脱水时，应输液矫正脱水和水电解质失衡。</p><p>2.手术疗法</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">术前须改善患儿一般情况，包括矫正脱水及电解质失衡、退热、抗生素应用等。如腹胀则用胃肠减压。手术以阑尾切除为主。腹腔积脓，特别是有坏死组织者同时作腹腔引流。若局部浸润粘连严重，则只行引流，不作阑尾切除。但应通知家长于2～3个月后再行阑尾切除术，以防复发。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1983年，德国的KurtSemn首先进行了腹腔镜阑尾切除术。随着腹腔镜技术的不断进步，现在腹腔镜阑尾切除术已经广泛应用于小儿外科临床工作中。腹腔镜阑尾切除术较之传统开腹手术具有创伤小、美观、恢复较快、伤口感染率较低等优点。但对于化脓性阑尾炎伴穿孔以及坏疽性阑尾炎的病例仍需进一步探讨。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">【附1】　慢性阑尾炎(chronic appendicitis)慢性阑尾炎系指阑尾急性炎症，经保守治愈后，阑尾壁纤维结缔组织增生，形成瘢痕，阑尾腔狭窄或闭塞，阑尾周围粘连，造成部分梗阻，或因阑尾腔内肠石、异物、寄生虫卵堵塞，使阑尾腔排空受阻，导致慢性炎症，反复发作。多见于儿童，主要症状为右下腹间断性疼痛或持续性隐痛，右下腹可有局限性固定轻压痛，全身症状不明显，X线钡餐或钡灌肠阑尾不充盈，B超可协助除外右下腹其他疾患。慢性阑尾炎确诊后应行阑尾切除术。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">【附2】 蛔虫性阑尾炎(ascaris appendicitis)蛔虫性阑尾炎多见于服用不足量的驱虫药之后，阑尾可被一条或几条蛔虫钻入。蛔虫进入阑尾后引起阑尾痉挛，管腔梗阻，继发感染而发生急性阑尾炎。由于蛔虫钻入阑尾后的力量可压迫阑尾尖端穿孔，蛔虫进入腹腔成为蛔虫性腹膜炎(参阅腹膜炎章节)。蛔虫性阑尾炎临床表现较一般急性阑尾炎的自觉症状重，阵发性腹部绞痛，患儿多在数小时内就诊。体检右下腹有痛觉过敏及压痛。肌紧张常不明显并与主诉疼痛程度不符。若于24小时后并发急性炎症，则难与其他急性阑尾炎鉴别。应早做手术切除阑尾，防止穿孔。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">【附3】 蛲虫性阑尾炎本症在小儿并不少见，蛲虫可引起阑尾痉挛性疼痛，少数也能引起阑尾的急性炎症，但一般不引起压迫穿孔，临床上常与蛔虫性阑尾炎难于鉴别，然而其症状轻，以早期切除阑尾为宜。预后良好。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.上册</p><p><br/></p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3422', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1662', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">缺血性结肠炎（ischemic colitis，IC）是由于肠壁血液灌注不良或回流受阻所致结肠缺血性疾病，可占肠系膜缺血者的近50%。本病多见于50岁以上的老年人，女性患者相对多见。动脉粥样硬化狭窄、血栓形成闭塞IMA或其分支、各种原因引起肠血流灌注不足是缺血性结肠炎的病因。相对少见的病因包括高凝状态、医源性地结扎IMA（如主动脉手术时）、栓塞、血管炎以及能引起结肠梗阻的各种病因。更少见的相关因素包括长途奔跑、腹腔内的炎症或感染性疾病。药物也可导致与缺血性结肠炎相同或类似的损伤。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3423', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1662', '分类与临床表现', '<p>（一）按肠道损伤类型分类</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">IC包括轻度短暂肠缺血、一过性结肠炎、慢性结肠炎、肠腔狭窄、肠壁坏疽、暴发性全结肠炎等。</p><p>（二）按损伤程度分类</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">IC可分为非坏疽性和坏疽性两类。</p><p>1.非坏疽性IC</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">约占病例总数的80%～85%，主要累及黏膜和黏膜下层，可分为短暂可逆性IC和慢性不可逆性IC，后者可发生肠腔狭窄。非坏疽性IC临床表现相似，2/3以上的患者为突然起病的轻至中度腹部绞痛、腹泻或便血。腹痛多位于左下腹，受累肠段部位可有压痛。症状轻重与缺血的病因、范围、程度和侧支循环状况有关，多数患者症状较轻且短暂，一般不出现腹膜炎体征。可伴恶心、呕吐、腹胀，部分患者可有发热、消瘦等全身症状。</p><p>2.坏疽性IC</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">约占IC病例总数的15%～20%，肠道损伤严重，表现为急性暴发性缺血伴透壁性梗死，常很快发展为肠坏死、穿孔，出现腹膜炎体征以及休克、酸中毒等表现，治疗不及时可危及生命。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下）</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3424', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1662', '诊断与鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">结肠镜检查在疾病早期可仅见黏膜充血、水肿和黏膜下出血，随着病变的加重，可出现广泛糜烂、出血和不规则溃疡，重症者可形成穿壁性坏死。本病与溃疡性结肠炎的区别在于直肠很少受累，而且病变的黏膜与正常黏膜分界清楚，组织病理学检查显示黏膜组织坏死，可见纤维素性血栓和含铁血黄素沉着等特点。结肠钡剂检查在急性期有引起肠穿孔的危险，应慎用。多普勒超声、CTA、MRI、选择性动脉造影等对本病的诊断和鉴别诊断有一定价值。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">IC好发于左半结肠，尤其是在各动脉供血相交区域，如结肠脾曲和乙状结肠。因为左半结肠由肠系膜下动脉供血，管径相对狭窄，与腹主动脉呈锐角，影响血流速度，如血管发育不全或缺如、狭窄时，缺血好发于此。直肠由肠系膜下动脉和直肠动脉双重供血，较少发生缺血性梗死，此点可与溃疡性结肠炎鉴别。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3425', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1662', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">确诊IC的患者应结合病因、并发症等，视病情缓急给予相应治疗。对非坏疽性IC患者，可在控制原发病和去除危险因素的基础上休息、禁食、停用可疑药物（包括缩血管药物）补液、经验性使用抗生素、扩血管和改善微循环等，必要时胃肠减压、肛管排气等，病情往往在1～2天内缓解。对出现腹膜炎体征或考虑坏疽性IC者，应尽早行外科手术治疗。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3426', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1663', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">原发性胆汁性肝硬化（primary biliary cirrhosis，PBC）是一种成年人慢性进行性胆汁淤积性肝疾病，1857年首次由Addison和Gull描述。它以肝内进行性非化脓性小胆管破坏伴门静脉炎症和肝纤维化为特点，绝大多数PBC患者抗线粒体抗体（antimitochondrial antibodies，AMA）阳性。最终进展为肝硬化和肝衰竭。是肝移植的主要适应证之一。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">PBC主要发生在40～60岁的中年女性，女性和男性患者比例约为9∶1。发病年龄可在20～90岁，但平均年龄为50岁。PBC发病不受地区和人种的限制。每年的发病率和患病率为2～24/100万和19～240/100万。PBC有家族因素，在患者的一级亲属中患病率远远高于普通人群。近年来国外及国内报道PBC的患病率均显著增加，其原因除发病率可能增加以外，人们对该病的广泛的认识和检查手段的提高可能也是原因之一。&nbsp;发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">PBC至今病因不明。由于它以选择性肝内胆管上皮细胞破坏和肉芽肿形成为特点，几乎所有患者均有针对非器官、非种属特异的存在于线粒体内膜的自身抗原的特异性自身抗体和自身反应性T细胞反应，此外常常合并其他器官特异性自身免疫性疾病如硬皮病和自身免疫性甲状腺疾病，并常有唾液腺上皮细胞受损，因此被认为是一种器官特异性的自身免疫性疾病。PBC与抗线粒体抗体，特别是线粒体内膜丙酮酸脱氢酶的E2成分有密切关系。AMA 为PBC的重要血清标志。除AMA外，一部分（约50%）的PBC患者可同时或单独出现抗核抗体（antinuclear antibody，ANA），如抗核孔膜蛋白的gp-210及抗核小体蛋白sp-100抗体。胆管上皮细胞异常表达线粒体抗原、T细胞介导的异常免疫反应、细菌和异生物素有关的分子模拟（molecular mimicry）和宿主自身抗原发生变化等机制可能参与PBC的发生。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3427', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1663', '临床表现', '<p>（一）有症状类型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有症状的PBC患者表现为慢性进行性胆汁淤积，主要表现为伴或不伴黄疸的瘙痒（25%～70%）、非特异的症状如乏力（65%～85%）、右上腹痛以及肝硬化失代偿表现如腹水、静脉曲张出血等。体检可发现有皮肤色素沉着、搔痕、黄斑瘤和黄瘤（皮下大量胆固醇沉积）。肝脾肿大在早期就常见，而门脉高压的体征可能在发展成肝硬化之前就出现。患者常常没有其他慢性肝病的皮肤表现如蜘蛛痣。一些患者在怀孕时起病。</p><p>（二）无症状类型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">无症状型分为肝功能正常期、无症状但肝功能异常期两种类型。无症状的患者占所有首次诊断患者的20%～60%，诊断建立于生化指标筛选检查的异常，总体来讲在诊断时比有症状的患者年龄大，并随病情进展最终将出现症状。早期无症状且肝功能正常的患者血清可检测到AMA，肝活检病理可能已有异常并且符合PBC诊断，在以后的随访中逐渐出现PBC的症状以及肝功能的异常。一些患者虽然还没有症状但已出现肝功能的异常和循环AMA，这些患者中相当一部分（60%）在诊断时已经发生肝纤维化，80%的患者在随访的第1个5年产生PBC的症状和体征，从诊断到死亡的中位时间是8～12年。</p><p>（三）并发症及表现1.骨质疏松</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">因维生素D缺乏、激素应用、缺少日照等因素引起。</p><p>2.脂溶性维生素缺乏</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">维生素A缺乏引起的夜盲；维生素E缺乏引起的反射异常、本体感觉减退、共济失调等神经系统异常。</p><p>3.高胆固醇血症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胆固醇沉积出现黄瘤、黄斑瘤。</p><p>4.脂肪泻</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胆酸向小肠排泌异常、内脏疾病、胰腺外分泌功能不全、细菌过度生长等。</p><p>5.晚期进展性肝病的表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如静脉曲张出血、腹水和肝性脑病等。</p><p>6.其他自身免疫性疾病及结缔组织病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">发生于80% 的PBC患者。特别是干燥综合征（75%）、硬皮病或CREST综合征（钙质沉着、雷诺现象、食管动力异常、硬皮病和毛细血管扩张）中的任一项（10%以上）、类风湿关节炎、皮肌炎、混合结缔组织病、近端或远端肾小管酸中毒等。部分患者可检测到抗甲状腺抗体（抗微粒体、抗促甲状腺激素抗体）并出现淋巴细胞性甲状腺炎（Hashimoto病），Graves病及甲状腺功能亢进少见。少于5%的患者可出现不明原因的肺纤维化和炎症性肠病。约1/3的PBC患者可发现具有胆石症。此外有研究认为PBC患者发生肝细胞性肝癌及总的发生其他肿瘤（如乳腺恶性肿瘤）的危险度增加。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3428', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1663', '辅助检查', '<p>（一）血清生化指标</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">PBC典型的肝功能检查表现为碱性磷酸酶（AKP）、5′-核苷酸酶、γ-谷氨酰转肽酶显著升高。血清氨基转移酶常常仅轻度增高，一般不会增高到正常上限的5倍。血清胆红素水平早期可正常而晚期随疾病进展上升。高胆固醇血症（多与脂蛋白-X有关）常见，脂蛋白（a）浓度下降。肝合成功能一般保持尚好直至晚期。凝血酶原时间延长提示可能有维生素K的缺乏。PBC患者血清免疫球蛋白增加，特别是IgM。还可发现许多血清自身抗体，包括抗核抗体、抗血小板抗体、抗甲状腺抗体、抗着丝粒抗体、Ro、La、抗-烯醇化酶、淋巴细胞毒抗体等，但AMA及抗核孔复合物成分的抗体与PBC最密切相关。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床上还有一小部分患者虽有典型的PBC的临床、生化和组织学表现，但血清AMA检测阴性，被称为自身免疫性胆管炎或抗线粒体阴性的PBC，这些患者大多数具有ANA或SMA，并常有血氨基转移酶活性及IgG增高。</p><p>（二）影像学检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">超声检查常用于排除肝外胆管阻塞引起的黄疸。其他横断面成像技术如CT或磁共振能提供其他信息，如门脉高压表现（脾大、腹腔内静脉曲张及门静脉逆向血流）和可能的隐性进展性疾病。PBC患者中15%可出现门静脉周围淋巴腺病，需与恶性肿瘤鉴别。</p><p>（三）组织学特点</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝活检有助于对疾病的分期和诊断线粒体阴性的PBC。PBC的诊断性病理特征是非化脓性损伤性胆管炎或肉芽肿性胆管炎。组织学上PBC分为四期，Ⅰ期以胆管损伤和坏死为特点，胆管上皮细胞皱缩和空泡样变，周围伴有含淋巴细胞、浆细胞、组织细胞、嗜酸性粒细胞和巨噬细胞的肉芽肿性损伤，局灶胆管阻塞伴肉芽肿形成（又称红色胆管损伤），是PBC最特殊的病理特征。Ⅱ期炎症从门静脉三角区延伸出去并伴有胆管碎片状坏死，可见显著的胆管炎、肉芽肿及胆管增生。门静脉周围肝细胞的空泡变性，围绕以泡沫样变性的巨噬细胞。Ⅲ期表现为进展性纤维化和瘢痕，邻近的门静脉之间以纤维间隔连接起来，小管稀少（定义为小叶间胆管丢失50%）更为常见，引起胆汁淤积和肝铜在门静脉及间隔周围肝细胞内的沉积。Ⅳ期以具有纤维间隔和再生结节的胆汁性肝硬化形成为特点。由于肝活检时的取样误差，因此组织学受累程度应取所观察到的最高分期。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3429', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1663', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">PBC的诊断主要建立在生化指标支持胆汁淤积的存在（血清碱性磷酸酶AKP的水平上升），血清抗线粒体抗体间接免疫荧光或免疫印记法检测阳性，和（或）肝组织学活检符合PBC表现，诊断时须考虑到无症状型PBC及AMA阴性的PBC。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3430', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1663', '鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">PBC需与其他胆汁淤积性肝病进行鉴别，其中主要包括肝外胆管阻塞、原发性硬化性胆管炎、肝炎肝硬化、药物性肝病、结节病、重叠自身免疫性肝炎综合征、原因不明的成年人胆管稀少等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3431', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1663', '治疗', '<p>（一）药物治疗1.熊去氧胆酸（ursodeoxycholic acid，UDCA）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是目前PBC治疗中研究和评估得最多的药物，其作用机制包括促进内源性胆酸分泌、提高膜稳定性、减少肝细胞HLAⅠ类抗原的异常表达、降低细胞因子的产生、抑制疏水胆酸引起的凋亡和线粒体失功能等。部分患者对UDCA治疗有反应，服药10～20mg/（kg？d）能延长生存期，减少食管静脉曲张及肝硬化的发生。UDCA的优点是没有明显的副作用，局限性在于较昂贵并需长期治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">约66%的患者对长期UDCA单一药物治疗表现为不完全反应。不完全反应定义为血清肌酶浓度不能降至正常和（或）发展为肝硬化。治疗初始血清碱性磷酸酶浓度较高及组织学进展程度较严重的患者不完全反应者较多。对药物治疗反应不佳的患者必须排除几种潜在的肝外原因，包括剂量不恰当或未能坚持用药等。如果重叠AIH治疗反应也可能不完全。目前对UDCA单一药物治疗表现为不完全反应者加用激素、硫唑嘌呤、秋水仙碱及甲氨蝶呤的联合治疗尚无显著改善组织学变化以及延长存活的报道。</p><p>2.免疫抑制剂（皮质激素、硫唑嘌呤、环孢素A、甲氨蝶呤、苯丁酸氮芥等）及抗纤维化药物（秋水仙碱、D-青霉胺）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">往往副作用大而缺少对PBC治疗的长期效果。</p><p>3.苯扎贝特（bezafibrate）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是一种降脂新药，能够通过激活转录因子过氧化物酶体增生激活受体而刺激小管磷脂泵3（MDR3）。有报道苯扎贝特单独用药或联合UDCA治疗能改善肝酶指标，但需长期研究证实。免疫抑制剂骁悉的作用尚待对照研究观察。</p><p>4.瘙痒的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一线药物是离子交换树脂考来烯胺。考来烯胺早餐前后4g口服可降低瘙痒的严重程度。二线药物为利福平，口服150～600mg/d可能快速起效和缓解症状，但偶可引起肝毒性和骨髓抑制。静脉使用丙烯基二氢羟吗啡酮（naloxone）和口服纳美芬（nalmefene）也可缓解症状。瘙痒常因日照加重，因此患者应避光。有报道阿片拮抗药治疗瘙痒有效，但可能会导致严重的撤退症状。抗组胺药物及苯巴比妥大多无效。其他治疗方法包括血浆透析和血浆置换、MARS透析等。如瘙痒和乏力非常严重并难以控制，可考虑进行肝移植。</p><p>5.高脂血症的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">高脂血症出现在80%的PBC患者，并可能成为最早出现的血清学异常。血清胆固醇和甘油三酯的浓度均增高。还可出现脂蛋白的异常。PBC中黄瘤的形成与血清胆固醇的浓度没有明显关系。也无证据显示本病中动脉粥样硬化及心血管相关疾病发生率增高。熊去氧胆酸治疗可改善黄瘤的形成和降低血清胆固醇（特别是低密度脂蛋白）浓度。对该药物无反应的患者，经验性使用考来烯胺和3-羟-3-甲基-戊二酰辅酶A还原酶抑制剂可能有效。</p><p>6.代谢性骨病的防治</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">推荐每天口服补充钙（1000～1200mg/d）。如果有脂溶性维生素吸收不良引起的维生素D缺乏，建议在检测血清浓度低于正常时给予口服替代（25 000～50 000IU，每周2～3次）治疗。降钙素、氟化钠及羟乙二磷酸钠也能增加骨密度。对停经后的PBC妇女予雌激素替代治疗的安全性和有效性存在争议，潜在的危险是加重黄疸和肝衰竭，因此需密切随访，每2周反复予生化检测共2个月。</p><p>7.脂肪泻的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">脂肪泻是晚期PBC的典型表现。对胆酸浓度下降的患者口服补充中链甘油三酯（代替长链混合物）辅以低脂饮食常有益。对结肠病患者每天坚持无麸质饮食可能改善症状。胰酶替代治疗及经验性抗生素使用可能分别对胰腺功能不足及细菌过度生长有效。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">脂溶性维生素吸收不良是晚期PBC患者的特点。维生素A缺乏见于20%的患者，常无临床症状。推荐口服25 000～50 000IU每周2～3次替代治疗。可在6～12个月后再次检测血清浓度以避免补充过量和发生维生素A肝毒性。维生素D缺乏是第二常见的脂溶性维生素缺陷，所有慢性胆汁淤积的患者均建议补充钙、维生素D以预防和治疗骨质疏松的发生。对有慢性淤胆的绝经后妇女推荐雌激素替代治疗（经皮途径）。有症状的维生素E缺乏较少见，可表现为脊髓后索异常的共济失调，推荐对无症状的患者每天口服补充维生素E 400IU。维生素K缺乏者可予5～10mg/d剂量治疗。</p><p>（二）肝移植</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝移植是终末期PBC患者唯一有效的治疗方法，PBC是成年人进行肝移植的主要病因之一。PBC患者移植后瘙痒和乏力可迅速改善，代谢性骨病在第一个6～12个月的一过性加重后改善。肝移植适应证有：①严重症状：顽固性瘙痒、极端乏力、难治性肝性脑病；②终末期肝病：小肝癌（＜5cm，少于3个）、进行性营养不良、自发性细菌性腹膜炎、难治性腹水、血清胆红素＞150μmol/ L、血清白蛋白＜25g/L、进行性肝肺综合征、肝肾综合征。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">移植后长期随访发现有部分患者出现组织学上PBC复发的证据，移植后3年及10年累积复发率估计分别为15%及30%。复发的诊断主要建立于肝组织学病理，并排除其他胆管损伤的病因，如急慢性排异反应、巨细胞病毒感染、肝炎病毒感染及移植物抗宿主病相鉴别。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3432', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1663', '预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">PBC患者的预后差异很大且不可预见。有些患者从不出现症状，而其他患者可进行性恶化。无症状患者总的中位生存时间显著长于有症状患者。有症状患者的估计中位存活时间约为10～15年，而组织学进展的（3期或4期）患者的中位生存期为8年。总胆红素水平高于136.6～171.0μmol/L的患者中位生存期约2年。影响预后的因素包括老年、血清总胆红素浓度增高、肝合成功能降低及组织学分期的程度。门脉高压并发症可出现在有症状的PBC患者，3年以后食管静脉曲张及出血的危险性增加。硬化前PBC患者出现食管静脉曲张的病因包括因肉芽肿性胆管炎症及门脉水肿所致窦周肝纤维化。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3444', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '162', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">便秘一般即指慢性便秘，主要是指粪便干结、排便困难或不尽感以及在不用通便药时完全排空粪便的次数明显减少等。上述症状若同时存在2种以上时，可诊断为症状性便秘。便秘的病因包括功能性和器质性两种。如能排除便秘的器质性病因，如由胃肠道疾病、累及消化道的系统性疾病如糖尿病、神经系统疾病等引起，即可诊断为功能性便秘（functional constipation）。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3445', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '162', '病因与发病机制', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">正常的排便生理过程包括产生便意和排便动作两个过程：①肠内容物以正常速度通过各肠段，粪便及时抵达直肠，直肠扩张引起排便反射即发生便意；②经直肠排出，排便动作受到大脑皮质和腰骶部脊髓内低级中枢的调节，通过直肠收缩、肛门括约肌松弛、腹肌及膈肌收缩、两旁侧肛提肌收缩、盆底下降、腹肌和膈肌也协调收缩，腹压增高，促使粪便排出肛门。正常排便生理过程中出现某一环节的障碍都可能引起便秘。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">功能性便秘，根据病理生理学机制可将患者分为排空迟缓型、功能性出口梗阻型和合并或混合型。</p><p>（一）排空迟缓型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">又称慢传输型便秘（slow transit constipation，STC）或结肠无力，在特发性便秘中占13%，是指肠内容物从近端结肠向远端结肠和直肠运动的速度低于正常人，这种异常被证明与异常的肠道动力有关，其机制包括结肠高幅推进性收缩数量减少和远端不协调的运动增多，可能存在肠肌间神经丛的异常和肠神经递质的改变。</p><p>（二）功能性出口梗阻型便秘（outlet obstructive constipation，OOC）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">又称为盆底功能障碍或盆底肌协调运动障碍，是指粪便堆积于直肠内而不能顺利地从肛门排出，占28%，可伴有轻度的结肠传输减慢或正常。导致盆底功能障碍的机制很复杂且不明确，可分为盆底肌群张力过高（不能松弛或松弛不良或矛盾运动）以及肌肉张力过低（巨直肠和严重的盆底下垂）。这些异常包括横纹肌、平滑肌功能不良和动力障碍、直肠感觉损害、中枢或盆腔阴部神经功能异常等。</p><p>（三）混合型便秘</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">兼备以上两型的原因特点。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3446', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '162', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有时患者唯一的主诉是粪便干结、排便费力。结肠痉挛引起便秘时，排出的粪便呈羊粪状。由于用力排出坚硬的粪块，可引起肛门疼痛、肛裂，甚至诱发痔疮和乳头炎。有时，在排便时由于粪块嵌塞于直肠腔内难于排出，但有少量水样粪质绕过粪块自肛门排出，而形成假性腹泻。部分患者排便时可有左腹痉挛性痛和下坠感。另外还可有腹痛、腹胀、恶心、口臭、食欲缺乏、疲乏无力及头痛、头昏等症状。体检时，常可在降结肠和乙状结肠部位触及粪块及痉挛的肠段。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p style=\"text-align: right;\"><br/></p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3447', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '162', '辅助检查', '<p>（一）结肠镜检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可直接观察黏膜是否存在病变，并可做活组织检查以明确病变的性质，以排除器质性病变。</p><p>（二）特殊检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胃肠通过试验（gastrointestinal transit test，GIT），肛门直肠测压（anorectal manometry，ARM），排粪造影（barium defecography，BD），气囊排出试验（balloon expulsion test，BET），结肠压力监测等。其他还包括放射性核素直肠造影、盆底肌电图和肛门超声内镜检查等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3448', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '162', '诊断', '<p>（一）诊断标准</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">采用罗马Ⅲ诊断标准，在排除器质性疾病导致的便秘后，符合以下情况者可判定为功能性便秘：诊断前症状出现至少6个月，近3个月症状有下列特点：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.必须符合以下两点或两点以上 ①至少25%的排便感到费力；②至少25%的排便为块状便或硬便；③至少25%的排便有不尽感；④至少25%的排便有肛门直肠梗阻感/阻塞感；⑤至少25%的排便需以手法帮助（如以手指帮助排便、盆底支持）；⑥每周排便＜3次。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.不使用轻泻药时几乎无松软便。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.没有足够的证据诊断IBS。</p><p>（二）诊断程序</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.采用包括病史、体格检查、有关实验室检查、影像学检查和特殊检查等方法，排除引起便秘的器质性或医源性疾病，如代谢性、神经性、肌肉性、机械性、药物性以及其他可能的因素。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.区分便秘类型 ①慢传输型便秘：常有排便次数减少，少便意，粪质坚硬，因而排便困难；直肠指检时无粪便或触及坚硬的粪便，而肛门外括约肌的缩肛和用力排便功能正常；全胃肠或结肠通过时间延长，肛门直肠测压显示正常。②出口梗阻型便秘：排便费力、不尽感或下坠感、排便量少，有便意或缺乏便意；肛直肠指检时直肠内存有不少泥样粪便，用力排便时肛门外括约肌呈矛盾性收缩；全胃肠或结肠通过时间显示正常，多数标志物可潴留在直肠内；肛门直肠测压显示用力排便时肛门外括约肌呈矛盾性收缩或直肠壁的感觉阈值异常。③混合型便秘，具备①和②的特点。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.判别程度 根据便秘有关症状轻重及对生活影响的程度分为轻、中、重3度：①轻度，症状较轻，不影响生活，整体调整治疗即可，无须用药；②重度或难治性便秘，便秘症状持续，严重影响生活甚至工作，需用药通便排便，不能停药或药物治疗无效者；③中度，介于轻、重之间。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3449', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '162', '鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要予以便秘为主要表现的肠易激综合征（IBS）鉴别，后者的主要特点是腹痛、腹部不适及排便后症状改善。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3450', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '162', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">治疗原则是根据便秘轻重、病因和类型，采用综合治疗，包括一般治疗、药物治疗、生物反馈训练和手术治疗。治疗目的是使患者缓解症状、恢复排便生理。</p><p>（一）一般治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括对患者进行健康教育，了解便秘的慢性过程，为了治疗的成功而改变生活方式，包括适当的体育活动，增加液体和食物纤维的摄入，养成定时排便的习惯，如早餐后大便10～15分钟（利用胃结肠反射）等。并可适当予以心理治疗，在仔细排除引起便秘的病理性因素后，对患者做充分解释，让其消除疑虑、确立信心，并告诫患者某些非处方药物和长期精神紧张的危害，增进患者对治疗的依从性。对在应激或情绪障碍情况下加重便秘的患者，可行心理治疗。</p><p>（二）泻药</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">经上述处理仍未奏效者，可适当地使用轻泻剂，其基本作用为刺激肠道分泌和减少吸收，增加肠腔内渗透压和流体静力压。也应告诫患者避免过度使用轻泻剂。</p><p>1.容积性泻药</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">能加速结肠和全胃肠道运转，吸附水分，使大便松软易排，缓解便秘及排便紧迫感，由于它的安全性常为治疗的首选，主要包括可溶性纤维素（果胶、车前草、燕麦麸等）和不可溶纤维（植物纤维、木质素等），可供使用的有欧车前、聚卡波非钙、麦麸、甲基纤维素。促肠分泌药有鲁比前列酮。</p><p>2.润滑性泻剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">能润滑肠壁，软化大便，使粪便易于排出，使用方便，如开塞露、矿物油或液状石蜡，每次10～30ml。</p><p>3.渗透性泻剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常用的药物有乳果糖（10～15g，3次/日）、山梨醇（5～10g，3次/日），聚乙二醇4000等。后者适用于粪块嵌塞或作为慢性便秘者的临时治疗措施。每日可摄入聚乙二醇较小体积（20g），即可产生有效的导泻作用，是对容积性轻泻剂疗效差的便秘患者的较好选择。</p><p>4.刺激性泻剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本身或其体内代谢物能够刺激肠壁，使肠蠕动增强，从而促进排便。长期使用可出现依赖，造成结肠黑变病，损害患者的肠神经系统，而且很可能是不可逆的。它包括含蒽醌类的植物性泻药（大黄、弗朗鼠李皮、番泻叶、芦荟）、酚酞、双醋酚丁、蓖麻油等。刺激性泻剂应在容积性和盐类泻剂无效时才使用，不适于长期使用。</p><p>5.软化性泻药</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如二辛基硫酸琥珀酸钠50～250mg/d。</p><p>（三）促动力药</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">用于慢传输型便秘，有莫沙必利、伊托必利或选择性作用于结肠的普卡比利（prucalopride）等。</p><p>（四）微生态制剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">能防止有害菌的定植和入侵，补充有效菌群发酵糖产生大量的有机酸，使肠腔内pH值下降，调节肠道正常蠕动，改变肠道微生态环境，改变粪便性状有利粪便排出，对缓解便秘和腹胀均有一定的作用。</p><p>（五）中医中药治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">中医主张辨证施治、随机应变，不主张偏执；有些验方如中药敷脐辅助治疗显示疗效，但大多数的中药方剂等，都没得到有效验证。</p><p>（六）清洁灌肠</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对有粪便嵌塞或严重排出道阻滞性便秘需采用清洁灌肠，或采用栓剂（甘油栓）或灌肠（开塞露）。</p><p>（七）生物反馈治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">借助声音和图像反馈刺激大脑，通过测量内脏功能使患者了解自己的生理异常，从而学会纠正这种异常。常用于出口梗阻型便秘。</p><p>（八）手术治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">经过正规保守治疗仍无效者，才考虑外科手术治疗，用于功能性便秘的治疗不多。应注意有无严重的心理障碍，术前需要进行疗效预测。经生理学和心理学两方面的严格评价后慎重选择。近年来，腹腔镜手术治疗慢性便秘愈来愈受到关注。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3451', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '162', '参考文献', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.McDonald JWD，Burroughs AK，Feagan BG，et al.循证胃肠病学和肝病学.第3版.王吉耀，译.北京：人民卫生出版社，2012：314-332.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.Drossman DA.The functional gastrointestinal disorders and the RomeⅢprocess.Gastroenterology，2006，130（5）：1377-1390.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.中华医学会消化病学分会.肠易激综合征诊治的共识意见.中华内科杂志，2003，42（9）：669-670.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.中华医学会消化病学分会胃肠动力学组.外科学分会结直肠肛门外科学组.中国慢性便秘的诊治指南（2007，扬州）.中华消化杂志，2007，27（9）：619-622.</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p><br/><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3452', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1664', '病因', '<p>1.栓塞</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">突发、完全性肠系膜上动脉闭塞多见于栓塞而非血栓形成，其解剖特点决定其比肠系膜下动脉更好发症状性栓塞性闭塞：肠系膜上动脉以锐角离开主动脉后与主动脉平行，而维持与心脏呈直线联系；而肠系膜下动脉则以直角离开主动脉，其开口较小，只允许小的栓子进入，故如果发生栓塞，栓子一般在主分支以下的较小分支中。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">大多数栓子来自心脏，可以是附壁血栓或房颤患者的心房血栓。较少见的有赘生性心内膜炎、主动脉内粥样瘤性斑块处的血栓、或逆行股动脉造影时粥样瘤样斑块的脱落。栓子可以堵塞主开口，但更多见栓子停留于主分支附近，通常是近结肠中动脉处。该栓子可以保留在最初的停留处，或碎裂再移向更远的分支。栓子对动脉的最初影响是使远端分支的痉挛，这种痉挛加上主干的迅速闭塞通常不允许侧支循环的建立。大约数小时后梗死远端动脉可继发血栓形成，而栓塞近端的动脉扩张。肠系膜上动脉主干的突然闭塞引起Treitz韧带远侧的整个小肠及右半结肠的缺血，只在很少的情况如意外地出现与腹腔动脉干和（或）肠系膜下动脉的侧支通路时，肠管可以存活外，一般都发生坏死。动脉的短段或较小分支的急性闭塞可以发生或不发生肠梗死，主要取决于侧支循环的状态。</p><p>2.血栓形成</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性完全性肠系膜上动脉血栓形成几乎总是发生在已有粥样硬化而部分闭塞的动脉上，较少发生于主动脉假性动脉瘤、血栓闭塞性脉管炎或结节性动脉周围炎而狭窄的血管上。血栓形成前常有突然的心输出量减少如急性充血性心衰或心肌梗死者。肠缺血与梗死的程度取决于血栓形成的位置及侧支通路的状态。主干的突然血栓形成，就像栓塞，通常导致整个小肠及右半结肠的梗死。缓慢发展的狭窄通常有时间建立侧支循环，当再发生急性闭塞时肠管存活机会增大。在炎症性血管病，较小的内脏分支通常受累，引起较小节段的肠梗死。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3453', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1664', '病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">突发、完全性动脉闭塞首先引起缺血性梗死，表现为肠管苍白，这是由于肠壁内血管的广泛痉挛所致，并产生黏膜溃疡。在此阶段，肠管张力高并呈收缩状态。在1～2小时内，血管痉挛消退，而缺氧的肠壁中的毛细血管充血。当随后远侧血栓形成后，肠壁肌肉出现疲竭而失去收缩力。继而内脏静脉发生血栓形成，此后由于静脉血的逆流或血液渗漏至缺血肠壁组织中而使肠壁显得无活力与潮湿。当梗死进展至肠管壁全层坏死时肠管呈浸透血的青紫色，并有特征性的血样血清（serosanguineous fluid）流入腹腔，其外观就像出血性梗死。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3454', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1664', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">突发、完全性肠系膜上动脉闭塞是一种外科急症，也是一种绞窄性肠梗阻。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">不论闭塞的原因是栓塞还是血栓形成，其临床表现基本一样。男性多于女性，高峰年龄段为40～59岁。患者常有冠心病、房颤和全身性粥样硬化症的表现。大约1/3的患者过去有反复发作的进食后腹部痉挛性腹痛（肠绞痛）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">最突出的主诉是极端的腹痛，且任何止痛药通常无效，而体征相对较轻。疼痛突发，最初为绞痛，迅即转为持续性。早期疼痛位于受累肠段处，如在肠系膜上动脉主干急性闭塞时，疼痛开始在中腹或上腹，但以后变为全腹性。随之发生顽固性呕吐，呕吐物中可含血液。也可有腹泻或便秘，粪便中含隐性血或显性血。一种特征性的腹部和腰部青紫斑，见于约1/5的患者，这是低心输出量伴广泛肠梗死的表现。除非到了晚期，通常腹部不胀。可以有腹部自主性或不自主性肌紧张，但很少有“板样腹”。发生肠梗死时，触痛及反跳痛加重，且在病变肠段处最明显。腹块较常见于短段肠梗死。起初肠鸣音亢进，但很快肠鸣音消失。起病时，体温、脉搏和血压可无显著改变，随着梗死的进展，患者出现发热、脉搏加快和低血压，这是由于液体丢失进入肠壁和腹膜腔的结果。最初由于主干动脉闭塞产生的急性循环崩溃通常较易纠正，但其后由于肠壁坏疽和腹膜炎而再度出现休克。一旦肠坏死和穿孔发生，则产生弥漫性腹膜炎和脓毒症的表现。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">正确的诊断有时较难，特别是只有短段动脉闭塞时。最重要的早期诊断特点是严重的腹痛与体征不相称，和止痛药无效。如果上述表现发生在有近期心肌梗死或房颤史，或过去有肢体动脉栓塞史者，要高度怀疑为急性肠系膜血管意外。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3455', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1664', '辅助检查', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病程的早期白细胞计数可能正常，但发生出血性梗死时可增至20×10<span style=\"box-sizing: border-box; position: relative; font-size: 10.5px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L。大多数患者由于体液的迁移和呕吐引起血浓缩而出现血细胞比容升高。血清淀粉酶、磷酸酶及细胞内酶如肌酐磷酸激酶的浓度升高，但通常是晚期组织生机不可恢复的表现。代谢性酸中毒几乎总是存在，且其程度与肠缺血的程度平行。如果这种碱缺失尽管已给予充分的复苏措施仍持续存在，表明病程可能进入晚期不可逆缺血阶段。腹部X线平片检查并不经常有诊断价值，肠系膜或门静脉中有气体是病程晚期的一种恶兆，但很少见。CT扫描更易发现门静脉中的气体。怀疑急性肠系膜血管意外本身就是作紧急肠系膜血管造影的指征，除了能显示栓塞、血栓形成和肠系膜血管收缩外，动脉造影还能评估内脏循环的充分性。血管造影用的导管同时提供了一条给药途径。肠系膜上动脉主干的栓塞在血管造影时通常显示在结肠中动脉起点的下方的突然中止。当动脉造影是在腹痛发作后立即进行，栓子则表现为孤立的圆形充盈缺损；但在数天后再查，则在其近端和远端则发生血栓形成。由血栓形成引起的急性肠系膜上动脉闭塞最常发生于其主动脉开口处，因该处通常粥样硬化性狭窄最严重。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3456', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1664', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性肠系膜血管闭塞的基本治疗是早期手术，最好在肠管发现绞窄和穿孔前进行。20世纪50年代以前，唯一可考虑的手术方法是切除缺血的肠管。1957年，Shaw和Rutledge报道了第一例成功作了肠系膜上动脉栓子摘除而不需作肠切除的病例；此后，Shaw还对1例急性血栓形成患者作了血栓动脉内膜切除术。然而，适宜作这种动脉再通术的患者很少，因为要获成功，必须在急性闭塞发生后数小时内进行。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Boley等人介绍了一种针对急性肠系膜血管闭塞的介入放射学和手术处理方法。及时的肠系膜动脉造影是该方法的基础，应与改善患者的一般心血管情况同时进行。如果动脉造影显示有栓子或肠系膜血管收缩，则通过放置在肠系膜上动脉中的导管以30～60g/h的速度持续滴入罂粟碱盐酸盐，用于扩张肠系膜血管。胰高糖素也被用于增加肠系膜上动脉的血流，但与罂粟碱不同，静脉给药同样有效，一般给药速率为1μg/（kg·min）。在使用血管扩张剂时，血容量必须已补充充分，因为血液潴留在内脏血管床会恶化已有的低血容量状态。偶尔患者通过使用罂粟碱或胰高糖素而成功，患者表现为临床情况改善和序列动脉的显影。如果患者腹痛消失和动脉造影显示肠系膜动脉进行性扩张和肠管有灌注，则继续进行上述治疗。但大部分患者需手术，患者继续接受罂粟碱或胰高糖素的同时被送入手术室。如果闭塞限于肠系膜上动脉的分支或在肠系膜上动脉的回结肠动脉起点的远侧，这种相对短段的受累肠管最好切除和一期端端吻合。根据既往的经验，可以切除多达70%的小肠而不出现严重的消化紊乱，特别当回盲瓣完好时。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">当肠系膜上动脉主干闭塞时，是否作动脉血流重建取决于这种肠缺血病理是否可逆。有时外观似乎无活力，如肠壁呈青紫色且黯淡无光泽，可能在动脉重建后可有惊人的恢复。肠壁蠕动的存在通常表明有活力和潜在的可挽救性。如果肠管显然已坏疽，唯一可选择的是手术切除，这通常意味着需切除Treitz韧带以下的整个小肠和右半结肠。尽管这种手术有很高的手术死亡率和后期并发症，但术后通过胃肠外营养，一些患者可获长期生存。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如果缺血肠管部分或全部的可逆性存在疑问，也应试图作动脉重建。肠系膜上动脉的暴露通过向上牵开横结肠，切断Treitz韧带，充分游离十二指肠横部。肠系膜上动脉在肠系膜上静脉的内侧。如果该动脉外观正常但远端无搏动，闭塞考虑由栓塞引起；如果该动脉外观不正常且壁增厚，则闭塞最可能是粥样硬化基础上的血栓形成。游离该动脉，两端放置血管夹后，纵向切开该动脉，去除引起闭塞的病灶。栓子通常可以容易地用Fogarty导管取出，而在硬化血管中的血栓则通常需作血栓动脉内膜切除术。如果存在新鲜的血栓，可以向切开处挤出。动脉上的切口用补片，通常是自体静脉来关闭。随着动脉血流的修复，肠系膜血管可以感觉到搏动的存在。如果缺血的肠壁可逆则在数分钟内色泽恢复。如果去除栓子或血栓后没有充足的血流恢复，则需在主动脉与远侧肠系膜上动脉之间用自体静脉建立旁侧通路。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在完成血管重建手术后，整个胃肠道应观察10～15分钟。临床评估方法如肠管色泽和动脉搏动的恢复，以及存在明显的肠蠕动都是肠管活力的可靠征象。术中应用多普勒超声流量计可定量肠壁内的血流。静脉注射活性染料如荧光素钠1g，然后在暗房中用手持紫外光检测仪检测肠袢，肠管显示黄色荧光表明有充足的灌注；有人认为根据荧光类型判断肠管活力要比单纯临床评估或多普勒流量计更准确。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">所有明显没有血供的肠管和活力有疑问的短段肠管应被切除。如果有长段肠管的活力有疑问，最好先放置24～36小时后再手术探查。这种两阶段手术方法的优点是不仅能清楚地确定肠管的存活与否，也使有时间开始支持疗法以便使更多的肠管存活。再手术的决定视第一次探查的情况而定，如果肠管看起来有充分的动脉支配则不应常规施行。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性肠系膜血管闭塞患者的术前准备和术后护理特别重要。大多数患者因为有血浆和全血丢失入肠腔、肠壁和腹膜腔而有低循环血量。这种丢失量可以相当大，故应该在手术前迅速补充。术后因为恢复血供的肠管的反应性充血，也需额外的静脉补液。缺血的肠壁可允许细菌透壁进入腹膜腔，故应在术前给予大剂量广谱抗生素并持续用至术后。术前在肠系膜上动脉留置导管的，术后应继续输注罂粟碱，并在24小时后再作动脉造影以确定血管重建术是否成功。抗凝治疗，常用肝素，也被用于动脉重建的患者。胃肠减压应用至肠功能恢复。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">突发肠系膜闭塞的病死率一般在56%～85%。应用介入放射学和手术治疗，Boley等人将病死率降至45%。由血栓引起的急性闭塞的病死率要高于栓塞引起者，死亡通常与腹膜炎和全身感染有关。多数患者伴有心、肾及其他脏器的动脉粥样硬化也是病死率高的原因。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3468', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1665', '病因', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性闭塞通常是由于动脉粥样瘤样病变基础上血栓形成所致，较少见的原因是栓塞或分离性动脉瘤。膨胀性主动脉假性动脉瘤的外压或粥样硬化则引起逐渐闭塞。偶尔，溃疡性结肠炎当伴发血栓闭塞性脉管炎和结节性动脉周围炎时，可累及肠系膜下动脉主干或其分支。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">正常情况下，肠系膜下动脉可在任意部位结扎而不干扰肠功能和产生症状，这是因为其与结肠中动脉及痔下动脉（来自髂内动脉）有广泛的侧支循环。当降结肠由于血栓形成或结扎肠系膜下动脉而发生梗死，则几乎肯定还存在这些侧支循环的损害，通常是由于肠系膜上动脉和髂内动脉的晚期粥样瘤性狭窄或血栓形成。过去做过左半结肠切除而干扰了边缘动脉时，当肠系膜下动脉闭塞时也易发生结肠缺血。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3469', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1665', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">左半结肠梗死的起病通常比肠道其他部位的梗死更隐匿，肠系膜下动脉闭塞时对循环血容量及体液平衡的破坏远不如肠系膜上动脉闭塞时严重。通常患者有缓慢进行性的下腹痛，接着会有稀血便或便秘。腹部膨隆，沿降结肠全程有触痛，偶尔还能扪及管型腹块。可以发生循环功能不全，特别当发生肠坏死时更明显。有中等度的发热及白细胞升高。腹部X线检查可见降结肠中气体消失，提示有横结肠的机械性梗阻。内镜下可见乙状结肠黏膜充血、水肿、青紫和溃疡。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3470', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1665', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早期发现这种肠缺血和及时的手术是最主要的预后因素。治疗包括切除梗死的结肠段，临时性近端结肠造口要比一期吻合安全得多。由于大多数患者先前存在全身性粥样硬化性疾病，多预后差，病死率约为50%。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3471', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '216', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性胰腺炎（chronic pancreatitis，CP）是由不同因素造成的胰腺组织和功能的持续性和进行性损害，其病理特征为胰腺纤维化，最终导致胰腺内、外分泌功能永久性丧失。临床症状无特异性，但以反复发作的上腹疼痛和胰腺外分泌功能不全为主要症状，可伴有胰腺内分泌功能不全、胰腺实质钙化、胰管结石和假性囊肿形成。很多患者都有急性胰腺炎的间断性发作。急性复发性胰腺炎与慢性胰腺炎临床鉴别可能不易，前者在非发作期胰腺功能和组织结构仍能恢复正常，故不做组织和功能检查，较难区分。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3472', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '216', '流行病学', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">尸检统计，慢性胰腺炎发生率为0.04%～5%，但在嗜酒者中可能远高于此。男女比为1.86∶1。平均年龄（48.9±15.0）岁，男女发病年龄无显著差异。慢性胰腺炎又可分为慢性梗阻性和慢性钙化性胰腺炎两种。慢性钙化性胰腺炎的特征是胰内纤维化和钙化不规则分布，并有一、二级胰管的不同程度梗阻，是慢性胰腺炎的最常见形式。慢性酒精性胰腺炎、热带胰腺炎、遗传性胰腺炎、继发于血钙或血脂增高的胰腺炎以及特发性胰腺炎可能与此相关。慢性梗阻性胰腺炎的特征是胰管系统扩张，腺泡实质弥漫性萎缩，以及均一的纤维化等。慢性梗阻性胰腺炎可由胰腺肿瘤、胰管狭窄造成，胰腺分裂也可能造成。与其他形式的慢性胰腺炎不同，管内罕有栓塞及结石，梗阻解除后，结构和功能改变都改善。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3473', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '216', '病因与发病机制', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">长期过量饮酒、胆道疾病和胰腺外伤为主要病因，分别占35.4%、33.9%和10.5%。</p><p>（一）胆管疾病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">我国的慢性胰腺炎中，以胆道疾病为病因者占36%～65%。其中以胆囊、胆管结石为主（约占77.2%），其次为胆囊炎、胆道狭窄、肝胰壶腹括约肌功能障碍和胆道蛔虫等。胆道疾病可诱发频发的胰腺炎，继而胰腺弥漫性纤维化，胰管狭窄、钙化，最终导致慢性胰腺炎。胆囊炎还可通过淋巴管炎而引起慢性胰腺炎。</p><p>（二）慢性酒精中毒</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是发达国家慢性胰腺炎的最主要病因。我国酒精性慢性胰腺炎从20世纪50年代至80年代由6.1%上升到26.5%～29.4%，目前已上升至34.58%～35.4%，成为我国慢性胰腺炎最主要病因。这些患者的纯酒精摄入量≥70～80g/d，嗜酒史5～15年左右。酒精性慢性胰腺炎是由于酒精本身及（或）其代谢产物的毒性和低蛋白血症，造成胰实质进行性的损伤和纤维化；也可能是由于酒精刺激胰腺分泌，增加胰腺对胆囊收缩素（CCK）刺激的敏感性，使胰液中胰酶和蛋白质的含量增加，钙离子浓度增高，形成一些小蛋白栓阻塞小胰管，导致胰腺结构发生改变，形成慢性胰腺炎。酒精性慢性胰腺炎胰腺钙化较多。</p><p>（三）自身免疫因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">约占2.8%。</p><p>（四）营养因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">亚非发展中国家，慢性胰腺炎的最常见类型是营养不良诱发的（热带）胰腺炎。这些地区有一种植物木薯（cassava），可造成胰腺损伤。此外，低脂肪、低蛋白饮食，硒、铜等微量元素缺乏，维生素A、B<span style=\"box-sizing: border-box; position: relative; font-size: 13px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">6</span>等不足可能有关。</p><p>（五）遗传因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如阳离子胰蛋白酶原（PRSSI）基因、酒精代谢酶基因、胰蛋白酶抑制因子基因突变等与遗传性胰腺炎有关。本型慢性胰腺炎国内少见。</p><p>（六）高钙血症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">约有8%～12%的甲状旁腺功能亢进患者发生慢性胰腺炎。其始动因素是高钙血症。其机制有：①钙沉积形成胰管内钙化，阻塞胰管；②钙能促进无活性的胰蛋白酶转变成活性胰蛋白酶，促发自身消化；③钙可直接影响胰腺腺泡细胞的蛋白分泌。高钙血症也见于维生素D中毒、甲状旁腺癌、多发性骨髓瘤等疾病。在欠发达地区较为多见。</p><p>（七）高脂血症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">家族性高脂血症中Ⅰ、Ⅳ、Ⅴ型患者易致胰腺炎反复发作。其机制可能为：①过高的乳糜微粒血症使胰腺的微血管阻塞或胰腺中发生黄色瘤；②胰腺毛细血管内高浓度的甘油三酯被脂肪酶大量分解，所形成的大量游离脂肪酸引起毛细血管栓塞或内膜损伤致胰腺炎发生。</p><p>（八）其他因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①上腹部手术后，可致肝胰壶腹部括约肌痉挛、狭窄、胰腺损伤或供血不良而引起胰腺炎；②尸检发现，约1/3的肝硬化和血色病患者，伴有胰腺纤维化和色素沉着；③胰供血动脉硬化，邻近脏器病变及胃十二指肠后壁穿透性溃疡等，均可引起慢性胰腺炎。</p><p>（九）特发性</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">占6%～37.5%，多见于年轻人（15～30岁）和老年人（50～70岁），发病率无明显性别差异。随着诊断手段的不断提高，发现一部分“特发性慢性胰腺炎”与肝胰壶腹括约肌功能异常有关。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3474', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '216', '病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病程早期的发作期，胰腺因水肿、脂肪坏死和出血而肿大，但基本病理倾向是纤维化，胰管扩张，胰管内偶见结石形成。在静止期，覆盖胰腺的腹膜增厚、不透光，表面有结节状隆起的白点。慢性胰腺炎后期，胰腺变细、变硬，或呈不规则结节样硬化，有弥漫性纤维组织增生和钙质沉着，并可有假性囊肿、胰管扩大及胰管内碳酸钙结石，胰腺小叶大小不一，结构模糊。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">显微镜下可见程度不等的纤维化和炎症代替了腺泡和胰岛组织，偶有小脓肿。愈合的坏死区有纤维化和异物反应及潴留性囊肿。主胰管及其分支有不同程度的狭窄和扩张，管腔内有稠厚黏液与组织碎屑，胰管可有鳞状上皮化生。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)<br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3475', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '216', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床表现轻重不一。轻度可无症状或有轻度消化不良，而中度以上的慢性胰腺炎可有腹痛、腹胀、黄疸等胰腺炎急性发作症状，胰腺内、外分泌功能不足表现，腹水、感染等。</p><p>（一）腹痛</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">约占60%～100%，疼痛可能是间歇性或慢性，部位常在上腹部，可放射至左、右季肋部，左侧肩部及背部。开始时，持续几小时到几天，随疾病进展，腹痛日趋频繁，持续时间增加。腹痛在仰卧位时加剧，坐位、前倾位、屈膝位或俯卧位时缓解；饮酒、进油腻食物可诱发腹痛。劳累可使腹痛加重。一部分患者无典型的疼痛症状，后期随着胰腺内、外分泌功能下降，疼痛程度可能会减轻，甚至消失。</p><p>（二）胰腺外分泌不足的表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">轻到中度慢性胰腺炎患者仅有食欲缺乏、腹胀等消化不良症状。当脂肪酶的排量降低到正常的10%以下时，患者才会出现脂肪泻；同样，胰蛋白酶的排泄低于正常的10%时才会有粪便中蛋白丢失。患者排出大量恶臭有油脂的粪便。由于害怕疼痛而进食很少，体重减轻加重，并有多种维生素特别是脂溶性维生素缺乏的表现。少数患者有低蛋白血症，出现全身性水肿，皮肤皱褶增多，头发枯萎等表现。</p><p>（三）胰腺内分泌不足的表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">6%～46%患者有糖尿病或糖耐量异常。糖尿病常在出现临床症状后的5～10年内发生。</p><p>（四）黄疸</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">发生率为1%（2/230例）～28.2%（69/ 245例）。主要是由于胰头部肿胀或假性囊肿压迫胆总管所致。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">典型病例可出现五联征：上腹疼痛、胰腺钙化、胰腺假性囊肿、糖尿病和脂肪泻。但临床上常以某一或某些症状为主要特征。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3476', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '216', '并发症', '<p>（一）上消化道出血</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可出现呕血和黑便。其病因：①脾静脉受压及血栓形成引起脾大，胃底静脉曲张破裂出血；②胰腺假性囊肿壁的大血管或动脉瘤受胰腺分泌的消化酶的侵蚀而破裂出血；③胰腺分泌碳酸氢盐减少并发消化性溃疡和出血。</p><p>（二）胰腺假性囊肿形成</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">发生于约10%的慢性胰腺炎病例，形成机制：①胰管内压力增高致胰管破裂，胰液外渗。因无活动性炎症，胰液常为清亮；②活动性炎症合并脂肪坏死（也可能有胰腺实质的坏死），胰液自小胰管外渗。因含坏死组织，胰液常有变色。</p><p>（三）胆道或十二指肠梗阻</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">发生于5%～10%的慢性胰腺炎病例。本并发症多见于有胰管扩张的患者，主要是由于胰头部炎症或纤维化、假性囊肿所致。</p><p>（四）胰源性胸、腹水</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">形成的机制可能是由于胰管破裂，与腹腔和胸腔形成瘘管，或是假性囊肿的破溃致胰液进入胸、腹腔。临床上，胰源性腹水可呈浆液性、血性或乳糜性，后两者较少见。胰源性胸腔积液以左侧多见，具有慢性、进行性、反复发作及胸水量多的特点，也可为浆液性、血性或乳糜性。</p><p>（五）胰腺癌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">约4%患者在20年内并发胰腺癌。</p><p>（六）胰瘘</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括胰腺外瘘和内瘘。外瘘常发生于胰腺活检、胰腺坏死、外科引流术后、手术中的胰腺损伤或腹部钝伤后。内瘘常发生于慢性胰腺炎主胰管或假性囊肿破裂后，常合并有胰源性胸、腹水。酒精性胰腺炎易出现内瘘。</p><p>（七）其他</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">少数患者可有胰性脑病；胰腺与脾粘连或胰腺假性囊肿侵蚀脾促发脾破裂；皮下脂肪坏死和骨髓脂肪坏死，可出现皮下的硬结节和骨痛、股骨头无菌性坏死等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3477', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '216', '辅助检查', '<p>（一）实验室检查1.粪便的显微镜检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">粪便中含有未消化的肌肉纤维和脂肪滴。</p><p>2.胰腺外分泌功能测定</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有直接外分泌功能试验和间接外分泌功能试验两大类，两者均通过测量胰腺分泌的胰液量、胰液电解质浓度和胰酶量来评估胰腺外分泌的功能。</p><p>（1）直接外分泌功能试验：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">系利用胰泌素和（或）胰酶泌素（CCK-PZ）直接刺激胰腺分泌，对慢性胰腺炎诊断的敏感性为75%～90%，特异性为80%～90%。但轻度胰腺外分泌功能障碍时，试验结果正常，因此无助于慢性胰腺炎的早期诊断；同时由于其有创性等原因患者较难接受，影响临床广泛应用。</p><p>（2）间接外分泌功能试验：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有Lundh试餐试验、血、尿苯甲酰-酪氨酰-对氨基苯甲酸（BT-PABA）试验、胰月桂酸试验（PLT）、粪便试验（苏丹三染色、粪便脂肪定量测定和糜蛋白酶测定）及核素胰腺外分泌功能试验（<span style=\"box-sizing: border-box; position: relative; font-size: 13px; line-height: 0; vertical-align: baseline; top: -0.5em;\">131</span>I-甘油三酯/油酸吸收试验、双标记Schilling试验及<span style=\"box-sizing: border-box; position: relative; font-size: 13px; line-height: 0; vertical-align: baseline; top: -0.5em;\">13&nbsp;</span>C-呼气试验）等。目前用于临床上主要有尿BT-PABA试验、PLT和粪便苏丹三染色等。BT-PABA试验主要通过测量口服一些胰酶消化底物所生成的产物反映胰腺分泌糜蛋白酶的能力，是诊断中、重度胰腺外分泌功能不全敏感性较高的方法，但难以和小肠吸收障碍性疾病相区别。PLT则反映胰腺分泌芳香酯酶的能力，较BT-PABA试验可能更敏感和特异，但方法较复杂。<span style=\"box-sizing: border-box; position: relative; font-size: 13px; line-height: 0; vertical-align: baseline; top: -0.5em;\">13&nbsp;</span>C-呼气试验对判断胰腺外分泌功能有一定价值，其优点是非侵入性、简单易行、重复性好、结果稳定，但对轻度胰腺外分泌功能不全诊断的敏感性较差。</p><p>3.胰腺内分泌功能测定</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括糖耐量异常、血中胰岛素、C肽及CCK减少和血糖升高。但只有晚期（胰腺功能损失90%以上）方出现变化。</p><p>（1）血清CCK测定：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">正常为30～300pg/ml，慢性胰腺炎患者可高达8000pg/ml。这是因为胰腺外分泌功能减退，对CCK的反馈抑制作用减弱所致。</p><p>（2）血浆胰多肽（PP）测定：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">PP主要由胰腺的PP细胞分泌，正常空腹血浓度为8～313pmol/L。餐后血浆PP浓度迅速升高，而慢性胰腺炎患者明显下降。</p><p>（3）血浆胰岛素浓度测定：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病患者空腹血浆胰岛素水平大多正常，口服葡萄糖或甲苯磺丁脲（D860）、静脉注入胰高糖素后，血浆胰岛素不升高者，提示胰腺内胰岛素储备减少。</p><p>4.其他实验室检查（1）血清淀粉酶：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性发作期可见升高。发生胰性腹水、胸水的患者，其腹水、胸水中的淀粉酶含量升高。</p><p>（2）生物标志物：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">最常见升高的标志物为CA19-9，但通常升幅较小，如果明显升高，应该警惕合并胰腺癌的可能。</p><p>（二）影像学检查1.腹部平片</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">腹部X线平片可发现部分患者胰腺区域的钙化灶、结石影，十二指肠低张造影可见十二指肠环扩大等，均对明确诊断提供了有价值的依据。</p><p>2.超声及其相关技术</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">实时超声检查可见胰腺体积增大或萎缩，边缘不整，质地不匀；胰腺纤维化时，胰腺内部回声增强，胰管有不规则扩张及管壁回声增强；有结石或钙化时可见光团及声影；有囊肿时可见液性暗区。实时超声对慢性胰腺炎的敏感性为48%～96%；特异性为80%～90%。由于无创且较经济，可列为首选的检查方法，并可在随访中反复应用。</p><p>（1）内镜超声（EUS）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">避免了肠道气体和肠壁脂肪的干扰，克服了体外超声诊断胰腺疾病的不足，它不仅能显示主胰管异常、胰石和（或）钙化灶，而且对炎性假瘤也有很高的诊断符合率。EUS诊断慢性胰腺炎的敏感性和特异性均＞85%，其阳性预测值（PPV）94%，阴性预测值（NPV）75%，经EUS行细针穿刺细胞学检查，不仅可提高其敏感性和特异性，而且PPV和NPV也提高为96%和100%。EUS除显示影像学特征外，同时可以进行胰腺活检和收集胰液做功能性检查。但EUS对慢性胰腺炎的早期诊断尚不敏感。</p><p>（2）胰管内超声（IDUS）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是将超声探头经十二指肠乳头逆行插至主胰管中，对主胰管内有局灶性狭窄的病变进行鉴别诊断，对慢性胰腺炎有诊断价值。</p><p>3.胰腺CT</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰腺失去正常结构，呈现弥漫性增大或萎缩，密度不均，有时可在胰头部见到局部肿块，表面有分叶；胰管扩张或粗细不匀，有时还可在胰管内见到结石或钙化征象。合并假性囊肿时，CT呈低密度占位病灶。对中、晚期诊断的准确性较高，早期、胰腺病理改变轻微的慢性胰腺炎，CT的诊断作用受到限制。</p><p>4.MRI</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">MRI对慢性胰腺炎的诊断价值与CT相似，但对钙化和结石显示不如CT清楚。</p><p>5.胰胆管影像学检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括内镜逆行胰胆管造影术（ERCP）和磁共振胰胆管造影术（MRCP），是诊断慢性胰腺炎的重要依据。主要表现为主胰管边缘不规则、胰管扩张、粗细不匀呈串珠状改变；部分有不规则狭窄或中断；有时可显示胰管内的结石或钙化影；还可发现有无副胰管。轻度慢性胰腺炎：胰管侧支扩张/阻塞（超过3支），主胰管正常；中度慢性胰腺炎：主胰管狭窄或扩张。重度慢性胰腺炎：主胰管阻塞、狭窄、钙化，有假性囊肿形成。MRCP与ERCP相比，两者的符合率基本相符，但MRCP不能收集胰液，无法行胰管内造影及活检等，因此尚不能完全替代ERCP。</p><p>6.胰管镜检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰管镜检查可直接观察胰管内病变，如狭窄、结石、阻塞等，并能明确病变部位。同时还能进行活检、收集胰液及细胞学刷检等，对不明原因的胰腺损害有鉴别诊断价值，特别是对胰管口径有改变而胰腺实质无损害的患者尤为适用。慢性胰腺炎的胰腺导管内壁充血水肿、扩张或瘢痕性狭窄，50%患者可见蛋白栓，10%患者可见结石，可以鉴别早期胰腺癌。</p><p>7.PET（正电子发射体层成像）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">采用核素<span style=\"box-sizing: border-box; position: relative; font-size: 13px; line-height: 0; vertical-align: baseline; top: -0.5em;\">18</span>氟标记的氟脱氧葡萄糖（FDG）-PET对不明原因的胰腺肿块进行检查有助于与胰腺癌相鉴别，胰腺癌及其转移灶可表现为核素浓聚区，但在慢性胰腺炎合并急性炎症时可出现假阳性结果。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3478', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '216', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">我国2005年慢性胰腺炎诊治指南提出，在排除胰腺癌的基础上，建议将下述4项作为慢性胰腺炎的主要诊断依据：①典型的临床表现（腹痛、胰腺外分泌功能不全症状）；②病理学检查；③影像学上有慢性胰腺炎的胰胆改变征象；④实验室检查有胰腺外分泌功能不全依据。其中第①项为诊断所必需，第②项阳性可确诊，①+③可基本确诊，①+④为疑似患者。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3479', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '216', '鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鉴别甚为困难。可用的方法：①血清CA19-9、CA125、CA50、CA242，在胰腺癌中阳性率较高，有一定参考价值，但有假阳性；②胰液检查：通过ERCP获取胰液，病理检查如发现癌细胞，则诊断肯定；同时胰液CA19-9检查及K-ras基因检测有一定鉴别诊断价值；③实时超声及EUS导引下细针胰腺穿刺，如发现癌细胞，可确诊，但阴性不能否定诊断；④EUS、CT、MRI和PET有助于鉴别。</p><p>2.消化性溃疡</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">十二指肠球部后壁穿透性溃疡可与胰腺粘连而引起顽固性疼痛。内镜检查可鉴别。</p><p>3.原发性胰腺萎缩</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多见于50岁以上的患者。无腹痛、脂肪泻、体重减轻、食欲缺乏和全身水肿等临床表现。超声及CT检查等一般能鉴别。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p><p><br/></p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3480', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '216', '治疗', '<p>（一）治疗原则</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①控制症状、改善生活质量；②去除病因和纠正存在的胰管梗阻因素、保护胰腺功能；③预防和治疗并发症，寻求胰腺内、外分泌功能替代治疗。</p><p>（二）内科治疗1.去除病因</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">戒酒和积极治疗胆道疾病，这是慢性胰腺炎的两大主因。如戒酒能使半数以上酒精性胰腺炎患者疼痛缓解，并可停止或延缓胰实质破坏的进展。甘油三酯增高［＞5.7mmol/L（500mg/dl）］需以他汀类药物逐步控制（阿托伐他汀的起始剂量为10～20mg/d）。硫唑嘌呤等药物都能引起胰腺炎，故应注意清除这些可能的原因。</p><p>2.止痛（1）胰酶制剂等非镇痛药物：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性胰腺炎患者外分泌不足可使CCK对胰腺的刺激加重，使疼痛加剧。胰酶可抑制CCK的释放和胰酶分泌，使疼痛得到缓解。H<span style=\"box-sizing: border-box; position: relative; font-size: 13px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体阻断药或质子泵抑制药可降低胰液的分泌量，降低胰管内压以减轻疼痛，另外还能增加胰酶制剂的疗效，因为保持胰酶活性的最佳pH应＞6.0。CCK受体阻断药（丙谷胺600mg/d）也有一定疗效。如经治疗，疼痛无改善甚至加重者，可试用生长抑素衍生物奥曲肽治疗，每次餐前100～200ug，皮下注射，症状减轻后改为中、晚餐前或仅在中餐前注射1次，以后再改为口服胰酶制剂。</p><p>（2）镇痛药物：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">宜以<a class=\"drugA\" style=\"box-sizing: border-box; background: transparent; color: rgb(51, 122, 183);\">对乙酰氨基酚</a>和非甾体类抗炎药物开始，如果必要，可用曲马朵或丙氧酚类的镇痛药物。只有在使用上述药物疼痛不能缓解或加重、或有并发症、或出现胃瘫方可使用麻醉性镇痛药物。吗啡能使肝胰壶腹部括约肌痉挛，应避免使用。</p><p>（3）腹腔神经丛麻醉或内脏神经切除：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">以上方法不能获得疼痛缓解者，可以使用CT或EUS介导的腹腔神经丛阻滞治疗。</p><p>3.胰酶不足的替代治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰酶制剂有助于改善消化吸收不良、脂肪泻。比较理想的胰酶制剂应是肠溶型、微粒型、高脂酶含量、不含胆酸。目前常用的有胰酶肠溶胶囊、复方消化酶胶囊、米曲菌酶肠溶胶囊等。</p><p>4.内分泌不足的替代</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要是糖尿病的治疗。</p><p>5.营养</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">营养不良者给予足够的热能、高蛋白、低脂饮食（脂肪摄入量限制在总热量的20%～50%以下，一般不超过50～75g/d），严重脂肪泻患者可静脉给予中长链三酰甘油（MCT/LCT）。少量多餐加上胰酶制剂。补充脂溶性维生素A、D、K及水溶性维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 13px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">12</span>、叶酸等。有条件者可应用要素饮食或全肠外营养。</p><p>（三）内镜治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">内镜下治疗简单、有效、微创、能重复应用，可作为大多数慢性胰腺炎的首选方法。内镜治疗主要用于慢性胰腺炎导致的Oddi括约肌狭窄（狭窄性十二指肠乳头炎）、胆总管下段狭窄和胰管开口狭窄和胰管结石。</p><p>1.胆总管狭窄</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胆总管狭窄的发生率约为10%～30%，可以首先考虑使用内镜支架治疗，但长期的疗效还不确定，但对年老和体弱的患者较为适用。</p><p>2.胰管高压扩张</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">疼痛为主要症状的特发性、胰腺分裂性及其他原因的慢性胰腺炎是经内镜胰管支架治疗的适应证。近期疼痛缓解较好，长期的疗效还不确定。</p><p>3.Oddi括约肌功能不良和胰管结石</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Oddi括约肌成形术治疗Oddi括约肌功能不良，短期止痛效果较好。胰管括约肌切开以利于胰管内结石排出。对有主胰管结石的患者，内镜网篮取石可以尝试。</p><p>4.其他</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在假性囊肿和肠腔间放置支架，使囊肿内液体流入肠道。胰瘘的治疗。超声内镜下腹腔神经丛阻滞，以缓解疼痛。</p><p>（四）外科治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">手术的目的为解除胰管梗阻、缓解疼痛及保证胰液和胆汁流出的通畅。手术指征：①反复发作的顽固性疼痛；②胰腺假性囊肿或囊肿形成；③可能合并胰腺癌；④有胸膜瘘且经内科治疗无效；⑤胆总管受肿大胰腺压迫出现黄疸；⑥有脾静脉血栓形成和门脉高压引起出血。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3481', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '216', '预后及预防', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性胰腺炎诊断后的20～25年内死亡率为50%，15%～20%的患者死于并发症，如严重营养不良、糖尿病，大约有4%患者发展为胰腺癌。积极治疗胆管疾病，不饮含酒精饮料，补充营养和使用胰酶制剂，控制糖尿病等对改善患者的生活质量及预后是有益的。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '12', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3482', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '807', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">下消化道出血是指十二指肠悬韧带（Treitz韧带）以下肠道的出血，包括空肠、回肠、结肠和直肠。痔与肛裂是临床常见的下消化道出血疾病，国内国外部分学者也将其纳入下消化道出血的范畴，而本文则不予纳入。根据出血速度，临床上将下消化道出血分为急性出血与慢性出血。急性出血部位结肠占75%，空回肠15%，部位不明占10%；依据出血量，临床上将下消化道出血分为显性出血与隐性出血。急性大量出血可引起重度贫血及循环衰竭。持续性慢性出血也常出现轻重不同的贫血症状。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3483', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '807', '病因', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">消化道出血的病因复杂多样，临床上以结直肠恶性肿瘤、肠道息肉多见。其次为炎症性疾病及结肠憩室。不同年龄段其病因也有所不同，儿童最常见是肠道息肉，青年多见于肠道炎症性疾病，中老年人结直肠癌最为常见。下面列出下消化道出血各种病因。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.肠道恶性肿瘤　包括结直肠癌、小肠癌，或其他器官恶性肿瘤浸润、转移至肠道，肠道恶性淋巴瘤和肉瘤，以及肠道类癌等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.肠道息肉　包括结直肠、小肠腺瘤，炎性息肉，家族性腺瘤性息肉病，Gardner综合征、Turcot综合征、幼年性息肉病和Peutz-Jeghers综合征等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.肠道炎症性疾病　包括溃疡性结肠炎和克罗恩病、肠结核、肠阿米巴病、急性坏死性小肠炎、放射性肠炎、缺血性肠炎和药物性肠炎等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.憩室　包括梅克尔憩室、小肠憩室、结肠憩室及结肠憩室病等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.血管性疾病　包括肠系膜血管栓塞和血栓形成、结肠静脉曲张、小肠和结肠血管畸形、肠血管瘤和遗传性出血性毛细血管扩张症等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">6.外伤与医源性出血　包括腹部外伤累及肠道或肠系膜血管、肠吻合术后吻合口出血、肠镜检查或治疗术后肠腔出血等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">7.全身性疾病　包括脓毒症、伤寒、流行性出血热、钩端螺旋体病，过敏性紫癜、白血病、再生障碍性贫血、多发性骨髓瘤、血友病，食物、药物中毒，血吸虫病、钩虫病，维生素K或维生素C缺乏等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">8.其他　包括腹外疝或腹内疝或其他原因引起的绞窄性肠梗阻、直肠孤立性溃疡综合征、小肠和结肠Dieulafoy病、结肠气囊肿症、门脉高压性肠病和子宫内膜异位症等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">9.病因不明的下消化道出血。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3484', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '807', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">下消化道出血病因复杂多样，临床表现各不相同，血便是其典型共同的临床表现。根据出血部位、出血量、出血速度以及出血在肠道内停留时间的长短，血便的性质各有不同。高位肠道出血或出血在肠道内停留时间过久，粪便呈现柏油样或果酱样颜色，并伴有特殊的腥臭味；左半结肠特别是直肠乙状结肠的出血，粪便呈现程度不同的“红”色，可以从暗红到鲜红。出血量越大、出血部位越低、出血越快、在肠道停留时间越短，粪便的“红”颜色越鲜艳。一次出血量少，粪便颜色可以基本正常，仅在粪便潜血试验才提示肠道有出血。出现黑便并不仅见于上消化道出血，下消化道出血也可表现为黑便或粪便潜血试验阳性，这种情况可见于少量出血并停留在肠腔内较久的患者。食用动物血液或肉类，服用易导致粪便呈黑色的药物如铋剂、甘草等也可以出现黑便，而食用动物血液或肉类更容易出现化学法粪便潜血试验的假阳性。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">少量出血并不引起血容量改变和其他症状；长期慢性出血可以引起贫血；急性大量出血可出现休克症状和体征。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">不同的病因，下消化道出血有不同的临床表现：</p><p>1.结直肠癌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">结直肠癌早期病变仅局限于黏膜或黏膜下层，可以不出现血便。当肿瘤逐渐增大并向肌层及浆膜层浸润时，黏膜层表面由于炎症、血运障碍以及机械刺激等原因，发生糜烂或溃疡并开始出血。若糜烂与溃疡累及较大的血管，或者肿瘤组织坏死脱落，则可有大出血。少量出血，肉眼不易察觉，但粪便潜血试验可显示阳性。大量出血可见肉眼血便，颜色以暗红色为主。较高部位如盲肠癌可有柏油样黑便，低位乙状结肠和直肠癌可见鲜红色血便。远端结肠与直肠特别是直肠血便应与痔和肛裂相鉴别。痔发生的血便常常血液附着在粪便的表面，肛裂便后出血并伴有规律性疼痛。而结直肠癌血便颜色更深，血液夹杂与粪便之中，并伴有黏液脓血以及坏死脱落组织。排便习惯及性状的改变是结直肠癌最早出现的症状。不同程度的腹痛、腹胀症状约在60%～80%结直肠癌患者中出现；腹部包块为大多数患者的首诊主诉之一。当病情进展时，患者可以出现贫血、消瘦、乏力、发热等慢性消耗症状。晚期患者可以出现黄疸、水肿、腹水以及锁骨上淋巴结转移等。</p><p>2.肠息肉及息肉病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">小的息肉或黏膜表面光滑血供充分的息肉通常很少出血，当息肉增大，黏膜表面破损时可以有出血。通常出血量少，但可以反复多次出血，黑便少见。肉眼血便可见血液附着在粪便表面，粪便潜血试验可能提示有其他症状不明显的肠息肉。结肠息肉还可以出现腹泻、黏液血便等肠道刺激症状，盲肠及小肠巨大息肉可能出现肠梗阻等症状。小儿下消化道出血最常见的病因是肠道息肉，幼年性息肉常见于10岁以下的幼儿。多呈单发性，60%发生于距离肛门10cm以内，临床表现为内痔样出血及便后肿块脱出。多种息肉病如家族性腺瘤性息肉病（FAP）、Peutz-Jeghers综合征、Gardner综合征等为遗传性疾病，多有家族史。</p><p>3.炎症性肠病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">炎症性肠病是溃疡性结肠炎与克罗恩病的总称。溃疡性结肠炎多发生于结肠，特别是直肠乙状结肠更多见。病变主要局限于黏膜与黏膜下层，以黏液脓血便常见。由于黏膜与黏膜下层较少大血管，故大出血少见。一旦出现大出血即表示病情危重。溃疡性结肠炎还有腹泻、腹痛等其他症状及多种肠外表现，中毒性巨结肠为其主要并发症。克罗恩病多见于回肠末段及近段结肠，累及肠壁全层，黏膜溃疡可呈鹅口疮样、纵行溃疡或裂隙溃疡。临床少见黏液脓血便，但粪便潜血常常阳性。由于病变较深，肠道大出血多见。临床表现还包括腹泻、腹痛、腹部包块、瘘管形成、肛周病变以及多种肠外表现。肠梗阻、腹腔内脓肿以及肠道大出血为其主要并发症。</p><p>4.结肠憩室与梅克尔憩室</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">结肠憩室在我国少见，多发于欧美国家。结肠憩室多发于直肠乙状结肠，单纯的结肠憩室常无任何临床表现，只在出现憩室炎等并发症时才出现临床症状。急性憩室炎可以出现有血便或粪便潜血试验阳性，但出血通常为自限性，可以随憩室炎的好转而止血。若急性憩室炎出现急性大量出血，通常伴随穿孔或脓肿的破溃，提示预后不良。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">梅克尔憩室常位于回肠末段，肠系膜缘的对侧，多见于小儿，为小儿下消化道出血的常见病因之一，血便为其常见症状。从病理角度而言，几乎所有的有出血症状的梅克尔憩室内都存在异位胃黏膜。其他还有脐部黏液样或粪样分泌物以及憩室炎、肠梗阻等临床表现及并发症，手术切除为其治疗原则。</p><p>5.过敏性紫癜</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">过敏性紫癜可分为单纯型、关节型、腹型、肾型以及复合型等多种。其中腹型以及复合型可以出现肠道出血。常常为黏膜内出血，很少出现大出血，出血症状通常为更为严重的腹痛症状所掩盖而忽视。当过敏性紫癜仅仅表现为腹痛、腹泻、黏液便及血便的时候，常被误诊为急腹症。</p><p>6.医源性出血</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多种腹部手术涉及消化道重建吻合手术，其常见并发症之一即为吻合口出血。出血原因可以是吻合口渗血或吻合口血管出血，临床通常表现为不同程度的血便。</p><p>7.其他少见疾病（1）小肠和结肠Dieulafoy病：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">为少见的可以发生于胃肠道任何部位的出血性病变。病灶可为溃疡、糜烂或隆起型，病灶表面常可见一动脉裸露，动脉破裂容易造成活动性出血。不明原因的下消化道出血需考虑此病的可能。</p><p>（2）结肠静脉曲张：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多种原因可以引起结肠静脉曲张，最常见病因是门静脉高压。最常见的部位是直肠乙状结肠交界处，静脉曲张破裂可引起持续性大量出血并引起血容量不足的症状。</p><p>（3）遗传性出血性毛细血管扩张症：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">少见的常染色体遗传性疾病，表现为皮肤、黏膜及内脏器官的毛细血管扩张，形成血管瘤并容易出血。发生于结肠的弥漫性海绵状血管瘤一旦出血则极为凶险。</p><p>（4）多发性骨髓瘤：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">为浆细胞克隆性血液系统恶性疾病，临床表现为贫血、骨痛、肾功能不全、反复感染、出血、关节痛等，部分出现下消化道出血症状，出血量通常不多，极少数以下消化道大出血为首发症状的多发性骨髓瘤易被误诊或延误诊断。</p><p>（5）结肠气囊肿：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床少见，病因不明，多合并肺气肿等呼吸系统疾病。出血量少，但可以反复出血，在原发病缓解后，症状可以缓解甚至消失。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">其他报道的极少见的下消化道出血病因还有：结肠毛霉菌病、结肠缺血等，对病因不明的下消化道出血作鉴别诊断时应该考虑是否存在这些因素。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3485', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '807', '诊断', '<p>1.病史与体检</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在询问病史时应注意出血量、出血时间、血便颜色及出血次数，有无伴发腹痛、腹泻、黏液血便等其他腹部症状。注意询问家族史，有无其他系统和器官的症状体征或病变，有无腹部包块。体检时应该注意腹部体征，有无腹部包块，有无腹部出血点及曲张静脉等；直肠指检可以鉴别直肠癌、直肠腺瘤，借助肛门镜可以鉴别痔与肛裂及其他肛周疾病。</p><p>2.粪便潜血试验</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">大部分的下消化道出血为隐性出血，粪便潜血试验（FOBT）为无创简便的诊断消化道出血方法，既能检查隐性出血，又能确诊显性出血。目前FOBT检测方法主要有愈创树脂法（化学法）和免疫法。两者敏感性相似，但愈创树脂法易受饮食因素影响有较多假阳性结果。免疫法应用抗人血红蛋白的单克隆或多克隆抗体来监测粪便潜血，避免了饮食因素的影响，并且对上消化道出血显示阴性，增加了检测的特异性。FOBT阳性表明检查时存在下消化道出血，但对于间断性出血者，FOBT阴性显然不能排除出血性疾病的可能。Lieberman等的研究表明仅24%的大肠癌FOBT阳性，7%的大肠腺瘤FOBT检测阳性。增加FOBT的检测次数，可以增加阳性率。</p><p>3.消化道内镜检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">电子结肠镜检查是确诊下消化道出血的重要手段之一，不仅可以应用于诊断，还可针对性地进行疾病的治疗。许多以前需要手术的病例，在纤维结肠镜下得到确切有效的治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">小肠镜可以检查胃镜与结肠镜所不能到达的空回肠盲区。新型推进式小肠镜检查的范围仍有限，可以检查约150cm的小肠范围。探条式小肠镜依靠小肠的蠕动可以达到回盲部，但存在患者痛苦、设备昂贵以及检查时间漫长等缺点，难以推广应用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胶囊内镜自2001年在以色列诞生并在美国FDA批准上市以来，作为近年来新兴的一种检查方法逐渐进入临床。胶囊内镜是一种特别的“小丸”，吞下后可随胃肠蠕动向前移动，依靠“小丸”中的影像捕捉系统作腔内摄影，并将图像资料传出体外，通过电脑处理反复观看。国内有一组临床报告：疑似小肠疾病经胶囊内镜的诊断阳性率为74%；32例不明原因消化道出血患者，胶囊内镜与推进式小肠镜检查的检出率分别为82%及31%，其诊断率为66%及25%。虽然存在价格昂贵、捕捉图像的随机性以及难以取活检等限制，随着技术的改进，胶囊内镜正有着逐步取代小肠镜的趋势。</p><p>4.X线检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">结肠气钡双重对比造影检查是纤维结肠镜检查的有益补充，可以对结肠病变做整体评价，显示结肠功能的变化。但其敏感性相对较低，难以发现小于0.5cm的病变，无法行活检，因此目前更多被纤维结肠镜所替代不作为首选方法。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在胶囊内镜尚难普及之时，小肠气钡双重对比造影仍是目前诊断小肠病变的检查方法。该方法能发现小肠溃疡、肿瘤以及肠腔狭窄等病变。一般的小肠钡餐造影也用于小肠疾病的诊断，是梅克尔憩室最主要的诊断方法之一。钡剂造影检查只适用于出血已停止或隐性出血的患者，活动性出血者为禁忌。</p><p>5.CT检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常规CT检查可以发现结肠或小肠的占位性病变如：肠道良恶性肿瘤等。CT结肠成像是通过CT技术建立结肠的3D或2D图像，与结肠镜相比，具有无创性的优点。因其不是治疗手段，有阳性发现后仍需要结肠镜介入或血管造影，而且对于设备技术和肠道准备的要求很高，因此目前不能作为常规检查方法，可以在其他方法不适宜的时候做为一种替代方法。文献报道螺旋CT诊断下消化道出血的敏感度在74%～82%，也有学者主张把螺旋CT检查作为急性下消化道出血的首选诊断工具，认为螺旋CT与肠镜及血管造影相比，快速、易行、低风险、操作少、且敏感性与特异性更高。Rohan随机对照了血管造影与螺旋CT在下消化道出血诊断中的应用价值，考虑风险性、时间性、可操作性以及敏感性等综合因素，认为螺旋CT的实际应用价值更高，建议急性下消化道出血经过初步处理后先予以螺旋CT检查，当有阳性结果发现时，则可以直接选择相应的治疗措施，如血管介入栓塞、肠镜下治疗或直接手术治疗；当CT未发现阳性结果时，若经初步处理出血停止，则予以观察或者择期行肠镜检查或血管造影；若经初步处理出血仍未停止且CT结果为阴性时，则选择急诊肠镜或者血管造影检查。</p><p>6.数字减影血管造影（DSA）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">数字减影血管造影是经皮股动脉穿刺插管，作选择性腹腔内器官血管造影。一般先行腹腔动脉造影，再行肠系膜上动脉造影，最后行肠系膜下动脉造影，依次观察上腹、左腹、右腹和下腹部。DSA在急性下消化道出血的诊断与治疗中有一定的优势。在急性下消化道出血时，由于出血使结肠镜视野模糊，钡剂灌肠又属禁忌，DSA成为很好的选择，不但可以找到出血点，而且可以经过栓塞或灌注止血药物而达到治疗目的。某些急性大量出血，经DSA技术还可以暂时减缓出血速度或暂时止血以保护患者生命，并可以精确定位，为手术或治疗原发疾病争取宝贵的时间。肠道内出血量每小时＞50ml时，应用DSA检查可以发现出血病灶。另外，常规肠镜检查很难发现血管瘤，特别是扁平状血管瘤、肠道血管发育不良、血管畸形、血管扩张等疾病，DSA在这方面则有其特殊优势。随着DSA的广泛应用，一些以前不明病因的下消化道出血可以得到明确诊断。</p><p>7.核素显像</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">核素显像多应用于小儿梅克尔憩室的诊断以及其他病因不明的下消化道出血的诊断。由于<span style=\"box-sizing: border-box; position: relative; font-size: 13px; line-height: 0; vertical-align: baseline; top: -0.5em;\">99m</span>Tc过氧酸钠（<img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%A4%96%E7%A7%91%E5%AD%A6%EF%BC%88%E4%B8%8A%E5%86%8C%EF%BC%89_978-7-117-14353-0/pics/BZ_825_1657_3130_1780_3173.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/>）与胃黏膜有特殊的亲和力，该方法常用于肠道异位胃黏膜特别是梅克尔憩室的诊断。国内有报道用此方法诊断小儿肠道异位胃黏膜的阳性率可达68.42%。<span style=\"box-sizing: border-box; position: relative; font-size: 13px; line-height: 0; vertical-align: baseline; top: -0.5em;\">99m</span>TcRBC血池显像用于诊断急性活动性出血，与DSA相比，具有敏感性高以及可以术中定位的特点。但不能对急性出血进行治疗，更多是用于小的活动性出血的诊断与定位。有研究报道<span style=\"box-sizing: border-box; position: relative; font-size: 13px; line-height: 0; vertical-align: baseline; top: -0.5em;\">99m</span>TcRBC血池显像的阴性率较高，其中约25%发生再次出血。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3486', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '807', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">不同病因、出血量与出血速度不同，治疗方案各不相同。急性大量出血的治疗原则是首选以补充血容量、抗休克为主，待出血停止或出血量减少后再考虑原发病的治疗。慢性出血及隐性出血则应及早进行原发病的治疗。</p><p>1.内镜治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">随着纤维结肠镜的广泛应用，内镜不但可以达到止血的目的，而且可以对部分原发病进行有效的治疗。对于小的出血点，可以采取微波、激光、高频电凝等方法止血，对于面积较大的渗血，可以局部喷洒1∶20去甲肾上腺素或5%～10%孟氏液的方法，对于上述方法无效或较大的出血部位，还可以试用血管夹夹闭的方法。目前内镜下不但可以对带蒂的息肉进行有效结扎切除，而且对于广基息肉或癌变进行黏膜下肿瘤剥离术（ESD），可对2cm以下的结直肠类癌进行根治性的治疗。</p><p>2.手术治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">不能明确病因且持续性下消化道出血的患者，经内镜、介入或药物治疗而无效的情况下需要考虑手术探查。手术探查目的是尽快找到出血部位并迅速止血。对于病因已明确的下消化道出血，即使出血已控制，仍应该对有指征的患者作手术治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">医源性出血如吻合口渗血经保守治疗可以治愈而不需二次手术，若吻合口血管出血较严重，需要急诊手术止血治疗。结肠镜检查，特别是结肠镜下特殊治疗之后可能发生下消化道出血，与肠镜时操作不规范以及肠镜手术止血不彻底有关之外，还与患者的全身情况如凝血功能障碍、营养不良等以及局部组织不健康等因素相关。大多数病例经保守治疗或肠镜下止血可以取得理想的效果，严重的出血需考虑手术止血。</p><p>3.介入治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DSA不但可以进行诊断，而且也可作积极的治疗，特别是急性活动性下消化道出血的治疗。可采用垂体后叶素局部灌注或栓塞治疗，垂体后叶素局部灌注浓度不宜过大。但对较粗的血管且存在心律失常以及可能存在肠缺血等严重并发症的患者，需要谨慎使用。栓塞治疗常用的材料包括吸收性明胶海绵、PVA颗粒以及金属线圈等，PVA颗粒较吸收性明胶海绵更易经导管注入，栓塞效果更持久，因此临床上更多应用。栓塞治疗时应确保足够的侧支循环以保证肠管的血供。介入止血治疗只是暂时的止血手段，并不能对造成下消化道出血的病因作彻底的治疗，只是挽救患者的生命以提供二期治疗的机会，因此除局部的血管扩张、动静脉畸形之外，在介入止血术后大多数患者还应该考虑对其原发病作治疗。</p><p>4.内科治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性出血应及时输血、输液以补充血容量，抗休克。慢性出血出现贫血症状时，根据患者的情况予以适当的纠正贫血治疗。全身止血药物的应用，包括维生素K<span style=\"box-sizing: border-box; position: relative; font-size: 13px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>，氨甲苯酸，注射用血凝酶等药物；生长抑素类药物可以减少内脏器官的循环血量、增加血小板的聚集以及降低门静脉血压，达到止血目的；质子泵抑制剂对于异位胃黏膜引起的出血有一定的效果。对已证实的炎性肠病，应作针对性的内科治疗。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3489', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1666', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">荨麻疹的损害是迅速出现及消退的风疹块，临床称为风团，是由于皮肤、黏膜小血管扩张及渗透性增加而出现的一种局限性水肿反应，通常在2～24小时内消退，但反复发生新的皮疹。迁延数日至数月。有15%～20%的人一生中至少发作过一次荨麻疹。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;朱德生皮肤病学</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3490', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1666', '症状', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">损害是迅速出现的风团(图22-19)，在风团出现前几分钟，局部常发痒或有麻刺感。有的患者在风团出现前数小时或1～2天内可有食欲不好、全身不适、头痛或发热等全身症状。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">风团扁平发红，或是淡黄或苍白的水肿性斑块，而边缘有红晕。有时风团呈环形，几个相邻的环性损害可以相接或融合而成地图状，偶有风团形成水疱、大疱，水疱发生于似乎正常的皮肤上，但常有红晕。这类风疹块较易发生于儿童。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">风团已消失处在24小时内一般不再发生新损害。风团消失后，皮肤恢复正常。有的有暂时的色素斑或含铁血黄素沉着，应考虑荨麻疹型血管炎的可能。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">风团的大小及数目不定，可出现于任何部位的皮肤，如果出现于唇部、眼皮或眶部四周，患处显著肿胀。舌、口腔或咽喉等处黏膜都可累及。呼吸道症状表现为哮喘或喉头水肿，严重的喉水肿可引起呼吸困难甚至窒息。胃肠道症状有恶心、呕吐、腹痛、腹泻。有蛋白尿或血尿的很少见。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">风团引起剧痒、针刺或灼热感，但个人的程度不同。严重的患者有头痛、发热等全身症状，尤其急性荨麻疹患者可发热达40℃左右，血压可降低，甚至发生昏厥和休克，需及时处理。大多数患者只有发痒的风团而无其他症状。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">风团的病程不定。有的患者在1日之内可发生数次皮疹，经过几天或1～2周至数周后停止发作，可称为急性荨麻疹(urticaria acuta)。若反复发作达每周至少两次并连续6周以上者称为慢性荨麻疹(urticaria chronica)。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">荨麻疹有几种特殊类型:</p><p>1.人工荨麻疹(urticaria factitia)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">又称皮肤划痕征(dermatographism)。用钝的硬物尖端如铅笔尖或牙签之类在皮肤上划写，划处即渐出现红线、红晕及水肿的三联反应，表现为清晰的红线状隆起风团(图22-20)，而别处并无自然出现的风团。不久以后，皮肤划痕逐渐自然消失。本类型可与其他类型荨麻疹同时存在。</p><p>2.压迫性荨麻疹(pressure urticaria)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">出现于摩擦或受压的部位，局部大范围肿胀似血管性水肿，易发生于掌跖、臀部，也可发生于衣服、皮带、腰带等束压处。轻度压力即可使受压部位在4～6小时后发生肿胀和深处疼痛的风疹块，经8～24小时才消失。</p><p>3.接触性荨麻疹(contact urticaria)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">皮肤接触某些变应原后发生风团和发红，称为接触性荨麻疹，此型并不罕见，最常见的致敏物质是食物、食品附加物、药物、禾本科植物、动物、橡胶和某些化学品等。风团往往发生于口周围及手部，也可泛发。接触性荨麻疹容易发生在特应性皮炎的儿童中，伴有哮喘等其他过敏症状时被称为接触性荨麻疹综合征(contact urticaria syndrome)。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">诊断接触性荨麻疹，可用致敏物质开放斑贴于正常皮肤，15～30分钟后发生风团即可确定。</p><p>4.寒冷性荨麻疹(cold urticaria)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">分遗传性及获得性两种。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">遗传性寒冷性荨麻疹为常染色体显性遗传，在婴儿时期即出现，以后可持续终生。患者遇冷后0.5～4小时左右，发生不太痒但有烧灼感的风疹块，伴有头痛、发热、关节痛、白细胞增多等全身症状。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">获得性寒冷性荨麻疹常开始出现于儿童或青年时期。在气温突然降低、浸泡冷水或接触寒冷处后，接触或暴露部位如面部及手、足等处在数分钟内发生水肿和风团，严重时也可出现于身体其他部位。风团出现于回暖而不正在受寒之时，如用冰块放在前臂上，移除后回暖时，风团即可出现。患者常有冷球蛋白血症、冷溶血素血症、冷凝集素血症、冷纤维蛋白原血症或有梅毒、结缔组织疾病、血管炎疾病或造血系统恶性病变等。有的患者用冷水洗澡或突遇冷空气时，除发生广泛的风团外，还有恶心、呕吐、头痛、心跳加快等全身性症状，严重时全身皮肤发红，并发生昏厥或休克症状。</p><p>5.热性荨麻疹(heat urticaria)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">较少见。在任何形式的皮肤受热(43℃)后几分钟，局部发生瘙痒和风团，持续1小时左右，与胆碱能性荨麻疹不同。全身突然遇热时也可发生昏厥或休克。</p><p>6.水源性荨麻疹(aquagenic urticaria)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">皮肤接触任何温度的水后，数分钟至30分钟内均可引发微小的点状毛囊周围风团，多累及颈、臂和躯干上部，伴有瘙痒，持续30～45分钟。应与水源性瘙痒症区别，后者是在水接触后发生瘙痒而无明显皮损。浴前1小时口服抗组胺药可减少风团形成，凡士林或东莨菪碱外用可防止皮损发生。</p><p>7.日光荨麻疹(solar urticaria)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">又称光源性荨麻疹(urticaria photogenica)。在阳光照射后数分钟内，日晒部位发生刺痛及发痒的红斑和风疹块(图22-21)，风团也可波及非暴露皮肤，特别是衣服单薄，遮盖较差的部位。避免日晒后经一至数小时消退。反应严重时可伴有寒战、倦怠、腹痛甚至休克。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">紫外线、可见光线或不可见的红外线都能引起此种荨麻疹，对波长为300nm的紫外线尤易发生。</p><p>8.血管性水肿(angioedema)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">原称血管神经性水肿或巨大荨麻疹(见后)，遗传性血管性水肿(hereditary angioedema)又称慢性家族性巨大荨麻疹(见后)，都被认为荨麻疹的特型。</p><p>9.胆碱能性荨麻疹(cholinergic urticaria)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">在情绪激动、剧烈运动或劳动、外界温度较高或摄入热饮食时出现，尤其在出汗时容易发生。皮疹是较多的发痒风团，直径约1～3mm，周围有红晕，可广泛分布于身体任何部位，但一般不见于掌跖。严重时伴有头晕、头痛、腹痛、腹泻甚至休克等症状。风团经半小时到1～2小时后消退，但可反复发作达数月或数年之久。皮内注射或口服胆碱能性药物能引起相似的反应。</p><p>10.肾上腺素能性荨麻疹(adrenergic urticaria)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">肾上腺素能性荨麻疹是一种罕见的精神应激诱发的荨麻疹，伴有血清儿茶酚胺增多。多发生于易感个体经历一段情绪应激之后。风团大小类似于胆碱能性荨麻疹，周围包绕苍白晕而非红斑是两者的差别。皮内注射(去甲)肾上腺素可诱发典型的皮损，肾上腺素能受体阻滞剂如普萘洛尔(普萘洛尔)等治疗有良好疗效。</p><p>11.血清病性荨麻疹(serum sickness urticaria)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">外源性血清、药物和动物性疫苗是导致血清病性荨麻疹的常见病因。发病前常在注射部位出现红斑和水肿反应。广泛性淋巴结肿大是血清病的第一个体征，体温常升高。50%的患者出现关节疼痛和僵硬。少数患者可发生外周神经炎，有时可伴肾损害。实验室检查白细胞下降，嗜酸性粒细胞升高。</p><p>12.荨麻疹性血管炎(urticarial vasculitis)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">荨麻疹损害和坏死性血管炎是临床特征，皮损持续24～72小时，可遗留紫癜、鳞屑和色素沉着，并可伴有明显的烧灼感和疼痛，瘙痒较轻(图22-22、23)。有时可有血管性水肿、发热及关节痛症状。实验室检查:低补体血症，30%的患者抗核抗体阳性。外周血白细胞正常或增加，中性粒细胞比例增加。血沉快。皮肤活检显示白细胞碎裂性血管炎改变。抗组胺药治疗无效，必须系统应用糖皮质激素，亦可用氨苯砜等进行治疗。</p><p>13.蛋白胨性荨麻疹(peptone urticaria)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在暴饮暴食(猪肉和海货)并有精神激动和大量饮酒时，食物中的蛋白胨未被消化即经胃肠道吸收而引起发病。此型荨麻疹主要表现皮肤广泛充血、发红，有较小的风团。可伴有头痛、发软、乏力。病程很短，一般为1～2天。</p><p>14.伴有神经症状的荨麻疹(urticaria with nervous symptom)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">引起荨麻疹的一些化学介质影响了血-脑屏障，使脑部毛细血管通透性增高而发生脑水肿，或发生脑膜刺激症状，影响脑神经细胞的功能，出现头痛、恶心、呕吐，严重者抽搐、昏迷，甚至发生脑疝而死亡。脑电图可出现快波节律紊乱。</p><p>15.心脏性荨麻疹(cardiac urticaria)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">具有典型的荨麻疹皮损同时伴发心脏功能性改变。可表现为心悸、心慌不适、胸痛、胸闷、气急、心律失常等，心电图有明显的非特异性改变。心脏性改变随皮疹消退而恢复正常。</p><p>16.关节、肌肉型荨麻疹(articular and musular urticaria)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">皮损可全身泛发，肌肉症状表现为肌肉疼痛、肿胀和压痛及四肢活动障碍。关节疼痛，活动受限，但无肿胀。关节、肌肉症状随皮疹消退缓解或持续数天消失。发病机制可能与某些致炎、致痛介质共同作用有关。</p><p>17.胃肠型荨麻疹(gastroenterolog ic urticaria)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">典型荨麻疹症状伴有恶心、呕吐、腹痛、腹泻、偶有少量腹水形成。腹痛范围广，无固定压痛点，腹泻一般为水泻，无脓血便，无里急后重感。白细胞可轻度增高，嗜酸性粒细胞可增高。治疗除用抗组胺药外，可口服阿托品或颠茄，皮质激素治疗是必要的。</p><p>18.花生四烯酸介导性荨麻疹(arachidonic acid mediated urticaria)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">阿司匹林是慢性荨麻疹的常见原因，但有时被忽视。此型荨麻疹为花生四烯酸介导性荨麻疹。许多患者不能耐受非甾体类抗炎药、防腐剂、偶氮染料、食品添加剂及具有阿司匹林特性的工业化合物等。可口服依巴斯汀或孟鲁司特。</p><p>19.继发性荨麻疹(secondary urticaria)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">继发于其他疾病者，如药物性荨麻疹样发疹。呋喃唑酮引起的荨麻疹有类似血清病样反应;一些感染性疾病如乙肝和丙肝、莱姆病、传染性单核细胞增多症等;高丙种球蛋白血症、血液系统疾病;自身免疫病的红斑狼疮、干燥综合征、其他恶性肿瘤等。</p><p>20.自身免疫性荨麻疹(Autoimmune urticaria)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年来随着对功能性自身抗体的了解，建立了自身免疫性荨麻疹这一概念。所谓自身免疫性荨麻疹是指非外源性所致，而是自身抗体通过与高亲和性IgE受体交联，激活肥大细胞和嗜碱性粒细胞释放组胺而引起荨麻疹。研究发现，将慢性特发性荨麻疹(CIU)患者自身血清注射在外观正常的皮肤可引起风团及潮红反应，这种试验被称为自身血清皮肤试验(autologous serum skin test，ASST)。ASST试验仅发生于疾病的发作期。反应处的风团与CIU的风团非常相似，并可在24小时内完全消退，而且可被抗组胺药所抑制。约50%～60%发作期的CIU患者的ASST反应阳性。ASST并不是自身免疫性荨麻疹的特异性试验，但它仍然是检测慢性荨麻疹患者血清中内源性血管活化因子的最好方法，可作为简单的筛选试验，因为ASST阳性的慢性荨麻疹患者更有可能具有内源性病因。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;朱德生皮肤病学</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3491', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1666', '病因', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">引起荨麻疹发生的因素很多，如食物及食物添加剂、药物、感染、虫咬、寄生虫、吸入物等。但80%～90%患者的真正诱因不能找到，有的可和精神因素及内分泌改变有关，而冷、热、紫外线等仅偶然成为病因。此外，其他疾病如体内感染、结缔组织病、血管炎、恶性肿瘤、肝炎等容易伴发慢性荨麻疹。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">非免疫性荨麻疹主要为胆碱能性荨麻疹及皮肤划痕症(人工荨麻疹)。搔抓等外伤、衣鞋太紧、站立太久等外压的压迫性荨麻疹和皮肤划痕症是同一性质。非免疫性荨麻疹可和IgE有关，或是由激肽类、过敏休克缓慢反应物质或其他扩张血管的介质引起。</p><p>1.食物</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">食物是荨麻疹尤其急性荨麻疹最常见的原因，主要是动物蛋白性食物，如鱼、虾、蟹、蛤、鸡蛋、牛奶、肉类等。也可以是番茄、草莓、可可等植物性食品或大蒜等香料调味品，经消化道吸收而引起荨麻疹，常伴有胃肠道症状。在发生腹泻、便秘等胃肠功能紊乱的情况下，不能通过正常黏膜的食糜成分可在此时吸收，因而更易引起荨麻疹。具有解毒作用的肝脏如果功能不良，也常使食物吸收后引起荨麻疹。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">食物引起的荨麻疹大多属于Ⅰ型变态反应。有的食物可直接作用于肥大细胞促使组胺释放，引起非免疫性荨麻疹。</p><p>2.药物</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多种药物可引起荨麻疹性药疹。常用药物如抗生素、磺胺类、各种血清及疫苗、阿司匹林等止痛剂、吗啡等麻醉药、苯巴比妥等安眠药、ACTH等激素以及呋喃唑酮、胰岛素等都容易引起急性荨麻疹。在慢性荨麻疹中，由于药物引起的仅约占2%。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">药疹性荨麻疹常属Ⅰ型或Ⅲ型变态反应，例如，青霉素常引起荨麻疹，可同时发生过敏性休克，也可发生血清病样反应。有些药疹性荨麻疹并非免疫性反应，例如吗啡、可待因、阿托品及奎宁等能使肥大细胞脱颗粒而释放组胺，阿司匹林使肥大细胞内cAMP减少而激发或加重荨麻疹。</p><p>3.吸入物</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">吸入物如花粉、灰尘、动物皮屑、真菌芽孢、喷雾剂等引起的荨麻疹一般是特应性反应，常伴有哮喘或枯草热等，血液中IgE增高，可以被动转移，可属于Ⅰ型变态反应。</p><p>4.感染</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">各种急慢性感染因素均可引起荨麻疹。细菌性感染如扁桃体炎、牙槽脓肿、鼻窦炎、尿路感染、胆道感染、败血症、脓皮病、盆腔炎及其他泌尿生殖系统感染等。病毒性感染如上呼吸道感染、病毒性肝炎、传染性单核细胞增多症等。真菌感染如皮肤癣菌病、念珠菌病等。原虫感染如阿米巴病、疟疾等，肠内寄生虫感染如蛔虫、钩虫、绦虫、血吸虫等。各种感染所致荨麻疹被认为Ⅰ型变态反应。感染病灶常是慢性荨麻疹的病因。</p><p>5.虫咬</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">昆虫等动物的叮咬常引起荨麻疹。螨咬症常表现为中央有瘀点的小风团，跳蚤、臭虫等往往是丘疹性荨麻疹的病因。</p><p>6.接触</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">皮肤和某些药物、化学品、漆树或荨麻等植物、毒蛾或毛虫等动物接触后，可发生属于Ⅰ型变态反应的荨麻疹。有的和免疫无关。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">接触性荨麻疹最常见于接触鱼、肉、蛤类及蔬菜的家庭妇女和厨师，也常见于染料工人及药剂人员等。</p><p>7.物理因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">冷、热、日光、摩擦和压力可引起免疫性或非免疫性荨麻疹。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">寒冷性荨麻疹患者血浆中含有可被动转移的IgE，约30%～50%患者有哮喘或枯草热等过敏史，而遗传性患者的冰块试验及被动转移试验阴性，被认为常染色体显性遗传而和变态反应无关。热性荨麻疹的各种免疫试验阴性。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">皮肤划痕症的发病率占荨麻疹的8%～9%，一般属于Ⅰ型变态反应，少数为Ⅳ型。而压力性荨麻疹的免疫学测定结果是阴性，被认为非免疫性荨麻疹。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">温热、运动及情绪引起的胆碱能性荨麻疹主要由于神经冲动传给自主神经系统的胆碱能性神经。神经末梢被兴奋而释放乙酰胆碱，除引起荨麻疹外，还可引起腹痛、面部赤红、唾液增加、虚脱等症状，很像注射乙酰胆碱所引起的反应。如果用醋甲胆碱(methacholine)0.01mg作皮内注射，局部发生的风团比正常人于注射后所发生的大得多，正常人在注射后10分钟后所发生的风团直径仅约1～1.5cm，可见胆碱能性荨麻疹患者对乙酰胆碱的敏感性高于正常人。有人认为患者的胆碱酯酶功能有缺陷，不能迅速消除体内所释放的乙酰胆碱，因而产生风团。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">日光性荨麻疹同内源性或外源性光致敏物质有关，少数患者伴有卟啉症。被动转移试验时有时呈阳性反应而表明光变应性反应的存在。</p><p>8.内脏疾病及某些其他疾病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝炎、阿米巴病尤其破裂的包虫囊肿等，胃、肠、肝、肾等内脏疾病，风湿热、类风湿关节炎、全身性(系统性)红斑狼疮等结缔组织疾病，坏死性(变应性)血管炎包括过敏性紫癜等病，月经、妊娠或某些妇女生殖器官障碍，甲状腺功能亢进，恶性淋巴瘤、霍奇金(Hodgkin)病或其他体内恶性肿瘤，震颤瘫痪、脊髓痨等神经系统疾病都可成为荨麻疹尤其慢性荨麻疹的病因。&nbsp;发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">荨麻疹有不同的发病原理。一种是抗原抗体相作用的变态反应，大多数荨麻疹尤其急性荨麻疹是这种免疫学反应。另一种是不经免疫学机制而使肥大细胞和嗜碱性粒细胞放出组胺等介质所引起的荨麻疹。第三种是某些因素直接使皮肤血管扩张而产生的荨麻疹。另有少数患者的荨麻疹和遗传有关。因此，发病原理可有变态反应、非真正变态反应、血管刺激反应、遗传性及自身免疫五类性质。</p><p>1.变态反应</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多数荨麻疹属于Ⅰ型变态反应。抗原刺激人体产生特殊性IgE抗体，附着于肥大细胞及血液的嗜碱性粒细胞上，再遇特殊性抗原时，则引起这些细胞发生酶功能失调等变化，细胞内颗粒脱出，释放组胺、缓激肽等激肽类、肝素、过敏休克缓慢反应物质(SRS-A)、前列腺素等介质，这些介质特别是组胺的释放使毛细血管扩张、血管渗透性增加、平滑肌痉挛、腺体分泌增加，引起皮肤风疹块、血管性水肿、哮喘、腹痛、血压下降、休克等症状。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">荨麻疹也可属于Ⅲ型变态反应，如血清病中荨麻疹性皮疹即属于Ⅲ型。抗原抗体复合物激活补体，产生过敏毒素(C3a及C5a)，释放趋化因子，吸引嗜中性粒细胞，放出溶酶体酶，都能作用于肥大细胞及嗜碱性粒细胞，放出组胺等介质而引起风团。这种风团可持续1～2小时以上，消退后可遗留色素沉着。患者常有发热及关节痛等全身症状。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肥大细胞及嗜碱性粒细胞放出组胺及其他介质，这些介质作用于皮肤小血管而引起风团。这些细胞内有环磷腺苷(cAMP)，在酶的作用下有节制的从细胞中放出以抑制组胺的释放，一旦某种免疫性或非免疫性因素刺激细胞而干扰细胞的酶系统时，cAMP减少，于是组胺可大量释放，而拟肾上腺素药物及氨茶碱等可使cAMP增加，从而抑制组胺的释放。除了组胺外，激肽尤其是缓激肽等也是引起荨麻疹的介质。</p><p>2.非真正变态反应</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">某些生物性、化学性及物理性因素能直接作用于肥大细胞及嗜碱性粒细胞，使细胞内cAMP减少而释放组胺。皮肤胆碱能神经末梢产生的乙酰胆碱也能直接作用于这些细胞而释放组胺等，从而引起风团的出现。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">情绪激动、运动及热刺激等能使胆碱能神经末梢释放出乙酰胆碱。乙酰胆碱直接作用于皮肤血管而引起血管扩张，也能抑制肥大细胞的cAMP而促使组胺释放，于是小血管扩张及毛细血管壁的通透性增加而使风团出现。有人认为组胺及乙酰胆碱在体内分别受组胺酶及胆碱酯酶的控制，风团也可和这些酶的不足有关。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">激肽和缓激肽也使毛细血管扩张，增加毛细血管壁的通透性，并使平滑肌缓慢收缩。它们受激肽酶的控制，可和寒冷性荨麻疹、皮肤划痕症、压力性荨麻疹或某些其他慢性荨麻疹有关。其他介质如五羟色胺存在于鼠等实验动物体内，未在人类的肥大细胞中发现。缓慢反应物质虽存在于肥大细胞中，能引起哮喘，但是否和荨麻疹有关还未证实。前列腺素E是另一种介质，能延长皮肤血管的扩张作用，对荨麻疹的发生可有一些影响。</p><p>3.血管刺激反应</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">某些药物、情绪、饮酒等因素能使敏感性比正常人高的皮肤血管扩张而发生荨麻疹。某些激素直接作用于肥大细胞而促进或抑制组胺的释放，也可直接作用于血管，扩张血管而引起荨麻疹，或是收缩血管而抑制荨麻疹。</p><p>4.遗传性</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有些荨麻疹是一种异位性反应，有家族过敏史。遗传性血管性水肿、遗传性寒冷性荨麻疹及少数的日光性荨麻疹等几种荨麻疹和遗传有明显的关系，被人认为常染色体显性遗传方式所传递。</p><p>5.自身抗体</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">31%的CIU患者血清中有功能性抗IgE受体活性的自身抗体，它可直接激活IgE受体释放组胺，这种自身抗体大多属于补体结合的IgG1、IgG3亚型。IgG诱发的嗜碱性粒细胞释放组胺在很大程度上依赖于补体的存在，补体也是肥大细胞释放组胺过程必不可少的辅助因子。嗜碱性粒细胞和肥大细胞是荨麻疹自身抗体的靶细胞。CIU患者免疫测定:可应用ELISA或免疫印迹法检测患者血清中的自身抗体(抗-IgE受体或抗-IgE)，以及器官特异性自身抗体如甲状腺球蛋白抗体、甲状腺微粒体抗体、甲状腺过氧化物酶抗体、甲状腺受体抗体、抗幽门螺杆菌抗体、抗胃壁细胞抗体、抗平滑肌抗体等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;朱德生皮肤病学</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3492', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1666', '组织病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">表皮有细胞内水肿，真皮内小血管扩张，大量血清由毛细血管渗出，挤压已扩张的血管而可减少血量。真皮的水肿使胶原纤维及胶原束彼此分离，水肿剧烈而扩展到皮下组织时则成血管性水肿(巨大荨麻疹)。真皮内淋巴间隙增宽，血管周围有轻度的嗜酸性细胞、嗜中性粒细胞、肥大细胞及淋巴细胞浸润。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;朱德生皮肤病学</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3493', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1666', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病诊断容易，和多形红斑或痒疹等其他皮肤病不难鉴别，因为风团是荨麻疹唯一的皮肤损害，由风团的表现还可大概明确荨麻疹的性质。例如，胆碱能性荨麻疹有直径约1～3mm的较小风团，周围有红晕，偶然有卫星状小风团;皮肤划痕症是抓划后引起的线状风团;压力性荨麻疹较肿痛，可持续8～12小时以上;日光型及寒冷性荨麻疹的风团显著地出现于暴露部位;由补体激活或过敏毒素所致的荨麻疹在风团消退后，常遗留暂时的色素沉着。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">确定荨麻疹的病因很难，必须详细询问病史，注意患者的饮食、药物、病灶感染、接触物、吸入或滴入物、内脏疾病、生活习惯及精神状态等。在体格检查时，要注意患者有无肝病、鼻窦炎、扁桃体炎等感染病灶以及内脏疾病等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据可疑病因选择检查方法。例如，疑有感染因素时，可作血、尿、便常规化验，寻找大便中虫卵，确定尿路感染或其他感染病灶是否存在，有时须作肝功能试验或对胸部进行X线检查。对胆碱能性荨麻疹可作乙酰胆碱皮内试验，可用1∶5000醋甲胆碱0.01ml注射皮内，风团直径大于15mm并有卫星状小风团时是阳性反应。对皮肤划痕症用钝物尖端划写皮肤。对寒冷荨麻疹可作冰块试验，检查血液冷凝球蛋白及冷凝集素等。对日光性荨麻疹作光敏感试验，对热性荨麻疹可作热水试验。其他实验还包括可疑致敏物的皮内试验、食物排除试验等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性特发性荨麻疹可疑自身免疫性荨麻疹时可做自身血清皮肤试验(autologous serum skin test，ASST)进行筛选。方法:抽患者静脉血2mL室温静置30分钟，2000r/min离心5分钟，取上清血清0.05ml于前臂屈侧皮内注射，对侧相应部位注射0.05ml生理盐水作阴性对照，30分钟后观察，皮丘大于对照1.5mm则为阳性。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;朱德生皮肤病学</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3494', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1666', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">应该尽量寻找及移除病因，食物、感染、药物等都是急性荨麻疹的常见病因，有感染时常需应用抗生素，有胃肠道障碍时要纠正，对某种食物过敏时暂且不吃。慢性感染病灶等常是慢性荨麻疹的病因，但有些荨麻疹患者的病因很难发现。</p><p>(一)内用药</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">第一代、第二代抗组胺药是治疗各种荨麻疹的重要药物，可以控制大多数患者的症状。抗组胺药虽不能直接对抗或中和组胺，不能阻止组胺的释放，但对组胺有竞争作用，可迅速抑制风团的产生。根据病情选择可口服、肌注或静脉滴注。长期应用一种抗组胺药后容易引起耐药性，建议更换另一种，或是交替或合并应用，有时要加大常用剂量;儿童的耐药性较成人大，因而相对用量也大。抗组胺药有各种副作用，最好选用副作用较小者，尤其对高空作业的工人、驾驶员及精密仪器工人等要慎用容易引起昏倦等副作用的苯海拉明等药物，以免发生事故或影响工作。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">安泰乐(羟嗪)有良好的安定及抗组胺作用，对人工荨麻疹(皮肤划痕症)、胆碱能性荨麻疹及寒冷性荨麻疹等都有较好的效果，新安替根或赛庚啶对胆碱能性荨麻疹及寒冷性荨麻疹都常有效。氯苯那敏及西咪替丁(cimetidine)分别为组胺H1及H2受体拮抗剂而被同时应用于人工荨麻疹，共用于慢性荨麻疹也比单独应用的效果好。氨茶碱、氯苯那敏及抗纤溶酶药氨甲环酸和氨甲苯酸等也有一定疗效，可同时应用于慢性荨麻疹及人工荨麻疹。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖皮质激素类药物一般只短期应用于严重的急性荨麻疹和血清病，荨麻疹并发过敏性休克时应该立即应用。但对于慢性荨麻疹不能滥用激素，也不建议长期应用激素治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肾上腺素、麻黄碱及氨茶碱能使肥大细胞内cAMP增多而抑制组胺的释放，能迅速促使急性荨麻疹或巨大荨麻疹的风团或水肿消退，通常用1∶1000肾上腺素0.3～0.5ml作皮下注射，每经15～20分钟可再注射，以后可口服作用缓慢且较持久的麻黄碱，每次0.03g，每日2～3次。氨茶碱可和抗组胺药合并应用，和肾上腺素有协同作用，对并发哮喘或腹痛的患者尤其适用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">其他药物如氯喹和孟鲁司特被分别应用于日光性荨麻疹和慢性荨麻疹，6-氨基己酸可用于寒冷性荨麻疹和巨大荨麻疹(血管性水肿)，阿托品或普鲁本新及氯丙嗪可用于胆碱能性荨麻疹，柳氮磺胺吡啶对压力性荨麻疹有一定的疗效。慢性荨麻疹往往持久难愈，多种药物被人试用，而效果难于肯定，其中有组胺球蛋白、抑肽酶(激肽酶抑制剂)、酮替芬(ketotifen)、维生素K、肾上腺色腙、烟酰胺及利血平等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">自身免疫性荨麻疹的治疗，一线药物:抗组胺药以依巴斯汀为首选;二线药物:可使用如泼尼松30～40mg/d;羟氯喹200～400mg/d;氨苯砜50～100mg/ d;雷公藤多苷30～60mg/d;白芍总苷1200～1800mg/d;秋水仙碱0.5mg，每日2次;达那唑200mg/d。三线药物:用于疗效不佳严重患者，可选用如环孢素100mg，每日3次;静脉用免疫球蛋白;也可选用硫唑嘌呤或甲氨蝶呤。</p><p>(二)局部治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常用的外用药如氧化锌洗剂、炉甘石洗剂或下列洗剂:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">苯酚0.5g，薄荷脑0.25g，炉甘石15g，氧化锌15g，酒精30g，水加到100ml。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">淀粉浴或焦油浴可使痒觉减轻而令患者舒适。遇热或遇冷后发生荨麻疹可用逐渐改变浴水温度的方法，以逐渐降低皮肤的敏感性;热性荨麻疹患者洗浴时浴水温度渐增，而寒冷性荨麻疹的浴水逐渐降温，可能使肥大细胞缓慢释放组胺并易耗尽而不引起风团，但此种锻炼皮肤的方法要根据个人的耐受性谨慎实施，同时给予抗组胺药。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;朱德生皮肤病学</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3528', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '493', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">酒精性肝病（alcoholic liver disease，ALD）是由于长期大量饮酒导致的中毒性肝损害，包括酒精性脂肪肝、酒精性肝炎、酒精性肝纤维化和肝硬化。ALD是发达国家肝硬化的主要病因，在我国有日趋增多的趋势，目前居肝硬化病因的第二位。&nbsp;发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">乙醇进入肝细胞后，主要经过肝乙醇脱氢酶（ADH）代谢为乙醛，再通过乙醛脱氢酶（ALDH）代谢为乙酸，进入三羧酸循环。也可通过肝微粒体乙醇氧化酶（MEOS）、过氧化氢酶（H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>酶）降解。MEOS中细胞色素P<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">450</span>CYP2E1是代谢限速酶，可由酒精诱导而加速乙醇降解，是酗酒量增加的原因之一。</p><p>1.肝细胞代谢紊乱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">乙醇通过ADH代谢为乙醛和进一步氧化时，还原型辅酶I/辅酶I（NADH/NAD）比例增加，肝内氧化还原状态异常。目前认为，NADH/NAD比例增高以及乙醛所致代谢紊乱是酒精性肝病主要原因。乙醛毒性有以下几点：①与肝细胞内蛋白质分子共价结合，引起肝脏代谢障碍；②肝细胞内谷胱甘肽含量下降，肝细胞变性坏死；③自由基产生过多、清除降低，细胞膜脂质过氧化损伤；④影响线粒体功能，抑制氧化磷酸化及脂肪酸氧化，甘油三酯在肝内大量堆积；⑤肝星状细胞活化，胶原合成增加。</p><p>2.免疫损伤</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">乙醛选择性与细胞器上的蛋白质结合为乙醛-蛋白质复合物作为抗原，刺激机体产生抗体导致体液免疫损伤；各种促炎因子如TNF-α、PDGF、TGF<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">-</span>β、IL-6等表达增加，促进肝纤维化。</p><p>3.遗传多态性</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">CYP2E1有2种不同转录活性的基因型（c1，c2），不同基因型与CYP2E1的诱导程度相关，酒精性肝损的进展可能和c2基因有关。ADH遗传多态性由7个基因位点决定，ADH2与酒精依赖有关。汉族人群ALD易感基因ADH2、ADH3、ALDH2等的等位基因频率及基因型分布不同于西方国家，可能是造成我国嗜酒人群ALD发病率低于西方国家的原因之一。</p><p>4.其他危险因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">ALD病死率的上升与营养不良程度相关，维生素A或E缺乏可潜在加速ALD进展；肥胖或超重有增加ALD进展的风险。女性对酒精所致的肝损伤更为敏感，与男性相比，较小剂量和较短的饮酒年限即可导致严重的ALD，发生肝硬化的概率增高，且预后较差。肝炎病毒和酒精在造成肝损伤的过程中起协同作用。在感染肝炎病毒的基础上饮酒，或在ALD基础上并发HBV或HCV感染，均可加速肝脏疾病的发生和发展。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3529', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '493', '病理特点', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &#39;Helvetica Neue&#39;, Helvetica, Arial, sans-serif; white-space: normal; border: 0px !important; background-color: rgb(255, 255, 255);\">ALD病理学改变主要为大泡性或大泡性为主伴小泡性混合性肝细胞脂肪变性。中华医学会肝病学分会脂肪肝和酒精性肝病学组于2010年修订酒精性肝病诊疗指南，依据病变肝组织是否伴有炎症反应和纤维化，可分为单纯性脂肪肝、酒精性肝炎肝纤维化和肝硬化。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &#39;Helvetica Neue&#39;, Helvetica, Arial, sans-serif; white-space: normal; border: 0px !important; background-color: rgb(255, 255, 255);\">各型酒精性肝病病理特点见表18-8-9。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表18-8-9　酒精性肝病病理分级</p><p style=\"text-align:center\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180509-1525835018660007873.jpg\" title=\"1525835018660007873.jpg\" alt=\"4.jpg\" width=\"750px\" height=\"322px\" style=\"width: 750px; height: 322px;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）单纯性脂肪肝：依据肝细胞脂肪变性占组织标本量的范围，分4度，即F 0～4。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）酒精性肝炎肝纤维化：酒精性肝炎的脂肪肝程度与单纯性脂肪肝一致，分为4度（F0～4）。依据炎症程度，分为4级（G0～4）；依据纤维化范围和形态.肝纤维化分为4期（S0～4）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">酒精性肝炎肝纤维化组织病理学诊断报告：酒精性肝炎（F 0～4）（G 0～4）（S 0～4）。F0：＜5%的肝细胞脂肪变性；G0：无炎症；S0：无纤维化。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（3）酒精性肝硬化：肝小叶结构完全损毁，代之以假小叶和广泛纤维化，典型的是小结节性肝硬化。根据纤维间隔是否有界面性肝炎，分为活动性和静止性。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3530', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '493', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">酒精性肝病的诊断包括：病因诊断、病理诊断、鉴别诊断。</p><p>（一）病因诊断1.病史（1）饮酒史：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">长期大量饮酒是诊断酒精性肝病的必备条件。包括酒的种类、每天的摄入量和持续时间等。目前酒精摄入的安全量尚有争议，我国标准是：长期饮酒史，一般超过5年，折合乙醇酒精量男性≥40g/d，女性≥20g/d，或2周内有大量饮酒史（＞80g/d）。但应注意性别、遗传易感性等因素的影响。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">乙醇量换算公式：乙醇量（g）=饮酒量（ml）×酒精含量（%）×0.8（酒精比重）</p><p>（2）饮酒方式：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">不同酒精饮料所致的肝损伤亦有差异。饮酒方式是酒精性肝损伤的危险因素之一。空腹饮酒较进餐饮酒造成的肝损伤更严重。</p><p>（3）慢性肝炎病毒感染史：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">酒精性肝病和慢性病毒性肝炎关系密切。酒精性肝损害可增加患者对HBV、HCV的易感性；反之，慢性肝炎患者对酒精敏感性增高，容易促进肝硬化和肝癌的发生发展。</p><p>（4）其他：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">还与性别、种族、遗传、代谢酶含量等多因素有关。一般女性对酒精较男性敏感，酒精性肝硬化发生于非白色人种者较多。此外尚需排除代谢异常和药物因素引起的肝脏损伤。</p><p>2.症状和体征（1）轻症酒精性肝病：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝脏生化、影像学和组织病理学，检查基本正常或轻微异常。</p><p>（2）酒精性脂肪肝：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一般情况良好，常仅有肝脏肿大，影像学诊断符合脂肪肝标准，血清ALT、AST或GGT可轻微异常。</p><p>（3）酒精性肝炎：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床表现差异大。血清ALT、AST 或GGT升高，可有血清TBIL升高。重症酒精性肝炎系指酒精性肝炎患者出现肝功能衰竭的表现，如凝血功能障碍、黄疸、肝性脑病、急性肾衰竭、上消化道出血等，常伴内毒素血症，营养不良、末梢神经炎等，易继发感染。</p><p>（4）酒精性肝纤维化：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">无特异性临床症状和体征。未行组织病理学检查时，应结合饮酒史、纤维化血清标记物、GGT、AST/ALT、载脂蛋白A<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>、TBIL、α<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>巨球蛋白、铁蛋白等指标，综合判断以明确诊断。联合检测并动态观察各项指标。可有助于提高诊断准确性。</p><p>（5）酒精性肝硬化：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常有明显酒精性容貌，肝掌、蜘蛛痣、面部毛细血管扩张。可以门脉高压为主要表现，但脾肿大不如肝炎肝硬化常见。此外还可出现肝外器官酒精中毒损害，如酒精性胃炎、心肌病、胰腺炎、巨幼红细胞贫血、生育障碍。可伴神经系统表现：震颤性谵妄、Wernicke脑病、周围神经病等。</p><p>（6）评价酒精性肝病严重程度的指标：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有几种方法可用于评估ALD的严重程度和近期存活率。Maddrey判别函数（discriminant function，DF）的价值较高，DF=4.6×（凝血酶原时间-对照值）+血清总胆红素（mg/dl），当DF ＞32，1个月内死亡率30%～50%，尤其是合并肝性脑病者。终末期肝病模型（MELD评分）=3.8×log<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">e</span>（胆红素mg/dl）+11.2×log<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">e</span>（INR）+9.6×log<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">e</span>（肌酐mg/dl）+ 6.4，＞18，往往提示预后不良。酒精性肝炎Glasgow评分＞8，提示预后不良。</p><p>3.实验室检查（1）血象：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多有白细胞升高、营养不良性贫血。脾功能亢进时可有白细胞、血小板减少。</p><p>（2）生化检查：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①血清AST、ALT轻中度升高，以AST为著，AST/ALT比值可超过2倍。线粒体AST/总AST明显增高。禁酒后4周血清AST、ALT基本恢复正常（低于2倍正常上限值）。②血清γ-谷氨酰转肽酶（γ-GT）升高2倍以上，禁酒4周后明显下降（降到正常值的1/3或比戒酒前下降40%以上）。③糖缺陷转铁蛋白（CDT）增高：过量乙醇抑制糖蛋白糖基转移酶活性，影响转铁蛋白糖基化过程，是反映慢性乙醇中毒的敏感和特异的指标。④其他：平均红细胞容积（MCV）增高。</p><p>4.影像学检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">B型超声可见肝脏体积增大，近场回声弥漫性增强，远场回声逐渐衰退；肝内管道结构显示不清，但肝内血管走向正常，对诊断脂肪肝帮助较大。肝硬化为小结节性肝硬化，肝表面波纹状，可有门脉高压症。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">CT检查弥漫性肝脏密度降低，肝/脾CT比值≤1。0.7＜肝/脾CT比值≤1.0为轻度；0.5＜肝/脾CT比值≤0.7为中度；肝/脾CT比值≤0.5者为重度。磁共振扫描对鉴别脂肪肝或肝炎和肝硬化及肝癌等更好。</p><p>（二）病理诊断</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">通过肝活组织检查是确定酒精性肝病及了解分期分级的可靠方法，对肝损伤的严重程度及预后判断都是必要的。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3531', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '493', '鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">首先应排除其他原因所引起的脂肪肝。排除非酒精性脂肪肝、嗜肝病毒感染、药物、中毒性肝损伤和自身免疫性肝病等。对于酒精性肝病与病毒性肝炎所致的肝硬化应审慎鉴别。肝性脑病要和酒精性谵妄、Wernicke脑病等相鉴别。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3532', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '493', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">酒精性肝病的治疗原则是戒酒、营养支持、清除肝脂肪浸润、治疗酒精性肝炎、防治肝硬化及其并发症。</p><p>（一）戒酒</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是酒精性肝病治疗的最主要措施。及时戒酒显著改善患者的组织学和生存率。戒酒4周可使脂肪肝恢复正常，酒精性肝炎的肝功能改善，轻度肝纤维化减轻。但戒酒难以逆转严重肝硬化的病理损伤。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">酒精依赖患者的治疗分为心理治疗和药物治疗。</p><p>1.心理治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">坚持心理教育，可使47.7%的酗酒者在1年内饮酒量明显降低。但戒酒并非对所有患者均有效，部分患者戒酒后肝炎征象持续存在。</p><p>2.药物辅助治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">用于增加戒酒率及处理戒酒综合征（alcohol withdrawal syndrome，AWS）。阿片受体拮抗药纳曲酮（50mg/d）、纳美芬（20mg/d）、阿坎酸（666mg，3次/日）治疗半年，可用于高度酒瘾者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">戒酒过程要逐渐减量。出现戒断症状时可减量应用安定类药物。</p><p>（二）加强支持疗法</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">长期酗酒者，酒精代替了食物提供身体所需热量，故而蛋白质营养不良和维生素缺乏症常见。在戒酒的基础上，对酒精性肝病患者应给予高蛋白低脂饮食，如有肝性脑病的表现或先兆，应限制蛋白质饮食。此外，乙醇代谢过程中对维生素的利用、转化、贮存均发生障碍，尤其是B族维生素缺乏普遍，应注意及时补充维生素A、B、E、叶酸和微量元素。RCT研究提示：与全胃肠外营养相比，肠内营养具有改善重症酒精性肝病长期生存率的作用。</p><p>（三）药物治疗1.类固醇激素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">能阻断重症酒精性肝炎患者肝内存在的级联瀑布式放大的炎症反应，部分是通过抑制NF-κB的转录活性来实现的。研究提示针对预后较差（DF≥32和（或）伴有肝性脑病，或MELD评分＞18）的酒精性肝炎患者如果没有激素应用禁忌证，给予泼尼松龙40mg/d，28天，然后停药或2周内减量，可以显著改善患者的短期生存率。</p><p>2.己酮可可碱（pentoxifylline，PTX）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是一种非选择性磷酸二酯酶抑制剂，可抑制TNF-α基因的转录，相应降低TNF-α下游效应分子水平。随机对照试验表明它能明显降低肝肾综合征的发生，改善患者的生存率，提示PTX对重症酒精性肝炎特别是合并肝肾综合征者具有很好的治疗效果。有激素应用禁忌证的重症酒精性肝炎患者，可考虑己酮可可碱400mg，每天3次，口服4周。</p><p>3.抗TNF-α抗体（infliximab，etanercept）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">TNF-α的激活是ALD的重要发病机制。抗TNF-α单克隆抗体，可阻断TNF-α生物效应。但研究提示，抗TNF-α抗体的安全性需要评估，有诱发感染等不良反应。</p><p>4.其他</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）抗氧化剂：至今缺乏抗氧化剂有效防治人类ALD的临床报道。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）S-腺苷-L-蛋氨酸（S-adenosyl-methionine，SAMe）：活化的蛋氨酸有许多功能，通过膜磷脂和蛋白质的甲基化可以影响线粒体和细胞膜的流动性，而转巯基作用增加肝细胞内还原性谷胱甘肽、牛磺酸及硫酸根含量，可减少对氧自由基介导的肝脏损伤。但临床试验的结果存在一定的争议。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（3）降脂药的应用有争议，许多降脂药可能促进血脂更集中于肝脏进行代谢而加重肝功能损害。活血化瘀中药如桃仁、丹参、当归、汉防己碱、枸杞子、何首乌等，分别有改善肝脏微循环、防止肝细胞变性坏死、减少细胞外基质产生等作用，有助于肝纤维化的治疗。</p><p>（四）肝移植</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Child-Pugh C级重症酒精性肝硬化的患者可行肝移植。①禁酒至少6个月；②情绪稳定；③社会经济状况稳定；④无其他酒精性器官损伤；⑤移植后的心理疗法。移植后5年和10年生存率介于胆汁淤积性肝病和病毒性肝病之间。移植后主要问题是患者继续酗酒，移植后11%～49%的患者再次酗酒，则会很快进展为包括肝纤维化在内的肝脏损害。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3533', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '493', '参考文献', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.中华医学会肝病学分会脂肪肝和酒精性肝病学组.酒精性肝病诊疗指南（2010年1月修订）.胃肠病学，2010，15（10）：617-621.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.Alcoholic Liver Disease（AASLD practice guideline）.Hepatology，2010，51（1）：307-328.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.Naga PH.Alcoholic and nonalcoholic liver steatohepatitis// Lee Goldman，Andrew I Schafer.Goldman’s Cecil Medicine.24th ed.USA：Elsevier Saunders，2012：996-999.</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3573', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '156', '概述', '<p>&nbsp; &nbsp;急性胰腺炎（acute pancreatitis，AP）是胰腺的急性炎症和细胞损害过程，在不同程度上波及邻近组织和其他脏器系统，AP可分为轻症急性胰腺炎（mild acute pancreatitis，MAP）和重症急性胰腺炎（severe acute pancreatitis，SAP）两型。SAP中病情极其凶险者又冠名为暴发性胰腺炎（fulminate pancreatitis）。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3574', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '156', '流行病学', '<p>&nbsp; &nbsp;&nbsp;</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性胰腺炎的发生率美国报告为5～30/10万不等，瑞典为3～5/10万。近年来AP患者呈逐年增加趋势，这与胆石症、饮酒、高脂饮食增加密切相关。检查措施（CT、超声内镜和ERCP）的优化使得AP的诊断率更高。近来AP患者的平均死亡率下降、平均病程缩短与及时合理运用疾病风险评估有关，增加了诊断治疗措施的有效性。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3575', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '156', '病因与发病机制', '<p>（一）病因分类</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">引起急性胰腺炎的病因很多。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">1.常见病因 胆石症、酒精和高脂血症，约占病例数70%以上。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">2.其他病因 约占病例数的10%，包括自身免疫性、先天性、医源性、感染性、代谢性、坏死性、梗阻性、中毒性、创伤性、血管源性的病因等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">3.经各项检查不能确定病因者称为特发性。</p><p>（二）发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">各种胰酶原的不适时提前被激活是AP形成的主要始动因素。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">正常情况下，胰腺腺泡细胞内酶蛋白的形成与分泌过程处于与细胞质隔绝状态。胰腺有多种安全机制以对付酶原的自体激活问题。一种机制是胰腺分泌胰蛋白酶抑制剂（PSTI），PSTI可在分泌小粒中发现。PSTI以1∶1的比例和胰蛋白酶的活化位点结合以抑制该酶的活性。当超过10%的胰蛋白酶原已被激活时，该机制就失效了。故任何对该保护机制有负面影响或压倒性作用的不利因素均可导致胰腺炎。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">胰腺实质与胰管、胰管与十二指肠之间存在压力差，胰液的分泌压也大于胆汁分泌压，因此一般情况下，十二指肠液和胆汁不会反流进入胰腺，激活胰酶。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">另外，正常胰管具有黏膜屏障作用，它可以抵挡少量蛋白酶的消化作用。如胆汁中的细菌等有害因子破坏了胰管的黏膜屏障后，胰腺就有可能因各种自身酶的消化而产生炎症。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">1.共同通道梗阻</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">见图18-9-1</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180509-1525835746133049310.png\" title=\"1525835746133049310.png\" alt=\"image.png\"/></span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important; text-align: center;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; text-align: center; background-color: rgb(255, 255, 255);\">图18-9-1　梗阻引起AP示意</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">2.十二指肠液反流</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">十二指肠腔内压力异常增高（呕吐、肠系膜上动脉压迫综合征）或感染等因素引起肝胰壶腹部括约肌松弛，其诱发AP的机制与上述过程相似。</p><p>3.酗酒</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">长期饮酒可明显增强胰腺对胆碱能和促胰酶素的反应而引起富含酶的胰液分泌增加，另外，长期饮酒者的胰腺溶酶体的脆性增加，溶酶体酶可激活胰蛋白酶。酒精代谢酶5′-二磷酸尿嘧啶核苷葡萄糖醛酸转移酶的基因多态性与酒精性胰腺炎的易感性上升有关，环境因素和辅助因素如抽烟和高脂肪膳食都与患者对此病的易感性有关。</p><p>4.胰管梗阻</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">当结石、虫卵、肿瘤使胰管出现完全或不完全阻塞，胰腺分泌物不能通过胰管及时排泄，则会使胰管内压力增高而胀破胰管，胰液流入胰实质破坏胰腺。</p><p>5.高脂血症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰腺毛细血管床中的脂肪酶作用于血清中高水平的甘油三酯，产生有毒性的游离脂肪酸，损伤胰腺小血管内皮，产生炎症细胞和血栓。该型胰腺炎血清淀粉酶可不升高，但脂肪酶升高。</p><p>6.炎症介质</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰腺炎期间，产生并释出多种炎症介质，它们募集炎症细胞，促使炎症细胞活化并贴附于血管壁，或直接造成细胞损伤。也可引起系统性炎症反应综合征，发生多系统脏器衰竭。其中包括：①氧衍生自由基：可直接改变线粒体膜通透性转变孔开关，导致细胞凋亡和坏死。使细胞内溶酶体释放，消化酶活化导致胰腺急性损伤。②肿瘤坏死因子：具有重要的炎症、免疫调节反应功能，导致AP和内毒素的产生，从而使病情进一步恶化。③IL-8：可促使AP早期中性粒细胞活化及其弹性蛋白酶的释放，加重炎症反应。研究中发现个体循环中增加的IL-8水平与其酒精消耗量水平成正比例关系。④IL-18：主要由单核巨噬细胞产生，是AP时胰腺损伤和全身并发症如低血压和多器官功能障碍的介质之一。⑤腺苷酸环化酶多肽：属于血管活性肠肽，其过度表达增加AP的进程。⑥胰腺炎相关蛋白：可能介导局部和全身性炎症反应，在胰腺炎的炎症过程中发挥调节作用，是炎症反应的调节器，兼具抗炎和炎症影响。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3576', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '156', '病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">AP的病理变化表现为从水肿到出血坏死等一系列改变。从病理上可分为急性水肿型和出血坏死型两种。</p><p>（一）急性水肿型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">约占AP的90%。外形肿大、质地结实；胰周组织可有少量坏死。显微镜下见胰腺间质充血、水肿和炎症细胞浸润为主，可见少量腺泡坏死，血管变化常不明显。内外分泌腺无损伤表现。</p><p>（二）急性出血坏死型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此型少见。其基本病变为：①胰实质坏死；②血管损害引起水肿、出血和血栓形成；③脂肪坏死；④伴随的炎症反应。大体形态上可见钙皂呈大小不等、稍隆起的象牙色斑点或斑块，散落在大网膜和胰腺上。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3577', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '156', '临床表现', '<p>（一）症状1.腹痛</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">95%的AP患者有腹痛，多呈突然发作，与饱餐和酗酒有关。腹痛性质为持续性刀割样；以中上腹为多，其次为右上腹或左上腹，也可为束带样，脐周和下腹部极少见。50%患者的腹痛可向左背部放射，呈“一”字样分布；蜷曲体位和前倾体位可使疼痛缓解。腹痛通常可持续48小时，偶可超过1周。腹痛的机制主要为：①胰腺的急性水肿、炎症刺激和牵拉其包膜上的神经末梢；②胰腺的炎性渗出液刺激毗邻的腹膜和腹膜后组织，产生局限性腹膜炎；③胰腺炎症累及肠道，引起肠充气和麻痹性肠梗阻；④胰管阻塞或伴胆囊炎、胆石症引起疼痛。极少数AP患者可以没有腹痛，而仅表现为明显腹胀。</p><p>2.发热</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多为中度发热，少数为高热，一般持续3～5天。如发热不退或逐日升高，尤其持续2～3周以上者，要警惕胰腺脓肿可能。发热由胆道感染或胰腺炎症、坏死组织的吸收等引起。</p><p>3.恶心</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">、呕吐 多数患者有恶心、呕吐。酒精性胰腺炎患者的呕吐常于腹痛时出现，胆源性胰腺炎患者的呕吐常于腹痛发生后出现。呕吐物为胃内容物，重者可混有胆汁，甚至血液。呕吐后，患者无舒适感。</p><p>4.黄疸</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病情较轻的AP可无黄疸。下列原因可引起黄疸：①胆道感染、胆石症引起胆总管梗阻；②肿大的胰头压迫胆总管；③合并胰腺脓肿或胰腺假囊肿压迫胆总管；④合并肝脏损害等情况。不同原因的黄疸持续时间不一样。</p><p>（二）体征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.MAP患者有腹部的深压痛，但与患者自觉症状不成比例；SAP可出现肌紧张、压痛、反跳痛等腹膜刺激征三联征。三联征可局限于左上腹，也可累及整个腹腔。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.10%～20%的患者可在上腹部扪及块状物。块状物常为急性胰腺假囊肿或胰腺脓肿，一般见于起病4周以后。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.大多数患者有持续24～96小时的假性肠梗阻表现。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.SAP患者可出现皮下青紫表现，出现在两肋部者，称为Grey-Tuner征；出现在脐部者，称为Cullen征。它们在SAP中的发生率不到3%。Grey-Tuner征是由于血性液体从肾旁间隙后面渗透至腰方肌后缘，然后再通过肋腹部筋膜流到皮下；Cullen征是由于后腹膜出血渗入镰状韧带，随后由覆盖于韧带复合体周围的结缔组织进入皮下。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.其他 气急、胸腹水等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3578', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '156', '并发症', '<p>（一）局部并发症1.急性液体积聚</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">发生于AP病程的早期，胰腺内、胰周或胰腺远端间隙液体积聚，并缺乏完整包膜。影像学上为无明显囊壁包裹的急性液体积聚。根据有无坏死，将病程4周以内的急性积液分为急性坏死性液体积聚（acute necrotic collections，ANC）和急性胰周液体积聚（acute peripancreatic fluid collections，APFC）。</p><p>2.胰腺坏死</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰腺实质的弥漫性或局灶性坏死，伴有胰周脂肪坏死。根据有无感染，胰腺坏死又可分为感染性坏死和无菌性坏死。增强CT是目前诊断胰腺坏死的最佳方法。</p><p>3.胰腺假性囊肿</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在病程4周后，随着时间的推移，持续存在的急性胰周液体积聚一旦形成囊壁包裹，称为胰腺假性囊肿。假性囊肿通常位于小网膜腔内，胃与结肠、胃与肝之间或横结肠系膜之间。囊肿可引起压迫症状，体格检查常可扪及肿块，并有压痛。假性囊肿可破裂，造成慢性胰源性腹水，腹水中淀粉酶和脂肪酶的含量均明显增高，且可破入胸腔，进入后腹膜、纵隔，甚至颈部。</p><p>4.包裹性坏死</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性坏死性液体积聚被囊壁包裹称为包裹性坏死（walled-off necroses，WON）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">ANC、APFC、WON和胰腺假性囊肿4种类型均可以是无菌性的或感染性的。胰腺实质内液体积聚只能是ANC或WON，而不是假性囊肿。一些专业术语如“胰腺脓肿”和“胰腺内假性囊肿”已被弃用。</p><p>（二）全身并发症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">通常见于SAP。</p><p>1.低血压及休克</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">SAP常有低血压及休克，患者烦躁不安，皮肤苍白、湿冷，呈花斑状，脉搏细弱、血压下降，少数患者可在发病后短期内死亡。</p><p>2.消化道出血</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可表现为呕血或便血。呕血是应激性溃疡或胃黏膜糜烂，或胃黏膜下多发性脓肿引起；便血可由胰腺坏死穿透横结肠引起，便血者预后极差。</p><p>3.细菌及真菌感染</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">SAP患者的机体抵抗力低下，极易发生感染。感染一般出现在起病后2周至2个月内。感染可引起胰周脓肿、腹腔脓肿、败血症及呼吸道、泌尿道、输液导管感染等。早期病原菌以革兰阴性菌为主，如大肠杆菌、克雷伯杆菌、变形杆菌和肠杆菌等，后期常为双重或多重细菌感染，主要细菌有绿脓杆菌、假单胞菌属、变形杆菌、沙雷杆菌、金黄色葡萄球菌、产气杆菌、肠球菌等。大量使用广谱抗生素造成严重菌群失调，加上明显低下的机体抵抗力，极易引起真菌感染。常见病原菌有白色念珠菌和酵母菌。</p><p>4.慢性胰腺炎和糖尿病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性胰腺炎与胰腺腺泡大量破坏及胰腺外分泌功能不全有关；糖尿病与胰腺β细胞破坏、胰岛素分泌减少有关，其发生率约4%。</p><p>5.代谢异常</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">SAP时可有下列代谢异常：①低钙血症：约30%～60%的患者出现本症，血钙＜2mmol/L（8mg/dl）。当血钙＜1.75mmol/L（7mg/dl），且持续数天，预后多不良。其产生机制：磷脂酶A和脂肪酶的激活，产生脂肪酸，脂肪酸与血钙发生皂化作用；SAP时，白蛋白水平的降低可使总钙的测定数值降低；降钙素分泌增加时血钙下降；钙-甲状旁腺轴失平衡，后者对低血钙的反应性减弱；钙被转移至脂肪、肌肉和肝组织中。②高脂血症：约20%的患者可发生本症，患者可出现血清脂质微粒的凝聚，产生脂肪栓塞。③糖代谢异常：约50%的患者出现暂时性高血糖，30%的患者有糖尿，偶可发生糖尿病酮症酸中毒或高渗性昏迷；有1%～5%患者并发低血糖。糖代谢异常与AP时胰岛素、胰高糖素、生长抑素及糖皮质激素的浓度及相互作用有关。</p><p>6.血液学异常</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括贫血、DIC、门脉和（或）脾静脉栓塞。SAP时，患者的纤维蛋白原和凝血因子Ⅷ升高，引起高凝状态，出现血栓形成和局部循环障碍，严重时可发生DIC。</p><p>7.心功能不全或衰竭</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">50%的患者可有ST-T改变、传导阻滞、期前收缩为主的心电图变化。少数患者还可出现心力衰竭和严重心律失常。</p><p>8.肾功能不全或衰竭</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">20%的SAP可出现肾衰竭，与其有关的死亡率可达80%。发生原因与低血容量、休克和激肽-缓激肽系统的作用有关。</p><p>9.呼吸功能不全或衰竭</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是最严重的并发症。气急可能是呼吸功能不全的唯一症状，如不注意观察和及时诊断治疗，患者往往会发展到急性呼吸衰竭（成人呼吸窘迫综合征，ARDS），此时，患者可有明显气急、发绀等，常规的氧疗法不能使之缓解；血气分析PaO<span style=\"box-sizing: border-box; position: relative; font-size: 13px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>＜8.0kPa（60mmHg）。为了减少ARDS的发生和及早发现、及早治疗，建议在SAP患者入院的初期，应每日至少做2次血气分析。</p><p>10.胰性脑病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">发生率为5.9%～11.9%。表现为神经精神异常，定向力缺乏，精神错乱，伴有幻想、幻觉、躁狂状态等。其发生与PLA<span style=\"box-sizing: border-box; position: relative; font-size: 13px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>损害脑细胞，引起脑灰白质广泛脱髓鞘改变有关。常为一过性，可完全恢复，也可留有精神异常。</p><p>11.多脏器功能衰竭</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多脏器功能衰竭（multiple organs failure，MOF）可包括心功能不全、肾功能不全、呼吸功能不全等。而ARDS是MOF发生的一个重要因素。胰腺炎、腹膜炎、脓毒血症等被称为全身性炎症反应综合征（systemic inflammatory reaction syndrome，SIRS），SIRS时，体内有大量炎细胞因子及中性粒细胞聚集而诱发ARDS，如不及时识别ARDS，并作相应治疗，则会发展到MOF。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3579', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '156', '辅助检查', '<p>（一）实验室检查1.血清酶学检查（1）血淀粉酶：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">AP起病6小时后，血淀粉酶＞500U/L （Somogyi单位）或12小时后尿淀粉酶＞1000U/L （Somogyi单位）可作为参考。</p><p>（2）淀粉酶同工酶：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">淀粉酶有腮腺型和胰腺型两种同工酶，因此，测定淀粉酶同工酶有利于AP的诊断。胰腺型淀粉酶同工酶的参考值，血清＜53U/L，尿液＜325U/L。</p><p>（3）血脂肪酶：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">AP时血清脂肪酶水平增高是与淀粉酶平行的。但脂肪酶增高持续时间较长，故有助于发作过后胰腺炎的诊断。不仅如此，脂肪酶水平在巨淀粉酶血症和腮腺炎时是正常的。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">要注意的是血清酶活性高低与病情程度不呈相关性。</p><p>2.血清标志物</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">C-反应蛋白（CRP）发病72小时后＞150mg/L提示胰腺组织坏死。动态测定IL-6水平增高提示预后不良。</p><p>3.血常规</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">白细胞总数和分类均增高，重者有血细胞比容降低。</p><p>4.血钙</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血钙值的明显下降提示胰腺有广泛的脂肪坏死。血钙＜1.75mmol/L（7mg/dl）提示患者预后不良。</p><p>5.其他血液检测</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血清胆红素和转氨酶、碱性磷酸酶水平增高，约见于半数病例，这是由于胰腺发炎压迫胆总管，或病变严重时伴随的非梗阻性胆汁淤积。白蛋白从腹膜后炎症区和腹膜表面外渗，可使血中白蛋白水平减低。所有患者都应测定血清甘油三酯水平，因为它有病原学意义，还须由此分析血清淀粉酶意外不增高的现象。酗酒者甘油三酯大多都是中度暂时增高，因此可能只是胰腺炎的表象而非真正的病因。</p><p>（二）辅助检查1.胸、腹部平片</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对发现有无胸水、肠梗阻有帮助。</p><p>2.B超</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在MAP时，B超扫描可显示出胰腺呈弥漫性、均匀地增大，外形饱满，界限模糊，内部回声减弱，但比较均匀，也可表现为胰腺局部肿大（如胰头、体或尾部）。SAP时，胰腺实质肿胀，失去正常的形态，内部回声不规则，可表现为回声减弱或增强，或出现无回声区，回声的改变取决于胰腺坏死和内出血情况。可用于有无胆道结石和胰腺水肿、坏死的判断。</p><p>3.CT扫描</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">CT扫描能确切地显示胰腺的解剖，认为是诊断AP的标准方法，可确定急性胰腺炎是否存在及其严重程度以及有无局部并发症，鉴别囊性或实质性病变，判断有无出血坏死，评价炎症浸润的范围，且不受肠道气体的干扰。平扫CT对坏死性胰腺炎诊断的敏感性较低，增强CT可使之明显提高。</p><p>4.MRI</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">除了与腹部CT有同样诊断作用外，MRI检查对胰腺炎的诊断并不优于CT。MRI还可通过胆胰管造影（MRCP）判断有无胆胰管梗阻。</p><p>5.ERCP和超声内镜（EUS）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对AP的诊治均有重要作用。EUS主要用于诊断，尤其对于鉴别诊断恶性肿瘤和癌前病变（如壶腹部腺瘤、微小结石病等）有重要意义。ERCP主要用于治疗，但对一些少见病因（如Oddi括约肌功能障碍等）有帮助诊断作用。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3580', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '156', '诊断', '<p>（一）急性胰腺炎的诊断</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">对任何患有上腹疼痛、难以解释的休克或血尿淀粉酶增高的患者，均应考虑急性胰腺炎的可能。急性胰腺炎的诊断标准为：①急性发作的上腹痛伴有上腹部压痛或腹膜刺激征；②血、尿和（或）腹水、胸水中淀粉酶升高；③影像学（B超、CT等）或手术发现胰腺炎症、坏死等间接或直接的改变。具有上述第1项在内的2项以上标准，并排除其他急腹症后（如消化性溃疡合并穿孔、肠系膜动脉栓塞以及异位妊娠破裂等）诊断即可成立（动态CT扫描具有重要诊断价值）。</p><p>（二）胆源性AP的诊断依据</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">当AP中有：①B型超声检查示胆总管内有结石或胆总管扩张幅度＞4mm（胆囊切除者胆总管扩张＞8mm）；②血清SB＞40μmol/L；③胆囊结石同时伴有AKP和（或）ALT高于正常上限的3倍。即可诊为胆源性胰腺炎。</p><p>（三）急性重症胰腺炎的评估标准</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">Ranson标准是最为人熟知的重症胰腺炎的评估标准（表18-9-1），包括11项特征。5项特征是入院时检查，反映炎症反应的轻重；另6项是起病48小时检查，一般说来，少于2项的患者，死亡率＜1%。反之，6项以上阳性的病例，发生胰腺坏死和感染的可能性增加，死亡率也较高。BISAP系统可用于住院48小时内的任何时候，虽只测定5个参数（表18-9-1），但其对预后评估的准确性似与Ranson标准相似。急性生理学与慢性健康评估Ⅱ（APACHEⅡ）系统采用14项常规检查指标，在统计患者与正常范围偏离的基础上产生数字评分，但较复杂，在重症监护室（ICU）外较难应用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">常规CT和对比增强CT都能提供实用的预后信息。CT严重度指数（表18-9-1）评估病情轻重与Ranson标准相当。对比增强CT检查胰坏死的存在和程度，这与发病率及死亡率是极为相关的。亚特兰大分类标准将急性胰腺炎分为轻症及重症。CT扫描未见胰实质坏死的称之为间质性或水肿型胰腺炎，常为轻症。符合以下四条标准之一的患者为急性重症胰腺炎：①具有以下一条以上的器官衰竭：休克（收缩压＜90mm Hg），肺功能不全（PaO<span style=\"box-sizing: border-box; position: relative; font-size: 13px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>＜60mm Hg），肾衰（补水后血肌酐＞2mg/dl），胃肠道出血（24小时内＞500ml）；②出现坏死、假性囊肿、脓肿等局部并发症；③至少符合Ranson标准3条；④至少符合APACHEⅡ标准8条。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">除Ranson评分及APACHE-Ⅱ评分外，还有一些有临床价值的判别指标，如体质指数（BMI）＞28kg/m<span style=\"box-sizing: border-box; position: relative; font-size: 13px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>、胸膜渗出尤其是双侧胸腔积液、72小时后C-反应蛋白（CRP）＞150mg/L，并持续升高等均为临床上有价值的严重度评估指标。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">2011年梅奥医学中心（Mayo Clinic）建议按照下列标准将AP病情程度划分为3类：①重度AP（持续性器官功能衰竭或多器官功能衰竭，有或没有局部并发症）；②中度AP（有局部并发症或短暂性器官功能衰竭，但没有持续性器官功能衰竭）；③轻度AP（没有器官功能衰竭和局部并发症）。增加中度AP新分类的意义在于，可使医师更自信地告知患者，他们有更低的病死率，但仍需要长时间的治疗管理。</p><p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; text-align: center; background-color: rgb(255, 255, 255);\">表18-9-1　急性重症胰腺炎的评估标准</span></p><p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; text-align: center; background-color: rgb(255, 255, 255);\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180509-1525836807963054751.png\" title=\"1525836807963054751.png\" alt=\"image.png\"/></span></p><p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; text-align: center; background-color: rgb(255, 255, 255);\"><br/></span></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">注：AST：天冬氨酸氨基转移酶；BUN：血尿素氮；Ca<span style=\"box-sizing: border-box; position: relative; font-size: 13px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2+</span>：血钙水平；HCT：血细胞比容；WBC：白细胞计数；SIRS：全身性炎症反应综合征</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p style=\"text-align: left;\"><br/></p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3581', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '156', '治疗', '<p>（一）MAP</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">以内科治疗为主。</p><p>1.抑制胰腺分泌（1）禁食及胃肠减压：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可减少胰腺分泌。在MAP中，经过4～7天，当疼痛减轻，发热消退，白细胞计数和血、尿淀粉酶降至正常后，即可先给予少量无脂流质，数日后逐渐增加低脂低蛋白饮食。若有复发表现，需再度禁食。</p><p>（2）H<span style=\"box-sizing: border-box; position: relative; font-size: 13px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体阻断药或质子泵抑制药：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">抑制胃酸以保护胃黏膜及减少胰腺分泌。</p><p>（3）生长抑素及类似物：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床报道普遍认为该类药物是目前治疗胰腺炎有效的药物，具有多种内分泌活性：抑制胃酸分泌；抑制胰腺的外分泌，使胰液量、碳酸氢盐、消化酶分泌减少；抑制胰岛素、胰高血糖素、胆囊收缩素等多种激素等被认为对胰腺细胞有保护作用，可阻止急性胰腺炎的进展。在AP早期应用，能迅速控制病情、缓解临床症状，使血淀粉酶快速下降并减少并发症，提高治愈率。施他宁的剂量为首剂250μg加入10%葡萄糖溶液20ml中缓慢静脉推注，继而3～6mg加入10%葡萄糖溶液500ml中静脉滴注维持12～24小时。善宁首剂为0.1mg加入10%葡萄糖溶液20ml静脉缓慢注射，继而0.6mg加于10%葡萄糖溶液500ml维持治疗12～24小时。</p><p>2.抑制胰酶活性，减少胰酶合成（1）抑肽酶：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">抑制肠肽酶，中断瀑布效应，应早用，剂量宜大。参考剂量：第1天50 000U/h，总量100 000～250 000U，随后20 000～40 000U/d，疗程1～2周。</p><p>（2）加贝脂：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">为一种非肽类蛋白分解酶抑制剂，该药为从大豆中提取的小分子膜酶拮抗剂，对胰蛋白酶、血管舒缓素、磷脂酶A<span style=\"box-sizing: border-box; position: relative; font-size: 13px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>等均有极强的抑制作用，另外对肝胰壶腹部（Oddi）括约肌有松弛作用。用法：100mg加入250ml补液内，3次/日，3天，症状减轻后100mg，1 次/日，均经静脉滴注，疗程7～10天。滴速为1mg/ （kg？h），不宜＞2.5mg/（kg？h）。用药期间要注意皮疹及过敏性休克。</p><p>（3）乌司他丁：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">系从人尿中提取的糖蛋白，为一种蛋白酶抑制剂，可以抑制胰蛋白酶等各种胰酶，此外，它还有稳定溶酶体膜、抑制溶酶体酶的释放、抑制心肌抑制因子产生和炎性介质的释放。用法：100 000U+补液500ml，静滴，1～2小时内滴完，1～3次/日。</p><p>3.镇痛</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性重症胰腺炎患者常有明显疼痛，甚至可因疼痛而引起休克，因此镇痛对患者很重要。常用的有山莨菪碱或哌替啶肌肉注射；0.1%普鲁卡因静脉滴注，但一般不用吗啡和胆碱能受体抑制剂。</p><p>4.抗生素的应用</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胆源性AP可选用氨基糖苷类、喹诺酮类、头孢菌素类及抗厌氧菌药物，其他病因的轻型AP也可不用。</p><p>（二）SAP1.内科治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）禁食和胃肠减压：可减少胰腺分泌，减少胃酸的刺激及减轻肠胀气和肠麻痹，在SAP中，只要腹痛缓解，血清淀粉酶接近正常，没有其他并发症也可以开始进食，应采取个体化的原则。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）营养支持：营养支持在AP尤其是SAP中的治疗作用已得到普遍肯定。营养支持常贯穿于SAP的整个病程治疗中，对保护肠黏膜屏障功能，降低感染等并发症十分重要，可以明显改善疾病治疗效果。SAP患者在血流动力学和心脏功能稳定情况下，应早期进行营养支持，初期的营养支持主要是肠外营养（parenteralnutrition，PN），但应尽早过渡到肠内营养（enteralnutrition，EN）模式。研究认为个体化阶段性营养支持是治疗AP的合理营养方式。目前认为，空肠内输注营养不增加胰液分泌。可在内镜或X线引导下将鼻空肠营养管放置到Treitz韧带下方，这是实施EN的关键。EN药物主要包括高能要素合剂，由麦芽糖糊精、葡萄糖糖浆、乳清蛋白水解物、植物油、中链三酰甘油、维生素、矿物质、微量元素等组成。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">发生SAP时，由于炎症反应、肠道菌群失调、生长因子缺乏和肠黏膜上皮细胞过度凋亡而导致肠黏膜屏障损伤等因素，可发生肠道衰竭，导致细菌及内毒素易位，肠源性细菌到达胰腺，形成胰腺及胰腺周围组织继发感染与脓毒症，与MOF的发生密切相关。因此，肠道衰竭被称为SAP发生MOF的“发动机”。控制SAP时肠道衰竭的发生对阻止疾病的发展，改善SAP患者的预后显得至关重要。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">EN能维持肠屏障功能，是防止肠道衰竭的重要措施。EN增加肠黏膜血流灌注和促进肠蠕动。通过肠黏膜与营养素的接触，可以直接向肠黏膜提供其代谢所需的营养物质，阻止肠黏膜的氧化损伤，避免肠道屏障功能的破坏和菌群易位，维持肠道内细菌的平衡和肠道免疫的“觉醒”状态改善肠道的通透性，从而限制由肠道介导的全身炎症反应。有研究显示，肠内营养显著降低了总的并发症（包括脓毒症）的发生，费用及住院时间明显缩短。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（3）应用广谱高效抗生素：目前，SAP患者的死亡原因80%为感染，无感染的SAP患者死亡率为10%，如感染后不及时治疗者，死亡率可达100%。因此预防和治疗感染已成为降低SAP死亡率的关键。感染细菌极可能来自结肠内细菌的移位，抗生素的选择应是高效广谱。用药时应注意以下几点：①抗菌谱应广，因为每一病例都可分离出数种病原菌；②药物对主要病原菌应有强大的杀灭、抑制作用；③抗生素必须兼顾厌氧菌，可选用第三代头孢菌素或甲砜霉素类（如亚胺匹能）以降低胰腺坏死后感染。SAP患者应及早应用抗生素治疗，且至少维持14天。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（4）生长抑素和生长激素联合疗法：在这一疗法中，生长激素的作用主要是促进蛋白合成、调节免疫和可能的抗感染效果，动物试验表明，外源性生长激素可以通过促进肠上皮的增生、维持肠黏膜屏障的完整性而防治肠道内细菌移位的发生。生长激素的用量一般为4～8U，皮下注射，每日2次。但应注意高血糖等副作用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（5）抗休克：SAP患者常有大量体液的丢失，而造成有效血液循环量的减少。胰腺组织对血流量的变化极为敏感，有效血液循环量的减少会引起胰腺微循环灌注减少而加重胰腺组织的坏死，因此应及时补足血液循环量，常用胶体液（鲜血、血浆、白蛋白）和晶体液（平衡液、代血浆），用量需根据患者的血压、心率、神志、尿量等指标综合考虑。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（6）纠正水、电解质及酸碱平衡紊乱。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（7）糖皮质激素：一般不用，除非出现重要脏器严重并发症，常用的有甲基泼尼松龙，40～80mg/d，静脉滴注，每天1～2次。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（8）中药：目前SAP时常用的中药是大承气汤和生大黄，实验提示生大黄对胰蛋白酶、胰脂肪酶、胰淀粉酶具有明显的抑制作用，从而有利于抑制胰酶的自身消化；生大黄所含的番泻苷甲可以促进肠道排空以减少胰腺的分泌；生大黄具有止血和降低血管通透性的作用，防止和改善休克的产生和胰腺的血液循环。用法：生大黄25～30g/d，用开水100～200ml，浸泡15～30分钟后，去渣分3次服用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（9）血浆置换：如有严重高脂血症可用血浆置换法降低血中甘油三酯含量。</p><p>2.减少腹腔内有毒液体</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">SAP患者腹腔内有积液时，积液中有大量血管活性物质及毒性细胞因子，这些物质对胰腺炎的恶化和全身病理生理变化影响很大。传统方法为手术清除加引流，该法创伤大，感染机会多。目前，国内已有人试用在腹腔镜下作腹腔灌洗，并获初步成功。</p><p>3.手术</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">适应证：①胆道梗阻，且病程＜3天；②急性病程稳定，且水、电解质及酸碱平衡基本正常；③胰腺脓肿或假囊肿；④诊断未定，疑有穿孔或肠坏死。</p><p>4.内镜治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近10年来国内外众多研究结果表明对疑有胆源性胰腺炎的患者应实行早期（发病后24～72小时内）ERCP，其首选治疗是内镜下行Oddi括约肌切开或放置鼻胆管引流，条件许可时行胆管结石清除，以达到胆管引流通畅、减少胆汁胰管反流的目的，使重症胆源性胰腺炎患者病情迅速改善。疗效明显优于传统常规治疗，成功率可达90%以上。</p><p>5.对重要脏器衰竭的处理6.对局部并发症的处理</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前认为，大多数APFC在发病后数周内自发吸收，一般不会被感染。在这个阶段穿刺引流可继发感染，因而要避免干预。仅在感染性APFC时才有穿刺引流的指征。假性囊肿亦很少需要干预，仅在感染或有症状时考虑穿刺引流。CT发现囊肿内存在气体，或细针穿刺行革兰染色和细菌或真菌培养即可明确有无感染。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3582', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '156', '预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">SAP患者预后最重要的决定因素是持续性多器官功能衰竭（病死率34%～55%），而短暂缓解或单器官功能衰竭预后较好（病死率0～3%）。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3583', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '156', '参考文献', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.Brisinda G，Vanellas S.Diagnosis and treatment severe acute pancreatitis advanceand insight in assessment of severity and management.Eur J Gastroenterol Hepatol，2011，23（7）：541-551.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.Grant JP.Nutritional support in acute and chronic pancreatitis.Sug Clin North Am，2011，291（4）：805-820.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.Waldthaler A.Causes and mechanisms in acute pancreatitis. Dig Dis，2010，28（2）：364-372.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.Forsmark CE.Pancreatitis.Chapter 146.Goldman’s Cecil Medicine，24th ed.Philadelphia：W.B.Saunders company，2012：937-944.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.Talukdar R，Clemens M，Vege SS.Moderately severe acute pancreatitis：prospective validation of this new subgroup of acute pancreatitis.Pancreas，2012，41（1）：306-309.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">6.Thoeni RF.The revised Atlanta classification of acute pancreatitis：its importance for the radiologist and its effect on treatment.Radiology，2012，262（3）：751-764.</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '12', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3594', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1668', '流行病学', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">细菌性肝脓肿是一种严重感染，其发病率为15/10万～44.9/10万接诊患者。此前一系列研究显示，男性发病率更高，但最近的报道性别分布无差异。好发年龄在60～70岁。在一系列相关研究中，单发和多发脓肿发生率分别为58%和42%，66%在右叶，8%在左叶，26%在两叶。孤立的肝脓肿常位于右叶，而多发性脓肿常发生在两叶。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;胃肠病学</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3595', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1668', '病因学', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝脓肿形成机制包括来自于胆道或腹部感染的传播、血行感染、不明原因或隐源性病因。目前，继发于胆道梗阻的胆道感染是造成化脓性肝脓肿的主要原因，而胆道梗阻的原因存在地理差异：西方国家主要由胆道恶性肿瘤引起，而在亚洲国家胆石症及肝内胆管结石更为常见。还有部分患者找不到明显的细菌入侵途径，称为隐源性肝脓肿。其中1/3的病例可能是隐源性。近年来，肝脓肿患者的平均年龄有所提高，且更多见于良性或恶性胆道梗阻和肝外恶性肿瘤的患者，虽然抗生素逐步升级，但是死亡率反而更高。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">以下腹腔内疾病可能会导致肝脓肿的发生，包括憩室炎、阑尾炎、肠穿孔和炎症性肠病。肝脓肿可在肝细胞癌动脉化疗栓塞后形成。多发性肝脓肿与胆道疾病如结石和胆管癌有关。肝脓肿形成的基础疾病是糖尿病、恶性肿瘤和高血压。本病可来自胆道疾病、门静脉血行感染、肝动脉血行感染或开放性肝损伤时直接感染。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;胃肠病学</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3596', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1668', '微生物学', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝脓肿可以掺杂各种细菌感染，其可以通过菌血症直接损害肝脏或相邻部位的扩散形成。最常见的病原菌是大肠杆菌、肺炎克雷伯菌、链球菌和厌氧菌。类杆菌属是厌氧菌中最常见的。也有关于米勒链球菌的报道。脓肿穿刺液中往往可见不止一种病原体生长，即使血培养结果只有一种病原体。细菌和念珠菌的耐药率在增加，最有可能继发于胆道支架的置入和长期抗生素使用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">继发于致命的肺炎克雷伯菌的肝脓肿的特异性综合征，已报道主要集中在南亚-东亚地区，可波及眼睛和中枢神经系统（CNS）。这种感染是由有更高耐吞噬性的荚膜K1/K2菌株引起。在感染的患者中糖尿病的患病率较高。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;胃肠病学</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3597', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1668', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早期多为非特异性的前驱症状，精神萎靡、呕吐、贫血、体重下降。头痛、肌肉及关节疼痛等。随后可以出现寒战、高热及肝区疼痛等不适，但疼痛可能不局限于右上腹，常伴血清碱性磷酸酶的升高。低白蛋白血症，白细胞增多以及丙氨酸转氨酶水平的增高也较常见。值得注意的是，这些症状并不常见于老年人和免疫抑制的患者。体征，如肝脏肿大（50%），摩擦音（50%），呼吸系统表现（50%），黄疸（25%）可扪及肿块（25%），或脾大（25%）比较常见，可能对诊断有帮助。所谓的经典三联征：黄疸、发热、腹部压痛则比较罕见。邻近膈肌的肝脓肿可以引起胸膜炎性胸痛、咳嗽及呼吸困难，当这些症状与上诉非特异性症状同时存在时，容易导致诊断困难。腹腔内并发症包括脓肿破溃入腹腔，胆道或胃肠道，门静脉或肠系膜静脉血栓形成。据报道如果发展为败血症、肝脏和多器官衰竭和肠系膜静脉血栓形成的患者致死率高。该死亡率比多发性肝脓肿更高。恶性肿瘤被认为是死亡率的另一个独立的危险因素。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;胃肠病学</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3598', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1668', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">用腹部CT进行影像学和超声检查至关重要。B型超声的阳性诊断率高达75%～95%，为初步诊断的首选方法。超声的表现根据脓肿的分期略有不同，早期为模糊的高回声景象，随着脓肿的逐渐成熟和脓腔的形成，可见低回声或无回声的肿块。应当注意脓腔脓液非常稠厚时，可能与肝脏的实质性包块混淆。此外，超声还可以显示胆道结石及胆管扩张，肝内胆管结石，因此对于肝脓肿有很大的病因诊断鉴别价值。CT对于鉴别诊断肝脏其他性质的包块具有重要的诊断价值，其敏感性高达95%。对比增强检查，门静脉期可见显著的环形强化的脓肿壁及无明显强化的中央脓腔。CT是诊断脓肿内气体的最灵敏的方法。MRI与CT或者超声相比，在诊断肝脓肿不具有优越性。ERC、PTC或MRC适用于其他病因不明的情况下。不过，ERC不适用于之前行过胆汁转移术的患者。有将近一半的患者会出现血培养阳性结果，3/4的患者的脓肿穿刺物培养阳性。腹部平片及胸部X线片对诊断肝脓肿无特异价值。胸部X线片可显示肺不张、胸腔积液或右侧膈肌抬高。实验室检查有白细胞计数升高、贫血、低白蛋白血症、转氨酶及碱性磷酸酶升高等。持续的高血糖提示患者可能并存糖尿病，或者由于脓毒症导致血糖控制不佳。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;胃肠病学</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3599', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1668', '治疗', '<p>1.引流脓腔</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　有效治疗肝脓肿需要充分引流。在20世纪50～70年代，手术引流很常见。部分是因为缺乏敏感的放射学工具进行诊断，虽然其也能找到脓肿来源并提供明确的脓肿引流位置。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">然而，在20世纪70年代，敏感的成像技术的发展使术前诊断成为可能，并允许对病变进行定向穿刺引流。这也可以帮助鉴别脓肿的原因。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前，经皮置管引流联合抗生素已经成为了化脓性肝脓肿的一线及最重要的治疗方法，可有效治疗76%～91%的病例。抽吸脓腔内脓液进行诊断及细菌培养的同时，需放置引流管进行持续引流或者一次性将脓液抽吸干净。经皮细针穿刺的成功率高，微创且住院时间短，但有很大的可能需要再次进行抽吸。当细针穿刺一次不能成功地将所有的脓液抽吸干净时，应进行置管引流。更典型地，可放置一个8～12F的法式经皮胆道引流管。在平均5天后可看到脓肿的大小显著地减少（小于原来的50%），引流管可以在2～4周后移除，但有些医生倾向于保持导管的放置，直到完全消除，一般要15周。过早地拔除引流管与复发有关。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">初次直接进行经皮置管引流的适应证：脓液稠厚不适合细针吸引；脓腔直径&gt; 5cm；脓腔壁厚，不适合穿刺；多房性肝脓肿。多发性脓肿不是经皮置管引流的禁忌证，但这种情况应该每个脓腔放置相应的引流管。尽管二者的成功率均很高，但还是将近10%的患者操作失败。引流不成功或者失败的原因主要是：导管口径过细，脓液稠厚；导管的位置不适合引流；导管过早移除；脓腔的纤维包裹壁非常厚，导管置管困难。与胆道系统相交通的肝脓肿也可以采用经皮穿刺置管引流术（percutaneous catheter drainage，PCD）置管的方式进行引流，虽然持续的胆汁漏出会影响脓肿的闭合，但是这并非是PCD的禁忌证。</p><p>2.合理的抗生素治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　抗生素的选择要通过培养和药敏结果来定，包括第三代头孢菌素、头孢西丁、替卡西林-克拉维酸、哌拉西林-他唑巴坦、氨苄西林-舒巴坦、环丙沙星、左氧氟沙星、亚胺培南和美罗培南。在未确定致病菌之前，首选覆盖革兰阳性及革兰阳性需氧菌和厌氧菌的广谱抗生素，如阿莫西林、氨基苷类加甲硝唑；或者三代头孢菌素加甲硝唑等药物，然而该方案不能覆盖肠球菌。此外，氨基苷类抗生素应谨慎使用，因为对于胆道疾病的患者，特别是伴有败血症、脱水和高龄的患者，肾毒性的风险很大。具体的方案与地区的细菌及药敏谱有关。抗生素的持续时间还没有具体的规定，但通常为4～6周，而且应该根据对治疗的反应进行个体化治疗。当患者情况稳定，并已进行过引流后，静脉注射抗生素可以换成口服。在多个小型肝脓肿不便于引流时，抗生素可能是唯一的选择。此外，需要及时发现及解除胆道梗阻，梗阻的持续存在会影响抗生素的效果。</p><p>3.手术治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　直接进行手术治疗的唯一适应证是脓肿破入腹腔引起化脓性腹膜炎或者多发性肝脓肿伴胆管阻塞，不能通过非手术方式解决时。当然，反复保守治疗无效或者PCD出现出血及脓液外溢等并发症时也需要通过手术处理。手术的同时应处理潜在的并发疾病，尤其是导致胆道感染的疾病。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">传统的手术方式：首先细针穿刺，然后钝针穿刺，手指拨断多发性脓肿的间隔形成一个大腔，将适当大小的引流管放置低位，保证充分引流。若能术后引流的同时进行灌洗则效果更佳。部分上述方法均不适合的患者可以进行肝叶切除术。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患者的最终预后取决于潜在的病因或共存疾病，当然，延误的诊治也是不良预后的重要原因。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;胃肠病学</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3607', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1669', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">阿米巴肝脓肿（amebic liver abscess）多继发于肠道阿米巴病，是阿米巴肠病最常见的并发症，以长期发热、右上腹或右下胸痛、全身消耗及肝脏肿大压痛、血白细胞增多等为主要临床表现，且易导致胸部并发症。&nbsp;发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">阿米巴肝脓肿的发病与阿米巴肠病有密切关系。阿米巴肠病死亡者病理检查见肝脓肿者占36.6%～60%。临床上阿米巴肠病有肝脓肿者占1.8%～46%，一般约10%。半数以上肝脓肿患者病前有腹泻或痢疾的既往史。阿米巴肠病时常伴发非特异性门静脉周围炎，临床有右上腹痛、发热、肝大、白细胞增高等，但此时并无阿米巴原虫侵入肝脏。阿米巴肝脓肿一般发生在腹泻发作后1个月，亦有发生于数月至数年，甚至数十年后。多见于中年男性，纵酒、饮食不当、营养障碍、肝区外伤及其他感染削弱人体抵抗力时，均可诱发本病。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">阿米巴原虫通常经门静脉到达肝脏，但亦可通过肠壁直接侵入肝脏或经淋巴系统进入肝内。大多数原虫抵达肝内后即被消灭，仅少数可存活并侵入肝脏繁殖。阿米巴原虫在肝内，从一开始便引起灶性损害，炎症反应轻微为其特点。原虫在门静脉分支内因栓塞、溶组织及分裂作用，造成局部液化性坏死而形成脓肿。自原虫侵入肝脏至脓肿形成，平均需时1个月以上。脓肿中央为一大片坏死区，呈巧克力酱样，含有溶解和坏死的肝细胞、红白细胞、脂肪、夏科-雷登晶体及残余组织，质黏稠或稀薄。脓肿初起无明显的壁，其边缘碎屑中可查见滋养体。为时较久的脓肿有多少不一的结缔组织形成的壁。脓肿以外的肝脏正常。阿米巴病从不导致肝硬化。慢性脓肿常招致大肠埃希菌、葡萄球菌、肺炎克雷伯菌、肠球菌、产气肠杆菌、产碱杆菌等继发感染。如有穿破，则感染率更高。感染后脓液呈黄色或黄绿色，具臭味，白细胞及脓细胞数量增多。脓肿形成使肝脏肿大，包膜受牵张而引起肝区疼痛。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">脓肿部位以肝右叶顶部居多，因阿米巴肠病好发于右侧结肠，该处血流进入肝脏右叶，尤其是右叶顶部。肝脓肿向上增大，往往与膈肌粘连，使右侧横膈抬高，运动受阻，反应性胸膜炎及右下肺受压，故疼痛每随呼吸或咳嗽增剧，并可放射至右肩部。脓肿亦可发生于肝脏其他部位。脓肿数目各家报道不一，因原虫经门静脉血行播散，故早期以多发性小脓肿较为常见，以后互相融合而形成单个大脓肿。如不及时治疗，脓肿可逐渐增大，并向周围器官或组织穿破而引起相应的症状。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3608', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1669', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">与病程、脓肿大小及部位、有无并发症有关。大多缓起，有不规则发热、盗汗等症状，发热以间歇型或弛张型居多，有并发症时体温常达39℃以上，并可呈双峰热。体温大多午后上升，傍晚达高峰，夜间热退时伴盗汗。患者常有食欲缺乏、腹胀、恶心、呕吐，甚至腹泻、痢疾等症状。肝区痛为本病之重要症状，常呈持续性钝痛，深呼吸及体位变更时增剧，夜间疼痛常更明显。右叶顶部脓肿可刺激右侧膈肌，引起右肩痛，或压迫右下肺引起肺炎或胸膜炎征象，如气急、咳嗽、肺底浊音界升高，肺底闻及湿啰音，腋部有胸膜摩擦音等。脓肿位于肝下部时可引起上腹痛和右腰痛，部分患者右下胸或右上腹饱满，或扪及肿块，伴有压痛。左叶肝脓肿约占10%，患者有中上腹或左上腹痛，向左肩放射，剑突下肝大或中、左上腹包块，易向心包或腹腔穿破。本病主要体征为右上腹饱满、压痛、肌肉紧张及肝区叩痛。肝脏往往呈弥漫性肿大，病变所在部位有明显的局限性压痛及叩击痛，肝脏下缘钝圆，有充实感，质中坚。部分患者肝区有局限性波动感。黄疸少见且多轻微，多发性脓肿中黄疸的发生率较高。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性病例呈衰竭状态，消瘦、贫血、营养性水肿，发热反不明显。部分晚期患者肝大质坚，局部隆起，易误为肝癌。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3609', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1669', '并发症', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">阿米巴肝脓肿的主要并发症为继发细菌感染及脓肿向周围组织穿破。继发细菌感染时寒战、高热较明显，毒血症加重，血白细胞总数及中性粒细胞均显著增多。脓液呈黄绿色，或有臭味，镜检有大量脓细胞，但细菌培养阳性率不高。阿米巴肝脓肿易向周围器官穿破，如穿过膈肌形成脓胸或肺脓肿，穿破至支气管造成胸膜-肺-支气管瘘，穿破至心包或腹腔引起心包炎或腹膜炎，穿破至胃、大肠、下腔静脉、胆总管、右侧肾盂等处，造成各脏器的阿米巴病。除穿破至胃肠道或形成肝-支气管瘘外，预后大多恶劣。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3610', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1669', '辅助检查', '<p>（一）血象</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性期白细胞总数中度增高，中性粒细胞80%左右，有继发感染时更高。病程较长者白细胞计数大多接近正常或减少，贫血较明显，血沉增快。</p><p>（二）粪便检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">少数患者可查获溶组织内阿米巴。</p><p>（三）肝功能检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">碱性磷酸酶增高最常见，胆固醇和白蛋白大多降低，其他各项指标基本正常。</p><p>（四）血清学检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">同阿米巴肠病，抗体阳性率可达90%以上。阴性者可在7日后复查，如阴性基本上可排除本病。</p><p>（五）肝脏显影</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">超声波探查无创伤，准确方便，成为诊断肝脓肿的基本方法。脓肿所在部位显示与脓肿大小基本一致的液平段，并可作穿刺或手术引流定位，反复探查可观察脓腔的进展情况。B型超声显像敏感性高，但与其他液性病灶鉴别较困难，需作动态观察。CT、肝动脉造影、放射性核素肝扫描、磁共振均可显示肝内占位性病变，对阿米巴肝病和肝癌、肝囊肿鉴别有一定帮助，其中CT尤为方便可靠，有条件者可加选用。</p><p>（六）X线检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常见右侧膈肌抬高，运动受限，胸膜反应或积液，肺底有云雾状阴影等。左叶肝脓肿时胃肠道钡餐透视可见胃小弯受压或十二指肠移位，侧位片见右肋前内侧隆起致心膈角或前肋膈角消失。偶尔在平片上见肝区不规则透光液-气影，颇具特征性。</p><p>（七）分子生物学诊断</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对穿刺的肝脓肿液，采用分子生物学检测可以将诊断的敏感性提高到99%。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3611', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1669', '诊断与鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝脓肿的临床诊断基本要点为：①有上腹痛、发热、肝脏肿大和压痛；②X线检查右侧膈肌抬高、运动减弱；③超声波检查显示肝区液平段。若肝穿刺获得典型的脓液，脓液中找到阿米巴滋养体，或超声检查提示阿米巴肝脓肿同时血清学检查阳性亦提示为阿米巴肝脓肿，可进行抗阿米巴肝脓肿治疗。对特异性抗阿米巴药物治疗有良好效应即可确诊为阿米巴性肝脓肿。国外病理证实的阿米巴肝脓肿生前获确诊的仅40%，国内近年来临床误诊率为17%～38.5%。本病应与下列疾病鉴别：</p><p>（一）原发性肝癌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">发热、消瘦、右上腹痛、肝大等临床表现酷似阿米巴肝脓肿。但后者常热度较高，肝痛较显著。癌肿肝脏的质地较坚硬，并有结节。甲胎蛋白的测定、B型超声波检查、腹部CT、放射性核素肝区扫描、选择性肝动脉造影、磁共振等检查可明确诊断。肝穿刺及抗阿米巴药物治疗试验有助于鉴别。</p><p>（二）细菌性肝脓肿（三）血吸虫病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在血吸虫病流行区，易将肝阿米巴病误诊为急性血吸虫病。两者均有发热、腹泻、肝大等表现，但后者肝痛较轻，脾大较显著，血象中嗜酸性粒细胞显著增加，大便孵化、乙状结肠镜检查、虫卵可溶性抗原检测有助于鉴别。</p><p>（四）肝包虫病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如在畜牧区出现缓起的右上腹肿块，B超、CT或MRI证实肝脏占位者应考虑肝包虫病。CT检查往往显示肝脏大小不等的圆形或椭圆形低密度影，囊肿内或囊肿边缘可出现钙化，低密度影边缘部分显示大小不等的车轮状囊肿影，是囊肿内存在子囊的特征性表现。应结合特异性与敏感性均较高的血清学检查结果明确诊断，必要时以抗阿米巴药物作诊断性治疗。</p><p>（五）胆囊炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">起病急，右上腹痛阵发性加剧，且常有反复发作史。黄疸多见且较深，肝大不显著，胆囊区压痛明显，可作胆囊造影及十二指肠引流予以鉴别。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3612', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1669', '治疗', '<p>（一）内科治疗1.抗阿米巴治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">选用组织内杀阿米巴药为主，辅以肠内杀阿米巴药以达根治。目前大多首选甲硝唑，剂量800mg，每日3次，疗程10日，如临床上需要可重复疗程。治愈率90%以上。无并发症者服药后72小时内肝痛、发热等临床情况明显改善，体温于6～9日内消退，肝大、压痛、白细胞增多等在治疗后2周左右恢复，脓腔吸收则迟至4个月左右。第二代硝基咪唑类药物，如替硝唑，抗虫活力、药代动力学特点与甲硝唑相同，但半衰期长得多，对阿米巴肝脓肿疗效优于阿米巴肠病，2g口服，每日1次，连用5日。少数单用甲硝唑疗效不佳者可换用氯喹或依米丁，但应注意前者有较高的复发率，后者有较多心血管和胃肠道反应。治疗后期应常规加用一疗程肠内抗阿米巴药二氯尼特或巴龙霉素，以根除复发之可能。</p><p>2.肝穿刺引流</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早期选用有效药物治疗，不少肝脓肿已无穿刺的必要。对恰当的药物治疗5～7日、临床情况无明显改善，或肝局部隆起显著、压痛明显，有穿破危险者采用穿刺引流。穿刺最好于抗阿米巴药物治疗2～4日后进行。穿刺部位多选右前腋线第8或第9肋间，或右中腋线上第9或10肋间或肝区隆起、压痛最明显处，最好在超声波探查定位下进行。穿刺次数视病情需要而定，每次穿刺应尽量将脓液抽净，脓液量在200ml以上者常需在3～5日后重复抽吸。脓腔大者经抽吸可加速康复。近年出现的介入性治疗，经导针引导作持续闭合引流，可免去反复穿刺、继发性感染之缺点，有条件者可采用。</p><p>3.抗生素治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有混合感染时，视细菌种类，选用适当的抗生素全身应用。</p><p>（二）外科治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">阿米巴肝脓肿需手术引流者一般＜5%。其适应证为：①抗阿米巴药物治疗及穿刺引流失败者；②脓肿位置特殊，贴近肝门、大血管或位置过深（＞8cm），穿刺易伤及邻近器官者；③脓肿穿破入腹腔或邻近内脏而引流不畅者；④脓肿有继发细菌感染，药物治疗不能控制者；⑤多发性脓肿，使穿刺引流困难或失败者；⑥左叶肝脓肿易向心包穿破，穿刺易污染腹腔，也应考虑手术。肝脓肿的治愈标准尚不一致，一般以症状及体征消失为临床治愈，肝脓肿的充盈缺损大多在6个月内完全吸收，而10%可持续异常至1年。少数病灶较大者可残留肝囊肿。血沉也可作为参考指标。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3667', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1409', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">国际上结核性胸膜炎（tuberculous pleuritis）归为肺外结核，在肺外结核中占第2位，仅次于淋巴结核。1999年中华医学会结核病分会制定的结核病分类把结核性胸膜炎列为独立于肺结核和肺外结核的第Ⅳ型，主要是基于该病在国内有较高的发病率。结核分枝杆菌侵犯胸膜有两种不同的方式，两者在临床过程、诊断和处理上都不相同。一类是由于少量结核分枝杆菌通过淋巴、血行或胸膜下肺部结核病灶直接蔓延至胸膜，引起细胞介导的免疫反应，产生胸腔积液，通常称为结核性胸膜炎。另一类是由于靠近胸膜的干酪样结核病灶、纵隔支气管淋巴结核、椎旁脓肿破溃进入胸腔，造成大量的结核杆菌在胸腔内繁殖生长，产生稠厚的脓性积液，称为结核性脓胸。偶见胸膜包裹性结核干酪病变，称为胸膜结核球。本文主要论述结核性胸膜炎。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">结核性胸膜炎可发生于任何年龄，是儿童和青年最常见的胸膜炎，且是发展中国家最常见的单侧胸腔积液病因，大约占到30%～80%，高达31%的结核病患者合并该病；而在西方发达国家，其占渗出性胸膜炎的比例不到1%，只有3%～5%的结核病患者合并该病。可分为干性胸膜炎和渗出性胸膜炎，前者多发生在肺尖后部胸膜，其次为胸下部胸膜，症状很少或没有症状，常产生局限性胸膜粘连而自愈，诊断通常是回顾性的；当机体处于高度变态反应状态时，结核分枝杆菌及其代谢产物侵入胸膜，产生胸腔积液，称为渗出性胸膜炎。&nbsp;发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">结核性胸膜炎可以是结核分枝杆菌的原发感染，也可以是继发性于肺结核的胸膜病变。既往胸液结核分枝杆菌培养阳性率在25%以下，传统认为结核性胸膜炎的发病主要是由于结核分枝杆菌的菌体蛋白引起迟发型变态反应导致胸腔积液，现在发现胸膜活检有50%～80%的病例胸膜上有典型结核结节形成，胸膜组织结核分枝杆菌培养阳性率也在50%以上，故目前认为其发病是胸膜在遭受结核杆菌感染后产生针对其抗原成分的变态反应。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病通常有自限性，如果不经治疗，数周到数月后患者的积液可以消退，50%的患者出现胸膜增厚纤维化，甚至广泛的钙化。40%～60%的患者在5年内可以出现活动性肺结核，部分患者出现胸液的复发。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性结核性脓胸出现的机会非常少，可见于以下情况：①原发结核病灶破溃入胸腔的病灶很大；②膈下或者淋巴结核直接破溃入胸腔；③血行播散；④继发于肺叶切除术或者人工气胸后残腔内充填。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3668', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1409', '病理与病理生理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早期胸膜充血、水肿、白细胞浸润，随后淋巴细胞浸润占优势。胸膜表面有少量纤维蛋白渗出，如炎症反应轻微，不出现浆液性渗出即为干性胸膜炎；如炎症反应剧烈，即从毛细血管渗出血浆集聚于胸膜腔中，自微量至数升，形成胸腔积液。大量积液压迫肺脏，减少呼吸面积和限制膈肌活动，肺活量减低。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于大量纤维素蛋白沉着于胸膜，胸腔积液吸收过程中可形成包裹性积液和广泛胸膜增厚。严重胸膜增厚者，可呈限制性通气功能障碍。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">结核性脓胸常有肉芽组织增生及大量纤维组织形成胸膜增厚；胸膜纤维层瘢痕机化，甚至钙化。若有支气管胸膜瘘，则肺脏大部萎缩。有时脓液溃入胸壁形成冷脓肿产生瘘道，长期流脓不愈。肺功能一般显示限制性通气障碍，若对侧肺脏发生代偿性肺气肿，或本身有慢阻肺基础，则可有残气及残气占肺总量百分比增加，形成混合性通气障碍。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3669', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1409', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病最常见的症状为低热（86%）、胸痛（75%）和咳嗽（70%）。多为低热，部分为高热，甚至持续超过2周，亦有患者可以无发热甚至无症状。起病胸液尚未渗出时主要症状为胸痛，多发生于胸廓扩张度最大的部位，如腋侧胸下部。疼痛性质为剧烈尖锐的针刺样痛，深呼吸及咳嗽时更甚，浅呼吸、平卧和患侧卧位，胸痛可减轻，故呼吸常急促表浅，待渗液增多时，壁层与脏层胸膜分开，胸痛即减轻。咳嗽以干咳为主，深吸气时胸膜刺激时明显。胸腔积液量多、基础肺功能较差的患者可出现气急、胸闷。此外患者常有厌食、乏力、消瘦、盗汗等非特异性毒性症状。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">体检患侧呼吸运动受限制，胸式呼吸减弱。干性及少量渗出性胸膜炎腋侧下胸部常有恒定的胸膜摩擦音，吸气及呼气期均可闻及；渗出性胸膜炎胸液量较多时病侧呼吸运动度减弱，叩诊浊音，听诊呼吸音减低或消失；大量渗液时气管心脏移向健侧。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性结核性脓胸伴有支气管胸膜瘘时，则咳出大量脓痰（即脓性胸液），有时呈血性。慢性者多不发热，但贫血及消瘦较明显。体征大致与渗出性胸膜炎相似。胸壁局部可有压痛，甚至轻度浮肿。慢性者胸廓塌陷，肋间隙变窄，呼吸运动减弱，叩诊实音，听诊呼吸音减低，气管移向患侧，常伴有杵状指（趾）。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3670', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1409', '辅助检查', '<p>（一）影像学检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">干性胸膜炎胸部X线检查可无异常，当渗液量达200ml以上时，可见肋膈角变钝，结核性胸膜炎一般多为单侧中量积液，表现为下胸部见外高内低上缘呈下凹的均匀致密阴影，鲜有因大量积液而导致患侧全为致密阴影的。胸部X线尚可以发现肺内的其他病灶如上肺为主的结节、斑片影、纤维增殖灶或钙化，提示同时存在肺结核可能有助于结核性胸液的诊断。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">超声检查探测胸腔积液远较X线灵敏，可测出肋骨角少量积液，可估计胸腔积液的深度和积液量，并能根据光点变化区分积液是否分隔或纤维化，因此对于包裹或纤维分隔的积液提供精确的穿刺定位，并能指导置管引流位置和胸膜活检。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">CT是发现胸腔积液最敏感的方法，可发现极少量的积液，能鉴别胸膜增厚、包裹性积液和肺内或纵隔巨大囊性肿块。CT发现肺内病灶和纵隔淋巴结肿大也较X线敏感，出现典型的小叶中心为主病灶如出芽征、肺实质内伴有钙化的肉芽肿性病灶或环状强化的单侧纵隔淋巴结肿大有助于结核病的诊断。</p><p>（二）微生物学检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胸液离心沉淀后做涂片检查抗酸杆菌的阳性率在5%以下，结核杆菌培养阳性需要10～100条结核分枝杆菌，胸水培养的阳性率在24%～58%，新的自动化结核培养技术如BACTEC MGIT 960大大提高培养的阳性率，并把阳性报告的时间缩短至平均10天左右。除了胸液标本，经穿刺活检的组织也应送结核培养，以提高诊断率。肺部影像上肺实质有阴影者，痰的抗酸涂片和分枝杆菌培养检查有助于提高阳性率。结核培养阳性在诊断上有确诊意义，也是发现耐药结核病的必要条件。</p><p>（三）胸液理化检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胸液一般呈草黄色、透明或混浊的液体，少数也可呈淡红或深褐色的血性液体，含大量纤维蛋白，放置后形成胶冻样凝块。胸液比重在1.018以上，蛋白定量＞30g/L，镜检有核细胞100～1000/mm<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">3</span>，病程前两周，分类以中性粒细胞为主，后转为为淋巴细胞，胸液细胞分类以淋巴细胞为主是结核性胸膜炎诊断的初步依据。胸液pH在7.30～7.40，大约80%～85%的胸液糖＞60mg/ dl。结核性脓胸的脓液性状和普通脓胸相似，胸液中白细胞总数10 000～15 000/mm<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">3</span>或更多，以中性粒细胞为主，pH＜7.2，糖＜20mg/ml，LDH＞1000IU/L。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">腺苷酸脱氨酶（adenosine deaminase，ADA）是嘌呤代谢过程中的一种酶，在淋巴细胞特别是T淋巴细胞中含量丰富。一般以ADA＞70IU/L高度怀疑结核性胸膜炎，ADA＜40IU/L作为除外诊断，大多的临床研究以ADA 40～60U/L作为诊断的界限值。大样本的荟萃分析，包括2796例结核性胸膜炎和5297例非结核性胸膜炎的患者，平均的敏感性和特异性分别为92%和90%，表明在结核高发的发展中国家，ADA是一种简单、快速、特异的方法。但以淋巴细胞为主的胸液（如类风湿关节炎、淋巴瘤、肺泡细胞癌、间皮瘤、支原体衣原体肺炎、军团菌感染、肺吸虫、隐球菌肺炎中）ADA也可增高。ADA有两个同工酶，ADA1产生于淋巴细胞和单核细胞，ADA2主要由单核巨噬细胞产生，结核性胸膜炎时ADA2增高更有意义。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">IFN-γ主要由CD4<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>T细胞产生，因此用来诊断结核性胸膜炎有很高的特异性，研究表明胸液IFN-γ检测敏感性在78%～100%，特异性在95%～100%。最近的荟萃分析包括762例结核性胸膜炎患者和1319例非结核性胸膜炎患者，平均的敏感性为89%，特异性为97%。许多研究显示IFN-γ测定特异性要优于ADA。其他可以引起胸液IFN-γ增高的疾病是血液系统肿瘤和脓胸。</p><p>（四）胸膜活检和胸腔镜</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">经皮胸膜活检曾经是诊断结核性胸膜炎的金标准，胸膜组织出现伴有干酪样坏死的肉芽肿、抗酸染色阳性或病理组织培养分枝杆菌阳性是确诊的手段。虽然胸膜活检有50%～97%显示为肉芽肿，但病理显示为肉芽肿并不等同于结核病，其他如结节病、真菌感染、类风湿关节炎、诺卡菌病均可出现肉芽肿改变。随着介入技术的发展，胸膜活检目前大多在超声或CT引导下用切割针活检，因所取组织大，能提高诊断阳性率。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胸腔镜是诊断不明原因胸腔积液的最好方法，典型结核性胸膜炎可以看到壁层胸膜黄白色的小结节，胸膜面红肿充血，并可见纤维渗出粘连，通过胸腔镜活检组织可以做病理检查和结核分枝杆菌的病原检查，有文献报道胸腔镜结合病理和微生物学检查诊断结核性胸膜炎的阳性率高达100%。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3671', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1409', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">典型的结核性胸膜炎根据临床表现和胸液检查不难诊断，但由于结核培养需时长而且阳性率低，加上国内没有普遍开展胸液ADA、IFN-γ的检测和胸膜活检检查，其诊断主要依据临床治疗反应，容易过诊和误漏诊，需大力提倡ADA、IFN-γ的检测、胸膜活检和结核分枝杆菌培养。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3672', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1409', '鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">需与各种原因引起的单侧胸腔积液鉴别，主要是和癌性胸腔积液、肺炎旁胸腔积液（parapneumonic effusion）鉴别。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3673', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1409', '治疗', '<p>（一）抗结核治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一旦诊断结核性胸膜炎，应进行正规抗结核治疗，如不经治疗，65%的患者在5年内发展为活动性肺结核，部分患者甚至可能进展为结核性脓胸。WHO推荐抗结核治疗方案在没有合并中枢神经和骨关节结核的情况下参照痰菌阳性的肺结核方案，即2HRZE/ 4HR，或2H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>R<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>Z<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>E<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>/4H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>R<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>。2008年卫生部《中国结核病防治规划实施工作指南》推荐的化疗方案是2HRZE/ 10HRE或2H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>R<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>Z<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>E<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>/10H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>R<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>E<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>，远较菌阳肺结核的方案为强。如果耐药则参考多耐药结核病的治疗方案。</p><p>（二）胸腔穿刺引流</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胸腔穿刺引流不仅是诊断需要，也是治疗的必要手段。由于高达50%的患者在开始治疗后6～12个月内出现胸膜增厚，胸腔抽液有助于减少纤维蛋白沉着和胸膜增厚，使肺功能免遭损害。一般主张大量胸液时要求每周抽液2～3次，直至胸液完全吸收。目前国内多用8～12Fr的穿刺导管引流，优点是放置方便、损伤小，可以持续引流、避免反复穿刺，利于把胸腔积液引流干净，一般单纯性结核性胸膜炎不主张大于16Fr的引流管做切开引流。有研究局部注射尿激酶5万～10万U可以减少胸膜粘连，结核性脓胸时需大号引流管置管冲洗，每次用生理盐水或2%碳酸氢钠冲洗脓腔。</p><p>（三）糖皮质激素治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于大部分患者在治疗后有胸膜增厚和粘连，因此一直在探索减轻炎症反应、减少胸膜粘连的治疗，糖皮质激素是应用最多的方法，但其作用一直受到争议。2007年Cochrane系统综述了6个临床试验633个患者，资料显示糖皮质激素治疗能减少胸膜增厚和第4周的残留积液，但不能降低死亡率、改善肺功能、减轻胸膜粘连和第8周的残留积液。而不良反应要多于对照组，在HIV的患者还发现卡波西肉瘤的风险增加。虽然目前的循证证据并不支持糖皮质激素应用，但随机对照的样本还是偏小，尚需要进一步临床试验来验证。许多专家认为对于毒性症状严重，胸腔积液量多的患者，在使用抗结核药物和胸腔穿刺的同时加用糖皮质激素可以减轻机体变态反应和炎症反应使胸液迅速吸收，减少胸膜粘连增厚。通常泼尼松20～30mg/d，分3次口服。体温正常、全身毒性症状消除、胸液吸收或明显减少时，逐渐减量至停用，疗程约4～6周。由于国内结核性胸膜炎的诊断许多时候仅仅是临床诊断，需要通过抗结核治疗反应来确认诊断，糖皮质激素的应用尤需慎重。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3696', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1667', '定义', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心源性休克（cardiogenic shock）是指由各种原因引起的心脏泵血功能障碍，导致急性组织灌注不足而产生的临床综合征。心源性休克的血流动力学改变包括持续性低血压（收缩压＜90mmHg，或收缩压较基线水平下降＞30mmHg、持续30分钟以上）、肺动脉楔压（pulmonary artery wedge pressure，PAWP）大于18mmHg、心脏指数小于2.2L/（min<span style=\"color: rgb(51, 51, 51); font-family: arial; font-size: 13px; line-height: 13.3467px; background-color: rgb(255, 255, 255);\">・</span>m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>）。其临床表现包括低血压伴随组织灌注不足（少尿、意识障碍、四肢湿冷等）以及一系列心肌功能障碍的体征。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3697', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1667', '病因', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">任何引起严重的急性左室或右室衰竭的原因都能导致心源性休克。继发于急性心肌梗死的左心衰竭是心源性休克最常见的原因。急性心肌梗死患者中，心源性休克的发生率为10%～20%。常见的心源性休克原因如下：</p><p>（一）急性心肌梗死</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性心肌梗死可由于泵衰竭、机械性并发症、右室梗死等原因导致心源性休克。</p><p>1.泵衰竭</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如大面积梗死、既往存在左室功能障碍的小面积梗死、梗死扩展（infarct expansion）、梗死延展（infarct extension）、再梗死（reinfarction）等。梗死扩展指由于梗死区心肌变薄和拉长所致的心室扩张，心肌梗死范围的大小并未增加。与梗死扩展不同，梗死延展指心肌梗死后重新发生的心肌坏死，具有心肌坏死范围的真正增加。再梗死则指心肌梗死后再次发生新的心肌梗死。</p><p>2.机械性并发症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如乳头肌断裂所致急性二尖瓣反流、室间隔缺损、游离壁破裂导致心脏压塞等。</p><p>3.右室梗死。（二）其他心肌疾病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如心肌炎、围生期心肌病、伴流出道梗阻的肥厚型心肌病、应激性心肌病等。</p><p>（三）心瓣膜病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如急性二尖瓣反流、急性主动脉瓣反流、主动脉或二尖瓣狭窄伴随快速性心律失常、人工瓣膜功能障碍等。</p><p>（四）快速性心律失常</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如室速、房颤、房扑等。</p><p>（五）其他情况</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如长时间的心肺分流术、感染性休克伴重度心肌抑制、穿透性或钝性心脏创伤、心脏原位移植排异反应、大块肺梗死等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3698', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1667', '病理生理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">大部分急性心源性休克是广泛心肌梗死造成的。左室心肌受损达40%以上的患者，心源性休克发生率高。不管是由于单纯缺血、供应大面积心肌的一支动脉阻塞还是多次心肌梗死等都可造成左室心肌损害。尸体解剖和血管造影显示患者中普遍存在多支冠状动脉病变，尤其是累及左主干和左前降支。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在心源性休克患者中心肌梗死范围的扩大或发生再梗死都很常见，也是导致休克的机制。引起梗死范围扩大的因素有侧支血流受损、心肌氧耗的增加、血栓栓塞等。在高血压性心血管疾病和左室肥厚或主动脉瓣狭窄的患者中，低血压和左室舒张末压升高可能引起或加剧广泛的心内膜下缺血，其他可能加重休克的重要因素包括贫血、氧合障碍和外周动脉阻力不适当的降低。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">二尖瓣反流、室间隔缺损或左室心肌破裂占急性心源性休克病例的15%～25%。游离壁破裂与ST段抬高的前壁心肌梗死有关，占所有心肌梗死死者的10%。游离壁破裂可表现为休克突然进展，继而出现伴随电机械分离的循环衰竭。乳头肌的部分或完全断裂可能导致严重二尖瓣反流，因为后内侧乳头肌仅接受来自冠状动脉后降支的一条血供，所以它比前外侧乳头肌更易受累及。心源性休克是右心室心肌梗死的特异的、容易识别的并发症，右心室心肌梗死总是与左心室后底壁梗死有关，伴随右冠状动脉近端的阻塞，右心室的泵功能降低，右心室扩张，从而导致左心室前负荷的降低和继发低血压。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">左室功能恶化使每搏输出量、心排血量降低，引起低血压和心动过速，冠状动脉血供减少。舒张期功能障碍使左房压升高引起肺充血和低氧血症，加重心肌缺血和心室功能障碍。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心源性休克的代偿机制包括交感神经兴奋，心率和心肌收缩力增加，液体潴留，导致前负荷增加。心率和心肌收缩力增加的同时，心肌氧耗也增加，这进一步加重了心肌缺血。另一代偿机制是心排血量下降后血管收缩以维持血压和冠状动脉灌注压，以上反应能增加心脏后负荷，进一步损害心脏功能和增加心肌氧耗。心肌灌注不足时，氧耗的增加可导致缺血加剧，形成恶性循环，如果不及时纠正，最终导致患者死亡。如何打破这一心肌功能障碍和缺血的恶性循环成为心源性休克的治疗基础。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在一项大型研究中，部分心源性休克患者全身血管阻力下降的同时合并发热及白细胞增加，提示心源性休克中存在全身炎症反应综合征。心肌梗死后释放出细胞因子，使一氧化氮合成酶形成增加，引起血管扩张和血压下降。左室功能障碍也使一氧化氮合成酶表达增加，导致一氧化氮水平升高。一氧化氮能与过氧化物结合形成过氧亚硝酸盐，可损伤心肌收缩功能。近期研究表明心源性休克时一氧化氮和过氧化物水平可能增加，内源性一氧化氮抑制剂水平与血流动力学障碍及死亡率增加有关。心源性休克时循环中炎症介质如肿瘤坏死因子和白介素-6（IL-6）水平均增高。炎症介质可促使脑钠肽（brain natriuretic peptide，BNP）释放，因此，心源性休克时BNP水平增高，不仅提示血流动力学异常，也提示炎症反应程度。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心源性休克患者由于心肌顿抑或心肌冬眠的原因，存在无功能的存活心肌。心肌顿抑（myocardial stunning）是缺血后损伤，并在恢复正常灌注血流后损伤仍持续一段时间，因再灌注后心肌存活，故能完全恢复功能。心肌顿抑的发病机制尚不完全确定，但为多细胞参与的、多种发病机制相互作用的多因素过程。心肌冬眠（myocardial hibernation）发生于急性冠状动脉严重缺血后部分心肌功能持续受损，恢复冠脉血流后心肌功能恢复正常。心肌冬眠是一种适应性反应，在低灌注时，心肌细胞收缩功能下降，维持供需平衡，减少缺血或坏死可能。心肌冬眠可通过多种方法检测，如多巴酚丁胺负荷超声心动图、核素扫描、PET等，其中PET最敏感。由于缺血心肌优先利用葡萄糖作为代谢底物，因此可以通过测<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">18</span>F-氟脱氧葡萄糖的利用来检测。冬眠心肌收缩功能在冠脉血流恢复后可改善；顿抑心肌存在收缩储备及变应力反应，同时，心肌顿抑也为心源性休克患者的冠脉重建提供了依据。因此，心肌顿抑与心肌冬眠的治疗对心源性休克患者尤为重要。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3699', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1667', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心源性休克主要表现为组织低灌注。低血压通常定义为收缩压低于90mmHg或比基础收缩压降低30mmHg以上。早期可表现为烦躁不安、焦虑、面色及皮肤苍白、出冷汗、肢体湿冷、心慌、心悸、胸闷、呼吸困难、尿量减少等。随着病情的发展，休克的程度将逐渐加重。除上述表现外，还可有意识模糊、发绀、脉搏细速、四肢湿冷、表浅静脉萎陷、尿量进一步减少等。休克晚期可出现弥散性血管内凝血和多器官功能衰竭。前者引起出血，可有皮肤、黏膜和内脏出血，消化道出血和血尿较常见。还可发生心力衰竭、急性呼吸衰竭、急性肾衰竭、脑功能障碍和急性肝衰竭等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">体检时应注重对低灌注的识别、血容量的状况和引起休克的继发因素。发生休克前，常伴有机械性损伤并发症的表现。如由于腱索、乳头肌断裂或室间隔穿孔可致全收缩期杂音。心室破裂的患者可发生心脏压塞，通常表现为致命的电机械分离，突然心率减慢，或心动过缓或高度房室传导阻滞，甚至血压为零。心肌炎的患者可以出现心包或胸膜心包摩擦音。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">右心室梗死所致的血压下降，临床上主要表现为右心衰竭，如肺淤血不明显，有动脉压下降，心前区收缩期杂音，颈静脉充盈等。右心室梗死的临床表现可被心源性休克所掩盖。伴随休克的急性心肌炎也表现为低灌注，如果心肌炎已经持续几天到数周，体液潴留的表现可能会比较突出。当难治性心力衰竭伴随低血压和全身低灌注时，其临床表现很难与急性心源性休克相鉴别。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3700', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1667', '实验室检查', '<p>（一）血常规</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心源性休克较少出现红细胞和血红蛋白的变化，大多有白细胞总数和中性粒细胞的增加。有出血倾向和弥散性血管内凝血者，血小板计数可减少，血纤维蛋白原可减低，凝血酶原时间可延长，血浆鱼精蛋白副凝试验（3P试验）阳性。</p><p>（二）血液生化</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">发生心肌梗死时大多数患者有血清心肌标志物的改变，如血肌钙蛋白、肌酸磷酸激酶等，可有血糖增高，血丙酮酸和乳酸的增高，并可有pH降低，二氧化碳结合力降低。肾功能减退时可有血尿素氮和肌酐增高。血钾也可增高，电解质分析也是必不可少的。血气分析对了解酸碱平衡很有价值，酸性状态下心肌功能可能减弱。休克发生后动脉血氧饱和度、静脉血氧含量可下降。当肺功能衰竭时动脉血氧分压显著降低。肝功能受损时血清转氨酶、乳酸脱氢酶等可增高，肝功能衰竭时血氨可增高。</p><p>（三）尿常规</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">随着休克的进展尿中可出现蛋白、红细胞和管型等。</p><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">辅助检查</h6><p>（一）心电图</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在由急性心肌梗死所致的心源性休克中最常见的心电图表现是ST段抬高，但也有不伴ST段抬高的心源性休克。约25%的患者可能表现为ST段压低或非特异性ST段改变。心电图还可发现陈旧性心肌梗死和心律失常。心电图右心前导联的改变提示患者有右心室梗死的可能。急性心肌炎的心电图异常表现比较广泛，常见快速性心律失常，尤其是窦性心动过速或房颤，有些患者有新发的室内传导障碍。心源性休克可使终末期心力衰竭变得更严重，心电图可能表现为广泛的陈旧性心肌梗死、室间传导障碍或束支传导阻滞。</p><p>（二）超声心动图</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">超声心动图检查对于心源性休克患者的诊断极有价值。可用于诊断乳头肌断裂或室间隔缺损等机械性并发症。超声心动图还可评估整个左心室功能，包括非梗死区的代偿性高动力状态。可判断由广泛心肌梗死引起的心源性休克患者是否存在严重的局部室壁活动异常。严重弥漫性低动力状态提示休克的原因可能是心肌病。患者的短期和长期病死率与超声心动图所显示的初始左室心功能、二尖瓣反流的量有关。对怀疑有游离壁破裂的患者，超声心动图可证实是否存在心包积液。新近的研究证明多普勒超声心动图能准确地测出心源性休克患者的肺动脉收缩压和楔压，当二尖瓣减速时间≤140毫秒时，高度提示肺动脉嵌顿压≥20mmHg，在无肺动脉导管的情况下，可以用超声心动图来进行临床评估。超声心动图是极重要的检查手段，操作必须快速进行，尤其是对于以急性心脏缺血起病的患者。</p><p>（三）胸片</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常规的胸片检查可以明确心脏大小、肺血管及肺组织病理的情况，并可粗略提供主动脉的状况。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3701', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1667', '监测', '<p>（一）血压监测</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是心源性休克时最重要、最基本的监测手段，包括无创的和有创的方法。严重休克和血压不稳定的患者作动脉穿刺插管直接测量动脉压更为有效和安全。既往有高血压的患者，血压下降20%以上或较原来收缩压下降30mmHg以上，应考虑存在低血压。低于90mmHg的收缩压对于60岁以上、合并各种隐匿肾病患者是危险的。这类患者的肾脏对缺血缺氧耐受性差，应尽快将其收缩压维持在100mmHg以上。在测量血压的同时还应密切观察患者的全身情况，如脉搏、神志、四肢皮肤颜色和温度、尿量等，以作全面的分析和判断。</p><p>（二）中心静脉压测定</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">中心静脉压反映的是右心室的前负荷，常作为简单、实用的容量指标。测定中心静脉压，有助于鉴别心功能不全或血容量不足引起的休克。但影响中心静脉压的因素较多，如血管收缩剂和扩张剂的应用，肺部疾患、心脏疾病以及零点水平的不准确等。近几年，许多学者对中心静脉压绝对数值本身的临床意义提出了异议。但是动态监测中心静脉压的变化对处理各类休克，决定输液的种类和量、是否用强心药或利尿药，有一定的指导意义。对心源性休克患者，适当维持较高的中心静脉压水平，保证足够的右心室前负荷，对增加左心室排量有一定帮助。</p><p>（三）肺动脉漂浮导管监测</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺动脉漂浮导管能提供有价值的血流动力学信息，包括PAWP、肺动脉压、热稀释法心排血量、中心静脉压等，还可以测量混合静脉血氧饱和度，这些参数有助于指导治疗。肺动脉嵌顿压反映左心房平均压，与左心室舒张末压密切相关。在无肺血管疾病或二尖瓣病变时，测定肺动脉嵌顿压，有助于了解左心室功能，是估计血容量和监护输液速度、防止发生肺水肿、指导治疗的一个很好的指标。肺动脉嵌顿压、心排血量等指标可以鉴别心源性休克是否合并绝对循环血容量不足。在低血容量性休克和右心室梗死可显示低的左心室充盈压，在严重二尖瓣关闭不全者可见有巨大的V波，在室间隔缺损患者可见有氧饱和度阶差。</p><p>（四）尿量监测</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">留置导尿管连续观察尿量，要求每小时尿量多于30ml。若不到此数，提示肾血流不足。除了每小时尿量，还应监测尿比重、尿尿素氮、尿肌酐含量等。尿尿素氮和尿肌酐含量下降，表明患者肾功能开始受损。</p><p>（五）微循环情况</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">休克时由于皮肤血管收缩，故皮温常较低，皮肤血管收缩不能散热，故肛温常增高。如两者温差在1～3℃之间，则表示休克严重（正常在0.5℃左右）。当周围末梢血的血细胞比容高出中心静脉血细胞比容的3%时，则表示有显著的周围血管收缩。这种差别变化的幅度常表示微循环灌注恶化或好转的程度。眼底检查可见小动脉痉挛与小静脉扩张，严重时可有视网膜水肿。在指甲上加压后放松时可见毛细血管内血液充盈的时间延长。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3702', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1667', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心源性休克是器官组织的一种低灌注状态，系急性心肌梗死或其他各种原因所致的终末期心力衰竭。临床诊断标准为：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.存在引起心源性休克的病因。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.全身低灌注表现 有肢体湿冷，尿量减少＜20ml/h和（或）神志改变等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.血流动力学表现 ①持续性低血压，收缩压＜90mmHg，或收缩压较基线水平下降＞30mmHg、持续30分钟以上；②心排血量显著下降，心脏指数（CI）＜2.2L/ （min<span style=\"color: rgb(51, 51, 51); font-family: arial; font-size: 13px; line-height: 13.3467px; background-color: rgb(255, 255, 255);\">・</span>m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>）；③肺动脉嵌顿压＞18mmHg。肺动脉漂浮导管和（或）多普勒超声心动图检查有助于心源性休克诊断的确立。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3703', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1667', '鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心源性休克最常见于急性心肌梗死。在急性起病时，应将休克的心源性因素与其他因素做鉴别：</p><p>1.低血容量性休克</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性血容量降低所致的休克要鉴别下列情况：</p><p>（1）出血：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胃肠道、呼吸道、泌尿道、生殖道的出血，最后排出体外诊断不难。脾破裂、肝破裂、宫外孕破裂、主动脉瘤破裂、肿瘤破裂等，出血在腹腔或胸腔，不易被发现。此时除休克的临床表现外患者明显贫血，有胸、腹痛和胸、腹腔积血液的体征，胸、腹腔或阴道后穹隆穿刺有助于诊断。</p><p>（2）外科创伤：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有创伤和外科手术史诊断一般不难。</p><p>2.感染性休克</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">感染性休克在早期可表现为末梢循环温暖即“暖休克”，直到休克的晚期方出现末梢循环不良，成为所谓的“冷休克”。各种严重的感染都有可能引起休克，常见的有重症肺炎、腹腔感染、血流感染等。感染性休克往往感染中毒症状明显。</p><p>3.过敏性休克</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">接触过敏原后快速出现皮疹、血压下降，可合并喉头水肿、呼吸困难等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">继发于广泛左心室损害的泵衰竭是心源性休克的主要原因，右心室梗死一旦在随后发生左心室梗死时也可引发心源性休克。此外急性心源性休克的鉴别诊断还包括乳头肌断裂或功能障碍引起的二尖瓣反流、左心室游离壁破裂和室间隔缺损等机械性因素。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">终末期难治性心力衰竭患者也可能有严重的灌注不足，但一般情况下，休克的发展比急性心肌梗死患者慢。慢性心力衰竭的患者在没有休克的时候，尤其是在强有力地降低后负荷后，血压可能低于90mmHg。对于这些患者，液体负荷过多可能促使心源性休克的发生。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3704', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1667', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">尽早诊断可引起休克的疾病并及时予以治疗，是防止发生休克的最有效的措施。院前的处理可能对进一步的抢救有较好的帮助。有必要建立静脉通道、高流量吸氧和心电监护。休克的治疗必须争分夺秒，根据发生休克的病因、发病机制和病理生理，在去除病因的前提下，采取综合措施，提高血压，改善微循环和细胞代谢以及预防等并发症的发生。</p><p>（一）一般紧急处理1.平卧位</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">取平卧位不用枕头，腿部抬高30°，如患者同时伴有心力衰竭，气急不能平卧，可采用半卧位。减少搬动，注意保暖和安静。</p><p>2.保持气道通畅并吸氧</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">保持患者呼吸道通畅。根据动脉血气分析，给予鼻导管或气管内插管给氧。</p><p>3.建立静脉通道</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">除周围静脉外，可考虑做锁骨下静脉、颈内静脉等深静脉穿刺插管。</p><p>4.生命体征监护</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">床旁持续监护，包括心电图、血压、呼吸、脉搏氧饱和度。</p><p>5.监测尿量</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">尿量是反映组织灌注的敏感指标。应留置导尿管监测每小时尿量，维持尿量＞30ml/h。如患者既往无肾病史，少尿或无尿可能由于心力衰竭或血容量不足所致的灌注不足，积极查出原因加以治疗。</p><p>6.观察周围循环灌注情况</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">皮肤红润且温暖时表示小动脉阻力降低。皮肤湿冷、苍白表示血管收缩，小动脉阻力增高。</p><p>7.血流动力学监测</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据患者的具体情况，置入动脉导管直接监测动脉压，置入肺动脉漂浮导管，测定肺动脉压、肺动脉嵌顿压及心排血量等，并根据测定值结果调整治疗措施。</p><p>（二）急性心肌梗死引起的心源性休克的处理</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心源性休克的主要病理生理特点是心排血量减低，心搏量亦减低，其周围血管阻力则可增高、正常或降低。心源性休克的死亡率很高，最好在血流动力学的监测下积极治疗。</p><p>1.镇静镇痛</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性心肌梗死时的剧痛对休克不利，宜用吗啡、哌替啶等镇痛。有烦躁不安、焦虑等表现的患者可用镇静剂以减轻患者的紧张和心脏负担。异丙酚作为常用镇静剂对低血压患者具有迟发的降低心排血量作用，并可进一步加剧低血压，不宜用于心源性休克患者的镇静。苯二氮卓类（如咪达唑仑）联合芬太尼更适合应用于休克患者。</p><p>2.纠正低氧血症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">保持气道通畅，通过鼻导管或面罩给氧。如动脉血氧分压仍低而二氧化碳分压仍高时，宜及时做气管插管或气管切开，用呼吸机辅助呼吸。要求动脉血氧分压达到或接近100mmHg，二氧化碳分压维持在35～40mmHg。</p><p>3.治疗心律失常</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心动过速或心动过缓都会加重休克，需积极应用药物、电复律或人工心脏起搏等予以纠治或控制。同时要纠正任何可能导致心律失常的电解质及酸碱平衡紊乱，尤其应维持血钾＞4.0mmol/L，血镁＞2.0mmol/L。不推荐预防性抗心律失常治疗。</p><p>4.补充血容量</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血容量的补充可根据中心静脉压监测结果来决定。中心静脉压正常为5～12cmH<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O。如低于5cmH<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O，提示存在低血容量。输液的内容应根据具体情况选用全血、血浆、人血白蛋白、低分子右旋糖酐或葡萄糖液。一般应用低分子右旋糖酐。低分子右旋糖酐能较快地扩充血容量，同时从血管中消失也快，故可减少过度扩充的危险；还能抑制红细胞和血小板的聚集及减低血液黏稠度，有助于改善微循环和防止微血栓形成。输液过程中还须密切观察呼吸、心率、肝脏大小、静脉充盈、口渴及尿量等情况，并经常听肺部有无啰音，以防发生肺水肿。如有条件，可留置肺动脉漂浮导管，同时测中心静脉压、肺动脉嵌顿压及心排血量。正常时肺动脉嵌顿压为10mmHg，高于15～20mmHg说明左心排血功能不佳，如高于30mmHg说明左心功能严重不全；如低于15mmHg说明左心排血功能尚佳，而静脉压的增高为右心排血功能不佳所致。在输液时除了要关注输液的总量，更要关注输液速度及出入液量的平衡。</p><p>5.血管活性药物</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">当初次测量中心静脉压其读数即超过或在补充血容量过程中有明显升高而患者仍处于休克状态时，需考虑选用血管活性药物，使收缩压维持在90～100mmHg，保持重要器官的血流灌注。</p><p>（1）升压药</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1）多巴胺：是一种内源性中枢神经递质，是去甲肾上腺素的前体，作用于多巴胺能和肾上腺素能受体发挥多种剂量依从效应。在小于3μg/（kg<span style=\"color: rgb(51, 51, 51); font-family: arial; font-size: 13px; line-height: 13.3467px; background-color: rgb(255, 255, 255);\">・</span>min）的低剂量下，作用于多巴胺能受体，扩张血管，增加组织内血流。当剂量为3～10μg/（kg<span style=\"color: rgb(51, 51, 51); font-family: arial; font-size: 13px; line-height: 13.3467px; background-color: rgb(255, 255, 255);\">・</span>min）时，作用于β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>肾上腺素能受体，使心肌收缩力增强和心排血量增加，亦可作用于α1肾上腺素能受体，具有轻微收缩周围血管作用。当输注速度大于10μg/ （kg<span style=\"color: rgb(51, 51, 51); font-family: arial; font-size: 13px; line-height: 13.3467px; background-color: rgb(255, 255, 255);\">・</span><span style=\"line-height: 25px;\"></span>min）时则以α<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>肾上腺素能受体的收缩血管作用为主。多巴胺是低血压心源性休克的一线升压药。输注速度从5μg/（kg<span style=\"color: rgb(51, 51, 51); font-family: arial; font-size: 13px; line-height: 13.3467px; background-color: rgb(255, 255, 255);\">・</span>min）开始，并迅速加量至达到预期血压。多巴胺可和多巴酚丁胺和（或）去甲肾上腺素合用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2）去甲肾上腺素：是由节后交感神经释放的主要的内源性神经递质，作用于α1-肾上腺素能受体，其次为β受体，主要作为血管收缩药应用，兼具轻微的变力性效应。其主要作用为升高收缩压、舒张压和脉压，对心排血量的影响很小。由于舒张压升高以及对心肌细胞的间接效应释放局部扩血管物质，冠状动脉的血流也随之增加。去甲肾上腺素的用量为0.01～3.0μg/（kg<span style=\"color: rgb(51, 51, 51); font-family: arial; font-size: 13px; line-height: 13.3467px; background-color: rgb(255, 255, 255);\">・</span><span style=\"line-height: 25px;\"></span>min）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3）多巴酚丁胺：是多巴胺的衍生物，是一种正性肌力药。通过兴奋β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>和β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体起效。升高动脉压作用有限。对心脏的正性肌力作用较多巴胺强，能增加心排血量和扩张外周血管，降低肺动脉嵌顿压，明显改善心脏泵功能。多巴酚丁胺单独使用仅限于非低血压型心源性休克。初始剂量为2～5μg/（kg<span style=\"color: rgb(51, 51, 51); font-family: arial; font-size: 13px; line-height: 13.3467px; background-color: rgb(255, 255, 255);\">・</span><span style=\"line-height: 25px;\"></span>min），逐渐加量。多巴酚丁胺半衰期很短，停药后其作用可迅速消除。多巴酚丁胺剂量一般不超过20μg/（kg<span style=\"color: rgb(51, 51, 51); font-family: arial; font-size: 13px; line-height: 13.3467px; background-color: rgb(255, 255, 255);\">・</span><span style=\"line-height: 25px;\"></span>min），超过此剂量用药将以不良反应为主，不利于治疗。如果较大剂量多巴酚丁胺未能产生预期效果（增加心排血量），应考虑联合其他药物。</p><p>（2）血管扩张剂：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">当血管收缩造成周围血管总阻力增加，病变的左心室面临高阻抗时，心排血量减少，心壁张力增高，心肌耗氧增加，左心室进一步受损，心源性休克的程度将加重。此时用血管扩张剂减轻心脏的后负荷，可明显降低左心室射血阻力，增加心排血量，改善休克状态。在周围阻力减低后，缺血心肌的收缩功能也好转，并可能使梗死范围缩减。但本类药物只宜用于肺动脉嵌顿压高于15mmHg的患者，应用过程中要密切观察血压和肺动脉嵌顿压。目前常用药为硝酸酯类药，它可降低心脏的前后负荷。以硝酸甘油1mg置于5%葡萄糖液100ml中静脉滴注，7～8滴/分；或二硝酸异山梨醇10mg溶于葡萄糖100ml中静脉滴注，30～100μg/min。</p><p>6.磷酸二酯酶抑制剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">米力农是临床常用的磷酸二酯酶抑制剂。它能够减少细胞内的环磷酸腺苷降解，从而增加胞质的钙离子浓度。它通过增加心肌细胞耗氧量来提高心脏收缩能力，其扩血管效应强于多巴酚丁胺。通常米力农以25μg/kg静推10～20分钟，随后以0.25～0.75μg/ （kg<span style=\"color: rgb(51, 51, 51); font-family: arial; font-size: 13px; line-height: 13.3467px; background-color: rgb(255, 255, 255);\">・</span><span style=\"line-height: 25px;\"></span>min）持续静滴。由于其扩血管效应可能对低血压患者产生不利影响，故心源性休克时可减少静推剂量。磷酸二酯酶抑制剂具有致心律失常可能，尤其在长期应用的情况下。</p><p>7.强心苷</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有休克而无充血性心力衰竭的患者用强心苷并无明显的裨益，在急性心肌梗死早期还易引起心律失常，故不宜常规应用。</p><p>8.纠正酸碱平衡失调和电解质紊乱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">休克可导致代谢性酸中毒，后者会促进血压下降，造成恶性循环。心源性休克时，需纠正代谢性酸中毒和高钾血症或低钾血症。休克较重或用升压药不能很快见效者，可静脉滴5%碳酸氢钠100～200ml，以后参照血气分析的结果，调整碳酸氢钠剂量。注意测定血钾、钠、钙和氯化物，按情况予以补充或限制。</p><p>9.辅助循环（1）主动脉内球囊反搏（intra-aortic balloon pump，IABP）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">IABP因具有操作简单、创伤性小的优点，自1968年至今被广泛应用于心源性休克的机械辅助治疗。通常球囊由导管经股动脉、腹主动脉逆行置入降主动脉内，球囊的通气和放气与心动周期同步。心脏舒张时球囊充气，把血液压回升主动脉，提高舒张压，增加冠脉灌注；心脏收缩时球囊塌陷，将血液主动引流出动脉以减轻心脏后负荷，增加搏出量，降低舒张末容积和心肌耗氧量。应用IABP后可使心排血量增加10%～20%，收缩压降低、舒张压增高，几乎不影响平均动脉压，心率减慢，尿量增加，左心室后负荷降低，心肌耗氧减少，心肌缺血减轻。IABP是目前心源性休克最有效的支持性治疗措施之一。</p><p>（2）左心室辅助装置（left ventricular assist devices，LVAD）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">LVAD常用于IABP无效的患者。LVAD借助外置的机械设备可以提供部分或完全的循环支持。与IABP相比，LVAD不仅更大程度地提高了心排血量，甚至能完全代替左心室功能。即便在心脏泵功能完全衰竭的情况下，也可在短期内使血流动力学恢复正常，恢复重要器官的灌注。</p><p>10.介入治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年来应用急诊经皮冠状动脉内成形术（percutaneous transcoronary coronary angioplasty，PTCA）的方法治疗急性心肌梗死后并发休克取得了较好的临床效果。</p><p>11.外科手术</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">冠状动脉旁路移植术（coronary artery bypass grafting，CABG）可使因严重冠状动脉病变致急性心肌梗死合并心源性休克者取得较好的临床疗效。对于存在机械性并发症的患者，手术往往是唯一的治疗手段。对严重瓣膜关闭不全或狭窄合并有心源性休克的患者进行急性瓣膜替换术，可使患者的心脏功能得到迅速恢复。</p><p>12.溶栓治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">冠状动脉内血栓的形成是急性心肌梗死患者的主要成因，溶栓治疗是ST段抬高的急性心肌梗死患者治疗的基石。发生梗死后早期溶栓，能溶解冠脉内的血栓，使梗死部位再通，实现再灌注，从而使梗死面积缩小，部分心肌功能恢复，心脏泵血功能改善。</p><p>13.机械通气</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">机械通气用于心源性休克的主要目的在于提供充分的氧合，扩张肺膨胀不全区域，从而减少分流并改善肺顺应性，减轻呼吸肌作功，最终降低前后负荷。但如果组织内氧过多会导致冠状动脉血流量减少、心排量降低。因此，对心源性休克患者行机械通气时，应以最小的氧浓度来维持理想的氧饱和度（95%～98%）。心源性休克患者使用机械通气的病理生理指征是低氧和高碳酸性呼吸衰竭。在实施有创机械通气时，初始通气应为PEEP≥5cmH<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O，潮气量为6ml/kg，氧浓度为100%，呼吸频率为12～15次/分，以保证足够的氧合。此后根据临床需要，个体化调整呼吸参数。在循环血量减少或右室梗死的患者中，机械通气能降低前负荷，进而降低心排血量，可能需要暂时性增加补液量以及强心药、升压药的量。</p><p>（三）其他原因引起的心源性休克的治疗1.急性心肌病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一般的支持性措施与严重心力衰竭治疗相仿，休克患者除全身支持外，IABP或左心室或双心室辅助装置也可考虑。有些患者心室功能可自发恢复，再者，循环支持可作为心脏移植前的过渡。其他治疗包括类固醇激素、环孢素、硫唑嘌呤，在特定的病例中有效（如特发性巨细胞性心肌炎或结节病），但对非特异性心肌炎患者无效。</p><p>2.心律失常</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">当心室率超过150次/分时，心脏过快收缩引起心肌的疲劳，心搏量即显著降低，而心排血量不能由频率增高来补偿。原来心脏正常的患者，除非心率超过200次/分，而且发作时间很长外，休克一般罕见。但如心脏原有器质性病变，即使心率不快亦能引起休克。如心动过速属心室性，则心室收缩的效率更差，休克更常见，应尽快纠正心律失常。</p><p>3.急性心脏压塞</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如心包腔内大量血液或渗出液迅速积聚，心包腔内压力突然升高，限制了心肌舒张期的充盈，使心排血量降低而引起休克，此时应紧急穿刺抽液或手术解除心脏压塞。</p><p>4.慢性充血性心力衰竭</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在终末期慢性充血性心力衰竭，血容量和静脉回心血量显著增多，心腔过度膨胀，心肌收缩力减弱，心排血量降低，可引起休克，此时应积极治疗慢性充血性心力衰竭。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p><p><br/></p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3705', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1667', '预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心源性休克的短期院内死亡率在各个年龄阶段仍高达50%～60%。有机械性并发症的患者死亡率更高，尤其是没有进行外科手术干预的患者。室间隔破裂的患者死亡率最高，可高达80%以上。如果未行外科手术，乳头肌断裂的患者也有很高的死亡率，而行乳头肌断裂修补术后，死亡率降至30%。血流动力学的变化反映了心源性休克的严重程度，具有预后价值。最有预后价值的血流动力学指标是心排血量或者是包含心排血量和收缩压两方面的指标如每搏功和心脏作功。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3706', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1667', '参考文献', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.Goldman L，Ausiello D.Cecil Textbook of Medicine.24th ed. Philadelphia：WB Sunders Company，2011.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.Hochman JS，Ohman EM.Cardiogenic shock.New Jersey：Wiley-Blackwell，2009.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.Harmony RR，Judith SH.Cardiogenic shock：current concepts and improving outcome.Circulation，2008，117（5）：686-697.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.Simon T，Fredric G.Cardiogenic shock.Critical Care Medicine，2008，36（1）：S66-S74.</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p><br/><p><br/></p>', null, '12', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3721', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '261', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">伤寒（typhoid fever）是由伤寒杆菌引起的急性传染病，以持续菌血症、单核-吞噬细胞系统受累、回肠远端微小脓肿及小溃疡形成为基本病理特征。典型的临床表现包括持续高热、表情淡漠、腹部不适、肝脾大和周围血象白细胞低下，部分患者有玫瑰疹和相对缓脉。肠出血和肠穿孔为其严重并发症。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3722', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '261', '病原', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">伤寒沙门菌<em style=\"box-sizing: border-box;\">（Salmonella typhi</em>），又称伤寒杆菌，属沙门菌属D组。革兰阴性兼性胞内菌，长1.0～3.5μm，宽0.5～0.8μm，呈短杆状，周有鞭毛和菌毛，能活动，不产生芽胞，无荚膜。在普通培养基上能生长，不产气，在含有胆汁的培养基中生长更好。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">伤寒杆菌在自然界中的生活力较强，在水中可存活2～3周，在粪便中能维持1～2个月，在牛奶中不仅能生存，且可繁殖。耐低温，在冰冻环境中可存活数月，但对光、热、干燥及消毒剂的抵抗能力较弱，日光直射数小时即死，加热至60℃后30分钟或煮沸后立即死亡，消毒饮水余氯达0.2～0.4mg/L可迅速致死。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">伤寒杆菌只感染人类，在自然条件下不感染动物。伤寒杆菌具有菌体“O”抗原、鞭毛“H”抗原和表面“Vi”抗原，均能产生相应的抗体，但这些并非保护性抗体。由于“O”和“H”抗原性较强，故常用于血清凝集试验以辅助临床诊断，亦可用以制备伤寒菌苗供预防接种。“Vi”抗原见于新分离（特别是从患者血液分离）菌株的表面，能阻止O抗原与血清中的相应抗体凝集，干扰杀菌效能和吞噬功能，是伤寒杆菌的重要毒力因子，但其抗原性不强，与“Vi”抗体的凝集效价一般较低且为时甚短。当病原菌从人体中清除后，“Vi”抗体滴度迅速下降，故其检出虽对本病的诊断无多大帮助，但有助于发现带菌者。此外，含有“Vi”抗原的伤寒杆菌可被特异的噬菌体裂解，利用“Vi”Ⅱ型噬菌体可将伤寒杆菌分为约100个噬菌体型，有助于流行病学调查。伤寒杆菌在菌体裂解时可释放强烈的内毒素，对本病的发生和发展起着较重要的作用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前，伤寒杆菌（多重耐药菌株CT18）的基因组图谱测序工作已经完成，其中有一些大的碱基对插入片段，与其在宿主体内存活有关，称之为伤寒毒力岛。另有较多散在分布的小插入片段，可能与其致病性有关。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3723', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '261', '流行病学', '<p>（一）传染源</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">为患者及带菌者。患者从潜伏期开始即可从粪便排菌，从病程第1周末开始经尿排菌，故整个病程中均有传染性，尤以病程的2～4周内传染性最强。慢性带菌者是本病不断传播或流行的主要传染源。原有慢性肝胆疾病（如胆囊炎、胆石症等）的伤寒患者易成为慢性带菌者，约1%～4%患者在肠道和胆囊中隐藏伤寒杆菌达数月或数年之久。</p><p>（二）传播途径</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">伤寒杆菌随患者或带菌者的粪、尿排出后，通过污染的水或食物、日常生活接触、苍蝇和蟑螂等传播。其中，水源污染是本病传播的重要途径，亦是暴发流行的主要原因。食物污染也可引起本病的流行，而散发病例一般以日常生活接触传播为多。</p><p>（三）人群易感性</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">人对伤寒普遍易感。病后可获得持久性免疫，再次患病者极少。</p><p>（四）流行特征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">世界各地均有本病发生，以热带、亚热带地区多见，可呈散发、地方性流行或暴发流行。在发展中国家主要因为水源污染而暴发流行，发达国家则以国际旅游感染为主。本病终年可见，但以夏秋季最多。年龄以儿童和青壮年居多，职业分布以农民、学生为主，疫情多集中在农村和学校。近10余年来，我国各省（自治区、直辖市）均有病例报道，流行高峰虽较为平坦，但近年来似乎又有小幅上升趋势，且仍相对集中在局部地区，流行的伤寒耐药菌株有所增加，耐药谱也在逐渐扩大。除耐氯霉素、复方磺胺甲 唑、氨苄西林外，少数菌株对头孢菌素及喹诺酮类抗菌药物也产生耐药性。&nbsp;发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">伤寒杆菌随污染的水或食物进入消化道后，一般可被胃酸杀灭，若入侵病菌数量较多，或胃酸缺乏时，致病菌可进入小肠，侵入肠黏膜，此时部分病原菌即被吞噬细胞吞噬，并在其胞质内繁殖，部分再经淋巴管进入回肠集合淋巴结、孤立淋巴滤泡及肠系膜淋巴结，不断生长繁殖，并经胸导管进入血流而引起短暂的菌血症，即原发菌血症期。此阶段患者并无症状，相当于临床上的潜伏期。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">伤寒杆菌随血流进入肝、脾、胆囊、肾和骨髓及回肠末端的孤立淋巴结，并继续在吞噬细胞内大量增殖，再次进入血流，引起第二次严重菌血症，并释放强烈的内毒素，导致显著的毒血症，表现为发热、全身不适等临床症状，以及皮肤玫瑰疹和肝脾大等体征。此时相当于病程的第1～2周，毒血症症状逐渐加重。血液中细菌量平均为每毫升1个细菌（约66%在细胞内），血培养常为阳性；骨髓中伤寒杆菌最多，每毫升约10个细菌，且持续时间较长，故培养阳性率最高。到病程第2～3周，伤寒杆菌继续随血流播散至全身各脏器与皮肤等处，并经胆管进入肠道随粪便排出，经肾脏随尿液排出，此时粪便、尿液培养可分离到致病菌。部分经胆管进入肠道的伤寒杆菌，穿过小肠黏膜再度侵入肠壁淋巴组织，在原已致敏的肠壁淋巴组织中产生严重的炎症反应和单核细胞浸润、增生和局灶性坏死。肠道淋巴组织增生肿胀呈纽扣样突起，尤以回肠末段的集合淋巴结和孤立淋巴结最为显著，少数病例的结肠起始段亦有同样变化。肠系膜淋巴结也显著增生与肿大。其他部位的淋巴结、脾脏、骨髓、肝窦星形细胞亦增生。局灶性单核细胞聚集成伤寒结节，进一步可引起组织坏死、脱落而形成溃疡，溃疡常呈椭圆形或圆形，沿肠纵轴排列，周围肠黏膜充血。若波及病变部位血管可引起肠出血，若侵及肌层与浆膜层则可引起肠穿孔。因回肠末段的淋巴结较大且多，病变最严重，故穿孔多见于此。此外，伤寒杆菌也可在其他组织引起化脓性炎症如骨髓炎、肾脓肿、胆囊炎、脑膜炎、心包炎等。病程第4周开始，人体产生的免疫力逐渐加强，表现为体液免疫和细胞免疫功能增强，在血流及脏器中的伤寒杆菌逐渐消失，病程第4～5周，肠壁溃疡逐渐愈合，不留瘢痕，也不引起肠道狭窄，疾病最终获痊愈。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肠道病变不一定与临床症状的严重程度成正比，伴有严重毒血症者，尤其是婴儿，其肠道病变可能不明显；反之，毒血症症状轻微或缺如的患者却可突然发生肠出血与肠穿孔。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">少数病例可能由于免疫功能不足等原因，潜伏在体内的伤寒杆菌可再度繁殖，并侵入血流引起复发。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">伤寒的主要病理特点是全身单核-吞噬细胞系统中大单核细胞（吞噬细胞）的增生反应，以肠道最为显著。镜下见炎症细胞增生和浸润，以吞噬细胞为主而无中性粒细胞，此种吞噬细胞具有强大的吞噬能力，胞质内含被吞噬的淋巴细胞、红细胞、伤寒杆菌及坏死组织碎屑，是本病的相对特征性病变，故又称“伤寒细胞”。若伤寒细胞大量聚集在小肠溃疡的底部及周围，可形成伤寒肉芽肿或伤寒小结。其他脏器中，脾和肝的病变最为显著。脾大，常重达500g以上，有充血、吞噬细胞增生及伤寒肉芽肿形成。肝的最常见病变为肝细胞局灶性坏死伴有单核细胞浸润，有人认为是“肝脏非特异性炎症反应”，这也见于溃疡性结肠炎、局限性肠炎及肠阿米巴病等病。胆囊可呈轻度炎症，急性炎症少见。心肌及肾脏呈浑浊，是毒血症的一种表现。极少发生心内膜炎和心包炎。偶见血栓性静脉炎，多发生于左股静脉。膀胱炎和肾盂炎并不常见，睾丸炎罕见。骨膜炎和骨髓炎（胫骨多见）及脊椎炎偶可发生。神经系统无特殊病变，伤寒杆菌脑膜炎仅偶见。呼吸系统以支气管炎为常见，但亦有继发的支气管肺炎和大叶性肺炎。斑丘疹即玫瑰疹的镜下检查显示毛细血管扩张和单核细胞浸润，有时可见伤寒杆菌。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3724', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '261', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">潜伏期平均1～2周，其长短与感染菌量有关，食物型暴发流行可短至48小时，而水源性暴发流行可长达30日。</p><p>（一）典型伤寒</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床已较少见，自然病程约4周，根据其临床表现分为4期：</p><p>1.初期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">相当于病程第1周，起病大多缓慢（75%～90%），发热是最早出现的症状，常伴有全身不适、乏力、食欲减退、咽痛和干咳等症状。病情逐渐加重，体温呈梯形上升，于5～7日内达39～40℃，发热前可有畏寒而少寒战，热退时出汗不显著。半数以上患者有腹痛，呈弥漫性或位于右下腹回肠末端处。约1/3患者可出现腹泻，为水样或稀便，黑粪少见。</p><p>2.极期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">相当于病程第2～3周，常有伤寒的特征性表现。</p><p>（1）高热：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">高热持续不退，多数（50%～75%）呈稽留热型，少数呈弛张热型或不规则热型，持续约10～14日。</p><p>（2）皮疹：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病程7～13日，部分患者（5%～40%）皮肤出现散在淡红色斑丘疹（玫瑰疹），直径约2～4mm，压之褪色，量少，一般在12个以下，分批出现，主要分布于胸、腹部，偶见于背部及四肢，多在2～4日内消失。水晶形汗疹（或称白痱）也不少见，多发生于出汗较多者。</p><p>（3）相对缓脉：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">相对缓脉或有时出现重脉是本病的临床特征之一。约半数（20%～73%）患者出现相对缓脉，但并发中毒性心肌炎时则不明显。相对缓脉系副交感神经兴奋所致，即体温升高与脉搏增快不成比例，如患者体温40℃，而脉搏仅90～100次/分。重脉即当触诊桡动脉时，每一脉搏感觉有两次搏动，系末梢血管受内毒素影响扩张所引起。</p><p>（4）肝脾大：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病程第6日开始，部分患者（60%～80%）出现脾大，质软，可有触痛。少数患者（30%～40%）亦可有肝脏肿大，质软，有触痛，重者出现黄疸，肝功能有明显异常者，提示为中毒性肝炎。</p><p>（5）消化系统症状：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">食欲缺乏较前更为明显，舌尖与舌缘的舌质红，苔厚腻（即所谓伤寒舌），腹部不适，腹胀，多有便秘，部分儿童及HIV感染的成人则以腹泻为主。由于肠道病变多在回肠末段和回盲部，右下腹可有轻度压痛。</p><p>（6）神经系统症状：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">与疾病的严重程度成正比。患者精神恍惚，表情淡漠、呆滞、反应迟钝、听力减退，重者可有谵妄、昏迷或出现脑膜刺激征（虚性脑膜炎）。此等神经系统症状多随体温下降而逐渐恢复。</p><p>3.缓解期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">相当于病程第3～4周，体温出现波动并开始下降，食欲逐渐好转，腹胀逐渐消失，脾大开始回缩。但本期内有发生肠出血或肠穿孔的危险，需特别警惕。</p><p>4.恢复期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">相当于病程第4周末开始。体温恢复正常，食欲好转，一般在1个月左右完全恢复健康。少数患者（1%～4%）可转为无症状带菌者，大多数患者伴有胆结石症。</p><p>（二）不典型伤寒</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据发病年龄、人体免疫状态、致病菌的毒力与数量、病程初期不规则应用抗菌药物以及有无基础疾病等夹杂因素，伤寒又可分为下列几种类型：</p><p>1.轻型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">全身毒血症症状轻，发热38℃左右，病程短，1～2周内痊愈。多见于发病前曾接受伤寒菌苗注射，或发病初期已应用过有效抗菌药物治疗者，在儿童病例中亦非少见。由于病情轻，症状不典型，易漏诊或误诊。</p><p>2.暴发型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">起病急，毒血症症状严重，有畏寒、高热、腹痛、腹泻、中毒性脑病、心肌炎、肝炎、肠麻痹、休克等表现。常有显著皮疹，也可并发DIC。</p><p>3.迁延型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">起病与典型伤寒相似，由于人体免疫功能低下，发热持续不退，可达45～60日之久。伴有慢性血吸虫病的伤寒患者常属此型。</p><p>4.逍遥型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">起病时毒血症症状较轻，患者可照常工作。部分患者因突发性肠出血或肠穿孔就诊时才被发现。</p><p>（三）小儿伤寒</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">年龄越小，症状越不典型，随着年龄的增大，其临床表现越类似于成人患者。学龄期儿童症状与成人相似，但属轻型。患儿常急性起病，有持续发热、食欲缺乏、腹痛、便秘、表情淡漠、嗜睡、烦躁、舌苔厚、腹胀及肝脾大等表现，而相对缓脉和玫瑰疹少见。病程较短，有时仅2～3周即自然痊愈。由于肠道病变轻，故肠出血、肠穿孔等并发症也较少。婴幼儿伤寒常不典型，病程亦轻重不一。起病急，伴有呕吐、惊厥、不规则高热、脉搏快速、腹胀、腹泻、肝脾大等。相对缓脉和玫瑰疹也罕见，并发支气管炎或肺炎较为常见。小儿伤寒易波及多系统引起多脏器受损，临床上可以某一系统或脏器受损或其他症状为突出表现。加之玫瑰疹、相对缓脉少见，白细胞计数常无明显减少，因而易造成误诊。</p><p>（四）老年伤寒</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">体温多不高，症状多不典型，虚弱疲乏现象明显，易并发支气管肺炎和心功能不全，常有持续的肠功能紊乱和记忆力减退，病程迁延，恢复缓慢，病死率较高。</p><p>（五）复发与再燃</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">少数患者（5%～10%）在症状消失后1～2周再次发作，临床表现与初次发作相似，血培养又转为阳性，故称之为复发。复发的症状较轻，病程较短，与胆囊或单核吞噬细胞系统中潜伏的病菌大量繁殖，再度侵入血液循环有关。疗程不足、机体抵抗力低下时易见，偶可复发2～3次。再燃是指体温逐渐下降而未至正常的病程中再度升高，此时血培养也常阳性，机制与复发相似。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3725', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '261', '实验室检查', '<p>（一）常规检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血白细胞总数大多为（3～4）×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/ L，部分患者的白细胞总数正常，甚至增高。同时伴有中性粒细胞减少和嗜酸性粒细胞减少乃至消失，后者随病情的好转逐渐回升。高热、全身毒血症明显，但嗜酸性粒细胞＞2%，绝对计数超过4×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L者可基本除外伤寒。高热时可有轻度蛋白尿，有消化道出血患者粪便隐血试验阳性。儿童伤寒白细胞数升高相对较多，病症初期白细胞升高较极期为多，合并感染者常有白细胞升高，血嗜酸性粒细胞的减少或消失对婴幼儿伤寒的诊断意义不如成人或学龄儿童。</p><p>（二）细菌学检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.血培养 是确诊的依据。病程早期即可阳性，第7～10病日阳性率可达90%，第3周降为30%～40%，第4周时常阴性。为提高阳性率，应在抗菌药物应用之前采血，10分钟内在不同部位采集2～3次，每次分送需氧菌和厌氧菌培养。成人每瓶采血量至少为培养基的1/10（5～10ml），已用抗菌药物者可取血凝块培养。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.骨髓涂片与培养 骨髓涂片找到伤寒细胞有助于伤寒的早期诊断。骨髓培养较血培养阳性率高，第7～10病日阳性率可达80%～95%，尤其适合于已用抗菌药物治疗而血培养阴性者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.粪便培养 从潜伏期起即可获阳性，第3～4周可高达80%，病后6周阳性率迅速下降，3%患者排菌可超过1年（因粪便间歇性排菌，故应留取多份标本）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.尿培养 病程后期阳性率可达25%，采集时应避免粪便污染。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.玫瑰疹的刮取物或活检切片也可获阳性培养。</p><p>（三）免疫学检查1.肥达反应</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">即伤寒血清凝集试验，对伤寒、副伤寒有辅助诊断价值。传统采用试管法检测，现已采用微量凝集法。将伤寒杆菌菌体（O）抗原、鞭毛（H）抗原、副伤寒甲、乙、丙鞭毛抗原共5种标准抗原，分别与稀释的待测血清反应，测定患者血清中各种抗体的凝集效价。病程第1周阳性反应不多，一般从第2周开始阳性率逐渐增高，至第4周可达90%，病愈后阳性反应可持续数月之久。肥达反应方法简便快速，但值得注意的是该法存在假阳性和假阴性，部分患者抗体很迟才升高，甚至整个病程中抗体效价均很低或阴性，可能与过早应用抗生素、机体的免疫状态及病情的轻重有关，故不能据此而排除本病。有些非伤寒发热性疾病如各种急性感染、肿瘤、风湿性疾病、慢性溃疡性结肠炎等，可出现假阳性结果。因此对肥达反应结果的判定宜审慎，必须密切结合临床资料，还应强调与恢复期血清前后抗体效价的对比。</p><p>2.其他免疫学检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年采用被动血凝试验、对流免疫电泳、协同凝集试验、免疫荧光试验、酶联免疫吸附试验等方法，大大提高其特异性，有助于伤寒的早期诊断，有待临床广泛应用。</p><p>（四）核酸检测方法</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前主要为实时聚合酶链反应（real time PCR）扩增伤寒基因组特异性靶序列，具有特异性高、敏感性好及快速、简便等优点，有助于早期快速诊断，但目前尚未正式应用于临床。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">伤寒可依据流行病学资料、临床经过及免疫学检查结果作出临床诊断，但确诊则以检测出伤寒杆菌为依据。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3726', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '261', '临床诊断', '<p>1.临床诊断标准</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在伤寒流行季节和流行地区有持续性高热（40～41℃），为时1～2周以上，并出现特殊中毒面容，相对缓脉，皮肤玫瑰疹，肝脾大，周围血象白细胞总数低下，嗜酸性粒细胞减少或消失，骨髓象中有伤寒细胞，临床可诊断为伤寒。</p><p>2.确诊标准</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床诊断病例如有以下项目之一者即可确诊。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）从血、骨髓、尿、粪便或玫瑰疹刮取物等任一种标本中分离到伤寒杆菌。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）血清特异性抗体阳性，肥达反应“O”抗体凝集效价≥1∶80，“H”抗体凝集效价≥1∶160，如恢复期效价增高4倍以上者则更有意义。因预防接种后，“H”抗体凝集效价明显上升，可持续数年之久；或在高发区，许多正常人因既往感染亦可有较高滴度，此时应根据双份血清效价增高4倍以上为标准。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3727', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '261', '鉴别诊断', '<p>1.伤寒早期（第1周以内）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">特征性表现尚未显露，应与病毒感染、疟疾、钩端螺旋体病、急性病毒性肝炎等相鉴别。</p><p>2.伤寒的极期（第2周以后）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多数病例无典型伤寒表现，需与败血症、粟粒性结核、布鲁菌病、地方性斑疹伤寒、结核性脑膜炎等疾病相鉴别。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3728', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '261', '并发症', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年来国内伤寒的并发症已显著减少，但国外报道伤寒并发溶血性尿毒综合征有增加趋势，并发DIC者也不在少数，应引起警惕。</p><p>（一）肠出血</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">为常见并发症，发生率约为2.4%～15%，多见于病程第2～3周。少量出血可无症状或仅有轻度头痛、脉搏增快；大量出血时热度骤降，脉搏细速，体温与脉搏曲线呈交叉现象，并有头晕、面色苍白、烦躁、出冷汗及血压下降等休克表现。有腹泻者并发肠出血机会较多。病程中随意起床活动，饮食中含固体及纤维渣滓较多，过量饮食，排便时用力过度以及治疗性灌肠等均易诱发肠出血。</p><p>（二）肠穿孔</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">为最严重的并发症，发生率约为1.4%～4%，多见于病程第2～3周。肠穿孔常发生于回肠末段，但亦可见于结肠或其他肠段；多为单个穿孔，少数为多发。肠穿孔的表现为突然右下腹剧痛，伴有恶心、呕吐、出冷汗，脉搏细速、呼吸急促、意识模糊、体温与血压下降（休克期），1～2小时后腹痛及其他症状暂时缓解（平静期）。不久体温又迅速上升并出现腹膜炎征象，表现为腹胀，持续性腹痛，腹壁紧张，广泛压痛及反跳痛，肠鸣音减弱或消失，腹腔内有游离液体，X线检查膈下有游离气体，白细胞数较原先增加伴核左移（腹膜炎期）。肠穿孔的诱因大致与肠出血相同，有的病例同时并发。</p><p>（三）中毒性心肌炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">发生率为3.5%～5%，常见于病程第2～3周伴有严重毒血症者。临床特征为心率加快，第一心音减弱，心律不齐，期前收缩，舒张期奔马律，血压偏低，心电图显示PR间期延长，ST-T波改变等，血清心肌酶谱有不同程度升高。这些症状、体征及心电图改变随着病情好转而恢复正常，但有报道伤寒痊愈1年仍遗有完全性房室传导阻滞者，并一度并发阿-斯综合征。</p><p>（四）中毒性肝炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">最为常见，发生率为12.8%～60%，常见于病程1～2周，主要特征为肝大，可伴有压痛，少数（0.4%～26.6%）患者出现轻度黄疸，丙氨酸转氨酶轻度增高。临床不易与病毒性肝炎相区别。但随着毒血症症状改善，患者肝大及肝功能可于2～3周后恢复正常，仅个别有肝病基础的患者因深度黄疸，并发肝性脑病而危及生命。</p><p>（五）支气管炎及肺炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">小儿以支气管肺炎为多，成人以肺炎多见，发生率约为6.75%。病程第1周大都由伤寒杆菌引起，并随伤寒治疗好转，其肺部症状和体征也随之消失，胸部X线复查恢复正常。病程极期或后期多为继发其他细菌或病毒感染，极少由伤寒杆菌所致。与伤寒发热期不同步，少数患者在热退后出现，严重者可有呼吸急促、脉搏快速及发绀，咳嗽却不明显，体检可发现肺部啰音和（或）实变征。一般按伤寒治疗效果不显著。</p><p>（六）溶血性尿毒综合征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年来国外报道的发病数有增加的趋势，达12.5%～13.9%，国内亦有零星报道。一般见于病程第1～3周，约半数发生于第1周。临床表现为寒战、腰痛、尿色呈酱油样、少尿、面色苍白、黄疸等。主要因溶血性贫血和肾衰竭所致，并有纤维蛋白降解产物增加，血小板减少及红细胞破碎现象。其发生与伤寒病情的轻重、患者红细胞G-6PD有否缺陷以及氯霉素应用无关，可能为伤寒杆菌内毒素诱使肾小球微血管内凝血所致。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">除上述并发症外，伤寒杆菌所致的急性胆囊炎、膀胱炎、血栓性静脉炎、DIC等也可见。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3729', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '261', '预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病死率约为1%～5%。老年人、婴幼儿预后较差，明显贫血、营养不良、胃酸缺乏者预后也差，并发肠穿孔、肠出血、心肌炎、严重毒血症等病死率高。曾接受预防接种者病情较轻，预后较好。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3730', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '261', '治疗', '<p>（一）一般治疗与对症治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患者入院后，即按消化道传染病隔离，临床症状消失后每隔5～7日送检粪便培养，连续两次阴性可解除隔离。发热期间患者必须卧床休息，热退后2～3日可在床上稍坐，热退后2周可轻度活动。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">应给予高热量、高营养、易消化的食物，包括足量碳水化合物、蛋白质及各种维生素，以补充发热期的消耗，促进恢复。发热期间宜进流质或细软无渣饮食，少量多餐，腹胀、腹泻时忌食豆、奶制品。热退后，食欲增加，可逐渐进食稀饭、软饭，忌吃坚硬多渣食物，以免发生肠穿孔和肠出血，一般热退后2周才恢复正常饮食。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有严重毒血症者，可在足量有效抗菌药物治疗下使用糖皮质激素。常用氢化可的松25～50mg或地塞米松1～2mg，每日1次静脉缓慢滴注，或口服泼尼松5mg，每日3～4次，疗程不超过3日。对兼有毒血症症状和明显鼓肠和腹胀的患者，糖皮质激素的使用宜慎重，以免发生肠出血和肠穿孔。</p><p>（二）抗菌药物的选择1.氟喹诺酮类药物</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">氟喹诺酮类药物对伤寒杆菌（包括耐氯霉素、多重耐药菌株）有较强的抗菌作用，体内分布广，组织渗透性强，体液及细胞内药物浓度高，可达有效抑菌和杀菌浓度，有利于彻底消灭患者吞噬细胞和胆囊内的伤寒杆菌，减少复发和降低病后带菌率，从而达到治愈的目的。同时，该类药物还可降低肠出血、肠穿孔等严重并发症的发生率，是治疗伤寒的首选药物。常用的有氧氟沙星300mg，每日2次口服；或200mg，每8～12小时静滴1次，疗程10～14日；环丙沙星500mg，每日2次，或每8小时1次口服，或每日400～600mg分次静滴，疗程10～14日。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">因氟喹诺酮类药物可能影响骨骼发育，故孕妇、儿童和哺乳期妇女不宜选用。此外，近年部分地区对氟喹诺酮类耐药菌株明显增多，应根据药敏试验来选择用药。新近国外研究也特别指出，现有药敏试验对环丙沙星的可靠性不够，要求同时做萘啶酸药敏试验，如果对萘啶酸耐药的话，尽管菌株对部分氟喹诺酮类敏感，但疗效也有可能降低，此时环丙沙星、氧氟沙星不宜作为首选，可选用第3代头孢菌素、阿奇霉素等。</p><p>2.第3代头孢菌素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">因其抗菌活性强，在胆道内药物浓度高，不良反应小，尤其适用于孕妇、儿童、哺乳期妇女以及氯霉素耐药菌所致伤寒。常用头孢曲松成人1～2g，每12小时静滴1次，儿童100mg/（kg/d），疗程14日；头孢噻肟成人1～2g，每8～12小时静滴1次，儿童100～150mg/（kg/d），疗程14日。</p><p>3.氯霉素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">具有使用方便、费用低廉的特点，但细菌对其耐药率高，对胆道内细菌清除不彻底，带菌率及复发率较高，对慢性带菌者治疗无效。通常25mg/（kg/d），分2～4次口服或静脉滴注，体温正常后剂量减半，疗程2周。治疗中应注意经常复查血象，白细胞总数低于2.5×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L时停药。此外，新生儿，孕妇和肝功能明显损害者忌用。</p><p>4.氨苄西林（或阿莫西林）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">该组药毒性小，在肝胆系统浓度高，价格便宜，孕妇、婴幼儿、白细胞总数过低及肝肾损害者仍可选用。但治疗效果不太理想，故疗程宜长，以减少复发和慢性排菌。此外，一旦出现药疹，应立即停药。成人氨苄西林（4～8）g/d，儿童100～150mg/（kg/d），分3～4次口服或静滴。阿莫西林成人2～4g/d，分3～4次口服，疗程14日。</p><p>5.复方磺胺甲唑（SMZ）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">口服吸收完全，价格低廉，但与氯霉素相似，对其耐药现象比较严重，且胃肠道反应和皮肤过敏反应较为明显，影响其在伤寒治疗中的广泛应用。常用剂量为成人2片，每日2次口服，儿童每日SMZ 40～50mg/kg，TMP 10mg/kg，分2次口服，疗程14日。</p><p>（三）带菌者的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">首选抗菌药物治疗，对于有胆结石等疾病的患者，若抗菌药物治疗无效，可考虑原发病的手术处理。</p><p>1.氨苄西林（或阿莫西林）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">成人氨苄西林4～6g/d或阿莫西林4g/d，或加丙磺舒2g/d，分3～4次口服，疗程6周。</p><p>2.左氧氟沙星或环丙沙星</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">成人左氧氟沙星500mg，每日1次口服，环丙沙星500～750mg，每日2次口服，疗程6周。</p><p>（四）并发症的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.肠出血 绝对卧床休息，严密观察血压、脉搏、神志和便血情况；暂禁食，或进少量流质；静脉滴注葡萄糖生理盐水，注意电解质平衡，并加用维生素K、卡巴克络、抗血纤溶芳酸或止血粉等止血药；根据出血情况，酌量输血；如患者烦躁不安，可注射镇静剂，如地西泮、苯巴比妥钠，禁用泻剂及灌肠；经积极治疗仍出血不止者，应考虑手术治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.肠穿孔 除局限者，肠穿孔并发腹膜炎者应及早手术治疗，同时加强有效抗菌药物的联合应用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.中毒性心肌炎 严格卧床休息，加用糖皮质激素、维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>、ATP，静注高渗葡萄糖液。如出现心力衰竭，应积极处理，可使用洋地黄和呋塞米，并维持至临床症状好转。但患者对洋地黄耐受性差，故用药时宜谨慎。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.中毒性肝炎 除护肝治疗外，可加用糖皮质激素。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.胆囊炎 按一般内科治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">6.溶血性尿毒综合征 控制伤寒杆菌的原发感染，可用氨苄西林或阿莫西林；输血、补液；使用糖皮质激素如地塞米松、泼尼松龙等，使用后可迅速缓解病情，尤其是儿童患者；抗凝疗法，可用小剂量肝素每日0.05～0.1mg/kg，分次静注或静滴；必要时行腹膜或血液透析，以及时清除氮质血症，促进肾功能恢复。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">7.DIC给予抗凝治疗，酌情输血，并应积极控制原发感染。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3731', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '261', '预防', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">广泛开展卫生宣传教育，提高群众卫生水平和自我保健意识。改善饮食、饮水卫生和加强粪便管理，防蝇、灭蝇，消灭苍蝇孳生地，做好疫情监测。</p><p>（一）控制传染源</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.及时发现患者和带菌者，给予肠道传染病隔离，直至正规治疗临床症状完全消失后2周，或临床症状消失及停药1周后，尿、粪培养连续2次阴性（2次间隔为2～3日），方可解除隔离。大小便等排泄物用等量20%漂白粉混合消毒2小时，便器用3%漂白粉浸泡1小时，食具可煮沸消毒。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.伤寒恢复期患者，在病后1个月和3个月，各粪检3次，每次间隔1～2日，以及时发现带菌者；历年的伤寒患者，应定期进行带菌检查，每年粪检3次，以便发现慢性带菌者。查出带菌者要及时调离岗位并予以彻底治疗。</p><p>（二）切断传播途径</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">切断传播途径是本病预防措施的重点。应加强饮食、饮水卫生，保护水源，做好粪便、污水、垃圾的管理和处理，养成良好卫生与饮食习惯，如注意饭前便后洗手，不饮生水、不吃不洁食物等。</p><p>（三）保护易感人群1.预防接种</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">流行区居民以及流行区旅行者、清洁工人、细菌实验室工作人员及医务工作者、带菌者家属等可进行预防接种。</p><p>（1）伤寒、副伤寒甲、乙的三联混合灭活菌体疫苗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">为国内常用。成人每周1次，连续3次，分别以0.5ml、1.0ml、1.0ml菌苗皮下注射。50%～67%的易感者即可获得保护。1～6岁儿童分别为0.2ml、0.3ml、0.3ml，7～14岁儿童分别为0.3ml、0.5ml、0.5ml，每次间隔7～10日，接种后2～3周可产生免疫力，以后每年加强一次，连续3年。有严重心脏病、肾脏病、高血压、活动性结核、发热者及孕妇均属禁忌。虽然该菌苗有效，但局部和全身不良反应发生率高，现逐渐被新型伤寒疫苗所取代。</p><p>（2）伤寒杆菌Ty21a活菌苗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">为伤寒杆菌Ty21a变异株制成的减毒口服活菌苗，分别在第1、3、5、7日口服各1粒，适用于成人及6岁以上儿童。流行地区每3～5年加强1次。该菌苗经国内、外现场试用后显示，以产生细胞免疫为主，对伤寒的保护率可高达96%，菌苗耐受性好，安全、稳定，且免疫效果较持久，有效免疫期3年以上。但该菌苗为减毒活菌苗，接受免疫抑制治疗的患者或正在服用抗菌药物的患者不宜服用。此外，因其生产工艺复杂，产量较低，疫苗冷链要求高，加上某些国家应用的预防效果并不理想，故不宜在发展中国家推广。</p><p>（3）伤寒Vi多糖疫苗（单价，不包括副伤寒甲、乙）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">为伤寒杆菌Ty2株经甲醛处理后，提纯其多糖抗原制备而成。成人单剂0.5ml（含多糖菌苗30μg），前臂外侧肌注，对伤寒的保护率为70%左右，接种反应轻微，安全度高，免疫效果好，并具有接种次数少的特点。适用于成人及2岁以上儿童，重点使用于军队、港口、铁路沿线工作人员，下水道、粪便、垃圾处理人员，饮食业、医疗防疫人员及水上居民，或本病流行区的人群。对本品有过敏史或有严重心脏病、肝病、肾脏病、高血压、活动性结核、发热者及孕妇或哺乳期者均属禁忌。</p><p>2.预防治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">与患者密切接触者或实验室内口腔误食菌液后，应紧急预防服药，可予复方磺胺甲 唑2片，每日2次，服用3～5日。</p><p>（四）疫情监测</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">做好疫情报告和流行病学调查，追踪传染源和确定可疑暴露因素。一旦出现暴发流行，应立即向当地卫生防疫站报告疫情。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.对密切接触者应行医学观察，一旦确诊，立即在定点医院隔离治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.对流行期间出现原因不明发热3天以上的患者和伤寒疑似患者，应采集血或粪便标本进行培养和血清学检查，以期早期发现伤寒患者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.加强渔民、船民及流动人口的卫生管理，加强学校、餐饮业、建筑工地饮食卫生和环境卫生管理。对来自伤寒疫区的民工进行医学观察，早期发现患者防止传播。对托儿所、食堂、饮食行业人员、粪管人员、清洁工人等应定期作粪培养，必要时采用血清学方法进行监测。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.对疫源周围及有关的水源应重点监测；对其他易受污染的食品、水源也应加强监测。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.监测区内伤寒杆菌的噬菌体分型、质粒分析和药物敏感试验，观察其动态变化。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '12', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3732', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '569', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鼻腔黏膜或黏膜下的炎症持续数月以上或炎症反复发作，间歇期内亦不能恢复正常，且无明确的致病微生物感染，伴有不同程度的鼻塞，分泌物增多，鼻黏膜肿胀或增厚等功能障碍者，称为慢性鼻炎 (chronic rhinitis)。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用耳鼻咽喉头颈外科学</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3733', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '569', '分类', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性鼻炎的分类方法目前尚不统一。Joe和Benson (2005)将急性鼻炎以外的鼻炎分为变应性鼻炎 (allergic rhinitis，AR)和非变应性鼻炎 (non-allergic rhinitis，NAR)两大类，后者又按主要病因而分为非变应性鼻炎并嗜酸粒细胞增多综合征 (NAR with eosinophilia syndrome)，内分泌相关性鼻炎 (homone related rhinitis)，药物性鼻炎，化学物质损伤性鼻炎以及萎缩性鼻炎……数十种。Joe和Benson等认为，所谓非变应性鼻炎是指具有间歇性流涕、鼻塞、鼻黏膜充血等表现而与变态反应无关、且为非感染性的长年性鼻炎。在某些慢性鼻炎的病例中，也含有某些变态反应成分。国内目前尚缺少慢性鼻炎的定义及分类的统一标准。本文仍将慢性鼻炎分为慢性单纯性鼻炎和慢性肥厚性鼻炎两种，由于慢性干燥性鼻炎常与职业因素有密切关系，留在职业病中叙述。慢性单纯性鼻炎和慢性肥厚性鼻炎病因学基本相同，且后者多由前者发展、转化而来，在组织学上两者间缺少绝对的界限，常有过渡型存在，在下文中先总述其病因。而在慢性单纯性鼻炎中，将简单分述各种常见的特殊病因引起的慢性鼻炎的特点。药物性鼻炎将在另一节中讨论。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用耳鼻咽喉头颈外科学</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3734', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '569', '病因', '<p>1.局部原因</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(1)急性鼻炎反复发作或发作后未获彻底治疗，鼻黏膜未能恢复正常，而演变为慢性鼻炎。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(2)局部解剖异常，如鼻中隔偏曲或嵴突，鼻腔狭窄，下鼻甲向内偏伸，鼻翼塌陷，鼻小柱脱位，硬腭高拱，腭裂等，长期妨碍鼻腔的通气引流，黏膜容易反复发生炎症，且不易彻底恢复。先天性呼吸道黏膜纤毛运动不良亦与本病有关。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(3)鼻腔及鼻窦慢性疾病的影响，如慢性化脓性鼻窦炎时，鼻黏膜长期受到脓液的刺激；严重的鼻中隔偏曲或嵴突，因长期妨碍鼻腔的通气引流，以致鼻黏膜容易反复发生炎症，不易彻底恢复。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(4)邻近感染病灶的影响，如慢性扁桃体炎，腺样体肥大等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(5)鼻腔用药不当或全身用药的影响，均可引起药物性鼻炎。</p><p>2.职业和环境因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如长期或反复吸入粉尘 (如水泥、面粉、煤尘等)或有害的化学气体 (如二氧化硫、甲醛等)，生活或生产环境中温度和湿度的急剧变化 (如炼钢、烘、熔、冷冻等作业)，均可导致本病。</p><p>3.全身因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　慢性鼻炎常为全身疾病的局部表现，与整体健康情况有密切关系。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(1)许多慢性疾病，如贫血、糖尿病、风湿病、结核、痛风、急性传染病后，以及心、肝、肾脏疾病和自主神经功能紊乱，慢性便秘等，可引起鼻黏膜血管长期淤血或反射性充血。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(2)营养不良，如维生素A、C缺乏，可致鼻黏膜肥厚，腺体退化。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(3)内分泌改变，如甲状腺功能减退，青春期和妊娠后期，绝经期，肢端肥大症等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(4)烟酒嗜好或长期过度疲劳，可致鼻黏膜血管正常的舒缩功能障碍。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(5)免疫功能障碍，如自身免疫性疾病、艾滋病、脉管炎及囊性纤维化 (cystic fibrosis)等等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此外，细菌和病毒与本病的病因学关系，目前尚有争论。一般认为，慢性鼻炎不是一种感染性疾病，即使发生感染，也是继发性的。有报道变态反应是慢性鼻炎的原因之一，但其病理变化与变态反应者多不一致。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用耳鼻咽喉头颈外科学</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3735', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '152', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性咽炎 (chronic pharyngitis)为咽部黏膜、黏膜下及其淋巴组织的慢性炎症。弥漫性炎症常为上呼吸道慢性炎症的一部分；而局限性炎症则多为咽淋巴组织的炎症。本病极为常见，多见于成年人。病程长，症状易反复发作，往往给人们不易治愈的印象。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用耳鼻咽喉头颈外科学</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3736', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '152', '病因', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.急性咽炎反复发作所致。此为主要原因。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.上呼吸道慢性炎症刺激所致。如鼻腔、鼻窦的炎症、鼻咽部炎症及鼻中隔偏曲等，可因其炎性分泌物经后鼻孔至咽后壁刺激黏膜；亦可因其使患者长期张口呼吸，引起黏膜过度干燥而导致慢性咽炎。另外，慢性扁桃体炎可直接蔓延至咽后壁，引起慢性咽炎。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.烟酒过度、粉尘、有害气体等的刺激及喜食刺激性食物等，均可引起慢性咽炎。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.职业因素 (如教师与歌唱者)及体质因素亦可引起本病。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.全身因素　如贫血，消化不良，心脏病 (因血循环障碍引起咽部淤血)，慢性支气管炎，支气管哮喘，风湿病，肝、肾疾病等，也可引发此病 (特别是慢性肥厚性咽炎)。另外内分泌紊乱、自主神经失调，臭鼻杆菌及类白喉杆菌的感染、维生素缺乏以及免疫功能紊乱等均与萎缩性及干燥性咽炎有关。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">6.过敏因素　吸入性过敏原，如花粉、屋尘螨、动物皮毛、真菌孢子等，药物、工作环境中的化学刺激物及食物过敏原等都可引起变应性咽炎。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用耳鼻咽喉头颈外科学</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3737', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '152', '病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">从病理观点看，可分为4类：</p><p>1.慢性单纯性咽炎 (chronic simple pharyngitis)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">较多见。病变主要在黏膜层，表现为咽部黏膜慢性充血，其血管周围有较多淋巴细胞浸润，也可见白细胞及浆细胞浸润。黏膜及黏膜下结缔组织增生。黏液腺可肥大，分泌功能亢进，黏液分泌增多。</p><p>2.慢性肥厚性咽炎 (chronic hypertrophic pharyngi-tis)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　又称慢性颗粒性咽炎及咽侧炎。亦较多见。黏膜充血增厚，黏膜及黏膜下有较广泛的结缔组织及淋巴组织增生，在黏液腺周围的淋巴组织增生突起，在咽后壁上表现为多个颗粒状隆起，呈慢性充血状，有时甚至融合成一片。黏液腺内的炎性渗出物被封闭其中，在淋巴颗粒隆起的顶部形成囊状白点，破溃时可见黄白色渗出物。此型咽炎常累及咽侧索淋巴组织，使其增生肥厚，呈条索状。</p><p>3.萎缩性及干燥性咽炎 (atrophic pharyngitis and pharyngitis sicca)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常由萎缩性鼻炎蔓延而来。病因不明，较少见。初起为黏液腺分泌减少，分泌物稠厚而干燥，继因黏膜下层慢性炎症，逐渐发生机化与收缩，压迫腺体与血管，使腺体分泌减少和营养障碍，致使黏膜及黏膜下层逐渐萎缩变薄。咽后壁上可有干痂皮附着或有臭味。</p><p>4.慢性变应性咽炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　又称慢性过敏性咽炎 (chronic allergic pharyngitis)。为发生于咽部黏膜的由IgE介导的Ⅰ型变态反应。多伴发于全身变应性疾病或变应性鼻炎，亦可单独发病，其症状常有季节性变化。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">变应原刺激咽部黏膜，使合成IgM的浆细胞转化成合成IgE的浆细胞，IgE又附着于肥大细胞、嗜碱性粒细胞 (称介质细胞)表面，此时咽部黏膜处于致敏状态。当相同的变应原再次接触机体后，此变应原与介质细胞表面的IgE结合，导致介质细胞脱颗粒，释放组胺、合成前列腺素等炎性介质，可引起毛细血管扩张、血管通透性增加、腺体分泌增多，引起过敏反应。而食物性过敏原主要通过补体C<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>、C<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>途径引起过敏反应。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">除上述4类外，有人认为还有一种慢性反流性咽炎。推测是由于胃食管反流性疾病时，胃酸直接损伤咽部黏膜引起咽部黏膜及黏膜下的慢性炎症。临床上多表现为咽部不适、异物感、咽干燥感及灼热感，偶有咽痛。检查可见咽后壁充血、淋巴滤泡增生，较多黏膜红斑。可合并有声带小结、息肉及接触性溃疡等。治疗上以原发病治疗为主，咽部症状对症治疗为辅。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用耳鼻咽喉头颈外科学</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3738', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '152', '症状', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性咽炎全身症状均不明显，而以局部症状为主。各型慢性咽炎症状大致相似，且多种多样，如咽部不适感、异物感、痒感、灼热感、干燥感或刺激感，还可有微痛等。主要由于其分泌物及肥大的淋巴滤泡刺激所致。由于咽后壁常有较黏稠的分泌物刺激，常在晨起时出现较频繁的刺激性咳嗽、伴恶心。咳嗽时常无分泌物咳出 (干咳)，或仅有颗粒状藕粉样分泌物咳出。长期咳嗽，可使炎症加重。咽侧索肿胀的患者常伴吞咽疼痛感。有时黏膜可出血，咳出或吐出的分泌物血染，常使患者惊恐，并以此就诊。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">上述症状常在用嗓过度、气候突变或吸入干热或寒冷空气时加重，尤以萎缩性咽炎及干燥性咽炎为甚。有些患者说话时间过长，可诱发急性咽炎。慢性咽炎可向上蔓延波及咽鼓管，出现耳鸣或听力减退症状；向下累及喉部可出现声嘶。在临床工作中，常可见到部分患者的咽部呈明显慢性咽炎变化，但无任何自觉症状，这可能与其耐受性有关。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用耳鼻咽喉头颈外科学</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3739', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '152', '检查', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">各型咽炎患者咽部均较敏感，张口压舌易作呕。以慢性单纯性和慢性肥厚性咽炎为甚。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性单纯性咽炎：黏膜呈斑点状或片状慢性充血，可呈水肿样肿胀，有时可见小静脉曲张。咽后壁常有少许黏稠分泌物附着。软腭和两腭弓也常慢性充血，悬雍垂可增粗，呈蚯蚓状下垂，有时与舌根接触。鼻咽顶部常有黏液与干痂附着。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性肥厚性咽炎：黏膜亦慢性充血，且有增厚。与单纯性咽炎的区别在于咽后壁上有较多颗粒状隆起的淋巴滤泡，可散在分布或融合成一大块，慢性充血，色如新鲜牛肉。咽侧索也可增生变粗，在咽侧 (腭咽弓后)呈纵形条索状隆起。扁桃体切除术后，咽侧索增生往往更明显。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性萎缩性及干燥性咽炎：为一种疾病的两个不同的发展阶段，其间无明显界限。表现为咽黏膜干燥、萎缩变薄，色苍白且发亮，如涂漆状。咽后壁上颈椎椎体的轮廓显现较清楚，有时易被误认为是咽后壁脓肿或包块。咽后壁黏膜上常有黏稠黏液或有臭味的黄褐色痂皮。腭弓变薄，悬雍垂变短窄。萎缩性咽炎继续发展，可向下蔓延至喉及气管。常与血管运动性鼻炎同时存在，可能与变态反应有关。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性变应性咽炎：咽部黏膜苍白，呈水肿状，亦可为淡红色，咽部较多水样分泌物。有时可见悬雍垂水肿及舌体肿胀，因常伴发于变应性鼻炎，故常可见变应性鼻炎的鼻腔所见。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用耳鼻咽喉头颈外科学</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3740', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '152', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">从病史及检查所见本病诊断不难，但应注意的是，许多全身性疾病 (特别是肿瘤)的早期可能仅有与慢性咽炎相似的症状。故当主诉症状和检查所见不相吻合时或有其他疑点时，不应勉强诊断为慢性咽炎，而必须详细询问病史，全面仔细检查鼻、咽、喉、气管、食管、颈部甚至全身的隐匿性病变，特别是恶性肿瘤，以免漏诊。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">而慢性变应性咽炎的诊断，除有相应变应原接触史、相应症状及体征外，还应做皮肤变应原试验，总IgE及血清特异性IgE检测。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用耳鼻咽喉头颈外科学</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3741', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '152', '鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早期食管癌患者在出现吞咽困难之前，常仅有咽部不适或胸骨后压迫感。较易与慢性咽炎混淆。对中年以上的患者，若以往无明显咽炎病史，在出现咽部不适时，应作详细检查。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">茎突综合征、舌骨综合征或咽异感症等均可因有相同的咽部症状而不易区别。可通过茎突及舌骨X线拍片和颈椎X线拍片、CT扫描或触诊等与咽炎鉴别。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺结核患者，除可发生咽结核外，也常患有慢性咽炎。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">丙种球蛋白缺乏症，好发于儿童及青年，有反复发生急性或慢性呼吸道炎症病史，其咽部变化为淋巴组织明显减少或消失。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">还须与咽部特殊性传染病 (如结核)及肿瘤相鉴别。咽部肿瘤 (舌根部及扁桃体肿瘤)多有与咽炎相似的症状，或因继发感染而与咽炎并存。应予以详细检查，认真鉴别或排除之。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用耳鼻咽喉头颈外科学</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3742', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '152', '治疗', '<p>1.去除病因</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">戒除烟酒，积极治疗急性咽炎及鼻和鼻咽部慢性炎症等。纠正便秘和消化不良，改善工作和生活环境 (避免粉尘及有害气体)。治疗全身性疾病以增强身体抵抗力，甚为重要。</p><p>2.局部治疗(1)慢性单纯性咽炎：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常用复方硼砂溶液、呋喃西林溶液、2%硼酸液含漱，以保持口腔、口咽的清洁。或含服喉片：有碘喉片、薄荷喉片、泰乐奇含片、西瓜霜含片、健民咽喉片、达芬拉露喷雾剂及金嗓利咽丸、金嗓清音丸等可供选用；六神丸亦有一定疗效。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可用复方碘甘油、5%硝酸银溶液或10%弱蛋白银溶液涂抹咽部，有收敛及消炎作用。对咽异物感症状较重者，可采用普鲁卡因穴位 (廉泉、人迎)封闭，可使症状减轻。超声雾化也有助于减轻症状。一般不应用抗生素治疗。</p><p>(2)慢性肥厚性咽炎：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">除可用上述方法处理外，还需对咽后壁隆起的淋巴滤泡进行治疗。有化学药物或电凝固法、冷冻或激光治疗法等。化学药物多选用20%硝酸银溶液或铬酸，烧灼肥大的淋巴滤泡。电凝固法因副作用较多，目前已很少采用。现在较常采用激光烧灼咽后壁淋巴滤泡，具有操作简单，痛苦少，无出血，疗效好的优点。应用射频治疗仪治疗增生的淋巴滤泡，效果亦佳。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">超声雾化疗法、局部紫外线照射及透热疗法，对肥厚性咽炎也有辅助作用。</p><p>(3)萎缩性及干燥性咽炎：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一般处理同上，但不可施行烧灼法。可内服小量碘剂 (碘化钾0.1～0.2g，每日2～3次，多饮水)，可促进分泌增加，改善干燥症状。超声雾化治疗亦能减轻干燥症状。服用维生素A、B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>、C、E，可促进黏膜上皮生长。应注意萎缩性鼻炎的处理。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对干燥性咽炎患者，考虑行扁桃体摘除术时应慎重，以免术后病情加重。</p><p>(4)慢性变应性咽炎：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">避免接触各种过敏原，应用抗组胺药及肥大细胞稳定剂等，局部或全身应用糖皮质激素及免疫调节剂等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用耳鼻咽喉头颈外科学</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3784', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '453', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胸膜腔受化脓性病原体感染，早期产生胸膜炎，当大量脓性渗出液积聚，称为脓胸（empyema）。本文主要讨论成人细菌性脓胸，不包括结核性脓胸及继发于胸部手术后的脓胸。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3785', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '453', '病原学', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胸腔感染的病原谱随着地区流行病学不同而存在差异，并随着时间而变化。抗生素使用前的时代，脓胸的病原体以肺炎链球菌为主（60%～70%），其次是化脓链球菌和金黄色葡萄球菌。目前发达国家社区获得性胸腔感染的病原体仍以G<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>球菌为主：米氏链球菌最多见（30%～50%），其次是肺炎链球菌和其他种类链球菌；金黄色葡萄球菌约占11%。社区获得性胸腔感染中G<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">-</span>需氧菌约占9%，包括肠杆菌科细菌、流感嗜血杆菌和大肠杆菌，而厌氧菌约占20%，主要包括梭杆菌属、拟杆菌属和消化链球菌属。医院内获得性胸腔感染培养阳性的患者中金黄色葡萄球菌约占50%，2/3为耐甲氧西林金黄色葡萄球菌，G<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">-</span>需氧菌约占30%，以大肠杆菌、铜绿假单胞菌和肺炎克雷伯杆菌常见，厌氧菌约占13%。厌氧菌与G<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">-</span>杆菌的混合感染也比较常见，常发生于老年患者及有多种合并症的患者。&nbsp;发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">脓胸常见于有合并症和全身或肺部宿主防御功能异常者如患有糖尿病、长期使用激素、支气管扩张症、慢阻肺、肺结核和肺癌的患者。口腔疾病、过度使用镇静药、酗酒、癫痫发作、神志不清、胃食管反流等均可增加厌氧菌性脓胸的发生。急性细菌性肺炎被误诊或延误治疗而向胸膜腔蔓延是脓胸的常见原因，那些没有肺炎经过而直接发生的胸腔感染被称为“原发性脓胸”。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">脓胸的发生发展可以分为三个阶段。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">渗出期：致病菌进入胸腔后，引起组织炎性改变，脏、壁两层胸膜充血、水肿，失去胸膜的光泽和润滑性，渗出稀薄、澄清的浆液，渗出液中含有白细胞及纤维蛋白，但细胞成分较少。如在此时给予有效的治疗，及时排出积液，肺可以充分复张，对肺功能影响不大。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">纤维素脓性渗出期：发生在感染的数天后，是强烈的胸膜炎症反应所致。胸腔中渗液、纤维蛋白及中性粒细胞甚至脓细胞逐渐增多，纤维蛋白沉积在脏、壁两层胸膜表面，成为纤维素膜，进而逐渐机化、韧性增强，形成胸膜粘连，使脓胸趋向局限化，即形成局限性或包裹性脓胸，肺组织的膨胀受到限制。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">脓胸机化期：急性脓胸在发病后7～10天，脏、壁层胸膜表面沉着的纤维素膜开始机化，逐渐形成较厚的胸膜纤维板，发病4～6周后即转为慢性。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3786', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '453', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病的临床表现：急性脓胸患者常有高热、脉速、呼吸急促、胸痛、纳差、全身乏力、白细胞增多等征象。积脓较多者尚有胸闷、咳嗽、咳痰症状。体检患侧语颤减弱，叩诊呈浊音，听诊呼吸音减弱或消失。严重者可伴有发绀和休克。脓胸的病理改变虽有不同阶段之分，但并无明确的时间界限。慢性脓胸患者往往有消瘦、贫血、血浆蛋白减低以及不同程度的慢性全身中毒症状，如低热、乏力、食欲差等。查体可见患侧胸壁下陷、胸廓呼吸动度受限、肋间隙变窄，部分患者有脊柱侧弯、出现杵状指（趾）等全身多系统的改变。胸部叩诊呈实音，听诊呼吸音减低或消失。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3787', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '453', '辅助检查', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.外周血白细胞计数增高，中性粒细胞增至80%以上，有核左移。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.X线胸片　急性脓胸X线胸部检查示患侧有积液所致的致密阴影。慢性脓胸胸部X线片显示患侧胸膜增厚、肋间隙变窄、纵隔移向患侧、胸腔变小。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.胸部CT CT检查能够确定邻近膈肌或延伸入膈肌的分隔样改变，也有助于发现肺炎、肺脓肿、肺癌等合并症。增强CT显示胸膜及胸膜外组织水肿密度的改变有助于脓胸与胸腔漏出液或恶性胸腔积液相鉴别。增强CT也可区分脓胸、肺炎引起肺组织坏死的范围和肺栓塞。叶间裂积脓表现为沿着积脓周围出现弧线样或“裂开”样改变。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.B超 超声波检查显示积液反射波能明确范围和准确定位，还有助于判断胸腔液体的黏稠度及是否分隔，有助于脓胸诊断和穿刺。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.胸水检查 胸腔穿刺抽液是进行诊断和选择治疗方案的重要依据。要观察脓液的性状，质地稀稠，有无臭味，同时做涂片镜检、细菌培养及药敏实验，以指导临床用药。胸水中白细胞计数对诊断脓胸缺乏统一标准，因为脓液中的白细胞可以溶解，导致其数量减少。而肺炎旁无菌性胸腔积液白细胞计数可明显增高，以中性粒细胞为主。脓性胸腔积液胸水的pH和糖含量降低，LDH水平增高。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3788', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '453', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据临床表现和辅助检查，首先确定胸腔积液的存在，胸腔穿刺抽得脓液即可确诊。对胸水外观脓性表现不明显者，如胸水pH和糖含量降低，LDH水平增高，结合胸水涂片革兰染色或细菌培养阳性也可明确诊断。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3789', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '453', '鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">脓胸早期需与其他非化脓性胸腔积液包括结核性胸膜炎、恶性胸腔积液、风湿性疾病胸膜累及鉴别；脓液形成后需与乳糜胸及假性乳糜胸鉴别。通过胸水革兰染色涂片、培养、细胞计数及分类、糖、生化等化验一般不难鉴别。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3790', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '453', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性脓胸经过有效的抗生素治疗并及时排出脓液，炎症可逐渐消退，仅在胸膜腔内残留一定的粘连和胸膜肥厚。慢性脓胸预后差，多需要手术治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.急性脓胸的治疗原则包括控制感染、排除脓液、全身支持治疗三个方面。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）控制感染：初始抗生素的选择需尽可能覆盖常见的病原体，包括链球菌属（如肺炎链球菌、金黄色葡萄球菌、米氏链球菌）、G<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">-</span>杆菌（如埃希大肠杆菌、肺炎克雷伯杆菌、铜绿假单胞菌和流感嗜血杆菌），以及厌氧菌。急性期以静脉给药为主，剂量要足够充分，疗程宜长，总疗程共约3～6周。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">社区获得的胸腔感染可采用第二代头孢菌素+甲硝唑、耐酶青霉素+喹诺酮类、碳青霉烯类+甲硝唑、克林霉素单用或代替甲硝唑与其他抗生素联合使用。医院内获得者可单用哌拉西林/他唑巴坦、第三代头孢菌素及其与β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">-</span>内酰胺酶抑制剂的联合制剂、第四代头孢菌素、碳青霉烯类，或联合甲硝唑、克林霉素。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）引流脓液：对于单纯的肺炎旁胸腔积液，特别是B超液性暗区＜10mm，颜色清亮，pH＞7.2，LDH＜1000IU/ L，葡萄糖＞2.2mmol/L者不需要引流治疗，单纯抗生素治疗疗效良好。对于中等及大量胸腔积液，或胸水肉眼观察呈混浊脓性，或胸水pH＜7.2，LDH＞1000IU/L，葡萄糖＜2.2mmol/L者胸腔引流是治疗的关键。每次胸腔穿刺时均应尽可能将脓液抽净，在抽净脓液之后，注入等量的生理盐水或2%碳酸氢钠溶液反复冲洗，直到抽出液变清亮为止。包裹或多房性脓胸，或非常黏稠的脓液，可于腔内注入尿激酶、链激酶或组织型纤溶酶原激活剂联合DNA酶稀化脓液，以便于引流。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（3）全身支持治疗：应包括给予高蛋白、高热量、高维生素饮食，鼓励多饮水。必要时静脉补液并输注白蛋白或血浆。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.慢性脓胸的治疗主要是消除脓腔。术前应适当补充营养，纠正低蛋白和贫血，少量多次输血，增强机体抵抗力，选用有效抗生素，控制感染。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3791', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '453', '参考文献', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.Lisboa T，Waterer GW，Lee YC.Pleural infection：changing bacteriology and its implications.Respirology，2011，16（4）：598-603.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.Davies HE，Davies RJ，Davies CW.TS Pleural Disease Guideline Group.Management of pleural infection in adults：British Thoracic Society Pleural Disease Guideline 2010.Thorax，2010，65 （S 2）：ii41-53.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.Rosenstengel A.Pleural infection-current diagnosis and management.J Thorac Dis，2012，4（2）：186-193.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.Rahman NM，Maskell NA，West A，et al.Intrapleural use of tissue plasminogen activator and DNase in pleural infection.N Engl J Med，2011，365（6）：518-526.</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3848', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '484', '概述', '<p><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px; background-color: rgb(255, 255, 255);\">重症肌无力（myasthenia gravis，MG）是一种神经-肌肉接头传递障碍的自身免疫性疾病。主要临床特征为受累骨骼肌极易疲劳，短期收缩后肌力减退明显，休息和使用抗胆碱酯酶药物后肌无力可部分和暂时恢复。</span></p><p style=\"text-align: right;\"><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px; background-color: rgb(255, 255, 255);\">来源:实用内科学:全2册(下)</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3849', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '484', '病因和发病机制', '<p>1.自身免疫</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">MG被认为是一种体液介导、细胞调节和补体参与的自身免疫病。体液免疫的可能机制为：①抗体与乙酰胆碱受体（AchR）结合后加速受体的降解和内胞饮作用；②阻断乙酰胆碱（Ach）与受体的结合；③通过补体激活而破坏AchR，最终导致神经肌肉接头的兴奋传递障碍。在AchR抗体阴性的患者中，部分可在血清中检测到肌肉特异性激酶（MuSK）抗体。MuSK具有促进神经肌肉接头突触后膜处AchR聚集的功能。有些抗体阴性的患者同样可以出现严重的肌无力。由于对抗体阴性的重症肌无力的认识，细胞免疫和补体机制在重症肌无力发病中的意义逐步受到重视。</p><p>2.胸腺异常</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">75%～85%的MG患者有胸腺异常，其中60%～70%为胸腺增生，10%为胸腺瘤。胸腺肌样上皮细胞表面存在AchR，在病毒感染和特定的遗传素质影响下，自身免疫耐受机制受到损害，产生自身AchR抗体，并经分子模拟和交叉免疫反应，引起神经肌肉-接头损害，导致MG的发生。</p><p>3.遗传因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">并不明显，极少数有家族史。组织相容抗原（HLA）研究发现，欧美高加索人种的发病总体与HLA-DR3、B8有关，女性患者与HLA-A1、B8和DR3有关，男性与HLA-A3、B7和DR2有关。日本和我国的发病与HLA-DR9有关。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3850', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '484', '病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">受累骨骼肌纤维间小静脉周围有淋巴细胞浸润，称为淋巴漏现象。急性期患者肌纤维间和神经肌肉接头处有巨噬细胞浸润，肌纤维间有散在灶性坏死。晚期患者可见骨骼肌萎缩、细胞内脂肪变性。胸腺异常多为组织增生，胸腺生发中心增多；胸腺瘤按病理形态可有以淋巴细胞为主，上皮细胞为主或混合型。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3851', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '484', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">任何年龄均可罹患，女性略多于男性。儿童型MG在不同人种的发病率有很大差异，高加索人10岁以下起病者占所有MG病例的10%，日本人15岁以前起病者为29.2%，中国香港人15岁以下起病者为38.4%，内地14岁以下起病者为47.8%。成年人重症肌无力有两个发病高峰，第一个高峰为20～30岁，以女性多见，常伴胸腺增生；第二个高峰为40～50岁，男性较为多见，常伴胸腺瘤和其他自身免疫性疾病。近年来随着整个人群的年龄老化，55岁以上人群中的发病率和患病并不少见，以眼肌型多见。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">全身骨骼肌，包括眼外肌、面肌、咽喉肌、颈肌和肢带肌均可受累，但以脑神经支配的肌肉（眼外肌、面肌、咽喉舌肌）受累更为多见。受累骨骼肌的无力症状总有波动，晨轻暮重，疲劳后加重。疾病早期常有自发缓解与复发。晚期患者运动障碍严重，虽经休息后，其症状仍不能恢复。成年患者常从一组肌肉无力开始，在一至数年内逐步累及其他肌群。严重患者可因呼吸肌受累而致呼吸困难。为了便于观察和描述，可分为下列数种临床类型。</span></p><p><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">（一）成人重症肌无力1.眼肌型</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">表现为一侧或双侧，或左右交替出现睑下垂，晨间眼裂较大，午后或傍晚时睑下垂明显，也可有复视、斜视，晚期则眼球固定。部分患者可演化为其他类型。</span></p><p><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">2.延髓肌型</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">表现为咀嚼、吞咽困难、构音不清、说话多鼻音、连续说话后声音越来越轻。严重者完全不能进食，需鼻饲喂食。此型肌无力患者感染后常可加重症状，极易发生呼吸困难而危及生命。</span></p><p><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">3.脊髓肌无力型</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">仅有脊神经支配区的肌肉无力，表现为抬头、屈颈无力。常有头下垂、举臂困难和步行易跌，上下楼梯时尤为明显。此型患者多数起病隐匿，易被误诊为肢带型肌营养不良或功能性疾病。部分可发展为全身型肌无力，多数患者预后良好。</span></p><p><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">4.全身肌无力型</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">表现为眼外肌、延髓肌、表情肌、颈肌和四肢肌都无力。从其他肌无力起始的全身肌无力者常在首发症状后，数周至数月内迅速进展，并发生呼吸危象。</span></p><p><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">5.肌萎缩型</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">各型肌无力患者均可伴发肌肉萎缩，但很罕见。肌肉萎缩以颞肌、口周、颈、肢带和小腿肌较多见。</span></p><p><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">（二）儿童重症肌无力</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">我国儿童重症肌无力较为多见，除个别病例之外，绝大多数病例仅表现单纯眼外肌麻痹，如眼睑下垂、复视等。上呼吸道感染、发热等可能为诱发因素。约有1/4病儿可自发缓解，但也常复发。</span></p><p><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">（三）新生儿重症肌无力</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">新生儿表现喂食困难、哭声低弱、吸吮无力、动作减少等，常由患病母亲血清中的抗AchR抗体经胎盘输入胎儿体内引起。患儿症状为一过性，可自限缓解痊愈。</span></p><p><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">（四）危象</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">危象系指由于疾病的发展，药物应用不当、感染、分娩、手术等诸多因素所致的呼吸肌无力而不能维持正常通气功能的危急状态。</span></p><p style=\"text-align: right;\"><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3852', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '484', '辅助检查', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">80%以上的成年患者血清抗AChR抗体阳性，我国儿童型肌MG患者大多阴性。部分抗体阴性患者中可测到MuSK抗体。伴胸腺瘤患者可测到Titin、Raynodin抗体。胸腺CT检查常可见到胸腺增生或胸腺瘤。合并甲状腺功能亢进者可有T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>、T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>增高。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肌电图低频重复刺激（3Hz）后，CMAP波幅衰减10%以上，单纤维肌电图表现为Jitter增宽和阻滞。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3853', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '484', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床怀疑者可作疲劳试验，即令患者受累骨骼肌群作重复或持续收缩动作，如持续上视（提上睑肌）、重复闭眼睁眼（眼轮匝肌）、咀嚼（咀嚼肌）、举臂（三角肌）等，连续数十次或持续数十秒钟后即可见到被测肌肉肌无力明显加重，即疲劳试验阳性。亦可作药物试验，方法为：记录患者肌无力程度，肌注新斯的明0.5～1mg（同时加用阿托品0.5mg以减轻新斯的明副作用）30分钟后比较肌注前后肌力改变，有明显改善者可确诊（图23-11-2）。若仍不能确诊可作重复电刺激或单纤维肌电图。</p><p style=\"text-align: right;\">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3854', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '484', '鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">眼肌型MG应与慢性进行性眼外肌麻痹（CPEO）、先天性睑下垂、Horner综合征和眼睑痉挛相鉴别。延髓肌无力者应与GBS、MND等区别。50岁以后起病的MG者，若临床表现为口干、泪少，晨重夜轻，或活动后感觉症状减轻，受累范围以下肢为重，应行进一步检查鉴别Lambert-Eaton综合征的可能。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3855', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '484', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">本病为慢性疾病，让患者了解疾病性质，避免过度疲劳、注意劳逸结合是本病防治的首要措施。此外，处理与本病相关的疾病也至关重要。</span></p><p><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">（一）药物治疗1.抗胆碱酯酶药物</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">为一线对症用药，常用溴化吡啶斯的明，每日剂量为180～540mg/d，分3～4次服用。剂量因人而异，以不良反应最小、改善肌力效果最好为原则标准。抗胆碱酯酶药物的共同副作用为腹痛、腹泻、肌肉跳动和分泌物增加等。不良反应明显者可加服阿托品0.3～0.6mg/d，以减少不良反应，但不宜持续应用，以免掩盖胆碱能危象的先兆症状。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><img id=\"P23-11-2_29318\" class=\"TP\" width=\"368\" height=\"408\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%86%85%E7%A7%91%E5%AD%A6_%E5%85%A82%E5%86%8C(%E4%B8%8B)_978-7-117-17272-1/pics/P23-11-2_29318.jpg\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255);\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">图23-11-2　重症肌无力的新斯的明试验</span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">A.新斯的明肌注前 B.新斯的明肌注后20分钟</span></p><p><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">2.免疫抑制剂（1）肾上腺糖皮质激素：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">为一线用药，既抑制细胞免疫又抑制体液免疫。有效率可高达72%～96%，当激素在用到中等到大剂量后，MG症状通常在2～3周内出现改善。约有50%的患者在激素应用早期（7～10天内）可有短暂症状加重，一般持续1周左右，其中约10%的患者需要机械通气，医师和患者均需充分估计和准备，以免危象发生。常用方法为：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">1）递增法：泼尼松10～20mg/d顿服开始，1～2周后增加10mg，在达到目标剂量0.75～1mg/（kg・d）或60～100mg隔天后，持续8～12周，然后逐渐减量。对于症状较轻的患者，尤其是单纯眼肌型者，初始剂量可给予20mg/d，根据情况可加至0.75～1mg/（kg・d）或60～100mg隔天，待病情改善后持续8～12周后逐步减药。起初可每月减20mg，至30mg隔天后改为每月减5mg，至20mg隔天后改为每3个月减2.5mg，至5～10mg隔天后维持应用，过早过快减少剂量常引起病情波动。若在减量过程中病情加重可恢复先前用量。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">2）递减法：递减法是指先用大剂量甲泼尼龙静脉冲击治疗，按一定梯度递减，而后减至目标剂量维持治疗，递减法常可使患者获得充分激素治疗，倘若患者有发生危象倾向，冲击治疗后病情的变化容易提前估计，使医师做好充分准备，但鉴于激素冲击后部分患者病情明显加重，此法仅适用于难治性眼肌型患者和经良好医患沟通并已有辅助呼吸安排的重症全身型患者。递减法常以甲泼尼龙500～1000mg/d静脉注射，每个剂量连续3～5天后减半，直至改为泼尼松目标剂量0.75～1mg/（kg・d）或60～100mg隔天口服，以后逐步减量。</span></p><p><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">（2）硫唑嘌呤：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">为一线用药，抑制细胞免疫反应，常与皮质固醇类激素合用，常用剂量为50mg，2次/天。服药期间需要随访白细胞和肝功能。</span></p><p><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">（3）环磷酰胺：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">为二线用药，体液免疫抑制剂。在皮质固醇类激素治疗效果不满意或有禁忌时，可用环磷酰胺200mg静脉滴注，每2～3天1次，连续数周，或静脉团注0.5～1.0g/m<span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>体表面积，每月1次，总量以6～8g为一疗程。用药期间应注意白细胞减少，肝功能损害和皮疹的发生。</span></p><p><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">（4）环孢素：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">为三线用药，亲免素结合剂，50～100mg，2次/天。</span></p><p><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">（5）他克莫司（FK-506）：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">为三线用药，亲免素结合剂，建议剂量为3mg/d。</span></p><p><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">3.辅助药物</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">钙尔奇D、螺内酯、辅酶Q<span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">10</span>和氯化钾等均为本病的辅助药物。</span></p><p><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">（二）胸腺切除</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">全身型MG伴AchR-ab（+）胸腺增生者B级推荐，胸腺瘤者A级推荐，眼肌型MG伴或不伴胸腺增生者手术需谨慎。一般60岁以上患者不建议手术，除非是胸腺瘤。手术近期疗效可能并不明显，最大疗效可能在2～5年后。有研究指出起病1～2年内手术者，1/3可获缓解，1/2可有不同程度减轻，以年轻女性伴发胸腺增生者效果最佳，病程10年以上的慢性病患者原则上不推荐手术治疗。胸腺增生患者疗效较胸腺瘤者佳。</span></p><p><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">（三）血浆交换</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">适用于对抗胆碱酯酶药物、胸腺切除、激素疗效不满意或胸腺切除术前患者。需在有经验的单位进行。</span></p><p><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">（四）免疫球蛋白</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">重症患者可以选用。剂量为0.4g/（kg・d），隔日一次，5次为一疗程。多数患者没有明显不良反应，可迅速改善患者症状。但价格昂贵，疗效能维持3～4周，要获长期疗效仍需使用激素或免疫抑制剂。</span></p><p><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">（五）危象处理</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">不管何种类型危象，首要救治措施为保证呼吸道通畅。应当及时气管插管和人工辅助呼吸，监测血氧饱和度，应用足量和适当的抗菌药物控制呼吸道感染。在抗生素选择时，应当避用氨基糖苷类药物，如链霉素、黏菌素、卡那霉素、新霉素、万古霉素等抑制神经兴奋传递的药物。多数危象患者应暂时停用抗胆碱酯酶药物。</span></p><p><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">（六）甲亢合并MG</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">甲亢与MG伴存的患者应当同时进行甲亢治疗，少数病例在甲亢治疗后缓解。亦有少数在甲亢治疗后发生MG，若无内科禁忌证者可应用糖皮质激素治疗，亦可进行胸腺摘除。甲状腺功能减退者常伴肌无力症状加重。</span></p><p><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">（七）妊娠与MG</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">妊娠时约有1/3患者肌无力症状加重，而1/3症状减轻，还有1/3无明显变化。分娩和产后常使症状加重，严重者发生肌无力危象。育龄妇女的肌无力患者应注意计划生育，若症状无波动或改善时方可妊娠。</span></p><p style=\"text-align: right;\"><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3901', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1550', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">溃疡穿透浆膜层而达游离腹腔即可致急性穿孔，是胃十二指肠溃疡严重并发症，也是外科常见的急腹症。急性穿孔的发生率约为消化性溃疡病的5%～10%。其中男性占90%。通常十二指肠溃疡急性穿孔比胃溃疡多见。一旦溃疡穿孔，就有致命的危险，十二指肠溃疡穿孔的死亡率为5%～13%，胃溃疡为10%～40%。并且随着年龄的增加和穿孔时间的延长，死亡率也相应增高。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3902', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1550', '病因与病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">吸烟是＜75岁患者穿孔最常见的病因，有文献报道吸烟与溃疡穿孔之间存着相关关系，吸烟可显著增加各个年龄组的穿孔发生率。另外一个重要原因是非甾体类抗炎药的使用。约1/4的穿孔患者是由于使用非甾体类抗炎药，在老年人中这个比例更高。胃十二指肠溃疡穿孔可分为游离穿孔与包裹性穿孔。游离穿孔发生时，胃与十二指肠的内容物进入腹膜腔引起弥漫性腹膜炎；包裹性穿孔同样形成侵蚀胃或十二指肠壁全层的溃疡孔洞，但为邻近脏器或大网膜封闭包裹，阻止了消化道内容物进入腹膜腔。如十二指肠后壁溃疡穿入胰腺，为胰组织所包裹，即所谓慢性穿透性溃疡。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">90%的十二指肠溃疡穿孔发生在球部前壁，而胃溃疡穿孔60%发生在胃小弯，40%分布于胃窦及其他各部。急性穿孔后，有强烈刺激性的胃酸、胆汁、胰液等消化液和食物溢入腹腔，引起化学性腹膜炎。导致剧烈的腹痛和大量腹腔渗出液，约6～8小时后细菌开始繁殖并逐渐转变为化脓性腹膜炎。病原菌以大肠埃希菌、链球菌为多见。由于强烈的化学刺激、细胞外液的丢失以及细菌毒素吸收等因素，患者可出现休克。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3903', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1550', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性胃十二指肠溃疡穿孔者多有较长的病史，近期症状逐渐加重，约有10%的患者没有溃疡病史而突然发生急性穿孔。部分患者有暴饮暴食、过度疲劳、情绪激动等诱因。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性穿孔典型的症状是突然发生的剧烈的腹痛，刀割样，难以忍受，并迅速波及全腹部，有时强烈刺激性的消化液沿升结肠外侧沟流至右下腹，引起右下腹疼痛。要与急性阑尾炎相鉴别。剧烈的腹痛使患者多有面色苍白、出冷汗、肢体发冷等休克表现。患者可以清楚地回忆起剧痛发作的时间。部分患者表现有恶心、呕吐。体检时，患者多为被动体位，表现为屈膝、不敢翻动及深吸气，全腹呈板样硬，压痛、反跳痛及肌紧张明显，疼痛主要在上腹。75%的患者肝浊音界缩小或消失，肠鸣音消失。80%的患者直立位腹部X线平片示膈下有半月形游离气体。穿孔发生后，继发细菌性腹膜炎可引起患者发热、腹胀、血白细胞计数显著升高。穿孔晚期或穿孔较大者，可出现腹胀，肠麻痹。腹腔积液超过500ml时，可叩到移动性浊音。部分老年患者或体质较虚弱者，临床穿孔表现不典型，往往以脓毒血症和感染中毒性休克为主要表现。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3904', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1550', '诊断和鉴别诊断', '<p>（1）急性胰腺炎：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胃十二指肠溃疡穿孔和急性胰腺炎均属急腹症，两者在临床表现上有许多相似之处。严重的溃疡穿孔或溃疡穿透累及胰腺时，虽然血淀粉酶可升高，但是一般不超过正常值的5倍。急性胰腺炎起病也较急骤，多有暴饮暴食史，突然发作上腹疼痛，疼痛剧烈并且向腰背部放射，患者常有“束带”感，早期腹膜炎不明显，检查无气腹征，血清淀粉酶超过500索氏单位。</p><p>（2）急性阑尾炎：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">因穿孔后胃肠内容物可经升结肠旁沟或小肠系膜根部流到右下腹，引起右下腹腹膜炎症状和体征。易误为急性阑尾炎穿孔。后者常有明显的转移性右下腹疼痛，临床症状和腹部体征相对较轻，多不伴休克征象，也多无气腹征表现。</p><p>（3）急性胆囊炎和胆囊结石：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">腹痛和腹膜炎体征相对较轻并且局限于右上腹，有时疼痛放射至右肩胛部或腰背部。腹部超声、X线和CT检查，常有助于诊断和鉴别诊断。</p><p>（4）肝破裂出血：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常有明显的外伤史，出血性休克是其主要症状，可有腹痛和腹膜炎体征，腹腔穿刺可抽出不凝血。腹部超声和CT检查提示有肝破裂及腹腔积液。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3905', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1550', '治疗原则', '<p>（1）非手术治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">非手术治疗适用于：一般情况良好，症状体征较轻的空腹小穿孔；穿孔超过24小时，腹膜炎已局限者；患者全身情况差，年老体弱，或合并有严重的心肺疾病；或是经水溶性造影剂行胃十二指肠造影检查证实穿孔业已封闭的患者；终末期脓毒症患者；或者患者因手术风险而拒绝手术。非手术治疗不适用于伴有出血、幽门梗阻、疑有癌变等情况的穿孔患者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">非手术治疗的措施主要包括：①持续胃肠减压，减少胃肠内容物继续外漏，以利于穿孔的闭合和腹膜炎消退；②输液以维持水、电解质平衡并给予营养支持；③全身应用抗生素控制感染；④经静脉给予H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体阻断剂或质子泵拮抗剂等制酸药物。非手术治疗期间需严密观察病情变化，如治疗6～8小时后病情仍继续加重，应立即转行手术治疗。非手术治疗少数患者可出现膈下或腹腔脓肿。痊愈的患者应胃镜检查排除胃癌，根治幽门螺杆菌感染并采用制酸剂治疗。</p><p>（2）手术治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">仍为胃十二指肠溃疡急性穿孔的主要疗法，根据患者情况结合手术条件选择单纯穿孔修补术或彻底性溃疡手术。</p><p>1）穿孔修补术：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是治疗溃疡穿孔的主要手段，行单纯修补的病例，效果满意，但术后要加强抑酸剂和抗感染治疗。此方法简单，创伤轻，危险性小，疗效确切。并且缝闭穿孔，不仅终止胃肠内容物继续外漏，同时可较彻底地清除腹腔内的污染物和渗出液，有效地防止和减少术后并发症。如在穿孔修补术后，给予正规的内科治疗，约30%患者溃疡可愈合，症状消失。部分溃疡复发患者需要作溃疡根治性手术。此外，在胃溃疡急性穿孔单纯修补术后的患者中，约7%～11%在随访过程中确诊为胃癌。因此，对胃溃疡患者应尽可能地取活检作病理检查，术后应定期做胃镜检查。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">适应证：①穿孔时间超过8小时，合并有严重的腹膜炎体征及有大量脓性渗出物；②术中发现腹腔污染严重，胃十二指肠明显水肿；③患者全身情况差，难以耐受较大或较长时间的手术；④以往无溃疡病史或有溃疡病史未经正规内科治疗，无出血、梗阻等并发症。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">方法：经上腹正中切口，探查腹腔内污染情况，暴露胃幽门和十二指肠，检查穿孔所在，常可发现穿孔处已被邻近组织或肝缘所覆盖。由于穿孔局部充血水肿，有时不易确定穿孔是在幽门胃侧抑或是在幽门的十二指肠侧。如为胃溃疡穿孔，并疑有胃癌可能时，应取穿孔边缘组织做病理检查。闭合穿孔时，沿横行方向以丝线间隔缝合，第一层为对拢缝合，第二层为内翻缝合。但常由于穿孔周围组织水肿及瘢痕，无法行第二层缝合；或由于穿孔靠近幽门，内翻缝合后有可能造成幽门狭窄，可只做一层对拢缝合，再以网膜覆盖。如穿孔大，瘢痕多，难以将孔洞缝闭，可将带蒂大网膜塞入孔内后固定于肠或胃壁。穿孔缝合前及缝合后，应尽量吸除腹腔，特别是膈下及盆腔内的渗液。术后在穿孔修补附近及盆腔内可酌情放置引流管。对于较大的溃疡穿孔，网膜填塞法是比较安全的，尤其对于高危患者是不错的选择。</p><p>2）腹腔镜溃疡穿孔修补术：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">手术适应证：急性穿孔；腹腔内渗液不多，术前患者腹膜炎症状不重，仅上腹疼痛、压痛，患者年轻；全身情况较好，能耐受人工气腹；可排除溃疡恶变或胃癌穿孔。手术禁忌证：入院时有休克症状；穿孔时间大于24小时；年龄＞75岁；合并其他重症基础疾病，如心衰、肝硬化等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">手术方法：目前腹腔镜穿孔修补的方法有以下三种：①单纯缝合修补术：用0号、1-0、2-0可吸收线顺胃肠长轴方向间断全层缝合或连锁缝合。这种方法可适用于大多数穿孔较小的患者，并且与患者本身的身体状况关系不大。此法修补可靠，但对溃疡边缘已瘢痕化或十二指肠溃疡边缘处已有变形，尤其溃疡较大时，缝合有时较困难。②网膜片修补法：用可吸收缝线穿过穿孔的两侧，缝合3～4针，将大网膜提到穿孔的表面，收紧缝线打结，使网膜片起到生理性封闭物作用即可。该手术操作简单，手术效果好，但网膜片固定须牢固。③蛋白胶粘堵法：用吸收性明胶海绵或网膜组织涂上生物蛋白胶或ZT胶后，直接插入穿孔内，使吸收性明胶海绵或网膜组织与胃十二指肠壁粘在一起，封闭穿孔，该方法适用于较小的穿孔。粘补法操作比较简单，所用黏合剂为生物制剂，但价格较昂贵。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">腹内空腔灌洗也是手术的重要环节，包括腹膜腔，肝上间隙，肝下间隙，盆腔等，一般推荐用6～8L的温热生理盐水。另外术后即开始应用质子泵抑制剂或H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体阻滞剂，并且要保留鼻胃管＞48小时，抗生素应用至少5天或直至发热消退。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">术后并发症：术后缝合瘘是最常见的并发症，发生率约为1.5%～16%，主要发生在腹腔镜纤维蛋白胶修复患者；肺炎，可能与气腹有关；其他还有腹内脓肿形成、肠梗阻、外瘘、出血等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">手术评价：腹腔镜溃疡穿孔修补术的优势有：可以减轻术后疼痛；降低发病率的伤口并发症，如感染及切口疝形成；加快恢复进食，缩短住院日数，并更快的恢复工作等。既往对年龄小于35岁的年轻患者，多采用保守治疗，或仅行穿孔修补术，或修补术后加行高选择性迷走神经切断术；而对年龄大于40岁，特别是有胃十二指肠溃疡病史多年，经系统的内科治疗，包括正规应用H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体阻滞剂及质子泵抑制剂的抗酸与抗Hp治疗，效果渐差的溃疡穿孔，或既往有穿孔史、幽门或十二指肠球部瘢痕形成甚或出现过梗阻情况者，胃大部切除术仍较为合适。即便术后有残胃癌发生风险，一般多于术后20～25年发生，即使发生残胃癌，也还可以再次手术。另外，胃溃疡患者，时间久后溃疡也有恶变可能。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">当然，对于胃或十二指肠球部后壁穿孔，腹腔镜下无法修补或修补困难，或者腔镜下高度怀疑有胃癌可能性者，还应果断中转开腹。总之，对青年胃十二指肠溃疡穿孔患者，腹腔镜穿孔修补手术，是目前较合理的手术方式。</p><p>3）急诊根治性手术：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有资料表明穿孔修补术后，约2/3患者仍有轻度或重度慢性溃疡病症状。其中部分患者需要再次作根治性手术。因此，在急诊手术治疗溃疡病时是否行急诊根治性手术，应根据根治性手术的必要性和患者耐受手术的可能性决定。应使根治性手术的死亡率不高于穿孔修补术或非手术治疗。通常有下列情况时应争取做根治性手术：①多年溃疡病病史，症状较重，反复发作；②曾有过穿孔或出血史；③急性穿孔并发出血；④胼胝状溃疡；⑤有瘢痕性幽门狭窄；⑥疑有癌变的胃溃疡穿孔；⑦多发性溃疡；⑧患者全身情况良好，无严重的合并病。此外，还应根据穿孔的大小、时间、腹腔内污染情况以及腹腔探查结果，进行综合判断。常用的急诊根治性手术是胃大部切除或迷走神经切断附加胃窦切除或幽门成形术。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3906', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '212', '基层管理流程', '<p>&nbsp; &nbsp; &nbsp;基层医疗卫生机构应承担原发性高血压的诊断、治疗及长期随访管理工 作，识别出不适合在基层诊治的高血压患者并及时转诊。管理目标是降压达标，降低并发症发生风险。</p><p><br/></p><p>注： 1 SBP： 收缩压； DBP： 舒张压。<br/></p><p>&nbsp; &nbsp; “和 / 或” 包括以下三种情况：&nbsp;</p><p>&nbsp; &nbsp; &nbsp; ① SBP ≥ 140mmHg 且 DBP ≥ 90mmHg；</p><p>&nbsp; &nbsp; &nbsp; ② SBP ≥ 140mmHg 且 DBP &lt;90mmHg；</p><p>&nbsp; &nbsp; &nbsp; ③ SBP &lt;140mmHg 且 DBP ≥ 90mmHg。</p><p>&nbsp; &nbsp; &nbsp; 2“和 / 或” 包括以下三种情况：&nbsp;</p><p>&nbsp; &nbsp; &nbsp; ① SBP ≥ 180mmHg 且 DBP ≥ 110mmHg；</p><p>&nbsp; &nbsp; &nbsp; ② SBP ≥ 180mmHg 且 DBP &lt;110mmHg；</p><p>&nbsp; &nbsp; &nbsp; ③ SBP &lt;180mmHg 且 DBP ≥110mmHg。</p><p>&nbsp; &nbsp; &nbsp; 3 合并症： 指冠心病、 心力衰竭、 脑卒中、 慢性肾脏疾病、 糖尿病或外周动脉粥样硬化病。</p><p>&nbsp; &nbsp; &nbsp; 4 达标：&nbsp;</p><p>&nbsp; &nbsp; &nbsp; 一般高血压患者， 收缩压 &lt; 140mmHg 且舒张压 &lt; 90mmHg 即为达标；</p><p>&nbsp; &nbsp; &nbsp; 年龄≥ 80 岁且未合并糖尿病或慢性肾脏疾病的高血压患者，收缩压 &lt; 150mmHg 且舒张压 &lt; 90mmHg 为达标。</p><table><tbody><tr class=\"firstRow\"><td width=\"743\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><p style=\"text-align:center\"><span style=\"font-size:12px;font-family:宋体\">诊疗关键点</span></p></td></tr><tr><td width=\"743\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><p><span style=\"font-size:12px;font-family:宋体\">1. 血压测量“三要点” ： 安静放松， 位置规范， 读数精准</span></p></td></tr><tr><td width=\"743\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><p><span style=\"font-size:12px;font-family:宋体\">2. 诊断要点： 诊室血压为主， 140/90mmHg 为界， 非同日三次超标确诊</span></p></td></tr><tr><td width=\"743\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">3. 健康生活方式“六部曲” ： 限盐减重多运动， 戒烟限酒心态平</td></tr><tr><td width=\"743\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><p><span style=\"font-size:12px;font-family:宋体\">4. 治疗“三原则” ： 达标、 平稳、 综合管理</span></p></td></tr><tr><td width=\"743\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">5. 基层高血压转诊四类人群： 起病急、 症状重、 疑继发、 难控制</td></tr></tbody></table>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3907', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '212', '诊断标准', '<p>1、以诊室血压测量结果为主要诊断依据：</p><p>&nbsp; &nbsp; &nbsp; 首诊发现收缩压&gt; 140 mmHg和/或舒张压&gt; 90 mmHg1，建议在4周内 复查两次，非同日3次测量均达到上述诊断界值，即可确诊；</p><p>&nbsp; &nbsp; &nbsp; 若首诊收缩压&gt; 180mmHg和/或舒张压&gt; 110mmHg，伴有急性症状 者建议立即转诊；无明显症状者，排除其他可能的诱因，并安静休息后复测，仍达此标准，即可确诊，建议立即给予药物治疗。</p><p>2、诊断不确定或怀疑“白大衣高血压”，有条件的可结合动态血压监 测或家庭自测血压辅助诊断。动态血压和家庭自测血压诊断高血压的标准见表1，无条件的，建议转诊。</p><table><tbody><tr class=\"firstRow\"><td valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\" rowspan=\"1\" colspan=\"3\">表1诊室及诊室外高血压诊断标准</td></tr><tr><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">分类</td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">收缩压mmHg<span class=\"Apple-tab-span\" style=\"white-space: pre;\">	</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">舒张压mmHg</td></tr><tr><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">诊室</td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">≥ 140</td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">和/或<span class=\"Apple-tab-span\" style=\"white-space: pre;\">	</span>≥90</td></tr><tr><td valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\" rowspan=\"1\" colspan=\"3\">动态血压监测</td></tr><tr><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">白天<span class=\"Apple-tab-span\" style=\"white-space: pre;\">	</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">≥ 135</td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">和/或<span class=\"Apple-tab-span\" style=\"white-space: pre;\">	</span>≥ 85</td></tr><tr><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">夜间</td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">≥ 120</td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">和/或<span class=\"Apple-tab-span\" style=\"white-space: pre;\">	</span>≥70</td></tr><tr><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">24小时</td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">≥ 130</td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">和/或<span class=\"Apple-tab-span\" style=\"white-space: pre;\">	</span>≥80</td></tr><tr><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">家庭自测血压</td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">≥ 135</td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">和/或<span class=\"Apple-tab-span\" style=\"white-space: pre;\">	</span>≥ 85</td></tr></tbody></table><p>3、 注意鉴别伴有紧急或危重情况、 怀疑继发性高血压等需转诊的情况</p><p>4、 特殊定义：</p><p>白大衣高血压：</p><p>反复出现的诊室血压升高， 而诊室外的动态血压监测或家庭自测血压正常。</p><p>单纯性收缩期高血压：</p><p>收缩压≥ 140mmHg 和舒张压＜ 90mmHg。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3908', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '212', '评估', '<p>&nbsp; &nbsp; &nbsp; 目的是评估心血管病发病风险、耙器官损害及并存的临床情况，是确定 高血压治疗策略的基础。初诊时及以后每年建议评估一次。</p><p>&nbsp; &nbsp; &nbsp; 评估内容包括病史、体格检查及辅助检查：</p><p>&nbsp; &nbsp; &nbsp; 病史：</p><p>&nbsp; &nbsp; &nbsp; 既往是否有糖尿病、脑卒中、冠心病、心力衰竭、肾脏疾病、外周动脉 粥样硬化病等合并症；高血压、糖尿病、血脂异常及早发心血管病家 &nbsp;族史； 吸烟、饮酒史。</p><p>&nbsp; &nbsp; &nbsp; 体格检查：</p><p>&nbsp; &nbsp; &nbsp; 血压、心率、心律、身高、体重、腰围，确认有无下肢水肿等。</p><p>&nbsp; &nbsp; &nbsp; 辅助检查：</p><p>&nbsp; &nbsp; &nbsp; 血常规、尿常规、生化（肌酐、尿酸、谷丙转氨酶、血钾、血糖、血脂）、 心电图（识别有无左室肥厚、心肌梗死、心律失常如心房颤动等）。</p><p>&nbsp; &nbsp; &nbsp; 有条件者可选做：动态血压监测、超声心动图、颈动脉超声、尿白蛋白/肌酐、胸片、眼底检查等。</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3909', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '212', '治疗', '<p>一、治疗原则</p><p>&nbsp; &nbsp; &nbsp; 高血压治疗三原则：达标、平稳、综合管理。治疗高血压的主要目的是 降低心脑血管并发症的发生和死亡风险，因此：其次是平稳降压。告知患者长期坚持生活方式干预和药物治疗，保持血 压长期平稳至关重要；此外，长效制剂有利于每日血压的平稳控制，对减少 心血管并发症有益，推荐使用。第三，对高血压患者应进行综合干预管理。选择降压药物时应综合考虑 其伴随合并症情况；此外，对于已患心血管疾病患者及具有某些危险因素的 患者，应考虑给予抗血小板及调脂治疗，以降低心血管疾病再发及死亡风险。</p><p>二、降压目标</p><p>&nbsp; &nbsp; &nbsp; 高血压患者的降压目标是：收缩压&lt; 140mmHg且舒张压&lt;90mmHg。 年龄&gt;80岁且未合并糖尿病或慢性肾脏疾病的患者，降压目标为：收缩压 &lt; 150mmHg 且舒张压 &lt; 90mmHg。</p><p>三、生活方式干预</p><p>&nbsp; &nbsp; &nbsp; 对确诊高血压的患者，应立即启动并长 期坚持生活方式干预，即“健康生活方式六部 曲” 一一限盐减重多运动，戒烟限酒心态平。 一些生活方式干预方法，不但可明显降低血压， 也可预防心血管病，如戒烟、减轻体重、适度 运动等，应大力提倡。各类生活方式干预目标及降压效果见表2。&nbsp;</p><p style=\"text-align: center;\">表2生活方式干预目标及降压效果</p><table><tbody><tr class=\"firstRow\"><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">内容</td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">目标</td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">可获得的收缩压下降效果</td></tr><tr><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">减少钠盐摄入</td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><p>每人每日食盐摄入量不超过6克 (一啤酒瓶盖*)</p><p>注意隐性盐的摄入 (咸菜、鸡精、酱油等）</p></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">2 〜8mmHg</td></tr><tr><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">减轻体重</td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><p>BMI &lt; 24kg/m2，</p><p>腰围&lt;90cm (男）,</p><p>腰围&lt; 85cm (女）</p></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">5 〜20mmHg/ 减重10kg</td></tr><tr><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">规律运动</td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">中等强度运动，每次30分钟， 每周5-7次</td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">4 〜9mmHg</td></tr><tr><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">戒烟</td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">科学戒烟，避免被动吸烟</td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">/</td></tr><tr><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">限制饮酒</td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">每日饮酒量限制：白酒&lt;50ml (1两）， 葡萄酒&lt; 100ml，啤酒 &lt; 250ml。女性减半</td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">2 〜4mmHg</td></tr><tr><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">心理平衡</td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">减轻精神压力，保持心情愉悦</td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">/</td></tr></tbody></table><p><span class=\"Apple-tab-span\" style=\"white-space:pre\">*普通啤酒瓶盖去掉胶皮垫后水平装满可盛6克食盐。</span><span class=\"Apple-tab-span\" style=\"white-space: pre;\">	</span></p><p>&nbsp; &nbsp; &nbsp; 根据患者具体情况，与患者共同讨论需要改善的生活方式，制定最终目 标，每次随访根据改善情况设定近期的具体目标，为患者提供咨询、鼓励其 坚持。为提高可行性，可根据患者意愿，每次有针对性地选择1〜2项需改善 的生活方式，持续督促、追踪。</p><p>四、药物治疗<br/></p><p>(一）<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>启动药物治疗时机</p><p>&nbsp; &nbsp; &nbsp; 所有高血压患者一旦诊断，建议在生活方式干预的同时立即启动药物治疗。</p><p>&nbsp; &nbsp; &nbsp; 仅收缩压&lt; 160mmHg且舒张压&lt; lOOmmHg且未合并冠心病、心力衰竭、 脑卒中、外周动脉粥样硬化病、肾脏疾病或糖尿病的高血压患者，医生也可 根据病情及患者意愿暂缓给药，采用单纯生活方式干预最多3个月，若仍未 达标，再启动药物治疗。</p><p>(二）<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>降压药物选择</p><p>&nbsp; &nbsp; &nbsp; 尽量选用证据明确、可改善预后的五大类降压药物，即ACEI、ARB、P受体阻滞剂、钙通道阻滞剂和利尿剂，为便于记忆，下文根据英文单词的 首字母，分别以A、B、C、D简称。</p><p>&nbsp; &nbsp; &nbsp; A: ACEI和ARB。两类药物降压作用明确，尤其适用于心力衰竭、心 肌梗死后、糖尿病、慢性肾脏疾病患者，有充足证据证明可改善预后。用于 蛋白尿患者，可降低尿蛋白，具有肾脏保护作用，但双侧肾动脉狭窄、肌酐(Cr) &gt; 3mg/dl (265pmol/L)的严重肾功能不全及高血钾的患者禁用。妊娠或计 划妊娠患者禁用。ACEI类药物易引起干咳，若无法耐受，可换用ARB。两 类药物均有引起血管神经性水肿的可能，但少见。</p><p>&nbsp; &nbsp; &nbsp; B:β受体阻滞剂。可降低心率，尤其适用于心率偏快的患者，用于 合并心肌梗死或心力衰竭的患者，可改善预后；用于冠心病、劳力性心绞 痛患者，可减轻心绞痛症状。但注意急性心肌梗死后超早期应慎用，心力 衰竭急性期（气短、端坐呼吸、不能平卧）不适合应用，应待病情平稳后。 心肌梗死或心力衰竭急性期不建议在基层首用β受体阻滞剂。以β受体 阻滞作用为主的a和β受体阻滞剂，如卡维地洛、阿罗洛尔、拉贝洛尔等， 也适用于上述人群。β受体阻滞剂可降低心率，禁用于严重心动过缓患者， 如心率&lt;55次/分、病态窦房结综合征、二度或三度房室传导阻滞。哮喘 患者禁用。大剂量应用时对糖脂代谢可能有影响，高心脏选择性β受体阻滞剂对糖脂代谢影响不大。</p><p>&nbsp; &nbsp; &nbsp; C: CCB。最常用于降压的是二氢吡啶类钙通道阻滞剂，如氨氯地平、 硝苯地平缓释片等。此类药物降压作用强，耐受性较好，无绝对禁忌证，适 用范围相对广，老年单纯收缩期高血压等更适用。最常见的不良反应是头痛、 踝部水肿等。</p><p>&nbsp; &nbsp; &nbsp; D:利尿剂，噻嗪类利尿剂较为常用。尤其适用于老年人、单纯收缩期 髙血压及合并心力衰竭的患者。噻嗪类利尿剂的主要副作用是低钾血症，且 随着利尿剂使用剂量增加，低钾血症发生率也相应增加，因此建议小剂量使 用，如氢氯噻嗪12.5mg，每日一次。利尿剂与ACEI或ARB类药物合用， 可抵消或减轻其低钾的副作用。痛风患者一般禁用噻嗪类利尿剂。严重心力 衰竭或慢性肾功能不全时，可能需要应用袢利尿剂如呋塞米，同时需补钾， 此时建议转诊至上级医院进一步诊治。</p><p>&nbsp; &nbsp; &nbsp;近年来由上述五大类药物组合而成的固定剂量复方制剂，由于服用方便， 易于长期坚持，已成为高血压治疗的新模式，推荐使用。</p><p>&nbsp; &nbsp; &nbsp; 其他有明确降压效果的药物，包括复方利血平片、复方利血平氨苯蝶啶 片等根据患者情况仍可使用。</p><p>&nbsp; &nbsp; &nbsp; 基层常用降压药物用法、适应证、禁忌证及不良反应见附件。</p><p>(三）药物治疗方案</p><p>&nbsp; &nbsp; &nbsp; 根据患者是否存在合并症及血压水平，选择合适的药物，优选长效药物。 除心力衰竭及体位性低血压风险较大的高龄初始用药患者建议从小剂量开始 外，其他高血压患者可从常用起始剂量开始，具体参见附件。</p><p><span style=\"font-size: 12px; text-align: center;\">1、无合并症高血压药物治疗方案</span></p><p>&nbsp; &nbsp; &nbsp; 第一步：收缩压&lt; 160 mmHg且舒张压&lt; 100 mmHg:单药起始，可选 择C、A、D或B。B尤其适用于心率偏快者。起始剂量观察 2〜4周，未达标、者加量，或更换另一种药物，或直接联合使用 两种药物（见联合药物推荐），每调整一次观察2〜4周；</p><p>&nbsp; &nbsp; &nbsp; 合并症：指伴随冠心病、心力衰竭、脑卒中、糖尿病、慢性肾脏疾病或外周动脉粥样硬化病收缩压&gt; 160mmHg和/或舒张压&gt; lOOmmHg:推荐两种药 物联合使用，如C+A，A+D，C+D，或C+B，或者选用相应 的固定剂量复方制剂。未达标则采用如上方法增加剂量或更换 方案，每调整一次治疗观察2〜4周。</p><p>&nbsp; &nbsp; &nbsp; 第二步：上述两药联合方案血压仍未达标，加用第三种药物，可选 C+A+D 或 C+A+B。</p><p>&nbsp; &nbsp; &nbsp; 第三步：三种药物足量，观察2〜4周仍未达标，可直接转诊；也可A、B、C、D四类药物合用，2〜4周仍未达标再转诊。</p><p style=\"text-align: center;\"><span style=\"font-size: 13.3333px; text-align: center;\">无合并症高血压药物治疗流程图</span></p><p><span style=\"font-size: 13.3333px; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20171203-1512288572465062138.jpg\" title=\"1512288572465062138.jpg\" alt=\"1.jpg\"/></span></p><p style=\"margin-left: 80px;line-height: normal;break-after: avoid\"><sup><span style=\"font-size:12px;font-family:宋体\">1</span></sup><span style=\"font-size:12px;font-family:宋体\">BP &lt; 160/100mmHg： 收缩压 ＜ 160mmHg 且舒张压＜ 100mmHg</span></p><p style=\"margin-left: 80px;line-height: normal;break-after: avoid\"><sup><span style=\"font-size:12px;font-family:宋体\">2</span></sup><span style=\"font-size:12px;font-family:宋体\">BP ≥ 160/100mmHg： 收缩压 ≥ 160mmHg 和 / 或舒张压≥ 100mmHg</span></p><p style=\"margin-left: 80px;line-height: normal;break-after: avoid\"><sup><span style=\"font-size:12px;font-family:宋体\">3</span></sup><span style=\"font-size:12px;font-family:宋体\">B： B 类药物适用于心率偏快者</span></p><p style=\"margin-left: 80px;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">注： 每次调整治疗后均需观察 2-4 周， 看达标情况。</span></p><p style=\"margin-left: 80px;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">除非出现不良反应等不耐受或需紧急处理的情况</span></p><p style=\"margin-left: 80px;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">A： ACEI/ARB， 即血管紧张素转化酶抑制剂血管紧张素Ⅱ受体拮抗剂</span></p><p style=\"margin-left: 80px;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">B： β 受体阻滞剂</span></p><p style=\"margin-left: 80px;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">C： 二氢吡啶类钙拮抗剂</span></p><p style=\"margin-left: 80px;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">D： 利尿剂， 常用噻嗪类利尿剂</span></p><p>2、 有合并症 1 高血压药物治疗方案（注： 合并症急性期建议转诊治疗）</p><p>&nbsp; &nbsp; &nbsp; 合并心肌梗死： 首选 A+B， 小剂量联用， 避免出现低血压。 若未达标可加量， 仍未达标加用长效 C 或 D（包括螺内酯） ；</p><p>&nbsp; &nbsp; &nbsp; 合并心绞痛： 可选择 B 或 A 或 C， 可联用， 仍未达标加用 D；</p><p>&nbsp; &nbsp; &nbsp; 合并心力衰竭： A+B， 小剂量联用， 合并钠水潴留时加用 D， 一般选择袢利尿剂， 并补钾， 可加螺内酯， 仍未控制可加 C（限氨氯地平、 非洛地平） 。</p><p>&nbsp; &nbsp; &nbsp; 合并心力衰竭患者起始联用 A 和 B， 主要用于改善预后， 应注意血压偏低者</p><p>起始剂量宜小， 缓慢加量；</p><p>&nbsp; &nbsp; &nbsp; 合并脑卒中： 可选择 C、 A、 D， 未达标者可联合使用；</p><p>&nbsp; &nbsp; &nbsp; 合并糖尿病： 首选 A， 未达标者加用 C 或 D；</p><p>&nbsp; &nbsp; &nbsp; 合并慢性肾脏疾病： 首选 A， 未达标者加用 C 或 D。 肌酐水平首次超出正常范围， 建议降压治疗方案由上级医院决定。</p><p>&nbsp; &nbsp; &nbsp; 合并外周动脉粥样硬化病： 初始选择 C、 A、 D 或 B 均可， 单药未达标可联合用药， 同“无合并症高血压药物治疗方案” 。 但慎用非选择性 β 受体阻滞剂如普萘洛尔。</p><p><br/></p><p style=\"text-align: center;\">表 3 有合并症 1 的高血压治疗方案推荐表</p><p><br/></p><table width=\"642\"><tbody><tr class=\"firstRow\"><td width=\"160\" valign=\"top\" style=\"border-width: 1px; border-color: windowtext; padding: 0px 7px; border-style: solid;\"><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">患者特征</span></p></td><td width=\"160\" valign=\"top\" style=\"border-width: 1px; border-top-color: windowtext; border-right-color: windowtext; border-bottom-color: windowtext; border-style: solid; border-left-color: initial; padding: 0px 7px;\"><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">第一步</span></p></td><td width=\"160\" valign=\"top\" style=\"border-width: 1px; border-top-color: windowtext; border-right-color: windowtext; border-bottom-color: windowtext; border-style: solid; border-left-color: initial; padding: 0px 7px;\"><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">第二步</span></p></td><td width=\"160\" valign=\"top\" style=\"border-width: 1px; border-top-color: windowtext; border-right-color: windowtext; border-bottom-color: windowtext; border-style: solid; border-left-color: initial; padding: 0px 7px;\"><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">第三步</span></p></td></tr><tr><td width=\"160\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">心肌梗死</span></p></td><td width=\"160\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">A+B<sup>2</sup></span></p></td><td width=\"160\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">A+B+C<sup>3</sup>或A+B+D<sup>4</sup></span></p></td><td width=\"160\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">转诊或A+B+C<sup>3</sup>+D</span></p></td></tr><tr><td width=\"160\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">心绞痛</span></p></td><td width=\"160\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">B或A或C</span></p></td><td width=\"160\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">B+C或B+A或A+C</span></p></td><td width=\"160\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">B+C+A或B+C+D</span></p></td></tr><tr><td width=\"160\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">心力衰竭</span></p></td><td width=\"160\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">A+B<sup>2</sup></span></p></td><td width=\"160\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">A+B+D<sup>4</sup></span></p></td><td width=\"160\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">转诊或A+B+D<sup>4</sup>+C<sup>3</sup></span></p></td></tr><tr><td width=\"160\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">脑卒中</span></p></td><td width=\"160\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">C或A或D</span></p></td><td width=\"160\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">C+A或C+D或A+D</span></p></td><td width=\"160\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">C+A+D</span></p></td></tr><tr><td width=\"160\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">糖尿病或慢性肾功能疾病</span></p></td><td width=\"160\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">A</span></p></td><td width=\"160\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">A+C或A+D</span></p></td><td width=\"160\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">A+C+D</span></p></td></tr></tbody></table><p>1 合并症： 指伴随冠心病、 心力衰竭、 脑卒中、 糖尿病、 慢性肾脏疾病或外周动脉粥样硬化病， 且</p><p>处于稳定期。伴外周动脉粥样硬化病患者的高血压用药同无合并症者，无特殊推荐，故未列入本表。</p><p>2 两药合用， 应从最小剂量起始， 避免出现低血压。</p><p>3 C 类用于心肌梗死时， 限长效药物。 C 类用于心力衰竭时， 仅限氨氯地平及非洛地平两种药；</p><p>4 D 类用于心肌梗死时包括螺内酯； 用于心力衰竭时包括袢利尿剂和螺内酯。</p><p>5 肌酐水平首次超出正常， 降压治疗方案建议由上级医院决定。</p><p>A： ACEI/ARB： 即血管紧张素转化酶抑制剂 / 血管紧张素Ⅱ受体拮抗剂；</p><p>B： β 受体阻滞剂；</p><p>C： 二氢吡啶类钙通道阻滞剂；</p><p>D： 噻嗪类利尿剂</p><p>（四） 用药注意事项<br/></p><p>&nbsp; &nbsp; &nbsp; 每次调整药物种类或剂量后建议观察 2~4 周， 评价药物治疗的有效性，避免频繁更换药物， 除非出现不良反应等不耐受或需紧急处理的情况。ACEI 与 ARB 一般不联用。A 与 B 不作为两药联用的常规推荐， 除非针对心肌梗死、 心力衰竭患者。</p><p>（五） 已用药患者的治疗方案调整建议</p><p>&nbsp; &nbsp; &nbsp; 已达标： 无合并症的高血压患者， 如已用药达标， 可维持原治疗方案；</p><p>&nbsp; &nbsp; &nbsp; 若伴有上述合并症， 建议采用上述推荐方案治疗；</p><p>&nbsp; &nbsp; &nbsp; 未达标： 建议采用上述治疗方案调整药物。</p><p>&nbsp; &nbsp; &nbsp; 因客观原因无法实施推荐方案， 则以降压达标为根本， 允许使用其他类别降压药物。</p><p>&nbsp; &nbsp; &nbsp; 已服药达标的患者， 出现偶尔的血压波动， 应注意排除诱因， 避免依据单次血压测量值频繁调整药物。</p><p>（六） 综合干预管理</p><p>&nbsp; &nbsp; &nbsp; 高血压患者选择降压药物时应综合考虑伴随的合并症， 如上文所述； 对于已患心血管疾病患者及具有某些危险因素的患者， 应考虑给予阿司匹林及他汀等药物， 以降低心血管疾病再发及死亡风险。 具体建议如下：</p><p>1、 小剂量阿司匹林： 已患冠心病、 缺血性卒中、 外周动脉粥样硬化病的高血压患者， 血压稳定控制在 150/90mmHg 以下建议服用： 阿司匹林75~100mg， 每日 1 次（活动性胃溃疡或消化道出血、 过敏者禁用） 。</p><p>2、 他汀等调脂药物： 已患冠心病、 缺血性卒中、 外周动脉粥样硬化病的高血压患者， 应长期服用他汀类药物， 必要时加用其他调脂药物， 使 LDL-C降至 1.8mmol/L（70mg/dl） 以下； 无上述心血管病， 但合并下述疾病或情况也应服用他汀类等调脂药物： （1） 慢性肾脏疾病； （2） 糖尿病； （3） 严重高胆固醇血症： TC≥ 7.2mmol/L（278mg/dl）或 LDL-C≥ 4.9mmol/L（190mg/dl） ； （4） 至少具有下述三项危险因素中的两项： ①吸烟； ② HDL ＜ 1mmol/L（40mg/dl） ；③≥ 45 岁男性或≥ 55 岁女性。 其中高血压合并慢性肾脏疾病患者， 建议 LDL-C 降至 1.8mmol/L 以下； 其他情况建议 LDL-C 降至 2.6mmol/L（100mg/dl） 以下。 不符合上述情况， 但 LDL-C ≥ 3.4mmol/L（130mg/dl） 的高血压患者， 建议服用他汀类药物将 LDL-C 降至 3.4mmol/L（130mg/dl） 以下（具体见表 4） 。</p><p style=\"text-align: center;\">表 4 高血压合并相关疾病或情况的调脂目标<br/></p><table width=\"642\"><tbody><tr class=\"firstRow\"><td width=\"321\" valign=\"top\" style=\"border-width: 1px; border-color: windowtext; padding: 0px 7px; border-style: solid;\"><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">高血压合并疾病 / 情况</span></p></td><td width=\"321\" valign=\"top\" style=\"border-width: 1px; border-top-color: windowtext; border-right-color: windowtext; border-bottom-color: windowtext; border-style: solid; border-left-color: initial; padding: 0px 7px;\"><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">LDL-C 目标值</span></p></td></tr><tr><td width=\"321\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">冠心病</span></p></td><td width=\"321\" rowspan=\"4\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p style=\"text-align:center;line-height:normal;page-break-after:avoid\"><span style=\"font-size:12px;font-family:宋体\">&lt; &nbsp; 1.8mmol/L</span></p><p style=\"text-align:center;line-height:normal;page-break-after:avoid\"><span style=\"font-size:12px;font-family:宋体\">（70mg/dl）</span></p></td></tr><tr><td width=\"321\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">缺血性卒中</span></p></td></tr><tr><td width=\"321\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">外周动脉粥样硬化病</span></p></td></tr><tr><td width=\"321\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">慢性肾脏疾病</span></p></td></tr><tr><td width=\"321\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">糖尿病</span></p></td><td width=\"321\" rowspan=\"5\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p style=\"text-align: center;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">&lt; &nbsp; 2.6mmol/L</span></p><p style=\"text-align: center;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">（100mg/dl）</span></p></td></tr><tr><td width=\"321\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">TC ≥ 7.2mmol/L（278mg/dl） </span></p><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">或LDL-C ≥ 4.9mmol/L（190mg/dl）</span></p></td></tr><tr><td width=\"321\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">吸烟 + HDL ＜ 1mmol/L（40mg/dl）</span></p></td></tr><tr><td width=\"321\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">吸烟 + ≥ 45 岁男性或≥ 55 岁女性；</span></p></td></tr><tr><td width=\"321\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">HDL-C ＜ 1mmol/L（40mg/dl） + ≥ &nbsp; 45 岁男性</span></p><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">或≥ 55 岁女性</span></p></td></tr><tr><td width=\"321\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">LDL-C ≥ 3.4mmol/L（130mg/dl）</span></p><p style=\"text-align: justify;line-height: normal;break-after: avoid\"><span style=\"font-size:12px;font-family:宋体\">（不符合上述情况）</span></p></td><td width=\"321\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p style=\"text-align:center;line-height:normal;page-break-after:avoid\"><span style=\"font-size:12px;font-family:宋体\">&lt; &nbsp; 3.4mmol/L</span></p><p style=\"text-align:center;line-height:normal;page-break-after:avoid\"><span style=\"font-size:12px;font-family:宋体\">（130mg/dl）</span></p></td></tr></tbody></table><p>LDL-C： 低密度脂蛋白胆固醇； TC： 总胆固醇； HDL-C： 高密度脂蛋白胆固醇</p><p>&nbsp; &nbsp; &nbsp; 具体用药如辛伐他汀 20~40mg， 每晚 1 次； 阿托伐他汀 10~20mg， 每日1 次； 瑞舒伐他汀 5~10mg， 每日 1 次， 若 LDL-C 不达标可适当增加剂量或加用其他降低胆固醇药物， 如胆固醇吸收抑制剂等。 用药观察 3-6 个月， 如LDL-C 未能达标， 建议转诊治疗。他汀类药物总体耐受性好， 但有导致肌病、 横纹肌溶解、 转氨酶升高等副作用的可能， 且随剂量增加风险升高。 对初始用药的患者， 6 周内应复查血脂、 转氨酶和肌酸激酶， 无不良反应且 LDL-C 达标后， 可调整为 6-12 个月复查一次。 他汀类药物具体剂量、 降脂效能及使用注意事项见《手册》 。<br/></p><p>（七） 血压≥ 180/110mmHg 的紧急处理<br/></p><p>1. 血压≥ 180/110mmHg， 不伴心、 脑、 肾急性并发症 的临床症状：</p><p>（1） 口服短效降压药物， 如卡托普利 12.5~25mg， 或硝苯地平 10mg或美托洛尔 25mg 口服， 1 小时后可重复给药， 门诊观察， 直至降</p><p>至 180/110mmHg 以下；</p><p>（2） 仍≥ 180/110mmHg， 或症状明显， 建议转诊；</p><p>（3） 24~48h 降至 160/100mmHg 以下， 之后调整长期治疗方案；</p><p>（4） 注意： 严禁舌下含服硝苯地平等短效药物快速降压。</p><p>2. 血压≥ 180/110mmHg， 伴有心、 脑、 肾急性并发症 2 的临床症状：</p><p>（1） 立即转诊；</p><p>（2） 等待转诊过程中， 可参照《手册》 做简单处理。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3910', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '212', '转诊', '<p>&nbsp; &nbsp; &nbsp; 需转诊人群主要包括起病急、 症状重、 怀疑继发性高血压以及多种药物无法控制的难治性高血压患者。 妊娠和哺乳期女性高血压患者不建议基层就诊。 转诊后 2~4 周基层医务人员应主动随访， 了解患者在上级医院的诊断结果或治疗效果，达标者恢复常规随访，预约下次随访时间； 如未能确诊或达标，仍建议在上级医院进一步治疗。<br/></p><p>初诊转诊</p><p>（1） 血压显著升高≥ 180/110mmHg， 经短期处理仍无法控制；</p><p>（2） 怀疑新出现心脑肾并发症或其他严重临床情况；</p><p>（3） 妊娠和哺乳期女性；</p><p>（4） 发病年龄＜ 30 岁；</p><p>（5） 伴蛋白尿或血尿；</p><p>（6） 非利尿剂引起的低血钾；</p><p>（7） 阵发性血压升高， 伴头痛、 心慌、 多汗；</p><p>（8） 双上肢收缩压差异＞ 20mmHg；</p><p>（9） 因诊断需要到上级医院进一步检查。</p><p>随访转诊</p><p>（1） 至少三种降压药物足量使用， 血压仍未达标；</p><p>（2） 血压明显波动并难以控制；</p><p>（3） 怀疑与降压药物相关且难以处理的不良反应；</p><p>（4） 随访过程中发现严重临床疾患或心脑肾损害而难以处理。</p><p>下列严重情况建议急救车转诊</p><p>（1） 意识丧失或模糊；</p><p>（2） 血压≥ 180/110mmHg 伴剧烈头痛、 呕吐， 或突发言语障碍和 / 或肢体瘫痪；</p><p>（3） 血压显著升高伴持续性胸背部剧烈疼痛；</p><p>（4） 血压升高伴下肢水肿、 呼吸困难， 或不能平卧；</p><p>（5） 胸闷、 胸痛持续至少 10 分钟， 伴大汗， 心电图示至少两个导联ST 段抬高 ， 应以最快速度转诊， 考虑溶栓或行急诊冠脉介入治疗；</p><p>（6） 其他影响生命体征的严重情况， 如意识淡漠伴血压过低或测不出、心率过慢或过快， 突发全身严重过敏反应等。</p><p style=\"text-align: right;\">2017年《国家基层高血压防治管理指南》</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3911', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '155', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肠梗阻（intestinal obstruction）指由于病理因素发生肠内容物在肠道中通过受阻，为临床常见急腹症之一。起病之初，梗阻肠段先有解剖和功能性改变，继而发生体液和电解质的丢失、肠壁循环障碍、坏死和继发感染，最后可致毒血症、休克、死亡。如能及时予以诊疗，大多能逆转病情的发展，最终治愈。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3912', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '155', '分类', '<p>（一）按梗阻的原因分类1.机械性肠梗阻</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床上最常见，是指肠壁本身、肠腔内或肠管外的各种器质性病造成肠腔狭窄或闭塞，致使肠内容物通过受阻。</p><p>2.动力性肠梗阻</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是指各种原因导致肠壁肌肉舒缩紊乱，失去蠕动能力，肠内容物不能有效排出而产生的梗阻，而肠壁本身并无解剖上的病变。动力性肠梗阻又可分为：</p><p>（1）麻痹性肠梗阻：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">亦称无动力性肠麻痹。因感染、中毒、低血钾、脊髓炎、甲状腺功能减退、腹部手术等原因影响到肠道自主神经系统，致使肠道平滑肌的收缩障碍，使肠管扩张，蠕动消失，不能将肠内容物推向前进而引起。</p><p>（2）痉挛性肠梗阻：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">任何原因引起的肠道副交感神经兴奋，而使肠道处于异常的高动力状态致痉挛，肠内容物不能运行，多为短暂性的，可见于肠道炎症或神经功能紊乱。</p><p>3.缺血性肠梗阻</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是指由于肠系膜血管病变引起肠壁缺血，继而引起蠕动障碍造成肠梗阻，见于肠系膜血管血栓形成或栓塞。</p><p>（二）按肠壁血供情况分类1.单纯性肠梗阻</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">仅有肠腔阻塞而无肠壁血供障碍，称为单纯性肠梗阻。多见于肠腔内堵塞或肠外肿块压迫所致的肠梗阻。</p><p>2.绞窄性肠梗阻</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在肠腔阻塞时，肠壁因血管被压迫而引起缺血坏死，称为绞窄性肠梗阻。多因肠扭转、肠套叠、嵌顿疝、肠粘连等引起。</p><p>（三）按梗阻发生的部位分类1.小肠梗阻</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">又可分为：高位小肠梗阻，主要指发生于十二指肠或空肠的梗阻；低位小肠梗阻，主要是指远端回肠的梗阻。</p><p>2.结肠梗阻</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多发生于左侧结肠，以乙状结肠或乙状结肠与直肠交界处为多见。</p><p>（四）按梗阻的程度分类</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可分为完全性梗阻与不完全性（或部分性）梗阻。</p><p>（五）按起病的缓急分类</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可分为急性肠梗阻与慢性肠梗阻。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">各种分类之间是相互关联的，而肠梗阻类型也可随病理过程的演变而转化，例如由单纯性变为绞窄性，由不完全性变为完全性，由慢性变为急性等，随着机械性肠梗阻存在的时间延长，梗阻以上部位肠袢由于过度膨胀以及毒素的吸收、血运障碍等，也可转化为麻痹性肠梗阻。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3913', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '155', '病因', '<p>（一）机械性肠梗阻常见的病因1.肠管外病因</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）粘连与粘连带压迫：为最常见的病因。先天性粘连带较多见于小儿，而腹部及盆腔手术、结核性腹膜炎及非特异性腹腔内感染产生的粘连是成人肠梗阻最常见的原因，但少数病例可无腹部手术及炎症史。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）疝：腹股沟斜疝、股疝、内疝的嵌顿。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（3）肠扭转：可为原发性及继发性肠扭转，常由于粘连所致。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（4）肠外肿瘤或腹块压迫。</p><p>2.肠腔内阻塞</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由胆石、粪石、异物、蛔虫等引起，目前已少见。</p><p>3.肠壁病变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）先天性狭窄和闭孔畸形。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）炎症、肿瘤、吻合手术及其他因素所致的狭窄，例如炎症性肠病、肠结核、放射性损伤、肿瘤（尤其是结肠癌）、肠吻合术等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（3）肠套叠，多见于儿童，因息肉或其他肠管病变引起。</p><p>（二）动力性肠梗阻常见的病因1.麻痹性肠梗阻</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可并发于：①腹部大手术后；②腹腔内炎症；③电解质紊乱；④腹膜后炎症或出血破裂等；⑤肠缺血，如肠系膜栓塞等；⑥肾和胸部疾病，如肾周围脓肿、心肌梗死等；⑦全身性脓毒血症；⑧应用某些药物：如吗啡类药物、抗胆碱药物等。</p><p>2.痉挛性肠梗阻</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肠道炎症及神经系统功能紊乱均可引起肠管暂时性痉挛，引起痉挛性肠梗阻。</p><p>（三）血管性肠梗阻病因</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肠系膜动脉栓塞或血栓形成和肠系膜静脉血栓形成为主要病因。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3914', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '155', '病理解剖', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">单纯性完全性机械性肠梗阻发生后，梗阻部位以上的肠腔扩张。肠壁变薄，黏膜易有糜烂和溃疡发生。浆膜可被撕裂，整个肠壁可因血供障碍而坏死穿孔。梗阻以下部分肠管多呈空虚塌陷。麻痹性肠梗阻时肠管扩张、肠壁变薄。在绞窄性肠梗阻的早期，由于静脉回流受阻，小静脉和毛细血管可发生淤血、通透性增加，甚至破裂而渗出血浆或血液。此时肠管因充血和水肿而呈紫色。继而出现动脉血流受阻、血栓形成，肠壁因缺血而坏死，肠内细菌和毒素可通过损伤的肠壁，进入腹腔。坏死的肠管呈紫黑色，最后可自行破裂。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3915', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '155', '病理生理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肠梗阻的主要病理生理改变为肠膨胀、体液和电解质的丢失以及感染和毒血症，严重程度视梗阻部位的高低、梗阻时间的长短以及肠壁有无血液供应障碍而不同。慢性肠梗阻多为不完全性，其局部变化是梗阻近端肠管长时间的蠕动加强，导致肠壁代偿性增厚和肠腔膨胀，远端肠管变细萎缩；全身性病理生理改变主要表现为营养不良。而急性肠梗阻可引起以下变化：</p><p>（一）局部病理生理变化1.肠蠕动增加</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">梗阻近端的肠管蠕动频率和强度均增加，故产生腹痛、肠鸣音亢进；而远端肠管可保持正常蠕动，随着肠内容物的排出，肠管呈塌陷空虚，两者的交界处即为梗阻所在部位。当病情进展时，近端肠管进一步膨胀，终使肠壁平滑肌收缩力减弱直至麻痹。</p><p>2.肠腔扩张、积气积液</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">梗阻近端积聚大量液体和气体，抑制肠壁黏膜吸收水分并刺激其分泌增加，导致肠腔内液体积聚，使肠膨胀进行性加重。</p><p>3.肠壁充血水肿，通透性增加</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">随着梗阻时间的延长，肠管内压力增高，致使肠壁静脉回流障碍，引起肠壁通透性增加，甚至引起细菌腹膜炎，严重时肠管可因缺血坏死而溃破穿孔。</p><p>（二）全身病理生理变化1.水、电解质丢失</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">高位小肠梗阻时呕吐频繁，当梗阻位于幽门或十二指肠上段，呕吐过多胃酸，则易产生脱水和低氯低钾性碱中毒；若梗阻位于十二指肠下段或空肠上段，则重碳酸盐的丢失严重。低位肠梗阻时，呕吐虽不多见，但因肠黏膜吸收功能降低而分泌液量增多，肠腔中大量积液。此外，过度的肠膨胀影响静脉回流，导致肠壁水肿和血浆外渗，尤以绞窄性肠梗阻时丢失严重，并可导致低血压和低血容量休克。</p><p>2.感染和毒血症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">当单纯性梗阻转变为绞窄性时，梗阻近端的肠内容物淤积，细菌繁殖产生大量毒素，由于肠壁通透性的增加，细菌和毒素可透过肠壁引起肠源性的腹腔内感染，并经腹膜吸收导致全身性中毒。严重的腹膜炎和毒血症是导致肠梗阻患者死亡的主要原因。</p><p>3.休克</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性肠梗阻若不及时治疗，大量的水、电解质丧失引起血容量减少，加之感染和中毒，极易导致中毒性休克。</p><p>4.心肺功能障碍</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肠腔扩张致腹压增高时，横膈上升，腹式呼吸减弱，影响肺内气体交换；同时腹压增高亦使下腔静脉血液回流障碍，加之血容量减少，进一步影响到心排血量。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">总之，高位肠梗阻容易引起水、电解质紊乱，低位肠梗阻易产生肠腔膨胀、感染和中毒。绞窄性肠梗阻容易导致休克，闭袢性肠梗阻容易引起肠穿孔和腹膜炎。而在不同类型肠梗阻后期，各种病理生理变化均可出现。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3916', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '155', '临床表现', '<p>（一）临床症状1.腹痛</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常为最先出现的症状，多表现为阵发性绞痛，其程度和间歇期的长短则视梗阻部位的高低和病情的缓急而异。一般而言，十二指肠、上段空肠梗阻时因呕吐起减压作用、低位回肠梗阻因肠胀气抑制肠蠕动，患者绞痛较轻。而急性空肠梗阻时绞痛较剧烈，常每2～5分钟即发作1次。不完全性肠梗阻腹痛在一阵肠鸣或排气后可见缓解。慢性肠梗阻亦然，且间歇期亦长。结肠梗阻时除阵发性绞痛外可有持续性钝痛，此种情况的出现应注意有闭袢性肠梗阻即肠段两端梗阻的可能性。若腹痛的间歇期不断缩短，或疼痛呈持续性伴阵发性加剧，且疼痛较剧烈时，则肠梗阻可能是单纯性梗阻发展至绞窄性肠梗阻的表现，若肠壁已发生缺血坏死则呈持续性剧烈腹痛。当肠梗阻发展至晚期，梗阻部位以上肠管过度膨胀，收缩能力减弱，则阵痛的程度和频率都降低；当出现麻痹性肠梗阻，则无绞痛发作，而呈持续性胀痛。</p><p>2.呕吐</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肠梗阻患者几乎都有呕吐，程度和性质与梗阻程度和部位有密切关系。肠梗阻的早期为反射性呕吐，而后期则为反流性呕吐。梗阻部位越高，呕吐出现愈早、愈频繁，呕吐物为胃液、十二指肠液和胆汁；低位肠梗阻时，呕吐出现较晚，呕吐物为粪样液体，或有粪臭味。绞窄性肠梗阻时，呕吐物为血性或棕褐色。而麻痹性肠梗阻的呕吐往往为溢出性。结肠梗阻呕吐少见，但后期回盲瓣因肠腔过度充盈而关闭不全时亦有较剧烈的呕吐，吐出物可含粪汁。</p><p>3.腹胀</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">腹胀一般在肠梗阻发生一段时间后才出现，其程度与梗阻部位有关。高位小肠梗阻由于频繁呕吐多无明显腹胀；低位小肠梗阻或结肠梗阻的晚期常有显著的全腹膨胀。肠扭曲引起的闭袢性梗阻的肠段膨胀很突出，常呈不对称的局部膨胀。麻痹性肠梗阻时，全部肠管均膨胀扩大，故腹胀显著。</p><p>4.便秘和停止排气</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">完全性肠梗阻时，患者排便和排气现象消失。但在高位小肠梗阻的最初2～3日，如梗阻以下肠腔内积存了粪便和气体，则仍有排便和排气现象，不能因此否定完全性梗阻的存在；同样，在绞窄性肠梗阻如肠扭转、肠套叠以及结肠癌所致的肠梗阻等都仍可有血便或脓血便排出。</p><p>5.全身症状</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">单纯性肠梗阻患者一般无明显全身症状，但呕吐频繁和腹胀严重者必有脱水。血钾过低者有疲惫、嗜睡、乏力和心律失常等症状。绞窄性肠梗阻患者全身症状最显著，早期即有虚脱，很快进入休克状态。伴有腹腔感染者，腹痛持续并扩散至全腹，同时有畏寒、发热、白细胞增多等感染和毒血症表现。</p><p>（二）体征1.全身情况</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一般表现为急性痛苦面容，神志清楚，呼吸受限、急促；有酸中毒时，呼吸深而快。当有脱水情况时，患者可表现为唇干舌燥，眼窝及两颊内陷，皮肤弹性消失。若出现休克症状，可出现神志委靡、淡漠、恍惚，甚至昏迷。此时患者可有脉快、面色苍白、出冷汗、四肢厥冷、血压下降等表现。</p><p>2.腹部体征（1）腹部膨胀：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">高位小肠梗阻多在上腹部，低位小肠梗阻多在中腹部，麻痹性肠梗阻则呈全腹膨隆。</p><p>（2）肠型和蠕动波：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在慢性肠梗阻和腹壁较薄的病例，肠型和蠕动波特别明显。</p><p>（3）肠鸣音（或肠蠕动音）亢进或消失：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">机械性肠梗阻绞痛发作时，在梗阻部位经常可听到肠鸣音亢进，如一阵密集气过水声；肠腔明显扩张时，蠕动音可呈高调金属音性质。在麻痹性肠梗阻或机械性肠梗阻并发腹膜炎时，肠蠕动音极度减少或完全消失。</p><p>（4）腹部压痛：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常见于机械性肠梗阻，压痛伴肌紧张和反跳痛主要见于绞窄性肠梗阻，尤其是并发腹膜炎时。</p><p>（5）腹块：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在成团蛔虫、肠套叠或结肠癌所致的肠梗阻，往往可触到相应的腹块，压痛明显的部位往往为病变所在，痛性包块常为受绞窄的肠袢。蛔虫性肠梗阻时可为柔软索状团块，回盲部肠套叠时腊肠样平滑包块常在右中上腹，腹外疝嵌顿多为圆形突出腹壁的压痛性肿块，而癌肿性包块多坚硬而压痛较轻。直肠指检时可触及直肠内外的肿块或肠套叠的底部。</p><p>（三）实验室检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">单纯性肠梗阻早期各种化验检查变化不明显，梗阻晚期或有绞窄时，血红蛋白与血细胞比容因脱水和血液浓缩而升高。单纯性肠梗阻时白细胞计数正常或轻度增高，绞窄性肠梗阻时明显升高，中性粒细胞数也增加。血气分析及血清钾、钠、氯的变化可反映酸碱平衡和电解质紊乱的情况。呕吐物和粪便检查有大量红细胞或隐血阳性，应考虑肠管有血运障碍。</p><p>（四）X线检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">X线检查是诊断急性肠梗阻的常用和首选的方法，可为明确梗阻是否存在、梗阻的位置、性质以及梗阻的病因提供依据。</p><p>1.X线腹部平片</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肠管的气液平面是肠梗阻特有的X线表现，摄片时最好取直立位，若体弱不能直立时可取侧卧位。一般在肠梗阻发生4～6小时后，即可见肠腔内积气，立位片可见多个液平面，位置高低不等，呈阶梯状，伴有倒“U”形扩张的曲影。空肠梗阻时，扩张的小肠影位于腹部中央，呈横向排列，空肠黏膜皱襞展平消失、肠皱襞呈环形伸向腔内，环形皱襞呈“鱼肋骨刺状”。而回肠梗阻时，皱襞黏膜较平滑，至晚期时小肠肠袢内多个液平面出现，典型的呈阶梯状。而结肠梗阻时梗阻近端肠腔内扩张积气，回盲瓣闭合良好时形成闭袢样梗阻，结肠扩张十分明显，尤以右半结肠更为显著。结肠梗阻时小肠充气和液平面常不明显，由于结肠胀气，腹腔外形呈“镜框形”。</p><p>2.X线造影</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多用于慢性不完全性肠梗阻或缓解期，以明确梗阻的部位和病因。但肠梗阻时钡剂通过时间长，可能加重或延误治疗，多不宜采用钡剂造影检查。而水溶性碘油造影，视梗阻部位，特别是高位梗阻时，可以了解梗阻的原因及部位。考虑有结肠梗阻时，行钡剂灌肠有助于与小肠梗阻的鉴别。在怀疑肠套叠、乙状结肠扭转或结肠肿瘤时，可行稀钡灌肠以助诊断。</p><p>（五）纤维结肠镜检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性不完全性结肠梗阻患者在钡剂灌肠不能明确诊断时，可考虑纤维结肠镜检查。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3917', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '155', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">典型的肠梗阻不难诊断。其诊断要点为：①有腹痛、腹胀、呕吐、肛门停止排气排便四项主要症状；②腹部检查可见肠型、腹部压痛、肠鸣音亢进或消失；③X线腹部透视或摄片检查可见肠腔明显扩张与多个液平面。符合上述诊断要点的病例，肠梗阻可以确诊，但要重视其病因的分析判断。例如有腹部手术或外伤史、有结核性腹膜炎或腹腔内其他炎症病史者应考虑粘连性肠梗阻可能。如在便秘或餐后劳动或剧烈活动后发生急性腹痛、呕吐、腹胀者，应考虑肠扭转可能。如出现痉挛性腹痛、腹部肿块、黏液血便者，尤其发生于小儿，应考虑肠套叠可能。腹部检查应包括腹股沟部以排除腹外疝嵌顿；直肠指检应注意有无粪块充填、直肠内肿瘤等。新生儿肠梗阻以肠道先天性畸形为多见；3岁以内儿童以肠套叠多见；在儿童中，蛔虫引起肠堵塞偶可见到。青、中年患者的常见病因是肠粘连、嵌顿性外疝和肠扭转，而老年人的常见病因是结肠癌、乙状结肠扭转和粪块堵塞。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对病因的判断虽重要，但从临床治疗的角度来说，判别梗阻的类型与治疗方案的选择更密切相关。应考虑的鉴别如下：</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3918', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '155', '鉴别诊断', '<p>1.机械性肠梗阻和动力性肠梗阻的鉴别</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">首先要从病史上分析有无机械性梗阻因素。机械性肠梗阻的特征是阵发性肠绞痛、肠鸣音亢进和非对称性腹胀；而麻痹性肠梗阻的特征为无绞痛、肠鸣音消失和全腹均匀膨胀；痉挛性肠梗阻可有剧烈腹痛突然发作和消失，间歇期不规则，肠鸣音减弱而不消失，但无腹胀。X线腹部平片有助于三者的鉴别：机械性梗阻的肠胀气局限于梗阻部位以上的肠段；麻痹性梗阻时，全部胃、小肠和结肠均有胀气，程度大致相同；痉挛性梗阻时，肠无明显胀气和扩张。每隔5分钟拍摄正、侧位腹部平片以观察小肠有无运动，常可鉴别机械性与麻痹性肠梗阻。</p><p>2.单纯性肠梗阻和绞窄性肠梗阻的鉴别</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">绞窄性肠梗阻常发生于单纯性机械性肠梗阻的基础上，一般认为出现下列征象应疑有绞窄性肠梗阻：①急骤发生的剧烈腹痛持续不减，或由阵发性绞痛转变为持续性腹痛，疼痛的部位较为固定。若腹痛涉及背部提示肠系膜受到牵拉，更提示为绞窄性肠梗阻。②腹部有压痛、反跳痛和腹肌强直，肠鸣音亢进可不明显。③腹胀不对称，腹部触及有压痛的肿块（胀大的肠袢）。④呕吐物、胃肠减压引流物、腹腔穿刺液含血液，亦可有便血。⑤全身情况恶化出现早、进展快，毒血症表现明显，病情急剧恶化可出现休克征象，若梗阻不能解除，抗休克治疗改善将不显著。⑥经胃肠减压后，腹胀减轻，但腹痛发作无明显减少。⑦X线平片检查可见孤立、凸出胀大的肠袢，不因时间而改变位置，或有假肿瘤阴影。临床不能除外绞窄性肠梗阻者，应在积极准备下，及时手术探查为宜。</p><p>3.小肠梗阻和结肠梗阻的鉴别</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">高位小肠梗阻呕吐频繁而腹胀较轻，低位小肠梗阻则反之。结肠梗阻的临床表现与低位小肠梗阻相似。但X线腹部平片检查则可区别。小肠梗阻时充气的肠袢遍及全腹，液平较多，而结肠则不显示。若为结肠梗阻则在腹部周围可见扩张的结肠和袋形，小肠内积气则不明显。</p><p>4.完全性肠梗阻和不完全性肠梗阻的鉴别</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">完全性肠梗阻多为急性发作而且症状明显，不完全性肠梗阻则多为慢性梗阻，症状不明显，往往为间歇性发作。X线平片检查完全性肠梗阻者肠袢充气扩张明显，不完全性肠梗阻则肠袢充气扩张不明显。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3919', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '155', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肠梗阻的治疗方法取决于梗阻的病因、性质、部位、病情和患者的全身情况。但不论采取何种治疗方法，纠正肠梗阻所引起的脱水、电解质和酸碱平衡的紊乱，行胃肠减压以改善梗阻部位以上肠段的血液循环以及控制感染等皆属必要。</p><p>（一）纠正脱水、电解质丢失和酸碱平衡紊乱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">纠正水、电解质紊乱和酸碱失衡是极为重要的基础治疗措施。首先根据病程、临床表现等估计液体丢失量和欠缺的正常需要量，再根据心、肾功能确定单位时间的输液量。一般成人症状较轻的约需补液1500ml，有明显呕吐的则需补液3000ml，而伴周围循环衰竭和低血压时则需补液4000ml以上。最基本的溶液是葡萄糖盐水或乳酸钠林格液及5%葡萄糖各半，并根据血清电解质和血气分析结果加以调整，并应监测尿量及中心静脉压的变化。单纯性肠梗阻早期，上述生理紊乱较易纠正，但在绞窄性肠梗阻和机械性肠梗阻晚期，尚需补给全血或血浆、白蛋白等方能有效地纠正循环障碍。</p><p>（二）胃肠减压</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胃肠插管减压可减轻腹胀，有利于肠壁循环的恢复，避免吸入性肺炎的发生。少数轻型单纯性肠梗阻经有效的减压后肠腔可恢复通畅。对拟手术治疗的患者胃肠减压可减少手术操作困难，增加手术的安全性。结肠梗阻发生肠膨胀时，插管减压无效，常需手术减压。</p><p>（三）控制感染和毒血症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肠梗阻时间过长或发生绞窄时，肠壁和腹膜常有多种细菌感染，积极地采用以抗革兰阴性杆菌及厌氧菌为重点的广谱抗生素静脉滴注治疗十分重要，可以显著降低肠梗阻的死亡率。</p><p>（四）解除梗阻、恢复肠道功能1.非手术治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对一般单纯性机械性肠梗阻，尤其是早期不完全性肠梗阻可作非手术治疗。早期肠套叠、肠扭转引起的肠梗阻亦可在严密的观察下先行非手术治疗，动力性肠梗阻除非伴有外科情况，不需手术治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">除前述各项治疗外尚可加用下列措施：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）中药：复方大承气汤：川朴15g，炒莱菔子30g，枳实9～15g，桃仁9g，生大黄9～15g（后下），芒硝9～15g（冲）。适用于一般肠梗阻、气胀较明显者。甘遂通结汤：甘遂末1g（冲），桃仁9g，赤芍15g，生牛膝9g，厚朴15g，生大黄15～24g（后下），木香9g。适用于较重的肠梗阻、积液较多者。上述中药可煎成200ml，分次口服或经胃肠减压管注入。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）油类：可用液状石蜡、生豆油或菜油200～300ml分次口服或由胃肠减压管注入。适用于病情较重、体质较弱者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（3）麻痹性肠梗阻如无外科情况可用新斯的明注射、腹部芒硝热敷等治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（4）内镜治疗：可内镜直视下实施乙状结肠扭转纤维肠镜复位，同时通过肛管对扭转部位进行减压。在肠梗阻的治疗中，还可采用内镜取异物、取嵌顿物。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（5）若为肠套叠亦可用空气钡灌肠法使之复位解除梗阻。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（6）针刺足三里、中脘、大枢、内关、合谷、内庭等穴位可作为辅助治疗。</p><p>2.手术治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">绝大多数机械性肠梗阻需作外科手术治疗，缺血性肠梗阻和绞窄性肠梗阻更应及时手术处理。</p><p>（1）手术指征：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①积极非手术治疗无效，临床症状不缓解或有加重者；②绞窄性肠梗阻及不能除外绞窄性肠梗阻者也应及时手术处理；③有腹膜刺激体征者。</p><p>（2）外科手术的主要内容为：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①松解粘连或嵌顿性疝，整复扭转或套叠的肠管等，以消除梗阻的局部原因；②切除坏死的或有肿瘤的肠段，引流脓肿等，以清除局部病变；③肠造瘘术可解除肠膨胀，肠吻合术可绕过病变肠段，恢复肠道的通畅。通过肠道介入治疗，放置可弯曲具有膨胀性能的金属支架，通过十二指肠或结肠肠管狭窄处以恢复肠腔通畅，可使肠梗阻及时缓解，主要用于无法手术切除的肿瘤引起的肠梗阻或作为外科手术前的减压治疗，以改善整体情况，增加对手术的耐受性。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3920', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '155', '预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">单纯性肠梗阻的死亡率约在3%左右，而绞窄性肠梗阻则可达10%～20%。改善预后的关键在于早期诊断、及时处理。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3921', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1671', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">假膜性肠炎（pseudomembranous colitis，PMC）是一种主要发生于结肠，也可累及小肠的急性肠黏膜坏死、纤维素渗出性炎症，黏膜表面覆有黄白或黄绿色假膜。临床常见于应用抗生素治疗之后，故有“抗生素相关性肠炎（antibiotic-associated colitis）”之称。现已证实假膜性肠炎主要是由难辨梭状芽胞杆菌（clostridium difficile，Cd）的外毒素所致，故又称为难辨梭状芽胞杆菌相关疾病（clostridium difficile associated disease，CDAD）。病情轻重不一，严重病例可致死亡。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3922', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1671', '病因与发病机制', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">难辨梭状芽胞杆菌是假膜性肠炎的主要致病菌。该菌为厌氧的革兰阳性菌，约6μm×8μm×0.5μm，芽胞较大，呈卵圆形，位于菌体顶端。广泛存在于自然界的土壤、水、各种动物粪便及人的肠道、尿道及阴道中。在健康人群的粪便中，阳性率约5%，住院患者的携带率约13%，无症状的克隆病患者约8%。在50%新生儿及15%～40%的婴儿粪便中可分离出此菌，但并无致病作用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">难辨梭状芽胞杆菌毒素是CDAD发生的主要机制。难辨梭状芽胞杆菌产生四种毒素：A毒素（肠毒素，分子量308kDa）、B毒素（细胞毒素，分子量250kDa）、蠕动改变因子和不稳定因子。肠毒素是主要的致病因子，通过激活巨噬细胞、肥大细胞及其后的中性粒细胞，释放强效的炎症介质和细胞因子，引起局部肠黏膜血管通透性增加，黏液分泌，炎性细胞浸润及黏膜损害包括坏死。细胞毒素在肠毒素基础上加重黏膜病变。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">几乎所有的抗菌药物都能诱发产生本病，以往青霉素类、林可霉素、克林霉素以及第三代头孢菌素最为常见，近年来氟喹诺酮类药物引起的假膜性肠炎明显增多，曾有院内爆发流行的报道。应用广谱抗生素、联合使用抗生素、长期应用抗生素发生概率更高。抗生素应用抑制了肠道的正常菌群，使难辨梭状芽胞杆菌得以迅速繁殖。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">基础疾病尤其是患者免疫功能低下是发病最重要的危险因素。胃肠道恶性肿瘤手术后，恶性肿瘤接受化疗，器官移植术后接受抗排异治疗，以及其他严重的系统疾病如尿毒症、糖尿病、心力衰竭合并感染状态。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3923', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1671', '病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">假膜性肠炎主要侵犯结肠，以乙状结肠最多见，呈连续性分布，严重者可累及全结肠及远端小肠部位。病变肠腔扩张，腔内液体增加。肉眼可见病变处覆有大小不一、散在的高出黏膜面的黄白色斑块，即假膜。随病情进展假膜可由点状融合成不规则片状，严重时可出现剥脱性改变及渗血，局部呈现光剥的区域。显微镜下可见假膜系由纤维素、中性粒细胞、单核细胞、黏蛋白及坏死细胞碎屑组成。黏膜固有层内有中性粒细胞、浆细胞及淋巴细胞浸润，重者腺体破坏、细胞坏死。黏膜下层因炎性渗出而增厚，伴血管扩张、充血及微血栓形成。坏死一般限于黏膜层，严重病例可向黏膜下层伸延，极少数患者因累及肠壁全层而发生肠穿孔。Price和Davies将本病的黏膜病变分为3种：①早期轻度病变显示黏膜灶性坏死，固有层中性粒细胞及嗜酸粒细胞浸润和纤维素渗出。②较重度病变时有腺体破坏，周围中性粒细胞浸润伴有典型火山样隆起坏死病变，假膜形成。以上两者病变限于黏膜固有层浅表部位，间有正常黏膜。③最严重病变为黏膜结构完全破坏，固有层广泛波及，覆有厚的融合成片的假膜。病变愈合后，假膜脱落，假膜下愈合的创面发红，在假膜脱落后10天左右，内镜检查可完全恢复正常。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3924', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1671', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病多发生于50岁以上免疫功能低下的人群，女性多于男性。症状发生多见于抗生素治疗4～10天内或在停用抗生素后1～2周内。起病大多急骤，轻者仅有腹泻，重者可呈暴发型。</p><p>（一）腹泻</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是最主要的症状，腹泻程度和次数不一，轻型病例，大便每日2～3次，可在停用抗生素后自愈。重者有大量水样腹泻，每日可达30余次。少数病例有脓血样便，或排出斑块状假膜。</p><p>（二）腹痛</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">通常发生在下腹部，呈钝痛、胀痛或痉挛性疼痛，有时很剧烈，可伴有腹胀、恶性、呕吐。</p><p>（三）毒血症表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括心动过速、发热、谵妄以及定向障碍等。严重者常发生低血压、休克、严重脱水、电解质紊乱及代谢性酸中毒，甚至急性肾功能不全。</p><p>（四）并发症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">部分患者由于病情严重或诊治不及时可发生严重并发症，如中毒性巨结肠、麻痹性肠梗阻、肠穿孔等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3925', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1671', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在患有严重疾病机体免疫功能低下的病例中，使用抗生素治疗期间或停用抗生素后短期内，突然出现腹泻者，均要考虑本病的可能性。应用广谱抗生素，联合应用、长期应用伴发热、血白细胞增高，甲硝唑能减轻症状者，更提示本病的可能性。</p><p>（一）实验室检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">周围血白细胞增多，在（10～20）× 10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>以上，以中性粒细胞为主。粪常规检查仅有白细胞，肉眼血便少见。疑诊病例应送难辨梭状芽胞杆菌培养。至少送2份粪便标本，在厌氧条件下经37℃培养24～48小时可出结果。确诊需要进行毒素鉴定。通常采用组织细胞培养法。将患者粪便滤液稀释不同倍数，加到细胞培养液中，24～48小时后光镜下发现单层成纤维细胞肿胀变圆即为阳性。酶联免疫吸附法（ELISA）能检测到100～1000pg水平的毒素A或毒素B，虽不及细胞培养敏感，但有快速、简便、经济的优点。最近开展的实时荧光定量PCR方法检测Cd基因，具有快速、特异、敏感度高等特点。</p><p>（二）内镜检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">及时进行内镜检查不仅能早期明确诊断，还能了解病变的范围和程度。一般认为即使假膜性肠炎急性期也应行结肠镜检查，但应注意结肠黏膜充血水肿，组织变脆，易造成出血或穿孔，检查应特别小心。假膜性肠炎内镜下表现不一，轻者可仅见黏膜充血水肿，血管纹理不清，呈“非特异性肠炎”表现；稍重者可见黏膜散在浅表糜烂，假膜呈斑点样分布，周边充血；严重病例假膜呈斑片状或地图状，假膜不易脱落，部分脱落区可见溃疡形成。</p><p>（三）X线检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">腹部平片可显示肠麻痹或肠扩张。结肠气钡双重造影间接显示黏膜皱襞水肿增厚，对诊断有一定参考价值，但有肠穿孔的危险，应慎用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">CDAD的诊断需要有腹泻，至少连续2天每天排糊状或者水样便3次，或者48小时内＞8次。培养阳性还需要进行毒素测定才是确诊依据。为使检验技术更快速和灵敏，首先用快速EIA法检测谷氨酸脱氢酶（GDH），然后再对阳性患者行毒素确诊试验。另一种三步筛查法为：GDH初筛试验，阳性患者进行毒素检测，对毒素阴性患者加做毒素分离实验，增加第三步检测可多检出33%的案例。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病应注意与溃疡性结肠炎、克罗恩病、真菌性肠炎以及艾滋病结肠炎等鉴别。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3926', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1671', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">治疗措施包括及早停用相关抗生素，加强支持治疗，调整肠道正常菌群，严重者给予抗难辨梭状芽胞杆菌抗生素或抗毒素治疗。极少病例因肠梗阻或穿孔需手术。合理使用抗生素，严格掌握用药指征是防止假膜性肠炎的关键。</p><p>（一）停用原有抗菌药物</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多数患者停用相关抗生素能自行缓解而呈自限性。对必须使用抗生素患者应考虑更换。</p><p>（二）支持治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括补液维持水、电解质及酸碱平衡，输入血浆、白蛋白纠正低蛋白血症。严重营养不良者可全胃肠外营养，有低血压休克者可在补充血容量基础上应用血管活性药物。肾上腺皮质激素可短期小量应用，以改善毒血症症状。</p><p>（三）微生态制剂治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">直接或间接补充生理菌，纠正肠道菌群失调。目前应用的生态制剂有活菌、死菌及其代谢产物。活菌制剂有两类，一类是使用需氧菌消耗肠道内氧，使之成为厌氧环境，促使厌氧菌生长恢复菌群的平衡，如整肠生（地衣芽胞无毒株活菌制剂）、酪酸菌（米雅BM颗粒、宫入菌）；另一类直接用厌氧菌，如丽珠肠乐（双歧杆菌活菌制剂）、双歧三联活菌（含肠道双歧杆菌、嗜酸乳杆菌、粪链球菌）等。一般用法为每次2粒，每天3次，原则上不与抗生素合用以免影响疗效。死菌制剂常用的有乳酸菌素和乐托尔，含高温消毒的乳酸菌及其代谢产物，可抑制肠道致病菌生长及促进有益的酸性菌生长，调整菌群平衡。因不受抗生素的影响，可与抗生素一起服用。粪便替代疗法（fecal replacement）是将健康人的粪便制成悬液，通过灌肠或肠镜下注入肠道，可用于反复发作的Cd感染，国外已用于临床，有效率高达92%，不良反应少，但存在审美学问题，难以被患者接受。</p><p>（四）抗生素治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一线用药是甲硝唑，甲硝唑为硝基咪唑衍生物，对缺氧情况下生长的细菌和厌氧微生物起杀灭作用，它在人体中还原时生成的代谢物也具有抗厌氧菌作用，但对需氧菌和兼性厌氧菌无作用。其中的硝基还原成一种细胞毒，从而作用于细菌的DNA代谢过程，抑制细菌的脱氧核糖核酸的合成，干扰细菌的生长、繁殖，最终导致细胞死亡。一般用法为200～400mg，每天3～4次，餐后服用，口服7～10天，95%的患者治疗后反应良好。重症或频吐者可静脉给药，但疗效明显低于口服用药。万古霉素用于甲硝唑不能耐受或无反应者，可抑制难辨梭状芽胞杆菌生长，是目前认为治疗假膜性肠炎最有效的药物。该药口服不吸收，对肾脏无损害，在肠道内可达到高浓度，静脉给药不宜采用。一般用法为口服0.8～1.0g，每天2次，疗程7～10天。一般治疗48小时起效，4～7天内应恢复正常，严重病例可能需要更长时间的治疗。杆菌肽可用于本病，剂量为25 000U，每天4次口服，一般7～10天，有效率低于万古霉素，且价格较贵，仅在上述药物无效时使用。口服尚未发现其明显副作用，而静脉给药有较高的肾毒性和耳毒性发生率，不宜采用。非达霉素（fidaxomicin，Dificid）是一种新型的口服大环内酯类抗菌药物，2011年美国FDA批准用于难辨梭状芽胞杆菌感染相关的腹泻的治疗，其疗效与万古霉素近似，但疗效更为持久，复发率较低。</p><p>（五）抗毒素及抑制毒素吸收治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">抗污泥梭状芽胞杆菌抗毒素可中和难辨梭菌毒素，国外已用于临床。阳离子交换树脂能结合难辨梭菌毒素而减轻腹泻及其他中毒症状，如考来烯胺，2～4g，每天3～4次，疗程7～10天，但与万古霉素同用可降低万古霉素在肠道中的浓度，不宜合用。其主要的副作用是便秘。由于其影响抗生素的吸收，需在应用抗生素2小时以后服用。其他类似药物有双八面体蒙脱石等。</p><p>（六）免疫治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">国外的非随机对照研究发现，静滴丙种球蛋白可用于治疗CDAD，其机制主要为中和难辨梭菌毒素A。针对难辨梭菌毒素A或B的单克隆抗体在Ⅱ期临床试验中治疗Cd感染有效，与抗生素合用可显著减少复发。</p><p>（七）手术治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在暴发型病例内科治疗无效或并发肠梗阻、中毒性巨结肠、肠穿孔时，可考虑手术治疗。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3927', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1671', '预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">轻症病例在停用抗生素之后可自愈，重者经及时诊断及积极治疗预后良好。约10%～20%的患者在初治停药1～3周后可再次出现腹泻，其原因可能是灭菌不彻底或再感染。复发病例轻者可应用调整肠道菌群药物，重者需再次使用甲硝唑或万古霉素治疗。多次复发者可考虑应用粪便移植或免疫治疗。出现严重并发症如中毒性巨结肠、麻痹性肠梗阻、肠穿孔时，病死率可达到16%～22%。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3928', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1671', '参考文献', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.Nelson，RL，Kelsey P，Leeman H，et al.Antibiotic treatment for Clostridium difficile-associated diarrhea in adults.Cochrane Database Syst Rev，2011，9：p.CD004610.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.Lowy，I.，Molrine DC，Leav BA，et al.Treatment with monoclonal antibodies against Clostridium difficile toxins.N Engl J Med，2010，362（3）：197-205.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.Abougergi MS，Kwon JH.Intravenous immunoglobulin for the treatment of Clostridium difficile infection：a review.Dig Dis Sci，2011，56（1）：19-26.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.Gough E，Shaikh H，Manges AR.Systematic review of intestinal microbiota transplantation（fecal bacteriotherapy）for recurrent Clostridium difficile infection.Clin Infect Dis，2011，53 （10）：994-1002.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.Kelly CR，de Leon L，Jasutkar N.Fecal Microbiota Transplantation for Relapsing Clostridium difficile Infection in 26Patients：Methodology and Results.J Clin Gastroenterol，2011，46 （2）：145-149.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">6.MCDonald JWD，Burroughs AK，Feagan BG，et al.循证胃肠病学和肝病学.第3版.王吉耀，译.北京：人民卫生出版社，2012：296-313.</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3938', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1672', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">轮状病毒（<em style=\"box-sizing: border-box;\">Rotavirus</em>）肠炎主要发生在婴幼儿，常由A组轮状病毒引起，发病高峰在秋季，故名婴儿秋季腹泻。B组轮状病毒可引起成人腹泻，首先在中国报道。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3939', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1672', '病原', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">轮状病毒于1973年最早由Bishop从澳大利亚腹泻儿童肠活检上皮细胞内发现，形态如车轮状，故名为“轮状病毒”。轮状病毒属于呼肠病毒科的轮状病毒属。成熟的病毒颗粒直径约为100nm，核心为11个片段的双链RNA病毒基因组，编码6种结构蛋白（VP1～VP4、VP6和VP7）和6种非结构蛋白（NSP1～NSP6），VP1、VP2和VP3分布在病毒核心层，中层为具有抗原性的VP6，最外层由VP7和VP4组成。根据VP2和VP6抗原性差异，将病毒分为A～G 7个血清组，其中A、B和C组可感染人类和动物，其他组仅见于动物。A组致病性最强，是目前世界婴幼儿腹泻的主要病因。B组轮状病毒曾在我国引起成人腹泻流行，C组可引起儿童及成人轻度腹泻。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前A组轮状病毒依据VP7和VP4抗原性及基因序列进行分型，至少有15种G血清型（各血清型有相应基因型）和14种P血清型（其中1、2和5型又分为A和B亚型），由于P血清型间易出现交叉反应，因此主要采用基因分型，至少已发现27种P基因型。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">轮状病毒可被乙醚、氯仿、蛋白酶、50℃15分钟灭活。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3940', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1672', '流行病学', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">A组轮状病毒是全球5岁以下儿童重症腹泻的首要病原。儿童轮状病毒感染的发病率在发达国家和发展中国家近似。发展中国家约3/4儿童在12月龄之前发生轮状病毒腹泻，而发达国家儿童发病通常延后至2～5岁。重症腹泻主要集中在6～24月龄婴幼儿，在轮状病毒疫苗应用前全球每年约有600 000名儿童死于轮状病毒腹泻，多发生在经济落后国家。轮状病毒腹泻在温带地区冬季最为流行，热带地区终年发病。病毒主要通过粪-口途径传播，在成人中也有暴发流行。腹泻发生2～5日内，粪便排病毒最高。新生儿及小婴儿受母传抗体保护，故发病少，症状轻，常呈不显性感染。感染轮状病毒后75%可免于再次发生轮状病毒腹泻，88%免于再次发生重症轮状病毒腹泻。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">成人轮状病毒腹泻在中国内地首先发生后相继在中国香港、尼泊尔、欧洲、美洲均有小流行，发病高峰年龄在21～30岁。除人外，轮状病毒在世界范围内可引起动物腹泻，特别是母牛、马、猪、羊。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">各地区流行优势株随年份有不同变化。国内自1982年以来主要以G1型为主，G3型次之，2001年以后G3型转为主要流行型别。&nbsp;发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">轮状病毒腹泻的发病机制尚未完全明确。疾病早期肠道分泌、动力及通透性改变，继之发生吸收不良，均促使腹泻发生。病毒非结构蛋白（NSP4）是一种病毒肠毒素，在细胞外可抑制葡萄糖与钠的偶联转运，刺激磷脂酶C，产生1，4，5三磷酸肌醇，导致钙离子内流和细胞内储存钙释放，细胞内钙水平升高激活阴离子通道呈分泌状态，因此可能介导了早期的分泌性腹泻。病毒感染刺激肠神经系统（ENS）导致肠蠕动增加，推测可能通过NSP4起作用。感染后肠黏膜病变和双糖酶抑制可导致吸收障碍及渗透性腹泻。感染后机体可出现短暂的病毒血症。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">轮状病毒在小肠绒毛顶端的成熟上皮细胞内复制，感染的肠道缺乏肉眼可见的组织损害、镜下仅见轻微的肠细胞空泡样变性、肠细胞缺失和单核细胞浸润，还可发生如绒毛脱落和隐窝增生等明显改变。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床严重程度和肠道病变程度之间无直接关联，但是与粪便中病毒RNA载量相关。感染后可以表现为无症状，因此病毒株的毒力和机体的免疫力均可影响病情。营养不良患儿常发生严重腹泻，且小肠细胞的恢复延缓。中和抗体的阳性率随年龄的增长而增加。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3941', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1672', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">潜伏期估计约1～3日。病情轻重不等，轻者可呈无症状感染，严重者可出现重度脱水，甚至导致死亡。患者常突然起病，呕吐常为首发症状，多伴有发热，继之出现水样泻；呕吐和发热可持续2～3天，腹泻每日可多达10～20次，重者伴有脱水及电解质紊乱。病程一般5～7日。大部分患儿粪便排毒时间持续10天，极少数可长达57天。免疫功能低下者可发生慢性轮状病毒性肠炎，粪便长期排病毒。年龄至5岁的儿童几乎均获得对轮状病毒的免疫力，5岁以上重症病例少见。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">成人轮状病毒肠炎症状较轻，但在老年人中有发生重型腹泻者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">除胃肠炎外，在一些其他病症如呼吸道感染、坏死性小肠结肠炎、心肌炎、惊厥和脑膜脑炎等病例检测到轮状病毒，由于轮状病毒感染普遍存在，因此认为偶合症的可能性更大，尚不能确立为病原。尽管曾发生疫苗相关肠套叠，但是并未显示肠套叠与轮状病毒自然感染相关。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3942', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1672', '实验室检查', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">粪便常规正常或偶有少许白细胞。外周血白细胞计数正常。发现少数病例转氨酶轻度升高。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">轮状病毒可采用多种方法进行检测，包括抗原检测方法、RT-PCR、电镜、免疫电镜、聚丙烯酰胺凝胶电泳（PAGE）检测病毒基因组RNA和病毒培养。目前临床广泛采用ELISA检测粪便（或肛拭）轮状病毒，敏感性及特异性强；也可采用乳胶凝集法，简便易行，不受条件设备限制，但敏感性略低。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">尽管有很多方法可检测血清、粪便及唾液中轮状病毒抗体，但是由于病程短，呈自限性，所以抗体检测用作临床诊断的意义有限。感染5日后可测得血清特异性IgM抗体，2～4周后出现特异性IgG抗体。咽部分泌物中能测得特异性IgA。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3943', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1672', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要依据临床表现及粪便轮状病毒检测。婴幼儿发病的季节性有重要参考价值。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3944', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1672', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">轮状病毒胃肠炎病程为自限性，脱水是导致重症及死亡的主要原因，因此主要治疗是纠正脱水及维持电解质平衡。轻-中度脱水优先选择口服补液，重度脱水，严重呕吐，伴电解质紊乱者给予静脉补液。目前推荐采用低渗ORS（245mOsm/L）配方预防和纠正脱水，有助于缩短腹泻持续时间，减少粪便排出量及呕吐次数，减少静脉补液；腹泻患儿腹泻开始后均需补锌，6月龄以下每天补充元素锌10mg，6月龄以上20mg，共10～14日，已证实补锌可缩短腹泻病程，促进康复。消旋卡多曲（脑啡肽酶抑制剂）作用于肠神经系统，可抑制肠道过度分泌，一些小样本临床研究证实具有减少排便量及缩短腹泻病程的疗效。其他治疗如补充益生菌，继发细菌感染可给予抗菌药物。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对免疫缺陷患者或低出生体重患儿可采用免疫球蛋白口服治疗，可缩短病程及排毒时间。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3945', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1672', '预防', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">疫苗是预防轮状病毒腹泻尤其是重型腹泻最主要的措施，WHO推荐将轮状病毒疫苗纳入儿童扩大免疫接种计划中。目前注册使用的疫苗包括多价疫苗和单价疫苗，都是口服减毒活疫苗，具有良好的保护效果和安全性。轮状病毒疫苗首剂接种时间为6周～14周零6天，2剂服用时间至少间隔4周，足8月龄前需完成接种程序。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3961', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '475', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肠结核（tuberculosis of intestine）是结核杆菌侵犯肠道引起的慢性特异性感染，绝大多数继发于肺结核，特别是开放性肺结核。近年，西方国家HIV感染率增高，或使用免疫抑制剂，这类人群免疫力低下，本病发病率有所增加，我国也不例外。发病年龄多为青壮年，40岁以下占91.7%，女性多于男性，约为1.85∶1。&nbsp;发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">90%以上肠结核由人型结核杆菌引起。少数由牛型结核杆菌所致，系饮用未经消毒的带菌牛奶或乳制品而感染。开放性肺结核或喉结核患者，因经常吞下含结核杆菌的痰液而感染或经常和开放性肺结核患者共餐而忽视餐具消毒，结核菌进入消化道。由于结核菌系抗酸菌，在胃内较少受胃酸影响，顺利到达回盲部。此时含结核菌的肠内容物已形成食糜，由于回盲瓣的作用，食糜在回盲部停留较久，结核菌有机会与肠黏膜密切接触，增加了肠黏膜的感染机会；同时回盲部有丰富的淋巴组织，是结核菌最易侵犯的组织。因此，回盲部成为肠结核的好发部位。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肠结核也可由血行播散或由腹腔内或盆腔内结核病灶直接蔓延所引起，只有当入侵的结核菌数量较多，毒力较大，而人体免疫功能异常、肠功能紊乱导致局部抵抗力削弱时才会发病。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3962', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '475', '病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肠结核好发于回盲部，其他部位依次为升结肠、空肠、横结肠、降结肠、阑尾、十二指肠和乙状结肠等处，少数见于直肠、食管。本病的病理变化随人体对结核菌的免疫力与过敏反应的情况而定。如果人体的过敏反应强，病变以渗出性为主；当感染菌量多，毒力大，可有干酪样坏死，形成溃疡，称为溃疡型肠结核。如果机体免疫状况良好，感染较轻，则表现为肉芽组织增生，进一步可纤维化，称为增生型肠结核。两种病变兼有者称混合型或溃疡增生型肠结核。</p><p>（一）溃疡型肠结核</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病变首先发生在肠壁的集合淋巴组织和孤立淋巴滤泡，呈充血、水肿，以致渗出性病变逐渐加重，常伴有干酪样坏死，肠黏膜因坏死脱落而形成小溃疡，并渐趋融合增大，出现边缘不规则的潜行溃疡，其深浅不一，基底可达肌层或浆膜层，并可累及周围腹膜或邻近肠系膜淋巴结，引起局限性结核性腹膜炎或肠系膜淋巴结结核。因病变发展较慢，常与附近的肠外组织发生粘连，因此，急性穿孔少见，慢性穿孔多形成腹腔脓肿或肠瘘。组织遭受严重破坏后，有大量纤维组织增生与瘢痕组织形成，从而引起不同程度的肠管狭窄，但引起肠梗阻者较少。由于血管闭塞性内膜炎而使血管管壁增厚，内腔狭窄、闭塞，故结核性溃疡大出血者少见。</p><p>（二）增生型肠结核</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病变多局限于盲肠，有时可累及升结肠近端或末端回肠。病变初期仅见黏膜充血、水肿、糜烂、渗出或有霜样白苔等一般炎症性改变，其实质为黏膜结核，光镜下可见黏膜层内上皮样细胞，朗格汉斯细胞及周围淋巴细胞包绕的结核结节；随着病情发展，黏膜下层大量纤维组织增生和结核肉芽组织形成，呈大小不等结节，严重者呈瘤样肿块突入肠腔，导致肠腔狭窄甚至梗阻。病变肠段变窄增厚形成肿块。</p><p>（三）溃疡增生型肠结核</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">也称混合型，临床中兼有前两种病变，其病理所见是两者的综合。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3963', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '475', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肠结核起病缓慢，早期症状可不明显，若活动性肠外结核病例出现明显消化道症状，应警惕肠结核存在的可能性。本病主要临床表现如下：</p><p>（一）腹痛</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是本病主要症状，多在进食后诱发，疼痛部位因病变部位、病理改变不同及有无外科并发症而异。回盲部结核疼痛位于右下腹，小肠结核位于脐周，增生性肠结核可有不完全性肠梗阻的表现，持续性疼痛，阵发性加剧，伴肠鸣活跃，排气后缓解。腹痛发作时常伴有腹泻。</p><p>（二）大便习惯改变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于病变肠曲的炎症和溃疡，肠蠕动加速，肠排空过快而引起腹泻。每日排便2～4次，如病变加重，涉及范围较广者，腹泻与便秘交替常见，但并非本病的临床特征，系肠功能紊乱所致。增生型肠结核多以便秘为主。</p><p>（三）腹块</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">约2/3的增生型肠结核患者在回盲部可扪及腹块，中度坚硬，不易推动，多无压痛。溃疡型肠结核合并局限性结核性腹膜炎者，其病变肠曲可和邻近肠曲与肠系膜淋巴结相粘连而致腹块，其表面不平，局部轻度压痛。</p><p>（四）全身症状</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病常有结核毒血症，尤以溃疡型者多见，轻重不一，表现为发热、盗汗、消瘦、贫血和全身乏力等。发热多呈不规则热或低热。病变活动期或同时有活动性肠外结核者，也可呈弛张热或稽留热。增生性肠结核一般病程较长，患者全身情况较好，可无结核毒血症症状。消化道症状可有恶心、呕吐、腹胀、食欲减退等。</p><p>（五）腹部体征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">无肠穿孔、肠梗阻的肠结核病例，除在右下腹部及脐周有压痛外，常无其他特殊体征。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3964', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '475', '辅助检查', '<p>（一）血液检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">溃疡型肠结核可有中度贫血，白细胞计数正常，淋巴细胞增高。血沉多明显增快，可作为评定结核病活动程度及抗结核疗效观察的指标之一。</p><p>（二）粪便检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">溃疡型肠结核粪便多为糊状，一般不含黏液脓血。常规镜检可见少量脓细胞和红细胞。粪便浓缩找结核杆菌，阳性者有助于肠结核的诊断，但仅在痰菌检查阴性者才有意义。</p><p>（三）结核菌素皮试和γ-干扰素释放试验</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有助于肠结核的诊断。</p><p>（四）X线检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">X线钡餐检查对肠结核的定性和定位诊断有重要价值，并可了解其功能障碍情况，病变涉及结肠应作钡剂灌肠检查。溃疡型者可见肠壁溃疡和边缘不整。钡餐透视时，肠腔很难完全充盈，病变肠管有激惹表现，即排空迅速、充盈不佳，而在病变上下部分肠曲则充盈良好，称钡影跳跃征（Stierlin’s sign）。溃疡穿破肠壁还可见局部脓肿或瘘管形成。增生型者则见肠壁增厚，黏膜呈结节状变形。若伴有溃疡亦可有激惹现象。小肠增生型结核好发于回肠末端，常有盲肠病变，主要表现为黏膜紊乱增生，呈数目众多的小息肉样改变，亦可见粗大息肉而与肿瘤相似。在结肠则有肠袋消失，甚至有结节充盈缺损。不论何种类型，晚期多见管腔狭窄或（和）肠管缩短。结核病变影响到结肠系膜时，常出现肠管移位。盲肠逐渐向上方移，回肠末端也因肠系膜粘连牵拉，随之上移，并向盲肠靠拢，回肠盲肠正常角度丧失，还可见升结肠缩短。</p><p>（五）CT检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可见肠壁环形增厚，少数见盲肠内侧偏心性增厚，回盲瓣增厚。淋巴结肿大往往较明显，可伴有中央坏死，可见肠袢易位。CT对发现合并腹腔内的肠外结核，特别是淋巴结结核，显示病灶的来源及定性诊断方面优于肠道X线造影。</p><p>（六）内镜检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肠镜能对全结肠和回肠末端进行直接观察，如发现病变可行组织活检，对本病的确诊最有价值。内镜下可见结肠黏膜出现如下改变：①溃疡，典型的肠结核溃疡呈环形分布，溃疡可融合，但融合后仍呈环形，可出现环周性巨大溃疡。溃疡深浅不一，边缘不规则，呈潜行性，表面覆有白色或黄白苔。早期溃疡较小时多位于结肠皱襞的脊上并沿皱襞向环周方向扩展，溃疡周边黏膜皱襞紊乱等改变，但溃疡之间有正常黏膜存在，与克罗恩病极为相似。②假息肉和增生结节，由于结核性肉芽肿和纤维组织增生，导致局部肠壁增厚、僵硬，表面有糜烂、小溃疡和大小不等的假息肉或隆起结节，严重者形成较大团块，需与结肠癌鉴别。③狭窄，大部分由于环形溃疡，周围结节增生引起，也可因为愈合过程中，大量纤维组织增生，瘢痕形成，引起肠管变形，假憩室形成。④回盲瓣病变，在所有肠结核中，回盲瓣的累及率超过90%。一般为全周性或次周性溃疡，病变的回盲瓣僵硬，失去闭合功能呈鱼口状改变。回盲瓣的溃疡可向回肠末端及盲肠升结肠方向扩展，形成巨大融合性溃疡，溃疡间可见到增生性病变。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3965', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '475', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">典型病例诊断一般无困难，诊断可依据以下各点：①青壮年患者，原有肠外结核，特别是开放性肺结核，或原发病灶好转而一般情况及结核病毒血症症状反而加重者；②有腹痛、腹泻、便秘等消化道症状，并伴有发热、盗汗等全身症状者；③腹部，尤其是右下腹部有压痛、肿块伴或不伴压痛，或出现原因不明肠梗阻者；④X线胃肠钡餐检查和肠道CT对肠结核的诊断有重要价值。经内镜黏膜活检有助于确诊。对疑为肠结核而无法确诊者可给予诊断性抗结核药物治疗2～3周，观察临床症状有无好转，以判明诊断。增生型肠结核与肠癌或其他增生性疾病不能鉴别时，应剖腹检查。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">最终确诊应符合以下任何一条：①肠壁或肠系膜淋巴结找到干酪坏死性肉芽肿。②病理组织切片找到结核菌。③病变组织培养结核菌阳性。④从病变处取材做动物接种有结核改变。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3966', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '475', '鉴别诊断', '<p>（一）克罗恩病（Crohn’s disease，CD）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病的临床表现及X线所见与肠结核酷似，两者的鉴别是临床上相当棘手的问题，下列几点有助于鉴别：①病史：有肺结核或其他肠外结核病史者有助于肠结核的诊断。②临床表现：有肠瘘，腹腔脓肿、肛门直肠周围病变、活动性便血、肠穿孔等并发症或病变切除后复发者应考虑CD。③实验室检查：血中ADA活性增高、结核抗体阳性及活检组织中结核杆菌DNA阳性有助于肠结核诊断。④内镜：CD病变呈节段性，溃疡呈纵行性、裂隙样；肠结核的溃疡多为环形，深浅不一，边缘不规则且充血明显呈鼠咬状。⑤病理：肠结核的肠壁和肠系膜淋巴结有大量致密的融合的干酪样肉芽肿，抗酸染色阳性；而CD为非干酪样肉芽肿，溃疡呈裂隙状。鉴别困难者可先行抗结核治疗，有手术适应证者可行手术探查，病变肠段和肠系膜淋巴结活检。</p><p>（二）升结肠癌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">发病年龄在40岁以上，无肠外结核证据。病程呈进行性发展，一般无结核毒血症症状。腹块呈结节感，质较硬，压痛不明显。X线主要是充盈缺损，涉及范围较局限，不累及回肠。纤维结肠镜检查可窥见肿瘤，活组织检查可明确诊断。</p><p>（三）阿米巴或血吸虫病性肉芽肿</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">既往有相应的感染史，通过直肠或乙状结肠镜检查或从粪便中检出阿米巴或血吸虫虫卵多可证实诊断，相应的特效治疗有效。</p><p>（四）溃疡性结肠炎合并逆行性回肠炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">两者鉴别一般无困难，本病以脓血便为主，这在肠结核极少见，溃疡性结肠炎如累及回肠者，其病变必累及整个结肠，并且以乙状结肠、直肠最为严重，乙状结肠镜或直肠镜检查可以鉴别。</p><p>（五）其他</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">应与慢性阑尾炎、回盲部恶性淋巴瘤、肠套叠等相鉴别。食管结核需与食管癌鉴别。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3967', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '475', '并发症', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肠结核主要有两种并发症：</p><p>（一）肠梗阻</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是本病最常见的并发症，主要发生在增生型肠结核，往往系肠壁环状狭窄或腹膜粘连、肠系膜挛缩、肠袢扭曲变形引起，梗阻呈慢性进行性，以不完全性肠梗阻多见，轻重不一，少数可发展为完全性肠梗阻。</p><p>（二）肠穿孔</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要为亚急性慢性穿孔，可在腹腔内形成脓肿，破溃后形成肠瘘。急性穿孔较少见，常发生在梗阻近端极度扩张的肠曲，严重者可因肠穿孔并发腹膜炎或感染性休克而致死。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3968', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '475', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病的治疗主要是消除症状，改善全身情况，促使病灶愈合，防止并发症。如合并有肠外活动性结核更应彻底治疗。</p><p>（一）休息与营养</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有结核毒性症状者，必须卧床休息。消瘦、营养不良和因胃肠道症状而妨碍进食者，应给予肠外营养疗法。</p><p>（二）抗结核药物</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">抗结核药物的剂量、用法和不良反应，可详见“肺结核病”部分。疗程6～12个月。</p><p>（三）对症治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对并发不完全肠梗阻者须进行胃肠减压和静脉补液。如有失水、电解质与酸碱平衡紊乱者，应予纠正。</p><p>（四）手术治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">适用于完全性肠梗阻或部分性肠梗阻经内科治疗无效、急性肠穿孔、肠道大出血不止等病例。对增生型肠结核也可考虑部分肠切除术。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3979', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '507', '概述', '<p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">高血压是最常见的心血管疾病之一，也是导致人类死亡的常见疾病，如脑卒中、冠心病、心力衰竭等的重要危险因素。各国医学界和卫生管理部门都高度重视高血压的防治，1998年我国卫生部将10月8日定为我国“高血压日”，旨在推动和强化我国的高血压防治工作。</p><p style=\"white-space: normal; text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3980', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '507', '流行病学', '<p style=\"line-height:150%\">&nbsp; &nbsp; &nbsp;<span style=\"font-family: 宋体; text-indent: 24px;\">高血压的患病率有地域、年龄、种族的差别,各国情况也不尽相同,总体上发达国家高于发展中国家。按MONICA方案的调查材料,欧美国家35-64岁成人的患病率在20%以上。我国的高血压患病率不如工业化国家高,但却与年俱增,且目前仍呈增长趋势，2002年全国居民营养和健康状况调查资料显示我国成人高血压患病率达18.8%,较1991年全国普查成人(15岁以上)的患病率11.26%增长31%,较1979-1982年7.73%和1959年的5.11%更是明显增高。我国各地的忠病率相差较大,东北、华北地区高于南部地区。全国MONICA方案1988~1989年调查各地35~64岁人群的患病率,男性最高在吉林省为25.8%,最低在四川绵阳市为4.9%;女性最高是沈阳为24.7%,最低是福州为6.3%,患病率差别的确切原因还不得而知。</span></p><p style=\"text-indent:24px;line-height:150%\"><span style=\"font-size:12px;line-height:150%;font-family: 宋体\">两性间的患病率相差不大,女性更年期前患病率低于男性,更年期后高于男性,两性高血压患病率均与年龄成正比。美国 NHANES I调查材料显示如以收缩压≥160mmHg,舒张压≥95mmHg为标准,25岁的成人白人每过10年,高血压发病率从基础水平增加5%,至老年达到</span></p><p style=\"line-height: 150%;\"><span style=\"font-size:12px;line-height:150%;font-family:宋体\">发病的顶峰。我国人口众多,按2010年我国人口的数量和结构,估测目前的患病人数在2,0亿人以上.随着人口的老龄化高血压患病人群也将不断增加,流行病学调查显示高血压是我国人群脑卒中,冠心病发病和死亡的主要危险因素，高血压的主要并发症是脑卒中.然面我国高血人群的知哓率、治疗率和控制率虽近年来有所提高但仍处于较低的水平,而且各地区,尤其城市与农村之间存在较大的差别。我国高血压防治任务仍十分艰巨。</span></p><p style=\"line-height: 150%; text-align: right;\"><span style=\"font-size:12px;line-height:150%;font-family:宋体\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3981', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '507', '发病机制', '<p style=\"line-height:150%\">&nbsp; &nbsp; &nbsp;<span style=\"font-family: 宋体; text-indent: 24px;\">参与人体血压调节的机制很多,有诸多神经、活性因子的作用,有中枢神经和周围反射的整合作用,还有体液和血管因素的影响,因此,血压水平的维持是一个复杂的过程。高血压的病因和发病机制虽有不少假设得到一些实验室和临床材料的支持,但至今未明。目前认为本病是在一定的遗传易感性基础上多种后天因素综合作用的后果。</span></p><p style=\"line-height:150%\"><strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">（一）遗传&nbsp; </span></strong><span style=\"font-size: 12px;line-height:150%;font-family:宋体\">本病发病有较明显的家族集聚性。双亲均有高血压的正常血压子女(儿童或少年)血浆去甲肾上腺素、多巴胺的浓度明显较无高血压家族史的对照组高,成年后发生高血压的比例亦高。国内调查发现与无高血压家族史者比较,双亲一方有高血压,其患病率高1.5倍,双亲均有高血压,患病率高2~3倍。本病患者的亲生子女和收养子女生活环境相同,但前者更易患高血压。近年来发现一些基因突变(如血管紧张索,糖皮质激素受体、脂蛋白酶等基因)与高血压有关,对原发性高血压候选基因的观察研究已达150种左右,涉及交感系统、肾素-血管紧张东醛固酮（RAA)系统、内皮素、生长激素,前列腺素、利钠肽、胰岛素抵抗、下丘脑—垂体轴等诸多方面。虽然动物实验已筛选出遗传性高血压大鼠株(SHR),但至今尚不能肯定高血压的相关基因。</span></p><p style=\"line-height:150%\"><span style=\"font-size:12px;line-height:150%;font-family:宋体\">目前认为本病是多基因的遗传病,具有遗传背景的悲者约占整个高血压人群的比例达30%~50%。</span></p><p style=\"line-height:150%\"><strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">（二）钠过多</span></strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\"> &nbsp;人群的血压水平及本病患病率与钠的平均摄入量呈正相关,而与钾盐摄人呈负相关,膳食钠/钾比值与高血压的相关性甚至更强。限制钠的摄入可改善高血压情况。在肾血管性高血压患者,高血钠可使病情恶化,减低钠盐摄入则病情好转。在死于血压的患者和动物,肾动脉每单位体积干质的钠含量较无高血压者高。钠潴留使细胞外液量增加,引起心排血量增高;小动脉壁的含水量增高,引起周围阻力增高;由于细胞内外钠浓度比值的变化而引起的小动脉张力增加等,都可能是发病机制。</span></p><p style=\"text-indent:24px;line-height:150%\"><span style=\"font-size:12px;line-height:150%;font-family: 宋体\">体内钠过多除与摄入有关外,肾脏排钠障碍也是重要原因,正常人在血压上升时肾脏排钠排水增加,血压得以恢复正常,这称为压力-钠利尿现象( Guyton假设)。本病患者在血压上升时肾脏不能排除体内多余的钠和水分,致使血压持续上升。除了肾本身先天和后天的结构功能异常可能影响这一过程外,许多神经体液因子如抗利尿激索、醛固酮、肾素、心房肽,前列腺素等对此也有影啊。</span></p><p style=\"text-indent:24px;line-height:150%\"><span style=\"font-size:12px;line-height:150%;font-family: 宋体\">但是实验室和临床研究均发现,改变摄盐量和血钠水平,只能影响一部分前不是全部个体血压水平,饮食中盐的致病是有条件的,对体内有遗传性钠运转缺陷使之对摄盐敏感者才有致高血压的作用。我国人群60%为盐敏感型及存在饮食高钠低钾的特点。</span></p><p style=\"line-height:150%\"><strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">（三）肾素-血管紧张素-醛固酮系统平衡失调&nbsp; </span></strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">肾脏球囊细胞分泌的肾素可将肝脏合成的血管紧张素原转变为血管紧张素( angiotensin,AT)I,而后者经肺、肾等组织时在血管紧张素转换酶(ACE又称激肽酶Ⅱ)的活化作用下转化成血管紫张素Ⅱ(ATⅡ),后者可在酶作用下脱去门冬氨酸转化成ATⅢ,ACE还可促进缓激肽的分解,ATⅡ也可经非ACE的途径形成,如胃促胰酶( chymase)等，也可将ATI转化成ATⅡ,而组织蛋白酶等可直接将血管紧张素转化成ATⅡ、醛固酮。此外,脑、心、肾、肾上腺、动脉等多种器官组织均存在完整的RAA系统,称为组织RAA系统。</span></p><p style=\"line-height:150%\"><span style=\"font-size: 12px;line-height:150%;font-family:宋体\">&nbsp;&nbsp;</span><span style=\"font-size:12px;line-height:150%;font-family:宋体\">在RAA系统中ATⅡ是最重要的活性成分,其病理生理作用主要是通过和I型受体结合产生的,经此途径它可促使血管收缩,醛固酮分泌增加,水钠潴留,增加交感神经活力,最终导致血压上升。部分作用通过Ⅱ型受体调节的。ATⅡ强烈的缩血管作用造成的加压效应约为肾上腺素的10~40倍,RAA系统的过度活性将导致高血压的产生。ATⅡ、醛固酮等还是组织生长的刺激因素,可以说ATⅡ在高血压的发生发展、靶器官的组织重构以及出现并发症等诸多环节中都有重要作用。</span></p><p style=\"line-height:150%\"><strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">（四）高胰岛素血症/胰岛素抵抗&nbsp;</span></strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\"> 高血压与高胰岛索血症之间的关系已被认识了很多年,尤其伴肥胖时,但也有约20%的非肥胖高血压患者。在肥胖、尤其是作为代谢合征一部分的腹型或内脏型肥胖者中高血压很普遍。男性体重每增加1.7kg/m<sup>2</sup>,女性每增加1.25kg/m<sup>2</sup>,收缩压对应上升 1mmHg。而减肥使体重下降后血压可有一定程度的下降。在 framingham研究中,高血压的患病率在超重的男性中增加了46%,在超重的女性中增加了75%。实际上,在肥胖,尤其是内脏型肥胖患者,高胰岛素血症是继发于胰岛素抵抗的。约50%的高血压患者中存在胰岛素抵抗,胰岛素抵抗、高胰岛素血症和2型糖尿病密切相关,2型糖尿病患者高血压的发生率约为非糖尿病者的2.5~3倍,基因研究发现有 PPARY基因突变者首先出现高胰岛素血症,继之出现高血压、低HDL-C,从另一侧面证实了其间的联系,提示高血压可能与代谢性疾病有关。</span></p><p style=\"text-indent:24px;line-height:150%\"><span style=\"font-size:12px;line-height:150%;font-family: 宋体\">胰岛素抵抗时血压升高的机制可能是胰岛素水平升高，可影响Na<sup>+</sup>-K<sup>+</sup>ATP酶与其他离子泵促使胞内钠、钙浓度升高,并使交感神经活性上升,促进肾小管对水、钠的重吸收,提高血压对盐的敏感性,以及减少内皮细胞产生NO,刺激生长因子(尤其平滑肌)以及增加内皮素分泌等。</span></p><p style=\"text-indent: 24px; line-height: 150%; text-align: left;\"><strong style=\"line-height: 150%;\"><span style=\"line-height: 150%; font-family: 宋体;\">(</span></strong><strong style=\"line-height: 150%;\"><span style=\"line-height: 150%; font-family: 宋体;\">五〕精神、神经作用</span></strong><span style=\"line-height: 150%; font-family: 宋体;\">&nbsp; </span><span style=\"line-height: 150%; font-family: 宋体;\">精神源学说( psychogenictheory)认为患者在长期或反复的外因刺激下会出现较明显的精神紧张、焦虚、烦躁等情绪变化,此时各类感受器传入的病理信号增加,大脑皮质兴奋、抑制平衡的机制失调以至不能正常行使调节和控制皮层下中框活动的功能,交感神经活动增强,舒缩血管中枢传出的冲动以缩血管占优势，从而使小动脉收缩,周围血管阻力上升，血压上升。流行病学材料提示,从事经常处于应激状态、需高度集中注意力的</span><span style=\"font-family: 宋体; line-height: 150%;\">工作、长期精神紧张、受噪音或不良视觉刺激者易患本病。</span></p><p style=\"text-indent:24px;line-height:150%\"><span style=\"font-size:12px;line-height:150%;font-family: 宋体\">神经系统可根据人体的需要和环境刺激对心血管功能,包括血压进行快速又精确的调节,对慢性长期的血压水平也有影响。,与副交感神经相比,交感神经系统及其相关的神经体液因子通过对周围血管和心脏的影响,对高血压的发生发展起者更重要的作用,交感神经的作用是在延髓以及其他高级中枢的控制下完成的。延髓的心血管运动中枢整合来自压力感受器、化学感受器以及下丘脑和其他高级中枢的传人信号,完成并不断地调节这一控制,而大脑皮层可根据人体情绪变化、运动与否等通过对血压中枢的调控而影响血压。如各级中枢发放的缩血管冲动增多或各类感受器传入的缩血管信号增强或阻力血管对神经介质反应过度时都可能导致高血压的产生,这就是神经源学说(neu-rogenic theory )。</span></p><p style=\"line-height: 150%;\"><strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">（六）其他</span></strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">&nbsp; </span><span style=\"font-size:12px;line-height:150%;font-family:宋体\">前列腺素系统与RAA系统有密切关系，有人认为高血压可能与肾髓质合成有扩血管作用的前列腺素A或E的不足有关。血管紧张素转化酶可促进激肽的降解而使其扩血管作用消失,血压升高。近年来加压素、内皮素等肽类物质与本病的关系也引起人们的广泛注意,但至今尚未发现它们之间有明确的因果联系。缺少运动、吸烟、饮酒过度和睡眠呼吸暂停也易患高血压。</span></p><p style=\"line-height: 150%; text-align: right;\"><span style=\"font-size:12px;line-height:150%;font-family:宋体\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3982', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '507', '病理', '<p style=\"line-height:150%\"><strong><span style=\"line-height: 150%; font-family: 宋体;\">（一)动脉</span></strong></p><p style=\"line-height:150%\"><span style=\"font-size:12px;line-height:150%;font-family:宋体\">　　1.小动脉&nbsp; 小动脉病变是本病最重要的病理改变.早期阶段全身小动脉痉挛,长期反复的痉挛使小动脉内膜因压力负荷增加、缺血缺氧出现玻璃样变,中层则因平滑肌细胞增殖、肥大而增厚,出现血管壁的重构( remodeling),最后管壁纤维化、管腔狭窄呈不可逆病变。急进型高血压患者小动脉壁可在较短时期内出现纤维样坏死。各期的小动脉病变均可使管腔狭窄,促进高血压的维持和发展.周围组织和器官内的小动脉都可发生上述病变,但以肾脏的细小动脉最明显,病变最终导致组织器官的缺血损伤。</span></p><p style=\"line-height:150%\"><span style=\"font-size: 12px;line-height:150%;font-family:宋体\">&nbsp;&nbsp;&nbsp;&nbsp; 2.</span><span style=\"font-size:12px;line-height:150%;font-family:宋体\">大动脉&nbsp; 随着年龄增长大动脉逐渐硬化,顺应性下降,这是老年人收缩期高血压的重要原因。高血压后期,主动脉可发生中层囊样坏死和夹层分离。后者好发部位在主动脉弓和降主动脉交界处,亦可发生于升主动脉和腹主动脉,此时高压血液将主动脉内膜撕裂,大量血液进人中膜,使内膜和中膜分离形成假通道。高血压促进动脉粥样硬化的发生发展,除大动脉外可有颈动脉内中膜增厚,冠状动脉和周围血管病变等。</span></p><p style=\"line-height:150%\"><strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">（二)心脏</span></strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">&nbsp; </span><span style=\"font-size:12px;line-height:150%;font-family:宋体\">左心室肥厚是本病心脏最特征性的改变,全身小动脉管腔变狭窄导致周围血管阻力长期上升是左心室肥厚的原因之一,但心肌肥厚并不总与血压升高的程度呈相关。交感神经兴奋时释放的儿茶酚胺类物质可刺激心肌细蛋白质合成,而循环中与心肌局部RAA系统的ATⅡ、醛固酮等除可刺激心肌细胞肥大外尚可使心肌细胞间的胶原增生,这亦是患者心肌肥厚的原因。早期左心室以向心性肥厚为主,长期病变时心肌出现退行性变,心肌细胞萎缩、间质纤维化,心室壁由厚变薄,左心室腔扩大。心肌肥厚时冠脉血流储备下降,加之高血压时易有冠状动脉粥样硬化更促使心肌缺血而加重心脏病变。高血压时心肌的生理生化改变和心力衰竭时的变化十分相似,提示高血压时心肌肥大可能是一种心肌病的过程，如不治疗终将导</span></p><p style=\"line-height:150%\"><span style=\"font-size:12px;line-height:150%;font-family:宋体\">致心力衰竭。心肌肥厚、左心室舒张期顺应性下降可致左心房扩大。</span></p><p style=\"text-indent:24px;line-height:150%\"><span style=\"font-size:12px;line-height:150%;font-family: 宋体\">老年患者由于老年性改变心肌细胞减少而胶原组织相对增加,心脏的收缩功能和舒张功能在正常时已有所下降,高血压时更容易出现心功能失代偿,而且由于心肌已有生理性丧失,高血压时不易出现心肌肥厚</span></p><p style=\"text-indent:24px;line-height:150%\"><strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">&nbsp;(</span></strong><strong><span style=\"font-size:12px;line-height: 150%;font-family:宋体\">三}中枢神经系统</span></strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">&nbsp; </span><span style=\"font-size:12px;line-height:150%;font-family:宋体\">脑部小动脉也可出现从痉挛到硬化的一系列改变,但脑血管结构较薄弱,发生硬化后更为脆弱.加之长期高血压时脑小动脉有微动脉形成,易在血管痉挛、血管腔内压力波动时破裂出血,小动脉破裂常发生在内囊和基底节。在小动脉硬化的基础上有利于血栓形成而产生脑梗死,而梗死后脑组织软化可出现梗死周围脑组织出血。如病变发生在脑中型动脉时可加重脑组织缺血。颅内外粥样硬化动脉内壁的粥样斑块脱落可造成脑栓塞。</span></p><p style=\"text-indent:24px;line-height:150%\"><strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">(</span></strong><strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">四)肾&nbsp; </span></strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">肾小动脉病变最为明显,主要发生在输入小动脉,叶间小动脉也可涉及,如无合并糖尿病,较少累及输出小动脉。病变血管管腔变窄甚至闭塞,造成肾实质缺血、肾小球纤维化、肾小管萎缩,并有间质纤维化,使肾皮质逐渐变薄。相对正常的肾单位可代偿性肥大。早期患者肾脏外观无改变,病变进展到相当程度时肾表面呈颗粒状,肾体积可随病情的发展逐渐萎缩变小。上述病理改变见于缓进型高血压,因病情发展缓慢,称为良性肾硬化( benign nephrosclerosis),但最终导致肾功能衰竭。</span></p><p style=\"text-indent:24px;line-height:150%\"><span style=\"font-size:12px;line-height:150%;font-family: 宋体\">急进型高血压时输入小动脉中层发生纤维素样坏死性炎症,且病变可直接延伸至肾小球毛细血管丛,致使肾小球硬化。叶间、弓状动脉内膜有细胞增生,胶原和纤维母细胞呈“洋葱皮”状的同心圆排列。由于病情发展快,患者短期内出现肾功能衰竭,称为恶性肾硬化( malignant nephrosclerosis )。</span></p><p style=\"text-indent: 24px; line-height: 150%;\"><strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">（五）视网膜 </span></strong><span style=\"font-size: 12px;line-height:150%;font-family:宋体\">&nbsp;视网膜小动脉在本病初期发生痉挛,以后逐渐出现硬化,严重时发生视网膜出血和渗出,以及视神经乳头水肿、临床上通过眼底镜检查观察视网膜动脉的变化,可以反映其他小动脉尤其是眼部小动脉的变化。</span></p><p style=\"text-indent: 24px; line-height: 150%; text-align: right;\"><span style=\"font-size: 12px;line-height:150%;font-family:宋体\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></span></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3983', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '507', '临床表现', '<p style=\"line-height:150%\">&nbsp; &nbsp; &nbsp;<span style=\"text-indent: 12px; line-height: 150%; font-family: 宋体;\">根裾起病和病情进展的缓急及病程的长短高血压可分为两型,缓进型(chronic type)和急进型( rabidity type).前者称良性高血压,绝大部分患者属此型，后者又称恶性高</span><span style=\"text-indent: 12px; line-height: 150%; font-family: 宋体;\">血压,仅占本病患者的1%~5%。</span></p><p style=\"line-height: 150%\"><strong><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">（一）緩进型高血压</span></strong><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">&nbsp; </span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">多为青中年起病，有家族史者发病年龄可较轻。起病多数隐匿,病情发展慢，病程长。早期患者血压波动,血压时高时正常,在劳累、精神紧张、情绪波动时易有血压升高,休息、去除上述因素后,血压常可降至正常。随着病情的发展,血压可趋向持续性升高或波动幅度变小。患者的主观症状和血压升高的程度可不一致，约半数患者无明显症状,只是在体格检查或因其他疾病就医时才发现有高血压,少数患者则在发生心、脑、肾等器官的并发症时才明确高血压的诊断。</span></p><p style=\"text-indent: 12px;line-height: 150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">早期患者由于血压波动幅度大,可有较多症状,而在长期高血压后即使在血压水平较高时也可无明显症状,因此无论有无症状,都应定期检測患者的血压。</span></p><p class=\"MsoListParagraph\" style=\"margin-left: 24px;line-height: 150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">1.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp; </span></span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">神经精神系统表现&nbsp; 头痛、头晕和头胀是高血压常见的神经系统症状,也可有头枕部或颈项扳紧感。高血压直接引起的头痛多发生在早晨,位于前额、枕部或颞部。高血压引起的头晕可为暂时性或持续性,伴有眩晕者较少,与内耳迷路血管障碍有关,经降压药物治疗后症状可减轻,但要注意有时血压下降得过快过多也可引起头晕。部分患者有乏力、失眠、工作能力下降等表现。</span></p><p class=\"MsoListParagraph\" style=\"margin-left: 24px;text-indent: 24px;line-height: 150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">本病并发的脑血管病统称脑血管意外,俗称脑卒中或中风,可分两大类:</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">①</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">缺血性脑梗死,其中有动脉粥样硬化血栓形成、间隙梗死、栓塞、暂时性脑缺血和未定型等各种类型;</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">②</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">脑出血,有脑实质和蛛网膜下腔出血。大部分脑血管意外仅涉及一側半球而影响对侧身体的活动,约15%可发生在脑干,从而影响两侧身体。根据脑血管病变的类型、部位、范围和程度,临床症状有很大的差异,轻者仅出现一时的头晕、眩晕、失明、失语、吞咽困难、口角歪斜、肢体活动不便等,重者出现偏瘫、昏迷,甚至短期内死亡</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">。</span></p><p style=\"line-height:150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">2.</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">心血管系统&nbsp; 高血压时心脏最先受影响的是左心</span><span style=\"font-size:12px;line-height:150%;font-family:宋体\">室舒张功能,。左心室肥厚时舒张期顺应性下降、松弛和充盈功能受影响,甚至可出现在临界高血压和临床检查没发现左心室肥厚时,这可能是由于心肌间质已有胶原组织增加之故,但此时患者可无明显临床症状。出现临床心功能不全的症状多发生在高血压起病数年至十余年之后。在心功能代偿期,除有时感心悸外,其他心脏方面的症状可不明显。代偿功能失调时,则可出现左心衰竭症状,如阵发性夜间呼吸困难,在体力劳累、饱食和说话过多时发气喘、心悸、咳嗽,严重时或血压骤然升高时于发生肺水肿。反复或持续的左心衰,可影响右心室功能而发展为全心衰竭,出现尿少、水肿等症状。</span></p><p style=\"line-height:150%\"><span style=\"font-size: 12px;line-height:150%;font-family:宋体\">&nbsp;&nbsp;&nbsp;&nbsp; </span><span style=\"font-size:12px;line-height:150%;font-family:宋体\">在心脏未增大前,体检可无特殊发现.或仅有脉搏或心尖搏动较强有力,主动脉瓣区第二心音因主动脉舒张压升高而亢进。心脏增大后,体检可发现心界向左、向下扩大;心尖搏动强而有力,有抬举样;心尖区和《或)主动脉瓣区可听到Ⅱ一Ⅲ级收缩期吹风样杂音。主动脉瓣区杂音是主动脉扩张,主动脉瓣顺应性下降.血流加快,导致相对性主动脉瓣狭窄所致。主动脉瓣区第二心音可因主动脉及瓣膜硬变而呈金属音调。心尖区杂音是左心室扩大导致相对性二尖瓣关闭不全或二尖瓣乳头肌功能失调所致,可有第四心音。由于高血压可促进动脉粥样硬化,部分患者可因合并冠状动脉粥样硬化性心脏病而有心絞痛、心肌梗死的表现。部分患者可有期前收缩、房颤等心律失常表现。</span></p><p style=\"line-height:150%\"><span style=\"font-size: 12px;line-height:150%;font-family:宋体\">3.</span><span style=\"font-size:12px;line-height:150%;font-family:宋体\">肾脏表现&nbsp; 肾血管病变的程度和高血压程度及病程密切相关。高血压早期可无任何临床表现,实际上,血压未得到控制的本病患者均有肾脏的病变。随病程的进展可先出现微量白蛋白尿,继之蛋白尿,但如无合并心力衰竭和糖尿病者,24小时尿蛋白总量很少超过1g,控制高血压可减少尿蛋白。可有血尿,多为显微镜血尿,少见有透明和粒管型。肾功能失代偿时,肾浓缩功能受损,可出现多尿、夜尿、口渴、多饮等,尿比重逐渐降低，最后固定在1.010左右,称等渗尿。当肾功能进一步减退时,尿量可减少,血中尿素氮、肌酐常增高,酚红排泄试验显示排泄量明显减低，尿素廓清率或肌酐廓清率可明显低于正常,上述改变随肾脏病变的加重而加重,最终出现尿毒症。但是,在缓进型高血压,患者在出现尿毒症前多数已死于心、脑血管并发症。4.其他&nbsp; 出现急性大动脉夹层者根据病变的部位可有剧烈的胸痛或腹痛;有下肢周围血管病变者可出现间歇性跛行。</span></p><p style=\"line-height:150%\"><strong><span style=\"font-size:12px;line-height:150%;font-family: 宋体\">(</span></strong><strong><span style=\"font-size:12px;line-height: 150%;font-family:宋体\">二)急进型高血压 </span></strong><span style=\"font-size:12px;line-height: 150%;font-family:宋体\">&nbsp;在未经治疗的原发性高血压患者中,约1%为急进型高血压,起病较急骤,也可发病前有病程不一的缓进型高血压,典型表现为血压显著升高，舒张压多持续在130~140mmHg或更高。男女比例约3:1,多在青中年发病,近年来此型高血压已少见,可能和早期发现轻中度高血压患者并及时有效的治疗有关。其表现基本上与缓进型高血压相似,但症状和头痛等明显,病情严重、发展迅速、出现视网膜病变和肾功能很快衰竭。常于数月至1~2年内出现严重的脑、心肾损害,发生脑血管意外、心力衰竭和尿毒症。并常有视力模糊或失明,视网膜可发生出血、渗出物及视神经乳头水肿。由于肾脏损害最为显著常有持续蛋白尿,24小时尿蛋白可达3g,并可有血尿和管型尿,如不及时治疗最后多因尿毒症而死亡。</span></p><p style=\"line-height:150%\"><strong><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">(</span></strong><strong><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">三)高血压危象 </span></strong><span style=\"font-size:12px;line-height: 150%;font-family:宋体\">&nbsp;高血压危象( hypertension crisis)包括高血压急症( hypertension emergency)和高血压重症( hypertension urgency),两者区别在于前者有靶器官的急性损害。因严重程度不同,临床处理策略也不同。</span></p><p style=\"text-indent:24px;line-height:150%\"><span style=\"font-size:12px;line-height:150%;font-family: 宋体\">高血压危象是指:①加剧性的恶性高血压 ( accelerated malignant hypertension)。舒张压常&gt;140 nmhg,伴眼底乳头水肿、出血、渗出,患者可出现头痈、呕吐、嗜睡、迷糊、失明、少尿甚至抽搐昏迷等:②血压明显升高并有脑、心、肾等严重病变及其他紧急情况,如高血压脑病、脑卒中、颅外伤、急性心肌梗死、急性心衰、急性动脉夹层、急性肾炎,嗜铬细胞瘤、术后高血压、严重烧伤、子痫等。高血脑病( hypertension encephalopathy)可发生在缓进型或急进型高血压患者,当平均血压上升到约180mmHg以上时,脑血管在血压水平变化时可自主调节舒缩状态以保持脑血流相对稳定的功能减弱甚至消失.血管由收缩转为扩张,过度的血流在高压状态进入脑组织导致脑水肿,患者出现剧烈头痛、头晕、恶心、呕吐、烦躁不安、脉搏多慢而有力，可有呼吸困难或减慢、视力障碍、黑矇、抽搐、意识模糊、甚至昏迷.也可出现暂时性偏瘫、失语、偏身感觉障碍等。检查可见视神经乳头水肿,脑脊液压力增高、蛋白含量增高。发作短暂者历时数分钟,长者可数小时甚至数天。高血压急症的患者应静脉用药尽快地(以分钟、小时计)将血压控制到适宜的水平，否则患者可在数分钟或数小时内死亡。</span></p><p style=\"line-height: 150%;\"><span style=\"font-size: 12px;line-height:150%;font-family:宋体\">&nbsp;&nbsp;&nbsp;&nbsp; </span><span style=\"font-size:12px;line-height:150%;font-family:宋体\">高血压重症是指虽然血压明显升高.但无上述重要器官功能迅速恶化的临床表现,如无眼底改变也无症状等。这类患者目前没有证据表明紧急降压会带来益处,因此一般不需要紧急静脉用药.但应立即口服给药短期内(以天计)有效地控制血压,并密切随访,以防转变成高血压急症。</span></p><p style=\"line-height: 150%; text-align: right;\"><span style=\"font-size:12px;line-height:150%;font-family:宋体\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></span></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3984', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '507', '辅助检查', '<p style=\"text-indent:24px;line-height:150%\"><span style=\"font-size:12px;line-height:150%;font-family: 宋体\">实验室检查可帮助原发性高血压的诊断和分型,了解靶器宫的功能状态以及有无合并的疾病,有利于治疗时选择恰当的药物。血尿常規、肾功能、尿酸、血脂、血糖、电解质(尤其是血钾)、心电图、胸部X线与眼底检查应作为本病患者的常规检查。</span></p><p style=\"line-height:150%\"><span style=\"font-size: 12px;line-height:150%;font-family:宋体\">&nbsp;&nbsp;&nbsp;&nbsp; <strong>(</strong></span><strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">一)血常规</span></strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">&nbsp; </span><span style=\"font-size:12px;line-height:150%;font-family:宋体\">红细胞和血红蛋白一股无异常,但急进型高血压时可有 Coombs试验阴性的微血管病性溶血性贫血,伴畸形红细胞,血红蛋白高者血液黏稠度增加.易有血栓形成并发症(包括脑梗死)和左心室肥大。</span></p><p style=\"line-height:150%\"><span style=\"font-size: 12px;line-height:150%;font-family:宋体\">&nbsp;&nbsp;&nbsp;&nbsp; <strong>(</strong></span><strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">二)尿液检查</span></strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">&nbsp; </span><span style=\"font-size:12px;line-height:150%;font-family:宋体\">早期患者尿常规正常,但此时可出现微量尿蛋自,点尿法测定微量尿蛋白肌比增加(30~300mg/g)是肾脏损害的早期标志。肾浓缩功能受损时尿比重逐渐下降，可有微量尿蛋白、红细胞、偶见管型。随肾病变进展.尿蛋白最增多.24小时尿蛋白超过1g以上提示预后差。红细胞和管型也可增多,管型主要是透明和颗粒者。</span></p><p style=\"text-indent:12px;line-height:150%\"><strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">&nbsp; （三)肾功能&nbsp; </span></strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">多采用血尿素氮和肌酐来评估。早期患者检查并无异常,当肾实质受损到一定程度才才开始升高。成人肌酐&gt;114.3 umol /L,老年人和妊娠者&gt;91.5tolL时提示有肾损害。此时,估计肾小球滤过率(eGFR)是一敏感而实用的肾功能检测方法。</span></p><p style=\"text-indent:6px;line-height:150%\"><strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">&nbsp; &nbsp;（四)胸部X线检查&nbsp; </span></strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">可见主动脉,尤其是升,弓部迂曲延长,其升、弓或降部可扩张。可有左心室增大,有左心衰竭时有左心室增大更明显,全心衰竭时则可左心室都增大,并有肺淤血征象。肺水肿时则见肺门明显充血.呈蝴蝶形模糊阴影。应常规摄片检查,以便随访比较。</span></p><p style=\"text-indent:6px;line-height:150%\"><strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">&nbsp; &nbsp;（五）心电图</span></strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">&nbsp; </span><span style=\"font-size:12px;line-height:150%;font-family:宋体\">心电图上左心室肥人兼有劳损是新发心力衰竭和心力衰竭死亡的不良预后指标.见于5%</span><span style=\"font-size: 12px;line-height:150%;font-family:&#39;MS Mincho&#39;\">〜</span><span style=\"font-size:12px;line-height:150%;font-family:宋体\"> 10%</span><span style=\"font-size:12px;line-height:150%;font-family:宋体\">的高血压患者。当左心室舒张期顺应性下降，左心房 舒张期负荷增加时,心电图可呈现P波增宽、切凹、PV1的 终末电势负值增大等改变。此表现甚至可出现在心电图发现左心室肥大之前。可有心律失常，如房性、室性期前收缩、心房颤动等。</span></p><p style=\"line-height:150%\"><span style=\"font-size: 12px;line-height:150%;font-family:宋体\">&nbsp; &nbsp; &nbsp;<strong>(</strong></span><strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">六）超声心动图</span></strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">&nbsp; </span><span style=\"font-size:12px;line-height:150%;font-family:宋体\">与心电图比较，超声心动图诊断左 心室肥厚更敏感和可靠。可在M型超声曲线或从二维图进行测量.室间隔和（或）左心室后壁厚度&gt; 13mm者为左心室肥厚，左心室重量指数（LVM1)男性&gt;125g/m2,女性 &gt;120g/m2提示左心室肥厚，见于30%的普通患者和90%血压未控制的严重患者。萵血压时左心室肥大是对称性的，但有1/3左右以室间隔肥厚为主（室间隔和左心室后壁厚度比&gt;1.3)。左心室肥厚早期虽然心脏的整体功能如心排血量、左心室射血分数仍属正常，但可有左心室收缩期和 舒张期顺应性的减退，如心肌收缩最大速率（Vmax)下降， 等容舒张期延长、二尖瓣开放延迟等。在出现左心衰竭后. 超声心动图检查可发现左心室、左心房心腔扩大，左心室壁收缩活动减弱等。</span></p><p style=\"line-height: 150%\"><strong><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">&nbsp; &nbsp; (七）动态血压监测</span></strong><strong><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">（</span></strong><strong><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">ABPM</span></strong><strong><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体;letter-spacing: 2px\">)</span></strong><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体;letter-spacing: 2px\">&nbsp; 可观察被测试者24小</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">时的血压变化，一般昼毎15</span><span style=\"font-size: 12px;line-height: 150%;font-family: &#39;MS Mincho&#39;\">〜</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">20分钟，夜间每20</span><span style=\"font-size: 12px;line-height: 150%;font-family: &#39;MS Mincho&#39;\">〜</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">30分 钟测定血压一次.并可将各时问点测得的血压值连成曲线或取不同时段均值观察。本项检杳有助于：①明确高血压<span style=\"letter-spacing:-1px\">的诊断，尤其是“白大衣高血压</span></span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">”</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">（</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">white</span> <span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">coat</span> <span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">hypertension</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体;letter-spacing: -1px\">) </span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">或隐匿<span style=\"letter-spacing:-1px\">性高</span>血压</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">（</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">masked</span> <span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">hypertension</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">)</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">。“隐匿性高血<span style=\"letter-spacing:-2px\">压”与白</span>大衣高血压”相反，是指医师检查时血压正常</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">.</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">而</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">ABPM</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">或家庭自测血压商于正常，该人群的靶器官损害和代谢异常高于正常人群，心血管的危险增加。②了解血压的昼夜变化。可将血压昼夜节<span style=\"letter-spacing:2px\">律分为4种类增：</span></span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">a</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体;letter-spacing: 2px\">.</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体;letter-spacing: 2px\">杓型：</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">夜间血压较日间降低10%</span><span style=\"font-size: 12px;line-height: 150%;font-family: &#39;MS Mincho&#39;\">〜</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">20% ; </span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">b</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">.</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">非<span style=\"letter-spacing: 2px\">杓</span>型：夜间血压下<span style=\"letter-spacing:2px\">降不足</span></span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体;letter-spacing: 2px\">10%;c<span style=\"font-family: 宋体; line-height: 18px;\">.</span></span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">深杓型：夜间血压降低超过</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">20%<sub>;</sub></span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">d</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">.</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">反杓型:夜间血压高于日间血压。杓型者血压仍有昼间高夜间低的特点，约80%高血压患者属此型。而非杓型高血压者，<span style=\"letter-spacing:2px\">夜间血下降不明显</span><span style=\"letter-spacing:-1px\">，一</span>般认为非杓型高血对靶器宫的影响更大，更易发生心血管事件。A</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">BPM</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">还是发现夜间高血压的唯一方法。夜间高血压增加了已经积聚于心血管系统的血压负荷•其预测心血管事件的能力强于白天高血压血和诊所血压。③反映血压变异性</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">（</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">blood</span> <span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">pressure</span> <span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">variability)</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">即一定时间内血压波动的程度。血压变异性的研究主要来自数小时内动态血压监测，但也可在一次临床随诊中间隔数分钟测量或家庭血压监测及临床复诊中间隔数大、数周和数月测量在高血压患者,24小时血压变异独立于平<span style=\"letter-spacing:2px\">均血压和靶器官损害及预后相关，④观察药物的疗效和</span>安全性，评价抗高血压新药，可计算降压的谷/峰比值和平滑<span style=\"letter-spacing: -2px;\">指数</span></span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">（</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">smoorhncss</span> <span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">index</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体;letter-spacing: -1px\">)</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体;letter-spacing: -1px\">，分析高血压约物治疗时出现药 </span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">物抵抗或低血压的原因等</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">ABPM</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">还观察情绪、活动改变时血压的变化以指导治疗。⑤预后的判断。</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">ABPM</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">诊</span><span style=\"font-size:12px;line-height:150%;font-family:宋体;letter-spacing:2px\">断高血压的标准是24小吋</span><span style=\"font-size:12px;line-height:150%;font-family:宋体\">ABPM</span><span style=\"font-size:12px;line-height:150%;font-family:宋体;letter-spacing: 2px\">平均血压&gt;</span><span style=\"font-size:12px;line-height:150%;font-family:宋体;letter-spacing: -1px\"> 130/ 8</span><span style=\"font-size:12px;line-height:150%;font-family:宋体\">0</span><span style=\"font-size: 12px;line-height:150%;font-family:宋体\">mmHg</span><span style=\"font-size: 12px;line-height:150%;font-family:宋体\">，<span style=\"letter-spacing:-1px\">白昼&gt; 135/85</span></span><span style=\"font-size: 12px;line-height:150%;font-family:宋体\">mmHg</span><span style=\"font-size:12px;line-height:150%;font-family:宋体;letter-spacing: -1px\">,</span><span style=\"font-size:12px;line-height:150%;font-family:宋体;letter-spacing:-1px\">夜晚 &gt; 120/75</span><span style=\"font-size:12px;line-height:150%;font-family:宋体\">mmHg</span><span style=\"font-size:12px;line-height:150%;font-family:宋体\">,</span><span style=\"font-size:12px;line-height:150%;font-family:宋体\">但 </span><span style=\"font-size:12px;line-height:150%;font-family:宋体\">ABPM</span><span style=\"font-size:12px;line-height:150%;font-family:宋体\">的实施方法和一些参数的标准尚未统一。</span></p><p style=\"line-height: 150%\"><strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">&nbsp; &nbsp; (</span></strong><strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">八）眼底检查</span></strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">&nbsp; </span><span style=\"font-size:12px;line-height:150%;font-family:宋体\">测视网膜屮心动脉压可见增高，在病情发展的不同阶段可见下列的眼底变化：I级：视网膜动脉痉挛；Ⅱ级A:视网膜动脉轻度硬化：B:视网膜动脉显著 硬化；Ⅲ级：Ⅱ级十视网膜病变（出血或渗出）；IV级：Ⅲ级+ 视神经乳头水肿。</span></p><p style=\"line-height: 150%;\"><strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">&nbsp; &nbsp; (</span></strong><strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">九)其他检查</span></strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">&nbsp; </span><span style=\"font-size:12px;line-height:150%;font-family:宋体\">患者可伴有血清总胆固醇、甘油三酯、低密度脂蛋白胆固醇的増高和高密度脂蛋白胆固醇及载脂蛋白A~1的降低。亦常有血糖增商和高尿酸血症。 部分患者血浆肾素活性、血管紧张素Ⅱ的水平升高。</span></p><p style=\"line-height: 150%; text-align: right;\"><span style=\"font-size:12px;line-height:150%;font-family:宋体\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></span></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3985', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '507', '高血压的危险分层', '<p style=\"line-height: 150%\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">&nbsp; &nbsp; &nbsp;&nbsp;<span style=\"font-size: 12px; text-indent: 24px; line-height: 150%;\">2010年中国高血压防治指南认为高血压是一种“心血管综合征”，因此，对本病的危险分层是为了评估患者的总体心血管风险并指导治疗。本病的分级只考虑血压水平，然而影响本病预后的因素除血压水平外.还有合并其他心血管疾病危险因索，靶器官损害和并存的临床怙况等（表 16-9-2)，因此将血压水平结合上述因素•根据可能出现心血管事件危险性的高低将患者进行危险分层近典临床意 义。2010年中高血压防治指南对尚血压患者的危险性 分层沿用了2005年中国高血压防治指南的分层方法（表 16-9-3)，对指导临床实践很有意义。</span></span></p><p style=\"text-indent: 24px;line-height: 150%\"><span style=\"line-height: 150%; font-size: 12px; font-family: 宋体, SimSun;\">危险分以越萵的患者越应积极治疗。近年来高度重视糖尿病对心血管疾病发生发展的作用，认为该病为冠心病的等危症。</span></p><p style=\"line-height: 150%\"><span style=\"line-height: 150%; font-size: 12px; font-family: 宋体, SimSun;\">根据中医辨证可将本病分为三型：</span></p><p style=\"line-height: 150%\"><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体, SimSun;\">(一）“肝”阳偏盛型 表现为头痛、性情急躁、失眠、口干苦、面红目赤、舌尖边红、苔黄、脉弦有力。</span></p><p style=\"line-height: 150%\"><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体, SimSun;\">(二）“肝”“肾”阴虛型表现为头部空虚感，头痛、眩晕、耳鸣、面部潮红、手足心热、腰膝无力、易怒、心悸、乏力、 失眠、健忘、舌红而干、傅苔或少苔、脉弦细或沉细。</span></p><p style=\"line-height: 150%\"><span style=\"font-size: 12px; line-height: 150%; font-family: 宋体, SimSun;\">(三）阴阳两虛型 表现为严重眩晕，定路觉轻浮无力，面色、心悸、气促、面部或双下肢水肿、夜尿多、记忆力减退、畏寒，肢冷、腰膝酸软、胸闷、呕吐或突然晕倒、舌质白或无苔、脉沉紧。</span></p><p style=\"text-align: center;\"><span style=\"font-size: 12px; letter-spacing: 2px; font-family: 宋体, SimSun;\">表16-9-2影响高血压患者预后的因素</span></p><p><span style=\"letter-spacing: 2px; font-size: 12px; font-family: 宋体, SimSun;\"></span></p><table align=\"center\"><tbody><tr class=\"firstRow\"><td width=\"171\" valign=\"middle\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\" align=\"left\"><span style=\"background-color: rgb(255, 255, 255); font-size: 12px; font-family: 宋体, SimSun;\">心血管疾病的危险因素</span></td><td width=\"171\" valign=\"middle\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\" align=\"left\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\"><span style=\"font-size: 12px; background-color: rgb(255, 255, 255); font-family: 宋体;\">靶器官损害(TOD</span><span style=\"font-size: 12px; background-color: rgb(255, 255, 255); font-family: 宋体; letter-spacing: -1px;\">)</span></span></td><td width=\"171\" valign=\"middle\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\" align=\"left\"><span style=\"letter-spacing: -1px; background-color: rgb(255, 255, 255); font-size: 12px; font-family: 宋体, SimSun;\">糖尿病</span></td><td width=\"171\" valign=\"middle\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\" align=\"left\"><span style=\"font-size: 12px; background-color: rgb(255, 255, 255); font-family: 宋体, SimSun;\">并存的临床情况（ACC)</span></td></tr><tr><td width=\"171\" valign=\"middle\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\" align=\"left\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\"><span style=\"font-size: 12px; background-color: rgb(255, 255, 255); font-family: 宋体;\">收缩压和舒张压的水平（1</span><span style=\"font-size: 12px; background-color: rgb(255, 255, 255); font-family: &quot;MS Mincho&quot;;\">〜</span><span style=\"font-size: 12px; background-color: rgb(255, 255, 255); font-family: 宋体;\">3级）</span></span></td><td width=\"171\" valign=\"middle\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\" align=\"left\"><span style=\"background-color: rgb(255, 255, 255); font-size: 12px; font-family: 宋体, SimSun;\">左心室肥厚</span></td><td width=\"171\" valign=\"middle\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\" align=\"left\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\"><span style=\"font-size: 12px; background-color: rgb(255, 255, 255); font-family: 宋体; letter-spacing: 2px;\">空腹血糖≥7.0</span><span style=\"font-size: 12px; background-color: rgb(255, 255, 255); font-family: 宋体;\">mmol./L<span style=\"font-size: 12px; background-color: rgb(255, 255, 255); font-family: 宋体; letter-spacing: -1px;\">(126</span><span style=\"font-size: 12px; background-color: rgb(255, 255, 255); font-family: 宋体;\">mg</span><span style=\"font-size: 12px; background-color: rgb(255, 255, 255); font-family: 宋体; letter-spacing: -1px;\">/</span><span style=\"font-size: 12px; background-color: rgb(255, 255, 255); font-family: 宋体;\">dl</span><span style=\"font-size: 12px; background-color: rgb(255, 255, 255); font-family: 宋体; letter-spacing: -1px;\">)</span></span></span></td><td width=\"171\" valign=\"middle\" align=\"left\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">脑血管病</span></td></tr><tr><td width=\"186\" valign=\"middle\" style=\"background: white; padding: 0px; border-width: 1px; border-style: solid;\" align=\"left\"><p style=\"line-height: 12px\"><span style=\"letter-spacing: 2px; font-size: 12px; font-family: 宋体, SimSun;\">男性&gt;55岁</span></p></td><td width=\"182\" valign=\"middle\" style=\"background: white; padding: 0px; word-break: break-all; border-width: 1px; border-style: solid;\" align=\"left\"><p style=\"line-height: 12px\"><span style=\"background-color: rgb(255, 255, 255); font-size: 12px; font-family: 宋体, SimSun;\">心电图</span></p></td><td width=\"161\" valign=\"middle\" style=\"background: white; padding: 0px; word-break: break-all; border-width: 1px; border-style: solid;\" align=\"left\"><p style=\"line-height: 12px\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">餐后血糖≥11.lmmol/L（<span style=\"font-size: 12px; background-color: rgb(255, 255, 255); font-family: 宋体;\">(200mg/dl)</span>）</span></p></td><td width=\"138\" valign=\"middle\" style=\"background: white; padding: 0px; word-break: break-all; border-width: 1px; border-style: solid;\" align=\"left\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">脑缺血性卒中</span></td></tr><tr><td width=\"186\" valign=\"middle\" style=\"background: white; padding: 0px; word-break: break-all; border-width: 1px; border-style: solid;\" align=\"left\"><p style=\"line-height: 12px\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">女性＞65岁<br/></span></p></td><td width=\"182\" valign=\"middle\" style=\"background: white; padding: 0px; border-width: 1px; border-style: solid;\" align=\"left\"><p style=\"line-height: 12px\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">超声心动图：LVMI或X线</span></p></td><td width=\"161\" valign=\"middle\" style=\"background: white; padding: 0px; word-break: break-all; border-width: 1px; border-style: solid;\" align=\"left\"><br/></td><td width=\"138\" valign=\"middle\" style=\"background: white; padding: 0px; word-break: break-all; border-width: 1px; border-style: solid;\" align=\"left\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">脑出血</span></td></tr><tr><td width=\"171\" valign=\"middle\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\" align=\"left\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">吸烟</span></td><td width=\"171\" valign=\"middle\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\" align=\"left\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">动脉壁増厚</span></td><td width=\"171\" valign=\"middle\" align=\"left\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td width=\"171\" valign=\"middle\" align=\"left\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\"><span style=\"letter-spacing: 1.5pt; font-size: 12px; font-family: 宋体, SimSun;\">短暂性脑缺血发作</span></td></tr><tr><td width=\"171\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">血脂异常</span></td><td width=\"171\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\"><span style=\"font-size: 12px; font-family: 宋体; letter-spacing: 2px;\">颈动脉超声</span><span style=\"font-size: 12px; font-family: 宋体;\">IMT</span><span style=\"font-size: 12px; font-family: 宋体; letter-spacing: 2px;\">&gt; 0.9 </span><span style=\"font-size: 12px; font-family: 宋体;\">mm</span><span style=\"font-size: 9pt; font-family: 宋体; letter-spacing: 1.5pt;\">或动脉粥样硬化性斑块</span><span style=\"font-size: 9pt; font-family: 宋体;\">的超声表现</span></span></td><td width=\"171\" valign=\"top\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td width=\"171\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">心脏疾病</span></td></tr><tr><td width=\"171\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\"><p><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">总胆固醇＞5.7mmol/L(220mg.d)<span style=\"font-size: 9pt; font-family: 宋体; letter-spacing: 1.5pt;\">或低密度脂蛋白胆固醇&gt;</span><span style=\"font-size: 12px; font-family: 宋体;\">3.6mmol/L(140mg/dl)</span><span style=\"font-size: 9pt; font-family: 宋体; letter-spacing: 1.5pt;\">或高密度脂蛋白胆固醇&lt;</span><span style=\"font-size: 12px; font-family: 宋体;\">1.0rnmol/L( 40mg/cll)</span></span></p><p><br/></p></td><td width=\"171\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">血淸肌酐轻度升高</span></td><td width=\"171\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\"><br/></td><td width=\"171\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">心肌梗死</span></td></tr><tr><td width=\"171\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">早发心血管病家族史</span></td><td width=\"171\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\"><span style=\"font-size: 12px; font-family: 宋体; letter-spacing: 2px;\">男性 115 </span><span style=\"font-size: 12px; font-family: &quot;MS Mincho&quot;; letter-spacing: -1px;\">〜</span><span style=\"font-size: 12px; font-family: 宋体; letter-spacing: -1px;\">133u</span><span style=\"font-size: 12px; font-family: 宋体;\">mol/L(1. 3~1. 5mg/dl)</span></span></td><td width=\"171\" valign=\"top\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td width=\"171\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">心绞痛</span></td></tr><tr><td width=\"171\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\"><span style=\"letter-spacing: 1.5pt; font-size: 12px; font-family: 宋体, SimSun;\">一级亲厲50岁前心血管病史</span></td><td width=\"171\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\"><span style=\"font-size: 12px; font-family: 宋体; letter-spacing: 2px;\">女性 107</span><span style=\"font-size: 12px; font-family: &quot;MS Mincho&quot;; letter-spacing: -1px;\">〜</span><span style=\"font-size: 12px; font-family: 宋体; letter-spacing: -1px;\">124u</span><span style=\"font-size: 12px; font-family: 宋体;\">mol/L(1. 2</span><span style=\"font-size: 12px; font-family: &quot;MS Mincho&quot;;\">〜</span><span style=\"font-size: 12px; font-family: 宋体;\">1.4mg/dl)</span></span></td><td width=\"171\" valign=\"top\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td width=\"171\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">冠状动脉血运重建</span></td></tr><tr><td width=\"171\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">腹型肥胖或肥肿</span></td><td width=\"171\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">微量白蛋白尿</span></td><td width=\"171\" valign=\"top\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td width=\"171\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">充血性心力衰竭</span></td></tr><tr><td width=\"171\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">腹型肥胖腰围男性≥85cm；<span style=\"font-size: 12px; font-family: 宋体;\">女性≥80cm</span></span></td><td width=\"171\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\"><span style=\"font-size: 12px; font-family: 宋体;\">尿白蛋白30</span><span style=\"font-size: 12px; font-family: &quot;MS Mincho&quot;;\">〜</span><span style=\"font-size: 12px; font-family: 宋体;\">300mg/24h</span></span></td><td width=\"171\" valign=\"top\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td width=\"171\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">肾脏疾病</span></td></tr><tr><td width=\"171\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\"><span style=\"font-size: 12px; font-family: 宋体;\">肥胖BMI≥28kg/m</span><sup><span style=\"font-size: 12px; font-family: 宋体;\">2</span></sup></span></td><td width=\"171\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\"><span style=\"font-size: 9pt; font-family: 宋体;\">白蛋白/肌酐比:</span><span style=\"font-size: 12px; font-family: 宋体;\">男性 &gt; 22mg/g ( 2. 5mg/mmol)</span>;<span style=\"font-size: 12px; font-family: 宋体;\">女性 &gt; 31mg</span> <span style=\"font-size: 12px; font-family: 宋体;\">g ( 3. 5mg/mmol)</span></span></td><td width=\"171\" valign=\"top\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td width=\"171\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">糖尿病肾病</span></td></tr><tr><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-width: 1px; word-break: break-all; border-style: solid;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">缺乏体力活动</span></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-width: 1px; word-break: break-all; border-style: solid;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">肾功能受损（血淸肌酐）</span></td></tr><tr><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-width: 1px; word-break: break-all; border-style: solid;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">高敏C反应蛋白≥3mg/L或C反应蛋白≥ 10 mg/L</span></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-width: 1px; word-break: break-all; border-style: solid;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\"><span style=\"font-size: 12px; font-family: 宋体;\">男性&gt;133umol</span> <span style=\"font-size: 12px; font-family: 宋体;\">L(1. 5mg/dl)</span></span></td></tr><tr><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-width: 1px; word-break: break-all; border-style: solid;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\"><span style=\"font-size: 12px; font-family: 宋体;\">女性&gt;124urnol</span> <span style=\"font-size: 12px; font-family: 宋体;\">L(1. 4mg/dl)</span></span></td></tr><tr><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\"><span style=\"font-size: 12px; font-family: 宋体; letter-spacing: -1px;\">蛋白尿：&gt;300</span><span style=\"font-size: 12px; font-family: 宋体;\">mg</span><span style=\"font-size: 12px; font-family: 宋体; letter-spacing: -1px;\">24/</span><span style=\"font-size: 12px; font-family: 宋体;\">h</span></span></td></tr><tr><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">外周血管疾病</span></td></tr><tr><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\"><span style=\"font-size: 9pt; font-family: 宋体; letter-spacing: 1.5pt;\">视网股病变：出血或渗</span><span style=\"font-size: 9pt; font-family: 宋体;\">出.视乳头水肿</span></span></td></tr></tbody></table><p style=\"text-align: center;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\"><span style=\"font-size: 12px; text-align: center; font-family: 宋体; letter-spacing: -1px;\">表16-9-3</span><span style=\"font-family: 宋体, SimSun; font-size: 12px; text-align: center;\">&nbsp;</span><span style=\"font-size: 12px; text-align: center; font-family: 宋体;\">2010年中国高血压防治指南对高血压患者的危险分层</span></span></p><table width=\"-153\"><tbody><tr class=\"firstRow\"><td width=\"132\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">其他危险因素和病史</span></td><td width=\"132\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><p><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">1级</span></p><p><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">SBP140~159mmHg或DBP90~99mmHg</span></p></td><td width=\"132\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><p><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">2级</span></p><p><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">SBP160~179mmHg或DBP100~109mmHg</span></p></td><td width=\"132\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><p><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">3级</span></p><p><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">SBP＞180mmHg或DBP≥110mmHg</span></p></td></tr><tr><td width=\"132\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">Ⅰ无其他因素和病史</span></td><td width=\"132\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">低危</span></td><td width=\"132\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">中危</span></td><td width=\"132\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">高危</span></td></tr><tr><td width=\"132\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">Ⅱ1~2个危险因素</span></td><td width=\"132\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">中危</span></td><td width=\"132\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">中危</span></td><td width=\"132\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">很高危</span></td></tr><tr><td width=\"132\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">Ⅲ＞3个危险因素、靶器官损伤或糖尿病</span></td><td width=\"132\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">高危</span></td><td width=\"132\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">高危</span></td><td width=\"132\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">很高危</span></td></tr><tr><td width=\"132\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">Ⅳ并存临床情况</span></td><td width=\"132\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">很高危</span></td><td width=\"132\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">很高危</span></td><td width=\"132\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">很高危</span></td></tr></tbody></table><p style=\"text-align: center;\"><br/></p><p><span style=\"font-size: 12px; font-family: 宋体, SimSun;\"></span></p><p style=\"line-height: 16px;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\">注：高血压明确诊断后10年内发生主要心血管病事件危险的可能性：低危组＜15%；中危组15~20%；高危组20~30%；很高危组则≥30%<br/></span></p><p style=\"line-height: 16px; text-align: right;\"><span style=\"font-size: 12px; font-family: 宋体, SimSun;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></span></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3986', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '507', '诊断与鉴别诊断', '<p style=\"line-height: 150%\"><br/></p><p style=\"text-indent: 24px;line-height: 150%\"><span style=\"font-size:12px;line-height:150%;font-family:宋体\">高血压诊断应包括以下内容:①确诊高血压，即血压是否确实高于正常;②除外症状性高血压；③评估患者出现心血管事件的危险程度。由于血压的波动性，应至少两次在非同日静息状态下测得血压升高时方可诊断高血压，而血压值应以连续测量三次的平均值计,须注意情绪激动、体力活动时会引起一时性的血压升高,被测者手臂过粗周径大于35cm时，明显动脉粥样硬化者气袖法测得的血压可高于实际血压。</span></p><p style=\"text-indent: 24px;line-height: 150%\"><span style=\"font-size:12px;line-height:150%;font-family:宋体\">家庭自测血压有重复性的特点，在评估血压水平、日间及昼夜变化和指导降压治疗上已成为诊所血压的重要补充，近年为世界卫生组织所推荐。--般使用符合国际标准的上臂式全自动或半自动电子血压计，在固定时段测量血压。家庭自测血压的高血压标准为i35/85mmHg。</span></p><p style=\"text-indent: 24px;line-height: 150%\"><span style=\"font-size:12px;line-height:150%;font-family:宋体\">近年来“白大衣高血压”、“隐匿性高血压”和“假性高血压”，备受关注。白大衣高血压的发生率各家报道不一，约30 %,动态血压监测或家庭血压测定可明确沴断。隐 匿性高血压的发生率10 %</span><span style=\"font-size:12px;line-height:150%;font-family:&#39;MS Mincho&#39;\">〜</span><span style=\"font-size:12px;line-height:150%;font-family:宋体\">30%</span><span style=\"font-size:12px;line-height:150%;font-family:宋体\">，预后较白大衣高血压为差，对临床有靶器官损害而诊所血压正常的患者应考虑隐匿性高血压的可能，并行动态血压监测或家庭血压测定以明确沴断。假性高血压见于肱动脉明显硬化的老年人，即使气囊施加很高的压力也不能阻断肱动脉的血流，因此袖带血压水平高于肱动脉内直接测量值。在袖带血压读书高而无高血压性视网膜病变、心肌肥厚或长期高血压证据的患者，应怀疑假性高血压的存在。如实施降压治疗，在无过多的血压下降时往往会产生头晕、乏力等低血压的症状。</span></p><p style=\"text-indent: 24px; line-height: 150%;\"><span style=\"font-size:12px;line-height:150%;font-family:宋体\">对突然发生明显高血压（尤其是青年人），高血压时伴有心悸、多汗、乏力或其他一些高血压不常见的症状，上下肢血压明显不一致，腹部、腰部有血管杂音的患者应考虑继发性高血压的可能性，需作进一步的检查以鉴别。此外，也要注意与主动脉硬化、高动力循环状态、心排血量增高时所致的收缩期高血压相鉴别。</span></p><p style=\"text-indent: 24px; line-height: 150%; text-align: right;\"><span style=\"font-size:12px;line-height:150%;font-family:宋体\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></span></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3987', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '507', '治疗', '<p style=\"text-indent: 24px;line-height: 150%\"><strong><span style=\"font-size:12px;line-height:150%;font-family: 宋体\">(</span></strong><strong><span style=\"font-size:12px;line-height: 150%;font-family:宋体\">—)治疗目的和疗效指</span></strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">标&nbsp; 高血压是心、脑、肾和周围血管等靶器官损害的主要危险因素.治疗原发性高血压的最终目的是减少这些靶器管的损害及其相关的事件和死亡。近年的大样本临床试验结果显示.将高血压患者的血压控制在合适的水平（140/90mmHg或以下）并长期 维持，可以减少心脑血管事件及其相关死亡。因此，心脑 血管事件(心肌梗死、脑卒中以及心血病死亡也称“硬终点”）的发生率是评价抗血压治疗有效性的主要指标。</span></p><p style=\"text-indent: 24px;line-height: 150%\"><span style=\"font-size:12px;line-height:150%;font-family:宋体\">作为一种慢性病，多数高血压患者在短期内发生心血管事件概率较低，因此需要大宗病例和历时多年的临床试验才能有足够的统计学把握度来确认这些“硬终点”是杏减少。已有临床试验结果的分析发现抗高血压治疗后患者血压的下降与心血管事件的减少有良好的相关性，因此目前将治疗后的血压下降作为抗高血压治疗有效性的“替代指标”。</span></p><p style=\"text-indent: 24px;line-height: 150%\"><strong><span style=\"font-size:12px;line-height:150%;font-family: 宋体\">(</span></strong><strong><span style=\"font-size:12px;line-height: 150%;font-family:宋体\">二）改善生活方式</span></strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">&nbsp; </span><span style=\"font-size:12px;line-height:150%;font-family:宋体\">适用于所有高血压患者(包括正常高值血压)，并应贯彻于高血压防治的全过程。主耍措施包括:减少钠盐摄人（WHO推柞每日食盐摄人量应少于5g），增加钾盐摄入；合埋膳食（多吃蔬菜水果.少吃动物脂肪）；控制体重(包拈控制能量摄人和増加休力活动，重度肥胖者应在医师指导下减肥)；戒烟；限制饮酒；体育运动（中等以下强度，每周3~5次，每次30分钟）；减轻精神压力，保持心理平衡。</span></p><p style=\"text-indent: 24px;line-height: 150%\"><strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">（三）抗高血压药物治疗</span></strong></p><p style=\"text-indent: 24px;line-height: 150%\"><span style=\"font-size: 12px;line-height:150%;font-family:宋体\">1.</span><span style=\"font-size: 12px;line-height:150%;font-family:宋体\">常用抗高血压药&nbsp; 抗高血压药物发展迅速。目前常用的一线降压物宥5类:钙通道阻断药(CCB)、血管紧张素转换酶抑制剂（ACEI)、血管紧张索Ⅱ受体阻断药(ARB)、利尿药和β受体阻断药。二线降压药尚有a受体阻断药、中枢和周围交感神经抑制剂、节后交感神经抑制剂，以及直接血宵扩张剂等。肾索抑制剂是新出现的抗高血压药，亦已进人试验性临床应用。表16-9-4列出目前常用的各种口服抗高血压药及其特点。</span></p><p style=\"text-indent: 24px;line-height: 150%\"><span style=\"font-size: 12px;line-height:150%;font-family:宋体\">2.</span><span style=\"font-size: 12px;line-height:150%;font-family:宋体\">药物治疗指征&nbsp; 慢性高血压的抗高血药物治疗是控制血压、减少靶器宵损害和预防心血管事件的重要手段。在开始药物治疗前，首先要对临床发现血压增高者进行正确的诊断和评估，包栝：①血压升高的持续时间（是持续增高还是受到临时因索的膨响而增高）及其增高程度，如患者已经在服用降压药，还要考虑药物的影响；②排除继发性高血压；③确定有无靶器官损害及其程度;④识別响.无影响高血压患者发生远期心、脑、肾等事件的其他危险因素及疾病存在。据此对高血压患者的心血管事件风险作出个面评估（即危险分层）。目前认为，高血压患者药物治疗的启动与否应当根据患者的危险分层(而不是仅凭患者的血压水平)来决定•这是因为治疗高血压减少患者心血管事件的风险，而不仅仅为了控制血压。因此，主:张：①对危险分为高危、很卨危的高血压患者，一旦确诊，应立即幵始降压治疗，同时对并存的其他心血管病危险因素和临床情况进行综合治疗。包括：所有3级高血压患者（不管有无其他危险因素、靶器官损害、临床并发症或合并糖尿病）以及伴有≥3个高血压以外的其他危险因索或靶器官损害、临床并发症或合并糖尿病的1、2级高血压患者。②对危险分层为中危的高血压患者，应先对其血压进行数周观察，并评佔靶器官损害情况，然后决定足否开始药物治疗。包括：1、2 级高血压患者屮无其他危险因索或仅有1</span><span style=\"font-size:12px;line-height:150%;font-family:&#39;MS Mincho&#39;,serif\">〜</span><span style=\"font-size:12px;line-height:150%;font-family:宋体\">2</span><span style=\"font-size:12px;line-height: 150%;font-family:宋体\">个其他危险因素者。③对危险分层为低危的高血者，应先对忠者 进行较长时间（如3</span><span style=\"font-size:12px;line-height:150%;font-family:&#39;MS Mincho&#39;,serif\">〜</span><span style=\"font-size:12px;line-height:150%;font-family:宋体\">6</span><span style=\"font-size:12px;line-height: 150%;font-family:宋体\">个月）的观察，反复测量血压，评估 靶器官损害情况，然后决定是否以及何时开始药物治包括：1、2级高血压患者中无其他危险因素或仅有1</span><span style=\"font-size:12px;line-height:150%;font-family:&#39;MS Mincho&#39;,serif\">〜</span><span style=\"font-size:12px;line-height:150%;font-family:宋体\">2</span><span style=\"font-size:12px;line-height:150%;font-family:宋体\">个其他危险因索者。</span></p><p style=\"text-indent: 24px;line-height: 150%\"><span style=\"font-size: 12px;line-height:150%;font-family:宋体\">3.</span><span style=\"font-size: 12px;line-height:150%;font-family:宋体\">目标血压&nbsp; 关于原发性卨血压患者长期降压治疗应达到的目标血压水平，由于血压与心血管病危险之间里呈连续性相关，因此并没有最低血压阈值的存扑在。根据现荷 临床试验的证据，从治疗得益（减少硬终点）和安全性的角度考虑，冃前将普通高血压患者的目标血压定为140/90mmHg以下.伴有糖尿病或肾病的总血压患者定为130/ 80mmHg以下，老年人收缩压定为150mmHg以下 ,如能耐受，还可以进一步降低。在整体上，提尚高血压患者的血压达标率是降低高血压人群心血管事件的最主要途径；在个体治疗方案的制订上.应当结合患者的具体病情和对降压治疗的耐受性进行调整。</span></p><p style=\"text-indent: 24px;line-height: 150%\"><span style=\"font-size: 12px;line-height:150%;font-family:宋体\">4.</span><span style=\"font-size: 12px;line-height:150%;font-family:宋体\">抗高血压药物的选择原则&nbsp; 大量临床随机对照试验的结果表明，抗高血压治疗的主要得益来自降压本身，目 前常用的一线抗高血旭都能有效地降低血和减少心血管事件•同此，都能作为降压治疗的初始用药和维持用药单用或互相联合）。主治医师应当熟悉常用抗高血压药物的药理特性（表16-9-4).结合“高血压患者的病史（并发症和降压药物的使用经验）、生理和病理生理特点、危险分层的情况，选择具体的抗高血压药物及其起始剂量。</span></p><p style=\"text-align: center;\"><span style=\"font-family: 宋体\">表</span>16-9-4 <span style=\"font-family:宋体\">常用抗高血压药及其特点</span></p><table width=\"0\" style=\"width: 729px;\"><tbody><tr style=\";height:29px\" class=\"firstRow\"><td width=\"47\" valign=\"top\" style=\"border-width: 1px; border-color: windowtext; padding: 0px 7px; border-style: solid;\"><br/></td><td width=\"47\" valign=\"top\" style=\"border-width: 1px; border-top-color: windowtext; border-right-color: windowtext; border-bottom-color: windowtext; border-style: solid; border-left-color: initial; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">类别</span></p></td><td width=\"66\" valign=\"top\" style=\"border-width: 1px; border-top-color: windowtext; border-right-color: windowtext; border-bottom-color: windowtext; border-style: solid; border-left-color: initial; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">作用机制</span></p></td><td width=\"104\" valign=\"top\" style=\"border-width: 1px; border-top-color: windowtext; border-right-color: windowtext; border-bottom-color: windowtext; border-style: solid; border-left-color: initial; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">给药方法</span></p></td><td width=\"66\" valign=\"top\" style=\"border-width: 1px; border-top-color: windowtext; border-right-color: windowtext; border-bottom-color: windowtext; border-style: solid; border-left-color: initial; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">降压作用</span></p></td><td width=\"104\" valign=\"top\" style=\"border-width: 1px; border-top-color: windowtext; border-right-color: windowtext; border-bottom-color: windowtext; border-style: solid; border-left-color: initial; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">不良反应</span></p></td><td width=\"85\" valign=\"top\" style=\"border-width: 1px; border-top-color: windowtext; border-right-color: windowtext; border-bottom-color: windowtext; border-style: solid; border-left-color: initial; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">临床应用</span></p></td><td width=\"85\" valign=\"top\" style=\"border-width: 1px; border-top-color: windowtext; border-right-color: windowtext; border-bottom-color: windowtext; border-style: solid; border-left-color: initial; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">禁忌症</span></p></td><td width=\"132\" valign=\"top\" style=\"border-width: 1px; border-top-color: windowtext; border-right-color: windowtext; border-bottom-color: windowtext; border-style: solid; border-left-color: initial; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">药物相互作用</span></p></td></tr><tr style=\";height:29px\"><td width=\"47\" rowspan=\"4\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p style=\"text-align:center\"><span style=\"font-size: 12px;font-family: 宋体\">利尿药</span></p></td><td width=\"47\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">噻嗪类</span></p></td><td width=\"66\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">通过抑制肾远曲小管起始段对钠和氯的重吸收使血浆和细胞外液容量减少、心排血量降低而降低血压。连续给药数周后</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">机体自身代偿使血浆容量部分恢复</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">此时降压作用与其降低周围血管阻力有关</span></p></td><td width=\"104\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">氢氯噻</span><span style=\"font-size: 12px\">6.25~25mg/</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">,1</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">氯噻酮</span><span style=\"font-size: 12px\">12.5~25mg/</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">,1</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">吲哒帕胺</span><span style=\"font-size: 12px\">0.625~2.5mg/</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">,1</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">关吲哒帕胺缓释片</span><span style=\"font-size: 12px\">1.5mg/</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">,1</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p></td><td width=\"66\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">单用小剂量每天一次均能有效降压。氢氯噻嗪作用达峰时间</span><span style=\"font-size: 12px\">2</span><span style=\"font-size: 12px;font-family: 宋体\">小时</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">半衰期</span><span style=\"font-size: 12px\">2..5</span><span style=\"font-size: 12px;font-family: 宋体\">小时</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">肾病、心衰和老年人延长。氯噻酮作用达峰时间</span><span style=\"font-size: 12px\">13.8</span><span style=\"font-size: 12px;font-family: 宋体\">小时</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">半衰期</span><span style=\"font-size: 12px\">47</span><span style=\"font-size: 12px;font-family: 宋体\">±</span><span style=\"font-size: 12px\">22</span><span style=\"font-size: 12px;font-family: 宋体\">小时</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">老年人延长</span></p></td><td width=\"104\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">包括</span><span style=\"font-size: 12px\">:①</span><span style=\"font-size: 12px;font-family: 宋体\">血容量不足和低钠血症</span><span style=\"font-size: 12px\">;②</span><span style=\"font-size: 12px;font-family: 宋体\">低血钾</span><span style=\"font-size: 12px\">;③</span><span style=\"font-size: 12px;font-family: 宋体\">升高空腹血糖</span><span style=\"font-size: 12px\">;④</span><span style=\"font-size: 12px;font-family: 宋体\">性功能减退</span><span style=\"font-size: 12px\">;⑤</span><span style=\"font-size: 12px;font-family: 宋体\">血尿酸增高。发生率与剂量有关</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">使用小剂量可使不良反应明显减少</span></p></td><td width=\"85\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">氢氯噻嗪是我国最常用的降压药之一</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">价格低廉</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">可单用或与其他降压药合用</span><span style=\"font-size: 12px\">(</span><span style=\"font-size: 12px;font-family: 宋体\">更多</span><span style=\"font-size: 12px\">)</span><span style=\"font-size: 12px;font-family: 宋体\">。尤其适用于老年人、单纯收缩期高血压或伴有心力衰竭者</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">也是治疗难治性高血压的基础药物</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">虽然氯噻酮有较多临床试验显示其减少心血管事件的有效性</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">但临床实践中使用远少于氢氯噻嗪</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">临床试验证实吲哒帕胺能显著减少脑卒中再发风险</span></p></td><td width=\"85\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">对噻嗪类利尿药和磺胺药过敏者</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">低钾者和原发性醛固酮增多症患者禁用</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">糖尿病患者和有痛风史、高血钙者慎用</span></p></td><td width=\"132\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">氢氯噻嗪和氯噻酮常与其他降压药合用</span><span style=\"font-size: 12px\">:ACEI</span><span style=\"font-size: 12px;font-family: 宋体\">、</span><span style=\"font-size: 12px\">ARB</span><span style=\"font-size: 12px;font-family: 宋体\">、钙通道阻断药等</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">可增强降压作用</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">吲哒帕胺与</span><span style=\"font-size: 12px\">ACEI</span><span style=\"font-size: 12px;font-family: 宋体\">合用在临床试验中被证实能预防脑卒中复发</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">非甾体类抗炎药能减弱噻嗪类的降压作用</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">后者与</span><span style=\"font-size: 12px\">β</span><span style=\"font-size: 12px;font-family: 宋体\">受体阻断药合用可增加疲乏感和嗜睡的副作用</span></p></td></tr><tr style=\";height:29px\"><td width=\"47\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">保钾利尿药剂</span></p></td><td width=\"66\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">直接抑制肾远曲小管上皮钠通道对钠的重吸收</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">降低小管腔内负电位</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">从而减少钾、氢离子分泌和排泄</span></p></td><td width=\"104\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">氨苯蝶啶</span><span style=\"font-size: 12px\">25~100mg/d,</span><span style=\"font-size: 12px;font-family: 宋体\">分</span><span style=\"font-size: 12px\">1~2</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">阿米洛利</span><span style=\"font-size: 12px\">5~10mg/d,</span><span style=\"font-size: 12px;font-family: 宋体\">分</span><span style=\"font-size: 12px\">1~2</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p></td><td width=\"66\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">氨苯蝶啶作用达峰时间</span><span style=\"font-size: 12px\">2.9</span><span style=\"font-size: 12px;font-family: 宋体\">小时</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">半衰期</span><span style=\"font-size: 12px\">4.2</span><span style=\"font-size: 12px;font-family: 宋体\">±</span><span style=\"font-size: 12px\">0.7</span><span style=\"font-size: 12px;font-family: 宋体\">小时</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">肾病患者延长</span></p></td><td width=\"104\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">最常见的不良反应是恶心和皮疹</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">高血钾是最严重的反应。老年人合用氢氯噻嗪可出现低钠血症</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">氨苯蝶啶可于尿中析出</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">可能会诱发肾结石</span></p><p><span style=\"font-size: 12px\">&nbsp;</span></p></td><td width=\"85\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">通常与噻嗪类利尿药联合降压。阿米洛利也用于治疗不能耐受螺内酯的醛固酮增多症患者的高血压</span></p></td><td width=\"85\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">伴有糖尿病、肾功能不全的患者</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">以及正在服用</span><span style=\"font-size: 12px\">ACEI</span><span style=\"font-size: 12px;font-family: 宋体\">和钾盐补充治疗者慎用本药。痛风患者禁用。孕妇忌用</span></p></td><td width=\"132\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">常与噻嗪类或袢利尿药合用</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">以减少后者的排钾作用</span></p></td></tr><tr style=\";height:29px\"><td width=\"47\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">盐皮质激素受体抑制剂</span></p></td><td width=\"66\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">竞争性结合肾远曲小管远段和集合管上皮细胞的盐皮质类固醇受体</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">抑制醛固酮的生理作用</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">依普利酮阻断盐皮质类固醇受体的作用与螺内酯相仿</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">但对雄激素和孕激素的阻断作用更小</span></p></td><td width=\"104\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">螺内酯</span><span style=\"font-size: 12px\">20~60mg/d,</span><span style=\"font-size: 12px;font-family: 宋体\">分</span><span style=\"font-size: 12px\">1~3</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">依普利酮</span><span style=\"font-size: 12px\">50~100mg/d,</span><span style=\"font-size: 12px;font-family: 宋体\">分</span><span style=\"font-size: 12px\">1~2</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p></td><td width=\"66\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">螺内酯作用达峰时间</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">小时</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">半衰期</span><span style=\"font-size: 12px\">1.3±0.3</span><span style=\"font-size: 12px;font-family: 宋体\">小时</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">依普利酮达峰时间</span><span style=\"font-size: 12px\">1.8±0.7</span><span style=\"font-size: 12px;font-family: 宋体\">小时</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">半衰期</span><span style=\"font-size: 12px\">4~6</span><span style=\"font-size: 12px;font-family: 宋体\">小时</span></p></td><td width=\"104\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">血钾增高、男性乳房发育</span><span style=\"font-size: 12px\">(</span><span style=\"font-size: 12px;font-family: 宋体\">螺内酯</span><span style=\"font-size: 12px\">)</span></p></td><td width=\"85\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">单独或与噻嗪类利尿药合用治疗高血压</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">治疗双侧肾上腺皮质增生所致的醛固酮增多症。也用于治疗难治性高血压。对低血浆肾素和醛固酮水平较高的患者降压作用更强</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">依普利酮能有效地降低轻中度高血压患者的血压</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">尤其适用于合并心功能不全者</span></p></td><td width=\"85\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">高血钾和肾功能不全者禁用</span></p></td><td width=\"132\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">同上</span></p></td></tr><tr style=\";height:29px\"><td width=\"47\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">袢利尿药</span></p></td><td width=\"66\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">主要通过抑制肾小管髓袢升支粗段钠、钾、氯转运系统阻断氯的重吸收</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">利尿作用较噻嗪类利尿药强而迅速</span></p></td><td width=\"104\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">呋塞米</span><span style=\"font-size: 12px\">20~80mg/d,</span><span style=\"font-size: 12px;font-family: 宋体\">分</span><span style=\"font-size: 12px\">1~2</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">托拉塞米</span><span style=\"font-size: 12px\">2.5~10mg,1</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p></td><td width=\"66\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">呋塞米达峰时间</span><span style=\"font-size: 12px\">1.4±0.8</span><span style=\"font-size: 12px;font-family: 宋体\">小时</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">半衰期</span><span style=\"font-size: 12px\">1.3±0.8</span><span style=\"font-size: 12px;font-family: 宋体\">小时</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">托拉塞米作用持续可达</span><span style=\"font-size: 12px\">12</span><span style=\"font-size: 12px;font-family: 宋体\">小时</span></p></td><td width=\"104\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">与噻嗪类利尿药相似。过度利尿可致低血压、低血钾。短效袢利尿药</span><span style=\"font-size: 12px\">(</span><span style=\"font-size: 12px;font-family: 宋体\">呋塞米</span><span style=\"font-size: 12px\">)</span><span style=\"font-size: 12px;font-family: 宋体\">对代谢的影响小于长效制剂</span></p></td><td width=\"85\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">降压作用与噻嗪类利尿药相仿</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">适用于高血压伴有充血性心衰、其他原因引起的水肿及肾功能不全等情况。</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">托拉塞米作用维持时间较长</span><span style=\"font-size: 12px\">(</span><span style=\"font-size: 12px;font-family: 宋体\">可达</span><span style=\"font-size: 12px\">12</span><span style=\"font-size: 12px;font-family: 宋体\">小时</span><span style=\"font-size: 12px\">)</span></p></td><td width=\"85\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">高尿酸血症、原发性醛固酮增多症</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">增加尿钙排泄</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">不适用于骨质疏松症患者</span></p></td><td width=\"132\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">影响前列腺素合成的药物</span><span style=\"font-size: 12px\">(</span><span style=\"font-size: 12px;font-family: 宋体\">如非甾体类抗炎药</span><span style=\"font-size: 12px\">)</span><span style=\"font-size: 12px;font-family: 宋体\">可减弱本品的利尿作用</span></p></td></tr><tr style=\";height:29px\"><td width=\"47\" rowspan=\"9\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">肾上腺能受体阻断药</span></p></td><td width=\"47\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">β受体阻断药</span></p></td><td width=\"66\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">竞争性抑制交感神经</span><span style=\"font-size: 12px\">β</span><span style=\"font-size: 12px;font-family: 宋体\">肾上腺素能受体</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">影响调节血压的多种功能</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">包括降低心排血量、抑制肾素释放、减少中枢交感传出兴奋</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">以及抑制突触前儿茶酚胺释放等。给药后心排血量先降低</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">而后维持稍低水平</span><span style=\"font-size: 12px\">;</span><span style=\"font-size: 12px;font-family: 宋体\">周围血管阻力先增高</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">后恢复正常</span></p></td><td width=\"104\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">阿替洛尔</span><span style=\"font-size: 12px\">12.5~50mg/d,</span><span style=\"font-size: 12px;font-family: 宋体\">分</span><span style=\"font-size: 12px\">1~2</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">美托洛尔平片</span><span style=\"font-size: 12px\">12.5~50mg/</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">,2</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">美托洛尔缓释片</span><span style=\"font-size: 12px\">47.5~190mg,1</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">比索洛尔</span><span style=\"font-size: 12px\">2.5~10mg,1</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">普萘洛尔</span><span style=\"font-size: 12px\">20~90mg/d,</span><span style=\"font-size: 12px;font-family: 宋体\">分</span><span style=\"font-size: 12px\">2~3</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">倍他洛尔</span><span style=\"font-size: 12px\">5~20mg/</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">,1</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p></td><td width=\"66\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">降压作用缓慢</span><span style=\"font-size: 12px\">,1~2</span><span style=\"font-size: 12px;font-family: 宋体\">周内起效。阿替洛尔达峰时间</span><span style=\"font-size: 12px\">3.3±1.3</span><span style=\"font-size: 12px;font-family: 宋体\">小时</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">半衰期</span><span style=\"font-size: 12px\">6.1±2</span><span style=\"font-size: 12px;font-family: 宋体\">小时。美托洛尔平片达峰时间</span><span style=\"font-size: 12px\">1.4±0.8</span><span style=\"font-size: 12px;font-family: 宋体\">小时</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">半衰期</span><span style=\"font-size: 12px\">1.3±0.8</span><span style=\"font-size: 12px;font-family: 宋体\">小时</span></p></td><td width=\"104\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">以下反应在接受</span><span style=\"font-size: 12px\">B</span><span style=\"font-size: 12px;font-family: 宋体\">阻断药的患者中更为多见</span><span style=\"font-size: 12px\">:</span><span style=\"font-size: 12px;font-family: 宋体\">疲乏感、运动能力减退、体重增加、胰岛素敏感性减退、新发生糖尿病、血清甘油三酯增高和</span><span style=\"font-size: 12px\">HDL</span><span style=\"font-size: 12px;font-family: 宋体\">胆固醇降低、血钾轻度增高。</span><span style=\"font-size: 12px\">B</span><span style=\"font-size: 12px;font-family: 宋体\">阻断药可以掩盖糖尿病患者的低血糖症状。正在接受胰岛素治疗的糖尿病患者</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">如发生低血糖</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">阻断药可延缓血糖的恢复</span></p></td><td width=\"85\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">单用或与其他降压药合用</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">均能有效降压。为轻中度高血压患者的首选抗高血压药</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">尤其适用于伴有冠心病</span><span style=\"font-size: 12px\">(</span><span style=\"font-size: 12px;font-family: 宋体\">劳累型心绞痛、心肌梗死后</span><span style=\"font-size: 12px\">)</span><span style=\"font-size: 12px;font-family: 宋体\">、慢性心力衰竭、交感神经活性增高以及高动力状态的高血压患者</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">冠心病患者突然停用β阻断药可加重心绞痛</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">甚至诱发心肌梗死或猝死</span></p></td><td width=\"85\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">以下情况禁忌使用</span><span style=\"font-size: 12px\">β</span><span style=\"font-size: 12px;font-family: 宋体\">阻断药</span><span style=\"font-size: 12px\">:</span><span style=\"font-size: 12px;font-family: 宋体\">支气管哮喘、二</span><span style=\"font-size: 12px\">~</span><span style=\"font-size: 12px;font-family: 宋体\">三度房室传导阻滞、病窦综合征、周围动脉病</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">慎用</span><span style=\"font-size: 12px\">β</span><span style=\"font-size: 12px;font-family: 宋体\">阻断药的情况包括</span><span style=\"font-size: 12px\">:</span><span style=\"font-size: 12px;font-family: 宋体\">慢性阻塞性肺病、</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">型糖尿病、血脂异常、冠状动脉痉挛所致的心绞痛、运动员和从事重体力活动者</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">慢性心衰患者应从小剂量开始</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">结合血压降低的情况和心力衰竭治疗的需求调整剂量</span></p></td><td width=\"132\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">可与利尿药、二氢吡啶类钙通道阻断药或</span><span style=\"font-size: 12px\">a</span><span style=\"font-size: 12px;font-family: 宋体\">受体阻断药合用</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">不宜与地尔硫草、维拉帕米合用。与利血平合用可导致重度心动过缓甚至晕厥。与伪麻黄碱、麻黄碱或肾上腺素合用可升高血压</span></p></td></tr><tr style=\";height:29px\"><td width=\"47\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px\">a</span><span style=\"font-size: 12px;font-family: 宋体\">受体阻断药</span></p></td><td width=\"66\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">哌唑嗪、特拉唑嗪、多沙唑嗪和萘哌地尔为交感神经突触后</span><span style=\"font-size: 12px\">a1</span><span style=\"font-size: 12px;font-family: 宋体\">受体的竞争性拮抗药</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">选择性地阻断节后</span><span style=\"font-size: 12px\">a1</span><span style=\"font-size: 12px;font-family: 宋体\">受体被儿茶酚胺激活</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">降低外周血管阻力而不影响心排血量。而苯苄胺和酚妥拉明则非选择性地阻滞</span><span style=\"font-size: 12px\">a1</span><span style=\"font-size: 12px;font-family: 宋体\">和</span><span style=\"font-size: 12px\">a2</span><span style=\"font-size: 12px;font-family: 宋体\">受体</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">使周围小动脉扩张</span></p></td><td width=\"104\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">多沙唑嗪</span><span style=\"font-size: 12px\">1~16mg/</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">,1</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">特拉唑嗪</span><span style=\"font-size: 12px\">1~20mg/d,</span><span style=\"font-size: 12px;font-family: 宋体\">分</span><span style=\"font-size: 12px\">1~2</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日、</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">哌唑嗪</span><span style=\"font-size: 12px\">1~10mg/d,</span><span style=\"font-size: 12px;font-family: 宋体\">分</span><span style=\"font-size: 12px\">2~3</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">萘哌地尔</span><span style=\"font-size: 12px\">50~100mg/d,</span><span style=\"font-size: 12px;font-family: 宋体\">分</span><span style=\"font-size: 12px\">2</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">苯苄胺</span><span style=\"font-size: 12px\">10~30mg/</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">,1~2</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">酚妥拉明</span><span style=\"font-size: 12px\">25~50mg/</span><span style=\"font-size: 12px;font-family: 宋体\">次次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px\">&nbsp;</span></p></td><td width=\"66\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">哌唑嗪等作用产生缓慢</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">用药</span><span style=\"font-size: 12px\">4~8</span><span style=\"font-size: 12px;font-family: 宋体\">周后作用达高峰</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">酚妥拉明作用短暂</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">苯苄胺作用维持</span><span style=\"font-size: 12px\">24</span><span style=\"font-size: 12px;font-family: 宋体\">小时以上</span></p></td><td width=\"104\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">服药后</span><span style=\"font-size: 12px\">30~90</span><span style=\"font-size: 12px;font-family: 宋体\">分钟内可发生体位性低血压</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">尤其在血容量不足的患者服用短效的哌唑嗪之后。避免的方法是</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">从小剂量开始加量</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">服药前避免血容量不足</span></p></td><td width=\"85\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">选择性</span><span style=\"font-size: 12px\">a1</span><span style=\"font-size: 12px;font-family: 宋体\">受体阻断药单用或与其他降压药合用均能有效降压</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">但是</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">在临床试验中</span><span style=\"font-size: 12px\">,a1</span><span style=\"font-size: 12px;font-family: 宋体\">阻断药尚未提供其能降低高血压患者心血管事件</span><span style=\"font-size: 12px\">(</span><span style=\"font-size: 12px;font-family: 宋体\">尤其心衰</span><span style=\"font-size: 12px\">)</span><span style=\"font-size: 12px;font-family: 宋体\">的足够证据。因此</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">目前不作为一线降压药。适用于伴有前列腺肥大的高血压患者</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">苯苄胺主要用于嗜铬细胞瘤高血压的治疗</span></p></td><td width=\"85\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">有体位性低血压的老年高血压患者慎用</span></p></td><td width=\"132\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">哌唑嗪可与利尿药、</span><span style=\"font-size: 12px\">B</span><span style=\"font-size: 12px;font-family: 宋体\">阻断药合用</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">以协同降压</span></p></td></tr><tr style=\";height:29px\"><td width=\"47\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px\">a</span><span style=\"font-size: 12px;font-family: 宋体\">、β受体阻断药</span></p></td><td width=\"66\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">不同程度阻断</span><span style=\"font-size: 12px\">α</span><span style=\"font-size: 12px;font-family: 宋体\">和</span><span style=\"font-size: 12px\">β</span><span style=\"font-size: 12px;font-family: 宋体\">肾上腺素能受体</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">兼具扩血管作用。其中拉贝洛尔和卡维地洛为非选择性</span><span style=\"font-size: 12px\">β</span><span style=\"font-size: 12px;font-family: 宋体\">受体阻断药</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">奈必洛尔对</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">受体的选择性较强。拉贝洛尔的血管扩张作用主要来自对</span><span style=\"font-size: 12px\">a</span><span style=\"font-size: 12px;font-family: 宋体\">受体的阻滞</span><span style=\"font-size: 12px\">;</span><span style=\"font-size: 12px;font-family: 宋体\">而卡维地洛则以直接血管扩张作用为主。卡维地洛和奈必洛尔尚有抗氧化作用</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">口服或静脉给药可用于治疗高血压急症</span><span style=\"font-size: 12px\">(</span><span style=\"font-size: 12px;font-family: 宋体\">包括手术后高血压</span><span style=\"font-size: 12px\">)</span><span style=\"font-size: 12px;font-family: 宋体\">和急性主动脉夹层</span></p></td><td width=\"104\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">拉贝洛儿</span><span style=\"font-size: 12px\">100~300mg/</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">,2</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">卡维地洛</span><span style=\"font-size: 12px\">6.25~25mg/</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">,2</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">阿罗洛尔</span><span style=\"font-size: 12px\">10~20mg/d,</span><span style=\"font-size: 12px;font-family: 宋体\">分</span><span style=\"font-size: 12px\">1~2</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">奈必洛尔</span><span style=\"font-size: 12px\">5~10mg/</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">,1</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p></td><td width=\"66\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">拉贝洛尔每天口服</span><span style=\"font-size: 12px\">2</span><span style=\"font-size: 12px;font-family: 宋体\">次能有效控制</span><span style=\"font-size: 12px\">24</span><span style=\"font-size: 12px;font-family: 宋体\">小时血压</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">抑制血压晨峰。奈必洛尔除了减少主动脉僵硬度之外</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">还能降低增高的中央动脉收缩压</span></p></td><td width=\"104\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">拉贝洛尔最常见的不良反应是体位性低血压</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">多见于用药起始阶段给予大剂量时。其他不良反应包括头皮发痒、射精障碍和支气管痉挛。最严重的不良反应是肝脏毒性。对血脂的影响小于</span><span style=\"font-size: 12px\">β</span><span style=\"font-size: 12px;font-family: 宋体\">阻断药。有些患者服药后抗核抗体和抗线粒体抗体增高</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">与β阻断药不同</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">卡维地洛对胰岛素敏感性无害</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">对血</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">脂影响较小</span></p></td><td width=\"85\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">对各种程度高血压均有效。拉贝洛尔口服或静脉绐药可用于治疗高血压急症</span><span style=\"font-size: 12px\">(</span><span style=\"font-size: 12px;font-family: 宋体\">包括手术后高血压</span><span style=\"font-size: 12px\">)</span><span style=\"font-size: 12px;font-family: 宋体\">和急性主</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">动脉夹层。奈必洛尔对老年收缩期高血压患者更有效。卡维地洛可改善心力衰竭患者的远期预后</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">为合并心功能不全的高血压患者降压之首选</span></p></td><td width=\"85\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">支气管哮喘</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">病窦综合征、二</span><span style=\"font-size: 12px\">~</span><span style=\"font-size: 12px;font-family: 宋体\">三度房室传导阻</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">外周动脉病变</span></p></td><td width=\"132\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">可与利尿药合用</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">以协同降压</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">但注意对血糖的不利影响</span></p></td></tr><tr style=\";height:29px\"><td width=\"47\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">中枢作用药物</span></p></td><td width=\"66\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">通过兴奋中枢神经的</span><span style=\"font-size: 12px\">a1</span><span style=\"font-size: 12px;font-family: 宋体\">受体</span><span style=\"font-size: 12px\">(</span><span style=\"font-size: 12px;font-family: 宋体\">可乐定还作用于中枢咪唑啉受体</span><span style=\"font-size: 12px\">)</span><span style=\"font-size: 12px;font-family: 宋体\">而减少交感神经的传出冲动</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">使心率减慢</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">心排血量降低</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">外周血管阻力减小。并抑制肾素、醛固酮分泌</span></p></td><td width=\"104\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">甲基多巴</span><span style=\"font-size: 12px\">250~1000mg/d,</span><span style=\"font-size: 12px;font-family: 宋体\">分</span><span style=\"font-size: 12px\">2~3</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">可乐定</span><span style=\"font-size: 12px\">0.1~0.8mg/d,</span><span style=\"font-size: 12px;font-family: 宋体\">分</span><span style=\"font-size: 12px\">2~3</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">(</span><span style=\"font-size: 12px;font-family: 宋体\">起始剂量</span><span style=\"font-size: 12px\">0.075mg,</span><span style=\"font-size: 12px;font-family: 宋体\">每天</span><span style=\"font-size: 12px\">2</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">;</span><span style=\"font-size: 12px;font-family: 宋体\">最多</span><span style=\"font-size: 12px\">1.2mg/d)</span></p></td><td width=\"66\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">甲基多巴服后</span><span style=\"font-size: 12px\">4</span><span style=\"font-size: 12px;font-family: 宋体\">小时达最大降压作用</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">作用维持可达</span><span style=\"font-size: 12px\">24</span><span style=\"font-size: 12px;font-family: 宋体\">小时。可乐定服后</span><span style=\"font-size: 12px\">30</span><span style=\"font-size: 12px;font-family: 宋体\">分钟血压开始下降</span><span style=\"font-size: 12px\">,2~4</span><span style=\"font-size: 12px;font-family: 宋体\">小时降压作用最大。作用维持</span><span style=\"font-size: 12px\">8~12</span><span style=\"font-size: 12px;font-family: 宋体\">小时</span></p></td><td width=\"104\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">甲基多巴具有镇静作用</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">其他包括</span><span style=\"font-size: 12px\">:</span><span style=\"font-size: 12px;font-family: 宋体\">体位性低血压、体液潴留、网状内皮功能损和多种自体免疫性不良反应</span><span style=\"font-size: 12px\">(</span><span style=\"font-size: 12px;font-family: 宋体\">发热、肝损害</span><span style=\"font-size: 12px\">)</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">可乐定可致嗜睡</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">口干、窦房结和房室结功能抑制、个别患者发生重度心动过缓</span></p></td><td width=\"85\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">由于存在较多不良反应</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">两者均不推荐为一线降压药。甲基多巴仅在妊娠高血压时考虑选用</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">而可乐定仅用于难治性高血压和高血压急症患者</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">正在服用可乐定的患者突然停药可致血压反跳</span><span style=\"font-size: 12px\">(</span><span style=\"font-size: 12px;font-family: 宋体\">撤药反应</span><span style=\"font-size: 12px\">),</span><span style=\"font-size: 12px;font-family: 宋体\">应立即给予可乐定或拉贝洛尔</span></p></td><td width=\"85\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">孕妇不宜服可乐定</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">有肝病者不宜服甲基多巴</span></p></td><td width=\"132\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">可与利尿药和血管扩张剂合用。普萘洛尔、胍乙啶溴苄胺和三环类抗优郁药可对抗可乐定的降压作用不宜合用</span></p></td></tr><tr style=\";height:29px\"><td width=\"47\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">直接血管扩张剂</span></p></td><td width=\"66\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">肼屈嗪直接作用于外周小动脉平滑肌使阻力血管扩张</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">血压下降。米诺地尔通过开放</span><span style=\"font-size: 12px\">ATP</span><span style=\"font-size: 12px;font-family: 宋体\">敏感的钾通道使血管平滑肌松弛</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">血压下降</span></p></td><td width=\"104\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">肼屈嗪</span><span style=\"font-size: 12px\">12.5~50mg/</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">,2</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">米诺地尔</span><span style=\"font-size: 12px\">5~100mg/</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">,1</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p></td><td width=\"66\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">肼屈嗪服药后</span><span style=\"font-size: 12px\">3~4</span><span style=\"font-size: 12px;font-family: 宋体\">小时作用达高峰</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">持续</span><span style=\"font-size: 12px\">24</span><span style=\"font-size: 12px;font-family: 宋体\">小时。米诺地尔作用显著而持久</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">一次给药后降压作用可持续</span><span style=\"font-size: 12px\">12</span><span style=\"font-size: 12px;font-family: 宋体\">小时以上</span></p></td><td width=\"104\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">肼屈嗪的不良反应包括</span><span style=\"font-size: 12px\">:①</span><span style=\"font-size: 12px;font-family: 宋体\">反射性交感神经兴奋</span><span style=\"font-size: 12px\">;②</span><span style=\"font-size: 12px;font-family: 宋体\">狼疮样反应</span><span style=\"font-size: 12px\">(</span><span style=\"font-size: 12px;font-family: 宋体\">与剂量有关</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">停药后消失</span><span style=\"font-size: 12px\">);③</span><span style=\"font-size: 12px;font-family: 宋体\">非特异性反应</span><span style=\"font-size: 12px\">(</span><span style=\"font-size: 12px;font-family: 宋体\">食欲减退、恶心、呕吐、腹泻</span><span style=\"font-size: 12px\">)</span><span style=\"font-size: 12px;font-family: 宋体\">。头痛、潮红、心动过速</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">可同时给予肾上腺素能抑制剂预防</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">米诺地尔最常见的不良反应是毛发增生</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">与其血管扩张作用有关</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">停药后逐渐消失</span></p></td><td width=\"85\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">肼屈嗪降低血压同时于反射性兴奋交感神经导致心率加快、心排血量增加</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">进而增加肾素分泌和水钠潴留。目前推荐作为二线降压药</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">用于中重度高血压的治疗</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">可与</span><span style=\"font-size: 12px\">β</span><span style=\"font-size: 12px;font-family: 宋体\">阻断药和利尿药合用</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">与肼屈嗪相比</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">米诺地尔作用更强持续时间更长。主要用于伴有肾功能不全的重度高血压</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">多数患者需联用袢利尿药和交感神经阻断药</span></p></td><td width=\"85\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">冠心病、心力衰竭、脑血管病变或肾功能减退者慎用。由于增加心排血量和脑血流</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">肼屈嗪忌用于主动脉夹层和近期脑出血患者</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">青光眼患者不宜服用</span></p></td><td width=\"132\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">与利尿药合用可增强降压作用。与非甾体类抗炎药或拟交感胺类同用可使降压作用减弱。不宜与单胺氧化酶抑制剂合用</span></p></td></tr><tr style=\";height:29px\"><td width=\"47\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">钙通道阻断药</span></p></td><td width=\"66\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">抑制钙离子通过细胞膜的</span><span style=\"font-size: 12px\">L</span><span style=\"font-size: 12px;font-family: 宋体\">通道进入周围动脉平滑肌胞</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">降低外周血管阻力</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">使血压下降</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">拉西地平、乐卡地平和贝尼地平脂溶性高</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">在脂质部分沉积并在清除阶段不断释放到作用部位</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">因此作用时间较长</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">非二氢吡啶类</span><span style=\"font-size: 12px\">CCB</span><span style=\"font-size: 12px;font-family: 宋体\">在扩张血管内皮功能</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">对心肌收缩的抑制作用弱于非二氢吡啶类</span><span style=\"font-size: 12px\">CCB</span><span style=\"font-size: 12px;font-family: 宋体\">。第二代二氢吡啶类</span><span style=\"font-size: 12px\">CCB(</span><span style=\"font-size: 12px;font-family: 宋体\">氨氯地平、非洛地平和尼卡地平</span><span style=\"font-size: 12px\">)</span><span style=\"font-size: 12px;font-family: 宋体\">的扩血管作用强于抑制心肌收缩和传导的作用</span></p></td><td width=\"104\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">二氢吡啶类</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">苯磺酸氨氯地平</span><span style=\"font-size: 12px\">2.5~10mg/</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">,1</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">硝苯地平普通片</span><span style=\"font-size: 12px\">10~30mg/d,</span><span style=\"font-size: 12px;font-family: 宋体\">分</span><span style=\"font-size: 12px\">2~3</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日或缓释片</span><span style=\"font-size: 12px\">5~40mg/</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">,2</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span><span style=\"font-size: 12px\">;</span><span style=\"font-size: 12px;font-family: 宋体\">或控释片</span><span style=\"font-size: 12px\">30-60mg/</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">(</span><span style=\"font-size: 12px;font-family: 宋体\">应整片吞服勿咬碎或咀嚼</span><span style=\"font-size: 12px\">),1</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日左旋氨氯地平</span><span style=\"font-size: 12px\">1.25~5mg/</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">,1</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">非洛地平缓释片</span><span style=\"font-size: 12px\">2.5~10mg/</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">(</span><span style=\"font-size: 12px;font-family: 宋体\">应整片吞服勿咬碎或咀嚼</span><span style=\"font-size: 12px\">),1</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">贝尼地平</span><span style=\"font-size: 12px\">4~8mg</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">,1</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">拉西地平</span><span style=\"font-size: 12px\">4~8mg/</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">,1</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">乐卡地平</span><span style=\"font-size: 12px\">10~20mg/</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">,1</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">尼群地平</span><span style=\"font-size: 12px\">20~60mg/d,</span><span style=\"font-size: 12px;font-family: 宋体\">分</span><span style=\"font-size: 12px\">2~3</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">尼卡地平</span><span style=\"font-size: 12px\">40~80mg/d,</span><span style=\"font-size: 12px;font-family: 宋体\">分</span><span style=\"font-size: 12px\">2</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日或缓释胶囊</span><span style=\"font-size: 12px\">40~80mg/d,</span><span style=\"font-size: 12px;font-family: 宋体\">分</span><span style=\"font-size: 12px\">2</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">非二氢吡啶类</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">地尔硫草缓释胶囊</span><span style=\"font-size: 12px\">90~360mg/d,</span><span style=\"font-size: 12px;font-family: 宋体\">分</span><span style=\"font-size: 12px\">1-2</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">维拉帕米</span><span style=\"font-size: 12px\">80~480mg/d,</span><span style=\"font-size: 12px;font-family: 宋体\">分</span><span style=\"font-size: 12px\">2~3</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日或缓释片</span><span style=\"font-size: 12px\">120~480mg/d,</span><span style=\"font-size: 12px;font-family: 宋体\">分</span><span style=\"font-size: 12px\">1~2</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p></td><td width=\"66\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">硝苯地平普通片口服后</span><span style=\"font-size: 12px\">15~</span><span style=\"font-size: 12px;font-family: 宋体\">细</span><span style=\"font-size: 12px\">30</span><span style=\"font-size: 12px;font-family: 宋体\">分钟起效</span><span style=\"font-size: 12px\">,1~2</span><span style=\"font-size: 12px;font-family: 宋体\">小时作用达峰</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">作用持续</span><span style=\"font-size: 12px\">4~8</span><span style=\"font-size: 12px;font-family: 宋体\">小时。缓释片口服后</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">能维持最低有效血药浓度</span><span style=\"font-size: 12px\">10ng/ml</span><span style=\"font-size: 12px;font-family: 宋体\">以上的时间达</span><span style=\"font-size: 12px\">12</span><span style=\"font-size: 12px;font-family: 宋体\">小时。控释片口服后</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">血药浓度逐渐增加</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">约</span><span style=\"font-size: 12px\">6</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">小时达平台</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">波动小</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">可维持</span><span style=\"font-size: 12px\">24</span><span style=\"font-size: 12px;font-family: 宋体\">小时</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">尼群地平口服后</span><span style=\"font-size: 12px\">30~60</span><span style=\"font-size: 12px;font-family: 宋体\">分钟起效</span><span style=\"font-size: 12px\">,1~2</span><span style=\"font-size: 12px;font-family: 宋体\">小时达峰</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">持续</span><span style=\"font-size: 12px\">6~8</span><span style=\"font-size: 12px;font-family: 宋体\">小时</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">非洛地平缓释片、尼卡地平缓释胶囊、地尔硫草缓释胶囊和维拉帕米缓释片均为长效的缓释制剂</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">可以每日服用一次苯磺酸氨氯地平和左旋氨氯</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">地平半衰期长</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">每日口服一次</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">可以维持</span><span style=\"font-size: 12px\">24</span><span style=\"font-size: 12px;font-family: 宋体\">小时降压</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">作用</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">拉西地平、乐卡地平和贝尼地平能从脂溶性结合部位缓慢释放至作用位</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">发挥持久的降压作用</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">每日可服用一次</span></p></td><td width=\"104\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">最常见的不良反应与血管扩张有关</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">为头痛、潮红和心动过速。长效</span><span style=\"font-size: 12px\">CCB</span><span style=\"font-size: 12px;font-family: 宋体\">的发生率低于短效</span><span style=\"font-size: 12px\">CCB,</span><span style=\"font-size: 12px;font-family: 宋体\">二氢吡啶类</span><span style=\"font-size: 12px\">CCB</span><span style=\"font-size: 12px;font-family: 宋体\">可致踝部水肿及齿龈增生</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">必要时可换用非二氢吡啶类</span><span style=\"font-size: 12px\">CCB</span><span style=\"font-size: 12px;font-family: 宋体\">或与</span><span style=\"font-size: 12px\">ACE1</span><span style=\"font-size: 12px;font-family: 宋体\">合用以减轻水肿。短效硝苯地平大剂量应用可能增加心肌梗死</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">非二氢吡啶类</span><span style=\"font-size: 12px\">CCB</span><span style=\"font-size: 12px;font-family: 宋体\">可抑制窦房结功能、心脏传导和心室功能</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">地尔硫草可致齿龈增生</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">维拉帕米易致便秘</span></p></td><td width=\"85\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">一线降压药。长效</span><span style=\"font-size: 12px\">CCB</span><span style=\"font-size: 12px;font-family: 宋体\">单用或与其他降压药合用可有效控制血压</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">减少心脑事件。</span><span style=\"font-size: 12px\">CCB</span><span style=\"font-size: 12px;font-family: 宋体\">可与其他四类一线降压药合用</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">尤其适用于以下情况</span><span style=\"font-size: 12px\">:</span><span style=\"font-size: 12px;font-family: 宋体\">老年高血压、单纯收缩期高血压、左心室肥厚、稳定型冠心病、冠状动脉或颈动脉粥样硬化、脑血管病及周围血管病。地尔硫草和维拉帕米并适用于伴房性心律失常的高血压患者</span></p></td><td width=\"85\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">重度主动脉瓣狭窄及对</span><span style=\"font-size: 12px\">CCB</span><span style=\"font-size: 12px;font-family: 宋体\">过敏者禁用。孕妇忌用。有窦房结功能低下或心脏传导阻滞者</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">以及充血性心衰者慎用地尔硫草和维拉帕米。预激综合征伴房颤者禁用维拉帕米</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">硝苯地平胶囊也曾被推荐舌下给药用于高血压危象时的紧急降压</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">但此种给药方式有引起血压过低的危险</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">已经不再推荐</span></p></td><td width=\"132\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">可与利尿药、</span><span style=\"font-size: 12px\">ACE</span><span style=\"font-size: 12px;font-family: 宋体\">合用</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">但应注意避免血压过低。与</span><span style=\"font-size: 12px\">β</span><span style=\"font-size: 12px;font-family: 宋体\">阻断药合用可减轻二氢吡啶类</span><span style=\"font-size: 12px\">CCB</span><span style=\"font-size: 12px;font-family: 宋体\">导致的心动速</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">但可加重非二氢吡啶类</span><span style=\"font-size: 12px\">CCB</span><span style=\"font-size: 12px;font-family: 宋体\">导致的心动过缓或诱发心衰。通过肝脏</span><span style=\"font-size: 12px\">P450</span><span style=\"font-size: 12px;font-family: 宋体\">酶系代谢的</span><span style=\"font-size: 12px\">CCB,</span><span style=\"font-size: 12px;font-family: 宋体\">可与多种物和西柚汁产生相互作用</span></p></td></tr><tr style=\";height:29px\"><td width=\"47\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">血管紧张素转换酶抑制剂</span></p></td><td width=\"66\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">通过抑制血管紧张素转换酶</span><span style=\"font-size: 12px\">(ACE)</span><span style=\"font-size: 12px;font-family: 宋体\">及缓激肽降解酶</span><span style=\"font-size: 12px\">(</span><span style=\"font-size: 12px;font-family: 宋体\">同</span><span style=\"font-size: 12px\">ACE)</span><span style=\"font-size: 12px;font-family: 宋体\">减少血管紧张素</span><span style=\"font-size: 12px\">I</span><span style=\"font-size: 12px;font-family: 宋体\">转变为血管紧张素</span><span style=\"font-size: 12px;font-family: 宋体\">Ⅱ</span><span style=\"font-size: 12px;font-family: 宋体\">和减慢有扩血管作用的缓激肽的降解</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">促进有扩血管作用的前列腺素的释放</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">最终导致血管扩张</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">血压降低</span></p></td><td width=\"104\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">卡托普利</span><span style=\"font-size: 12px\">25~300mg/d,</span><span style=\"font-size: 12px;font-family: 宋体\">分</span><span style=\"font-size: 12px\">2~3</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">依那普利</span><span style=\"font-size: 12px\">1.25~20mg/</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">,2</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">西拉普利</span><span style=\"font-size: 12px\">1.25~5mg/</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">,1</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">贝那普利</span><span style=\"font-size: 12px\">5~40mg/d,</span><span style=\"font-size: 12px;font-family: 宋体\">分</span><span style=\"font-size: 12px\">1~2</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">培哚普利</span><span style=\"font-size: 12px\">4~8mg/</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">,1</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">雷米普利</span><span style=\"font-size: 12px\">1.25~20mg/</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">,1</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">福辛普利</span><span style=\"font-size: 12px\">10~40mg/</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">,1</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">赖诺普利</span><span style=\"font-size: 12px\">2.5~40mg/</span><span style=\"font-size: 12px;font-family: 宋体\">次，</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">日</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">次</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">咪达普利</span><span style=\"font-size: 12px\">2.5~10mg/</span><span style=\"font-size: 12px;font-family: 宋体\">次，</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px\">&nbsp;</span></p></td><td width=\"66\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">卡托普利口服后</span><span style=\"font-size: 12px\">15</span><span style=\"font-size: 12px;font-family: 宋体\">分钟起效</span><span style=\"font-size: 12px\">,1~1.5</span><span style=\"font-size: 12px;font-family: 宋体\">小时降压作用达高峰</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">持续</span><span style=\"font-size: 12px\">6~12</span><span style=\"font-size: 12px;font-family: 宋体\">小时于。连续给药数周达最大降压作用</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">依那普利、贝那普利、赖诺普利、福辛普利、西拉普利、雷米普利口服后</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">小时左右起效</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">作用达峰时间分别为</span><span style=\"font-size: 12px\">4~6</span><span style=\"font-size: 12px;font-family: 宋体\">小时、</span><span style=\"font-size: 12px\">2~4</span><span style=\"font-size: 12px;font-family: 宋体\">小时、</span><span style=\"font-size: 12px\">6</span><span style=\"font-size: 12px;font-family: 宋体\">小时、</span><span style=\"font-size: 12px\">2~4</span><span style=\"font-size: 12px;font-family: 宋体\">小时、</span><span style=\"font-size: 12px\">3~7</span><span style=\"font-size: 12px;font-family: 宋体\">小时和</span><span style=\"font-size: 12px\">4~6.5</span><span style=\"font-size: 12px;font-family: 宋体\">小时。</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">降压作用可维持</span><span style=\"font-size: 12px\">24</span><span style=\"font-size: 12px;font-family: 宋体\">小时</span></p></td><td width=\"104\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">包括</span><span style=\"font-size: 12px\">:①</span><span style=\"font-size: 12px;font-family: 宋体\">涉及</span><span style=\"font-size: 12px\">ACEI</span><span style=\"font-size: 12px;font-family: 宋体\">的独特药理作用</span><span style=\"font-size: 12px\">:</span><span style=\"font-size: 12px;font-family: 宋体\">首剂低血压反应</span><span style=\"font-size: 12px\">(</span><span style=\"font-size: 12px;font-family: 宋体\">卡托普利</span><span style=\"font-size: 12px\">)</span><span style=\"font-size: 12px;font-family: 宋体\">、高血钾、低血糖</span><span style=\"font-size: 12px\">(</span><span style=\"font-size: 12px;font-family: 宋体\">由于胰岛素敏感性增加</span><span style=\"font-size: 12px\">)</span><span style=\"font-size: 12px;font-family: 宋体\">、干扰促红细胞生成素作用、影响肾功能</span><span style=\"font-size: 12px\">(</span><span style=\"font-size: 12px;font-family: 宋体\">用药后肾功能急性减退的报道多见于用药前肾脏低灌注的患者</span><span style=\"font-size: 12px\">:</span><span style=\"font-size: 12px;font-family: 宋体\">合并心力衰竭、血容量不足、双侧肾动脉狭窄</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">但用药头</span><span style=\"font-size: 12px\">2</span><span style=\"font-size: 12px;font-family: 宋体\">个月内血清肌酐增高不超过</span><span style=\"font-size: 12px\">30%</span><span style=\"font-size: 12px;font-family: 宋体\">者不需停药</span><span style=\"font-size: 12px\">)</span><span style=\"font-size: 12px;font-family: 宋体\">、咳嗽</span><span style=\"font-size: 12px\">(</span><span style=\"font-size: 12px;font-family: 宋体\">干咳无痰</span><span style=\"font-size: 12px\">)</span><span style=\"font-size: 12px;font-family: 宋体\">和支气管痉挛、血管性水肿。</span><span style=\"font-size: 12px\">②</span><span style=\"font-size: 12px;font-family: 宋体\">与其化学结构有关</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">主要见于卡托普利</span><span style=\"font-size: 12px\">:</span><span style=\"font-size: 12px;font-family: 宋体\">味觉丧失、斑丘疹和白细胞减少。</span><span style=\"font-size: 12px\">③</span><span style=\"font-size: 12px;font-family: 宋体\">降压药的非特异性作用</span><span style=\"font-size: 12px\">:</span><span style=\"font-size: 12px;font-family: 宋体\">胃肠不适、头痛、眩晕、疲乏感腹泻、恶心均较轻</span></p></td><td width=\"85\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">一线降压药。对高血压患者具有良好的靶器官保护和心血管终点事件预防作用。</span><span style=\"font-size: 12px\">ACEI</span><span style=\"font-size: 12px;font-family: 宋体\">降压作用明确</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">对糖脂代谢无不良影响。限盐或加用利尿药可增加</span><span style=\"font-size: 12px\">ACEI</span><span style=\"font-size: 12px;font-family: 宋体\">的降压作用。</span><span style=\"font-size: 12px\">ACEI</span><span style=\"font-size: 12px;font-family: 宋体\">可与利尿药、</span><span style=\"font-size: 12px\">CCB</span><span style=\"font-size: 12px;font-family: 宋体\">合用。尤</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">其适用于以下情况</span><span style=\"font-size: 12px\">:</span><span style=\"font-size: 12px;font-family: 宋体\">伴慢性心力衰竭、心肌梗死后心功能不全</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">心房颤动预防、糖尿病或非糖尿病肾病、代谢综合征、蛋白尿或微量白蛋白尿患者。也适用于老年人、稳定型冠心病的二级预防、伴有脑血管病、颈动脉粥样硬化和血脂异常的高血压患者</span></p></td><td width=\"85\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">对</span><span style=\"font-size: 12px\">ACE1</span><span style=\"font-size: 12px;font-family: 宋体\">过敏者、孤立肾、移植肾、双侧肾动脉狭窄、严重肾功能减退者</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">以及妊娠、哺乳妇女禁用</span></p></td><td width=\"132\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px\">ACEI</span><span style=\"font-size: 12px;font-family: 宋体\">可与利尿药</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">钙通道阻断药和β阻断药合用。与利尿药合用使降压作用增强</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">但应避免引起严重低血压。与其他扩血管药同用也可能导致致低血压</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">如拟合用</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">应从小剂量开始。与保钾药物合用可能引起</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">血钾过高。与内源性前列腺素合成抑制剂如吲哚美辛同用</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">使降压作用减弱</span></p></td></tr><tr style=\";height:29px\"><td width=\"47\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">血管紧张素Ⅱ</span><span style=\"font-size: 12px\">2</span><span style=\"font-size: 12px;font-family: 宋体\">受体阻断药</span><span style=\"font-size: 12px\">(ARB)</span></p></td><td width=\"66\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">选择性阻断血管紧张素Ⅱ对血管紧张素Ⅱ受体</span><span style=\"font-size: 12px\">1(AT1)</span><span style=\"font-size: 12px;font-family: 宋体\">的作用</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">导致剂量依赖性的外周血管阻力降低</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">血压下降。无明显的心率或心排血量变化</span></p></td><td width=\"104\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">氯沙坦</span><span style=\"font-size: 12px\">25~100mg,1</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">缬沙坦</span><span style=\"font-size: 12px\">80~160mg,1</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">厄贝沙坦</span><span style=\"font-size: 12px\">150~300mg,1</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">替米沙坦</span><span style=\"font-size: 12px\">20~80mg,1</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">坎地沙坦</span><span style=\"font-size: 12px\">4~32mg,1</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">臭美沙坦</span><span style=\"font-size: 12px\">20~40mg,1</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p></td><td width=\"66\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">氯沙坦给药后降压作用可维持</span><span style=\"font-size: 12px\">24</span><span style=\"font-size: 12px;font-family: 宋体\">小时左右。沙坦在连续给药</span><span style=\"font-size: 12px\">3~6</span><span style=\"font-size: 12px;font-family: 宋体\">周时降压疗效达高峰</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">缬沙坦单剂服药后</span><span style=\"font-size: 12px\">2</span><span style=\"font-size: 12px;font-family: 宋体\">小时内出现降压作用</span><span style=\"font-size: 12px\">,4~6</span><span style=\"font-size: 12px;font-family: 宋体\">小时内达高峰</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">降压作用可持续</span><span style=\"font-size: 12px\">24</span><span style=\"font-size: 12px;font-family: 宋体\">小时以上</span></p><p><span style=\"font-size: 12px;font-family: 宋体\">替米沙坦口服后</span><span style=\"font-size: 12px\">3</span><span style=\"font-size: 12px;font-family: 宋体\">小时起降压作用。单次给药作用可持续</span><span style=\"font-size: 12px\">24</span><span style=\"font-size: 12px;font-family: 宋体\">小时以上</span></p></td><td width=\"104\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">包括高血钾、皮疹</span><span style=\"font-size: 12px\">(</span><span style=\"font-size: 12px;font-family: 宋体\">少见</span><span style=\"font-size: 12px\">)</span><span style=\"font-size: 12px;font-family: 宋体\">血管性水肿</span><span style=\"font-size: 12px\">(</span><span style=\"font-size: 12px;font-family: 宋体\">罕见</span><span style=\"font-size: 12px\">)</span><span style=\"font-size: 12px;font-family: 宋体\">。不良反应少于其他各类降压药</span></p></td><td width=\"85\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">可降低有心血管病史</span><span style=\"font-size: 12px\">(</span><span style=\"font-size: 12px;font-family: 宋体\">冠心病、脑卒中、外周血管病</span><span style=\"font-size: 12px\">)</span><span style=\"font-size: 12px;font-family: 宋体\">和高血压患者的心血管事件发生率</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">降低糖尿病或肾病患者的蛋白尿及微量白蛋白尿。尤其适用于伴左心室肥厚、心力衰竭、心房颤动的预防、冠心病、脑血管病、颈动脉粥样硬化、代谢综合征、糖尿病肾病、微量白蛋白尿或蛋白尿患者</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">肾功能不全、血脂异常以及不能前受</span><span style=\"font-size: 12px\">ACEI</span><span style=\"font-size: 12px;font-family: 宋体\">的患者</span></p></td><td width=\"85\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">对</span><span style=\"font-size: 12px\">ABB</span><span style=\"font-size: 12px;font-family: 宋体\">过敏者、孤立肾、移植肾、双侧肾动脉狭窄、严重肾功能誠退者</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">以及奸娠、哺乳妇女禁用</span></p></td><td width=\"132\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">与利尿药同用降压作用增大</span><span style=\"font-size: 12px\">;</span><span style=\"font-size: 12px;font-family: 宋体\">与保钾利尿药、盐皮质激素受体阻断药、补钾剂或含钾的盐代用品同用可引起血钾增高</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">尤其当肾功能损害时</span></p></td></tr><tr style=\";height:29px\"><td width=\"47\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">直接肾素抑制剂</span></p></td><td width=\"66\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">阻断肾素催化血管紧张素原转化为血管紧张素</span><span style=\"font-size: 12px\">I</span><span style=\"font-size: 12px;font-family: 宋体\">的作用</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">继而导致血管紧张素Ⅱ的产生减少和血压下降</span></p></td><td width=\"104\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">阿利吉仑</span><span style=\"font-size: 12px\">150~300mg</span><span style=\"font-size: 12px;font-family: 宋体\">，</span><span style=\"font-size: 12px\">1</span><span style=\"font-size: 12px;font-family: 宋体\">次</span><span style=\"font-size: 12px\">/</span><span style=\"font-size: 12px;font-family: 宋体\">日</span></p></td><td width=\"66\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><br/></td><td width=\"104\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">血钾升高、腹泻</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">有待进步积累病例经验</span></p></td><td width=\"85\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">临床试验显示降压有效</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">但尚无对心血管事件作用的资料。对此药的临床应用仍需谨慎</span><span style=\"font-size: 12px\">,</span><span style=\"font-size: 12px;font-family: 宋体\">有待于进一步研究</span></p></td><td width=\"85\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">妊娠、高血压、血管性水肿者禁用</span></p></td><td width=\"132\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">可与氢氯噻嗪或缬沙坦合用以增强降压作用。与环孢霉素或伊曲康唑合用时阿利吉仑血浓度显著增高</span></p></td></tr></tbody></table><p style=\"text-indent: 0px; line-height: 150%;\"><span style=\"text-indent: 24px; font-size: 12px; line-height: 150%; font-family: 宋体;\">&nbsp; &nbsp; 5.</span><span style=\"text-indent: 24px; font-size: 12px; line-height: 150%; font-family: 宋体;\">联合用药问题&nbsp; 高血压联合用药的好处是：①提高降压疗效:原发性高血压患者血压增高涉及众多机制.而现有每一类降压药物的作用都不能覆盖所有的机制。联合用药可以同时干预数种机制.增强降压效果。不同降压药的作用达峰和持续时间不同，联合用药可以起到24小时乎稳降压的作用，包括抑制总峰，降低夜间高血压。②合理使用不同类降压药物的联合•可以减少或不增加与药物扣关的 不艮反应。如ARB与噻嗪类利尿药联用可以减少低血钾 的发生；β阻断药与二氡吡啶类CCB联用可以减少心动过速；ACEI或ARB 与CCB联可以减少下肢水肿等。其结 果可能冇利于提高患者对长期降压治疗的依从性，进—步 达到保护靶器宮损害和减少心血管事件的作用。</span></p><p style=\"text-indent: 24px;line-height: 150%\"><span style=\"font-size:12px;line-height:150%;font-family:宋体\">近年来的临床试验结果显示联合用药可以提高高血压患者血压控制的达标率。由于起始联合治疗较单药治疗使血压达标更早，因此对心血管事件危险较高的高血压患者•, 即血压水平显著超过目标血压(收缩压超过2〇mmHg或舒 张压超过l0nmHg以上)或血压增高不显著但同时伴有多种危险因素、亚临床器官损害、糖尿病、肾病或相关的心血管疾病者，推荐联合治疗。合理的联合治疗还可能具有降压以外的有益作用，联合使用对不用靶器官有保护作用的降压药可起到多重保护作用（如高血压合并冠心病及糖尿病肾病的患者）。近年来一批新的固定剂量复方制剂的降压有效性和安全性在临床试验和临床实践中经过考验•逐渐得到认可。由于服用方便，患者服药依从性提高，从而使血压达标率也得以提高，最终达到减少心血管事件的目的。</span></p><p style=\"text-indent: 24px;line-height: 150%\"><span style=\"font-size:12px;line-height:150%;font-family:宋体\">高血压联合用药的缺点是，患者同时接受两种以上降压药治疗，可能増加不必要的药物暴露（如无效或增加不良反应）；不同药物之间未知的不利相互作用；固定剂量复方 制剂会失去一些临床用药的调整的灵活性，而为临床方便而设计的过多复方制剂又会使一线临床医师难以熟练应用。</span></p><p style=\"text-indent: 24px;line-height: 150%\"><span style=\"font-size: 12px;line-height:150%;font-family:宋体\">6.</span><span style=\"font-size: 12px;line-height:150%;font-family:宋体\">降压药物长期应用的原则&nbsp; 在治疗达到目标血压后，需要长期服药，并定期随访血压，监测其他危险因索和心血管疾病的变化，根据情况适当调整用药，规则服药.所用降压药的种类不宜频繁更换。高血压患者通常需要终生的降压治疗。如果高血压的诊断是正确的，终止治疗迟早会使血压恢复到治疗前的水平。然而，在长期的血压控制 后，可以小心地逐渐减少药物的剂量和种类，尤其对那些能 够实行严格的非药物治疗的患者。在“下阶梯”治疗时，必须持续地监测血压的变化。</span></p><p style=\"text-indent: 24px;line-height: 150%\"><strong><span style=\"font-size:12px;line-height:150%;font-family: 宋体\">(</span></strong><strong><span style=\"font-size:12px;line-height: 150%;font-family:宋体\">四）中西医结合治疗</span></strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">&nbsp;&nbsp; </span><span style=\"font-size:12px;line-height:150%;font-family:宋体\">根据中西医结合“病证结合”的原则，在对高血压患者进行降压治疗之外，尚可按症候对患者辨证分型，进行中医的辨证施治。</span></p><p style=\"text-indent: 24px;line-height: 150%\"><span style=\"font-size:12px;line-height:150%;font-family:宋体\">中医将高血压患者按分为四种症候:肝火亢盛证、阴虚阳亢证、痰湿壅盛证、阴阳两虚证，进行辨证论治，对临床痛症状和体征(舌象、脉象）有一定的改善作用.使患者受益（尤其在已有靶器官损赉和功能障碍的患者.如心力裒竭、脑卒中):辨证论治，包拈中药煎剂和中成药，都有很好控制血压的病例报道，但都只能对高血压早期（发病吋间短）、血压不稳定的轻、中度高血压患者降压有效.而且在停药后多数 人血压会回升。对于高血压时间长，血压较高时，仍应在改善生活方式治疗的同时，坚持西药抗高血压治疗，辅以中医中药，达到降压达标、改善症状、保护靶器官和减少心血管事件的综合目标。</span></p><p style=\"text-indent: 24px;line-height: 150%\"><strong><span style=\"font-size:12px;line-height:150%;font-family: 宋体\">(</span></strong><strong><span style=\"font-size:12px;line-height: 150%;font-family:宋体\">五）高血压危象的治疗</span></strong><span style=\"font-size:12px;line-height:150%;font-family:宋体\">&nbsp; </span><span style=\"font-size:12px;line-height:150%;font-family:宋体\">目前有数种注射用药可用于高血压急症的治疗(表16-9-5)。</span></p><p style=\"line-height: 150%; text-indent: 0em;\"><br/></p><table><tbody><tr style=\";height:25px\" class=\"firstRow\"><td valign=\"top\" style=\"border-width: 1px; border-color: rgb(0, 0, 0); background: white; padding: 0px; border-style: solid;\"><p style=\"line-height:12px\"><strong><span style=\"font-size: 12px;font-family: 宋体\">药物</span></strong></p></td><td valign=\"top\" style=\"border-width: 1px; border-color: rgb(0, 0, 0); border-style: solid; background: white; padding: 0px;\"><p style=\"line-height:12px\"><strong><span style=\"font-size: 12px;font-family: 宋体\">作用机制</span></strong></p></td><td valign=\"top\" style=\"border-width: 1px; border-color: rgb(0, 0, 0); border-style: solid; background: white; padding: 0px;\"><p style=\"line-height:12px\"><strong><span style=\"font-size: 12px;font-family: 宋体\">剂量</span></strong></p></td><td valign=\"top\" style=\"border-width: 1px; border-color: rgb(0, 0, 0); border-style: solid; background: white; padding: 0px;\"><p style=\"line-height:12px\"><strong><span style=\"font-size: 12px;font-family: 宋体\">起效时间</span></strong></p></td><td valign=\"top\" style=\"border-width: 1px; border-color: rgb(0, 0, 0); border-style: solid; background: white; padding: 0px;\"><p style=\"line-height:12px\"><strong><span style=\"font-size: 12px;font-family: 宋体\">作用持续时间</span></strong></p></td><td valign=\"top\" style=\"border-width: 1px; border-color: rgb(0, 0, 0); border-style: solid; background: white; padding: 0px;\"><p style=\"text-indent:6px;line-height:12px\"><strong><span style=\"font-size: 12px;font-family: 宋体\">不良反应和特殊适应证</span></strong></p></td></tr><tr style=\";height:86px\"><td valign=\"top\" style=\"border-width: 1px; border-color: rgb(0, 0, 0); border-style: solid; background: white; padding: 0px;\"><p style=\"line-height:12px\"><span style=\"font-size: 12px;font-family: 宋体\">硝普钠</span></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:15px\"><span style=\"font-size: 12px;font-family: 宋体\">动脉和静脉扩张剂</span></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:12px\"><span style=\"font-size: 12px;font-family: 宋体\">0•</span><span style=\"font-size: 12px;font-family: 宋体\">25</span><span style=\"font-size: 12px;font-family: 宋体\">~</span><span style=\"font-size: 12px;font-family: 宋体\">l</span><span style=\"font-size: 12px;font-family: 宋体\">0u</span><span style=\"font-size: 12px;font-family: 宋体\">g</span><span style=\"font-size: 12px;font-family: 宋体\">/(</span><span style=\"font-size: 12px;font-family: 宋体\">kg</span><strong><span style=\"font-size: 12px;font-family: 宋体\">•</span></strong><span style=\"font-size: 12px;font-family: 宋体\">min</span><span style=\"font-size: 12px;font-family: 宋体\">)</span></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"text-indent:6px;line-height:12px\"><span style=\"font-size: 12px;font-family: 宋体\">即刻</span></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:12px\"><strong><span style=\"font-size: 12px;font-family: 宋体\">停止输注后1</span></strong><strong><span style=\"font-size: 12px;font-family: &#39;MS Gothic&#39;\">〜</span></strong><strong><span style=\"font-size: 12px;font-family: 宋体\">2分钟</span></strong></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">恶心、呕吐、肌颤、出汗、低血</span><span style=\"font-size: 12px;font-family: 宋体\">压</span><span style=\"font-size: 12px;font-family: 宋体\">、硫</span><span style=\"font-size: 12px;font-family: 宋体\">氰</span><span style=\"font-size: 12px;font-family: 宋体\">酸盐中毒、高铁血红 蛋白血症（罕见</span><span style=\"font-size: 12px;font-family: 宋体\">）</span><strong><span style=\"font-size: 12px;font-family: 宋体\">。</span></strong><span style=\"font-size: 12px;font-family: 宋体\">适用于大多数高血压急诊，注意颅内高压和氮质血症</span></p></td></tr><tr style=\";height:74px\"><td valign=\"top\" style=\"border-width: 1px; border-color: rgb(0, 0, 0); border-style: solid; background: white; padding: 0px;\"><p style=\"line-height:12px\"><span style=\"font-size: 12px;font-family: 宋体\">硝酸甘油</span></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:15px\"><span style=\"font-size: 12px;font-family: 宋体\">静脉和外周动脉扩张剂</span></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:12px\"><span style=\"font-size: 12px;font-family: 宋体\">5 </span><span style=\"font-size: 12px;font-family: &#39;MS Gothic&#39;\">〜</span><span style=\"font-size: 12px;font-family: 宋体\">100</span><span style=\"font-size: 12px;font-family: 宋体\">u</span><span style=\"font-size: 12px;font-family: 宋体\">g/min</span></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"margin-left:7px;line-height:12px\"><span style=\"font-size: 12px;font-family: 宋体\">1</span><strong><span style=\"font-size: 12px;font-family: &#39;MS Gothic&#39;\">〜</span></strong><span style=\"font-size: 12px;font-family: 宋体\">5分钟</span></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:12px\"><strong><span style=\"font-size: 12px;font-family: 宋体\">3</span></strong><strong><span style=\"font-size: 12px;font-family: &#39;MS Gothic&#39;\">〜</span></strong><strong><span style=\"font-size: 12px;font-family: 宋体\">5分钟</span></strong></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:16px\"><span style=\"font-size: 12px;font-family: 宋体\">头痛、恶心、呕吐、心动过速、 高铁血红蛋白血症，长期使用产生耐受性。尤其适用于冠状动脉缺血</span></p></td></tr><tr style=\";height:60px\"><td valign=\"top\" style=\"border-width: 1px; border-color: rgb(0, 0, 0); border-style: solid; background: white; padding: 0px;\"><p style=\"line-height:12px\"><span style=\"font-size: 12px;font-family: 宋体\">肼苯达嗪</span></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:12px\"><span style=\"font-size: 12px;font-family: 宋体\">血管扩张剂</span></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:16px\"><span style=\"font-size: 12px;font-family: 宋体\">10</span><strong><span style=\"font-size: 12px;font-family: &#39;MS Gothic&#39;\">〜</span></strong><span style=\"font-size: 12px;font-family: 宋体\">20</span><span style=\"font-size: 12px;font-family: 宋体\">mg</span><span style=\"font-size: 12px;font-family: 宋体\">静脉注射<strong> </strong>必要时4</span><strong><span style=\"font-size: 12px;font-family: &#39;MS Gothic&#39;\">〜</span></strong><span style=\"font-size: 12px;font-family: 宋体\">6</span><span style=\"font-size: 12px;font-family: 宋体\">小时后 重复给药</span></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"margin-left:7px;line-height:12px\"><span style=\"font-size: 12px;font-family: 宋体\">5</span><strong><span style=\"font-size: 12px;font-family: &#39;MS Gothic&#39;\">〜</span></strong><span style=\"font-size: 12px;font-family: 宋体\">30分钟</span></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:12px\"><strong><span style=\"font-size: 12px;font-family: 宋体\">3</span></strong><strong><span style=\"font-size: 12px;font-family: &#39;MS Gothic&#39;\">〜</span></strong><strong><span style=\"font-size: 12px;font-family: 宋体\">9小时</span></strong></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:16px\"><span style=\"font-size: 12px;font-family: 宋体\">心率增快、头痛、潮红、心绞痛加</span><span style=\"font-size: 12px;font-family: 宋体\">重</span><span style=\"font-size: 12px;font-family: 宋体\">尤其适用于子</span><span style=\"font-size: 12px;font-family: 宋体\">痫</span></p></td></tr><tr style=\";height:73px\"><td valign=\"top\" style=\"border-width: 1px; border-color: rgb(0, 0, 0); border-style: solid; background: white; padding: 0px;\"><p style=\"margin-bottom:60px;line-height:12px\"><span style=\"font-size: 12px;font-family: 宋体\">尼卡地平</span></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:12px\"><span style=\"font-size: 12px;font-family: 宋体\">钙通道阻断药</span></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:16px\"><span style=\"font-size: 12px;font-family: 宋体\">5</span><span style=\"font-size: 12px;font-family: &#39;MS Gothic&#39;\">〜</span><span style=\"font-size: 12px;font-family: 宋体\">15</span><span style=\"font-size: 12px;font-family: 宋体\">mg</span><span style=\"font-size: 12px;font-family: 宋体\">/</span><span style=\"font-size: 12px;font-family: 宋体\">h</span><span style=\"font-size: 12px;font-family: 宋体\">静脉 注射</span></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"margin-left:7px;line-height:12px\"><span style=\"font-size: 12px;font-family: 宋体\">5</span><strong><span style=\"font-size: 12px;font-family: &#39;MS Gothic&#39;\">〜</span></strong><span style=\"font-size: 12px;font-family: 宋体\">15分钟</span></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:12px\"><strong><span style=\"font-size: 12px;font-family: 宋体\">30</span></strong><strong><span style=\"font-size: 12px;font-family: &#39;MS Gothic&#39;\">〜</span></strong><strong><span style=\"font-size: 12px;font-family: 宋体\">40分钟</span></strong></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:16px\"><span style=\"font-size: 12px;font-family: 宋体\">头痛、心动过速、恶心、呕吐、潮红、静脉炎。适用于除急性 &nbsp; 心衰外的大多数高血压急诊</span><span style=\"font-size: 12px;font-family: 宋体\">• </span><span style=\"font-size: 12px;font-family: 宋体\">注意冠脉缺血</span></p></td></tr><tr style=\";height:96px\"><td valign=\"top\" style=\"border-width: 1px; border-color: rgb(0, 0, 0); border-style: solid; background: white; padding: 0px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">拉贝洛尔</span></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">α和β受体阻断药</span></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">10</span><span style=\"font-size: 12px;font-family: &#39;MS Gothic&#39;\">〜</span><span style=\"font-size: 12px;font-family: 宋体\">15分钟内静注 20 </span><span style=\"font-size: 12px;font-family: &#39;MS Gothic&#39;\">〜</span><span style=\"font-size: 12px;font-family: 宋体\">80mg，或 0.5</span><span style=\"font-size: 12px;font-family: &#39;MS Gothic&#39;\">〜</span><span style=\"font-size: 12px;font-family: 宋体\">2_ Omg/min 静滴</span></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">5</span><span style=\"font-size: 12px;font-family: &#39;MS Gothic&#39;\">〜</span><span style=\"font-size: 12px;font-family: 宋体\">10分钟</span></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:12px\"><strong><span style=\"font-size: 12px;font-family: 宋体\">3</span></strong><strong><span style=\"font-size: 12px;font-family: &#39;MS Gothic&#39;\">〜</span></strong><strong><span style=\"font-size: 12px;font-family: 宋体\">6小时</span></strong></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p><span style=\"font-size: 12px;font-family: 宋体\">恶心、头皮麻刺感或喉头发热、头晕、支气管痉挛、心动过缓、传导阻滞、直立性低血压。适用于除急性心衰外的大部分卨血压急症</span></p></td></tr><tr style=\";height:54px\"><td valign=\"top\" style=\"border-width: 1px; border-color: rgb(0, 0, 0); border-style: solid; background: white; padding: 0px;\"><p style=\"line-height:12px\"><span style=\"font-size: 12px;font-family: 宋体\">乌拉地尔</span></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:16px\"><span style=\"font-size: 12px;font-family: 宋体\">a</span><span style=\"font-size: 12px;font-family: 宋体\">受体阻断药兼有中枢</span><span style=\"font-size: 12px;font-family: 宋体\">5-</span><span style=\"font-size: 12px;font-family: 宋体\">羟色胺激动作用</span></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"text-indent:6px;line-height:17px\"><span style=\"font-size: 12px;font-family: 宋体\">首</span><span style=\"font-size: 12px;font-family: 宋体\">剂</span><span style=\"font-size: 12px;font-family: 宋体\">12.</span><span style=\"font-size: 12px;font-family: 宋体\">5</span><span style=\"font-size: 12px;font-family: &#39;MS Gothic&#39;\">〜</span><span style=\"font-size: 12px;font-family: 宋体\">25</span><span style=\"font-size: 12px;font-family: 宋体\">mg</span><span style=\"font-size: 12px;font-family: 宋体\">随 之5</span><strong><span style=\"font-size: 12px;font-family: &#39;MS Gothic&#39;\">〜</span></strong><span style=\"font-size: 12px;font-family: 宋体\">10</span><span style=\"font-size: 12px;font-family: 宋体\">mg</span><span style=\"font-size: 12px;font-family: 宋体\">/</span><span style=\"font-size: 12px;font-family: 宋体\">h</span><span style=\"font-size: 12px;font-family: 宋体\">静脉输注</span></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"margin-left:7px;line-height:12px\"><span style=\"font-size: 12px;font-family: 宋体\">3</span><span style=\"font-size: 12px;font-family: &#39;MS Gothic&#39;\">〜</span><span style=\"font-size: 12px;font-family: 宋体\">5分钟</span></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:12px\"><strong><span style=\"font-size: 12px;font-family: 宋体\">4</span></strong><strong><span style=\"font-size: 12px;font-family: &#39;MS Gothic&#39;\">〜</span></strong><strong><span style=\"font-size: 12px;font-family: 宋体\">6小吋</span></strong></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:12px\"><span style=\"font-size: 12px;font-family: 宋体\">低血压、头痛、眩</span><span style=\"font-size: 12px;font-family: 宋体\">染</span></p></td></tr><tr style=\";height:48px\"><td valign=\"top\" style=\"border-width: 1px; border-color: rgb(0, 0, 0); border-style: solid; background: white; padding: 0px;\"><p style=\"line-height:12px\"><span style=\"font-size: 12px;font-family: 宋体\">酚妥拉明</span></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:12px\"><span style=\"font-size: 12px;font-family: 宋体\">a</span><span style=\"font-size: 12px;font-family: 宋体\">受体阻断药</span></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:16px\"><span style=\"font-size: 12px;font-family: 宋体\">首剂</span><span style=\"font-size: 12px;font-family: 宋体\">5</span><span style=\"font-size: 12px;font-family: 宋体\">mg</span><span style=\"font-size: 12px;font-family: 宋体\">缓慢静脉 注射</span></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"margin-left:7px;line-height:12px\"><span style=\"font-size: 12px;font-family: 宋体\">1</span><span style=\"font-size: 12px;font-family: &#39;MS Gothic&#39;\">〜</span><span style=\"font-size: 12px;font-family: 宋体\">2分钟</span></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:12px\"><strong><span style=\"font-size: 12px;font-family: 宋体\">3^</span></strong><strong><span style=\"font-size: 12px;font-family: &#39;MS Gothic&#39;\">〜</span></strong><strong><span style=\"font-size: 12px;font-family: 宋体\">10分钟</span></strong></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:16px\"><span style=\"font-size: 12px;font-family: 宋体\">心动过速、潮红、头痛、心绞痛<strong>。</strong>尤其适用于嗜铬细胞瘤</span></p></td></tr><tr style=\";height:53px\"><td valign=\"top\" style=\"border-width: 1px; border-color: rgb(0, 0, 0); border-style: solid; background: white; padding: 0px;\"><p style=\"line-height:12px\"><span style=\"font-size: 12px;font-family: 宋体\">艾司莫洛</span></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:12px\"><span style=\"font-size: 12px;font-family: 宋体\">β</span><span style=\"font-size: 12px;font-family: 宋体\">受体阻断药</span></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:17px\"><span style=\"font-size: 12px;font-family: 宋体\">250</span><span style=\"font-size: 12px;font-family: &#39;MS Gothic&#39;\">〜</span><span style=\"font-size: 12px;font-family: 宋体\">500</span><span style=\"font-size: 12px;font-family: 宋体\">ug</span><span style=\"font-size: 12px;font-family: 宋体\">/(</span><span style=\"font-size: 12px;font-family: 宋体\">kg</span><strong><span style=\"font-size: 12px;font-family: 宋体\">•</span></strong> <span style=\"font-size: 12px;font-family: 宋体\">min</span><span style=\"font-size: 12px;font-family: 宋体\">)</span><span style=\"font-size: 12px;font-family: 宋体\">1</span><span style=\"font-size: 12px;font-family: 宋体\">分钟。随之</span><span style=\"font-size: 12px;font-family: 宋体\">50~100u</span><span style=\"font-size: 12px;font-family: 宋体\">g/(kg</span> <sup><span style=\"font-size: 12px;font-family: 宋体\">0</span></sup> <span style=\"font-size: 12px;font-family: 宋体\">min</span><span style=\"font-size: 12px;font-family: 宋体\">) </span><span style=\"font-size: 12px;font-family: 宋体\">4</span><span style=\"font-size: 12px;font-family: 宋体\">分钟</span></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"text-indent:12px;line-height:12px\"><span style=\"font-size: 12px;font-family: 宋体\">1</span><strong><span style=\"font-size: 12px;font-family: &#39;MS Gothic&#39;\">〜</span></strong><span style=\"font-size: 12px;font-family: 宋体\">2分钟</span></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:12px\"><strong><span style=\"font-size: 12px;font-family: 宋体\">1Q</span></strong><strong><span style=\"font-size: 12px;font-family: &#39;MS Gothic&#39;\">〜</span></strong><strong><span style=\"font-size: 12px;font-family: 宋体\">20分钟</span></strong></p></td><td valign=\"top\" style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px; word-break: break-all;\"><p style=\"line-height:17px\"><span style=\"font-size: 12px;font-family: 宋体\">低血压、恶心，尤其适</span><span style=\"font-size: 12px;font-family: 宋体\">用</span><span style=\"font-size: 12px;font-family: 宋体\">于主动脉夹层</span></p></td></tr></tbody></table><p style=\"text-indent: 24px;line-height: 150%\"><span style=\"text-indent: 29px;\"></span></p><p style=\"text-indent: 24px;line-height: 150%\"><span style=\"font-size:12px;line-height:150%;font-family:宋体\">当平均动脉血压达到临界水平（180mmHg左右）时， 在高压下脑的高灌注可以导致脑水肿和高血压脑病。在慢性高血压患者.发生这种情况的血压水平要比既往血压正常者高得多。如果不加以治疗.临床表现将进行性恶化，导致帋迷和死亡。高血压脑病患者在接受高血压治疗后病情可迅速改善。首选治疗药物包括静脉注射硝普钠、拉贝洛尔、乌拉地尔或尼卡地平。</span></p><p style=\"text-indent: 24px;line-height: 150%\"><span style=\"font-size:12px;line-height:150%;font-family:宋体\">对其他并发症的治疗,<span style=\"font-size: 12px; line-height: 150%; font-family: 宋体; color: rgb(0, 0, 0);\">参见第二十三篇第四章“急性脑血管病”、本篇第二章“心力袞竭”、第十九篇第三章“慢性肾脏病”等相应章节。</span></span></p><p><span style=\"font-size: 12px\">对高血压重症，</span><span style=\"font-size: 12px\">需</span><span style=\"font-size: 12px\">要在24〜48小时内使血压逐渐下</span><span style=\"font-size: 12px\">降。即在发病后头几天对患</span><span style=\"font-size: 12px\">者</span><span style=\"font-size: 12px\">进行密切的随访。如果</span><span style=\"font-size: 12px\">血压</span><span style=\"font-size: 12px\">暂时升高的原因是容易识别的.如疼痛或急性焦虑</span><span style=\"font-size: 12px\">.</span><span style=\"font-size: 12px\">则合适</span> <span style=\"font-size: 12px\">的治疗是止痛药或抗焦虑药。如果血压增高的原因不明.可给予各种降压药硝苯地平、卡托普利、可乐定、拉贝洛尔、尼卡地平、尼群地平和硝酸甘油在这类</span><span style=\"font-size: 12px\">高</span><span style=\"font-size: 12px\">血压治疗中的作用已被广泛认可。具体的药物要根据患者的基本病理生理学和临床特点、药物的作用机制和可能产生的不良反应</span><span style=\"font-size: 12px\">来选用</span><span style=\"font-size: 12px\">（表16-9-6)。使用时必须密切注意血压的过度降低。</span></p><p style=\"text-indent: 24px;line-height: 150%\"><span style=\"font-family: 宋体;\"></span><br/></p><table><tbody><tr style=\";height:27px\" class=\"firstRow\"><td style=\"border-width: 1px; border-color: rgb(0, 0, 0); background: white; padding: 0px; border-style: solid;\"><p style=\"line-height:150%\"><strong><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">药名</span></strong></p></td><td style=\"border-width: 1px; border-color: rgb(0, 0, 0); border-style: solid; background: white; padding: 0px;\"><p style=\"line-height:150%\"><strong><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">作用机制</span></strong></p></td><td style=\"border-width: 1px; border-color: rgb(0, 0, 0); border-style: solid; background: white; padding: 0px;\"><p style=\"line-height:150%\"><strong><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">剂量</span></strong><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">(<strong>mg</strong>)</span></p></td><td style=\"border-width: 1px; border-color: rgb(0, 0, 0); border-style: solid; background: white; padding: 0px;\"><p style=\"text-indent:24px;line-height:150%\"><strong><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">说 明</span></strong></p></td></tr><tr style=\";height:57px\"><td style=\"border-width: 1px; border-color: rgb(0, 0, 0); border-style: solid; background: white; padding: 0px;\"><p style=\"line-height:150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">卡托普利</span></p></td><td style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">ACE</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">抑制剂</span></p></td><td style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">25 </span><span style=\"font-size: 12px;line-height: 150%;font-family: &#39;MS Mincho&#39;, serif\">〜</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">50</span></p></td><td style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:115%\"><span style=\"font-size: 12px;line-height: 115%;font-family: 宋体\">口服或舌下给药，最大作用见于给药后30〜90分钟内。在体液容量不足者.易有血压过度下降。不推荐于肾动脉狭窄患者</span></p></td></tr><tr style=\";height:26px\"><td style=\"border-width: 1px; border-color: rgb(0, 0, 0); border-style: solid; background: white; padding: 0px;\"><p style=\"line-height:150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">硝酸甘汕</span></p></td><td style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">血管扩张剂</span></p></td><td style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">1.25</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">〜2.5</span></p></td><td style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:115%\"><span style=\"font-size: 12px;line-height: 115%;font-family: 宋体\">舌下给药,最大作用见于15〜30分钟内。推荐用于冠心病患者</span></p></td></tr><tr style=\";height:48px\"><td style=\"border-width: 1px; border-color: rgb(0, 0, 0); border-style: solid; background: white; padding: 0px;\"><p style=\"line-height:150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">硝苯地平</span></p></td><td style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">钙通道阻断药</span></p></td><td style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">10</span></p></td><td style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:115%\"><span style=\"font-size: 12px;line-height: 115%;font-family: 宋体\">口服给药，30分钟内起效。可致反射性心动过速、潮红、严重低血压。禁用胶囊</span></p></td></tr><tr style=\";height:44px\"><td style=\"border-width: 1px; border-color: rgb(0, 0, 0); border-style: solid; background: white; padding: 0px;\"><p style=\"line-height:150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">尼群地平</span></p></td><td style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">钙通道阻断药</span></p></td><td style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">5</span></p></td><td style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:115%\"><span style=\"font-size: 12px;line-height: 115%;font-family: 宋体\">舌下给药，15分钟内起效.可致严重低血压。不推荐用于高血压危象</span></p></td></tr><tr style=\";height:60px\"><td style=\"border-width: 1px; border-color: rgb(0, 0, 0); border-style: solid; background: white; padding: 0px;\"><p style=\"line-height:150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">尼卡地平</span></p></td><td style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">钙通道阻断药</span></p></td><td style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">30</span></p></td><td style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:115%\"><span style=\"font-size: 12px;line-height: 115%;font-family: 宋体\">口服或舌下给药，仅有少量心率增快.比硝苯地平起效慢而降压吋间更长。可致低血压和潮红</span></p></td></tr><tr style=\";height:69px\"><td style=\"border-width: 1px; border-color: rgb(0, 0, 0); border-style: solid; background: white; padding: 0px;\"><p style=\"line-height:150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">依拉地平</span></p><p style=\"line-height:150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">拉贝洛尔</span></p></td><td style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">钙通道阻断药</span></p><p style=\"line-height:150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">β受体阻断药</span></p></td><td style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">1.25 </span><span style=\"font-size: 12px;line-height: 150%;font-family: &#39;MS Mincho&#39;, serif\">〜</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">5 </span></p><p style=\"line-height:150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">200</span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">〜1200</span></p></td><td style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:115%\"><span style=\"font-size: 12px;line-height: 115%;font-family: 宋体\">口服或舌下给药，最大作用见于给药后2小时内。可引起低血压</span></p><p style=\"line-height:115%\"><span style=\"font-size: 12px;line-height: 115%;font-family: 宋体\">口服给药，禁用于慢性阻塞性肺病、充血性心衰恶化、心动过缓患者。可引起低血压眩晕、头痛、呕吐、潮红</span></p></td></tr><tr style=\";height:44px\"><td style=\"border-width: 1px; border-color: rgb(0, 0, 0); border-style: solid; background: white; padding: 0px;\"><p style=\"line-height:150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">可乐宁</span></p></td><td style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">α受体激动剂</span></p></td><td style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">0. 1 </span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">〜0. 4</span></p></td><td style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:115%\"><span style=\"font-size: 12px;line-height: 115%;font-family: 宋体\">口服给药,最大作用见于1〜4小时内。副作用为嗜睡、眩晕、口干 和停药后血压反跳</span></p></td></tr><tr style=\";height:27px\"><td style=\"border-width: 1px; border-color: rgb(0, 0, 0); border-style: solid; background: white; padding: 0px;\"><p style=\"line-height:150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">呋塞米</span></p></td><td style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">袢利尿药</span></p></td><td style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:150%\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">40 </span><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">〜80</span></p></td><td style=\"border-width: 1px; border-style: solid; border-color: rgb(0, 0, 0); background: white; padding: 0px;\"><p style=\"line-height:115%\"><span style=\"font-size: 12px;line-height: 115%;font-family: 宋体\">口服给药。可继其他抗高血压药之后给药</span></p></td></tr></tbody></table><p style=\"text-indent: 396px; line-height: 150%; text-align: right;\"><span style=\"font-size: 12px;line-height: 150%;font-family: 宋体\">来源：实用内科学14版（下册）&nbsp; </span><span style=\"font-size:12px;line-height:150%;font-family:宋体;color:red\">&nbsp;</span></p><p><br/></p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('3988', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '507', '预防', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.胸怀开阔，精神乐观，注意劳逸结合，积极参加文体活动，脑力劳动者坚持作一定的体力活动等，有利于维持神经内分泌系统的正常功能；不吸烟，少吃盐，避免发胖等都对预防本病有积极意义。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.开展高血压知识的普及教育，在公共场所提供免费的血压测量，以早期和及时发现血压增高。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.鼓励个人和集体定期体格检查（尤其有高血压或心脑血管疾病家族史者）测量血压。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下）</p><p><br/></p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4008', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '743', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病毒性心肌炎（viral myocarditis，VMC）系由病毒感染所致的局限性或弥散性心肌炎性病变。大多数可以自愈，部分可迁延而遗留有各种心律失常，少数可演变为扩张型心肌病（dilated cardiomyopathy，DCM），导致心力衰竭甚至心源性猝死。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4009', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '743', '流行病学', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">VMC可发生在婴幼儿到老年人各个年龄段，以儿童和40岁以下的成年人居多，35%的患者在10～30岁。一般认为男性略高于女性。发病一般以夏季最多，可能与肠道病毒的流行多见于夏秋季有关。但在卫生条件较差，气候温湿地区常有肠道病毒感染流行，季节性则不明显。多为散发，少数有小范围暴发流行。我国湖北、云南等地曾发生小范围VMC暴发流行，其时发病率为26.8%～50%，病死率高达23.6%。国外文献报道，急性病毒感染者中VMC发病率为1%～5%，暴发时发病率可达50%。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4010', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '743', '病原学', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">几乎所有的人类病毒感染均可累及心脏，引起VMC，其中以柯萨奇B组病毒最常见；人类腺病毒也被认为是重要病毒之一；巨细胞病毒、疱疹病毒、EB病毒、流感和副流感病毒、微小病毒及腮腺炎病毒也占少量比例。此外，丙型肝炎病毒及HIV的感染与心肌疾病的发生也有关联。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">VMC的发病机制目前仍不十分清楚，大多数研究认为急性期嗜心肌病毒的直接损伤及随后发生的免疫损伤是VMC发生发展的主要机制。</p><p>（一）病毒的直接作用</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病毒经肠道或呼吸道感染后，可经血液进入心肌，急性期病毒大量在宿主心肌细胞中复制，直接导致心肌细胞损伤、坏死和凋亡。</p><p>（二）病毒介导的免疫损伤作用</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病毒感染形成抗病毒免疫在清除病毒的同时本身也损伤了心肌细胞，但毕竟清除了病毒，终止了病毒对心肌的损害，从而使绝大部分心肌组织得以保存，故大部分急性VMC具有自限性。然而，当病毒与心肌组织存在共同的抗原或免疫介导的心肌细胞损害，使一些自身抗原如心肌肌凝蛋白暴露或释放时，通过激活自身反应T细胞和诱导抗心肌自身抗体产生，致心肌组织慢性持续损伤形成慢性心肌炎，甚至演变成DCM。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4011', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '743', '病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病变较重者肉眼见心肌松弛，呈灰色或黄色，心腔扩大。病变较轻者在大体检查时无发现，仅在显微镜下表现为心肌纤维之间与血管四周的结缔组织中单核细胞浸润。心肌细胞可有变性、溶解或坏死。病变如在心包下则可合并心包炎，成为病毒性心包心肌炎。病变可涉及心肌与间质，也可涉及心脏的起搏与传导系统，成为心律失常的发病基础。病毒的毒力越强，病变范围越广。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4012', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '743', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">取决于病变的广泛程度与部位。轻者几无症状，重者可至猝死。</p><p>（一）症状</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多数患者在发病前有发热、全身酸痛、咽痛、腹泻等症状。患者常诉胸闷、心前区隐痛、心悸、乏力、恶心、头晕等。临床上诊断的VMC 90%左右以心律失常为主诉或首见症状，其中少数患者可由此而发生晕厥或阿-斯综合征。极少数患者起病后发展迅速，出现心力衰竭或心源性休克。</p><p>（二）体征</p><p><br/></p><p>1.心脏增大&nbsp; &nbsp;</p><p>&nbsp; &nbsp;轻者心界不增大，也可暂时性心界增大，不久即恢复。心脏增大显著者反映心肌炎症范围广泛而病变严重。</p><p><br/></p><p>2.心率改变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心率增速与体温不相称，或心率异常缓慢，均为VMC的可疑征象。</p><p>3.心音改变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心尖区第一心音可减低或分裂。心音呈胎心样。心包摩擦音反映有心包炎存在。</p><p>4.杂音</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心尖区可能有收缩期吹风样杂音或舒张期杂音，前者为发热、贫血、心腔扩大所致，后者因左心室扩大造成的相对性二尖瓣狭窄。杂音响度都不超过3级，病情好转后可消失。</p><p>5.心律失常</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">各种心律失常都可出现，以房性与室性期前收缩最常见，其次为房室传导阻滞；此外，心房颤动、病态窦房结综合征均可出现。心律失常是造成猝死的原因之一。</p><p>6.心力衰竭</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">重症弥漫性VMC患者可出现急性心力衰竭，属于心肌泵血功能衰竭，左右心同时发生衰竭，引起心排血量过低，故除一般心力衰竭表现外，易合并心源性休克。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4013', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '743', '辅助检查', '<p>（一）血液检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">白细胞计数可升高，急性期血沉可增速，部分患者血清心肌标志物增高，反映心肌坏死。各种测定项目中以心肌肌钙蛋白I或T（cTnI/cTnT）、心肌肌酸激酶同工酶（CK-MB）的定量测定增高最有诊断价值。</p><p>（二）心电图</p><p>1.ST-T变化</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">T波低平或倒置常见，ST段可有轻度移位。</p><p>2.心律失常</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">除窦性心动过速与窦性心动过缓外，异位心律与传导阻滞常见。房性、室性、房室交界性期前收缩均可出现，约2/3患者以室性期前收缩为主要表现。大多数期前收缩无固定的联律间距，部分符合并行收缩，可能来自局灶性病变。期前收缩可为单源性，也可为多源性。室上性或室性心动过速比较少见，但室性心动过速的发生有可能引起晕厥。心房颤动与扑动也可见。心室颤动较少见，为猝死的原因。一至三度窦房、房室传导阻滞，束支或分支传导阻滞都可出现。上述各种心律失常可合并出现。心律失常多见于急性期，在恢复期消失，也可随瘢痕形成而造成持久性的心律失常。</p><p>（三）超声心动图</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">左心室扩张多不明显，可有收缩或舒张功能异常、节段性及区域性室壁运动异常、心肌回声反射增强和不均匀、右心室扩张及运动异常。</p><p>（四）X线检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">局灶性VMC无异常变化。弥漫性VMC或合并心包炎的患者心影增大，严重者可见肺淤血或肺水肿。</p><p>（五）核素心肌灌注显像</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于VMC病变心肌摄取核素的能力下降，<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">99m</span>Tc-MIBI心肌灌注显像可显示心肌的血流灌注情况及心肌受损部位、程度。</p><p>（六）磁共振成像（MRI）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心肌炎时磁共振成像T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>加权图主要表现为局灶性信号增高，提示心肌组织内炎症病灶和水肿，而T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>加权图可无明显改变。造影剂Gd-DTPA和心电门控技术相结合可显著提高T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>加权成像对心肌损伤诊断的敏感性及可靠性，且较T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>加权敏感，更有利于心肌炎的诊断。</p><p>（七）病毒学检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括从咽拭子或粪便或心肌组织中分离出病毒，血清中检测特异性病毒抗体滴度，从心肌活检标本中找到特异抗原或在电镜下发现病毒颗粒，以及用PCR技术从粪便、血清、心肌组织中检测病毒RNA等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4014', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '743', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1999年全国心肌炎心肌病专题研讨会提出的成人急性VMC诊断参考标准可作为诊断本病的参考：</p><p>（一）病史与体征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在上呼吸道感染、腹泻等病毒感染后3周内出现心脏表现，如不能用一般原因解释的感染后重度乏力、胸闷、头昏（心排血量降低所致）、心尖第一心音明显减弱、舒张期奔马律、心包摩擦音、心脏扩大、充血性心力衰竭或阿-斯综合征等。</p><p>（二）上述感染后3周内出现下列心律失常或心电图改变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①窦性心动过速、房室传导阻滞、窦房阻滞、束支阻滞；②多源、成对室性期前收缩、自主性房性或交界性心动过速、阵发性或非阵发性室性心动过速、心房或心室扑动或颤动；③两个以上导联ST段呈水平型或下斜型下移≥0.05mV或ST段抬高或出现异常Q波。</p><p>（三）心肌损害的参考指标</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病程中血清cTnI或cTnT（强调定量测定）、CK-MB明显增高。超声心动图示心腔扩大或室壁活动异常和（或）核素心功能检查证实左心室收缩或舒张功能减弱。</p><p>（四）病原学依据</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①在急性期从心内膜、心肌、心包或心包穿刺液中检测出病毒、病毒基因片段或病毒蛋白抗原；②病毒抗体第二份血清中同型病毒抗体（如柯萨奇B组病毒中和抗体等）滴度较第一份血清升高4倍（2份血清应相隔2周以上）或一次抗体效价≥1∶640者为阳性，320者为可疑阳性（若以1∶32为基础者则宜以≥256为阳性，128为可疑阳性，根据不同实验室标准作决定）；③病毒特异性IgM以≥1∶320者为阳性（按各实验室诊断标准，需在严格质控条件下）。如同时有血中肠道病毒核酸阳性者更支持有近期病毒感染。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对同时具有上述（一）和（二）的①②③中任何一项、（三）中任何两项，在排除其他原因心肌疾病后，临床上可诊断急性VMC。如同时具有（四）中①项者，可从病原学上确诊急性VMC；如仅具有（四）中②③项者，在病原学上只能拟诊为急性VMC。如患者有阿-斯综合征发作、充血性心力衰竭伴或不伴心肌梗死样心电图改变、心源性休克、急性肾衰竭、持续性室性心动过速伴低血压或心肌心包炎等一项或多项表现，可诊断为重症VMC。如仅在病毒感染后3周内出现少数期前收缩或轻度T波改变，不宜轻易诊断为急性VMC。对难以明确诊断者，可进行长期随访，有条件时可做心内膜心肌活检进行病毒基因检测及病理学检查。在考虑VMC诊断时，应除外β受体功能亢进、甲状腺功能亢进、二尖瓣脱垂综合征及影响心肌的其他疾病，如风湿性心肌炎、中毒性心肌炎、冠心病、结缔组织病、代谢性疾病以及克山病（克山病流行区）等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4015', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '743', '病程和预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">大多数VMC患者可以自愈，部分可迁延而遗留有各种心律失常（如期前收缩、房室传导阻滞等），更为严重的是有可能发生高度或三度房室传导阻滞，则需安装永久心脏人工起搏器。有少数VMC可急性暴发以致心力衰竭或猝死，也可有急性期后的持续心腔扩大和（或）心力衰竭，类似DCM。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4016', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '743', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">VMC患者应注意休息（重症者应绝对卧床休息），进易消化和富含维生素和蛋白质的食物。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对原发病毒感染，α干扰素（IFN-α）具有广谱抗病毒能力，可抑制病毒的繁殖。用量为300IU/ml，每日1次，肌内注射，一周为1个疗程，必要时可再用1～2个疗程。IFN-α副作用少，偶有倦怠、感冒样症状，但反复使用后症状可消失。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一些中草药如板蓝根、连翘、大青叶、虎杖等可能对病毒感染有效，但对药物的反应有个体差异。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心力衰竭应及时控制，应用洋地黄类药时须谨慎，宜从小剂量开始。血管紧张素转换酶抑制剂（ACEI）、血管紧张素受体拮抗药（ARB）、扩血管药和利尿药也可应用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">期前收缩频繁，或有快速心律失常者用抗心律失常药。如因高度房室传导阻滞、快速室性心律或窦房结损害而引起晕厥或低血压，则需用电起搏或电复律，多数三度房室传导阻滞患者借起搏器渡过急性期后得到恢复。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">关于激素的治疗问题一直存在争议，目前多数学者认为，至少在发病10～14日内不主张应用激素，以免病灶扩散。然而在下述情况下使用激素不必考虑感染时间：①严重毒血症；②心源性休克；③严重心力衰竭；④高度或完全性房室传导阻滞；⑤持续性室性心动过速及其他恶性室性心律失常。上述情况下应用激素可抑制抗原抗体反应，有利于局部炎症和水肿的消失。此时激素虽可能使病程延长，却能帮助患者渡过危险期，为患者的抢救赢得时间。通常可大剂量氢化可的松200～300mg/d或地塞米松20～30mg/d冲击治疗3天，病情非常严重者可延至1周左右，剂量可逐渐减少。然后改口服泼尼松龙10～30mg/d，待病情稳定后逐渐减量到停药。总之，肾上腺皮质激素总疗程不应大于1个月，对反复发作、病情迁延不愈者，也可考虑适当延长激素治疗时间，然而，早期轻症VMC不宜常规应用肾上腺皮质激素。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">促进心肌代谢药物，如三磷酸腺苷、辅酶A、肌苷、环化腺苷酸、细胞色素C、极化液、维生素C、辅酶Q10等在治疗中可能有辅助作用。近年来，对VMC合并心功能不全的患者已有应用曲美他嗪治疗。黄芪对提高免疫功能及改善心功能已有很多报道，尤其是黄芪联合牛磺酸等中西医结合治疗疗效更加显著。我们对慢性小鼠VMC的研究发现，螺内酯可预防和逆转心肌间质纤维化及外周血管的重构，用其治疗慢性心肌炎/DCM可能有效。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4017', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1551', '概述', '<p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">传统的感染理论，将感染视为疾病或病理生理状态，视感染和炎症反应为同一个病理生理过程，并且把感染引起的局部炎症反应(如红肿热痛)和发热、白细胞增高等全身的炎症反应直接视为感染性疾病的证据。临床实践中一些诊断术语常互换应用，如“感染和炎症”、“感染、感染性疾病和炎症性疾病”、“败血症和脓毒症”、“感染性休克、败血症休克和脓毒性休克”等。1991年第一届国际脓毒症共识会首次提出了系统性炎症反应综合征(systemic inflammatory response syndrome，SIRS)假说，更新了脓毒症(sepsis)概念，并将多脏器衰竭(MOF)改为多脏器功能障碍综合征(multiple organ dysfunction syndrome MODS)</span><span style=\"box-sizing: border-box; position: relative; font-size: 10.5px; line-height: 0; vertical-align: baseline; top: -0.5em; color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255);\">1</span><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">。20余年来，对脓毒症进行了一系列基础研究和临床实践，在历次国际会议上，先后几次修正术语定义、制定脓毒症管理指南。目前脓毒症理论体系正在日趋完善(以下简称“脓毒症理论”)</span></p><p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">脓毒症概念相关的术语1.系统性炎症反应综合征(system ic in flamm atory response syndrome，SIRS)或系统性炎症反应(system ic inflamm atory response，SIR)</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">是指机体在各种感染、创伤、缺氧等因素刺激下产生的一种系统性炎症反应(临床常称为全身炎症反应综合征)。由于SIRS作为综合征定位不确定性，目前更趋向SIR表示。本文将SIRS与SIR概念通用。2次国际共识会议制定的SIRS标准是:体温＞38℃或＜36℃;心率＞正常年龄均值加2个标准差;呼吸＞正常年龄均值加2个标准差;或白细胞＞12×10<span style=\"box-sizing: border-box; position: relative; font-size: 10.5px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L，或＜4×10<span style=\"box-sizing: border-box; position: relative; font-size: 10.5px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/ L，或杆状核＞10%。凡符合上述两项或两项以上者即可诊断，儿童患者其中一项必须符合体温或白细胞变化。上述诊断标准不能机械静止地应用，首先需整体动态地分析临床过程。</p><p>2.脓毒症(sepsis)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">是脓毒症理论中重新定义的概念，指感染引起的SIRS(传统“脓毒症”是指败血症引起的远隔器官组织的化脓性病灶)。目前，我国杂志、教科书、英文文献对“sepsis”翻译除“脓毒症”外，还有“全身感染、重症感染、脓毒血症和败血症”<span style=\"box-sizing: border-box; position: relative; font-size: 10.5px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>，读者需根据语境和原文谨慎辨认。</p><p>3.严重脓毒症(severe sepsis)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">　指脓毒症同时存在脓毒症引起的组织低灌注(少尿、乳酸升高、低血压)或脏器功能障碍。</p><p>4.脓毒性休克(septic shock)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">指严重脓毒症经液体复苏干预仍存在低血压状态。</p><p>5.多脏器功能障碍综合征(m ultip le organ dysfunction synd rome，MODS)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">指感染或非感染性强烈打击引起的序贯性多个脏器功能不全。首次脓毒症共识会议文件中，将MODS分为原发性和继发性两型。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">第1届脓毒症共识会议对脓毒症与SIRS概念关系见图43-10。</p><p>6.一些感染相关的传统术语(目前仍可在文献中见到，需要根据文献内具体语境进行鉴别):(1)感染(infection):</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">传统感染的定义是“机体和入侵病原微生物相互作用的病理生理过程”<span style=\"box-sizing: border-box; position: relative; font-size: 10.5px; line-height: 0; vertical-align: baseline; top: -0.5em;\">3</span>或“外源性致病微生物侵入机体无菌组织、体液和体腔的病理过程”<span style=\"box-sizing: border-box; position: relative; font-size: 10.5px; line-height: 0; vertical-align: baseline; top: -0.5em;\">4</span>。脓毒症学说中并未对感染做出新的定义，2012版脓毒症休克指南只是将感染分为证实的和可能的感染。关于感染定义及当前感染概念的演变详见下述。</p><p>(2)菌血症(bacteremia):</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">细菌间歇性进入血液循环，血培养可以阳性，菌血症可以在生理状态发生，也可以是局部感染扩散的开始。其他微生物进入血流分别称为病毒血症、真菌血症、支原体血症等。</p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">图43-10　脓毒症与SIRS关系图</p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">SIRS:系统性炎症反应综合征;SIR:系统性炎症反应</p><p>(3)传统的败血症(septicemia):</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">指细菌侵入血液循环，并在血中生长繁殖状态称败血症。一般在持续发热、白细胞、C反应蛋白(CRP)等炎症指标明显增高和存在全身感染中毒症状时诊断败血症。临床上将许多血培养阴性的病例诊断为败血症，通常以“既往应用抗生素后血培养阳性率降低”或“培养基不适合”等理由解释，并冠以“临床败血症”。但近年来发现，此类病例的1/3尸解未能发现病原体和病灶。因此所谓临床败血症概念不符合疾病诊断的实证原则，长期用抗生素治疗无疑是不正确的。首次脓毒症国际会议主张取消败血症概念和术语。</p><p>(4)传统的“脓毒症”(sepsis)概念:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">指败血症引起细菌感染播散，在远离原发病灶部位出现化脓性病灶。而更新的脓毒症概念是指感染引起SIRS。</p><p>(5)传统的感染性休克(septic shock):</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">指传统的原发败血症引起的休克，或指重症传染病或感染性疾病合并循环衰竭的并发症。必须指出，目前我国成人重症医学的主流书籍和杂志文献、部分儿科教科书和杂志文献以及不同的作者仍应用“感染性休克”术语，并表示:“脓毒性休克和感染性休克是相同含义”，读者务必谨慎辨别，以避免概念混乱，交流障碍</p><p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\"><br/></span><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4018', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1551', ' 发病机制', '<p>1.脓毒症的定位</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　从传统疾病概念角度，脓毒症是疾病、综合征还是病理生理状态目前存在分歧。脓毒症概念系列是在现代系统科学理论影响下，以Bone R为首的一批学者自觉或不自觉应用系统思维，对疾病进行高度抽象、概括后提出的一种“系统论疾病观”，即把疾病视为机体系统定态的丧失、稳态破坏。因此，脓毒症无疑是系统论疾病模型，但其定义、内涵和诊断标准仍需在临床实践中加以完善。</p><p>2.脓毒症发生发展机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　脓毒症发病机制极其复杂，包括宿主遗传因素、各种病原微生物反复侵袭、各器官功能障碍的交互作用以及神经、内分泌、凝血纤溶功能异常等。但脓毒症区别于传统疾病发生机制主要体现在以下两个方面:</p><p>(1)系统免疫-炎症反应的失控:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">从系统医学角度，脓毒症是全身免疫-炎症反应的失控。此种机体内稳态失调的过程也经历由局部激发、代偿和失代偿的动态过程，而且是非线性演变过程。这种非线性现象，可理解为类似于自然界“风暴、瀑布、多米诺”现象。使机体呈现:高代谢率、高血流动力学、高通气量和低氧血症、低乳酸清除率、病理性氧供和依赖性氧耗的氧动力学特点。经实验研究，目前已发现大量脓毒症相关分子生物学标志物，如降钙素原，在严重细菌感染、脓毒症时常可达10～100ng/ml(详见有关专著)。此处仅对系统免疫-炎症反应机制的相关术语或假说作简介:</p><p>1)综合整体水平机制:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">脓毒症“PIRO分级评价系统”<span style=\"box-sizing: border-box; position: relative; font-size: 10.5px; line-height: 0; vertical-align: baseline; top: -0.5em;\">6</span>［该系统设计从4个因素来阐述脓毒症的本质和关系属性，即脓毒症的内因(prediction，P)和外因刺激(insult，I);系统免疫-炎症反应动态过程(机体反应性，response，R)和各个器官功能障碍及相互作用(organ，O)］。神经-内分泌-免疫网络调节失衡、内因/外因和医源性致病因素共同作用假说、“二次打击、双相预激”学说、炎症介质瀑布/细胞因子风暴。</p><p>2)脏器系统水平的综合机制:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肠道菌群失调和毒素移位、脏器缺血再灌注损伤、固有免疫的代偿/失代偿反应学说和促炎/抗炎反应动态失衡模式。</p><p>3)细胞分子水平发病机制:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">细胞凋亡学说、SIRS/代偿性抗炎反应综合征(CARS)假说、脓毒症概念系列的遗传基因多态性假说。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">这些假说或新的概念术语，多应用系统科学中整体、系统和分层(即子系统)基本理念，并提出了一系列如:细胞因子的自分泌(autocrine)/旁分泌(paracrine)、免疫-内皮细胞功能、黏膜相关性淋巴组织(MALT)等免疫学、病理生理学的新机制。有些新的术语，如:系统、系统状态、状态变量、网络调节、稳态/失稳、平衡/失衡、非线性、触发、临界值，在传统医学中也有应用，但术语的含义有本质的区别。因此，临床医生必须学习这些专业术语，精确了解其含义，并与相同的传统实证还原医学的术语作鉴别，否则将无法理解或误解脓毒症理论。</p><p>(2)感染的微生态机制:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年来，感染微生态学理论获得飞速发展，将传统的微生物学感染概念和微生态学感染概念互补能更完善解释脓毒症发生机制。由于两种理论的感染概念的不可通约性，以下将微生态学理论的感染概念用泛感染表示。其主要内容是:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1)视人体或宏生物内正常微生物群为机体本身的组成部分，人体内的微生物数量是人体细胞数的10倍，称为超生物体(super-organism)<span style=\"box-sizing: border-box; position: relative; font-size: 10.5px; line-height: 0; vertical-align: baseline; top: -0.5em;\">7</span>，宏生物和微生物是共生(symbolism)关系。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2)人体内“微生态系统”被视为机体整体系统下的第一级子系统，生理状态时微生态系统功能处于稳态，其他的生理系统(如呼吸、循环、神经、消化、血液、免疫、内分泌等)功能(正常生理值)均与微生态系统稳态相关。微生态系统功能与免疫、代谢、内分泌和具有黏膜腔结构的呼吸、消化、泌尿生殖系统等均存在密切关系。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3)泛感染(meta-infection)是微生物对宿主或宏生物异常侵染所致的微生物与宿主相互作用的一种微生态学现象。目前可以从正常微生物群的定位、定性、定量和定(宿)主4个方面来描述和判定微生态平衡状态。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4)当前感染微生物来源:条件致病菌，如葡萄球菌、大肠埃希菌、变形杆菌、铜绿假单胞菌、白色念珠等内源性和自身的原籍菌。大量医院感染的细菌、真菌，是抗生素诱导体内正常菌群变异为耐药菌株后，排出宿主体外污染环境成为外籍菌，再引起其他人群交叉感染的结果。这就是所谓当前医院感染具有“从原籍菌的内源性感染向外源性交叉感染转变的流行病学特点”。而宏生态环境破坏病毒基因突变和宿主转移则被认为是新发病毒性传染病流行的原因。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5)当前临床培养出的菌群/菌株变异性大(临床称为“混合感染”)且多重耐药。反映出泛感染传播以内源性感染、自身感染和宿主转移后的外源性感染为主的微生态动力学特点。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.下册</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4019', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1551', '诊断标准', '<p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">20余年来，历次共识会议都对脓毒症诊断标准进行了修改，但仍维持SIRS原定义和标准。“2012年国际儿科严重脓毒症和脓毒性休克管理指南”(以下简称“2012年指南”)</span><span style=\"box-sizing: border-box; position: relative; font-size: 10.5px; line-height: 0; vertical-align: baseline; top: -0.5em; color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255);\">5</span><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">制定的参与者的广泛性达到空前规模(全球30个国际组织的68位专家)，提示脓毒症作为重症医学的理论范式的成熟。“2012年指南”中公布的脓毒症诊断标准见表43-4、表43-5。</span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4020', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '510', '概述', '<p>&nbsp; &nbsp;<span style=\"font-family: 宋体; text-indent: 28px;\"></span></p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">冠状动脉粥样硬化性心脏病（coronary atherosclerotic heart disease）简称冠状动脉性心脏病或冠心病（coronary heart disease，CHD），有时又被称为冠状动脉病（coronary artery disease，CAD）或缺血性心脏病（ischemic heart disease）。指由于冠状动脉粥样硬化使管腔狭窄或阻塞导致心肌缺血、缺氧而引起的心脏病，为动脉粥样硬化导致器官病变的最常见类型。由于冠状动脉的完全阻塞常为血栓形成所致，近年又被称为冠状动脉粥样硬化血栓性心脏病（coronary atherothrombotic heart disease）。</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">冠状动脉性心脏病或冠心病这一简称，目前虽被普遍应用，但它未表达出动脉粥样硬化这一病因，而使其含义广泛。因可以导致心肌缺血、缺氧的冠状动脉病，除冠状动脉粥样硬化外，还有炎症（风湿性、梅毒性、川崎病和血管闭塞性脉管炎等）、痉挛、栓塞、结缔组织疾病、创伤和先天性畸形等多种，冠状动脉性心脏病一词其实应包括所有这些情况所引起的心脏病变。但由于绝大多数（95%～99%）是由冠状动脉粥样硬化引起，因此用冠状动脉性心脏病或冠心病一词来代替冠状动脉粥样硬化性心脏病，虽然不甚确切，在临床上还是可行的。</p><p style=\"white-space: normal; text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><span style=\"font-family: 宋体; text-indent: 28px;\"></span><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4021', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '510', '流行病学', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病多发生于40岁以上，男性多于女性，且以脑力劳动者居多，是工业发达国家的流行病，已成为欧美国家最多见的心脏病病种。冠心病发病率有明显的地区和性别差别。1978年世界卫生组织（WHO）公布欧洲12国心肌梗死发病率男女性最高均为芬兰，分别为730/10万和160/ 10万；男性最低为罗马尼亚105/10万，女性最低为保加利亚20/10万。20世纪90年代7国随访5年冠心病发病率呈下降趋势，但最高仍为芬兰198/10万，最低为日本15～20/10万。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">冠心病是西方发达国家的主要死因，其年死亡数可占到总死亡数的1/3左右。但由于对本病二级预防的加强和干预措施的得力，自1968年后冠心病死亡率开始下降，1976～1985年下降了48%。据WHO 1990年公布的11个国家资料来看，30～69岁冠心病死亡率以北爱尔兰最高，芬兰次之，日本最低。美国冠心病相关的心源性猝死的发生率在30万～40万/年。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">作为亚洲国家，我国目前冠心病发病率和死亡率仍处于较低发国家的行列，然而和一些发展中国家一样，近30年来有升高趋势。例如我国1974～1985年12年间城市冠心病死亡率升高了40.7%，农村升高了146.9%。在所有心脏病死亡的构成比中，冠心病所占的比重也逐渐加大。根据《2009年中国卫生统计年鉴》提供的数据，2008年我国城市居民冠心病死亡粗率为91.41/10万，农村居民冠心病死亡粗率为51.89/10万，冠心病已经成为威胁我国人民健康的主要疾病。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4022', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '510', '病因和发病机制', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病是由冠状动脉粥样硬化所致，其病因尚不完全清楚。大量研究表明动脉粥样硬化的形成是动脉壁细胞、细胞外基质、血液成分（特别是单核细胞、血小板及低密度脂蛋白）、局部血流动力学、环境及遗传学等多因素参与的结果。流行病学研究发现，与动脉粥样硬化相关的重要危险因子为血脂异常、高血压、糖尿病、吸烟、肥胖、血同型半胱氨酸增高、体力活动少、高龄和男性等。至于冠状动脉之所以易发生粥样硬化，可能是：①该动脉内膜和部分中膜的血供由管腔直接供给，血中的氧和营养物质直接透入内膜和中膜，因而脂质亦易于透入；②该动脉与主动脉的交角几乎呈直角，其近端及主要分支的近端受到的血流冲击力大，因而内膜易受损伤。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">动脉粥样硬化始发于内皮损伤。损伤的原因不仅包括修饰的脂蛋白，还有病毒和可能其他微生物，但目前与微生物之间的因果关系还未确定。动脉粥样硬化病变的形成经历了三个基本的生物学过程：①内膜平滑肌细胞、各种巨噬细胞及T淋巴细胞的局部迁移、堆积和增殖；②堆积的平滑肌细胞在各种生长调节因子的作用下合成较多的细胞外基质包括弹力蛋白、胶原、蛋白聚糖等；③脂质在巨噬细胞和平滑肌细胞以及细胞外基质中堆积，最终内膜增厚、脂质沉积形成动脉粥样硬化病变。血小板在损伤、溃破的内皮表面黏附、聚集可导致内皮细胞进一步损伤，并可促发凝血过程形成血栓，加重甚至完全阻塞冠脉管腔。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4023', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '510', '病理解剖和病理生理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">冠状动脉有左、右两支，开口分别在左、右主动脉窦。左冠状动脉有1～3cm长的主干，然后分为前降支和回旋支。前降支供血给左心室前壁中下部、心室间隔的前2/3及二尖瓣前外乳头肌和左心房；回旋支供血给左心房、左心室前壁上部、左心室外侧壁及心脏膈面的左半部或全部和二尖瓣后内乳头肌。右冠状动脉供血给右心室、心室间隔的后1/3和心脏膈面的右侧或全部。这三支冠状动脉连同左冠状动脉的主干，合称为冠状动脉的四支。在左、右冠状动脉系统以及单侧冠状动脉各分支之间还存在侧支血管吻合支，在正常情况下它们一般没有功能。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">粥样硬化可累及四支冠状动脉中的一、二或三支，亦可四支同时受累。其中以左前降支受累最为多见，病变也最重。粥样斑块多分布在血管分支的开口处，且常偏于血管的一侧，血管横切面上呈新月形。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在正常情况下，通过神经和体液的调节，心肌的需血和冠状动脉的供血两者保持着动态的平衡。当血管腔狭窄＜50%，心肌的血供未受影响，患者无症状，各种心脏负荷试验也无心肌缺血的表现。当冠状动脉管腔狭窄＞50%～75%，安静时尚能代偿，而运动、心动过速、情绪激动造成心肌需氧量增加时，可导致短暂的心肌供氧和需氧间的不平衡，称为“需氧增加性心肌缺血”（demand ischemia），这是引起大多数慢性稳定型心绞痛发作的机制。另一些情况下，由于粥样硬化斑块的破裂或出血、血小板聚集或血栓形成、粥样硬化的冠状动脉（亦可无粥样硬化病变）发生痉挛致冠脉内动脉张力增高，均可使心肌氧供应减少，清除代谢产物也发生障碍，称之为“供氧减少性心肌缺血”（supply ischemia），这是引起大多数心肌梗死和不稳定型心绞痛发生的原因。但在许多情况下，心肌缺血是需氧量增加和供氧量减少两者共同作用的结果。心肌缺血后，氧化代谢受抑，使高能磷酸化合物储备降低，细胞功能随之发生改变。短暂的反复缺血发作可对随后的缺血发作产生抗缺血的保护作用以减少心肌坏死范围或延缓细胞死亡，称为“心肌预适应”（myocardial preconditioning）。而短暂的重度缺血后，虽然心肌的血流灌注和耗氧量已恢复，但仍可发生持久的心肌功能异常伴收缩功能的恢复延缓，称为“心肌顿抑”（myocardial stunning）。心肌长期慢性缺血，心肌功能下调以减少能量消耗，维持心肌供氧、需氧之间新的平衡，以致不发生心肌坏死；当心肌血流恢复后，心肌功能可延迟、完全恢复正常，此现象称为“心肌冬眠”（myocardial hibernation），也是心肌的自身保护机制。持续而严重的心肌缺血则可导致不可逆的心肌细胞损伤和坏死。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4024', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '510', '临床类型', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于冠状动脉病变的部位、范围和程度的不同，本病有不同的临床特点，按照1979年世界卫生组织（WHO）发表的“缺血性心脏病”的命名和诊断标准，可将本病归类为：①隐匿型或无症状性冠心病；②心绞痛；③心肌梗死；④缺血性心肌病；⑤猝死等5型。1980年第一届全国内科学术会议建议采用世界卫生组织的命名和诊断标准，以利于国际交流。该标准此后未再次修订。而近年来，从提高诊治效果和降低死亡率出发，临床上提出两种综合征的分类：</p><p>（一）慢性心肌缺血综合征（chronic ischemic syndrome）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括隐匿型冠心病、稳定型心绞痛和缺血性心肌病等。</p><p>（二）急性冠状动脉综合征（acute coronary syndrome，ACS）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括：①非ST段抬高型ACS（NSTE-ACS）和②ST段抬高型ACS（STE-ACS）两大类。前者包括：不稳定型心绞痛（unstable angina，UA）、非ST段抬高型心肌梗死（non-ST-segment elevation myocardial infarction，NSTEMI），后者主要是ST段抬高型心肌梗死（ST-segment elevation myocardial infarction，STEMI）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心绞痛和心肌梗死，中医称之为“厥心痛”、“真心痛”（《内经》）和“胸痹”（《金匮要略》）。认为是“心”气不足，“心”阳不振，以致寒凝气滞，瘀血和痰浊阻碍“心”脉，影响气血运行所致。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4025', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '510', '治疗', '<p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp;<span style=\"text-indent: 28px; font-family: 宋体;\">增加冠状动脉血供和减少心肌氧耗使心肌供氧和耗氧达到新的平衡，尽最大努力挽救缺血心肌减低病死率。可选用钙通道阻滞剂，硝酸脂类药物，转换酶抑制剂进行治疗，心率较快者可选用β受体阻滞剂，以缓释剂为好。可加用肠溶阿斯匹林</span><span style=\"text-indent: 28px;\">100-325mg/d</span><span style=\"text-indent: 28px; font-family: 宋体;\">，注意对冠心病危险因素的治疗如降压治疗、调脂治疗、治疗糖尿病、戒烟、禁酒等。还可选用极化液和硝酸脂类药物静滴。合并心衰及心律失常时需加用纠正心衰及抗心律失常的治疗（详见心衰及心律失常篇），必要时可行冠心病的介入治疗（</span><span style=\"text-indent: 28px;\">ptca+</span><span style=\"text-indent: 28px; font-family: 宋体;\">支架术），严重者可考虑进行外科搭桥手术。　　</span></p><p style=\"white-space: normal; text-indent: 28px;\"><span style=\"font-family: 宋体;\">冠心病的药物治疗</span></p><p style=\"white-space: normal; text-indent: 28px;\">1<span style=\"font-family: 宋体;\">、硝酸酯类制剂：其有扩张静脉、舒张动脉血管的作用减低心脏的前、后负荷降低心肌耗氧量；同时使心肌血液重分配有利于缺血区心肌的灌注。代表药为硝酸甘油、硝酸异山梨醇酯等</span></p><p style=\"white-space: normal; text-indent: 28px;\">2<span style=\"font-family: 宋体;\">、β受体阻滞药：可阻滞过多的儿茶酚胺兴奋β受体，从而减慢心率、减弱心肌收缩力及速度，减低血压，故而达到明显减少心肌耗氧量；此药还可增加缺血区血液供应，改善心肌代谢，抑制血小板功能等，故是各型心绞痛心肌梗死等患者的常用药物。同时β受体阻滞药是目前惟一比较肯定的急性心肌梗死作为二级预防的药物，已证明β受体阻滞药使梗死后存活者的心脏病病死率猝死率与再梗死发生率均降低。</span></p><p style=\"white-space: normal; text-indent: 28px;\">3<span style=\"font-family: 宋体;\">、钙拮抗药：通过非竞争性地阻滞电压敏感的</span>L<span style=\"font-family: 宋体;\">型钙通道，使钙经细胞膜上的慢通道进入细胞内，即减少钙的内流抑制钙通过心肌和平滑肌膜，从而减低心肌耗氧量、提高心肌效率；减轻心室负荷；直接对缺血心肌起保护作用同时此药可增加缺血区心肌供血、抑制血小板聚集促进内源性一氧化氮的产生及释放等多种药理作用。是目前临床上治疗冠心病的重要药物。</span></p><p style=\"white-space: normal; text-indent: 28px;\">4<span style=\"font-family: 宋体;\">、调脂药、抗凝和抗血小板药：则从发病机制方面着手，达到减慢或减轻粥样硬化的发生和稳定斑块的作用，最终也是使心肌氧供增加。</span></p><p style=\"white-space: normal; text-indent: 28px;\">5<span style=\"font-family: 宋体;\">、其他冠状动脉扩张药：如双密达莫、吗多明、尼可地尔等</span></p><p style=\"white-space: normal; text-indent: 28px;\"><span style=\"font-family: 宋体;\">以上药物的具体应用剂量和方法详见各型冠心病的治疗。　　</span></p><p style=\"white-space: normal; text-indent: 28px;\"><span style=\"font-family: 宋体;\">冠心病的介入治疗</span></p><p style=\"white-space: normal; text-indent: 28px;\"><span style=\"font-family: 宋体;\">（</span>1<span style=\"font-family: 宋体;\">）经皮冠状动脉腔内成形术</span>(percutaneous transluminal coronary angi oplastyPTCA )<span style=\"font-family: 宋体;\">即用经皮穿刺方法送入球囊导管，扩张狭窄冠状动脉的一种心导管治疗技术。</span></p><p style=\"white-space: normal; text-indent: 28px;\">1<span style=\"font-family: 宋体;\">、作用机制：通过球囊在动脉粥样硬化狭窄节段的机械挤压使粥样硬化的血管内膜向外膜伸展，血管直径扩大，或粥样硬化斑块被撕裂沿血管腔延伸，在生理压力和血流冲击下，重新塑形生成新的平滑内腔，并在较长时间内保持血流通畅。</span></p><p style=\"white-space: normal; text-indent: 28px;\">2<span style=\"font-family: 宋体;\">、适应证：</span></p><p style=\"white-space: normal; text-indent: 28px;\">A.<span style=\"font-family: 宋体;\">早期适应证：稳定性心绞痛及单支血管病变病变特征为孤立、近端、短</span>(<span style=\"font-family: 宋体;\">＜</span>10mm)<span style=\"font-family: 宋体;\">，向心性，不累及大分支，无钙化及不完全阻塞，左室功能良好且具有冠状动脉旁路移植术指征对此类病人，作</span>PTCA<span style=\"font-family: 宋体;\">的成功率高于</span>95%<span style=\"font-family: 宋体;\">，因并发症须急诊作冠状动脉旁路移植术者少于</span>2%<span style=\"font-family: 宋体;\">。</span></p><p style=\"white-space: normal; text-indent: 28px;\">B.<span style=\"font-family: 宋体;\">扩展适应证：近年来，随着技术经验的提高和导管、导丝的改进，</span>PRCA<span style=\"font-family: 宋体;\">适应证在早期适应证的基础上，已得到极大扩展。</span></p><p style=\"white-space: normal; text-indent: 28px;\">a.<span style=\"font-family: 宋体;\">临床适应证：不稳定性心绞痛、冠状动脉旁路移植术后心绞痛、高龄病人</span>(<span style=\"font-family: 宋体;\">≥</span>75<span style=\"font-family: 宋体;\">岁</span>)<span style=\"font-family: 宋体;\">心绞痛、急性心肌梗死、左室功能明显受损</span>(LVEF<span style=\"font-family: 宋体;\">＜</span>30%)<span style=\"font-family: 宋体;\">。</span></p><p style=\"white-space: normal; text-indent: 28px;\">b.<span style=\"font-family: 宋体;\">血管适应证：多支血管病变冠状动脉旁路移植术后的血管桥</span>(<span style=\"font-family: 宋体;\">大隐静脉桥或内乳动脉桥</span>)<span style=\"font-family: 宋体;\">病变、旁路移植术后的冠状动脉本身病变被保护的左主干病变。</span></p><p style=\"white-space: normal; text-indent: 28px;\">c.<span style=\"font-family: 宋体;\">病变适应证：病变位于血管远端或血管分叉处，长度＞</span>10mm<span style=\"font-family: 宋体;\">，偏心性、不规则，有钙化、溃疡、血栓等。</span></p><p style=\"white-space: normal; text-indent: 28px;\">1988<span style=\"font-family: 宋体;\">年</span>ACC/AHA<span style=\"font-family: 宋体;\">心血管操作技术小组和</span>VTVA<span style=\"font-family: 宋体;\">专家组总结了过去</span>10<span style=\"font-family: 宋体;\">年的经验将冠状动脉病变特征分为</span>A<span style=\"font-family: 宋体;\">、</span>B<span style=\"font-family: 宋体;\">、</span>C&nbsp;<span style=\"font-family: 宋体;\">三型，并提出冠状动脉病变特征与</span>PTCA<span style=\"font-family: 宋体;\">成功和危险性的相互关系，作为</span>PTCA<span style=\"font-family: 宋体;\">适应证选择的指南</span></p><p style=\"white-space: normal; text-indent: 28px;\">A<span style=\"font-family: 宋体;\">型病变：冠状动脉每处狭窄段长度＜</span>10mm<span style=\"font-family: 宋体;\">，呈同心狭窄，病变血管段弯曲度＜</span>45<span style=\"font-family: 宋体;\">°，管腔光滑，不完全阻塞，导丝和气囊导管易于通过，很轻或没有钙化，病变部分远离血管开口分叉处，无分支血管病变，血管内没有血栓。该型病变</span>PTCA<span style=\"font-family: 宋体;\">成功率＞</span>85%<span style=\"font-family: 宋体;\">，危险性低</span></p><p style=\"white-space: normal; text-indent: 28px;\">B<span style=\"font-family: 宋体;\">型病变：冠状动脉呈管状狭窄，长度</span>10<span style=\"font-family: 宋体;\">～</span>20mm<span style=\"font-family: 宋体;\">，为偏心性狭窄，近端血管中等弯曲，中等成角</span>(<span style=\"font-family: 宋体;\">＞</span>45<span style=\"font-family: 宋体;\">°，＜</span>90<span style=\"font-family: 宋体;\">°</span>)<span style=\"font-family: 宋体;\">，管腔不规则中度钙化，完全阻塞＜</span>3<span style=\"font-family: 宋体;\">个月，狭窄位于血管开口部分，属分叉部位的病变，血管内有血栓存在。此型病变</span>PTCA<span style=\"font-family: 宋体;\">成功率</span>60%<span style=\"font-family: 宋体;\">～</span>85%<span style=\"font-family: 宋体;\">，具有中等危险性。</span></p><p style=\"white-space: normal; text-indent: 28px;\">C<span style=\"font-family: 宋体;\">型病变：冠状动脉呈弥漫性、偏心性狭窄长度＞</span>20mm<span style=\"font-family: 宋体;\">，重度钙化，其近端血管过度扭曲，成角＞</span>90<span style=\"font-family: 宋体;\">°，完全阻塞＞</span>3<span style=\"font-family: 宋体;\">个月。病变部分位于血管开口处邻近大血管分支保护有困难，血管内有血栓形成，或有血管桥纤维化。此型病变</span>PTCA<span style=\"font-family: 宋体;\">成功率＜</span>60%<span style=\"font-family: 宋体;\">，危险性高。</span></p><p style=\"white-space: normal; text-indent: 28px;\">A.<span style=\"font-family: 宋体;\">护理：</span>a.<span style=\"font-family: 宋体;\">持续心电监护</span>24<span style=\"font-family: 宋体;\">～</span>48h<span style=\"font-family: 宋体;\">，严密观察心律失常、心肌缺血和心肌梗死征兆。</span>b.<span style=\"font-family: 宋体;\">建立静脉通路，测血压半小时</span>1<span style=\"font-family: 宋体;\">次，防止低血压发生。</span>c.<span style=\"font-family: 宋体;\">观察穿刺部位渗血、血肿形成及足背动脉搏动情况</span></p><p style=\"white-space: normal; text-indent: 28px;\">B.<span style=\"font-family: 宋体;\">用药：</span>a.<span style=\"font-family: 宋体;\">肝素</span>1000U/h<span style=\"font-family: 宋体;\">持续静脉点滴</span>18<span style=\"font-family: 宋体;\">～</span>24h<span style=\"font-family: 宋体;\">定时监测部分凝血活酶时间</span>(PTT)<span style=\"font-family: 宋体;\">，并根据</span>PTT<span style=\"font-family: 宋体;\">来调整肝素用量，要求</span>PTT<span style=\"font-family: 宋体;\">延长至</span>2<span style=\"font-family: 宋体;\">～</span>2.5<span style=\"font-family: 宋体;\">倍，持续</span>24<span style=\"font-family: 宋体;\">～</span>72h<span style=\"font-family: 宋体;\">。</span>b.<span style=\"font-family: 宋体;\">常规服用阿司匹林</span>300mg/d<span style=\"font-family: 宋体;\">，</span>30<span style=\"font-family: 宋体;\">天后改为</span>50<span style=\"font-family: 宋体;\">～</span>100mg/d<span style=\"font-family: 宋体;\">维持。</span>&nbsp;c.<span style=\"font-family: 宋体;\">术后</span>6<span style=\"font-family: 宋体;\">周～</span>6<span style=\"font-family: 宋体;\">个月内服用钙拮抗药，以防止冠状动脉扩张处血管痉挛</span></p><p style=\"white-space: normal; text-indent: 28px;\">A.<span style=\"font-family: 宋体;\">冠状动脉闭塞：冠状动脉闭塞主要由于</span>PTCA<span style=\"font-family: 宋体;\">术后冠状动脉内膜撕裂、冠状动脉痉挛粥样斑块内膜下出血及血栓形成引起。发生率约</span>5%<span style=\"font-family: 宋体;\">。位于血管弯曲或分叉处的病变偏心性、长段非孤立性病变＞</span>90%<span style=\"font-family: 宋体;\">的严重狭窄以及有新鲜血栓部位的扩张易导致急性闭塞。临床可表现为持续性心绞痛、急性心肌梗死心电图示</span>ST<span style=\"font-family: 宋体;\">段抬高，冠状动脉造影发现血管完全闭塞。</span>PTCA<span style=\"font-family: 宋体;\">引发的冠状动脉急性闭塞大约一半发生在心导管室，另一半发生在回监护病房之后，二者的处理方法亦有所不同。若冠状动脉急性闭塞发生在术中，首先应立即往冠状动脉内注射硝酸甘油</span>200<span style=\"font-family: 宋体;\">～</span>300<span style=\"font-family: 宋体;\">μ</span>g<span style=\"font-family: 宋体;\">，并给予足量肝素，然后推注造影剂，若证实扩张局部有血栓形成，立即往冠状动脉内注入</span>t-PA 20<span style=\"font-family: 宋体;\">～</span>40mg<span style=\"font-family: 宋体;\">，速度</span>1mg/min<span style=\"font-family: 宋体;\">；或尿激酶</span>25<span style=\"font-family: 宋体;\">万</span>U<span style=\"font-family: 宋体;\">，</span>15min<span style=\"font-family: 宋体;\">内注入若病变部位适合安置血管内支架则首选冠状动脉内支架术，以成功地打开血管，支撑和黏合撕裂的内膜。若血管直径≤</span>2.5mm<span style=\"font-family: 宋体;\">或手头无合适的支架，可选用</span>PTCA<span style=\"font-family: 宋体;\">，以低压力</span>(3<span style=\"font-family: 宋体;\">～</span>4<span style=\"font-family: 宋体;\">个大气压</span>)<span style=\"font-family: 宋体;\">、长时间</span>(<span style=\"font-family: 宋体;\">数分钟或更长</span>)<span style=\"font-family: 宋体;\">重复扩张。若重复扩张失败，则更换灌注球囊导管，再延长扩张时间若发生急性闭塞时导引导丝已撤出冠状动脉则立即选择尖端最软或高度柔软易控的导丝，在造影剂显影下小心送达闭塞部位，重复</span>PTCA<span style=\"font-family: 宋体;\">，注意导丝切勿进入内膜裂口处若以上措施无效或无法进行，且闭塞发生在主干或主支，应行紧急冠状动脉旁路移植术。若闭塞发生于分支，血流动力学稳定，受累心肌范围小，或该处心肌原已梗死，或有侧支供血则紧急冠状动脉旁路移植术不作首选。</span></p><p style=\"white-space: normal; text-indent: 28px;\"><span style=\"font-family: 宋体;\">对于术后发生的冠状动脉闭塞，则应立即送回导管室行急诊</span>PTCA<span style=\"font-family: 宋体;\">若原来病变较复杂，</span>PTCA<span style=\"font-family: 宋体;\">术进行较困难，送回导管室后导丝无法通过闭塞处，经冠状动脉内硝酸甘油解痉及冠状动脉内溶栓治疗无效，宜尽快实施冠状动脉旁路移植术。若导丝和球囊已通过闭塞处但反复扩张效果不佳，则进行冠状动脉内支架术。若不能成功置入支架，则应保留导丝在冠状动脉内，行紧急冠状动脉旁路移植术</span></p><p style=\"white-space: normal; text-indent: 28px;\">B.<span style=\"font-family: 宋体;\">冠状动脉内膜撕裂和夹层：冠状动脉内膜撕裂即由于明显的内膜损伤而在造影时显示冠状动脉管腔内充盈缺损造影剂向管腔外渗出或管腔内线状密度增高当内膜撕裂导致管腔闭塞或血流受阻而引起持久胸痛、急性心肌梗死或需急诊冠状动脉旁路移植术时称为冠状动脉夹层。冠状动脉内膜撕裂或夹层大多由于球囊扩张时对血管和斑块直接的机械作用力所引起，球囊直径过大时更易发生；少数可由于导引导丝或球囊导管直接从动脉内膜或斑块下方穿通所致，这种情况多见于严重偏心性狭窄进行球囊扩张时当内膜撕裂较血管内径减少＞</span>20%<span style=\"font-family: 宋体;\">但＜</span>50%<span style=\"font-family: 宋体;\">时，远端血流充盈正常无心绞痛及心电图</span>ST-T<span style=\"font-family: 宋体;\">改变，则为轻度内膜撕裂，不需特殊处理但术后须严密观察，充分给予抗凝治疗。若内膜撕裂致血管内径减少＞</span>50%<span style=\"font-family: 宋体;\">或有造影剂滞留，或形成假腔，远端血流充盈迟缓，伴心绞痛和心电图</span>ST-T<span style=\"font-family: 宋体;\">改变，则为严重内膜撕裂，须积极处理一般情况下首选冠状动脉内支架术。若病变部位不适合置入支架或手头无合适的支架，应即重复</span>PTCA<span style=\"font-family: 宋体;\">以低压力</span>(3<span style=\"font-family: 宋体;\">～</span>5<span style=\"font-family: 宋体;\">个大气压</span>)<span style=\"font-family: 宋体;\">，长时间</span>(3<span style=\"font-family: 宋体;\">～</span>15min)<span style=\"font-family: 宋体;\">充盈球囊，以黏合撕裂的内膜。重复扩张一般首选原球囊，若不成功，对直血管处病变可换大一号球囊，对血管弯曲处病变或成角病变可改用小一号球囊重复扩张或更换灌注球囊长时间扩张。大血管近端夹层导致大面积急性心肌梗死或缺血，特别是并发低血压、休克，而再次球囊扩张或植入支架不成功时，应立即进行急诊冠状动脉旁路移植术。</span></p><p style=\"white-space: normal; text-indent: 28px;\">C.<span style=\"font-family: 宋体;\">冠状动脉痉挛：</span>PTCA<span style=\"font-family: 宋体;\">术中可发生冠状动脉痉挛，大部分病人痉挛可由药物缓解，不至于造成不良后果。但有部分病人可发生急性心肌梗死。为预防冠状动脉痉挛的发生，术前应给予钙拮抗药和硝酸酯类。一旦在操作过程中出现冠状动脉痉挛，应向冠状动脉内推注硝酸甘油</span>200<span style=\"font-family: 宋体;\">～</span>300<span style=\"text-indent: 28px; font-family: 宋体;\">μ</span><span style=\"text-indent: 28px;\">g</span><span style=\"font-family: 宋体;\">，可重复应用。若反复痉挛，则将冠状动脉灌注球囊导管放至闭塞处，并经此导管行冠状动脉内持续点滴硝酸甘油</span>10<span style=\"font-family: 宋体;\">～</span>20<span style=\"font-family: 宋体;\">μ</span>g/min<span style=\"font-family: 宋体;\">。对严重持久的痉挛导致大面积心肌梗死时，应实施急诊冠状动脉旁路移植术。</span></p><p style=\"white-space: normal; text-indent: 28px;\">D.<span style=\"font-family: 宋体;\">冠状动脉栓塞：极少数病人由于术中导管碰撞或加压扩张造成血管内斑块物质脱落，这些斑块物质可阻塞远端冠状动脉引起栓塞。为预防栓塞的发生，术中应充分应用肝素抗凝；在推送导引导丝前进时，尖端应保持游离状态，避免碰撞斑块。一旦发生栓塞。可重新插入球囊导管，扩张栓塞部位，对较严重的冠状动脉栓塞，须行急诊冠状动脉旁路移植术</span></p><p style=\"white-space: normal; text-indent: 28px;\">E.<span style=\"font-family: 宋体;\">冠状动脉破裂或穿孔：在进行</span>PTCA<span style=\"font-family: 宋体;\">术中，偶尔由于球囊充气力过大或送入导丝时用力过猛，可穿破冠状动脉，导致心包填塞或冠状动脉瘘。一般易发生于偏心性狭窄的病人一旦发生，常需进行急诊冠状动脉旁路移植术并修复破裂血管。</span></p><p style=\"white-space: normal; text-indent: 28px;\">F.<span style=\"font-family: 宋体;\">心律失常：</span>PTCA<span style=\"font-family: 宋体;\">术中导管刺激或球囊扩张可引起心律失常。如室性期前收缩、室性心动过速和室颤，发生率约</span>2.3%<span style=\"font-family: 宋体;\">。术中应严密监测心电情况，其处理同一般心导管检查引起的心律失常，可静脉注射利多卡因或电转复治疗，单纯室性期前收缩也可不予处理导管刺激解除后即可自动消失。</span></p><p style=\"white-space: normal; text-indent: 28px;\"><span style=\"font-family: 宋体;\">主要临床表现为：</span>PTCA<span style=\"font-family: 宋体;\">术后消失或显著减轻的劳累性心绞痛又复发，运动试验再度阳性或运动耐量减低。也有部分再狭窄病人无明显胸痛症状，而造影显示明确的再狭窄征象。再狭窄的发生与高血压、糖尿病偏心性、钙化性、弥漫性、长病变及术后残余狭窄程度有关。较好的病例选择，较长时间的球囊扩张压迫，长期的钙拮抗药及抗血小板药物应用等可降低再狭窄的发生率。</span></p><p style=\"white-space: normal; text-indent: 28px;\"><span style=\"font-family: 宋体;\">再狭窄的诊断标准尚不统一，常采用的再狭窄的定义包括：随访造影显示管腔狭窄直径增加</span>30%<span style=\"font-family: 宋体;\">以上；</span>PTCA<span style=\"font-family: 宋体;\">所获得的管腔直径的增加丧失</span>50%<span style=\"font-family: 宋体;\">以上；管腔狭窄直径从</span>PTCA<span style=\"font-family: 宋体;\">刚结束时的＜</span>50%<span style=\"font-family: 宋体;\">增加到≥</span>50%<span style=\"font-family: 宋体;\">，或者与</span>PTCA<span style=\"font-family: 宋体;\">刚结束时比较，最小管腔直径减少≥</span>0.72mm</p><p style=\"white-space: normal; text-indent: 28px;\">PTCA<span style=\"font-family: 宋体;\">后再狭窄的处理应根据病人的具体情况而定通常可再次行</span>PTCA<span style=\"font-family: 宋体;\">但再次</span>PTCA<span style=\"font-family: 宋体;\">最好与第一次</span>PTCA<span style=\"font-family: 宋体;\">相间隔</span>3<span style=\"font-family: 宋体;\">个月以上，且术终残余狭窄宜＜</span>30%<span style=\"font-family: 宋体;\">，以减低再次</span>PTCA<span style=\"font-family: 宋体;\">术后再狭窄发生率冠状动脉内支架术对预防</span>PTCA<span style=\"font-family: 宋体;\">术后再狭窄有一定功效。对于病变不适宜行</span>PTCA<span style=\"font-family: 宋体;\">时特别是多支病变、长病变，可考虑实施冠状动脉旁路移植术。对复发后症状和病变较轻者，亦可用药物治疗。</span></p><p style=\"white-space: normal; text-indent: 28px;\">(2)<span style=\"font-family: 宋体;\">冠状动脉内支架术：系应用多属支架支撑于病变的冠状动脉内壁，使狭窄或塌陷的血管壁向外扩张的技术。支架植入后，可扩张管腔，封闭分离夹层使损伤内膜愈合，减少内皮下胶原组织暴露，减轻血小板骤集，保持冠脉血流通畅，防止血栓形成从而有效防止血管弹性回缩，减少</span>PTCA<span style=\"font-family: 宋体;\">术终残留狭窄有效处理</span>PTCA<span style=\"font-family: 宋体;\">术中内膜撕裂和血管闭塞并发症。其作为</span>PTCA<span style=\"font-family: 宋体;\">的补充手段选择性用于部分病变使</span>PTCA<span style=\"font-family: 宋体;\">适应证增宽，近期及远期疗效提高且安全性增加。</span></p><p style=\"white-space: normal; text-indent: 28px;\">A.<span style=\"font-family: 宋体;\">急性或亚急性血栓形成：一般发生在安放支架后</span>2<span style=\"font-family: 宋体;\">～</span>14<span style=\"font-family: 宋体;\">天，可导致急性心肌梗死甚至死亡，需紧急血管重建，是冠状动脉内支架术最为严重的并发症。其处理一般首选</span>PTCA<span style=\"font-family: 宋体;\">结合冠脉溶栓术，即用球囊反复扩张病变处结合冠状动脉内局部注入溶栓药物。若不成功，可实施紧急冠状动脉旁路移植术以进行血管重建。为争取时间也可先进行静脉溶栓。</span></p><p style=\"white-space: normal; text-indent: 28px;\">B.<span style=\"font-family: 宋体;\">出血：早期冠脉支架术后常应用抗凝剂以防止支架后血栓形成，因此出血较常见。其预防主要是减少抗凝药物的应用。目前大多数支架均经过肝素表面处理，支架术后可不必长期大量应用抗凝剂，因此出血并发症减少。除此之外，上肢血管入路</span>(<span style=\"font-family: 宋体;\">肱动脉桡动脉</span>)<span style=\"font-family: 宋体;\">进行冠状动脉内支架术因易于包扎可明显减少出血。</span></p><p style=\"white-space: normal; text-indent: 28px;\">C.<span style=\"font-family: 宋体;\">侧支闭塞：是较常见的并发症。扩张靶部位病变在支架扩张后挤向邻近的边侧支开口或高压扩张后边支开口受到支架丝的挤压是侧支闭塞的主要原因。预防方法是选用缠绕型支架</span>,<span style=\"font-family: 宋体;\">丝间的空隙较大，即使出现侧支闭塞，也可用钢丝穿过支架丝间隙对侧支开口进行整理。</span></p><p style=\"white-space: normal; text-indent: 28px;\">D.<span style=\"font-family: 宋体;\">支架脱载：是支架术中最严重的医源性并发症常因支架绑载不牢靠，病变预扩张不完全和导引导管与冠脉口对接不到位所致，可引起冠状动脉栓塞和外周血管的栓塞。取支架比较困难，尤其是透</span>X<span style=\"font-family: 宋体;\">射线支架较难取出支架脱载处理方法为：保持一根导丝始终在支架内腔，送另一根导丝经支架外壁送达支架远端在体外同时反复顺时针旋转两根导丝，使其在支架远端相互盘绕在一起。然后将导引导管、盘绕在一起的两根导丝及其内夹的支架，一并撤到腹主动脉或髂动脉。若支架顺利进入动脉鞘则将导丝及支架直接撤出体外；若支架不能进入动脉鞘，则用三爪钳，网篮或心肌活检钳将支架固定并撤出体外。支架术的其他并发症同</span>PTCA<span style=\"font-family: 宋体;\">。</span></p><p style=\"white-space: normal; text-indent: 28px;\"><span style=\"font-family: 宋体;\">⑦支架术后再狭窄：支架术后再狭窄发生率约</span>24%<span style=\"font-family: 宋体;\">～</span>28%<span style=\"font-family: 宋体;\">，明显低于</span>PTCA<span style=\"font-family: 宋体;\">的再狭窄发生率直径＜</span>2.5mm<span style=\"font-family: 宋体;\">的支架、多个支架重叠植入支架术后有残留狭窄，有糖尿病史等均易发生支架术后再狭窄。支架直径＞</span>3.0mm<span style=\"font-family: 宋体;\">和未行过介入治疗的冠状动脉病变，支架术后再狭窄发生率低。通过球囊再扩张治疗支架术后再狭窄成功率高</span>(<span style=\"font-family: 宋体;\">有报道达</span>100%)<span style=\"font-family: 宋体;\">，无危险性无急性并发症发生，但临床随访约半数以上出现再次再狭窄。而应用再次支架术治疗支架后狭窄，则成功率高危险性小，再次狭窄发生率低。</span></p><p style=\"white-space: normal; text-indent: 28px;\">(3)<span style=\"font-family: 宋体;\">冠状动脉内旋切术与旋磨术：系使用旋切或旋磨装置将冠状动脉硬化斑块组织从血管壁切下或磨碎通过导管排出体外，从而消除狭窄病变。术后血管内膜面光滑，无撕裂、不易产生血管壁夹层或弹性回缩，血管急性闭塞率低。但手术器械昂贵，技术较复杂，并发症较多，故目前开展医院尚少</span></p><p style=\"white-space: normal; text-indent: 28px;\">(4)<span style=\"font-family: 宋体;\">经皮冠状动脉激光成形术：是通过光导纤维，将高能激光传输至冠状动脉粥样斑块组织，并迅速使之汽化或使分子键断裂，从而消除或缩小斑块体积拓宽管腔，达到改善冠状动脉狭窄或阻塞的目的。与</span>PTCA<span style=\"font-family: 宋体;\">相比，冠状动脉激光成形术具有更高的治愈率和血管畅通率，术后再狭窄的发生率较低。</span></p><p style=\"white-space: normal; text-indent: 28px;\">(5)<span style=\"font-family: 宋体;\">冠状动脉超声血管成形术：是目前较有应用前途的斑块和血栓消融新技术，系应用高强度、低频率超声作为能源消融纤维性和钙化性斑块以及血栓，增加纤维化血管的可扩张性，从而治疗动脉粥样硬化和血栓性阻塞。</span></p><p style=\"white-space: normal; text-indent: 28px;\"><span style=\"font-family: 宋体;\">超声消融血栓和粥样硬化斑块性血管阻塞的作用机制包括：①机械效应。②空穴作用</span>(cavitation)<span style=\"font-family: 宋体;\">。③声流作用</span>(acoustic streaming)<span style=\"font-family: 宋体;\">等。</span></p><p style=\"white-space: normal; text-indent: 28px;\"><span style=\"font-family: 宋体;\">其中机械效应是指快速振动</span>(<span style=\"font-family: 宋体;\">≥</span>200<span style=\"font-family: 宋体;\">次</span>/s)<span style=\"font-family: 宋体;\">的超声探头直接作用于钙化的或致密的纤维化动脉血管壁时，超声压力波形会发生变形和共振从而使组织发生变化由于正常血管壁可以避开震动的探头，因此探头的快速小幅度运动</span>(20<span style=\"font-family: 宋体;\">～</span>150<span style=\"font-family: 宋体;\">μ</span>g)<span style=\"font-family: 宋体;\">不会损伤正常血管空穴作用可使组织、液体和细胞中形成气泡并随之塌陷，从而产生高速空穴微爆破，导致血栓融解声流作用是指当超声通过可压缩递质如细胞和组织时，可产生辐射压，引起超声声压区内物质的同向运动。不同物质间存在声流速度阶差足够强的速度阶差可产生强应切力并作用于细胞和邻近的膜结构，导致粥样硬化斑块和血栓的溶解从而使血管再通。</span></p><p style=\"white-space: normal; text-indent: 28px;\">(6)<span style=\"font-family: 宋体;\">射频热球囊血管成形术：自</span>PTCA<span style=\"font-family: 宋体;\">开展以来，已成为冠状动脉血管重建的主要方法但</span>PTCA<span style=\"font-family: 宋体;\">术后急性闭塞和后期再狭窄始终是限制其疗效的主要问题。因此，人们探索用热能作为球囊扩张的辅助措施来增加</span>PTCA<span style=\"font-family: 宋体;\">的治疗效果。理论上，热能辅助的优点有：减少血管弹性回缩、血管痉挛和气压伤；降低扩张血管中的血栓形成；热缝合</span>(thermal sealing)<span style=\"font-family: 宋体;\">分离的组织层；通过热坏死影响血管壁的生物学特性抑制新生内膜的形成。这种利用热能辅助进行球囊扩张狭窄的冠状动脉的方法称热球囊血管成形术。该术根据其加热源的不同又分为</span>3<span style=\"font-family: 宋体;\">种形式：射频热球囊血管成形术；掺钕：钇铝石榴石</span>(Nd<span style=\"font-family: 宋体;\">：</span>YAG)<span style=\"font-family: 宋体;\">激光球囊血管成形术；微波热球囊血管成形术其中以射频热球囊血管成形术的临床研究较多。</span></p><p style=\"white-space: normal; text-indent: 28px;\">3.<span style=\"font-family: 宋体;\">冠心病的外科治疗</span>&nbsp;<span style=\"font-family: 宋体;\">冠心病的手术治疗主要包括冠状动脉旁路移植术，心脏移植及某些心肌梗死并发症</span>(<span style=\"font-family: 宋体;\">如室壁瘤，心脏破裂和乳头肌功能不全等</span>)<span style=\"font-family: 宋体;\">的外科治疗。</span></p><p style=\"white-space: normal; text-indent: 28px;\">(1)<span style=\"font-family: 宋体;\">冠状动脉旁路移植术</span>(CABG)<span style=\"font-family: 宋体;\">：近</span>20<span style=\"font-family: 宋体;\">多年来冠心病外科治疗进展迅速，冠状动脉旁路移植术</span>(<span style=\"font-family: 宋体;\">冠状动脉搭桥术</span>)<span style=\"font-family: 宋体;\">的开展，为广大缺血病性的心脏病病人带来了福音，它通过将移植血管绕过冠状动脉狭窄部位与其近端吻合可以达到立即恢复和</span>(<span style=\"font-family: 宋体;\">或</span>)<span style=\"font-family: 宋体;\">增加缺血心肌的血流量有效地降低心绞痛的发生率，缓解症状，改善心脏功能提高生活质量。</span></p><p style=\"white-space: normal; text-indent: 28px;\"><span style=\"font-family: 宋体;\">①病例选择：</span></p><p style=\"white-space: normal; text-indent: 28px;\">A.<span style=\"font-family: 宋体;\">手术适应证：心绞痛经内科治疗不能缓解而影响工作和生活，经冠状动脉造影发现其主干或主要分支明显狭窄，以及心肌梗死后某些严重并发症均应视为手术适应证。</span></p><p style=\"white-space: normal; text-indent: 28px;\">a.<span style=\"font-family: 宋体;\">心绞痛：经内科治疗：心绞痛不能缓解应作冠状动脉造影，发现主干或主要分支</span>70%<span style=\"font-family: 宋体;\">以上狭窄，其远端通畅者视为搭桥的适应证。左冠状动脉主干重度狭窄者容易猝死应急诊手术。前降支、回旋支及右冠状动脉二者以上重要狭窄者，即使心绞痛不重也应视为“搭桥”的适应证。</span></p><p style=\"white-space: normal; text-indent: 28px;\">b.<span style=\"font-family: 宋体;\">急性心肌梗死：急性心肌梗死后</span>6h<span style=\"font-family: 宋体;\">内急诊“搭桥”可以改善梗死区心肌血运，缩小坏死区的手术危险性已接近择期性手术。</span></p><p style=\"white-space: normal; text-indent: 28px;\"><span style=\"font-family: 宋体;\">急性心肌梗死并心源性休克，首先药物治疗或主动脉内球囊反搏，增加冠状动脉灌注减少心肌坏死，争取时间进行冠状动脉造影，然后进行急诊“搭桥”。</span></p><p style=\"white-space: normal; text-indent: 28px;\">c.<span style=\"font-family: 宋体;\">心肌梗死后心绞痛：心肌梗死后继续出现有心绞痛，说明又有新的心肌缺血区应进行冠状动脉造影，若发现其主干或主要分支明显狭窄者，也是“搭桥”的适应证。</span></p><p style=\"white-space: normal; text-indent: 28px;\">d.<span style=\"font-family: 宋体;\">充血性心力衰竭：过去认为心力衰竭是旁路手术的禁忌证，而目前认识到手术能改善心肌收缩力但严重的心衰病人死亡率高故手术宜选择较轻的进行。</span></p><p style=\"white-space: normal; text-indent: 28px;\">B.<span style=\"font-family: 宋体;\">手术禁忌证：冠心病人有下列病症的不宜进行冠状动脉旁路移植治疗。</span></p><p style=\"white-space: normal; text-indent: 28px;\">a.<span style=\"font-family: 宋体;\">严重心肺功能不全者，如左室射血分数明显降低</span>(<span style=\"font-family: 宋体;\">＜</span>25%<span style=\"font-family: 宋体;\">～</span>35%)<span style=\"font-family: 宋体;\">或左室舒张末压增高</span>[<span style=\"font-family: 宋体;\">＞</span>20<span style=\"font-family: 宋体;\">～</span>25mmHg(2.66<span style=\"font-family: 宋体;\">～</span>3.32kPa)]</p><p style=\"white-space: normal; text-indent: 28px;\">b.<span style=\"font-family: 宋体;\">冠状动脉弥漫性病变或狭窄远端侧冠状动脉管径＜</span>1.5mm<span style=\"font-family: 宋体;\">者。</span></p><p style=\"white-space: normal; text-indent: 28px;\">c.<span style=\"font-family: 宋体;\">脑血管后遗症偏瘫，糖尿病，肥胖症和其他重要脏器严重病变者。</span></p><p style=\"white-space: normal; text-indent: 28px;\"><span style=\"font-family: 宋体;\">目前，随着技术的熟练及临床死亡率的降低手术适应证已有扩大的趋势，对于</span>30%<span style=\"font-family: 宋体;\">～</span>50%<span style=\"font-family: 宋体;\">的狭窄也认为有手术指征甚至对冠状动脉硬化症伴有血管痉挛引起的心绞痛也有手术治疗者，在选择病例上也放宽了尺度以便更多的病人利用这种方法提高生活质量，恢复一定的工作能力。　</span></p><p style=\"white-space: normal; text-indent: 28px; text-align: right;\"><span style=\"font-family: 宋体;\">来源:实用内科学:全2册(下)</span></p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4067', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '82', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性支气管炎(chronic bronchitis)指反复多次的支气管感染，病程超过2年，每年发作时间超过3个月，有咳、喘、炎、痰四大症状，X线胸片显示间质性慢性支气管炎、肺气肿等改变。慢性支气管炎的认识来源于成人，在儿童其作为一独立的疾病存在是有争议的。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用内科学.上册</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4068', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '82', '病因', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">单纯性慢性支气管炎在小儿很少见，一般与慢性鼻窦炎、增殖体炎、原发性或继发性呼吸道纤毛功能异常等有关联。可继发于重症腺病毒肺炎、麻疹肺炎、毛细支气管炎和肺炎支原体感染之后，也可由于长期吸入有害尘烟，削弱了呼吸道防御功能而发生。病毒与细菌可为本病的主要病原体。慢性支气管炎的病例应注意基础疾病的存在。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.上册</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4069', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '82', '病理生理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性支气管炎的早期病变位于小气道。由于该区的纤毛上皮由少到无，管壁无软骨，仅有一层薄的肌层，其总体横断面积大，气流速度到此大为减慢，故细菌、病毒及有害物质容易沉着，发生病理改变。造成不同程度的纤维增生或黏膜溃疡，导致气道狭窄和阻塞以及细支气管周围炎。此后支气管也有相似的炎症改变，黏液腺分泌增多，纤毛上皮遭到不同程度的损伤或破坏，使痰液排出困难，潴留于支气管内，影响通气。病变进一步发展时，支气管壁溃疡破坏，形成肉芽组织和机化，用力呼气时，胸腔和支气管周围的肺泡内压力增高，小支气管容易塌陷，造成阻塞性肺气肿等病理生理改变。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.上册</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4070', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '82', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">约有半数患儿生长发育落后于同龄儿，体力较差。多在冬季发病，早晚加重，尤以夜间为甚。常在感冒后产生持久性咳嗽，多日不愈，或伴轻度至中度喘息，痰量或多或少，咳出后才舒服。患儿常感胸痛。如不积极治疗，则频发和加重，病程拖延，体质更弱，甚至夏季亦可发病。最终因支气管或肺间质破坏，可并发肺不张、肺气肿、支气管扩张等不可逆性损伤。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.上册</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4071', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '82', '诊断及鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">结合病史、临床表现及X线胸片检查，可以肯定诊断。但应与慢性鼻窦炎、增殖体肥大、睡眠呼吸暂停综合征、肺结核、变异性哮喘、支气管扩张症、原发性纤毛运动障碍以及胃食管反流等慢性呼吸道疾病相鉴别。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.上册</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4072', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '82', '预防及治疗', '<p>1.一般措施</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">必须注意营养，加强户外活动和体格锻炼。对有关病因如鼻窦炎、增殖体炎等应及时根治。要重视季节性变化和避免可能存在的过敏原以减少发作次数。痰多的患儿可以用愈创木酚甘油醚和氨溴索，还有稀化黏素(桃金娘油)，为黏液溶解性祛痰药，还具有增加黏膜纤毛运动，有助于痰液排出。用于4岁以上患儿，120mg/粒。每次1粒，每日2次口服。</p><p>2.中医疗法</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">中医称本病为“内伤咳嗽”，多因咳久不愈影响内腑功能失调所致。根据临床表现分为痰饮咳嗽和肺燥咳嗽两种。治法以健脾燥湿，化痰止咳，益阴润肺为主，可结合临床表现辨证施治。</p><p>(1)痰饮咳嗽:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">以咳嗽痰多为主，痰白而稀，容易咳出，胸脘痞闷，食欲缺乏，舌质如常，苔白腻，脉滑或濡滑，治以健脾燥湿，化痰止咳。常用二陈汤加减。</p><p>(2)肺燥咳嗽:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">咳嗽日久，干咳少痰，阴虚潮热，口渴咽干，或消瘦盗汗，手足心热，舌质稍红，舌无苔少苔，脉细数。治以养阴润肺止咳。常选用沙参麦门冬汤加减。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性支气管炎急性发作大多是由细菌感染引起，故采用有关抗菌药物治疗。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.上册</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4110', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '400', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">扩张型心肌病（dilated cardiomyopathy，DCM），其特征为单侧或双侧心室扩大，心室收缩功能减退，伴或不伴充血性心力衰竭。室性或房性心律失常多见。病情呈进行性加重，死亡可发生于疾病的任何阶段。DCM是临床诊断中最常见的心肌病，也是造成心力衰竭和心脏移植的最主要原因。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4111', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '400', '发病情况', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病在我国的发病率为13/10万～84/10万，男性多于女性（2.5∶1），家族性者占2.25%～8.8%。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4112', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '400', '病因和发病机制', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病因迄今未明，目前已发现本病与下列因素有关：</p><p>（一）病毒感染</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">动物模型显示嗜心性柯萨奇B组病毒（Coxsackie virus B，CVB）或脑心肌炎病毒（EMCV）感染引起的心肌炎可发展为扩张型心肌病。临床前瞻性随访观察提示急性病毒性心肌炎可转化为扩张型心肌病。总的报道约15%的心肌炎患者可演变为扩张型心肌病，但约10%的扩张型心肌病患者的心内膜心肌活检中呈现有炎症浸润的心肌炎证据。用分子生物学技术在本病患者的心肌活检标本中发现有肠道病毒或巨细胞病毒的RNA，提示本病可能是感染的持续存在。心肌炎导致的心肌病是一系列心脏重构的病理反应，其中心肌纤维化的发生是关键，心肌局部微环境的改变和胶原合成与分解动态平衡之间的相互作用是VMC向DCM演变的重要环节。</p><p>（二）免疫功能异常</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在DCM患者血清中能检测到抗肌凝蛋白抗体、抗线粒体腺苷载体（ATP/ADP载体抗体）、抗M7抗原抗体、抗α-酮戊二酸脱氢酶支链复合物抗体、抗β受体（AR-β）抗体，抗心肌胆碱能受体（MR）主要是M2R抗体———一种特异的抗G蛋白结合受体抗体等增高，认为在本病患者中出现抗AR-β自身抗体增高可能是导致电生理不平衡而易发生心律失常的机制之一，又血清中MR自身抗体的增高，减少cAMP而降低心肌收缩力。因此，抗体的产生可能是心肌受损的结果而非其原因。DCM患者体内有人类白细胞因子（HLA）异常表达，包括HLAB27、HLA-A2、HLA-DR4、HLA-DQ4、HLA-DQ8表达增加，HLA-DRW6表达明显减少。这些都可能是扩张型心肌病的易感基因。在DCM患者心肌中有T细胞浸润，外周血中包括杀伤性T细胞（CD8<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>）、辅助性T细胞（CD4<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>）和自然杀伤细胞均有异常，由此发生细胞介导的免疫反应，引起血管和心肌损伤。</p><p>（三）遗传基因</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">通过家系调查和超声心动图对DCM患者家族筛查证实约25%～50%的患者为家族性DCM。目前已发现的家族性DCM遗传表型有下列特点：①遗传异质性：不同基因的多种突变均可致病；②遗传基因的外显不全：家族成员的患病比例不一致，很多DCM患者亲属仅在超声心动图上有轻微心脏异常，为无症状的致病基因携带者；③遗传方式多样：有常染色体显性遗传、隐性遗传、X连锁遗传和线粒体遗传，其中常染色体显性遗传最为常见；④外显率呈年龄依赖性：0～20岁占10%，20～30岁占34%，0～40岁占60%，40岁以上占90%；⑤临床期型多样：一部分为单纯DCM，一部分患者有电生理异常（如房室传导阻滞）。至今已发现超过20个基因与DCM相关，95%以上的DCM基因突变集中于其中12个基因。对这些主要突变基因进行检测可以帮助临床对有症状患者进行确诊，还可评估家族其他成员的患病风险，为早期干预治疗提供指导。</p><p>（四）交感神经系统异常</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病患者通过β受体兴奋收缩装置的G-蛋白系统信号传输抑制的增强而导致心肌收缩功能减退。</p><p>（五）其他</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">内分泌异常、化学或毒素作用、心肌能量代谢紊乱，冠脉微血管痉挛或阻塞导致心肌细胞坏死、瘢痕等可能也是致病因素。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4113', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '400', '病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心脏重量增加，外观心肌呈灰白色而松弛。四个心腔均可增大扩张，多见两心室腔明显扩大，偶尔一侧较另一侧更明显，尤以左心室扩大为甚。心肌虽肥大，但因心室腔扩大而室壁厚度仍近乎正常。二尖瓣、三尖瓣环扩大，乳头肌伸张。心腔内附壁血栓形成不少见，心腔内血栓脱落可导致肺栓塞或周围动脉栓塞。冠状动脉正常。心肌纤维化常见，尤多累及左心室心内膜下心肌。心脏的起搏传导系统均可受到侵犯。本病的心肌显微镜检查缺乏特异性发现，可以见到心肌纤维肥大，细胞核固缩、变形或消失，胞浆内有空泡形成。纤维组织增多，因间质胶原组织增多或因局灶性心肌纤维被纤维组织替代所致。电镜检查见心肌细胞水肿，线粒体增多、增大或缩小，嵴断裂或消失。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4114', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '400', '病理生理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心肌收缩力减弱，心脏泵血功能障碍。早期由于反射性调节或神经兴奋，通过加速心率以维持足够的心排血量，后期随左心室排空受限，心室舒张和收缩末期容量增多、射血分数减少，心脏逐渐增大，产生相对性二尖瓣与三尖瓣关闭不全，导致充血性心力衰竭。此时，心室舒张末期压增高，尤以左心室为甚，心房压亦增高，肺循环和体循环静脉压增高、淤血；晚期由于肺小动脉病变和反复发生肺小动脉血栓栓塞而出现肺动脉压力明显增高，使右心衰竭更为明显。心肌肥厚引起的相对性缺血缺氧时可出现心绞痛。心肌纤维化以及由于心肌受损心室重构等影响心肌细胞内钙、钾等离子通道异常，可引起各种心律失常。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4115', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '400', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">各年龄均可发病，但以中年居多。起病多缓慢，患者常先被发现有心脏扩大，心功能代偿而无自觉不适。经过一段时间后症状逐步出现，这一过程有时可达10年以上。症状以充血性心力衰竭为主，其中以气急和水肿为最常见。最初在劳动或劳累后气急，以后在轻度活动或休息时也有气急，或有夜间阵发性气急。由于心排血量低，患者常感乏力。体检发现心率加速，心尖搏动向左下移位，可有抬举性搏动，心浊音界向左扩大，常可听得第三心音或第四心音，心率快时呈奔马律。由于心腔扩大，可有相对性二尖瓣或三尖瓣关闭不全所致的收缩期吹风样杂音，此种杂音在心功能改善后减轻。血压多数正常，但晚期病例血压降低，脉压小，出现心力衰竭时舒张压可轻度升高。脉搏常较弱，交替脉的出现提示左心衰竭，心力衰竭时两肺基底部可有湿啰音。右心衰竭时肝脏肿大，从下肢开始出现水肿，胸水和腹水在晚期患者中不少见。各种心律失常都可出现，为首见或主要的表现，并有多种心律失常合并存在而构成比较复杂的心律，可以反复发生，有时甚顽固。高度房室传导阻滞、心室颤动、窦房阻滞或窦房结暂停可导致阿-斯综合征，成为致死原因之一。此外，尚可有脑、肾、肺等处的栓塞。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4116', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '400', '辅助检查', '<p><span style=\"font-size: 12px;\">（一）X线检查</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">示心影扩大，晚期外观如球形，说明各心腔均增大，外形颇似心包积液。少数患者以左心室、左心房或右心室增大为主，外观类似二尖瓣病变。透视下见心脏冲动较正常为弱。主动脉一般不扩大。病程较长的患者常有肺淤血和肺间质水肿，两肺肋膈角处可有间隔线，肺静脉和肺动脉影可扩大；胸腔积液不少见。</span></p><p><span style=\"font-size: 12px;\">（二）心电图检查</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">在有症状的患者中几乎都不正常，无症状者不少已有心电图改变，改变以心脏肥大、心肌损害和心律失常为主。左心室肥大多见，常合并心肌劳损，晚期常有右心室肥大；也可有左或右心房肥大。心肌损害常见，以ST段压低、T波平坦、双相或倒置为主要表现，有时T波呈缺血型改变。少数患者可有病理性Q波，类似心肌梗死，其部位多在前间隔（V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>、V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>导联），可能为间隔纤维化所致。心律失常常见，以异位心律和传导阻滞为主。异位心律可来自心房、房室交接处或心室，由期前收缩逐步演变为心动过速，以至扑动或颤动，亦可有病态窦房结综合征表现、房室交接处逸搏或逸搏心律，或心室自身心律等。一至三度房室传导阻滞均可发生。心室内传导阻滞常见，左、右束支或左束支分支的传导阻滞都可出现。</span></p><p><span style=\"font-size: 12px;\">（三）超声心动图</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">在本病早期即可见到心腔轻度扩大，尤其是左心室，后期各心腔均扩大，室壁运动普遍减弱。二尖瓣、三尖瓣收缩期不能退至瓣环水平，彩色血流多普勒显示二尖瓣和三尖瓣反流。左心室射血分数常减至50%以下，心肌缩短率减小。可能有少量心包积液（图16-15-1）。</span></p><p><span style=\"font-size: 12px;\">（四）化验检查</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">①cTnT、cTnI是诊断心肌损伤的高敏感性、高特异性心肌损伤指标，DCM病程中血清cTnT 或cTnI、CK-MB增高常提示预后不良；②心力衰竭是DCM最常见的临床表现之一，血浆脑利钠肽（brain natriuretic peptide，BNP），尤其是氨基末端脑钠素前体（NT-proBNP）水平与心力衰竭的严重程度相关，是DCM心力衰竭诊断的重要依据；③近年来研究认为，检测DCM患者血清中抗心肌肽类抗体，如抗心肌线粒体ADP/ATP载体抗体、抗肌球蛋白抗体、抗β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>-受体抗体、抗M2胆碱能受体抗体阳性，也有助于作为DCM的辅助诊断方法，并与DCM心力衰竭的严重程度相关；④也有研究发现，DCM患者心肌β受体敏感性降低，并与血儿茶酚胺浓度和cTnT浓度、心力衰竭的严重程度负相关。采用ELISA法和免疫转印法检测DCM患者血清抗肌球蛋白抗体、抗肌球蛋白重链和轻链抗体发现DCM患者的阳性率高于冠心病和正常对照者，提示该抗体的检测也有助于DCM和冠心病鉴别。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\"><br/></span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\"><br/></span></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">图16-15-1　扩张型心肌病的超声心动图表现</span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">图示各腔室扩大，室壁活动减弱</span></p><p><span style=\"font-size: 12px;\">（五）磁共振成像</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">主要表现为左心室容积扩大、射血分数、短轴缩短率降低。心室壁信号强度在Gd-DT-PA增强后T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>加权图可有心肌局灶异常高信号，显示心肌退化、坏死及纤维化。该检查能有效显示扩张型心肌病的病理生理变化，可供临床参考。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">核素心室造影可显示心腔扩大与室壁运动减弱，左心室射血分数减小，运动后更为明显。<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">201</span>铊或<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">99m</span>锝平面或单光子发射断层扫描（SPECT）心肌灌注显像可示左心室腔扩大，室壁变薄，部分病例显示有小斑块状稀疏或灌注缺损，放射性分布不均匀。使用PET作<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">11&nbsp;</span>C-棕榈酸心肌显像，可发现本病病变处<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">11&nbsp;</span>C-棕榈酸分布不均及<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">123</span>I-BMIPP灌注缺损等改变。</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4117', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '400', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1995年中华心血管病学会组织专题研讨会，提出本病的诊断参考标准如下：</p><p>（一）临床表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心脏扩大、心室收缩功能减低伴或不伴有充血性心力衰竭，常有心律失常，可发生栓塞和猝死等并发症。</p><p>（二）心脏扩大</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心影可呈球型，X线检查心胸比＞0.5，超声心动图示全心扩大，尤以左心室扩大为明显，左心室舒张期末内径＞2.7cm/m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>。</p><p>（三）心室收缩功能减低</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">超声心动图检测室壁运动弥漫性减弱，射血分数小于正常值。</p><p>（四）必须排除其他特异性（继发性）心肌病和地方性心肌病（克山病）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括缺血性心肌病，围生期心肌病，酒精性心肌病、代谢性和内分泌性疾病如甲状腺功能亢进、甲状腺功能减退、淀粉样变性、糖尿病等所致的心肌病、遗传家族性神经肌肉障碍所致的心肌病、全身系统性疾病如系统性红斑狼疮、类风湿关节炎等所致的心肌病，以及中毒性心肌病等才可诊断特发性扩张型心肌病。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心内膜心肌活检。病理检查对本病诊断无特异性，但有助于与特异性心肌病和急性心肌炎的鉴别诊断。用心内膜心肌活检标本进行聚合酶链式反应（PCR）或原位杂交，有助于感染病因的诊断；或进行特异性细胞异常的基因分析。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4118', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '400', '鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病需与下列疾病相鉴别：</p><p>（一）冠心病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">中年以上患者，若有心脏扩大、心律失常或心力衰竭而无其他原因者须考虑冠心病和心肌病。存在高血压、高血脂或糖尿病等冠心病易患因素，室壁活动呈节段性异常者有利于诊断冠心病。心肌活动普遍减弱则有利于诊断扩张型心肌病。由冠状动脉病变引起心肌长期广泛缺血而纤维化，发展为心功能不全时称之为“缺血性心肌病”。若过去无心绞痛或心肌梗死，则与扩张型心肌病难以区别，且扩张型心肌病亦可有病理性Q波及心绞痛，此时鉴别须靠冠状动脉造影。</p><p>（二）风湿性心脏病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DCM亦可有二尖瓣或三尖瓣区收缩期杂音，听诊类似风湿性心脏病，但一般不伴舒张期杂音，且在心力衰竭时较响，心力衰竭控制后减轻或消失，风湿性心脏病则与此相反。DCM常有多心腔同时扩大，而风湿性心脏病以左心房、左心室或右心室为主。心脏超声检查有助于鉴别诊断。</p><p>（三）左心室致密化不全</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是一种较少见的先天性疾病，有家族发病倾向，其特征包括左心室扩大，收缩舒张功能减退，左心腔内有丰富的肌小梁和深陷其中的隐窝，交织成网状，其间有血流通过。伴或不伴右心室受累。病理检查发现从心底到心尖致密心肌逐渐变薄，心尖最薄处几乎无致密心肌组织。受累的心室腔内显示多发、异常粗大的肌小梁和交错深陷的隐窝，可达外1/3心肌。病理切片发现病变部位心内膜为增厚的纤维组织，其间有炎症细胞，内层非致密心肌肌束粗大紊乱，细胞核异形，外层致密心肌肌束及细胞核形态基本正常。扩张型心肌病的左心室腔内没有丰富的肌小梁和交织成网状的隐窝，超声检查有助于诊断。</p><p>（四）继发性心肌病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">全身性疾病如系统性红斑狼疮、硬皮病、血色病、淀粉样变性、糖原累积症、神经肌肉疾病等都有其原发病的表现可资区别。较重要的是与心肌炎的区分。急性心肌炎常发生于病毒感染的当时或不久以后，区别不十分困难。慢性心肌炎若确有急性心肌炎史则与DCM难以区分，实际上不少DCM是从心肌炎发展而来，即所谓“心肌炎后心肌病”，也可称慢性心肌炎。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4119', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '400', '预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">预后取决于左心室功能和血流动力学的代偿、稳定性和恶化程度。一般与纽约心脏病学会（NYHA）心功能分级相平行，据国外资料统计扩张型心肌病患者心功能Ⅰ级者，1年病死率为10%，Ⅱ级者为10%～15%，Ⅲ级者为20%～25%，Ⅳ级者达50%。如左心室射血分数（LVEF）＜25%预后很严重。此外，左心室内径大小，右心室功能保持情况以及血浆钠水平，心肌氧耗峰值等与预后均相关。病程长短不一，短者发病后一年死亡，长者可存活20年或以上。以往5年存活率在50%左右。近年来，由于治疗手段的改进，国内外5年存活率已明显提高，可达65.5%～75%。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4120', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '400', '防治', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于病因未明，预防较困难。部分病例由病毒性心肌炎演变而来，因此预防病毒感染有实际意义。本病常伴有心力衰竭，呼吸道感染常为其诱发或加重的因素，应预防和及时治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">治疗以针对临床表现为主：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.注意休息及避免劳累，有心脏扩大或心功能减退者更应注意长期休息，防止病情恶化。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.治疗心力衰竭者原则与治疗一般心力衰竭相同，采用正性肌力、利尿和扩血管药，由于心肌损坏较广泛，洋地黄类应用要谨慎。非洋地黄类正性肌力兴奋剂，如肾上腺素能受体兴奋剂和磷酸二酯酶抑制剂能短期静脉应用。利尿药有益，但在低肾小球滤过时，氢氯噻嗪可能失效，此时需用袢利尿药呋塞米等。螺内酯可以阻断醛固酮效应，对抑制心肌重构，改善预后有很好的作用。扩血管药，包括血管紧张素转换酶抑制剂都有用，用时须从小剂量开始，注意避免低血压。近年来发现本病有心力衰竭时用β受体阻断药有效，其机制可能是慢性心力衰竭时肾上腺素能神经过度兴奋，β受体密度下调，除了临床常用的高选择性β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>受体阻断药，如美托洛尔、比索洛尔外，卡维地洛作为一种新型的非选择性肾上腺素受体阻断药无内在拟交感活性，避免了反射性交感神经兴奋所引起的周围血管收缩及外周阻力增加；此外，它有极强的抗氧自由基、调节细胞因子、抗心肌重构等多种作用。因此，已有许多学者将卡维地洛（10～20mg，口服，每日2次）用于治疗扩张型心肌病。近来研究报道钙通道阻断药（如地尔硫<span style=\"color: rgb(51, 51, 51); font-family: arial; font-size: 13px; line-height: 13.3467px; background-color: rgb(255, 255, 255);\">䓬</span>）也能改善心功能，应从小剂量开始。此外，脑钠素（BNP）类药物奈西立肽（nesiritide）可以均衡地扩张动脉和静脉，增加心排血量和尿量，可用于治疗急性心力衰竭。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.治疗心律失常，尤其有症状者需用抗心律失常药或电学方法治疗，对快速室性心律与高度房室传导阻滞而有猝死危险者治疗应更积极。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.有心腔明显扩大伴低射血分数、NYHA心功能Ⅳ级、长期卧床、尤其是有血管栓塞史或深静脉有血栓形成的患者可使用华法林抗凝，但需及时监控凝血酶原时间，使国际正常化比率（INR）控制在2～3为妥。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.改善心肌代谢的药物，如维生素C、三磷酸腺苷、辅酶A、环化腺苷酸、辅酶Q10、曲美他嗪等，抗病毒的干扰素都可作为辅助治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">6.国内在中医药调节免疫、抗病毒、改善心肌代谢的基础上采用中西医结合治疗DCM方面取得了明显有益的效果。研究发现，黄芪、牛磺酸、生脉制剂等既能抗病毒，又能调节机体免疫，改善心脏功能的作用，不失为一种可取的DCM药物治疗手段。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">7.心脏再同步化治疗（cardiac resynchronization therapy）主要适用于药物效果不佳、QRS波群时限延长＞120ms、EF值≤35%、QRS波呈完全性左束支传导阻滞或心室内传导阻滞的扩张型心肌病患者，可考虑安装左右心室同步起搏的双腔、三腔或四腔心腔起搏治疗扩张型心肌病难治性心力衰竭，通过调整左右心室收缩顺序，改善心功能，缓解症状。对伴顽固性持续快速室性心律失常的患者可考虑安置植入式心脏复律除颤器（ICD）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">8.左心室减容成形术通过切除部分扩大的左心室，同时置换二尖瓣，减小左心室舒张末容积，减轻反流，以改善心功能，被认为是难治性患者的可选用的治疗方法之一。但减容手术后心力衰竭加重和心律失常有关的死亡率较高，妨碍该手术在临床上的广泛应用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">9.左心机械辅助循环是将左心的血液通过机械装置引入主动脉，以减轻左心室作功。为晚期DCM患者维持全身循环、等待有限心脏供体及不能进行心脏移植患者的一种有效治疗方法。目前的左心机械辅助循环装置由于价格昂贵，其广泛使用受到一定限制。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">10.对长期心力衰竭，一般内科治疗无效者可考虑干细胞移植以改善心脏功能，其疗效尚不够肯定。终末期心肌病患者可考虑心脏移植，术后应积极控制感染，改善免疫抑制，纠正排异反应，1年后生存率可达85%以上。限制心脏移植的主要因素是供体严重短缺。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '12', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4121', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '317', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肥厚型心肌病（hypertrophic cardiomyopathy，HCM）的特征为心室肌肥厚，典型者在左心室，以室间隔为甚，可呈向心性肥厚。左心室腔容积正常或减小。偶尔有病变发生于右心室。通常为常染色体显性遗传。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4122', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '317', '发病情况', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病发病可为家族性亦可为散在性。目前多数学者认为本病是常染色体显性遗传性疾病，60%～70%的患者家族中有本病的患者。女性患者症状出现较早也较重。临床病例中男性多于女性。各年龄均可发生本病，但心肌肥厚在40岁以下者比40岁以上者严重。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4123', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '317', '病因', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病因不完全清楚。目前认为遗传因素是主要病因，其依据是本病有明显的家族性发病倾向，常合并其他先天性心血管畸形，家族性病例的缺陷基因尚不明，可能与肌原纤维蛋白基因突变，包括β肌球蛋白重链，心肌球蛋白结合蛋白C，肌钙蛋白I，肌钙蛋白T，α-原肌球蛋白等有关。非家族性病例与肥胖、患糖尿病母亲的婴儿、淀粉样变性有关。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4124', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '317', '病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病变以心肌肥厚为主，心脏重量增加。心肌肥厚可见于室间隔和游离壁，以前者为甚，常呈不对称（非同心）性肥厚，即心室壁各处肥厚程度不等，部位以左心室为常见，右心室少见。根据心室壁肥厚的部位，Maron等将肥厚型心肌病分成四型：前室间隔肥厚（Ⅰ型），前和后室间隔肥厚（Ⅱ型），室间隔与左心室前侧壁均肥厚（Ⅲ型），肥厚累及后间隔和（或）左心室侧壁，也可仅累及心尖部，前间隔和左心室下（后）壁不厚（Ⅳ型），其中Ⅲ型最常见占52%，Ⅳ型最少见。根据左心室流出道梗阻与否，可将肥厚型心肌病分成梗阻性和非梗阻性。室间隔高度肥厚向左心室腔内突出，收缩时引起左心室流出道梗阻者，称为“梗阻性肥厚型心肌病”，旧称“特发性肥厚型主动脉瓣下狭窄（IHSS）”。室间隔肥厚程度较轻，收缩期未引起左心室流出道明显梗阻者，称为“非梗阻性肥厚型心肌病”。前乳头肌也可肥厚，常移位而影响正常的瓣膜功能。心肌高度肥厚时，左心室腔减小。不成比例的心肌肥厚常使室间隔的厚度与左心室后壁厚度之比＞1.3，少数可达3。有一种变异型肥厚型心肌病，以心尖区的心肌肥厚较著。肥厚型心肌病的冠状动脉数量常增多。显微镜下见心肌细胞排列紊乱，细胞核畸形，细胞分支多，线粒体增多，心肌细胞极度肥大，细胞内糖原含量增多，此外，尚有间质纤维增生。电镜下见肌原纤维排列也紊乱。2/3患者二尖瓣叶增大增长，常致二尖瓣关闭不全。随病程发展，心肌纤维化增多，心室壁肥厚减少，心腔狭小程度也减轻，甚至扩大，此为晚期表现。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4125', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '317', '病理生理', '<p>（一）左心室流出道梗阻</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在收缩期，肥厚的心肌使心室流出道狭窄。在非梗阻型，此种影响尚不明显，在梗阻型则比较突出。心室收缩时，肥厚的室间隔肌凸入左心室腔，使处于流出道的二尖瓣前叶与室间隔靠近而向前移位，引起左心室流出道狭窄与二尖瓣关闭不全，此作用在收缩中、后期较明显。左心室射血早期，流出道梗阻轻，喷出约30%心搏量，其余70%在梗阻明显时喷出，因此，颈动脉波示迅速上升的升支，下降后再度向上形成一切迹，然后缓慢下降。流出道梗阻指在收缩期左心室腔与流出道之间存在压力阶差，流出道与主动脉间无压力阶差。有些患者在静息时流出道梗阻不明显，运动后变为明显。</p><p>（二）舒张功能异常</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肥厚的心肌顺应性减低，使心室舒张期充盈发生障碍，舒张末期压可以升高。舒张期心腔僵硬度增高，左心室扩张度减低，充盈速率与充盈量均减小，由此心搏量减少。</p><p>（三）心肌缺血</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由心肌需氧超过冠状动脉血供，心室壁内张力增高等引起。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4126', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '317', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">起病多缓慢。约1/3有家族史。症状大多开始于30岁以前。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要症状为：①呼吸困难，多在劳累后出现，是由于左心室顺应性减低，舒张末期压升高，继而肺静脉压升高，肺淤血之故。与室间隔肥厚伴存的二尖瓣关闭不全可加重肺淤血；②心前区疼痛，多在劳累后出现，似心绞痛，但可不典型，是由于肥厚的心肌需氧增加而冠状动脉供血相对不足所致；③乏力、头晕与晕厥，多在活动时发生，是由于心率加快，使原已舒张期充盈欠佳的左心室舒张期进一步缩短，加重充盈不足，心排血量减低。活动或情绪激动时由于交感神经作用使肥厚的心肌收缩加强，加重流出道梗阻，心排血量骤减而引起症状；④心悸，由于心功能减退或心律失常所致；⑤心力衰竭，多见于晚期患者，由于心肌顺应性减低，心室舒张末期压显著增高，继而心房压升高，且常合并心房颤动。晚期患者心肌纤维化广泛，心室收缩功能也减弱，易发生心力衰竭与猝死。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常见的体征为：①心浊音界向左扩大。心尖搏动向左下移位，有抬举性冲动。②胸骨左缘下段心尖内侧可听到收缩中期或晚期喷射性杂音，向心尖而不向心底传播，可伴有收缩期震颤，见于有心室流出道梗阻的患者。凡增加心肌收缩力或减轻心脏负荷的措施例如洋地黄类、异丙肾上腺素、亚硝酸异戊酯、硝酸甘油、做Valsalva动作、体力劳动后或过早搏动后均可使杂音增强；凡减弱心肌收缩力或增加心脏负荷的措施，例如血管收缩药，β受体阻断药，下蹲，紧握拳时均可使杂音减弱。约半数患者同时可听到二尖瓣关闭不全的杂音。③第二心音可呈反常分裂，是由于左心室喷血受阻，主动脉瓣延迟关闭所致。第三心音常见于伴有二尖瓣关闭不全的患者。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4127', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '317', '辅助检查', '<p><span style=\"font-size: 12px;\">（一）X线表现</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">胸部平片可能见左心室增大，也可能在正常范围。X线或核素心血管造影可显示室间隔增厚，左心室腔缩小。核素心肌显像则可显示心肌肥厚的部位和程度。</span></p><p><span style=\"font-size: 12px;\">（二）心电图表现</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">①ST-T改变见于80%以上患者，大多数冠状动脉正常，而心尖局限性心肌肥厚的患者，由于冠状动脉心肌内分布异常而有巨大倒置的T波；②左心室肥大征象见于60%患者，其存在与心肌肥大的程度与部位有关；③异常Q波的存在：V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">5</span>、V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">6</span>、aVL、Ⅰ导联上有深而不宽的Q波，反映不对称性室间隔肥厚，不能误认为心肌梗死；有时在Ⅱ、Ⅲ、aVF、V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>、V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>导联上也可有Q波，其发生可能与左心室肥厚后心内膜下与室壁内心肌中冲动不规则和延迟传导所致；④左心房波形异常，可能见于1/4患者；⑤部分患者合并预激综合征（图16-15-2）。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><br/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">图16-15-2　肥厚型心肌病的心电图</span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">图示Ⅰ、AVL导联见深而窄的Q波，多导联ST-T改变</span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><br/></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">（三）超声心动图表现</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">①不对称性室间隔肥厚，左心室肥厚形态可呈壶腹状，即中间大，两头小或弥漫至心尖部。病变部位室壁运动幅度减低，收缩期增厚率减小。严重者心室腔变小明显，收缩期甚至成闭塞状。虽然肥厚型心肌病的心肌肥厚大多呈非对称性或不均匀性，早年曾特别强调非对称性左心室壁肥厚在诊断肥厚型心肌病中的价值。但近年来研究发现，少数患者可表现为弥漫性对称性肥厚，诊断时需结合临床排除能导致左心室肥厚的各种原因，如主动脉瓣狭窄、高血压等。心尖肥厚型心肌病为日本学者Yamaguchi等于1976年首先报道。肥厚限于心尖部，前侧壁心尖部尤其明显，最厚处可达14～32mm。若不按照常规作系列标准切面很容易漏诊，尤其是心电图异常的患者必须对心尖部作仔细检查（图16-15-3）；②二尖瓣前叶或腱索在收缩期前移；③左心室舒张功能障碍，包括顺应性减低，快速充盈时间延长，等容舒张时间延长；④应用多普勒法可以了解杂音的起源和计算梗阻前后的压力差。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><br/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">图16-15-3　肥厚型心肌病的超声心动图</span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">图示室间隔明显增厚，左室流出道明显狭窄</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">心导管检查示心室舒张末期压增高。有左心室流出道梗阻者在心室腔与流出道之间有收缩期压力阶差。</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4128', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '317', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有心室流出道梗阻的患者因具有特征性临床表现，诊断并不困难。超声心动图检查是极为重要的无创性诊断方法，无论对梗阻性与非梗阻性的患者都有帮助。室间隔明显肥厚并有二尖瓣前叶或腱索收缩期前移，应用连续多普勒测量左心室流出道压差，足以区分梗阻性与非梗阻性病例。心导管检查显示左心室流出道压力阶差可以确立诊断。心室造影对诊断也有价值。临床上在胸骨下段左缘有收缩期杂音应考虑本病，用生理动作或药物作用影响血流动力学而观察杂音改变有助于诊断。此外，还须作以下鉴别诊断。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4129', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '317', '鉴别诊断', '<p>（一）高血压心脏病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">高血压患者也可出现左心室对称甚至非对称性肥厚表现，与本病的鉴别较困难。但高血压患者，一般不伴有左心室流出道梗阻。Maron认为肥厚型心肌病与高血压左心室肥厚最可靠的鉴别点在于有无肥厚型心肌病的家族史。</p><p>（二）心室间隔缺损</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此病收缩期杂音部位相近，但为全收缩期，心尖区多无杂音，超声心动图、心导管检查及心血管造影可以区别。</p><p>（三）主动脉瓣狭窄</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此病症状和杂音性质相似，但杂音部位较高，并常有主动脉瓣区收缩期喷射音，第二心音减弱，还可能有舒张早期杂音。X线示升主动脉扩张。生理动作和药物作用对杂音影响不大。左心导管检查显示收缩期压力阶差存在于主动脉瓣前后。超声心动图可以明确病变部位。</p><p>（四）冠心病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">两病均可有心绞痛，心电图ST-T改变，而异常Q波也为两者共有。但冠心病无特征性杂音，主动脉多增宽或有钙化，高血压及高血脂多见；超声心动图上室间隔不增厚，但可能有节段性室壁运动异常。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p style=\"text-align: right;\"><br/></p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4130', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '317', '预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病程发展缓慢，预后不定。可以稳定多年不变，但一旦出现症状则可以逐步恶化。猝死与心力衰竭为主要的死亡原因。猝死多见于儿童及年轻人，其出现与体力活动有关。不明原因晕厥、直立运动试验（活动平板试验或踏车试验）时出现低血压、心肌明显肥厚（超过30mm）、有猝死家族史、自发持续性或非持续性室性心动过速者为猝死的危险因子。猝死的可能机制包括快速室性心律失常，窦房结病变与心脏传导障碍，心肌缺血，舒张功能障碍，低血压，以前两者最重要。心房颤动的发生可以促进心力衰竭。少数患者有感染性心内膜炎或栓塞等并发症。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4131', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '317', '防治', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于病因不完全清楚，预防较困难。为预防症状发作应避免劳累、激动、突然用力。凡增强心肌收缩力的药物如洋地黄类、β受体兴奋药如异丙肾上腺素等，以及减轻心脏负荷的药物如硝酸甘油等使左心室流出道梗阻加重，尽量不用。如有二尖瓣关闭不全，应预防发生感染性心内膜炎。本病患者特别是年龄小于60岁者，应每年进行临床检查，包括详细询问患者及其家属病史，做超声心动图检查、24 或48小时动态心电图检查，了解直立运动试验时的血压反应等，以进行危险性评估。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">治疗的目标为解除症状和控制心律失常。现用的治疗包括：①β受体阻断药使心肌收缩减弱，从而减轻流出道梗阻，减少心肌氧耗，增加舒张期心室扩张，且能减慢心率，增加心搏量。普萘洛尔应用最早，开始每次10mg，3～4次/日，逐步增大剂量，以求改善症状而心率和血压不过低，最多可达200mg/d左右。近来使用的β受体阻断药有美托洛尔、比索洛尔等；②钙通道阻断药既有负性肌力作用以减弱心肌收缩，又能改善心肌顺应性而有利于舒张功能。维拉帕米120～480mg/d，分3～4次口服，可使症状长期缓解，对血压过低、窦房功能或房室传导障碍者慎用。地尔硫<span style=\"color: rgb(51, 51, 51); font-family: arial; font-size: 13px; line-height: 13.3467px; background-color: rgb(255, 255, 255);\">䓬</span>治疗亦有效，用量为30～60mg，3次/日。钙通道阻断药常用于β受体阻断药疗效不佳或哮喘病患者；③抗心律失常药用于控制快速室性心律失常与心房颤动，以胺碘酮为较常用。药物治疗无效时可考虑电复律；④对晚期已有心室收缩功能损害而出现充血性心力衰竭者，其治疗与其他原因所致的心力衰竭相同。对诊断肯定，药物治疗效果不佳的梗阻性肥厚型心肌病患者考虑外科手术治疗，作室间隔肌纵深切开术和肥厚心肌部分切除术，部分患者需要同时进行二尖瓣置换术或成形术以缓解症状。药物疗效不佳者还可以通过心导管注射无水酒精闭塞冠状动脉间隔支，造成肥厚的心肌坏死，以减轻梗阻。近年来应用双腔永久起搏器作右心房室顺序起搏以缓解梗阻性患者的症状，取得一定疗效，但目前尚无证据表明双腔起搏器能够降低肥厚型心肌病患者心源性猝死率，或改善非梗阻性肥厚型心肌病患者的症状。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p style=\"text-align: right;\"><br/></p>', null, '12', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4226', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '50', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胸膜腔由胸膜壁层和脏层构成，是不含空气的密闭的潜在性腔隙。正常情况下，胸膜腔内为负压。任何原因使胸膜破损，气体进入胸膜腔造成积气状态，称为气胸（pneumothorax）。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4227', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '50', '分类', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可分为人工气胸、创伤性气胸和自发性气胸三类。</p><p>（一）人工气胸</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">指在医学上出于诊断或治疗目的，使用人为方法造成胸膜腔积气状态。</p><p>（二）创伤性气胸</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于胸部外伤或医疗操作误伤造成的气胸。创伤性气胸发生率在钝性伤中约占15%～50%，在穿透性伤中约占30%～87.6%。气胸中空气在绝大多数病例来源于肺被肋骨骨折断端刺破（表浅者称肺破裂，深达细支气管者称肺裂伤），亦可由于暴力作用引起的支气管或肺组织挫裂伤，或因气道内压力急剧升高而引起的支气管或肺破裂。锐器伤或火器伤穿通胸壁后伤及肺、支气管和气管或食管，亦可引起气胸，且多为血气胸或脓气胸。偶尔在闭合性或穿透性膈肌破裂时伴有胃破裂而引起脓气胸。</p><p>（三）自发性气胸</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">指在无外伤或人为因素的情况下，肺组织和脏层胸膜因原有某种病变或缺陷而突然发生破裂引起的气胸。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">按气胸与外界空气的关系又可分为：①闭合性气胸；②开放性气胸；③张力性气胸。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本文着重论述自发性气胸。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4228', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '50', '病因与发病机制', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据有无原发疾病，自发性气胸可分为原发性和继发性两类。诱发因素为剧烈运动，咳嗽，提举重物或上臂高举，用力排便等。航空、潜水作业而无适当防护措施时，从高压环境突然进入低压环境也可诱发气胸。有50%～60%病例找不到明显诱因，有极少患者甚至在卧床休息时发病。</p><p>（一）原发性气胸</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">又称特发性气胸，指胸部影像学未发现明显病变的健康者所发生的气胸，好发于青年人，特别是男性瘦高者。根据国外文献报道，这种气胸占自发性气胸的首位，而国内则以继发性气胸为主。本病病因和发病机制尚不十分明确。大多数学者认为由于胸膜下微小气泡（bleb）和肺大疱（bullae of lung）破裂所致。Vanderscheren根据胸腔镜下肺泡病变与胸膜粘连情况，将自发性气胸在临床上分为4级：Ⅰ级为特发性气胸，内镜下观察肺组织无明显异常；Ⅱ级为气胸伴有脏层、壁层胸膜粘连；Ⅲ级为脏层胸膜大疱和直径＜2cm的肺大疱；Ⅳ级有多个直径＞2cm的肺大疱。该分级方法对选择合理的治疗方法有指导意义。认为自发性气胸的形成并不一定要以大疱破裂为前提，也可能由于胸膜间皮细胞稀少或完全缺乏，在肺内压增高的情况下，空气通过大疱壁的裂孔进入胸膜腔引起，强调了胸膜间皮细胞在自发性气胸发生中起着重要作用。某些学者认为肺组织先天性发育不全是肺大疱形成的原因。也有学者提出“新膜理论”（neomembrane theory）、侧支通气障碍机制和大气污染学说等。</p><p>（二）继发性气胸</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">其发病机制是在其他肺部疾病的基础上，形成肺大疱或直接损伤胸膜所致。常为慢阻肺或炎症后纤维病灶（如硅沉着病、慢性肺结核、弥漫性肺间质纤维化、囊肿性肺纤维化等）的基础上，细支气管因炎症狭窄、扭曲，产生活瓣机制而形成肺大疱。肿大的气泡因营养、循环障碍而退行性变性。在咳嗽、打喷嚏等肺内压增高因素诱发下导致大疱破裂引起气胸。肺癌、结节病、组织细胞增多症X、肺淋巴管平滑肌瘤病和艾滋病也可引起继发性气胸。</p><p>（三）特殊类型的气胸1.月经性气胸</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">即与月经周期有关的反复发作的气胸。其发生率为女性自发性气胸的0.9%，50岁以下女性气胸患者的5.6%。其发生原因主要与肺、胸膜或横膈的子宫内膜异位（endometriosis）有关。确切的发病机制未明。</p><p>2.妊娠合并气胸</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">以生育期年轻女性为多。本病患者因每次妊娠而发生气胸。根据气胸出现的时间，可分为早期（妊娠3～4个月）和后期（妊娠8个月以上）两种。其发生机制也不十分清楚。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4229', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '50', '解剖生理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胸膜腔为脏层和壁层胸膜之间的密闭腔隙。正常时两层胸膜紧贴着，腔内有5～15ml浆液，起润滑作用。胸膜腔内的压力比大气压低为负压，吸气时牵张肺脏膨胀。该负压随着呼吸运动变化，吸气胸廓扩大时负压变大（即胸内压更小，为-0.667～-1.33kPa）；而呼气时负压变小（即胸内压更大，为-0.4～-0.686kPa）。当胸内压力超过0.1～0.2kPa时，可使纵隔移位，静脉回流受阻，发生急性心、肺功能障碍。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4230', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '50', '病理生理', '<p>（一）气胸对心肺功能的影响</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对心肺功能的影响决定于3个基本因素：①基础疾病和肺功能；②气胸发生速度；③胸膜腔内积气量及其压力。基础肺病变严重，气胸出现快、气量大、胸内压高，对心肺功能影响大。</p><p>（二）气胸对心、肺功能影响的主要表现1.肺容量缩小和通气功能降低</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">当肺压缩20%以上时，胸腔内压变大，失去负压对肺的牵引作用甚至压迫肺组织致肺容量减少，呈限制性通气功能障碍。</p><p>2.气体交换功能恶化</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性气胸时被压缩的肺泡通气量减少，但最初肺血流量并不减少，可发生通气/血流比值降低或动静脉分流样效应，表现为动脉血氧合功能障碍和氧分压降低。</p><p>3.循环功能障碍</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">少量气胸对循环功能影响不大。大量气胸，尤其是张力性气胸，胸腔正压影响静脉血回流，甚至压迫血管和心脏，阻碍静脉血回流右心，引起心脏搏出量降低，心率加快，血压降低，甚至发生休克。在大量或张力性气胸时，可引起纵隔移位或摆动，进一步导致循环功能障碍、心律失常、休克，或突然窒息死亡。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性气胸患者由于肺脏长期被压缩，通气/血流比值已自动调整而适应，故在一般活动时没有不适感觉，但在剧烈活动时则有呼吸困难症状。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4231', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '50', '临床表现', '<p>（一）症状</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">典型症状为突发性单侧胸痛，继之胸闷和呼吸困难，并可有刺激性咳嗽。这种胸痛常为针刺样或刀割样，持续时间很短。刺激性干咳因气体刺激胸膜所致。气胸量大，或伴肺部原有病变者，则呼吸困难明显。部分患者在气胸发生前有剧烈咳嗽、用力屏气排大便或提举重物等诱因，但不少患者发生于正常活动或安静休息时。年轻无肺部基础疾病者的中等量气胸可能没有不适感觉，有时仅在体检或常规胸部影像学检查时才被发现；而慢阻肺患者，即使肺压缩不到10%，亦可产生明显的呼吸困难。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">张力性气胸患者常表现精神高度紧张、恐惧、烦躁、气促、窒息感、发绀、出汗，并有脉搏细弱快、血压下降、皮肤湿冷等休克表现，甚至出现意识不清、昏迷，若不及时抢救，往往引起死亡。少数患者可发生双侧性气胸，其发生率占自发性气胸的2%～9.2%，甚至达20%。以呼吸困难为突出表现，其次为胸痛和咳嗽。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">部分气胸患者合并有纵隔气肿，呼吸困难更加严重，常有明显发绀。更少见的情况是在气胸发生时，由于胸膜粘连带或胸膜血管撕裂而产生血气胸。若出血量多，可表现为面色苍白、冷汗、脉搏细弱、血压下降等休克征象。但大多数患者仅为少量出血。</p><p>（二）体征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">气胸少量时体征不明显，特别是慢阻肺患者，但听诊时局限呼吸音减弱具有重要意义，部分患者可出现哮鸣音。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">气胸量达30%以上时，可表现为患侧胸廓饱满，肋间隙膨隆，呼吸运动减弱；叩诊鼓音，心或肝浊音区消失；语音震颤及呼吸音均减弱或消失。大量气胸时，可使气管和纵隔向健侧移位。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">左侧少量气胸，有时可在左心缘处听到患者也能觉察到的特殊破裂音，称Hamman征。破裂音与心跳一致，患者左侧卧位呼气时听得更清楚。此种“有声音”的气胸常为少量气胸。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">少量胸腔积液常是由于空气刺激胸膜产生的渗出液，但也可能由于气胸导致胸膜粘连带撕裂引起血气胸。</p><p>（三）影像学表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">为诊断气胸最可靠的方法。可显示肺压缩程度，肺部情况，有无胸膜粘连、胸腔积液以及纵隔移位等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">典型X线表现为外凸弧形的细线条形阴影，系肺组织和胸膜腔内气体的交界线，线内为压缩的肺组织，线外无肺纹理且透亮度明显增加。气胸延及下部则肋膈角显示更加锐利。少量气胸往往局限于肺尖部，常被骨骼掩盖。深呼气时，使萎缩的肺更为缩小，密度增高，与外带积气透光区对比更鲜明，从而显示气胸带。局限性气胸在后前位X线检查时易遗漏，透视下转动体位方能见到气胸。大量气胸时，肺被压缩聚集在肺门区呈圆球形阴影。若肺内有病变或胸膜粘连时，则呈分叶状或不规则阴影。大量气胸或张力性气胸显示纵隔和心脏移向健侧。气胸合并胸腔积液时，则见液平。若围绕心缘旁有透光带，应考虑有纵隔气肿。X线胸片，大致可计算气胸后肺脏受压萎陷的程度，这对临床处理有一定的意义。如从肺尖气胸线至胸腔顶部估计气胸大小，距离≥3cm为大量气胸，＜3cm为小量气胸。简便评估方法为被压缩肺组织边缘在锁骨部为25%，气胸宽度占总宽度的1/4时（外带压缩），压缩35%，气胸宽度占总宽度的1/3时（外带压缩），压缩50%，气胸宽度占总宽度的1/2时（外中带压缩），压缩65%，压缩至肺门部为90%以上（外中内带压缩），而非100%。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">CT表现为胸膜腔内出现极低密度的气体影，伴有肺组织不同程度的压缩改变。一般应在肺窗条件下观察，含极少量气体的气胸和主要位于前中胸膜腔的局限性气胸，由于CT无影像重叠的缺点也可明确诊断，而X线平片易漏诊。多数学者认为，对外伤患者，尤其给机械通气患者做CT扫描时，应对上腹部、下胸部的CT图像进行肺窗观察，以便发现隐匿性少量气胸；CT还可鉴别位于纵隔旁的气胸与纵隔气肿以及肺气囊，对有广泛皮下气肿的患者，CT检查常可发现X线平片阴性的气胸存在。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4232', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '50', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据临床症状、体征及X线表现，即可确诊。慢阻肺合并自发性气胸时，与其原有的症状和体征常易混淆，需借助影像学检查作出诊断。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床上还可通过胸膜腔内测压来确定气胸类型：闭合性、开放性或张力性，用于选择治疗方法和评估预后。①闭合性气胸（也称单纯性气胸）：由于胸膜破裂口较小，随着肺脏萎缩而关闭，空气不再继续进入胸膜腔。胸膜腔内压力测定可为略高的正压或负压，视气体量多少而定。抽气后，胸膜腔内压力下降，观察2～3分钟压力也不再上升。②开放性气胸：裂口较大，或因胸膜粘连妨碍肺脏回缩面使裂口开放，气体经裂口随呼吸自由出入胸膜腔。胸膜腔测压在0上下波动，抽气后压力不变。③张力性气胸，又称单向活瓣性或高压性气胸：由于裂口呈单向活瓣或活塞作用，吸气时胸廓扩大，胸内压变低，活瓣开放，空气进入胸膜腔；而在呼气时，胸廓变小，胸内压升高，压迫活瓣使之闭合。每次呼吸运动都有空气进入胸膜腔而不能排出，致使胸膜腔内空气越积越多，胸膜腔内压力也不断升高压迫肺脏，纵隔向健侧偏移，甚至影响心脏血液回流。测压时压力常超过0.98kPa（10cmH<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O），甚至高达1.96kPa（20cmH<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O）。抽气后胸内压可下降，但观察2～3分钟后压力又迅速升高。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胸膜裂口可随病情而变化，故气胸类型也可相互转换。气胸发病后超过2个月肺未能复张者称为慢性气胸。多由于裂口未闭，胸膜增厚或气道被分泌物堵塞，阻碍了肺的复张。胸膜腔内压力的测定有助于鉴别破裂口是否闭合。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4233', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '50', '鉴别诊断', '<p>（一）巨型肺大疱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">局限性或包裹性气胸应与其鉴别。两者在症状、体征和X线胸片上均类似，鉴别要点为：①巨型肺大疱病史长，症状发生较慢；而气胸病史短，症状往往突然发生。②大疱气腔呈圆形或卵圆形，位于肺野内；而气胸为带状气影，位于胸部外带胸膜腔内。③肺上部大疱可见基底缘向下凹陷，下缘下外方肺组织向上外方伸延，而上胸部包裹性气胸其外下方气影向外下方倾斜。④肺大疱若在下叶，则肋膈角圆钝，贴近胸壁处可见到被挤压的肺组织和（或）胸膜，气腔内无液平面；而气胸患者肋膈角可见到液平面。⑤经较长时间观察，肺大疱大小很少变化，而气胸形态则随时日而变小，最后消失。怀疑局限包裹性气胸者最好做胸部CT检查，能够很好地区别巨大肺大疱和局限包裹性气胸。</p><p>（二）其他疾患</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">气胸还应与心肌梗死、肺梗死、支气管哮喘、支气管肺囊肿及膈疝、慢阻肺等疾病鉴别。根据病史、症状、体征、结合胸部影像学、心电图及有关检查可以作出鉴别。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4234', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '50', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">自发性气胸的治疗需根据气胸的不同原因和类型采取适当措施，解除胸腔积气对呼吸、循环所造成影响，使肺尽早复张和恢复功能，同时也要治疗并发症和原发病。</p><p>（一）一般治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患者应卧床休息和吸氧，尽量减少活动，有利于气体吸收和肺复张。无肺部基础疾病的年轻患者，如果肺萎陷在20%以下，呼吸困难不明显者，可以采取本方法，但须密切观察。单纯卧床休息，每日可吸收胸膜腔内气体容积的1.25%。如吸氧，面罩给氧流量3L/min，可使气胸气体吸收率提高达4.2%，肺完全复张时间缩短至平均5天（3～7天），较一般卧床休息肺复张所需时间明显缩短。其机制是提高血中PO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>，使氮分压（P<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">N</span>）下降，从而增加胸膜腔与血液间的P<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">N</span>差，促使胸膜腔内的氮气向血液转递（氮-氧交换），加快肺复张。</p><p>（二）排气疗法</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于呼吸困难明显、肺压缩程度超过20%～30%、合并有肺部基础疾病者，需采取排气疗法，尤其是张力性气胸需要紧急排气。</p><p>1.胸膜腔穿刺排气</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常规选择患侧锁骨中线第2前肋间为穿刺进针点，少数选择腋前区第4、第5或第6肋间为穿刺进针点，对于局限包裹性气胸需根据胸部CT进行仔细定位后确定穿刺进针点。于皮肤消毒后用气胸针直接穿刺入胸膜腔，随后连接于50ml或100ml注射器，或人工气胸机排气并测压，直至患者呼吸困难缓解为止。一般首次抽气不宜超过600ml或使胸膜腔腔内负压在-0.196～-0.392kPa（-2～-4cmH<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O）为宜，根据肺复张情况每日或隔日抽气1次。如属张力性气胸，需要进行持续的胸腔闭式引流，但如病情紧急，为了挽救患者生命，可行紧急胸膜腔穿刺排气，以达到迅速减压的目的。</p><p>2.胸腔闭式引流术</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于交通性和张力性气胸、压缩范围大的单纯性气胸者，单纯胸腔穿刺抽气只能暂时缓解症状，往往需要胸腔置管持续引流，通常选择锁骨中线第2前肋间置入引流管；局限包裹性气胸或有胸膜粘连者，应根据X线透视最好是胸部CT定位置管；液气胸需排气排液者，多选择上胸部置管引流，有时需置上、下两根引流管。将引流管连接于水封正压连续排气装置［即水封瓶内的玻璃管一端置于水面下1～2cm，患者呼气时胸膜腔内正压，只要高于体外大气压0.098～0.196kPa（1～2cmH<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O）就有气体排出］。如单纯持续引流较长时间肺仍不能复张，可考虑持续负压引流，在负压吸引装置与水封瓶之间接上调压瓶，调整调压管入水深度以维持吸引负压在-0.49～-1.76kPa（-5～-18cmH<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O）为宜。目前已经有一体化便携式气胸引流装置。</p><p>（三）胸膜粘连术</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">为了减少复发，可在胸腔内注入硬化剂，产生无菌性胸膜炎症，使脏层和壁层胸膜粘连从而消灭胸膜腔间隙。仅限于不宜手术或拒绝手术的下列患者：①慢性或复发性气胸；②双侧气胸；③合并肺大疱；④肺功能不全，不能耐受手术者。常用硬化剂有多西环素、医用滑石粉等，用生理盐水60～100ml稀释后经胸腔导管注入，夹管4～6小时后引流；或经内科胸腔镜直视下喷洒。注意以下几个方面可以提高粘连的成功率：胸腔注入硬化剂前，尽可能使肺完全复张；硬化剂注入胸膜腔后需监督患者充分转动体位，以使硬化剂与各处胸膜充分接触；夹闭胸腔引流管4～6小时后需充分引流胸腔内气体及液体，加用10～20cmH<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O的负压可以使脏层和壁层胸膜紧密贴合。若一次无效，可重复注药。肺复张并且夹闭胸腔引流管24小时后不再有气体漏出，经X线透视或摄片证实，可拔除引流管。此法成功率高，主要不良反应为胸痛、发热，医用滑石粉有报道可引起急性呼吸窘迫综合征，应密切观察。</p><p>（四）肺或大疱破口闭合法</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在诊断为肺气肿大疱破裂而无其他的肺实质性病变时，可在不开胸的情况下经内镜使用激光或黏合剂使裂口闭合。</p><p>（五）外科手术</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于慢性气胸、血气胸、双侧气胸、复发性气胸、张力性气胸经内科观察治疗失败者、胸膜增厚或者粘连带致肺膨胀不全或影像学上有多发性肺大疱者，可予手术。手术治疗成功率高，复发率低。</p><p>1.电视辅助胸腔镜手术</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">直视下分离胸膜间粘连，烙断粘连带；视野清晰，对较小肺大疱和破口也能发现和处理；同时做胸膜粘连术。具有微创、安全等优点。</p><p>2.开胸手术</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如无禁忌，亦可考虑。但在能开展电视辅助胸腔镜手术的单位基本已被取代。</p><p>（六）特殊类型气胸的处理1.月经性气胸</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①激素疗法：作用是抑制卵巢功能，阻止排卵过程及异位的子宫内膜组织脱落，达到控制症状的目的。常用的药物有孕激素、黄体酮、雄性激素等。某些避孕药物如达那唑（danazol，炔羟雄烯异<img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%86%85%E7%A7%91%E5%AD%A6_%E5%85%A82%E5%86%8C(%E4%B8%8B)_978-7-117-17272-1/pics/BZ_531_916_2554_950_2589.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/>唑），炔诺酮（norethisterone）、异炔诺酮（noretynodrel）等也可使用。②开胸手术：适用于保守治疗无效，反复发作症状严重的患者。手术包括单纯膈肌缺损修补，部分膈肌切除缝合，部分胸膜肺切除等。③妇科手术：适用于以上治疗无效，又无再次妊娠要求，盆腔同时有子宫内膜异位症者。手术包括输卵管结扎术、卵巢切除术、子宫全切除术、双侧附件切除术等。目前认为子宫输卵管卵巢切除术是治疗月经性气胸最有效的方法，可使大多数患者获得痊愈。</p><p>2.自发性血气胸</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">自发性气胸伴有胸膜腔内出血是由于胸膜粘连带内的血管断裂，可采取以下治疗：①保守治疗：抽气排液，解除压迫症状，改善通气功能。一般抽液量在1000ml左右，必要时可重复抽吸。②胸腔闭式引流：一般使用大孔径胸腔引流管做持续引流，引流管放置的位置要保证能够及时有效地引流胸腔内积血，以促使肺的复张和观察有无活动性出血。同时补充血容量，积极抗休克治疗，并且密切观察病情变化。③如保守治疗无效，胸膜腔内持续出血者，须在抗休克治疗的同时准备外科手术止血。</p><p>3.脓气胸</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由金黄色葡萄球菌、肺炎杆菌、铜绿假单胞菌、结核杆菌以及多种厌氧菌引起的坏死性肺炎、肺脓肿以及干酪性肺炎可并发脓气胸。病情多危重，常有支气管胸膜瘘形成。脓液中可找到病原菌，除适当应用抗生素（局部和全身）外，还应根据具体情况考虑外科治疗。出现包裹需要胸腔内冲洗疗法。</p><p>4.纵隔气肿和皮下气肿</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">皮下气肿和纵隔气肿随着胸膜腔内气体排出减压而能自行吸收。吸入浓度较高的氧气可以加大纵隔内氧的浓度，有利于气肿的消散。纵隔气肿张力过高而影响呼吸和循环功能者，可做胸骨上窝穿刺或切开排气。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4235', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '50', '预防', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">最好的预防是去除病因。按照气胸治疗效果看，目前采用的肺大疱切除术及胸膜粘连术中，前者可最大限度地去除肺漏气的可能，后者可在再次肺漏气时保证大部分肺组织不至于萎缩，所以最好的预防在于正确的治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此外，由于慢性支气管肺疾病，如哮喘和慢阻肺是继发性气胸的主要病因，积极规范性治疗是预防这类继发气胸的最好方法。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4236', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '50', '参考文献', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.Yarmus L，Feller-Kopman D.Pneumothorax in the critically ill patient.Chest，2012，141（4）：1098-105.2.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.Grundy S，Bentley A，Tschopp JM.Primary spontaneous pneumothorax：a diffuse disease of the pleura.Respiration，2012，83 （3）：185-189.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.Haynes D，Baumann MH.Management of pneumothorax. Semin Respir Crit Care Med，2010，31（6）：769-780.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.van Berkel V，Kuo E，Meyers BF.Pneumothorax，bullous disease，and emphysema.Surg Clin North Am，2010，90（5）：935-953.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.Luh SP.Review：Diagnosis and treatment of primary spontaneous pneumothorax.J Zhejiang Univ Sci B，2010，11（10）：735-744.</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '12', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4237', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1520', '概述', '<p>1.定义</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胃十二指肠溃疡是一种局限性圆形或椭圆形的局限性黏膜缺损，累及黏膜、黏膜下层和肌层，治愈后不留瘢痕。因溃疡的形成与胃酸-蛋白酶的消化作用有关，也称为消化性溃疡（peptic ulcer）。胃十二指肠是好发部位，近年来认为病因是多因素的，是全身疾病的局部表现。</p><p>2.流行病学</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">消化性溃疡是常见的消化系慢性疾病。据估计，一般人群中，约5%～10%的人在人生中某一时期曾患过胃或十二指肠溃疡。近40年来，欧美及亚洲等地区的消化性溃疡发病率、死亡率、住院率和外科手术率均有下降的趋势。然而溃疡并发症的患病率却相对稳定，甚至有上升的趋势。同时老年人消化性溃疡，尤其是老年妇女的消化性溃疡的死亡率和住院率都有增高的趋势。这可能同人口老龄化，非甾体类抗炎药的广泛应用有关。十二指肠溃疡（duodenal ulcers，DU）发病率明显高于胃溃疡（gastric ulcer，GU），但在一些西方国家这种差异有逐渐减小的倾向。十二指肠溃疡发病年龄多为35～45岁，胃溃疡年龄多为50～60岁，男性发病率高于女性。</p><p>3.好发部位</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胃溃疡好发于胃小弯，尤其是胃角处，其中90%发生在胃窦部（属Ⅰ型胃溃疡，约占胃溃疡的57%）。溃疡的直径一般＜2.5cm，但直径＞2.5cm的巨大溃疡并非少见。溃疡底部常超越黏膜下层，深达肌层甚至浆膜，溃疡下层可完全被肉芽组织及瘢痕组织所代替。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胃溃疡根据其部位和胃酸分泌量可分为四型：Ⅰ型最为常见，约占50%～60%，低胃酸，溃疡位于胃小弯角切迹附近；Ⅱ型约占20%，高胃酸，胃溃疡合并十二指肠溃疡；Ⅲ型约占20%，高胃酸，溃疡位于幽门管或幽门前，与长期应用非甾体类抗炎药物有关；Ⅳ型约占5%，低胃酸，溃疡位于胃上部1/3，胃小弯高位接近贲门处，常为穿透性溃疡，易发生出血或穿孔，老年患者相对多见。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">同胃溃疡相似，十二指肠溃疡约95%发生于球部，直径一般＜1cm。球部以下者称为球后溃疡（约占5%）。当球部前后壁或胃大、小弯侧同时有溃疡存在时，称对吻溃疡。胃和十二指肠均有溃疡者，称复合性溃疡（属Ⅱ型胃溃疡，约占胃溃疡的22%）。发生于幽门管溃疡或近幽门2cm以内的胃溃疡属Ⅲ型胃溃疡，约占胃溃疡的20%。距食管胃连接处4cm以内的胃溃疡属Ⅳ型胃溃疡，在2cm以内者则称为近贲门溃疡（juxtacardial ulcer）。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4238', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1520', '病因及发病机制', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">自20世纪80年代以来对于消化性溃疡的认识有了新突破，消化性溃疡主要为幽门螺杆菌感染和与非甾体类抗炎药（NSAID）有关的两大类。按病因将消化性溃疡分为：幽门螺杆菌（helicobacter pylori， Hp）相关性溃疡，即Hp相关性溃疡；非甾体抗炎药引起的溃疡（non-steroidal anti-inflammatory drug，NSAID），即NSAID相关性溃疡；非Hp、非NSAID相关性溃疡三类。</p><p>1.幽门螺杆菌感染</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在 Warren和 Marshall于1982年发现幽门螺杆菌之前，外界的压力和不良的生活习惯被认为是导致消化性溃疡的主要原因。Schwartz在1910年提出“消化性溃疡是一种自身消化的产物，是胃液的消化能力超过胃和十二指肠黏膜防御能力的结果。”即经典的“无酸则无溃疡”学说一直被视为消化性溃疡的理论基础。“一旦溃疡，终身溃疡”。20世纪80年代中期，质子泵抑制剂（如奥美拉唑等）这一强力抑酸剂的出现增强了溃疡的治疗效果，溃疡的治愈已不困难，但溃疡愈合后复发率居高不下，即使采用药物长期治疗，一旦停药仍不可避免复发。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">幽门螺杆菌的发现具有深刻的意义，慢性胃溃疡经常复发是因为导致胃部慢性炎症的细菌（幽门螺杆菌）依然存在。Warren和Marshall发现，当致病细菌被清除，慢性胃溃疡类疾病是可以完全治愈的。基于他们的这一突破性发现，胃溃疡不再是一个慢性而且经常复发的顽症，“无幽门螺杆菌无溃疡复发”已成为学者们接受的事实。国外有资料指出：40岁以下正常人群幽门螺杆菌检出率为20%左右，而60岁以上人群幽门螺杆菌检出率为50%左右。在感染幽门螺杆菌的患者中约15%～20%一生中会发生溃疡。2007年国内调查了26个省市的2395例DU患者中，Hp阳性1206例（50.4%），阴性461例（19.2%），未接受Hp检测728例；1603例GU患者中，Hp阳性833例（52.0%），阴性287例（17.9%），未接受Hp检测483例，在本组病例中，DU与GU患者的Hp感染率相仿。研究表明：幽门螺杆菌感染者发生消化性溃疡的危险性是未感染者的20倍。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">幽门螺杆菌为革兰阴性杆菌，呈弧形或S形，胃黏膜是Hp细菌的自然定植部位。Hp可分泌尿素酶、蛋白酶、磷脂酶及过氧化物酶等多种酶。尿素酶能分解尿素生成氨，除保护Hp在酸性环境中得以生存外，同时破坏胃黏膜、损伤组织细胞。蛋白酶与磷脂酶可降解胃黏液层的脂质结构及黏蛋白，损坏胃黏液层的屏障功能。过氧化物酶能抑制中性粒细胞的杀菌功能。Hp菌株能够生成毒素相关蛋白（CagA）、刺激IL-8与TNF的分泌，引起严重的炎症反应。Hp生成的细胞空泡毒素（VacA）可使细胞发生变性反应，导致细胞损伤。另外，目前一致认为Hp感染是已被证实的人类非贲门胃癌最常见的危险因素。Hp感染是慢性胃炎的主要病因，可启动一系列致病事件，从而导致萎缩性胃炎、化生、异型增生，最终发生胃癌。</p><p>2.胃酸分泌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">大量临床试验和研究证明胃酸的病理性升高是溃疡发病的重要因素之一。尤其是十二指肠溃疡更加明显。胃液酸度过高，激活胃蛋白酶原，使十二指肠黏膜自身消化，可能是溃疡形成的重要原因。十二指肠溃疡患者的基础酸分泌（basal acid output，BAO）和最大胃酸分泌量（maximal acid output，MAO）均高于健康人。除与迷走神经的张力及兴奋性过度增高有关外，与壁细胞数量的增加有关。正常人胃底壁细胞总数约为10亿，而十二指肠溃疡患者胃底壁细胞数高达19亿，为正常人的2倍。此外壁细胞对促胃液素、组胺、迷走神经刺激敏感性亦增高。溃疡患者在胃窦酸化情况下，正常的抑制胃泌酸机制受到影响，促胃液素异常释放，而组织中生长抑素水平低，黏膜前列腺素合成减少，削弱了对胃黏膜的保护作用，使得黏膜易受胃酸损害。而胃溃疡患者的基础胃酸分泌量（basal acid output，BAO）和最大胃酸分泌量（maximal acid output，MAO）均同正常人相似，甚至低于正常人。</p><p>3.胃黏膜屏障的破坏和药物因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">人们注意到在胃溃疡病患者，胃酸和胃蛋白酶水平并不高于正常人，甚至低于正常人，证明某些患者存在胃黏膜抵抗力的下降。胃黏膜屏障由3部分组成：①黏液-碳酸氢盐屏障的存在，使胃内pH保持在2.0，而黏液与上皮细胞之间pH保持在7.0；②胃黏膜上皮细胞的紧密连接，能防止H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>逆向弥散和Na<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>向胃腔弥散，上皮细胞再生功能强、更新快也是重要的黏膜屏障功能；③丰富的胃黏膜血流，可迅速除去对黏膜屏障有害的物质如H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>，并分泌<img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%A4%96%E7%A7%91%E5%AD%A6%EF%BC%88%E4%B8%8A%E5%86%8C%EF%BC%89_978-7-117-14353-0/pics/BZ_551_1485_2071_1579_2123.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/>以缓冲H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>黏膜屏障损害是溃疡产生的重要环节。非甾体类抗炎药（NSAID）、肾上腺皮质激素、胆汁酸盐、酒精、氟尿嘧啶等均可破坏胃黏膜屏障，造成H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>逆流入黏膜上皮细胞，引起胃黏膜水肿、出血、糜烂，甚至溃疡。长期使用NSAID使胃溃疡发生率显著增加，但并未使十二指肠溃疡发病率增高。</p><p>4.胃十二指肠运动功能异常</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一些十二指肠溃疡病患者，其胃排空速度较正常人快，液体排空过快使十二指肠球部与胃酸接触的时间较长，黏膜易于发生损伤。研究发现，对部分胃溃疡患者，胃运动异常主要表现在胃排空延迟和十二指肠的反流，前者使胃窦部张力增高，刺激胃窦黏膜中的G细胞，使之分泌的促胃液素增加，刺激胃酸分泌。由于幽门括约肌功能不良，导致反流中的胆汁、十二指肠液及胰液对胃黏膜发挥损伤作用。</p><p>5.遗传因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">研究发现消化性溃疡具有遗传素质，并且胃溃疡和十二指肠溃疡病系单独遗传，互不相干。但是在胃溃疡患者的家族中，胃溃疡的发病率比正常人高3倍；遗传因素在十二指肠溃疡的发病中起一定作用，单卵孪生患相同溃疡病者占50%，双卵孪生仅占14%。O型血者患十二指肠溃疡比其他血型者显著为高。另外，高胃蛋白酶血症Ⅰ型（常染色体显性遗传）在十二指肠溃疡患者中比较常见，但具体机制不清。</p><p>6.其他因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床研究表明，长期处于精神高度紧张、焦虑或者情绪波动者容易发生消化性溃疡，现已证明十二指肠溃疡在愈合后再遭受到精神应激时容易复发。此外，吸烟与溃疡的发生有一定的关系。吸烟可能减慢溃疡愈合的时间，原因可能是由于吸烟导致前列腺素合成减少，提高了胃酸的分泌，抑制或者减少了十二指肠和胰源性的碳酸氢盐的分泌。停止吸烟是吸烟治疗溃疡的一个关键因素。某些特定的疾病也会增加溃疡的发病几率，如慢性阻塞性肺疾病、酒精肝和慢性肾衰竭等。另外胃肠肽和过度饮酒也可能在溃疡发病中起一定作用，但具体机制还未完全清楚。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">从胃和十二指肠的发病机制来看，两者是有区别的。其共同的致病因素主要有Hp感染和NSAID的应用。但就十二指肠溃疡而言，过量的胃酸分泌、胃排空速度过速以及十二指肠的酸中和能力减弱是引发溃疡的主要原因。胃溃疡除了上述与十二指肠溃疡共同的致病因素外，主要是十二指肠液的反流和胃黏膜的破坏。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4239', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1520', '临床表现及并发症', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">长期性、周期性和节律性上腹疼痛为胃十二指肠溃疡共有的特点。但两者又有其不同的表现。</p><p>1.胃溃疡</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胃溃疡的高峰年龄是50～60岁，男性多于女性。重要的症状为上腹痛，规律性腹痛不如十二指肠明显，进食并不能使腹痛减轻。疼痛多发在餐后半个小时到1小时，也可持续1～2小时。其他表现为恶心、食欲缺乏，常表现因进食后饱胀感和因拒绝进食而引起体重减轻。抗酸药物多难以发挥作用。体格检查常发现疼痛在上腹部、剑突和脐正中间或偏左。</p><p>2.十二指肠溃疡</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">十二指肠溃疡可见于任何年龄，发病比胃溃疡年轻10岁，多见于35～45岁的患者，男性为女性的4倍。典型的十二指肠溃疡引起的疼痛常常发生在餐后数小时，疼痛主要为上腹部，有明显的节律性，且因进食而有所缓解。饥饿痛和夜间痛与基础胃酸分泌过度有关，腹痛可因服用抗酸药物而缓解，这种疼痛多为烧灼样，可以发射到背部，体检时可以发现右上腹有压痛。十二指肠溃疡引起的腹痛常呈周期性，秋冬季易于发作。</p><p>3.并发症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胃和十二指肠溃疡均可并发出血、穿孔和幽门梗阻。胃溃疡可发生恶变，而十二指肠溃疡一般不会恶变。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4240', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1520', '诊断', '<p>1.X线检查和胃镜</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对疑有发生在胃和十二指肠的病变，X线钡餐检查（barium radiography）和纤维胃镜（endoscopy）检查是首选的诊断方法，大约90%以上的胃和十二指肠病变可以通过X线气钡双重对比造影检查得到明确的诊断。十二指肠溃疡多发生在球部，X线表现为龛影是诊断十二指肠溃疡病的唯一依据。正面观，溃疡的龛影多为圆形、椭圆形或线形，边缘光滑，周围可见水肿组织形成的透光圈，在溃疡愈合过程中，纤维组织增生可呈纤细的黏膜皱襞向龛影集中。胃溃疡多发生于胃小弯，X线气钡双重造影常发现小弯龛影溃疡周围有黏膜水肿时可有环形透明区，龛影是临床上诊断胃溃疡的直接证据，溃疡周围组织的炎症使局部痉挛，可导致钡餐检查时局部疼痛和激惹现象。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">应当指出，龛影虽然是诊断消化性溃疡的直接证据，但在一些情况下难以发现典型的龛影，此时内镜检查显得更为重要。据统计大约有3%～7%的患者在胃发生恶性溃疡时，钡餐检查仅表现为良性病变的征象。纤维内镜可以直接观察到胃和十二指肠内黏膜的各种病理改变。并可进行活组织病理检查，对良恶性溃疡的鉴别是有价值的。在内镜可观察到大而圆形的溃疡，底部平坦，呈白色或灰白色。</p><p>2.实验室检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胃液分析：胃溃疡患者的胃酸浓度与量和正常人无明显区别，十二指肠溃疡的胃液量及酸浓度明显增加。血清促胃液素测定仅在疑有胃泌素瘤时做鉴别之用。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4241', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1520', '治疗原则', '<p>1.手术适应证</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于消化性溃疡，外科治疗的目的主要是修复胃肠壁，手术止血或者两者兼有。而对于预防复发而言，主要是内科药物治疗（根除幽门螺杆菌和抑制胃酸分泌）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">当胃、十二指肠溃疡发生并发症而不再是单纯的溃疡时，即有可能需要采用手术治疗。两者有着相似的适应证：①临床上有多年的溃疡病史。症状逐年加重，发作频繁，每次发作时间延长。疼痛剧烈影响正常生活和工作。②既往曾接受过至少一次正规严格的内科治疗，治疗3个月以上仍不愈合或者经内科治愈后又复发。③钡餐检查或内镜检查提示溃疡较大，溃疡直径超过2～2.5cm，或有穿透胃十二指肠以外的征象。④并发大出血、急性穿孔、或者瘢痕性幽门梗阻者。其中瘢痕性幽门梗阻是溃疡外科手术的绝对适应证。⑤怀疑有溃疡恶变者。⑥一些特殊性质的溃疡：胰源性溃疡（zollinger-ellison syndrome）、胃空肠吻合口溃疡、应激性溃疡等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">但鉴于下述原因，对胃溃疡的手术指征可适当放宽：①多数胃溃疡对内科抗酸药物治疗的效果不满意，有效率仅35%～40%，而且复发率较高；②部分胃溃疡有可能癌变（＜5%）；③合理的手术治疗效果好，目前手术治疗已相当安全；④胃溃疡患者年龄偏大，一旦发生并发症，手术的死亡率和病残率都明显增高。因此，目前大多数外科医师都主张胃溃疡诊断明确，经过短期（8～12周）严格的药物治疗后，如果疗效不好，应该尽早手术。</p><p>2.手术方式</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常用的手术方式为胃大部切除术和迷走神经切断术。其中胃大部切除术适用于胃和十二指肠溃疡，而迷走神经切断术更适合于十二指肠溃疡。但总的认为，用以治疗二指肠溃疡的手术方式尚未达到满意的程度。高选择性迷走神经切断术的危险性最小，胃大部切最大。溃疡复发率则以选择性迷走神经切断加胃窦切除术最低，高选择性迷走神经切除术最高。后遗症以胃大部切除术最多，高选择性迷走神经切断术最少。手术方式的选择除与术者的训练、经验与认识、倾向有关，更应考虑患者的具体情况，至今尚无单一的术式能适合于所有的患者，故应根据患者的具体情况制订个体化的方案。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4242', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '153', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性胃炎（acute gastritis）是由多种原因引起的急性胃黏膜非特异性炎症，病理上以中性粒细胞浸润为主要特点。根据黏膜损害程度，分为急性单纯性胃炎（acute simple gastritis）、急性腐蚀性胃炎（acute erosive gastritis）、急性化脓性胃炎（acute suppurative gastritis）和急性胃黏膜病变（acute gastric mucosal lesions，AGML），后者是以胃黏膜发生不同程度糜烂、浅溃疡和出血为特征的病变。以急性黏膜糜烂病变为主者称急性糜烂性胃炎（acute erosive gastritis）；以黏膜出血改变为主者称急性出血性胃炎（acute hemorrhagic gastropathy）；发生于应激状态、以多发性溃疡为主者可称为应激性溃疡。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4243', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '153', '病因与发病机制', '<p>（一）理化因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">过冷、过热或过于粗糙的食物、饮料（如浓茶、浓咖啡、烈酒）、刺激性调味品、特殊类型药物（如非甾体类抗炎药、肾上腺皮质激素、抗生素、抗肿瘤药物等），均可刺激胃黏膜，破坏黏膜屏障造成胃黏膜损伤和炎症。非甾体类抗炎药还能干扰胃黏膜上皮细胞合成硫糖蛋白，使胃内黏液减少，脂蛋白膜的保护作用削弱，引起胃腔内H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>逆扩散，导致黏膜固有层肥大细胞释放组胺、血管通透性增加，以致胃黏膜充血、水肿、糜烂和出血等病理过程，同时药物还抑制前列腺素合成，使胃黏膜的修复受到影响而加重炎症。</p><p>（二）生物因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括细菌及其毒素。常见致病菌为沙门菌属、嗜盐菌、致病性大肠杆菌等，常见毒素为金黄色葡萄球菌及肉毒杆菌毒素，尤其是前者较为常见。进食污染细菌或毒素的不洁食物数小时后即可发生胃炎或同时合并肠炎，此即急性胃肠炎。</p><p>（三）内源性因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括全身感染、严重创伤、颅内高压、大手术、休克、过度紧张劳累等。在应激状态下，可兴奋交感神经及迷走神经，前者使胃黏膜血管痉挛收缩，血流量减少，后者则使黏膜下动静脉短路开放，黏膜缺血缺氧加重，导致胃黏膜上皮损害，发生糜烂和出血。严重休克可致5-羟色胺及组胺等释放，前者刺激胃壁细胞释放溶酶体，直接损害胃黏膜，后者则增加胃蛋白酶及胃酸的分泌而损害胃黏膜屏障。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4244', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '153', '病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病变多为弥漫性，也可为局限性。大体表现为黏膜充血水肿，表面常有渗出物及黏液覆盖，急性糜烂出血性胃炎表现多发性糜烂和浅表性溃疡，常有簇状出血病灶。显微镜下表现为黏膜固有层中性粒细胞浸润或形成小脓肿。糜烂出血性胃炎胃黏膜上皮失去正常柱状形态并有脱落，黏膜层有多发局灶性出血坏死。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4245', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '153', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多数急性起病，症状轻重不一。急性单纯性胃炎主要表现为上腹饱胀、隐痛、食欲缺乏、嗳气、恶心、呕吐等。由沙门菌或金黄色葡萄球菌及其毒素致病者，常于进不洁饮食数小时或24小时内发病，多伴有腹泻、发热，严重者有脱水、酸中毒或休克等。外周血白细胞总数增加，中性粒细胞比例增多。糜烂出血性胃炎可无症状或为原发病症状掩盖，也可表现为腹痛、腹胀、恶心等非特异性消化不良症状；严重者起病急骤，在原发病的病程中突发上消化道出血，表现为呕血及黑便。内镜检查可见胃黏膜充血、水肿、渗出，严重者表现黏膜糜烂、出血或浅表溃疡，可弥漫性，也可局限性。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4246', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '153', '诊断与鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">依据病史、临床表现，诊断不难，但应注意和消化性溃疡、早期急性阑尾炎、急性胆囊炎、急性胰腺炎等鉴别。内镜结合病理检查有助于诊断。糜烂出血性胃炎确诊依靠早期胃镜检查，超过48小时，病变可能已不复存在。通过临床观察、B型超声检查、血液生化检查、腹部X线摄片等排除其他疾病。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4247', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '153', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性单纯性胃炎，治疗需去除病因、适当休息、清淡流质饮食，必要时禁食1～2餐。呕吐、腹泻剧烈者注意水与电解质补充，保持酸碱平衡；对症处理，可给予黏膜保护剂；细菌感染所致者应给予抗生素；腹痛明显可给阿托品或山莨菪碱（654-2）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性糜烂出血性胃炎，应积极治疗原发病，除去可能的致病因素。除黏膜保护剂应用外，疼痛明显，胃镜下糜烂、出血病灶广泛的患者可同时给予抑酸药物如H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体阻断药（西咪替丁、雷尼替丁、法莫替丁）；严重患者尤其以消化道出血表现者需要应用更强的抑酸治疗如质子泵抑制药（奥美拉唑、兰索拉唑、泮托拉唑、雷贝拉唑、埃索美拉唑）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床上对存在应激状态，可能引起急性胃黏膜病变的患者常给予适当抑酸治疗达到预防目的；对长期服用非甾体类抗炎药物患者应首选肠溶片、选择性COX-2抑制药，饭后服用，或加用质子泵抑制药、H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体阻断药。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4248', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '153', '预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">除大出血外，本病一般预后良好。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4293', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '207', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">脑出血（intracerebral hemorrhage，ICH）分外伤性和非外伤性两种，后者又称原发性或自发性脑出血，系颅内或全身疾病引起脑实质内出血。高血压性脑出血最常见，占总数的40%～50%。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4294', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '207', '流行病学', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">ICH占所有脑卒中的10%～17%，30天的死亡率取决于出血的部位和大小。发病1个月内死亡率35%～52%，在6个月内功能恢复，生活独立的患者仅有20%。发病30天内死亡的独立预测因素有：出血的大小、GCS、年龄＞80岁、幕下出血以及合并脑室内出血。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4295', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '207', '病因和危险因素', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">脑出血病因：80%～85%是原发性出血，原发性脑出血的病因50%是高血压、30%是淀粉样变。继发性脑出血的原因有：动脉瘤、AVM、口服抗凝药、抗血小板、血液疾病、肝脏疾病、肿瘤、外伤、血管炎、烟雾病、静脉窦血栓形成、子痫、子宫内膜异位症。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">危险因素：高血压、年龄、遗传、吸烟、饮酒、胆固醇水平过低。基于人口学的研究发现，高胆固醇者发生脑出血的危险低，但是他汀类药物治疗并未增加出血的风险。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4296', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '207', '病理和病理生理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">高血压性脑出血好发于大脑半球深部的基底节，约占脑出血的2/3，其中最多见为壳核（占总数的44%），其次依次为大脑皮质下或脑叶（15%）、丘脑（13%）、脑桥（9%）、小脑（9%）等。大脑皮质下和壳核出血，患者耐受量较大，血肿量可达50～60ml以上，丘脑、脑桥和小脑出血早期即引起较严重神经功能障碍。脑实质内出血量大时，可沿神经纤维向四周扩散，侵入内囊、丘脑、脑干，可破入脑室或蛛网膜下腔。血肿可引起脑室受压或移位，发生脑疝。脑淀粉样血管病脑出血多发生于脑叶，且多发，以顶叶多见，基底节、脑干和小脑少见。发病48小时内是血肿扩大的最危险时段，随着时间的发展，其发生率逐渐下降。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4297', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '207', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">脑出血起病突然，常无先兆。常见诱发因素有情绪波动、体力劳动、饭后酒后、性生活、用力屏便和气候变化等。患者常突感头痛、头胀，随之呕吐，可很快出现意识和神经功能障碍，并进行性加重。脑叶出血者常表现为癫痫。发病时血压常明显升高。不同出血部位的临床表现如下：</p><p>1.基底节出血</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">偏瘫或轻偏瘫、偏身感觉障碍和同向性偏盲（“三偏”），均发生于出血灶的对侧。随着出血量增多，患者意识障碍加重，并出现颅内压增高症状，甚至小脑幕裂孔下疝，导致呼吸和循环衰竭而死亡。</p><p>2.脑叶出血</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">头痛明显。如出血位于脑中央区，有偏瘫、偏身感觉障碍，特别是辨别觉丧失。如出血在枕顶叶，可有同向偏盲。如发生在额叶，可有强握、吸吮反射，排尿困难，淡漠和反应迟钝。如有抽搐多为局灶性并限于偏瘫侧。优势半球出血者尚有失语、失读，记忆力减退和肢体失认等。</p><p>3.丘脑出血</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床表现似壳核出血，但有双眼垂直方向活动障碍或双眼同向上或向下凝视，瞳孔缩小。患者长期处于呆滞状态。如血肿阻塞第三脑室，可出现颅内压增高症状和脑积水。</p><p>4.脑桥出血</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">发病后患者很快进入昏迷状态。出血常先自一侧脑桥开始，表现出血侧面瘫和对侧肢体迟缓性偏瘫（交叉性瘫痪）。头和双眼转向非出血侧，呈“凝视瘫肢”状。出血扩大并波及两侧脑桥，则出现双侧面瘫和四肢瘫痪。后者多为迟缓性，少数为痉挛性或呈去脑强直，双侧病理征阳性，眼球自主活动消失，瞳孔为针尖样，对光反应迟钝或消失，此征见于1/3患者，为脑桥出血特征症状，系由于脑桥内交感神经纤维受损所致。持续高热（≥39℃），乃因出血阻断丘脑下部对体温的调节。由于脑干呼吸中枢受影响，常出现不规则呼吸和呼吸困难。如双侧瞳孔散大，对光反应消失，呼吸不规则，脉搏和血压异常，体温不断上升或突然下降，均示病情危重。</p><p>5.小脑出血</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">大多数患者有头痛、眩晕、呕吐，伴共济失调，站立时向患侧倾倒，患侧肢体不灵活，但无偏瘫、无失语，有构音障碍。少数患者发病迅速，短期内昏迷，出现脑干受压征、眼肌麻痹和小脑扁桃体下疝或急性脑积水表现。</p><p>6.脑室出血</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可是实质性出血破入脑室，也可以是单纯脑室出血。病情多危重，常在发病后1～2小时内进入昏迷，出现四肢抽搐或瘫痪，双侧病理征阳性。可有脑膜刺激征、多汗、呕吐、去脑强直。呼吸深沉带鼾声，后转为不规则。脉搏也由缓慢有力转为细速和不规则。血压不稳定，如血压下降、体温升高则多示预后不良。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4298', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '207', '实验室检查', '<p>1.脑脊液</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于脑出血患者多有颅内压增高，如临床诊断明确，则不应作腰椎穿刺和脑脊液检查，以防脑疝。</p><p>2.血、尿常规和生化检测</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常见白细胞增高、血糖升高等应激改变。生化检查有助于病因的发现和治疗过程中并发症的观察。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4299', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '207', '影像学检查', '<p>1.头部CT</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">CT是本病的主要诊断方法，它能区分脑出血和脑梗死，有助于脑出血病因的鉴别诊断，有利于治疗方案的制订、预后判断和病情发展的随访。血肿量的计算见下：</p><p>（1）多田公式计算法（单位ml）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血肿量=π/6×长× 宽×层面数。</p><p>（2）简易计算法（单位ml）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血肿量=1/2×长×宽×层面数。</p><p>2.头部MRI</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">SWI和T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>加权梯度回波成像对脑出血的诊断十分敏感，可代替CT检查。但普通MRI发现新鲜出血的敏感性低，检查费时，故其对急性脑出血的诊断作用不如CT。</p><p>3.脑血管造影</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">脑血管造影可用于排除脑动脉瘤、AVM等引起的自发性脑出血。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4300', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '207', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有高血压的中老年人，突然剧烈头痛、呕吐、偏瘫伴血压升高，均应高度怀疑本病，CT或MRI可帮助确定诊断。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">需要鉴别的是除高血压以外的脑出血的原因：</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4301', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '207', '鉴别诊断', '<p>1.脑动脉瘤和血管畸形</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">虽然脑动脉瘤破裂主要引起蛛网膜下腔出血，但是当动脉瘤嵌在脑实质内时，则可引起脑实质内出血。对可疑的患者应作CTA或DSA检查。脑叶出血、伴发癫痫的患者，应怀疑AVM，特别是青少年患者。</p><p>2.烟雾病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">较少见的脑血管病，血管造影发现对称性颈内动脉末端、MCA和ACA起始段狭窄伴脑底毛细血管网形成。儿童可不对称。DSA是确诊的主要方法。</p><p>3.血液病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如白血病、血友病、血小板减少紫癜、红细胞增多症、镰状细胞病等。仔细询问病史，进行有关化验室检查，不难作出鉴别诊断。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4302', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '207', '防治', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">脑出血处理的关键在“防患于未然”，其中控制高血压是预防的核心。对已发生脑出血者，脑出血治疗的目标是控制增高的颅内压防止脑疝形成；控制血压防止血肿扩大并保证脑灌注；治疗各种并发症和合并症；尽早康复减轻残障。</p><p>1.内科治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">（1）卧床休息，头位抬高20°～30°：低血容量者不适合此措施。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">（2）控制血压：血压过高可加重脑水肿，诱发再出血。血压降低的程度应根据每个患者的具体情况而定，原则上应逐渐降到脑出血前原有的水平或150/90mmHg（20/ 12kPa）左右。如果舒张压＞180mmHg或平均动脉压＞130mmHg，要考虑静脉给药（表23-4-5）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180511-1526009409325082949.jpg\" title=\"1526009409325082949.jpg\" alt=\"表23-4-5　脑出血患者控制血压可以考虑的静脉用药.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1971px; table-layout: fixed;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">（3）止痛和镇静：镇静通常是静脉给予异丙酚、依托咪酯、咪达唑仑，止痛通常是给予吗啡、阿芬他尼。对某些患者镇静和止痛无效，可考虑神经肌肉阻滞。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">（4）渗透性治疗：最常应用的药物是甘露醇，甘露醇给予的主要问题是血容量的减少和高渗状态的诱导。血渗透压应维持300～320mOsm/kg，20%甘露醇250ml静脉快速滴注，每天2～4次。与呋塞米（速尿）合用，可增加疗效。高渗盐水也可试用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">（5）过度通气：过度通气是通过改变细胞外液体的pH值来实现的。过度通气的CO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>水平的目标值为30～35mmHg。尽管此方法有效，但是由于此方法的侵入性及较低二氧化碳水平导致人们不太应用此方法，再者同时也造成脑的血流量下降，其治疗效应短暂。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">（6）类固醇激素：现已不主张常规应用类固醇激素，对照研究证实激素对脑出血不仅无益，反可增加并发症。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">（7）止血剂：一般脑内动脉出血难以药物制止，但对点状出血、渗血，特别是合并消化道出血时，止血剂还是有一定作用。可酌情选用抗纤维蛋白溶解剂。</p><p>2.防治各系统并发症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">积极防治呼吸道阻塞和感染、心血管病和消化道出血、尿路感染、压（褥）疮、水电解质紊乱等很重要。20%脑出血者有癫痫发作，可选用抗癫痫药物如苯妥英钠、丙戊酸钠等。高热者物理和（或）药物降温。</p><p>3.外科治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">脑出血外科治疗见表23-4-6。对于脑叶和小脑出血，手术治疗的效果是肯定的，而对于基底节区出血，外科和内科治疗的效果差别不大。关于手术时机，目前没有明确的证据表明超早期开颅术能改善功能结局或降低死亡率。12小时内手术清除，特别是用创伤小的方法时，有更多的支持证据。</p><p style=\"text-align:center\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180511-1526009669418053136.jpg\" title=\"1526009669418053136.jpg\" alt=\"表23-4-6　脑出血外科治疗意见.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 988px; table-layout: fixed;\"/></p><p style=\"text-align: right;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4343', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '154', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性胃炎（chronic gastritis）是指多种病因引起的胃黏膜慢性炎症，病理上以淋巴细胞浸润为主要特点，部分患者在后期可出现胃黏膜固有腺体萎缩和化生，继而出现上皮内瘤变，与胃癌发生密切相关。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4344', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '154', '分类', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">悉尼胃炎新分类系统根据部位、形态学和病因学三者而定（表18-5-1）。结合我国的实际情况将慢性胃炎分成非萎缩性（浅表性）胃炎、萎缩性胃炎和特殊类型胃炎三大类。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;表18-5-1　悉尼胃炎新分类系统</p><p style=\"text-align:center\"></p><p style=\"text-align: center\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180511-1526009790041017963.jpg\" title=\"1526009790041017963.jpg\" alt=\"1.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1971px; table-layout: fixed;\"/></p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4345', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '154', '病因与发病机制', '<p>（一）生物因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">幽门螺杆菌（<em style=\"box-sizing: border-box;\">Helicobacter pylori</em>，Hp）感染是慢性胃炎的主要病因，90%以上的慢性胃炎有Hp感染。Hp为革兰阴性微需氧菌，呈弯曲螺旋状，一端带有2～6根鞭毛，仅寄居于胃上皮细胞表面，在胃小凹上部胃上皮表面和黏液层中最易找到，亦可侵入到细胞间隙中，其致病机制与以下因素有关：①Hp产生多种酶如尿素酶及其代谢产物氨、过氧化氢酶、蛋白溶解酶、磷脂酶A等，对黏膜有破坏作用；②Hp分泌的细胞毒素（cytotoxin）如含有细胞毒素相关基因（cagA）和空泡毒素基因（vagA）的菌株，可导致胃黏膜细胞的空泡样变性及坏死；③Hp抗体可造成自身免疫损伤。</p><p>（二）免疫因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胃体萎缩为主的慢性胃炎发生在自身免疫基础上，又称之为自身免疫性胃炎，或称A型萎缩性胃炎。患者血清中能检测到壁细胞抗体（parietal cell antibody，PCA），伴有恶性贫血者还能检出内因子抗体（intrinsic factor antibody，IFA）。壁细胞抗原和PCA形成的免疫复合体在补体参与下，破坏壁细胞。IFA与内因子结合后阻断维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 10.5px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">12</span>与内因子结合，导致恶性贫血。</p><p>（三）物理因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">长期饮浓茶、烈酒、咖啡，吃过热、过冷或过于粗糙的食物，可导致胃黏膜的反复损伤。</p><p>（四）化学因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">长期大量服用非甾体类抗炎药如阿司匹林、吲哚美辛等可抑制胃黏膜前列腺素的合成，破坏黏膜屏障；烟草中的尼古丁不仅可影响胃黏膜的血液循环，还可导致幽门括约肌功能紊乱，造成胆汁反流；各种原因的胆汁、胰液和肠液反流均可破坏黏膜屏障造成胃黏膜慢性炎症改变。</p><p>（五）其他</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性胃炎的萎缩性病变的发生率随年龄而增加。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下）</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4346', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '154', '病理', '<p>（一）黏膜慢性炎症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">固有膜内有炎性细胞浸润为特征，炎症细胞以淋巴细胞为主。可见灶性出血。根据慢性炎症细胞密集程度和浸润深度分级，以前者为主。①正常：单个核细胞每高倍视野不超过5个，如数量略超正常而内镜无明显异常时，病理可诊断为无明显异常；②轻度：慢性炎症较少并局限于黏膜浅层，不超过黏膜层的1/3；③中度：慢性炎症细胞较密集，超过黏膜层1/3，达到2/3；④重度炎症：慢性炎症细胞密集，占黏膜全层。活动性炎症表现为在慢性炎症背景上有中性粒细胞浸润。</p><p>（二）腺体萎缩</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">胃黏膜萎缩是指胃固有腺体（幽门腺或泌酸腺）减少，组织学上有两种类型：①化生性萎缩：胃固有腺体被肠化或假幽门化生腺体替代；②非化生性萎缩：胃黏膜层固有腺体被纤维组织或纤维肌性组织替代或炎性细胞浸润引起固有腺体数量减少。萎缩程度以固有腺体减少量来计算。</p><p>（三）化生</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">慢性胃炎胃黏膜萎缩性病变中常见有肠上皮化生（intestinal metaplasia，肠化）和假幽门腺化生（pseudopyloric metaplasia）。前者指肠腺样腺体替代了胃固有腺体；后者指胃体泌酸腺的颈黏液细胞增生，形成幽门腺样腺体，它与幽门腺在组织学上一般难以区别，病理检查时应注意所取黏膜确实来自胃体部而非幽门部。一般的胃黏膜化生指肠化生。根据细胞形态及分泌的黏液类型，用组织化学和酶学方法将其分为小肠型完全肠化、小肠型不完全肠化、大肠型完全肠化、大肠型不完全肠化。肠化是一种老年化改变，与胃癌关系有限。临床定义为癌前状态。</p><p>（四）上皮内瘤变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">上皮内瘤变（intraepithelial neoplasia）与异型增生（dysplasia）、不典型增生同义，系指腺管及表面上皮在增生中偏离正常分化所产生的形态和功能异常。细胞核多形性，核染色过深，核浆比例增大，胞浆嗜碱性，细胞极性消失。黏液细胞、主细胞和壁细胞之间差别消失。胃上皮分泌产物改变或消失，腺管结构不规则。上皮内瘤变可见于炎症、糜烂、溃疡、胃息肉或胃癌边缘黏膜上，本身尚不是癌，但可能恶变，也可能长期保持原状，甚至自然地或在某些药物作用下退变回复。上皮内瘤变是WHO国际癌症研究署推荐使用的术语，更强调肿瘤演进的过程，分为低级别（low grade neoplasia）和高级别（high grade neoplasia）。表18-5-2显示了WHO于2002年修订的Vienna胃黏膜上皮病变分类及处理原则。上皮内瘤变临床定义为癌前病变。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; 表18-5-2　修订的消化道上皮性肿瘤新国际分类（Vienna分类）</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180511-1526010217704050400.jpg\" title=\"1526010217704050400.jpg\" alt=\"2.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 956px; table-layout: fixed;\"/></p><p>（五）其他组织学特征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">分非特异性和特异性两类，不需要分级。前者如淋巴滤泡、小凹上皮增生、胰腺化生等；后者如肉芽肿、集簇性嗜酸性粒细胞浸润、明显上皮内淋巴细胞浸润和特异性病原体等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4347', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '154', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性胃炎缺乏特异性症状，并且症状的轻重与胃黏膜的病变程度并非一致。大多数患者常无症状或有程度不等的消化不良症状如上腹隐痛、食欲缺乏、餐后饱胀、反酸、恶心等。严重萎缩性胃炎患者可有贫血、消瘦、舌炎、腹泻等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4348', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '154', '辅助检查', '<p>（一）胃液分析</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">测定基础胃液分泌量（BAO）及注射组胺或五肽胃泌素后测定最大泌酸量（MAO）和高峰泌酸量（PAO）以判断胃泌酸功能。</p><p>（二）血清学检测</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括胃泌素水平、壁细胞抗体、内因子抗体、胃泌素抗体、血清维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 10.5px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">12</span>浓度和胃蛋白酶原Ⅰ/Ⅱ（PGⅠ/Ⅱ）等。</p><p>（三）胃镜和活组织检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是诊断慢性胃炎的主要方法。包括内镜诊断和病理诊断两部分。内镜下可描述为充血水肿（单纯性胃炎），或者伴有平坦糜烂、隆起糜烂、出血、粗大皱襞或胆汁反流等征象，病理评定为非萎缩性（浅表性）胃炎和萎缩性胃炎。同时评估萎缩程度、肠化生以及上皮内瘤变存在与否及其程度。新型内镜技术应用于临床，对于胃癌癌前状态和癌前病变的检出率大大提高。</p><p>（四）幽门螺杆菌检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括有创检查和无创检查。有创检查主要指通过胃镜检查获得胃黏膜标本的相关检查，包括快速尿素酶试验、病理Hp检查（HE或Warthin-Starry或Giemsa染色）、组织细菌培养、组织PCR技术。前两种检查常应用于临床，后两种作为科研在特殊患者采用。无创检查指不需要通过胃镜检查获得标本，包括血清抗体检测、<span style=\"box-sizing: border-box; position: relative; font-size: 10.5px; line-height: 0; vertical-align: baseline; top: -0.5em;\">13&nbsp;</span>C或<span style=\"box-sizing: border-box; position: relative; font-size: 10.5px; line-height: 0; vertical-align: baseline; top: -0.5em;\">14&nbsp;</span>C尿素呼吸试验、粪幽门螺杆菌抗原检测（多用于儿童）等方法。前者通常应用于流行病学调查，后两种方法应用于临床，并作为幽门螺杆菌根除治疗后评价疗效的主要方法。需要注意的是，抗生素及抑酸药物影响Hp检查，复查时需要停用抑酸药物2周或者抗生素4周。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下）</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4349', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '154', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病的诊断主要有赖于胃镜检查和直视下胃黏膜多部位活组织病理学检查。由于慢性胃炎的病变有局灶性分布，作活检时宜多部位取材。一般胃角部萎缩和肠化较严重，亦是上皮内瘤变好发部位。PGⅠ/Ⅱ比值进行性降低与胃黏膜萎缩进展相关。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4350', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '154', '鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">通过胃镜检查能明确慢性胃炎的诊断，同时对胃癌、消化性溃疡等疾病也可以排除。需要注意的是消化不良症状并不一定由慢性胃炎引起，当按慢性胃炎处理后症状改善不明显时，需要考虑其他疾病如胆囊疾病、胰腺疾病等，可通过超声检查、生化检查等排除。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4351', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '154', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">慢性胃炎的治疗包括病因治疗、对症治疗，无症状的慢性非萎缩性胃炎可不做任何处理，慢性胃炎需要根据不同的临床症状和内镜及病理改变选择不同的治疗。</p><p>1.饮食</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">宜选择易消化无刺激性的食物，少吃过酸过甜的食物及饮料，忌烟酒、浓茶、咖啡，进食细嚼慢咽等。</p><p>2.去除病因</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">避免服用损伤胃黏膜的药物，如阿司匹林、吲哚美辛等。</p><p>3.根除Hp治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">对慢性胃炎伴胃黏膜萎缩、肠化，慢性胃炎伴消化不良症状，计划长期使用NSAIDs，有胃癌家族史者应给予根除Hp治疗。根除Hp治疗能使部分患者消化不良症状消失，同时减轻炎症、减少肠上皮化生的发生或者进展。对Hp感染有效的药物包括铋剂（RBC）、阿莫西林、克拉霉素、四环素、甲硝唑、替硝唑、呋喃唑酮、左氧氟沙星等。质子泵抑制药（PPI）对Hp有较强的抑制作用，能加强抗菌药物的杀菌活性。临床常用的一线根除Hp治疗方案为PPI或铋剂加2种抗生素。为减少耐药发生，也可选择铋剂加PPI加2种抗生素的四联治疗方案作为一线治疗方案。表18-5-3是2007年我国庐山Hp共识会议推荐的根除Hp治疗方案。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; 表18-5-3　推荐的根除幽门螺杆菌治疗方案</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180511-1526010079597021650.jpg\" title=\"1526010079597021650.jpg\" alt=\"3.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 956px; table-layout: fixed;\"/></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">注：方案中甲硝唑0.4g可用替硝唑0.5g代替</p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">当甲硝唑耐药率≤40%时，首先考虑PPI+甲硝唑+阿莫西林或者克拉霉素方案</p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">当克林霉素耐药率≤15%～20%时，首先考虑PPI+克拉霉素+阿莫西林或者甲硝唑</p><p>4.对症治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">无症状可以随访；以反酸、腹痛为主要表现，尤其内镜下表现糜烂的病例，可给予抑酸治疗。消化不良以腹胀、早饱为主，应用促动力药物如甲氧氯普胺、多潘立酮、莫沙必利等治疗有助于改善症状。存在胆汁反流可给予中和胆汁的黏膜保护药如铝碳酸镁、瑞巴派特等。萎缩性胃炎伴恶性贫血者可给予维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 10.5px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">12</span>和叶酸；中药及维生素类药物对肠上皮化生可能有益。存在心理因素可以考虑心理干预。</p><p>5.癌前病变的干预</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">内镜下治疗是胃癌前病变治疗的重要手段之一，其中包括内镜下黏膜切除术、内镜黏膜下剥离术、内镜下高频电切治疗、内镜下氩气刀治疗、内镜下激光治疗、内镜下微波治疗等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p><p><br/></p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4352', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '154', '预后与随访', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性胃炎一般预后良好，但伴有萎缩、肠化生、不典型增生应定期随访胃镜检查及病理组织学检查。2011年欧洲发表了胃癌前状态（萎缩、肠化生）和胃癌前病变（上皮内瘤变）的处理指南，建议伴有萎缩和（或）肠化生的患者：轻中度病变且局限于胃窦的患者无其他高危因素可不需要随访，而重度或累及胃体胃窦的患者需3年随访1次胃镜；上皮内瘤变患者：有明确病灶，均应行内镜下切除；未发现明确病灶的，低级别者建议12个月内随访胃镜，高级别者需立即行内镜下切除大块病灶活检并至少于6～12个月内复查。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下）</p><p><br/></p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4369', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1673', '概述', '<p style=\"text-align: left; text-indent: 2em;\"><span style=\"text-indent: 2em;\">高原肺水肿（high altitude pulmonary edema,HAPE)是一种严重的急性高原病，起病急、进展快、对机体的危害大，如果救治不及时，可在较短的时间(12h内）发展至昏迷，甚至死亡。</span><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4370', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1673', '发病率和发病诱因', '<p style=\"white-space: normal; text-indent: 2em;\"><span style=\"text-indent: 2em;\">HAPE多见于从平原快速进入高原者，也可见于久居高原者进入更高海拔地区，或在内地停留一定时间后重返高原时。高原肺水肿有明显的再发倾向，曾患过HAPE者如果再次迅速进入4559m以上高原，其复发的机会高达60%，这可能和他们的低氧通气反应较低有关。HAPE易感者的内皮细胞功能可能不完善，且缺氧时血管收缩因子表达量较高和（或）血管舒张因子表达量低。最近研究提示，HAPE的易感性可能与免疫遗传有关。</span><br/></p><p style=\"white-space: normal; text-indent: 2em;\">1962〜1963年中印反击战中，印军HAPE的发病率为15.5%，其中1名陆军准将因HAPE死亡。我们近年调查表明，在快速进入3700〜5300m高原的人群中，AP据的发病率为0.4%〜2%。国内报道的最低发病高度为2261m，国外报道为2200m。HAPE的发病除与海拔高度有关外，还与进入高原的速度、劳动强度及环境气候等因素有关。20世纪50、60年代，由于对HAPE的认识不足，加之缺乏有效的治疗手段，病死率很高。1950年，我军某部进藏时，有数十人死于急性高原病。I960年，在藏北平叛中，发生了数百例HAPE，病死率达1%〜5%，个别分队高达28%。</p><p style=\"white-space: normal; text-indent: 2em;\">寒冷、过度劳累和上呼吸道感染是HAPE的主要诱因。HAPE的发病高峰是在进入高原后12〜72h，也有部分人在进入高原一定时间，机体对高原己初步习服后，由于过度劳累或感冒而诱发HAPE。有的先有急性高原反应，但大多数起病急，直接发生HAPE，多于夜间睡眠时发病，可能与睡眠时回心血量增多和低氧血症加重有关。</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4371', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1673', '临床表现及实验室检查', '<p style=\"text-indent: 2em;\">HAPE起病急，其临床表现与一般急性肺水肿相似，有呼吸困难、发绀、咳嗽、咳大量白色或粉红色泡沫状痰，两肺布满湿性啰音等。所有病人均有不同程度的咳嗽，开始多为干咳或伴有少量黏痰，随后即咳出粉红色、黄色、白色或血性泡沫痰。部分病人也有头痛、头昏、心慌、胸闷、气促等急性轻症高原病的表现，较重者常表现为呼吸急促及惊慌不安。血压多偏高，也可有轻或中度的低血压，脉搏频细，心动过速，心尖区可闻及轻度收缩期杂音或奔马律，肺动脉瓣第二音亢进或分裂。出现剧烈头痛、眩晕、复视、呕吐、谵妄、烦躁等神经精神症状时，提示可能合并有脑水肿。起病多不发热、但可有畏寒，少数有低热，以后如体温逐渐增高，则说明有继发性感染。</p><p style=\"text-indent: 2em;\">胸部X线检查对HAPE诊断有极高的价值，多数HAPE病人两肺有片状、絮状模糊阴影，亦可呈斑点状或结节状阴影；以肺门旁最为明显；早期可仅有肺纹理增粗表现，重症常伴有胸腔积液、肺动脉圆锥凸出。血气检查可见Pa02及Sa02显著降低。右心导管可见肺动脉压显著升高。</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4372', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1673', '发病机制', '<p style=\"text-indent: 2em;\"><span style=\"text-indent: 2em;\">发病机制比较复杂，目前尚不清楚。一般认为，其发生的关键是高原缺氧引起的肺血管收缩(HPV)，肺动脉压增高。HPV的机制主要在肺血管本身，除了缺氧直接引起肺血管平滑肌细胞膜上钾通道关闭、细胞去极化、细胞外钙离子内流外，肺血管内皮细胞产生的多种血管活性物质在HPV的发生中也起着重要作用。高原缺氧引起的肺血管收缩部位是不均一的。在收缩作用较弱的区域，微循环过度充盈，毛细血管压力升高，通透性增加，使得蛋白和红细胞漏出到肺间质和肺泡。</span><br/></p><p style=\"text-indent: 2em;\">近年来研究发现，HAPE病人支气管肺泡液中含有大量的蛋白质、红细胞及炎性细胞，免疫球蛋白和补体含量也明显增高，提示HAPE病人肺泡气-血屏障有“漏孔”的存在。有人认为，这种“漏孔”的出现与缺氧所致的体液免疫反应有关，是HAPE发生的重要环节，而由HPV引起的肺动脉高压在HAPE的发生中只起辅助作用。但也有研究认为，HAPE中的炎症反应是压力诱导的毛细血管衰竭和肺泡水肿的非特异反应。另外，TxA2(血栓素A2)、PGl2(前列环素I2)、ET-1(内皮素-1)和N0等血管活性物质在HAPE发生中也起着重要作用。最新研究表明，肺泡腔内液体的清除功能受损可能参与了HAP数据发生。</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4373', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1673', '诊断', '<p style=\"text-indent: 2em;\"><span style=\"text-indent: 2em;\">在高原发病现场主要依据症状和体征对HAPE作出快速诊断，主要依据是：（1)近期抵达高原（一般指在海拔3000m以上），出现静息时呼吸困难、胸闷、咳嗽、咳白色或粉红色泡沫状痰，全身乏力或活动能力减低；（2_)—侧或双侧肺野出现湿性啰音或喘鸣，中央性发绀，呼吸过速，心动过速；（3)胸部X线可见以肺门为中心，单侧或两侧肺野呈点片状或云絮状浸润阴影，常呈弥漫性，不规则性分布，亦可融合成大片状阴影，心影多正常，但亦可见肺动脉高压及右心增大征象；（4)经临床及心电图等检查排除心肌梗死、心力衰竭和肺炎等其他心肺疾患；（5)经卧床休息、吸氧等治疗或下送，症状迅速好转，X线征象可于短期内消失。</span><br/></p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4374', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1673', '治疗', '<p style=\"text-indent: 2em;\"><span style=\"text-indent: 2em;\">1卧床休息一旦发现病人，严禁继续登高，绝对卧床休息。</span><br/></p><p style=\"text-indent: 2em;\">2氧疗是非常重要的治疗方法，效果显著，应早期充分给氧。一般采用持续低流量吸氧（4〜8L/min);对缺氧严重者可给予高流量持续吸氧（10L/min)，但高流量吸氧时间不宜过长，一般不超过24h，以免发生氧中毒。突然停氧可出现“反跳”而加重病情，应持续给氧，病情好转时逐渐减量。有条件时可应用单兵加压袋或进行高压氧治疗，效果更好。</p><p style=\"text-indent: 2em;\">3降低肺动脉压的药物（1)硝苯地平：为钙离子通道阻断剂，可显著降低肺动脉高压，口服10〜20mg，2次/天。（2)氨茶碱：可减轻支气管痉挛，降低肺动脉压。0.25g溶于10%〜50%葡萄糖液20ml中缓慢注入静脉，4〜6h后可斟情重复使用，一般病例每天使用2次，特重高原肺水肿病人一次可用0.5g。（3)酚妥拉明：10mg稀释于10%葡萄糖液500ml中静滴。（4)山莨菪碱：20〜40mg肌注。(5)有条件时可吸入低浓度一氧化氮（N0,10〜20ppm)，可有效降低肺动脉压。</p><p style=\"text-indent: 2em;\">4利尿剂呋塞米20mg，加入10%〜50%葡萄糖液10ml内静脉推注，1次/天，使用时应注意水电解质平衡。国外学者首选乙酰唑胺，口服250mg，每天3次。</p><p style=\"text-indent: 2em;\">5其他（1)地塞米松：10mg稀释于10%〜50%葡萄糖液20ml中，10min内匀速地注入静脉，每天2次，疗程不超过3天。（2)酌情使用抗生素，防治并发呼吸道感染。（3)并发心力衰竭时，可使用洋地黄类药物。作为原则，在高原肺水肿救治过程中，尽量减少液体用量，需用液体时，应以糖溶液为主，少用盐溶液，输液速度亦应缓慢。</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4375', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1673', '预防', '<p style=\"text-indent: 2em;\"><span style=\"text-indent: 2em;\">多年实践证明，积极的预防措施，可以显著降低HAPE的发病率。</span><br/></p><p style=\"text-indent: 2em;\">1进入高原前（1)严格的健康检查：患有各种严重心血管、呼吸、消化、内分泌和神经系统疾病者，不宜进入高原；患有上呼吸道感染、肺炎等急性感染性疾病，体温在38℃以上或体温虽低于38℃,但症状严重者，需待原发病治愈后再进入高原。（2)健康教育和心理疏导：由于缺乏对高原和高原病的正确认识而产生的恐惧、紧张、焦虑和过度兴奋等均可诱发或加重高原病。因此，对初入高原者，应事先了解有关高原的地理环境、气象条件及有关的高原病知识，一方面要了解高原环境的影响，同时也要了解人体对高原环境有较强的适应能力，从而克服对高原和高原病的恐惧以及采取积极的预防措施，有效地降低和减轻高原病。（3)高原病易感者的筛选：人体对高原缺氧的反应存在着个体差异，如肥胖、肺活量小者容易发病，男性较女性容易发病。曾经患过高原肺水肿者不宜再进入高原。（4)适应性锻炼：经常参加体能锻炼有助于增强机体对高原环境的适应能力，如采取强度较大的长跑、负重行军、爬山等运动方式，至少需要1个月以上的时间。另外，在平原进行针对性的预缺氧复合锻炼，也可显著提高人体对高原环境的耐受性，有效预防急性高原病。预防缺氧的方式还可以采用低压舱模拟高原环境或使用模拟低氧呼吸器等。在有条件的地方，选择海拔3000〜4000m的高原作为训练点，白天将人员带到高原进行适应性锻炼，晚间回平原宿营，并逐渐延长在高原的停留时间。（5)防寒保暖，防止感冒：寒冷是急性高原病的重要诱因。进入高原前，一定要防寒保暖，防止感冒。（6)药物预防：最常用的有醋唑磺胺、地塞米松、人参、党参、异叶青兰及红景天等。</p><p style=\"text-indent: 2em;\">2进入高原途中（1)阶梯适应：进驻高原时，应采取中途分阶段停留，逐步登高，以获得对高原缺氧的适应能万方数量研究表明，阶梯性的逐渐适应是预防急性高原病的最好方法。实施时应注意：一是每天登高高度不宜太高，建议在海拔3000m以下地区，每天登高&lt;600m，3000〜5000m,每天登高150〜300m;二是每上升一定高度后休整一段时间，若进驻海拔5000m以上高原时，可在海拔2000m、3000m、4000m高度上各至少停留1〜2周，在停留期间，除进行一般的日常活动外，还可进行轻度的体力劳动和军事训练，如在海拔2500〜3000m局度停留2〜3天后继续登高，在海拔3000m以上地区，登高高度每上升600m停留1天。（2)防寒、保暖，保证休息：高原环境昼夜温差大，夜间极为寒冷，人员乘车上升途中，应注意保暖、防寒，避免受凉、感冒；长途乘车易疲劳，每行车2h应休息1次，每次10〜15min,休息时要求下车就地轻度活动；保证营养充足、可口的热饮热食；睡前用热水洗脚，保证充分睡眠和休息。（3)严密巡查：卫生人员应定时巡查，尽量做到早发现、早治疗。病情较重者就地治疗，病情缓解前不宜随队继续登高。6.3进入高原后（1)要注意休息，保证睡眠和合理饮食，早吃好，午吃饱，晚吃少”。前3天避免剧烈活动及重体力活动，1周后逐步增加活动量。（2）要合理安排饮食，勿暴饮暴食，大量酗酒会常诱发急性高原病，高碳水化合物及多饮水有助于预防和减轻急性高原病。（3)对初入高原者，特别是大批人员同时进入时，医务人员应加强巡视，尤其要加大早晨及夜间的巡视次数，同时要求大家互相关心、照顾，发现病人及时报告，切实做到早发现、早诊治。</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4376', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1673', '下送原则', '<p style=\"text-indent: 2em;\"><span style=\"text-indent: 2em;\">高原低压缺氧是HAPE发病的主要原因，因此，迅速脱离高原低氧环境无疑对HAPE的治疗是十分有宜的。国外学者非常强调快速下送。但从我国高原的实际情况看，高海拔地区地域辽阔，往往难以在短期内到达低海拔地区，同时因道路交通条件有限，一味强调下送，难免会由于转送中翻越高山、路途颠簸、治疗中断等原因使病人死于下送途中。因此，在实际工作中，必须将就地治疗和必要的下转结合起来，以确保救治效果。</span><br/></p><p style=\"text-indent: 2em;\">对HAPE病人，一般首先采用就地治疗，下送的原则是：（1)现场无良好的技术、设备条件和救治药物。（2)病情严重但无生命危险，在当地留治病情有可能进一步加重，危及生命。（3)病情严重或有生命危险，现场己经得到有效处理，下送途中能确保供氧和连续治疗。（4)后送目的地就近不就远，后送路线选择尽可能避免经过较发病地海拔更高的地区。不得已时，要尽量减少高海拔地区停留时间，途中携带足够的急救药品和医疗器械，不得间断治疗。（5)尽可能选用越野性能好、速度快的救护车或越野车，有条件时，尽量采用空运。（6)在发生大批病员、无法全部救治的情况下，采用“留两头，送中间”。即危重病员就地抢救，待病情稳定、途中有继承性治疗条件时，再后送；轻症病员就地治疗，不必后送。介于二者之间的病员，应在医护人员的护送下，有组织地实施后送。（7)病情危重且未得到有效控制时严禁长途下送。（8）下送前要了解道路交通和气候情况，尽量避开暴风雪、泥石流、洪水等自然灾害袭击，携带通讯联络工具。</p><p><br/></p><p style=\"text-indent: 2em; text-align: right;\">来源:《高原肺水肿的发病机制及防治》指南</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4393', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '884', '概述', '<p>急性肾盂肾炎是指肾盂黏膜及肾实质的急性感染性疾病。急性肾盂肾炎多由于下尿路感染上行感染引起。病变往往发生于一侧。致病菌主要为非特殊性细菌，其中以大肠埃希杆菌为最多（占60%～80%），其次为变形杆菌、葡萄球菌、粪链球菌、产碱杆菌、少数为铜绿假单胞菌；偶为真菌、原虫、衣原体或病毒感染。尽管肾盂肾炎是指肾脏和肾盂的炎症，其实该诊断的性质更偏重于临床。确诊只能够通过对输尿管、膀胱的置管引流所得尿液进行检测才能够成立。但在临床上对于大多数急性肾盂肾炎的患者来说，该方法可操作性不高，而且也没有这个必要。所以，目前还没有完全可靠的区分肾和膀胱的非侵袭性检查手段。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有报道一些肾盂肾炎，特别是慢性期病灶和肾瘢痕组织中，存在某些病原体的抗原成分，有些还可寻到免疫复合物沉积，结合致病菌有抗体包裹以及肾组织中有淋巴细胞和单核细胞浸润等事实，表明肾盂肾炎的发病机制中存在着免疫反应性损害。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4394', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '884', '临床特征', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">1.全身表现　起病大多数急骤、常有寒战或畏寒、高热、体温可达39℃以上，全身不适、头痛、乏力、食欲减退、有时恶心或呕吐等，不典型患者可以没有该表现。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">2.尿路系统症状　最突出的是膀胱刺激征即尿频、尿急、尿痛等，每次排尿量少。大部分患者有腰痛或向患侧腹部、会阴部和大腿内侧放射。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">3.轻症患者可无全身表现，仅有尿频、尿急、尿痛等膀胱刺激征。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">4.体检发现患者肋脊点压痛、肾区叩击痛，有的患者无此表现。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">5.实验室和辅助检查结果</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">（1）尿常规：脓尿（每高倍视野≥5个白细胞）为其特征性改变，若平均每高倍视野中有0～3个白细胞，而个别视野中可见成堆白细胞，仍有诊断意义。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">（2）尿的细菌学检查：尿细胞培养及菌落计数是确诊的重要指标。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">（3）其他检查：尿沉渣抗体包裹细菌检查，阳性时有助诊断，膀胱炎为阳性，有鉴别诊断价值。X线及肾盂造影检查发现双侧肾影增大。同时可了解尿路系统有无结石、梗阻、畸形、肾下垂等情况。而且，静脉尿路造影是诊断慢性肾盂肾炎的最佳方法（慢性肾盂肾炎表现：受累肾脏通常变小、萎缩，特征性的表现为：局灶性粗糙瘢痕形成、杵状压迫下方肾盂）。B超和CT非一线检查，但在诊断有疑问时可作参考。</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4395', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '884', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">1.一般治疗　急性期有高热者应卧床休息，鼓励多饮水、勤排尿、促使细菌及炎性渗出物迅速排出。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">2.抗菌药物　应根据菌株及药敏结果针对性用药，在细菌培养结果出来之前可以根据经验选择抗菌药物。常选用抗革兰阴性杆菌药物，如磺胺甲■唑、呋喃坦啶、头孢菌素等口服制剂。体温高，全身症状明显者，可用庆大霉素、氨苄西林等针剂。疗程至少为14天或者更长，疗程结束后每周复查尿常规及细菌培养，共2～3次，6周后再复查一次，均为阴性者方可认为治愈。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">3.许多有发热和腰痛的患者，用抗菌药物数天后，症状即可得到改善。如果用药后72小时症状无明显改善，则需使用CT排除肾内和肾周脓肿、泌尿道畸形和梗阻。</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4396', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '325', '概述', '<p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">坐骨神经痛（sciatica）是指沿坐骨神经分布的从腰、臀部经大腿后、小腿外侧引至足部外侧的疼痛。按病损部位可分为根性和干性坐骨神经痛。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4397', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '325', '病因', '<p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">根性坐骨神经痛常见于L</span><span style=\"box-sizing: border-box; position: relative; line-height: 0; vertical-align: baseline; bottom: -0.25em; color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255);\">5</span><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">～S</span><span style=\"box-sizing: border-box; position: relative; line-height: 0; vertical-align: baseline; bottom: -0.25em; color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255);\">1</span><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">和L</span><span style=\"box-sizing: border-box; position: relative; line-height: 0; vertical-align: baseline; bottom: -0.25em; color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255);\">4～5</span><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">椎间盘脱出，其次见于椎管内外和椎体肿瘤和转移癌、腰椎结核、腰椎管狭窄症、脊柱前移等所致的神经根压迫。坐骨神经走行路径中，邻近的骶髂关节炎、盆腔内肿瘤、妊娠子宫压迫、髋关节炎、臀肌注射位置不当、梨状肌综合征、糖尿病及静脉血栓形成、腹主动脉和髂动脉夹层等，对坐骨神经的压迫或炎症为干性坐骨神经痛的主要病因。但临床上多数原因不明。</span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4398', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '325', '临床表现', '<p>（一）根性坐骨神经痛</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">多数急性或亚急性起病。疼痛自腰部向一侧臀部及大腿后面、腘窝、小腿外侧和足外侧放射。性质可为轻度酸痛不适到烧灼样或刀割样激烈痛，在持续性基础上有间歇性增剧，久坐或夜间更甚。咳嗽、喷嚏、用力排便时因腹压增加疼痛而加剧。患者常取特殊的减痛姿势，如睡时卧向健侧，患侧膝部微屈；仰卧起坐时患侧膝关节屈曲；坐下时健侧臀部先着椅；站立时身体重心移在健侧，日久造成脊柱侧弯，多弯向患侧。病变水平的腰椎棘突或横突常有压痛。仰卧位，于髋关节屈曲的情况下，伸直膝关节而牵拉坐骨神经时引起剧痛，为Laseque征阳性。直腿高举也同样诱致疼痛，动作受限。但是沿坐骨神经干各压痛点，疼痛常不明显。小腿外侧和足背外侧可有感觉减退或异常。<img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%86%85%E7%A7%91%E5%AD%A6_%E5%85%A82%E5%86%8C(%E4%B8%8B)_978-7-117-17272-1/pics/BZ_1400_499_3104_534_3138.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/>趾背曲或跖屈肌力减弱。踝反射减弱或消失。累及马尾时可有大小便障碍。</p><p>（二）干性坐骨神经痛</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">多为亚急性或慢性起病，少数为急性。疼痛部位主要沿坐骨神经通路，腰部不适不明显。也有上述减痛姿势。沿坐骨神经行程有几个压痛点：坐骨大孔点（坐骨孔的上缘）、转子点（坐骨结节和转子之间）、腘窝中央、腓点（腓骨小头之下）、踝点（外踝之后）。可有肌肉压痛，以腓肠肌中点的压痛最显著。Laseque征通常为阳性。小腿外侧和足背的感觉障碍比根性者略为明显。坐骨神经支配区的肌肉松弛，轻微肌萎缩。踝反射正常或减低、消失。</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4399', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '325', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据疼痛的部位和性质、疼痛加剧和缓解因素，压痛点、牵引痛及跟腱反射减弱或消失等可诊断本病。但应注意与一般的腰痛或引起下肢疼痛的其他疾病相区别，临床上常可应用髋关节“4”字试验，伸髋试验等鉴别髋关节、骶髂关节病；屈髋试验与圆韧带损伤和梨状肌综合征等鉴别。坐骨神经痛的诊断确定后，应明确为根性或干性坐骨神经痛，便于找寻病因。为了明确病因，必须系统全面地进行检查。病史中应注意感染、受寒或外伤史。体检时需注意感染病灶、脊柱、骶髂关节、髋关节或骨盆内器官等，必要时作肛门检查和妇科检查。X线检查不能够明确最常见的椎间盘脱出的病因，但是可以除外转移性肿瘤骨质破坏、椎间隙狭窄和椎体移位。MRI对查明坐骨神经痛的病因有重要意义，可以明确椎体、椎间盘和韧带的损害。必要时可作腰椎穿刺和椎管造影等检查以明确病因。</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4400', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '325', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">首先针对病因治疗。腰椎间盘突出症患者在急性期皆应卧硬板床休息，一般需3～4周。急性发作的坐骨神经痛，可予短期应用肾上腺皮质激素滴注治疗。一般患者可选用消炎镇痛类药物。阿米替林和卡马西平等有助于减轻疼痛，坐骨神经干普鲁卡因封闭疗法亦可使疼痛缓解。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">理疗、局部热敷和冷敷、针灸、推拿均有效。上述治疗无效的腰椎间盘突出症可试行腰椎牵引。牵引无效而疼痛剧烈，严重肌力减退，压迫马尾引起括约肌功能障碍和经常复发者可考虑手术治疗。</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4407', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '897', '概述', '<p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">尿道结石较少见，常见于男孩。大多数来自膀胱结石，排出时停留在尿道的前列腺部、球部或舟状窝处，并有发生于尿道狭窄及尿道憩室者。女性尿道结石多发生在尿道憩室内。尿道结石可引起局部疼痛、排尿困难、感染，导致尿道炎，甚至脓肿、溃疡，形成尿道瘘。前尿道结石可扪及结石。尿道探查有摩擦感。X线平片可证实诊断。停留在前尿道不大的结石，可扩大或切开尿道外口，用钳夹法、钩出法或挤压法取石，取石前应先注入润滑剂以利取石。如结石较大，经努力不能移动时，可行尿道切开取石术。后尿道结石主张用探杆将结石推回到膀胱，再按膀胱结石处理，也可在直视下尿道镜取石或者碎石。有尿道狭窄或憩室并发结石者，在取石的同时应予处理。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4408', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1674', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">2002年，在美国肾脏病基金会(NKF)组织撰写KDOQI中首次正式提出了CKD的定义及分期。目前CKD已被录入国际疾病分类代码(ICD)第9版，成为正式疾病的分类名词，基本取代了慢性肾衰竭(CRF)、慢性肾损伤(CRI)等名称。KDOQI的CKD的诊断标准为:①肾脏损伤(包括尿成分、影像学或病理学检查异常)≥3个月;②GFR＜60ml/(min· 1.73m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>)，≥3个月，有或无肾脏损伤证据。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">对于CKD的定义在儿科临床实际应用中会有一些概念不明确、界定困难之处。如:CKD的病程界定为3个月以上。但一些我国儿童常见的肾脏病如急性感染后肾小球肾炎、药物过敏性间质性肾炎、急性肾小管坏死等部分并不能在3个月内完全恢复，这些患儿应定义为CKD还是急性病恢复期或迁延性肾炎?对没有其他肾脏损伤仅表现单纯血尿的儿童能否诊断CKD?又如:影像学检查发现肾脏孤立囊肿、马蹄肾等也不能诊断CKD;还有部分有明确疾病如IgAN、紫癜肾炎等仅伴有轻微肾脏损害如镜下血尿者，如诊断CKD儿童家长心理接受程度不一。因此，对于儿童肾脏病患儿，我们主张结合患儿临床具体分析，对既往有明确诊断定义的疾病目前仍然沿用既往临床诊断，仅对确定伴有肾功能损害、CKDⅢ期及以下患儿基本应用该诊断标准，CKDⅣ期、Ⅴ期患儿多逐渐出现尿毒症症状，与既往慢性肾衰分期相对应。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">慢性肾脏病的分期:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">1期:肾损伤，GFR正常或升高。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">2期:肾损伤，GFR轻度降低。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">3期:GFR中度降低。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">4期:GFR严重降低。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">5期:肾衰竭。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">慢性肾衰竭(chronic renal failure，CRF)是由于慢性持久性肾受损、肾单位受到破坏功能减退致使肾脏排泄调节功能和内分泌代谢功能严重受损而造成含氮代谢废物在体内潴留、水与电解质、酸碱平衡紊乱出现一系列综合征。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">随着对儿童肾小球疾病防治水平的提高、诊断手段的不断完善以及对儿童先天性泌尿系统畸形的重视，目前由获得性肾小球疾病引起的慢性肾功能不全逐渐减少，而先天性肾脏和尿路畸形(CAKUT)、遗传性肾脏疾病、反流性肾病等逐渐成为引起的慢性肾衰的主要原因。&nbsp;发病机制&nbsp;不论肾损害的原发病因如何，一旦肾功能损害达到危险水平时则难于避免进展到终末期肾衰。肾功能进行性恶化的确切机制不详，但与多种因素有关。包括:肾小球高滤过使残存肾小球硬化;肾小球基膜通透性改变、持续的蛋白尿及高血压、脂质代谢紊乱、系膜细胞增殖基质增多、肾小管间质损伤、RAS系统的作用及饮食因素等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">肾小球硬化肾小球毛细血管血流动力学，特别是由于高灌注、高压力、高过滤的损伤是造成最终肾小球破坏的常见过程。任何原因引起的肾单位丢失可引起剩余肾单位的功能及结构改变，如肥大、肾小球血流量增加。增加的血流量增加肾单位内肾小球的过滤，此种存活肾小球的高过滤虽可以保持肾功能但同时也可损害这些肾小球。损害的机制包括增高的静水压力直接作用于毛细血管的完整性，导致蛋白质通过毛细血管增多或兼有两者。最终引起肾小球系膜及上皮细胞的改变，发生肾小球硬化。当硬化进展时，剩余的肾单位排泄负担增加，形成肾小球血流量增多和高过滤的恶性循环。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">肾间质纤维化(renal interstitial fibrosis，RIF)是各种原因引起的慢性肾脏病进展为终末期肾衰的共同途径。特征是正常肾小管和肾间质结构被大量聚集的细胞外基质(extracellular matrix，ECM)所替代，其程度与肾功能的相关性比肾小球硬化与肾功能的相关性更为密切，RIF的发生机制及防治研究目前被认为是延缓和防治CKD进展的关键。肾间质纤维化形成的分子机制主要分4个阶段:第一阶段是炎症损伤诱发细胞的活化和受损。第二阶段是促纤维化因子的释放。包括细胞因子、生长因子、血管活性因子和趋化黏附因子等。第三阶段是基质蛋白在肾间质沉积导致纤维化的形成。第四阶段是肾脏结构和功能受损，主要是ECM在肾脏的沉积所致。此阶段肾小管周围毛细血管堵塞、有效肾单位大量减少、肾小球滤过率也进一步降低。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">肾素-血管紧张素(RAAS)系统可通过多种机制引起或加重肾脏病的进展。AngⅡ是RAAS系统最主要的效应分子，目前研究认为除传统RAS系统外，在其他许多器官包括肾脏、心脏、血管、脑、脂肪组织、胰腺、眼底、睾丸等亦产生局部组织RAS系统，其调节机制与传统RAS也不完全一致。AngⅡ不仅通过改变肾小球血流动力学促进肾小球硬化，还可促进系膜细胞、内皮细胞和肾小管上皮细胞增生、生长因子表达及细胞外基质积聚等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">贫血、高血脂、慢性炎症、蛋白尿、高尿酸及半胱氨酸血症等均是肾功能恶化进展的危险因素。贫血是CRF进展的一个独立的危险因素，贫血时低氧血症，刺激肾小管产生转化生长因子B(TGF-B)或内皮素而合成细胞外基质，由于氧消耗增加促进CKD进展。血脂异常可致肾小球毛细血管内皮细胞、系膜细胞、足突受累，系膜细胞增生、系膜基质沉着;细胞因子、生长因子增加，氧化应激也增高;血脂异常与肾功损伤程度常是平行的。CKD时氧化应激增高，是由于ROS(reactive oxygen species)与抗氧化物质水平失调，可使肾功恶化;细胞外基质与成纤维细胞增生，促进了CKD发展。贫血、高血脂、慢性炎症可进一步促进氧化应激。持续蛋白尿或高血压可直接损害肾小球毛细血管壁，导致肾小球硬化及高过滤损伤。</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4409', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1674', '病理生理及临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: left; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">由于肾脏有相当的代偿能力，故早期除致慢性肾衰的原发病的表现外，慢性肾衰本身症状不明显，且多为非特异表现，如乏力、食欲缺乏、生长迟滞等。随病情进展至氮质血症或尿毒症时则出现多系统表现。消化系统表现为恶心、呕吐;血液系统有贫血、出血倾向;循环系统有高血压、心功能不全、心律紊乱、心包炎;神经系统则淡漠、周围神经病征;水电解质及酸碱平衡方面有:水钠调节差(一方面易水钠潴留、水肿，另一方面又可发生钠不足)，血钾可正常但晚期尿少则血钾增高，多有高磷、低血钙、代谢性酸中毒。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: left; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">与成人期慢性肾衰相比较，小儿时期患儿生长发育的停滞突出;肾性骨病时易发生骨骼变形、骨痛及骨骺脱位;心血管方面小儿常有心衰、心包炎;神经系统则周缘神经改变比成人少，但常有中枢神经系改变，特别是婴幼儿期起病者可有抽风、脑萎缩、智力落后等改变。还可有青春期发育延迟。</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4410', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1674', '诊断及鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: left; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">根据长期慢性肾脏病史、临床表现有生长发育迟滞、乏力、食欲缺乏、恶心、呕吐、夜尿多、高血压、贫血等多系统改变。化验尿比重低、比重固定于1.010，尿常规异常，血生化氮质血症、代谢性酸中毒，即可作出临床诊断。在诊为慢性肾衰后应尽可能明确其原发病，因某些原发病仍具有特异治疗方法，且其中部分患儿经治疗可恢复到肾功能代偿期(如狼疮肾炎)，且有助于估计是否于移植肾上复发。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: left; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">在鉴别诊断时应除外:有无肾盂肾炎;或系慢性肾脏病基础上，因某些诱因(如脱水、感染、尿路梗阻、某些肾毒性药物的应用)而致之暂时性肾功减退，此类诱因去除后，肾功能常可恢复至原水平。</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4411', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1674', '治疗', '<p style=\"text-align: left;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; text-align: center; background-color: rgb(255, 255, 255);\">CKD防治的总目标为:减慢肾脏损害的进展速度，预防心血管并发症的发生，预防其他并发症的发生如肾性骨病、贫血，最终提高生存率和生活质量。</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; text-align: center; background-color: rgb(255, 255, 255);\">1.饮食、营养</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: left; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">　此为非透析治疗中的重要组成部分，尤其对生长发育的小儿更为重要。恰当的饮食不仅能维持小儿的生长发育，并有助于减轻氮质血症症状和延缓病情进展，因可减轻残存肾小球的高滤过和肾小管的高代谢状态从而延缓肾小球硬化过程。蛋白质一般以0.8～1.5g/418kJ(即0.8～1.5g/100cal)计，并选用优质蛋白(如蛋、牛奶、鱼、肉、禽等，因牛奶中含磷高，故可采用低磷奶粉)。余热量不足部分给以碳水化合物及脂肪补充。2009年美国肾脏病杂志发表了慢性肾脏患儿科营养临床实践指南，指南建议:CKD 3期患儿，维持膳食蛋白摄入量(dietary protein intakes，DPI)于100%～140%膳食营养摄入参考(dietary reference intake，DRI);CKD 4～5期患儿，维持DPI于100%～ 120%DRI;CKD 5D期，维持DPI为100%DRI，再加上透析中丢失的蛋白质及氨基酸量，如表27-22。但上述数据还需结合我国儿童营养状况做进一步研究。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: left;\">表27-22　CKD 3～5期及5D期患儿蛋白质摄入量［DRI，g/(kg·d)］</p><table width=\"729\"><tbody><tr class=\"firstRow\"></tr></tbody></table><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: left; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">在无水肿及高血压者一般不严格限钠，但一般小儿每天不超过2g氯化钠。并注意补充水溶性维生素如B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>、B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>、B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">6</span>、C等。如肾功能进一步恶化或摄入困难可给予必需氨基酸或α-酮酸制剂，可提供营养并有助于利用体内尿素氮转为氨基酸，从而降低尿素氮水平。控制高血脂，对伴有高血脂者应给予低脂饮食(低脂、低胆固醇及高多聚不饱和脂肪酸)。</p><p style=\"text-align: left;\">2.水、电解质、酸碱失衡的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: left; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">　水、钠已如上述。对有高血钾者应限含钾丰富的食品摄入(如橘子、香蕉、干果、巧克力、蘑菇等);对含钾盐或影响钾代谢之药物(如青霉素钾盐、醛固酮拮抗剂)应用时慎重，不输注库存血，当血钾＞5.8mmol/L时应给以药物治疗(见急性肾衰节)。本症多有代谢性酸中毒，当其有临床症状(如呼吸深快等)、血HCO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span><span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">-</span>＜15mmol/L时，可给予碳酸氢钠2～3mmol/kg纠正。纠酸过程中注意可能因游离钙下降而诱发手足搐搦，当患儿有高血压、水肿、尿少时尤应慎重。</p><p style=\"text-align: left;\">3.慢性肾衰部分合并症的预防及处理(1)钙磷代谢紊乱及肾性骨病:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: left; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">注意限富含磷之饮食，口服碳酸钙，每天300～400mg/kg分次口服，还可给予枸橼酸钙或醋酸钙。纠正低钙血症给予钙剂口服及活性维生素D，因大量口服钙剂有碍铁的吸收，故应于餐间补充铁剂，用药过程中应监测血钙磷及碱性磷酸酶。</p><p style=\"text-align: left;\">(2)贫血:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: left; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">除注意营养、补充叶酸及铁剂外，还可根据情况应用促红细胞生成素。一般50～150U/(kg· W)，分1～3次皮下注射。慢性肾衰患儿对中度贫血多能较好耐受，故一般不予输血，但当血红蛋白＜60g/ L、有脑缺氧症状或伴发感染、出血时应输注新鲜血，最好输注红细胞，并注意监测有无循环负荷过重。</p><p style=\"text-align: left;\">(3)控制高血压:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: left; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">防止某些靶器官(如心、脑)的损伤及其合并症(如心衰、脑血管病)，延缓CRF的进展。</p><p style=\"text-align: left;\">(4)其他:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: left; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">病程中之感染、心功能不全、心包炎等均影响预后需给以相应治疗。在选用药物时应注意根据肾功情况对某些药物剂量或给药频度需进行调整。</p><p style=\"text-align: left;\">4.关于ACEI及ARB类药物在慢性肾衰患儿中的应用</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: left; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">此类药物对阻断RAS作用的认识早已从通过单一降低血压提高到通过其他许多机制改善肾脏血流动力学，减少蛋白尿，干预肾小球硬化及肾小管间质纤维化等。目前主张慢性肾脏病患儿无论处于哪一期均应使用RAS阻断剂。研究表明ACEI的肾保护作用与基础肾功能无关，对血肌酐＞265.2mol/L的CKD患儿，须在医师严密观察下应用RAS阻断剂。</p><p style=\"text-align: left;\">5.透析和肾移植</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: left; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">　对于CKDⅣ期患儿，应行肾脏替代治疗前准备，Ⅴ期患儿应开始肾脏替代治疗(见透析章节)。</p><p style=\"text-align: left;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; text-align: center; background-color: rgb(255, 255, 255);\"><br/></span><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4412', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '404', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">预激综合征（pre-excitation syndrome）是指在房室传导系统之外存在附加连接组织（房室旁路束），使部分或全部心室或心房肌在正常房室传导系统顺传或逆传的激动传抵心室或心房之前，提早出现心电激动，是一种房室间传导异常的现象。在一定条件下无论是房室旁路呈前向传导或是逆向传导，均可导致房室折返性心动过速的发作，是临床上一种常见的心律失常类型。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4413', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '404', '病因和发病机制', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">预激综合征的病因是在正常房室传导系统外尚有先天性附加通道（旁路束）连接心房与心室肌。患者大多无器质性心脏病，少数有先天性或后天性心脏病，在先天性心脏病的患者中尤以Ebstein畸形最常见，文献报道在Ebstein畸形（三尖瓣下移）中发生预激综合征的概率为5%～25%，而且都是右心房室旁路。在室间隔缺损和大血管转位者伴有预激综合征的机会也比自然几率高。也有文献报道二尖瓣脱垂患者伴有预激综合征者较多，而且多为左侧房室旁路。偶有家族性倾向的报道，我们曾发现有两个家族出现数名患者有房室旁路存在。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">旁路由心肌束组成，其电生理特征与正常房室传导系统不同。已知的旁路有下列几种：①房室旁路（Kent束），连接左心房-左心室或右心房-右心室，大多位于两侧房室沟或间隔旁；②房希旁路（James束），连接心房与希氏束，终止于房室结下部或希氏束上部；③结室（或结束），束室旁路（Mahaim束），前者连接房室结与心室或右束支，后者连接希氏束与心室；④房束旁路（Mahaim束），连接心房与远端右束支或右心室心尖部。以上旁路中以房室旁路最常见，其典型心电图改变与并发房室折返性心动过速者常被分别称为经典的预激和预激综合征（图16-3-61）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">房室旁路存在时，心房激动分别经旁路与正常房室传导途径激动心室。心房激动经旁路迅速传达旁路的心室端，旁路室端心室肌提早激动，然后沿邻近心室肌在心室内缓慢传导。而经正常途径传导的心房激动在房室结内传导缓慢（生理性房室结内递减性传导），但此后快速沿希氏-束支系统激动两侧心室。两者融合形成的心室肌激动，起始部分由旁路传导的激动组成，其余则由正常途径传导的激动组成。同样，心室激动可分别经旁路和正常途径逆传，先后激动心房，形成融合的心房激动。经旁路激动心室肌的早晚和多少与激动分别由旁路和房室结传抵心室的时间差相关。房室结传导减慢如房室阻滞时，心室可能全部由旁路激动，整个QRS波实质上相当于一个心室激动波。相反，当房室结传导加速或旁路房端距窦房结较远（如左侧旁路），则心室大部由正常途径激动，心室预激波可不明显。压迫颈动脉窦、Valsalva动作、应用洋地黄等减慢房室结传导的措施，可增大心室预激波；而运动，深吸气等增快房室结传导的措施则使心室预激波减小或消失。房早、快速高位心房调搏或邻近旁路房端的调搏均可使心室预激波增大。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">房结或房希旁路存在时，心房激动绕过房室结生理性传导延缓区，经希氏束与束支下传。其结果是房室传导加速而心室内传导正常。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">结室与束室旁路存在时，心房激动经房室结正常传导，再经房室结下部或希氏束沿旁束传至心室，与正常途径下传的激动融合。其结果是房室传导时间不缩短而心室提早激动。现已认识到结室旁路的室端大多位于右束支，应称为结束旁路。结室旁路的房端大多位于右房室沟附近，室端在右束支或右心室心尖，传导速度较慢，且具有类似房室结的递减性传导性能。心房激动由正常途径与旁束传抵心室的时间差小，激动主要经正常途径传抵心室，因而并无心室预激表现。束室旁路引起的心律失常少见。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">房室结-希氏束与旁路构成房室间的两条传导通路，房室结属慢反应纤维，传导速度较慢，且具频率依赖性传导速度递减特征。旁路是普通心肌，属快反应纤维，传导速度较快而不应期在房率慢（窦性心律）时较长。房性期前收缩可能在房束前传受阻而沿房室结-希氏束前向传导，再经旁路逆传，从而启动正向性房室折返性心动过速。房室间存在两条电生理性能各异的传导通路，有利于冲动折返和形成房室间折返性心动过速（AVRT），AVRT多见于房室旁路。房希旁路，房束、结室和结束旁路参与的AVRT少见。心房激动沿正常途径前向传导至心室再经旁路逆传返回心房，或相反地经旁路前向传导至心室再沿正常途径逆传返回心房形成的AVRT，分别称为正向和逆向性AVRT。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">具有缓慢传导与递减性传导性能的旁路又称慢旁路。包括房室慢旁路和房束旁路。前者一般不显示前传功能，逆传速度慢，且有递减性传导特性，不应期短，又称逆性慢旁路。而房束旁路则不具逆传功能，前传速度慢，也有递减性传导特性。窦性心律时，两者均无预激的心电图表现。逆传慢旁路的心房端多位于右后间隔区，但也可位于其他部位，多为单旁路，也可有多条慢旁路并存，或和快旁路并存。逆传慢旁路参与的心动过速呈正向性AVRT。房束旁路早期曾被认为是结室旁路，近年来电生理研究和导管消融的临床实践确认其大多位于右心室游离壁，房端近三尖瓣环外侧，在室内经较长路程止于右束支远端或右心室心尖，近端传导性能类似房室结而远端则类似束支。房室旁路参与的心动过速呈逆向性AVRT。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4414', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '404', '旁路的心电图表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">各型旁路引起的预激心电图表现特征如下：</p><p>（一）房室旁路</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">①PR间期（实质上是P～δ间期）缩短至0.12秒以下，大多为0.10秒；②QRS时限延长达0.11秒以上；③QRS波群起始部粗钝，称为δ波或预激波；④P～J间期正常；⑤继发性ST-T波改变。这种心电图表现为典型的WPW（Wolff-Parkinson-White）综合征（图16-3-62）。</p><p>（二）房结、房希旁路</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">PR间期小于0.12秒，QRS波群正常，无预激波。这种心电图表现又称为短PR，正常QRS综合征或LGL（Lown-Ganong-Levine）综合征（图16-3-63）。</p><p>（三）结室、束室旁路</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">PR间期正常，QRS波群增宽，有预激波。</p><p>（四）房束旁路</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">PR间期与QRS波群形态均正常，无预激波。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">不典型的WPW心电图表现：①隐匿性预激，综合征预激波不存在或较小，预激综合征的心电图特征不明显。可能由于旁路房端距窦房结较远或旁路前向传导阻滞。国内资料表明半数以上旁路呈隐匿性，窦律时心电图正常，心动过速发作呈正向性AVRT；②间歇性预激，预激波间歇出现，可能由于旁路不完全前向传导阻滞；③手风琴现象，预激波在一连串心搏中逐次变大或变小，QRS波群增宽程度随之改变，犹如手风琴的合拢与展开，称为手风琴现象。常见于WPW伴房颤发作时，为预激程度改变所致；④多条旁路具有两条或以上不同部位旁路时，不同时期记录的心电图可有两种或以上不同的预激表现。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4415', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '404', '房室旁束的命名和定位', '<p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">1993年全国快速心律失常的非药物治疗专题研讨会对房室旁路的命名和定位如下：左房室旁路分为左前壁、左侧壁、后间隔左侧与中间隔左侧。右房室旁路分为右前间壁、右侧壁、后间隔右侧和中间隔右侧。间隔旁束划分成5个区域：①右前间隔位于希氏束上下5mm范围内；②右中间隔位于右前间隔以下，冠状静脉窦（CS）开口以上区域，CS口以CS电极最大弯曲顶点为标志；③右后间隔位于CS口距三尖瓣环最低点；④左中间隔位于希氏束电极至CS开口间区域；⑤左后间隔位于距CS口1.5cm以内区域（图16-3-64）。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">房室旁路的心电图定位：房室旁路的位置决定体表心电图图形，如delta（δ）波向量和QRS综合波形态。左侧旁路提早激动左心室，因而V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>δ波正向，QRS呈右束支传导阻滞型，而右侧旁路提早激动右心室，V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>δ波负向，QRS则呈左束支传导阻滞型。可见根据显性预激的体表心电图表现，可大致推测房室旁路的位置。房室旁路可位于二尖瓣或三尖瓣周围的各个部位，包括左、右心室的游离壁和房室间隔等。利用常规12导联心电图，结合电生理检查与射频消融治疗结果提出的定位方法颇多，介绍其中较简便的一种如下。据RS波群主波方向，以V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>导联区分左、右，正为左，负为右；以Ⅱ导联区分前、后，正为前，负为后；Ⅱ导联呈正负双向者，提示侧旁路，Ⅰ、aVL负（V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">5</span>、V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">6</span>负）为左侧，Ⅰ、aVF正为右侧。还可根据V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>（右后）、aVF（右前）、V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">6</span>（左后）、Ⅰ（左前）导联预激波的正、负，区分游离壁与间隔旁，正向-间隔旁，负向-游离壁。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">Rosenbaum以V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>、V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>导联预激波与QRS波群主波正向，V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>、V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>导联预激波与QRS波群主波负向，分为A和B型预激的经典分型法，可大致区分旁束位置，至今仍在临床沿用（图16-3-65、图16-3-66）。</p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">δ向量对向左后，V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>导联δ波向下，R波消失或减少，S波加深；V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">5</span>、V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">6</span>导联δ波向上，QRS波以R波为主</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">我们的体会显性旁路的定位首先应根据V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>、Ⅰ、aVL导联δ波向量向上，且V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>导联上R/S＞1，为左侧，V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>导联δ波向下或等电位线为右侧；次之根据Ⅱ导联δ波向量向上为前方旁路，负向旁路为后方，等电位为外侧；再根据在Ⅰ或AVF导联上δ波向量观察左前或右前，V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">6</span>或V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>导联δ波向量观察左后或右后，直立为间隔区，等电位线或负向旁路可能在游离壁。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">体表心电图定位房室旁路有一定局限性，如仅适用于预激波大的显性预激，且无器质性心脏病基础或多条旁路存在时。精确定位宜进行电生理检查。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心内电生理检查定位房室旁路需经股静脉和颈内静脉（或锁骨下静脉）置入高位右心房（HRA）、希氏束（HBE）、右心室心尖部（RVA）及CS电极导管，同步记录心内电图和Ⅰ、aVF、V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>三个导联体表心电图。通过窦性心律、心房、心室程序刺激和分级递增刺激以及诱发心动过速等方法，可确认旁路的存在（窦律时希氏束在心室开始除极后激动，H-V短或负），是否参与心动过速，并决定旁路数，排除其他机制心动过速可能。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心内电生理检查与导管消融结果表明游离壁旁路多见，尤以左侧居多。间隔旁路约占房室旁路的25%～30%，后间隔占多数，前间隔及中间隔较少。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4416', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '404', 'WPW综合征伴发的快速心律失常', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">WPW综合征伴发的快速心律失常可分为下列三类：旁路参与心动过速折返环路的形成（房室折返性心动过速AVRT）；快速心律失常的折返环路不包括旁路，但后者参与传导；旁路不参与折返环路的形成或传导的快速心律失常。</p><p>（一）房室折返性心动过速</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">又可分为正向性和逆向性两类，窦性心律时可表现为显性或隐匿预激。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">正向性AVRT环行运动方向经正常途径前传、旁路逆传，是WPW综合征患者最常见的快速心律失常。经典表现为突发突止的阵发性心动过速，频率150～250次/分，律规则。P在ST段内，呈逆传型，R-P多＞70ms，但短于PR，QRS窄（图16-3-67）。约1/3患者因心率过快而伴功能性束支传导阻滞时，QRS增宽，以右束支传导阻滞较多见。位于旁路同侧的束支传导阻滞可使环行运动时间延长＞35ms，导致心动过速频率减慢。AVRT发作时还常出现QRS电交替和ST-T改变；QRS电交替亦见于房室结折返性心动过速（AVNRT），可能与心率快速有关，但如发生在心率低于210次/分时，则更有利于AVRT的诊断。心动过速时或以后，ST-T改变常见，大多为非冠脉病变所致。心动过速时P波向量可提示旁路的位置。如Ⅰ导联P负向提示左旁路，而Ⅱ、Ⅲ、aVF导联P正向则提示后间隔旁路。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">逆向性AVRT环行运动方向与正向相反，经旁路顺传、正常途径逆传；也常由两条路径分别组成折返环的前向和逆向支。逆向性AVRT远较正向性者少见。心电图表现为阵发、规则的宽QRS心动过速，频率150～250次/分，QRS呈完全预激图形，P在QRS内，不易查见。如有原显性预激的心电图比较，可与室速鉴别，否则鉴别困难。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">房束旁路参与的逆向性AVRT，经旁束前向传导再沿右束支、希氏束和房室结逆传至房。旁路前向传导速度慢，心电图PR可延长，QRS增宽、呈左束支传导阻滞型伴电轴左偏或正常。并发右束支传导阻滞可延长室房传导并使心动过速持续不止。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">AVRT的环行途径包括心房、房室结、希氏束和心室，房室或室房传导阻滞可终止心动过速。因而伴二度以上房室或室房传导阻滞而心动过速持续者，多不考虑AVRT可能；相反，如心动过速终止于P后无QRS综合波者多提示AVRT可能。</p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可见室上性心动过速发作，QRS波形态正常</p><p>（二）旁路不参与形成但参与传导的心动过速</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括房性心动过速、房室结内折返性心动过速、心房颤动和心房扑动。由于旁路参与前向传导，QRS增宽呈显性预激表现，这类心动过速又称为预激型心动过速。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">预激患者并发房颤颇常见。可由自发或诱发的AVRT转变为房颤或单纯房颤发作。房颤和房扑时房率快，旁束不应期相应缩短，心房激动大多经旁路传导至心室，QRS波宽大，近乎完全预激（图16-3-68）。此时，不仅心房主动收缩消失，且心室激动顺序混乱、快速并分裂，因而心排血量明显减少，可致低血压、近乎晕厥或晕厥，还能引起室颤。房颤或房扑时心室率的快慢与旁束的不应期密切相关，R-R间期＜200ms者，提示旁束不应期极短，演变为室颤的概率高。房颤反复发作还可引起心脏扩大或心动过速性扩张型心肌病。</p><p>（三）旁路不参与折返环形成或传导的心动过速</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括不经旁路传导的心房性、房室结内折返性心动过速和室性心动过速。旁路不参与传导的房颤或房扑少见。旁路并发室性心动过速者罕见。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4417', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '404', '临床表现', '<p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">预激综合征大多为先天性，但其表现可较迟而形似获得性。患者男性多见，大多心脏正常，也有合并先天性或后天性心脏病的，预激发生率随年龄增长而降低。常伴突发突止的阵发性心动过速发作，发作频率多随年龄增长而增多，大多呈正向性AVRT；少数为房颤和房扑。</span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">A.心房颤动发作，心室率167～300次/分，平均210次/分，显著不规则 B.窦性心律，伴典型预激表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">单纯预激并无症状，并发心动过速者症状与室上性心动过速相似。心动过速发作可伴多尿，室率过快或发作终止伴窦房结暂时抑制时，可致晕厥。不伴心脏病者，预后大多良好。并发房颤或房扑者，有潜在严重危险。合并有器质性心脏病患者尽管发作时频率不快，但如持续时间长亦可产生严重的后果（心绞痛、心肌梗死、休克甚至心力衰竭等）。当心室率在200次/分左右，除心悸等不适外，尚可发生晕厥、休克、心功能障碍甚至猝死。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4418', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '404', '诊断与鉴别诊断', '<p>（一）预激综合征的诊断与鉴别诊断</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">显性预激的诊断根据心电图特征。此外，心向量图亦可作为诊断依据。其特征是各个面上QRS环起始部分运行缓慢成一直线，持续可达0.08s，以后突然转向并以正常速度继续运行。QRS环运行时间可超过0.12s。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">显性预激综合征的心电图应与束支传导阻滞、心室肥大或心肌梗死鉴别，PR间期缩短和（或）预激波的存在提示为预激综合征。加速的心室自主心律与室率相似的窦性心律呈干扰性房室分离时，可出现短阵PR间期缩短和QRS波宽大畸形的心电图表现，酷似间歇性预激；但加长记录常可显示PR间期不固定和房室分离，不难与预激综合征鉴别。显性预激综合征还能掩盖心肌梗死或束支传导阻滞的心电图表现。当预激所致QRS向量指向左心室腔时，心肌梗死所致Q波被掩盖。束支传导阻滞侧心室被旁路预激时，束支阻滞的心电图表现被掩盖。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">隐性预激综合征的心电图正常，如无心动过速发作，难据体表心电图确诊。心内电生理检查示心室提早激动在希氏束除极（逆传）前激动心房，且心房逆传激动顺序异常。</p><p>（二）预激综合征伴心动过速的诊断与鉴别诊断</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">预激伴心动过速发作可表现为窄或宽QRS心动过速。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">窄QRS心动过速可由窦速、房速、AVNRT或正向性AVRT引起。起源于束支分支的室速可呈窄QRS型，但罕见。心电图辅以颈动脉窦按摩大多能作出正确鉴别诊断。典型房速的心房活动在QRS前，RP＞PR，出现二度房室传导阻滞时，心动过速不中止。典型AVNRT的P位于QRS终末或不见，RP＜PR，出现二度房室传导阻滞时，心动过速不中止。典型正向型AVRT的P在ST段内，RP＜PR，出现二度房室传导阻滞时，心动过速中止。窄QRS心动过速伴房室分离者，大多为束支分支型室速。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">宽QRS心动过速的心电图诊断，常需心内电生理检查帮助鉴别。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4419', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '404', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">预激综合征本身并不需要进行治疗。如果合并有房室折返性心动过速则与一般室上速一样处理。如并发心房颤动或心房扑动时心室率很快，产生循环功能障碍或存在有心力衰竭、心绞痛等时，应尽快采用同步直流电复律。</p><p>（一）药物治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">参见上文“室上性心动过速”部分。</p><p>（二）经导管射频消融术</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">是目前进行根治预激综合征的最好方法。以前还有外科手术治疗，但均因开胸创伤很大，一般不能为患者所接受。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">房室旁路的消融主要分为左、右旁路的消融。</p><p>1.左侧旁路（1）标测：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">房室旁路参与的房室折返性心动过速治疗成功的目标是阻断异常的旁路，实现根治性治疗，因此，对旁路的定位甚为重要。一般认为旁路的存在可位于二尖瓣环、三尖瓣环及房室间隔的各个部位。由此可见旁道的标测主要在瓣环区的周围。对左侧旁道的标测多采用左心室侧标测，右侧旁道采用心房侧标测，间隔处的标测则可采用经房或室侧标测，常用的标测方法有：①记录心室最早激动，显性预激综合征在窦律下寻找V波的最早激动处（实际上为delta波的起始处），如果预激程度很小或不明显可用心房刺激来加大心室的预激程度；②记录旁道电位，在显性时前传位于delta波前或同时起始，逆传时位于最早心房激动之后，有时在AV或VA完全融合时，成为波群中间的一种高频成分，特征为高频低幅的额尖峰波，如果在记录到旁路电位的部位进行消融，可增高成功率，减少无效的放电，但寻找该电位较难，在实际操作中不必过分去寻找，因为在找不到旁道电位的位置也可以成功；③记录最早心房激动，对隐匿性旁路或显性旁路前传不明显时，可采用诱发心动过速或采用心室刺激的方法来记录最早的逆传心房激动，良好的靶点标测图为小A大V或完全融合或最提前。必须注意的是消融时的靶点图，应是在心动过速发作时最确切。</p><p>（2）消融：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">左侧靶点的标测多将X线机球管位于右前斜30°，将消融电极沿二尖瓣环寻找心室最早激动点或心房最早逆传激动点（一般以冠状窦电极为参考点，进行标测消融靶点）。左侧房室旁路一般位于二尖瓣环的左前侧（大约在距冠状窦口5.0cm以上）、左侧壁（大约在距冠状窦口3.0～5.0cm）、左后侧壁（大约在距冠状窦口1.5～3.0cm）及后间隔（大约在距冠状窦口1.5cm以内）。一般认为左前间隔没有旁路，左中间隔也极少见。如果预激成分很小或不能精确标测，可以采用起搏标测，首先右心室起搏标测V-A逆传最早处（冠状静脉窦为左心房电极）且与SVT发作时V-A逆传相似，如记录到V-A逆传时A波重叠在V波尾部，该点成功机会更大，满足A∶V≤1，即A波要有足够大（≥1mv或1/4V波），同时如记录到的A波很小常提示导管在心室，不在房室瓣环上。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">在确定消融电极与旁路最近时，可将电极尾端与射频消融仪相接，首先步骤是选择能量，一般认为左侧非温控导管首选能量10～40W或温控导管温度设计为60℃，如靶点正确，常在放电数秒钟内即可阻断旁道（心室起搏时见VA分离，图16-3-69），并延长至60～120秒；如10秒钟内仍未阻断应停止放电，并重新调整电极位置至电极与旁路最近处，再行消融治疗，消融成功后需加强60～120秒。在整个消融过程中应进行心电图和荧光屏上监测导管位置（图16-3-70），一方面观察房室旁路是否阻断，另一方面显示有无心律失常的出现（期前收缩或传导阻滞等），如显性WPW综合征成功消融时P-R间期正常，预激波消失（图16-3-71）；房室传导阻滞发生率很低，我们的体会是左后间隔消融时，应注意发生房室传导阻滞的可能。此外，在手术过程中，监测阻抗的变化也很重要，一般阻抗为70～150Ω，如射频消融时有阻抗升高，提示电极所接触的局部组织温度过高而发生甚至完全炭化，此时应停止射频，撤出导管。</p><p>2.右侧旁路</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">基本过程与左侧相似，不同点为必须注意标测右侧旁路时没有冠状静脉窦的右心结构作标志，目前多采用左前斜30°～60°，此投照位置可把三尖瓣假想为一面向操作者的钟面，冠状窦口大约在5～6点，为右后间隔旁路位置；12～1点相当于希氏束；11～12点为前间隔，3点相当于右中间隔，9点相当于右侧游离壁。以上述假设标记，使用消融导管逐区标测。对于左前斜位角度的调整，我们的体会是根据希氏束导管和右心室心尖部起搏导管与投影方向平行为准，此时三尖瓣环投影最大，且与室间隔垂直，希氏束导管顶端弯度指向前，则为角度过大，若希氏束导管顶端弯度指向后，则为角度过小。一般认为X线影像在右侧旁路的定位具有重要价值。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">右侧显性旁路体表心电图初步定位是V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>导联呈rS型，δ波为正向，此时Ⅰ和aVL导联波正向为右侧游离壁旁路，通过aVF导联可判断为在前或后，δ波正向为前壁或前侧壁，δ波负向为后壁或后侧壁。V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>导联呈QS型，δ波呈负向，是右侧间隔旁路，此时通过aVF导联可判断为在前或后，δ波正向为前间隔，δ波负向为中间隔（Ⅱ导联δ波正向）或后间隔（Ⅱ导联δ波负向）。需要注意的是，如V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>导联呈QS型，V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>导联呈R或Rs型，旁路多为后间隔，如胸导联R/S比值移行较晚，而Ⅱ、aVF导联δ波负向也应考虑为右后范围的旁路。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">判断射频消融靶点的标准和注意点：①有A波和V波，A波小于V波，A与V之比在1/4～1/10左右；②A波与V波贴近融合，或其间有碎裂波；③右侧消融时，消融导管贴近三尖瓣环，固定有一定的难度，不易消融成功。右侧旁路可能位于折叠的心房组织下，故需要能量较大30～50W，时间120～240秒，目前大多采用温控导管设计温度为55～60℃，能量为40～50W，必要时采用冷盐水灌注导管可明显提高成功率；④一般不需要抗凝，如操作时间过长或射频次数较多时可适当应用肝素；⑤放电最好在透视下进行，以免消融电极移位。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">经导管射频消融治疗效果肯定，安全可靠，并发症少（小于1%），根治率可达98%以上。而且术后不必服用抗心律失常药物。因此，经心内电生理检查确定旁路参与心动过速的产生，经过精确定位后，射频消融治疗为房室旁路尤其是并发有心房颤动或心房扑动的首选治疗。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4472', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '396', '概述', '<p style=\"text-indent: 28px;\"><span style=\"background-color: rgb(255, 255, 255); color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px;\">妊娠期间通常发生输尿管扩张，从妊娠第6～10周开始到第26～28周时，输尿管扩张的比率达90%。输尿管受增大子宫的压迫和黄体酮介导尿路平滑肌松弛是妊娠期输尿管扩张的协同原因。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">妊娠妇女可有恶心、呕吐、背痛、尿频和排尿困难。这些症状也可因为输尿管梗阻引起。对泌尿外科医师来说鉴别妊娠期肾积水和妊娠本身引起的症状是一个复杂的问题。患者尿常规和尿培养可帮助鉴别梗阻性肾绞痛和肾盂肾炎。对输尿管结石引起梗阻的患者先采用静脉补液解痉利尿并合理使用抗生素。如果保守治疗仍然症状加重，则需要更积极的治疗措施如放置输尿管支架，经皮肾穿刺引流等。检查可采用超声和MRI，避免辐射胎儿。</p><p style=\"text-indent: 28px;\"><span style=\"font-family:宋体\"><br/></span><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4473', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '731', '概念与分类', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">传统的室上性心动过速定义是起源于希氏束分支以上部位的心动过速。随着现代电生理的研究进展，认识到其折返途径涉及心房、房室交结处、希氏束、心室。因此新的定义应为：起源和传导途径不局限于心室内的心动过速。临床工作中所称的室上性心动过速通常是狭义的，主要是指房室结折返性心动过速和房室折返性心动过速。在心脏电生理学的分类中广义上的室上性心动过速则包括：窦房结区域折返性心动过速（sinus node reentrant tachycardia，SNRT），自律性房性心动过速（automatic atrial tachycardia，AAT），房内折返性心动过速（intra-atrial reentrant tachycardia，IART），房室结折返性心动过速（atrial-ventricular node reentrant tachycardia，AVNRT），房室折返性心动过速（atrial-ventricular reentrant tachycardia，AVRT）以及持续性交界性心动过速（permanent junctional reentrant tachycardia，PJRT），有人又将此类心动过速称为自律性交界性心动过速）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床心动过速表现为突发突止者，称之为阵发性心动过速（paroxysmal tachycardia）；表现为非突发突止者，称之为非阵发性心动过速（non-paroxysmal tachycardia）；心动过速持续时间小于半分钟为非持续性心动过速（non-sustained tachycardia）；心动过速持续时间大于半分钟为持续性心动过速（sustained tachycardia）；如果心动过速连发偶有少许窦律者则称之为无休止性心动过速（incessant tachycardia）。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4474', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '731', '病因', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">室上性心动过速较多见于无器质性心脏病者，如较常见的AVRT和AVNRT等；亦见于器质性心脏病者，如瓣膜病、冠心病、高血压心脏病、肺源性心脏病和心肌病及心包疾病等所致心房病变和（或）负荷过度，易致房性心动过速；亦见于甲状腺功能亢进、酒精（醉酒或戒酒）、药物毒性反应、心力衰竭和开胸手术后；伴有房室传导阻滞的房性心动过速发作是洋地黄毒性表现伴低血钾的典型快速性心律失常之一。&nbsp;发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">冲动频率异常和传导异常是阵发性室上性心动过速发生的两个基本发生机制。</p><p>（一）冲动频率异常</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">冲动频率的增快见于本身具有自律性的细胞，以及原来无自律性的快反应细胞在病理情况下转变为慢反应细胞，从而成为具有自律性的不正常细胞。冲动频率增加还可由正常和不正常的自律性增加所致。在动物实验中发现有时自发激动的动作电位之后出现一慢的除极波，当其达到阈电位时可引起另一次动作电位，称之为触发活动，因此也被认为是自律性心律失常的另一机制。触发活动与膜慢内向电流有关，这种触发活动可发生一次，也可连续多次。当触发活动由其前的自发激动的后电位在动作电位的2相及3相引起，称之为早期后除极；如果后除极出现在动作电位的4相，则称之为延迟后除极。</p><p>（二）冲动传导异常</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">冲动传导途径的异常是引起心动过速的另一机制，即折返机制。一般认为一个折返环的形成需要具备有三个条件：①至少存在两条或以上功能上或解剖学上的传导途径，在近端和远端相聚，形成一闭合环路；②在闭合的环路上有一条存在有单向传导阻滞；③形成环路的两条通路上存在有不同的传导速度和不同不应期，使得冲动在非阻滞通道上传导的时间足够使单向阻滞的通路脱离不应期。冲动在环内反复循环，产生持续而快速的心律失常。程序刺激和快速起搏能诱发或终止快速性折返性心律失常，但不能诱发或终止自律性增高的心动过速。如果是由于触发活动引起的心动过速，则超速起搏可使心率反而加快（图16-3-14）。</p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">A.正常心房冲动传导，体表心电图为正常的P-QRS-T波群B.快通道产生单向传导阻滞，体表心电图可表现为一度房室传导阻滞　C.从快通道心室端下部逆传至心房端（下部）时慢通道仍处于不应期，体表心电图上出现一心房回波（箭头）D.在满足所有条件后形成折返性心动过速</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">室上性心动过速时，折返可发生在窦房结与邻近心房肌间、心房内、房室结内或房室间（经旁束）任何一处，从而形成折返产生心动过速。房室结内的快径与慢径路间电生理特征上差别（前者传导速度快、不应期长，而后者传导速度慢、不应期短）为折返的基础。环行预定方向以自慢径下传、快径逆传（慢-快型）多见，反之（快-慢型）少见。旁束与正常房室传导系统间电生理特性的差别是经旁束房室间折返的基础。常见的环行运动方向为自房室结下传至心室再沿旁束逆传至心房，也有经旁束下传至心室再沿希氏束逆传的（图16-3-15）。局部心肌缺血、坏死或纤维化病变所致心肌细胞电生理特性改变，与邻近正常心肌间存在差别，为心肌内微折返形成的有利基础。心房和（或）心室肌病变可使相应心肌细胞静息膜电位下降，由快反应细胞转为具慢反应细胞电生理特性时，传导减慢并有异常自律性（图16-3-16）。早期后除极触发激动可由细胞外钙离子增高、儿茶酚胺等药物作用引起；而延迟后除极触发激动则可能与洋地黄中毒有关。在以上机制中，以折返机制多见，且以房室结折返和房室折返最多见，本文将重点讨论房室结折返和房室折返引起的室上性心动过速。</p><p style=\"text-align: right;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4475', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '731', '室上性心动过速类型', '<p>（一）窦性心动过速</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">见“窦性心律失常”。</p><p>（二）心房内或窦房结区域折返性心动过速</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">心房内折返性心动过速的折返环可在心房内任何区域内。如心房激动顺序与窦房结一样称之为窦房结区域折返性心动过速，发作时窦率大多130～140次/分，偶高达200次/分。可发生在任何年龄，无性别差异。由于发作时心率不十分快，症状可不明显。心电图表现符合窦性心动过速，心动过速发作时有以下特点：可以为房性期前收缩、心房调搏、室性期前收缩、心室调搏诱发或终止；不依赖心房内传导延缓或房室传导阻滞，常伴二度Ⅰ型房室传导阻滞而不影响心动过速；P波形态和激动顺序与窦性搏动相同；兴奋迷走神经可终止心动过速发作。如心房激动顺序与窦房结异样则为心房内折返性心动过速。常见于有结构性心脏病的患者，其折返环可位于心房内任何部分。发作可阵发或持续无休止，发作时房率120～240次/分，常伴与心动过速相关的症状。心动过速发作时有以下特点：可因心房刺激落在心房相对不应期内新形成心房内传导延迟而诱发；心房激动顺序与窦性搏动顺序不同；可有房室传导阻滞而不影响心动过速；兴奋迷走神经可终止心动过速发作，也可能不终止（图16-3-17）。目前对该两种心动过速是否分为两大类尚有争议，有学者建议将窦房结区域折返性心动过速归为心房内折返性心动过速的一种特殊类型。</p><p>（三）自律性房性心动过速</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">自律性房性心动过速多好发于青少年，临床上常有多个病灶。发病呈慢性或持续性，常发生在器质性心脏病基础上，如心肌梗死、心功能不全、阻塞性肺病患者等，其频率在100～180次/分，多非阵发，症状可不明显。发病机制尚不清楚，发病时间较长可产生心动过速性心肌病。临床和电生理特点可表现为：①呈现慢性或持续性快速性房性心动过速，心房率变化较大，逐渐加快或减慢；②心房内激动顺序与窦性不同；③程序刺激不能诱发或终止心动过速；④电生理检查排除了房室或房室结内折返。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">无论是心房内或窦房结区域折返性心动过速以及自律性房性心动过速治疗的手段有很多，包括有药物、电治疗、经导管射频消融及外科手术等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">临床上治疗首先采用兴奋迷走神经的方法，有部分患者可能有效，如采用乏氏动作（Valsalva动作）、咳嗽、呕吐反射、按压眼球和按摩颈动脉窦，后两种方法对老年人应慎用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">如果以上治疗无效可采用药物治疗，常见的药物有普罗帕酮、维拉帕米、洋地黄类、胺碘酮、美托洛尔等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">同样，如果患者合并有心功能不全或心绞痛或有血流动力学的变化则可选用电治疗（直流电同步电复律）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">选择经皮导管射频消融术是根治的最佳方案。两种类型的心动过速标测相似，根据房速发作时右心房（低位、高位）、冠状窦及希氏束记录A波情况确定房速起搏点或折返环的关键部位，用消融导管在右或左心房内标测。可以是一根消融导管逐点标测或二根消融交替进行。一般认为在心动过速时找到A波较体表P波提前20～40ms并且在A波前有碎裂电位，常为成功靶点图。如在体表心电图上P波与A波分不清，可选定某一腔内电图A波为参照点进行标测。还可用频率稍快于心动过速的频率起搏，其起搏时心肌的兴奋波形态无改变，停止刺激时心动过速并不停止，此种现象称为隐藏性拖带标测。根据拖带时刺激至P波间期的长短来确定房速折返环的缓慢传导区出口，并确定靶点部位。寻找最短的刺激信号至P波（S-P间期）的部位，此处进行消融成功的机会将会更大。起搏标测，主要用于自律性升高的房性心动过速。在窦律下用等于或快于房速的频率起搏消融导管，如果心房激动顺序与房速时相一致，表明消融电极接近兴奋灶，可选择为消融靶点。近年来，三维标测技术的发展给所有类型的房性心动过速的根治带来了崭新的面貌。可以通过激动标测来观察整个心动过速的传导方向和顺序（使得心动过速的机制一目了然，是折返机制还是局灶激动），用来确定心动过速的起源点，也可以用电压标测来确定折返环的可能通路，取关键峡部来进行治疗，这样有的放矢不仅可以使成功率显著增加，也可使患者的手术时间和创伤及并发症明显地减少。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">由于目前临床实践中大多采用的是温控导管（温度优先），故一般放电参数的设计温度为50～55℃，能量选择为40W。由于愈来愈多的操作者采用三维系统来进行操作，故选用冷盐水导管进行消融也变成习惯，常用的参数设计为：温度43℃，能量为30W，盐水流量为17ml。必须注意的是：由于心房壁较薄，直流电消融损伤较大，易发生心脏穿孔。操作应仔细小心（图16-3-18、图16-3-19）。</p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">图示右侧房性心动过速时标测到理想靶点位放电成功地终止心动过速</p><p>（四）房室结折返性心动过速</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">房室结位于Koch三角的前方，位于二尖瓣三尖瓣附着缘之间的房室膈内。近年的研究发现在房室结内有纵向分离的两个通道。其中一个为慢通道，特点是传导慢、不应期短，位于后间隔近冠状窦口处；另一个为快通道，特点是传导快，不应期长，位于房间膈前上部。解剖学上的两个通道及电生理特性成为临床上房室结折返性心动过速的基础。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">临床上房室结内折返性心动过速有三种类型：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">？慢-快型房室结内折返性心动过速：约占所有AVNRT的90%以上。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">？快-慢型房室结内折返性心动过速：少见。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">？慢-慢型房室结内折返性心动过速：罕见。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">前者有以下特点：①心动过速多由房性或交界性期前收缩所致，诱发期前收缩的P-R间期较长，发作频率大多在110～210次/分之间；②发作时QRS波群形态正常，约有30%～50%的患者在Ⅱ、Ⅲ、aVF导联上有逆行的P波，R-P＜1/2R-R；③发作和终止常为突然性，期前收缩或应用刺激迷走神经的方法可终止发作；④如在发作终止后发现有一过性一度房室传导阻滞或在正常情况下进行心电图检查时发现有一度房室传导阻滞，常常提示发生的心动过速为房室结内折返性心动过速。</p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">该图为一无休止性房性心动过速患者，曾在外手术3次均未能成功，应用三维技术3次放电后心动过速终止，巩固放电后再也不能诱发</p><p>1.心电图特点</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">（1）室上性的QRS波群，频率130～240次/分，律匀齐。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">（2）可为房性或室性期前收缩诱发。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">（3）慢-快型者，逆行P波可落在QRS波群中或起始部或终末部，此时RP＜PR；快-慢型者，逆行P波可落在ST段或在T波上，此时RP＞PR（图16-3-20、图16-3-21）。</p><p>2.电生理特点</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">（1）心房扫描可发现AH出现跳跃式延长达50ms以上，一般跳跃在70～130ms，也有跳跃达200ms以上的（图16-3-22）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">（2）AH跳跃延长后可出现室上速。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">（3）室上速发作时希氏束电图可见V、A融合或叠加，H波位于其前。</p><p>3.临床表现</p><p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; text-align: center; background-color: rgb(255, 255, 255);\">A.室上性心动过速发作　B、C.室上性心动过速发作时及压迫眼球时连续心电图记录，示压迫眼球当时出现PR间期逐次延长至心室脱漏，心动过速终止，以后出现窦性心动过缓，交界处逸搏</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">发作呈阵发性，突发突止，诱发因素多为情绪激动或体位改变，有时并无明显诱因，在静息状态下亦可出现。阵发性室上性心动过速发作时频率在130～240次/分，且持续时间较短。在无器质性心脏病的年轻人，大多仅有突然心悸感，有时伴多尿。反之，在有器质性心脏病的患者，心动过速频率超过160次/分，且持续发作时间较久的，可引起心脑等器官供血不足，导致血压下降、头昏、黑矇甚至晕厥、抽搐发作（阿-斯综合征），以及心绞痛、急性心力衰竭，甚至猝死。心动过速有多次发作倾向，起始发作间歇较长，以后逐渐缩短，发作频繁时可一日数次。</p><p>4.治疗（1）一般治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">首先针对基本病因，如充血性心力衰竭、心肌梗死、缺氧、电解质紊乱、药物中毒等原因。如无任何诱因，则可使患者安静、休息，有条件给予吸氧和镇静剂，部分患者可自行恢复窦性心律。</p><p>（2）物理治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">经过上述处理心动过速仍存在，则可采用物理的方法———兴奋迷走神经的方法，如Valsalva动作、咳嗽、呕吐反射、按压眼球（按压时应用力适当）和按摩颈动脉窦（对老年人应慎用），按压和按摩均应仅按单侧，切忌两侧同时按压。</p><p>（3）药物治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">上述处理后心动过速仍存在，可选择药物治疗。三磷酸腺苷可静脉推注，由于该药有抑制窦房结的作用，静脉推注后可能会出现一过性窦性静止，故在老年人中应用要小心。维拉帕米静脉缓慢推注（稀释后应用）有较好的疗效，该药对旁道无效，如20分钟后仍不能终止，可追加一次，总量不超过15mg为安全。严禁在短时间内与β受体阻断药联合应用。如以上药物仍无效，可改用普罗帕酮、奎尼丁、普鲁卡因酰胺、丙吡胺或胺碘酮（表16-3-3）。</p><p>（4）电复律：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">如药物治疗无效或患者出现血流动力学改变（血压下降或出现心力衰竭或合并有心绞痛等）可选择或直接进行同步直流电复律。如条件和技术水平许可，亦可选择进行食管调搏复律。</p><p>（5）射频消融治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">主要为房室结改良，有两种方式，慢径路消融或快径路消融，房室结慢径多位于房室结的后下部，远离希氏束；而快径位于房室结的前上方接近希氏束容易导致三度房室传导阻滞，目前多不采用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">常用的消融方法有以下几种：①后位法（posterior approach）：将X线球管位于后前位或右前斜30°下将希氏束电极导管送入Koch三角顶部，并记录到清晰的H波，然后将冠状窦口与希氏束连线三等分，然后直接将消融导管送至中下1/3处进行射频，此方法安全性高，极少发生三度房室传导阻滞，但成功率低，X线影像见图16-3-23；②下位法（inferior approach）：是将球管位于后前位或右前斜位30°经静脉送消融导管于Koch三角顶部记录到清晰的H波后将电极向下弯曲，直至H波消失，且A/V之比小于1处进行消融；③中位法（middle approach）：与后位法相比是将消融电极导管放置于冠状窦口与希氏束连线的中1/3处进行消融，虽然其成功率高于后位法，但其损伤希氏束形成完全性传导阻滞的危险性亦随之而增加；④前位法（anterior approach）：此法主要消融房室结快径，于1990年由Goy和Lee首先采用。但由于易发生完全性房室传导阻滞，已很少或不用。其方法为，将X线球管位于后前方位或右前斜30°，将消融导管送至Koch三角顶端记录到H波后将导管后撤5～10mm，H波消失或H波≤0.1mV加上A/V比≥1，即可作为靶点。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">一般认为经过上述定位后消融成功机会较大，其成功的特征为消融过程出现频率不快的交界性心律，交界性期前收缩或交界性逸搏，或消融后交界性心律逐渐减少也是成功迹象，如消融放电30秒后仍无交界性心律，应重新标测。必须注意的是交界性心律出现既是成功的象征，也是出现三度房室传导阻滞的迹象，应严格进行心电监护。也只有消融时出现交界性心律才能说明消融电极确实接近慢径所在的交界区，才能有成功的希望。消融慢径应在窦律下进行（切记不要在心动过速时进行放电），间断出现交界性或短阵的交界区心律（小于5秒），如无PR或AH间期延长，可以继续放电，不会导致严重房室传导阻滞。如果在放电过程中出现持续性交界性心律，无窦律，应在5秒内停止放电。只要及时停止，房室传导是可以恢复的。有学者认为标测到A波的曲折愈多，愈碎裂，愈宽（大于50ms），消融就愈易成功，或者是标测到慢径电位（需要与His相鉴别）。另外，还需要记住的是如果开始时出现少量交界心律，但以后的放电中再不出现，此时可以重复电生理检查，确定是否慢径已经消除。</p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">图中显示导管成功消融的部位在冠状窦口的后上方</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年来，由于大多数临床都是应用温控导管进行消融，故常规参数设计为温度55℃，能量为40～50W，总有效时间以120秒为限，一般数次放电后均能成功。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">房室结改良成功的指标有：①房室结性心动过速不能被诱发；②重复心房扫描无A-H跳跃现象；③传导受损，虽有A-H跳跃，但不能诱发SVT发作（包括异丙肾上腺素静脉滴注后）；④静脉滴注异丙肾上腺素后电生理检查不能诱发SVT发作。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">并发症很少发生，我们的经验是小于1%，其中以房室传导阻滞最多见，偶见心包填塞。</p><p>（五）房室折返性心动过速</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">参见“预激综合征”。</p><p>（六）自律性交界性心动过速</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心动过速发作特点：频率多在140～270次/分；RR可不绝对匀齐；可见到房室分离；有时可诱发出多形性室速；程序刺激不能终止。目前对该类室上速的确切机制不清楚。</p><p>（七）心房扑动</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">参见“心房扑动”。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4476', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '731', '室上性心动过速的鉴别诊断', '<p>（一）窦性心动过速</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">心率在140～160次/分之间的窦性心动过速较难与室上性心动过速鉴别。突发突止的发作史、心率固定不变而心律绝对规则、兴奋迷走神经可使发作中止的，以室上性心动过速的可能为大。窦性心动过速大多逐渐增快或逐渐减慢，心率常有变动，兴奋迷走神经不能中止发作。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">房性心动过速伴2∶1房室传导阻滞时，心室率多在100次/分左右，心电图中半数P波可埋没在QRS波群中，因而常被误诊为窦性心动过速。鉴别诊断应注意在心电图显示P波清楚的导联中找出P波的频率及其与QRS波群的关系。</p><p>（二）心房扑动</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">心房扑动大多伴2∶1房室传导，心室率140～160次/分。心房活动在心电图上表现为规则的锯齿形扑动波，可被误诊为室上性心动过速。兴奋迷走神经可使心室率减半或减慢，心电图显示明确的锯齿形心房扑动波有助于确诊。少数房性心动过速的心房率可快达300次/分，与心房扑动接近，同时伴2∶1房室传导，此时较难与心房扑动鉴别。</p><p>（三）窄QRS心动过速的鉴别诊断</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">可根据心电图或心内电生理检查结果，后者更具鉴别诊断价值（表16-3-4）。</p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">注：SN：窦房结；A：心房；AVB：房室传导阻滞；AVJ：房室交接处；BBB：束支传导阻滞；AVNRT：房室结折返性心动过速；AVRT：房室折返性心动过速；VT：室速</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4477', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1675', '概要', '', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4480', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1676', '概要', '', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4481', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '322', '概念和分类', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">室性心动过速（ventricular tachycardia，VT），简称室速，是指起源于心室、自发、连续3个或3个以上、频率大于100次/分的期前搏动组成的心律。如果是心脏电生理检查程序刺激所诱发的，则必须持续6个或以上连续的心室搏动。室速多见于有器质性心脏病患者，发作时间稍长，常常伴有血流动力学的改变，因此，临床上情况都表现较为紧急，是心血管病常见的急症之一。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">室速的分类有多种方法，一般根据发病机制可分为自律性、折返性和触发性室性心动过速。其他分类方法有：</p><p>（一）根据室速持续时间分类1.持续性室速</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">指室速的持续时间达到或超过30秒，或虽未到30秒但出现严重的血流动力学改变。事实上，室速发作持续15秒的，一般都将持续30秒或30秒以上。</p><p>2.非持续性室速</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">室速的持续时间未达到30秒，在30秒内能自行终止者。</p><p>（二）根据室速的发作形态分类1.单形性室速</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">指室速发作时，其QRS波形态稳定而单一，大部分室速为此类。根据QRS形态又可分为右束支阻滞型室速和左束支阻滞型室速。</p><p>2.多形性室速</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">指室速发作时，其QRS波形态不同。一般认为，连续5个以上QRS波形态不稳定且无明确的等电位线和在多个同时记录的导联上QRS波不同步，称为多形性室速。其中包括尖端扭转型室速。</p><p>（三）根据室速病因分类</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">冠心病性室速、药物性室速、再灌注性室速、右心室发育不良性室速等。</p><p>（四）根据室速是否合并有器质性心脏病分类</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床上又可分为病理性室速和特发性室速。</p><p>（五）其他分类</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床上还有一些特殊类型的室速。例如具有遗传背景特征的室速（长QT综合征、短QT综合征及Brugada综合征等）；具有特殊临床特征和心电图及心电生理的室速（如儿茶酚胺敏感性室速、分支型室速和尖端扭转型室速等）。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4482', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '322', '病因和发病机制', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">室速大多数见于各种类型的器质性心脏病，尤其是心肌病变广泛而严重的患者，如冠心病伴急性心肌梗死后心功能不全或合并室壁瘤者，心肌梗死后产生心电活动的异常、室壁运动异常、束支传导异常及心力衰竭等为室速的发生提供了病理基础。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">流行病学资料表明90%以上的扩张型心肌病存在有持续性室速。尸检发现1/3的室速患者有心内膜广泛的瘢痕形成，50%以上患者有心肌组织被纤维组织取代，从而为折返的形成提供了解剖学上的基础。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">右心室心肌发育不良、肥厚型心肌病及严重心肌炎等都是由于心肌本身的病变导致心肌细胞的排列紊乱，心肌缺血，心肌功能下降等为室速的发生形成病理基础。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">少数见于无明确器质性心脏病的正常人，如原发性QT间期延长综合征、二尖瓣脱垂等。洋地黄毒性反应、拟交感神经药物过量以及抗心律失常药物、三环类抗忧郁药导致的继发性QT间期延长、锑剂和氯喹以及低血钾或低血镁所致QT间期延长等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此外，低温麻醉、心肺手术或心导管的机械性刺激也可导致各种心动过速。室速的电生理机制大多为折返，其折返环大多位于心室，束支折返少见。少数属异常自律性或后除极继发激动，这类室速通常不能为电生理的程序刺激所终止。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4483', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '322', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">室速的诱因常为心肌缺血或心功能不全或电解质紊乱等，亦可无明显诱因。发作时症状与心动过速所致血流动力功能障碍程度密切相关，而后者又受患者年龄、有无器质性心脏病基础、基础心功能状态、心动过速频率以及重要器官基础血供状态等因素影响。室速发作时，血流动力功能障碍程度多较严重，心脑器官供血不足表现常较明显。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床症状可有心悸、胸闷、气促、胸痛、头晕、黑矇；严重者可有晕厥、休克、阿-斯综合征发作，甚至猝死。体格检查可发现患者精神紧张，神情淡漠，甚至昏迷；有的患者脉搏不易扪及，有的出现脉搏短绌、交替脉，有的出现血压下降或测不出；如有房室分离，颈静脉搏动可见大炮A波、第一心音强弱不等、偶及大炮音；心律一般较齐，但也有心律不齐，心率一般在130～200次/分之间，有时肺部可闻及哮鸣音、湿啰音等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">兴奋迷走神经的措施大多不能终止室性心动过速发作。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4484', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '322', '心电图表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">1.QRS波呈室性波形，增宽而变形，QRS时限＞0.12秒（图16-3-24）；少数起源于希氏束分叉处的室速可不超过0.12秒。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">2.常有继发性ST-T波改变。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">3.心室频率为140～200次/分，规则或略不规则，偶见R-R间距相差达0.33秒（图16-3-25）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">4.窦性心律可持续单独存在，形成房室分离。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">5.偶尔窦性P波下传夺获心室，形成一次提早出现的窄QRS（心室夺获），其形态与窦律时QRS相同或略有差别（合并频率依赖性室内差异传导）；有时窦性P波夺获部分心室，与室性异位搏动形成心室融合波，后者形态兼有窦性和室性QRS的特征（图16-3-26）。心室的夺获和融合波是诊断室速的有力证据，但临床发生率很低，文献报道小于5%的患者可见该现象。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">6.室速发作时QRS形态大多一致，也可具多种形态，分别称为单形和多形室速。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">7.室速常被期前收缩诱发，其形态通常与期前收缩一致，也有不一致的。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">8.室速可自行终止，终止前常有频率和节律的改变；也可转变为室扑、室颤，转变前多有心室率的加速（图16-3-27）。</p><p style=\"text-align: right;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4485', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '322', '特殊类型的室性心动过速', '<p>（一）分支型特发性室速</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">室速发作多为持续单形性（发作时QRS形态一致，持续大于30秒），室率160～240次/分，QRS多呈（束支阻滞）BBB型，起源于右心室流出道的，发作时QRS呈LBBB型，起源于左心室的则发作时QRS呈RBBB型伴电轴左偏（图16-3-28）。患者大多为青、中年，无结构性心脏病证据，部分由运动或窦率增快诱发。机制可能为触发所致自律性异常。RBBB型对维拉帕米敏感而LBBB型对腺苷敏感，预后大多良好，猝死率低。采用经导管射频消融术可根治该类型室速，成功率可高达90%以上。</p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">腔内电图示为在希氏束导联上V波前有束支电位，V-A无关系</p><p>（二）致心律失常型右心室发育不全性心肌病伴发的室速</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">　病因为右心室心肌先天性发育不全，超声心动图上可见右心室壁局限性变薄膨出及活动减弱或反常活动。室速机制为折返。多见于年轻的男性，临床上常以室速为首发症状。心电图窦性心律时示为不全性RBBB，QRS终末可见epsilon波（V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>导联上QRS波时限超过120ms，终末部出现），右心导联T波倒置。室速多呈单形性持续发作，发作时QRS大多呈LBBB型伴电轴右偏。抗心律失常药物可控制发作但常不能预防复发，猝死率高，临床上多选用索他洛尔，也可选用其他抗心律失常药物及射频消融进行根治，但常又可出现新的室速源灶。</p><p>（三）儿茶酚胺敏感性多形性室速</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">　多见于无器质性心脏病的儿童，30%者有家族性猝死特征。为反复发作的运动时多形性室速，常与房速同时存在，QT时限正常，演变为室颤的可能小。运动可诱发。治疗首选β受体阻断药治疗。</p><p>（四）尖端扭转型室速</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">是较为严重的一种室性心律失常。发作时呈室性心动过速特征，只是增宽变形的QRS波群围绕基线不断扭转其主波的正负方向。每约连续出现3～10个同类的波之后就会发生扭转，翻向对侧。一般发作时间不长，常在十几秒内自行停止，但较易复发。临床上常表现为反复发作心源性晕厥或阿-斯综合征（图16-3-29）。</p><p style=\"text-align: right;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4486', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '322', '宽QRS心动过速的鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">室上速伴束支传导阻滞或频率依赖性室内传导障碍或伴前向预激时，心电图表现为宽QRS心动过速，与室速的鉴别常有一定困难。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Brugada等1991年提出4步鉴别诊断法，鉴别宽QRS心动过速，其标准为：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>至V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">6</span>的QRS均非RS型（包括rS、Rs、RS），诊断室速。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.胸导联的RS间期（R波起点至S波谷底）如有大于100ms者，诊断室速。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.有房室分离，诊断室速。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.发作时QRS呈RBBB型，而V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>呈R、qR、Rs，V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">6</span>呈QS或R/S＜1，诊断室速；发作时QRS呈LBBB型，而V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>&nbsp;或V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>的R波宽＞30ms，或RS间期＞60ms，V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">6</span>呈QR或 QS，诊断室速。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">不符合以上标准者，诊断室上速。据称该标准诊断室速的敏感性和特异性分别达到98.7%和96.5%。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4487', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '322', '防治', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">室速的治疗应该采用个体化方案。根据不同的患者，不同的类型，是否合并有器质性心脏病以及发作时血流动力学的状态来评估和选择治疗方案。</p><p>（一）急性发作期的处理</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">1.临床血流动力学不稳定者应立即行电转复，能量开始选用150～200J，效果不佳时能量应及时加大，情况紧急时可直接选用300～360J。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">2.如果临床血流动力学尚稳定者，可先选用抗心律失常药物治疗，无效时再选择电复律。一般首选利多卡因，其有效率在40%～50%之间。也可首选胺碘酮，其有效率文献报道可达70%，尤其对冠心病所致室速。索他洛尔静脉注射的转复率也可达65%左右。对特发性室速（分支型室速）应用维拉帕米静脉注射终止室速效果可达90%以上。</p><p>（二）慢性期的处理</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">该期主要为预防室速的发作，并预防由此而引起的并发症———猝死。治疗原则包括基础疾病的治疗、抗心律失常药物的治疗、外科治疗、射频消融治疗及ICD治疗等。</p><p>1.抗心律失常药物的选用</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">此为目前最为广泛和有效的治疗方法之一。常用利多卡因、普罗帕酮、美西律、胺碘酮、索他洛尔、硫酸镁及β受体阻断药和维拉帕米等。自从CAST研究结果公布后，目前大多数学者认为Ⅰ类药物虽然能有效地抑制心律失常的发生，但增加了心律失常的相关性死亡和总体死亡率。现在所有的指南都推荐使用Ⅲ类抗心律失常药物为首选，尤其是冠心病患者更是首选胺碘酮或索他洛尔。尽管β受体阻断药抗心律失常作用效果较差，但大量的临床试验结果证实了可改善心脏病患者的预后，可以作为联合用药的理想药物。</p><p>2.经导管射频消融术</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">射频消融术对合并有器质性心脏病患者的室速效果较差，如果其他方法无效或进行综合处理时可以一试，但对无器质性心脏病的室速，如分支型室速或单形性室速或流出道起源室速效果较好（图16-3-30～图16-3-33），可以作为首选方法之一。常规的标测技术仅仅适用于血流动力学稳定，且可反复诱发的持续性的室速。近年来，随着技术的不断改进和进步，三维标测技术的应用已经能够在窦律下进行基质的标测（如电解剖标测技术，CARTO导航系统）和激动标测（图16-3-34、图16-3-35），或快速标测系统（如非接触标测技术，Ensite 3000系统）等能够对靶点准确定位（图16-3-36、图16-3-37），大大提高了成功率。</p><p>3.外科手术治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">外科治疗的适应证为心肌梗死后形成的室壁瘤，或致心律失常性右心室发育不全性心肌病的病灶，可行与室速相关病变的切除。对无器质性病变的心脏可行心内膜或心外膜标测对相应病灶进行切割。有报道进行颈胸交感神经结切除对长QT综合征有效。还有文献报道对肥厚型心肌病的肥厚的室间隔进行切除可预防其发生的猝死。</p><p>4.植入式心脏复律除颤器（ICD）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">该装置为各大指南推荐的治疗有危及生命的室性心律失常的首选方法。对持续性和反复发生的室速效果较好，但必须注意的是该方法仅仅是治疗心律失常（室速）而对病因无效，且价格昂贵，故如果有其他方法能更好预防和治疗应作为首选。安装此类设备后还应同时进行药物治疗或选择适当时机行射频消融术对病灶进行根治。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4488', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1677', '概要', '', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4490', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '737', '心房颤动的定义和分类', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心房颤动（atrial fibrillation，AF）简称房颤，是临床上最常见的心律失常之一。是指规则有序的心房电活动丧失，由心房主导折返环引起许多小折返环导致的房律紊乱，是最严重的心房电活动紊乱。无序的颤动使心房失去了有效的收缩与舒张，泵血功能恶化或丧失。它几乎见于所有的器质性心脏病，在非器质性心脏病也可发生。由于可引起严重的并发症，如心力衰竭和动脉栓塞，因此严重威胁人类健康。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2010年欧洲心脏病学会（ESC）会议上公布了《心房颤动治疗指南》。该指南将房颤分为五类：首次诊断的房颤、阵发性房颤、持续性房颤、长程持续性（long-standing persistent）房颤和永久性房颤。该指南增加了长程持续性房颤的概念，定义为房颤持续时间超过1年，拟采用节律控制策略，即导管消融治疗。这一概念是适应了当前导管消融治疗新时代的特殊名词，毋庸置疑，导管消融使房颤治愈成为可能，可以遏制、逆转房颤致房颤的重构进程，房颤不再是永久性疾病。</p><p>1.首次诊断的房颤（first diagnosed AF）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">第一次心电图发现为房颤，无论持续时间或房颤相关临床状况的严重程度如何。</p><p>2.阵发性房颤（paroxysmal AF）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">房颤持续短于48小时，可自行终止。虽然房颤发作可能持续到7天，但48小时是个关键的时间点，有重要的临床意义。超过48小时，房颤自行终止的可能性会降低，需考虑抗凝治疗。</p><p>3.持续性房颤（persistent AF）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">房颤持续超过7天，或者需要转复治疗（药物转复或者直接电转复）。</p><p>4.长程持续性房颤（long-standing persistent AF）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">房颤持续时间超过1年，拟采用节律控制策略，即接受导管消融治疗。长程持续性房颤是在导管消融时代新出现的名词，导管消融使房颤治愈成为可能，因此，房颤已不再是“永久性”。</p><p>5.永久性房颤（permanent AF）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是指房颤已为患者及其经治医师所接受，从而不再考虑节律控制策略的类型；换言之，一旦决定采取节律控制策略，该型房颤将重新定义为长程持续性房颤。</p><p>6.孤立性房颤（silent AF，或无症状性房颤）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是分类外较为特殊的一种情况，患者可能以偶尔体检或缺血性卒中或心动过速心肌病为首发症状，可以是上述五种类型中的任何一种。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4491', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '737', '心房颤动的流行病学', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">尽管房颤是很常见的心律失常，但在健康人群中的发生率并不高。而随着年龄的增长，房颤发生率呈急剧性的增加。据统计，房颤总体人群患病率为0.4%～1.0%，60岁以上者在2%～4%，60岁以后每10年发病增加1倍，80岁以后发病率可达8%～10%。Framingham心脏研究的42年随访观察房颤的发病率：男性2.15%，女性1.71%，房颤在心脏病患者中的发生率约为4%，在心脏病的进展期甚至高达40%。合并房颤后心脏死亡率增加2倍，如无适当抗凝，脑卒中发生率高5倍。孤立性房颤缺血性脑卒中的危险增加仅发生在60岁以上的患者。房颤是目前因心律失常而住院的最常见原因，仅在美国大约有150多万慢性房颤患者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">国内一组大规模流行病学研究对14个自然人群的29 079例进行了调查，其中房颤患病人数为224例，房颤患病率为0.77%，根据中国1990年标准人口构成标准化后患病率为0.61%，其中房颤患病率在50～59岁人群中为0.5%，而大于80岁组上升为7.5%。中国男性房颤总发生率约为0.9%，略高于女性的0.7%（P=0.013）。房颤发生率按病因分类结果显示，在所有房颤患者中，瓣膜性、非瓣膜性和孤立性房颤所占比例分别为12.9%、65.2%和21.9%。非瓣膜性房颤发生率明显高于瓣膜性房颤和孤立性房颤（P＜0.01），其中1/3为阵发性房颤，2/3为持续或永久性房颤。两组患者的脑卒中患病率相近（13.1%比14.7%），非房颤人群脑卒中的患病率仅为2.36%，提示房颤是严重危害中国人健康的疾病之一。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4492', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '737', '病因', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">房颤无论性别、年龄、有无器质性疾病均可发生，但老年人居多。房颤既可以是心脏疾病，又可以是全身疾病的临床表现。引起房颤的病因很多，主要为心脏本身的疾病。发达国家以冠心病、心肌疾病为主，发展中国家则以风湿性心脏瓣膜病为最多。老年人可由隐匿的甲状腺功能亢进症或房间隔缺损所致。少数房颤找不到明确病因被称为孤立性房颤或特发性房颤。常见病因如下。</p><p>1.高血压</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">高血压在房颤原因中的比率为9.3%～22.6%，房颤的发生与高血压所致肥厚心肌的心电生理异常、肥厚心肌缺血及肥厚心肌纤维化有关。由于心肌肥厚及纤维化，心室顺应性减退，心房压升高及左心房增大，加上心肌缺血，从而诱发房性电生理紊乱而导致房颤。</p><p>2.冠心病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在冠状动脉造影中显示有明显冠状动脉狭窄者中发生房颤者占0.6%～0.8%，急性心肌梗死者房颤的发生率占10%～15%。</p><p>3.风湿性心脏瓣膜病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">风湿性心脏瓣膜病仍是房颤的常见原因，尤其多见于二尖瓣狭窄合并关闭不全。其中二尖瓣狭窄患者中41%合并有房颤，而主动脉瓣病变发生房颤的机会较小。患者发生房颤的平均年龄大约为37岁，以女性居多。</p><p>4.肺源性心脏病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺源性心脏病发生房颤的报道为4%～5%。常呈阵发性，其原因与肺内反复感染、长期缺氧、酸中毒及电解质紊乱有关。</p><p>5.先天性心脏病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在先天性心脏病中房颤主要见于房间隔缺损。</p><p>6.心肌病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">各种类型的心肌病均可以发生房颤，发生率在10%～50%之间，成人多见，儿童也可发生。以原发性充血性心肌病为主，约占20%。</p><p>7.甲状腺功能亢进</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">房颤是甲亢的主要症状之一，甲亢患者中房颤的发生率在15%～20%，老年人甲亢者可能存在心肌的器质性损害，易发生慢性房颤。房颤可能成为有些患者的首发表现。</p><p>8.预激综合征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">需要提及的是虽然预激综合征的主要表现是阵发性房室折返性心动过速，但其合并房颤的机会很高。文献报道预激综合征同时发生房颤的机会约占12%～18%。一般认为心室预激的房颤发生率与年龄有关，在儿童患者很少发生，而高龄患者则合并房颤发生率较高。&nbsp;发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前的研究发现房颤的发生机制主要涉及两个基本方面。一是房颤的触发因素。触发因素的表现是多种多样的，包括交感和副交感神经刺激、心动过缓、房性期前收缩或心动过速、房室旁路和急性心房牵拉等。二是房颤发生和维持的基质。心房具有发生房颤的基质是房颤发作和维持的必要条件，以心房有效不应期的缩短和心房扩张为特征的电重构和解剖重构是房颤持续的基质，重构变化可能有利于形成多发折返子波。此外，还与心房某些电生理特性变化有关，包括有效不应期离散度增加、局部阻滞、传导减慢和心肌束的分隔等。目前认为房颤是多种机制共同作用的结果。</p><p>（一）折返机制1.多发子波折返</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Moe及其同事于1955年提出的多发子波折返学说占据着统治地位。他们认为波阵面在心房内传布的过程中分裂成几部分，从而各自产生具有自我复制能力的“子波”。任一时刻出现的微波的数量取决于心房不同部分的不应期、质量以及传导速度。异位局灶快速冲动发放引起的单个或成对的房性期前收缩或心动过速是房颤最常见的一个触发因素。房性期前收缩可引起心房内多个子波折返而导致房颤，但是若心房内没有形成多条折返径路的基质，即使有触发因素，也不能发生房颤；反之，有形成多个子波折返激动的异常基质存在，若没有触发因素，房颤也很少发生或复发。</p><p>2.自旋波折返</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">20世纪80年代末，Winfree等提出了颤动的自旋波折返假说，认为自旋波的产生与波裂现象有关。心脏通常被点兴奋源产生的环形波或线性兴奋源产生的平面波所控制。兴奋波的去极化波阵面之后紧随着复极化带，波阵面与其复极化波尾之间的距离为波长。平面波和环形波的波阵面上所有点向前扩散的速度相对恒定，这样，波阵面不可能与复极化波尾相遇。然而，如果心肌兴奋性恢复不一致，波阵面与复极化波尾可能在某一特定点遭遇而发生波裂。波裂形成时，波阵面曲率达到最大限度，以致兴奋波被迫开始围绕某一小区域旋转。这一由未被兴奋的可兴奋心肌组织构成的区域即为自旋波核心或转子。自旋波折返的一个显著特征是：其核心为未被兴奋的可兴奋心肌。自旋波折返的主旨在于房颤的有序性，即貌似随机无序的电活动实质上是某一确定机制所决定的有序活动。</p><p>（二）触发机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早在1953年Scherf等就提出异位局灶自律性增强是房颤发生机制的假说。Haissaguerre等首先采用导管射频消融异位局灶和（或）其冲动引起的房性期前收缩来治疗阵发性房颤取得了成功，并发现肺静脉的异位兴奋灶可通过触发和驱动机制发动和维持房颤，而绝大多数异位兴奋灶（90%以上）在肺静脉内，尤其左、右上肺静脉。肺静脉内心肌袖（myocardial sleeve）是产生异位兴奋的解剖学基础。组织学上可看到肺静脉入口处的平滑肌细胞中有横纹肌成分，即心肌细胞呈袖套样延伸到肺静脉内，而且上肺静脉比下肺静脉的袖套样结构更宽更完善，形成心肌袖。腔静脉和冠状静脉窦在胚胎发育过程中亦可形成肌袖，并有这种可以诱发房颤的异位兴奋灶存在。异位兴奋灶也可以存在于心房的其他部位，包括界嵴（crista terminalis）、房室交界区、房间隔、Marshall韧带和心房游离壁等。</p><p>（三）自主神经机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心房肌的电生理特性不同程度地受自主神经系统的调节。许多研究发现自主神经张力改变在房颤中起着重要作用。Coumel等称其为神经源性房颤，并根据发生机制的不同将其分为迷走神经性房颤和交感神经性房颤两类。前者多发生在夜间或餐后，尤其多见于无器质性心脏病的男性患者；后者多见于白昼，多由运动、情绪激动和静脉滴注异丙肾上腺素等诱发。迷走神经性房颤与不应期缩短和不应期离散性增高有关；交感神经性房颤则主要是由于心房肌细胞兴奋性增高、触发激动和微折返环形成。而在器质性心脏病中，心脏生理性的迷走神经优势逐渐丧失，交感神经性房颤变得更为常见。</p><p>（四）其他</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">电重构在房颤的发生和发展中也起着重要的作用，房颤时心房有效不应期的缩短可导致房颤的发作频率增加，发作持续时间延长，即使没有器质性病变者，仅电重构也能使房颤发作并持续。电重构的主要机制是离子通道的重构。多数学者认为短暂外向性钾电流通道、L 型Ca<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2+</span>通道及电流密度的下调，在心房电重构的发生和维持中发挥着重要的作用。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4493', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '737', '临床症状', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">房颤的临床表现为多样性，既可有症状，也可无症状，即使对于同一患者亦是如此。房颤的症状取决于发作时的心室率、心功能、伴随的疾病、房颤持续时间以及患者感知症状的敏感性等多种因素。大多数患者感觉有心悸、呼吸困难、胸痛、疲乏、头晕和黑矇等症状，部分患者还有多尿表现。部分房颤患者无任何症状，仅仅是在体检或偶然的机会出现房颤的严重并发症，如卒中、栓塞或心力衰竭时才被发现。有些患者有左心室功能不全的症状，可能继发于房颤时持续的快速心室率。晕厥并不常见，但却是一种严重的并发症，常提示存在窦房结障碍及房室传导功能异常或存在房颤转律过程中血栓形成后脱落所致。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4494', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '737', '心电图表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">房颤的心电图表现（图16-3-41）为：①P波消失代之以大小、形态及时限均不规则的颤动波（f波）；频率在350～600次/分，f波可以相当明显类似不纯房扑；也可以纤细而难以辨认；②R-R间距绝对不规则。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">房颤时的心室率取决于房室结的电生理特性、迷走神经和交感神经的张力水平，以及药物的影响等。如果房室传导正常，则伴有不规则的快速心室反应；如果合并房室阻滞，由于房室传导系统发生不同程度的传导障碍，可以出现长RR间期。但是，房颤时由于房室传导组织生理不应期的干扰、连续的隐匿性传导、睡眠时迷走神经张力增高以及影响心脏自主神经张力的因素亦可造成室上性激动延迟或不能下传引起长RR间期。房颤患者发生长间歇较为常见，所以普通心电图上出现长RR间期，不能轻易地诊断为房颤合并高度房室传导阻滞。患者在清醒状态下频发RR间期≥3.0s，同时伴有与长RR间期相关症状者，作为房颤治疗时减药、停药或植入心脏起搏器的指征可能更有价值。房颤时如果出现规则的RR间期，常提示房室阻滞、室性或交界性心律。如出现RR间期不规则的宽QRS波群，常提示存在房室旁路前传或束支阻滞。</p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">图中所示为P波消失，出现不规则的f波，心室率不整</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4495', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '737', '鉴别诊断', '<p>（一）心房颤动伴室内差异性传导与室性期前收缩的鉴别</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　室性期前收缩的特点为：①V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>导联QRS波呈单向或双向型，V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">6</span>呈QS或rS型；②以左束支阻滞多见；③有固定的联律间期，后有完全性代偿间歇；④畸形QRS波的起始向量与正常下传者不同。</p><p>（二）心房颤动伴室内差异性传导与室性心动过速的鉴别</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①前者的节律大多绝对不规则：心率极快时才基本规则，而后者基本规则（R-R间期相差仅在0.02～0.04s）或绝对规则；②前者QRS时限多为0.12～0.14s，易变性大；而后者QRS时限可大于0.14s，如＞0.16s则肯定为室性心动过速，此外易变性小；③前者无联律间期也无代偿间歇，后者有联律间期并固定，发作终止后有代偿间歇；④前者无室性融合波而后者有；⑤V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>～V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">6</span>导联QRS波方向一致，都向上或都向下，高度提示室性心动过速；⑥如出现连续畸形QRS波时，如电轴发生方向性改变者。多为室性心动过速（扭转型室性心动过速）。</p><p>（三）预激综合征合并心房颤动与室性心动过速的鉴别</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">室性心动过速的特点是：①心室率在140～200次/分，大于180次/分者少见；②心室节律可稍有不齐或完全整齐，R-R间期相差仅0.02～0.04s；③QRS波很少呈右束支阻滞图形，无预激波；④可见到心室夺获，有室性融合波；⑤室性心动过速发作前后的心电图可出现同一形态的室性期前收缩。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">预激综合征伴心房颤动的特点（图16-3-42）是：①心室率多在180～240次/分；②心室节律绝不规则，R-R间期相差可大于0.03～0.10s；③QRS波宽大畸形，但起始部可见到预激波；④无心室夺获故无室性融合波；⑤发作前后，心电图可见到预激综合征的图形。</p><p>（四）心房颤动与房室交接区性心律的鉴别</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　在某些情况下，心房颤动的f波非常细小，以致常规心电图上不能明显地显示出来，此时容易误诊为房室交接区性心动过速。但心房颤动时心室律是绝对不规则的（伴三度房室传导阻滞除外）；而房室交接区性心律是绝对匀齐的。此外，如能加大增益f波可能会出现。如能在特殊导联（如食管导联）描记到f波，即可确诊为心房颤动。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4496', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '737', '心房颤动的治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">众所周知，无论何种类型的房颤在临床上均能产生诸多不良后果，所以需加以预防和治疗。治疗的主要原则有：①尽量寻找引起房颤的基本病因并加以治疗，如纠正心脏瓣膜病变，纠正低血压，改善心脏功能、心肌缺血，控制甲状腺功能亢进等；②消除易患因素，转复和维持窦性心律；③预防复发；④控制心室率；⑤预防栓塞并发症，减少病残率提高患者生活质量，延长生命。</p><p>（一）病因治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">房颤的病因治疗至关重要，积极治疗原发性心脏病才容易使房颤转复为窦性心律，并使之转复后长期维持。即使不能治愈病因，能解除血流动力学异常也很重要。在冠心病、高血压、心肌病等情况下，如心肌缺血改善、心衰纠正、血压控制良好，房颤转复的机会增加并能长时间维持窦性心律。风湿性心脏病二尖瓣狭窄并房颤患者，实行手术去除病因后许多患者能在复律后长期维持窦性心律。</p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">图中所示为心房颤动，快速性心室率（绝对不齐），合并有预激综合征</p><p>（二）药物治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">心房颤动的药物治疗包括药物复律、控制心室率及抗凝。</p><p>1.药物复律</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">目前国内临床上常用于复律的药物有胺碘酮、普罗帕酮、多菲利特、伊布利特等。</p><p>（1）药物复律的适应证：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">①持续性房颤小于半年，或经超声检查证实心房内无血栓；②对于阵发性房颤患者，在房颤发作或发作间歇期均可以治疗；③电复律后用药物维持窦性心律。</p><p>（2）药物的选择：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">在心房颤动进行药物复律时应该遵守的临床选药原则是：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">1）无器质性心脏病的阵发性心房颤动及有器质性心脏病（但非冠心病亦不伴左心室肥厚）的阵发性心房颤动者，可首选Ⅰc类药如普罗帕酮，次选索他洛尔、伊布利特（ibutilide）。若仍无效，可选用胺碘酮，但也可作为首选。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">2）有器质性心脏病或心力衰竭者：胺碘酮为首选药。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">3）冠心病（包括急性心肌梗死）合并心房颤动者：应首选胺碘酮，次选索他洛尔。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">4）迷走神经介导性心房颤动：选用胺碘酮，或胺碘酮与氟卡尼联合应用，也可用丙吡胺。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">应该注意的是对器质性心脏病合并心房颤动患者，尤其是冠心病和心力衰竭患者，应尽量选用胺碘酮、索他洛尔，避免使用Ⅰa类（奎尼丁）和Ⅰc类（普罗帕酮）药物。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">胺碘酮静脉注射转复房颤的成功率为34%～69%，口服转复成功率在15%～40%，但由于其严重副作用临床应用受到限制。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">普罗帕酮静脉注射可以转复房颤，对近期发生者效果较好，其特点是不良反应较少，但对合并器质性心脏病者应慎用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">伊布利特静脉注射后1小时左右起效，其转复房扑效果较房颤好。对长程房颤效果差，文献报道大约有4%患者注射后发生扭转型室速，且在女性更易发生，因此，应用时应在监护下进行，用药后监护时间不少于5小时。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">目前很少应用奎尼丁和普鲁卡因酰胺进行转复，主要是考虑其严重的不良反应，丙吡胺和索他洛尔转复房颤效果不确定。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">近年来，新药在房颤转复中逐渐占有一定地位，如决奈达隆和维纳卡兰等对房颤的转复有较好的疗效。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">决奈达隆：是一种新型Ⅲ类抗心律失常药物，其结构与胺碘酮结构相似，但不含碘，心外不良反应少，常用剂量为400mg每日两次，临床试验其能降低房颤患者心血管病的住院率和心律失常的病死率，但维持窦律的有效性不及胺碘酮，指南推荐为轻或无器质性心脏病非永久性房颤的一线用药，但禁用于心功能NYHAⅢ～Ⅳ级心衰和新近（4周内）仍有失代偿的心衰患者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">维纳卡兰（vernakalant）：维纳卡兰是目前市场上第一个心房选择性的房颤治疗药物，其同时作用于钠离子和钾离子通道。该药经过肝脏色素P<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">450</span>2D6同工酶代谢，半衰期大约在4～8小时，均不受年龄、肾功能及其他药物等影响。该药引起室性心律失常的副作用发生率低。目前维纳卡兰被欧盟批准用于新近发生房颤（非外科手术患者发作时间≤7天，手术后患者发作时间≤3天）的成年患者的复律治疗。</p><p>2.控制心室率</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">对于已不适合药物转复或药物及电复律转复失败的老年患者，治疗目的则是控制心室率。目前常用药物有：</p><p>（1）洋地黄：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">对于有明显症状或伴有血流动力学变化的快速房颤，应及时控制心室率，洋地黄是最常用于减慢心率的药物。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">1）西地兰：用于急性房颤的常用方法：0.2～0.4mg溶于5%葡萄糖20ml中缓慢静注至心室率达到满意程度，半小时后酌情重复上述剂量。需要注意的是西地兰有促进激动经旁道传导的作用，对于预激综合征伴房颤要慎用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">2）地高辛：该药是目前控制心室率最常用的药物，适用于慢性房颤控制心室率。用法一般为0.125～0.25mg/d一次口服。地高辛的作用机制：通过迷走神经作用于房室结，从而减慢房室传导降低心室率。</p><p>（2）β受体阻断药：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">此药也常用于减慢房颤患者的心室率，主要用于增强运动时房颤心室率的控制，对静息时的心室率也有控制作用并可使心室律相对规则，可与地高辛合用，其作用机制为直接抑制房室传导。常用药为美托洛尔、阿替洛尔、比索洛尔等。</p><p>（3）钙通道阻断药：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">主要指非二氢吡啶类钙通道阻断药，如维拉帕米、地尔硫<img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%86%85%E7%A7%91%E5%AD%A6_%E5%85%A82%E5%86%8C(%E4%B8%8B)_978-7-117-17272-1/pics/BZ_95_647_999_681_1034.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/>（硫氮唑酮），可延长房室结不应期，减慢房室结传导速度，可减慢安静及运动时房颤的心室率，特别是当患者合并有支气管炎支气管哮喘时，宜首先采用维拉帕米静脉用药5～10mg缓慢静注，口服120mg/d，分3次口服；地尔硫<img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%86%85%E7%A7%91%E5%AD%A6_%E5%85%A82%E5%86%8C(%E4%B8%8B)_978-7-117-17272-1/pics/BZ_95_540_1247_574_1283.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/>主要为口服用药，30～60mg，3次/日。</p><p>（4）胺碘酮：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">因其具有预防猝死的作用，可以作为控制心室率药物之一。临床上应用，疗效较佳。</p><p>（5）非药物治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">当药物控制不满意时，可采用经导管消融房室结，并植入永久性心脏起搏器来达到控制心室率的目的（参见导管消融）。</p><p>3.预防房颤的复发</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">即复律后窦性心律的维持。无论是药物复律还是电转复窦性心律后，都需要药物来维持窦性心律，如不维持1年内房颤的复发率可达70%～75%。一般来说所有用于复律的药物均可用作预防房颤的复发。在选用抗心律失常药物预防房颤复发时，除了应注意患者的年龄（＞60岁）、基础心脏病类型、病变程度、房颤持续的时间（≥3～6个月）、心功能（Ⅲ级以上）之外，还要评估药物的有效性、安全性及耐受性。现有的抗心律失常药物在维持窦性心律中，虽可改善患者的症状，但有效性差，副作用较多，且不降低总死亡风险。选择药物应在考虑其疗效的同时注意以下问题：①脏器的毒性反应：普罗帕酮、氟卡尼、索他洛尔、多菲利特、丙吡胺对脏器的毒性反应相对较低；②致心律失常作用：一般说来，在结构正常的心脏，Ⅰc类药物很少诱发室性心律失常。在有器质性心脏病的患者，致心律失常作用的发生率较高，其发生率及类型与所用药物和本身心脏病的类型有关，Ⅰ类药物一般应当避免在心肌缺血、心力衰竭和显著心室肥厚情况下使用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">因此，具体用药原则的共同特点如下：①若无器质性心脏病，首选Ⅰc类药物；索他洛尔、多菲利特、丙吡胺可作为第二选择；②若伴高血压，药物的选择与①相同，若有左心室肥厚存在，有可能引起尖端扭转型室性心动过速，故胺碘酮可作为第二选择；但对有显著心室肥厚（室间隔厚度≥14mm）的患者，Ⅰ类抗心律失常药不适宜；③若伴心肌缺血，避免使用Ⅰ类药物，可选择胺碘酮、索他洛尔，也可选择多菲利特与β受体阻断药合用；④若伴心力衰竭，应慎用抗心律失常药物，必要时可考虑应用胺碘酮，或多菲利特加一个适当的β受体阻断药；⑤若合并预激综合征，应首选对房室旁路行射频消融治疗；⑥对迷走神经性房颤，丙吡胺具有抗胆碱能活性，疗效肯定；不宜使用胺碘酮，因该药具有一定的β受体阻断作用，可加重该类房颤的发作；对交感神经性房颤，β受体阻断药可作为一线治疗药物，此外还可选用索他洛尔和胺碘酮；⑦对孤立性房颤可先试用β受体阻断药；普罗帕酮、索他洛尔和氟卡尼的疗效肯定；胺碘酮和多菲利特仅作替代治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">此外，近年来流行的房颤的“上游治疗”对预防复发有一定作用。即通过预防高血压、心功能不全、炎症或外科术后房颤等心肌重构，进一步阻止房颤发生或减少房颤的发作频次及延缓发展为持续性房颤的进程等。主要方法有血管紧张素转换酶抑制剂（ACEI）、血管紧张素受体拮抗药（ARB）、醛固酮拮抗药、他汀类和多聚不饱和脂肪酸等。愈来愈多文献证据显示这些非抗心律失常药物对房颤的一级和二级预防有一定作用。</p><p>4.抗凝治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">心房颤动最大的并发症就是血栓栓塞，无论是在房颤时或在药物或电复律前均需要进行抗凝治疗。老年房颤患者并发血栓栓塞的年发病率达5%，为非房颤患者的6倍。房颤时心房失去有效的收缩，血液在心房内瘀滞有利于血栓的形成。血栓脱落后随血流移动导致全身不同部位的栓塞。因此，大多数学者主张积极予以抗凝治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">在2010年的欧洲指南（欧洲心律学会，EHRA）首次提出了根据房颤相关症状积分进行分级。EHRAⅠ：无任何症状；EHRAⅡ：症状轻微，日常活动不受影响；EHRAⅢ：症状严重，日常活动受到影响；EHRAⅣ：致残性症状，无法从事日常活动。需要注意的是，EHRA积分相关的症状只与房颤相关，当房颤转复为窦性心律或心室率控制后，相应的症状将消失或减轻。房颤相关症状的EHRA分级是治疗策略的选择重要依据，推荐用EHRA积分评价房颤相关症状的严重程度。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">表16-3-5　新指南推荐的CHA<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>DS<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>VASc积分</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">新指南还对在卒中和血栓栓塞的危险分层方面提出了新的评分系统———CHA<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>DS<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>VASc积分（表16-3-5）。与过去比较，在CHADS<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>积分基础上将年龄≥75岁由1分改为了2分，增加了血管疾病、年龄65～74岁、性别（女性）三个危险因素。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">对于如何选择口服抗凝药物，新指南根据CHA<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>DS<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>&nbsp;VASc积分提出的建议（图16-3-43）。认为除了低危患者（孤立性房颤、年龄＜65岁）或存在禁忌证，所有房颤患者均应行抗栓治疗以预防血栓栓塞并发症。对于具体患者而言，抗栓治疗的选择应基于卒中、血栓栓塞和出血的绝对风险以及风险获益比。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">新指南还特别指出，对于房颤患者开始抗凝治疗之前应进行出血风险评估，并首次推出了HAS-BLED出血风险积分（表16-3-6），包括高血压、肝肾功能损害、卒中、出血史、INR（International Normalized Ratio，国际标准化比率）波动、老年（如年龄＞65岁）、药物（如联用抗血小板药或非甾体类抗炎药）或嗜酒，评价房颤患者出血风险，积分≥3分时提示“高危”，出血高危患者无论接受华法林还是阿司匹林治疗，均应谨慎，并在开始抗栓治疗之后定期复查。对于非瓣膜性房颤患者，权衡低INR时卒中风险和高INR时出血风险，新指南仍推荐控制INR 2～3。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">表16-3-6　HAS-BLED出血风险积分</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前预防房颤血栓形成的药物有抗凝药物和抗血小板类药物，抗凝药物有华法林；抗血小板药物有阿司匹林和氯吡格雷。普通肝素或低分子肝素为静脉和皮下用药，一般用作华法林的短期替代治疗或华法林开始前的抗凝治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">关于抗凝药物的选用，临床上公认华法林疗效确切，但需要定期监测INR。使用华法林时，严重出血并发症发生率为1.3%。不建议阿司匹林与华法林联合应用，因其抗凝作用并不优于单独应用华法林，而出血的危险却明显增加。氯吡格雷也可用于预防血栓形成的治疗，临床多用75mg每日一次，顿服，其优点是不需要监测INR，出血危险性低，但预防脑卒中的效益远不如华法林，即使氯吡格雷与阿司匹林合用，其预防脑卒中的作用也不如华法林。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">华法林代谢受到药物、食物和酒精等影响；服用华法林时，不同患者和同一患者不同时间INR波动较大。近期发表的临床对照试验中，仅60%～65%的时间内INR控制在2～3，而在实际应用中，这一数字可能低于50%，在我国则更低。若INR达到治疗范围的时间低于60%，有可能完全抵消服用华法林的获益。队列研究显示INR 在1.5～2.0时，卒中风险升高两倍，故不建议INR＜2.0。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">华法林抗凝治疗的效益和安全性取决于抗凝治疗的强度和稳定性。欧美国家的临床试验证实抗凝强度为INR 2.0～3.0时，可以有效预防脑卒中事件，使脑卒中年发生率从4.5%降至1.5%，相对危险性降低68%，但并不明显增加脑出血的风险。如INR低于2.0，则出血并发症少，但预防血栓形成的作用显著减弱；INR高于4.0，血栓形成减少，但出血并发症显著增多。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">国内资料提示抗凝强度INR维持2.0～3.0时，预防房颤患者血栓栓塞事件是安全有效的。保持INR 2.0～3.0所需的华法林剂量因人而异，华法林的需要量须根据INR的监测值调整。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前用药主要为：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）阿司匹林：为血小板聚集抑制剂，该药乙酰基与环氧化酶结合抑制花生四烯酸变成前列腺素H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>和G<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>使血小板不产生TXA<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>降低血小板集聚度，一般以小剂量为宜，口服75～150mg/d，最大可用300mg/d。主张早8时服用，此为最佳治疗时间窗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）华法林：为香豆素类口服抗凝药物，阻碍维生素K的代谢，致使维生素K缺乏，依赖于维生素K的凝血因子Ⅱ、Ⅶ、Ⅸ、Ⅹ合成减少从而达到较好的抗凝作用。口服华法林一般2～7天才出现抗凝活性，停药后还可持续2～5天。华法林的副作用：为皮疹、胃肠道反应。最严重者致大出血，年发生率为2%～4%。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前，指已经上市的新型抗凝药物有达比加群酯、阿哌沙班和利伐沙班，它们可阻断凝血瀑布中某一关键环节，从而达到抗凝疗效。由于新型抗凝药在治疗过程中不需要常规监测凝血功能，大出血发生率与华法林相仿，便于患者长期服用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（3）达比加群酯（dabigatran etexilate）：作用机制为可逆性抑制凝血酶上的活性部位。达比加群酯口服后生物利用度为6%，常用剂量为110～150mg，每日两次，口服后迅速彻底地转化为达比加群。达比加群的血浆达峰时间为2小时，半衰期为14～17小时。文献报道口服小剂量（110mg，每日两次）预防房颤患者血栓事件的有效性与华法林相似，并可降低大出血的发生率，而大剂量（150mg，每日两次）与华法林相比可进一步降低脑卒中和系统性血栓栓塞事件，大出血发生率与华法林相当。由于有固定剂量服用，且不用检测INR，故可较方便地用于房颤患者的抗凝治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（4）阿哌沙班（apixaban）：是口服凝血Ⅹa因子抑制药，常规用法为2.5mg，每日两次。口服后吸收迅速，口服后3小时血浆浓度达峰值，半衰期为8～14小时，阿哌沙班部分经肝脏代谢，部分经肾脏或肠道排泄。文献报道，不适合接受华法林治疗的心房颤动人群中，阿哌沙班在减少卒中和系统栓塞方面的疗效优于阿司匹林，而安全性相似；在至少有1个危险因素的心房颤动人群中进行的与华法林的对照试验中，阿哌沙班可减少卒中和栓塞事件，主要是减少出血性卒中，同时减少重要出血和全因死亡。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（5）利伐沙班（rivaroxaban）：口服利用度为80%，常规用法是10mg，每日一次，用药后起效快，半衰期为7～11小时，1/3以原型从肾脏排泄，1/3在肝脏代谢后从粪便排泄，1/3在肝脏代谢后从肾脏排泄。有研究比较利伐沙班（10mg，口服，每日一次）和依诺肝素（40mg，皮下注射，每日一次）。ROCKET-AF研究发现利伐沙班在预防非瓣膜病房颤患者血栓事件方面疗效不差于甚至优于华法林，且安全性更好。</p><p>（三）非药物治疗1.同步直流电复律</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">通过电除颤复律器，使房颤转复为窦性心律。其原理是瞬间内给予心脏以强大电能使心房肌细胞在短时间内同时除极，消除颤动波，从而重建窦性心律。采用同步电复律装置以R波触发复律器，放电分为体外及体内复律。优点：安全、迅速成功率高。电复律成功后血流动力学明显改善，心脏射血分数明显增加，患者症状减轻生活质量改善。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">择期电复律的适应证：①房颤病史短半年内效果好，最多不超过1年；②应用抗心律失常药但室率控制不佳者；③左心房内径≤45mm，心胸比例＜0.55；④风湿性二尖瓣狭窄的房颤，矫正术后，仍有房颤者；⑤甲亢症状已控制的房颤；⑥冠心病、高血压引起的房颤。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">电转复前需常规使用抗心律失常药物，使体内维持一定的血药浓度预防复律后房颤的复发，同时提高转复的成功率。复律前对患者进行麻醉使患者安静，以减少患者不适感。复律过程中，应给予心电、血压及呼吸监护并准备好抢救设备及药品。除颤能量一般为100～150J，个别达200～300J。并发症少见，偶有栓塞的报道，发生率为1%～2%。故而有些学者认为转复前宜抗凝治疗。体内电复律临床应用较少，是指将电极置于心房内或者食管内进行电复律，有效率为73%～100%。</p><p>2.射频消融治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">射频消融主要应用于抗心律失常药物无效，或有明显症状的阵发性房颤患者及心室率不易控制的持续房颤患者。早期采用的术式是房室结消融术，即造成永久性完全性房室传导阻滞，然后配合起搏治疗，改善患者症状和血流动力学效应。近年来开展改良术即为选择性消融房室结慢径改良房室结的传导，减慢房颤的心室率，多数患者术后可不需永久起搏治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于经过合理药物治疗仍有明显症状的房颤患者，建议行导管消融。对具体患者而言，是否行导管消融还应考虑：房颤类型、左心房大小、房颤病史；合并的心血管疾病严重程度；替代治疗（AAD，心率控制）以及患者的意愿。对于无症状房颤导管消融是否亦能获益目前还缺乏相关资料。对于消融术前或术中记录到的典型房扑，建议行房扑消融；药物治疗无效、有明显症状的阵发性房颤建议行导管消融；药物治疗无效、有明显症状的持续性房颤，可考虑行导管消融；对于合并心衰的房颤患者，包括胺碘酮在内的药物不能控制症状时考虑导管消融；对于无严重潜在心脏疾病的阵发性房颤，若心率控制无效可在AAD治疗之前直接行导管消融；有症状的长程持续性房颤，若AAD治疗无效，亦可考虑导管消融。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">房颤导管消融高度依赖于术者的经验，目前房颤导管消融的相关研究无一例外的出自经验丰富的术者和先进电生理中心，所以大范围推广还需谨慎。导管消融在房颤治疗中的地位有所提高，但由于治疗成功率相对较低的缺陷，仍未能获得一线治疗的地位。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">从2010年以来，多个知名中心报道阵发性房颤经过数次消融，5年的随访发现其真正的成功率低于50%。对于持续性房颤经多次消融5年的成功率小于30%。在逐渐回归理性的治疗理念的同时，还应认真思考和研究房颤真正的发生机制。对患者进行消融治疗时一定要个体化，切记不要为了手术而手术。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前消融的术式有多种，方法较多。目前比较有效的方法是：左心房线性消融术、肺静脉电隔离术、心腔内超声指导下节段性消融肺静脉电隔离术的方法、肺静脉口周围环形消融术以及神经节消融和CAFé的消融等，其即刻和长期随访的有效率均相似。相反也提示心房颤动的发生机制可能是多源性，不同的个体其发生机制也不同。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一般认为具备以下适应证时可以进行消融治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）不伴有器质性心脏病的阵发性心房颤动，症状明显且抗心律失常药物治疗效果不佳或出现严重的药物不良反应者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）器质性心脏病已经得到良好的控制，但心房颤动仍然频发的阵发性心房颤动。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（3）持续性心房颤动复律后，在抗心律失常药物治疗下不能维持稳定的窦性心律，动态心电图检查发现有频发的房性期前收缩、短阵房性心动过速、心房扑动及其触发的心房颤动。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（4）永久性心房颤动是否适合消融治疗尚无共识。但一些有限的报道展示了希望。目前不建议对较大年龄（75岁以上）、左心房明显增大（＞55mm）、左心房血栓、未加控制的心力衰竭、合并严重心脏病等患者进行心房颤动射频消融治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">与普通消融治疗一样也会出现心脏压塞、血栓栓塞、肺静脉狭窄等并发症，其发生率分别为1%、0.5%和1%。尽管发生率很低，但偶尔也会出现像心房-食管瘘或死亡的严重并发症。</p><p>3.外科治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要术式为“迷宫术”。其主要是通过一系列切口打断常见的折返环，建立一条特殊的传导通路使心房电活动同步，以消除房颤，该手术既保留了窦房结至房室结的“走廊”又使窦房结的冲动能传导到各心房肌组织使心房肌能收缩一致。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">迷宫术对恢复窦性心律是非常有效的，临床报道有效率可达90%以上，但其缺点是需开胸及心肺体外循环，切开/缝合方法复杂、手术时间长、并发症较多。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此外，近年来，不同能量（如冷冻、射频和微波等）的应用，使得经心外膜进行线性消融成为可能。经胸腔镜微创手术进行心耳摘除术和心外膜线性消融以及心外膜肺静脉隔离术也取得较好的疗效。大大地缩短手术时间，显著减少并发症。目前，该方法的适应证主要为有需要进行外科手术同时合并有房颤者，需要与其他心外科手术（如瓣膜置换、冠状动脉搭桥）一起实施。</p><p>4.起搏治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床上对于一些慢性房颤患者，特别是老年房颤患者应用起搏器治疗已成为一种手段有些还合并有快速室性心律失常的患者，如植入心脏起搏器（VVI或VVIR型），可弥补心室率慢及房颤心室律不规则导致的心室充盈不足，有助于改善心脏功能并为使用抗心律失常药物提供条件。最近也有学者对快速心室率（药物不宜控制）合并有心功能不全的患者通过消融房室结植入起搏器治疗也取得较好的效果。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年来，心脏起搏技术的发展，使起搏治疗预防房颤成为可能，预防房颤起搏模式和（或）心房多部位起搏结合可以减少房颤发生的负荷。目前起搏治疗预防房颤的适应证是有心动过缓植入起搏器指征的房颤患者。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4546', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '734', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">过早搏动(premature contraction)简称早搏、期外收缩(extrasystole)或期前收缩(presystole)，是小儿最常见的心律失常，占各种心律失常的37.7%。按其起搏点的部位，可分为房性、房室交接性(交结区)及室性，其中以室性最多，房性次之，交接性较少见。常规心电图检查健康学龄儿童2.2%发生期前收缩，而心脏病患儿为4.3%。24小时动态心电图检查18%～50%健康儿童有室性期前收缩，新生儿期及少年期(13～15岁)最多见。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心电图可区分房性、交接性及室性期前收缩。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.下册</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4561', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1680', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心房扑动（简称房扑）是一种起源于心房的异位性心动过速，是心房快速而规律的电活动，频率在250～350次/分之间，至少在一个体表心电图导联上心房波间无明确的等电位线。它导致快而协调的心房收缩，心室律多数呈规则（房室传导比例多为2∶1～4∶1），少数呈不规则比例传导（房室传导比例不匀），心室率常在140～160次/分之间，房扑分为阵发性和持久性两种类型，其临床发生率较房颤少。房扑的发生常提示合并有器质性心脏病。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4562', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1680', '病因', '<p><span style=\"font-size: 12px;\">1.器质性心脏病</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">房扑几乎总是见于器质性心脏病患者，很少见于正常人。最常见于风湿性心脏病，以二尖瓣狭窄者最为多见，其次是冠心病，也可见于心肌病、心肌炎、高血压心脏病、慢性肺源性心脏病、病态窦房结综合征、某些先天性心脏病（尤其是房间隔缺损）、肺栓塞、慢性缩窄性心包炎、急性心包炎等。</span></p><p><span style=\"font-size: 12px;\">2.心外疾病</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">最常见的为甲状腺功能亢进症，其他原因还有心胸外科手术后、心导管检查、糖尿病性酸中毒、低血钾、低温、缺氧、急性胆囊炎、胆石症、烧伤、全身感染、蛛网膜下腔出血，尤其是原有器质性心脏病患者更易发生。精神过度紧张、激动、过度疲劳等均可诱发心房扑动。</span></p><p><span style=\"font-size: 12px;\">3.药物</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">药物引起者较少见，但可见于洋地黄中毒。</span></p><p><span style=\"font-size: 12px;\">4.正常人</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">偶见于无器质性心脏病的正常人。&nbsp;发病机制</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">目前认为系心房内环形折返机制所致心房扑动，此外局灶性异位起搏点自律性增高所致也可能是因素之一。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">根据房扑大折返环路的缓慢传导区是否位于三尖瓣环与下腔静脉交接的峡部，将心房扑动分为：①典型房扑（图16-3-38、图16-3-39），又称峡部依赖性心房扑动，即Ⅱ、Ⅲ、aVF导联F波向下的Ⅰ型心房扑动；②非典型房扑，又称非峡部依赖性心房扑动，即Ⅱ、Ⅲ、aVF导F波向上的Ⅱ型心房扑动。</span></p><p><br/></p><p style=\"text-align: center;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\">图16-3-38　心房扑动呈3∶1房室下传</span></p><p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\"><br/></span></p><p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\"></span></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">图16-3-39　慢性心房扑动呈不同比例房室下传</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; text-align: center; background-color: rgb(255, 255, 255);\"><br/><br/></span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4563', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1680', '临床症状', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心房扑动大多数为阵发性，常突然发作、突然终止，每次发作可持续数秒、数小时、数天。若持续时间超过2周即为持续性发作，又称慢性心房扑动。个别病例有达数年者。心房扑动也可由心房颤动转变而来。心房扑动如为持续性者，则大多变为慢性（永久性）心房颤动。阵发性心房扑动也有部分可转为慢性心房颤动。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床上有无症状取决于是否存在基础心脏病和心室率的变化。当房室传导比例为3∶1与4∶1时，其房扑的心室率接近正常值，故而对血流动力学影响较小，症状可无或轻，或仅有轻微的心悸、胸闷等；当房室传导为2∶1甚至达1∶1时，心室率可超过150～300次/分，血流动力学可明显受累，患者可出现心悸、胸闷、头晕、精神不安、恐惧、呼吸困难等，甚至可诱发心绞痛，特别是老年患者或原有心脏病较严重者，心室率显著的增快可诱发或加重心力衰竭的发生。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">体检可发现：①如患者房室呈规律传导（2∶1或3∶1），此时表现为心律整齐；当呈2∶1～4∶1甚或4∶1～6∶1不同比例交替下传时，则表现为心律不齐。此时听诊第一心音强弱不等、间隔不一，应与心房颤动鉴别；②运动可加速心房扑动的房室传导比例，如由4∶1变为2∶1传导，心室率可增快并可成倍增加；当停止运动后，心室率又可逐渐恢复到原来的心率值；③压迫颈动脉窦可抑制心房扑动的房室传导比例，使2∶1变为3∶1或4∶1等，心室率变慢。当出现房室传导不同比例时，心律可不齐。停止压迫颈动脉窦后即可恢复原来的心率。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4564', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1680', '心电图特点', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.窦性P波消失，代之以连续（无等电位线）形态、振幅相同、间距相等，频率为250～350次/分呈锯齿状或波浪状（F波）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.QRS波群形态与窦性相同，有时因F波的影响，QRS波群形态可稍有差异。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.常见房室传导比例为2∶1，也可呈3∶1、4∶1，房室传导比例不固定者心室律可不规则。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.有时F波频率和形态不是绝对规则，称不纯性心房扑动或心房扑动-颤动。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4565', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1680', '鉴别诊断', '<p>（一）当房扑呈规律房室传导时应与其他规则的心动过速进行鉴别</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心室率150次/分左右的房扑需与窦性心动过速和室上性心动过速鉴别。仔细寻找心房活动的波形及其与QRS波群的关系，辅以减慢房室传导以暴露扑动波的措施，不难作出鉴别。房扑与心房率在250次/分左右且伴有2∶1房室传导阻滞的房速有时难以鉴别。</p><p>（二）当房扑呈不规则的房室传导时应与房颤及频发期前收缩或室上性心动过速等心律失常进行鉴别</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心电图检查可以作出诊断。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4566', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1680', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">心房扑动的治疗主要分为两方面：</span></p><p><span style=\"font-size: 12px;\">（一）病因治疗</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">由于心房扑动大多系器质性心脏病所致。因此，治疗原发病很重要。有时当原发病未能纠正，心房扑动虽用药物控制但很易反复发作。</span></p><p><span style=\"font-size: 12px;\">（二）对症治疗</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">心房扑动时心室率常常明显增快，尤以活动时更明显，这对原发病影响较大。故原则上除了对极短阵发作的心房扑动且无器质性心脏病依据的患者可以观察外，对其他患者均应及时纠正，使心房扑动转为窦性心律，至少也应将其心室率控制在正常范围内。阵发性或持续性心房扑动的治疗目的有以下几个方面：①终止发作：A.直流电转复；B.抗心律失常药：胺碘酮、普罗帕酮（心律平）以及伊布利特等；②维持治疗：当药物或电转复为窦性心律时，需服胺碘酮、普罗帕酮（心律平）及索他洛尔等药物以维持疗效；③采用导管射频消融术或外科手术可达根治目的。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">有关抗凝治疗仍有争议，以往的观点认为虽然有报道心房扑动患者左心耳血栓的发生率较高，但尚未证实在电复律后血栓栓塞事件发生率增高。近年来的文献报道认为只要不是窦性心律的情况下均可发生栓塞事件，也应该进行正规的抗凝治疗。发生持续性房扑（超过72小时）后如需要转律，更应该进行正规的抗凝治疗后再行转复（药物或电转复）。</span></p><p><span style=\"font-size: 12px;\">1.终止发作（1）直流电复律术：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">电复律是转复窦性心律的最有效方法，成功率可高达94%～100%。最适用于持续性心房扑动而药物治疗无效者。对于预激综合征合并心房扑动，或伴有明显血流动力学障碍需要紧急复律的心房扑动，宜首选电复律治疗。急性心肌梗死伴心房扑动者由于心室率过快也应用电复律。通常应用25～50J即可成功转复。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">电复律的缺点：复发率高，约有20%的患者在复律后数天内又复发。文献报道转复后又复发者，在3个月内者约有20%，在3个月后约有50%，在1年后者为66%。复发率与心房扑动持续时间的长短有关，持续时间长的复发率高。故在复律后应服用抗心律失常药物进行预防。</span></p><p><span style=\"font-size: 12px;\">（2）药物转复：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">药物对心房扑动转律效果欠佳，目前尚无特别有效的药物。伊布利特和维纳卡兰等对房扑的转复带来希望，文献报道有效率可高达50%～70%。但在国内尚无产品。目前国内主要应用的药物如下。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">1）胺碘酮：建议按5mg/kg剂量将胺碘酮加入5%葡萄糖液20ml中缓慢静脉推注。注射时间不得短于5分钟。15分钟后如无效可再给予上述剂量1次。如有效可改用维持量10～20mg/kg，加入250～500ml 5%葡萄糖液中静脉滴注24小时。从静脉注射的第1天起同时口服胺碘酮，200mg/次，3次/日，服7天；然后200mg/次，2次/日，服7天；最后200mg/次，1次/日维持。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">2）普罗帕酮：常规首剂70mg，稀释于5%葡萄糖液20ml中缓慢静脉推注，10分钟后如不复律可重复1次，静注总量不超过210mg。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">3）索他洛尔：按1.5mg/kg剂量将索他洛尔稀释于生理盐水20ml中。缓慢静脉推注10分钟。观察30分钟，若未转复可重复该剂量一次。转复率在40%左右。口服转复法：每次40～80mg，2次/日，通常日总量超过320mg/d可产生严重不良反应，该药半衰期长，且随剂量增加发生尖端扭转型室速的发生率增加。低钾、低镁加重索他洛尔毒性作用。用药期间应监测心电图变化，当QTc≥0.55s时，应考虑减量或暂时停药。窦性心动过缓、心力衰竭者不宜应用。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">4）伊布利特（ibutilide）：转复成功率为53%。剂量成人体重≥60kg者用1mg溶于5%葡萄糖液50ml内静脉缓慢推注（10分钟），若心律失常仍未终止，10分钟后可重复1次。成人体重＜60kg患者推荐剂量为开始0.01mg/kg，按上法应用。如心律失常终止或出现非持续（持续）室性心动过速或明显QT延长均需立即停药。在应用该药后至少要留院监测4小时以上，有文献报道应用该药4小时内仍可发生恶性室性心律失常事件。静注至少4小时以后才能应用Ⅰa和Ⅲ类抗心律失常药。肝肾功能不全者无须调整剂量。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">5）洋地黄：转复成功率为40%～60%。有报道第一次发生的心房扑动用洋地黄转复成功率为90%。是既往常用的首选药。尤其适合伴发于心力衰竭时的心房扑动。不足之处为起效慢，对体力活动等交感神经兴奋时的心室率控制不满意。用西地兰0.4mg加入5%葡萄糖液20ml中缓慢静脉推注至少10分钟，如无效可以再追加0.2～0.4mg，但24小时内不应大于1.2mg。</span></p><p><span style=\"font-size: 12px;\">2.预防发作</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">在应用上述5种药物转复有效后可以继续口服此类药物维持窦律。如不能转复为窦性心律，但有一定的降心室率作用，可改为口服。此外，如上述药物无效不能转复，则以控制心室率为主。可以选择的药物有地尔硫</span><img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%86%85%E7%A7%91%E5%AD%A6_%E5%85%A82%E5%86%8C(%E4%B8%8B)_978-7-117-17272-1/pics/BZ_90_1361_694_1398_733.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/><span style=\"font-size: 12px;\">和维拉帕米，β受体阻断药与地高辛合用对维持窦律和控制心室率均有较好的效果。</span></p><p><span style=\"font-size: 12px;\">3.根治疗法（1）外科手术：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">手术分隔病灶心房，维持窦性心律下传心室，或造成完全性房室传导阻滞之后安装心脏起搏器，以达到控制心室率的目的，此方法已极少用于临床。</span></p><p><span style=\"font-size: 12px;\">（2）经导管射频消融术：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">典型心房扑动（Ⅰ型心房扑动、峡部依赖性心房扑动）消融成功率＞90%，复发率为10%左右。消融靶点在下腔静脉开口和三尖瓣环之间的峡部，即是心房扑动折返环的解剖关键部位，行线性消融。实现峡部双向性传导阻滞（图16-3-40）。非典型心房扑动（Ⅱ型心房扑动、非峡部依赖性心房扑动）消融成功率低，常需要三维标测技术和普通电生理检查方法相结合并根据折返环的路径、主要峡部和屏障选择合理的消融路径。</span></p><p><br/></p><p><br/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">图16-3-40　峡部双向性传导阻滞</span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">A.为心房扑动时激动沿三尖瓣峡部呈逆时针方向传导　B.为消融峡部后右房下起搏见传导不能从峡部传导呈顺钟向传导C.为消融峡部后冠状静脉窦起搏传导仍然不能通过峡部，激动沿逆钟向方向传导</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4567', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '512', '病理解剖', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">若冠状动脉管腔急性完全闭塞，血供完全停止，导致所供区域心室壁心肌透壁性坏死，临床上表现为典型的STEMI，即传统的Q波型MI。在冠状动脉闭塞后20～30分钟，受其供血的心肌即有少数坏死，开始了AMI的病理过程。1～2小时后绝大部分心肌呈凝固性坏死。坏死组织约1～2周后开始吸收，并逐渐纤维化，在6～8周后进入慢性期形成瘢痕而愈合，称为陈旧性或愈合性MI。瘢痕大者可逐渐向外凸出而形成室壁膨胀瘤。梗死区附近心肌的血供随侧支循环的建立而逐渐恢复。病变可波及心包出现反应性心包炎，波及心内膜引起附壁血栓形成。在心腔内压力的作用下，坏死的心壁可破裂（心脏破裂），破裂可发生在心室游离壁、乳头肌或心室间隔处。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病理学上，MI可分为透壁性和非透壁性（或心内膜下）。前者坏死累及心室壁全层，多由冠脉持续闭塞所致；后者坏死仅累及心内膜下或心室壁内，未达心外膜，多是冠脉短暂闭塞而持续开通的结果。不规则片状非透壁MI多见于STEMI在未形成透壁MI前早期再灌注（溶栓或PCI治疗）成功的患者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">STEMI发生后数小时所作的冠状动脉造影显示，90%以上的MI相关动脉发生完全闭塞。少数AMI患者冠状动脉正常，可能为血管腔内血栓的自溶、血小板一过性聚集造成闭塞或严重的持续性冠状动脉痉挛的发作使冠状动脉血流减少所致。左冠状动脉前降支闭塞最多见，可引起左心室前壁、心尖部、下侧壁、前间隔和前内乳头肌梗死；左冠状动脉回旋支闭塞可引起左心室高侧壁、膈面及左心房梗死，并可累及房室结；右冠状动脉闭塞可引起左心室膈面、后间隔及右心室梗死，并可累及窦房结和房室结。右心室及左、右心房梗死较少见。左冠状动脉主干闭塞则引起左心室广泛梗死。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">MI时冠脉内血栓既有白血栓（富含血小板），又有红血栓（富含纤维蛋白和红细胞）。STEMI的闭塞性血栓是白、红血栓的混合物，从堵塞处向近端延伸部分为红血栓。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4568', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '512', '病理生理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">STEMI的病理生理特征是由于心肌丧失收缩功能所产生的左心室收缩功能降低、血流动力学异常和左心室重构所致。</p><p>（一）左心室功能</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">冠状动脉急性闭塞时相关心肌依次发生四种异常收缩形式：①运动同步失调，即相邻心肌节段收缩时相不一致；②收缩减弱，即心肌缩短幅度减小；③无收缩；④反常收缩，即矛盾运动，收缩期膨出。与梗死部位发生功能异常同时，正常心肌在早期出现收缩增强。由于非梗死节段发生收缩加强，使梗死区产生矛盾运动。然而，非梗死节段出现代偿性收缩运动增强，对维持左心室整体收缩功能的稳定有重要意义。</p><p>（二）心室重构</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">MI致左心室节段和整体收缩、舒张功能降低的同时，机体启动了交感神经系统兴奋、肾素-血管紧张素-醛固酮系统激活和Frank-Starling等代偿机制，一方面通过增强非梗死节段的收缩功能、增快心率、代偿性增加已降低的心搏量（SV）和心排血量（CO），并通过左心室壁伸展和肥厚增加左心室舒张末容积（LVEDV）进一步恢复SV和CO，降低升高的左心室舒张末期压（LVEDP）；但另一方面，也同时启动了左心室重构的过程。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">MI发生后，左心室腔大小、形态和厚度发生变化，总称为心室重构（ventricular remodeling）。重构过程反过来影响左心室功能和患者的预后。重构是左心室扩张和非梗死心肌肥厚等因素的综合结果，使心室变形（球形变）。除了梗死范围以外，另外两个影响左心室扩张的重要因素是左心室负荷状态和梗死相关动脉的通畅程度。左心室压力升高有导致室壁张力增加和梗死扩张的危险，而通畅的梗死区相关动脉可加快瘢痕形成，增加梗死区组织的修复，减少梗死的扩展和心室扩张的危险。</p><p>1.梗死扩展（expansion）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是指梗死心肌节段随后发生的面积扩大，而无梗死心肌量的增加。导致梗死扩展的原因有：①肌束之间的滑动，致使单位容积内心肌细胞减少；②正常心肌细胞碎裂；③坏死区内组织丧失。梗死扩展的特征为梗死区不成比例的变薄和扩张。心尖部是心室最薄的部位，也是最容易受到梗死扩展损伤的区域。梗死扩展后，心力衰竭和室壁瘤等致命性并发症发生率增高，严重者可发生心室破裂。</p><p>2.心室扩大</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心室心肌存活部分的扩大也与重构有重要关联。心室重构在梗死发生后立即开始，并持续数月甚至数年。在大面积梗死的情况下，为维持心搏量，有功能的心肌增加了额外负荷，可能会发生代偿性肥厚，这种适应性肥厚虽能代偿梗死所致的心功能障碍，但存活的心肌最终也受损，导致心室的进一步扩张，心脏整体功能障碍，最后发生心力衰竭。心室的扩张程度与梗死范围、梗死相关动脉的开放迟早和心室非梗死区的局部肾素-血管紧张素系统的激活程度有关。心室扩大以及不同部位的心肌电生理特性的不一致，使患者有患致命性心律失常的危险。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4569', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '512', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">按临床过程和心电图的表现，本病可分为急性、演变期和慢性三期，但临床症状主要出现在急性期中，部分患者还有一些先兆表现。</p><p>（一）诱发因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病在春、冬季发病较多，与气候寒冷、气温变化大有关，常在安静或睡眠时发病，以清晨6时至午间12时发病最多。剧烈运动、过重的体力劳动、创伤、情绪激动、精神紧张或饱餐、急性失血、休克、发热、心动过速等引起的心肌耗氧增加、血供减少都可能是MI的诱因。在变异型心绞痛患者中，反复发作的冠状动脉痉挛也可发展为AMI。</p><p>（二）先兆</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">半数以上患者在发病前数日有乏力、胸部不适，活动时心悸、气急、烦躁、心绞痛等前驱症状，其中以新发生心绞痛（初发型心绞痛）、或原有心绞痛加重（恶化型心绞痛）为最突出。同时心电图示ST段一过性明显抬高（变异型心绞痛）或压低，T波倒置或增高（“假性正常化”），应警惕近期内发生MI的可能。发现先兆，及时积极治疗，有可能使部分患者避免发生MI。</p><p>（三）症状</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">随梗死的大小、部位、发展速度和原来心脏的功能情况等而轻重不同。</p><p>1.疼痛</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是最先出现的症状，疼痛部位和性质与心绞痛相同，但疼痛程度较重，范围较广，持续时间可长达数小时或数天，休息或含用硝酸甘油片多不能缓解，患者常烦躁不安、出汗、恐惧，有濒死之感。在我国，约1/6～1/3的患者疼痛的性质及部位不典型，如位于上腹部，常被误认为胃溃疡穿孔或急性胰腺炎等急腹症；位于下颌或颈部，常被误认为牙病或骨关节病。部分患者无疼痛，多为糖尿病患者或老年人，一开始即表现为休克或急性心力衰竭；少数患者在整个病程中都无疼痛或其他症状，而事后才发现患过MI。</p><p>2.全身症状</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要是发热，伴有心动过速、白细胞增高和红细胞沉降率增快等，由坏死物质吸收所引起。一般在疼痛发生后24～48小时出现，程度与梗死范围常呈正相关，体温一般在38℃上下，很少超过39℃，持续1周左右。</p><p>3.胃肠道症状</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">约1/3有疼痛的患者，在发病早期伴有恶心、呕吐和上腹胀痛，与迷走神经受坏死心肌刺激和心排血量降低组织灌注不足等有关；肠胀气也不少见；重症者可发生呃逆（以下壁心肌梗死多见）。</p><p>4.心律失常</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">见于75%～95%的患者，多发生于起病后1～2周内，尤以24小时内最多见。急性期心律失常通常为基础病变严重的表现，如持续心肌缺血、泵衰竭或电解质紊乱、自主神经功能紊乱、低氧血症或酸碱平衡失调。各种心律失常中以室性心律失常为最多，危及生命的室速和室颤发生率高达20%。冠状动脉再灌注后可能出现加速性室性自主心律和室性心动过速，多数历时短暂，自行消失。室上性心律失常则较少，阵发性心房颤动比心房扑动和室上性心动过速更多见，多发生在心力衰竭患者中。窦性心动过速的发生率约为30%～40%，发病初期出现的窦性心动过速多为暂时性，持续性窦性心动过速是梗死面积大、心排血量降低或左心功能不全的反映。各种程度的房室传导阻滞和束支传导阻滞也较多，严重者发生完全性房室传导阻滞。发生CLBBB时MI的心电图表现可被掩盖。前壁MI易发生室性心律失常。下壁（膈面）MI易发生房室传导阻滞，其阻滞部位多在房室束以上处，预后较好。前壁MI而发生房室传导阻滞时，往往是多个束支同时发生传导阻滞的结果，其阻滞部位在房室束以下处，且常伴有休克或心力衰竭，预后较差。</p><p>5.低血压和休克</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">疼痛期血压下降常见，可持续数周后再上升，未必是休克。如疼痛缓解而收缩压低于80mmHg，患者烦躁不安、面色苍白、皮肤湿冷、脉细而快、大汗淋漓、尿量减少（＜20ml/h）、神志迟钝、甚至晕厥，则为休克的表现。休克多在起病后数小时至1周内发生，见于20%的患者，主要是心源性，为心肌广泛（40%以上）坏死、心排血量急剧下降所致，神经反射引起的周围血管扩张为次要的因素，有些患者还有血容量不足的因素参与。</p><p>6.心力衰竭</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要是急性左心衰竭，可在起病最初数日内发生或在疼痛、休克好转阶段出现，为梗死后心脏舒缩力显著减弱或不协调所致，发生率约为20%～48%。患者出现呼吸困难、咳嗽、发绀、烦躁等，严重者可发生肺水肿或进而发生右心衰竭的表现，出现颈静脉怒张、肝肿痛和水肿等。右心室心肌梗死者，一开始即可出现右心衰竭的表现。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">发生于AMI时的心力衰竭称为泵衰竭，根据临床上有无心力衰竭及其程度，常按Killip分级法分级，第Ⅰ级为左心衰竭代偿阶段，无心力衰竭征象，肺部无啰音，但肺毛细血管楔压可升高；第Ⅱ级为轻至中度左心衰竭，肺啰音的范围小于肺野的50%，可出现第三心音奔马律、持续性窦性心动过速、有肺瘀血的X线表现；第Ⅲ级为重度心力衰竭，急性肺水肿，肺啰音的范围大于两肺野的50%。第Ⅳ级为心源性休克，血压＜90mmHg，少尿，皮肤湿冷、发绀、呼吸加速、脉搏快。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">AMI时，重度左心室衰竭或肺水肿与心源性休克同样是左心室排血功能障碍所引起。在血流动力学上，肺水肿是以左心室舒张末期压及左房压与肺毛细血管楔压的增高为主，而在休克则心排血量和动脉压的降低更为突出，心排血指数比左心室衰竭时更低。因此，心源性休克较左心室衰竭更严重。此两者可以不同程度合并存在，是泵衰竭的最严重阶段。</p><p>（四）血流动力学分型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">AMI时心脏的泵血功能并不能通过一般的心电图、胸片等检查而完全反映出来，及时进行血流动力学监测，能为早期诊断和及时治疗提供很重要依据。Forrester等根据血流动力学指标肺毛细血管楔压（PCWP）和心脏指数（CI）评估有无肺淤血和周围灌注不足的表现，从而将AMI分为4个血流动力学亚型。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅰ型：既无肺淤血又无周围组织灌注不足，心功能处于代偿状态。CI＞2.2L/（min・m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>），PCWP≤18mmHg （2.4kPa），病死率约为3%。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅱ型：有肺淤血，无周围组织灌注不足，为常见临床类型。CI＞2.2L/（min・m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>），PCWP＞18mmHg（2.4kPa），病死率约为9%。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅲ型：有周围组织灌注不足，无肺淤血，多见于右心室梗死或血容量不足者。CI＜2.2L/（min・m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>），PCWP≤18mmHg（2.4kPa），病死率约为23%。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅳ型：兼有周围组织灌注不足与肺淤血，为最严重类型。CI≤2.2L/（min・m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>），PCWP＞18mmHg（2.4kPa），病死率约为51%。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于AMI时影响心脏泵血功能的因素较多，因此Forrester分型基本反映了血流动力学变化的状况，不能包括所有泵功能改变的特点。</p><p>（五）体征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">AMI时心脏体征可在正常范围内，体征异常者大多数无特征性。心脏可有轻至中度增大；心率增快或减慢；心尖区第一心音减弱，可出现第三或第四心音奔马律。约10%～20%患者在发病后2～3天出现心包摩擦音，多在1～2天内消失，少数持续1周以上。发生二尖瓣乳头肌功能失调者，心尖区可出现粗糙的收缩期杂音；发生心室间隔穿孔者，胸骨左下缘出现响亮的收缩期杂音，常伴震颤。右心室梗死较重者可出现颈静脉怒张，深吸气时更为明显。除发病极早期可出现一过性血压增高外，几乎所有患者在病程中都会有血压降低，且可能不再恢复到起病之前的水平。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4570', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '512', '并发症', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">MI的并发症可分为机械性、缺血性、栓塞性和炎症性。</p><p>（一）机械性并发症1.心室游离壁破裂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">3%的MI患者可发生心室游离壁破裂，是心脏破裂最常见的一种，占MI患者死亡的10%。心室游离壁破裂常在发病一周内出现，早高峰在MI 后24小时内，晚高峰在MI后3～5天。早期破裂与胶原沉积前的梗死扩展有关，晚期破裂与梗死相关室壁的扩展有关。心脏破裂多发生在第一次MI、前壁梗死、老年和女性患者中。其他危险因素包括MI急性期的高血压、既往无心绞痛和心肌梗死、缺乏侧支循环、心电图上有Q波、应用糖皮质激素或非甾体类抗炎药、MI症状出现后14小时以后的溶栓治疗。心室游离壁破裂的典型表现包括持续性心前区疼痛、心电图ST-T改变，迅速进展的血流动力学衰竭、急性心包填塞和电机械分离。心室游离壁破裂也可为亚急性，即心肌梗死区不完全或逐渐破裂，形成包裹性心包积液或假性室壁瘤，患者能存活数月。</p><p>2.室间隔穿孔</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">比心室游离壁破裂少见，约有0.5%～2%的MI患者会发生室间隔穿孔，常发生于AMI发病后3～7天。AMI后，胸骨左缘突然出现粗糙的全收缩期杂音或可触及收缩期震颤，或伴有心源性休克和心力衰竭，应高度怀疑室间隔穿孔，此时应进一步作超声心动图检查以明确诊断。</p><p>3.乳头肌功能失调或断裂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">乳头肌功能失调总发生率可高达50%，二尖瓣乳头肌因缺血、坏死等使收缩功能发生障碍，造成不同程度的二尖瓣脱垂或关闭不全，心尖区出现收缩中晚期喀喇音和吹风样收缩期杂音，第一心音可不减弱，可引起心力衰竭。乳头肌断裂极少见，多发生在二尖瓣后内乳头肌，故在下壁MI中较为常见。少数完全断裂者则发生急性二尖瓣大量反流，造成严重的急性肺水肿，约1/3的患者迅速死亡。</p><p>4.室壁膨胀瘤（cardiac aneurysm）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">或称室壁瘤，多累及左心室心尖部，发生率5%～20%，是在心室腔内压力影响下，梗死部位的心室壁向外膨出而形成，见于MI范围较大的患者，常于起病数周后才被发现。发生较小室壁瘤的患者可无症状与体征，但发生较大室壁瘤患者，可出现顽固性充血性心力衰竭以及复发性、难治的致命性心律失常。体检可发现心浊音界扩大，心脏搏动范围较广泛或心尖抬举样搏动，可有收缩期杂音。心电图上除了有MI的异常Q波外，约2/3患者同时伴有持续性ST段弓背向上抬高。X线透视和摄片、超声心动图、放射性核素心脏血池显像、磁共振成像以及左心室选择性造影可见局部心缘突出，搏动减弱或有反常搏动（图16-8-8）。室壁瘤按病程可分为急性和慢性室壁瘤。急性室壁瘤在MI后数日内形成，易发生心脏破裂和形成血栓。慢性室壁瘤多见于MI愈合期，由于其瘤壁为致密的纤维瘢痕所替代，所以一般不会引起破裂。</p><p>（二）缺血性并发症1.梗死延展（extension）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">指同一梗死相关冠状动脉供血部位的MI范围的扩大，可表现为心内膜下MI转变为透壁性MI或MI范围扩大到邻近心肌，多有梗死后心绞痛和缺血范围的扩大。梗死延展多发生在AMI后的2～3周内，多数原梗死区相应导联的心电图有新的梗死性改变且肌钙蛋白或CK-MB升高时间延长。</p><p>2.再梗死</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">多指AMI 4周后再次发生的MI，既可发生在原来梗死的部位，也可发生在任何其他心肌部位。如果再梗死发生在AMI后4周内，则其心肌坏死区一定受另一支有病变的冠状动脉所支配。通常再梗死发生在与原梗死区不同的部位，诊断多无困难；若再梗死发生在与原梗死区相同的部位，尤其是反复多次的灶性梗死，常无明显的或特征性的心电图改变，可使诊断发生困难，此时迅速上升且又迅速下降的酶学指标如CK-MB比肌钙蛋白更有价值。CK-MB恢复正常后又升高或超过原先水平的50%对再梗死具有重要的诊断价值。</p><p>（三）栓塞性并发症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">MI并发血栓栓塞主要是指心室附壁血栓或下肢静脉血栓破碎脱落所致的体循环栓塞或肺动脉栓塞。左心室附壁血栓形成在AMI患者中较多见，尤其在急性大面积前壁MI累及心尖部时，其发生率可高达60%左右，而体循环栓塞并不常见，国外一般发生率在10%左右，我国一般在2%以下。附壁血栓的形成和血栓栓塞多发生在梗死后的第一周内。最常见的体循环栓塞为脑卒中，也可产生肾、脾或四肢等动脉栓塞；如栓子来自下肢深部静脉，则可产生肺动脉栓塞。</p><p>（四）炎症性并发症1.早期心包炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">发生于心肌梗死后1～4天内，发生率约为10%。早期心包炎常发生在透壁性MI患者中，系梗死区域心肌表面心包并发纤维素性炎症所致。临床上可出现一过性的心包摩擦音，伴有进行性加重胸痛，疼痛随体位而改变。</p><p>2.后期心包炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（心肌梗死后综合征或Dressler综合征）发病率为1%～3%，于MI后数周至数月内出现，并可反复发生。其发病机制迄今尚不明确，推测为自身免疫反应所致。临床上可表现为突然起病，发热、胸膜性胸痛、白细胞计数升高和血沉增快，心包或胸膜摩擦音可持续2周以上，超声心动图常可发现心包积液，少数患者可伴有少量胸腔积液或肺部浸润。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4571', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '512', '危险分层', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">STEMI的患者具有以下任何一项者可被确定为高危患者：①年龄＞70岁；②前壁MI；③多部位MI（指两个部位以上）；④伴有血流动力学不稳定，如低血压、窦性心动过速、严重室性心律失常、快速心房颤动、肺水肿或心源性休克等；⑤左、右束支传导阻滞源于AMI；⑥既往有MI病史；⑦合并糖尿病和未控制的高血压；⑧伴有右心室梗死和血流动力学异常的下壁MI。</p><p style=\"text-align: right;\">来源&nbsp; :&nbsp;&nbsp;实用内科学:全2册(下)</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4572', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '512', '辅助检查', '<p><span style=\"font-size: 12px;\">（一）心电图检查</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">虽然一些因素限制了心电图对MI的诊断和定位的能力，如心肌损伤的范围，梗死的时间及其位置，传导阻滞的存在，陈旧性MI的存在，急性心包炎，电解质浓度的变化及服用对心电有影响的药物等。然而，标准12导联心电图的系列观察（必要时18导联），仍然是临床上对STEMI检出和定位的有用方法。</span></p><p><span style=\"font-size: 12px;\">1.特征性改变</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">在面向透壁心肌坏死区的导联上出现以下特征性改变：①宽而深的Q波（病理性Q波）；②ST段抬高呈弓背向上型［指相邻两个导联新发生的ST段抬高，J点抬高的界限值：在V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>～V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>导联≥0.2mV（男性），≥0.15mV（女性），和（或）其他导联≥0.1mV］；③T波倒置，往往宽而深，两支对称。在背向梗死区的导联上则出现相反镜像的改变，即R波增高、ST段压低和T波直立并增高。</span></p><p><span style=\"font-size: 12px;\">2.动态性改变</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">①起病数小时内，可无异常或出现异常高大，两肢不对称的T波；②数小时后，ST段明显抬高，弓背向上，与直立的T波连接，形成单向曲线。数小时到2天内出现病理性Q波（又称Q波型MI），同时R波减低，为急性期改变；Q波在3～4天内稳定不变，以后70%～80%永久存在；③如不进行治疗干预，ST段抬高持续数日至2周左右，逐渐回到基线水平，T波则变为平坦或倒置，是为亚急性期改变；④数周至数月以后，T波呈V形倒置，两肢对称，波谷尖锐，为慢性期改变，T波倒置可永久存在，也可在数月到数年内逐渐恢复（图16-8-9、图16-8-10）。合并束支阻滞尤其左束支阻滞时、在原来部位再次发生AMI时，心电图表现多不典型，不一定能反映AMI表现。</span></p><p><span style=\"font-size: 12px;\">3.定位和定范围</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); font-size: 12px;\">STEMI的定位和定范围可根据出现特征性改变的导联数来判断（表16-8-1）。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); font-size: 12px;\"><br/></span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"text-align: center; color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); font-size: 12px;\">图16-8-9　急性前侧壁和下壁心肌梗死的心电图</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"text-align: center; color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180515-1526370204575094074.jpg\" title=\"1526370204575094074.jpg\" alt=\"图16-8-10　急性下壁心肌梗死的心电图.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1831px; table-layout: fixed;\"/></span></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">图16-8-10　急性下壁心肌梗死的心电图</span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">图示Ⅱ、Ⅲ、aVF导联ST段抬高，Ⅲ导联QRS波呈qR型，Ⅰ、aVL导联ST段压低</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">表16-8-1　ST段抬高型心肌梗死的心电图定位诊断</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"text-align: center; color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180515-1526370242017065586.jpg\" title=\"1526370242017065586.jpg\" alt=\"表16-8-1　ST段抬高型心肌梗死的心电图定位诊断.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1971px; table-layout: fixed;\"/></span><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important; text-align: center;\"><span style=\"text-align: center; color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); font-size: 12px;\">续表</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"text-align: center; color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180515-1526370263249058477.jpg\" title=\"1526370263249058477.jpg\" alt=\"表16-8-1　ST段抬高型心肌梗死的心电图定位诊断-续表.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1971px; table-layout: fixed;\"/></span></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">注：“+”为正面改变，表示典型Q波、ST段抬高及T波倒置等变化</span></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">“-”为反面改变，表示与上述相反的变化</span></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">“±”为可能有正面改变</span></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">“…”为可能有反面改变</span></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\"><span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">*</span>即隔面，右心室MI不易从心电图得到诊断，但此时CR<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>（或V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4R</span>）导联的ST段抬高，可作为下壁MI扩展到右心室的参考指标</span></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">*<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">*</span>在V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">5</span>、V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">6</span>、V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">7</span>导联高1～2肋间处有正面改变</span></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\"><span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">***</span>V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>、V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>、V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>导联R波增高</span></p><p><span style=\"font-size: 12px;\">（二）心肌标志物测定1.心肌损伤标志物测定</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">心肌坏死时，心肌内含有的一些蛋白质类物质会从心肌组织内释放出来，并出现在外周循环血液中，因此可作为心肌损伤的判定指标。这些物质主要包括肌钙蛋白和肌红蛋白。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">肌钙蛋白（troponin，Tn）是肌肉组织收缩的调节蛋白，心肌肌钙蛋白（cTn）与骨骼肌中的Tn在分子结构和免疫学上是不同的，因此它是心肌所独有，是诊断心肌坏死最特异和敏感的首选标志物。cTn共有cTnT、cTnI、cTnC三个亚单位。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">cTnT在健康人血清中的浓度一般小于0.03ng/ml，通常AMI后3～4小时开始升高，2～5天达到峰值，持续10～14天；肌钙蛋白超过正常上限结合心肌缺血证据即可诊断AMI。因此，cTnT对早期和晚期AMI以及UA患者的灶性心肌坏死均具有很高的诊断价值。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">cTnI也是一种对心肌损伤和坏死确具高度特异性的血清学指标，在AMI后4～6小时或更早即可升高，24小时后达到峰值，约1周后降至正常。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">肌红蛋白在AMI发病后2～3小时内即已升高，12小时内多达峰值，24～48小时内恢复正常，由于其出现时间均较cTn和肌酸激酶同工酶（CK-MB）早，故有助于早期诊断，但特异性较差，如慢性肾功能不全、骨骼肌损伤时，肌红蛋白水平均会增高，此时应予以仔细鉴别。</span></p><p><span style=\"font-size: 12px;\">2.血清酶学检查</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">CK-MB判断心肌坏死的临床特异性和敏感性较高，在起病后4小时内增高，16～24小时达高峰，3～4日恢复正常。AMI时其测值超过正常上限并有动态变化。由于首次STEMI后肌钙蛋白将持续升高一段时间（7～14天），CK-MB适于诊断再发心肌梗死。连续测定CK-MB还可判定溶栓治疗后梗死相关动脉开通，此时CK-MB峰值前移（14小时以内）。由于磷酸肌酸激酶（CK）广泛分布于骨骼肌，缺乏特异性，因此不再推荐用于诊断AMI。天门冬氨酸氨基转移酶、乳酸脱氢酶和乳酸脱氨酶同工酶对诊断AMI特异性差，也不再推荐用于诊断AMI。</span></p><p><span style=\"font-size: 12px;\">3.其他检查</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">为组织坏死和炎症反应的非特异性指标。AMI发病1周内白细胞可增至（10～20）×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L，中性粒细胞多在75%～90%，嗜酸性粒细胞减少或消失。红细胞沉降率增快，可持续1～3周。血清游离脂肪酸、C反应蛋白在AMI后均增高。血清游离脂肪酸显著增高者易发生严重室性心律失常。此外，AMI时，由于应激反应，血糖可升高，糖耐量可暂降低，约2～3周后恢复正常。STEMI患者在发病24～48小时内血胆固醇保持或接近基线水平，但以后会急剧下降。因此，所有STEMI患者应在发病24～48小时内测定血脂谱，超过24～48小时者，要在AMI发病8周后才能获得更准确的血脂结果。AMI早期测定B型钠尿肽（BNP）对评价左心室重构、心功能状态和预后具有一定临床价值。</span></p><p><span style=\"font-size: 12px;\">（三）放射性核素心肌显影</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">正电子发射计算机断层扫描（PET）可观察心肌的代谢变化，判断心肌是否存活，是目前唯一能直接评价心肌存活性的影像技术。一些核素示踪剂包括<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">201&nbsp;</span>Tl、<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">99m</span>Tc-MIBI、tetrofosmin和18F-FDG可用于直接显像存活心肌。ECG门控的心血池显像可评估室壁运动、室壁厚度和整体功能。</span></p><p><span style=\"font-size: 12px;\">（四）超声心动图</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">根据超声心动图上所见的室壁运动异常可对心肌缺血区域作出判断。在评价有胸痛而无特征性心电图变化时，超声心动图有助于除外主动脉夹层。对MI患者，床旁超声心动图对发现机械性并发症很有价值，如评估心脏整体和局部功能、乳头肌功能不全、室壁瘤（图16-8-11）和室间隔穿孔等。多巴酚丁胺负荷超声心动图检查还可用于评价心肌存活性。</span></p><p><span style=\"font-size: 12px;\">（五）选择性冠状动脉造影</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">需施行各种介入性治疗时，可先行选择性冠状动脉造影，明确病变情况，制定治疗方案。</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4573', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '512', '诊断与鉴别诊断', '<p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">依据典型的临床表现、特征性的心电图改变、血清心肌坏死标志物水平动态改变，STEMI的确诊一般并不困难。无症状的患者，诊断较困难。凡年老患者突然发生休克、严重心律失常、心力衰竭、上腹胀痛或呕吐等表现而原因未明者，或原有高血压而血压突然降低且无原因可寻者，都应想到AMI的可能。此外，有较重而持续较久的胸闷或胸痛者，即使心电图无特征性改变，也应考虑本病的可能，都宜先按AMI处理，并在短期内反复进行心电图观察和血清肌钙蛋白或CK-MB等测定，以确定诊断。当存在左束支传导阻滞图形时，MI的ECG诊断较困难，因它与STEMI的ECG变化相类似，此时，与QRS波同向的ST段抬高和至少2个胸导联ST段抬高＞5mm强烈提示MI。一般来说，有疑似症状并新出现的左束支传导阻滞应按STEMI来治疗。无病理性Q波的心内膜下心肌梗死和小的透壁性或非透壁性或微型心肌梗死，鉴别诊断参见前文“UA/ NSTEMI”段。血清肌钙蛋白和心肌酶测定的诊断价值更大。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2012年欧洲心脏病学会（ESC）发布了由ESC、美国心脏病学会（ACC）、美国心脏学会（AHA）和世界心脏联盟（WHF）共同制订的第3版《心肌梗死通用定义》。将AMI定义为由于心肌缺血导致心肌细胞死亡。心肌梗死标准为：血清心肌标志物（主要是肌钙蛋白）升高（至少超过99%参考值上限），并至少伴有以下一项临床指标：①缺血症状；②新发生的缺血性ECG改变［新的ST-T改变或左束支传导阻滞（LBBB）］；③ECG病理性Q波形成；④影像学证据显示有新的心肌活性丧失或新发的局部室壁运动异常；⑤冠脉造影或尸检证实冠状动脉内有血栓。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">AMI可分为5种临床类型：1型：由冠状动脉斑块破裂、裂隙或夹层引起冠脉内血栓形成，从而导致自发性心肌梗死；2型：继发于心肌氧供需失衡（如冠脉痉挛、心律失常、贫血、呼吸衰竭、高血压或低血压）导致缺血的心肌梗死；3型：疑似为心肌缺血的突发心源性死亡，或怀疑为新发生的ECG缺血变化或新的LBBB的心源性死亡；4型（4a 和4b）：与PCI相关的心肌梗死。其中将4型心肌梗死分为4a型和4b型：4a型心肌梗死定义为PCI过程所致的心肌梗死，包括球囊扩张和支架植入过程，标准是：术后患者血清肌钙蛋白水平升高超过99%参考值上限的5倍，并且有其中之一：心肌缺血症状、新的ECG缺血变化、造影所见血管缺失、有新的心肌活力丧失或新的室壁运动异常的影像学证据；4b型心肌梗死定义为支架血栓形成的心肌梗死，标准是：冠脉造影或尸检所见有缺血相关血管有血栓形成，血清心肌标志物升高至少超过99%参考值上限；5型：与CABG相关的心肌梗死：患者的肌钙蛋白要超过99%参考值上限10倍，并伴有以下之一：ECG新出现的病理性Q波或LBBB、造影证实新的桥（静脉桥或动脉桥）内堵塞、新的心肌活性丧失或新发的局部室壁运动异常。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在新版中还增加了以下定义：与手术操作相关的心肌梗死，如TAVI（经皮穿刺瓣膜成形术）手术所致的心肌梗死、二尖瓣抓捕（Mitral clip）术所致的心肌梗死、心律失常射频治疗所致的心肌梗死；非心脏手术所致的心肌梗死；ICU内发生的心肌梗死；心衰相关的心肌缺血或心肌梗死。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此外，AMI还需与变异型心绞痛相鉴别。本病由Prinzmetal于1959年首先描述，心绞痛几乎都在静息时发生，常呈周期性，多发生在午夜至上午8时之间，常无明显诱因，历时数十秒至30分钟。发作时心电图显示有关导联的ST段短时抬高、R波增高，相对应导联的ST段压低，T波可有高尖表现（图16-8-12），常并发各种心律失常。本病是由冠状动脉痉挛所引起，多发生在已有冠脉狭窄的基础上，但其临床表现与冠脉狭窄程度不成正比，少数患者冠脉造影可以正常。吸烟是本病的重要危险因素，麦角新碱或过度换气试验可诱发冠脉痉挛。药物治疗以钙通道阻断药和硝酸酯类最有效。病情稳定后根据冠脉造影结果再定是否需要血运重建治疗。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4574', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '512', '预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">STEMI的预后与梗死范围的大小、侧支循环产生的情况、有无其他疾病并存以及治疗是否及时有关。发生严重心律失常、休克或心力衰竭者病死率尤高。MI长期预后的影响因素中主要为患者的心功能状况、梗死后心肌缺血及心律失常、梗死部位以及患者的年龄、是否合并高血压、糖尿病和慢性肾功能不全等。AMI再灌注治疗后梗死相关冠状动脉再通与否是影响MI急性期良好预后和长期预后的重要独立因素。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4575', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '512', '防治', '<p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); font-size: 12px;\">治疗原则是保护和维持心脏功能，挽救濒死的心肌，防止梗死面积扩大，缩小心肌缺血范围，及时处理各种并发症，防止猝死，使患者不但能度过急性期，且康复后还能保持尽可能多的有功能的心肌。</span></p><p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180515-1526370405276058499.jpg\" title=\"1526370405276058499.jpg\" alt=\"图16-8-12　变异型心绞痛的心电图.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1807px; table-layout: fixed;\"/></span></p><p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); font-size: 12px;\"></span></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">图16-8-12　变异型心绞痛的心电图</span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">本图为动态心电图记录，上图为心绞痛发作时心电图示模拟Ⅱ、V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>和V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">5</span>导联ST段明显抬高；下图为症状缓解后心电图示上述导联ST段明显回落</span></p><p><span style=\"font-size: 12px;\">（一）一般治疗</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">参见前文“UA/NSTEMI”段。</span></p><p><span style=\"font-size: 12px;\">（二）再灌注治疗</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">及早再通闭塞的冠状动脉，使心肌得到再灌注，挽救濒死的心肌或缩小心肌梗死的范围，是一种关键的治疗措施。它还可极有效地解除疼痛。</span></p><p><span style=\"font-size: 12px;\">1.溶栓治疗</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">虽然近年来STEMI急性期行直接PCI已成为首选方法，但能开展直接PCI的医院并不普遍，而溶栓治疗具有快速、简便、经济、易操作的特点，特别当因各种原因使就诊至血管开通时间延长时，静脉溶栓仍然是较好的选择。溶栓获益大小主要取决于治疗时间和达到的TIMI血流。在发病3小时内行溶栓治疗，梗死相关血管的开通率增高，病死率明显降低，其临床疗效与直接PCI相当。发病3～12小时内行溶栓治疗，其疗效不如直接PCI，但仍能获益。发病12～24小时内，如果仍有持续或间断的缺血症状和持续ST段抬高，溶栓治疗仍然有效。LBBB、大面积梗死（前壁MI、下壁MI合并右心室梗死）患者，溶栓获益最大。而对于NSTE-ACS，溶栓治疗不仅无益反而有增加AMI的倾向，因此标准溶栓治疗目前仅用于STEMI患者。</span></p><p><span style=\"font-size: 12px;\">（1）溶栓治疗的适应证：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">①发病12小时内到不具备急诊PCI治疗条件的医院就诊、不能迅速转运、无溶栓禁忌证者；②发病3小时之内而不能及时进行介入治疗者，或虽具备急诊PCI治疗条件，但就诊至球囊扩张时间与就诊至溶栓开始时间相差＞60分钟，且就诊至球囊扩张时间＞90分钟者；③对再梗死患者，如不能立即（症状发作后60分钟内）进行PCI；④发病12～24小时仍有进行性缺血性疼痛和至少2个胸导联或肢体导联ST段抬高＞0.1mV，无急诊PCI条件者。发病24小时后若症状已缓解，不应采取溶栓治疗。</span></p><p><span style=\"font-size: 12px;\">（2）溶栓治疗的禁忌证：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">①近期（14天内）有活动性出血（胃肠道溃疡出血、咯血、痔疮出血等），作过外科手术或活体组织检查，心肺复苏术后（体外心脏按压、心内注射、气管插管），不能实施压迫的血管穿刺，以及外伤史者；②高血压患者血压＞180/110mmHg，或不能排除主动脉夹层分离者；③有出血性脑血管意外史，或半年内有缺血性脑血管意外（包括TIA）史者；④对扩容和升压药无反应的休克；⑤妊娠、感染性心内膜炎、二尖瓣病变合并心房颤动且高度怀疑左心房内有血栓者；⑥糖尿病合并视网膜病变者；⑦出血性疾病或有出血倾向者，严重的肝肾功能障碍及进展性疾病（如恶性肿瘤）者。由于中国人群的出血性卒中发病率高，因此，年龄≥75岁患者应首选PCI，选择溶栓治疗时应慎重，酌情减少溶栓药物剂量。</span></p><p><span style=\"font-size: 12px;\">（3）治疗步骤：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">①溶栓前检查血常规、血小板计数、出凝血时间、APTT及血型，配血备用；②即刻口服阿司匹林300mg，以后每天100mg，长期服用；③进行溶栓治疗。</span></p><p><span style=\"font-size: 12px;\">（4）溶栓药物：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">①非特异性纤溶酶原激活剂：对血栓部位或体循环中纤溶系统均有作用，常导致全身性纤溶活性增高，常用的有尿激酶（UK或rUK）和链激酶（SK或rSK）。链激酶为异种蛋白，可引起过敏反应，在2年内应避免再次应用。②特异性纤溶酶原激活剂：可选择性激活血栓中与纤维蛋白结合的纤溶酶原，对全身纤溶活性影响较小，无抗原性。其半衰期短，需要同时使用肝素，冠状动脉开通率优于链激酶。最常用的为人重组组织型纤溶酶原激活剂（rtPA）阿替普酶（alteplase）。③新型特异性纤溶酶原激活剂：采用基因工程改良的组织型纤溶酶原激活剂衍生物，溶栓治疗的选择性更高，半衰期延长，适合弹丸式静脉推注，药物剂量和不良反应均减少，使用方便。已用于临床的有瑞替普酶（reteplase）、兰替普酶（lanetoplase）和替奈普酶（tenecteplase，TNK-PA）等，均需要联合肝素（48小时），以防止再闭塞。</span></p><p><span style=\"font-size: 12px;\">（5）给药方案：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">STEMI确诊后应当尽早用药（就诊至溶栓开始时间＜30分钟），同时规范用药方法和剂量，以获得最佳疗效：①尿激酶150万U溶于100ml生理盐水，30分钟内静脉滴入；②链激酶150万U静脉滴注，60分钟内滴完；对链激酶过敏者，宜于治疗前半小时用异丙嗪（非那根）25mg肌内注射，并与少量的地塞米松（2.5～5mg）同时滴注；③阿替普酶：首先静脉推注15mg，随后0.75mg/kg 在30分钟内持续静脉滴注（最大剂量不超过50mg），继之0.5mg/kg于60分钟持续静脉滴注（最大剂量不超过35mg）；④瑞替普酶：10单位溶于5～10ml注射用水，2分钟以上静脉推注，30分钟后重复上述剂量；⑤替奈普酶：一般为30～50mg溶于10ml生理盐水静脉推注，根据体重调整剂量：如体重＜60kg，剂量为30mg；体重每增加10kg，剂量增加5mg，最大剂量为50mg。</span></p><p><span style=\"font-size: 12px;\">（6）溶栓治疗期间的辅助抗凝治疗：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">尿激酶和链激酶为非选择性的溶栓剂，故在溶栓治疗后短时间内（12小时内）不存在再次血栓形成的可能，对于溶栓有效的患者，溶栓结束后12小时皮下注射普通肝素7500U或低分子肝素，共3～5天。对于溶栓治疗失败者，辅助抗凝治疗则无明显临床益处。对于阿替普酶、瑞替普酶和替奈普酶等选择性的溶栓剂，溶栓使血管再通后仍有再次血栓形成的可能，因此在溶栓治疗前后均应给予充分的肝素治疗。溶栓前先给予5000U肝素冲击量，然后以1000U/h的肝素持续静脉滴注24～48小时，以出血时间延长2倍为基准，调整肝素用量。亦可选择低分子量肝素替代普通肝素治疗，其临床疗效相同，如依诺肝素，首先静脉推注30mg，然后以1mg/kg的剂量皮下注射，每12小时1次，用3～5天为宜。</span></p><p><span style=\"font-size: 12px;\">（7）溶栓再通的判断指标：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">1）直接指征：冠状动脉造影检查观察血管再通情况，冠状动脉造影所示血流情况通常采用TIMI（thrombolysis in myocardial infarction）分级：根据TIMI分级达到2、3级者表明血管再通，但2级者通而不畅，TIMI3级为完全性再通，溶栓失败则梗死相关血管持续闭塞（TIMI 0～1级）。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">2）间接指征：①60～90分钟内抬高的ST段至少回落50%；②cTnT峰值提前至发病12小时内，CK-MB酶峰提前到14小时内出现；③2小时内胸痛症状明显缓解；④治疗后的2～3小时内出现再灌注心律失常，如加速性室性自主心律、房室传导阻滞或束支传导阻滞突然改善或消失，或下壁MI患者出现一过性窦性心动过缓、窦房传导阻滞伴或不伴低血压。上述4项中，心电图变化和心肌损伤标志物峰值前移最重要。</span></p><p><span style=\"font-size: 12px;\">2.介入治疗（PCI）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">直接PCI（primary PCI）是指AMI患者未经溶栓治疗直接进行冠状动脉血管成形术，其中支架植入术的效果优于单纯球囊扩张术。目前直接PCI已被公认为首选的最安全有效的恢复心肌再灌注的治疗手段，梗死相关血管的开通率高于药物溶栓治疗，尤其对来院时发病时间已超过3小时或对溶栓治疗有禁忌证的患者。直接PCI的指征还包括：①能及时进行（就诊至球囊扩张时间＜90分钟），症状发病＜12小时（包括正后壁心肌梗死）或伴有新出现或可能新出现LBBB者；急诊PCI应当由有经验的医师（每年至少独立完成50例PCI），并在具备条件的导管室（每年至少完成100例PCI）进行；②发病36小时内出现休克，病变适合血管重建，并能在休克发生18小时内完成者；③症状发作＜12小时，伴有严重心功能不全和（或）肺水肿（KillipⅢ级）者；④常规支架置入；⑤发病12～24小时内具备以下1个或多个条件时：A.严重心力衰竭；B.血流动力学或心电不稳定；C.持续缺血的证据。发病＞12小时、无症状、血流动力学和心电稳定的患者不宜行直接PCI治疗。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">溶栓治疗失败者则应考虑做补救性PCI（rescue PCI），但只有在复发起病后90分钟内即能开始PCI者获益较大，否则应重复应用溶栓药，不过重复给予溶栓药物增加严重出血并发症。直接PCI后，尤其是放置支架后，可应用GP Ⅱb/Ⅲa受体拮抗药辅助治疗，持续用24～36小时。无条件施行介入治疗的医院宜迅速将患者送到测算能在患者起病6小时内施行介入治疗的医院治疗。如测算转送后患者无法在6小时内接受PCI，则宜就地进行溶栓治疗或溶栓后转送。</span></p><p><span style=\"font-size: 12px;\">3.冠状动脉旁路移植手术（CABG）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">对少数合并心源性休克不适宜PCI者，急诊CABG可降低病死率。机械性并发症（如心室游离壁破裂、乳头肌断裂、室间隔穿孔）引起心源性休克时，在急性期需行CABG和相应心脏手术治疗。</span></p><p><span style=\"font-size: 12px;\">（三）其他药物治疗1.抗血小板治疗</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">抗血小板治疗能减少STEMI患者的主要心血管事件（死亡、再发致死性或非致死性MI和卒中）的发生，因此除非有禁忌证，所有患者应给予本项治疗。其用法见前文“UA/NSTEMI”段。</span></p><p><span style=\"font-size: 12px;\">2.抗凝治疗</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">除非有禁忌证，所有STEMI患者无论是否采用溶栓治疗，都应在抗血小板治疗的基础上常规接受抗凝治疗。抗凝治疗能建立和维持梗死相关动脉的通畅，并能预防深静脉血栓形成、肺动脉栓塞以及心室内血栓形成。对于接受溶栓或不行再灌注治疗的患者，磺达肝癸钠有利于降低死亡和再梗死，而不增加出血并发症，无严重肾功能不全的患者［血肌酐＜265μmol/L（3mg/dl）］，初始静脉注射2.5mg，随后每天皮下注射1次（2.5mg），最长8天。不主张磺达肝癸钠单独用于STEMI直接PCI时，需联合普通肝素治疗，以减少导管内血栓形成发生。直接PCI尤其出血风险高时推荐应用比伐卢定，无论之前是否用肝素治疗，先静脉推注0.75mg/kg，再静脉滴注1.75mg/ （kg・h），不需监测ACT，操作结束时停止使用。STEMI急性期后，超声心动图提示心腔内有活动性血栓，需口服华法林3～6个月；合并心房颤动，不能耐受阿司匹林和氯吡格雷者，可长期服用华法林，维持INR2～3。若需在阿司匹林和氯吡格雷的基础上加用华法林时，需注意出血的风险，严密监测INR，缩短监测间隔。其他抗凝治疗用法见前文“UA/NSTEMI”段。</span></p><p><span style=\"font-size: 12px;\">3.硝酸酯类药物</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">对于有持续性胸部不适、高血压、大面积前壁MI、急性左心衰竭的患者，在最初24～48小时的治疗中，静脉内应用硝酸甘油有利于控制心肌缺血发作，缩小梗死面积，降低短期甚至可能长期病死率。其用法见前文“UA/NSTEMI”段。有下壁MI，可疑右心室梗死或明显低血压的患者（收缩压低于90mmHg），尤其合并明显心动过缓或心动过速时，硝酸酯类药物能降低心室充盈压，引起血压降低和反射性心动过速，应慎用或不用。无并发症的MI低危患者不必常规给予硝酸甘油。</span></p><p><span style=\"font-size: 12px;\">4.镇痛剂</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">选择用药和用法见前文“UA/NSTEMI”段。</span></p><p><span style=\"font-size: 12px;\">5.β受体阻断药</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">无禁忌证时，应于发病后24小时内常规口服，以减少心肌耗氧量和改善缺血区的氧供需失衡，限制MI面积，减少复发性心肌缺血、再梗死、室颤及其他恶性心律失常，对降低急性期病死率有肯定的疗效。其用法见前文“UA/NSTEMI”段。</span></p><p><span style=\"font-size: 12px;\">6.ACEI和ARB</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">ACEI主要通过影响心肌重构、减轻心室过度扩张而减少充血性心力衰竭的发生，降低病死率。对于合并LVEF≤40%或肺淤血，以及高血压、糖尿病和慢性肾病的STEMI患者，如无禁忌证，应该尽早并长期应用。给药时应从小剂量开始，逐渐增加至目标剂量。如患者不能耐受ACEI，可考虑给予ARB，不推荐常规联合应用ACEI和ARB；对能耐受ACEI的患者，不推荐常规用ARB替代ACEI。</span></p><p><span style=\"font-size: 12px;\">7.调脂治疗</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">见前文“UA/NSTEMI”段。</span></p><p><span style=\"font-size: 12px;\">8.钙通道阻断药</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">非二氢吡啶类钙通道阻断药维拉帕米或地尔硫<span style=\"color: rgb(51, 51, 51); font-family: arial; font-size: 13px; line-height: 13.3467px; background-color: rgb(255, 255, 255);\">䓬</span>用于急性期，除了能控制室上性心律失常，对减少梗死范围或心血管事件并无益处。因此，不建议对STEMI患者常规应用非二氢吡啶类钙通道阻断药。但非二氢吡啶类钙通道阻断药可用于硝酸酯和β受体阻断药之后仍有持续性心肌缺血或心房颤动伴心室率过快的患者。血流动力学表现在KillipⅡ级以上的MI患者应避免应用非二氢吡啶类钙通道阻断药。不推荐使用短效二氢吡啶类钙通道阻断药。</span></p><p><span style=\"font-size: 12px;\">（四）抗心律失常治疗1.室性心律失常</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">应寻找和纠正导致室性心律失常的可纠治原因。在MI早期静脉注射β受体阻断药、继以口服维持可降低室性心律失常（包括心室颤动）的发生率和无心力衰竭或低血压患者的病死率。预防性应用其他药物（如利多卡因）会增加死亡危险，故不推荐应用。对无症状室性期前收缩、非持续性室速（持续时间＜30秒）和加速性室性自主心律，通常不需要预防性使用抗心律失常药物，室性逸搏心律除非心率过于缓慢一般不需要特殊处理。持续性和（或）血流动力学不稳定的室速需要抗心律失常药物处理，必要时给予电复律治疗。电解质紊乱可触发室颤，纠正低血钾和低血镁很重要，但镁剂治疗并不能降低病死率，因此不支持在STEMI患者中常规补充镁剂。对于无每搏输出量的室速和室颤需要依据心肺复苏指南进行处理，成功复苏后，需要静脉胺碘酮联合β受体阻断药治疗（参见“心脏骤停和心脏性猝死”）。急性期过后，仍有复杂性室性心律失常或非持续性室速尤其是伴有显著左心室收缩功能不全者，死亡危险增加，应考虑安装植入式心脏复律除颤器（ICD），以预防猝死。</span></p><p><span style=\"font-size: 12px;\">2.缓慢的窦性心律失常</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">除非存在低血压或心率＜50次/分，一般不需要治疗。对于伴有低血压的心动过缓（可能减少心肌灌注），可静脉注射硫酸阿托品0.5～1mg，如疗效不明显，几分钟后可重复注射，最好是多次小剂量注射。因静脉滴注异丙肾上腺素会增加心肌的氧需量和心律失常的危险，因此不推荐使用。药物无效或发生明显副作用时也可考虑应用人工心脏起搏器。</span></p><p><span style=\"font-size: 12px;\">3.房室传导阻滞</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">二度Ⅰ型和Ⅱ型房室传导阻滞以及并发于下壁MI的三度房室传导阻滞心率＞50次/分且QRS波不宽者，无须处理，但应严密监护。下列情况是安置临时起搏器的指征：①二度Ⅱ型或三度房室传导阻滞QRS波增宽者；②二度Ⅱ型或三度房室传导阻滞出现过心室停搏；③三度房室传导阻滞心率＜50次/分，伴有明显低血压或心力衰竭，经药物治疗效果差；④二度或三度房室传导阻滞合并频发室性心律失常。AMI后2～3周进展为三度房室传导阻滞或阻滞部位在希氏束以下者应安置永久起搏器。</span></p><p><span style=\"font-size: 12px;\">4.室上性快速心律失常</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">STEMI时，房颤发生率为10%～20%，处理包括控制心室率和转复窦性心律。多数患者对房颤耐受较好，无须特殊处理。部分患者房颤心室率快会加重心力衰竭，需要即刻处理。ⅠC类抗心律失常药物应禁止使用，可选用β受体阻断药、洋地黄类、维拉帕米、胺碘酮等药物治疗，治疗无效时可考虑应用同步直流电复律器或人工心脏起搏器复律。</span></p><p><span style=\"font-size: 12px;\">5.心脏停搏</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">立即作胸外心脏按压和人工呼吸，注射肾上腺素、异丙肾上腺素、乳酸钠和阿托品等，并施行其他心肺复苏处理（参见“心脏骤停和心脏性猝死”）。</span></p><p><span style=\"font-size: 12px;\">（五）抗低血压和心源性休克治疗</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">根据休克纯属心源性，抑或尚有周围血管舒缩障碍，或血容量不足等因素存在，而分别处理。</span></p><p><span style=\"font-size: 12px;\">1.补充血容量</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">约20%的患者由于呕吐、出汗、发热、使用利尿药和不进饮食等原因而有血容量不足，需要补充血容量来治疗，但又要防止补充过多而引起心力衰竭。可根据血流动力学监测结果来决定输液量。如中心静脉压低，在5～10cmH<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O之间，肺毛细血管楔压在6～12mmHg以下，心排血量低，提示血容量不足，可静脉滴注低分子右旋糖酐或5%～10%葡萄糖液，输液后如中心静脉压上升＞18cmH<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O，肺毛细血管楔压＞15～18mmHg，则应停止。右心室梗死时，中心静脉压的升高则未必是补充血容量的禁忌。</span></p><p><span style=\"font-size: 12px;\">2.应用升压药</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">补充血容量，血压仍不升，而肺毛细血管楔压和心排血量正常时，提示周围血管张力不足，可选用血管收缩药：①多巴胺：＜3μg/（kg・min）可增加肾血流量；严重低血压时，以5～15μg/（kg・min）静脉滴注；②多巴酚丁胺：必要时可以3～10μg/（kg・min）与多巴胺同时静脉滴注；③去甲肾上腺素：大剂量多巴胺无效时，也可以2～8μg/min静脉滴注。</span></p><p><span style=\"font-size: 12px;\">3.应用血管扩张药</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">经上述处理，血压仍不升，而肺毛细血管楔压增高，心排血量低，或周围血管显著收缩，以至四肢厥冷，并有发绀时，可用血管扩张药以减低周围阻力和心脏的后负荷，降低左心室射血阻力，从而增加心排血量，改善休克状态。血管扩张药要在血流动力学严密监测下谨慎应用，可选用硝酸甘油（50～100μg/min静滴）或二硝酸异山梨醇（2.5～10mg/次，舌下含服或30～100μg/ min静滴）、硝普钠（15～400μg/min静滴）、酚妥拉明（0.25～1mg/min静滴）等。</span></p><p><span style=\"font-size: 12px;\">4.治疗休克的其他措施</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">包括纠正酸中毒、纠正电解质紊乱、避免脑缺血、保护肾功能，必要时应用糖皮质激素和洋地黄制剂。</span></p><p><span style=\"font-size: 12px;\">5.辅助循环装置</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">包括主动脉内球囊反搏术（IABP）和左心室辅助装置。IABP以增高舒张期动脉压而不增加左心室收缩期负荷，并有助于增加冠状动脉灌流，为STEMI合并心源性休克患者接受冠状动脉造影和机械性再灌注治疗（PCI或CABG）提供重要的时间过渡和机会，是此类患者的Ⅰ类推荐。对大面积STEMI或高危患者（年龄＞75岁、以往有心力衰竭史、左主干或三支血管病变、持续低血压、KillipⅢ～Ⅳ级、收缩压＜120mmHg且持续性心动过速、顽固性室速伴血流动力学不稳定等）应考虑预防性应用IABP。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">经皮左心室辅助装置通过辅助泵将左心房或左心室的氧合血液引流至泵内，然后再注入主动脉系统，部分或完全替代心脏的泵血功能，从而减轻左心室负担，保证全身组织、器官的血液供应，可用于IABP无效的严重患者。</span></p><p><span style=\"font-size: 12px;\">6.中医中药治疗</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">中医用于“回阳救逆”的四逆汤（熟附子、干姜、炙甘草）、独参汤或参附汤，对治疗本病伴血压降低或休克者有一定疗效。患者如兼有阴虚表现时可用生脉散（人参、五味子、麦冬）。这些方剂均已制成针剂，紧急使用也较方便。</span></p><p><span style=\"font-size: 12px;\">（六）心力衰竭治疗</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">主要是治疗左心室衰竭。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">治疗取决于病情的严重性。轻度心力衰竭（KillipⅡ级）时，给予利尿药治疗（如静脉注射呋塞米20～40mg，必要时1～4小时重复1次）。如无低血压，可静脉应用硝酸酯类，但需避免低血压产生。如无低血压、低血容量或明显的肾功能衰竭，则应在24小时内开始应用ACEI，不能耐受者则改用ARB。严重心力衰竭（KillipⅢ级）或急性肺水肿患者，除适量应用利尿药和静脉滴注硝酸酯类外，应尽早使用机械辅助通气治疗。肺水肿合并高血压是静脉滴注硝普钠的最佳适应证，常从小剂量（10μg/min）开始，并根据血压逐渐增加至合适剂量。当血压明显降低时，可静脉滴注多巴胺［5～15μg/（kg・min）］和（或）多巴酚丁胺。存在肾灌注不良时，可使用小剂量多巴胺［＜3μg/（kg・min）］。应考虑早期血运重建治疗。</span></p><p><span style=\"font-size: 12px;\">（七）并发症治疗</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">室壁膨胀瘤形成伴左心室衰竭或心律失常时可行外科切除术。并发心室间隔穿孔，如无心源性休克，血管扩张剂（例如静脉滴注硝酸甘油）可产生一定的改善作用，但IABP辅助循环最有效。紧急外科手术对合并室间隔穿孔伴心源性休克患者可提供生存的机会，最近报道用经皮导管技术成功封堵室间隔穿孔，其疗效尚需更多的研究证实。乳头肌断裂致急性二尖瓣反流，需尽早手术治疗，冠状动脉造影和CABG前，需安置IABP。急性的心室游离壁破裂外科手术的成功率极低，几乎都是致命的。假性室壁瘤是左心室游离壁的不完全破裂，可通过外科手术修补。但STEMI急性期时因坏死组织脆软，使心外科早期手术难度增大，因此最佳手术时机尚未达成共识。心肌梗死后综合征严重病例必须用非甾体类消炎药（NSAID）或皮质类固醇短程冲击治疗，但大剂量NSAID或皮质类固醇的应用不宜超过数天，因它们可能干扰AMI后心室肌的早期愈合。</span></p><p><span style=\"font-size: 12px;\">（八）右心室心肌梗死的处理</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">治疗措施与左心室MI略有不同，右心室MI时常合并下壁MI伴休克或低血压而无左心衰竭的表现，主要处理原则是维持右心室前负荷，应避免使用利尿药和血管扩张剂（例如硝酸酯类、ACEI/ARB和阿片类），经积极静脉扩容治疗，并最好进行血流动力学监测，肺毛细血管楔压如达15mmHg，即应停止补液。若补液1000～2000ml血压仍不回升，应静脉滴注正性肌力药（例如多巴胺）。合并高度房室传导阻滞时，可予以临时起搏。</span></p><p><span style=\"font-size: 12px;\">（九）康复和出院后治疗</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">出院后最初3～6周体力活动应逐渐增加。鼓励患者恢复中等量的体力活动（步行、体操、太极拳等）。如AMI后6周仍能保持较好的心功能，则绝大多数患者都能恢复其所有正常的活动。与生活方式、年龄和心脏状况相适应的有规律的运动计划可降低缺血事件发生的风险，增强总体健康状况。对患者的生活方式提出建议、进一步控制危险因素，可改善患者的预后。</span></p><p><br/></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\"><br/><br/></span></p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4576', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '512', '出院前评估', '<p style=\"white-space: normal;\">（一）出院前的危险分层</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">出院前应对MI患者进行危险分层以决定是否需要进行介入性检查。对早期未行介入性检查而考虑进行血运重建治疗的患者，应及早评估左心室射血分数和进行负荷试验，根据负荷试验的结果发现心肌缺血者应进行心导管检查和血运重建治疗。仅有轻微或无缺血发作的患者只需给予药物治疗。</p><p style=\"white-space: normal;\">（二）左心室功能的评估</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">左心室功能状况是影响ACS预后最主要的因素之一，也是心血管事件最准确的预测因素之一。评估左心室功能包括患者症状（劳力性呼吸困难等）的评估、体格检查结果（如肺部啰音、颈静脉压升高、心脏扩大、第三心音奔马律等）以及心室造影、核素心室显像和超声心动图。MI后左心室射血分数＜40%是一项比较敏感的指标。无创性检查中以核素测值最为可靠，超声心动图的测值也可作为参考。</p><p style=\"white-space: normal;\">（三）心肌存活的评估</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">MI后左心室功能异常部分是由于坏死和瘢痕形成所致，部分是由存活但功能异常的心肌细胞即冬眠或顿抑心肌所致，后者通过血管重建治疗可明显改善左心室功能。因此，鉴别纤维化心肌与存活心肌所导致的心室功能异常具有重要的预后和治疗意义。评价心肌活力常用的无创性检查包括核素成像和多巴酚丁胺超声心动图负荷试验等，这些检查能准确评估节段性室壁运动异常的恢复。近几年正逐渐广泛应用的正电子发射体层摄影以及延迟增强磁共振成像，能更准确预测心肌局部功能的恢复。</p><p style=\"white-space: normal; text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4584', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1427', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Alois Alzheimer在1907年报道一名56岁女性病例，表现为快速进展性的记忆丧失、存在被害妄想，住院后出现定向障碍、言语困难（说、写和命名）、也无法学习。尽管存在严重的认知缺损，患者的神经系统体征基本正常，尸体解剖发现脑萎缩、神经纤维缠结改变以及神经元老年斑的病理改变。以后人们将这类疾病命名为阿尔茨海默病（Alzheimer’s disease，AD）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">随着人均寿命的增加，AD已成为常见的痴呆类型，约占全部痴呆患者中的50%。65岁以上老年人中，AD的年发病率约为1%，随着年龄的增加患病率增高，年龄每增加5岁，AD的患病率约增加1倍。尽管不同国家地区的流行病学结果有差异，但AD作为老年期多发疾病却是不争的事实。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">AD的病因和发病机制复杂，目前并不十分清楚。通常认为与基因突变、Aβ的沉积、胆碱能缺陷、tau蛋白过度磷酸化、线粒体缺陷、神经细胞凋亡、氧化应激、自由基损伤及感染、中毒、脑外伤和低血糖等有关。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">AD的危险因素包括年龄、性别（女性高于男性）、受教育程度、脑外伤，AD也与遗传、甲状腺功能减退、接触重金属、有毒化学物质和有机溶剂等有关。其他如脑血管病、糖尿病以及老年期首发的抑郁症也是AD的危险因素。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4585', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1427', '病因、病理与发病机制', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">AD的病理改变都可见于“正常”老年人，只是病变的程度和范围不同。主要表现为：①大脑皮质、海马、杏仁核和丘脑中大量的老年斑；②大脑皮质和海马存在大量的神经纤维缠结（NTF），存在NTF的神经元多呈退行性变化；③AD患者存在脑膜和皮质小血管淀粉样斑块沉积，沉积严重可以影响血供；④在海马部位常可见颗粒样空泡变性及大量的平野（Hirano）体；伴随上述病理变化导致了大量神经细胞脱失；⑤AD患者神经元的退行性变和脱失使大脑重量减轻和体积缩小，额叶、顶叶和颞叶皮质萎缩，杏仁核、海马和海马旁回受累可能更加明显，白质和深部灰质的体积缩小。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p style=\"text-align: right;\"><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4586', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1427', '临床表现', '<p>1.症状表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">AD通常隐袭起病，慢性持续进展性病程。AD患者具有认知功能减退、精神行为症状和社会生活功能减退等，符合痴呆的一般规律。</p><p>（1）轻度AD</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">以近事记忆障碍为主，学习能力下降，语言能力受损。不能合理地理财、购物，基本生活尚能自理。早期可见抑郁、焦虑和淡漠等症状。</p><p>（2）中度AD</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近事记忆障碍加剧，远期记忆也受损。语言功能明显损害，理解能力下降。生活需协助料理，可出现大、小便失禁。此期患者的精神行为症状较突出，以激越、幻觉、妄想和攻击行为为主。</p><p>（3）重度AD</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">各项功能均严重受损，活动能力减退，逐渐卧床，大小便失禁，饮食困难，生活完全依赖护理。患者多见营养不良，可出现褥疮、肺炎等并发症。此时精神行为症状可以减轻或消失。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可参照患者的认知损害、生活功能水平和神经心理测验结果作出疾病严重程度的判断。临床上也常以轻、中度或中、重度来区分。</p><p>2.体格检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">轻、中度AD患者躯体一般状况比较好，常无明显的神经系统体征。重度患者最明显的神经系统体征是肌张力增高、四肢屈曲性强直，可以出现原始性反射，如强握反射、吸吮反射等。可见虚弱、消瘦或其他并发症的表现。</p><p>3.实验室检查和影像学</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前尚无特异性的生化标志可以用于确诊AD。脑脊液（CSF）中Aβ和tau的测定有助于AD的诊断。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">CT和MRI适用于排除其他原因所致痴呆，对AD的诊断和鉴别诊断很有价值。AD患者表现为额叶、颞叶、顶叶和海马等部位的萎缩。</p><p>4.神经心理测定</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">简明精神状态检查表（MMSE）常用于AD的筛查和判断痴呆的严重程度。因有时会明显低估患者认知损害的程度，故评分正常也不能完全排除AD的诊断。ADAS-cog常用于评价轻、中度AD的认知功能损害，严重损害量表（SIB）可以用于重度患者认知功能的评估。其他一些评定精神行为和生活功能的量表可用于AD的辅助诊断和疗效评估。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4587', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1427', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前AD的诊断应以临床表现、影像学、神经心理测验等结果依据诊断标准作出。鉴别诊断应注意：</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4588', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1427', '鉴别诊断', '<p>1.正常衰老</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">约25%～30%老年人有轻度记忆障碍的主诉，多为良性老年性健忘症（benign senile forgetfulness），也称增龄性记忆损害。这类记忆障碍进展缓慢，通过提示可以改善，借助一些弥补措施一般不影响生活。良性健忘的诊断应慎重，研究发现部分病例随访后实为病理性，如AD早期。早期AD患者也常表现为记忆障碍，此时须结合临床、影像学、神经心理测验予以鉴别，鉴别有困难时须密切随防。</p><p>2.轻度认知功能损害（MCI）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">MCI是一组复杂的临床综合征，目前多认为MCI尤其是记忆型MCI实质上是AD的前期表现，两者之间只是严重程度不同，而无本质区别。在目前仍保留MCI概念的前提下，鉴别应注意MCI患者表现为主观或客观（如知情者提供病史，神经心理测验发现）记忆下降，一个或多个认知功能域的损害，但并不因此明显影响日常生活功能，生活功能损害较轻是鉴别的要点。</p><p>3.血管性痴呆（vascular dementia，VD）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">VD也是常见的痴呆类型，一般发病较急、有脑血管病史或伴有脑血管病危险因素，并且痴呆的发生和脑血管病密切相关。典型VD患者具有阶梯样恶化的波动病程，认知功能损害可呈“局灶性”，早期人格保持相对完好，情绪不稳较为突出，脑影像学检查和HIS缺血指数对诊断具有重要价值（表24-5-2）。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表24-5-2　AD与VD的临床鉴别要点</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180515-1526370667516075835.jpg\" title=\"1526370667516075835.jpg\" alt=\"T24-5-2_33967.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1971px; table-layout: fixed;\"/></p><p>4.路易体痴呆（LBD）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">典型的LBD患者发病较急、进展快，具有波动性病程，视幻觉和自发的帕金森综合征多见，常在病程的早期出现谵妄。使用抗精神病药物很容易出现锥体外系不良反应。肯定的LBD诊断须依赖病理，目前临床诊断率较低。</p><p>5.额、颞叶痴呆（FTD）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">FTD患者一般在50～60岁年龄段发病。早期即可出现执行功能障碍、明显的人格改变和行为异常，表现脱抑制行为和情感反应迟钝等，可有明显违反伦理、道德的行为。患者的记忆损害一般并不严重，这点与AD明显不同。匹克（Pick）病是一种特殊类型的FTD，表现为额叶和（或）颞叶皮质的明显萎缩，病理发现特征性的匹克包涵体。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4589', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1427', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">AD治疗困难，目前以对症治疗和替代治疗为主。药物治疗主要包括促认知药物（胆碱酯酶抑制剂、NMDA受体拮抗剂等）治疗，另外就是精神行为症状的治疗，一般多使用抗精神病药物。</p><p>1.促认知药物（1）胆碱酯酶抑制剂（AChEI）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前是AD药物治疗的主要手段。常用多奈哌齐（donepezil）、利斯的明（rivastigmine）和加兰他敏（galantamine）等。以多奈哌齐为例，起始剂量为5mg，1次/日，1个月后加至10mg，1次/日。目前国内也常用石杉碱-甲（huperzine-A）0.05～0.1mg，3 次/日。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">AchEI能改善患者的认知功能、生活功能和精神行为症状，比较适用于轻、中度AD患者，也可用于重度AD患者。AchEI治疗时应尽早并使用能耐受的较高剂量。几种AchEI的总体疗效接近，由于药物作用机制不完全相同，故如果一种药物无效可尝试换用其他药物。常见的不良反应包括恶心、呕吐和腹泻等胃肠道反应，其他还有体重下降、失眠、心动过缓和乏力等。</p><p>（2）N-甲基-D-天门冬氨酸（NMDA）拮抗剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前批准用于中、重度AD治疗的药物是美金刚（memantine），起始剂量为5mg，1次/日；2周后加至10mg，1次/日；最大剂量可至20mg，1次/日。荟萃分析显示美金刚对AD患者的认知功能、生活功能和精神行为症状均有疗效，不良反应较少。</p><p>2.精神行为症状的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">约80%以上的AD患者存在不同程度的精神行为症状，严重时需进行干预。对于难以控制的精神病性症状和激越，常需药物治疗，多选择非典型抗精神病药。如利培酮（0.5mg，1次/日，起始，可用至1～3mg/d）、奥氮平（2.5mg，1次/日，起始，可用至5～10mg/d）和喹硫平（12.5mg，2次/日，起始，可用至100～300mg/d）等。这类药物比传统抗精神病药物安全，锥体外系反应少，但仍须注意药物可引起镇静、心脑血管风险等不良反应。故应使用最低的有效剂量，待患者的精神症状和行为紊乱缓解后及时减量或停药。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前所有的抗精神病药均未获得用于治疗AD患者精神行为症状的适应证，有报道称非典型抗精神病药的使用可能增加痴呆患者的死亡率，因此使用这类药物前应权衡利弊，充分的知情同意非常必要。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">AD患者常伴有焦虑、抑郁症状，此时可使用新型抗抑郁药如SSRIs，其中以艾司西酞普兰、西酞普兰和舍曲林最为常用，因为它们对受体的选择性高，药物相互作用少，用于老年人较为安全。常见不良反应为胃肠道反应、烦躁、头痛和失眠等，均较轻，容易耐受。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4590', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1427', '预防与预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前AD病因不明，无确切的预防措施。可以加强脑和身体的锻炼，积极治疗和预防高血压、糖尿病、高血脂等与AD的发病有关的慢性疾病，及时干预老年抑郁症和应激等精神卫生问题可能有益。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">AD作为进展性疾病，目前缺乏根本的治疗，预后不佳。平均病程约为7～10年，生存期受发病年龄、躯体疾病以及治疗、护理水平等因素的影响。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4615', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1455', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">窦房结产生的冲动不能使心房除极或使心房除极延迟，称为窦房传导阻滞（sinoatrial block）。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4616', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1455', '心电图表现', '<p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); font-size: 12px;\">主要表现为窦性P波及相继的QRS波缺如。但一度窦房阻滞在心电图上不能诊断。三度窦房阻滞时P波完全消失，出现逸搏心律，心电图上亦难以诊断（图16-3-46）。二度Ⅰ型窦房阻滞表现为PP间期和相应的RR间期逐次缩短直至P-QRS波缺如出现长间期。二度Ⅱ型窦房阻滞表现为显著延长的PP间期，其长度是窦性心律PP间期的两倍或数倍。二度窦房阻滞2∶1传导则在心电图上不能与窦性心动过缓相鉴别。</span></p><p><br/></p><p><br/></p><p><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180515-1526372814494011959.jpg\" title=\"1526372814494011959.jpg\" alt=\"图16-3-46　窦房传导阻滞.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1359px; table-layout: fixed;\"/></p><p><br/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">图16-3-46　窦房传导阻滞</span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">图示长PP间期恰好为窦性心律PP间距的2倍</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4617', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '371', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">短暂性脑缺血发作（transient ischemic attack，TIA）是由于局部脑或视网膜缺血引起的短暂性神经功能缺损，临床症状一般不超过1小时，最长不超过24小时，且无责任病灶的证据。凡神经影像学检查有神经功能缺损对应的明确病灶者不宜称为TIA。传统的TIA定义，只要临床症状在24小时内消失，不遗留神经系统体征，而不管是否存在责任病灶。近来研究证实，对于传统TIA患者，如果神经功能缺损症状超过1小时，绝大部分神经影像学检查均可发现对应的脑部梗死小病灶。因此，传统的TIA许多病例实质上是小卒中。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;神经病学</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4618', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '371', '病因及发病机制', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">TIA的发病与动脉粥样硬化、动脉狭窄、心脏病、血液成分改变及血流动力学变化等多种病因有关，其发病机制主要有以下两种类型：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.血流动力学改变 是在各种原因（如动脉硬化和动脉炎等）所致的颈内动脉系统或椎—基底动脉系统的动脉严重狭窄基础上，血压的急剧波动导致原来靠侧支循环维持的脑区发生的一过性缺血。血流动力型TIA的临床症状比较刻板，发作频率通常密集，每次发作持续时间短暂，一般不超过10分钟。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.微栓塞 主要来源于动脉粥样硬化的不稳定斑块或附壁血栓的破碎脱落、瓣膜性或非瓣膜性心源性栓子及胆固醇结晶等。微栓子阻塞小动脉常导致其供血区域脑组织缺血，当栓子破碎移向远端或自发溶解时，血流恢复，症状缓解。微栓塞型TIA的临床症状多变，发作频率通常稀疏，每次发作持续时间一般较长。如果持续时间超过30分钟，提示微栓子较大，可能来源于心脏。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;神经病学</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4619', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '371', '临床表现', '<p>1.一般特点</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">TIA好发于中老年人，男性多于女性，患者多伴有高血压、动脉粥样硬化、糖尿病或高血脂等脑血管病危险因素。发病突然，局部脑或视网膜功能障碍历时短暂，最长时间不超过24小时，不留后遗症状。由于微栓塞导致的脑缺血范围很小，一般神经功能缺损的范围和严重程度比较有限。TIA常反复发作，每次发作表现相似。</p><p>2.颈内动脉系统TIA</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床表现与受累血管分布有关。大脑中动脉（middle cerebral artery，MCA）供血区的TIA可出现缺血对侧肢体的单瘫、轻偏瘫、面瘫和舌瘫，可伴有偏身感觉障碍和对侧同向偏盲，优势半球受损常出现失语和失用，非优势半球受损可出现空间定向障碍。大脑前动脉（anterior cerebral artery，ACA）供血区缺血可出现人格和情感障碍、对侧下肢无力等。颈内动脉（internal carotid artery，ICA）主干TIA主要表现为眼动脉交叉瘫［患侧单眼一过性黑矇、失明和（或）对侧偏瘫及感觉障碍］，Horner交叉瘫（患侧Horner征、对侧偏瘫）。</p><p>3.椎—基底动脉系统TIA</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">最常见表现是眩晕、平衡障碍、眼球运动异常和复视。可有单侧或双侧面部、口周麻木，单独出现或伴有对侧肢体瘫痪、感觉障碍，呈现典型或不典型的脑干缺血综合征。此外，椎—基底动脉系统TIA还可出现下列几种特殊表现的临床综合征：</p><p>（1）跌倒发作（drop attack）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">表现为下肢突然失去张力而跌倒，无意识丧失，常可很快自行站起，系脑干下部网状结构缺血所致。有时见于患者转头或仰头时。</p><p>（2）短暂性全面遗忘症（transient global amnesia，TGA）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">发作时出现短时间记忆丧失，发作时对时间、地点定向障碍，但谈话、书写和计算能力正常，一般症状持续数小时，然后完全好转，不遗留记忆损害。发病机制仍不十分清楚，部分发病可能是大脑后动脉颞支缺血累及边缘系统的颞叶海马、海马旁回和穹隆所致。</p><p>（3）双眼视力障碍发作：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">双侧大脑后动脉距状支缺血导致枕叶视皮质受累，引起暂时性皮质盲。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">值得注意的是，椎—基底动脉系统TIA患者很少出现孤立的眩晕、耳鸣、恶心、晕厥、头痛、尿便失禁、嗜睡或癫痫等症状，往往合并有其他脑干或大脑后动脉供血区缺血的症状和（或）体征。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;神经病学</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4620', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '371', '辅助检查', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">CT或MRI检查大多正常。部分病例弥散加权MRI（DWI）可以在发病早期显示一过性缺血灶，缺血灶多呈小片状，一般体积1~2ml。CTA、MRA及DSA检查有时可见血管狭窄、动脉粥样硬化改变。TCD检测可探查颅内动脉狭窄，并可进行血流状况评估和微栓子监测。血常规和生化检查也是必要的，神经心理学检查可能发现轻微的脑功能损害。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;神经病学</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4621', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '371', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">大多数TIA患者就诊时临床症状已消失，故诊断主要依靠病史。中老年患者突然出现局灶性脑功能损害症状，符合颈内动脉或椎—基底动脉系统及其分支缺血表现，并在短时间内症状完全恢复（多不超过1小时），应高度怀疑为TIA。PWI/DWI、CTP和SPECT有助TIA的诊断。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;神经病学</p><p style=\"text-align: right;\"><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4622', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '371', '鉴别诊断', '<p>（1）癫痫的部分性发作：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">特别是单纯部分性发作，常表现为持续数秒至数分钟的肢体抽搐或麻木针刺感，从躯体的一处开始，并向周围扩展，可有脑电图异常，CT/MRI检查可能发现脑内局灶性病变。</p><p>（2）梅尼埃病（Méniere disease）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">发作性眩晕、恶心、呕吐与椎—基底动脉TIA相似，但每次发作持续时间往往超过24小时，伴有耳鸣、耳阻塞感，反复发作后听力减退等症状，除眼球震颤外，无其他神经系统定位体征。发病年龄多在50岁以下。</p><p>（3）心脏疾病：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">阿—斯综合征（Adams-Strokes syndrome），严重心律失常如室上性心动过速、多源性室性期前收缩、室速或室颤、病态窦房结综合征等，可因阵发性全脑供血不足出现头昏、晕倒和意识丧失，但常无神经系统局灶性症状和体征，动态心电图监测、超声心动图检查常有异常发现。</p><p>（4）其他：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">颅内肿瘤、脓肿、慢性硬膜下血肿、脑内寄生虫等亦可出现类似TIA发作症状。原发或继发性自主神经功能不全亦可因血压或心律的急剧变化出现短暂性全脑供血不足，出现发作性意识障碍。基底动脉型偏头痛，常有后循环缺血发作，应注意排除。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;神经病学</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4623', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '371', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">TIA是急症。TIA发病后2~7天内为卒中的高风险期，对患者进行紧急评估与干预可以减少卒中的发生。临床医师还应提前作好有关的准备工作，一旦TIA转变成脑梗死，不要因等待凝血功能等结果而延误溶栓治疗。</span></p><p><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">1.TIA短期卒中风险评估</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">常用的TIA危险分层工具为ABCD<span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>评分，见表8-2。症状发作在72小时内并存在以下情况之一者，建议入院治疗：①ABCD<span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>评分＞3分；②ABCD<span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>评分0~2分，但门诊不能在2天之内完成TIA系统检查；③ABCD<span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>评分0~2分，并有其他证据提示症状由局部缺血造成，如DWI已显示对应小片状缺血灶。</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">表8-2　TIA的ABCD<span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>评分</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180515-1526373016946031033.jpg\" title=\"1526373016946031033.jpg\" alt=\"T8-2_8871.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1717px; table-layout: fixed;\"/></p><p><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">2.药物治疗（1）抗血小板治疗：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">非心源性栓塞性TIA推荐抗血小板治疗。卒中风险较高患者，如TIA或小卒中发病1个月内，可采用小剂量阿司匹林（aspirin）50~150mg/d与氯吡格雷（clopidogrel）75mg/d联合抗血小板治疗。一般单独使用：①阿司匹林（50~325mg/d）；②氯吡格雷（75mg/d）；③小剂量阿司匹林和缓释的双嘧达莫（分别为25mg和200mg，2次/天）。</span></p><p><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">（2）抗凝治疗：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">心源性栓塞性TIA可采用抗凝治疗。主要包括肝素、低分子肝素和华法林。一般短期使用肝素后改为华法林口服抗凝剂治疗，华法林治疗目标为国际标准化比值（international normalized ratio，INR）达到2~3，用药量根据结果调整。卒中高度风险的TIA患者应选用半衰期较短和较易中和抗凝强度的肝素；一旦TIA转变成脑梗死，可以迅速纠正凝血功能指标的异常，使之符合溶栓治疗的入选标准。频繁发作的TIA或椎—基底动脉系统TIA，及对抗血小板治疗无效的病例也可考虑抗凝治疗。对人工心脏瓣膜置换等卒中高度风险的TIA患者还可考虑口服抗凝剂治疗加用小剂量阿司匹林或双嘧达莫联合治疗。</span></p><p><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">（3）扩容治疗：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">纠正低灌注，适用于血流动力型TIA。</span></p><p><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">（4）溶栓治疗：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">对于新近发生的符合传统TIA定义的患者，虽神经影像学检查发现有明确的脑梗死责任病灶，但目前不作为溶栓治疗的禁忌证。在临床症状再次发作时，若临床已明确诊断为脑梗死，不应等待，应按照卒中指南积极进行溶栓治疗。</span></p><p><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">（5）其他：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">对有高纤维蛋白原血症的TIA患者，可选用降纤酶治疗。活血化瘀性中药制剂对TIA患者也可能有一定的治疗作用。</span></p><p><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">3.TIA的外科治疗</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">对于过去6个月内发生过TIA的患者，如果同侧无创性成像显示颈内动脉狭窄＞70%或导管血管造影显示狭窄＞50%，且围术期并发症和死亡风险估计&lt;6%，则推荐行颈动脉内膜切除术（carotid endarterectomy，CEA）治疗。颈动脉血管成形和支架置入术（carotid angioplasty and stenting，CAS）可作为CEA治疗的一种替代方法。无早期血运重建禁忌证时，最好在2周内行CEA或CAS。但如狭窄程度&lt;50%，则不是CEA或CAS进行血运重建的指征。症状性颅外段颈动脉闭塞患者不推荐常规行颅外—颅内血管旁路移植术。患者在接受最佳的药物治疗（包括抗栓、他汀类药物和相关危险因素控制）期间仍然出现症状，可考虑对椎动脉颅外段狭窄患者行血管内和手术治疗。主要颅内动脉狭窄所致的TIA不推荐行颅外—颅内血管旁路移植术，目前进行血管成形术和（或）支架置入术的有效性尚不清楚。</span></p><p><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">4.控制危险因素</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">见脑血管疾病的危险因素及其预防。</span></p><p style=\"text-align: right;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;神经病学</span></p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4624', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '371', '预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">TIA患者早期发生卒中的风险很高，发病7天内的卒中风险为4%~10%，90天卒中风险为10%~20%（平均11%）。发作间隔时间缩短、发作持续时间延长、临床症状逐渐加重的进展性TIA是即将发展为脑梗死的强烈预警信号。TIA患者不仅易发生脑梗死，也易发生心肌梗死和猝死。90天内TIA复发、心肌梗死和死亡事件总的风险高达25%。最终TIA部分发展为脑梗死，部分继续发作，部分自行缓解。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;神经病学</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4625', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '209', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心概房激述动向心室传导延迟或完全不能传至心室称为房室传导阻滞（atrioventricular block）。房室传导过程中（心房内、房室结、房室束及束支、普肯耶系统）任何部位的传导障碍都能引起房室传导阻滞。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4626', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '209', '病因和病理', '<p><span style=\"font-size: 12px;\">（一）局灶性或弥漫性急性心肌炎性变</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">如急性风湿性、细菌性和病毒性心肌炎。</span></p><p><br/></p><p><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180515-1526373138886002220.jpg\" title=\"1526373138886002220.jpg\" alt=\"图16-3-48　心房分离.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1240px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">图16-3-48　心房分离</span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">图示连续记录的Ⅱ导联中，在窦性心律（心率50次/分）外，尚有一套呈一定规律出现的P′波，P′P′间距不等（0.58～1.0秒），其后无QRS波，与基本心律互不干扰</span></p><p><span style=\"font-size: 12px;\">（二）急性心肌缺血或坏死性变</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">如急性心肌梗死。</span></p><p><span style=\"font-size: 12px;\">（三）传导系统或心肌退行性变</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">如原因不明的心脏支架退行性变、原因不明的传导系统纤维化、冠心病、心肌病、由急性炎症或损伤性病变引起的心肌纤维变性、二尖瓣或主动脉瓣钙化以及肿瘤压迫引起的退行性变。</span></p><p><span style=\"font-size: 12px;\">（四）损伤性变</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">大多为心脏手术引起的传导系统损伤或周围组织水肿，如二尖瓣或主动脉瓣换瓣手术、心内膜垫缺损或巨大室间隔缺损修补术、法洛四联症根治术等。</span></p><p><span style=\"font-size: 12px;\">（五）先天性心脏传导系统缺损</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">可单独存在或合并其他先天性心脏病，如大血管错位、室间隔或心内膜垫缺损等。</span></p><p><span style=\"font-size: 12px;\">（六）传导系统功能性变</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">如迷走神经功能亢进、缺氧、电解质紊乱（如高血钾）、药物作用（如洋地黄）和甲状腺功能亢进等不同原因引起的传导功能改变。儿童及青少年房室传导阻滞的主要病因为急性心肌炎症和炎症所致的纤维性变；少数属先天性。老年人持续房室传导阻滞的病因以原因不明的传导系统退行性变为多见。如果病理改变为可逆的，则阻滞常在短期内恢复，否则呈间歇性或持续性。</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4627', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '209', '心电图表现', '<p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><br/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">图16-3-49　一度房室传导阻滞</span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">图示PR间期延长</span></p><p><span style=\"font-size: 12px;\">（一）一度房室传导阻滞</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">指每个心房冲动都可激动心室，但PR间期延长（在成人超过0.20s，儿童超过0.18s）（图16-3-49）。PR间期明显延长时，P波可隐伏于前一心搏的T波内，或有时超过PP间期（图16-3-50）。PR间期延长可源于房室结、希氏束-普肯耶纤维或上述两个部位，偶尔房内传导延迟可造成PR延长。如体表心电图中QRS波形态和时间正常，则房室传导延迟几乎总源于房室结，但双束支传导延迟的长度相同可产生不伴畸形QRS波的PR间期延长。如QRS波呈束支阻滞型，则传导阻滞可发生于房室结和（或）希氏束-普肯耶纤维。对于后者需做希氏束电图来确定传导延迟部位。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><br/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">图16-3-50　一度房室传导阻滞</span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">图示P波埋没在前一个T波中，以V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>较明确</span></p><p><span style=\"font-size: 12px;\">（二）二度房室传导阻滞</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">指间歇出现P波后无QRS波群，P波与QRS波之间可呈规则或不规则比例，QRS波群形态正常，或呈束支阻滞型。二度房室传导阻滞分为两型。莫氏Ⅰ型（又称文氏阻滞）的特征为PR间期逐次延长直至P波不能下传，RR间期逐次缩短直至心室脱漏，P波与QRS波群的比例大多不规则；莫氏Ⅱ型的特征为心室脱漏前PR间期固定。持续2∶1房室传导阻滞时较难区别Ⅰ型或Ⅱ型（图16-3-51）。</span></p><p><span style=\"font-size: 12px;\">（三）高度房室传导阻滞</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">二度Ⅱ型房室传导阻滞呈3∶1或3∶1以上比例，称为高度房室传导阻滞（图16-3-52）。</span></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><br/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">图16-3-51　二度Ⅰ型房室传导阻滞</span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">图示不典型文氏周期，心室脱漏前一个心搏PR间期延长显著，使RR相应延长，因而不见典型文氏周期RR逐次缩短的特征</span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\"><br/></span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\"><br/></span></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">图16-3-52　高度房室传导阻滞</span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">窦性心动过速2∶1～4∶1房室传导阻滞</span></p><p><span style=\"font-size: 12px;\">（四）三度或完全性房室传导阻滞</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">所有P波不能下传至心室，心房和心室各自由独立的起搏点控制，房室分离，P波与QRS波群无固定关系。PP和RR间期则基本规则，PP间期短于RR间期，如两者差异不大，可通过上肢运动，站立或行走来增快P波频率以鉴别。心室由交界处或心室自主心律控制，前者频率35～50次/分，后者小于35次/分左右（图16-3-53）。QRS波群形态与心室起搏点部位有关，起搏点在左束支的，QRS波群呈右束支阻滞型；在右束支的，QRS波群呈左束支阻滞型。在心室起搏点不稳定时，QRS波群形态和RR间期可多变。心室起搏点自律功能暂停则引起心室停搏，心电图上只见P波（图16-3-54）。完全性房室传导阻滞时偶有短暂超常传导表现。心电图表现为一次交界处或心室逸搏后出现一次或数次P波下传至心室的现象，称为魏登斯基现象。其发生机制为逸搏作为对房室传导阻滞部位的刺激，可使该处心肌细胞阈值电位降低，应激性增高，传导功能短暂改善。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><br/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">图16-3-53　三度房室传导阻滞</span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">图示PP间距和RR间距比较固定，但P波和QRS波互不相关，P波频率较QRS波频率快，QRS波较宽，说明为心室起搏点所控制</span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><br/></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><br/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">图16-3-54　三分支传导阻滞、心室停搏发作</span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">图示2∶1房室传导阻滞突然转为心室停搏，下传的QRS波呈右束支传导阻滞合并左前分支传导阻滞的表现</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">由三分支阻滞引起的房室传导阻滞的心电图表现有以下类型：①完全性三分支阻滞：完全性房室传导阻滞，心室起搏点在房室束分支以下或心室停顿（图16-3-54）；②不全性三分支阻滞：一度或二度房室传导阻滞合并二分支传导阻滞；一度或二度房室传导阻滞合并单分支阻滞；交替出现的左束支和右束支传导阻滞（图16-3-55），合并一度或二度房室传导阻滞。</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4628', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '209', '希氏束电图表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">以多极心导管记录希氏束电图，可较体表心电图更准确地估计房室阻滞的部位。</span></p><p><span style=\"font-size: 12px;\">（一）一度房室阻滞</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">以A-H延长（房室结内阻滞）为最常见，H-V延长且V波形态异常（三分支阻滞）的较少见。其他尚可表现为P-A延长、H波延长、H波分裂和HV延长但V波形态正常。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><br/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">图16-3-55　不伴房室传导阻滞的三分支阻滞</span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">A.完全性左束支传导阻滞，PR间期正常范围 B.8个多月后出现完全性右束支传导阻滞，PR间期正常范围</span></p><p><span style=\"font-size: 12px;\">（二）二度房室阻滞</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">①Ⅰ型大多数表现为A-H逐次延长、直至A波后无H波、且H-V正常（房室结内阻滞）；极少表现为H-V逐次延长、直至H波后无V波、而A-H正常者（三分支阻滞）；②Ⅱ型以部分H波后无V、而A-H固定（三分支阻滞）的为多见；表现为部分A波后无H波、而H-V固定的（房室结内阻滞）少见。</span></p><p><span style=\"font-size: 12px;\">（三）三度房室阻滞</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">可表现为A波后无H波而HV关系固定，A波与H波间无固定关系（房室结内阻滞）或A-H关系固定、H波后无固定的V波，V波畸形（图16-3-56）。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><br/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">图16-3-56　完全性房室传导阻滞的希氏束电图</span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">图示A波之后均有H波，V波之前均有起搏脉冲信号，说明房室间传导阻滞发生在希氏束以下部位，心室活动由起搏器所带动</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4629', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1653', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺炎链球菌是大叶性肺炎的主要病原菌，但在婴幼儿更常引起支气管肺炎(详见上节)，本文主要论述大叶性肺炎。其特点是肺泡炎，年长儿多见。近年来儿科大叶性肺炎已较少见到。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.上册</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4630', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1653', '病因', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺炎链球菌(<em style=\"box-sizing: border-box;\">Streptococcus pneumoniae</em>)，旧称肺炎双球菌或肺炎球菌(<em style=\"box-sizing: border-box;\">Pneumococci</em>)，为革兰阳性双球菌，属链球菌的一种。肺炎链球菌根据其荚膜特异性多糖抗原分型，肺炎链球菌有90种不同血清型。2011年报道国内多中心临床研究入选3865例5岁以下患儿的338例分离出肺炎链球菌，最常见的血清型为19F(55.6%)，19A(13.9%)，23F (10.1%)，6B(4.7%)，和14(3.6%)。还有1、5、15型也是国内常见的血清型。肺炎链球菌耐药非常普遍，对青霉素的不敏感率逐年增加，对红霉素的耐药率在95%以上。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">无症状的病菌携带者，在散播感染方面可起到比肺炎患儿更重要的作用。此病一般为散发，但在集体托幼机构有时也有流行。肺炎链球菌可引起大叶肺炎，皆为原发性，大多数见于3岁以上小儿，年长儿较多。因为此时机体防御能力逐渐成熟，能使病变局限于一个肺叶或一个节段而不致扩散。婴幼儿时期偶可发生。气候骤变时机体抵抗力降低，发病较多，冬春季多见，可能与呼吸道病毒感染流行有一定关系。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.上册</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4631', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1653', '病理变化', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病理以肺泡炎为主，很少涉及肺泡壁或支气管壁的间质。一般多局限于一个肺叶或其大部分，偶可同时发生于几个肺叶，右上叶或左下叶最为多见。未经治疗的病肺最初显著充血，第2～3日肺泡内含纤维素渗出物、大量红细胞和少量中性粒细胞，以及大量肺炎链球菌，此时称红色肝变期。第4～5日肺泡内充满网状纤维素，网眼中有大量中性粒细胞及大单核细胞，红细胞渐消失，肺叶由红色转变为灰色，又称灰色肝变期。以后，白细胞大量破坏，产生蛋白溶解酶，使渗出物中的纤维素被溶解，为消散期。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.上册</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4632', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1653', '临床表现', '<p><br/></p><p>1.症状</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">少数有前驱症状，起病多急剧。突发高热、胸痛、食欲缺乏、疲乏和烦躁不安。体温可高达40～41℃。呼吸急促达40～60次/分，呼气呻吟，鼻扇，面色潮红或发绀。呼吸时胸痛，故患儿多卧于病侧。最初数日多咳嗽不重，无痰，后可有痰呈铁锈色。早期多有呕吐，少数患儿有腹痛，有时易误诊为阑尾炎。幼儿可有腹泻。轻症者神志清醒，少数患儿出现头痛、颈强直等脑膜刺激症状。重症时可有惊厥、谵妄及昏迷等中毒性脑病的表现，常被误认为中枢神经系统疾病。严重病例可伴发感染性休克，甚至有因脑水肿而发生脑疝者。较大儿童可见唇部疱疹。婴幼儿主要表现为支气管肺炎，但近年其并发脓胸、脓毒血症的病例增加。</p><p>2.胸部体征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早期只有轻度叩诊浊音或呼吸音减弱。病程第2～3日肺实变后有典型叩诊浊音、语颤增强及管性呼吸音等。消散期可听到湿音。少数病例始终不见胸部异常体征。确诊须靠X线检查。</p><p>3.X线检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早期可见肺纹理加深或限局于一个节段的浅薄阴影，以后有大片阴影均匀而致密，占全肺叶或一个节段(图24-7)，经治疗后逐渐消散。可见肺大疱。少数病例出现胸腔积液。多数患儿在起病3～4周后X线阴影消失。</p><p style=\"text-align:center\"></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; text-align: center; background-color: rgb(255, 255, 255);\">图24-7　右上大叶性肺炎</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; text-align: center; background-color: rgb(255, 255, 255);\"></span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">女孩，1岁9个月。咳嗽10天，发热伴喘4天。右上肺叩诊浊音，有水泡音。X线显示右上肺大片阴影，密度不均，下界平直整齐</p><p>4.自然病程</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">大多在病程第5～10日体温骤退，可在24小时内下降4～5℃，低到35℃左右时，可见大汗及虚脱，类似休克状态。早期应用抗生素治疗者可于1～2日内退热，肺部体征约1周左右消失。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.上册</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: right;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; text-align: center; background-color: rgb(255, 255, 255);\"><br/></span><br/></p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4633', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1653', '实验室检查', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">白细胞及中性粒细胞明显增高，白细胞总数可达20×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L以上，偶达50～70× 10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L，但也有少数患儿的白细胞总数低下，常示病情严重。C反应蛋白往往阳性。做气道分泌物、血液、胸水培养可获肺炎链球菌。此外，可采集血、尿标本用CIE、LA等方法检测肺炎链球菌荚膜抗原，用放射免疫、杀菌力试验和ELISA等方法测定肺炎链球菌抗体作辅助诊断。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.上册</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4634', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1653', '并发症', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">未经适当治疗的患儿可发生脓胸、肺脓肿、心肌炎、心包炎等。败血症患儿可并发感染性休克。过去认为肺炎链球菌不引起肺组织坏死，最近有致坏死性肺炎的报道。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.上册</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4635', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1653', '诊断及鉴别诊断', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如早期缺乏咳嗽和胸部体征，易与其他急性热病相混。如同时有呕吐、头痛、谵妄或惊厥等表现，则应与中枢神经系统传染病及中毒型菌痢区别，急需X线以确定诊断。有时腹痛和呕吐很明显，特别在右下叶发生肺炎时，可刺激膈肌以致在右下腹也出现腹痛，很像急性阑尾炎。鉴别时应注意肺炎患儿的腹部压痛不限于右下腹，腹肌痉挛可在轻缓的压力下消失，并无深层压痛。此外，患大叶性肺炎时，体温和白细胞总数一般均较急性阑尾炎更高。临床常结合CRP、PCT的值来诊断细菌性肺炎，虽非特异，但可识别危重症的存在。一般CRP≥40mg/L或PCT≥0.25μg/L时细菌病原应该考虑。支气管结核合并肺段病变或干酪性肺炎的体征与X线所见，可与大叶肺炎相似，但发病较缓，肺部阴影消失缓慢，结核菌素试验阳性，有助于鉴别。此外应与其他病原引起的肺炎如肺炎杆菌肺炎、支原体肺炎相鉴别。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.上册</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4636', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1653', '预防', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在某些国家和地区，易发肺炎链球菌感染的高危人群(包括小儿，尤其是患有镰状细胞病的儿童最易感染)试用多价肺炎链球菌多糖疫苗预防，认为有效。2岁以下儿童接种7价、13价的结合疫苗，均有效地控制了该菌相应血清型的感染。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.上册</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4637', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1653', '治疗及预后', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一般疗法可参阅支气管肺炎治疗节。抗生素治疗:青霉素敏感者首选青霉素G或阿莫西林;青霉素低度耐药者仍可首选青霉素G，但剂量要加大，或用阿莫西林/克拉维酸钾或第1代或第2代头孢菌素，备选头孢曲松或头孢噻肟或万古霉素。青霉素高度耐药或存在危险因素者首选万古霉素或利奈唑胺。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">青霉素常用剂量为5万～10万U/(kg.d)，或每日给60万～100万U或更多，一般分3次静脉给药。青霉素过敏的患儿可静脉注射红霉素100mg/(kg· d)，好转后可改为口服。治疗应持续1～2周，或完全退热后3～5日。如青霉素用药后2～3日病情未见好转，应考虑对青霉素不敏感的耐药菌株的存在，更换上述的抗生素。也可根据咽拭子培养出的肺炎链球菌敏感试验结果选用抗生素。对表现感染性休克或脑水肿、脑疝的病例，应按感染性休克或颅内高压征专章所述进行抢救。对晚期就诊者必须注意较常见的并发症，如脓胸、肺脓肿、心包炎、心肌炎及中毒性肝炎，而及时给予适当的治疗。脓胸需穿刺抽脓。肺炎链球菌肺炎痊愈后通常不会遗留肺结构损伤。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.上册</p><p><br/></p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4660', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '148', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰腺癌（pancreatic carcinoma）主要指胰外分泌腺腺癌，是胰腺恶性肿瘤中最常见的一种，占消化道恶性肿瘤的8%～10%。近年来在世界范围内有明显增多趋势。胰腺癌早期症状隐匿，当出现典型症状时多已属晚期，治疗效果不理想，5年生存率仅为4%。是恶性程度高、进展迅速、严重危害人类健康的肿瘤之一。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4661', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '148', '病因与发病机制', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰腺癌的发病原因尚未完全阐明，一般认为是由于基因和环境多种因素共同作用的结果。</p><p>（一）吸烟因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">吸烟是目前唯一公认的胰腺癌的危险因素，19%的胰腺癌发生可归因于吸烟，目前吸烟者较非吸烟者胰腺癌死亡危险增加1.2～3.1倍，研究显示吸烟与胰腺癌原癌基因K-ras突变有关。</p><p>（二）饮食因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前认为大约有35%的胰腺癌可归因于饮食因素，高热量摄入、高饱和脂肪酸、高胆固醇食品、富含亚硝胺的食品与胰腺癌发病率的增加有关，而膳食纤维、水果、蔬菜等对胰腺癌的发生起保护作用。</p><p>（三）职业暴露</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多数学者认为长期接触某些化学物质可能对胰腺有致癌作用，有报道接触β-萘酚胺、联苯胺、甲基胆蒽、N-亚硝基甲胺、乙酰氨基芴、烃化物等化学制剂者，胰腺癌的发病率明显增加。</p><p>（四）糖尿病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">60%～81%胰腺癌患者合并有糖尿病。16%患者在确诊为胰腺癌前2年已诊断为糖尿病，因此糖尿病是胰腺癌的高危因素之一。也有认为年龄＞50岁的初发糖尿病患者但无糖尿病家族史者罹患胰腺癌的危险性更高。</p><p>（五）遗传因素1.遗传综合征与胰腺癌易感性</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前已报道遗传综合征，如家族性胰腺癌、遗传性非结节性结肠癌、林岛综合征、家族性腺瘤样息肉病、遗传性胰腺炎等与胰腺癌的发生风险增加有关，但只占胰腺癌病例发生中的极少部分。</p><p>2.基因多态性与胰腺癌易感性</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①外源性致癌物代谢相关基因多态性：致癌物最终能否引起DNA损伤，在很大程度上取决于代谢酶Ⅰ相、Ⅱ相酶的活性及彼此的平衡关系；②叶酸代谢基因多态性：编码MTH2FR C677T及TS串联重复多态与胰腺癌发生风险之间存在显著关联，提示叶酸代谢酶基因的变异可能是决定胰腺癌遗传易感性的重要因素。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰腺癌发病机制的研究显示，胰腺癌的发生是多步骤多基因突变的结果。已发现原癌基因（K-ras）激活、抑癌基因（p16、p53、DPC<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>）失活及端粒酶及其亚单位异常激活与胰腺癌演变有关。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4662', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '148', '病理', '<p>（一）病变部位</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰腺癌可发生于胰腺的任何部位，但以胰头为多见，占60%～70%，胰体尾部癌占25%～30%；全胰癌约占5%左右。</p><p>（二）大体病理</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在切面上胰腺癌肿多呈灰白或淡黄白色，形态不规则，还可见有带棕色或棕红色的出血斑点或坏死灶。</p><p>（三）组织学改变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">高分化者，形成较成熟的胰腺腺管状组织。分化不良者可形成各种形态甚至不形成腺管状结构，细胞大小和形态不一，核大染色深，无核仁。</p><p>（四）病理分类和分期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">90%胰腺癌起源于导管上皮细胞，称导管细胞癌；少数可来自胰腺的小胰管上皮细胞。来自胰管的胰腺癌，因其质地坚硬，统称为硬癌。起源于胰腺泡细胞的胰腺癌称腺泡细胞癌，较少见，质地柔软，称肉质型。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰腺癌的国际TNM分期法（1989）：T，原发肿瘤：T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>未见原发肿瘤；T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>肿瘤限于胰腺；T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1a</span>肿瘤最大径≤2cm；T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1b</span>肿瘤最大径＞2cm；T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>肿瘤侵犯十二指肠、胆管或胰腺周围组织；T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>肿瘤侵犯胃、脾、结肠或附近大血管。N，淋巴结：N<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>无局部淋巴结转移；N<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>有局部淋巴结转移。M，远处转移：M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>无远处转移。M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>有远处转移。</p><p>（五）转移方式1.直接蔓延</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰头癌可压迫并浸润邻近的脏器和组织，如胆总管末端、十二指肠、胃、横结肠及小肠。腹膜转移癌和癌性腹水在胰尾癌多见。</p><p>2.淋巴转移</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">出现较早。胰头癌常转移至幽门下淋巴结，也可累及胃、肝、肠系膜、主动脉周围，甚至纵隔及支气管周围淋巴结。癌肿可沿肝镰状韧带的淋巴结转移至锁骨上淋巴结。</p><p>3.血行转移</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">经门静脉转移至肝为最常见。也可以转移到肺部、骨、肾、肾上腺等器官。</p><p>4.沿神经鞘转移</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰头癌常侵犯邻近神经如十二指肠、胰腺和胆囊壁神经。胰体癌压迫和侵蚀腹腔神经丛，可引起剧烈的背痛。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4663', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '148', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床表现取决于癌肿的部位、病程早晚、胰腺破坏的程度、有无转移以及邻近器官累及的情况。其临床特点是整个病程短、病情发展快和迅速恶化。</p><p>（一）腹痛</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">约半数以上患者有腹痛，多数由轻逐渐加重。常呈中上腹部饱胀不适、隐痛或钝痛；范围较广，性质较模糊，不易定位。胰头癌疼痛常在右上腹，胰体尾部癌则偏左，腰背痛常见，进展期病变腰背痛更加剧烈，或限于双季肋部呈束带状，提示癌肿沿神经鞘向腹膜后神经丛转移。典型胰腺癌的腹痛常在仰卧时加重，坐起或屈膝位可减轻，可能是由于癌肿浸润压迫腹腔神经丛所致。</p><p>（二）体重减轻</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰腺癌造成的体重减轻突出。体重下降的原因是由于进食减少，或因进食后上腹部不适或诱发腹痛而不愿进食。此外，胰腺外分泌功能不良或胰液流出受阻，影响消化和吸收功能，也有一定的关系。</p><p>（三）黄疸</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">梗阻性黄疸是胰腺癌，特别是胰头癌侵犯或压迫胆总管下端的重要症状。黄疸为进行性加重，可以暂时减轻，但不可能完全消退。梗阻性黄疸伴有胆囊肿大而无压痛者称为Courvoisier征，对胰头癌有一定诊断意义。胰体尾癌在波及胰头时才出现黄疸。</p><p>（四）腹块</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">腹块多数属晚期体征。肿块形态不规则，大小不一，质坚固定，可有明显压痛。腹块相对多见于胰体尾部癌。</p><p>（五）其他消化道症状1.消化不良症状</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰腺癌时胰管及胆总管下端被肿瘤阻塞，胰液和胆汁不能进入十二指肠，从而引起消化不良。少数患者因肿瘤侵入或压迫十二指肠和胃，可出现梗阻性呕吐。脂肪泻为晚期的表现，是胰腺外分泌功能不良时特有的症状，但较罕见。</p><p>2.上消化道出血</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">约占10%。主要原因为邻近的空腔脏器如十二指肠或胃受侵犯，使其糜烂或溃疡所致。胰体、尾癌压迫脾静脉或门静脉或形成栓塞，继发门静脉高压症。</p><p>（六）症状性糖尿病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">少数患者起病的最初表现为糖尿病的症状；也可表现为原有糖尿病的患者病情突然加重。因此，若糖尿病患者出现持续性腹痛，或老年人突然出现糖尿病，或原有糖尿病而近期突然病情加重时，应警惕胰腺癌可能。</p><p>（七）血管血栓性疾患</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">约10%～20%的胰腺癌患者出现游走性或多发性血栓性静脉炎，并可以此为首发症状。胰体、尾癌发生血栓性静脉炎的机会较多，且多发生于下肢，在分化较好的腺癌中更易发生。动脉血栓多见于肺动脉。</p><p>（八）精神症状</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">部分胰腺癌患者可表现为焦虑、急躁、忧郁、个性改变等精神症状。其发生机制尚不明，可能由于胰腺癌患者多有顽固性腹痛、不能安睡以及不能进食等症状，容易对精神和情绪产生影响。</p><p>（九）急性胆囊炎或胆管炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">约4%的胰腺癌患者以突然发作的右上腹绞痛伴发热、黄疸等急性胆囊炎或急性化脓性胆管炎为首发症状。可因肿瘤压迫致胆总管下端梗阻，或同时合并结石引起。</p><p>（十）腹部血管杂音</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">当癌肿压迫腹主动脉或脾动脉时，可在脐周或左上腹听到吹风样血管杂音，发生率约为1%。</p><p>（十一）其他症状</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患者常诉发热、明显乏力。部分患者尚可有小关节红、肿、热、痛、关节周围皮下脂肪坏死及原因不明的睾丸痛等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4664', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '148', '影像学检查', '<p>（一）低张十二指肠造影</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对胰腺癌诊断有一定价值，如十二指肠降段胰腺侧的“反3征”；十二指肠壁僵硬，黏膜破坏或肠腔狭窄、移位等。</p><p>（二）B超及彩色多普勒血流显影（CDFI）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">B超广泛应用于胰腺肿瘤的普查和筛选，对肿瘤直径＞3cm的准确率较高。</p><p>（三）CT和CTA（CT血管造影）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">薄层增强CT扫描已成为当前胰腺癌分期评估的首选检查方法，其检出率可达到80%，对进展期胰腺癌诊断的敏感性为95.13%，特异性为92.1%。CTA判断胰腺癌对血管侵犯的准确性可达到95%。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰腺CT灌注成像在显示形态学变化的同时反映胰腺内、外分泌功能及病理变化，达到形态诊断与功能诊断的有机结合，有助于胰腺癌早期诊断及鉴别诊断。</p><p>（四）MRI、MRCP（磁共振胰胆管显像）和MRA（磁共振血管造影）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">MRCP可以清晰的显示类似ERCP的胰胆管影像学效果，对胰腺癌诊断正确性为70%～100%。MRA较CT和EBCT更为直观清晰，从而成为准确的评价肿瘤与周围血管关系分析评估的首选方法。</p><p>（五）ERCP（逆行胰胆管造影）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于胰腺癌中80%起源于导管上皮，因此ERCP对胰腺癌的诊断率可达80%～90%，甚至可能发现＜1cm的微小胰腺癌。</p><p>（六）超声内镜（EUS）、导管内超声（IDUS）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前认为EUS诊断胰腺占位的敏感性为95%～100%，准确率超过90%。IDUS主要用于检测导管内乳头状黏液性肿瘤，判断其范围及是否有浸润等，对微小胰腺病灶的检出率明显优于US、CT和ERCP等。</p><p>（七）经口胰管镜检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">细胰管镜（直径3.3～4.5mm）可行活检，但需行乳头肌切开术（EST）才能进入主胰管。超细胰管镜（直径0.75～0.8mm）无须行EST，但不能取活检。</p><p>（八）选择性动脉造影</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">单纯诊断性的动脉造影已较少应用，而更多的是结合经导管进行动脉化疗。</p><p>（九）腹腔镜检查和腹腔镜超声（LUS）检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">腹腔镜检查的主要价值在于可以发现CT不能发现的腹膜或肝脏表面的小转移灶，从而避免不必要的剖腹探查。LUS检查对判断胰头癌能否切除的准确率为91%。</p><p>（十）正电子发射断层扫描（PET）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对胰腺癌诊断的准确率及敏感性为92%，特异性为84%。具有较高的诊断和鉴别诊断胰腺癌的效能，在临床疑为胰腺癌的初诊患者中，可作为腹部CT的有效补充检查。</p><p>（十一）胰腺活检和细胞学检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">术前或术中细针穿刺胰腺活检（FNA）以诊断胰腺癌，获取胰腺细胞的方法。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4665', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '148', '实验室检查', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前用于胰腺癌诊断和随访的肿瘤标记物有10余种，但迄今为止尚未找到一种对胰腺癌诊断敏感性和特异性都十分满意的肿瘤标记物。因此各指标单独使用对胰腺癌早期诊断价值不大。</p><p>（一）血清学标记物1.CA19-9、CA242、CA50、CA125</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">联合检测肿瘤标记物，再结合影像学检查，可增加敏感性和特异性，提高早期胰腺癌的发现率。CA19-9是最有诊断价值且应用最广泛的肿瘤相关抗原。有研究表明CA19-9的水平与癌肿的大小呈正相关，并与癌肿分期有相关性。肿瘤切除后CA19-9明显下降至正常的预后较好。但是在肝、胆、胰良性疾病如肝硬化腹水、胆汁淤积、胰腺炎患者中，CA19-9、CA50、CA125水平也可升高，而CA242水平却很低或仅轻度升高。另有研究报告血清CA242对胰腺癌的敏感性为68%～85.7%，特异性为87%和92.2%。以上结果提示在众多肿瘤标记物中，CA242是诊断胰腺癌的一种较特异的指标。</p><p>2.黏液素（MUC）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">MUC<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>和MUC<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>是与胰腺癌关系最密切的两种黏液素。MUC<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>在胰腺癌中表达提示侵袭性生物学行为，是重要的预后指标。MUC<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>是胰腺癌细胞特异性表达的，故可作为鉴别胰腺癌和慢性胰腺炎的诊断标志物。</p><p>3.CA494</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血清临界值为40kU/L，其诊断胰腺癌的敏感性为90%，特异性94%，优于CA19-9，有助于区别胰腺癌和慢性胰腺炎。</p><p>4.CAM17.1</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一种IgM抗体，对胰液中的黏蛋白有很高的特异性，在胰腺癌组织中过度表达。其诊断胰腺癌的敏感性为86%，特异性91%，是一种较有希望的肿瘤标志物。</p><p>（二）胰腺癌基因标志物</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">联合检测K-ras基因、p53基因、p16抑癌基因以及端粒酶活性可能有助于胰腺癌的早期诊断。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4666', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '148', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于胰腺癌的临床表现无特异性，又缺乏比较准确的直接检查方法，因此早期诊断十分困难。因此，应重视下列胰腺癌的高危人群：①年龄＞40岁，有上腹部非特异症状患者，伴有乏力和进行性消瘦；②上腹不适的部位较深，范围较广，定位不清，性质不明，与饮食的关系不密切；③有胰腺癌家族史者；④慢性胰腺炎患者；⑤家族性腺瘤息肉病患者；⑥突发糖尿病；⑦上腹痛或背痛伴多发性静脉血栓形成或血栓性静脉炎；⑧长期吸烟、酗酒及长期接触有害化学物质者。联合肿瘤标志物检测加上MRCP、ERCP、螺旋CT、PET/CT等先进的影像学技术有助于诊断早期胰腺癌。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">以下疾病应与胰腺癌作鉴别：</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4667', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '148', '鉴别诊断', '<p>（一）慢性胰腺炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">以缓起的上腹部胀满不适、消化不良、腹泻、食欲缺乏、消瘦等为主要临床表现的慢性胰腺炎须与胰腺癌鉴别。慢性胰腺炎常呈慢性病程，有反复的急性发作史，腹泻（或脂肪泻）较著，而黄疸少见。如影像学检查发现胰腺部位的钙化点，则有助于慢性胰腺炎的诊断。有时鉴别仍较困难，即使在手术中慢性胰腺炎的胰腺亦可坚硬如石，或呈结节样改变。若剖腹探查鉴别仍有困难时，需作深部细针穿刺或胰腺活组织检查加以鉴别。</p><p>（二）肝胰壶腹癌和胆总管癌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胆总管、肝胰壶腹和胰头三者的解剖位置邻近，三者发生肿瘤的临床表现十分相似，但在外科手术疗效和预后方面，胆总管和壶腹癌比胰头癌好，故鉴别诊断十分必要。几种梗阻性黄疸的鉴别如表18-9-2。</p><p>来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p>预后</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰腺癌死亡率很高，其5年生存率低于5%，总中位生存期不到20个月，出现转移后的中位生存期则＜6个月。由于临床确诊者大多属于肿瘤的中、晚期，手术切除率只有10%～20%，术后5年生存率5%～20%，术后平均生存17.6个月。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4668', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '148', '预防', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰腺癌死亡率很高，其5年生存率低于5%，总中位生存期不到20个月，出现转移后的中位生存期则＜6个月。由于临床确诊者大多属于肿瘤的中、晚期，手术切除率只有10%～20%，术后5年生存率5%～20%，术后平均生存17.6个月。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4669', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '148', '治疗', '<p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">胰腺癌的治疗包括外科手术、化学治疗、放射治疗、介入治疗等。</p><p style=\"white-space: normal;\">（一）外科手术</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">手术治疗至今仍是唯一能治愈胰腺癌的方法。只要条件许可应力争根治性切除。</p><p class=\"t_title\" style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表18-9-2　几种梗阻性黄疸疾病的鉴别</p><p class=\"t_title\" style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180516-1526440532724001028.jpg\" title=\"1526440532724001028.jpg\" alt=\"T18-9-2_33664.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1971px; table-layout: fixed;\"/></p><p style=\"white-space: normal;\">（二）化学治疗</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">胰腺癌对化疗不敏感。单一药物治疗胰腺癌有效率＞10%者有5-氟尿嘧啶（5-Fu）、丝裂霉素（MMC）、表柔比星（E-ADM）、吉西他滨（gemcitabine，健择）、紫杉醇（taxol，泰素）、多西他赛（taxotere）、卡培他滨（capecitabine）等。有报告经动脉局部灌注化疗疗效优于全身静脉化疗，其不仅能提高药物在肿瘤组织中的浓度，而且又能减少化疗药物的毒副作用。健择由于其毒性低、副作用小，而且以健择为基础的联合方案疗效优于单药治疗，在国外已成为治疗胰腺癌的一线药物，国内也已推广应用。</p><p style=\"white-space: normal;\">（三）放疗以及放疗加化疗</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">胰腺癌对放射不太敏感，但放疗可使30%～50%患者腹痛和背痛得到缓解，并在一定程度上抑制肿瘤的发展。某些化疗药物如5-Fu及其衍生物、健择等有放射增敏作用，而放疗由于改变了血胰屏障增加了胰腺对化疗药物的通透性，因而又能增加化疗效果。</p><p style=\"white-space: normal;\">（四）介入治疗</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">随着内镜和微创外科的发展，介入治疗在胰腺癌、尤其是无法外科手术的晚期胰腺及其并发症的治疗中发挥越来越大的作用。</p><p style=\"white-space: normal;\">1.解除梗阻性黄疸</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">内镜下鼻胆管引流术（ENBD）、内镜下胰胆管支架术（ERPD、ERBD）、对于ERCP插管失败的病例可行超声内镜引导下胰胆管造影（EGCP）及引流术或PTCD联合ERCP引流术。为减少支架堵塞，各种新材料塑料支架、覆膜金属支架和放射性金属支架均有报道。</p><p style=\"white-space: normal;\">2.解除消化道梗阻</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">常用十二指肠支架置入术。采用自膨式金属支架用于解除恶性十二指肠梗阻无须对狭窄部位先行扩张术，为晚期胰腺癌患者提供了行之有效的姑息治疗。</p><p style=\"white-space: normal;\">3.晚期胰腺癌镇痛</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">超声内镜引导下腹腔神经丛阻滞术（EUS-CPN）或毁损，是通过向腹腔动脉干根部两侧腹腔神经节注射化学药物从而起到阻滞神经或使神经坏死，以缓解各种原因所致腹痛，尤其适用于晚期胰腺癌患者。常用的药物有无水乙醇和（或）布比卡因（或利多卡因），酌情加用糖皮质激素。</p><p style=\"white-space: normal;\">4.瘤内注射治疗</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">指在B超、CT或EUS引导下将各种抗肿瘤药直接注射到瘤体内，通过化学、物理或生物效应杀灭肿瘤细胞，创伤小、全身毒副作用轻。目前临床上报道的注射药物有顺铂、无水乙醇、<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">125</span>I粒子、重组人p53腺病毒等。</p><p style=\"white-space: normal;\">5.动脉插管化疗</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">（transcatheter arterial chemotherapy，TAC） 区域性的动脉灌注化疗能使药物在靶器官区域达到高浓度分布，提高抗肿瘤效果而减少全身化疗的不良反应，还可能减少肿瘤耐药性。</p><p style=\"white-space: normal;\">6.腔内近程放疗</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">（intraluminal brachytherapy，ILBT）</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">将放射源置于空腔脏器腔内，在局部对肿瘤释放高剂量的射线而不累及周围器官，是一种安全可行的方法。常采用<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">192</span>Ir作为放射源，可缓解胆胰管恶性狭窄引起的黄疸和梗阻性疼痛，但能否延长存活期尚需进一步研究。</p><p style=\"white-space: normal;\">（五）支持治疗</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">支持治疗对晚期胰腺癌及术后患者均十分重要，可选用静脉高能营养和氨基酸液输注以改善营养状况；给予多种维生素及胰酶片等口服。中链脂肪酸的应用可减轻脂肪泻。</p><p style=\"white-space: normal; text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4670', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '148', '参考文献', '<p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">1.Shi S，Yao W，Xu J，et al.Combinational therapy：New hope for pancreatic cancer？Cancer Lett，2012，317（2）：127-135.</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">2.Philip PA.Locally advanced pancreatic cancer：where should we go from here？J Clin Oncol，2011，29（31）：4066-4068.</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">3.Neoptolemos JP.Adjuvant treatment of pancreatic cancer. Eur J Cancer，2011，47（Suppl 3）：S378-S380.</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">4.Huggett MT，Pereira SP.Diagnosing and managing pancreatic cancer.Practitioner，2011，255（1742）：21-25.</p><p style=\"white-space: normal; text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '12', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4671', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '407', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">前列腺癌是世界上最常见的男性恶性肿瘤之一。美国的前列腺癌发病率占男性恶性肿瘤首位。发达国家发病率高于发展中国家，我国前列腺癌发病率远低于西方国家，但近年呈显著增长趋势。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (下册)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4672', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '407', '流行病学', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">前列腺癌的发病率有明显的地理和种族差异，加勒比海及斯堪的纳维亚地区最高，中国、日本及前苏联国家最低。美国黑人前列腺癌发病率为全世界最高，每10万男性人口发病率为275.3，前列腺癌中位年龄为72岁，高峰年龄为75～79岁。美国70%以上的前列腺癌患者年龄都超过65岁，50岁以下男性很罕见，但是大于50岁，发病率和死亡率就会呈指数级增长。39岁以下的男性，患前列腺癌的可能性为0.005%，40～59岁年龄段增至2.2%（1/45），60～79岁年龄段增至13.7%（1/7）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床无症状而于尸检或其他原因检查前列腺时发现的为潜伏癌，即组织学证实为前列腺癌，但不发展成为临床癌。前列腺潜伏癌的发病率在25%～40%。对前列腺增生症手术标本进行病理检查，发现有癌病灶者称为偶发癌，占前列腺增生症手术的8%～22%，我国统计为4.9%。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">前列腺癌的危险因素尚不清楚。遗传是重要的因素，有前列腺癌家族史的患者比无家族史患者的发病年龄大约早6～7年。“遗传性前列腺癌”指家族中有3个或以上亲属患前列腺癌或2个或以上亲属前列腺癌发病在55岁以前，比例大约为9%。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">遗传性前列腺癌：前列腺癌有一定的家族遗传倾向，一级亲属中有2～3人患前列腺癌的男性发生前列腺癌的几率高出对照组5～11倍。发病年龄小于55岁的前列腺癌患者约43%有遗传倾向。在所有前列腺癌患者中仅约9%有家族遗传倾向。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">影响前列腺癌从潜伏发展到临床型进程的因素有很多，如饮食，富动物脂肪饮食是重要的危险因素，其他危险因素包括维生素E、硒、木脂素类、异黄酮的低摄入。绿茶、绿色蔬菜中高水平的维生素和雌激素样物质可能是前列腺癌的预防因子。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (下册)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4673', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '407', '病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">前列腺癌最常见的病理类型是腺癌，约占64.8%～98%，其次为横纹肌肉瘤和平滑肌肉瘤。腺癌的特征是前列腺管腔衬以微腺泡增生样结构，没有基底细胞，其中一部分细胞以核变大为主。前列腺上皮内瘤（PIN）细胞学上达到恶性标准，但结构上未达到，PIN有低级别和高级别两种，高级别PIN属于癌前病变。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">免疫组织化学技术的应用对前列腺癌的病理诊断有辅助价值，其中以PSA和基底细胞特异性角蛋白（Clone 34β-E<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">12</span>）最有意义。PSA染色可以区别前列腺原发腺癌和转移腺癌，或移行细胞癌侵及前列腺导管。基底细胞特异性角蛋白可以鉴别非典型增生、高级别PIN与腺癌。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Gleason分级系统是应用最为广泛，其主要依据低至中倍镜下的腺体结构变化，而与高倍镜下癌细胞学特征关系不大。Gleason系统分为主要分级和次要分级，其形态特征为：</p><p>1）1级：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">结节界限清楚，由一致的单个、分开、排列紧密的腺体组成。</p><p>2）2级：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肿瘤界限清楚，癌组织在边缘扩展至周围前列腺。腺体单个、分开，排列疏松，不如1级时一致。</p><p>3）3级：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">癌组织侵入前列腺，腺体大小和外形显著不同，许多腺体较1、2级小。分界清楚的筛状结构也分在3级。</p><p>4）4级：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">腺体主要由融合的腺体组成参差不齐的浸润边缘。</p><p>5）5级：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">无腺体分化，或伴有实心细胞巢、单个浸润细胞、癌巢或伴中心坏死。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要分级加上次要分级就是Gleason评分。若只有一种分级存在，该分级×2即为Gleason评分，这种情况在活检标本中很常见。Gleason评分有5级（1代表分化最好，5代表分化最差），总分从2（1+1）到10（5+ 5）分。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">WHO根据腺管分化进行分级：①高分化癌：由单纯的腺体形成，腺体可大可小，亦可伴有乳头状结构；②中分化癌：呈筛状结构或互相融合的腺体；③低分化癌：仅有极少量腺管或发育不良的腺管；④未分化癌：无腺管成分可见。低分化癌与未分化癌较难区别而合并在一起。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (下册)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4674', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '407', '临床表现、诊断和分期', '<p>1.临床表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">前列腺癌无特异的临床表现，症状可归纳为膀胱出口梗阻症状、局部浸润症状和转移症状。早期前列腺癌常无梗阻症状，只有当肿瘤体积大至压迫尿道时，才可出现，与前列腺增生症（BPH）所引起的膀胱口梗阻症状不易区别。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">前列腺癌向尿道浸润可引起血尿，不具特异性。尿道外括约肌受肿瘤侵犯时，可出现尿失禁。精囊受侵犯时可出现血精，但少见，老年男性出现血精应怀疑前列腺癌可能。肿瘤向后侵犯直肠可引起排便异常。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">骨骼的局部疼痛是最常见的癌转移性症状，其中以骨盆和腰椎最常见，可引起病理性骨折。前列腺癌致淋巴结转移发生率很高，但常难以发现。当转移淋巴结增大压迫相应器官或引起淋巴回流障碍时才表现出相应的症状。其他器官和组织的发生率很低，如肝、肺等。</p><p>2.直肠指检（DRE）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">直肠指检对前列腺癌的诊断和临床分期具有重要意义。检查时要注意前列腺大小、外形、有无不规则结节、中央沟情况；肿块大小、活动度、硬度及精囊情况。前列腺增大、表面平滑、中等硬度者多为增生，触到硬结者应疑为癌。50岁以上男性每年至少做一次直肠指检筛选前列腺癌。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早期前列腺癌（T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2a</span>期）直肠指检时仅能触及结节而表面尚光滑（肿瘤未侵及包膜）。T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2b</span>期前列腺癌直肠指检在触及结节同时可触及病变一侧前列腺增大。T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>期前列腺癌直肠指检不仅可触及坚硬的结节，而且常因包膜受累而结节表面粗糙，致前列腺外形不正常，同时可触及异常的精囊，但前列腺活动尚正常。T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>期前列腺癌直肠指检前列腺不但体积增大、变硬、表面粗糙、精囊异常，并且前列腺固定且边界不清。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">直肠指检触及的前列腺硬结应与肉芽肿性前列腺炎、前列腺结石、前列腺结核、非特异性前列腺炎和结节性BPH相鉴别。此外，射精管病变、精囊病变、直肠壁静脉石、直肠壁息肉或肿瘤也可在直肠指检时误诊为前列腺肿瘤。</p><p>3.前列腺特异性抗原（prostate specific Antigen，PSA）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">PSA是由237个氨基酸组成的单链糖蛋白，分子量约为34kDa，由前列腺上皮细胞分泌产生，功能上属于类激肽释放酶的一种丝氨酸蛋白酶。目前比较一致的观点是血清PSA水平0～4.0ng/ml为正常值范围。连续2次以上血清PSA＞4.0ng/ml定为异常。PSA＞10.0ng/ml发生前列腺癌的可能性大于50%，PSA在 4～10ng/ml时，发生前列腺癌的可能性约25%。一般认为PSA＞4.0ng/ml有活检指征，也有将标准降到2.5ng/ml，有报道PSA＜0.5ng/ml的人群中前列腺癌的检出率为6.6%，而且其中包括有低分化肿瘤。目前，PSA仍是前列腺癌筛选、早期诊断、分期预后、评价疗效、随访观察的首选指标。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">PSA检测应在前列腺按摩后1周，直肠指检、膀胱镜检查、导尿等操作48小时后，射精24小时后，前列腺穿刺一个月后进行。急性前列腺炎、尿潴留等会影响PSA的结果。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对50岁以上男性进行常规PSA筛查，75岁以上的男性可不作为常规筛查。如有直肠指检异常，或出现临床转移征象（如骨痛、骨折、影像学异常等）应进行PSA检查。有前列腺癌家族史的男性应从45岁开始筛查。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">游离PSA（free PSA，fPSA）：当血清PSA介于4～10ng/ml时，fPSA水平与前列腺癌的发生率可能呈负相关。PSA 4～10ng/ml，fPSA/tPSA在0～10%之间，前列腺癌的发生率达56%；fPSA/tPSA＞25%，前列腺癌的发生率为8%。对PSA 4～10ng/ml的患者，推荐fPSA/tPSA＜25%为前列腺穿刺活检的依据。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">PSA密度（PSA density，PSAD）即血清PSA浓度与超声检查测定的前列腺体积的比值（PSA单位为ng/ ml，前列腺体积单位为ml），正常PSAD＜0.15，PSAD可辅助鉴别前列腺增生症和前列腺癌。但前列腺体积的计算或测量存在差异，因此PSAD仅作临床参考。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">PSA速率（PSA velocity，PSAV）：即连续观察血清PSA浓度的变化。前列腺癌的PSAV显著高于前列腺增生症和正常组。其正常值为PSAV＜0.75ng/（ml·y）。因此PSAV可区分早期前列腺癌和前列腺增生症。在两年内至少检测三次PSA，PSAV=［（PSA2-PSA1）+（PSA3-PSA2）］/2。PSAV＞0.75ng/（ml·y），怀疑前列腺癌可能。PSAV比较适用于PSA值较低的年轻患者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">不同年龄组的男性PSA值不同，前列腺癌的检测应选用年龄特异PSA参考值，对提高早期诊断率亦有重要意义（表87-1）。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表87-1　年龄与PSA的关系</p><p style=\"text-align:center\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180516-1526441370113046779.jpg\" title=\"1526441370113046779.jpg\" alt=\"T87-1_23023.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 501px; table-layout: fixed;\"/></p><p>4.影像学检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">经直肠超声检查（TRUS）是前列腺癌影像学检查的最重要方法。超声检查的诊断准确率在60%～80%之间，明显高于DRE检查。超声检查中前列腺癌多表现为前列腺外周带的低回声改变，外形不对称、回声不均匀、中央区和外周区界限不清和包膜不完整。精囊受侵犯也可在超声检查中发现。低回声病灶要与良性前列腺增生结节、急性或慢性前列腺炎、前列腺梗死和前列腺萎缩等鉴别。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">静脉尿路造影（IVU）对诊断前列腺癌本身并无特殊意义，早期前列腺癌除非有血尿症状，一般不需要行IVU检查。前列腺癌骨转移者可以在 X线平片中发现。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">前列腺癌的CT主要表现为增强扫描时癌灶呈现增强不明显的低密度区，被膜显示不规则。CT对于早期前列腺癌的诊断敏感性明显低于MRI，不用于前列腺癌的普查，但可以显示前列腺周围组织和盆腔淋巴结，协助临床分期的判断。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">MRI对前列腺的检查优于其他影像学方法。前列腺癌MRI的典型表现是在T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>加权像上高信号的前列腺外周带内出现低信号的缺损区。T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>加权像上肿瘤信号均匀，与正常前列腺难以区别。MRI可显示前列腺包膜和周围组织、盆腔淋巴结及骨转移的病灶，对临床分期的判断很有帮助。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">放射性核素骨扫描诊断前列腺癌骨转移敏感性较X线检查高，能比X线早3～6个月发现转移灶，但也有假阳性结果，如关节炎、陈旧性骨折、骨髓炎、骨手术后等。X线检查可以帮助鉴别。血PSA可帮助诊断骨转移，敏感性较高。PSA＜20ng/ml者，骨扫描少有异常发现。</p><p>5.腹腔镜盆腔淋巴结活检术（LPLND）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">腹腔镜下盆腔淋巴结切除术可以准确判断淋巴结转移情况，适合于Gleason评分＞6或PSA＞20ng/ml，但尚无转移证据的患者。</p><p>6.穿刺活检</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病理检查是诊断前列腺癌的“金标准”。前列腺穿刺活检按部位分为经会阴穿刺活检和经直肠穿刺活检。按使用穿刺针不同分为针吸细胞学检查和系统穿刺活检。前列腺穿刺活检可在直肠指检引导和（或）各种影像学检查引导下进行，推荐经直肠超声（TRUS）引导下的前列腺穿刺活检。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">传统的系统穿刺活检为六针穿刺法，即左右叶各三针。目前认为在前列腺穿刺活检前先做前列腺MRI，常规穿刺10针以上，活检范围包括前列腺移行区、外周带中线、外周带尖部及两个后外侧叶。超声或直肠指检发现结节，可在结节部位增加穿刺针数；如直肠指检和超声明确前列腺结节，且PSA＞20ng/ml，可酌情减少穿刺针数。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">前列腺穿刺活检前患者停止使用抗凝剂5～7天，经直肠途径的检查前2～4小时清洁肠道，适当应用抗生素。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">前列腺穿刺活检的指征：①直肠指检异常，任何PSA值；②PSA＞10ng/ml，任何 f/t PSA和 PSAD值；③PSA 4～10ng/ml，f/t PSA异常或PSAD值异常；④PSA 4～10ng/ml，f/t PSA和PSAD值正常，B超发现前列腺低回声结节和（或）MRI发现异常信号；⑤PSA 4～10ng/ ml，f/t PSA和PSAD值正常，穿刺或严密随访。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">第一次前列腺穿刺阴性结果，需要重复穿刺的指征如下：①PSA＞10ng/ml，任何f/t PSA和PSA密度值；②PSA 4～10ng/ml，f/t PSA或PSA密度值异常，或直肠指检和B超异常；③PSA 4～10ng/ml，f/t PSA、PSA密度、直肠指检、B超均正常，则每月复查 PSA。如PSA连续2次＞10ng/ml，应再穿刺；④非典型性增生或高级别前列腺上皮内瘤（PIN）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">重复穿刺间隔时间尚有争议，目前多为1～3个月。</p><p>7.前列腺癌分期和危险因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">正确的临床分期是选择合适治疗方法和评价预后的指南。通过DRE、PSA、骨扫描、CT、MRI以及淋巴结切除来判断临床分期。AJCC的TNM分期系统被广泛采用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">T分期表示原发肿瘤的局部情况，主要通过DRE和MRI来确定，前列腺穿刺阳性活检数目和部位、肿瘤病理分级和PSA可协助分期。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">N分期表示淋巴结情况，只有通过淋巴结切除才能正确地了解淋巴结转移情况。N分期对准备采用根治性疗法的患者是重要的，分期低于T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>、PSA＜20ng/ml和Gleason评分＜6的患者淋巴结转移的机会小于10%，可保留淋巴结切除手术。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">M分期主要针对骨骼转移，骨扫描、MRI和X线是适合的检查方法。对病理分化较差（Gleason评分＞7）或PSA＞20ng/ml的患者，应常规行骨扫描（表87-2 2002年AJCC前列腺癌TNM分期）。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表87-2　前列腺癌TNM分期（AJCC，2002年）</p><p style=\"text-align:center\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180516-1526441431848064100.jpg\" title=\"1526441431848064100.jpg\" alt=\"T87-2_23033.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1017px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">续表</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180516-1526441706072090554.jpg\" title=\"1526441706072090554.jpg\" alt=\"T87-2_1_23035.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1017px; table-layout: fixed;\"/></p><p>根据血PSA、Gleason评分和临床分期将前列腺癌分为低、中、高危三类，对治疗选择和预后评价有帮助（表87-3）。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表87-3　前列腺癌分为低、中、高危评价标准</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180516-1526441743375009840.jpg\" title=\"1526441743375009840.jpg\" alt=\"T87-3_23038.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 502px; table-layout: fixed;\"/></p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (下册)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4675', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '407', '治疗', '<p>1.等待观察</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　等待观察指主动监测前列腺癌的进程，在出现疾病进展或临床症状明显时给予其他治疗。等待观察的适应证：①低危前列腺癌和预期寿命短的患者；②晚期前列腺癌患者：仅限于治疗伴随的危险和并发症大于延长生命和改善生活质量的情况。禁忌证有：①预期寿命较长的高危肿瘤患者；②在等待观察时有进展或转移的证据。选择等待观察的患者必须了解并接受局部进展和转移的危险。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对临床局灶性前列腺癌（T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1～3</span>，Nx或N<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>，Mx或 M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>）适合根治性治疗的患者但选择等待观察的需要规律的随访：每6个月DRE和PSA检查；如果首次活检＜10点或检查不一致（如在活检阳性处的对侧触及肿瘤），需要在明确诊断的6个月内重复前列腺穿刺活检；如果初始活检＞10点，在18个月内重做前列腺穿刺活检，并循环；临床检查和肿瘤标记物提示任何疾病进展的证据需要重新活检。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">等待观察的有利之处：避免根治性疗法的不良反应；保持生活质量/正常活动；减少对小的静止肿瘤的不必要治疗和减少初始的医疗费用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">等待观察的不足之处：进展和（或）转移的危险；后续治疗可能更强烈、不良反应增多；焦虑增加；要求定期的检查和周期性活检；前列腺癌长期自然病史的不确定；对周期性影像学检查的时机和价值目前尚不明确。</p><p>2.前列腺根治性切除术</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">前列腺根治性切除术是治疗局限性前列腺癌最有效的方法，适合于可能治愈的局限于前列腺的肿瘤，即临床T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>和T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>期肿瘤。已经明显侵犯前列腺包膜或精囊，有淋巴转移或远处转移的肿瘤，均不适合根治性手术治疗。手术选择在考虑临床分期同时，需要综合考虑患者的预期寿命和健康状况。目前认为手术没有年龄界限，但应让患者知情：70岁以后伴随年龄增加手术并发症及死亡率亦会增加。根治性手术适合预期寿命≥10年的T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1b</span>和T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1c</span>期患者，预期寿命≥15年的T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1a</span>期患者、特别是Gleason评分较高者；以及经谨慎选择的预期寿命≥10年的T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3a</span>期患者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">手术禁忌证有：患有显著增加手术危险疾病，如严重的心血管和呼吸系统疾病，严重出血倾向或血液凝固性疾病，已有淋巴结转移或骨转移，预期寿命不足10年。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">手术有三种主要术式，传统的经会阴和经耻骨后（逆行切除和顺行切除）开放手术及腹腔镜手术。开放手术推荐经耻骨后前列腺根治性切除。手术包括盆腔淋巴结切除、根治性前列腺切除和尿道重建。淋巴结切除范围为髂动脉和静脉周围的纤维脂肪组织，下至腹股沟管，后至闭孔神经后方。切除后应做冷冻切片病理检查。根治性前列腺切除范围包括完整的前列腺、双侧精囊、双侧输精管壶腹段和膀胱颈部。尽量保留神经血管束。如果发现肿瘤侵犯神经血管束，则不予保留。最后完成膀胱和尿道的吻合。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">腹腔镜手术有经腹腔途径和经腹膜外途径，手术的要求与开放手术一致，疗效与开放手术类似，优点是损伤小、解剖结构清晰，但是技术比较复杂。新近开发的机器人辅助系统（达芬奇系统）简化了腹腔镜技术。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">经直肠穿刺活检者应等待6～8周，经尿道前列腺切除术者等待12周，再行手术，可能降低手术难度和减少并发症。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">围术期死亡率为0～2.1%。主要并发症有术中严重出血、术后阴茎勃起功能障碍、尿失禁、膀胱尿道吻合口狭窄、直肠损伤、尿道狭窄、深静脉血栓、淋巴囊肿、尿瘘和肺栓塞。腹腔镜手术还可能发生穿刺口种植转移、中转开放手术、空气栓塞、高碳酸血症和穿刺口切口疝等。</p><p>3.放射治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">放射治疗通过放射线的直接效应或间接通过产生自由基来破坏DNA双链。当肿瘤细胞分裂时，由于其DNA的完整性受损，无法进行细胞分裂而死亡；而不分裂的肿瘤细胞则可以存活较长时间。一般细胞在M期和G<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>期对放射线较敏感，而S期的细胞则较不敏感。前列腺癌的放射治疗有外放射和近距离放疗。</p><p>（1）外放射治疗（EBRT）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对早期前列腺癌放射治疗可达到治愈的目的，肿瘤局部控制率和10年无病生存率与前列腺根治性切除术相似。放疗的并发症较少、生存质量较高。对局部晚期前列腺癌可采用放射治疗结合内分泌治疗。三维适形放疗（3D-CRT）和调强放疗（IMRT）等逐渐成为前列腺癌放疗的主流技术，能提高疗效、明显降低不良反应。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">外放射治疗适用于 T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1a</span>～T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>期的前列腺癌患者。治愈性放疗针对T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1～2</span>N<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>期前列腺癌。对T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>和T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>期前列腺癌以及根治术后切缘阳性或PSA复发的患者可采用辅助放疗。对前列腺癌有淋巴结转移或骨转移的患者采用姑息性放疗，缓解症状。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">外照射采用<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">60</span>Co或高能X线，先通过MRI或CT来确定前列腺和周边正常组织范围，然后采用计算机辅助治疗计划系统设计出计划目标区域，计算中央面肿瘤及周边正常组织的剂量分布，利用计算机断层资料并参考患者解剖标志，将放疗区域划入定位片上。对前列腺采用前、后及两侧野的四野照射技术，根据临床分期和病理分级决定是否包括精囊及周边组织、是否进行全骨盆放疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">三维适形放疗通过计算机治疗计划系统使放射线高剂量区在体内分布到三维图像上并与被照射靶区形态一致。适形放疗可以提高肿瘤局部的照射剂量及靶区的照射总量，最大限度地减少照射正常组织，提高局部控制率并降低并发症。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">调强放疗通过在直线加速器上安装最新多叶光板及专用软件，经计算机精确计算，给予目标区域内肿瘤及邻近正常组织不同的放射剂量，减少对直肠和膀胱的不良反应。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1a</span>期肿瘤，只需照射前列腺。T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1b</span>～T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>期肿瘤的计划靶体积应包括前列腺、精囊及周围0.5～0.7cm范围内的组织，同时应考虑周围器官移动和位置变化。出现淋巴结转移时建议行盆腔淋巴结照射。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">不同分期患者所需的最小照射剂量：T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1a</span>期64～66Gy；T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1b</span>～T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>期66～70Gy；T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>期70～72Gy；T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>～T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>期根治术切缘阳性66～70Gy；根治术后复发：70～72Gy；T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>期的姑息性放疗：50～65Gy。随着照射剂量的递增，局部控制率升高，但是临床上一般不应用大剂量照射，避免明显的不良反应。常规放疗是每周照射5次，每天照射剂量为1.8～2Gy，至累积量达到目标剂量。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">外放射对局限性前列腺癌（T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1～2c</span>N<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>）的疗效较好。对低危组（T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1a～2a</span>N<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>、Gleason评分≤6和 PSA＜10ng/ml），治愈性放疗的推荐剂量为70～72Gy，疗效与根治性前列腺切除术相似。显著提高。中危组（T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2b</span>&nbsp;N<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>或Gleason评分6～7分或PSA 10～20ng/ml）的照射剂量在76～81Gy之间，可提高T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1c</span>～T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>期患者的5年无生化复发率。最佳照射剂量目前尚未定论，78Gy可能比较合适。高危组（T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2c</span>N<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>或Gleason评分＞7分或PSA＞20ng/ml）患者提高照射剂量的同时应用辅助性内分泌治疗可以提高肿瘤特异生存。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对局部晚期前列腺癌（T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3～4</span>N<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>，T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1～4</span>N<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>，病理分期为pT<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>N<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>）可采用放疗加内分泌治疗方法，放疗前先采用内分泌治疗的新辅助方式，目的使肿瘤体积明显缩小。新辅助内分泌治疗的疗程多长目前没有定论。放疗期间或放疗后加内分泌治疗的辅助方式，辅助内分泌治疗提高局部控制率、无肿瘤生存和总生存率。T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2c～3</span>N<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0～x</span>且Gleason 2～6分患者，在放疗前和放疗期间短时间应用内分泌治疗能提高总生存率。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">前列腺根治性切除术后切缘阳性或PSA复发时，可采用辅助放疗，对pT<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>N<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>期的患者根治性切除后即刻放疗能提高5年生存率。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对前列腺癌盆腔扩散、淋巴结转移和骨转移的晚期患者，在内分泌治疗的同时可考虑采用姑息性放疗，缓解症状。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">外放射治疗常见的不良反应有下尿路刺激征、尿道狭窄、出血性膀胱炎、膀胱瘘、血尿、尿失禁、放射性直肠炎等。急性放疗副作用多发生在放疗第三周，并在治疗结束约数天后消失。慢性副作用在放射治疗后三个月发生，多因放射治疗对血管及结缔组织损伤引起，放射治疗剂量愈高会增加慢性副作用几率。</p><p>（2）近距离放疗（brachytherapy）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">通过三维治疗计划系统的准确定位，将放射性粒子植入到前列腺内，提高前列腺局部的放射剂量，而减少对直肠和膀胱的放射损伤。目前国内使用<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">125</span>碘（<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">125</span>I）和<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">103</span>钯（<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">103</span>Pd）做永久性粒子植入，两者的半衰期分别为60天和17天，粒子能量低，穿透距离短，不需要特殊防护。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近距离治疗的治疗指征：①临床分期为T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>～T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2a</span>；②Gleason评分2～6分；③PSA＜10ng/ml。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近距离治疗联合外放疗的治疗指征：①临床分期为T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2b</span>和T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2c</span>；②Gleason评分8～10；③PSA＞20ng/ml；④周围神经侵犯；⑤多点活检的病理为阳性；⑥MRI证实前列腺包膜外侵犯。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于Gleason评分为7分，或PSA 10～20ng/ml的患者根据近距离放疗的结果决定是否联合外放疗。对治疗前前列腺体积＞60ml的患者，先使用雄激素阻断，使前列腺缩小，然后开始近距离治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近距离放疗的禁忌证：①预期生存小于5年；②TURP后前列腺缺损较大；③全身情况差；④有远处转移。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">既往有TURP史、前列腺中叶突出、严重糖尿病和多次盆腔放疗及手术史是相对禁忌。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">单一近距离治疗的患者，<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">125</span>I的处方剂量为144Gy，<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">103</span>Pd为115～120Gy；联合外放疗者，外放疗的剂量为40～50Gy，<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">125</span>I和<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">103</span>Pd的照射剂量分别调整为100～110Gy和80～90Gy。外放疗和近距离治疗的次序对疗效无影响。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近距离放疗常见的并发症有尿路刺激征，如尿频、尿急和尿痛，尿潴留，尿失禁，尿道狭窄，直肠刺激症状，直肠炎，严重时会发生直肠溃疡甚至于前列腺直肠瘘。</p><p>4.内分泌治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1941年，Huggins和Hodges发现手术去势和雌激素可延缓转移性前列腺癌的进展，证实了前列腺癌对雄激素有依赖性。前列腺细胞在无雄激素刺激的情况下会发生凋亡。人体90%以上的雄激素来源于睾丸，约5%～10%由肾上腺产生。下丘脑-垂体-性腺轴调控雄激素的产生。下丘脑分泌的黄体生成素释放激素（LHRH）刺激垂体分泌黄体生成素（LH）和卵泡刺激素（FSH），刺激睾丸的间质细胞分泌睾酮。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">内分泌治疗的目的在于降低体内雄激素水平、抑制肾上腺来源的雄激素合成、抑制睾酮转化为双氢睾酮以及阻断雄激素与受体的结合，促使前列腺癌细胞凋亡或抑制生长。目前主要通过下列两种途径达到雄激素阻断的目的：①抑制或去除睾酮产生：手术去势或药物去势；②阻断雄激素与受体结合。其他次要的方法有抑制肾上腺来源的雄激素（酮康唑等）以及抑制睾酮转化为双氢睾酮（5-α还原酶抑制剂）。内分泌治疗是局部晚期前列腺癌和转移性前列腺癌的主要治疗方法，可作为根治性手术或放疗前使用的新辅助治疗，根治性手术或放疗后的辅助治疗，以及在治愈性治疗后局部复发或进展后的治疗。</p><p>（1）去势治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">手术去势为双侧睾丸切除或包膜下睾丸切除，去势后血睾酮水平迅速下降至术前水平的5%～10%，PSA亦迅速下降。手术可在局麻下完成，并发症少。主要的不良反应是对患者的心理影响。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">药物去势指采用人工合成的黄体生成素释放激素类似物（LHRH-a）。LHRH-a与垂体的LHRH受体有高度的亲和力，作用能力比LHRH更强和更长。给药初期可刺激垂体产生LH和FSH，使睾酮水平上升，在1周时达到最高点。随后垂体的LHRH受体逐步丧失敏感性，LH和FSH分泌停止，睾酮的水平逐渐下降，至3～4周时可达到去势水平。但有10%的患者睾酮不能达到去势水平。在用药初期由于睾酮水平的一过性升高，可使转移性症状如骨痛或排尿因难等加重，称为LHRH-a治疗的“闪烁现象”（flare-up），应在注射开始前两周先给予抗雄激素药物。对于已有骨转移引起脊髓压迫的患者，慎用LHRH-a，可选择迅速降低睾酮水平的手术去势。LHRH-a的疗效与手术去势相当。主要不良反应是勃起功能障碍和性欲丧失。目前国内已上市的有：戈舍瑞林（诺雷德，zoladex）：每28天在皮下注射3.6mg；亮丙瑞林（抑那通，enantone）：每28天在皮下注射3.75mg；曲普瑞林（达菲林，triptorelin）：每28天在皮下注射3.75mg。曲普瑞林的3个月的长效缓释剂型国内目前已上市。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">雌激素的作用有减少LHRH的分泌，直接抑制睾丸间质细胞功能，减少雄激素产生，同时抑制雄激素活性，对前列腺细胞有直接毒性。己烯雌酚常用剂量1～3mg/d，可以达到与去势相同的效果，但心血管方面的不良反应明显增加。需同时应用低剂量华法林（1mg/ d）或阿司匹林（75～100mg/d）预防。</p><p>（2）抗雄激素药物：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">抗雄激素药物有类固醇类和非类固醇类两大类。类固醇类抗药物主要是孕激素类药物，机制为阻断前列腺的雄激素受体同时抑制垂体释放LH，减少睾酮分泌达到去势水平。长期单药使用，睾丸会逃逸垂体的控制作用而使睾酮水平逐渐回升，长期疗效不如去势治疗稳定。代表药物有醋酸环丙孕酮（cyproteron acetate），100mg口服，每日2次。不良反应有胃肠道症状及男性乳房发育。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">国内已上市的非类固醇类抗雄激素药物有2种：①氟他胺（flutamide，fugerel，福至尔）250mg口服，每日3次。常见副作用为腹泻，可出现乳房女性化。单独使用疗效不如与LHRH-a或手术去势联合应用好。②比卡鲁胺（bicalutimide，casodex，康士得）50mg口服，每日1次，与LHRH-a联合使用时。也有150mg每日针对局部晚期的前列腺癌。</p><p>（3）全雄激素阻断（或最大限度雄激素阻断，total or maximum androgen blockade，TAB or MAB）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">指手术或药物去势联合抗雄激素药物，最大限度地阻断睾丸和肾上腺来源的雄激素。根据文献报道的27项临床试验结果的荟萃分析认为手术或药物去势联合非类固醇类抗雄激素药物的方法相比单一去势治疗，PSA复发率低，总生存期延长3～6个月。采用比卡鲁胺的全雄激素阻断可使死亡风险降低20%，同时相应延长无进展生存期。但是不良反应和治疗费用要高于单一去势治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">全雄激素阻断的患者出现进展时，氟他胺或比卡鲁胺4～6周后，约1/3的患者出现临床症状的好转和PSA下降，可持续4月至1年，这一现象称为“抗雄激素撤除综合征”（Antiandrogen withdrawl syndrome）。</p><p>（4）间歇内分泌治疗（intermittent hormonal therapy，IHT）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">指内分泌治疗一段时间，患者临床症状和PSA稳定后，暂停治疗，当PSA再次升高后，予以新一轮内分泌治疗。间歇治疗的目的在于提高患者的生活质量，降低治疗费用，有可能延长雄激素依赖的时间。间歇内分泌治疗的适应证与持续内分泌治疗的基本相同，可能更适合局限性前列腺癌或经治愈性治疗后局部复发的病例，最佳的适应证目前还没有确定。间歇治疗在治疗期仍推荐全雄激素阻断的方法，当PSA≤0.2ng/ml后，维持治疗3～6个月，可以考虑停药。重启治疗的标准没有定论，文献报道的有PSA＞10ng/ml，PSA＞20ng/ml，国内推荐PSA＞4ng/ml为治疗开始。</p><p>（5）新辅助内分泌治疗（neoadjuvant hormonal therapy，NHT）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">指在根治性手术或放疗前给予一段时间的内分泌治疗，目的在于缩小前列腺体积、降低临床分期，降低手术的切缘阳性率。新辅助治疗针对T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>和T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3a</span>期的肿瘤，目前多推荐采用全雄激素阻断3～9个月。文献对根治手术的新辅助治疗存在争论，能否改善总体生存期还未有定论。</p><p>（6）辅助内分泌治疗（adjuvant hormonal therapy，AHT）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">指在根治性手术或治愈性放疗后给予内分泌治疗，目的在于治疗前列腺切缘的残留病灶、淋巴结转移以及微小转移病灶。辅助治疗针对根治性手术后切缘阳性、淋巴结阳性、病理分期为T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>（pT<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>），局限性前列腺癌（T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>期）伴高危因素的患者行根治性手术或治愈性放疗后，局部晚期前列腺癌放疗后。辅助内分泌治疗应在手术或放疗后即刻开始，单用去势或抗雄激素药物或全雄激素阻断均可。采用间歇还是持续治疗没有定论。</p><p>5.试验性局部治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">前列腺癌的试验性局部治疗包括：冷冻治疗、高强度聚焦超声和组织内肿瘤射频消融，这些方法对临床局限性前列腺癌的疗效还需要更多长期的多中心临床研究资料来评价。</p><p>（1）冷冻治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是利用低温技术使局部组织迅速降到-160～-190℃，导致细胞蛋白变性、脱水；细胞内外的冰晶形成均可直接导致细胞膜破裂；小血管痉挛、血流淤滞，导致血栓形成和微循环障碍；最终造成组织缺血、坏死而脱落。现代的冷冻治疗在经直肠超声引导下，将12～15根17G的冷冻探针插入前列腺，准确地冷冻并破坏前列腺及其癌组织，减少损伤周围组织，同时在尿道外括约肌和膀胱颈等部位放置温敏计进行温度监测，并用细导管将温热的液体导入尿道，防止低温损伤。目前氩氦联合应用代替传统的液氮。一次冷冻治疗需要完成2个冷冻-复温周期，使腺体和血管神经束部位的温度都能降到-40℃，以保证治疗效果。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">冷冻治疗最适合低危前列腺癌（PSA＜10ng/ml，Gleason评分≤6，分期≤T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2a</span>）；中危前列腺癌（PSA 10～20ng/ml或Gleason评分7或分期T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2b</span>）患者也可以选择。前列腺≤40ml，如前列腺＞40ml，可先行新辅助内分泌治疗使腺体缩小。对于有勃起功能并希望保留的患者，应谨慎选择。冷冻治疗尝试性用于转移性前列腺癌和激素非依赖性前列腺癌的局部姑息治疗，放疗后的补救性治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">冷冻治疗对临床局限性前列腺癌的疗效与放疗的相似，但生存率还达不到根治性手术的结果。美国泌尿外科协会已将冷冻疗法列入临床局限性前列腺癌的治疗选择。目前缺乏足够的长期随访资料。并发症主要是勃起功能障碍，其他有组织腐坏、尿失禁和尿潴留等，直肠瘘少见。</p><p>（2）高强度聚焦超声：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是将体外发射的高强度超声波在体内聚焦在前列腺区，通过气腔空化效应破坏细胞膜，同时又转化为热能，在组织局部产生65～100℃的瞬时高温，使组织发生凝固性坏死、吸收或分解脱落。治疗需要在计算机控制下依次逐点烧灼，烧灼10g前列腺组织大约要1小时。该方法治疗的病例数较少，随访时间短，目前难以对此疗法作出科学的评价。并发症常见的是尿潴留、勃起功能障碍和尿失禁。</p><p>（3）组织内肿瘤射频消融：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是将大功率射频能量通过直接刺入肿瘤部位的消融电极传送到肿瘤组织内，利用导电离子和极化分子按射频交变电流的方向作快速变化，使组织本身产生摩擦热。温度达到60℃以上时，肿瘤组织产生不可逆的凝固性坏死，以达到治疗目的。目前只有3个小样本的Ⅰ/Ⅱ期临床试验观察了该方法的疗效和安全性，难以作出科学评价。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (下册)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4676', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '407', '随访', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">前列腺癌治疗后的随访是完整治疗的重要部分。</p><p>1.PSA</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　是判断疾病进展的重要指标，PSA复发比影像学证实的局部复发和远处转移早数年。在根治性手术和放射治疗之前、同时和之后进行内分泌治疗影响PSA预后评价的作用，因此需要根据治疗方法的决定生化复发标准，同时结合影像学的证据。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">前列腺根治性切除术后3周应测不到PSA。PSA水平的持续升高说明有残留的前列腺癌病灶。根治手术后，连续两次血清PSA＞0.2ng/ml提示前列腺癌生化复发。生化复发不等同于临床复发和疾病进展。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">放疗后前列腺仍然存在，PSA下降缓慢。PSA最低值是生化治愈的标志，也是重要的预后判断因子。一般认为在3～5年内PSA≤1ng/ml的预后较好。连续三次PSA水平增高是放疗后前列腺癌生化复发的标志，复发时间为放疗后PSA达到最低值和第一次PSA升高之间的时间中点。临床复发一般在生化复发6～18个月之后出现。文献提出了3种新标准：①放疗后连续2次PSA升高、每次升高≥0.5ng/ml；②比PSA最低值升高2ng/ml；③比PSA最低值升高3ng/ml。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近距离照射的 PSA最低值目前仍未确定，有0.1ng/ml、0.2ng/ml和1.0ng/ml多个标准在比较中。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">PSA动力学可能是临床复发和肿瘤特异生存的最重要的预后因素。前列腺根治性切除术或放疗后PSA倍增时间（PSA doubling time，PSADT）短于3个月与前列腺癌特异性死亡率关系密切，对于这样的患者可以考虑进行辅助内分泌治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">内分泌治疗以PSA＜0.2ng/ml为PSA最低值，也有以PSA＜0.5ng/ml为最低值。治疗后3个月和6个月的PSA水平与预后关系密切，此时PSA降到最低值以下，治疗有效反应的持续时间更长。</p><p>2.直肠指检</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是前列腺根治性切除术和放疗后随访的一线检查方法，可判断前列腺癌的局部复发。在前列腺区发现新结节应考虑局部复发。</p><p>3.经直肠超声和活检</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　经直肠超声与前列腺活检结合确诊局部复发。前列腺活检不作为常规的随访手段，仅对放疗复发，考虑进行补救性前列腺切除术和其他治疗的患者行活检。</p><p>4.骨扫描与CT/MRI</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　骨扫描与CT/MRI检查的目的是发现转移病灶。对无临床症状、无生化复发或生化复发早期的患者骨扫描与CT/MRI的临床意义有限，不作为常规的随访手段。PSA＞10ng/ml者以及PSADT＜6个月或PSAV＞0.5ng/ml者应做骨扫描与CT/MRI。</p><p>5.血清学检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　肝功能、肾功能和血红蛋白可了解患者的总体情况以及药物的毒性。血清碱性磷酸酶对内分泌治疗的随访有一定价值。</p><p>6.随访的时间</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　治愈性治疗后每3个月随访一次，2年后每6个月一次，5年后每年一次。常规内容包括临床症状、PSA和直肠指检等。如果直肠指检阳性、PSA持续升高，行骨盆CT/MRI和骨扫描；存在骨痛，不论PSA水平，行骨扫描；放疗后拟行补救性前列腺切除术，应经直肠超声与前列腺活检。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">内分泌治疗后每3个月查PSA，采用抗雄激素药物的监测肝功能，以后3～6个月检查一次。病情稳定期不推荐常规影像学检查。PSA持续升高或发生骨痛，行骨扫描。疾病进展是缩短随访间期。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">附：激素非依赖前列腺癌（hormone-independent prostate cancer）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">激素非依赖性前列腺癌指经过持续规范的内分泌治疗后生化复发、疾病进展的前列腺癌，包括雄激素非依赖性前列腺癌（androgen-independent prostate cancer，AIPC）和激素难治性前列腺癌（hormone-refractory prostate cancer，HRPC）2个部分。在激素非依赖发生的早期对二线内分泌治疗仍有反应的为雄激素非依赖性前列腺癌。对二线内分泌治疗无反应或先有反应随后继续恶化的为激素难治性前列腺癌。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">激素难治性前列腺癌的诊断标准是：血清睾酮达去势水平（＜50ng/dl）；间隔2周连续3次检测PSA升高；撤除抗雄激素药物4周以上；二线内分泌治疗期间PSA进展；骨或软组织转移病灶的进展。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">疗效评估方法：①PSA下降≥50%保持8周与较好的预后结果显著相关；②骨或软组织转移病灶是否有改变；③临床症状的改善。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">治疗首先是保持睾酮在去势水平，可采用持续的药物去势或手术去势。然后采用二线内分泌治疗：单一手术或药物去势的患者，加用抗雄激素药物（氟他胺或比卡鲁胺）；已采用全雄激素阻断的患者，停用抗雄激素药物，观察有无“抗雄激素撤除综合征”；不同抗雄激素药物的互换，如氟他胺与比卡鲁胺互换；肾上腺来源的雄激素抑制剂（如酮康唑、氨鲁米特、皮质激素）；小剂量的雌激素，如雌二醇、甲地孕酮。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对激素难治性前列腺癌采用化疗。目前以多烯紫杉醇（docetaxel）为基础的化疗已成为标准的方案，多烯紫杉醇75mg/m<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>静脉用药，每3周一次，并加用泼尼松5mg口服，2次/日，共10个周期。米托蒽醌（mitoxantrone）12mg/m<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>静脉用药，每3周一次，并加用泼尼松5mg口服，2次/日，也是可选的方案。其他还有雌莫司汀（estramustine）+长春新碱（vinblastine）；雌莫司汀（estramustine）+VP16（etoposide）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对广泛骨转移，疼痛症状明显的患者，减轻疼痛和改善生活质量是治疗重点。唑来膦酸（zoledronic acid）可减轻转移性骨痛和预防骨折。外照射放疗+糖皮质激素减轻局灶的转移性骨痛，锶-89（<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">89</span>Sr）或钐-153（<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">153</span>Sm）核素内照射对某些患者的转移性骨痛有效。使用镇痛药物，按阶梯服药：非阿片类药物至弱阿片类再增至强阿片类药物。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (下册)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4677', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '355', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肾细胞癌是起源于肾实质泌尿小管上皮系统的恶性肿瘤，又称肾腺癌，简称为肾癌，占肾恶性肿瘤的80%～90%。包括起源于泌尿小管不同部位的各种肾细胞癌亚型，但不包括来源于肾间质以及肾盂上皮系统的各种肿瘤。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (下册)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4678', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '355', '流行病学及病因', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肾癌约占成人恶性肿瘤的2%～3%，各国或各地区的发病率不同，发达国家发病率高于发展中国家。我国各地区肾癌的发病率及死亡率差异也较大，据全国肿瘤防治研究办公室和卫生部卫生统计信息中心统计我国试点市、县1988—1997年肿瘤发病及死亡资料显示：①肾癌的发病率和死亡率均有上升趋势；②男女比例约为2∶1；③城市地区高于农村地区，两者最高相差43倍。发病年龄可见于各年龄段，高发年龄50～70岁。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肾癌的病因未明。其发病与吸烟、肥胖、长期血液透析、长期服用激素、解热镇痛药物等有关；某些职业如石油、皮革、石棉等产业工人患病率高；少数肾癌与遗传因素有关，称为遗传性肾癌或家族性肾癌，占肾癌总数的4%。其中VHL综合征肾癌是主要类型。非遗传因素引起的肾癌称为散发性肾癌。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (下册)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4679', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '355', '分类', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肾癌有几种分类标准，以往我国最常采用的是1981年Mostofi分类标准。WHO 1997年根据肿瘤细胞起源以及基因改变等特点制定了肾实质上皮性肿瘤分类标准，此分类将肾癌分为透明细胞癌（60%～85%）、乳头状肾细胞癌或称为嗜色细胞癌（7%～14%）、嫌色细胞癌（4%～10%）、集合管癌（1%～2%）和未分类肾细胞癌。根据形态学的改变乳头状肾细胞癌分为Ⅰ型和Ⅱ型2型。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2004年WHO对1997年的肾细胞癌病理组织学分类进行了修改，保留了原有肾透明细胞癌、乳头状肾细胞癌（Ⅰ型和Ⅱ型）、肾嫌色细胞癌及未分类肾细胞癌4个分型，将集合管癌进一步分为Bellini集合管癌和髓样癌，此外增加了多房囊性肾细胞癌、Xp11易位性肾癌、神经母细胞瘤伴发的癌、黏液性管状及梭形细胞癌分型。推荐采用2004年WHO肾细胞癌病理分类标准。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (下册)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4680', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '355', '病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">绝大多数肾癌发生于一侧肾，常为单个肿瘤，10%～20%为多发。肿瘤多位于肾上下两极，瘤体大小差异较大，直径平均7cm，常有假包膜与周围肾组织相隔。双侧先后或同时发病者仅占散发性肾癌的2%～4%。遗传性肾癌则常表现为双侧、多发性肿瘤。</p><p>1.肾透明细胞癌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">大体标本多为圆形，较大时外形不规则，可为分叶状或结节型。肿瘤常为实性，质硬，少数合并囊肿或囊性变。有一层纤维包膜包裹，血供丰富，表面常有怒张的血管。肿瘤的颜色与血管多少、癌细胞内脂质含量以及出血、坏死等因素有关。一般说来，生长活跃区为白色，含脂质丰富的区域呈金黄色并发亮，灰色可能为分化不良或未分化肿瘤。可有局灶性钙化，液化坏死，不规则的出血灶。显微镜下透明细胞体积大，边界清楚，呈多角形，核小而均匀，染色深，因胞浆中内含大量磷脂、糖原和中性脂肪，这些物质在切片过程中被溶质溶解呈透明状。细胞常排列呈片状、乳头状或管状。分化不良的核多样性，有明显的核仁。</p><p>2.嗜色细胞癌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　乳头型，约占肾癌10～15%。嗜色细胞癌表现为乳头状或小管乳头状生长，在未分化肿瘤变为实性。其乳头的蒂常为充满了脂类的巨噬细胞和巨灶性砂样瘤小体。乳头状肾癌预后比非乳头状好。</p><p>3.嫌色细胞癌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">约占肾癌的4%，切面常为橘黄色。显微镜下嫌色细胞的特点是细胞多角形，胞浆透明但有细的网状结构，有明显的细胞膜。常规染色胞浆不染，可以用Hale铁染胞浆。电镜下可见胞浆内有丰富的网状结构，肝糖少，细胞形态和免疫组化表现是皮质集合管上皮。嫌色细胞癌的预后比透明细胞癌好。</p><p>4.肾集合管癌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">位于肾髓质，中部，扩展至肾周围脂肪和肾盂，肿瘤切面为白色，实性，间有深色出血灶。肿瘤边缘不规则，在皮质围绕肿瘤有结节。显微镜下中等大小细胞，嗜碱性，胞浆淡，PAS染色强阳性，常有细胞核退行性发育。有时可见颗粒细胞变异，梭形，多型性，肉瘤样型。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肾癌可通过直接浸润、淋巴途径和血运转移。</p><p>（1）直接浸润：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肾癌达到一定体积后突破包膜，向内侵入肾盂，向外突破肾包膜，侵及肾周脂肪组织和筋膜，蔓延到邻近的组织，如肝、脾、肾上腺及横膈等。向内侵入肾盂后常发生血尿。</p><p>（2）淋巴途径：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">25%的肾癌都有区域淋巴结转移。左侧经淋巴管转移到肾蒂、主动脉和主动脉左外侧淋巴结。右侧首先累及肾门附近和下腔静脉周围淋巴结，并可向上蔓延到颈部淋巴结，也可直接通过膈肌淋巴结转移到肺。</p><p>（3）血行转移：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肾癌具有向静脉侵入的倾向，故血行转移是肾癌重要的转移途径。肾癌细胞侵犯静脉，在静脉内形成瘤栓，进一步延伸至下腔静脉，甚至到达右心房，并转移到骨骼和肺等其他脏器，引起广泛血行转移。癌细胞转移至肾静脉和下腔静脉的发生率分别为20%和10%。多数瘤栓来自右侧肾癌，个别来自肾上腺内的转移灶。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肿瘤转移并不是与原发肿瘤大小完全相关。低度恶性的肿瘤常保持完整的包膜，虽然体积巨大，仍可没有转移。恶性程度较高的肿瘤，虽然肉眼看来肿瘤包膜保持完整，实际上癌细胞往往已侵入和穿出肾包膜。而对于淋巴转移和血行转移来说，少数恶性程度很高的肾癌在原发肿瘤体积很小时即已出现转移。</p><p>分期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">推荐采用2002年AJCC的TNM分期和临床分期（clinical stage grouping，cTNM）（表85-1，85-2）。2002年AJCC病理分期中评价N分期时，要求所检测淋巴结数目至少应包括8个被切除的淋巴结，如果淋巴结病理检查结果均为阴性或仅有1个阳性，被检测淋巴结数目＜8个，则不能评价为N<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>或N<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>。但如果病理确定淋巴结转移数目≥2个，N分期不受检测淋巴结数目的影响，确定为N<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (下册)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4681', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '355', '临床表现', '<p>1.局部肿瘤引起的症状和体征（1）血尿：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">无痛性血尿是肾癌较常见的症状。出现血尿多表明肾癌已侵入肾盂肾盏等集合系统。最常见的表现为间歇性、全程性、无痛性血尿。</p><p>（2）腰痛：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是肾癌常见症状，发生率约为40%，多为钝痛。原因主要是由于肿瘤生长导致肾被膜张力增加，另外还可因晚期肿瘤侵犯周围脏器或腰肌所造成。也可导致持续性的腰部疼痛，且疼痛较剧烈，此外，血块经输尿管排出时，也可引起肾绞痛。</p><p>（3）肿物：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">腰、腹部肿物也是肾癌常见的症状，肿物体积较大时方可被发现，质硬，无明显压痛，肿物随呼吸活动。如肿物比较固定，表明肿物已处于晚期，可能已侵犯腰肌和周围脏器。随着我国健康人群体检的普及和B超、CT等影像学技术的发展，肾癌患者多在肿块发展到此阶段前，已获确诊和治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">既往经典血尿、腰痛、腹部肿块“肾癌三联症”临床出现率不到15%，这些患者诊断时往往已为晚期。无症状肾癌的发现率逐年升高，近10年国内文献报道其比例为13.8%～48.9%，平均33%，国外报道高达50%。所谓肾癌三联症实际价值需要重新评估。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表85-1　2002年AJCC肾癌的TNM分期</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180516-1526442067090087415.jpg\" title=\"1526442067090087415.jpg\" alt=\"T85-1_21514.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 496px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表85-2　2002年AJCC肾癌临床分期</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180516-1526442092772072577.jpg\" title=\"1526442092772072577.jpg\" alt=\"T85-2_21516.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 501px; table-layout: fixed;\"/></p><p>2.全身症状和体征（1）发热：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肾癌患者中较常见，发生率 10%～20%。常为38℃以下的低热，发热的原因现已明确是肾癌的致热原所致。在切除肿瘤后，体温多能恢复正常。</p><p>（2）高血压：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">约20%的肾癌患者有高血压，主要原因为肿瘤压迫或肿瘤内动-静脉瘘导致肾素分泌过多引起。但应注意，只有近期出现的并且在切除肾癌后恢复正常的高血压才能认为是肾癌引起的。</p><p>3.生化指标异常（1）贫血：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">25%的患者可伴有轻度的正常红细胞贫血。目前认为是肾癌毒素影响骨髓造血功能，以及肾自身的促红细胞生成素的分泌不足造成的。</p><p>（2）红细胞沉降率增快：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在肾癌比较常见，发生率50%。现认为是致热原所致，红细胞沉降率增快和肿瘤细胞类型、血清蛋白的关系尚不明确，但发热伴红细胞沉降率增快是预后不良的征兆。</p><p>（3）高钙血症：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">原因不清，有发生率10%，可能与肿瘤产生的类似于甲状旁腺素相关蛋白的多肽有关。也可能由肿瘤转移到骨骼引起。</p><p>（4）红细胞增多症：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肾癌时肾皮质缺氧，释放促红素，调节红细胞生成和分化，在肾癌患者血中促红素升高3%～10%，这种物质可以是肿瘤直接产生，也可能由肿瘤挤压缺氧引起。当肿瘤切除后，红细胞增多症即可消失，肿瘤转移或复发后又重新出现。</p><p>（5）肝功能异常：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肾癌未出现肝转移时即可有肝功能改变，包括碱性磷酸酶升高、胆红素升高、低白蛋白血症、凝血酶原时间延长、高α<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>球蛋白血症。肾癌切除后肝功能恢复正常者是颈后较好的表现，肝功能异常并非是肾癌根治术的手术禁忌。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">10%～40%的患者出现副瘤综合征，表现为高血压、贫血、体重减轻、恶病质、发热、红细胞增多症、肝功能异常、高钙血症、高血糖、血沉增快、神经肌肉病变、淀粉样变性、溢乳症、凝血机制异常等改变。30%为转移性肾癌，可由于肿瘤转移所致的骨痛、骨折、咳嗽、咯血等症状就诊。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (下册)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4682', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '355', '诊断', '<p>1.肾癌的发现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">许多肾癌患者的早期临床表现并不典型，需要我们提高警惕，予以鉴别。首先，对于间歇性、无痛性血尿患者，应予以重视，即使是镜下血尿，亦应予以检查。同样，对于持续性腰部隐痛患者，以及具有贫血、血沉快和其他肾外表现的患者，也应谨慎对待，寻找上述表现的原因。体检时应注意有无腰、腹部包块和锁骨上淋巴结病变。精索静脉曲张平卧不消失提示有肾肿瘤伴静脉瘤栓可能。推荐必须包括的实验室检查项目：尿素氮、肌酐、肝功能、全血细胞计数、血红蛋白、血钙、血糖、血沉、碱性磷酸酶和乳酸脱氢酶。</p><p>2.肾癌的确诊</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　实验室检查作为对患者术前一般状况、肝肾功能以及预后判定的评价指标，肾癌的临床诊断主要依靠影像学检查。影像学技术不仅提供最直接的诊断依据，同时，还能够作出准确的肿瘤分期，从而在手术以前明确病变的性质和病变的发展侵犯情况。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）B超：是肾癌诊断最常用且无创、经济的检查方法。超声检查可以发现肾内1cm以上的占位病变。尤其可以很容易地将肾囊肿、肾积水等疾病与肾癌鉴别开来。肾癌在超声检查时典型征象表现为肾实质内的圆形或椭圆形、边界较清楚的团块状回声。低回声占位居多，因肾癌常有出血、坏死、实性变，回声不均匀。肾囊肿亦可表现为肾内占位病变，但其境界清晰、内部无回声。如果囊肿内出血、感染、钙化亦可出现异常回声。近年注意肾内实性囊肿，其内容可能为黏稠血性液体，其回声可以与肾癌相似，其特点为边缘光滑，因内部无血管，CT表现为肿物无增强，可以区别。肾血管平滑肌脂肪瘤为实性肿物，女性较多，可能双侧发病，超声表现为强回声，可以和肾癌鉴别。B超还可以提供肾门、腹膜后淋巴结情况和肝、肾上腺有无转移。彩色多普勒超声可了解肾静脉和下腔静脉内有无癌栓，对癌栓诊断的准确率为93%。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）CT：可以发现肾内0.5cm以上的病变，能显示肿瘤的范围及邻近器官有无受累，其准确性较高，是目前最可靠的诊断肾癌的影像学方法。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1）典型的肾癌在CT上呈圆形、椭圆形或不规则形占位，平扫时，肾癌的密度略低于肾实质，增强扫描后，肾癌病灶的密度轻度增强，而正常肾实质的密度呈明显增强，两者形成明显对比，使肿瘤的边界更明显。由于肾癌病灶中多有程度不等的坏死、出血、囊性变甚至钙化灶，因此在CT图像上表现为密度不均。部分肾癌有钙化灶，在肿瘤内呈不规则分布。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2）静脉瘤栓：肾癌侵入肾静脉或下腔静脉后，CT平扫可发现静脉内低密度区肿块影，增强扫描可见肿块增强不明显，形成管腔内的低密度充盈缺损区。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3）淋巴结转移：CT可确定肿瘤淋巴结转移情况。肾门周围直径大于2cm淋巴结多为肿瘤转移所致。肾门区淋巴结直径小于2cm则为可疑淋巴结转移。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（3）MRI：对肾癌诊断的敏感度及准确性与CT相仿，肾癌在T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>加权像上呈低信号，在T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>加权像上呈高信号，肿瘤内组织信号不均匀，为椭圆形或不规则形肿块，可见肾外形改变，边缘能见到假包膜形成的环状低信号区。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">MRI在显示周围器官受侵犯及与肿瘤与周围脏器关系上明显优于CT，可以确定肾蒂淋巴结转移情况。由于MRI有冠状面、额状面和矢状面多种层面的影像，可以轻易地界定肿瘤与肾、肾上腺以及下腔静脉的关系，确定肿瘤的来源，使肾上极肿瘤与肝和肾上腺肿瘤得以鉴别。MRI还可以清晰地显示肾静脉与下腔静脉内的瘤栓，尤其是MRI的额状面图像，可以清晰地显示瘤栓的范围。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（4）X线平片：对于肾癌诊断价值不大，较大的肿瘤可遮盖腰大肌阴影，肿瘤内有时可见到钙化，局限或弥漫絮状影。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（5）排泄性尿路造影：通过了解肾肿瘤对肾盂、肾盏的压迫情况来明确诊断。当肿瘤体积较小、仅限于肾实质内时，集合系统可无异常改变，容易导致漏诊。排泄性尿路造影的主要表现：①肾盂肾盏变形、拉长、扭曲；②当肿瘤刚刚开始侵入集合系统后，可使肾盂、肾盏的轮廓不规则、毛糙或出现充盈缺损；③可引起患肾的功能丧失，造影时不显影。排泄性尿路造影也可以了解双肾功能尤其是健侧肾功能情况，但不能鉴别囊肿、肾血管平滑肌脂肪瘤和肾癌，必须配合超声、CT或MRI检查。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（6）逆行上尿路造影：该项检查对肾癌的诊断帮助不大，但对于排泄性尿路造影不显影的肾脏，可以用来与其他上尿路病变进行鉴别。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（7）肾动脉造影：随着造影技术的发展，血管造影多采用选择性数字减影的方法来清楚地显示病变。肾癌动脉造影的主要征象有：肿瘤区出现多数迂曲、不规则、粗细不均、分布紊乱的小血管，肿瘤周围的血管呈包绕状；由于肿瘤内存在动-静脉瘘，在动脉期即可见肾静脉显影；如向肾动脉内注射肾上腺素时，正常肾血管和良性肿瘤内的血管将发生收缩，但肾癌组织内的肿瘤血管却不会收缩。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肾动脉造影目前常用于较大的或手术困难的肾癌，术前进行造影和动脉栓塞，可以减少手术出血量；晚期肾癌，动脉栓塞加入化疗药物可以作为姑息疗法；对需保留肾单位手术前需了解肾血管分布及肿瘤血管情况者可选择肾血管造影检查。肾动脉造影是有创的、昂贵的检查方法，也可能出现出血、假性动脉瘤、动脉栓塞等并发症。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（8）正电子发射断层扫描（positron emission tomography，PET）或PET-CT检查费用昂贵，主要用于发现远处转移病灶以及对化疗或放疗的疗效评定。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（9）穿刺活检：不推荐对能够进行手术治疗的肾肿瘤患者行术前穿刺检查；对影像学诊断有困难的小肿瘤患者，可以选择定期（1～3个月）随诊检查或行保留肾单位手术。对不能手术治疗的晚期肾肿瘤需化疗或其他治疗的患者，治疗前为明确诊断，可选择肾穿刺活检获取病理诊断。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（10）除外转移灶：肾癌患者就诊时有20%～25%已发生转移，因此在进行根治性肾切除术前，必须行胸部X平片、肝B超，除外肺部和肝转移的存在。如有骨转移和脑转移的证据，亦应行全身核素骨扫描和脑部CT。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (下册)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4683', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '355', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">综合影像学检查结果评价cTNM分期，根据cTNM分期初步制订治疗原则。依据术后组织学确定的侵袭范围进行病理分期（pathological stage grouping，pTNM）评价，如pTNM与cTNM分期有偏差，按pTNM分期结果修订术后治疗方案。</p><p>1.局限性肾癌的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">外科手术是局限性肾癌首选治疗方法。行根治性肾切除术时，不推荐加区域或扩大淋巴结清扫术。</p><p>（1）根治性肾切除手术：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是目前唯一得到公认可能治愈肾癌的方法。经典的根治性肾切除范围包括：肾周筋膜、肾周脂肪、患肾、同侧肾上腺、区域淋巴结（上起肠系膜上动脉起源处，下至肠系膜下动脉起源以上、下腔静脉及主动脉旁淋巴结）及髂血管分叉以上输尿管。根治性肾切除术应先结扎肾动、静脉。手术关键是必须从肾周筋膜外开始。现代观点认为，如临床分期为Ⅰ或Ⅱ期，肿瘤位于肾中、下部分，肿瘤＜8cm、术前CT显示肾上腺正常，可以选择保留同侧肾上腺的根治性肾切除术。但此种情况下如手术中发现同侧肾上腺异常，应切除同侧肾上腺。根治性肾切除术可经开放性手术或腹腔镜手术进行。开放性手术可选择经腹或经腰部入路，对于肿瘤体积较小的Ⅰ期肾癌可采用腰部第11肋间切口；而对于肿瘤较大的Ⅱ、Ⅲ期肿瘤则应采用腹部切口，以保证区域淋巴结清扫的彻底进行；如肿瘤巨大并偏向肾脏上极，则可采用胸腹联合切口。根治性肾切除术的死亡率约为2%，局部复发率1%～2%。</p><p>（2）保留肾单位手术（nephron sparing surgery，NSS） ：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">推荐按各种适应证选择实施NSS，其疗效同根治性肾切除术。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">NSS适应证：肾癌发生于解剖性或功能性的孤立肾，根治性肾切除术将会导致肾功能不全或尿毒症的患者，如先天性孤立肾、对侧肾功能不全或无功能者以及双侧肾癌等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">NSS相对适应证：肾癌对侧肾存在某些良性疾病，如肾结石、慢性肾盂肾炎或其他可能导致肾功能恶化的疾病（如高血压、糖尿病、肾动脉狭窄等）患者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">NSS适应证和相对适应证对肿瘤大小没有具体限定。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">NSS可选择适应证：临床分期 T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1a</span>期（肿瘤≤4cm），肿瘤位于肾脏周边，单发的无症状肾癌，对侧肾功能正常者可选择实施NSS。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">NSS肾实质切除范围应距肿瘤边缘0.5～1.0cm，不推荐选择肿瘤剜除术治疗散发性肾癌。对肉眼观察切缘有完整正常肾组织包绕的病例，术中不必常规进行切缘组织冷冻病理检查。NSS可经开放性手术或腹腔镜手术进行。保留肾单位手术后局部复发率0～10%，而肿瘤≤4cm手术后局部复发率0～3%。需向患者说明术后潜在复发的危险。NSS的死亡率为1%～2%。</p><p>（3）腹腔镜手术：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">手术方式包括腹腔镜根治性肾切除术和腹腔镜肾部分切除术。手术途径分为经腹腔、腹膜后及手助腹腔镜。切除范围及标准同开放性手术。腹腔镜手术适用于肿瘤局限于肾包膜内，无周围组织侵犯以及无淋巴转移及静脉瘤栓的局限性肾癌患者，其疗效与开放性手术相当。但对≥T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>期的肾癌、曾有患肾手术史以及其他非手术适应证的患者应视为腹腔镜手术的禁忌证。腹腔镜手术也有一定的死亡率。</p><p>（4）微创治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">射频消融（radio-frequency ablation，RFA）、高强度聚焦超声（high-intensity focused ultrasound，HIFU）、冷冻消融（cryoablation）治疗肾癌处于临床研究阶段，尚无循证医学Ⅰ～Ⅲ级证据水平的研究结果，远期疗效尚不能确定，应严格按适应证慎重选择，不推荐作为外科手术治疗的首选治疗方案。如进行此类治疗需向患者说明。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">适应证：不适于开放性外科手术者、需尽可能保留肾单位功能者、有全身麻醉禁忌者、肾功能不全者、有低侵袭治疗要求者。多数研究认为适于＜4cm位于肾周边的肾癌。</p><p>（5）肾动脉栓塞：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于不能耐受手术治疗的患者可作为缓解症状的一种姑息性治疗方法。术前肾动脉栓塞可能对减少术中出血、增加根治性手术机会有益，但尚无循证医学Ⅰ～Ⅲ级证据水平证明。肾动脉栓塞术可引起穿刺点血肿、栓塞后梗死综合征、急性肺梗死等并发症。不推荐术前常规应用。</p><p>（6）术后辅助治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">局限性肾癌手术后尚无标准辅助治疗方案。pT<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1a</span>肾癌手术治疗5年生存率高达90%以上，不推荐术后选用辅助治疗。pT<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1b</span>～pT<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>期肾癌手术后1～2年内约有20%～30%的患者发生转移。手术后的放、化疗不能降低转移率，不推荐术后常规应用辅助性放、化疗。</p><p>2.局部进展性肾癌的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">局部进展性肾癌首选治疗方法为根治性肾切除术，而对转移的淋巴结或血管瘤栓需根据病变程度选择是否切除。术后尚无标准治疗方案。对手术后有肿瘤残留的患者，建议以免疫治疗或吉西他滨（gemcitabine，健择）为主的化疗和（或）放疗。</p><p>（1）区域或扩大淋巴结清扫术：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早期的研究主张行区域或扩大淋巴结清扫术，而最近的研究结果认为区域或扩大淋巴结清扫术对术后淋巴结阴性患者只对判定肿瘤分期有实际意义；而淋巴结阳性患者区域或扩大淋巴结清扫术只对少部分患者有益，由于多伴有远处转移，手术后需联合免疫治疗或化疗。</p><p>（2）下腔静脉瘤栓的外科治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肾癌容易发生肾静脉、下腔静脉癌栓。静脉瘤栓尚无统一的分类方法。推荐采用美国梅约医学中心（Mayo Clinic）的五级分类法：0级：瘤栓局限在肾静脉内；Ⅰ级：瘤栓侵入下腔静脉内，瘤栓顶端距肾静脉开口处≤2cm；Ⅱ级：瘤栓侵入肝静脉水平以下的下腔静脉内，瘤栓顶端距肾静脉开口处＞2cm；Ⅲ级：瘤栓生长达肝内下腔静脉水平，膈肌以下；Ⅳ级：瘤栓侵入膈肌以上下腔静脉内。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">经验表明肾静脉、下腔静脉癌栓如果没有发现局部或远处扩散，肾癌根治性切除术可同时取出癌栓，预后良好。多数学者认为TNM分期、瘤栓长度、瘤栓是否浸润腔静脉壁与预后有直接关系。建议对临床分期为T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3b</span>N<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>的患者行下腔静脉瘤栓取出术。不推荐对CT或MRI扫描检查提示有下腔静脉壁受侵或伴淋巴结转移或远处转移的患者行此手术。腔静脉瘤栓取出术死亡率约为9%。</p><p>（3）术后辅助治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">局部进展性肾癌根治性肾切除术后尚无标准辅助治疗方案，辅助IFN-α和（或）IL-2治疗相关的多中心、随机对照研究正在进行中，尚无定论。2004年德国的一项随机对照研究表明，术后辅助性应用自体肿瘤疫苗可提高T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>期肾癌患者的5年生存率，但需多中心性研究进一步证实。国家医药管理局对临床试验治疗有严格的准入制度，必须严格遵守。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肾癌属于对放射线不敏感的肿瘤，单纯放疗不能取得较好效果。术前放疗一般较少采用，对未能彻底切除干净的Ⅲ期肾癌可选择术中或术后放疗。</p><p>3.转移性肾癌（临床分期Ⅳ期）的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　转移性肾癌尚无标准治疗方案，应采用以内科为主的综合治疗。外科手术主要为转移性肾癌辅助性治疗手段，极少数患者可通过外科手术而治愈。</p><p>（1）手术治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">切除肾原发灶可提高IFN-α和（或）IL-2治疗转移性肾癌的疗效。对根治性肾切除术后出现的孤立性转移瘤以及肾癌伴发孤立性转移、行为状态良好、低危险因素（表85-3）的患者可选择外科手术治疗。对伴发转移的患者，可视患者的身体状况与肾手术同时进行或分期进行。对肾肿瘤引起严重血尿、疼痛等症状的患者可选择姑息性肾切除术、肾动脉栓塞以缓解症状，提高生存质量。转移性肾癌手术死亡率为2%～11%。</p><p>（2）内科治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">随机对照研究结果不能证明LAK细胞、TIL细胞、IFN-γ治疗转移性肾癌有效。目前IFN-α和（或）IL-2为转移性肾癌治疗的一线治疗方案，有效率约为15%。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">IFN-α推荐治疗剂量：IFN-α：每次9MIU，im或H，3次/周，共12周。可从每次3MIU开始逐渐增加，第1周每次3MIU，第2周每次6MIU，第3周以后每次9MIU。治疗期间每周检查血常规1次，每月查肝功能1次，白细胞计数＜3×10<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L或肝功能异常时应停药，待恢复后再继续进行治疗。值得注意，如患者不能耐受每次9MIU剂量，则应减量至每次6MIU甚至每次3MIU。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">国外常用IL-2方案：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">大剂量方案：IL-2（6.0～7.2）×10<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">5</span>IU/［kg（体重）·8h］，15分钟内静脉注射，第1～5天，第15～19天。间隔9天后重复1次。大剂量应用IL-2有4%的死亡率。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">小剂量方案Ⅰ：IL-2 2.5×10<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">5</span>IU/kg　H　5d/W×1</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">IL-2 1.25×10<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">5</span>IU/kg　H　5d/W× 6　每8周为一周期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">小剂量方案Ⅱ：18MIU/d　H　5d/W×8周</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">注：目前国内尚无高剂量的IL-2商品。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">尚不能确定常用化疗药物（无论是单用还是联合应用）对转移性肾癌的疗效，化疗联合IFN-α和（或）IL-2也未显示出优势。近几年以吉西他滨为主的化疗对转移性肾癌取得了一定疗效，也可作为一线治疗方案。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">几个随机对照的临床研究结果显示针对血管内皮生长因子（vascular endothelial growth factor，VEGF）及受体的多靶点激酶抑制剂治疗转移性肾癌有效率在10%～40%，治疗组中约80%的患者病灶稳定，可以延长患者无疾病进展时间，但长期疗效尚不能确定，需长期维持给药，患者对此类药物具有良好的耐受性，但治疗费用昂贵。抗VEGF的多靶点激酶抑制剂可以作为转移性肾癌治疗的一线用药或IFN-α和（或）IL-2治疗失败后的二线用药。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">推荐采用新的实体瘤疗效评定标准（RECIST）评价肾癌免疫治疗或化疗的疗效。</p><p>（3）放疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对局部瘤床复发、区域或远处淋巴结转移、骨骼或肺转移患者，姑息放疗可达到缓解疼痛、改善生存质量的目的。近些年开展的立体定向放疗、三维适形放疗和调强适形放疗对复发或转移病灶能起到较好的控制作用。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (下册)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4684', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '355', '手术并发症', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">无论是开放性手术或腹腔镜手术治疗肾癌均有可能发生出血、感染、肾周脏器损伤（肝、脾、胰腺、胃肠道）、胸膜损伤、肺栓塞、肾衰竭、肝功能衰竭、尿漏等并发症，应注意预防和适当处理。严重者可因手术导致患者死亡，术前应向患者及家属告知手术风险及可能发生的并发症。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (下册)</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4685', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '355', '预后', '<p>预后影响因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">影响肾癌预后的最主要因素是病理分期，其次为组织学类型。乳头状肾细胞癌和嫌色细胞癌的预后好于透明细胞癌；乳头状肾细胞癌Ⅰ型的预后好于Ⅱ型；集合管癌预后较透明细胞癌差。此外，肾癌预后与组织学分级、患者的行为状态评分、症状、肿瘤中是否有组织坏死等因素有关。转移性肾癌预后的危险因素评分见表85-3。</p><p>随诊</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">随诊的主要目的是检查是否有复发、转移和新生肿瘤。尚不能确定经济、合理的随诊内容和随诊时限，主管医师可结合当地医疗条件、患者病情等参考以下内容进行。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">第一次随诊可在术后4～6周进行，主要评估肾功能、失血后的恢复状况以及有无手术并发症。对行NSS的患者术后4～6周行肾CT扫描，了解肾脏形态变化，为今后的复查作对比之用。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表85-3　影响转移性肾癌预后的危险因素</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180516-1526442141607043816.jpg\" title=\"1526442141607043816.jpg\" alt=\"T85-3_21596.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1022px; table-layout: fixed;\"/></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">注：低危：0分；中危：1～3分；高危：＞4分。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常规随诊内容包括：①病史询问。②体格检查。③血常规和血生化检查：肝、肾功能以及术前检查异常的血生化指标，如术前血碱性磷酸酶异常，通常需要进一步复查，因为复发或持续的碱性磷酸酶异常通常提示有远处转移或有肿瘤残留。如果有碱性磷酸酶异常升高和（或）有骨转移症状如骨痛，需要进行骨扫描检查。碱性磷酸酶升高也可能是肝转移或副瘤综合征的表现。④胸部X线片（正、侧位）。胸部X线片检查发现异常的患者，建议行胸部CT扫描检查。⑤腹部超声波检查。腹部超声波检查发现异常的患者、NSS以及T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>～T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>期肾癌手术后患者需行腹部CT扫描检查，可每6个月1次，连续2年，以后视具体情况而定。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">各期肾癌随访时限：①T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>～T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>：每3～6个月随访一次连续3年，以后每年随访一次；②T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>～T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>：每3个月随访一次连续2年，第3年每6个月随访一次，以后每年随访一次；③VHL综合征治疗后：应每6个月进行腹部和头部CT扫描1次。每年进行一次中枢神经系统的MRI检查，尿儿茶酚胺测定，眼科和听力检查。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (下册)</p><p><br/></p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4686', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '451', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">各类急性白血病（AL）的共同临床表现可由于正常造血细胞生成减少，导致感染、发热、出血和贫血；也可由于白血病细胞浸润导致肝、脾、淋巴结肿大及其他器官病变。症状的缓急主要取决于白血病细胞在体内的积蓄增长速率和程度。</p><p>（一）发热和感染</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　约半数以上患者以发热起病，当体温＞38.5℃时常常由感染引起。感染是急性白血病最常见的死亡原因之一。据上海市白血病协作组统计，初诊时46.1%的AML和42%的ALL患者有感染发热。据国外494例急性白血病1894次发热分析，明确为感染者占64%，不明原因者35%，非感染性者仅占1%。急性白血病发生感染的机制：①中性粒细胞数量减少和功能缺陷：白血病细胞能抑制骨髓正常粒系祖细胞的生成，加上化疗药物对骨髓的抑制毒性，在诱导缓解期常发生显著的粒细胞缺乏症，极易并发各种细菌或真菌感染。中性粒细胞＜1× 10<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L时，感染机会中度增加；＜0.5×10<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L时，显著易感染；＜0.1×10<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L时，几乎都有严重的感染。感染的发生还和粒细胞缺乏持续的时间有关，超过2周者几乎都有严重感染，且真菌和原虫感染的危险性显著增高。粒细胞的趋化、游走、吞噬及杀菌功能降低，不能产生正常的炎症反应，感染极易扩散。②免疫缺陷：化疗及应用肾上腺皮质激素等可加重免疫紊乱。免疫球蛋白合成减少，补体缺乏，使机体对具有荚膜的细菌如肺炎链球菌或流感杆菌的防御能力显著减弱，加上细胞免疫功能减低，患者易发生范围广泛的各种病原体感染，如沙门菌、李斯特菌、结核杆菌、军团菌、诺卡菌、新型隐球菌、病毒、卡氏肺孢子菌、弓形虫、粪类圆线虫等。③皮肤黏膜屏障破坏更有利于病原体的入侵。④院内感染：长期住院患者的感染半数系院内获得，细菌常呈耐药性。感染以咽峡炎、口腔炎最多见，肺部感染、肛周炎及肛周脓肿也常见。皮肤黏膜感染很少化脓，但易形成蜂窝织炎。胃肠道感染常是脓毒血症的主要来源。泌尿系感染时尿路刺激症状不明显；当白细胞＜0.1×10<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L时，仅11%有脓尿。在发病早期，感染常由革兰阳性球菌如粪链球菌、金黄色葡萄球菌或表皮葡萄球菌所引起；但长期反复抗生素治疗后体内菌群发生变化，加以肠道黏膜溃疡和肠壁白血病细胞浸润，此时革兰阴性杆菌感染较多见。细菌多数来自患者本身的肠道，其中50%以上系住院后获得，以硝酸盐阴性、肺炎和铜绿假单胞菌为多见，占感染死亡的75%，尤其是假单胞菌感染患者常出现典型的坏死性皮损，死亡率高。结核复发也有报道。真菌常为终末期感染，但也有发生在病程早期，尸检发生率占13%，以念珠菌及曲菌多见。急性白血病发生病毒感染时病情常较凶险，如麻疹或水痘易并发肺炎、脑炎等。病毒感染中巨细胞病毒（CMV）常见于急性白血病缓解期，尤其是儿童ALL。</p><p>（二）出血</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">约40%～70%的患者起病时伴出血倾向。在未并发DIC者，出血的发生率约67%～75%，死于出血者占10%～15%。并发弥散性血管内凝血（DIC）的患者几乎全部有出血，其中死于DIC者占20%～25%。 AML有出血倾向（58%）者明显多于ALL（42%）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">出血的机制如下：①血小板减少：约95%的AL病例有血小板减少，是引起出血最重要的原因。皮肤瘀点、瘀斑和齿龈渗血最常见，可有鼻出血和月经过多。视网膜出血时可引起失明，蛛网膜下腔出血常引起突然死亡。因血小板功能障碍并非是AL出血的主要原因。当血小板在20× 10<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L以上时可无严重出血，但低于5×10<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L者常引起致命的出血倾向。如血小板在20×10<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L以上有严重出血常提示有其他机制参与出血，但某些AL可有血小板的黏附、聚集和释放功能异常，血小板膜糖蛋白Ⅰb和Ⅱb/Ⅲa异常，电镜观察常见α颗粒减少和体积变小。②血管壁损伤：由于白血病细胞浸润、感染内毒素以及大量化疗所引起。当白血病细胞数异常增多时，可使小动脉和小静脉内有白血病细胞堆积，称白细胞淤滞，可发生出血。③凝血障碍：单个凝血因子缺乏较少见。凝血障碍常呈大块瘀斑和血疱，伴有疼痛。内脏出血多见，如消化道、泌尿道、颅内出血。最常见的类型是DIC，AL并发DIC的发生率为7%～30%，早幼粒细胞白血病可达33.1%。异常的早幼粒细胞颗粒中含有促凝物质，常发生在大剂量化疗后。④抗凝物质增多：AL患者肝素或肝素类物质增多，发生率约占10%～15%。细菌感染释放有抗凝作用的多糖体，故感染可使出血加重。</p><p>（三）贫血</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　约2/3的AL患者在确诊时有中度贫血，某些急性白血病患者在发病前数月甚至数年可先出现难治性贫血。贫血发生的机制为：①白血病细胞克隆能抑制正常多能造血干细胞以及红系祖细胞，并使红系祖细胞对红细胞生成素的反应性降低。白血病细胞破坏诱导红系生成的微环境等，从而使红系生成减少。②无效性红细胞生成：测定血浆和红细胞内放射性铁的转换以研究骨髓红系造血，发现白血病患者红系铁转换率正常或升高，但成熟红细胞的铁摄取量却显著降低，提示无效性红细胞生成，另外，某些类型的白血病患者伴幼红细胞增生异常，表现为巨幼样变和细胞分裂受阻。③溶血：明显溶血绝大多数见于淋巴细胞白血病。隐性溶血表现为对输血的要求明显增加，发生机制可能和免疫有关，少数可能有红细胞内在缺陷。DIC可伴微血管病性溶血性贫血。④其他：急慢性失血以及某些抗代谢化疗药物例如甲氨蝶呤（MTX）和阿糖胞苷（Ara-C）等可引起DNA合成障碍，导致巨幼细胞性贫血。</p><p>（四）淋巴结和肝脾大</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">初诊时ALL患者62.2%、AML患者41%有淋巴结肿大，常见为浅表淋巴结肿大。淋巴结肿大以ALL为著。60%～80%的T-ALL有纵隔淋巴结肿大，严重者可引起气管、颈静脉压迫等症状。在AML中以M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>及M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">5</span>发生淋巴结肿大多见，由于肝脾大可引起食欲减退、腹胀、乏力、消瘦等。临床上肝脾大以ALL最为显著，据上海地区统计，初诊时ALL有60%的病例有肝大，47.9%有脾大，而AML仅31.8%的病例有肝大，20.9%有脾大。</p><p>（五）神经系统</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　中枢神经系统白血病（CNSL）以蛛网膜及硬脑膜浸润最高，分别占82%及78.6%，其次为脑实质（62%）、脉络丛（42%）及脑神经（22%），可发生在白血病活动期或缓解期。约有2%的急性白血病患者初诊时有中枢神经系统累及，如未进行中枢神经系统白血病的预防处理，则70%的ALL、20%～40%的儿童及5%的成人AML可发生中枢神经系统白血病。轻者可无症状或仅有轻微头痛，脑脊液压力增高。严重的才呈典型脑膜炎表现，但不发热。脑脊液检查可见压力增高，细胞数增多甚至发生混浊，蛋白增多，糖降低。利用细胞离心沉淀涂片染色检查，可检出白血病细胞。白血病细胞在蛛网膜增生影响了脑脊液循环，引起颅内压增高和交通性脑积水，可出现头痛、恶心、视力模糊、视乳头水肿和眼外展麻痹。神经根周围浸润可造成脑神经麻痹，尤其是通过脑神经孔的Ⅲ和Ⅶ对脑神经。直接压迫和浸润视神经可引起失明。视网膜浸润可导致盲点出现，通过眼底检查即可诊断。当周围血原始细胞显著增多（＞50～75×10<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L）时，常可引起白细胞淤滞，多见于AML和CML的急变期。大量白血病细胞在小血管以及血管周围的脑实质中集聚，导致小血管阻塞以及出血性梗死，常发生在大脑半球，很少在小脑及脑干或脊髓。临床表现类同脑卒中（脑血管意外），患者有头痛、轻瘫，迅速进入昏迷，常致死亡。白血病发生脑膜浸润大多为弥漫性，但偶尔也可见因形成髓系肉瘤而引起脊髓压迫症。</p><p>（六）口腔及皮肤</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　白血病细胞浸润口腔黏膜可引起齿龈肿胀或巨舌等，多见于AML-M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">5</span>及M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>。白血病性齿龈炎常继发感染、出血，甚至发生继发性口干燥症。偶见急性白血病可首发于皮肤。皮肤浸润表现有白血病疹（leukemid）、结节、斑块和溃疡等。白血病疹呈淡紫色小丘疹，常有痒感，以AML-M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>及M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">5</span>为明显。活检或皮损印片有助于诊断。皮肤感染很多见，表现为蜂窝织炎，常呈大片状，迅速发展，最常见于面部，多由革兰阳性细菌所引起。病毒性皮炎常发生在化疗中或化疗后，以单纯疱疹及带状疱疹为多见。髓细胞肉瘤可发生在皮肤和乳腺等部位。所谓Sweet综合征（Sweet syndrome）又称急性发热性嗜中性（细胞）皮肤病，发生率约10%，可能是白血病细胞抗原在皮肤沉积所致。</p><p>（七）心脏和呼吸系统</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　急性白血病的肺部表现可由感染、浸润及白细胞淤滞等引起。初诊时有肺浸润者占5%，尸检中发现者占50%。肺浸润以AML常见，浸润多位于肺泡间隔，尤位于血管和小支气管周围，但引起肺动脉栓塞导致肺梗死者罕见，极少数可出现空洞。肺门和纵隔淋巴结肿大的发生率分别为27%和36%。因浸润出现渗出性胸膜炎及血性胸水者多见于ALL，亦可见于AMLM<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">5</span>，并可与结核等并存。肺部浸润的X线表现可呈弥漫性网状结节样改变，也可散在分布，和感染并存可呈片状阴影。肺部血管的白细胞淤滞可导致呼吸窘迫综合征，主要见于高白细胞急性白血病患者，病死率高。心肌及心包浸润的尸检报告可达35%，多见于ALL；有临床症状者仅5%，可表现为心肌炎、心律失常、心衰，偶有心包炎表现。</p><p>（八）骨和关节</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">骨痛及胸骨下端压痛常见。初诊时有骨、关节症状者ALL占11%，AML占2%。慢粒急变常有显著骨痛。骨痛可由于：①白血病细胞影响骨膜；②不明原因的骨梗死和骨髓坏死；③高尿酸血症致痛风发作；④溶骨性髓细胞肉瘤等。骨骼病变可通过X线摄片、骨扫描等检查而诊断。伴骨髓坏死者也不少见，易发生于儿童ALL。以关节肿起病者多见于小儿，常被误诊为风湿性或类风湿关节炎，也可发生继发性痛风性关节炎。</p><p>（九）性腺</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">性腺浸润占4%～27%，约2%的ALL初诊时即有睾丸白血病。由于对中枢神经系统白血病的有效防治，使睾丸白血病成为第二个髓外复发的部位。尤以白细胞明显增高者以及ALL更易发生。睾丸白血病可无症状，常呈双侧或单侧弥漫性肿大，质硬，不透光，可经局部穿刺或活检证实。卵巢白血病症少见。阴茎异常勃起偶见于急性白血病患者，可能和海绵体内白血病细胞栓塞有关。</p><p>（十）其他</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　约25%的患者在确诊为白血病时胃肠道已有白血病浸润，但临床表现少见；即使有症状也与浸润程度不相称，表现为腹痛、腹泻、胃肠道出血、黏膜炎症、肠梗阻等。白血病肾脏浸润率可达52%。白血病细胞可浸润甲状腺、胰腺、下丘脑和垂体后叶，且可并发糖尿、低血糖或尿崩症等。低血糖系外周血大量白血病细胞“窃取”血糖所致。急性白血病患者的生化代谢紊乱常是多因素的，化疗可使之加重，造成症状的复杂化，严重者可致死，故需及时纠正。高尿酸血症是AL最常见的代谢紊乱。由于白血病细胞的高代谢状态，故尿酸可增高，尤其当诱导缓解化疗后白血病细胞大量崩解，使血浆尿酸浓度显著增高。大量尿酸由尿中排泄可导致严重肾病，甚至急性肾衰竭。急性白血病患者的电解质紊乱变化多端，无一定规律性。低钠血症较常见，可由于原发性或化疗药物如环磷酰胺、长春新碱所致的继发性抗利尿激素分泌过多综合征而引起。高钾血症在白血病细胞大量崩解时常见，甚至可致心跳骤停；低钾血症见于AML-M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>及M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">5</span>，因这类白血病患者的血清溶菌酶增高导致肾小管损害。抗生素引起的肾病和肠道功能紊乱也可引起低钾。高钙血症的出现常提示预后不佳，患者出现乏力、嗜睡、恶心、烦渴等精神症状，常伴骨痛、骨质疏松、溶骨性病变和病理性骨折。高钙血症的多尿及排钾增多可引起代谢性碱中毒，低钙血症也是白血病化疗中的严重并发症。高镁血症常见于白血病活动期。代谢性酸中毒常由于乳酸积聚所引起，多见于急性白血病活动期，因大量白血病细胞的无氧糖酵解所致；由并发深部真菌感染等引起者亦有报道。急性白血病化疗后大量白血病细胞杀伤，细胞内容物大量释放入血可引起急性溶瘤综合征，出现高磷、高钾、低钙、高尿酸血症、少尿、急性肾衰竭等，可致患者迅速死亡。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4687', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '451', '辅助检查', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性白血病的实验室检查进展很快，电镜、细胞分子遗传学和免疫学等检查均已在临床广泛应用。目前血象、骨髓象和细胞化学检查仍为诊断与病情随访的基础，但细胞遗传学检查在分型和预后判断中的意义日益受到重视。</p><p>（一）血象</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　急性白血病初诊时，多数病例外周血有不同程度的血红蛋白及红细胞减少，据统计血红蛋白测定的范围自17～147g/L。贫血大多数呈正常细胞性，仅少数有成熟红细胞大小不等、嗜碱性点彩、多染性红细胞及出现幼红细胞，半数病例网织红细胞计数偏低。白血病可引起红细胞血型抗原的减弱，造成血型鉴定的困难。急性白血病初诊时外周血白细胞计数可降低、正常、增高或显著增高。约50%的AML和30%的ALL患者白细胞计数可＜5× 10<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L，甚至可＜1×10<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L；也有＞100×10<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L，称为高白细胞急性白血病，占所有急性白血病的8.5%。约有5%的AML，9%的儿童ALL和17%的成人ALL发生高白细胞急性白血病，尤见于T细胞ALL和AML-M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">5</span>。高白细胞急性白血病病情凶险，早期病死率高，缓解率低，预后差。外周血白细胞分类，最主要的发现是被累及的血细胞系列的原始和幼稚（早幼）细胞百分比显著增多，范围可从5%～100%，但白细胞不增多性白血病患者，外周血中可仅有极少量甚至没有原始细胞或幼稚细胞出现。急性白血病患者初诊时均有不同程度的血小板减少，据统计血小板计数范围为（8～175）×10<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L，有52.4%的患者低于60×10<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L。</p><p>（二）骨髓象</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　急性白血病初诊时骨髓象绝大多数呈增生活跃、明显活跃或极度活跃，分类中最主要的特征是被累及的血细胞系列有原始和幼稚（早幼）细胞大量增生，而正常造血细胞如幼红细胞和巨核细胞则明显受抑制。据统计，增生极度活跃者占45.4%，明显活跃占30.2%，活跃占20.6%，增生减低占3.8%；后者多见于AML。约有10% 的AML骨髓活检中显示增生降低，称为低增生性急性白血病。据统计，分类中原始细胞平均占64.4%，最低占10%，最高占99.2%。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">白血病患者的骨髓涂片大多缺乏油滴（84.4%），骨髓小粒的有无则与细胞类型有关，ALL和急单大多无骨髓小粒，而急粒和红白血病则多数具有骨髓小粒。白血病细胞具有共同的形态特点：大小不一，多数体积增大，核质比值增大，细胞核形态不规则，常有异形，核染质粗糙，分布不均，核仁较正常原始细胞为大且显著；核分裂象多见，核质发育失调，胞核发育常落后于胞质，细胞分化停滞在原始细胞或幼稚细胞（早幼）阶段，而趋向于成熟的细胞极少见，呈所谓“裂孔”现象。在部分AML的胞质内常可发现有Auer小体，这是白血病细胞克隆的形态标志，系嗜苯胺蓝颗粒聚集和浓缩过程紊乱，融合成有结晶核心的Auer小体。据统计，它的出现率按高低排列：急粒（42.2%），急粒单（36.8%），急性早幼粒（34.9%），红白血病（25%），急单（19%）；一般不会出现在ALL中，CML急变期找到Auer小体纯属罕见。每份涂片Auer小体阳性的原粒细胞一般占1%～5%，Auer小体常见于原粒和早幼粒细胞，罕见于成熟中性粒细胞。</p><p>（三）细胞化学染色</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　细胞化学染色在急性白血病的分型诊断中有重要意义。①ALL的细胞化学染色特征：过氧化酶（POX）、苏丹黑B（SB）和氯化醋酸AS-D萘酚酯酶（AS-D-CE）均呈阴性反应；醋酸AS-D萘酚酯酶（AS-DAE）阴性或弱阳性；α-醋酸萘酚酯酶（α-NAE）大多阴性，一些细胞可呈局灶性阳性，少数病例有局灶性强阳性反应；PAS染色在部分病例的部分细胞中呈块状或颗粒状阳性，而无弥漫性着色；酸性非特异性酯酶（ANAE）和酸性磷酸酶（ACP）呈阴性或弱阳性反应。T细胞ALL的ANAE、ACP及末端脱氧核苷酸转移酶（TdT）的活性都显著增高；B细胞ALL的ACP、ANAE及TdT均为阴性反应。FAB协作组规定ALL可有3%原始细胞POX染色可呈阳性，因此POX阳性原始细胞＞3%可作为ALL和急粒的鉴别点。其实ALL的3%POX阳性原始细胞并非是白血病原始细胞，而是正常的原粒和早幼粒细胞。②急粒细胞化学染色的特征：POX和SB染色对分化差的原粒细胞呈阴性反应，分化好的呈阳性反应，其强弱程度各异，M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>型以阴性或弱阳性反应多，M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2a</span>和M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>型以强阳性为多，Auer小体也呈阳性；AS-D-CE染色呈特异性阳性反应；非特异性酯酶（NSE）可呈阳性反应，但不被NaF抑制或抑制率＜50%；中性粒细胞碱性磷酸酶（NAP）明显减少或消失；尿液水解和热盐水溶解试验时核被溶解；PAS染色根据白血病细胞的分化程度可呈阴性反应或呈弥漫性淡红色反应，M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>型呈弥漫性红色反应。③急单细胞化学染色的特征：POX和SB染色时原幼单核细胞呈阴性或弱阳性反应；NSE呈阳性或强阳性反应，可被NaF抑制，抑制率＞50%；AS-D-CE呈阴性反应，偶见弱阳性反应；NAP积分增高；血、尿溶菌酶活性显著增高。④急粒单细胞化学染色的特征：具有上述两系细胞的特征，并且过氧化酶-溶菌酶（POX-Lz）双重染色时Lz活性＞POX，AS-D-CE和AS-DE双重染色时两类不同细胞可显示两种不同的染色。⑤红白血病的幼红细胞PAS染色呈阳性反应，且多为颗粒或块状分布。</p><p>（四）电镜检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　白血病的诊断目前主要依靠光镜水平的细胞形态学和细胞化学染色技术，但是一些无明显分化特征的急性白血病细胞在光镜下不易鉴别，须借助于白血病细胞的超微结构诊断。白血病细胞在透射电镜下具有下列特征：细胞大小差别较大，外形不规则；细胞核形状不规则，常有深浅不等凹陷及畸形；细胞核内可出现核泡、核内小体、假包涵体和核环等结构；细胞质内线粒体和内质网可出现不正常的集中，线粒体和高尔基体可出现肿胀和髓鞘样变等；细胞质内微丝可明显增多，常呈束状出现在细胞核周围，在细胞核凹陷处更多；部分细胞质内可出现一些特殊结构，如Auer小体、板层小体等，还可看到一些聚集成团的小管状结构，其性质未明。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在鉴别各类白血病细胞时可参考下列数点：①细胞质颗粒的大小和形态：例如白血病性原始粒细胞细胞质颗粒要大于白血病性原始单核细胞的颗粒，嗜酸性粒细胞和嗜碱性粒细胞白血病其细胞质颗粒有特殊形态。②细胞核的形态结构：如核质比例以白血病性原始淋巴细胞最高，其次是白血病性原始单核细胞和原始巨核细胞；细胞核内异染色质与常染色质的比例也是白血病性原始淋巴细胞最高；核内小体多见于白血病性原始粒细胞，核环多见于白血病原始淋巴细胞，核泡多见于白血病性原始单核细胞，原始巨核细胞白血病未见上述特殊结构。③细胞器的形态结构：非常原始的白血病细胞中细胞器都比较少，难以区分类型。当细胞分化时，细胞器的差异也趋向明显，可作为白血病分型的参考。例如早幼粒细胞中糙面内质网丰富；幼单核细胞的糙面内质网比早幼粒细胞少，呈细管状分散分布，高尔基体也比早幼粒细胞小；幼淋巴细胞中糙面内质网很少，高尔基体不发达。对一些内部形态结构上很难鉴别的白血病细胞，则须进一步结合扫描电镜和电镜细胞化学检查。扫描电镜主要观察细胞的表面形态。急粒白血病细胞有较多嵴状突起和少量小的皱折状突起，很少有微绒毛；急性单核细胞白血病细胞表面有很多具有宽阔基底部的皱折状突起和少量嵴状突起，微绒毛少见；ALL白血病细胞表面有数量不等的微绒毛，而嵴状和皱折状突起极少；巨核细胞白血病细胞表面较光滑，具有大小不等的泡状或结节状突起。毛细胞白血病扫描电镜下白血病细胞胞质突起呈较钝的细长绒毛；透射电镜下，50%患者可见胞质内圆柱状包涵体，呈多层平行外鞘的中空结构，称为板层核糖体复合物，对诊断有重要意义。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">电镜细胞化学检查，目前主要有髓过氧化物酶（MPO酶）、血小板过氧化物酶（PPO酶）及胞嘧啶-5′-单核苷酸酶（CMP酶）3种。MPO酶阳性反应的白血病细胞见于急粒和急单，阴性反应见于ALL和巨核细胞白血病；PPO酶是巨核细胞系统和血小板标志酶，定位于巨核细胞的内质网和核膜中，有助于巨核细胞白血病的诊断；CMP酶有助于鉴别急粒和急单，前者反应较弱，后者反应较强。</p><p>（五）免疫表型检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　急性白血病的分型诊断具有重要意义，按目前细胞形态学和细胞化学检查方法作为分型的基础，其符合率为60%～70%。20世纪80年代以来，由于杂交瘤技术与分子生物学技术的发展，大量单克隆抗体相继问世，加上免疫荧光和免疫细胞染色方法的标准化，为建立急性白血病免疫分型诊断奠定了基础。早年采用分化抗原细胞膜标记的识别对ALL的亚型作鉴别，如羊红细胞（E-玫瑰花）受体以识别T细胞ALL，小鼠红细胞受体识别不成熟B细胞，膜表面免疫球蛋白（SmIg）识别B细胞ALL，胞质免疫球蛋白（CyIg）识别前B细胞ALL，普通型ALL抗原可识别普通型ALL。但随着白细胞表面分化抗原的研究，并研制出大批相应的单克隆抗体，上述免疫分型方法已为单克隆抗体所取代。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">按照T细胞分化模式，在淋巴系干细胞阶段仅有CD34、HLA-DR及TdT表达，继而出现CD7，同时胞质中开始表达CD3，标志着发育至幼稚胸腺细胞阶段，此时部分细胞可出现CD5、CD2；到皮质胸腺细胞期，CD1、CD4、CD8共同表达；髓质胸腺细胞和外周血T细胞一样，CD1消失，CD4或CD8在不同细胞上独立表达，胞膜上出现T细胞抗原受体复合物CD3标志。按照B细胞分化过程，其抗原表达继淋巴系干细胞之后，B系祖细胞便出现CD19，胞质中CD10开始表达；早前B细胞期CD34、TdT消失，膜CD10及胞质CD22出现；进入前B细胞期，Cyμ链、CD22、CD20均已表达；SmIg为成熟B细胞标志。按照髓系（粒-单系）细胞的分化过程，CD33和CD13是髓系发育成熟全过程均存在的抗原；CD34在髓系祖细胞表面出现，分化至原粒细胞逐渐消失；HLA-DR存在于CFU-GM和各期单核细胞上；到幼稚及成熟期，粒、单核细胞表面出现CD11b，粒系同时有CD15，单核细胞则表达CD14。细胞表面免疫学标记对白血病分型诊断意义见表20-3-5。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表20-3-5　细胞表面免疫学标记对白血病分型的诊断意义</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180516-1526442285365005089.jpg\" title=\"1526442285365005089.jpg\" alt=\"T20-3-5_33780.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 955px; table-layout: fixed;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">应用单克隆抗体（McAb）进行免疫分型过程中，有认为B系McAb中的CD10、CD19、CD22的特异性较好，T系McAb中的CD3、CD4、CD8的特异性较好，但表达率低，髓系McAb中的阳性表达率依次为CD33＞CD13＞CD14＞CD15。60%ALL表达普通型ALL抗原（CALLA，即CD10），CALLA为糖蛋白，偶见于正常早期淋巴细胞和其他非造血组织，CALLA阳性的ALL实际上是极早期B细胞。10%～20%的成人和5%～10%的儿童ALL有髓系抗原的表达（CD13和CD33），称表达髓系抗原的ALL （My<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>ALL）；约20%～30%的AML表达淋系抗原，常见TdT、CD7、CD2和CD19，称表达淋系抗原的AML（Ly<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>&nbsp;AML）。诊断急性双系列（或双表型）白血病，WHO髓系肿瘤分类提出应根据欧洲白血病免疫学分型协作组（EGIL）提出的积分系统（表20-3-6）计算积分，髓系积分＞2分，淋系积分＞2分才能确立。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表20-3-6　欧洲白血病免疫分类积分系统（EGIL）</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180516-1526442321224023342.jpg\" title=\"1526442321224023342.jpg\" alt=\"T20-3-6_33782.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 955px; table-layout: fixed;\"/></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">注：<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">*</span>CD79α在某些前体T细胞白血病/淋巴瘤也有表达</p><p>（六）细胞遗传学检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　多数急性白血病都有染色体数量和结构上的异常，表现为染色体数量的增加或丢失，染色体结构改变，如易位、缺失和倒位等。白血病完全缓解后染色体异常可消失，复发时再次出现。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">据目前的资料，ALL约66%有特异性染色体变化，在有染色体畸变的AML中约60%有特异性染色体变化，因此细胞遗传学检查已成为急性白血病的形态学、免疫学、细胞遗传学（MIC）分类诊断的重要项目之一。AML的特异性染色体变化有：①t（8；21）（q22；q22）：与急粒M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>型有特殊联系，据报道30%的M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>型患者有t（8；21），t（8；21）往往伴有性染色体缺失，85%的男性患者缺少Y染色体，60%女性患者缺少X染色体。②t（15；17）（q22；q21）：此易位限于早幼粒白血病（M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>型），至少见于90%的M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>患者；t（15；17）的检出对细颗粒和微颗粒型急性早幼粒白血病有重要价值，此外约1/3的患者伴有+8。③t/del（11）（q23）：本组染色体异常呈异质性，易位中最多见的是t（9；11），其他尚有t（11；9）（q23；p13）、t（10；11）（p11-p15；q23）和t（11；17）（q23；q21-25），它们均可出现在AML患者，约50%为急单M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">5a</span>型，但也可见于T细胞ALL。④inv/del（16）（q22）：多见于急粒单白血病M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>E<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">O</span>型。⑤t（9；22）（q34；q11）：急粒白血病少见Ph染色体异常，主要见于M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>型，它与慢粒不同，Ph（+）的AML初诊时多数细胞为正常二倍体。⑥t（6；9）（p21-22；q34）：多见于M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>或M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>型患者，极易涉及骨髓嗜碱性粒细胞但非绝对，约20%患者有MDS病史。⑦inv（3）（q21；q26）：可见于M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>、M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>、M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>、M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">7</span>型和MDS转变的AML白血病，伴血小板数升高，其他染色体异常如插入、易位等多见于M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>型。⑧t（8；16）（p11；p13）：系伴吞噬细胞增多，有吞噬红细胞现象的M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">5b</span>型具有此异常。⑨t/del （12）（p11-13）：可见于AML M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>型和M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>型，其部分细胞向嗜碱性粒细胞分化。⑩+4：多见于M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>或M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>型AML。成人ALL 15%～20%有Ph染色体，其断裂点精确位置可能与慢粒不同，伴有Ph染色体的ALL常为非T非B型，有时为前B细胞型；t（4；11）最常见于新生儿ALL，t（8；14）可见于ALL L<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>型，t（1；19）见于前B细胞ALL；约20%ALL有染色体数量的增加，可达50～60条，这种超二倍体白血病化疗效果好。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4688', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '451', '诊断与鉴别诊断', '<p>（一）诊断</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　急性白血病时白细胞常显著增高，外周血液有数量较多的异常原始及幼稚细胞，但对白细胞不增多性白血病则必须借助骨髓检查才能发现白血病细胞。在未进行骨髓象检查之前，某些临床表现常易造成误诊。如儿童急性白血病常因发热、关节肿痛、心动过速而误诊为风湿热；有全血细胞减少的临床表现易误诊为再生障碍性贫血；某些急性白血病初起时可单系血细胞减少，如以粒细胞减少或血小板减少为首起表现的急性白血病常易误诊为粒细胞缺乏症或血小板减少性紫癜。上述情况只要及时进行骨髓象检查即可明确诊断。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">ALL须注意和传染性单核细胞增多症及传染性淋巴细胞增多症鉴别。传染性单核细胞增多症可有发热、淋巴结和肝脾大，外周血液和骨髓象中出现大量不典型淋巴细胞，易误诊为ALL，但传染性单核细胞增多症常无贫血和血小板减少，嗜异凝集试验及EB病毒血清试验有助于鉴别；传染性淋巴细胞增多症虽有显著的淋巴细胞增多，但均为成熟淋巴细胞，形态正常，且无贫血和血小板减少。儿童的神经母细胞瘤和横纹肌肉瘤及青少年和成年人的Ewing肉瘤及小细胞肺癌，有骨髓浸润时呈小圆细胞形态，如不注意时易误诊为ALL，须注意鉴别，肿瘤细胞的免疫表型和基因重排的类型有助于鉴别。药物引起粒细胞缺乏症的恢复期，骨髓可有早幼粒细胞显著增多，须注意和急粒相鉴别，前者常无贫血和血小板减少，且早幼粒细胞形态正常，存在环核浅染带，无Auer小体。粒细胞类白血病反应白细胞可超过50×10<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L且有核象左移，须注意与急粒鉴别。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">类白血病反应的骨髓象原粒细胞极少超过2%且NAP积分增高。低增生性急性白血病要注意和急性再生障碍性贫血相鉴别，只要仔细检查骨髓不难鉴别，因为前者原始细胞百分比已达诊断急性白血病的标准。</p><p>（二）分型诊断1.FAB分类标准和国内分型标准</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　法美英协作组（FAB协作组）于1976年和1985年先后提出急性白血病的形态学诊断标准及修改建议，1991年又增补了AML的一项亚型，即AML微分化型（M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>）。M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>不能用通常的形态学和细胞化学方法找到肯定的髓系分化证据，但原始细胞可以通过单克隆抗体免疫标记和（或）超微结构（包括超微细胞化学）证实有髓系性质。M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>的诊断标准为：骨髓原始细胞Ⅰ型+Ⅱ型在非红系（non-erythroid cell，NEC）中≥90%，原始细胞形态大多数类似ALL-L<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>的原始淋巴细胞、AML-M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>原始细胞或少部分似AML-M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">5</span>原始单核细胞，无嗜天青颗粒及Auer小体，常规细胞化学染色阴性。免疫表型无特异性高的淋系标志如cCD3、cCD79a和cCD22，但可表达特异性较低的淋系相关标志如CD2、CD4、CD7、CD10和CD19等，髓系分化抗原CD13、CD14、CD33、CD64、CD65或CD117等阳性，单抗检测细胞质髓过氧化物酶（cMPO）阳性。急性未分化白血病（acute undifferentiated leukemia，AUL）与AML-M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>不同，AUL是指细胞表面无系列特异或系列相关抗原表达，细胞形态和细胞化学特征也无法确定哪一系列的白血病。有认为是否属于真正的AUL尚须经过基因分型的检测如髓过氧化物酶（MPO）基因表达、免疫球蛋白重链（IgH）或T细胞受体（TCR）基因重排等，证实无任何基因型和免疫学标志，才属于真正的AUL。除此以外，FAB分型与国内分型不同之处在于不将AML-M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>进一步区分为M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2a</span>和M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2b</span>两个亚型。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1986年天津白血病分类、分型讨论会提出国内诊断标准。该标准系在FAB分类基础上提出（表20-3-7）。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表20-3-7　急性白血病国内诊断标准</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180516-1526442384612029563.jpg\" title=\"1526442384612029563.jpg\" alt=\"T20-3-7_58933.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 2018px; table-layout: fixed;\"/></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">注：①NEC指非红系细胞计数；②原粒细胞Ⅰ型指典型原粒细胞，胞质中无颗粒，Ⅱ型指有原粒细胞特征，胞质量少，有少量细小颗粒，原单核细胞Ⅰ型、Ⅱ型标准与原粒细胞类似</p><p>2.世界卫生组织分类标准</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">WHO分类标准与FAB分类标准在细胞形态学方面的重大区别是不再将骨髓原始细胞区分为Ⅰ、Ⅱ两型；诊断AML骨髓原始细胞的标准从≥30%下降至≥20%。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">按WHO分类，AML伴t（8；21）（q22；q22）、inv（16）（p13.1q22）/t（16；16）（p13.1；q22）及t（15；17）（q22；q12），不管原始细胞数量均可诊断相应类型AML。而伴t （9；11）（p22；q23）、t（6；9）（p23；q34）、inv（3）（q21q26.2）/t （3；3）（q21；q26.2）及t（1；22）（p13；q13），当原始细胞＜20%是否可诊断为AML目前尚未有定论。ALL与LBL的区别以骨髓淋巴细胞25%为界限。急性白血病原始细胞表达两种以上系列特异性抗原而又不能确定为哪一系白血病称急性未定系列白血病（acute leukemias of ambiguous lineage，ALAL）。WHO（2008）造血和淋巴组织肿瘤分类及诊断标准将ALAL分为急性未分化白血病（acute undifferentiated leukemia，AUL）和混合表型急性白血病（mixed phenotype acute leukemias，MPAL）两类，后者根据细胞分子遗传学、免疫学和形态学检测结果，又可分为若干亚型。</p><p>3.ALL的免疫分型标准</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1994年在法国召开了欧洲白血病免疫学分型协作组（EGIL）会议，提出ALL四型21类法，即先按T、B淋巴细胞系和髓系抗原积分系统确定不同抗原积分，再按积分和抗原表达及分化程度把ALL分为四型（裸型、纯型、变异型、多表型）21亚型。由于该分型法比较复杂，不便临床医生记忆，国内学者卞寿庚等将其简化归纳为表20-3-8。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表20-3-8　ALL的免疫学分型（EGIL，1994）</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180516-1526442421478017023.jpg\" title=\"1526442421478017023.jpg\" alt=\"T20-3-8_58937.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1998px; table-layout: fixed;\"/></p><p>4.急性白血病的预后分型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　急性白血病的预后分型对于指导急性白血病的治疗具有重要意义。国内外大量资料表明，急性白血病患者的预后与发病时的年龄、白细胞计数、髓外浸润情况及FAB分型等多种因素有关，但随着白血病细胞分子遗传学研究的不断深入，越来越多的证据显示在众多的预后相关因素中，白血病细胞的细胞分子遗传学改变特征与预后的关系最为密切。目前国际上公认AML可根据染色体核型分析将其分成良好、中等、不良3个不同的预后组（表20-3-9）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">AML大约有40%～50%的患者骨髓细胞染色体检查为正常核型，称为细胞遗传学正常的急性髓细胞白血病（CN-AML）。CN-AML的整体预后为中等，但近年随着分子生物学研究的进展，发现CN-AML患者可根据不同的基因改变作进一步预后分组（表20-3-10）。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表20-3-9　按细胞遗传学特征AML的预后分组</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180516-1526442449959049150.jpg\" title=\"1526442449959049150.jpg\" alt=\"T20-3-9_33784.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 955px; table-layout: fixed;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2012年，欧洲白血病网在综合近十几年细胞和分子遗传学预后研究的基础上，提出一个不包括APL的AML预后判断系统（表20-3-11）。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表20-3-10　CN-AML的分子生物学预后分组</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180516-1526442508606006468.jpg\" title=\"1526442508606006468.jpg\" alt=\"T20-3-10_58940.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 979px; table-layout: fixed;\"/></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">注：OS：总生存；DFS：无病生存；CR：完全缓解；EFS=无事件生存</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表20-3-11　欧洲白血病网（ELN）预后系统</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180516-1526442538703035878.jpg\" title=\"1526442538703035878.jpg\" alt=\"T20-3-11_33786.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 985px; table-layout: fixed;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2012年5月美国NCCN（National Comprehensive Cancer Network）肿瘤临床实践指南也推出一个AML的预后分组（表20-3-12）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于WHO从2001年起将急性淋巴细胞白血病和淋巴母细胞性淋巴瘤视为同一疾病实体的不同表现，成人ALL与预后相关因素较AML显得更为复杂，但特殊的细胞分子遗传学特征同样在预后判断中日益得到重视。目前许多学者认为成人ALL 75%属高危组，25%为标危组。判别高危和标危的因素可综合归纳为表20-3-13，其中以发病年龄、起病时白细胞计数以及Ph染色体［即t（9；22）］尤为重要。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表20-3-12　美国NCCN预后分组（2012）</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180516-1526442626307027631.jpg\" title=\"1526442626307027631.jpg\" alt=\"T20-3-12_33788.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 955px; table-layout: fixed;\"/></p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4689', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '451', '治疗', '<p>（一）治疗原则</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　急性白血病的治疗目标是彻底清除体内的白血病细胞，同时使正常造血功能得以恢复。化疗是实现这一目标的最主要手段，但目前常用的化疗药物，除肾上腺糖皮质激素外几乎都有抑制造血功能的不良反应，并且对肝、肾、胃肠道也有毒性作用，所以用药时要严密观察，随时调整剂量。同时必须加强支持治疗，防治感染和出血，以保证化疗的顺利进行。治疗方法宜个体化，根据白血病类型、病情程度和客观条件灵活掌握。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">20世纪70年代以来急性白血病的化学治疗取得了很大进展。儿童ALL的3～5年无病存活率达70%以上，成人也已达25%；儿童AML的3～5年无病存活率达40%～50%，成人为30%左右。80年代后异基因及自身造血干细胞移植迅速开展，急性白血病近期疗效又有进一步提高。</p><p>（二）支持疗法1.控制感染</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　根据复旦大学附属华山医院抗生素研究所及血液学研究室20年来调查研究，20世纪80年代革兰阴性杆菌特别是铜绿假单胞菌感染一直是化疗后粒缺患者感染的主要病原体，但近年肺炎克雷伯菌和嗜麦芽假单胞菌、不动杆菌等的感染有所增加。随着第三代头孢菌素的广泛应用，白血病患者的细菌感染出现新的特点：①革兰阳性球菌逐步呈上升趋势，其中主要是凝固酶阴性的葡萄球菌和金黄色葡萄球菌，肠球菌、草绿色链球菌感染也有所增多。②致病菌出现耐药趋势，特别是产新型耐药酶如超广谱β-内酰胺酶（ESBLs）的细菌和新出现的耐药菌株感染明显增加。对怀疑感染发热的患者应反复寻找病原菌并进行药敏试验。在细菌培养有结果前先按经验早期应用广谱高效抗生素，以后再根据病原学检查及药敏试验结果调整用药。一般应静脉给药，剂量要充分。对产ESBLs细菌的治疗可参考以下原则：①如怀疑产ESBLs菌感染时，不管体外药敏结果是否敏感，应避免使用青霉素类、头孢菌素类抗生素；②选择使用碳青霉烯类抗生素、加β-内酰胺酶抑制剂抗生素（头孢哌酮/舒巴坦、哌拉西林/他唑巴坦等）、氨基糖苷类及头霉素类抗生素。嗜麦芽窄食单胞菌感染在插管和置管患者亦较常见，该菌对亚胺培南耐药，应选择头孢哌酮/舒巴坦、头孢他啶、替卡西林/克拉维酸等含β-内酰胺酶抑制剂抗生素，也可试用头孢吡肟、环丙沙星、复方磺胺甲<img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%86%85%E7%A7%91%E5%AD%A6_%E5%85%A82%E5%86%8C(%E4%B8%8B)_978-7-117-17272-1/pics/BZ_1084_274_2239_309_2273.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/>唑等。对于耐甲氧西林金黄色葡萄球菌（MRSA）和耐甲氧西林凝固酶阴性葡萄球菌（MRCNS）感染首选万古霉素或去甲万古霉素，肾功能有损害者可选择替考拉宁。利奈唑胺在肺组织液中浓度相对较高，但长期使用可能引起造血功能的抑制，可根据具体情况酌定。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表20-3-13　成人急性淋巴细胞白血病的预后因素</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180516-1526442662053004909.jpg\" title=\"1526442662053004909.jpg\" alt=\"T20-3-13_33790.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1971px; table-layout: fixed;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如果是真菌感染，局限在口腔或咽部，可涂搽制霉菌素。深部真菌感染以念珠菌最常见，包括白念珠菌、热带念珠菌、光滑念珠菌、近平滑念珠菌、克柔念珠菌等。曲霉菌和隐球菌感染近来也不少见。常用的抗真菌药有三唑类（氟康唑、伊曲康唑、伏立康唑）、棘白菌素类（卡泊芬净、米卡芬净）、大环内酯多烯类（两性霉素B及两性霉素B脂质体）等。氟康唑对白念珠菌、近平滑念珠菌、热带念珠菌敏感，对新型隐球菌敏感率达89%，光滑念珠菌、克柔念珠菌耐药，对曲霉菌无效。伊曲康唑抗菌谱广，可治疗深部白念珠菌和曲霉感染，不宜用于尿路感染，肾功能减退，肌酐清除率＜30ml/min禁用。伏立康唑为第二代三唑类抗真菌药，抗菌谱包括耐氟康唑和伊曲康唑的念珠菌属，新型隐球菌、毛孢子菌、球孢子菌、曲霉菌、组织胞浆菌。卡泊芬净作用于真菌细胞壁的葡聚糖合成酶，主要用于治疗对三唑类及两性霉素B耐药的曲菌属和念珠菌属感染。两性霉素B可与真菌细胞膜上甾醇结合，使真菌细胞膜内重要物质外漏，致其死亡。主要用于治疗耐氟康唑和伊曲康唑的念珠菌属、曲霉菌、毛霉菌、球孢子菌、皮炎芽生菌、组织胞浆菌感染。两性霉素B不易透过血脑屏障，治疗隐球菌性脑膜炎需要和氟胞嘧啶合用。由于两性霉素B肾毒性显著，对于总量＞0.5g无效或不能耐受者，深部真菌感染伴肾功能减退（血肌酐＞221μmol/dl）者，可考虑用两性霉素B脂质体治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性白血病患者的病毒感染以单纯疱疹病毒（HSV）、水痘-带状疱疹病毒（VZV）和巨细胞病毒（MCV）感染为多见。无环鸟苷（阿昔洛韦）为病毒DNA多聚酶抑制剂，对HSV、VZV及CMV感染都有预防和治疗作用。更昔洛韦是目前最有效的抗MCV药，但有导致粒细胞减少的副作用。阿糖腺苷亦可用于HSV、VZV感染的治疗，但对MCV感染无效。此外，可用于预防和治疗病毒感染的药物还有干扰素、膦甲酸钠、大蒜素等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于急性白血病患者机体免疫功能低下，对严重细菌和病毒感染疗效不佳者可静脉滴注大剂量丙种球蛋白，每日约20g，共5天。</p><p>2.纠正贫血</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　纠正贫血最有效的方法为积极缓解白血病。有显著贫血可酌量输注红细胞悬液。自身免疫溶血性贫血可用肾上腺皮质激素。病情开始缓解，但血红蛋白恢复不满意，可加丙酸睾酮注射，司坦唑醇口服或红细胞生成素皮下注射。</p><p>3.防治出血</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">白血病获得缓解是纠正出血的最有效方法。血小板计数＜2×10<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L伴出血可输注单采血小板。急性白血病并发弥散性血管内凝血，一经肯定诊断，应迅速给予低分子肝素治疗，持续至凝血现象好转。当弥散性血管内凝血并发纤维蛋白溶解症，可在肝素治疗同时并用抗纤溶药物（如对羧基苄胺、氨甲环酸等）。局部出血（如鼻咽部）用填塞或吸收性明胶海绵止血。</p><p>4.纠正高尿酸血症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">大量白血病细胞破坏分解时血尿酸增高，有时尿路为尿酸结石梗阻，引起少尿等急性肾衰竭。别嘌醇为黄嘌呤氧化酶抑制剂，能阻断次黄嘌呤和黄嘌呤变为尿酸，可纠正尿酸过高。剂量为10mg/kg体重，每日3次口服，共5～6天。当血尿酸超过595μmol/L （10mg%），应大量输液和碱化尿液。</p><p>（三）化学治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">应先确定白血病类型，再选择适当药物。为了防止耐药性产生，首治时应采用对白血病细胞敏感的药物，在患者耐受范围内尽可能加大剂量，采用联合或序贯化疗，务望在短时间内（2～3周或1～2个疗程）杀伤大量肿瘤细胞而使疾病进入缓解期。化疗疗程以超过白血病细胞增殖周期或倍增时间为妥。急性白血病细胞的倍增时间为4～5天，所以抗白血病药物应连续应用5～10天，使进入周期的所有细胞都受到药物作用。为了避免造血系统不可逆性损害，应该间歇用药，以使正常血细胞得以恢复而白血病细胞不致增殖为原则。正常血细胞增生较白血病细胞为快，而血细胞从骨髓增殖池释放至外周血中需8～15天，因而间歇期应以1～2周为好。这样既能杀灭大量白血病细胞，又有利于血象恢复。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性白血病化疗可分成诱导缓解和缓解后继续治疗两大阶段：①诱导缓解：所谓缓解，即指白血病细胞减少到一定程度，正常造血功能得以恢复，患者症状消失，一般检查方法血片中不能找到白血病细胞。用于诱导的药物要求对白血病细胞较敏感，短期内能杀伤大量白血病细胞，并尽可能避免白血病细胞对化疗药物产生耐药性。因此要特别重视初治效益，力争1～2个疗程即达到完全缓解。对全血细胞减少伴骨髓增生低下的老年急性白血病患者，如全身情况较差，也可先用小剂量化疗，如阿糖胞苷或三尖杉酯碱，待血象稍见上升，再按常规剂量化疗方案治疗。对此类患者必须反复检查骨髓，随时调整剂量。②缓解后继续治疗：急性白血病患者经治疗获得完全缓解后，体内仍残留一定数量的白血病细胞，称为微小残留白血病（MDL）必须继续应用抗白血病药物，以消灭尽可能多的残留白血病细胞，从而达到长期无病生存乃至彻底治愈的目标。缓解后继续治疗期药物要求耐药性出现缓慢，且与诱导缓解药物无交叉耐药性。对继续治疗时间目前尚无统一意见，大多主张AML在完全缓解后巩固强化6～8个月即停药；ALL患者经巩固强化后，尚须维持治疗3年之久。（表20-3-14）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">药物剂量和用法应根据患者具体情况作调整。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本书介绍的药物参考剂量低于国外文献推荐的药物剂量。</p><p>1.AML（非APL）的治疗（1）诱导缓解治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">柔红霉素与阿糖胞苷联合的DA方案是除APL以外其他各型AML最常用的诱导治疗方案（参见表20-3-14）。完全缓解（CR）率为60%～85%，但对于60岁以上的患者CR率只有45%～55%。由于柔红霉素对心脏具有明显毒性，因此一般应限制累积剂量不超过550mg/m<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>，老年患者及原有心脏疾病患者更需谨慎使用。对原有冠状动脉疾病或充血性心力衰竭史者，发生心脏毒性的危险性更高，可给予右雷佐生（dexrazoxane）以减少风险。关于诱导治疗中柔红霉素的最合适剂量，国外两个随机研究报告，与阿糖胞苷联合应用时，柔红霉素90mg/（m<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>？d）连续3天与45mg/（m<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>？d）连续3天比较，患者的完全缓解率更高。去甲氧柔红霉素是柔红霉素的衍生物，其特点是不诱导P-糖蛋白表达，细胞毒作用较柔红霉素更强，心脏毒性较低，与其他蒽环类无交叉耐药性。一些临床研究显示，应用去甲氧柔红霉素代替DA方案中的柔红霉素，疗效更优。此外，蒽醌类药物米托蒽醌与阿糖胞苷组成方案也可用于AML的诱导缓解治疗。20世纪80年代国外有作者报告在DA方案的基础上加依托泊苷（VP16）对＜55岁的年轻患者能进一步提高完全缓解率，延长生存期，尤其对于M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>和M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">5</span>型患者。但这一结果并未得到其他研究者的一致认同。三尖杉酯碱或高三尖杉酯碱与阿糖胞苷组成的HA方案是国内常用于AML的诱导缓解治疗的另一方案，其CR率为76.0%，与DA方案相似。但应注意三尖杉酯碱或高三尖杉酯碱也有较强的心脏毒副作用。1995年中国医学科学院血液学研究所设计以高三尖杉酯碱与阿糖胞苷+柔红霉素组成的HAD方案治疗成人初治AML取得85%的完全缓解率，其中1个疗程完全缓解率达80%。据认为HAD方案的优势主要在于高三尖杉酯碱与柔红霉素之间存在一定的协同作用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">大剂量Ara-C（HD-Ara-C）在AML的疗效已得到国外多项研究的肯定。但用于诱导缓解治疗因治疗相关死亡率相对较高，因此并不能提高完全缓解率。目前多数学者主张将大剂量Ara-C主要用于完全缓解后的治疗。</p><p>（2）缓解后治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多数研究者认为诱导完全缓解后的治疗方案和强度直接影响患者的长期生存率。美国东部肿瘤协作组（Eastern Cooperative Oncology Group，ECOG）比较以下4个治疗组的远期疗效：①停药观察；②长期小剂量维持治疗；③常规剂量联合化疗巩固加长期小剂量维持化疗；④含HD-Ara-C联合方案巩固强化后停药，不再维持治疗。4组的4年DFS率依次为0、15%、20%和30%。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表20-3-14　成人急性白血病诱导缓解治疗的常用化疗方案</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180516-1526442743610020060.jpg\" title=\"1526442743610020060.jpg\" alt=\"T20-3-14_33792.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1971px; table-layout: fixed;\"/></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">注：VCR：长春新碱；P：泼尼松；DAUN：柔红霉素；ADM：多柔比星；L-ASP：左旋门冬酰胺酶；DXM：地塞米松；H：三尖杉酯碱（或高三尖杉酯碱）；Ara-C：阿糖胞苷；IDA：去甲氧柔红霉素；VP16：依托泊苷</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HD和中剂量（ID）Ara-C单用或联合蒽环类、鬼臼类等药物是当前广泛使用的完全缓解后的强化巩固治疗方案。美国癌症与白血病协作组（CALGB）的研究显示，接受标准剂量阿糖胞苷+柔红霉素诱导治疗以及3个疗程大剂量阿糖胞苷巩固治疗的患者4年DFS率达44%。治疗相关死亡率为5%，严重神经毒性反应发生率为12%。如果再按细胞遗传学危险度分层后进行比较，具有良好细胞遗传学改变患者的DFS率为60%，中危患者为30%，不良预后者为12%。但应注意到HD-Ara-C对有MDS病史及老年患者的疗效并不理想。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">也有一些研究认为缓解后的治疗强度并非是影响AML患者长期生存率的主要因素。澳大利亚白血病和淋巴瘤组（ALLG）M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">7</span>临床试验采用ICE方案（去甲氧柔红霉素9或12mg/m<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>×3；Ara-C 3g/m<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>，每天2次，第1、3、5、7天；依托泊苷75mg/m<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>×7）诱导治疗292例15～60岁AML患者，234例获得完全缓解（CR），其中225例1个疗程达CR，9例2个疗程达CR，总CR率为80%。将CR患者中的202例随机分为两组进行巩固治疗：一组为ICE组，即用原方案治疗1个疗程。另一组为IcE组（去甲氧柔红霉素9mg/m<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>×2；Ara-C 100mg/m<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>×5，依托泊苷75mg/m<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>× 5），共2个疗程。ICE组与IcE组的3年无复发存活率（RFS）分别为49%和48%；3年存活率分别为61%和 62%。该项研究的结果似乎表明要提高AML患者的长期生存率关键取决于诱导缓解治疗的强度。</p><p>2.急性早幼粒细胞白血病（acute promyelocytic leukemia，APL）的治疗（1）诱导缓解治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性早幼粒细胞白血病因15号与17号染色体之间易位形成PML/RARα的融合基因，其表达的PML/RARα融合蛋白通过阻断细胞分化和凋亡导致APL发生。采用全反式维甲酸（ATRA）诱导分化是目前国际上公认的伴t（15；17）急性早幼粒细胞白血病的首选诱导缓解方案。ATRA可与RAR受体结合，加快PML/ RARα融合蛋白的降解，使早幼粒细胞继续分化成熟。常用剂量为45mg/（m<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>？d），或60～80mg/d连续口服至CR。1991年华东地区ATRA协作组会议共总结787例急性早幼粒细胞白血病，初治603例，完全缓解率为85.4%，复治60例，完全缓解率为74%；单独应用ATRA治疗组，其完全缓解率为85.2%。1995年上海第二医科大学附属瑞金医院又报道以30～40mg/d的剂量治疗，同样可以达到87.5%的完全缓解率。ATRA治疗伴t（15；17）APL一般不诱发弥散性血管内凝血，但可引起分化综合征（以前称维甲酸综合征）、表现为不明原因的发热、呼吸困难、胸膜和心包积液、肺浸润、肾衰竭、低血压以及不明原因的体重增加5kg。可伴有或不伴有白细胞计数增高。此外，ATRA诱导过程中还可出现颅内压增高、皮肤黏膜干燥、消化道反应、肝功能损害、外阴水肿甚至溃疡等不良反应。但以分化综合征最为严重，发生率为24.8%～28.5%。紧急救治方法为地塞米松20mg/d静脉注射，连续3天，并正压持续吸氧等各种对症处理。ATRA的另一缺点是不能用做维持治疗。诱导缓解成功后，如不加用其他化疗，3～4个月后大多复发。目前国内外大多推荐口服ATRA后加用蒽环类药物（去甲氧柔红霉素或柔红霉素）3～4天作为APL的首选诱导方案。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">继ATRA之后我国学者又首创砷剂治疗APL取得成功。最常用的砷剂有三氧化二砷（亚砷酸，As<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>）、硫化砷（As<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>S<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>）和四硫化四砷（As<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>S<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>），其中以As<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>应用最广。砷剂治疗APL的主要机制为诱导早幼粒白血病细胞凋亡。亚砷酸的常规用法是5或10mg/m<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>，加入5%葡萄糖溶液500ml中静脉滴注3～4小时，连续28天为1个疗程。间歇1～2周，再重复1个疗程，连用2个疗程未缓解可视为无效。CR率90%～98%，并可较早获得分子生物学缓解。砷剂的另一重要特点是与ATRA无交叉耐药，ATRA治疗后复发和难治的患者应用As<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>再诱导治疗，CR率为78%～93%。砷剂的主要毒副作用有白细胞增高、分化综合征、心电图Q-T间期延长、周围神经病变、皮疹及胃肠道反应等。近年国内外有学者尝试ATRA联合As<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>S<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>用于初治APL患者的诱导治疗。结果表明ATRA联合As<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>诱导缓解要比单用ATRA或As<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>达到CR时骨髓细胞PML-RARα转录本更低，因此复发率亦更低。2012年美国NCCN肿瘤临床实践指南已将ATRA联合As<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>S<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>诱导方案推荐作为不能耐受蒽环类药物治疗的APL患者的首选诱导治疗策略。</p><p>（2）缓解后的治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在ATRA（或As<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>）+DNR（或IDA）联合诱导治疗后，用DNR或IDA至少2个疗程巩固治疗已经成为缓解后治疗的常规措施。亦有作者根据CR 后3、6个月PCR PML-RARα检测结果分为两组，阴性患者采用ATRA与As<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>交替治疗28周的巩固疗法（As<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>0.15mg/kg，1～4周，9～12周，17～20周，25～28周，每周用5天，ATRA 45mg/m<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>/d，1～2周，5～6周，9～10周，13～14周，17～18周，21～22周，25～26周）；阳性患者则在此基础上加用抗CD33单抗GO 9mg/m<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>，每月1次，共3次，两组均取得较好疗效。关于缓解后骨髓细胞分子生物学监测时间，2012年美国NCCN肿瘤临床实践指南推荐为2年。期间患者必须每3个月进行一次骨髓细胞PML-RARα融合基因的PCR检测，以便及时了解有无分子水平的复发。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">尽管以ATRA为基础的治疗使APL的预后大为改观，但仍有部分患者存在复发的风险。西班牙和意大利协作组通过对217例APL患者的随访观察表明，患者初诊时外周血白细胞和血小板计数是预后的独立因素。白细胞计数≤10×10<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L，血小板计数＞40×10<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L属低危组（24%）；白细胞计数≤10×10<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L，血小板计数≤40×10<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L为中危组（53%）；白细胞计数＞10×10<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L则归入高危组（23%）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">较长时期内，Ara-C在APL诱导缓解和缓解后治疗中的作用一直不甚明了。但2008年国外临床试验的结果显示对于初治时白细胞数≥10×10<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L、血小板数＜4×10<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L的患者采用Ara-C与DNR联合诱导和巩固治疗，完全缓解率和3年存活均较不含Ara-C的对照组具有一定的优势。2012年美国NCCN指南对于高危组APL患者诱导缓解成功后还推荐大剂量Ara-C作为巩固治疗的策略之一。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前多数学者主张首次获得CR的APL患者，不推荐立即行造血干细胞移植。造血干细胞移植的时机一般可选择在CR2期。欧洲血液和骨髓移植组织报道，APL患者CR2期行异基因造血干细胞移植的总生存率、无病生存率、复发率及治疗相关死亡率分别为58%、57%、15%和33%；自体造血干细胞移植为40%、45%、44%和25%。故无合适供体者采用自体造血干细胞移植亦不失为一项有效的治疗措施。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">ATRA的应用使APL患者生存期显著延长，但中枢神经系统白血病的发生率也随之多见，其原因是否与ATRA治疗使白血病细胞的黏附分子表达增高有关尚不清楚。临床上应将中枢神经系统白血病的预防作为APL患者缓解后治疗的一项常规措施。</p><p>3.ALL的治疗（1）诱导缓解治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">泼尼松与长春新碱联合的VP方案，可使标危儿童ALL的完全缓解率达95%，是ALL的基本诱导治疗方案。然而该方案用于成人ALL的诱导缓解治疗，CR率仅为47%，在VP加用蒽环类药物，其CR率可提高到83%。目前由VP方案加柔红霉素组成的VDP方案已普遍成为ALL诱导缓解治疗的标准方案。在VDP方案方案中蒽环类的剂量和用法一些学者也进行过研究。去甲氧柔红霉素12mg/（m<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>？d），2～4天诱导治疗ALL的死亡率高达50%，而减低剂量至10mg/（m<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>？d），2～3天，其相关死亡率降至9%。柔红霉素或米托蒽醌持续静滴并不优于静脉推注，而且柔红霉素用药延长至1周也不优于3天的疗效。近年来国外又有阿柔比星（阿霉素）取代柔红霉素的趋势。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">地塞米松与泼尼松比较，用于ALL的治疗主要有两方面的优势：①抗白血病作用更强，体外实验证明地塞米松对ALL细胞的作用较泼尼松强16倍。②更容易渗透进入中枢神经系统，在脑脊液中药物浓度更高，半衰期更长。荷兰的一项历史对照研究显示，地塞米松与泼尼松比较，ALL患者3年EFS（无事件生存）分别为80%与66%。另一些临床试验也证实，在减少ALL中枢神经系统白血病的复发率及3年EFS方面，地塞米松优于泼尼松。左旋门冬酰胺酶是另一种常用于ALL诱导缓解的药物，在VDP方案中加入左旋门冬酰胺酶的VDLP方案也是目前常用的ALL诱导治疗方案。国外有临床研究显示，左旋门冬酰胺酶并不能提高诱导治疗的CR率，但可延长缓解期。一些非随机研究认为，在VDLP方案基础上加入环磷酰胺（VDCPL）可进一步提高CR率，尤其适用于成人T-ALL患者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">含Hyper-CVAD方案的诱导缓解治疗是近年来推出的一种新的成人ALL治疗策略，与上述方案不同之处主要在于将环磷酰胺改为分段使用，并增加了交替使用大剂量阿糖胞苷和大剂量MTX。研究结果表明诱导缓解率和长期生存率较VAD（长春新碱、阿柔比星、地塞米松）更高。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Hyper-CVAD（第1、3、5、7个疗程）环磷酰胺300mg/m<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>，静脉注射2～3小时，每12小时1次，共6次，第1～3天。长春新碱2mg，静脉注射，第4天，第11天。阿柔比星50mg/m<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>第4天，地塞米松每天40mg，第1～4天和第11～14天。HD-MTX-Ara-C（第2、4、6、8个疗程）MTX 1g/m<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>静脉注射，第1天，15mg甲酰四氢叶酸静脉注射，在MTX完成后12小时，每6小时1次，共8次。Ara-C 3g/m<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>输注2小时，每12小时1次，共4次，第2～3天。甲泼尼龙（甲基强的松龙）50mg静脉注射，每天2次，第1～3天。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">另有报道在含Hyper-CVAD方案基础上加用抗CD20单抗美罗华治疗Burkitt淋巴瘤/白血病，CR率为86%，3 年OS率、EFS率、DFS率分别达89%、80%和88%。与单用含Hyper-CVAD方案的历史对照组比较，优势较为明显。</p><p>（2）缓解后治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">与AML的治疗策略一样，成人ALL取得CR后必须进行强化巩固治疗，时间应坚持3年以上。前6个疗程的强化治疗对于提高患者的长期无病存活率尤为重要。国内贵阳会议曾建议CR后的前6个疗程强化治疗方案为：第1、4个疗程为VDCP-L，第2、5个疗程为VP16+Ara-C（EA）方案，第3、6个疗程为大剂量甲氨蝶呤。每疗程之间间隔期一般为2～3周，不宜过长。对于高危患者可采用Hyper-CVAD与HD-MTX-Ara-C交替方案强化治疗。</p><p>4.Ph染色体阳性ALL的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ph染色体阳性ALL （Ph<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>ALL）占成人ALL的20%～30%左右。随着年龄的增加，发生率也随之增高。在50岁以上的ALL患者中发生率可＞40%。Ph<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>ALL主要见于前B-ALL，90%以上的患者表达CD34；50%以上的患者还表达髓系抗原标记，如CD13、CD33等。临床上白血病计数常增高，但脾及淋巴结肿大少见。Ph<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>ALL的预后不良，化疗虽然能使60%的患者获得CR，但易复发，平均缓解期仅为9个月，其5年DFS低于10%～20%。有报道Hyper-CVAD方案虽能使90% 的Ph<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>ALL达CR，但并不能明显改善DFS。异基因造血干细胞移植的疗效显著高于化疗和自体造血干细胞移植，缺点是移植相关死亡率亦增高。国外报道167例Ph<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>ALL诱导缓解后随即分组为：亲缘移植组49例、非亲缘移植组23例、自体移植组7例。继续化疗组77例，其治疗相关死亡率分别为37%、43%、14%和8%。5年复发率异基因移植组（亲缘与非亲缘组）29%，自体移植组和化疗组为81%；5年生存率异基因移植组（亲缘与非亲缘组）43%，自体移植组和化疗组为19%。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">来自GIMEMA临床试验的一组资料显示，101例Ph<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>成人ALL患者中p190bcr/abl阳性占（59例）57.6%，p210 bcr/abl阳性占42.4%（p210bcr/abl单独阳性23例，p210 与p190共同阳性19例）。均采用泼尼松、长春新碱、大剂量柔红霉素（总剂量达270mg/m<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>）和L-asp诱导治疗，继以大剂量Ara-C联合米托蒽醌强化治疗，并在CR1期行异基因或自体造血干细胞移植。在可评估的92例资料中，治疗相关死亡率为15.2%，总CR率为67.4%，其中p190 bcr/abl阳性组CR率为69.8%，p210bcr/abl阳性组为64.1%。两组间无显著性差异。52例行强烈再诱导治疗后进行造血干细胞移植，36例（20例异基因造血干细胞移植，16例自体造血干细胞移植）获得持续CR。作者评估时6/20例、4/16例仍然处于持续缓解之中。未接受造血干细胞移植的16例无1例存活。研究还认为p190bcr/abl阳性组在OS和DFS方面要优于p210bcr/abl阳性组。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">甲磺酸伊马替尼（imatinib mesylate）在CML治疗取得成功以后，国外开展了治疗Ph<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>ALL的临床试验。Ⅰ期临床试验20例Ph<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>ALL异基因造血干细胞移植后复发的病例，应用伊马替尼600mg/d治疗，有11例（55%）获得完全血液学缓解，4例骨髓完全缓解，但外周血象未完全恢复，5例患者为难治性或仅获得部分缓解。在有效的病例中，应用伊马替尼治疗的前4周，骨髓或外周血供者嵌合体增加到96%，提示伊马替尼对Ph<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>白血病细胞有选择性抑制作用，从而间接促进Ph阴性细胞增殖。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Anderson肿瘤中心研究了在初发Ph<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>ALL患者中应用伊马替尼联合Hyper-CVAD方案的疗效，8个疗程的诱导缓解和巩固治疗中，每疗程的第14天给予伊马替尼，8个疗程结束后给予伊马替尼600mg/d，维持治疗1年。初步的研究结果显示这种联合治疗是安全的，并且缓解率较高。但是否对患者的长期DFS有益尚不清楚。</p><p>（四）难治性急性白血病的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　国内外学者对于难治性白血病的判断标准尚未完全统一。其中德国AMLCG协作组提出的4项标准得到较为广泛的认可：①标准方案诱导治疗2个疗程不能缓解；②CR1后6个月内复发：③CR1后6个月后复发，且原诱导缓解方案再诱导治疗无效：④二次或多次复发。从中可以看出，所谓的难治性白血病其实包括原发性难治和复发两类患者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">难治性白血病的治疗策略，首先应选择与原治疗方案无交叉耐药性的药物，以组成新的治疗方案；也可将常规化疗药物加大剂量使用。如上述治疗方案仍不见效，则必须采用与常规药物作用机制不同的抗白血病新药。总之凡患者年龄较轻，一般状况尚可，系复发的早期病例，尽量采用较大剂量方案。高龄患者、一般情况较差，或已到疾病晚期，应酌情使用较保守治疗。</p><p>1.复发或难治性AML的化学治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　难治与复发AML的治疗目前尚无统一的化疗方案。原则上采用无交叉耐药的化疗药物及加大阿糖胞苷的剂量。其中大剂量阿糖胞苷是近十余年来研究得最多的用于难治与复发急性白血病的化疗方案。大剂量阿糖胞苷可单独使用，也可选用去甲氧柔红霉素、米托蒽醌、胺吖啶（amsacrine，AMSA）及依托泊苷等联合应用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">氟达拉滨是一种合成的嘌呤类似物，其结构类似于Ara-C，在Ara-C的2位上加氟，增强了对腺苷脱氨酶的脱氨作用，在糖的部位增加了磷，则使其水溶性增强。在体内经磷酸化成为有活性的三磷酸形式F-Ara-ATP，通过抑制核糖核酸还原酶、DNA多聚酶、DNA引物酶、DNA连接酶的作用而抑制DNA的合成，并能部分抑制RNA聚合酶Ⅱ减少蛋白质的合成。由氟达拉滨、大剂量阿糖胞苷联合GCSF组成的FLAG方案是目前常用的难治与复发AML的治疗方案。其特点是G-CSF可动员静止期白血病细胞进入增殖周期，氟达拉滨可增强阿糖胞苷的细胞毒作用。FLAG方案治疗难治复发白血病的CR率达50%～75%。对晚期复发（停药＞6个月）患者的CR率明显好于早期复发（停药＜6个月）和难治患者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">非大剂量阿糖胞苷的治疗方案有两类。一类是标准剂量阿糖胞苷联合去甲氧柔红霉素、米托蒽醌、依托泊苷、安吖啶（m-AMSA）等；另一类不含阿糖胞苷，如依托泊苷联合米托蒽醌、阿柔比星（阿克拉霉素）、m-AMSA等。Brown等采用大剂量VP16（总量1.8～4.2g/m<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>）加大剂量环磷酰胺（50mg/kg×3～4天），难治性AML CR率为42%，其中对大剂量阿糖胞苷耐药的病例CR率也达30%。该方案的主要毒副作用有黏膜炎、肝脏损害及出血性膀胱炎，17%的患者死于骨髓抑制期发生的严重感染。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">拓扑替康是拓扑异构酶Ⅰ抑制剂，可特异性与DNA单链断端上的拓扑异构酶Ⅰ相结合，阻止拓扑异构酶Ⅰ对单链断端的修复，破坏DNA双链结构，从而导致细胞死亡。Lee等采用去甲氧柔红霉素每天10mg/m<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>，第1～3天；Ara-C 1g/m<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>，12小时1次，第1～5天；拓扑替康1.25mg/m<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>，第1～5天，治疗难治复发AML 40例，CR率为59%，中位CR率和生存期分别为6个月和12个月。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">CAG方案最初由日本学者报道，以小剂量阿柔比星（阿克拉霉素）和阿糖胞苷与G-CSF联合应用治疗难治和复发、继发AML，CR率分别达到87%和62%。其原理是AML细胞表达G-CSF和GM-CSF受体，G-CSF可预激（priming）处于G<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>期的白血病细胞进入增殖周期与化疗药物接触，从而增强抗白血病的疗效。由于本方案中阿克拉霉素和阿糖胞苷的剂量明显低于常规剂量，因此毒副反应相对较小。该方案不仅适用于难治和复发AML，也可试用于老年及低增生AML患者。</p><p>2.难治性或复发性ALL的化学治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　无论是难治或复发ALL对化疗药物均有不同程度的耐受性，对常规联合化疗反应皆不满意，预后较差，是当今急需探讨的课题之一。虽然50%的复发性ALL使用原诱导缓解方案仍有效，但再度缓解期极短。与AML相似，复发病例的疗效与上次缓解期的长短有关：第1次缓解期越长，获第2次缓解的概率越高，完全缓解后持续时间也越长。复发后病情严重患者很少能再次完全缓解，即使缓解，极少（＜5%）能长期存活。ALL患者的复发部位如在髓外，如中枢神经系统或睾丸等预后更差。对难治和复发的成人ALL目前治疗方法主要有大剂量MTX方案、大剂量CTX为基础的方案以及大剂量Ara-C为基础的方案等。单用Ara-C对晚期ALL的疗效不如AML，CR率仅30%左右。伊达比星（去甲氧柔红霉素）联合大剂量Ara-C治疗难治性ALL的CR率为44%。鬼臼类药物VM26或VP16、安丫啶与HDAra-C亦有协同作用。FLAG方案对复发和难治性ALL也有效。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Martino等1999年报道含大剂量CTX和大剂量Ara-C的多药联合方案治疗难治与复发ALL的疗效，具体药物和剂量为：VCR 2mg，第1天；米托蒽醌（MTZ）12mg/m<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>，第1～3天；Ara-C 1.2g/m<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>，12小时1次，第1～4天；CTX 1.5g/m<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>；泼尼松80mg/（m<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>？d），第1～4天；MTX 500mg/m<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>，第5天。45例ALL（难治17例，第1次复发28例）中，34例达CR，CR率为74%；难治组CR 15例，CR率为88%。缓解患者中23例接受造血干细胞移植。45例总的中位生存期为5.7个月，2年生存率25%；34例CR患者中位DFS为4.6个月。23例接受造血干细胞移植患者的中位生存期超过15.4个月。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">总之，复发和难治性成人ALL的预后也极差，与AML相似，平均缓解期仅6～12个月，长期存活者少见。所以多数学者主张患者一旦缓解后应尽早进行异基因造血干细胞移植。</p><p>3.Ph染色体阳性ALL对伊马替尼耐药后的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于伊马替尼发生耐药的Ph<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>ALL患者，目前已有新一代的靶向药物达沙替尼（dasatinib）和尼罗替尼（nilotinib）可供选用。但两药针对的BCR-ABL基因突变状态不同，应根据突变的检测结果进行选择（表20-3-15）。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表20-3-15　Ph染色体阳性ALL对伊马替尼耐药后的治疗选择</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180516-1526442845699070029.jpg\" title=\"1526442845699070029.jpg\" alt=\"T20-3-15_33794.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 955px; table-layout: fixed;\"/></p><p>（五）中枢神经系统白血病的预防与治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　随着急性白血病缓解率提高和存活期延长，中枢神经系统白血病的发生率也明显增多。目前所用抗白血病药物在常规剂量下多数不能通过血脑屏障，故中枢神经系统成为白血病细胞的隐蔽所，常为急性白血病复发的重要根源，应加强防治。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对ALL患者应常规采用预防中枢神经系统白血病的措施。标准办法是鞘内注射抗白血病药物。通常在诱导缓解一开始或CR后，立即在鞘内注射甲氨蝶呤，每次10mg，每周2～3次。大剂量Ara-C或MTX全身化疗能使药物透过血脑屏障，对中枢神经系统白血病也有肯定的预防作用。低危ALL的预防措施可采用大剂量全身化疗+4次鞘内化疗，高危ALL为大剂量全身化疗+8次鞘内化疗，成熟B-ALL或Burkitt白血病则须将鞘内注射增至16次。对于AML患者至今尚无统一的规定，一般认为，M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>、M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">5</span>患者尤其是高白细胞者应常规在CR后开始每周1次的鞘内注射，共8～12次。近年来已不推荐头颅照射作为预防中枢神经系统白血病的措施。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">确诊为中枢神经系统白血病（central nervous system leukemia），治疗方法有以下几种：</p><p>1.肾上腺糖皮质激素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　主要控制中枢神经系统白血病的症状。地塞米松10mg静脉注射2～3天，可使头痛、呕吐等症状减轻，但脑脊液、脑神经瘫痪及神经乳头水肿无明显改善。</p><p>2.甲氨蝶呤鞘内注射</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">以10～15mg，每2～3天或4～5天鞘内注射1次，直至脑脊液细胞数恢复正常。本法能较快控制中枢神经系统白血病，但缓解期短，容易复发。所以中枢神经系统白血病缓解后应继续用甲氨蝶呤5～10mg鞘内注射，每6～8周1次，本法缓解率为52%～ 100%，中数缓解期为2.5～4.2个月。鉴于甲氨蝶呤经鞘内注射，在脑室内浓度常不易达到抗肿瘤作用，现有皮下脑脊液贮存器（ommaya reservoir），将甲氨蝶呤直接注射至脑室。Bleyer等将脑室和鞘内甲氨蝶呤注射作了比较，前者治疗效果较好。但脑脊液贮存器安装后约18%病例有出血、阻塞和继发感染等并发症。脑脊液贮存器用于中枢神经系统白血病为髓外复发的病例较为合适。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">甲氨蝶呤鞘内注射后可引起急性化学性蛛网膜炎和亚急性脑和脊髓运动神经元功能不良等毒性作用。患者可有头痛、发热或呕吐，出现于第1～10次注射期间。如不停药，反应可逐渐加重。曾报道有7例ALL中枢神经系统白血病在治程中或停药后不久发生痴呆、神经错乱、易激惹、嗜睡、共济失调、癫痫发作，其中有2例昏迷，1例死亡。另有报道在注射甲氨蝶呤后发生意外者共7例，表现有感觉障碍伴轻度运动功能减退，下肢或四肢瘫痪等，其中死亡者也有2例。意外反应常突然发生，或出现在鞘内注射0.5～24小时内。上述毒性反应可能与甲氨蝶呤的保存液羟基甲酸或稀释液甲醇有关，它们能阻断神经纤维传导，也可使神经纤维脱髓鞘。个别病例可能是机体对甲氨蝶呤产生急性变态反应。甲氨蝶呤可通过脑膜吸收而产生全身反应，应加注意。骨髓已受到抑制或肾功能不全更应慎用。鞘内注射药物容积一般为脑脊液的10%，即10～15ml。当脑脊液压力过高时，应酌情减量。注射应缓慢，有反应时随时停药。监测脑脊液内甲氨蝶呤浓度，可减少甲氨蝶呤神经毒反应的发生率。</p><p>3.阿糖胞苷鞘内注射</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　甲氨蝶呤鞘内注射有抗药者，可试用阿糖胞苷25mg/m<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>，每周2次，鞘内注射；也可采用MTX、Ara-C与地塞米松联合鞘内注射，其疗效与头颅放疗+鞘内注射MTX相似。</p><p>4.脊髓照射</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">仅用颅脑<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">60&nbsp;</span>Co或直线加速器照射（5～10Gy）只能缓解症状，不能使脑脊液恢复正常，缓解率也低。如果加用脊髓照射10Gy，效果较好，但对骨髓抑制作用比较明显。以往已用过放疗作为中枢神经系统白血病预防措施者，应避免脑部再照射。</p><p>（六）造血干细胞移植（hematopoietic stem cell transplantation）1.异基因造血干细胞移植（allogeneic hematopoietic stem cell transplantation）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">AML和ALL均为异基因造血干细胞移植的适应证。首次完全缓解期的AML患者，应当根据疾病细胞遗传学的特征来决定缓解后的继续治疗措施。预后好组患者可采用足够强度的化疗作为巩固治疗，5年总生存率可达50%以上。也可考虑自体造血干细胞移植。风险更大的异基因造血干细胞移植一般不作为该组患者的首选，可作为复发早期或第二次缓解期的治疗策略。对预后中等组患者，如有HLA匹配的家庭成员供者进行移植，3年无病生存率可达65%，3年复发率为18%。预后差组如有HLA匹配的家庭成员供体，应当在完全缓解后尽快行造血干细胞移植。在经过选择的病例中，如果在第一次缓解期就接受非血缘关系的HLA相匹配供者或家庭成员供者移植，长期生存率仍可达到40%～50%。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">成人ALL复发率高，异基因造血干细胞移植在成人ALL的治疗中占据重要地位。2008年报道的一项国际协作临床试验（MRC UKALLⅫ/ECOG E2993）分析1993—2006年1913例成人ALL的资料表明，Ph<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">-</span>ALL患者采用异基因造血干细胞作为缓解后的治疗措施，其5年总存活为53%，明显高于自体移植和化疗患者的45%。2002年IBMTR报告接受移植的2820名ALL患者资料显示，在CR1期移植，年龄＜20岁与年龄＞20岁组3年无病生存率分别为61%±4%和48%±4%；在CR2以上缓解期移植，3年无病生存率在年龄＜20岁与年龄＞20岁组分别为47%±6%和30%±5%；无关供者的移植在CR1或以后的缓解期进行3年无病生存率分别为45%±3%和36%± 8%；处于疾病进展期的患者无病生存率为10%～15%。法国的一项大型多中心临床试验（LALA87）的资料显示，257例随机抽样的ALL病例中，116例接受异基因造血干细胞移植，对照组114例接受化疗或自体造血干细胞移植（autologous hematopoietic stem cell transplantation），两组的5年生存率差异无统计学意义。但在高危病例，异基因造血干细胞移植组5年总生存率和5年无病生存率分别为44%和39%，明显高于对照组的20%和14%。另有一项关于Ph染色体阳性ALL的研究结果显示，167例接受造血干细胞移植，其中49例为HLA相配的相关供体移植，23例为HLA相配的无关供体移植，7例为自体造血干细胞移植。77例接受持续化疗。5年的疾病复发危险性，异基因造血干细胞移植组为29%，明显低于自体造血干细胞移植/化疗组的81%。而5年生存率异基因造血干细胞移植组为43%，自体造血干细胞移植/化疗组为19%。因此，目前较为一致的观点是对于Ph<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>ALL患者，尽可能争取在首次缓解后实施异基因造血干细胞移植。</p><p>2.自体造血干细胞移植（1）AML：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2002年来自希腊的120例临床病例研究显示，年龄≤60岁的AML患者，自体造血干细胞移植的疗效明显不如异基因造血干细胞移植，3年无失败生存率（FFS）分别为42%和73%，与大剂量Ara-C巩固治疗比较也不能显示其优势。以往认为对于具有良好细胞遗传学预后因素的AML患者，自体造血干细胞移植的疗效优于单纯化疗，但近年来随着抗白血病新药的出现和化疗方案的改进，尤其是大剂量阿糖胞苷等在巩固强化治疗阶段中的应用，自体造血干细胞移植在该组AML中的地位受到置疑，目前国外一些临床研究中心有放弃将自体造血干细胞移植作为首次缓解后的一线治疗措施的趋势。对于具有中等细胞遗传学预后因素的AML患者，由于复发率较预后良好组患者显著为高，如无异基因造血干细胞移植的合适供体，可考虑行自体造血干细胞移植。国外的一项资料显示，该组患者5年生存率自体造血干细胞移植为56%，单纯化疗为48%。具有不良细胞遗传学预后因素的AML患者，自体造血干细胞移植疗效欠佳，5年生存率仅为15%，远低于异基因造血干细胞移植的疗效。对于60岁以上的老年AML患者，来自EORTC-Gimema AML-13临床试验的资料表明自体外周血干细胞移植（autologous peripheral stem cell transplantation）亦不能改善其预后。不过也有持不同观点的研究结果。</p><p>（2）ALL：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">国外多项临床资料表明，成人ALL自体造血干细胞移植的疗效明显较异基因造血干细胞移植为差。法国的大型多中心临床试验（LALA87）数据表明，无论高危和标危ALL患者，自体造血干细胞移植与化疗比较都不能显示其优势。Anderson癌症中心的资料也持类似的观点。2008年报道的MRC UKALLⅫ/ECOG E2993临床试验甚至得出自体造血干细胞移植不如化疗的结论。欧洲骨髓移植组曾报道510例ALL患者行自体骨髓移植的疗效，CR1期和CR2期的7年无病生存率分别为50%和20%，其中CR1期在诊断40天内达CR者其无病生存率较40天以上达CR者显著增高，分别为60%和30%。从这项结果可以看出自体造血干细胞移植治疗ALL的时机应选择CR1期，其疗效与白血病细胞对化疗药物的敏感性相关。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4690', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '451', '参考文献', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.上海市中美联合白血病协作组.上海市成人急性白血病572例世界卫生组织分型的临床研究.中华血液学杂志，2007，28（7）：444-448.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.Ades L，Sanz MA，Cylvie，et al.Treatment of newly diagnosed acute promyelocytic leukemia（APL）：a comparison of French-Belgian-Swiss and PETHEMA results.Blood，2008，111（3）：1078-1084.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.Thomas DA，Faderl S，O’Brien S，et al.Immunotherapy with hyper-CVAD plus Rituximab for the treatment of adult Burkitt and Burkitt-Type lymphoma or acute lymphoblastic leukemia.Cancer，2006，106（7）：1569-1580.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.Yanada M，Takeuchi J，Sugiura I，et al.Karyotype at diagnosis is the the major prognostic factor predicting relapse-free survival for patients with Philadelphia chromosome-positive acute lymphoblastic leukemia treated with imatinib-combined chemotherapy.Haematologica，2008，93（2）：287-290.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.Goldstone AH，Richards SM，Lazarus HM，et al.In adults with standard-risk acute lymphoblastic leukemia，the greatest benefit is achieved from a matched sibling allogeneic transplantation in first complete remission，and an autologous transplantation is less effective than conventional consolidation/maintenance chemotherapy in all patients：final results of the International ALL Trail （MRC UKALLⅫ/ECOG E2993）.Blood，2008，111（4）：1827-1833.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">6.Thomas X，Suciu S，Rio B，et al.Autologous stem cell transplantation after complete remission and first consolidation in acute myeloid leukemia patients aged 61-70years：results of the prospective EORTC-GIMEMA AML-13study.Haematologica，2007：92 （3）：389-396.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">7.Roboz GJ.Current treatment of acute myeloid leukemia. Curr Opin Oncol，2012.24（6）：711-9</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">8.Portell CA，Sweetenham JW.Adult lymphoblastic lymphoma.Cancer J，2012，18：432-438.</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4691', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1670', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺念珠菌病（pulmonary candidiasis）亦称念珠菌肺炎（candida pneumonia）是由念珠菌引起的急性、亚急性或慢性肺部感染。通常也包括支气管念珠菌病，统称支气管肺念珠菌病（bronchopulmonary candidiasis）。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4692', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1670', '病原体与流行病学', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺念珠菌病的病原体主要是白念珠菌、光滑念珠菌、克柔念珠菌、近平滑念珠菌等。临床分离的念珠菌属中以白念珠菌为多见，但近年非白念珠菌感染明显增加，可能与氟康唑的预防性应用及中心静脉置管有关。&nbsp;发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">念珠菌属是人体正常的定植菌群之一，其感染为机会性感染，最常见的危险因素有：念珠菌定植、中心静脉导管、外周静脉高营养、ICU患者接受肾脏替代治疗、粒细胞缺乏、置入人造装置、使用广谱抗生素和接受免疫抑制剂治疗、胃肠道或心脏外科手术、住院时间延长、HIV感染、糖尿病等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺念珠菌病主要通过吸入，也可通过血源性感染。吸入（原发）性感染多因定植于口腔和上呼吸道的念珠菌在机体防御机制削弱时吸入致病。在粒细胞缺乏、静脉导管留置、糖尿病、肾衰竭等易发生血源性肺念珠菌病。此外较少见的是先天性肺念珠菌病，系新生儿出生时经产道获得的感染。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">念珠菌侵入下呼吸道后由酵母相转成菌丝相，毒力增强，引起以中性粒细胞浸润为主的急性炎症反应，可形成小脓肿，病灶周围有菌丝和吞噬细胞浸润，后期形成坏死、空洞、纤维化及肉芽肿病变。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4693', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1670', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病无特异性表现。可表现为不能解释的持续发热、呼吸道症状，而体征轻微；血源播散型常出现念珠菌败血症和休克，最终导致呼吸衰竭。通常，肺念珠菌病按感染部位和临床表现可分为支气管炎型、支气管-肺炎型及肺炎型。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">支气管炎型病变主要累及支气管和周围组织，主要表现为局部的呼吸道症状，咳嗽，甚至剧咳，咳少量白色黏液痰或脓痰。体检可发现口腔、咽部及支气管黏膜散在点状白膜，听诊偶及干啰音。支气管-肺炎型和肺炎型大多见于免疫抑制或极度衰弱的患者，呈急性肺炎或败血症表现。血源播散型肺念珠菌病常出现念珠菌血症和休克表现。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4694', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1670', '影像学表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">影像学表现特异性差。支气管炎型在X线上大多无异常表现，或仅有两下肺纹理增多、增粗、模糊，偶见肺门淋巴结肿大。支气管-肺炎型见中下肺野弥漫性斑片状影。肺炎型则呈小片状或大片状阴影，常波及整个肺叶，或有小片状阴影的大片融合，甚至脓肿形成。病变可以在短期内变化，或出现游走，亦可伴胸膜改变。少数病例影像学上可表现为间质性病变，或粟粒状阴影，可有融合趋势。偶尔，无基础疾病的患者肺部出现孤立性结节（念珠菌球），酷似肿瘤。慢性病变呈纤维条索状阴影和代偿性肺气肿。与曲霉和隐球菌相比，肺念珠菌病表现为实变影较多见。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4695', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1670', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">念珠菌肺炎和肺脓肿均甚少见。痰或支气管分泌物念珠菌阳性多为定植菌，不能据此诊断为肺念珠菌病。应从宿主因素、临床表现、微生物学三个方面综合考虑。疑似病例的诊断需具备以下各项：①宿主因素；②有感染性肺炎的表现。影像学检查有新出现的局灶性或弥漫性支气管肺炎（口咽部或支气管树下行感染），或细小结节状或弥漫性浸润影（血行播散）；③可排除细菌等其他病原体所致肺炎；④合格的痰或支气管分泌物标本两次显微镜检酵母假菌丝或菌丝阳性，以及真菌培养有念珠菌生长，且2次培养为同一菌种（血行播散者除外）；⑤血清β-D葡聚糖抗原检测（G试验）连续2次阳性。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">实验室诊断：①直接涂片镜检，一般在送验标本后1小时内即可为临床提供信息，镜检见假菌丝或菌丝与出芽酵母（芽胞）并存（念珠菌属的特征）；②正常无菌部位组织病理镜检有典型假菌丝及芽胞，培养结果呈阳性者可确诊为侵袭性念珠菌病；③G试验可作为诊断侵袭性念珠菌病的辅助指标之一。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4696', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1670', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">主要包括：①病原治疗：念珠菌菌种的不同是选择治疗药物的重要考虑因素之一（表17-8-1）。②经验治疗：对疑似肺念珠菌病患者可予以经验治疗。对于血流动力学稳定、非中性粒细胞减少的非危重感染，先前未使用唑类药物史者，氟康唑为首选治疗药物；血流动力学不稳定或中性粒细胞减少，且可能为光滑念珠菌或克柔念珠菌感染者应选用两性霉素B或棘白菌素类。③疗程≥4周建议进行血药浓度监测。</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180516-1526455392411064161.jpg\" title=\"1526455392411064161.jpg\" alt=\"3.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1024px; table-layout: fixed;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">用于治疗肺念珠菌病的药物主要有：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）两性霉素B：两性霉素B去氧胆酸盐（AmB-D）以及3种含脂复合制剂（LFA-mB）。AmB-D治疗剂量为每日0.5～0.7mg/kg，治疗敏感性略差的光滑念珠菌或克柔念珠菌所致者，剂量宜增至每日1mg/kg。LFA-mB常用剂量为每日3～5mg/kg。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）三唑类：氟康唑首日800mg（12mg/kg），以后每日400mg（6mg/kg）；伊曲康唑第1、2天每日2次，每次200mg静滴，第3～14天每日1次，每次200mg，如口服每日2次，每次200mg；伏立康唑对念珠菌属的抗菌活性高于氟康唑及伊曲康唑，剂量首日2次，每次400mg（6mg/kg），以后每日2次，每次200mg（3mg/kg）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（3）棘白菌素类：目前仅有静脉制剂，临床不良反应少见。卡泊芬净首日70mg，以后50mg/d；米卡芬净50mg/d；阿尼芬净首日200mg，以后100mg/d。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（4）氟胞嘧啶：常与AmB联合治疗，每日100～150mg/kg，分4次口服，静脉滴注分2～4次给药。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4697', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1670', '预防', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺念珠菌病的预防：①积极治疗基础病；②合理使用抗菌药物，严格控制剂量和疗程；③严格控制激素剂量和疗程；④尽可能减少或避免导致念珠菌感染的医源性因素，如及时拔除深静脉留置管；⑤免疫功能低下者应加强支持疗法等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4698', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1670', '参考文献', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.中国侵袭性真菌感染工作组.血液病/恶性肿瘤患者侵袭性真菌感染的诊断标准与治疗原则（第三次修订）.中华内科杂志，2010，49（5）：451-454.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.中华医学会“念珠菌病诊治策略高峰论坛”专家组.念珠菌病诊断与治疗：专家共识.中国感染与化疗杂志，2011，11（2）：81-95.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.中华医学会呼吸病学分会感染学组，中华结核和呼吸杂志编辑委员会.肺真菌病诊断和治疗专家共识.中华结核和呼吸杂志，2007，30（11）：821-834.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.Mandell GL，Bennet t JE，Dolin R.Principles and Practice of Infectious Diseases.7th ed.Philadelphia：Churchill Livingstone，2010：3225-3240.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.Pappas PG，Kauffman CA，Andes D，et al.Clinical practice guidelines for the management of candidiasis：2009update by the Infectious Diseases Society of America.Clin Infect Dis，2009，48（5）：503-535.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">6.Clinical and Laboratory Standard Institute（CLSI）. Reference method for broth dilution antifungal susceptibility testing of yeasts：Approved standard.3rd ed.CLSI document M272A3. Wayne，PA：CLSI，2008.</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4711', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1297', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肥胖症（obesity）是一组常见的、古老的代谢性疾病。当人体进食热量多于消耗热量时，多余热量以脂肪形式储存于体内，其量超过正常生理需要量，且达一定值时遂演变为肥胖症。随年龄增长，体脂所占比例相应增加。肥胖症的实质是体内脂肪绝对量增加。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">评估肥胖的方法很多，但较简便且最常用的方法为体质指数（body mass index，BMI），计算公式为：BMI＝体重（kg）/身高<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>（m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>）。据BMI评估肥胖，国外诊断标准为：25为正常上限，25～30为过重，≥30为肥胖，≥40为极度肥胖。考虑到国人的种属及形体，其诊断标准应较其稍低，大致为：24为正常上限，24～28为过重，≥28为肥胖。美国健康和营养调查（NHANES）提示，在美国，成年人中肥胖的患病率已经从1976～1980年的14.5%上升至1999～2002年的30.4%，极度肥胖的患病率达到4.9%。近年来随着我国经济发展和生活方式的改变，肥胖发病率有明显上升，发病年龄有下降趋势。如无明显病因可寻者称单纯性肥胖症；具有明确病因者则称为继发性肥胖症。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">单纯性肥胖是肥胖症中最常见的一种，是多种严重危害健康疾病（如糖尿病、冠状动脉粥样硬化心脏病、脑血管疾病、高血压、高脂血症等）的危险因子，在其发病中起着或为病因、或为诱因、或为加重因素、或兼而有之的作用。因此，肥胖症的防治有着十分重要的、广泛的临床意义。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4712', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1297', '分类', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">按发病机制及病因，肥胖症可分为单纯性和继发性两大类：</p><p>（一）单纯性肥胖症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">无明显内分泌、代谢病病因可寻者称单纯性肥胖症。根据发病年龄及脂肪组织病理又可分两型：</p><p>1.体质性肥胖症（幼年起病型肥胖症）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">其特点为：①有肥胖家族史；②自幼肥胖，一般从出生后半岁左右起由于营养过度而肥胖直至成年；③呈全身性分布，脂肪细胞呈增生肥大；④限制饮食及加强运动疗效差，对胰岛素较不敏感。</p><p>2.获得性肥胖症（成年起病型肥胖症）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">其特点为：①起病于20～25岁，由于营养过度及遗传因素而肥胖；②以四肢肥胖为主，脂肪细胞单纯肥大而无明显增生；③饮食控制和运动的疗效较好，胰岛素的敏感性经治疗可恢复正常。</p><p>（二）继发性肥胖症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">继发于神经-内分泌-代谢紊乱基础上的肥胖症，有下列七组：</p><p>1.下丘脑病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多种原因引起的下丘脑综合征，包括炎症后遗症、创伤、肿瘤、肉芽肿等均可引起肥胖症。</p><p>2.垂体病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">见于轻型腺垂体功能减退症、垂体瘤（尤其是嫌色细胞瘤）、空蝶鞍综合征。</p><p>3.胰岛病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于胰岛素分泌过多，脂肪合成过度。①2型糖尿病早期；②胰岛β细胞瘤（胰岛素瘤）；③功能性自发性低血糖症。</p><p>4.甲状腺功能减退症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">原发性及下丘脑-垂体性者均较胖，可能由于代谢率低下，脂肪动员相对较少，且伴有黏液性水肿。</p><p>5.肾上腺皮质功能亢进症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要为皮质醇增多症，表现为向心性肥胖。</p><p>6.性腺功能减退症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①女性绝经期及少数多囊卵巢综合征；②男性无睾或类无睾症。</p><p>7.其他</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">水钠潴留性肥胖症及痛性肥胖（Dercum病）等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4713', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1297', '病因与发病机制', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">脂肪细胞的内分泌功能的发现是近年来内分泌学科领域的重要进展。现已发现人类脂肪细胞能分泌几十种脂肪细胞因子及蛋白质因子如瘦素、脂联素、抵抗素、肿瘤坏死因子-α、IL-8、血管紧张素和胰岛素样生长因子等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">脂肪细胞还可通过其分泌的多种信号物质，分别与内分泌神经中枢、肾上腺、胰岛、肌、肝、心肌及血管内皮等细胞进行相互作用，形成复杂的神经-内分泌-免疫网络，调节功能。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肥胖是由于能量代谢平衡失调。热量摄入多于热量消耗使脂肪合成增加是肥胖的物质基础。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">当日进食热能超过消耗所需的能量时，除以肝、肌糖原的形式储藏外，几乎完全转化为脂肪，储藏于全身脂库中，其中主要为甘油三酯，由于糖原储量有限，故脂肪为人体热能的主要贮藏形式。如经常性摄入过多的中性脂肪及糖类，则使脂肪合成加快，成为肥胖症的外因，往往在活动过少的情况下，如停止体育锻炼、减轻体力劳动或疾病恢复期卧床休息、产后休养等出现肥胖。而在一般情况下，人体每日所进能量有差异，取决于年龄、性别、身高、劳动性质等因素，由于正常神经内分泌的精密调节，使人体体重相对较稳定而不发生肥胖。因此，肥胖症的发病机制可归纳为下列四组因素：</p><p>（一）内因</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">为人体内在因素使脂肪代谢紊乱而致肥胖。</p><p>1.遗传因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在肥胖实验动物中已经表明，单纯性肥胖存在着多种遗传方式。呈显性遗传的黄小鼠（AYY）和脂肪小鼠（Ad），呈隐性遗传的肥胖小鼠（ob/ob）、糖尿病小鼠（db/db）和肥胖鼠（fa/fa）以及呈多基因遗传的新西兰肥胖小鼠（NZO）和日本鼠（KK）。其中ob/ob和fa/fa研究最多，表现为显性肥胖、高胰岛素血症。此种高度肥胖鼠即使限制摄食，亦不能使肥胖消除。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">人类的单纯性肥胖的发病亦有一定的遗传背景。Mayer等报告，双亲中一方为肥胖，其子女肥胖率约为50%；双亲中双方均为肥胖，其子女肥胖率上升至80%。而肥胖者收养的子女则无如此高的患病率，不能单纯用生活习惯等后天性因素加以解释。Stunkard等对1974对同卵双生子和2097对异卵双生子的体重超重的一致性进行统计，前者一致性为后者的2倍。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">人类肥胖大多并非单基因肥胖病，而是一种多基因及环境因素共同参与的代谢性疾病。肥胖的形成尚与生活行为方式、摄食行为、嗜好、胰岛素敏感性以及社会心理因素相互作用有关。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">只有极少数肥胖属于单基因突变肥胖病，包括瘦素基因、瘦素受体（leptin receptor，LEPR）基因、阿片黑素皮质素原基因（POMC）、激素原转酶基因（PCI/PCSKI）、黑皮质素受体4基因（MC4R）、TrkB基因等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">瘦素（leptin）是肥胖基因所编码的蛋白质，为脂肪细胞所合成和分泌的一种激素。肥胖基因的证实及其编码蛋白质———瘦素的发现对能量代谢及肥胖发生机制的研究有着十分重要的影响。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早在1958年Hervey等首次证实体内存在一种调节体重和体脂的激素，它主要通过下丘脑的摄食中枢起作用。应用联体鼠为观察对象，将其中一头的下丘脑的腹正中核内侧模（VMH）破坏，引起肥胖，肥胖可促使这一调节体重激素的分泌，但该鼠下丘脑这一中间环节受损，故失去减脂作用，而另一头鼠则受此激素（通过血循环）作用，获得饱食信号，表现为厌食和减脂。1994年已有一些关于肥胖基因的报道，证实ob/ob鼠中肥胖（ob）基因呈突变形式，且为纯合子。小鼠的肥胖基因编码的脂肪组织mRNA，此肥胖基因决定瘦素的合成，由于基因的突变，ob/ob鼠缺如瘦素，遂致肥胖。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">分子生物学：在摄食等因素的刺激下，脂肪组织分泌瘦素，有两条作用途径：其一是作用于下丘脑的摄食中枢，产生饱胀感，从而抑制摄食行为；其二是作用于广泛分布于其他组织如肝脏、脑组织、肺、肾脏、睾丸和脂肪组织上的瘦素受体，使其活性增加，能耗骤增。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在肥胖的实验动物中其肥胖的遗传机制不尽相同。ob/ob小鼠由于ob基因突变，为纯合子，从而阻止ob mRNA的合成，使瘦素绝对缺乏。fa/fa大鼠的遗传缺陷与其相似，但尚有瘦素受体的基因突变；db/db小鼠的缺陷主要为瘦素受体的转录异常，遂致瘦素作用不足。瘦素绝对缺乏可应用外源性重组瘦素使肥胖动物的体重明显下降，这类肥胖鼠经瘦素治疗后不但表现为食欲减退及进食减少，而且与产热增加和活动增加有关。db/db小鼠则对瘦素治疗不敏感，需应用大剂量瘦素方能奏效。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在人类肥胖中，仅约5%可能存在ob基因的合成异常，这部分患者表现为瘦素绝对缺乏，余95%主要异常为内源性瘦素抵抗、瘦素受体及受体后异常。有人研究500名不同体重的人的体脂与血清瘦素水平的关系，结果表明两者存在着极强的正相关关系，即体脂量高者，其血清瘦素亦相应升高，血清瘦素浓度可反映体脂量。此表明大多数人类肥胖者因瘦素受体及受体后障碍致使瘦素分泌呈继发性升高，此点有些类同于2型糖尿病。瘦素的功能一般认为系能量代谢的信号：①作为下丘脑摄食中枢的一个重要调节因素，影响其进食；②作为调节机体能量消耗水平的因素，此不致因进食稍多而致体重明显增加。当能量处于相对平衡时，瘦素水平可反映体脂量。当能量出现负平衡时，血清瘦素显著减少，从而减少能量消耗；当体重增加时，则瘦素骤升，从而促使能量消耗增加，使体重有所回落。肥胖者存在瘦素抵抗，可能与瘦素转运至中枢系统障碍或受体后的缺陷有关。</p><p>2.神经精神因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">已知人类与多种动物的下丘脑中存在两对与摄食行为有关的神经核。一对为腹内侧核（VMH），又称饱中枢；另一对为腹外侧核（LHA），又称饥中枢。饱中枢兴奋时有饱感而拒食，破坏时则食欲大增；饥中枢兴奋时食欲旺盛，破坏时则厌食拒食。二者相互调节，相互制约，在生理条件下处于动态平衡状态，使食欲调节于正常范围而维持正常体重。当下丘脑发生病变时，不论属于炎症的后遗症（如脑膜炎、脑炎后）、创伤、肿瘤及其他病理变化时，如腹内侧核破坏，则腹外侧核功能相对亢进而贪食无厌，引起肥胖。反之，当腹外侧核破坏则腹内侧核功能相对亢进而厌食，引起消瘦。另外，该区与更高级神经组织有着密切的解剖联系，后者对摄食中枢也可进行一定程度的调控。下丘脑处血-脑屏障作用相对薄弱，这一解剖上的特点使血液中多种生物活性因子易于向该处移行，从而对摄食行为产生影响。这些因子包括：葡萄糖、游离脂肪酸、去甲肾上腺素、多巴胺、5-羟色胺、胰岛素等。此外，精神因素常影响食欲，食饵中枢的功能受制于精神状态，当精神过度紧张而交感神经兴奋或肾上腺素能神经受刺激时（尤其是α受体占优势），食欲受抑制；当迷走神经兴奋而胰岛素分泌增多时，食欲常亢进。研究证实，刺激下丘脑腹外侧核促使胰岛素分泌，故食欲亢进；刺激腹内侧核则抑制胰岛素分泌并加强胰高血糖素分泌，故食欲减退。腹内侧核为交感神经中枢，腹外侧核为副交感神经中枢，二者在本症发病机制中起重要作用。</p><p>3.高胰岛素血症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年来高胰岛素血症在肥胖发病中的作用引人注目。肥胖常与高胰岛素血症并存，两者的因果关系有待进一步探讨，但一般认为系高胰岛素血症引起肥胖。高胰岛素血症性肥胖者的胰岛素释放量约为正常人的3倍。动物研究表明，应用链脲佐菌素注射所致的糖尿病鼠，其自身胰岛素分泌功能丧失，若予以胰腺移植，即使破坏VMH，由于不存在高胰岛素血症，故不发生肥胖。由此推测，胰岛素在肥胖发病中起着重要的代谢作用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰岛素有显著的促进脂肪蓄积的作用，有人认为，胰岛素可作为总体脂量的一个指标，并在一定意义上可作为肥胖的监测因子。更有人认为，血浆胰岛素浓度与总体脂量呈显著的正相关。胰岛素的促进体脂增加的作用是通过以下环节起作用的：①促进葡萄糖进入细胞内，进而合成中性脂肪；②抑制脂肪细胞中的脂肪动用。应该指出，部分肥胖者并不存在高胰岛素血症，推测肥胖的病因是多方面的。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">过度摄食和高胰岛素血症并存常常是肥胖发生和维持的重要因素。</p><p>4.褐色脂肪组织异常</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">褐色脂肪组织是近年来才被发现的一种脂肪组织，与主要分布于皮下及内脏周围的白色脂肪组织相对应。褐色脂肪组织分布范围有限，仅分布于肩胛间、颈背部、腋窝部、纵隔及肾周围，其组织外观呈浅褐色，细胞体积变化相对较小。白色脂肪组织是一种贮能形式，机体将过剩的能量以中性脂肪形式贮藏于其间，机体需能时，脂肪细胞内中性脂肪分解动用。白色脂肪细胞体积随释能和贮能变化较大。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">线粒体解耦联蛋白（uncoupling protein，UCP）是位于线粒体内膜的一种质子转运载体，参与线粒体呼吸过程的解耦联，使呼吸过程中产生的质子所带有的能量不产生ATP而以热能形式释放，产热程度与UCP活性有关。UCP主要有三种，UCP主要在褐色脂肪中表达。褐色脂肪组织在功能上是一种产热器官，即当机体摄食或受寒冷刺激时，褐色脂肪细胞内脂肪燃烧，从而决定机体的能量代谢水平。以上两种情况分别称之为摄食诱导产热和寒冷诱导产热。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">为适应以上功能需要，褐色脂肪细胞在组织结构形态上有其特殊之处。细胞内含有大量中性脂肪小滴，并富含线粒体，细胞间有丰富的毛细血管和大量交感神经末梢纤维，如此组成了一套完整的产热系统。褐色脂肪细胞产热多少，主要取决于线粒体内膜上的一种有调节质子跨越内膜作用的特殊蛋白质———产热素的多少，有人认为，此种特殊蛋白质的活性直接决定机体产热功能的水平。当然，此特殊蛋白质的功能又受多种因素的影响。由此可见，褐色脂肪组织这一产热组织直接参与体内热量的总调节，将体内多余热量向体外散发，使机体能量代谢趋于平衡。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>肾上腺素能受体基因编码的G蛋白耦联受体，主要分布于脂肪组织，尤其在腹腔内脂肪组织中表达，该基因变异与BMI和腹腔内脂肪积蓄有关。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有人在肥胖实验动物研究中，探讨了肥胖及消瘦与褐色脂肪组织之间的关系。下丘脑室旁核遭破坏的下丘脑性肥胖、遗传性肥胖、内分泌性肥胖（卵巢摘除术后）和饮食性肥胖动物，其褐色脂肪细胞功能低下；相反，消瘦性动物（下丘脑外侧部遭破坏的S5B/P1鼠）褐色脂肪细胞功能亢进。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年来有关人类肥胖者褐色脂肪组织的研究提示确实可以观察到部分产热功能障碍性肥胖的患者。</p><p>5.其他</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此外，进食过多可通过对小肠的刺激产生过多的肠抑胃肽（GIP），GIP刺激胰岛β细胞释放胰岛素。在垂体功能低下，特别是生长激素减少、促性腺激素及促甲状腺激素减少引起的性腺、甲状腺功能低下可发生特殊类型的肥胖症，可能与脂肪动员减少、合成相对增多有关。临床上肥胖以女性为多，特别是经产妇、绝经期或口服避孕药者易发生，提示雌激素与脂肪合成代谢有关。肾上腺皮质功能亢进时，皮质醇分泌增多，促进糖原异生，血糖增高，刺激胰岛素分泌增多，于是脂肪合成增多，而皮质醇促进脂肪分解，由于全身不同部位的脂肪组织对皮质醇和胰岛素的敏感性可能不同，四肢对皮质醇的动员脂肪作用较面颈部和躯干部敏感，而对胰岛素的脂肪合成较不敏感，使四肢的脂肪组织动员分解而再沉积于躯干部从而形成典型的向心性肥胖。性腺功能低下时，不论是女性绝经期后、男性类无睾或无睾症患者均有肥胖表现，可能与脂肪代谢紊乱有关。总之，激素是调节脂肪代谢的重要因素，尤其是甘油三酯的合成和动员分解，均由激素通过对酶的调节而决定其增减动向，其中胰岛素及前列腺素E<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>是促进脂肪合成及抑制分解的主要激素；邻苯二酚胺类、胰高血糖素、ACTH、MSH、TSH、GH、ADH及糖类肾上腺皮质激素，为促进脂肪分解而抑制合成的激素，如前者分泌过多，后者分泌减少，可引起脂肪合成增多，超过分解而发生肥胖。此组内分泌因素与继发性肥胖症的关系更为密切。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">总之，关于体脂与能量代谢的分子调控有了较长进展。调控网络中的某一环节或数个环节的障碍可引起肥胖。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">调控过程大致如下：脂肪细胞内甘油三酯储积增加，脂肪细胞体积增大→瘦素分泌增加→与下丘脑相应受体结合→POMC合成增多→α-黑色素细胞刺激素（α-MSH）增加→作用于黑色素受体4（MC4R）→交感神经分泌儿茶酚胺（肾上腺素及去甲肾上腺素）增加→作用于脂肪细胞肾上腺素能受体→甘油三酯分解→脂肪细胞体积缩小。当脂肪细胞内甘油三酯体积减小、细胞体积缩小→瘦素分泌减少→下丘脑瘦素受体传入信号下降→NPY合成分泌增加→作用于NPYIR，NPY5R→副交感传入信号增加→进食，胰岛素分泌增加→脂肪量增加。</p><p>（二）外因</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">以饮食过多而活动过少为主（前已述）。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4714', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1297', '临床表现与病理生理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肥胖症的临床表现随不同病因而异，继发性肥胖者除肥胖外具有原发病症状。下面以单纯性肥胖症重点阐述。此组病症可见于任何年龄，幼年型者自幼肥胖；成年型者多起病于20～25岁；但临床以40～50岁的中壮年女性为多，60～70岁以上的老年人亦不少见。男性脂肪分布以颈项部、躯干部和头部为主，而女性则以腹部、下腹部、胸部、乳房及臀部为主；轻度肥胖者常无症状，中、重度肥胖者可有下列综合征：</p><p>（一）肺泡低换气综合征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">又称为Pick-Wickian综合征。由于大量脂肪堆积于体内，体重过增，活动时须消耗能量，耗氧量亦增多，故肥胖者一般不喜运动，活动少而嗜睡，稍多活动或体力劳动后易疲乏无力，肥胖者总摄氧量增加，但按单位体表面积计算则比正常低。患者胸腹部脂肪较多时，腹壁增厚，横膈抬高，换气困难，故有CO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>潴留，PCO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>常超过48mmHg而缺氧，以致气促，甚至发生继发性红细胞增多症、肺动脉高压，形成慢性肺心病而心力衰竭，如体重减轻后可恢复。平时由于缺氧倾向与CO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>潴留，呈倦怠嗜睡状。</p><p>（二）心血管系统综合征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">重度肥胖者可能由于脂肪组织中血管增多，有效循环血容量、每搏输出量、心输出量及心脏负担均增高，有时伴有高血压、动脉粥样硬化，进一步加重心脏负担，引起左心室肥大，同时心肌内、外有脂肪沉着，更易引起心肌劳损，以致左心扩大与左心衰竭。加之上述肺泡低换气综合征，偶见骤然死亡者。周围循环阻力一般正常或偏低，每单位体重供血量也减低，肥胖减轻后上述症状亦可减轻或恢复。</p><p>（三）内分泌代谢紊乱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">空腹及餐后血浆胰岛素增高，基值可达30μU/ml，餐后可达300μU/ml，明显高于正常人。患者既具有高胰岛素血症、C肽分泌增加，同时又存在胰岛素抵抗（肥大脂肪细胞对胰岛素不敏感，胰岛素受体数减少），造成糖耐量减低或糖尿病。总脂、胆固醇、甘油三酯及游离脂肪酸常增高，呈高脂血症及高脂蛋白血症，成为动脉粥样硬化、冠心病、胆石症等病的基础。肥胖者血浆总蛋白、白蛋白、球蛋白通常在正常范围，某些氨基酸可增加，如精氨酸、亮氨酸、异亮氨酸、酪氨酸、苯丙氨酸等，这样血糖和血浆氨基酸的增高形成刺激胰岛β细胞的恶性循环，于是肥胖加重。甲状腺功能一般正常，过食时T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>增加，节食时减少，而T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>则无变化。少部分患者（文献报道2%～18%）吸<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">131</span>I率减低，但用TRH刺激后，TSH和T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>释放正常，说明下丘脑、垂体、甲状腺轴尚正常。肥胖者T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>受体减少，可能是产热减少之故，体重减轻后可恢复。血中皮质醇及24小时尿17羟类固醇、17酮类固醇可偏高，但地塞米松抑制试验大致正常或可抑制，昼夜规律存在，说明肾上腺皮质功能正常而前述变化由于肥胖所致。在低血糖及精氨酸刺激下，生长激素（GH）分泌迟钝。肥胖者GH浓度在不同年龄组有所不同，25岁以下者较正常人低，与体重呈负相关，30岁以上者与正常人相同。尽管肥胖青少年GH分泌减少，但并无生长障碍，因生长介质正常。女性肥胖者多闭经不育，说明性腺功能异常，有时有多囊卵巢伴月经量少或闭经、多毛、男性化等症群。男性肥胖者性激素改变较明显，雌激素增多而雄激素减少，多有阳痿、不育、类无睾症。</p><p>（四）消化系统综合征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胃纳多亢进，善饥多食，便秘、腹胀较常见。肥胖者可有不同程度的肝脂肪变性而肿大，伴胆石症者有慢性消化不良、胆绞痛发作史。</p><p>（五）其他 肥</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胖者嘌呤代谢异常，血浆尿酸增加，使痛风的发病率明显高于正常人，伴冠心病者有心绞痛发作史。患者皮肤上可有淡紫纹或白纹，分布于臀外侧、大腿内侧、膝关节、下腹部等处，皱褶处易磨损，引起皮炎、皮癣，乃至擦烂。平时汗多怕热、抵抗力较低而易感染。</p><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">诊断与鉴别诊断</h6><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据体征及体重即可诊断。首先必须根据患者的年龄及身高查出标准体重（见人体标准体重表），或以下列公式计算：标准体重（kg）＝［身高（cm）-100］×0.9，如果患者实际体重超过标准体重20%即可诊断为肥胖症，但必须排除由于肌肉发达或水分潴留因素。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床上除根据体征及体重外，可采用下列方法诊断：</p><p>（一）间接体脂测定</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.标准表格法 据正常人体标准体重表，凡体重等于或超过标准体重20%者可考虑为肥胖，若能排除水肿及肌肉过度发达者，则可诊断。此法不甚精确，已较少应用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.体质指数（BMI） 此法较为简便、实用，临床上应用较广泛。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">BMI＝体重（kg）/身高<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>（m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>），单位为kg/m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1997年WHO制定的成人BMI的分级标准见表14-6-1，沿用至今。但是大量研究结果提示亚洲人与欧洲人相比在相对较低的BMI水平已经开始出现肥胖相关疾病发病危险的增加。在不同的亚洲人种中，BMI 22～25kg/ m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>时就可观察到危险增加，在26～31kg/m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>发病危险明显增加。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 13.3333px;\">表14-6-1　WHO成年人BMI分级标准（1997年）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180516-1526459991133059299.jpg\" title=\"1526459991133059299.jpg\" alt=\"表14-6-1　WHO成年人BMI分级标准（1997年）.jpg\"/></p><p><span style=\"font-size: 12px;\">3.皮肤皱褶卡钳测量皮下脂肪厚度 人体脂肪总量的1/2～2/3贮于皮下，所以测量其皮下脂肪厚度有一定的代表性，且测量简便、可重复。常用测量部位为三角肌外皮脂厚度及肩胛角下。成人两处相加，男性≥4cm，女性≥5cm即可诊断为肥胖。如能多处测量则更可靠。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.X线片估计皮下脂肪厚度 腹部CT和MRI有助于腹部皮下脂肪和腹腔内脂肪量的评估。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.腰围及腰臀围比（W/H）由于体脂分布不一定均匀，腰围主要反映腹部脂肪量，后者又常含一定程度内脏含脂量。WHO建议男性腰围＞94cm，女性＞80cm，可视为肥胖。中国人的肥胖指标为，男性＞90cm，女性＞80cm，腰臀围比也可用于评估腹型肥胖。亚洲人比值相对要低些，男性W/H＞0.95，女性W/H＞0.85。</p><p>（二）直接体脂测量</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">直接体脂测量的方法有多种：如体密度测量、体总水量估计法和总体钾量测定法等，但均有价格昂贵、不易操作等特点。目前在医院内常用的是生物电阻抗法（BIA）和双能X线吸收法（DEXA）。生物电阻抗法（BIA）通过测定人体的电阻间接估算体脂含量。双能X线吸收法（DEXA）通过测定X线衰减程度计算脂肪组织的含量。而最直接的体脂测定方法为体内中子活化法（in vivo neutron activation analysis，IVNAA），这种方法直接分析身体中各种化学成分的含量，但价格昂贵，仅少数实验室使用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肥胖症确定后可结合病史、体征及实验室资料等，鉴别属单纯性或继发性肥胖症。如有高血压、向心性肥胖、紫纹、闭经等伴血、尿皮质醇或尿17羟类固醇偏高者，则应考虑为皮质醇增多症，宜进行小剂量地塞米松抑制试验等以鉴别。代谢率偏低者宜进一步检查T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>、T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>及TSH等甲状腺功能试验，以明确是否有甲状腺功能减退症。有腺垂体功能低下或伴有下丘脑综合征者宜进行垂体及靶腺内分泌试验，检查视野、视力等，必要时须做头颅（鞍区）CT或MRI检查等，蝶鞍扩大者应考虑垂体瘤并除外空蝶鞍综合征。闭经、不育、有男性化者应除外多囊卵巢。无明显内分泌紊乱，午后脚肿、早晨减轻者应除外水、钠潴留性肥胖症，立卧位水试验颇有帮助。此外，常须注意是否有糖尿病、冠心病、动脉粥样硬化、痛风、胆石症等伴随病。至于其他类型少见的肥胖症，可结合其临床特点分析判断。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4715', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1297', '防治', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肥胖症预防较治疗易奏效且重要。特别是有肥胖家族史者应从小注意，妇女产后及绝经期、男性中年以上或病后恢复期，应预防肥胖，其方法是适当控制进食量，避免高糖、高脂肪及高热量饮食，经常进行体力劳动和锻炼（病后恢复期者应在医师指导下进行）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">治疗肥胖症以控制饮食及增加体力活动为主，必要时辅以药物治疗。不能仅靠药物，长期服药不免发生副作用，且未必能持久见效。继发性肥胖症主要为病因治疗。必须使患者明确肥胖的危害性，自觉地长期坚持饮食控制及体育锻炼，儿童少年控制饮食时必须考虑满足其生长发育所需，尽量避免用药物减肥。具体方案视病情需要而异。肥胖从根本上讲应养成良好科学的生活方式，并终生维持之。</p><p>（一）饮食治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">饮食疗法的原则在于限制每日摄入的总热量，使其低于消耗量。对于多数肥胖者，减少摄入和增加体力活动相比更易达到能量负平衡。饮食疗法可根据能量的限制程度，将其分为绝食疗法、极低能量疗法和低能量疗法。极低能量饮食每日摄取能量在3360kJ（800kcal）以下，约1680～2520kJ（400～600kcal），低热量饮食每日摄取能量3360～6300kJ（800～1500kcal）左右。绝食疗法目前很少采用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于大多数肥胖者而言，如能坚持较既往摄入量减少420kJ/d（100kcal/d）的计划饮食，1年后可明显减重。轻度肥胖者如能使体重每月减轻500～1000g而渐渐达到正常标准体重，不必用药物治疗。积极的减肥建议每天减少2100kJ/d（500kcal/d）总热量，女性患者一般要求限制进食量在4200～5040kJ/d（1000～1200kcal/d），男性应控制在5040～6720kJ/d（1200～1600kcal/d）。每周可望减重0.45～0.9kg。食物中宜保证适量含必需氨基酸的动物性蛋白（占总蛋白量的三分之一较为合适），蛋白质摄入量每日每千克体重不少于1g，脂肪摄入量应严格限制，无论是动物性脂肪（含饱和脂肪酸）或植物性脂肪（含人体所必需的不饱和脂肪酸）均应加以限制，特别是动物性脂肪。同时应限制钠的摄入，以免体重减轻时发生水钠潴留，并对降低血压及减少食欲也有好处。如经以上饮食控制数周体重仍不能降低者，可将每日总热量减至3360～5040kJ/d（800～1200kcal/d），但热量过少，患者易感疲乏软弱、畏寒乏力、精神萎靡等，必须严密观察。随着体重的下降，由于代谢率的下降，减重速度可能放缓。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">极低能量饮食仅适合于少数特别肥胖患者在减肥计划初期1～2月短期应用，饮食中应包含均衡的碳水化合物、蛋白质、脂肪、维生素和微量元素等。应注意妊娠、严重心脑血管疾病、肝病、精神疾病等为禁忌。单纯使用极低热量饮食不如低热量饮食配合运动疗法及行为疗法等综合治疗疗效持久可靠。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">单纯改善饮食中的营养素配比而不减少摄入的总热量很难达到减重目的。掌握食物热量的计算、得到定期的鼓励和提醒、寻找同伴互相监督均有助于饮食疗法的长期坚持。</p><p>（二）运动疗法</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">运动疗法和饮食疗法一样，也是肥胖的基础治疗。运动疗法更重要的意义在于减肥成果的巩固和维持。运动形式有两种基本形式，即全身运动和增强肌力的静态运动。前者有促进体脂动用、增加肌组织血流量和增强心肺功能的作用。后者则有增强肌力，防止瘦组织块丢失，提高末梢组织对胰岛素敏感性的作用。运动量以运动强度和运动持续时间的乘积来表示，具体运动量设计可按以下步骤：日常生活调查→计算一日消耗能量→将其总量的10%作为日运动量→转换成具体运动种类及时间→根据疗效及反应调整。使用计步器等工具可使患者直接量化运动量的增加程度；调整生活方式，将某种形式的运动固化为日常生活的必需环节，例如电梯少坐一层楼或上下班早一站路下车等均有助于运动疗法的长期坚持。</p><p>（三）药物治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">当BMI＞27kg/m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>，饮食及运动疗法未能奏效时，可采用药物辅助治疗，药物作为综合减肥计划的一部分。使用药物治疗之前应当至少先尝试2～4周的饮食和运动治疗。服用药物后应当坚持定期随访。单纯的药物治疗不仅很难达到长期的减重效果，而且副作用大。服药的同时万不可停止其他综合减肥措施。有的减重药物已较成熟，有的尚处研究开发阶段，下面分述之。</p><p>1.食欲抑制剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">西布曲明（sibutramine）的药理作用是可抑制去甲肾上腺素和5-羟色胺的再摄取，增强生理性饱胀感，从而减少能量的摄入；另外尚可增加能量消耗。副作用可见轻度急躁、失眠、血压轻微增高及心率加快等。因有肺动脉高压及心脏瓣膜反流等不良反应，现已退出医疗市场。</p><p>2.消化吸收阻断药（1）脂肪吸收阻断药：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此类药物中代表性药物为奥利司他（xenical，orlistat），系胰脂肪酶抑制剂，能阻止脂肪分解吸收。</p><p>（2）α-葡萄糖苷酶抑制剂：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此类药物中代表性药物为阿卡波糖。这类药物可竞争性抑制葡萄糖苷酶，降低多糖及双糖分解生成葡萄糖，从而降低碳水化合物的吸收，服用后体质指数也可能有一定程度的下降。</p><p>（3）胃排空抑制药：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此类药物通过抑制胃排空，从而影响消化吸收，并通过增加胃肠道激素分泌，增强饱感而减少食物摄入。</p><p>3.代谢刺激剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">通过增高代谢率降低体重。处于研发阶段的药物如β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>肾上腺素能受体激动剂对β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>肾上腺素能受体具有高度选择性，促进体脂分解。大多数的研究表明它具有较理想的减肥效果，有明显的增加能量支出、防止体重下降过程中代谢率降低的作用。</p><p>4.胃肠道神经通路介质</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胆囊收缩素（CCK）、胰高血糖素和胰高血糖素样多肽-1（GLP-1）。GLP-1能够延缓胃排空，抑制胰高血糖素分泌，刺激胰岛素分泌，增强胰岛素的敏感性，起到降糖和增加饱腹感作用。GLP-1进入人体后，可被广泛存在的二肽基肽酶-Ⅳ（DPP-Ⅳ）快速降解，半衰期仅为1～2分钟。GLP-1类似物和DPP-Ⅳ抑制剂的问世使GLP-1得以应用于临床。DPP-Ⅳ抑制剂可以阻断内源性GLP-1的降解从而增强GLP-1的作用。GLP-1类似物则对GLP-1进行结构修饰，使其不易被DPP-Ⅳ降解。</p><p>5.其他</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有减肥作用的辅助药物尚有二甲双胍等。</p><p>（四）手术治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于极度肥胖、反复采用其他治疗手段失败的患者在一定条件下可谨慎地考虑手术治疗。垂直捆绑胃成形术和Roux-en-Y胃旁路术是目前认为比较可行的手术治疗肥胖症的方法。但手术治疗也必须与饮食、运动等手段相结合，须在术后进行密切随访。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">中国肥胖病外科治疗指南建议的手术适应证为：有以下①～③之一者，同时具备④～⑦情况的，可考虑行外科手术治疗：①确认出现与单纯脂肪过剩相关的代谢紊乱综合征，如2型糖尿病、心血管疾病、脂肪肝、脂代谢紊乱、睡眠呼吸暂停综合征等，且预测减重可以有效治疗。②腰围：男≥90cm，女≥80cm；血脂紊乱：甘油三酯≥1.70mmol/L；和（或）空腹血高密度脂蛋白胆固醇：男性＜0.9mmol/L，女性＜1.0mmol/L。③连续5年以上稳定或稳定增加的体重，BMI≥32kg/m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>。④年龄16～65岁。65岁以上者，由于肥胖相关的并发症顽固且复杂，应根据术前各项检查权衡手术利弊，再决定手术与否。16岁以下青少年患者要综合考虑肥胖程度、对学习和生活的影响，以及是否有家族遗传性肥胖病史、本人意愿。⑤经非手术治疗疗效不佳或不能耐受者。⑥无酒精或药物依赖性，无严重的精神障碍、智力障碍。⑦患者了解减肥手术术式，理解和接受手术潜在的并发症风险；理解术后生活方式、饮食习惯改变对术后恢复的重要性并有承受能力，能积极配合术后随访。反之则不建议行手术治疗。</p><p>（五）行为疗法</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">行为疗法的目的和要点是激发患者的治疗欲望，使之进入治疗状态。开始治疗前医生应了解患者的减肥经历与结果，掌握其体重的变化及对减肥的认识。帮助患者明确减肥的目的，了解减肥可带来的对全身各器官系统的好处。体重减轻百分之十并长期维持就可达到一定程度改善肥胖带来的合并症的目标，应避免对减重幅度的过高要求。肥胖患者记录饮食、运动、服药及体重变化可起到自我监督作用。在患者配合治疗时可给予除食物以外的奖励，从而使患者良好的行为得以强化。如有可能还应寻求家庭和社会的监督和支持。行为疗法结合饮食运动疗法尤为适合青少年肥胖人群。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4724', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '495', '概述', '<p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">血脂异常症（dyslipidemia）是指血浆脂蛋白紊乱血症（dyslipoproteinemia），是脂质代谢障碍的表现，属于代谢性疾病，其对健康的危害主要是导致心血管疾病，包括冠心病及其他动脉粥样硬化性疾病。</span></p><p style=\"text-align: right;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</span></span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4725', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '495', '血脂、载脂蛋白和脂蛋白', '<p>（一）血脂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血脂是血浆所含脂类的统称。包括脂肪（甘油三酯）和类脂（磷脂、胆固醇及其酯）。脂类广泛存在于人体中，是细胞基础代谢的必需物质。血脂有两个来源：外源性由食物通过消化吸收进入血液；内源性由肝、脂肪细胞以及其他组织合成后释放入血。血脂含量受性别、年龄、饮食以及代谢等多种因素影响。脂质中与临床关系密切的主要成分是胆固醇和甘油三酯。</p><p>（二）载脂蛋白</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血浆中的甘油三酯和胆固醇都是疏水性物质，不能直接在血液中被转运，也不能直接进入组织细胞中。必须与血液中的载脂蛋白和极性类脂（如磷脂）组成亲水性分子才能在血液中被运输，并进入组织细胞。目前已发现20多种载脂蛋白，根据Alaupovic提出的ABC分类法，载脂蛋白可分为apo A、B、C、D、E。每一型载脂蛋白根据氨基酸组成的差异又可分成若干亚型，例如：apo A可分为AⅠ、AⅡ、AⅣ；apo B可分为B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">48</span>、B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">100</span>；apo C可分为CⅠ、CⅡ、CⅢ；apo E可分为EⅠ、EⅢ等。载脂蛋白除了作为脂类转运的载体外，还作为配体参与脂蛋白与细胞膜受体的识别和结合反应以及参与酶活动的调节。</p><p>（三）脂蛋白</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">成熟的脂蛋白为球形颗粒，由疏水性的内核（含胆固醇和甘油三酯）和亲水性的外壳（含磷脂、游离胆固醇和载脂蛋白）组成，脂蛋白绝大多数在肝脏和小肠组织中合成，并在肝脏进行分解代谢。应用超速离心法可将血浆脂蛋白分为：乳糜微粒（chylomicron，CM）、极低密度脂蛋白（very low density lipoprotein，VLDL）、中间密度脂蛋白（intermediate density lipoprotein，IDL）、低密度脂蛋白（low density lipoprotein，LDL）和高密度脂蛋白（high density lipoprotein，HDL）以及脂蛋白（a）［lipoprotein（a），Lp（a）］。各类脂蛋白的物理特性、主要成分、来源和功能列于表14-9-1。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 13.3333px;\"></span><span style=\"font-size: 13.3333px;\">表14-9-1　血浆脂蛋白的特性及功能</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 13.3333px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180516-1526461702189020856.jpg\" title=\"1526461702189020856.jpg\" alt=\"表14-9-1　血浆脂蛋白的特性及功能.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 997px; table-layout: fixed;\"/></span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 13.3333px; text-align: center;\">续表</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180516-1526461750472010954.jpg\" title=\"1526461750472010954.jpg\" alt=\"表14-9-1　血浆脂蛋白的特性及功能续表.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1018px; table-layout: fixed;\"/></p><p><span style=\"font-size: 12px;\">1.CM</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">来源于食物脂肪，是血液中颗粒最大的脂蛋白，含外源性TG近90%，因而其密度最低。主要转运食物中的胆固醇和甘油三酯。正常人空腹12小时后采血，血清中无CM。餐后及某些病理状态下血液中含有大量CM，因其散射光线而使血液外观混浊。如将含有CM的血液于4℃静置过夜，CM会漂浮于血清表面呈奶油状，此为检查有无CM存在的简便方法。</p><p>2.VLDL</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要由肝脏合成，小肠黏膜细胞可生成少量VLDL。VLDL含内源性甘油三酯55%，胆固醇20%，磷脂15%，蛋白质10%。与CM统称为富含TG的脂蛋白。在不存在CM的血清中，TG水平主要反映VLDL的多少。由于VLDL分子比CM小，空腹12小时的血清呈清亮透明，当空腹血清TG水平＞3.39mmol/L（300mg/dl）时，血清才呈乳状光泽直至混浊。</p><p>3.IDL</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">VLDL向LDL转化过程中的中间代谢产物。</p><p>4.LDL</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由VLDL转化而来，含胆固醇40%、游离胆固醇10%、甘油三酯6%、磷脂20%、蛋白质24%，是血液中胆固醇含量最多的脂蛋白，故称为富含胆固醇的脂蛋白。血液中约60%的胆固醇存在于LDL内。由于LDL颗粒小，即使LDL-C的浓度很高，血清也不会混浊。根据颗粒的大小和密度可将LDL分成不同的亚组分。其中由于高密度小颗粒LDL（小而密LDL）更易被氧化，与LDL受体亲和力较低，分解代谢率较低，并且所含不饱和脂肪酸浓度较高，因此较密度较低的大颗粒LDL更易与动脉壁上的糖蛋白相互作用而具有致动脉粥样硬化性。LDL将胆固醇运送至外周组织，大多数LDL由肝细胞和肝外的LDL受体进行分解代谢。</p><p>5.HDL</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要由肝脏和小肠合成。是颗粒最小的脂蛋白，其中脂质和蛋白质几乎各占一半。HDL是一类异质性的脂蛋白，由于HDL颗粒中所含脂质、载脂蛋白、酶和脂质转运蛋白的量和质的不同，采用不同的分离方法，可将HDL分为不同的亚组分。HDL将胆固醇从周围组织（包括动脉粥样硬化斑块）转运至肝脏进行再循环或以胆酸的形式排泄，此过程称为胆固醇逆转运。</p><p>6.Lp（a）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">利用免疫方法发现的一类特殊的脂蛋白。Lp（a）的脂质成分类似于LDL，但其所含的载脂蛋白部分除一分子apo B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">100</span>外，还含有另一分子apo（a）。有关Lp（a）合成和分解代谢的机制目前了解尚少。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4726', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '495', '脂蛋白的代谢', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">正常脂蛋白代谢是由脂蛋白、脂蛋白受体、代谢酶和脂质转运蛋白共同参与完成。代谢过程可分为外源性和内源性两条途径。</p><p>（一）脂蛋白受体</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是一类跨细胞膜的糖蛋白，能与相应的脂蛋白配体（载脂蛋白）结合，介导细胞对脂蛋白的摄取和代谢。受体与脂蛋白的结合是胆固醇代谢的主要途径。迄今为止报道的脂蛋白受体已有多种，研究最详尽的是LDL受体，其次是清道夫受体和VLDL受体，其他的脂蛋白受体还有LDL受体相关蛋白（LRP）等，脂蛋白受体基本结构相似，但功能各异。</p><p>1.低密度脂蛋白（LDL）受体</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">广泛分布于肝、动脉壁平滑肌细胞、肾上腺皮质细胞、血管内皮细胞、淋巴细胞、单核细胞和巨噬细胞等，主要与LDL结合，还可以与VLDL、β-VLDL和LDL残粒等结合，其识别的配体是apo B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">100</span>、apo E（apo B/apo E受体、BE受体）。LDL受体和脂蛋白的结合可以使细胞从摄取的脂蛋白中获得脂质（主要是胆固醇），此代谢过程称为LDL受体途径。LDL受体的合成受细胞内胆固醇水平的负反馈调节。LDL受体的变异可表现为细胞膜上LDL受体的缺失、明显减少、结合力降低，导致脂代谢紊乱、血浆胆固醇水平升高，在临床上表现为遗传性家族性高胆固醇血症。</p><p>2.极低密度脂蛋白（VLDL）受体</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">其结构与LDL受体相似，主要存在于代谢活跃的骨骼肌、心肌、脂肪和大脑等组织中，VLDL受体仅对含apo E的脂蛋白VLDL、β-VLDL和LDL残粒有高亲和力，对LDL则显著低亲和力，主要清除血液循环中的CM微粒和β-VLDL残粒。VLDL受体合成不受LDL的影响。</p><p>3.清道夫受体</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">分布于胎盘、肝、脾等单核-吞噬细胞系统。在单核细胞分?化而来的巨噬细胞侵入内皮下的过程中亦可见此受体。清道夫受体的配体广泛，包括：乙酰化或氧化等修饰的LDL、多聚次黄嘌呤核苷酸、多聚鸟嘌呤核苷酸、硫酸右旋糖酐等多糖、丝氨酸磷脂等某些磷脂、细菌脂多糖（如内毒素），其配体的共同特点是多阴离子化合物。在LDL被巨噬细胞、血管内皮细胞和平滑肌细胞氧化成氧化LDL后可通过清道夫受体被巨噬细胞摄取而形成泡沫细胞。由此推测巨噬细胞通过清道夫受体清除细胞外液中的修饰LDL，尤其是氧化LDL。是机体的一种防御功能。</p><p>4.低密度脂蛋白受体相关蛋白（LRP）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">与富含apo E的乳糜微粒残粒具有高度亲和力。可通过与脂蛋白脂酶和肝脂酶之间的相互作用调节肝细胞对脂蛋白残粒的结合和摄取。</p><p>（二）脂蛋白代谢中的有关酶类和特殊蛋白质</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">脂蛋白的代谢过程中需要许多代谢酶的参与，起到代谢调节作用。脂蛋白代谢中的关键酶包括：脂蛋白脂酶（LPL）、肝脂酶（HL）、卵磷脂胆固醇酰基转移酶（LCAT）和脂质转运蛋白（LTP）等。</p><p>1.脂蛋白脂酶（lipoprotein lipase，LPL）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是脂肪细胞、心肌细胞、骨骼肌细胞、乳腺细胞以及巨噬细胞等实质细胞合成和分泌的一种糖蛋白。LPL催化CM和VLDL核心中TG分解为脂肪酸和单酸甘油酯，以供组织氧化供能和储存。LPL还参与VLDL和HDL之间载脂蛋白和磷脂的转换。apo CⅡ是LPL必备的辅因子，apo CⅡ缺乏可使酶活力大为降低。LPL的变异可导致高甘油三酯血症。在胰岛素缺乏的糖尿病患者中，由于LPL活性的下降，导致富含甘油三酯的脂蛋白降解减慢而出现高甘油三酯血症。</p><p>2.肝脂酶（hepatic lipase，HL）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HL在肝实质细胞中合成，是内源性TG代谢的关键酶，与LPL在功能上有些相似，但其活性不需apo CⅡ作为必需的辅因子，主要作用于VLDL、CM残粒等小颗粒脂蛋白。同时可调节胆固醇从周围组织转运到肝脏，使肝内的VLDL转化为LDL。HL缺乏可引起脂蛋白残粒和IDL、HDL水平的改变。</p><p>3.卵磷脂胆固醇酰基转移酶（lecithin cholesterol acyltransferase，LCAT）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由肝合成释放入血液，以游离或与脂蛋白结合的形式存在，是一种在血浆中起催化作用的酶，可被HDL中的apo AⅠ激活，其作用是将HDL的卵磷脂的C2位不饱和脂肪酸转移给游离胆固醇，生成溶血卵磷脂和胆固醇酯。血浆胆固醇几乎70%～80%是胆固醇酯，均是LCAT催化生成所致。LCAT常与HDL结合在一起，在HDL颗粒表面活性很高并起催化作用，对VLDL和LDL的颗粒几乎不起作用。LCAT在磷脂代谢中有重要的作用。体内大多数脂蛋白中的胆固醇酯是在LCAT的作用下形成的，其缺乏可导致血浆游离胆固醇升高和胆固醇酯水平的下降。</p><p>4.脂质转运蛋白（lipid transfer protein，LTP）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">LTP由肝细胞合成和分泌，可分为LTPⅠ和LTPⅡ，LTPⅡ仅能转运磷脂，LTPⅠ又称胆固醇酯转移蛋白（cholesterolestertransferprotein，CETP），由肝、小肠、肾上腺、脾、脂肪组织及巨噬细胞合成，在各类脂质成分，特别是胆固醇酯（CE）的交换、转移过程中起着关键作用，如将HDL中的胆固醇酯转运至CM和VLDL，同时将两者中的TG转移至HDL。</p><p>（三）脂蛋白代谢过程1.外源性代谢途径</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">食物脂肪经胃、十二指肠和小肠初步消化吸收后与小肠黏膜细胞自身合成的载脂蛋白apo B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">48</span>和apo A组装成新生乳糜微粒（CM）分泌入肠淋巴液，接受来自HDL的apo E和apo C后成为成熟CM经胸导管进入血液循环。CM所含apo CⅡ可激活脂肪组织、心脏和骨骼肌等组织毛细血管壁上的脂蛋白脂酶（LPL），CM中的甘油三酯（TG）被不断分解，释放游离脂肪酸（FFA）和甘油，供周围脂肪和肌肉等组织作为进一步氧化生能的原料。在脂解过程中CM中的apo AⅠ、apo C和胆固醇转移至HDL形成新生HDL颗粒（HDL3），残余CM中的TG逐渐减少，胆固醇酯相对丰富，颗粒随之缩小，形成CM残粒经肝脏中的apoE受体分解代谢。由于apo B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">48</span>始终存在于CM中，可作为CM及其残粒的标志，以便与肝脏来源的VLDL（含apo B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">100</span>）相区别。一般认为，食物来源的胆固醇不直接影响血浆中其他种类脂蛋白中的胆固醇含量。在食物脂肪的主动吸收过程中，血浆甘油三酯浓度会暂时性升高，而血浆胆固醇含量则几乎没有变化。CM代谢的主要功能是将外源性甘油三酯转运至脂肪、心脏和肌肉等肝外组织以供这些组织的能量需求，同时将食物中的外源性胆固醇转运至肝脏。</p><p>2.内源性代谢途径</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">内源性代谢途径是体内脂蛋白合成和代谢的过程，包括VLDL代谢、LDL代谢和HDL代谢。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）VLDL代谢：VLDL主要由肝细胞利用糖和脂肪酸（来自脂肪动员或乳糜微粒残余颗粒）合成甘油三酯，并与肝细胞合成的apo B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">100</span>、apo AⅠ、apo E以及磷脂、胆固醇及其酯共同组成。VLDL分泌入血后，接受来自HDL 的apo C和apo E，其中的apo CⅡ激活LPL，水解VLDL内的TG供肝外组织利用。同时将apo C和apo E交换给HDL，并在CETP的作用下将磷脂、胆固醇等转移至HDL，将HDL的胆固醇酯转移至VLDL，形成IDL。小部分IDL经肝apo B、apo E受体吸收，大部分继续在HL作用下形成LDL。IDL进一步通过肝细胞膜上apo E受体而被吞噬利用或被水解为LDL。VLDL代谢是体内转运肝脏合成的内源性甘油三酯以供肝外组织利用的主要方式。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）LDL代谢：由VLDL转变而来的LDL主要成分是胆固醇及其酯，载脂蛋白apo B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">100</span>。通过肝及肝外组织细胞表面apo B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">100</span>受体（LDL受体）识别而进入细胞内，其中胆固醇酯水解为胆固醇和脂肪酸。其中胆固醇可抑制HMG CoA还原酶减少细胞内胆固醇的生成，以减少细胞对LDL的进一步摄取。同时激活脂酰CoA胆固醇酯酰转移酶（acyl CoA cholesterol acyltransferase，ACAT）使游离胆固醇酯化而储存。此外，血液中的LDL还可以被单核-吞噬细胞系统清除。LDL代谢是体内转运肝脏合成的内源性胆固醇至肝外组织，以保证肝外组织对胆固醇需求的主要方式。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（3）HDL代谢：肝脏新生的HDL3分泌入血后，一方面可以作为载脂蛋白的供体将apo C和apo E转移至新生的CM和VLDL，同时在CM和VLDL的代谢过程中接受apo C和apo E，不断与CM和VLDL进行载脂蛋白的交换。另一方面HDL可以摄取肝外细胞释放入血的游离胆固醇，经LCAT催化生成胆固醇酯。生成的胆固醇酯一部分可转移到VLDL。同时HDL密度降低转变为HDL2被肝脏摄取而降解。HDL代谢是体内将肝外细胞释放的胆固醇转运至肝脏的主要方式，可防止因胆固醇在血液中过度聚集所导致的动脉粥样硬化。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4727', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '495', '血脂异常的类型', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血脂异常通常是指血浆中胆固醇和（或）甘油三酯升高，俗称高脂血症。实际上高脂血症也泛指包括低高密度脂蛋白血症在内的各种血脂异常。世界卫生组织（WHO）根据血浆脂蛋白谱的变化将血脂异常分为五型：Ⅰ型：主要是血浆乳糜微粒（主要含TG）浓度升高，TC正常或轻度升高。Ⅱ型：可分为Ⅱa和Ⅱb两个亚型。Ⅱa型仅有血浆LDL升高，TG正常；Ⅱb型血浆VLDL和LDL水平均升高。Ⅲ型：主要是血浆CM残粒和VLDL残粒增加，血浆TC和TG升高。Ⅳ型：血浆VLDL增加，TG升高，TC正常或偏高。Ⅴ型：血浆CM和VLDL（TG和TC）水平均升高，但以TG升高为主。由于该分型方法繁杂，临床上多采用以下分类方法：</p><p>（一）原发性和继发性血脂异常症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">继发性血脂异常症是指由于全身系统性疾病所导致的血脂异常。包括糖尿病、肾病综合征、甲状腺功能减退症、肾衰竭、肝脏疾病、系统性红斑狼疮、糖原累积症、骨髓瘤、脂肪萎缩症、急性卟啉病、多囊卵巢综合征等。此外某些药物如利尿药、β受体阻断药、糖皮质激素等也可能引起继发性血脂异常。在排除了继发性因素后即可诊断为原发性高脂血症。目前已知部分原发性高脂血症是由于先天性基因缺陷所致，如LDL受体基因缺陷所致家族性高胆固醇血症等。</p><p>（二）表型分型法</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括：①高胆固醇血症：表现为单纯TC增高，相当于WHO分型的Ⅱa型；②高甘油三酯血症：表现为单纯TG增高，相当于WHO分型的Ⅰ型和Ⅳ型；③混合型高脂血症：表现为TC和TG均增高，相当于WHO分型的Ⅱ型、Ⅳ型和Ⅴ型；④低高密度脂蛋白血症：表现为HDL-C的降低。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">随着分子生物学的发展，已发现部分的血脂异常患者存在遗传基因的缺陷。这些血脂异常症多具有家族聚集性，有明显的遗传倾向，临床上统称家族性高脂血症，包括家族性高胆固醇血症、家族性apo B缺陷症、家族性混合型高脂血症、家族性异常β脂蛋白血症，多基因家族性高胆固醇血症，家族性脂蛋白（a）血症，家族性高甘油三酯血症等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4728', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '495', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血脂异常症多数无明显的症状和体征，常常于血液检查或因其他疾病（如糖尿病、心肌梗死、急性胰腺炎等）就诊时偶然发现。少数患者可有以下临床表现：</p><p>（一）黄瘤</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">表现为局限性皮肤异常隆起，颜色可呈黄色、橘黄色或棕红色，多呈结节、斑块或丘疹样，质地柔软。主要是由于吞噬脂质的巨噬细胞（泡沫细胞）在真皮内积聚形成。常见于睑周、肌腱部位、身体的伸侧、手掌等。</p><p>（二）角膜弓</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">又称老年环，若出现于40岁以下，多伴有高脂血症，多见于家族性高胆固醇血症、家族性apo B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">100</span>缺陷症和家族性高TG血症。</p><p>（三）急性胰腺炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">严重的高甘油三酯血症，如家族性脂蛋白脂酶缺陷症和家族性apo CⅡ缺陷症患者可因CM栓子阻塞毛细血管而导致急性胰腺炎。</p><p>（四）视网膜脂质症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">严重的高甘油三酯血症时富含甘油三酯的大颗粒脂蛋白沉积在眼底小动脉上引起光散射所致。</p><p>（五）其他</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">TG沉积于网状内皮细胞可引起肝、脾大；高CM血症可导致呼吸困难和神经系统症状；纯合子家族性高TC血症可出现游走性多关节炎。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4729', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '495', '实验室检查', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血脂异常症的诊断主要依靠实验室检查。血脂的基本检测项目是TC、TG、HDL-C和LDL-C。其他项目如apo AⅠ、apo B、LP（a）等对预测冠心病有一定的临床意义。血脂检测结果受多种因素影响，为保证检测结果的稳定，受检者应当在检查前2周保持一般的饮食习惯和体重的稳定，测定前24小时避免剧烈运动，采血前一天晚8点后开始禁食（可少量饮水），次日晨8～10点采血。如血脂检测异常，应在2个月内再次复查（间隔需超过1周）。《中国成人血脂异常防治指南》建议用酶法作为临床实验室测定血清TC和TG的常规方法，建议用匀相测定法作为临床实验室测定血清HDL-C和LDL-C的常规方法。血浆甘油三酯浓度≤4.5mmol/L，且TC、TG、HDL-C测定均准确时可采用Friedewald公式计算LDL-C浓度，即LDL-C（mg/dl）＝TC -（HDL-C+TG/5）或LDL-C（mmol/L）＝TC （HDL-C+TG/2.2）。从血浆的外观上可判断其中CM的含量。如将血浆置于4℃冰箱中过夜后见到“奶油样”顶层，而下层澄清，表明CM含量较高。利用超速离心技术可将血浆脂蛋白分离并分别测定各类脂蛋白中胆固醇和甘油三酯的浓度。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4730', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '495', '诊断', '<p>（一）诊断标准</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">流行病学调查显示不同种族、国家和地区人群血脂水平存在差异。正常与异常血脂的划分是人为的。一般以血脂异常与动脉粥样硬化性疾病风险和是否需要治疗两个方面来确定血脂异常的划分标准。根据我国人群队列研究资料制定的血脂水平分层标准见表14-9-2。美国国家胆固醇教育计划委员会成人治疗组于2001年制定的高脂血症诊断标准列于表14-9-3。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">表14-9-2　中国血脂水平分层标准（中国成人血脂异常防治指南，2007）<img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180516-1526462030619013480.jpg\" title=\"1526462030619013480.jpg\" alt=\"表14-9-2　中国血脂水平分层标准（中国成人血脂异常防治指南，2007）.jpg\" width=\"786\" height=\"214\" style=\"width: 786px; height: 214px;\"/></span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">表14-9-3　美国高脂血症诊断标准（美国ATPⅢ，2001）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180516-1526461926041090315.jpg\" title=\"1526461926041090315.jpg\" alt=\"表14-9-3　美国高脂血症诊断标准（美国ATPⅢ，2001）.jpg\" width=\"765\" height=\"240\" style=\"width: 765px; height: 240px;\"/></span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180516-1526461837515009839.jpg\" title=\"1526461837515009839.jpg\" alt=\"表14-9-3　美国高脂血症诊断标准（美国ATPⅢ，2001）.jpg\" width=\"790\" height=\"1\" style=\"width: 790px; height: 1px;\"/></p><p><span style=\"font-size: 12px;\"><br/></span></p><p><span style=\"font-size: 12px;\">（二）诊断步骤1.血脂异常的检出</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于血脂异常通常缺乏临床症状，因此多数患者是在常规健康体检或因心血管等疾病就诊时发现。为了能早期发现和检出血脂异常，建议20岁以上成年人至少每5年测量1次空腹血脂，包括TC、LDL-C、HDL-C和TG。对于缺血性心血管病及其高危人群，则应当每3～6个月检测一次。对于因缺血性心血管疾病住院治疗患者应当在入院时或24小时内检测血脂。40岁以上男性和绝经后女性应当每年检测血脂。血脂检测的重点人群还包括：①已有冠心病、脑血管病或周围动脉粥样硬化病者；②有高血压、糖尿病、肥胖、吸烟者；③有冠心病或动脉粥样硬化疾病家族史，尤其是直系亲属中有早发冠心病或其他动脉粥样硬化性疾病者；④有皮肤黄瘤者；⑤有家族性高脂血症者。</p><p>2.心血管危险因素评估</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血脂异常不仅是冠心病发病的危险因素，也增加缺血性脑卒中的发病危险。血脂异常防治的目的是为了降低缺血性心血管病（包括冠心病和缺血性脑卒中）的综合危险。全面评价心血管疾病的综合危险是预防和治疗血脂异常的必要前提。2001年发表的美国国家胆固醇教育计划的第三次报告（ATPⅢ）中强调了对血脂异常患者绝对危险性的评估，并根据绝对危险性来决定开始治疗以及治疗的目标血脂水平。在ATPⅢ之后的进一步建议中更强调了危险分层以及达标的重要性。我国2007年发表的《中国成人血脂异常防治指南》中也强调，在决定采用药物进行调脂治疗时，需要全面了解患者患冠心病及伴随的危险因素的情况，并根据这些危险因素来决定治疗的目标值。该指南确定的血脂异常危险分层方案见表14-9-4。其中冠心病包括：急性冠状动脉综合征（包括不稳定性心绞痛和急性心肌梗死）、稳定性心绞痛、陈旧性心肌梗死、有客观证据的心肌缺血、冠状动脉介入治疗（PCI）及冠状动脉旁路移植术（CABG）后患者。冠心病等危症是指非冠心病者10年内发生主要冠脉事件的危险与已患冠心病者同等，新发和复发缺血性心血管病事件的危险＞15%。包括：①有临床表现的冠状动脉以外动脉的动脉粥样硬化：包括缺血性脑卒中、周围动脉疾病、腹主动脉瘤和症状性颈动脉病（如短暂性脑缺血）等。②糖尿病：过去将糖尿病列为心血管病的危险因素，近年来发现其重要性远不止于此。一项在芬兰的研究发现，1373例非糖尿病人，7年的心肌梗死发生率在有心肌梗死病史者为18.8%，无心肌梗死病史者为3.5%；在1059例糖尿病患者中，7年心肌梗死发生率在有心肌梗死病史者45%，无心肌梗死病史者为20.2%。由此可见，有糖尿病而无冠心病史者，心血管危险性与有心肌梗死病史而无糖尿病者相等。糖尿病患者发生心肌梗死后的病死率比非糖尿病者明显增高。糖尿病患者一旦发生冠心病，其预后比无糖尿病者差得多。因此，当前将糖尿病列为冠心病的等危症。③有多种危险因素其发生主要冠状动脉事件的危险相当于已确立的冠心病，心肌梗死或冠心病死亡的10年危险＞20%。高血压指血压≥140/90mmHg或已接受降压药物治疗。其他危险因素包括：年龄（男≥45岁，女≥55岁）；吸烟；低HDL-C血症［＜1.04mmol/L（40mg/dl）］；肥胖［体质指数（BMI）≥28kg/m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>］；早发缺血性心血管疾病家族史（一级男性亲属发病年龄＜55岁，一级女性亲属发病年龄＜65岁）。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表14-9-4　血脂异常危险分层方案</p><p style=\"text-align:none\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180516-1526462230619060079.jpg\" title=\"1526462230619060079.jpg\" alt=\"1526462230619060079.jpg\" width=\"800\" height=\"307\" style=\"width: 800px; height: 307px;\"/></p><p style=\"text-align: right;\"><span style=\"text-align: right; font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</span></p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4731', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '495', '治疗', '<p>（一）血脂异常治疗的意义</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">美国的Framingham研究证实，冠心病的发病与血清低密度脂蛋白胆固醇（LDL-C）的水平呈正相关，与高密度脂蛋白胆固醇（HDL-C）的水平呈负相关。多重危险因素干预试验（MRFIT）发现胆固醇水平的下降与冠心病的死亡率呈正性曲线关系，并根据该曲线推算，血浆胆固醇水平每下降1%，冠心病的危险性可以下降2%。数年前上海的一项前瞻性研究，对9021名不同性别的居民随访了8～13年发现，基线的总胆固醇水平相差10%，则冠心病的死亡危险相差23%。多项治疗研究都表明，冠心病的发病率和死亡率随着血清总胆固醇水平的增高而升高。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">冠心病的一级预防研究包括多危险因素干预试验（MRFIT）、欧洲协作研究（The European Collaborative Trial）、世界卫生组织协作试验（WHO Cooperative Trial）、血脂研究临床中心的冠心病一级预防试验（LRC-CPPT）以及赫尔辛基心脏研究（HHS）等，这些研究证明调整血脂的水平可以使冠心病的发病率和死亡率明显下降。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">他汀类药物具有良好的调脂作用。大型临床研究包括西苏格兰冠心病二级预防研究（WOSCOPS）、北美辛伐他汀生存研究（4S）、胆固醇及事件复发研究（CARE）、辛伐他汀在缺血性疾病中的长期干预研究（LIPID）以及在急性冠脉综合征的患者开展的积极降脂治疗减少心肌缺血事件研究（MIRACL）等共同证实了调整血脂水平，尤其是把血清总胆固醇和LDL-C水平下降20%和30%以上，可以使得冠心病的发病率和死亡率明显下降。甚至发现在冠心病的高危人群中，即使基线血脂水平不是非常高，调脂治疗仍然能使得患者受益。因为，调脂治疗不仅降低了血脂的水平，还有改善非脂质因素的作用。调脂以外的潜在有利作用包括：改善内皮功能；稳定斑块的作用；抑制血小板聚集的作用；抑制炎症反应的作用；抑制血管平滑肌细胞的增生和迁移等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">综上所述，血脂异常的治疗可以很好地防治冠心病。建议根据是否已经有冠心病或者冠心病等危症以及有无心血管病危险因素，结合血脂水平进行全面的评价，来决定治疗措施和血脂治疗的目标水平。</p><p>（二）血脂异常治疗目标</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血脂异常时不同的血脂水平对健康的影响程度各异，同一血脂水平对于处于不同健康状态的人群，对健康的意义也不同。因此，血脂异常应该按照不同的冠心病危险程度给予不同的关注。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年来，国内心血管专家结合我国人群循证医学的证据制定了血脂异常患者开始调脂治疗的总胆固醇值和LDL胆固醇值以及目标值（表14-9-5）。</p><p>（三）治疗方法的选择</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">原发性血脂异常的病因复杂，治疗困难较多。部分患者可以通过调整饮食习惯和改善生活方式而获得改善，有些患者则需要药物治疗。有些非常难治的血脂异常甚至还需要血液净化或外科手术治疗。基因缺陷造成的血脂异常目前尚不能完全根治，许多患者可能需要终身服药。因此，血脂异常的治疗是一个系统工程，包括生活干预和合理应用调脂药物。</p><p>1.治疗性生活方式的改变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）饮食治疗：血脂异常的饮食治疗是在满足人体生理需要，维持合理体重的基础上，减少饱和脂肪酸和胆固醇的摄入。根据美国ATPⅢ的推荐，饱和脂肪的摄入应小于总热卡的7%，胆固醇的摄入应小于每天200mg。另外，为了增加降低LDL-C的疗效，推荐在膳食中增加植物固醇（来自谷类、豆类）以及可溶性纤维或果胶（来自蔬菜、水果）的含量。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）其他生活方式的治疗：体重超重者应积极调整饮食、增加体育活动和体力活动，减轻体重。戒烟、戒酒、久坐 不动、过度精神紧张等不良的生活方式都应注意加以纠正。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表14-9-5　血脂异常患者开始调脂治疗的TC和LDL-C值及其目标值mmol/L（mg/dl）</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180516-1526462114622031280.jpg\" title=\"1526462114622031280.jpg\" alt=\"1526462114622031280.jpg\" width=\"800\" height=\"332\" style=\"width: 800px; height: 332px;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><br/></p><p><span style=\"font-size: 12px;\">在ATPⅢ中，特别提出了“治疗性生活方式的改变（TLC）”，强调饮食及生活方式对血脂治疗的影响，它在血脂的治疗、心血管疾病的防治中起着非常重要的作用。首诊开始的TLC主要是减少摄入饱和脂肪和胆固醇，也鼓励开始轻中度的体力活动。在TLC进行约6～8周后，应检测患者的血脂水平，如果已经达标或者有明显改善，应继续TLC。否则，则需要强化膳食治疗。再在6～8周进行血脂水平测定。如果检测结果发现不可能靠TLC达标，应该考虑加用药物治疗。</span></p><p>2.血脂异常的药物治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据患者的危险状态以及血脂异常的特点选择不同剂量以及不同种类的降脂药物。临床上供选用的调脂药物可分为：他汀类、贝特类、烟酸类、树脂类、胆固醇吸收抑制剂及其他。</p><p>（1）他汀类：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">即三羟基三甲基戊二酰辅酶A（HMGCoA）还原酶抑制剂，是目前临床使用最广泛的一类调脂药物。常用的他汀类药物有：洛伐他汀、辛伐他汀、普伐他汀、氟伐他汀、阿托伐他汀、瑞舒伐他汀。该类化合物的分子结构中的部分侧链β、δ二羟基戊酸与HMG-CoA还原酶（胆固醇合成酶过程中限速酶）的天然底物结合，成为该酶的竞争性抑制剂，从而抑制了体内胆固醇的生物合成。细胞内胆固醇含量的减少又可以刺激细胞表面的LDL受体合成的增加，从而促进LDL、VLDL和VLDL残粒通过受体途径代谢，降低血清LDL含量。此外，他汀类药物还可能具有抗炎、保护血管内皮功能等作用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">他汀类药物口服后吸收都很迅速，对肝脏有高度的选择性，首过效应在肝脏发挥，只有5%左右的活性化合物达到体循环。因为人体胆固醇的合成主要在肝脏，所以该类药物降胆固醇的作用十分显著，对其他脏器的不良反应较少。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HMG-CoA还原酶抑制剂适用于除了纯合子家族性高胆固醇血症外的任何类型的高胆固醇血症。纯合子家族性高胆固醇血症患者因LDL受体基因缺陷，不能合成有功能的LDL受体，所以他汀类药物对该类型的患者疗效不佳。以血清总胆固醇水平升高为主的混合型高脂血症患者服用他汀类药物也能收到良好的效果。他汀类药物常用剂量下能使总胆固醇下降30%～40%，LDL-C下降25%～50%，甘油三酯下降7%～30%，HDL-C升高5%～15%。而且，他汀类药物可以作为冠心病以及冠心病等危症、急性冠脉综合征、冠脉介入治疗及血管重建术和缺血性脑卒中患者的二级预防治疗用药。严重的肝肾功能障碍、有免疫性肌病以及对他汀类药物过敏者禁用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">他汀类药物可以减少20%～43%冠心病死亡；减少24%～33%致死性心肌梗死；减少17%～28%心血管疾病死亡；减少20%～29%脑卒中危险；减少12%～31%所有原因死亡。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">他汀类药物不仅减少冠心病的病死率，减缓和逆转动脉粥样硬化病变，而且降低总病死率，改善预后，另外他汀类药物可以减少急性冠脉事件的发生次数。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床常见的副反应有胃肠道反应、皮疹、肌肉触痛、肝功能损害、横纹肌溶解症等。但是副反应的发生率较低。0.5%～2%的患者在使用了他汀类药物后可能出现肝脏转氨酶的升高，呈剂量依赖型，但停药后大多可以恢复。用药期间定期监测肝功能以免严重肝脏损害的发生。由他汀类引起并进展为肝衰竭的情况罕见。胆汁淤积和活动性肝病被列为他汀类药物使用的禁忌证。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">他汀类可致肌病，包括肌痛、肌炎和横纹肌溶解。肌痛表现为肌肉疼痛或无力，不伴肌酸激酶（CK）升高。肌炎有肌肉症状，并伴CK升高。横纹肌溶解是指有肌肉症状，伴CK超过正常上限的10倍（即10×ULN，×ULN表示酶学指标的正常上限倍数）和肌酐升高，常有褐色尿和肌红蛋白尿。横纹肌溶解是他汀类最危险的不良反应，严重者可以致死。他汀类药物所致的肌肉不适发生率约5%。有些患者无肌肉不适而有轻至中度的肌酸激酶升高，由于CK升高不具特异性，与药物的关系须仔细分析后判定。接受他汀类治疗的患者出现严重的肌炎（以肌肉疼痛、触痛或无力，通常伴CK水平高于10×ULN为特征）可导致横纹肌溶解、肌红蛋白尿和急性肾坏死，威胁生命。西立伐他汀因严重肌炎和横纹肌溶解发生较多而停用。肌炎最常发生于合并多种疾病和（或）使用多种药物治疗的患者。单用标准剂量的他汀类治疗很少发生肌炎，但当使用大剂量他汀类或与其他药物合用时，包括环孢素、贝特类、大环内酯类抗生素、某些抗真菌药和烟酸类，肌炎的发生率增加。多数他汀类药物由肝脏细胞色素P<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">450</span>进行代谢，因此同其他与细胞色素P<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">450</span>药物代谢系统有关的药物同用时会发生不利的药物相互作用。他汀类药忌用于孕妇。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">下述情况是他汀相关性肌病发生的危险因素：①高龄（尤其大于80岁）患者（女性多见）；②体型瘦小、虚弱；③多系统疾病（如慢性肾功能不全，尤其是由糖尿病引起的慢性肾功能不全）；④合用多种药物；⑤围术期；⑥合用下列特殊的药物或饮食，如吉非贝齐、烟酸（罕见）、环孢霉、吡咯抗真菌药、红霉素和克拉霉素、HIV蛋白酶抑制剂、奈法唑酮（抗抑郁药）、维拉帕米、胺碘酮、大量西柚汁、酗酒（肌病的非独立易患因素）；⑦剂量过大。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在启用他汀类时，要检测肝转氨酶ALT、AST和CK，治疗期间定期监测复查。轻度的转氨酶升高（少于3× ULN）并非治疗的禁忌证。无症状的轻度CK升高常见。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">建议患者在服用他汀类药物期间出现肌肉不适、无力症状以及排褐色尿时应及时报告，并进一步检测CK。如果发生或高度怀疑肌炎，应立即停止他汀类治疗。其他情况的处理如下：①如果患者报告可能的肌肉症状，应检测CK并与治疗前水平进行对比。由于甲状腺功能减退患者易发生肌病，因此对于有肌肉症状的患者，还应检测促甲状腺素水平。②若患者有肌肉触痛、压痛或疼痛，伴或不伴CK升高，应排除常见的原因如运动和体力劳动。对于有上述症状而又联合用药的患者，建议其适度活动。③一旦患者有肌肉触痛、压痛或疼痛，CK高于10×ULN，应停止他汀类药物治疗。④当患者有肌肉触痛、压痛或疼痛，CK不升高或中度升高（3～10×ULN），应进行随访，每周检测CK水平直至排除了药物作用或症状恶化至上述严重程度（应及时停药）。如果患者有肌肉不适和（或）无力，且连续检测CK有进行性升高，应慎重考虑减少他汀类药物剂量或暂时停药。然后决定是否或何时再开始他汀类治疗。</p><p>（2）贝特类：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">即苯氧芳酸衍生物。目前常用的有非诺贝特、吉非贝齐和苯扎贝特。综合一系列大规模随机双盲对照研究的结果，贝特类药物可使血清甘油三酯的水平下降20%～60%，总胆固醇的水平下降10%～20%，LDL-C的水平下降5%～20%；升高5%～20%HDL-C的水平。贝特类药物还有一定的降低血浆纤维蛋白原的作用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">贝特类药物适用于高甘油三酯血症以及以甘油三酯升高为主的混合型高脂血症的患者。单纯的低高密度脂蛋白胆固醇血症的患者也可以选用贝特类药物治疗。贝特类药物禁用于严重肝肾功能障碍的患者、孕妇、哺乳期妇女以及有生育可能的妇女。同时使用抗凝药物者，因抗凝作用可能被增强，应注意剂量的调整。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年发现，非诺贝特通过激活过氧化物酶体激活增殖体受体（PPAR），通过基因调控，增加血中apo AⅠ、apo AⅡ、脂蛋白脂酶以及HDL的浓度，使得血中乳糜微粒及VLDL的降解加速，降低血中甘油三酯的水平，进而降低小而密LDL的水平。有利于预防和治疗动脉粥样硬化的发生和发展。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常见的副反应有口干、食欲减退，个别病例可以见到转氨酶、尿素氮和肌酐的升高。偶见性功能减退。停药后可以迅速恢复正常。长期服用的患者，可以定期监测肝肾功能，CK等，有利于预防严重副反应的发生。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">吉非贝齐调节血脂的机制尚没有完全阐明。研究结果显示，它通过激活脂蛋白脂酶的活性，加速VLDL和甘油三酯的降解。另外，还能抑制脂肪组织释放非酯化脂肪酸，从而减少VLDL以及甘油三酯的合成，最终使血清甘油三酯和胆固醇水平下降，其升高HDL胆固醇的作用机制不明确。国际大型、长期随访的临床试验已证实吉非贝齐的调脂作用。约5%的患者在服药后可能出现胃肠道反应，偶见嗜酸性粒细胞减少、皮疹、肌肉疼痛等。可见一过性的转氨酶以及CK活性的升高。吉非贝齐有增强抗凝药物作用以及可能对糖代谢产生影响，因此合并用药时应注意调整抗凝药物以及降糖药物的剂量。本药偶见横纹肌溶解症，尤其是与他汀类药物合用时应十分警惕。长期应用吉非贝齐，应定期随访肝肾功能以及CK，尤其是有合并用药时。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">苯扎贝特降低血清甘油三酯水平主要是通过脂蛋白脂酶，少量是通过肝脂酶作用的增强来增加VLDL的分解的。苯扎贝特还对胆固醇合成的限速酶HMG-CoA还原酶有一定的抑制作用。另外，它还能抑制乙酰CoA胆固醇酰基转移酶的作用。苯扎贝特的副反应与其他的贝特类药物相似。</p><p>（3）烟酸类：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">烟酸属于B族维生素，但用量超过维生素作用的剂量时有调节血脂的作用。烟酸调节血脂的主要机制是抑制cAMP的形成，使得甘油三酯酶活性下降，脂肪组织中的脂解作用减慢。血中非酯化脂肪酸的浓度下降，肝脏合成VLDL减少，使IDL和LDL减少。另外，烟酸能在辅酶A的作用下与甘氨酸合成烟尿酸，从而阻止肝细胞利用辅酶A合成胆固醇。烟酸升高HDL-C的机制不明。烟酸能增加胆固醇的氧化，增加粪便中胆固醇的排泄，阻碍游离胆固醇的酯化作用而减少脂蛋白的合成。烟酸还具有降低循环中纤维蛋白原水平和红细胞沉降率的作用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">烟酸有速释剂和缓释剂两种剂型。速释剂不良反应明显，一般难以耐受，现多已停用。缓释型烟酸片不良反应明显减轻，较易耐受。轻中度糖尿病患者坚持服用，也未见明显不利作用。烟酸缓释片常用量为1～2g，1次/天。一般临床上建议，开始用量为0.375～0.5g，睡前服用；4周后增量至1g/d，逐渐增至最大剂量2g/d。烟酸可使TC降低5%～20%，LDL-C降低5%～25%，TG降低20%～50%，HDL-C升高15%～35%。适用于高甘油三酯血症、低HDL-C血症或以TG升高为主的混合型高脂血症。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">烟酸类的主要的副反应有脸部潮红、皮肤相关扩张，消化道反应包括恶心、呕吐、消化不良、肝脏损害、诱发溃疡病等。绝对禁忌证为慢性肝病和严重痛风。相对禁忌证为高尿酸血症、消化性溃疡。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">阿昔莫司（acipimox）是一种副作用较少、临床常用的烟酸类衍生物，具有强烈的抗脂解作用和激活脂蛋白脂酶活力的作用，可以抑制脂肪组织释放非酯化的脂肪酸，减少总胆固醇以及LDL的生成。和烟酸相比，它具有以下优点：半衰期长；抗脂肪分解作用持续时间较长，效能较强；能改善糖代谢；不引起尿酸代谢变化；较少引起肝功能异常等。阿昔莫司尤其适用于血清甘油三酯水平升高、HDL-C水平下降、总胆固醇水平轻度上升或正常的患者。主要的副反应有皮肤血管扩张、面部潮红、瘙痒，偶有胃肠道不适。</p><p>（4）树脂类（胆酸螯合剂）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">该类药物有考来烯胺和考来替泊，它们都是不为肠道所吸收的高分子阴离子交换树脂。该类药物的共同特点是阻止胆酸或胆固醇从肠道吸收，促进胆酸或胆固醇随着粪便排出，促进胆固醇的降解。树脂在胃肠道内以其氯离子与胆汁酸交换形成多价的螯合物排出体外，干扰胆汁酸的肠肝循环。胆汁酸是胆固醇的最终代谢产物，胆汁酸的排泄增加，促使胆固醇更快地转变成胆汁酸，从而使得细胞内的胆固醇水平下降，促进LDL受体合成的增加，加速LDL代谢而降低血中胆固醇的浓度。另外，在从肠道吸收胆固醇的过程中需要胆酸起乳化作用，胆酸被树脂吸附后随粪便排出，势必会影响胆固醇从肠道的消化和吸收。因此，服用树脂类药物后，总胆固醇可以下降10%～20%，LDL-C可以下降15%～25%，甘油三酯可以没有变化，也可以由于引起原有的VLDL水平增加而使血清甘油三酯的水平更高，因此必要时可以加用降低VLDL的药物。临床试验证实该类药物能降低主要冠状动脉事件和冠心病死亡率。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">树脂类药物适用于纯合子家族性高胆固醇血症，但是对任何类型的高甘油三酯血症均无效。对胆固醇和甘油三酯均升高的混合型血脂异常需与其他类型的调脂药物联合应用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">树脂类药物的常见副反应是胃肠道反应，如恶心、腹胀、便秘、味觉差等。味差可以通过调味剂来纠正，便秘应注意同时进食较多的纤维食物。由于树脂类药物可能干扰叶酸以及其他脂溶性维生素的吸收，因此长期服用者应适当补充维生素A、D、K、钙和叶酸，生长期以及怀孕妇女更应该注意补充。此类药物的绝对禁忌证为异常β脂蛋白血症和TG＞4.52mmol/L（400mg/dl）；相对禁忌证为TG＞2.26mmol/L（200mg/dl）。</p><p>（5）胆固醇吸收抑制剂：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胆固醇吸收抑制剂依折麦布（ezetimibe）口服后被迅速吸收，且广泛地结合成依折麦布-葡萄糖苷酸，作用于小肠细胞的刷状缘，有效地抑制胆固醇和植物固醇的吸收。由于减少胆固醇向肝脏的释放，促进肝脏LDL受体的合成，又加速LDL的代谢。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常用剂量为10mg/d，使LDL-C约降低18%，与他汀类合用对LDL-C、HDL-C和TG的作用进一步增强，未见有临床意义的药物间药代动力学的相互作用，安全性和耐受性良好。最常见的不良反应为头痛和恶心，肌酸激酶（CK）和肝酶升高超过3×ULN以上的情况仅见于极少数患者。考来烯胺可使此药的曲线下面积增大55%，故两者不宜同时服用，必须合用时须在服考来烯胺前2小时或后4小时服此药。环孢素可增高此药的血浓度。</p><p>（6）其他：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①普罗布考（probucol）：在动物和人体试验中均证实有降低总胆固醇和LDL-C的作用，但同时可以使血清HDL-C降低，对甘油三酯无影响。其调节血脂的机制至今未阐明。研究显示该药抑制apo B的合成，从而减少了LDL的合成，同时由于它促进了LDL的分解并促进血中的胆固醇进入胆汁随粪便排出，从而使血中LDL以及总胆固醇的水平下降。而该药又能抑制apo AⅠ的合成，因此血中HDL-C的水平会有所降低。在服药期间可以见到患者黄瘤的消退。另外，普罗布考还是一种抗氧化剂，能预防LDL的氧化修饰，有利于抑制动脉粥样硬化的形成和发展。主要适用于高胆固醇血症尤其是纯合子家族性高胆固醇血症。常见的不良反应为恶心、腹痛，较少见的不良反应为多汗、血管神经性水肿、头痛、头晕、感觉异常。偶见血清转氨酶升高、碱性磷酸酶升高。长期服用时心电图可以见到QT间期延长，诱发室性心律失常，所以有QT间期延长病史的患者忌用普罗布考。该药不宜用于孕妇、哺乳期妇女和儿童。停药后的6个月内也不宜怀孕。②ω-3脂肪酸：是指最后一个双键离甲基末端有3个碳原子，主要为二十碳五烯酸（EPA）和二十二碳六烯酸（DHA）。以海鱼油中的含量最丰富。海鱼油调节血脂的机制尚不十分明确，可能是抑制了肝内脂质以及脂蛋白的合成，促进了胆固醇从粪便中的排出。另外，它还能扩张冠状动脉，减少血栓形成，延缓动脉粥样硬化的进展。很可能还与前列腺素的代谢、血小板以及白细胞功能的改善有关。常见的副作用为鱼腥味引起的恶心。有消化道出血病史的患者不能长期使用鱼油制剂。该类制剂的疗效和安全性还有待于长期应用的证实。</p><p>3.调脂药物的联合应用</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床实践中，常根据血脂异常的病因以及类别，根据调整药物的作用机制、不良反应等因素进行调脂药物的选择。可以根据分类进行相应的选择。另外还应该考虑到患者的许多具体情况，如患者的年龄、伴随疾病、工作和生活方式以及经济承受能力。有些血脂异常的患者，在调整饮食和生活方式的基础上，用一种调脂药物仍然不能达到理想的疗效，可能需要联合用药。选择联合用药时，应谨慎，尤其是要关注不良反应。主要的联合用药方案如下：</p><p>（1）他汀类与依折麦布联合应用：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">已有较多的临床试验观察了依折麦布与他汀类药物联合应用的降脂效果和安全性。10mg/d依折麦布与10mg/d阿托伐他汀或辛伐他汀联合应用，降低LDL-C的作用与80mg/d阿托伐他汀或辛伐他汀相当，使降脂达标率由单用他汀类的19%提高到72%。依折麦布与其他他汀类合用也有同样的效果。合用并不增加他汀类的不良反应。依折麦布与低剂量他汀类联合治疗使降脂疗效大大提高，达到高剂量他汀类的效果，但无大剂量他汀类发生不良反应的风险。因此，在大剂量使用他汀类仍不能达标时，加用依折麦布也不失为当前的最佳选择之一。依折麦布副作用小，联合使用他汀类和依折麦布治疗的患者耐受性好。联合治疗不增加肝脏毒性、肌病和横纹肌溶解的发生。近期SHARP研究结果也提示依折麦布和辛伐他汀的联合应用可以带来硬终点的改善。</p><p>（2）他汀类与贝特类联合应用：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此种联合治疗适用于混合型高脂血症患者，目的为使TC、LDL-C和TG的水平明显降低，HDL-C的水平明显升高。该类型的血脂异常在糖尿病和代谢综合征时非常常见，而该类患者往往又是动脉粥样硬化的高危人群，因此需要更加积极的调脂治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">他汀类使用的基础上加用贝特类的药物或者其他降低甘油三酯为主的药物是否会降低残留的心血管风险而带来进一步的心血管益处呢？联合应用又是否会带来严重不良反应的增加呢？ACCORD研究显示，尽管治疗后平均LDL-C水平达80mg/dl，但与TG＜204mg/dl且HDL＞34mg/dl的患者相比，TG≥204mg/dl和HDL-C≤34mg/ dl的患者主要心血管事件的相对危险仍高达70%，因此对于糖尿病患者而言，尽管LDL-C已经达标，但是依然存在很大的心血管残留风险。对于伴有高甘油三酯、低HDL-C的糖尿病患者（在ACCORD研究中，为TG≥204mg/dl并且HDL-C≤34mg/dl的亚组），在辛伐他汀治疗的基础上加用非诺贝特，可以使主要的心血管事件进一步减少31%，且并没有明显升高不良反应的发生率。因此，ACCORD研究证实了伴有高TG和低HDL-C的糖尿病患者，在他汀类药物治疗的基础上加用非诺贝特可以进一步减少残留的心血管风险。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">尽管ACCORD研究及其他研究并没有见到联合用药会带来不良反应的明显增加，但是由于他汀类和贝特类药物均有潜在损伤肝功能的可能，并有发生肌炎和肌病的危险，还是应该高度重视联合用药的安全性。开始合用时宜用小剂量，采取晨服贝特，晚服他汀，避免血药浓度的显著升高。密切监测肌酶和肝酶，如无不良反应，可逐步增加剂量。治疗期间继续注意肌肉症状，监测肌酶和肝酶。对于老年、女性、肝肾疾病、甲状腺功能减退的患者，慎用他汀类和贝特类联合治疗，并尽量避免与大环内酯类抗生素、抗真菌药物、环孢素、HIV蛋白酶抑制剂、地尔硫<img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%86%85%E7%A7%91%E5%AD%A6_%E5%85%A82%E5%86%8C(%E4%B8%8A)_978-7-117-17272-1/pics/BZ_1078_494_1400_511_1417.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/>、胺碘酮等药物合用。在贝特类药物中，吉非贝齐通过抑制CYP<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">450</span>酶升高他汀浓度，还可能抑制他汀的葡糖醛酸化，从而导致发生副作用危险增加。因此，他汀类药物和贝特类药物联合应用时不宜与吉非贝齐联合应用，而应该和非诺贝特联合。</p><p>（3）他汀类与烟酸类联合应用：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在常规他汀类治疗的基础上，加用小剂量烟酸是一种合理的联合治疗方法，其可显著升高HDL-C，而不发生严重的不良反应。高密度脂蛋白动脉粥样硬化治疗研究（HATS）证明烟酸与他汀类联合治疗可进一步降低心血管死亡、非致死性心肌梗死和血管重建术的比例。缓释型烟酸与洛伐他汀复方制剂的临床观察证实其疗效确切、安全，更利于血脂全面达标。至于他汀类药物和烟酸类的联合应用是否会取得心血管终点的进一步获益还有待于大型临床试验的证实。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">联合使用他汀类和烟酸缓释剂的患者中，仍有6%因潮红难以耐受而停药。目前的研究并未发现他汀类和烟酸缓释剂联用增加肌病和肝脏毒性的发生。但由于烟酸增加他汀类的生物利用度，可能有增加肌病的危险，同样需要监测肝酶和CK，指导患者注意肌病症状，一旦发现征兆，及时就诊。联合治疗较单用他汀类治疗有升高血糖的危险，但缓释制剂使这一问题大为减轻，糖尿病也并非是这种合用的禁忌证。在联合使用他汀类和烟酸时，应加强血糖监测。</p><p>（4）他汀类与胆酸螯合剂联合应用：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">两药合用有协同降低血清LDL-C水平的作用。他汀类与胆酸螯合剂联用可增加各自的降脂作用，并可延缓动脉粥样硬化的发生和发展进程，可减少冠心病事件的发生。他汀类与胆酸螯合剂合用并不增加其各自的副作用，且可因减少用药剂量而减少发生不良反应的风险。由于胆酸螯合剂具体服用的一些不便，此种联合方案仅用于其他治疗无效或不能耐受者。</p><p>（5）他汀类与ω-3脂肪酸联合应用：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">他汀类与鱼油制剂ω-3脂肪酸合用可用于治疗混合型高脂血症。临床观察辛伐他汀（20mg/d）联合应用ω-3脂肪酸可进一步降低TG、TC和apo E。他汀类同ω-3脂肪酸制剂合用是临床治疗混合型高脂血症有效而安全的选择。他汀类与鱼油制剂联合应用并不会增加各自的不良反应。由于服用较大剂量的ω-3多不饱和脂肪酸有增加出血的危险，并在糖尿病和肥胖患者增加热卡的摄入而不利于长期应用。</p><p>4.用药过程中的随访</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">调脂药物一般都需要长期服用，有的甚至需要终身服用。饮食与非调脂药物治疗3～6个月后，应复查血脂水平，如能达到要求应继续治疗，但仍须每6个月至1年复查，如持续达到要求，每年复查一次。药物治疗开始后4～8周复查血脂、转氨酶（AST、ALT）和CK，如能达到目标值，逐步改为每6～12个月复查一次，如开始治疗3～6个月复查血脂仍未达到目标值，则调整剂量或药物种类，或联合药物治疗，再经4～8周后复查。达标后延长为每6～12个月复查一次，治疗性生活方式改变和降脂药物治疗必须长期坚持，才能获得临床益处。对心血管病的高危患者，应采取更积极的降脂治疗策略。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">不同的个体对药物的疗效以及不良反应有很大的差异。降脂药物治疗需要个体化，治疗期间必须监测安全性。依据患者的心血管病状况和血脂水平选择药物和起始剂量。在药物治疗时，必须监测不良反应，主要是定期检测肝功能和血肌酸激酶。如肝酶（AST/ALT）超过3× ULN（正常上限），应暂停给药。停药后仍需每周复查肝功能，直至恢复正常。在用药过程中应询问患者有无肌痛、肌压痛、肌无力、乏力和发热等症状，血CK升高超过5×ULN应停药。用药期间如有其他可能引起肌溶解的急性或严重情况，如败血症、创伤、大手术、低血压和抽搐等，应暂停给药。</p><p>5.重度血脂异常的非药物治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">大部分血脂异常的患者通过饮食、生活方式的改善以及药物治疗均可以达到比较理想的血脂调节效果，然而有极少数患者的血脂水平非常高，多见于有基因遗传异常的患者。这些患者可以通过血浆净化治疗、外科手术治疗（如回肠末端部分切除术、门-腔静脉分流术）等方法治疗。基因治疗在未来有可能攻克顽固性遗传性的血脂异常，但目前技术尚不成熟。透析疗法可以降低总胆固醇和LDL-C，但是不能降低甘油三酯和升高HDL-C，而且作用只能维持一周左右。费用又非常昂贵。因此仅用于极个别的对他汀类药物过敏或不能耐受者，或者是用于罕见的纯合子家族性高胆固醇血症的患者。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4732', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1424', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">原发性支气管肺癌（primary bronchogenic lung cancer）起源于支气管黏膜或腺体，简称肺癌（lung cancer）。肺癌是严重危害人类健康的疾病，根据世界卫生组织（WHO）2008年公布的资料显示，肺癌无论是发病率（160 万/年）还是死亡率（140万/年），均居全球癌症首位。在我国，肺癌也是癌症死亡的首要病因，过去30年登记的肺癌死亡率已增加了464.8%，且发病率及死亡率还在增长。英国著名肿瘤学家R.Peto预言：如果我国不及时控制吸烟和空气污染，到2025年我国每年肺癌患者将超过100万，成为世界第一肺癌大国。肺癌预后很差，2/3的患者确诊时已无手术机会。要改善肺癌生存率，需依靠规范有序的诊断、分期，以及根据其临床行为制订多学科治疗（综合治疗）方案，为患者提供可能治愈或有效缓解的优选方法。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4733', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1424', '病因学', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺癌的病因和发病机制尚未完全清楚，研究表明与下列因素有关。</p><p>（一）吸烟</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">大量研究资料表明，吸烟，特别吸纸烟，是肺癌死亡率进行性增加的首要原因。烟雾中尼古丁、苯并芘、亚硝胺和少量放射性元素钋等均有致癌作用，尤其易致鳞状上皮细胞癌和未分化小细胞癌。动物实验中也可通过纸烟烟雾和焦油诱发肺癌。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">严格设计的回顾性和前瞻性调查结果表明，与不吸烟者比较，吸烟者发生肺癌的危险性平均高9～10倍，重度吸烟者至少可达10～25倍。吸烟量与肺癌之间存在着明显的量-效关系，开始吸烟的年龄越小，吸烟时间越长，吸烟量越大，肺癌的发病率和死亡率越高。一支烟的致癌危险性相当于1～4mrad的放射线，每天吸30支纸烟，相当于120mrad的放射线剂量。被动吸烟或环境吸烟也是肺癌的病因之一，其风险增加20%～30%。戒烟后肺癌发病危险性逐年减少，戒烟1～5年后可减半。美国的研究结果表明，戒烟后2～15年期间肺癌发生的危险性进行性减少，此后的发病率相当于终生不吸烟者。</p><p>（二）大气污染</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">无论是美国还是英国，城市居民的肺癌死亡率均高于乡村，而且随城市化的程度而升高。中国重工业城市的肺癌死亡率也高于轻工业城市。以往一直怀疑大气污染与肺癌的死亡率有关，现在研究表明工业废气中致癌物质污染大气，特别是细颗粒物（fine particulate matters，PM2.5）可含有3，4苯并芘、氧化亚砷、放射性物质、镍、铬化合物、不燃的脂肪族碳氢化合物等致癌物质。污染严重的大城市中，居民每日吸入空气中的苯并芘量可超过20支纸烟的含量，并增加纸烟的致癌作用。大气中苯并芘含量每增加1～6.2μg/1000m<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">3</span>，肺癌的死亡率可增加1%～15%。</p><p>（三）职业因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">工业生产中接触与肺癌发病有关的特殊物质有石棉、砷、铬、镍、铍、煤焦油、芥子气、三氯甲醚、氯甲甲醚、烟草的加热产物，以及铀、镭等放射性物质衰变时产生的氡和氡子气、电离辐射和微波辐射等。这些因素可使肺癌发生危险性增加3～30倍。从接触到发生肺癌的时间与暴露的程度有关，通常超过10年，平均为16～17年。其中石棉是世界公认的致癌物质，可能是人类肺癌中最常见的职业因素。接触石棉的工人中，肺癌、胸膜和腹膜间皮瘤的发病率平均较高，潜伏期可达20年或更久。此外，铀暴露和肺癌发生之间也有很密切的关系，特别是小细胞肺癌，吸烟可明显加重这一危险性。</p><p>（四）饮食</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">较少食用含β胡萝卜素的蔬菜和水果，肺癌发生的危险性升高。血清中β胡萝卜素水平低的人，肺癌发生的危险性也高。流行病学调查资料也表明，较多地食用含β胡萝卜素的绿色、黄色和橘黄色的蔬菜和水果，可减少肺癌发生的危险性，这一保护作用对于正在吸烟的人或既往吸烟者特别明显。</p><p>（五）遗传因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">虽然肺癌没有明显的孟德尔遗传模式，但其许多特征提示可能与家族相关。如Rb基因和p53基因遗传突变可能会发生肺癌。肺癌患者的一级亲属患肺癌或其他肿瘤的危险性增加2～3倍，且其发生可能与吸烟并不相关。基因流行病学研究也提出了P<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">450</span>酶或染色体脆性（致突变物敏感性）基因型与肺癌发生相关。</p><p>（六）基因改变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺癌细胞有许多基因损害，包括显性癌基因的激活和抑癌基因或隐性癌基因的失活。实际上，肺癌细胞可能有多种（可能≥10）基因异常。如对显性基因来说，有<em style=\"box-sizing: border-box;\">ras</em>癌基因家族编码区（尤其是肺腺癌的<em style=\"box-sizing: border-box;\">K-ras</em>基因）的点突变；<em style=\"box-sizing: border-box;\">myc</em>癌基因家族的扩增、重组和（或）转录控制丧失（<em style=\"box-sizing: border-box;\">c-、N</em>-和<em style=\"box-sizing: border-box;\">L-myc</em>；在非小细胞肺癌中发现<em style=\"box-sizing: border-box;\">c-myc</em>改变，然而在小细胞肺癌中发现所有的<em style=\"box-sizing: border-box;\">myc</em>家族成员都有改变）；以及<em style=\"box-sizing: border-box;\">bcl-2、Her-2/neu</em>和端粒酶基因的过度表达。非小细胞肺癌有<em style=\"box-sizing: border-box;\">ras</em>基因突变者预后不良，而小细胞肺癌出现<em style=\"box-sizing: border-box;\">c-myc</em>扩增者预后差。</p><p>（七）其他</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">某些肺疾病与肺癌发病有关。慢性支气管炎患者较无此病者肺癌发病率高1倍；结核灶瘢痕可发生腺癌。此外，病毒和真菌感染，土壤中硒和锌含量的降低也可能与肺癌发生有关。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4734', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1424', '病理学', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1976年，WHO曾将肺癌分为：鳞状上皮细胞癌（鳞癌）、小细胞未分化癌、大细胞癌、复合性上皮样癌和腺癌、类癌、支气管腺体肿瘤、上皮样乳头状瘤“混合瘤”及癌肉瘤、肉瘤、间皮瘤、黑色素瘤和未分类肿瘤13类。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1981年WHO将这一分类减少为6种：①鳞癌，包括梭形细胞（鳞）癌；②腺癌，包括腺管状腺癌、乳头状腺癌、细支气管癌、肺泡细胞癌；③腺鳞癌；④未分化癌：分为小细胞癌（包括燕麦细胞型、中间细胞型、复合细胞型）和大细胞癌，包括巨细胞癌、透明细胞癌；⑤类癌（肺内分泌肿瘤）；⑥支气管腺癌，包括腺样囊性癌、黏液上皮样癌和肺泡细胞癌。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前，为临床应用方便将肺癌分为鳞癌、腺癌、大细胞癌和小细胞癌四类。从治疗角度出发，临床又常将其概括为小细胞肺癌（small cell lung cancer，SCLC）和非小细胞肺癌（non small cell lung cancer，NSCLC）两大类。</p><p>（一）鳞癌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此型肺癌最易发展成息肉或无蒂肿块，主要位于支气管腔，易阻塞管腔引起阻塞性肺炎。有时鳞癌也发展成周围型，倾向于形成中央性坏死和空洞。显微镜下，鳞癌的特征是由很多典型的有丝分裂细胞构成，细胞生长呈复层，形成有角化碎屑的网称为上皮珠。细胞由不同的细胞间桥连接，构成毛刺外观。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">与其本身的恶性程度一致，支气管上皮可表现为鳞状化生或转变为原位癌。鳞癌倾向于通过支气管管壁生长，也向中央播散。所以在诊断前，生于较小支气管的鳞癌，已长入较大的支气管。鳞癌也常通过侵犯血管和淋巴管后转移到局部淋巴结或远处。</p><p>（二）腺癌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">腺癌常表现为周围型肺实质肿块。显微镜下可见到腺癌由新生的立方和柱状细胞构成，倾向于形成由纤维基质支持的腺样结构。核可变大或不规则，含有明显的核仁，胞浆中可见黏蛋白。腺癌早期即可侵犯血管、淋巴管，常在原发瘤引起症状前即已转移。2011年国际肺癌研究学会、美国胸科学会和欧洲呼吸学会（IASLC、ATS、ERS）联合推出了肺腺癌的国际多学科分类新标准，首次提出了分别适用于手术切除标本、小活检及细胞学的分类方法。新分类标准不再使用细支气管肺泡癌（BAC）和混合型腺癌的名称，而代之以原位腺癌（AIS）和微浸润腺癌（MIA）的命名；AIS被定义为≤3cm局限性小腺癌，癌细胞呈贴壁生长，无间质、血管或胸膜浸润，无乳头或微乳头结构，肺泡腔内无癌细胞聚集；MIA则被定义为≤3m局限性腺癌，癌细胞以贴壁生长方式为主且浸润灶≤5mm。浸润性腺癌可被分为贴壁为主型、腺泡为主型、乳头为主型、微乳头为主型和实性为主型伴黏液产生共5个亚型，对浸润性腺癌提倡全面而详细的组织学诊断模式。浸润性腺癌的变异型则包括浸润性黏液腺癌（之前的黏液型BAC）、胶样腺癌、胎儿型腺癌、肠型腺癌。</p><p>（三）大细胞肺癌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">与鳞癌和腺癌比较，大细胞肺癌缺乏自身特征，由带丰富胞浆的较大的恶性细胞组成。倾向于发生在周围肺实质。诊断率与送检标本是否得当和病理学检查是否全面有关，电镜研究常会提供帮助。这类肿瘤生长迅速，常侵犯淋巴结和血管，易转移到局部淋巴结和远处器官。</p><p>（四）SCLC</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">通常发生于大支气管，浸润支气管壁，造成管腔狭窄，但不形成分散的支气管内肿瘤。显微镜下可见到肿瘤由相当于淋巴细胞2～4倍大小的恶性细胞组成。核充满染色质，核仁大小类似，很多细胞处于有丝分裂状态。胞浆通常不多，然而有些称为中间亚型的小细胞肺癌可有较多的胞浆。由于在其发生发展的早期多已转移到肺门和纵隔淋巴结，并由于它易侵犯血管，在诊断时大多已有肺外转移。</p><p>（五）其他</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有人认为，如果对肿瘤的各部分进行充分的组织学检查，很多肺癌可有两种甚至四种细胞类型，其中以鳞腺癌比较常见。将肿瘤分为不同的细胞类型并不意味着它只由一种类型的细胞组成，只说明该细胞类型占优势。还可将鳞癌和腺癌进一步分为分化好，中度分化和分化差3种。分化好者可能生长慢、转移晚，预后较好。SCLC和大细胞肺癌基本都是未分化的，不适合这种区分。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4735', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1424', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近5%的肺癌患者无症状，仅在胸部影像学检查时发现。绝大多数患者可表现或多或少与肺癌有关的症状与体征，可按部位分为支气管-肺局部、肺外胸内扩展、胸外转移和非转移性胸外表现4类。</p><p>1.支气管-肺局部表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常有刺激性干咳，或被患者描述为“吸烟性咳嗽”。少数表现为高调金属音性咳嗽或刺激性呛咳。肿瘤向管腔内生长时可有间歇或持续性痰血，表面糜烂严重侵蚀大血管者时可出现痰血或少量咯血。肿瘤向支气管内生长并引起部分阻塞时，可有呼吸困难、喘息，偶尔表现为哮鸣伴局限或单侧哮鸣音。气道阻塞还可引起阻塞性肺炎和肺不张。阻塞性肺炎可出现在近1/3的患者中，表现为肺炎或肺脓肿，伴发热、咳嗽等呼吸道症状。因其经抗生素治疗即可改善，易误诊为炎症。近半数患者可有模糊或难以描述的胸痛或钝痛，可为炎症波及部分胸膜或胸壁引起，也可为肿瘤侵犯所致。</p><p>2.肺外胸内扩展表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近15%的患者肿瘤向肺外生长进入胸腔、胸壁、纵隔或侵犯附近结构和神经而引起相应症状。约5%的患者表现为声音嘶哑和上腔静脉阻塞综合征。声音嘶哑是由于肿瘤或转移性癌性淋巴结肿大压迫喉返神经引起，多见于左侧。上腔静脉阻塞综合征是由于上腔静脉被附近肿大的转移性淋巴结压迫或右上肺的原发性肺癌侵犯，或者腔静脉内癌栓阻塞静脉回流引起。表现为头面部和上半身瘀血水肿，颈部肿胀，颈静脉怒张，患者常主诉进行性领口变紧，前胸壁可见到扩张的静脉侧支循环。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺尖部肺癌又称肺上沟瘤（Pancoast瘤），易压迫颈部交感神经引起同侧瞳孔缩小、上眼睑下垂、额部少汗等体征，称Horner综合征。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">约10%的患者有不同程度的胸水，通常提示肺淋巴回流受阻或肿瘤转移累及胸膜。1%的患者表现为吞咽困难，是由于肿瘤转移至食管旁的淋巴结造成食管部分阻塞引起。</p><p>3.胸外转移表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3%～10%的患者可见到胸腔外转移症状、体征。以SCLC居多，其次为未分化大细胞肺癌、腺癌、鳞癌。可表现为颅内转移的神经症状，包括颅内压增高，如头疼、恶心、呕吐、精神状态异常。少见的症状为癫痫发作、偏瘫、小脑功能障碍、定向力和语言障碍。此外还可有脑病，小脑皮质变性，外周神经病变，肌无力及精神症状。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1%～2%的患者由于肿瘤转移到骨骼，引起骨痛和病理性骨折。常见于SCLC。大多为溶骨性病变，少数为成骨性。肿瘤转移至脊柱后可压迫椎管引起局部压迫和受阻症状。此外，也常见股骨、肱骨和关节转移，甚至引起关节腔积液。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肿瘤也可转移到腹部，但是很少见到以腹部肿块为主诉的就诊者。部分SCLC可转移到胰腺，表现为胰腺炎或阻塞性黄疸症状。其他细胞类型的肺癌也可转移到胃肠道、肾上腺和腹膜后淋巴结，多无临床症状，需要依靠CT、MRI或PET作出诊断。</p><p>4.胸外表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">非转移性胸外表现称为副癌综合征。近2%的肺癌患者初诊是因为全身症状或这些与肿瘤远处转移无关的症状和体征，缺乏特异性，主要表现为以下几方面。</p><p>（1）库欣综合征：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">最常见的为SCLC或支气管类癌。约2%～5%的SCLC患者会有这一表现，在瘤组织中甚至循环血中可测到促肾上腺皮质激素（ACTH）增高。这种激素虽然有自主的生理性作用，但不同于正常的激素，因为地塞米松不能抑制ACTH在尿中的终末代谢物17-OHCS。</p><p>（2）抗利尿激素分泌：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可引起厌食、恶心、呕吐等水中毒症状，还可伴有逐渐加重的神经并发症。其特征是低钠（血清钠＜135mmol/L），低渗（血浆渗透压＜280mOsm/ kg）。</p><p>（3）类癌综合征：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">典型特征是皮肤、心血管、胃肠道和呼吸功能异常。主要表现为面部、上肢躯干的潮红或水肿、胃肠蠕动增强、腹泻、心动过速、喘息、瘙痒和感觉异常。这些阵发性症状和体征与肿瘤释放不同的血管活性物质有关，除了5-羟色胺外，还包括缓激肽、血管舒缓素和儿茶酚胺。</p><p>（4）异位促性腺激素：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">合并异位促性腺激素的肺癌不多，大部分是大细胞肺癌，主要为男性轻度乳房发育和增生性骨关节病。</p><p>（5）低血糖：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">这是胰岛素分泌增加或胰岛素样活动的结果，见于鳞癌，切除肿瘤后可减轻。</p><p>（6）高钙血症：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可由骨转移或肿瘤分泌过多甲状旁腺素相关蛋白引起，常见于鳞癌。患者表现为嗜睡、厌食、恶心、呕吐和体重减轻及精神变化。切除肿瘤后血钙水平可恢复正常。</p><p>（7）神经肌肉表现：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">癌性神经肌肉病变是肺癌最常见的非转移性胸外表现，发生率近15%。一组病例研究发现，其中56%为SCLC，22%为鳞癌，16%为大细胞肺癌，5%为腺癌。半数患者没有其他的肺癌症状，而且1/3的神经肌肉病变发生在其他症状出现前或肺癌明确诊断前一年，因此推论这些症状与转移无关。主要异常有：①小脑退行性变：如共济失调，眩晕，构音障碍；②运动神经病变：表现为进行性消耗，虚弱和肌纤维自发性收缩；③多神经炎合并混合的运动和感觉障碍；④感觉性神经病变：常开始于麻木，有时面部肢体疼痛，逐渐丢失全身的各种感觉，反射减弱，偶尔出现耳聋；⑤精神异常：进行性痴呆，时有抑制性精神错乱，木僵或精神不稳定；⑥肌病：表现为萎缩性轻瘫，特别是肢体肌肉和近端肢体；⑦多发性肌炎：特别是肌肉和近端肢体肌肉疲劳，如盆部和大腿肌肉，消耗明显而且有原发肌纤维变性；⑧自主神经系统异常：如体位低血压；⑨骨骼表现：支气管肺癌最常见的末梢体征是杵状指，有时合并肥大性骨关节病。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4736', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1424', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">只有具备充分警惕性，特别是筛查，才能提高早期诊断率，明显改善预后。</p><p>（一）提高早期诊断意识</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于40岁以上吸烟者，具有以下特点者应立即采取相应的检查以便早期诊断：①持续2周以上刺激性咳嗽，治疗无效；②原有慢性呼吸道疾病，近期出现咳嗽性质改变；③单侧局限性哮鸣音，不因咳嗽改变；④反复同一部位肺炎，特别是肺段肺炎；⑤原因不明的肺脓肿，无异物吸入史和中毒症状，抗生素治疗效果差；⑥原因不明的关节疼痛及杵状指（趾）；⑦影像学发现局限性肺气肿，肺段或肺叶不张，相通支气管可疑狭窄；⑧孤立性圆形、类圆形病灶和单侧肺门阴影增浓、增大；⑨原有稳定性肺结核病灶，其他部位出现新病灶，抗结核治疗后病灶反而增大或形成空洞，痰结核菌阴性；⑩不明原因的迁移性、栓塞性下肢静脉炎。</p><p>（二）影像学检查1.中央型肺癌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肿瘤向管腔内生长可引起支气管阻塞征象。阻塞不完全时呈现段、叶局限性气肿。阻塞完全时，则表现为段、叶不张。肺不张伴有肺门淋巴结肿大时，下缘可表现为倒S状影像（图17-9-1），是中央型肺癌特别是右上叶中央型肺癌的典型征象。引流支气管被阻塞后，易导致远端肺组织继发性肺炎或肺脓肿。抗生素治疗后吸收多不完全，易复发。若肿瘤向管腔外生长，可产生单侧性、不规则的肺门肿块。肿块亦可能由支气管肺癌与转移性肺门或纵隔淋巴结融合而成。CT支气管三维重建技术（仿真内镜）可发现段支气管以上管腔内的肿瘤或狭窄（图17-9-2）。</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180517-1526520459435094962.jpg\" title=\"1526520459435094962.jpg\" alt=\"P17-9-1_9289.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 922px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图17-9-1　右上叶肺癌引起肺不张（下缘呈S状）</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180517-1526520473425070390.jpg\" title=\"1526520473425070390.jpg\" alt=\"P17-9-2_9292.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 922px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图17-9-2　段支气管新生物仿真内镜影像特征箭头指处示管腔内新生物，纤支镜病理报告为腺癌</p><p>2.周围型肺癌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早期多呈局限性小斑片状阴影，边缘不清，密度较淡，易误诊为炎症或结核。随着肿瘤增大，可形成直径约0.5～1cm，密度较高，边缘毛糙的小结节状阴影。肿瘤增大至直径2～3cm后，则呈圆形或类圆形结节，密度增高，边界清楚。可表现为分叶状、有脐凹或细毛刺状阴影（图17-9-3A、B）。高分辨CT可清晰地显示肿瘤分叶、边缘毛刺、胸膜凹陷征，甚至钙质分布类型、支气管充气征和空泡征（图17-9-4）。</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180517-1526520521776041825.jpg\" title=\"1526520521776041825.jpg\" alt=\"P17-9-3_9303.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1370px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图17-9-3　周围型肺癌胸片改变</p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">A.左下叶肺癌未分化癌（后前位） B.左下叶肺癌未分化癌（侧位）</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180517-1526520537522062510.jpg\" title=\"1526520537522062510.jpg\" alt=\"P17-9-4_9306.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 922px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图17-9-4　高分辨CT</p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">左下肺后段腺癌显示胸膜凹陷征和空泡征</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180517-1526520554854089751.jpg\" title=\"1526520554854089751.jpg\" alt=\"P17-9-5_9310.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1370px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图17-9-5　癌性空洞</p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">A.左下叶癌性空洞（内有液平） B.左肺癌性空洞（体层片）巨大空洞，其内壁凹凸不平</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如肿瘤向肺门淋巴结蔓延，可见其间引流淋巴管增粗形成条索状阴影伴肺门淋巴结增大。癌组织坏死与支气管相通后，表现为厚壁、偏心、内缘凹凸不平的癌性空洞（图17-9-5A、B）。继发感染时，洞内可出现液平。腺癌影像学表现多种多样，可表现为类似支气管肺炎的斑片状浸润阴影。</p><p>3.细支气管肺泡癌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">结节型的细支气管肺泡癌X线多表现为单个的圆形阴影。如为弥漫型，则为两肺大小不等的结节样阴影，边界清楚，密度较深。随病情发展逐渐增多，增大，甚至融合成肺炎样片状阴影。病灶间常有增深的网状阴影，有时可见支气管充气征（图17-9-6）。</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180517-1526520588502063935.jpg\" title=\"1526520588502063935.jpg\" alt=\"P17-9-6_9320.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 922px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图17-9-6　细支气管肺泡癌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常规胸片分辨率有限和存在死角，很难发现直径小于5～6mm的病变，少数支气管内肿瘤和原位癌也可漏诊。因此，对于怀疑肺癌者需要CT检查。病灶边缘欠光滑有毛刺常提示为恶性病变。然而，病灶边缘光滑也不能除外恶性病变。病灶内存在钙化，尤其是位于中央，均匀环状或爆米花样分布常提示为良性病变，但原发性支气管肺癌偶可出现偏心钙化。</p><p>（三）细胞学检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如果收集痰标本方法得当，3次以上痰标本可使中央型肺癌诊断率提高到80%，周围型肺癌诊断率达50%。如果患者的痰量不多，可通过吸入加温的10%～15%生理盐水或20%丙二醇（丙烯乙二醇）导痰。影响痰细胞学诊断正确性的因素有：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.痰标本不适当，无肺泡巨噬细胞时常提示痰标本可能不是来自下呼吸道，痰中混有脓性分泌物可引起恶性细胞液化；</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.送检标本次数少，少于3次的系列痰标本可明显减少阳性检出率；</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.细胞病理学家经验，不但需要尽可能仔细地检查痰涂片的全部视野，而且还需要丰富的识别恶性细胞的能力。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">支气管镜检查时灌洗物、刷检物，浅表淋巴结穿刺，经皮或经支气管镜穿刺标本的细胞学检查也可对诊断提供重要帮助。</p><p>（四）支气管镜</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">已被广泛地应用于中央型和周围型病变诊断。对于支气管镜可见的支气管内病变，刷检诊断率可达92%，活检诊断率可达93%。支气管镜检查缺点是活检得到的标本量较少，偶尔在处理黏膜下深部病变时，活检钳不能夹到恶性细胞，可出现假阴性结果，此时增加支气管镜针吸检查可提高诊断率。经支气管镜肺活检（transbronchoscopic lung biopsy，TBLB）可显著提高周围型肺癌诊断率。对于直径大于4cm的病变，诊断率可达50%～80%。但对于直径小于2cm的病变，诊断率仅20%左右。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年自荧光支气管镜（AFB）和支气管内超声（EBUS）对肺癌早期诊断发挥越来越重要的作用。AFB可实时采集图像，检测出气管支气管黏膜中很小区域的荧光变化。对气管支气管树上异常荧光区域黏膜的活检可增加小的恶变前病灶（发育异常）或早期恶变（原位癌）的检出率。EBUS可将支气管镜和超声系统联合起来，弥补肉眼不足，提高外周孤立肺结节活检阳性率，提高对纵隔淋巴结分期准确度，提高早期支气管内肿瘤（原位癌）检出率，并可指导局部治疗。</p><p>（五）针吸细胞学检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可经皮或经支气管镜进行针吸细胞学检查。还可在超声波、X线或CT引导下进行，目前常用的主要为浅表淋巴结和经超声波引导针吸细胞学检查。</p><p>1.浅表淋巴结针吸细胞学检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可在局麻或不麻醉时对锁骨上或腋下肿大浅表淋巴结做针吸细胞学检查。对于质地硬、活动差的淋巴结可得到很高诊断率。</p><p>2.经皮针吸细胞学检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对周围型肺癌诊断率可达到95%。病变靠近胸壁者可在超声引导下针吸活检，病变不近胸壁时，可在透视或CT引导下穿刺针吸或活检。由于针刺吸取的细胞数量有限，可出现假阴性结果。为提高诊断率，可重复检查。约29%的病变最初细胞学检查为阴性，重复检查几次才发现恶性细胞。因此，高危人群的最初针吸细胞学诊断阴性时，不应放松警惕，还需进一步做针刺细胞学随访或肺活检等诊断性检查，直到病理证明为恶性或特异性的良性病变为止。经皮针吸细胞学检查常见并发症是气胸，发生率约25%～30%。肺压缩少于25%者通常可自行吸收，气胸量较多者需胸穿抽气或插管闭式引流。发生气胸的主要诱发因素是原有慢性阻塞性肺疾病（简称慢阻肺）。有研究表明给慢阻肺患者做经皮针吸细胞学检查后，气胸发生率可达46%，而无慢阻肺者仅有7%。</p><p>3.经支气管镜针吸细胞学检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于周围型病变和气管、支气管旁淋巴结或肿块，可经支气管镜针吸细胞学检查。与TBLB合用时，可将中央型肺癌的诊断率提高到95%，弥补活检钳夹不到黏膜下病变时所造成的漏诊。</p><p>（六）其他活组织检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">手术摘除浅表淋巴结，如锁骨上、前斜角肌或腋下淋巴结做病理检查，可判断有无肿瘤转移及其细胞类型。纵隔镜检查可明确有无纵隔淋巴结转移，对判断手术切除肿瘤可能性颇有帮助。胸腔积液性质不明，疑有胸膜肿瘤或肺癌转移时，可采用胸膜活检或在胸腔镜直视下活检。</p><p>（七）剖胸探查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对高度怀疑肺癌的病例，经上述各种方法检查都未能确诊且可耐受手术者，应及时剖胸探查，以免失去手术切除机会。</p><p>（八）核医学检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">某些核素，如<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">67</span>镓（<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">67&nbsp;</span>Ga）-枸橼酸、<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">169</span>镱（<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">169&nbsp;</span>Yb）-枸橼酸、<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">57</span>钴（<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">57&nbsp;</span>Co）-博来霉素、<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">113</span>铟（<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">113</span>In）-博来霉素或<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">99m</span>锝（Tc<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; top: -0.5em;\">99m</span>）-博来霉素等有亲肿瘤特性，在正常和非肿瘤部位浓聚较少，有助于鉴别结节的良、恶性，但特异性差，假阳性可高达35%左右。正电子发射计算机体层扫描（PET）对肺癌的敏感性可达95%，对发现转移病灶也很敏感，特异性最多达90%，可作为临床上肺癌分期、评价疗效以及复发和转移的参考依据。</p><p>（九）肿瘤标志物检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">部分肺癌患者的血清和切除的肿瘤组织中，含有一种或多种生物活性物质，如激素、酶、抗原和癌胚蛋白等。其中神经元特异性烯醇化酶（NSE）、胃泌素释放肽前体（ProGRP）对小细胞癌较敏感。癌胚抗原（CEA）在肺腺癌中阳性率达60%～80%，鳞癌相关抗原（SCC-Ag）和细胞角蛋白19片段（CYFRA21-1）等对诊断和鉴别诊断、观察病情变化也有帮助。但是这些癌标志物往往敏感性还不够高，往往在肿瘤负荷较重时才显著升高，限制了其早期诊断的临床价值。但是我们的研究表明，多个癌标志物的联合检测可以部分弥补其不足。胸液肺癌标志物的诊断价值有时高于血清检查，但是已为晚期。</p><p>（十）早期筛查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">以往常规筛查方法为胸片，但是2011年8月新英格兰医学杂志发表的大规模低剂量CT （LDCT）对比胸片筛查肺癌的随机对照研究结果表明，对高危人群用LDCT筛查肺癌可较胸片降低20%的肺癌死亡率（P=0.004）。基于这一里程碑式研究，美国国家癌症协作网推荐对所有年龄55～74岁，吸烟≥30年×包，或者年龄≥50岁，吸烟≥20年×包并有额外的肺癌危险因素人群进行年度LDCT筛查，并制订了详细随访方案。对于如何判断结节良恶性，如何在避免漏诊的同时减少不必要的有创检查，则需要临床医师的经验和进一步科学化随访流程，使用得当即会对肺癌防治发挥重要作用。图17-9-7为肺部结节诊疗流程图。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180516-1526459015130044526.jpg\" title=\"1526459015130044526.jpg\" alt=\"P17-9-7_9333.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1418px; table-layout: fixed;\"/></p><p style=\"text-align: center;\">&nbsp; &nbsp;图17-9-7　肺部结节诊疗流程图</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">虽然也有研究提出LDCT筛查的危害，包括潜在的辐射诱发癌变、假阳性率高、过度诊断和增加医疗费用，但是该研究表明LDCT组相比胸片组总死亡率同样下降，提示一年一度LDCT放射性并未对人体产生不利影响，跟踪报道肺癌发生率仅为1%，且无法证明是放射线造成的。目前尚无统一的肺癌筛查方法，但是有一定规律可循。美国国家癌症网络发布的2012年LDCT筛查肺癌指南值得参考，对年龄55～74岁，吸烟≥30年×包，或者年龄≥50岁，吸烟≥20年×包并有额外肺癌危险因素人群推荐年度筛查。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">我国应该建立自己的肺癌筛查标准。原因是我国除了吸烟外，还存在PM2.5空气污染问题。应该将吸烟者和严重污染环境接触者均列为高危人群，及时接受肺癌筛查。至于医疗费用，中国LDCT价格便宜，仅为美欧的几十分之一，或者仅为胸片的2倍。此外，早期诊断不但可提高生存率，而且还可较其他晚期治疗节省大量医疗费用。所以我们更应该提倡早期筛查，而且可通过其他检查方法进行鉴别避免过度诊断，如定期随访LDCT和肿瘤标志物有助于综合鉴别判断和早期诊断。</p><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">【分期】</h6><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺癌分期对选择恰当的治疗方法和判断预后具有重要意义。分期是用简洁的语言来描述原发瘤的位置和大小，向肺外生长的情况，有无局部、肺门和纵隔淋巴结转移及远处脏器的转移。</p><p>（一）TNM分期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2009年7月国际肺癌研究学会（IASLC）公布了第7版肺癌TNM分期系统，见表17-9-1、表17-9-2。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表17-9-1　肺癌的TNM分期</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180516-1526459078341000206.jpg\" title=\"1526459078341000206.jpg\" alt=\"T17-9-1_48369.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1992px; table-layout: fixed;\"/></p><p style=\"text-align: center;\">注：*大部分肺癌患者的胸腔积液是由肿瘤所引起的，如果胸水的多次细胞学检查未能找到癌细胞，胸水又是非血性和非渗出性的，临床判断该胸水与肿瘤无关，这种类型的胸水不影响分期</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表17-9-2　TNM与临床分期的关系</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180516-1526459108536077503.jpg\" title=\"1526459108536077503.jpg\" alt=\"T17-9-2_48371.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 981px; table-layout: fixed;\"/></p><p>（二）SCLC分期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">至于SCLC分期，采用的是局限和广泛两期分类法。人们最早使用的SCLC分期是美国退伍军人管理局肺癌研究组（VALG）制定的分期，分期的依据是病变是否能被照射野包括。该分期认为局限期SCLC的特征是：肿瘤局限于一侧胸腔、纵隔、前斜角肌及锁骨上淋巴结；不能有明确的上腔静脉阻塞、喉返神经受侵及胸腔积液。由于该分期简便易行，在临床上广泛应用。随着放疗技术的不断提高，放疗的照射范围有所增大，可包括对侧纵隔、锁骨上淋巴结；且回顾性分析发现，对侧纵隔、锁骨上淋巴结累及和同侧胸水患者的生存率与局限期相近，与远处转移患者明显不同。因此，国际肺癌研究协会（IASLC）经讨论达成共识：局限期指肿瘤局限于单侧胸腔内及其所引流的区域淋巴结、双侧的纵隔淋巴结和锁骨上淋巴结，且无该肺的广泛转移；同侧的胸水、喉返神经受侵及上腔静脉阻塞也列为局限期。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据两种分期的定义，一般认为，TNM分期中的Ⅰ～Ⅲ期相当于SCLC的局限期。</p><p>（三）分期方法</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">为使肺癌分期准确，需要完善的分期信息，包括病史、体检和实验室检查（如血钙、血常规和肝功能。贫血、血小板减少，可由于肿瘤直接侵犯到骨髓所致。高钙血症可由于肿瘤转移到骨或肿瘤分泌甲状旁腺样激素，肝功能异常可提示肝内转移或肝外阻塞），胸部、肝脏和肾上腺CT扫描，头部磁共振成像（MRI，首选）或CT扫描，骨扫描（如果已接受PET检查可不做），胸片（可不做）。头部MRI较CT在确定脑转移方面更为敏感，PET/CT可用于评价肿瘤局部情况及转移。外周血涂片异常者可接受单（双）侧骨髓穿刺检查或活检。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常规胸片对发现纵隔淋巴结受累的敏感性仅40%左右。断层可增加阳性发现率，但仍无法与CT比较。CT和PET扫描是发现纵隔病变较敏感的技术，可将阳性率提高到95%。由于PET的高敏感性，一些胸外科医师在PET证明纵隔无转移后即可做开胸手术。MRI也可用于纵隔有无转移的评价，但它只在评价肺上沟瘤和判定肺癌有无侵犯胸壁和心包时具有优越性。由于纵隔内肿大淋巴结也可能是炎症或其他非肿瘤新生物，所以PET发现的纵隔淋巴结肿大仍需组织学确认。最好在开胸术前，接受创伤性分期手术检查，如经皮、胸、经支气管镜针吸细胞学检查或活检、EBUS，甚至纵隔镜检查。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">支气管镜检查可用于疾病的分期，判定肿瘤是否接近或累及隆突。肿瘤侵犯隆突或与其距离少于2cm时常很难进行切除，预后差。经支气管镜针吸细胞学检查可评估肿瘤对支气管周围侵犯，有无局部或气管、支气管旁和纵隔淋巴结转移，帮助分期，但其敏感性受操作者经验的影响较大。经皮针吸细胞学检查也可用于判断肿大的纵隔和肺门病变，也受检查者经验的影响。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对位于锁骨上窝或纵隔的淋巴结活检，可帮助某些病例得到明确组织学诊断和判断肿瘤的可切除性。仅仅在确实触到斜角肌三角的淋巴结后，才去做淋巴结活检。不提倡去活检触不到的淋巴结，因其阳性率少于10%。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">纵隔镜和纵隔切开术可用于直接探查或从纵隔摘取活组织标本。可通过纵隔镜完全评价上纵隔，也可通过纵隔切开术探查隆突下和左前主动脉周围区域病变，但较难得到活检标本。纵隔镜对判定有无纵隔淋巴结转移，选择恰当的治疗方法和判定预后均有重要意义。病变对侧纵隔淋巴结转移（Ⅲb）常被认为是开胸手术的绝对禁忌证。同侧纵隔淋巴结受累（Ⅲa）可考虑肺切除加根治性淋巴结扫荡。很多医师认为仅仅当胸部CT提示肺门和纵隔淋巴结明显肿大时，或不适合剖胸检查时才做纵隔镜。患者已接受纵隔放疗或气管切开术后禁忌纵隔镜。有上腔静脉阻塞者由于大静脉压力较高，纵隔镜也有危险。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于年老患者和肺功能储备受限者没有必要为诊断目的而开胸手术，可通过支气管镜或经皮针刺活检等来确诊。对于肺上沟瘤有上腔静脉综合征的患者没有必要为诊断而开胸。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">核素扫描是骨、肝、脾转移的敏感指示剂。然而对于无症状的NSCLC患者和实验室结果无异常发现时，没有必要常规进行这些检查。因其可导致误解，如陈旧性骨折、炎症等非恶性病变也可表现出阳性的骨和肝扫描结果。如果误解为转移，会造成进一步创伤性检查的浪费和延误外科手术时间。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">虽然评价SCLC患者有无肺外转移的技术与评价NSCLC患者一样，但因其胸外转移频率高，一些临床医生推荐常规的头颅、骨、肝、肾上腺等多器官CT扫描或PET/ CT。也有人推荐常规的骨髓检查（骨穿或活检），因为骨髓累及率近50%，即使无末梢血异常或无骨扫描阳性发现时。因此，对于局部治疗［胸部放疗和（或）手术切除者］或参加临床试验的患者应鼓励进一步分期来全面发现无症状的转移灶。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4737', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1424', '鉴别诊断', '<p>（一）肺结核1.肺结核球</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">应与周围型肺癌相鉴别。结核球多见于年轻患者，病灶多见于肺上叶尖后段和下叶背段的结核好发部位。一般无症状，病灶边界清楚，密度高，可有包膜，时含钙化点，周围伴纤维结节状病灶，多年不变。</p><p>2.肺门淋巴结结核</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">易与中央型肺癌相混淆，多见于儿童、青年。多有发热、盗汗等结核中毒症状。结核菌素试验常阳性，抗结核治疗有效。肺癌多见于中年以上成人，病灶发展快，呼吸道症状比较明显。痰脱落细胞检查和纤支镜检查有助于鉴别诊断。</p><p>3.粟粒性肺结核</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">应与弥漫型细支气管肺泡癌相鉴别。通常粟粒性肺结核患者年龄较轻，有发热、盗汗等全身中毒症状，呼吸道症状不明显。X线表现为细小、分布均匀、密度较淡的粟粒样结节。经支气管镜肺活检，有助于明确诊断。</p><p>（二）肺炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">约1/4的早期肺癌以肺炎形式表现，需与肺炎鉴别。若起病缓慢，无毒性症状，抗生素治疗后炎症吸收缓慢，或同一部位反复发生肺炎时，应考虑到肺癌可能，尤其是段、叶性病灶，伴有体积缩小者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺部慢性炎症机化后形成团块状炎性假瘤，也易与肺癌相混淆。但炎性假瘤往往形态不整，边缘不光滑，有密度较高核心，易伴有胸膜增厚，病灶长期无明显变化。</p><p>（三）肺脓肿</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">癌性空洞继发感染，应与原发性肺脓肿鉴别。前者先有肺癌症状，如刺激性咳嗽、反复痰血，随后出现感染、咳嗽加剧。原发性肺脓肿起病急，中毒症状严重，多有寒战、高热、咳嗽、咳大量脓臭痰等症状。肺部影像学可见均匀的大片状炎性阴影，空洞内常见较深液平。血常规检查可发现白细胞和中性粒细胞增多。</p><p>（四）结核性胸膜炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">结核性胸膜炎的胸液多为透明，草黄色，有时为血性。癌性胸液则多为血性，但肿瘤阻塞淋巴管时，可有漏出性胸液。胸水常规、结核菌和病理检查，有助于诊断。</p><p>（五）结节病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">典型的结节病为双侧肺门及纵隔对称性淋巴结肿大，可伴有肺内网状、结节状或片状阴影。组织活检病理证实或符合结节病。</p><p>（六）纵隔淋巴瘤</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">颇似中央型肺癌，常为双侧性，可有发热等全身症状，但支气管刺激症状不明显，痰脱落细胞检查阴性。</p><p>（七）肺部良性肿瘤</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">许多良性肿瘤在影像学上与恶性肿瘤相似。其中尤以支气管腺瘤、错构瘤等更难鉴别。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4738', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1424', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺癌治疗应当采取综合治疗的原则，即根据患者机体状况，肿瘤病理学类型，侵犯范围（临床分期）和发展趋向，采取多学科综合治疗模式。通常SCLC发现时已转移，外科手术很难根治，主要依赖化疗或放化疗综合治疗。相反，NSCLC可为局性限，部分外科手术或放疗可根治，但对化疗反应较SCLC差，少数化疗失败后还可从靶向治疗获益。因此，应有计划、合理地应用手术、化疗、放疗和靶向治疗，甚至辅以免疫和中药的多学科综合治疗，以期达到根治或最大限度地控制肿瘤，改善患者生活质量和延长生存期。</p><p>（一）SCLC1.局限期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">手术切除：SCLC主要采用放化疗联合治疗。虽然约30%～40%的患者处于局限期，但仅有近5%的患者在临床分期时表现为周围性肺结节且无纵隔淋巴结转移，可经手术治疗。术后，对于纵隔淋巴结阴性的患者，仅仅需要化疗（EP方案：依托泊苷+顺铂），5年生存率为30%～60%；对于纵隔淋巴结阳性的患者，除化疗外还需放疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">放疗联合化疗：对于大多数局限期SCLC患者，同步放化疗优于序贯放化疗。荟萃分析结果显示，以铂类为基础的化疗开始30天内进行胸部放疗，其5年生存率明显高于30天后开始放疗的患者（20%vs 14%）。同步放化疗可缩短总治疗时间，增加治疗强度和抗肿瘤协同作用。目前对于SCLC放化疗顺序达成的共识为：支持早期同步放化疗方案，即首次化疗起始后的3周内开始放疗。根据2009年美国NCCN关于SCLC临床实践指南建议，胸部照射剂量为45Gy，每次1.5Gy，每天2次或60～70Gy，每次1.8～2.0Gy，每天1次。由于SCLC细胞增殖快，理论上认为超分割方案（放疗总剂量不变的情况下，减少每次放疗的剂量，增加放疗次数）应优于常规方案，但超分割治疗的患者3级放射性食管炎的发生率较高。目前尚不清楚若在生物剂量等效的情况下，较大剂量的常规放疗与超分割放疗的疗效是否有差异。超分割方案是否真正优于常规方案仍有待进一步临床试验的数据证实。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">预防性脑照射（PCI）：对于治疗后完全或部分缓解的局限期患者，PCI（25Gy、10次分割或30Gy、10～15次分割）能够降低脑转移风险，并降低死亡率。然而PCI可导致大脑认知功能异常，在老年患者中尤须注意。</p><p>2.广泛期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">化疗是广泛期SCLC的主要治疗方法。常用方案为依托泊苷+顺铂或卡铂（表17-9-3为具体化疗方案及剂量）。卡铂较顺铂发生恶心、呕吐和神经毒性的概率较低。化疗为每3周为1个周期，共4～6个周期。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对化疗达到完全缓解或部分缓解的广泛期患者可行PCI，具体剂量同局限期SCLC，此外还可考虑20Gy的5次分割放疗。但对PS评分差（3～4分）或精神心理功能障碍的患者不推荐PCI。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前为止，没有证据表明化疗或靶向药物作为维持治疗能够降低死亡率。</p><p>3.支持治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">SCLC伴发的肿瘤急症，如上腔静脉阻塞综合征、脊髓压迫症、脑转移所致颅内高压等，常危及生命，应强调及早局部放疗。指南推荐应在化疗前对有症状的部位进行放疗，除非须立即行全身化疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此外，SCLC易伴发副癌综合征，如抗利尿激素分泌过多综合征、异位库欣综合征、类癌综合征和皮肤副癌综合征等。副癌综合征的治疗和预后不同，通常伴发的内分泌和皮肤副癌综合征容易治疗，但对并发神经系统异常者疗效往往不佳。大约25%的SCLC患者伴发抗利尿激素分泌过多综合征，可通过限制液体、对有症状者行补钠治疗及积极有效的抗肿瘤治疗可以得到缓解。在治疗过程中也应重视对患者伴发的疼痛、感染、乏力的姑息对症治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">因为吸烟与SCLC的发生密切相关，应该积极劝告吸烟者戒烟。近年来，西方国家SCLC发病率下降，主要源于大力开展控烟运动。我国吸烟人数没有明显下降，故SCLC发病没有得到控制。此外，吸烟患者治疗耐受性下降，吸烟还可加重口腔溃疡导致味觉丧失、口干、疲乏和体重下降。戒烟后可减少患者疲劳和呼吸困难，并改善活动体力、睡眠和情绪。另有研究发现，放疗期间吸烟与放射性肺炎发生率增加有关。持续吸烟和复吸患者的第二肿瘤风险明显增加，且较戒烟患者预后差。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前，SCLC的药物治疗，尤其是靶向治疗还没有明显突破，主要是化疗，可参考表17-9-3选择化疗方案。</p><p>（二）NSCLC1.Ⅰ、Ⅱ期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于Ⅰ、Ⅱ期NSCLC患者，首选手术治疗。术前需进行全身综合评估，如肺功能（FEV<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>和DL<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">CO</span>）和动脉血气等。在心肺功能允许的情况下，根据FEV<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>和DL<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">CO</span>选择安全的肺切除、肺叶切除、楔形切除或肺段切除等术式。如术前FEV<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>和DL<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">CO</span>均＜40%预计值，手术后死亡率增加。通常单肺切除需FEV<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>＞2L，DL<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">CO</span>＞60%；肺叶切除需FEV<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>＞1.5L，DL<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">CO</span>＞50%。有研究表明，楔形切除和肺段切除局部复发率较肺叶和肺切除明显升高。肺叶和肺切除的死亡率分别为3%和9%。对于大于70岁的患者，单肺切除死亡率可达16%～25%。此外在术中应注意周围淋巴结清扫。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表17-9-3　SCLC化疗方案</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180516-1526459173523015997.jpg\" title=\"1526459173523015997.jpg\" alt=\"T17-9-3_48397.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 981px; table-layout: fixed;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">就辅助治疗而言，对于ⅠA期（T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1ab</span>，N<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>）患者，若术中发现切缘阴性需继续观察，若切缘阳性则首选再次切除或放疗。对于ⅠB期（T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2a</span>，N<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>）、ⅡA期（T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2b</span>，N<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>）患者，若术中发现切缘阴性需继续观察或给予高危者化疗，若切缘阳性则首选再次切除±化疗或放疗+化疗。此外，对于ⅡA期（T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1ab～2a</span>；N<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>）、ⅡB期（T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>，N<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>；T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2b</span>，N<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>）患者，若术中发现切缘阴性，推荐辅助化疗±放疗，若切缘阳性则应再次切除联合化疗或放化疗联合治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于拒绝手术或无法手术的患者，可选择立体定向放射治疗（SBRT）。</p><p>2.手术可切除的Ⅲ期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于ⅢA期手术可切除的患者［单侧纵隔累及（N<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>），肿瘤（T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>）累及胸壁、膈肌或胸膜，肺上沟瘤］，单纯手术往往不够。与单纯手术或术后放疗相比，新辅助化疗序贯放疗或同步放化疗能够明显改善生存率，但是后者能明显增加放射性食管炎。此外，对于ⅢA期（T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1～3</span>，N<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>）患者，若术中切缘为阴性，则行辅助化疗联合放疗，若切缘阳性则行术后辅助放化疗。</p><p>3.手术不可切除的Ⅲ期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1～2</span>，T<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>（≥7cm），纵隔活检为N<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>者应行脑MRI，对以前未接受过检查者可行PET-CT扫描。若评估发现患者未发生全身转移，则行根治性同步放化疗或诱导化疗±放疗。若诱导化疗后疾病无进展，可考虑手术±放化疗（2B类）±放疗（若起始治疗未用）。若疾病进展则对局部病灶放疗（若起始治疗未用）±化疗，对全身病灶的治疗同M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>治疗。若评估结果为M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>，则起始治疗即用针对M<span style=\"box-sizing: border-box; position: relative; font-size: 13.3333px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>的方案。化疗联合放疗可采取同步或序贯的策略。与序贯放化疗相比，同步放化疗的中位生存时间更长，但早期毒性反应多见。</p><p>4.Ⅳ期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">该期患者中70%预后差。行为状态（PS）评分为0（无症状）、1（有症状，完全能走动）、2（＜50%的时间卧床）、3（＞50%时间卧床）和4（卧床不起）的相应中位生存期分别为34、25、17、8和4周。治疗核心为标准管理、正确使用止痛药物、适当应用放疗和化疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">化疗+靶向治疗：对播散性NSCLC化疗应仔细权衡其益处和毒性。联合化疗可有限增加生存率、缓解症状和改善生命质量。标准一线化疗方案为顺铂或卡铂联合紫杉醇、多西他赛、吉西他滨或长春瑞滨之一（表17-9-4）。化疗有效率为20%～50%，中位生存期为8～10个月，1年生存率为30%～35%，2年生存率为10%～15%。两药联合优于单一药物，疗程为4～6周期。对NSCLC有活性的二线药物，包括多西他赛（多烯紫杉醇）和培美曲塞二钠均已应用到临床，也取得了较好效果。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表17-9-4　NSCLC化疗方案</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180516-1526459198545037409.jpg\" title=\"1526459198545037409.jpg\" alt=\"T17-9-4_48405.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 962px; table-layout: fixed;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">现在随着对治疗前病理亚型（鳞癌vs非鳞癌）及EGFR基因检测的开展，“个体化治疗”也逐渐应用到临床。对于腺癌、大细胞癌和组织学类型不明确的NSCLC，应检测其表皮生长因子受体（EGFR）突变状态。对于无突变或不明者，若其PS评分为0～1分，一线治疗可采用化疗；或贝伐珠单抗（国内待批准用于一线治疗）联合化疗（若符合标准）；或顺铂/培美曲塞（国内待批准用于一线治疗）；对PS 2分者采用西妥昔单抗（国内待批准用于一线治疗）/长春瑞滨/顺铂治疗或化疗；PS为3～4分者只能接受支持治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于EGFR突变者，可选用靶向治疗。部分药物已经在晚期NSCLC治疗中显示出较好的临床疗效，其中包括表皮生长因子受体-酪氨酸激酶抑制剂（EGFR-TKI）和西妥昔单抗。EGFR-TKI，如吉非替尼（gefitinib）、厄洛替尼（erlotinib）和国产埃克替尼（icotinib）等可考虑用于化疗失败者或者无法接受化疗的患者。对于EGFR基因突变检测阳性的患者，一线治疗也可选择上述的EGFR-TKI。针对存在EML4-ALK融合基因的患者，ALK抑制剂克唑替尼（crizotinib）被推荐用于该类患者的靶向治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对鳞癌患者一般不推荐EGFR突变检测，直接参考一线化疗方案治疗。对PS 0～2分的鳞癌患者可采用化疗或西妥昔单抗/长春瑞滨/顺铂，之后评估疗效；对PS为3～4分者只采用支持治疗。当肿瘤进展时采用二线治疗，若有效或疾病稳定，则在完成4～6个周期治疗后行再次评估。有效或稳定者继续当前治疗至疾病进展，可继续西妥昔单抗维持治疗，或换药维持治疗（厄洛替尼或多西他赛），或观察。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">支持治疗：适当的支持治疗，止吐药、用顺铂时补充体液和盐水、监测血细胞计数和血生化、监测出血或感染征象，以及在需要时给予促红细胞生成素和粒细胞集落刺激因子，并且根据粒细胞计数的最低点调整化疗剂量都是必要的。改良的止吐药可使患者耐受性提高。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">放疗：如果患者原发瘤阻塞支气管引起阻塞性肺炎、咯血、上呼吸道或上腔静脉阻塞等症状，应考虑放疗，也可给予无症状患者预防性治疗。通常一个疗程为2～4周，给予30～40Gy放疗，缓解症状概率为：咯血84%、上腔静脉综合征80%、呼吸困难60%、咳嗽60%、肺萎陷23%、骨转移疼痛66%以及声带麻痹6%。心脏填塞可予心包穿刺术和放疗，颅脑和脊髓压迫或臂丛神经受累亦可通过放疗缓解。对于颅脑转移和脊髓压迫者，也可给予地塞米松（25～75mg/d，分4次），并迅速减至缓解症状所需的最低剂量。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">转移灶治疗：腺癌常见颅脑转移，然而尚未证明有必要行颅脑预防性放疗。胸腔转移很常见，可行胸穿抽液并注射化疗药物博来霉素，每次45～60mg或丝裂霉素C，每次10～20mg，同时给予地塞米松，每次5～10mg，常可取得明显疗效。如果积液反复出现且伴有症状，可置胸腔引流管注入滑石粉等封闭胸腔。通过引流管彻底引流胸腔液体后，注入1%利多卡因15ml和50ml生理盐水。然后，将10g无菌滑石粉（溶于100ml生理盐水）注入胸腔。若可耐受则夹管4小时，嘱患者转换不同体位以促进药物分布。在引流量＜100ml/d 24～48小时后拔除引流管。电视辅助胸腔镜手术（VATS）也可用于引流并治疗大量恶性胸腔积液。术后或放疗后出现气管内肿瘤复发，可经支气管镜给予Nd-YAG（钕-钇-铝-石榴红）激光或其他微创治疗，可使80%～90%患者缓解。</p><p>（三）免疫治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">随着肿瘤特异性移植抗原的发现，拓展了一系列特异和非特异性肿瘤免疫治疗研究。部分免疫调节剂，如卡介苗（BCG）、短小棒状杆菌、左旋咪唑、可溶性肿瘤抗原试用于临床后取得了有限疗效。胸腺肽、TIL细胞（tumor infiltrating lymphocytes）也可起到一定辅助治疗作用。</p><p>（四）中药</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">部分中药具有一定免疫调节作用和抑瘤作用，不良反应不大。但尚缺乏反应率较高的能使肺癌达到部分或完全缓解的多中心临床验证药物。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4739', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1424', '预防与预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">避免接触与肺癌发病有关因素，如吸烟和大气污染，加强职业接触中劳动保护，有助于减少肺癌发病。不吸烟和及早戒烟可能是预防肺癌最有效的措施。但仅有5%～20%的患者戒烟成功，其原因是尼古丁成瘾性所致，戒烟药物有助于协助成功戒烟。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于早期诊断困难致使肺癌预后差，只有15%的患者在确诊时病变局限，5年生存率可达50%。因此，肺癌的预后取决于早发现、早诊断、早治疗。有研究表明肺癌的筛查可以发现Ⅰ期肺癌，并可提高患者生存率。规范有序的诊断、分期，以及根据肺癌生物学行为制订多学科治疗方案可明显提高治疗效果。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4740', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1424', '参考文献', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.中国抗癌协会肺癌专业委员会.中国肺癌临床指南.北京：人民卫生出版社，2010.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.白春学，白莉.肺癌生物治疗研究进展及评价.国际呼吸杂志，2006，26：81-84.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.白春学，张勇.肺癌早期诊断进展.中华医学杂志，2009，89 （18）：1290-1292.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.Detterbeck FC，Boffa DJ，Tanoue LT.The new lung cancer staging system.Chest，2009，136（1）：260-271.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.Alberts WM.Diagnosis and Management of Lung Cancer Executive Summary.ACCP Evidence-Based Clinical Practice Guidelines（2nd Edition）.Chest，2007，132（3S）：1S-19S.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">6.NCCN.Non-small cell Lung Cancer Practice Guidelines.Clinical Practice Guidelines in Oncology v.3.Fort Washington，PA：National Comprehensive Cancer Network，2011.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">7.NCCN.Small cell Lung Cancer Practice Guidelines.Clinical Practice Guidelines in Oncology v.2，.Fort Washington，PA：National Comprehensive Cancer Network，2011.</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4748', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '570', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">过敏性鼻炎（allergic rhinitis）是一种由IgE介导的，针对环境过敏原的鼻黏膜炎症反应；临床上主要表现为流涕、鼻塞、鼻痒、喷嚏等。过敏性鼻炎是一个全球性的健康问题，在世界各地均很常见，其全球发病率达10%～25%，并且患病人数仍在逐渐增加。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4749', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '570', '病因', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病起因于两个基本因素：①遗传性过敏体质；②反复吸入环境过敏原。过敏性鼻炎患者多具有过敏体质，即对外界抗原较易产生比正常人多的IgE，这种体质有一定的遗传性和家族性，故本病患者易同时或先后患湿疹、支气管哮喘等疾病；患者家族中也较易发生这类过敏性疾病。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">引起本病的吸入性过敏原有尘螨、屋尘、动物皮屑、各种树木和草类的风媒花粉等，这些过敏原的颗粒大都较大（5～25μm），能在鼻部被阻挡下来而在鼻腔内发生IgE介导的变态反应。其中花粉和真菌孢子等室外过敏原是引起季节性过敏性鼻炎的主要原因，而尘螨、宠物皮毛、真菌、蟑螂等室内过敏原易导致常年性过敏性鼻炎。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4750', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '570', '病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鼻黏膜明显肿胀，黏液分泌极度旺盛；显微镜下可见杯状细胞数量增加，上皮与基底膜明显水肿并有大量嗜酸性粒细胞的浸润。有的患者在眼结膜、咽后壁等处也有类似的病理变化。这些病理改变在缓解期有所减轻。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4751', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '570', '临床表现', '<p><span style=\"font-size: 12px;\">（一）症状和体征</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">主要表现为流涕、鼻塞、鼻痒、喷嚏等；喷嚏是最具有特征性的症状，多于刚睡醒时发作，常为阵发性，通过鼻泪反射可伴随有流泪症状。鼻涕典型呈稀薄的清水样分泌物，发作后期黏稠度可以增加，但出现浓稠分泌物，可能继发细菌感染。鼻塞是最常见的临床症状，多呈间隙性，在晚上比较明显，常随体位而改变，由于鼻黏膜的肿胀，患者常有味觉和嗅觉减退现象，如果长期严重鼻塞可以阻碍鼻旁窦和咽鼓管，随着鼻旁窦和中耳内空气逐渐吸收，负压增加，出现头痛和听力下降，久而久之会导致慢性鼻窦炎和反复不愈的中耳炎。鼻痒使得患者反复捏擦鼻部，在儿童尤为明显，同时可伴有眼结膜、上腭部甚至外耳道部的奇痒。有时由于咽喉部不适或鼻分泌物流入咽喉部，常伴有干咳或清喉动作。上述这些症状通常早、晚症状加重，日间及运动后好转。一些患者可有一些全身症状如乏力、纳滞、不适等。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">患者常伴有鼻黏膜的高敏状态，刺激性气味、污浊空气，甚至气温变化都能引起症状的反复。在发作期患者常呈一种张口呼吸的面容（儿童尤其明显），由于经常由鼻痒而搓揉可见鼻梁部皮肤的横纹，鼻翼部分肥大。在儿童由于鼻甲肥大压迫蝶腭静脉丛，引起眼部和眼角静脉淤血，在眼眶下形成青蓝色影印。伴过敏性眼结膜炎者尚可见结膜的轻度充血与水肿。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">鼻腔检查可见鼻黏膜苍白水肿，分泌物甚多，大都呈水样，咽后壁由于淋巴滤泡增生而呈鹅卵石样改变。</span></p><p><span style=\"font-size: 12px;\">（二）临床分类</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">根据临床症状是否随季节而变化，可以分为季节性过敏性鼻炎和常年性过敏性鼻炎；过敏原在环境中的浓度随季节变动是导致这一现象的主要原因。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">根据病程可分为间歇性和持续性：①间歇性是指症状发生的天数小于每周4天或病程小于4周；②持续性是指症状发生的天数大于每周4天或病程大于4周。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">根据病情的严重程度，即症状和它对生活质量的影响进一步分为轻度和中、重度：①轻度患儿睡眠正常，日常活动、体育和娱乐正常，工作和学习正常，无令人烦恼的症状；②中、重度有以下一项或多项表现：不能正常睡眠，日常活动、体育和娱乐受影响，不能正常工作和学习，有令人烦恼的症状。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">根据症状可分为喷嚏及流涕型和鼻塞型：见表21-2-1。</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">表21-2-1　过敏性鼻炎的临床分类</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180517-1526545832653019587.jpg\" title=\"1526545832653019587.jpg\" alt=\"表21-2-1　过敏性鼻炎的临床分类.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1971px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: right;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4752', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '570', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病的诊断主要依据典型的临床表现，对疑似病例进行过敏原方面检查，有助于明确诊断；过敏原检查主要包括皮肤点刺试验（skin prick test）、血清特异性IgE测定和鼻黏膜激发试验；皮肤试验和血清特异性IgE测定临床应用广泛，但对这些测试结果可疑患者需要进行鼻黏膜激发试验。由于过敏性鼻炎的一些临床表现并非特异，在其他疾病中也极为常见，因此必须与以下疾病进行鉴别：</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4753', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '570', '鉴别诊断', '<p>（一）鼻中隔偏曲或鼻甲肥大</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患者常终年鼻塞，鼻镜检查可以明确诊断。</p><p>（二）药物性鼻炎（rhinitis medicamentosa）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是由于鼻塞时应用鼻减充血剂用量太大或时间太久，因其扩血管的反跳作用，使得鼻塞症状更加严重，停用这些药物后鼻塞症状可以减轻。其他一些药物抗高血压（如药普萘洛尔、可乐定）、α阻断药（特拉唑嗪、哌唑嗪）、α甲基多巴、利血平、胍那苄、肼苯达嗪和口服避孕药有明显鼻塞和分泌物增多的副作用，停用这些药物后症状可以完全消失。</p><p>（三）症状性耳塞</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">除常见的感冒外，较易忽视的尚有妇女经前期的鼻塞症，怀孕期的鼻塞症以及甲状腺功能低下时的鼻塞等。</p><p>（四）血管运动性鼻炎（vasomotor rhinitis）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是一种原因不明的“发作性”鼻炎，患者鼻部症状常因气温改变。进食辛辣或吸入刺激性气味而突然发生，易与本病混淆，其鉴别要点为缺少喷嚏、鼻痒、咽痛等症状，抗组胺及脱敏治疗无效。</p><p>（五）慢性鼻炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">又称嗜酸性粒细胞性非过敏性慢性鼻炎（eosinophilic perennial nonallergic rhinitis），其鼻分泌物也有多量嗜酸性粒细胞，常终年有症状，但过敏原往往无法找到，因此病因不明。此类鼻炎患者常伴发鼻息肉，有的还伴有感染型哮喘（构成“阿司匹林过敏-哮喘-鼻炎鼻息肉三联征”），其与过敏性鼻炎不同的是鼻充血及鼻甲肿胀明显，分泌物呈黏液样，抗组胺药疗效差，色甘酸钠及脱敏治疗无效。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4754', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '570', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">本病的治疗包括：①避免吸入过敏原；②药物治疗；③免疫疗法。</span></p><p><span style=\"font-size: 12px;\">（一）避免吸入过敏原</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">如果患者仅对一种过敏原过敏，那么完全避免这一过敏原可以使疾病痊愈，尽管一些过敏原不可能完全避免，但尽可能减少接触已致敏的过敏原是治疗不可缺少的一个环节，例如对花粉过敏者在发病季节宜避免去园林或野外，有条件的家庭在发病季节卧室内使用空气滤清器并紧闭窗门等；屋尘螨过敏者扫地时应戴口罩，应清除室内地毯、绒线织品及毛绒玩具，床上用品应用50℃以上的热水清洗。</span></p><p><span style=\"font-size: 12px;\">（二）药物治疗1.抗组胺药物</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">主要用于缓解过敏性鼻炎患者流涕、鼻痒、喷嚏症状，然而对鼻塞和眼部症状效果不佳。第一代抗组胺药如苯海拉明、异丙嗪、去氯羟嗪（克敏嗪）、赛庚啶、苯噻啶等，它们有一定的镇静和抗胆碱能作用，易出现黏膜干燥、嗜睡等不良反应，临床应用受到了一定的限制。新一代的抗组胺药物，如西替利嗪（cetirizine）、氯雷他定（loratadine）、氮</span><img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%86%85%E7%A7%91%E5%AD%A6_%E5%85%A82%E5%86%8C(%E4%B8%8B)_978-7-117-17272-1/pics/BZ_1262_416_961_450_997.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/><span style=\"font-size: 12px;\">斯汀（azelastine）、左卡巴斯汀（levocabastine）、咪唑斯汀（mizolastine）等有更强的效用，且无抑制中枢神经的副作用。但一些药物，如特非那定和阿司咪唑在高浓度情况下，可以通过阻断钾离子通道引起心脏QT间期延长，易造成尖端扭转型心动过速和室颤，目前已较少应用。</span></p><p><span style=\"font-size: 12px;\">2.减充血药物</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">为减轻发病时的鼻黏膜肿胀与阻塞，常需应用拟交感神经兴奋药局部滴入以收缩血管。如0.5%呋喃西林麻黄碱、0.1%赛洛唑啉、0.1%羟甲唑啉等，最常用的为1%麻黄碱，每个鼻孔2～4滴/次，每日1～4次。本类药物只能用3～5天，不能长期使用，以免造成药物性鼻炎。</span></p><p><span style=\"font-size: 12px;\">3.抗炎症药物（1）色甘酸钠（disodium cromoglycate）和酮替芬（ketotifen）：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">色甘酸钠能阻止鼻黏膜表面的肥大细胞脱颗粒而达到防治效果，2%滴鼻剂，每个鼻孔3～4滴/次，每6小时1次。酮替芬具有抗组胺H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>受体作用和抗变态反应效果，口服每日2次，每次1mg。此类药物常在用药2～3周后才有明显疗效，因此若在发作期前开始服用或（和）至少使用1个月以上，效果更好。</span></p><p><span style=\"font-size: 12px;\">（2）白三烯受体拮抗剂：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">如孟鲁司特钠（montelukast sodium）和扎鲁司特（zafirlukast），能特异性抑制半胱氨酰白三烯（CysLT1）受体，阻断白三烯引起的鼻部炎症；鼻腔局部用糖皮质激素不能抑制白三烯的释放，因而白三烯受体拮抗剂与糖皮质激素有协同作用，可减少激素用量。</span></p><p><span style=\"font-size: 12px;\">（3）糖皮质激素：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">口服强的松每日10～20mg足可控制大多数症状，由于其不良反应，仅适用于少数重症患者。局部应用的糖皮质激素有二丙酸倍氯米松（beclomethasone）、布地奈德（budesonide）、氟替卡松（fluticasone propionate）及糠酸莫米松（mometasone）等。对大多数患者有良效而无全身性激素副作用。在局部应用激素之前，如患者鼻塞严重，宜先用1%麻黄碱滴鼻收缩血管，以使药物能达鼻腔深部。不同药物对鼻炎症状的效果见表21-2-2。</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">表21-2-2　药物治疗对鼻炎症状的效果</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180517-1526545871041036178.jpg\" title=\"1526545871041036178.jpg\" alt=\"表21-2-2　药物治疗对鼻炎症状的效果.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1971px; table-layout: fixed;\"/></p><p><span style=\"font-size: 12px;\">（三）免疫疗法</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">又称脱敏治疗。和过敏性哮喘一样，对找到明确吸入性过敏原的患者，可以进行特异性免疫疗法，以减轻症状，防止哮喘的发生。</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4755', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '570', '参考文献', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.van Cauwenberge P，Bachert C，Passalacqua G，et al.Consensus statement on the treatment of allergic rhinitis.European Academy of Allergology and Clinical Immunology.Allergy，2000，55（2）：116-134.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.Terr AI.The atopic diseases.In：Stites DP，Terr AI，Parslow TG.（eds）Basic and Chinical Immunology.8th ed.USA：International Inc，1994.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.Deshazo RD.Allergic rhinitis，Anahylaxis.In：Bennett JC and Plum F.（eds）.Cecol Textbook of Medicine.20th ed.Philadelphia：Saunders，1996.</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4756', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '66', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性阻塞性肺疾病（chronic obstructive pulmonary disease，COPD，以下简称慢阻肺）是一种持续气流受限特征的疾病。气流受限不完全可逆，呈进行性发展，与肺对有害气体或有害颗粒的异常炎症反应有关。急性加重和合并症影响疾病严重程度。全球患病率约为4%～20%，是第4位死因。我国40岁以上人群中患病率为8.2%，预计到2020年将上升至第3位，年死亡率高达128万。如能及早防治，可有效控制病情，减缓疾病进展，改善生活质量。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4757', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '66', '发病危险因素', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">吸烟是慢阻肺最常见危险因素。约1/6的患者从未吸烟，与其他危险因素，如生物燃料、职业环境或室内外空气污染导致的烟雾、粉尘及其他有害颗粒有关。一项为期8年的前瞻性研究表明，吸烟者FEV<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>平均每年下降60ml（正常人每年下降30ml），戒烟后下降率减慢。但吸烟者仅有15%～20%发展为慢阻肺，提示其发病可能还与遗传易感性有关。其他危险因素为被动吸烟、气道高反应性、反复呼吸道感染、出生时低体重或幼年营养不良、家族史和不良的社会经济状况等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4758', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '66', '病因与发病机制', '<p>（一）慢性炎症反应</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">很多研究显示，慢阻肺气道壁和肺实质内存在以中性粒细胞、巨噬细胞和CD8<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>T淋巴细胞浸润为主的不同程度的慢性炎症，急性发作期较稳定期更为明显。其机制尚不十分清楚，可能与激活的巨噬细胞、上皮细胞或CD8<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>T淋巴细胞释放的化学趋化因子有关，其中主要的中性粒细胞趋化因子有IL-8（interleukin-8）、白三烯B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>（leukotriene B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>，LTB<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>）和肿瘤坏死因子TNF-α （tumor necrosis factor-α），与炎症细胞之间存在复杂的相互作用，引起慢性气道炎症。</p><p>（二）蛋白酶和抗蛋白酶失衡</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">大量研究表明，慢阻肺患者体内存在蛋白酶和抗蛋白酶失衡。一方面气道和肺实质蛋白酶［中性粒细胞弹性蛋白酶（NE）和基质金属蛋白酶（MMP）］增加，活性增强。NE是由中性粒细胞产生的一种中性丝氨酸蛋白酶，能引起肺弹力纤维破坏，刺激黏液分泌，增加基底膜通透性，刺激内皮细胞释放IL-8和巨噬细胞释放LTB<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>，加重炎症反应。MMP是一组由中性粒细胞、巨噬细胞和气道内皮细胞分泌的内源性多肽酶，能降解肺实质细胞外基质。另一方面抗蛋白酶缺乏、不足或部分失活可加重慢阻肺发生。α<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>-抗胰蛋白酶（α<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>-AT）是由肝脏分泌对抗NE的主要抗蛋白酶，慢阻肺气道上皮细胞液体层中α<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>-AT减少。当感染或炎症反应引起弹性蛋白酶负荷增加时，弹力纤维分解，肺泡壁破坏从而形成肺气肿。其他蛋白酶抑制剂大部分在肺局部产生。分泌型白细胞蛋白酶抑制剂（SLPI）是气道内最主要的弹性蛋白酶抑制剂，可较α<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>-AT更有效地抑制中性粒细胞介导的蛋白分解。组织金属蛋白酶抑制剂（TIMP）是基质金属蛋白酶内源性抑制物，主要存在于肺泡上皮液体层中。气道和肺实质慢性炎症时，炎症细胞产生蛋白酶增加、活性增强，超过抗蛋白酶的数量和活性时，引起弹力纤维破坏，促使肺气肿形成。</p><p>（三）氧化抗氧化失衡</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢阻肺患者肺部氧化剂来源有外源性和内源性。外源性主要源于烟雾和空气污染，内源性主要为巨噬细胞和中性粒细胞等炎症细胞释放的氧自由基。氧化应激引起气道上皮损伤主要是由于自由基与细胞膜或脂蛋白上多价不饱和脂肪酸侧链发生反应形成脂质过氧化，该反应又能产生新的自由基，形成链式反应，持续损害细胞膜。另外氧化应激还能导致抗蛋白酶失活、黏液过度分泌、移行至肺部的中性粒细胞数量增加和变形能力降低，导致气道中潴留增多、促炎介质（IL-6、IL-8和NO）的基因表达增多。组蛋白去乙酰化酶活性降低导致糖皮质激素抗炎作用下降。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">机体抗氧化系统中主要的抗氧化剂是谷胱甘肽，同时还有气道以及上皮细胞内的氧化还原酶类。TNF-α或氧化剂作用于线粒体产生反应性氧自由基（ROS），参与核因子NF-κB和氧化还原敏感性转录因子活化蛋白-1（AP-1）的活化。细胞内谷胱甘肽降低量与氧化型谷胱甘肽的比值能调节NF-κB和AP-1的活化，随后导致抗氧化剂保护性基因以及促炎基因的共表达，当氧化剂作用超过抗氧化剂作用时即损伤组织，这在机体对烟雾的炎症反应中是非常关键的。</p><p>（四）气道重塑及其机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">气道壁和肺实质的慢性炎症引起组织破坏，损伤修复最终导致气道壁增厚、管腔狭窄、弹性减弱和气流受限。细胞外基质（ECM）和成纤维细胞在气道重塑中起关键作用，生长因子在平滑肌细胞增殖及ECM沉积中起重要作用。与气道重塑关系较密切的生长因子有转移生长因子-β（TGF-β）、表皮生长因子（EGF）、基本的成纤维细胞生长因子（bFGF）及胰岛素样生长因子（IGF）等。生长因子平时多无活性，炎症细胞释放的蛋白酶或化学因子可将无活性生长因子前体转为活性型。生长因子的释放与炎症因子几乎同步，提示组织细胞和ECM的增殖在疾病过程中不断进行。</p><p>（五）遗传</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢阻肺患者的子代和同卵双胞胎中该病发病率高于一般人群，提示与遗传有关。已知与慢阻肺可能有关的基因主要有α<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>-AT基因、维生素D结合蛋白基因、TNF-α基因、线粒体环氧化物水解酶（mEPHX）基因、谷胱甘肽-S-转移酶（GSTs）基因、细胞外超氧化物歧化酶（EC-SOD）基因和基质金属蛋白酶基因等，但除α<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>-AT的ZZ型与肺气肿以及肺功能的下降肯定有关外，其他尚存争议，有待进一步研究。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4759', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '66', '病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可包括三种重叠状态，即慢性支气管炎（气道黏液高分泌）、慢性细支气管炎（小气道疾病）和肺气肿（由于肺泡毁损导致气腔扩大）。</p><p>（一）大气道</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常见病理改变有黏液腺增生、浆液腺管的黏液腺化生、腺管扩张、杯状细胞增生、灶状鳞状细胞化生和气道平滑肌肥大，支气管黏膜上皮细胞的纤毛发生粘连、倒伏、脱失，纤毛细胞数减少，异常纤毛的百分率明显增加，纤毛结构异常发生在干和顶部，包括纤毛细胞空泡变性、细胞膜凸出、形状改变等。</p><p>（二）小气道</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">呼气相内径小于2mm的细支气管主要表现为管壁单核巨噬细胞和CD8<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>T淋巴细胞浸润，杯状细胞化生，平滑肌增生及纤维化，管腔扭曲狭窄，腔内不同程度黏液栓形成，管壁因肺气肿引起气道外部附着力降低。</p><p>（三）肺气肿形成</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺气肿是指终末支气管远端部分（包括呼吸性细支气管、肺泡管、肺泡囊和肺泡）膨胀，并伴有气道壁破坏，可为小叶中央型和全小叶型肺气肿。前者主要发生在吸烟者，后者在α<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>-AT缺乏者更明显。这两种类型肺气肿是不同的病理过程还是同一种病理改变所致不同程度还有争议。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4760', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '66', '病理生理', '<p>（一）黏液分泌亢进和黏液纤毛功能障碍</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">平衡的黏液分泌和清除有助于物理防御功能，持续过多的黏液分泌会阻塞呼吸道，导致气流受限。慢阻肺患者往往合并纤毛结构、功能和黏液流变学特征改变，引起气道黏液纤毛清除功能障碍，从而加重慢性炎症。慢性黏液腺增生对预后的影响虽不如FEV<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>，但可使患者死亡的危险性增加3～4倍。</p><p>（二）呼吸生理异常和肺功能改变1.肺容量</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺容量增加，又称肺过度充气（气体陷闭），是慢阻肺的特征，表现为肺总量（total lung capacity，TLC）、功能残气量（functional residual capacity，FRC）和残气量（residual volume，RV）增高。依据其发生机制，可将其分成静态过度充气和动态过度充气（dynamic hyperinflation，DH）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">静态肺过度充气主要与肺弹性回缩力降低有关。由于肺弹性纤维组织破坏，使其弹性回缩力减小，结果FRC增加。静态肺过度充气主要见于慢阻肺后期以及α<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>-抗胰蛋白酶缺乏者。与静态肺过度充气相比，DH可发生在所有慢阻肺患者，是引起肺容量增加的最常见原因。其形成机制主要与呼气受限和呼吸频率增加有关。在运动时需要增加通气量时，随着呼吸频率增加和呼气时间缩短，慢阻肺可发生DH。值得注意的是当FRC接近TLC且需要增加通气量时，增加潮气量（VT）和动员补呼气量（ERV）的潜力已显著减小，患者只有通过增加呼吸频率来增加分钟通气量。结果缩短呼气时间，加剧肺内气体潴留和DH。DH具有可逆性，已成为许多药物治疗的靶点。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺过度充气还会对患者呼吸力学产生不利影响。正常人吸气时，由于肺容量远远低于胸廓自然位置（相当于TLC的67%），主要克服肺弹性回缩力和表面液体张力即可扩张胸廓。慢阻肺时由于FRC超过胸廓自然位置，吸气时还需克服胸廓弹性回缩力，明显增加呼吸功。DH和肺容积增加还使膈肌低平及曲率半径变大、吸气肌纤维初长度缩短，导致患者吸气肌力量和耐力均降低，进一步诱发呼吸肌疲劳甚至呼吸衰竭。这在患者运动时或急性加重期尤为明显，与呼吸困难加重密切相关。</p><p>2.肺通气功能</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">不完全可逆性进行性气流受限、小气道纤维化和狭窄、肺泡弹性回缩力降低，以及维持小气道开放的支撑结构破坏和不同程度的可逆阻塞，均会降低慢阻肺患者用力肺活量（FVC）、第1秒用力肺活量（FEV<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>）、FEV<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>/FVC和最大通气量（MVV），而最大呼气流速的降低往往不明显。</p><p>3.气体分布和换气功能</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺泡壁膨胀破裂，肺泡面积减少以及肺泡周围毛细血管广泛损害，可使弥散功能减退。COPD肺部病变程度不一，同一部位支气管和血管受累程度也不一致。患者某些肺区支气管病变严重，而肺泡毛细血管血流量减少不显著，致通气/血流比例降低，或称静-动脉分流样效应。另一些肺区的通气变化不大，但肺泡周围毛细血管受损（如毛细血管网破坏、血管重建、血管收缩以及肺泡内压增高等）使血流灌注减少，致通气/血流比例增高，或称死腔样效应。弥散功能减退和通气/血流比例失调是除通气功能障碍外导致慢阻肺低氧血症的重要原因，在COPD急性加重期更为明显。肺通气和换气功能障碍发展到一定程度（一般FEV<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>＜40%预计值）便会发生低氧血症和（或）二氧化碳潴留。慢阻肺早期机体可通过代偿，保持PaCO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>正常，主要为低氧血症。随着病情进展，患者不能对抗增加的通气负荷时，即出现CO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>潴留，低氧血症也将更为严重。部分患者在运动和睡眠时PaO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>可明显下降，出现低氧血症或使既存的低氧血症加重，有时睡眠较运动时更为明显。</p><p>（三）心血管等系统性影响</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">尽管慢阻肺患者肺毛细血管稀疏、狭窄和破坏，但不是引起肺动脉高压的主要原因，低氧性肺血管收缩是肺动脉高压最主要的病因。缺氧解除后，肺动脉压可恢复正常。长期慢性缺氧可引起肺小动脉平滑肌肥厚、内膜灶性坏死、纤维组织增生、血管狭窄和肺血管重构。慢性缺氧还可导致红细胞增多，血容量和黏度增高，形成多发性肺微小动脉原位血栓，增加肺循环阻力，加重肺动脉高压，最终发展成肺心病和右心衰竭。慢阻肺系统性炎症反应和全身氧化应激增强可产生全身影响，引起一系列合并症。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4761', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '66', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多于中年发病，好发于秋冬寒冷季节。症状为慢性咳嗽、咳痰，少数可仅咳嗽不伴咳痰，甚至有明显气流受限但无咳嗽症状。痰为白色泡沫或黏液性，合并感染时痰量增多，转为脓痰。典型症状为气促或呼吸困难，早期仅于劳力时出现，后逐渐加重，甚至发生于日常活动和休息时。晚期常有体重下降、食欲减退、精神抑郁和（或）焦虑等，合并感染时可咳脓痰或咯血。后期出现低氧血症和（或）高碳酸血症，可并发慢性肺源性心脏病和右心衰竭。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早期体征可不明显，仅在急性发作期背部或肺底闻及干、湿啰音。随着疾病进展可出现桶状胸，辅助呼吸肌（如斜角肌及胸锁乳突肌）参与呼吸，重症可见胸腹矛盾运动及剑突下心脏搏动。低氧血症时可出现黏膜及皮肤发绀，伴二氧化碳潴留者可见球结膜水肿。伴右心衰竭者可见下肢水肿，腹部触诊肝脏增大。胸部叩诊过清音，心浊音界缩小，肺肝界降低。听诊两肺呼吸音减低，呼气延长，有时可闻干啰音或湿啰音，心音遥远，并肺动脉高压时P<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>＞A<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4762', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '66', '辅助检查', '<p>（一）肺功能检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是判断有无气流受限、诊断慢阻肺的金标准，对其严重度评价、监测治疗反应和疾病进展、评估预后也有重要意义。应对所有慢性咳嗽、咳痰和危险因素接触史（即使没有出现呼吸困难）者进行肺功能检查，确诊最好在缓解期、吸入支气管舒张剂20分钟后进行。吸入支气管舒张剂后FEV<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>/FVC＜70%并排除其他疾病引起的气流受限即可确诊。其后每年至少随访1次肺功能。FEV<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>占预计值百分比是判断气流受限程度的良好指标。深吸气量（inspiratory capacity，IC）=潮气量（VT）+补吸气量（IRV），与呼吸困难及运动能力的关系较FEV<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>更密切，评价支气管舒张剂疗效也较FEV<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>好。肺过度充气指标TLC、FRC和RV增高，RV/TLC增高，而VC降低。一氧化碳弥散量（DL<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">CO</span>）降低，DL<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">CO</span>与肺泡通气量（<img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%86%85%E7%A7%91%E5%AD%A6_%E5%85%A82%E5%86%8C(%E4%B8%8B)_978-7-117-17272-1/pics/BZ_400_2075_2779_2110_2828.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/><span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">A</span>）之比（DL<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">CO</span>/<img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%86%85%E7%A7%91%E5%AD%A6_%E5%85%A82%E5%86%8C(%E4%B8%8B)_978-7-117-17272-1/pics/BZ_400_1413_2842_1447_2889.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">A</span>）较单纯DL<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">CO</span>更敏感。慢阻肺支气管舒张试验可以阳性，特别是急性加重时，支气管舒张试验阴性的患者接受支气管舒张剂治疗也有益。</p><p>（二）胸部X线</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早期X线胸片可无明显变化。有肺过度充气后可发现胸廓前后径增长，肋间隙增宽，肺野透亮度增高，膈肌低平，心影狭长。肺血管纹理残根状，肺外周血管纹理稀疏等，有时见肺大疱形成。并发肺动脉高压和肺心病时，除右心增大的X线征外，还可有肺动脉圆锥膨隆、肺门血管影扩大及右下肺动脉增宽等。</p><p>（三）胸部CT</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">高分辨率CT（HRCT）有助于本病鉴别诊断，且对辨别小叶中央型或全小叶型肺气肿及确定肺大疱的大小和数量有很高敏感性和特异性，对预计肺大疱切除或外科减容术的效果也有一定价值。研究还表明低剂量CT对早期诊断也有重要参考价值。</p><p>（四）动脉血气分析</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">FEV<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>＜40%预计值及具有呼吸衰竭或右心衰竭临床征象者，均应行动脉血气分析。血气异常首先表现为轻中度低氧血症。随疾病进展，低氧血症逐渐加重，并出现高碳酸血症。</p><p>（五）睡眠呼吸监测</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">适用于怀疑睡眠呼吸暂停或者睡眠时低氧血症者。慢阻肺患者睡眠呼吸暂停发生率与相同年龄的普通人群大致相同，但是两种情况并存时睡眠中血氧饱和度下降更显著。</p><p>（六）其他检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">并发感染时，痰涂片可见大量中性粒细胞，痰培养可检出各种病原菌，常见肺炎链球菌、流感嗜血杆菌、卡他莫拉菌、肺炎克雷伯杆菌等，革兰阴性杆菌的比例高于社区获得性肺炎。部分急性发作者血白细胞增多。慢性缺氧者血红蛋白升高，并肺心病者血黏度增高。早年出现严重肺气肿者α<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>-抗胰蛋白酶量或活性可能降低，该病多见于白种人。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4763', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '66', '并发症', '<p>（一）自发性气胸</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺气肿患者并发自发性气胸时，常因肺野透亮度高和肺大疱存在，气胸体征可不典型，需胸部CT明确诊断。</p><p>（二）呼吸衰竭</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">呼吸功能严重受损时可出现呼吸衰竭。有些重症患者处于代偿期，呼吸道感染、不适当氧疗、中断吸入治疗、镇静药过量或外科手术等，可诱发急性呼吸衰竭，也称慢性呼吸衰竭急性加重或失代偿。</p><p>（三）慢性肺源性心脏病和右心衰竭</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心功能代偿期，可无右心衰竭表现。当病变进行性加重，动脉血气恶化时，可显著增高肺动脉压并加重心脏负荷，加上心肌缺血和代谢病变等因素，可诱发右心衰竭。</p><p>（四）继发性红细胞增多症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性缺氧引起红细胞代偿性增多，全血容量增加、血黏度增高，从而引起头痛、头晕、耳鸣、乏力等症状，易并发血栓栓塞。</p><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">【合并症】</h6><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前认为慢阻肺是全身性疾病，常与其他疾病合并存在，合并症影响疾病进程，常见合并症有：心脏病（主要包括缺血性心脏病、心力衰竭、心房颤动和高血压，可一种或几种合并存在）、骨骼肌功能障碍、骨质疏松、焦虑抑郁、肺炎、肺癌、糖尿病和代谢紊乱综合征等。合并症的治疗与没有慢阻肺者相同。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4764', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '66', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据吸烟等高危因素接触史，呼吸困难、慢性咳嗽或多痰等症状可考虑COPD的临床诊断，确诊需行肺功能检查。吸入支气管舒张剂后FEV<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>/FVC＜70%是COPD诊断的必备条件。但也有少数患者并无咳嗽、咳痰，仅在肺功能检查时发现FEV<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>/FVC＜70%，在除外其他疾病后，也可诊断为COPD。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4765', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '66', '鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">慢阻肺应与支气管哮喘、支气管扩张症、充血性心力衰竭、肺结核等鉴别，表17-4-1为鉴别要点。</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">表17-4-1　慢阻肺鉴别诊断表</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180517-1526545965976062802.jpg\" title=\"1526545965976062802.jpg\" alt=\"表17-4-1　慢阻肺鉴别诊断表.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 955px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: right;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4766', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '66', '治疗与管理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">慢阻肺管理目标分短期目标和长期目标，短期目标为减轻症状，提高运动耐量和改善健康状态；长期目标包括预防疾病进展，防治急性加重，减少病死率，防治并发症和减少治疗不良反应。临床处理共分四部分，分别为病情评估和监测、减少危险因素、稳定期治疗和急性加重期治疗。</span></p><p><span style=\"font-size: 12px;\">（一）病情评估和监测</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">应根据气流受限严重度分级、临床症状、未来急性加重、住院和死亡风险以及合并症进行综合评估。</span></p><p><span style=\"font-size: 12px;\">1.慢阻肺气流受限严重度分级</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">根据支气管舒张剂后测得的FEV<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>占预计值百分比将其分为4级（表17-4-2）。</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">表17-4-2　慢阻肺气流受限严重度分级（GOLD分级）</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180517-1526546005226005422.jpg\" title=\"1526546005226005422.jpg\" alt=\"表17-4-2　慢阻肺气流受限严重度分级（GOLD分级）.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 973px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">2.慢阻肺综合评估</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">2011年GOLD推荐根据慢阻肺气流受限严重度分级、急性加重次数、调整的英国医学研究委员会呼吸困难评分（mMRC）（表17-4-3）和CAT（慢阻肺评估试验）（表17-4-4）将其分为A、B、C、D 4组（表17-4-5）。</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">表17-4-3　呼吸困难评分</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180517-1526546015946032913.jpg\" title=\"1526546015946032913.jpg\" alt=\"表17-4-3　呼吸困难评分.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 983px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\">表17-4-4　CAT评分表</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180517-1526546025861033738.jpg\" title=\"1526546025861033738.jpg\" alt=\"表17-4-4　CAT评分表.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 964px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\">注：把症状严重度分为6级，最轻为0分，最重为5分，总分40分，分值越高症状越严重</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">3.慢阻肺分期</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">分为急性加重期与稳定期。2011年GOLD将慢阻肺急性加重期（AECOPD）定义为一种急性起病过程，特征是患者呼吸系统症状恶化，超出日常的变异，需要改变药物治疗，包括增加支气管舒张剂的种类和剂量，使用抗生素或全身糖皮质激素。稳定期则指患者咳嗽、咳痰、气短等症状稳定或症状轻微。</span></p><p><span style=\"font-size: 12px;\">（二）稳定期治疗1.药物治疗</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">现有药物治疗可以减少或者消除症状、提高运动耐力、减少急性发作次数和严重程度以及改善健康状态。吸入治疗为首选，必须教会患者正确使用各种吸入器，有助于改善依从性和治疗效果。2011年GOLD推荐按病情分组治疗（表17-4-6），根据患者症状和严重度、急性加重风险、药物可获得性和对药物反应选择个体化治疗方案。</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">表17-4-5　慢阻肺综合评估表</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180517-1526546038548048328.jpg\" title=\"1526546038548048328.jpg\" alt=\"表17-4-5　慢阻肺综合评估表.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1971px; table-layout: fixed;\"/></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">注：mMRC反映呼吸困难程度；CAT评分综合反映临床症状严重度</span></p><p><span style=\"font-size: 12px;\">（1）支气管扩张药：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">常用β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体激动药、胆碱能受体阻断药或甲基黄嘌呤类。联合应用有协同作用，长效制剂优于短效。主要是舒张支气管平滑肌及减少肺过度充气，尽管FEV<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>的改善很少，但能减少残气量、减缓运动中肺动态过度充气，从而减轻呼吸困难。慢阻肺越严重，IC改变较FEV<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>改变越重要。</span></p><p><span style=\"font-size: 12px;\">（2）吸入糖皮质激素：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">在反复急性加重（每年2次或以上）和严重气流受限（FEV<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>＜50%预计值），长效支气管扩张药不能控制时推荐使用。不推荐长期单一吸入糖皮质激素，因其疗效不如联合吸入糖皮质激素和长效β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体激动药。</span></p><p><span style=\"font-size: 12px;\">（3）磷酯酶4（PDE4）抑制剂：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">推荐用于慢性支气管炎，重度和极重度气流受限伴有反复急性加重，不能被长效支气管扩张药控制者。</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">表17-4-6　稳定期药物治疗</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180517-1526546049829039671.jpg\" title=\"1526546049829039671.jpg\" alt=\"表17-4-6　稳定期药物治疗.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1971px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">（4）全身糖皮质激素应用：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">对慢阻肺稳定期患者，不推荐长期口服糖皮质激素治疗。</span></p><p><span style=\"font-size: 12px;\">（5）祛痰和镇咳：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">单纯祛痰剂仅用于痰黏难咳者，不推荐规则使用。镇咳药可能不利于痰液引流，应慎用。</span></p><p><span style=\"font-size: 12px;\">（6）抗氧化剂：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">应用抗氧化剂如N-乙酰半胱氨酸、羧甲司坦等可降低反复加重的频率。</span></p><p><span style=\"font-size: 12px;\">（7）免疫调节剂：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">对减少急性加重频率及其严重程度可能具有一定的作用。</span></p><p><span style=\"font-size: 12px;\">（8）疫苗：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">流感疫苗可减少急性加重的严重度和死亡率，可每年给予1次（秋季）。推荐＞65岁或＜65岁且FEV<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>＜40%预计值的慢阻肺患者使用肺炎球菌疫苗，每5 年1次。</span></p><p><span style=\"font-size: 12px;\">（9）中医治疗：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">某些中药具有祛痰、舒张支气管、免疫调节等作用，值得深入研究。</span></p><p><span style=\"font-size: 12px;\">2.非药物治疗</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">主要包括呼吸康复、氧疗、手术和无创机械通气（NPPV）治疗。目前认为部分缓解期患者，特别是白天有明显高碳酸血症者应用可以延长生存期，减少住院风险，但对生活质量的改善不明显。（表17-4-7）</span></p><p><span style=\"font-size: 12px;\">（1）康复治疗：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">包括健康教育、运动锻炼、营养支持、物理治疗和心理治疗等。有研究发现营养支持联合体育锻炼较单纯营养支持能更好地增加患者无脂群含量。推荐根据每个患者特点制订个体化康复计划。①患者教育与管理：主要包括对慢阻肺认知和劝告患者避免危险因素，掌握一般和某些特殊的治疗方法，特别是正确使用吸入药物，简单处理急性发作。②运动锻炼：包括呼吸训练，如深慢缩唇腹式呼吸，呼吸阻力负荷锻炼和经面罩负压通气等。③营养治疗：营养干预应着重预防和早期治疗，以防止能量失衡。最初应该是改变患者的饮食习惯，然后分数次给予高能量营养品，以避免食欲下降和高热量负荷所致通气需要增加。④其他物理治疗（如咳嗽训练）：深吸气至肺总量后用力咳嗽、翻身拍背帮助患者咳痰，痰液振荡器等也可促进患者清除分泌物。</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">表17-4-7　慢阻肺非药物治疗</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180517-1526546135398089220.jpg\" title=\"1526546135398089220.jpg\" alt=\"表17-4-7　慢阻肺非药物治疗.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 955px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">（2）长期氧疗：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">可以提高患者生存率，改善活动能力、睡眠和认知能力。氧疗指征：①呼吸空气时PaO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>≤55mmHg或动脉血氧饱和度（SaO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>）≤88%，有或无高碳酸血症。②PaO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>55～60mmHg，或SaO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>=88%，并有肺动脉高压、肺心病、右心衰竭或红细胞增多症（血细胞比容＞55%）。一般是经鼻导管吸入流量1.0～2.0L/min氧气，吸氧持续时间＞15小时/天，以便使患者在静息状态下达到PaO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>≥60mmHg（SaO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>升至90%），维持重要器官功能，保证组织氧供。</span></p><p><span style=\"font-size: 12px;\">（3）外科手术：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">分肺外手术和肺本身手术两个方面。肺外手术的术后肺部并发症可增加2.7～3.7倍，术野离膈肌越远肺部并发症越少。术前戒烟至少4～8周联合规范治疗，可减少术后并发症。早期活动、深呼吸、间歇正压呼吸、有效止痛可减少术后并发症。针对肺本身的常规肺减容手术适应证为：FEV<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>＜35%预计值；放射性核素肺通气灌注扫描和HRCT证实不均匀肺气肿，且切除部位病变严重；RV或FRC＞220%预计值；TLC＞125%预计值；PaCO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>＜55mmHg；年龄＜75岁。肺减容手术对上叶严重不均质肺气肿伴运动能力差的患者更有效。虽然没有足够的证据支持常规肺减容术，但是越来越多的研究表明经纤支镜肺减容术具有创伤少、患者易于接受等特点，值得进一步研究。</span></p><p><span style=\"font-size: 12px;\">（三）急性加重期治疗</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">增加支气管扩张药种类和剂量；口服或静脉给予茶碱和激素；有感染征象者用抗生素；应用NPPV支持呼吸功能，可减少气管插管、住院天数，甚至降低死亡率。</span></p><p><span style=\"font-size: 12px;\">1.确定AECOPD原因</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">常见原因是感染，主要是病毒、支原体、衣原体和细菌感染。后者中肺炎链球菌、流感嗜血杆菌、卡他莫拉菌和肺炎克雷伯杆菌等革兰阴性杆菌是最常见的病原菌。也有1/3诱因不明，肺炎、充血性心力衰竭、气胸、胸腔积液、肺血栓栓塞症、心律失常等可以引起与AECOPD类似的症状，需加以鉴别。血液生化检查有助于确定引起AECOPD的其他原因，如电解质紊乱（低钠、低钾、低氯和低钙、低磷血症等）、糖尿病危象或营养不良（低白蛋白）等，并可发现并发的代谢性酸碱失衡。</span></p><p><span style=\"font-size: 12px;\">2.诊断和评估严重度</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">AECOPD分级目前尚无一致意见，可参考以下标准：Ⅰ级，在家治疗；Ⅱ级，需住院治疗；Ⅲ级为急性呼吸衰竭。PEF＜100L/min或FEV<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>＜1.0L提示严重加重。重症患者难于接受肺功能检查，可及时分析动脉血气，海平面大气压吸空气时PaO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>＜8.0kPa （60mmHg），SaO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>＜90%，伴或不伴PaCO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>＞6.7kPa （50mmHg）提示呼吸衰竭。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">AECOPD入院指征：①基础病变为重度或极重度慢阻肺；②症状明显加重，如突然出现静息状态的呼吸困难；③出现新体征，如发绀、周围性水肿等；④初始治疗无效；⑤出现严重并发症或合并症；⑥新发心律失常；⑦年迈或缺乏家庭支持者。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">ICU收治指征：①严重呼吸困难，经治疗不缓解；②嗜睡、淡漠、昏迷者；③持续或进行性加重的低氧血症［PaO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>&nbsp;＜5.3kPa（40mmHg）］和（或）氧疗和NPPV后，仍然出现严重或进行性加重的呼吸性酸中毒（pH＜7.25）者；④需要有创机械通气；⑤血流动力学不稳定，需要血管活性药物治疗者。</span></p><p><span style=\"font-size: 12px;\">3.院外治疗</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">AECOPD早期可以在院外治疗，但需注意病情变化，及时决定转院的最佳时机。其中包括适当增加以往所用支气管扩张药的量和频度，使用储雾器或射流雾化器增进疗效。适合使用抗胆碱药物者立即加用。对更重的病例，可以给予数天较大剂量雾化吸入治疗，如沙丁胺醇2500μg、异丙托溴铵500μg，或沙丁胺醇2500μg加异丙托溴铵250～500μg雾化吸入。在急性加重期使用全身糖皮质激素可以缩短恢复时间，改善肺功能和动脉血气，减少早期复发的风险。可给予泼尼松30～40mg口服治疗10～14天；不能口服者以等效剂量静脉治疗10～14天；无酸血症患者可考虑雾化或定量压力气雾剂（MDI）+储雾器吸入糖皮质激素。延长给药时间不能增加疗效，反而增加不良反应。出现脓痰伴痰量增加或气急加重时应给予抗生素治疗。</span></p><p><span style=\"font-size: 12px;\">4.住院治疗</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">AECOPD病情严重者需住院治疗，可给予如下处理：①根据症状、动脉血气和胸片等评估病情严重度；②合理氧疗并于30分钟后复查动脉血气；③应用支气管扩张药，可考虑静脉加用茶碱类药物；④口服或静脉加用糖皮质激素；⑤密切观察细菌感染征象，积极、合理地使用抗生素；⑥考虑NPPV；⑦在出入量和血电解质监测下适当补充液体和电解质。注意补充营养，不能进食者需经胃肠补充要素饮食或给予静脉高营养。对卧床、红细胞增多症或脱水的患者，无论是否有血栓栓塞性疾病史均需考虑使用肝素或低分子肝素。积极排痰治疗。识别并治疗合并疾病（冠心病、糖尿病等）及并发症（休克、弥散性血管内凝血、上消化道出血、肾功能不全等）。</span></p><p><span style=\"font-size: 12px;\">5.呼吸支持治疗（1）氧疗：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">指证同稳定期，无严重合并症的AECOPD患者氧疗后较易达到满意氧合水平（PaO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>＞60mmHg或SaO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>＞90%），但有可能发生潜在的CO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>潴留。给氧途径包括鼻导管或Venturi面罩。氧疗30～60分钟后应复查动脉血气以确认氧合满意而未引起CO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>潴留或酸中毒。</span></p><p><span style=\"font-size: 12px;\">（2）NPPV：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">应用指征为上述治疗后仍有呼吸性酸中毒，pH＜7.36和PaCO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>＞6～8kPa（45～60mmHg）或持续存在严重呼吸困难。NPPV后，如果pH＜7.25，应该作好插管准备。如有NPPV禁忌证，应考虑立即建立人工气道并收入监护病房。NPPV排除标准（符合下列条件之一）：呼吸抑制或停止；心血管系统功能不稳定（低血压、心律失常、心肌梗死）；嗜睡、神志障碍及不合作者；误吸者（吞咽反射异常、严重上消化道出血）；痰液黏稠或有大量气道分泌物；近期曾行面部或胃食管手术；头面部外伤，固有的鼻咽部异常；极度肥胖；严重胃肠胀气。随着NPPV技术的提高，一些禁忌证如嗜睡、心血管系统功能不稳定等成为相对禁忌证，可试用NPPV，但需加强监护。</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">表17-4-8　有创机械通气在慢阻肺急性加重期的应用指征</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180517-1526546145197059744.jpg\" title=\"1526546145197059744.jpg\" alt=\"表17-4-8　有创机械通气在慢阻肺急性加重期的应用指征.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 989px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">（3）有创机械通气：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">在积极药物治疗或NPPV后，呼吸衰竭仍进行性恶化，出现危及生命的酸碱异常和（或）神志改变时宜用有创机械通气。有创机械通气具体应用指征见表17-4-8。对决定终末期慢阻肺是否使用机械通气时还需参考病情好转的可能性、患者自身意愿及强化治疗的条件。因慢阻肺广泛存在内源性呼气未正压（PEEPi），为减少因PEEPi所致吸气功耗增加和人机不协调，可常规加用适当水平（4～8cmH<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O，约为PEEPi的70%～80%）外源性呼气末正压（PEEP）。慢阻肺撤机常会遇到困难，需设计和实施周密方案。病情好转后采用NPPV序贯治疗可用于早期脱机，并取得良好效果。</span></p><p><span style=\"font-size: 12px;\">（四）预防病情进展和急性发作</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">应劝告患者尽可能避免接触危险因素。戒烟是降低慢阻肺发生危险、阻止病情进展（不能使损害逆转）最经济有效的方法。另外应尽可能消除、减少和（或）控制吸入粉尘气体，采取措施减少和（或）避免室内外空气污染。预防接种疫苗和康复锻炼也可取得事半功倍的效果。</span></p><p><br/></p>', null, '12', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4767', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '66', '参考文献', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.中华医学会呼吸病学分会.慢性阻塞性肺疾病诊治指南（2007年修订版）.中华结核和呼吸杂志，2007，30（1）：199-233.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.陈淑靖，顾宇彤，张静，等.胸部低剂量CT定量指标与肺气流受限的相关性分析.国际呼吸杂志，2012，32：833-837.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.Fang XC，Wang XD，Bai CX.COPD in China：The Burden and Importance of Proper Management.（Review）Chest，2011，139 （4）：920-929.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.Zhang J，Ou JX，Bai CX.Tobacco smoking in China：prevalence，disease burden，challenges and future strategies.Respirology，2011，16（8）：1165-1172.</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '13', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4819', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '177', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">癫痫（epilepsy）是一组由于脑部神经元异常过度放电所引起的突然、短暂、反复发作的CNS功能失常的慢性疾病和综合征。按照异常放电神经元涉及部位和放电扩散范围的不同，临床上可表现为不同的运动、感觉、意识、自主神经等不同的功能障碍，或兼而有之。一次神经元的突然异常放电所致短暂过程的神经功能障碍称为癫痫发作（tpileptic seizure），是脑内神经元过度和（或）超同步化异常电活动的临床表现。2005年国际抗癫痫联盟（ILAE）对癫痫的定义作了修订：癫痫是一种脑部疾病，其特点是持续存在能产生癫痫发作的脑部持久性改变，并出现相应的神经生物认知、心理学以及社会学等方面的后果。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4820', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '177', '流行病学', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">全人群癫痫患病率的研究相对较少。在发达国家，初次诊断原发性癫痫的全人群年发病率为（20～70）/10万。发展中国家癫痫的发病率大约是发达国家的2～3倍。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">我国大规模人群调查的资料显示，癫痫的年发病率农村和城市分别为25/10万和35/10万，处于国际中等水平。癫痫患病率为0.9‰～4.8‰，与发展中国家相比处于较低水平。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">癫痫的死亡率据国外报道为（1～4.5）/10万，我国报道为（3～7.9）/10万。每年有0.1%的癫痫患者因癫痫而死亡，死亡率在不同年龄组中几乎相同。由于癫痫不作为单独的疾病列入死亡登记表的“死因”，有关癫痫的死亡率数据并不可靠。近年来采用标化死亡比（SMR）比较癫痫人群与一般人群死亡的情况，更能准确地反映癫痫的严重程度。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">我国近期完成的癫痫管理示范项目中发现，癫痫患者的主要死因是伤害（30%）和卒中（30%），而恶性肿瘤、肺炎和心肌梗死分别占15%、6%和5%。肺炎、伤害、卒中和恶性肿瘤的SMR分别为21.3、12.2、7.0和1.6。中国西部农村的研究结果显示，总体SMR为4.92，死亡原因包括溺水（45.1%），SUDEP（14.7%），癫痫持续状态（6.9%）与恶性肿瘤（6.9%）。</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4821', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '177', '病因', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">癫痫按照病因可分为原发性、症状性和隐源性三种类型。</span></p><p><span style=\"font-size: 12px;\">（一）原发性癫痫</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">又称特发性癫痫，通过详细询问病史与体格检查以及目前所能做到的各种辅助检查仍未能找到引起癫痫发作的原因，可能与遗传因素有关，约占全部癫痫的2/3。</span></p><p><span style=\"font-size: 12px;\">（二）症状性癫痫</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">任何局灶性或弥漫性脑部疾病，以及某些全身性疾病或系统性疾病均可引起癫痫。癫痫发作只是脑部疾病或全身性疾病的一个症状。该型约占癫痫患者总数的23%～39%。</span></p><p><span style=\"font-size: 12px;\">1.局限或弥漫性脑部疾病（1）先天性异常：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">染色体畸变、脑穿通畸形、小头畸形、先天性脑积水、胼胝体发育不全、脑皮质发育不全等。</span></p><p><span style=\"font-size: 12px;\">（2）头颅损伤：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">颅脑外伤和产伤。</span></p><p><span style=\"font-size: 12px;\">（3）炎症：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">CNS细菌、病毒、真菌、寄生虫、螺旋体等感染，以及AIDS的神经系统并发症。</span></p><p><span style=\"font-size: 12px;\">（4）脑血管病：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">脑动静脉血管畸形、脑动脉粥样硬化、脑栓塞、脑梗死、脑出血、脑动脉硬化性脑病等。</span></p><p><span style=\"font-size: 12px;\">（5）颅内肿瘤：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">原发性脑胶质瘤、脑膜瘤、脑转移性肿瘤。</span></p><p><span style=\"font-size: 12px;\">（6）代谢遗传性疾病：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">如结节硬化症、脑-面血管瘤病、苯丙酮尿症等。</span></p><p><span style=\"font-size: 12px;\">（7）变性病：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">如AD等。</span></p><p><span style=\"font-size: 12px;\">2.全身或系统性疾病</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">（1）缺氧：CO中毒，麻醉意外等。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">（2）新陈代谢及内分泌障碍：尿毒症、高尿素氮血症、肝性脑病、低血糖、碱中毒、甲状旁腺功能亢进、水潴留等。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">（3）心血管疾病：心脏骤停、高血压脑病等。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">（4）高热：热性惊厥。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">（5）子痫。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">（6）中毒：乙醇、醚、氯仿、樟脑、异烟肼、卡巴唑、重金属铅、铊等中毒等。</span></p><p><span style=\"font-size: 12px;\">（三）隐源性癫痫</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">指目前尚未找到肯定致痫原因的癫痫。但随着科学技术的发展，尤其是基因和分子医学的广泛应用和快速发展的情况下，隐源性癫痫将日趋减少。在2009年ILAE分类中，该定义已被“未知的病因”取代。&nbsp;发病机制</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">癫痫发作的类型十分复杂，但共同点是脑内某些神经元的异常持续兴奋性增高和阵发性放电。这些神经元兴奋性增高的原因以及这些兴奋性如何扩散至今尚不清楚，但突触间兴奋性传递障碍可能与之有关，主要有如下假设：</span></p><p><span style=\"font-size: 12px;\">1.神经递质的失平衡</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">可能是癫痫发生的原因，如γ-氨基丁酸（GABA）是CNS主要的抑制性递质，谷氨酸则是兴奋性递质，这两种递质受体功能的失平衡是导致癫痫的主要递质基础，这两种受体功能的失平衡又因神经元突触传递的离子通道异常所致。</span></p><p><span style=\"font-size: 12px;\">2.轴突发芽（axonal sprouting）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">可能是神经元异常放电的形态学基础，海马硬化的病理改变中发现有苔藓状纤维发芽（MFS）现象。MFS使齿状回的颗粒细胞间建立了返回性兴奋性突触回路。局部外伤或药物刺激可能促使皮质MFS的形成，从而在神经元间形成返归性兴奋性突触回路而促使痫样活动发生。</span></p><p><span style=\"font-size: 12px;\">3.遗传因素</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">是癫痫发生的内因，许多癫痫患者有家族倾向。许多研究已证明了某些癫痫的遗传基因和基因定位。良性家族性新生儿惊厥（BFNC）由位于20q13.3和8q24上的钾通道基因<em style=\"box-sizing: border-box;\">KCNQ2</em>和<em style=\"box-sizing: border-box;\">KCNQ3</em>基因突变所致。常染色体显性遗传夜发性额叶癫痫（autosomal dominant frontal lobe epilepsy，ADNFLE）与位于20q13.2上编码烟碱型乙酰胆碱受体（nAchR）α4亚单位的Ca<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2+</span>通道基因（CHRNA4）突变有关。近期的研究还发现特发性颞叶癫痫与钾通道基因改变的关系也十分密切。家族性伴发热惊厥的全身型癫痫（GEFS<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>）与2q24-q33上的SCN1A、SDN2A、SCN3A基因簇和19q13.1上编码Na<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>通道亚型β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>亚单位的基因（SCN1B）突变有关；另外有研究发现该综合征还与GABA受体变异有关，特别是编码GABA<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">A</span>受体γ<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>亚单位的GABRG2基因突变是目前较肯定的与GEFS<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>发生有关的遗传学证据。此外，家族性成年肌阵挛发作与8q、19qSCN1B基因突变有关，良性中央回发作与16q等部位的基因异常有关。</span></p><p><span style=\"font-size: 12px;\">4.离子通道病学说</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">越来越多的研究表明，离子通道的改变是引起神经元内在兴奋性不平衡的物质基础。大部分遗传性癫痫的分子机制为离子通道或相关分子的结构或功能改变。离子通道改变在继发性局灶性癫痫的发病中也起重要作用。目前已明确的与癫痫密切相关的离子通道有钾通道、钠通道、钙通道和配基门控型通道异常（表23-8-1）。</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">表23-8-1　部分已知离子通道相关的单基因及多基因遗传性癫痫</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180515-1526370869779075308.jpg\" title=\"1526370869779075308.jpg\" alt=\"T23-8-1_33935.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1971px; table-layout: fixed;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">除上述因素外，免疫机制亦参与其发生，可能系自身抗体与神经细胞突触传递中的受体结合，导致受体破坏、再生和轴突发芽而使兴奋通路错误传递。</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4822', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '177', '病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">癫痫的病因错综复杂，病理改变亦呈多样化。癫痫病理改变可分为引起癫痫发作的病理改变（病因）和癫痫发作引起的病理改变（后果）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">关于癫痫的病理研究大部分来自RE患者手术切除的病变组织，在这类患者中，海马硬化（hippocampal sclerosis，HS）具有一定的代表性。HS又称阿蒙角硬化（ammon horn sclerosis，AHS）或颞叶中央硬化（mesial temporal sclerosis，MTS），它既是癫痫反复发作的结果，又可能是导致癫痫反复发作的病因。肉眼观察表现为海马萎缩、坚硬；组织学表现为双侧HS病变多呈现不对称性，往往发现一侧有明显的HS表现，而另一侧海马仅有轻度的神经元脱失；此外，也可波及海马旁回、杏仁核、钩回等。镜下典型表现是神经元脱失和胶质细胞增生，且神经元的脱失在癫痫易损区更为明显，比如CA1区、CA3区和门区。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">苔藓纤维出芽是HS患者另一重要的病理表现。颗粒细胞的轴突称为苔藓纤维，正常情况下只投射至门区及CA3区，反复癫痫发作触发苔藓纤维芽生，进入齿状回的内分子层（主要是颗粒细胞的树突）和CA1区，形成局部异常神经环路，导致癫痫发作。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">而对于非HS的患者，反复的癫痫发作是否一定发生神经元脱失等海马的神经病理改变，尚无定论。国外有学者收集癫痫患者的尸检标本发现，长期反复发作的癫痫患者并不一定有神经元显著的脱失。随着分子生物学等基础学科的迅速发展，癫痫发作所引起的细胞超微构架损伤及分子病理机制将逐步清晰。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4823', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '177', '癫痫的分类', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">国际抗癫痫联盟（ILAE）于1981年和1989年分别提出了癫痫发作的临床及脑电图分类（classification of epileptic seizures）和癫痫与癫痫综合征的分类（classification of epilepsies and epileptic syndromes）。这一分类因其方便实用至今仍在临床工作和国际交流中使用。</span></p><p><span style=\"font-size: 12px;\">（一）癫痫发作的临床及脑电图分类（ILAE，1981）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">Ⅰ.部分性发作（局灶性、局限性发作）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">单纯部分性发作（无意识障碍）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">复杂部分性发作（有意识障碍，有时从单纯部分性发作开始）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">部分性发作发展至继发全身性发作（可以是全身强直-阵挛、强直或阵挛发作）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">Ⅱ.全身性发作（非局限开始的发作）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">失神发作肌阵挛发作（单一或多发）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">阵挛发作</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">强直发作</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">强直-阵挛发作</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">失张力发作</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">Ⅲ.不能分类的癫痫发作</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">以上每类都有多种亚型。</span></p><p><span style=\"font-size: 12px;\">（二）癫痫和癫痫综合征的分类（ILAE，1989）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">Ⅰ.与部位相关（局灶性、限局性、部分性）癫痫及综合征</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">A.特发性（起病与年龄有关）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">1.具有中央、颞区棘波的良性儿童癫痫</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">2.具有枕叶爆发的儿童癫痫</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">3.原发性阅读性癫痫</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">B.症状性</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">1.慢性进行性部分性癫痫状态</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">2.以特殊状态诱发发作为特征的综合征</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">（1）颞叶癫痫</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">（2）额叶癫痫</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">（3）顶叶癫痫</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">（4）枕叶癫痫</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">Ⅱ.全身性癫痫及综合征</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">A.特发性（起病与年龄有关）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">1.良性家族性新生儿惊厥</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">2.良性新生儿惊厥</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">3.良性婴儿肌阵挛癫痫</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">4.儿童失神癫痫</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">5.青少年失神癫痫</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">6.青少年肌阵挛癫痫</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">7.具有大发作的癫痫</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">8.醒觉时具有大发作（GTCS）的癫痫</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">9.其他全身特发性癫痫</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">10.以特殊状态诱发发作的癫痫</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">B.隐源性或症状性</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">1.West综合征（婴儿痉挛症）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">2.Lennox-Gastaut综合征</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">3.肌阵挛站立不能性癫痫</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">4.肌阵挛失神癫痫</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">C.症状性</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">1.非特殊病因</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">（1）早期肌阵挛性脑病</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">（2）早期婴儿癫痫性脑病伴有爆发抑制（大田原综合征）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">（3）其他症状性全身性癫痫</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">2.特殊综合征（合并于其他疾病的癫痫发作，包括有发作及以发作为主要症状的疾病）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">Ⅲ.不能确定为限局性或全身性的癫痫及综合征</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">A.兼有全身性和局限性发作</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">1.新生儿发作</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">2.婴儿严重肌阵挛癫痫（Dravet syndrome）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">3.慢波睡眠期持续棘-慢复合波癫痫（ESES）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">4.获得性癫痫性失语（Landau-Kleffner综合征）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">5.其他不能确定的癫痫</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">B.未能确定为全身性或局限性者，在临床及脑电图所见不能确定为全身性或局限性的全身强直-阵挛发作，如很多睡眠期的GTCS。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">Ⅳ.特殊综合征</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">1.与情况相关的发作</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">（1）热性惊厥</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">（2）仅发生于急性代谢性或中毒性事件的发作，如酒精中毒、药物、子痫、非酮性高甘氨酸血症</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">2.发作或孤立癫痫状态</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">上述分类方案，在临床应用很难将有些发作归入某一发作类型，随着近年来基因学与分子生物学，中枢神经递质，分子电生理及临床电生理等学科的发展，ILAE于2001年又提出了修改上述方案的建议，新方案总结了癫痫学研究的进展，更为全面与完整，有5个层次：①发作期症状学：根据标准描述性术语对发作时的症状进行详细的描述；②发作类型：确定患者的发作类型，如有可能应明确大脑定位，如为反射性发作需指明特殊的刺激因素；③综合征：进行癫痫综合征的诊断；④病因：如可能根据经常合并癫痫或癫痫综合征的疾病分类确定病因，或症状性癫痫的特殊病理基础；⑤损伤：评价癫痫造成损伤的程度。2009年ILAE又提出了“发作和癫痫分类框架的术语和概念修订”。</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p style=\"text-align: right;\"><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4824', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '177', '癫痫发作的临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">癫痫发作大多具有短时、刻板和间歇反复发作等特点，各类发作既可单独地或不同组合地出现于同一个患者身上，也可在起病初期表现为一种类型的发作，以后转为另一类型，例如，在儿童期出现的失神发作可在青春后期转为全身-强直阵挛性发作；也有起初为全面性发作，以后发生复杂部分性发作等。介绍临床上常见的几种发作类型，为便于理解，仍沿用ILAE 1981年发作分类。</span></p><p><span style=\"font-size: 12px;\">（一）全面性强直-阵挛性发作（general tonic clonic seizure，GTCS）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">患者突然神志丧失并全身抽搐发作，可为原发性或继发性，但大部分属继发性。按症状经过可分为三期。</span></p><p><span style=\"font-size: 12px;\">1.先兆期</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">部分继发性发作的患者在发作前一瞬间可出现一些先兆症状，分为感觉性（如上腹部不适，胸、腹气上升，眩晕、心悸等），运动性（如身体局部抽动或头、眼向一侧转动等）或精神性（如无名恐惧，不真实感或如入梦境等）。先兆症状极为短暂，有的甚至不能回忆。先兆症状常可提示脑部病灶的位置。原发性发作的患者常缺乏先兆症状。</span></p><p><span style=\"font-size: 12px;\">2.抽搐期</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">患者突然神志丧失，发出尖叫声，跌倒，瞳孔散大，光反应消失。又可分为两期：</span></p><p><span style=\"font-size: 12px;\">（1）强直期：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">全身肌肉强直性收缩，颈部和躯干前屈转为反张，肩部内收，肘、腕和掌指关节屈曲，拇指内收，双腿伸直，足内翻。由于呼吸肌强直收缩，呼吸暂停，脸色由苍白或充血转为青紫，双眼上翻，持续约20秒左右。先自肢端呈现细微的震颤，震颤幅度逐渐增大并延及全身，即进入阵挛期。</span></p><p><span style=\"font-size: 12px;\">（2）阵挛期：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">全身肌肉屈曲痉挛，继之有短促的肌张力松弛，呈现一张一弛交替性抽动，形成阵挛。发作过程中阵挛频率逐渐减少，松弛时间逐渐延长。持续约1～3分钟，出现最后一次强烈痉挛后，抽搐突然停止。在此期内，由于胸部的阵挛活动，气体反复由口中进出，形成白沫。若舌或颊部被咬破，则口吐血沫。</span></p><p><span style=\"font-size: 12px;\">3.痉挛后期或昏睡期</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">在此期间，患者进入昏睡状态。在最后一次明显的痉挛后5秒有时可有轻微短暂的强直性痉挛，但以面部和咬肌为主，造成牙关紧闭并有再次咬破舌头的可能。在最后一次痉挛到第二次肌肉强直期之间全身肌肉松弛，包括括约肌在内，尿液可能自尿道流出造成尿失禁。呼吸渐趋平稳，脸色也逐渐转为正常，患者由昏迷、昏睡、意识模糊而转为清醒。此期长短不一，经数分钟至数小时不等。醒后除先兆症状外，对发作经过不能回忆，患者往往感到头痛、头昏、全身酸痛乏力。少数患者在发作后还可能出现历时长短不等的精神失常。</span></p><p><span style=\"font-size: 12px;\">（二）全脑性非惊厥性发作</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">临床主要见于儿童或少年，有以下几种发作形式：</span></p><p><span style=\"font-size: 12px;\">1.失神发作（absence seizure）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">以5～10岁起病者为多，15岁以后发病者极少。发作时表现为短暂的意识丧失，一般不会跌倒，亦无抽搐。患儿往往突然停止原来的活动，中断谈话，面色苍白，双目凝视无神，手中所持物件可能跌落，有时头向前倾，眼睑、口角或上肢出现不易觉察的颤动。有时眼球有向上约3次/秒的颤动，也可能机械地从事原先的活动。一般持续6～20秒，极少超过30秒，发作突然停止，意识立即恢复。发作无先兆，亦不能回忆发作经过。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">因为发作时间短暂，常不易被人发觉。部分儿童因进食时发作，碗筷经常跌落或玩耍时玩具落地而引起家长注意。临床经过一般良好，智力不受影响，但发作频繁，一天可达数十次以至百余次，会影响学习。通常至青春期停止发作，也有部分转为全身强直-阵挛性发作。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">失神发作的诊断标准为：①反复发作的短暂失神，深呼吸容易诱发；②脑电图上有弥漫性双侧同步的3Hz棘-慢波。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">全身强直-阵挛性发作患者在服用抗癫痫药后没有惊厥发作，但有先兆或短暂意识不清时，应认为是强直-阵挛发作的不完全发作而不能视为失神发作。15岁以后发生失神发作时应首先考虑颞叶癫痫。年长者还应注意与TIA鉴别。</span></p><p><span style=\"font-size: 12px;\">2.非典型失神发作（atypical absence seizure）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">肌张力的改变要比典型失神发作明显，发作和停止并不十分突然。脑电图上表现为不规则2.5Hz以下的棘-慢波，往往为不对称或不同步的。</span></p><p><span style=\"font-size: 12px;\">3.失张力性（松弛性）发作（atonic seizure）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">为一种复合性发作，多见于儿童，表现为突然意识障碍和肌张力消失，发作结束后意识很快恢复，肌张力消失可能使患者跌倒于地。</span></p><p><span style=\"font-size: 12px;\">4.肌阵挛性发作（myoclonic seizure）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">亦为一种复合性发作。以头部及上肢肌肉为主的双侧节律性肌阵挛抽动，频率为3Hz，与脑电图上棘-慢波或多棘-慢波的频率一样，且与棘波同步。</span></p><p><span style=\"font-size: 12px;\">（三）单纯部分性发作（simple partial seizure）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">为大脑皮质局部病灶引起的发作，通常由于损害的区域不同而引起不同的表现类型，患者意识常保持清醒。部分患者的单纯部分性发作可发展成为全身性发作。</span></p><p><span style=\"font-size: 12px;\">1.单纯体感性发作</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">指躯体感觉性而非内脏感觉性发作，往往局限于或先从一侧口角、手指或足趾开始的短暂感觉异常，表现为麻木、触电感或针刺感，偶尔发生温热感、动作感或感觉确失。疼痛感则极为罕见。最近有一些儿童病例发生足底、足趾、腕及小腿关节发作性疼痛的报道。病灶一般在对侧大脑半球中央后回。如果痫性活动延及其他区域，会产生运动性发作甚至于全身性发作。</span></p><p><span style=\"font-size: 12px;\">2.单纯运动性发作</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">多从一侧口角、手指或足趾开始或局限于该处的强直性或阵挛性抽搐，由对侧中央前回神经元的异常放电所引起。发作时意识并不丧失。持久或严重的局限性运动性发作时常在发作后遗留暂时性的局部瘫痪（Todd瘫痪）。局部抽搐偶可持续数小时、数天，甚至数周，局限性运动性发作连续不断而患者意识始终清醒者称为部分性癫痫持续状态（epilepsia partialis continua）。</span></p><p><span style=\"font-size: 12px;\">3.扩延性发作（Jacksonian）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">局限性单纯体感性或运动性发作，可按其感觉或运动代表区在大脑中央后回或前回的分布顺序缓慢移动，甚至扩散至对侧半身。有时局限性体感性发作不仅先有局部感觉异常，沿中央后回扩展至一侧半身，而且可以越过中央沟扩展至中央前回出现部分运动性发作。若放电再通过大脑皮质下的联系纤维而导致双侧大脑半球的弥漫性放电时，就发展成继发全身性惊厥发作，此时患者的意识丧失。若局限性发作很快转化为全身性发作，这种部分性发作或感受就成为“先兆”。有时扩延非常迅速，正如前述，甚至于患者还来不及“感受”或“意识”到有先兆时即失去意识、出现四肢抽搐，醒后不能回忆，临床医师常难以区别究竟为原发性还是继发性发作，有时也难于区别究竟是部分性发作还是全身性发作。</span></p><p><span style=\"font-size: 12px;\">4.其他感觉性发作</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">有视觉性发作、听觉性发作、眩晕性发作、嗅觉性发作和味觉性发作等。</span></p><p><span style=\"font-size: 12px;\">5.混合性发作</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">一种以上的上述发作形式。</span></p><p><span style=\"font-size: 12px;\">（四）复杂部分性发作（complex partial seizure）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">多数自简单部分性发作开始，随后出现意识障碍、自动症（automatism）和遗忘，也有发作开始即有意识障碍。由于症状复杂，病灶常在颞叶及其周围，涉及边缘系统，故又称精神运动性发作、颞叶癫痫或边缘（脑）发作。这一类型的发作，多以意识障碍与精神症状为突出表现。患者在发作时与外界突然失去接触，精神模糊，出现一些无意识的动作（称为自动症），如咂嘴、咀嚼、吞咽、舔舌、流涎（口咽自动症），反复抚摸衣扣或身体某一部位，或机械地继续其发作前正在进行的活动，如行走、骑车或进餐等。有的表现为精神运动性兴奋，例如突然外出、无理吵闹、唱歌、脱衣裸体、爬墙跳楼等。每次发作持续达数分钟或更长时间后，神志逐渐清醒，对发作情况多数无记忆。也可能表现为单纯部分性发作中出现精神症状，接着就与外界失去接触，并出现自动症。发作停止后，对于自动症以前出现的一些症状，常常能回忆。复杂部分性发作可以发展为全身强直-阵挛性发作。脑电图上最典型的表现为在一侧或双侧颞前部有棘波或尖波发放。由于致病灶常在颞叶内侧面或底面，有时头皮电极不易见到痫样放电而表现为阵发性θ波活动。睡眠描记、蝶骨电极或鼻咽电极可使局灶性棘波或尖波的阳性率增高。部分患者的异常放电灶位于额叶。</span></p><p><span style=\"font-size: 12px;\">（五）癫痫持续状态1.癫痫持续状态的定义及进展</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">癫痫持续状态（status epilepticus，SE）是一种严重威胁生命的神经急诊，由各种病因所致大脑自身稳定的痫性发作抑制机制障碍的临床综合征，临床表现为持续性发作或反复发作伴间歇期意识功能不恢复，传统认为持续时间＞30分钟。Mayer （2002）提出发作持续＞10分钟或间歇性发作＞30分钟的标准；Treiman（1998）提出发作持续10分钟以内是控制发作和减少耐药性的最佳时机。Lowenstein等（1999）提出了SE的实用性定义：成年和5岁以上儿童一次全身惊厥性发作持续或反复发作2次以上＞5分钟，且意识不完全恢复。这与SE的传统概念并不相矛盾，前者有利于指导及时和有效的临床治疗，后者更有利于评价各种SE的流行病学、病理生理、疗效和预后。对于难治性癫痫持续状态（refractory status epilepticus，RSE），目前尚无公认的诊断标准，多数人认为RSE指SE对2～3种一线抗癫痫药物（安定类和苯妥英钠等）治疗无效，发作时间超过1～2小时。</span></p><p><span style=\"font-size: 12px;\">2.SE分类</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">SE的发作形式如同癫痫发作一样，分为多种类型。根据临床发作时有无明显的骨骼肌收缩表现，将SE分为惊厥性（convulsive status epilepticus，CSE）与非惊厥性（non-convulsive status epilepticus，NCSE）；根据病因不同，ILAE将SE分为：①急性症状性；②远期症状性；③特发性；④隐匿性；⑤未分类等。</span></p><p><span style=\"font-size: 12px;\">（六）难治性癫痫</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">大多数癫痫患者的发作可获得满意的控制，但有30%～40%癫痫患者经适当的抗癫痫药物（anti-epileptic drugs，AEDs）治疗一定时期后仍未达到无发作，即难治性癫痫（refractory epilepsy，RE）。ILAE于2010年达成了对耐药性癫痫的定义：两种正确选择、可耐受的AEDs经足够疗程及剂量的单药或联合治疗后仍未能控制发作的癫痫。以上定义仅适用于作出评估的时间点，并不意味着该患者在进一步抗癫痫治疗后永远达不到无发作。这是与RE的区别之一。此外，耐药性癫痫患者可进入癫痫手术的评估与筛选，若癫痫手术仍无法控制发作，则成为真正的RE。癫痫频繁发作、AEDs长期使用、社会歧视等不仅给RE患者带来躯体损害，也使其产生了严重的社会行为、心理和精神障碍，影响了患者学习、就业、婚育，显著降低了患者的生活质量。因此，探讨RE病因、早期预测和干预RE等研究已成为学术界关注的热点。</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4825', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '177', '辅助检查', '<p><span style=\"font-size: 12px;\">（一）脑电图</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">脑电图检查已成为癫痫的诊断和分型必不可少的检查方法，还广泛应用于指导选用抗癫痫药、估计预后、手术前定位，并用于阐明癫痫的病理生理。发作时记录的脑电图诊断意义最大，但这种机会甚少，大多只能在发作间歇期对患者进行脑电图检测。一次发作间歇期记录，历时20～40分钟，发现癫痫样电活动的概率约50%，故不能据此作为诊断有无癫痫的手段。发作间歇期放电与发作时的放电有很多不同，前者持续时间短（一般不超过2～3秒），甚至单个散在出现，波形整齐，不伴临床发作且波形可与后者完全不同，出现范围也不如后者广泛；后者持续时间长（通常在数十秒以上甚至数分钟），包括节律性重复性成分，波形不如前者放电整齐，出现范围广泛，常合并临床发作。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">脑电图可用于鉴别发作类型和明确致痫灶部位，常规脑电图多次重复记录，并结合缺睡诱发和睡眠记录，可使阳性率增加至85%左右，其余15%的患者，需应用长时监测（long-term monitoring，LTM）的方法来获取更多的信息，个别复杂部分性发作的患者甚至需要做脑深部电极记录方能确诊。除去某些特殊类型如儿童失神发作和婴儿痉挛症外，由于头皮电极所记录到的癫痫样电活动可能不来自皮质，而为远处病灶的传播所致，常规记录有其性能上的局限性。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">视频脑电图（video-EEG，V-EEG）监测对癫痫的诊断有非常重要的意义，大多可以获得有助于诊断的信息，同时有助于鉴别非癫痫性发作及假性发作。对于反复常规EEG结果阴性的患者，长时间通过数小时、数天或数周的V-EEG监测，可以对少见的发作期及发作间期的异常EEG进行分析，并通过增加电极数（包含32、64甚至更多监测电极）来进行更为准确的癫痫灶定位。发作时的视频记录还可以获得癫痫发作时的症状学信息，并与当时的EEG进行对照。</span></p><p><span style=\"font-size: 12px;\">（二）神经影像学检查</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">主要目的是寻找最可能与最重要的潜在病因。癫痫影像学检查方法有：常规X线摄影、脑血管造影、CT、MRI、PET、SPECT、功能MRI成像（functional magnetic resonance imagine，fMRI）、MRS等。新发癫痫患者进行脑部影像学检查的指征包括：病史或脑电图提示有局灶性起源的依据；于婴儿期或是成人期首次发病者；神经系统体检有局灶性阳性体征者；经典AEDs正规治疗疗效不佳者；长期应用AED药物治疗癫痫得到控制，经过一段稳定期后发作再次频繁者或发作类型改变者。重复脑部影像学检查的指征有：癫痫复发、发作情况恶化、AEDs常规治疗出现难以解释的发作类型的变化，以及神经系统体检发现体征出现变化。在所有的影像学检查方法中，MRI技术为首选。对于部分不能接受MRI扫描的，或是怀疑有脑部结构性损害、情况紧急的患者可以选用CT扫描。</span></p><p><span style=\"font-size: 12px;\">1.CT</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">有助于发现肿瘤或其他可能导致癫痫发生的结构性改变，但大多数癫痫患者的CT扫描结果正常。</span></p><p><span style=\"font-size: 12px;\">2.MRI</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">已经成为评价癫痫患者（尤其是部分性发作的癫痫患者）最重要的影像学检查技术。高清分辨率MRI能对近80%行颞叶切除术的患者和近60%行额叶切除术的患者进行手术定位。MRI在诊断颞叶HS方面具有重要作用，典型表现为与癫痫灶同一侧的中央海马不对称变小或萎缩，受累海马在T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>W上为高信号。具有内侧面海马硬化（MTS）的RE的MRI检出率约为90%。约有90%颞叶癫痫的MRI发现与EEG改变相吻合，而颞叶外癫痫两者的一致性相对较低。其他能够被MRI成像检出的病变还包括：低级肿瘤、血管畸形、局限性损伤或胶质增生，脑皮质发育异常等。这些病变均是颞叶以外癫痫的重要病因，其中局部脑皮质发育异常较难被检出。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">MRI影像的采集技术对于能否发现异常病灶至关重要，一般高分辨率MRI所需的磁场强度至少要达到1.5T，分别作冠状面、横断面和矢状面扫描（层厚≤1.5mm），T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>WI、T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>WI序列与FLAIR序列。此外还有MRS、fMRI等。</span></p><p><span style=\"font-size: 12px;\">3.PET及SPECT</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">PET属于功能显像范畴，目前常用的方法有：用15O-H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O来正确地测定局部脑血流灌注；用18F-FDG（去氧葡萄糖）测定局部脑葡萄糖代谢率；用11C-FMZ测定苯二氮</span>卓<span style=\"font-size: 12px;\">受体密度；用11C-Diprenorphine测定颞叶癫痫中阿片受体的变化等。癫痫患者发作间期18F-FDG-PET脑代谢研究最常见的异常是局部皮质下代谢减低而呈FDG摄取减少，通常低代谢区与发作源的部位相一致。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">SPECT在癫痫中的应用主要包括癫痫的诊断、癫痫灶的手术定位、治疗后评估等。原发性局灶性癫痫在脑血流灌注SPECT中大多表现为发作间期局部血流灌注减低，发作期相应部位血流灌注异常增加。特别是发作期的SPECT，能够给予较准确的定位。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">PET或SPECT功能显像最有效的用途之一就是无创性帮助识别癫痫灶的定位。外科手术治疗成功的关键在于癫痫灶的准确定位，在手术前进行PET或SPECT检查就是为了确定手术的范围。脑电图尤其是24小时动态脑电图有时难以准确定位，在有限的时间能否探测到癫痫发作仍是问题；CT、MRI定位主要反映的是形态学与脑的结构性变化，对于仅有脑功能或代谢改变而无形态学改变的病灶往往不能见到异常，而PET及SPECT在这方面具有明显的优越性。另外，对于复杂部分性发作的癫痫灶的探测，CT、MRI都不及PET或SPECT。PET及SPECT对癫痫灶定位较为准确，与颅内EEG吻合率较高。结合EEG，综合应用MRI、MRS、PET等手段可以提高癫痫特别是顽固性癫痫致痫灶切除术前定位诊断的准确率。</span></p><p><span style=\"font-size: 12px;\">（三）脑磁图检查</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">神经元膜的离子流动不仅产生电场，还产生磁场，形成脑磁图（MEG）。脑磁图是测量颅外磁场的方法。大量研究结果表明，对癫痫起源的成功模拟在于脑电图和脑磁图各自优势的互补、联合；但MEG描记要求在较短时间内完成，因为患者必须安静地躺卧或坐在杜瓦瓶下保持不动，不能像脑电描记那样可以长时间监测；另外，信号大小严重影响MEG的描记结果，为此采取的屏蔽措施与仪器价格昂贵等原因，大大限制了其使用。</span></p><p><span style=\"font-size: 12px;\">（四）其他实验室检查1.催乳素（PRL）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">癫痫发作，特别在强直阵挛发作后，血清PRL的水平明显升高，在发作后20～30分钟达到高峰，随后1小时内逐渐降低回到基线。另外，垂体病变、药物使用、外伤、中毒等都可能影响PRL水平，须注意假阳性。</span></p><p><span style=\"font-size: 12px;\">2.神经元特异性烯醇化酶（NSE）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">NSE特异定位于神经元和神经内分泌细胞，主要参与糖酵解，在神经元坏死或损伤时进入脑脊液和血液。在癫痫发作后NSE明显升高。</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4826', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '177', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">癫痫的诊断对临床表现典型者来说并不困难；但发作表现复杂或不典型者，确定诊断也非易事。癫痫的诊断方法和其他疾病一样，通过病史、体格检查与神经系统检查、实验室检查等方面收集资料，进行综合分析。癫痫诊断的思路，包括是否为癫痫，是何种发作类型或综合征，以及何种病因导致的癫痫。</span></p><p><span style=\"font-size: 12px;\">癫痫的诊断步骤</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">确定癫痫的诊断，主要依靠临床表现、脑电图波形和AEDs的效应。对一位患者来说，初步的诊断并非要求三项条件必备，但在诊断过程中，对不同的患者，三者都是重要的。尤其是最后诊断的确立，对多数患者来说，三项条件都是必不可少的。</span></p><p><span style=\"font-size: 12px;\">1.病史采集与体检</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">癫痫患者就诊时均在发作以后而且体检大多数无异常所见。因此病史是十分重要的。由于患者发作时多数有意识障碍，所以叙述不清发作中的情况，甚至根本不知道自己有发作（如夜间入睡中的发作）。所以必须详细询问患者的亲属或目击其发作的人，常需要很长时间或多次重复了解患者包括详细的发作中及发作后的表现，有否先兆，发作次数及时间，发作有什么诱因与生理变化，如月经和睡眠的关系如何，患者智力、生活能力及社会适应性如何，患者性格有否变化等。但目击者往往由于缺乏医学专业培训，或是在目睹患者发作时由于惊慌等原因而不能提供充分、详尽、可靠的发作细节，甚至于对患者的发病情况描述错误，最终导致临床医师误诊，将痫性发作与非痫性发作相混淆。因此，对初诊断为癫痫的患者使用带录像的脑电图作较长时程的V-EEG就变得十分必要。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">对病史收集应注意的是：癫痫通常是一个慢性病的过程，患者的发作常不确定，因此在就诊时对每次发作的描述常有很大变异。因此对专科医师而言，每次与患者交谈时都应反复地询问患者及其家属对发作的描述，以便不断地修正诊断。由于移动电话的普及，要求患者家属在发作时用其携带的摄影功能记录其发作情况，在就诊时交给医师不失为简便有效的方法。还应了解过去患过什么病、有否脑外伤史，母亲在怀孕期间及围生期有否异常，以及患者的习惯、工作、营养状态等。家族史也同样重要，父母亲双方有否癫痫或其他遗传病史。对上述细节的询问有助于临床医师进一步判断引起癫痫发作的可能病因。临床体检除可发现有无神经系统阳性体征外，还须注意患者的智能情况、心脏情况、皮肤和皮下结节、有无畸形、有无运动与协调功能障碍等。必须强调癫痫是临床诊断，如实验室报告与观察到的临床现象不符，则以后者为主。</span></p><p><span style=\"font-size: 12px;\">2.AEDs治疗反应</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">AEDs的治疗效应是癫痫最后诊断的一项根据。当然，不能认为一次药物治疗效果不好就否定癫痫的诊断。因为选药不当、药物剂量不足、代谢障碍以及患者对药物敏感性的差异等均可影响疗效。经验证明，正确的药物治疗可使90%以上的患者获得满意的效果。</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4827', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '177', '鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">判断某种发作性疾病是否为癫痫，这是诊断中的重要问题，临床上要鉴别患者出现的发作性事件是否为癫痫，应注意与以下疾病相鉴别（表23-8-2）。</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">表23-8-2　癫痫的鉴别诊断</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180515-1526370937502072086.jpg\" title=\"1526370937502072086.jpg\" alt=\"T23-8-2_63011.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 996px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: right;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4828', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '177', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">症状性癫痫者如能明确病因则应针对病因治疗。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">癫痫发作的治疗包括药物治疗和手术治疗，生酮饮食与迷走神经刺激术等辅助治疗手段。除少数患者外（详见下述），大多数患者均需要长期使用AEDs治疗。患者对战胜疾病的信心、积极乐观的情绪，以及有规律的工作、学习和生活、周围和社会的理解、支持与关心，都是使治疗取得成功的重要条件。此外，适当的体育锻炼，避免烟酒等刺激物，不从事高空或水上作业以及驾驶、不在高速转动的机器旁等工作，以免发生危险。除脑部本身已有病损者外，未给予及时治疗，或未按照发作类型选用药物，或药物选择虽然恰当但剂量不足，服药不规则或经常更换药物，或过早地停用药物或减量等，常常是发作控制不佳的主要原因，均应设法避免及纠正。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">AEDs治疗的目标是：①尽可能地控制发作；②改善癫痫预后；③最大限度地减少使用AEDs而产生的不良反应；④提高患者的生活质量。</span></p><p><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">（一）发作时的处理1.全身性强直-阵挛发作</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">对全身性强直-阵挛发作的患者，注意防止跌伤和碰伤。应立即使患者侧卧，尽量让唾液和呕吐物流出口外，不致吸入气道。在患者张口时，可将折叠成条状的小毛巾或手帕等塞入其上下臼齿之间，以免舌部咬伤。衣领及裤带应该放松。抽搐时不可用力按压患者的肢体，以免造成骨折。发作大都能在几分钟内中止，不必采取特殊的治疗措施。亦不要采取所谓“掐人中”的方法，因为此举不仅不能中止发作，还可能对患者造成新的伤害。对自动症发作的患者，在发作时应防止其自伤、伤人或毁物。</span></p><p><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">2.癫痫持续状态</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">是一种严重而紧急的情况，必须设法于最短时间内使其中止，并保持24～48小时不再复发。应保持气道的通畅和正常换气。在积极治疗病因的同时，选用以下药物之一作静脉注射（均为成人剂量）。这些药物对呼吸循环功能都有不同程度的抑制，使用时必须严密观察。</span></p><p><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">（1）地西泮：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">10mg，于5～10分钟内静脉注射，由于其分布快，血浓度很快下降，故作用持续时间较短，可以每隔15～20分钟重复应用，总量不超过100～200mg。地西泮注射偶可产生呼吸抑制，呼吸道分泌物大量增加或血压降低。应注意观察并及时采取相应措施。</span></p><p><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">（2）苯妥英钠：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">文献报道，因地西泮作用时间较短，故在静注地西泮后应给予作用较持久的药物，一般用苯妥英钠0.5～1.0g静脉注射，目标总量至少13mg/kg甚至18mg/kg，每分钟注射不超过50mg。有心律不齐、低血压和肺功能损害者应谨慎。苯妥英钠对局部刺激明显。</span></p><p><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">（3）氯硝西泮：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">1～4mg静脉注射，但此药对心脏、呼吸的抑制作用均较地西泮为强。</span></p><p><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">（4）丙戊酸钠：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">静脉注射：5～15mg/kg推注，1次注射以3～5分推完。每天可以重复2次。亦可静脉维持，0.5～1.0mg/（kg・h）。</span></p><p><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">（5）异戊巴比妥：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">0.5～0.75g，溶于注射用水10ml内缓慢静注，根据患者的呼吸、心律、血压及发作情况控制注射速度，如出现呼吸抑制现象时应立即停止用药。但目前国内无此药物。</span></p><p><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">（6）咪达唑仑：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">先给予0.1mg/kg静脉注射后给予0.1mg/（kg・h）静脉持续滴注，如癫痫再发作，加用咪达唑仑0.1mg/kg静脉注射并以0.05mg/（kg・h）幅度加量，直到惊厥控制，如果给药剂量达0.6mg/（kg・h）时，癫痫未控制考虑无效，不再加大用药剂量。如持续24小时无癫痫发作，应逐渐减量，每12小时以0.05～0.1mg/（kg・h）减量直至停用。静脉注射后，有15%患者可发生呼吸抑制。特别当与鸦片类镇痛剂合用时，可发生呼吸抑制、停止，部分患者可因缺氧性脑病而死亡。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">少数患者如仍难以控制，则可应用利多卡因甚至全身麻醉。在发作基本被控制后，根据患者的意识状态采用口服或鼻饲给间歇期的药物剂量。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">反复的全身强直-阵挛发作会引起脑水肿，后者又能促使癫痫发作，可静脉注射20%甘露醇等以消除脑水肿。还应注意维持患者的呼吸道畅通，防止缺氧，必要时作气管切开并人工辅助呼吸。还应保持循环系统的功能、预防和治疗各种并发症，如使用抗生素治疗继发感染等。</span></p><p><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">（二）发作间歇期的AEDs应用1.AEDs的应用必须遵循下列原则</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">（1）有2次非激发性发作以上开始用药。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">（2）单药，小剂量开始，逐步达到有效浓度。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">（3）服药后不应随意更换或停药，换药应逐步进行；有良好控制并持续3～5年没有发作者方可考虑逐步撤减药物直至停药。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">（4）药物选择必须根据发作类型或癫痫综合征而异，药物选择不当不仅不能控制癫痫，有时反能加剧发作，如卡马西平用于肌阵挛发作。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">（5）合并用药应当选用作用机制不同的药物。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">（6）不选用有相同副作用的药物。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">（7）不选用同一类型的药物，如扑痫酮和苯巴比妥，丙戊酸钠与丙戊酸镁以及癫痫安等。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">（8）合并用药以二药联合为宜，除某些状态如换药外，不要同时使用三种以上药物。</span></p><p><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">2.癫痫的治疗流程（图23-8-1）</span></p><p><br/></p><p><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180515-1526371563390061411.jpg\" title=\"1526371563390061411.jpg\" alt=\"P23-8-1_27475.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 922px; table-layout: fixed;\"/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"color: rgb(120, 123, 125); text-align: center; background-color: rgb(255, 255, 255); font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">图23-8-1　癫痫的治疗流程</span></p><p><span style=\"color: rgb(120, 123, 125); text-align: center; background-color: rgb(255, 255, 255); font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\"><br/></span></p><p><span style=\"color: rgb(120, 123, 125); text-align: center; background-color: rgb(255, 255, 255); font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">3.AEDs选择</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">国际抗癫痫联盟推荐的用药方案和国内常用的AEDs选择（表23-8-3～表23-8-5）。</span></p><p><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">4.AEDs的血清浓度测定</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">AEDs的血清浓度测定有助于调整剂量和了解患者是否按要求服药。所有药物均与血清蛋白结合，但比例不同，起抗癫痫作用的是不与蛋白结合的这部分“游离”药物。常规测定的血药浓度为药物总浓度，是间接了解药物是否达到治疗范围的方法。但肝、肾功能差的患者可能与蛋白结合的这部分药物异常减少而“游离”药物浓度相对为高。在血浓度很低的情况下就能出现毒性反应。偶尔也可发生相反的情况，血浓度已经很高，患者却依然发作如旧，连药物的“生理性”不良反应也不出现。</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"color: rgb(120, 123, 125); text-align: center; background-color: rgb(255, 255, 255); font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">表23-8-3　国际抗癫痫联盟推荐的用药方案</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526608845035051036.jpg\" title=\"1526608845035051036.jpg\" alt=\"T23-8-3_63035.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 2006px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"color: rgb(120, 123, 125); text-align: center; background-color: rgb(255, 255, 255); font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">表23-8-4　根据发作类型的选药原则</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"color: rgb(120, 123, 125); text-align: center; background-color: rgb(255, 255, 255); font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180515-1526371999525091598.jpg\" title=\"1526371999525091598.jpg\" alt=\"T23-8-4_63037.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1988px; table-layout: fixed;\"/></span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"color: rgb(120, 123, 125); text-align: center; background-color: rgb(255, 255, 255); font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">表23-8-5　根据癫痫综合征的选药原则</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"color: rgb(120, 123, 125); text-align: center; background-color: rgb(255, 255, 255); font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180515-1526372035102010277.jpg\" title=\"1526372035102010277.jpg\" alt=\"T23-8-5_33937.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 2004px; table-layout: fixed;\"/></span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"color: rgb(120, 123, 125); text-align: center; background-color: rgb(255, 255, 255); font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">续表</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180515-1526372098636009219.jpg\" title=\"1526372098636009219.jpg\" alt=\"T23-8-5_1_63042.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1996px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"color: rgb(120, 123, 125); text-align: center; background-color: rgb(255, 255, 255); font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">5.新型抗癫痫药</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">近数十年已有10余种新药上市，部分如托吡酯（topiramate，TPM）、拉莫三嗪（lamotrigine，LTG）、奥卡西平（oxcarbazepine，OXC）、加巴喷丁（gabapentin，GBP）、左乙拉西坦（levetiracetam，LEV）和唑尼沙胺（zonisamide，ZNS）已在国内上市，为帮助临床医师合理规范使用这些AEDs，结合国际国内多个知名指南和共识以及国内专家的经验，中华医学会神经病学分会脑电图与癫痫学组组织有关专家于2010年编制了《抗癫痫药物应用专家共识》。结果如下：总体治疗策略中，特发性全面性癫痫与症状性部分性癫痫首选单药治疗。丙戊酸是新诊断特发性全面性癫痫的一线药物且唯一的首选药物（表23-8-6）。症状性部分性癫痫的初始药物首选均为卡马西平与奥卡西平（表23-8-7）。在特发性全面性癫痫药物治疗中，丙戊酸是与其他药物联合治疗的首选药物（表23-8-8）。症状性部分性癫痫的药物治疗中，卡马西平（奥卡西平）+托吡酯、卡马西平（奥卡西平）+左乙拉西坦、卡马西平（奥卡西平）+丙戊酸、丙戊酸+拉莫三嗪等是常用配伍（表23-8-9）。拉莫三嗪为健康育龄期妇女特发性全面性癫痫与症状性部分性癫痫的首选药物（表23-8-10）；伴抑郁的癫痫患者，特发性全面性发作的首选药物为丙戊酸与拉莫三嗪，继发性部分性发作的首选药物为拉莫三嗪、奥卡西平与卡马西平；伴有乙肝的癫痫患者，无论肝功能是否正常，特发性全面性发作的首选药物为托吡酯与左乙拉西坦，肝功能正常的继发性部分性患者，首选药物为奥卡西平，肝功能指标异常时，首选药物为托吡酯与左乙拉西坦（表23-8-11）；急诊室中的癫痫患者（不确定类型）首选丙戊酸与左乙拉西坦。</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">表23-8-6　特发性全面性癫痫的初始与第二种药物治疗选择</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\"><br/></span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180515-1526372156446029569.jpg\" title=\"1526372156446029569.jpg\" alt=\"T23-8-6_33939.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 2002px; table-layout: fixed;\"/>续表</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180515-1526372215171077176.jpg\" title=\"1526372215171077176.jpg\" alt=\"T23-8-6_1_63048.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1992px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\">表23-8-7　症状性部分性癫痫的初始与第二种药物治疗选择</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180515-1526372235521034894.jpg\" title=\"1526372235521034894.jpg\" alt=\"T23-8-7_33940.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 2010px; table-layout: fixed;\"/></span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\">续表</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180515-1526372252971080645.jpg\" title=\"1526372252971080645.jpg\" alt=\"T23-8-7_1_63053.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 2002px; table-layout: fixed;\"/></span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\">表23-8-8　特发性全面性癫痫的联合用药</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180515-1526372311556056357.jpg\" title=\"1526372311556056357.jpg\" alt=\"T23-8-8_63055.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1992px; table-layout: fixed;\"/></span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\">表23-8-9　症状性部分性癫痫的联合用药</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180515-1526372332638067771.jpg\" title=\"1526372332638067771.jpg\" alt=\"T23-8-9_33942.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 2002px; table-layout: fixed;\"/></span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\">续表</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180515-1526372378796050047.jpg\" title=\"1526372378796050047.jpg\" alt=\"T23-8-9_1_63059.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1998px; table-layout: fixed;\"/></span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\">表23-8-10　特殊人群的AEDs治疗</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180515-1526372435177072563.jpg\" title=\"1526372435177072563.jpg\" alt=\"T23-8-10_33944.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1988px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\">表23-8-11　伴有共患病的AEDs治疗</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180515-1526372463078056460.jpg\" title=\"1526372463078056460.jpg\" alt=\"T23-8-11_33946.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1971px; table-layout: fixed;\"/></span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\">（三）癫痫的外科治疗</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">频繁的癫痫发作经规范AEDs治疗两年而未控制发作，影响生活质量且无器质性脑病的患者，可进行外科手术。</span></p><p><span style=\"font-size: 12px;\">1.术前评估</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">当确定患者属药物难治性癫痫，在准备行手术治疗之前，必须进行术前评估。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">首先，必须确定患者的癫痫类型以及是否能够通过某种已知手术方法进行治疗；其次，对于拟施行手术的可能疗效和出现并发症的机会应该在术前作出估计。在术前尽可能解决好包括医学、精神和社会心理上的所有问题，努力调和患者的手术期望值和可能的手术结果之间的矛盾。最后，对于预料术后可能出现的困难，应该准备好相应的处理措施。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">术前评估策略很大程度上取决于拟采用的手术方法。如果准备采用标准的切除术（如前颞叶切除术），就必须证实致痫区域位于切除范围之内；对于个体化的新皮质切除术，必须详细确定病变区域和重要功能区域；对于大脑半球切除术，术前必须证实对侧大脑半球功能的完整性；对于胼胝体切开术，术前必须有证据显示双侧半球同时存在致痫源，且其发作类型适宜行胼胝体切开术。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">理想的术前评估技术应该是高度敏感和特异性的，然而，迄今为止还没有哪一种技术具有这种性能。因此，目前有多种方法被用于术前评估，各种术前检查方法可以概况性地分为非创伤性的和创伤性的两大类（表23-8-12）。在术前检查中，通常首先应用非创伤性检查手段。在非创伤性检查结论不肯定，或在施行切除术前为了准确确定皮质功能的情况下，考虑应用创伤性检查方法（通常指颅内脑电图和皮质功能描记定位）。</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">表23-8-12　术前评估检查方法</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180515-1526372480850001014.jpg\" title=\"1526372480850001014.jpg\" alt=\"T23-8-12_33948.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 955px; table-layout: fixed;\"/></span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\"></span></p><p><span style=\"font-size: 12px;\">2.手术适应证与禁忌证</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">据估计我国需要手术治疗的癫痫患者有80万～100万，其中多数通过手术治疗可以达到消除或减少癫痫发作的目的。随着现代神经影像技术、电生理技术和显微外科技术的进步，癫痫的手术疗效也获得了显著提高，但正确掌握手术适应证是手术取得满意疗效的前提和保证。在当代癫痫外科的发展史中，显微外科技术的采用使得手术效果显著提高，而更为重要的是诊治技术的发展使得越来越多的患者能通过外科手术获益。一般认为癫痫患者经系统AEDs治疗无效，或出现严重的药物不良反应即应考虑手术治疗。对于癫痫发作频繁的婴儿和儿童，则应考虑早期手术，以阻止癫痫对脑发育的影响。在选择病例时应该考虑：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">（1）药物难治性。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">（2）功能障碍。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">（3）进行性加重。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">（4）对生长发育的影响。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">手术禁忌：活动性精神病和智商＜70被认为是手术禁忌。</span></p><p><span style=\"font-size: 12px;\">3.常用的手术方法</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">常用的手术方法有三种：局部皮质切除术、大脑半球切除术、胼胝体切开术。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">各种主要癫痫外科手术方法绝不是互相排斥的，如部分或全胼胝体切开术有时可以与局部皮质切开术一起使用。多处软脑膜下横切术可以通过切断皮质内纤维联系而阻断癫痫放电活动，它无须切除皮质，因而保留了正常功能结构。多处软脑膜下横切术与局部皮质切除术一样，术前都必须确定导致癫痫发作的局灶皮质区域。当切除皮质将会导致难以接受的神经功能缺失症状时，可以考虑应用病灶切除术，即只切除病灶而尽可能少切或不切除周围的皮质。</span></p><p><span style=\"font-size: 12px;\">（四）迷走神经刺激术（VNS）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">在难治性癫痫病例中，有部分患者致痫灶部位不能确定，或者存在多个致痫灶，手术难以奏效。近年来发现，刺激性手术无须对癫痫灶进行精确定位，通过刺激迷走神经即可使顽固性癫痫的发作次数减少，对部分患者甚至可以完全控制，这为不能进行手术切除或切除术后复发的顽固性癫痫患者开辟了新的治疗途径。美国食品药物管理局于1997年7月16日正式批准VNS用于顽固性癫痫的治疗。迄今已有超过75个国家，逾50 000例患者使用迷走神经刺激术，且有过VNS体验的患者至今已达100 000例。由于VNS的作用机制不同于传统的药物治疗和切除手术，与AEDs和手术一起使用，可以作为顽固性癫痫的一种辅助疗法。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">对难治性癫痫的治疗结果进行分析，VNS不如手术切除，但优于其他疗法。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">目前公认的VNS的适应证是：①局限性发作，有或无继发性、全身发作；②应用AEDs进行正规治疗，但未能有效控制病情；③多发病灶或病灶定位不确定；④患者年龄通常在12～60岁。VNS禁忌证：存在进行性神经系统疾病、精神疾病、心律不齐、消化性溃疡或全身状况不佳者是VNS治疗的禁忌证。</span></p><p><span style=\"font-size: 12px;\">（五）生酮饮食治疗</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">生酮饮食最早是由模仿饥饿时产生酮病状态设计而来，是高脂肪、低蛋白质和低碳水化合物的一种饮食，使患者体内产生酮体并维持酸中毒，从而控制癫痫发作。主要有三种类型，最常用的是传统类型，即脂肪主要以长链甘油三酯饮食为主。第二种为中链甘油三酯饮食，脂肪以中链甘油三酯为主，由于其对肠道刺激而不常用。第三种是改良型中链甘油三酯饮食，30%为中链甘油三酯，40%为长链甘油三酯。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">生酮饮食多用于儿童，大量临床报道证实对儿童癫痫，包括Lennox-Gastaut综合征在内的综合征及难治性癫痫，尤其是肌阵挛发作、失张力发作或猝倒发作以及不典型失神发作有效。近年来也开始有关于KD治疗成人难治性癫痫的报道。临床应用需特别注意其禁忌证：各种脂肪、酮体代谢障碍性疾病或线粒体病；成人糖尿病、心脑血管疾病等。此外，一些AEDs可能加重生酮饮食的某些副作用，它们包括乙酰唑胺、托吡酯、唑尼沙胺，都可能导致酸中毒以及肾结石。</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4829', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '177', '预 后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">一般而言，无严重或进行性脑部病因的癫痫患者，学习工作能力和平均寿命不比一般人差。发作时的突然意识丧失可能造成意外，持续状态可致生命危险。若能及早诊断，坚持长期、正规的治疗，约70%的患者在用药后可获得发作完全控制，预后大致可分为：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">1.属良性自限性疾病，发作频率少，发作后可缓解，并不一定需要AEDs治疗。如良性新生儿家族性惊厥、良性部分性发作、急性症状性发作、药物和高热引起的发作等。这部分病例约占20%～30%。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">2.约30%～40%的病例经合理的AEDs治疗后可达到无发作，部分病例在发作控制后抗癫痫药可逐渐撤除。比较容易控制的发作类型包括失神发作、GTCS和一些隐源性或症状性局限性癫痫。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">3.约有10%～20%的患者使用AEDs治疗后能抑制其发作，但停药后会复发，须终身服用抗癫痫药，此类包括青少年肌阵挛性癫痫，以及大多数与部位相关的癫痫（隐源性或症状性）。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">4.另有约20%～30%的患者预后不佳，即属于耐药性癫痫或RE，AEDs仅能减轻而不能抑制其发作。包括West综合征，Lennox-Gastaut综合征，复杂部分性发作，先天性神经功能缺损（如结节性硬化、Sturge-Weber综合征、脑发育不全）所致的发作，以及部分性持续性癫痫，进行性肌阵挛性癫痫和以失张力/强直发作为特征的综合征。另外，还包括有显著结构性损伤的部位相关性发作与部位相关性隐源性癫痫。</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '12', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4830', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '177', '参考文献', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">1.洪震，江澄川.现代癫痫学.上海：复旦大学出版社，2007.</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">2.洪震，丁玎，江澄川.神经流行病学.上海：复旦大学出版社，2007.</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">3.Kwan P，Arzimanoglou A，Berg AT，et al.Definition of drug resistant epilepsy：Consensus proposal by the ad hoc Task Force of the ILAE Commission on Therapeutic Strategies.Epilepsia，2010，51（6）：1069-1077.</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">4.中华医学会神经病学分会脑电图与癫痫学组.抗癫痫药物药物应用专家共识.中华神经科杂志，2011，44（1）：56-65.</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">5.Nunes VD，Sawyer L，Neilson J，et al.Diagnosis and management of the epilepsies in adults and children：summary of updated NICE guidance.BMJ，2012，344：e281.</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '13', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4831', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '70', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">支气管扩张（bronchiectasis）在形态上是指支气管不可逆扩张和管壁增厚，它通常是一个解剖上的定义，用于指由于感染、理化、免疫或遗传等原因引起终末支气管的病理损害，包括支气管壁肌肉和弹力支撑组织的破坏。临床表现为慢性咳嗽、大量脓痰，可反复咯血。在“前抗生素时代”，支气管扩张在儿童和青少年是一个常见和致命的疾病，但近半个世纪以来，随着抗菌药物的早期有效应用、卫生条件改善和营养加强、儿童期麻疹和百日咳疫苗接种的普及，支气管扩张的发病呈逐年下降的趋势。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4832', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '70', '病因与发病机制', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">支气管扩张是一组异质性疾病，其病因复杂（表17-6-1），国外常简单分成囊性纤维化（cystic fibrosis，CF）引起的支气管扩张和非囊性纤维化性支气管扩张（non-CF fibrosis bronchiectasis，NCFB）两类，国内CF患者极少，故主要是NCFB。支气管扩张的直接原因为：①支气管壁的损伤；②支气管腔阻塞；③邻近组织纤维化造成支气管牵拉性扩张。后两个原因相对单纯，通常在影像上容易提示；支气管壁损伤的病因则较为复杂，具体如表17-6-1。没有明确病因者称为特发性支气管扩张或支气管扩张症，其发生一般归结于下面两个因素：①感染持续刺激；②气道阻塞、支气管引流功能损害和防御功能缺损。两种因素可同时存在，互为因果，导致气道损害进行性加重。</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">表17-6-1　支气管扩张的病因</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526609139327053267.jpg\" title=\"1526609139327053267.jpg\" alt=\"表17-6-1　支气管扩张的病因.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 955px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\">续表</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526609149420033550.jpg\" title=\"1526609149420033550.jpg\" alt=\"表17-6-1　支气管扩张的病因-续表.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 955px; table-layout: fixed;\"/></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4833', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '70', '病理与病理生理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">支气管扩张可弥漫发生于双肺的多个肺段，也可局限于一个部位，多发生于引流不畅的下叶肺段，且以左肺下叶和舌叶最为常见，由于舌叶支气管开口与左下叶支气管开口相邻，后者炎症分泌物常累及前者，导致左下叶与舌叶支气管扩张常同时存在。发生在上叶者多继发于肺结核后的纤维收缩，由于引流较好，一般以咯血多见而少有脓性痰，故也称干性支气管扩张。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在病理形态可分为：①柱状支气管扩张；②静脉曲张状支气管扩张；③囊状支气管扩张。显微镜下表现为支气管壁增厚、支气管黏膜表面溃疡形成，纤毛柱状上皮细胞鳞状化生或萎缩；支气管壁弹力组织、肌层以及软骨等遭受破坏，由纤维组织代替；管腔扩大，常有脓性分泌物，远端外周气道被分泌物阻塞和纤维化。支气管周围组织呈炎症改变，相应的肺组织可以表现为支气管肺炎、小脓肿或小叶不张。供血的支气管动脉常常扩张，并可和肺动脉终末支吻合，形成血管瘤，扩张的支气管动脉破裂是支气管扩张反复咯血的原因。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">呼吸功能改变取决于病变的范围及性质，病变局限者，呼吸功能可正常。柱状扩张对呼吸功能影响较轻微，支气管囊状扩张病变范围广泛时，可并发阻塞性肺气肿及支气管周围肺纤维化，表现为以阻塞性为主的混合性通气功能障碍，引起低氧血症和高碳酸血症。病情进一步发展，肺毛细血管广泛破坏，肺循环阻力增加可并发肺动脉高压，引起肺源性心脏病。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4834', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '70', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">支气管扩张患者一般在幼年有反复呼吸道感染的病史，如麻疹、百日咳，许多患者可伴有鼻窦炎和上呼吸道咳嗽综合征，成为下呼吸道反复感染造成支气管扩张的原因。大概1/3的患者在青春期后病情得到改善，50岁后再次出现症状恶化。典型症状为慢性咳嗽、咳大量脓性痰和反复咯血。感染加重时可出现发热、胸痛、盗汗、食欲减退，并伴有痰量增多，每日达数百毫升，痰液呈黄绿色脓性，常带臭味，收集整日痰液于玻璃瓶中静置可见痰液分层现象，上层为泡沫，下悬脓液成分，中为混浊黏液，底层为坏死组织沉淀物。伴有气道高反应性或反复发作致肺功能受损者可出现喘息。部分患者仅表现为反复咯血，平素无咳大量脓痰的病史。少部分患者在影像学上显示支气管扩张，而无咳嗽、咳脓痰和咯血的病史。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">典型化脓性支气管扩张病情进展或继发感染时，患侧肺部可闻及固定性湿啰音，伴或不伴干啰音。反复咳嗽、咳脓痰者常有消瘦、杵状指（趾），出现并发症时可伴有相应体征。干性支气管扩张或部分患者可无阳性体征。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4835', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '70', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">支气管扩张典型者根据病史即可提示诊断，普通X线胸片常无明显异常或仅有肺纹理增多、增浓，后期可显示沿支气管分布的卷发状阴影，或呈蜂窝状；部分有液平面，为囊状支气管扩张的表现；有时也可见肺叶或肺段不张。传统诊断支气管扩张的金标准是支气管碘油造影，耐受性差加上后遗症多，现已被高分辨CT（HRCT）取代。HRCT诊断支气管扩张敏感性在87%～97%，特异性在93%～100%。典型支气管扩张在HRCT上的特征为支气管腔扩张（支气管的内径大于伴行的肺动脉）、支气管壁增厚、正常支气管的鼠尾征消失、扩张的支气管腔内出现气液平面，其中柱状扩张表现为与扫描平面平行的支气管呈分枝状的“双轨征”，与扫描平面垂直的支气管表现为壁厚的圆形透亮影，如伴行的肺动脉与之相贴时形成特征性的“印戒征”。静脉曲张型扩张的支气管表现与柱状扩张的支气管相似，但其管壁厚薄不均，呈“串珠状”。囊状扩张的支气管呈单个或多个簇状含气球囊，有时囊内可见液平面。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">HRCT尽管能在结构上明确支气管扩张的诊断，但不能明确病因，可根据发生部位提示病因，如图17-6-1所示，进一步的病因诊断则依赖于各种检查，需行如下检查除外其他疾病引起的支气管扩张（表17-6-2）。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526609182453090660.jpg\" title=\"1526609182453090660.jpg\" alt=\"图17-6-1　支气管扩张发生部位和病因.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1666px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">图17-6-1　支气管扩张发生部位和病因</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">表17-6-2　支气管扩张的病因诊断</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526609199755011307.jpg\" title=\"1526609199755011307.jpg\" alt=\"表17-6-2　支气管扩张的病因诊断.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 955px; table-layout: fixed;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">支气管扩张分为稳定期和急性加重期。迄今为止，急性加重并没有统一的诊断标准，一般指临床症状恶化需要抗菌药物治疗，包括咳嗽增加、痰量增多或痰的性状发生变化、脓性痰增加，可伴或不伴喘息、呼吸困难、咯血或系统性症状如萎靡、乏力、昏睡或活动耐受力下降等。出现发热和新的浸润影需考虑肺炎。急性加重期出现痰性状变化时应进行痰革兰染色涂片和痰培养。化脓性支气管扩张早期以流感嗜血杆菌多见，也可分离出肠杆菌科细菌和葡萄球菌，反复应用抗生素后，常出现假单胞菌特别是铜绿假单胞菌感染，一旦出现，很难清除。病变在中叶和舌叶者需考虑非结核分枝杆菌，应尽早做相应的涂片和培养。</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4836', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '70', '防治', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">支气管扩张治疗目标分为：①治疗已经确认的基础疾病；②抗菌药物治疗，尤其在急性加重期；③控制炎症反应；④提高气道分泌物清除的能力；⑤治疗咯血等并发症；⑥解除梗阻或切除局限性病灶。</p><p>（一）治疗原发病因</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">原发病因的纠正是治愈支气管扩张的希望，如补充丙种球蛋白以纠正选择性丙种球蛋白缺乏症，及时、规则抗结核治疗，应用糖皮质激素治疗ABPA，取出异物解除气道梗阻等都能有效阻断支气管扩张的发展。可惜多数难以找到明确病因或即使病因明确亦无有效的治疗。</p><p>（二）抗菌药物治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">尽管无安慰剂对照的随机临床对照试验证明抗菌药物在NCFB的疗效，抗菌药物依然是治疗支气管扩张急性加重期的主要手段，其目的在于控制细菌感染，减少细菌负荷，阻断炎症恶性循环。早期急性加重时推荐口服阿莫西林500mg，每天3次，用药14天，如反应不佳可加大剂量为1g，每天3次，或3g，每天2次；产酶流感嗜血杆菌可选择阿莫西林/克拉维酸、第二代或三代头孢菌素、左氧氟沙星或莫西沙星。后期则常分离出铜绿假单胞菌，英国胸科学会推荐口服环丙沙星500～750mg，每天2次，替代方案为高剂量左氧氟沙星750mg，每天1次，或500mg，每天2次；严重感染或合并肺实质炎症时必须静脉用药，可选用具有抗假单胞菌活性的药物如哌拉西林、头孢他啶、头孢吡肟、哌拉西林/他唑巴坦、头孢哌酮/舒巴坦、亚胺培南或美罗培南联合环丙沙星、左氧氟沙星或妥布霉素、阿米卡星，如痰培养阳性，应根据药敏结果用药。疗程不统一，一般为10～14天，常用14天方案。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">支气管扩张可长期出现细菌定植，特别是铜绿假单胞菌，一旦出现很难清除，并可导致症状加重和肺功能下降，因此主张首次分离铜绿假单胞菌，应该努力清除该菌。英国胸科学会推荐口服环丙沙星750mg，用药2周，如无效加用表17-6-3所示抗假单胞菌药物的静脉制剂2周，或者加用雾化吸入多黏菌素2MU，每天2次，用药3个月，并再延长环丙沙星口服4周。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表17-6-3　支气管扩张急性加重抗菌药物治疗</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526609285545062206.jpg\" title=\"1526609285545062206.jpg\" alt=\"表17-6-3　支气管扩张急性加重抗菌药物治疗.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 955px; table-layout: fixed;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">研究表明可在稳定期长期应用抗菌药物以减少急性发作的次数。应用的抗菌药物包括阿莫西林、头孢菌素、大环内酯类，其中克拉霉素、阿奇霉素等有抗炎作用和抗生物膜的作用，临床应用甚多。氟喹诺酮类长期应用可诱导铜绿假单胞菌耐药，一般不主张长程应用。疗程1～6个月不等，最长20个月。但meta分析表明，长程口服抗菌药物虽可改善症状，但不改善肺功能和急性发作次数，能否降低死亡率需要进一步研究。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">雾化吸入妥布霉素300mg，每日2次以减少CF患者的急性发作已经超过10年，但在NCFB，尽管有多种药物包括妥布霉素、庆大霉素、氨曲南、多黏菌素等应用的报道，但迄今为止尚缺乏证据说明雾化抗菌药物的有效性。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">稳定期支气管扩张，无论是长程口服还是雾化吸入都缺乏足够证据，但对一年内急性加重超过3次或虽不足3次但急性加重可能引起死亡，或者铜绿假单胞定植的患者，可谨慎应用。</p><p>（三）控制炎症反应</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">除前述大环内酯类可作为抗炎药物应用于支气管扩张外，其他的抗炎药物如吸入糖皮质激素能减少炎症反应和改善气道阻塞已在哮喘中证实，但在NCFB的治疗中只有个别的临床试验表明吸入氟替卡松500μg/d能减少痰液中的炎症因子水平，改善症状和肺功能。同样没有随机对照临床试验发现口服糖皮质激素能改善NCFB的症状和预后。白三烯受体拮抗药能够抑制支气管扩张中性粒细胞介导的炎症反应，但尚未被随机对照临床试验证实。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">尽管通常诊断支气管扩张后不再诊断其他气道疾病如支气管哮喘和慢阻肺，但事实上两者可合并存在，临床上确也发现许多NCFB患者存在气道高反应性，对于这部分患者应参照哮喘和慢阻肺的治疗应用抗炎药物和支气管舒张剂。</p><p>（四）提高气道分泌物清除的能力</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">尚无很好的meta分析资料支持胸部理疗能改善痰的清除能力，然而国内外众多学者仍强调胸部物理治疗包括体位引流、胸腔叩击、胸腔振荡、辅助性咳嗽和用力呼气锻炼能改善呼吸道引流，但很难为患者接受和长期坚持，因此也没有长期胸部物理治疗的随机临床试验报道。黏液溶解剂如乙酰半胱氨酸理论上能使痰液变得稀薄，利于痰液的排出，但无明确临床证据表明其有效性。雾化吸入人重组脱氧核糖核酸酶（recombinant human DNase，rhDNase）可以通过降解痰液中的DNA，改善痰液黏稠度，利于痰液清除，改善CF患者的FEV<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>，但安慰剂对照的研究显示其不改善NCFB患者急性发作的次数和FEV<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>下降的速度。rhDNase目前仅用于CF患者，并不推荐用于NCFB患者。</p><p>（五）治疗并发症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">咯血是支气管扩张的常见并发症，大咯血罕见但可以威胁生命，如控制血压或通常的止血药物无效应考虑支气管动脉栓塞来止血。支气管扩张晚期可以出现慢性呼吸衰竭和肺心病，可考虑用无创机械通气等手段治疗。</p><p>（六）外科手术</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">抗菌药物广泛应用以前，手术切除扩张的支气管肺叶是治疗局限性支气管扩张的主要手段，但目前支气管扩张需要手术治疗的患者大大减少。手术治疗的主要适应证有2个：局限于1～2个肺叶的支气管扩张或局部有解剖的因素如肺隔离症，或者局部有阻塞的因素，切除病灶利于感染的控制；出现致命的并发症如大咯血。</p><p>（七）预防</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">尽管支气管扩张的发展呈渐进式，但在儿童期接种流感、麻疹、百日咳、肺炎链球菌疫苗，及时控制鼻窦和气道感染，解除气道阻塞和纠正免疫低下因素，对于预防支气管扩张的发生和发展具有相当积极的意义。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4837', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '70', '参考文献', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.成人支气管扩张症诊治专家共识编写组.成人支气管扩张症诊治专家共识.中华结核和呼吸杂志，2012，35（7）：485-492.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.Bilton D.Update on non-cystic fibrosis bronchiectasis. Current Opinion in Pulmonary Medicine，2008，14（6）：595-599.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.Pasteur MC，Bilton D，Hill AT，et al.British Thoracic Society guideline for non-CF bronchiectasis.Thorax，2010，65（S1）：i1-58.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.Feldman C.Bronchiectasis：new approaches to diagnosis and management.Clinics in chest medicine，2011，32（3）：535-546.</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4855', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '316', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心脏规律、协调地收缩和舒张活动均由心脏的电活动所激发。心脏的电活动起源于窦房结，其冲动先扩布到右、左心房，然后到达房室结，沿房室束及左右束支、普肯耶纤维网传导激动心室肌，使得心房和心室顺序收缩和舒张，此为窦性心律。凡由于心脏内冲动的发生与传播不正常而使整个心脏或其一部分的活动变为过快、过慢或不规则，或者各部分活动的顺序发生紊乱时，即形成心律失常（cardiac arrhythmia）。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4856', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '316', '与心律失常有关的心脏解剖和生理', '<p><span style=\"font-size: 12px;\">（一）心脏的传导系统解剖</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">心肌按其组织结构和功能特点可分为两大类型：一类是普通的心肌细胞（又称为工作细胞），占心肌组织的大部分，具有兴奋性和传导性。另一类是特殊分化的心肌细胞，组成心脏的特殊传导系统，它们除具有兴奋性和传导性之外，还具有自动产生节律性兴奋的能力，故又称为自律细胞。心脏特殊传导系统主要包括窦房结（sino-atrial node，SAN）、房室交界（又称房室结区，atrio-ventricular junction，AVJ）、房室束（又称希氏束，His bundle）、左右束支及其分支以及普肯耶纤维网（图16-3-1）。窦房结是控制心脏正常活动的起搏点。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526609990090025972.jpg\" title=\"1526609990090025972.jpg\" alt=\"图16-3-1　心脏传导系统解剖示意.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 922px; table-layout: fixed;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important; text-align: center;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\">图16-3-1　心脏传导系统解剖示意</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">窦房结主要含有P细胞和过渡细胞。P细胞是自律细胞，位于窦房结中心部分；过渡细胞位于周边部分，不具有自律性。随着年龄增长，P细胞的数量和功能均相应降低。房室结区是心房和心室之间的特殊传导组织，是心房兴奋传入心室的通道，它主要包括以下三个功能区域：房结区、结区和结希区。房结区是房室结双径路传导和形成房室结折返性心动过速的解剖基础；结区相当于光学显微镜所见的房室结，具有传导性，但无自律性，激动传导在结区延迟最明显。房结区和结希区都具有传导性和自律性。心房肌与心室肌之间有纤维环，而房室结和房室束为正常房室间传导的唯一通路。窦房结和房室结区之间存在三条传导途经，分别称为前、中、后结间传导途经。尽管上述结间传导途径的传导速度比心房肌的传导速度快，但这些传导途径并不符合传统概念的“传导束”，只是心房内优势传导途径（preferential conduction pathway）而已。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">窦房结、房室结和房室束主干多由右冠状动脉供血。房室束分支部分、左束支前分支和右束支血供来自左冠状动脉前降支，而左束支后分支则由左冠状动脉回旋支和右冠状动脉供血。</span></p><p><span style=\"font-size: 12px;\">（二）心肌细胞的电生理基础</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">心肌细胞电生理基础为经心肌细胞膜的跨膜离子流。</span></p><p><span style=\"font-size: 12px;\">1.心肌细胞膜</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">心肌细胞膜上有离子通道，每一种通道只允许一种或数种离子通过，即所谓选择通透性。如快钠通道只允许钠离子通过，慢内向离子流通道可允许钠和钙离子通过。心肌细胞膜的选择通透性能使细胞膜内外各种离子浓度存在差别，如心肌细胞膜内钠、钙离子浓度远低于膜外，而钾离子浓度则远较膜外高，形成膜内外不同离子的浓度差（化学梯度）。离子带正或负电荷，膜内外的离子浓度差因而也使膜内外保持一定的电位差（电化梯度）。离子的跨膜转运称为离子流（ion current）。离子流的方向是以正电荷的流动方向命名的，正离子外流或负离子内流称为外向电流，正离子内流或负离子外流称为内向电流。外向电流导致膜内电位向负电性转化，促使膜复极；内向电流导致膜内电位向正电性转化，促使膜除极。各种不同的离子流是形成心肌膜电位变化的基本原因，而离子是否能跨膜转运取决于相应的离子通道是否开放及其开放的程度。</span></p><p><span style=\"font-size: 12px;\">2.离子通道</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">心肌细胞膜上的离子通道有两大类：由跨膜电位决定的电压门控通道（voltage-gated channel）以及由各种化学物质（如各种受体的配体）决定的化学门控通道（chemically-gated channel），或称配体门控通道（ligandgated channel）。在动作电位发生机制中，电压门控通道起主要作用，神经体液介质则可改变化学门控通道的通透性。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">按照通道阀门的有无和多少，可将离子通道分为三类。第一类是没有阀门的背景离子流通道，包括钾、钠、钙、氯等背景离子流通道，无论在静息或兴奋状态均持续开放，允许有关离子通过。第二类是只有激活门的单门通道，包括某些钾离子通道和普肯耶细胞的起搏离子流通道。激活门开放时离子通道开放，门闭合时通道关闭。第三类是具有激活门和失活门的双门通道，如快钠通道和慢钙通道，依激活门户失活门的开启分别存在静息态、激活态和失活态三种状态。</span></p><p><span style=\"font-size: 12px;\">3.膜电位</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">心肌细胞膜的内外存在一定的电位差，称为跨膜电位（transmembrane potential）或膜电位，细胞膜内电位较膜外为负的现象，称为极化。静息状态下心肌细胞膜内外离子的电-化学梯度促使一定量的离子跨膜转运（背景电流）。非自律细胞处于静息状态时，外流和内流的离子所携带的总的电荷量是相等的，因此膜电位是稳定的；而自律细胞到达最大复极电位后，膜电位并不稳定于这一水平，随着自动除极的进行，膜电位逐渐衰减。</span></p><p><span style=\"font-size: 12px;\">4.动作电位</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">心肌细胞兴奋过程中产生除极和复极的一系列电位变化称为动作电位。不同部位心肌细胞的电生理特征不同，其动作电位的形态、波幅、时限各异。按照动作电位特征，尤其是除极速率，可将心肌细胞分为快反应细胞和慢反应细胞。前者包括心房、心室肌（非自律细胞）和普肯耶细胞（自律细胞），后者包括窦房结和房室结的结区细胞。快反应细胞的动作电位振幅大、时限长，除极迅速，复极缓慢，传导兴奋的速度快；慢反应细胞动作电位振幅小，除极缓慢，传导兴奋的速度慢。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">根据心肌细胞动作电位特征将其分为5期（图16-3-2）：0期（除极）、1、2、3期（复极）和4期（静息或电舒张期）。</span></p><p><span style=\"font-size: 12px;\">（1）0期：</span></p><p><br/></p><p><br/></p><p><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526610022594082594.jpg\" title=\"1526610022594082594.jpg\" alt=\"图16-3-2　心肌细胞的动作电位、不应期（左）和膜反应曲线（右）.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 922px; table-layout: fixed;\"/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\">图16-3-2　心肌细胞的动作电位、不应期（左）和膜反应曲线（右）</span></p><p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\"><br/></span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">又称除极相，心肌细胞受阈值刺激（阈电位，threshold potential，TP）兴奋时发生除极，膜内电位由静息电位迅速上升，构成动作电位升支。其幅值约60～120mV，其中超过零电位的部分称为超射，约6～30mV。对于心室肌等快反应细胞而言，0期去极化是由于细胞膜上的快钠通道开放、Na<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>快速内流引起的，持续时间仅1～2ms；而窦房结P细胞在4期膜电位由最大复极化电位（约-70mV）自动去极化至-40mV时，膜上的钙通道开始开放，Ca<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2+</span>的内流使膜的去极化速度加快，形成动作电位的0期去极化，钙通道的开放和关闭都比较缓慢，恢复应激状态所需时间亦长，故P细胞属于慢反应细胞。两者相应的离子流又分别称为快钠通道和慢钙通道。</span></p><p><span style=\"font-size: 12px;\">（2）1期：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">又称快速复极初期，0期后由于钠通道失活、短暂钾离子外流和氯离子内流，膜电位由+30mV迅速下降至0mV左右，占时约10ms，1期在快反应细胞较明显。</span></p><p><span style=\"font-size: 12px;\">（3）2期：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">又称平台期（plateau），此期导致复极的外向离子流主要为外向背景钾流与时间依赖钾流和Na<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>-K<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>&nbsp;ATP泵产生的外向离子流。由于内向整流特性（内向离子流较外向离子流容易通过处于除极状态的细胞膜），钾离子外流受限；平台期的内向离子流为慢钙内流，与外向离子流保持平衡，维持膜电位接近0mV。此期持续约100～150ms，是心肌动作电位持续时间长的主要原因。窦房结P细胞在复极过程中没有明显的1期和2期。</span></p><p><span style=\"font-size: 12px;\">（4）3期：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">又称快速复极末期，随着复极化过程的进行，外向背景钾流从内向整流现象中恢复，再生性外向钾流随时间递增，此时慢钙通道失活，内向离子流减弱至终止，膜内电位由0mV左右较快地下降至静息电位水平，完成复极化过程，占时约100～150ms。P细胞没有明显的1期和2期，到0期末外向离子流和内向离子流达到平衡，以后Ca<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2+</span>通道逐渐关闭，外向的K<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>电流则增强，进入3期复极化。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">自0期起始至3期结束所需时限称为动作电位时限（action potential duration，APD）。在复极化过程的大部分时间中，心肌细胞不能被新的刺激激活，因而不能发生动作电位，这也是产生不应期（refractory period）的原因。</span></p><p><span style=\"font-size: 12px;\">（5）4期：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">在心室肌细胞或其他非自律细胞，4期膜电位稳定在-90mV左右的静息电位水平，由外向背景钾流维持。此外，由于在动作电位期间Na<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>、Ca<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2+</span>内流和K<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>外流造成细胞膜内外离子分布的改变，4期中Na<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>-K<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>ATP泵和Na<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>-Ca<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2+</span>交换体排出内流的Na<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>和Ca<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2+</span>，摄回外流的K<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>，使细胞内外离子浓度梯度得以恢复。自律细胞3期复极化到最大复极化电位后即进入4期，并立刻开始缓慢自动除极（舒张期除极），达到阈电位水平时则诱发产生一个动作电位。钾外流随时间的进行性衰减是窦房结P细胞4期除极的最重要的离子基础；而内向起搏电流是普肯耶细胞4期自动去极化的一个重要离子流。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">窦房结和房室结区的动作电位曲线与其他部位不同，具有以下特点：0期除极缓慢、振幅低，1、2期不明显，4期除极坡度陡，静息膜电位和阈电位均低（静息膜电位-70～-50mV，阈电位-40～-30mV，而心室肌等快反应细胞的静息膜电位和阈电位则分别为-90mV和-60mV），动作电位时限短（因无明显平台期）（图16-3-3）。已证实此两处0期除极是钙离子和钠离子缓慢内流、钾离子缓慢外流所形成，因而被称为慢反应细胞。其他部位心肌细胞除极由钠离子快速内流形成，因而又称为快反应细胞。慢反应细胞自律性较高，传导性能差，易发生传导障碍；快反应细胞则传导性能可靠。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526610036651072998.jpg\" title=\"1526610036651072998.jpg\" alt=\"图16-3-3　不同心肌细胞动作电位曲线.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 922px; table-layout: fixed;\"/></p><p style=\"text-align: center;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\">图16-3-3　不同心肌细胞动作电位曲线</span></p><p style=\"text-align: center;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\">A.心室肌细胞（快反应细胞）的动作电位曲线　B.心房肌细胞（快反应细胞）的动作电位曲线　C.窦房结细胞（慢反应细胞）的动作电位曲线</span></p><p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\"><br/></span></p><p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\"></span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">随着心肌细胞电生理研究的深入，对心肌细胞膜的离子通道及其离子流的作用又提出一些新概念，分子生物学和遗传性疾病研究了解到与离子通道相关的一些基因，如SCN5A（hH1）为编码I<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">Na</span>的基因等。</span></p><p><span style=\"font-size: 12px;\">（三）心肌细胞的电生理特性</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">心肌细胞有自律性、兴奋性、传导性和收缩性，前三者与心律失常关系密切。</span></p><p><span style=\"font-size: 12px;\">1.自律性（automaticity）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">具有自律性的心肌细胞包括窦房结、房室交界、希氏束和普肯耶系统的细胞。自律性的高低用自动节律的周长或频率衡量。自动节律的频率（起搏频率）取决于最大舒张期膜电位水平、阈电位水平和4期自动除极速率三个因素。最大舒张期膜电位水平上移（负值变小）、阈电位下移（负值变大）、4期自动除极速率变大，都可使起搏频率加快，自律性增高；反之，自律性低下。其中4期自动除极速率对其影响最大（图16-3-4）。窦房结细胞的起搏频率最高，约100次/分，房室交界细胞的起搏频率为40～50次/分，普肯耶细胞为30次/分。因此，窦房结是控制正常心脏活动的起搏点（最高起搏点），它所引起的心脏冲动节律称为窦性节律（sinus rhythm）。其他部位的自律细胞其舒张期自动除极未达到阈电位前，已被窦房结下传的冲动所激动，故称为潜在起搏点（latent pacemaker）。</span></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><br/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526610049827063436.jpg\" title=\"1526610049827063436.jpg\" alt=\"图16-3-4　影响自律性的因素.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 922px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">图16-3-4　影响自律性的因素</span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">A.4期自动除极速率由a→b，自律性降低，起搏频率减慢B.阈电位负值减小（由TP-1→TP-2）和（或）舒张期最大复极电位负值增大（由a→d），自律性降低，起搏频率减慢；TP：阈电位水平</span></p><p><span style=\"font-size: 12px;\">2.兴奋性（excitability）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">心肌的兴奋性是指心肌具有对刺激产生反应的能力，又称为应激性，其具体表现就是心肌在刺激的作用下能产生动作电位。不足以引起动作电位的刺激称为阈值下刺激，能引起动作电位的最低强度的刺激称为阈值刺激。心肌细胞的兴奋性受下列因素影响：</span></p><p><span style=\"font-size: 12px;\">（1）膜电位：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">在一个心电周期中，膜电位和有关的时间进程决定了快反应细胞Na<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>通道的激活、失活和备用三种状态，Na<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>通道是否处于备用状态是该心肌细胞当时是否具有兴奋性的前提。心肌在发生一次兴奋后，其兴奋性会发生一个周期性变化。对快反应细胞而言，从0期除极到3期复极化至-55mV前，无论多强的刺激也不能产生新的动作电位，这段时间称为绝对不应期。在绝对不应期以后的一段时间内，阈上刺激可引起心肌的局部兴奋，但仍不能产生可以扩布的动作电位，直至复极化至-60mV以后，刺激才可引起一个新的动作电位，故从动作电位0期至复极化到-60mV这段时间称为有效不应期（effective refractory period）。从有效不应期完毕（膜内电位约-60mV）至复极化基本完成（-80mV）这一时间内，高于正常阈值的强刺激可引起扩布性兴奋，但其0期除极慢，振幅低，动作电位时限短，称为相对不应期（relative refractory period）。当膜内电位由-80mV恢复至-90mV这一时段内，由于膜电位已基本恢复，但其绝对值尚低于静息电位，与阈电位水平差距较小，此时低于阈值的刺激亦可引起细胞兴奋，即兴奋性高于正常的超常期，然后兴奋性恢复正常。此外，在相对不应期开始初有一个短暂的时间，在此期间应用较强的刺激容易诱发出心脏的纤维性颤动，称易损期（vulnerable period）。慢反应细胞的有效不应期几乎占动作电位的全部时程，相对不应期可持续到膜电位完全复极化之后，但没有超常期。动作电位时限延长时，不应期也相应延长。心率缓慢、低钾血症和Ⅲ类抗心律失常药物作用，都可使动作电位时限延长，不应期也相应延长。</span></p><p><span style=\"font-size: 12px;\">（2）膜反应性：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">不同膜电位时心肌细胞的除极反应，称为膜反应性，可用膜反应曲线表示（见图16-3-2）。在同一膜电位，心肌细胞0期除极速度快且振幅高的，膜反应性强，兴奋性高，其膜反应曲线左移；反之，则膜反应性弱，兴奋性低，膜反应曲线右移。</span></p><p><span style=\"font-size: 12px;\">（3）静息电位和阈电位间差距：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">静息电位和阈电位之间差距越小，心肌的兴奋性就越高，反之亦反。</span></p><p><span style=\"font-size: 12px;\">3.传导性（conductivity）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">心肌细胞可将兴奋或动作电位沿细胞膜不断向远处扩布的特性称为传导性。衡量心肌细胞传导性的指标是动作电位沿细胞膜传播的速度。影响传导性能的主要因素有：①动作电位0期除极的速度和幅度：速度愈快或幅度愈大，传导速度就越快；②邻近未兴奋细胞膜的兴奋性：如邻近细胞静息膜电位与阈电位差距大，兴奋性降低，膜去极化达阈电位水平所需时间延长，传导速度就减慢；若兴奋落在邻近部位的有效不应期，则发生传导阻滞，落在相对不应期或超常期，传导减慢；③心肌纤维的物理性能：细胞直径与细胞内电阻呈反比关系，直径小的细胞内电阻大，传导速度慢，直径大的细胞内电阻小，传导速度快；心肌纤维走向和结构一致者，传导速度快；反之，传导缓慢。普肯耶纤维直径最大，传导速度最快（4000mm/s）；房室结区细胞0期除极慢、振幅低，直径小，心肌纤维走向与结构不一致，因而传导速度最慢（20～200mm/s），容易发生传导阻滞。然而冲动在房室交界延搁一段时间（房室延搁）具有重要生理意义，即允许血液从心房进入心室，使心室有足够的时间充分接纳血液，然后进行射血。沿心肌细胞长轴传导的冲动速度快，但容易发生传导障碍；垂直与心肌细胞长轴的冲动传导慢，但传导性能可靠，不易发生传导障碍，这种现象称为各向异性传导。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">支配心脏的神经是交感神经和副交感神经。心交感神经节后纤维组成心脏神经丛，支配心脏各个部分，包括窦房结、房室交界、房室束、心房肌和心室肌，其节后纤维末梢释放去甲肾上腺素，可导致窦房结和异位起搏点自律性增高，冲动传导加快，心肌收缩力加强。支配心脏的副交感神经是迷走神经，节后神经纤维支配窦房结、心房肌、房室交界、房室束及其分支。迷走神经末梢释放乙酰胆碱，可减慢4期自动除极速度，降低窦房结自律性；还能延长房室交界不应期，使房室传导速度减慢，心房不应期缩短，心房肌收缩能力减弱等。自主神经在多种心律失常的发生中起着重要作用。</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4857', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '316', '心律失常的分类', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">心律失常按其发生原理可分为冲动起源异常和冲动传导异常两大类：</span></p><p><span style=\"font-size: 12px;\">（一）冲动起源异常1.冲动自窦房结发出</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">①窦性心动过速；②窦性心动过缓；③窦性心律不齐；④窦性停搏。</span></p><p><span style=\"font-size: 12px;\">2.冲动自异位节律点发出（1）被动性异位心律：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">①房性逸搏及心房自搏心律；②房室交界性逸搏及房室交界性自搏心律；③室性逸搏及心室自搏心律。</span></p><p><span style=\"font-size: 12px;\">（2）主动性异位心律：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">①期前收缩（分为窦房结性、房性、房室交界性、室性）；②阵发性心动过速（分为室上性和室性）；③非阵发性心动过速（分为房性、房室交界性和室性）；④扑动（分为心房扑动和心室扑动）；⑤颤动（分为心房颤动和心室颤动）。</span></p><p><span style=\"font-size: 12px;\">（二）冲动传导异常1.干扰及干扰性房室分离2.心脏传导阻滞</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">（1）窦房传导阻滞。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">（2）房内及房间传导阻滞。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">（3）房室传导阻滞：①一度房室传导阻滞（P-R间期延长）；②二度房室传导阻滞（不完全性房室传导阻滞）；③三度房室传导阻滞（完全性房室传导阻滞）。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">（4）室内传导阻滞：①左束支阻滞（不完全性、完全性）；②右束支阻滞（不完全性、完全性）；③分支阻滞（左前分支阻滞、左后分支阻滞）。</span></p><p><span style=\"font-size: 12px;\">3.各种异常旁路参与传导</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">如预激综合征。</span></p><p><span style=\"font-size: 12px;\">（三）冲动起源异常与冲动传导异常并存</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">反复心律和并行心律等。</span></p><p><span style=\"font-size: 12px;\">（四）人工心脏起搏参与的心律</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">包括DDD（R）和VVI（R）起搏器所具有的时间周期、起搏、感知与自身心律的相互影响等。&nbsp;发病机制</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">心律失常的发生机制可分为冲动起源异常和冲动传导异常。实际上，目前临床上尚不能判断大多数心律失常的确切电生理机制，但随着细胞电生理学和分子生物学的技术进展，愈来愈多的心律失常机制被阐明，甚至确定了其异常的基因、离子通道改变和离子流机制。</span></p><p><span style=\"font-size: 12px;\">（一）冲动起源异常1.自律性异常</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">如上所述，窦房结的冲动频率最高。在较快的窦性心律下，异位的自律细胞无法释放冲动，只有当窦房结频率减慢或冲动被阻滞时，异位的冲动才有可能夺获心脏，成为异位搏动或异位心律，例如当窦率极缓、窦性停搏、窦房阻滞时可出现房性、房室交界性、室性逸搏，或房性、房室交界性、室性逸搏心律，这种情况属于被动性异位搏动及心律。当异位自律细胞的频率超过窦房结频率时，异位自律点发出的冲动可成为心脏的主导节律，例如由于自律性增强而致的房性、房室交界性、室性期前收缩，加速性房室交界或心室自主节律、房性或室性快速型心律失常等，这些都属于主动性异位搏动及心律。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">异位自律点细胞的自律性增高，主要由于其4期自动除极速率加快。此外原为快反应细胞，在一定病理情况下，由于其细胞膜的极化性能受损，舒张期电位负值降低，快钠通道失活，快反应细胞转变为慢反应细胞，原来不具有舒张期自动除极性能的，此时具有舒张期自动除极性能，由无自律性转为具有自律性，可发放异位搏动，甚至形成异位的自律性心动过速（图16-3-5）。</span></p><p><br/></p><p><br/></p><p><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526610119007084262.jpg\" title=\"1526610119007084262.jpg\" alt=\"图16-3-5　心律失常发生原理———冲动起源异常.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 922px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">图16-3-5　心律失常发生原理———冲动起源异常</span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">A.正常自律性；窦房结4相除极加速或减慢　B.左：普肯耶纤维4相除极；右：普肯耶纤维膜电位变为-60mV，自律性增强　C.左：正常心房或心室肌无自律性；右：当膜电位变为-60mV，出现异常自律性</span></p><p><span style=\"font-size: 12px;\">2.触发活动（triggered activity）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">触发活动是一种异常的细胞电活动，其是在动作电位的复极过程中或复极刚完毕后出现的膜电位振荡（膜电位负值减小），称为振荡性后电位（oscillatory afterpotential）或称后除极（afterdepolarization），后者达到阈电位时则可发生一次新的除极和兴奋反应，从而形成触发活动。如果该异常自律活动后的后除极又引起另一次异常活动，反复循环，自律活动便不要外界的触发就能持续重复发生。触发的电活动可以是正常窦性或其他异常搏动，包括外加的电刺激。触发性心律失常可被电刺激诱发和终止，心动过速的间期与诱发的期前刺激联律间期成正比，对钙通道阻断药敏感，并有逐渐减速自行终止的倾向。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">根据后除极在动作电位中出现的时相，可分为早期后除极（early afterdepolarization，EAD）和延迟后除极（delayed afterdepolarization，DAD）。EAD发生在动作电位曲线的2期或3期，多发生于心室肥厚、心力衰竭、血浆儿茶酚胺水平增高、细胞外钾离子浓度降低、心肌细胞受牵张等病理状态。EAD容易发生于动作电位时间及复极时间延长的情况下，而且有长周期依赖性，如心率减慢、期前收缩后代偿间歇等形成的较长心动周期之后容易发生，且振荡幅度更高，容易引起一连串触发活动。DAD发生在动作电位曲线的4期，即于膜电位刚复极完毕之后发生电位振荡，多与洋地黄中毒、细胞外钾离子浓度增高或细胞内钙离子增多有关。DAD有短周期依赖性，即心动周期越短，后除极振荡电位振幅越高，越容易达到阈电位而产生兴奋，并有利于下一个DAD振荡达到阈电位，循环往复，形成快速型心律失常。这种快速型心律失常，易被快速刺激诱发，不易被快速刺激抑制（图16-3-6）。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526610128825036347.jpg\" title=\"1526610128825036347.jpg\" alt=\"图16-3-6　早期后除极与延迟后除极触发导致冲动发生异常（触发激动）.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 924px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">图16-3-6　早期后除极与延迟后除极触发导致冲动发生异常（触发激动）</span></p><p><span style=\"font-size: 12px;\">（二）冲动传导异常1.冲动传导障碍</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">传导障碍主要表现为传导速度减慢和传导阻滞。发生传导障碍的主要机制有：</span></p><p><span style=\"font-size: 12px;\">（1）心肌组织处于不应期：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">如前所述，不应期是心肌电生理特性中十分重要的概念。冲动在心肌细胞中连续性传导的前提条件是各部位组织在冲动抵达之前已脱离不应期而恢复到应激状态，否则冲动的传导将发生延迟（适逢组织处于相对不应期）或阻滞（适逢组织处于有效不应期）。</span></p><p><span style=\"font-size: 12px;\">（2）递减性传导：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">冲动在传导过程中遇到的心肌细胞舒张期膜电位尚未充分复极，其反应将异于正常，0期除极速度及振幅都减小，引起的激动也较弱，在冲动传导过程中，所引起的组织反应性将依次减弱，传导性能递减。但冲动如能传播到膜电位正常的区域时，递减性传导现象便可消失而恢复正常传导。</span></p><p><span style=\"font-size: 12px;\">（3）不均匀传导：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">冲动在心脏传导时因组织的解剖生理特征致局部传导性能不匀齐而失去同步性，波峰前进速度参差不齐，冲动传导效力减低。</span></p><p><span style=\"font-size: 12px;\">2.传导途径异常</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">正常情况下心房和心室之间仅能通过房室结区-希氏束-普肯耶纤维进行房室传导。然而各种类型的旁路参与的房室传导可引起组织激动时间和顺序发生异常，形成不同类型心室预激的异常心律。</span></p><p><span style=\"font-size: 12px;\">3.折返激动和环形运动</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">冲动在传导过程中，途经解剖性或功能性分离的两条或两条以上径路时，在一定条件下冲动可循环往复，即形成折返激动。折返激动是心律失常的重要发生机制，临床常见的各种阵发性心动过速、心房扑动或颤动、心室扑动或颤动均与折返激动相关。折返环路、单向阻滞和缓慢传导是折返发生的基本条件。</span></p><p><span style=\"font-size: 12px;\">（1）折返环路：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">存在解剖上或功能上相互分离的径路（折返环）是折返激动形成的必要条件。冲动从一条途经传出，又从另一条途经返回，这两条途经形成折返的环形径路。这一传导途经可以是成型的解剖结构，如房室结区或其周围的组织内等；但也可以是功能性的传导途经，例如普通心肌，只是在电生理功能条件适合时成为折返的径路。功能性折返是由心肌细胞电生理特点的差异所决定，因此环路的长度是随环路及周围组织的电生理特征改变而变化，一般这种类型环路的折返环细小。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">心肌并非是一个均质的合胞体，心肌由许多肌束旋转重叠构成，心外膜面的肌纤维排列与心脏长轴垂直，心内膜面的肌纤维趋向于四周扩散，心肌的这种非均质性排列即为各向异性结构。结构上的各向异性必然产生功能上的各向异性。心脏各向异性结构及电活动的各向异性引起的折返称为各向异性折返。在疾病状态下，如心肌梗死后心肌纤维化会导致各向异性程度增加，使折返性心律失常更易发生。</span></p><p><span style=\"font-size: 12px;\">（2）单向阻滞：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">若两条径路传导能力相同，则冲动从它们的共同入口进入后，分别从两径路下传，两股波峰或汇合从共同出口传出，或在径路中碰撞而抵消，一条径路中的波峰不能从另一条径路中返回原处，不能形成折返活动。当折返环的两条径路中有一条发生单向阻滞，冲动进入折返环后，只能循一个径路前传，而不能从另一径路传播。前传的波峰除了可从共同出口传出外，还可以从另一径路返回，而发生单向阻滞的径路如能容许激动逆传，则会完成一次折返活动。这一局部传导异常不一定是单向阻滞，如前所述功能性折返径路，当邻近心肌细胞应激性恢复不均导致不应期差别，冲动的波峰会从不应期较短处进行传播，又从不应期较长处绕回，形成折返，不应期长处表现犹如单向阻滞区。期前收缩容易引起不应期不均，而诱发折返激动。</span></p><p><span style=\"font-size: 12px;\">（3）环形径路中有慢传导区，且不应期较短：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">传导速度缓慢则传导运行时间长，不应期短，则环形径路的应激性和传导性恢复得快，可再次应激传导。如前所述，冲动在前向传导径路中发生延缓（亦可称为慢径），延缓的时间足以使发生单向阻滞部位的组织恢复应激性，冲动得以逆传。因慢径不应期往往较短，故逆传的冲动又可沿慢径前传，从而形成环形运动（图16-3-7）。由此可见，环形运动之所以能环行不歇，必须是环行冲动的波峰和波尾之间有可激动间歇，即波峰所到之处波峰面临的心肌是可激动的，因此延长有效不应期或减慢传导速度就可能终止折返。</span></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><br/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526610140795062467.jpg\" title=\"1526610140795062467.jpg\" alt=\"图16-3-7　心律失常发生原理———单向阻滞与折返激动.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 922px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">图16-3-7　心律失常发生原理———单向阻滞与折返激动</span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">左图为折返激动原理示意图：A.解剖上或功能上的双重传导途经，因其传导能力相同，冲动同时由a传导至b处B.右侧单向阻滞，冲动经左侧径路由a传导至b处，若单向阻滞部位不应期缩短，恢复了应激性，则冲动可经右侧径路由b逆传至a处，这样就形成了一次折返激动。此时若左侧径路亦恢复应激性，折返激动周而复始，形成环形心动过速。右图为常见折返环路示意图</span></p><p><span style=\"font-size: 12px;\">（三）冲动起源异常和冲动传导异常并存</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">当异位起搏点周围既有传入阻滞，又有传出阻滞，窦房结主导节律点的冲动不能传入异位节律点，异位节律点的冲动亦不能每个都传播出去激动心脏，故异位节律点保持自身独立激动，形成并行心律。异常冲动发生与冲动传导异常相互作用可改变异常冲动的传入或传出阻滞程度，使异常冲动发生加速、减速、拖带或完全抑制，临床上表现为快慢不等的各种心律失常。</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4858', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '316', '心律失常的病因', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心律失常的病因可分为遗传性和后天获得性。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">遗传性心律失常多为基因突变导致的离子通道病，使得离子流发生异常。目前已经明确的遗传性心律失常有长Q-T综合征、短Q-T综合征、Brugada综合征等，另有一部分心房颤动、预激综合征患者也发现了基因突变位点。此外，进行性心脏传导疾病、肥厚型心肌病、致心律失常性心肌病和左心室致密化不全等心肌病也认为与遗传有关。2011年HRS/EHRA制定了离子通道病和心肌病基因检测的专家共识。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">后天获得性心律失常中，病因又可分为心脏本身、全身性和其他器官障碍的因素。心脏本身的因素主要为各种器质性心脏病。全身性因素包括药物毒性作用、各种原因的酸碱失衡及电解质紊乱、神经与体液调节功能失调，交感与副交感系统平衡失调等。其他器官在发生功能性或结构性改变时亦可诱发心律失常，如内分泌疾病等。此外，胸部手术（尤其是心脏手术）、麻醉过程、心导管检查及各种心脏介入性治疗等均可诱发心律失常。在健康人群中的心律失常也不少见，部分心律失常病因不明。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4859', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '316', '心律失常的诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心律失常的诊断主要依靠心电图，其他诊断和评估方法还有心脏电生理检查、运动试验和直立倾斜试验等。对于特殊患者，基因检测也是重要的诊断方法。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">体表心电图是诊断心律失常最简便、廉价、准确的方法。心律失常发作时的体表心电图记录是确诊心律失常最重要的依据。最好是记录12导联同步心电图，至少应包括较长的Ⅱ或V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>导联记录，这有助于疑难、复杂心律失常的准确诊断。用颈动脉窦按摩或其他迷走神经兴奋方法，在快速性心律失常发作过程中记录心电图有助于鉴别诊断。心电图鉴别诊断宽QRS心动过速的方案虽多，但确诊心动过速的性质有时仍有困难。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">长时间的心电图记录方法包括动态心电图（Holter监测）、有线/无线（包括手机）心电监测及可植入型心电事件记录器等用以捕捉发作不频繁的心律失常。起搏器和植入式心脏复律除颤器（implantable cardioverter defibrillator，ICD）亦有记录腔内心电图的功能，可通过程控调出这些信息。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">仔细的病史询问与体格检查也能为心律失常的诊断提供线索。发作时有无心悸、脉搏整齐与否等有助于判断心律失常的存在。听诊心音了解心室搏动的快、慢和规则与否，结合颈静脉搏动所反映的心房活动情况能对心律失常作出初步诊断。当心律整齐且在正常范围时，绝大多数为窦性心律，亦可见于房性心动过速伴2∶1房室传导，或心房扑动伴4∶1房室传导。当心率快速而规则时常为窦性心动过速、室上性心动过速、心房扑动伴2∶1房室传导或室性心动过速。一般窦性心动过速心率多在150次/分以下，而心率在150次/分左右者需考虑心房扑动伴2∶1房室传导的可能。心率为180次/分左右者，多为阵发性心动过速，心率快速且非常匀齐者多为室上性心动过速；心率快速而略有不齐者，可能为室性心动过速，结合基础心脏疾病及发作时的血流动力学表现有助于两者的鉴别。当心率缓慢且规则时多数为窦性心动过缓，也可能是完全性房室传导阻滞伴房室交界性或室性逸搏，以及室上性节律伴以固定比例（如2∶1、3∶1）的房室传导关系。不规则的心律中以期前收缩最为常见，亦可以是窦性心律不齐、不完全性房室传导阻滞、窦房阻滞等情况。快而不规则者最常见的是心房颤动、心房扑动，也可见于窦性心动过速伴期前收缩、房性心动过速伴不完全性房室传导阻滞；慢而不规则者以心房颤动伴缓慢心室率、窦性心动过缓伴窦性心律不齐、窦性心律合并不规则窦房或房室传导为多见。心律规整而第一心音强弱不等、大炮音，尤其是伴颈静脉间断不规则增强者，提示房室分离，多见于完全性房室传导阻滞或室性心动过速。当房颤患者心律突然变为匀齐者，除恢复窦律外，尚需警惕房颤伴三度房室传导阻滞、房扑规则传导和室性心动过速（包括加速性室性自主节律）可能。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心脏电生理检查是一种创伤性检查，能记录到心电图不能显示的希氏束电图，测试正常房室传导系统和心房、心室的电生理性能如传导性和不应期等，显示房室活动间关系，确定心律失常性质及起源部位，临床上用于诊断异常和复杂性心电现象，并根据检查的结果指导进一步的射频消融治疗。窄QRS心动过速大多能根据心电图进行鉴别诊断，而电生理检查可明确心动过速的机制。宽QRS心动过速，尤其是伴前向预激者，较难根据心电图与室性心动过速鉴别，电生理检查则能准确鉴别。此外，还能在心律失常发作间歇，应用程序电刺激方法诱发快速性心律失常，了解其发病机制。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心脏电生理检查由两大部分组成：一是在心内不同部位进行程序电刺激。程序刺激是为心电生理检查事先设定的刺激方式。应用不同方式、不同频率的心腔内刺激，体表心电图与心腔内电图对其进行同步记录，以观察心脏对这些刺激作出的反应。常用的刺激方式包括频率逐渐递增的连续刺激和联律间期逐渐缩短的期前刺激。心脏电生理检查另一重要部分是记录心腔内电活动。将电极导管安放在心脏内任何部位，调整滤波频率和适当的增益，便可以记录到该处局部电位波，其中以希氏束电图最具重要意义。为确定适合发放消融能量的准确位置，需行心内电标测，常用的标测方法包括激动顺序标测、起搏标测以及拖带标测。根据标测过程中采用电极的不同，又可以分为双极标测法和单极标测法。近年来推出的三维标测系统（CARTO、Ensite等）可记录立体的心脏电解剖图，尤其是与CT或MRI等心脏影像相结合，有助于准确判断心律失常的起源、传导途经和机制，从而指导有效的经导管消融治疗。有创性电生理检查已被公认为大多数快速性心律失常诊断的金标准。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心律失常发作间歇期的检查应着重于评价有无高血压、冠心病、瓣膜病、心肌病等器质性心脏病的依据。常规心电图、超声心动图、运动平板试验、心血管造影等检查有助于确诊或排除器质性心脏病。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4860', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '316', '心律失常的预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心律失常的预后与心律失常本身及其有无器质性心脏病有关。发生于无器质性心脏病基础上的心律失常包括期前收缩、室上性心动过速和心房颤动，大多预后良好。但低血钾、长Q-T综合征患者发生室性期前收缩，易演变为多形性室性心动过速或心室颤动。预激综合征患者发生心房扑动或心房颤动时心室率往往很快，易引起严重血流动力学障碍甚或心室颤动，但大多可经直流电复律和药物治疗控制发作，并可应用导管消融技术根治。室性快速性心律失常和心率极度缓慢的完全性房室传导阻滞、心室自主节律、严重的病态窦房结综合征等，可迅速导致循环功能障碍而立即威胁患者的生命。房室结内阻滞与三分支阻滞所致的房室传导阻滞的预后有明显差别，前者预后较好而后者预后差，需植入心脏起搏器。发生在器质性心脏病基础上的心律失常，如本身不引起明显血流动力学障碍，预后一般良好；但如基础心脏病严重，尤其是伴心功能不全或急性心肌缺血者，预后较差。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">20年来发展了许多有创和无创性检查方法，旨在预测心肌梗死后心律失常患者的预后、指导抗心律失常药物的应用以及作为心脏性猝死危险程度分层的依据。这些检查包括24小时动态心电图、心电图运动负荷试验、心率变异性、Q-T间期离散度、T波电交替、Tp-Te、平均信号心电图（心室晚电位）、心率震荡、压力发射敏感度以及程序电刺激诱发心律失常等。然而长期随访发现它们单独或联合应用，预测心脏性猝死的准确率低。心肌受损范围愈大和（或）心功能损害程度愈严重，抗心律失常药物成功预防心律失常复发的可能性愈小。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4861', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '316', '心律失常的防治', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">心律失常是否需要治疗取决于患者有无相关症状及基础心脏疾病。其治疗包括病因治疗、发作时心律失常的控制与预防复发、去除病灶和改良基质等。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">一般而言，无器质性心脏病基础，又无明显相关症状的“良性”心律失常，诸如期前收缩等，无须特殊治疗。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">病因治疗包括纠正心脏的病理改变，调整异常病理生理功能，包括心肌缺血、心功能不全、心脏瓣膜病变、自主神经张力失衡等，同时需去除导致心律失常发作的其他诱因，如电解质失衡、药物副作用等。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">从治疗方式上，心律失常的治疗可分为药物和非药物治疗方法。传统上，心律失常采用药物治疗。药物治疗缓慢性心律失常一般选用增强心肌自律性和（或）加速传导的药物，如拟交感神经药（异丙肾上腺素等）和迷走神经抑制药（阿托品等），但存在副作用及疗效不肯定等弊端。终止和预防快速性心律失常发作可选用各种抗心律失常药物，其基本电生理作用是影响心肌细胞膜的离子通道，通过改变离子流而改变细胞的电生理特性。针对心律失常发生的机制，可将药物的基本电生理作用概括为：降低自律性、减少后除极与触发活动、改变膜反应性而改变传导性、改变动作电位时间及有效不应期而减少折返。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">目前抗心律失常药物广泛使用的仍然是Vaugham Williams分类法，根据药物不同的电生理作用分为4类，见表16-3-1。Ⅰ类为膜抑制剂，主要降低心肌细胞对Na<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>的通透性，使0期除极上升程度及幅度减低，从而减慢传导，同时延长快反应纤维有效不应期，降低4期除极速率从而减低自律性，其中Ⅰa类阻滞程度中等，Ⅰb类阻滞程度较弱，Ⅰc类阻滞程度强；Ⅱ类为β肾上腺素受体阻断药，主要通过减低或阻断交感神经对心脏的作用，抑制4期自动除极速率，延长房室结传导时间；Ⅲ类以阻滞K<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>通道为主，主要电生理效应是通过延迟复极时间，延长动作电位间期和有效不应期；Ⅳ类为钙离子通道阻断药，主要通过阻断慢钙通道的开放，抑制慢反应纤维的0相后期除极及2期复极速率，从而减低传导速度及延长有效不应期。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">表16-3-2列出了常用的抗心律失常药物及其用法。</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">表16-3-1　抗心律失常药物的分类（Vaugham Williams分类法）</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526610217777051066.jpg\" title=\"1526610217777051066.jpg\" alt=\"表16-3-1　抗心律失常药物的分类（Vaugham-Williams分类法）.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1971px; table-layout: fixed;\"/></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">注：↓：传导速度减慢或不应期、动作电位时间缩短；↑：传导速度增快或不应期、动作电位时间延长；=：不变</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">表16-3-2　常用的抗心律失常药用法</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526610224717009501.jpg\" title=\"1526610224717009501.jpg\" alt=\"表16-3-2　常用的抗心律失常药用法.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1971px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\">续表</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526610236809025664.jpg\" title=\"1526610236809025664.jpg\" alt=\"表16-3-2　常用的抗心律失常药用法-续表1.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1971px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\">续表</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526610252196090552.jpg\" title=\"1526610252196090552.jpg\" alt=\"表16-3-2　常用的抗心律失常药用法-续表2.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1971px; table-layout: fixed;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">药物屈指可数，有些曾经广泛使用的“老药”如Ⅰa类药物已基本淘汰或无药，而有些新药仍在临床试验中或尚未在国内使用。因此，临床上对具体患者选择废弃一个抗心律失常药物时要慎重，因为可供医师选择的药物并不多。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">值得警惕的是，严重心力衰竭、心源性休克，严重肝肾功能损害，严重窦房结功能障碍，二度或三度房室传导阻滞及双分支阻滞等均为上述抗心律失常药物的禁忌证。此外，某些药物尚有其特有的禁忌证，如β受体阻断药禁用于末梢循环灌注不良、严重的周围血管疾病、支气管哮喘及严重的慢性阻塞性肺疾病患者；胺碘酮则慎用于有甲状腺功能异常史或已有功能异常、碘过敏、Q-T间期延长者。另外，由于负性肌力等原因，心功能不全患者的抗心律失常药物通常只能选择Ⅱ类和胺碘酮，而急性心肌梗死患者禁用Ⅰc类药物（CAST试验）。循证医学证据表明，任何抗心律失常药物均可能存在致心律失常作用，对于多数快速性心律失常长期应用抗心律失常药物治疗虽然可改善患者的症状，但并未改善其预后。几乎所有的抗心律失常药物都不能增加患者生存率，有时还可增加患者的死亡率。因此，只有对于症状严重者方可考虑应用抗心律失常药物。对于抗心律失常药物治疗无效或可能危及患者生命的快速性室性心律失常应选择ICD。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">非药物治疗包括反射性兴奋迷走神经（压迫眼球、按摩颈动脉窦、捏鼻用力呼气和屏气等）、电学治疗（电复律、心脏起搏器植入、ICD和消融术）以及外科手术等。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">反射性兴奋迷走神经方法可用于终止多数阵发性室上性心动过速，可在药物治疗前或同时采用。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">电复律及电除颤疗效迅速、安全可靠，对于血流动力学不稳定的各种快速室上性和室性心律失常，电复律应为首选治疗方式，但防止复发还需应用药物治疗。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">心脏起搏器是治疗缓慢型心律失常的唯一可靠的方法，用于治疗症状性心动过缓。近年来随着起搏器技术的不断发展，其适应证亦在不断拓宽，包括双心室同步起搏（CRT）治疗心衰、应用特殊起搏模式治疗血管迷走性晕厥、心房不同部位起搏结合特殊起搏模式减少房颤的发生、双腔起搏纠正梗阻性肥厚型心肌病的血流动力学障碍等，尤其是CRT，它是近年来对宽QRS波心衰治疗的重要疗法，国内已逐渐广泛开展。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">ICD是集抗心动过速起搏技术、电复律-除颤技术、抗心动过缓起搏技术、心律监测技术于一体的治疗器。具有对威胁生命的室性心动过速、心室扑动或颤动自动识别、自动施以阶梯式治疗措施的功能，可有效降低心脏性猝死的死亡率。大量临床资料证明，对心脏性猝死和（或）持续发作性血流动力学不稳定的室性心动过速的二级预防，ICD的疗效显著优于抗心律失常药物，可改善患者的生存率，故被公认为不可逆病因所致心脏骤停患者的首选治疗。近来的研究显示，对于心脏性猝死高危患者作为一级预防植入ICD，亦可明显改善患者预后。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">经导管消融术所采用的能量包括射频、冷冻、激光、化学、微波和超声等，其中应用最广泛的为经导管射频消融术（radio-freqency catheter ablation，RFCA）。RFCA应用心脏电生理检查技术，确定心律失常的类别，找到产生或维持该心律失常的关键部位（如折返环路中的关键部位、自律性或触发活动性心动过速的起源点等），经过导管电极施以射频电流，使局部心肌变性，使该心律失常失去其发生和维持的解剖-生理基础，达到治愈的目的。对于预激综合征和（或）房室折返性心动过速、房室结折返性心动过速、心房扑动和房性心动过速等，治疗成功率高、并发症低，已成为反复发作患者的首选治疗。RFCA对特发性左心室或右心室室性心动过速、束支折返性心动过速等均有较好的治疗效果，但对伴有器质性心脏病的室性心动过速，则必须在抗心律失常药物和植入ICD后应用以减少发作。近10年来，随着对房颤发生机制认识的深入和导管消融技术的不断完善和改进，导管消融术治疗心房颤动取得了良好的疗效，已广泛用于药物治疗无效的阵发性心房颤动患者。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">外科手术治疗心律失常包括切断异常房室旁路或房室交界区的折返环路来治疗阵发性室上速；迷宫手术治疗心房颤动；左侧心脏交感神经切除术治疗先天性长Q-T综合征；室壁瘤切除手术治疗相关的室性心动过速等。目前已有不少被介入治疗取代。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">随着分子生物学的进展和基因工程技术的进步，基因治疗心律失常亦在探索之中，如通过基因工程的方法进行生物起搏，通过基因敲除技术去除致病基因，治疗遗传性心律失常如长Q-T综合征、短Q-T综合征、Brugada综合征等，值得研究和关注。</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4862', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '316', '参考文献', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Bonow RO，Mann DL，Zipes DP，et al.Braunwald’s Heart Disease.9<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">th&nbsp;</span>ed.Philadelphia，Elsevier Saunders，2012.</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4863', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '67', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">支气管哮喘（bronchial asthma，简称哮喘）是由多种细胞（如嗜酸性粒细胞、肥大细胞、T淋巴细胞、中性粒细胞、气道上皮细胞等）和细胞组分参与的气道慢性炎症性疾患。这种慢性炎症导致气道高反应性增加，常伴广泛多变的可逆性气流受限，引起反复发作的喘息、气急、胸闷或咳嗽等症状，常在夜间和（或）清晨发作、加剧，多数患者可自行或经治疗后缓解。哮喘的合理防治至关重要，目前不断更新的全球哮喘防治创议（Global Initiative for Asthma，GINA）已成为哮喘防治的重要指南，2011年GINA科学委员会再次修订了哮喘的管理和预防全球策略。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4864', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '67', '流行病学', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">哮喘发病率在世界范围内呈上升趋势。据统计，全球患病率为1%～18%，共约3亿人患有哮喘，每年约有25万人死于哮喘。全国哮喘患病率及相关危险因素流行病学调查（CARE）研究结果显示，2011年北京居民哮喘患病率为1.02%，较2002年翻了一番。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4865', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '67', '病因', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前认为哮喘的发生受宿主因素和环境因素双重影响。</p><p>（一）宿主因素<br/>1.遗传</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">哮喘与多基因遗传有关，具有明显家族聚集倾向。国际哮喘遗传学协作研究组等组织将哮喘候选基因定位多条染色体，包括染色体1、2、3、7、8、12、13、14、16、17、20等的不同位点。这些哮喘遗传易感基因与气道高反应性、IgE调节和特应性反应相关。</p><p>2.特应性（atopy）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">特应性患者气道嗜酸性粒细胞、T淋巴细胞升高明显，非特应性患者与中性粒细胞升高相关。</p><p>3.气道高反应性</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">将在下文【发病机制】中详述。</p><p>4.性别和种族</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早期研究发现儿童中黑种人较白种人患哮喘风险高，但种族并不是决定因素，这可能与诊断和治疗差异有关；男性多为早期发作型，女性多为晚期发作型，即年龄小于15岁的男孩和年龄至少为30岁的妇女先后出现两个发病高峰。</p><p>5.肥胖</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">体重超重、惯于久坐、活动少、长时间逗留在室内，增加个体暴露于家中过敏原的危险性。</p><p>（二）环境因素1.变应原</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">屋尘螨和真菌是室内空气中的主要变应原。花粉与草粉是室外常见的变应原，木本植物（树花粉）常引起春季哮喘，而禾本植物的草类花粉常引起秋季哮喘。</p><p>2.职业性致敏物</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常见的变应原有谷物粉、面粉、动物皮毛等。低分子量致敏物质的作用机制尚不明确，高分子量的致敏物质可能是通过与变应原相同的变态反应机制致敏患者诱发哮喘。</p><p>3.药物、食物及添加剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">药物引起哮喘发作有特异性和非特异性反应两种，前者以生物制品过敏最常见，而后者发生于使用交感神经阻断药、副交感神经增强剂以及环氧化酶抑制剂，如普萘洛尔（心得安）、新斯的明、阿司匹林等。食物过敏大多属于Ⅰ型变态反应，如牛奶、鸡蛋、海鲜及调味食品类等可作为变应原。</p><p>4.感染</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">呼吸道病毒感染与哮喘的形成和发作有关，最常见的是鼻病毒。细菌、衣原体和支原体感染在哮喘中的作用尚存争议。</p><p>5.烟草暴露、空气、环境污染</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">与哮喘发病关系密切，最常见的是煤气（尤其是SO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>）、油烟、被动吸烟、杀虫喷雾剂等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">哮喘的发作可具有相同的诱发因素，如变应原、空气污染物、呼吸道感染、二氧化硫、食物添加剂和药物等。此外下列因素也可诱导哮喘发作。</p><p>1.精神因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">紧张不安、情绪激动等会促使哮喘发作，一般认为是通过大脑皮层和迷走神经反射或过度换气所致。</p><p>2.运动和通气过度</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">约有70%～80%的哮喘患者在剧烈运动后诱发哮喘发作，称为运动性哮喘。其机制可能为剧烈运动后过度呼吸，使气道黏膜上皮的水分和热量丢失暂时渗透压过高，诱发支气管平滑肌痉挛。</p><p>3.气候改变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">气温、湿度、气压和空气中离子等发生改变时可诱发哮喘，故在寒冷季节或秋冬气候转变时较多发病。</p><p>4.月经、妊娠等生理因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">不少女性哮喘患者在月经前3～4天有哮喘加重的现象，可能与经前期黄体酮的突然下降有关。妊娠对哮喘的作用主要表现为机械性的影响及哮喘有关的激素变化，一般无规律性。&nbsp;发病机制</p><p>（一）免疫性炎症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前研究认为哮喘是由Th2细胞介导的对变应原的一种高反应。</p><p>1.IgE介导的、T淋巴细胞依赖的炎症途径</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Th2细胞分泌IL-4调控B淋巴细胞生成IgE，后者结合到肥大细胞、嗜碱性细胞和嗜酸性细胞上的特异性受体，使之呈现致敏状态；当再次接触同种抗原时，抗原与特异性IgE交联结合，从而导致炎症介质链式释放。根据效应发生时间和持续时间，可分为早期相反应（速发性哮喘反应）和晚期相反应（迟发性哮喘反应），前者在接触变应原后数秒内发生，可持续数小时，与哮喘的急性发作有关；后者在变应原刺激后6～12小时，可持续数天，引起气道的慢性炎症。</p><p>2.非IgE介导的、T淋巴细胞依赖的炎症途径</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Th2细胞还可通过释放的多种细胞因子（IL-4，IL-13，IL-3，IL-5等）直接引起各种炎症细胞的聚集和激活，以这种方式直接促发炎症反应。如嗜酸性粒细胞聚集活化（IL-5起主要作用）分泌的主要碱基蛋白和嗜酸性粒细胞阳离子蛋白等均可引起气道损伤；中性粒细胞分泌蛋白水解酶等可进一步加重炎症反应。越来越多的研究证实哮喘是异质性疾病和存在多种表型，如嗜酸性粒细胞和非嗜酸性粒细胞的表型。目前已发现除Th1和Th2细胞外第3组产生IL-17的CD4<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>T细胞亚群，称为Th17细胞。Th17细胞对于激素抵抗型哮喘患者出现的以中性粒细胞为主的气道炎症起促进和维持作用。此外，调节性T细胞（Treg）尤其是1型获得性Tr（Tr1）产生IL-10具有抗炎和免疫调节作用，哮喘患者IL-10分泌减少，不能有效抑制炎症或促炎症细胞因子的合成及释放，可能是导致或加重气道炎症的原因之一。</p><p>（二）气道重塑</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">气道上皮细胞正常修复机制受损，促纤维细胞生长因子-转化生长因子（TGF-β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>）与促上皮生长因子-EGF分泌失衡，TGF-β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>诱导上皮下成纤维细胞向肌成纤维细胞转化，后者被活化后使过量基质沉积，还可生成、释放大量的炎性介质，包括成纤维细胞生长因子（FGF-2）、胰岛素样生长因子（IGF-1）、血小板衍化生长因子（PDGF）等，导致气道重塑。</p><p>（三）气道高反应性</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">气道高反应性（AHR）是指气道对正常不引起或仅引起轻度应答反应的刺激物出现过度的气道收缩反应，气道炎症是导致气道高反应性最重要的机制。目前公认气道高反应性是支气管哮喘患者的共同病理生理特征。然而，有气道高反应者并非都是支气管哮喘，如长期吸烟、病毒性上呼吸道感染、慢阻肺、过敏性鼻炎、支气管扩张等患者也可出现。</p><p>（四）神经机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">支气管的自主神经支配很复杂，包括胆碱能神经、肾上腺能神经和非肾上腺非胆碱能（NANC）肺内感觉神经系统。哮喘与β肾上腺素能受体功能低下和迷走神经张力亢进有关。NANC神经系统分为抑制性NANC神经系统（i-NANC）和兴奋性NANC神经系统（e-NANC）。哮喘与i-NANC/e-NANC失衡有关。i-NANC是气道平滑肌松弛的主要神经系统，其主要神经递质包括血管活性肠肽（VIP）、一氧化氮（NO）。e-NANC是一种无髓鞘感觉神经系统，其神经递质主要是P物质（SP）、神经激肽（NK）、降钙素基因相关肽（CGRP）。此外，气道上皮层内的肺神经内分泌细胞（pulmonary neuroendocfine cells，PNECs）亦可分泌多种肽类激素。肺内感觉神经系统和PNECs可能通过一些共有的化学信息分子（如神经肽）及其受体成为相互间联系的桥梁和信息传递通道，构成一个复杂的神经-内分泌网络，发挥调节气道反应性和炎症的作用。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4866', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '67', '病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">哮喘气道的基本病理改变为气道炎症和重塑。早期表现为支气管黏膜肿胀、充血，分泌物增多，气道内炎症细胞（包括肥大细胞、肺巨噬细胞、嗜酸性粒细胞、淋巴细胞与中性粒细胞等）浸润，气道平滑肌痉挛等可逆性的病理改变。随着疾病发展和反复发作，病理变化逐渐加重。肉眼可见肺膨胀及肺气肿，支气管及细支气管内含有黏稠痰液及黏液栓，可发现肺不张。显微镜下可见支气管呈现慢性炎症改变，表现为柱状上皮细胞纤毛倒伏、脱落，上皮细胞坏死，黏膜上皮层杯状细胞增多，黏液蛋白产生增多，支气管黏膜层大量炎症细胞浸润、黏液腺增生、基底膜增厚，支气管平滑肌增生，最终进入气道重塑阶段。气道黏膜下血管数目明显增多，由支气管壁中血管增殖所致，在严重激素依赖型哮喘中更为明显。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4867', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '67', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">典型的支气管哮喘出现反复发作的胸闷、喘息、呼吸困难、咳嗽等症状，在发作前常有鼻塞、喷嚏和眼痒等先兆症状，发作严重者可在短时间内即出现严重呼吸困难和低氧血症。有时咳嗽可为唯一症状（咳嗽变异型哮喘）。在夜间或凌晨发作是哮喘的特征之一。哮喘症状可在数分钟内出现，症状轻者可自行缓解，但大部分需积极处理。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">发作时可出现两肺散在、弥漫分布的呼气相哮鸣音，呼气相延长，有时吸气、呼气相均有干啰音。严重发作时可出现呼吸音低下，哮鸣音消失，临床上称为“静止肺”，预示着病情危重，随时会出现呼吸骤停。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">部分哮喘患者在不发作时可无任何症状和体征。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4868', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '67', '诊断', '<p><span style=\"font-size: 12px;\">（一）诊断标准</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">1.反复发作喘息、气急、胸闷或咳嗽，多与接触变应原、冷空气、物理、化学性刺激以及病毒性上呼吸道感染、运动等有关。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">2.发作时双肺可闻及散在或弥漫性，以呼气相为主的哮鸣音，呼气相延长。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">3.上述症状和体征可经治疗缓解或自行缓解。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">4.除外其他疾病所引起的喘息、气急、胸闷和咳嗽。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">5.临床表现不典型者，应至少具备以下一项阳性：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">（1）支气管激发试验或运动激发试验阳性；</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">（2）支气管舒张试验阳性［第1秒用力呼气容积（FEV<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>）增加≥12%，且FEV<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>增加绝对值≥200ml］；</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">（3）最大呼气流量（PEF）日内变异率≥20%。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">符合1～4条或4、5条者，可以诊断为支气管哮喘。</span></p><p><span style=\"font-size: 12px;\">（二）分期</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">根据临床表现可分为急性发作期、非急性发作期。哮喘急性发作期是指喘息、气促、咳嗽、胸闷等症状突然发生，或原有症状急剧加重，常有呼吸困难，以呼气流量降低为其特征，常因接触变应原、刺激物或呼吸道感染诱发。非急性发作期亦称慢性持续期，大部分哮喘患者在相当长的时间内会有不同频度和（或）不同程度地出现症状（喘息、气急、胸闷、咳嗽等），肺通气功能下降。</span></p><p><span style=\"font-size: 12px;\">（三）分级</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">哮喘的分级根据急性发作和非急性发作期，有不同的分级。</span></p><p><span style=\"font-size: 12px;\">1.病情严重程度的分级</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">主要指非急性发作期患者，用于治疗前或初始治疗时严重程度的判断，见表17-5-1。</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">表17-5-1　哮喘病情严重程度的分级</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180517-1526547253158055722.jpg\" title=\"1526547253158055722.jpg\" alt=\"表17-5-1　哮喘病情严重程度的分级.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 955px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">2.控制水平的分级</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">对于非急性发作期患者，目前临床工作中常用这种分级方法，有助于指导临床治疗。2011 年GINA把哮喘总体控制定义为既要达到当前控制（A），又要降低未来风险（B），见表17-5-2。</span></p><p><span style=\"font-size: 12px;\">3.哮喘急性发作时的严重度分级</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">哮喘急性发作，其程度轻重不一，病情加重，可在数小时或数天内出现，偶尔可在数分钟内即危及生命，应对病情作出正确评估，给予积极治疗。哮喘急性发作时病情严重程度的分级，见表17-5-3。</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">表17-5-2　哮喘控制水平</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180517-1526547261636039753.jpg\" title=\"1526547261636039753.jpg\" alt=\"表17-5-2　哮喘控制水平.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1990px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\">表17-5-3　哮喘急性发作时病情严重程度的分级</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180517-1526547268487099628.jpg\" title=\"1526547268487099628.jpg\" alt=\"表17-5-3　哮喘急性发作时病情严重程度的分级.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1996px; table-layout: fixed;\"/></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">注：只要符合某一严重程度的某些指标，而不需满足全部指标，即可提示为该级别的急性发作</span></p><p><span style=\"font-size: 12px;\">（四）相关诊断试验1.变应原检测</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">有体内的变应原皮肤点刺试验和体外的特异性IgE检测，可明确患者的过敏状态，指导患者尽量避免接触变应原及进行特异性免疫治疗。</span></p><p><span style=\"font-size: 12px;\">2.肺功能测定</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">肺功能测定有助于确诊支气管哮喘，也是评估哮喘控制程度的重要依据之一。主要有通气功能检测、支气管舒张试验、支气管激发试验和最大呼气流量（PEF）及其日变异率测定。</span></p><p><span style=\"font-size: 12px;\">（1）常规肺通气及容量检测：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">哮喘发作时呈阻塞性通气改变，呼气流速指标显著下降。第1秒用力呼气容积（FEV<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>）、FEV<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>占用力肺活量比值（EFV<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>/FVC%）、最大呼气中段流速（MMEF）以及最大呼气流量（PEF）均下降。肺容量指标见残气量增高、功能残气量和肺容量增高，残气占肺总量百分比增高。完全控制情况下上述指标可正常。</span></p><p><span style=\"font-size: 12px;\">（2）支气管舒张试验：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">对于有气道阻塞的患者，可行支气管舒张试验。吸入支气管扩张药（如沙丁胺醇、特布他林），如用药后FEV<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>较用药前增加≥12%，且绝对值增加≥200ml，为支气管舒张试验阳性，对诊断支气管哮喘有帮助。</span></p><p><span style=\"font-size: 12px;\">（3）支气管激发试验：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">对于有哮喘症状但肺功能正常的患者，可行支气管激发试验，常用吸入激发剂为醋甲胆碱、组胺。吸入激发剂后其通气功能下降、气道阻力增加。在设定的激发剂量范围内，如FEV<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>下降≥20%，为支气管激发试验阳性，使FEV<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>下降20%的累积剂量（PD<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">20</span>-FEV<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>）或累积浓度（PC<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">20</span>-FEV<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>），表示气道高反应性的程度，可对气道反应性增高的程度作出定量判断。</span></p><p><span style=\"font-size: 12px;\">（4）PEF及24小时变异率：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">PEF及其日变异率可反映通气功能的变化。哮喘发作时PEF下降，并且哮喘患者常有通气功能昼夜变化，夜间或凌晨通气功能下降，如果昼夜PEF变异率≥20%有助于诊断为哮喘。</span></p><p><span style=\"font-size: 12px;\">3.胸部X线检查</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">胸部X线摄片多无明显异常。但哮喘严重发作者应常规行胸部X线检查，注意有无肺部感染、肺不张、气胸、纵隔气肿等并发症的存在。</span></p><p><span style=\"font-size: 12px;\">4.呼出气NO（FeNO）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">可评估哮喘相关的气道炎症程度，FeNO越高，气道炎症越严重，吸入激素治疗后FeNO可降低。目前，在哮喘管理中已把监测该指标作为哮喘控制的指标之一，并作为降级治疗的参考依据。</span></p><p><span style=\"font-size: 12px;\">5.诱导痰</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">哮喘患者诱导痰中嗜酸性粒细胞计数可作为非创伤性气道炎症指标，评估与哮喘相关的气道炎症。</span></p><p><span style=\"font-size: 12px;\">6.其他</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">血常规中嗜酸性粒细胞的比值及绝对计数，血清总IgE值可反映哮喘患者的过敏状态。</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4869', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '67', '鉴别诊断', '<p>1.上气道肿瘤、喉水肿和声带功能障碍</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">这些疾病可出现喘息，但主要表现为吸气性呼吸困难，肺功能测定流量-容积曲线可见吸气相流速减低。纤维喉镜或支气管镜检查可明确诊断。</p><p>2.各种原因所致的支气管内占位</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">支气管内良恶性肿瘤、支气管结核等导致的固定的、局限性哮鸣音，需与哮喘鉴别。胸部CT检查、纤维支气管检查可明确诊断。</p><p>3.急性左心衰竭</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性左心衰发作时症状与哮喘相似，阵发性咳嗽、喘息，两肺可闻及广泛的湿啰音和哮鸣音，需与哮喘鉴别。但急性左心衰患者常有高血压性心脏病、风湿性心脏病、冠心病等心脏疾病史，胸片可见心影增大、肺淤血征，有助于鉴别。</p><p>4.嗜酸性粒细胞性肺炎、变态反应肉芽肿性血管炎、结节性多动脉炎、过敏性肉芽肿（Churg-strauss综合征）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">这类患者除有喘息外，胸部X线或CT检查提示肺内有浸润阴影，并可自行消失或复发。常有肺外的其他表现，血清免疫学检查可发现相应的异常。</p><p>5.慢阻肺</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢阻肺亦有呼吸困难，常与哮喘症状相似，大部分患者对支气管扩张药和抗炎药疗效不如哮喘，气道阻塞的可逆性差。但临床上大约10%的慢阻肺患者对激素和支气管扩张药反应很好，这部分患者往往同时合并有哮喘。而支气管哮喘患者晚期出现气道重塑亦可以合并慢阻肺。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4870', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '67', '治疗与管理', '<p><span style=\"font-size: 12px;\">（一）控制目标</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">近年来，随着对支气管哮喘病因和发病机制认识的不断深入，明确了气道的慢性炎症是哮喘的本质，并且意识到哮喘的气道炎症持续存在于疾病的整个过程，故治疗哮喘应该长期规范地应用抗炎药物，从而预防哮喘急性发作，减少并发症发生，改善肺功能，提高生活质量，以达到并维持哮喘控制。2011年全球哮喘防治创议（GINA）也明确指出，哮喘成功管理的目标是：达到并维持症状的控制；维持正常活动，包括运动能力；维持肺功能水平尽量接近正常；预防哮喘急性发作；避免因哮喘药物治疗导致的不良反应；预防哮喘导致的死亡。哮喘总体控制包括两部分内容：A.达到当前控制；B.降低未来风险。哮喘的总体控制目标是既要达到当前控制，又要减少未来风险。哮喘虽然不能被根治，但经过规范治疗，大多数哮喘患者都可以得到很好的控制。</span></p><p><span style=\"font-size: 12px;\">（二）治疗药物</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">哮喘的治疗药物根据其作用机制可分为具有舒张支气管作用和抗炎作用两大类，某些药物兼有舒张支气管和抗炎作用。</span></p><p><span style=\"font-size: 12px;\">1.舒张支气管药物（1）β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体激动药：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">通过兴奋β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体，舒张气道平滑肌、减少肥大细胞和嗜碱性粒细胞脱颗粒和介质的释放、降低微血管的通透性、增加气道上皮纤毛的摆动等缓解哮喘症状。可分为短效（作用维持4～6小时）和长效（作用维持12小时）β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体激动药。根据起效时间又可分为速效（数分钟起效）和缓慢起效（30分钟起效）两种，见表17-5-4。</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">表17-5-4　β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体激动药</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180517-1526547298812029198.jpg\" title=\"1526547298812029198.jpg\" alt=\"表17-5-4　㬢受体激动药.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 977px; table-layout: fixed;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">1）短效β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体激动药（简称SABA）：可吸入、口服和注射给药。①吸入：可供吸入的短效β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体激动药有气雾剂、干粉剂和溶液。通常在数分钟内起效，疗效可维持数小时，是缓解轻至中度急性哮喘症状的首选药物，也可用于运动性哮喘的预防。如沙丁胺醇（salbutamol）每次吸入100～200μg或特布他林（terbutaline）250～500μg，必要时每20分钟重复1次。需间歇使用，不宜长期、单一和过量应用，否则可引起骨骼肌震颤、低血钾、心律失常等不良反应。压力型定量手控气雾剂（pMDI）和干粉吸入装置吸入短效β2受体激动药不适用于重度哮喘发作，其溶液（如沙丁胺醇、特布他林）经雾化吸入适用于轻至重度哮喘发作。②口服：通常在服药后15～30分钟起效，疗效维持4～6小时。如沙丁胺醇2～4mg，或特布他林1.25～2.5mg，每天3次。使用方便，但心悸、骨骼肌震颤等不良反应较吸入给药明显。缓释剂型和控释剂型的作用时间可达8～12小时，适用于夜间哮喘患者的预防和治疗。长期、单一应用β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体激动药可造成细胞膜β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体的下调，表现为耐药现象，应予以避免。③注射：虽然平喘作用较为迅速，但因全身不良反应发生率较高，很少使用。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">2）长效β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体激动药（简称LABA）：这类β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体激动药舒张支气管平滑肌的作用可维持12小时以上。有吸入、口服和透皮给药等途径，我国临床使用的吸入型LABA有两种。①沙美特罗（salmeterol）：经气雾剂或准纳器给药，给药后30分钟起效，平喘作用维持12小时以上，推荐剂量50μg，每天2次吸入。②福莫特罗（formoterol）：经都保装置给药，给药后3～5分钟起效，平喘作用维持8～12小时以上。平喘作用具有一定的剂量依赖性，推荐剂量4.5～9μg，每天2次吸入。福莫特罗因起效迅速，可按需用于哮喘急性发作的治疗。近年来推荐联合吸入型糖皮质激素（ICS）和LABA治疗哮喘，这两者具有协同的抗炎和平喘作用，并可增加患者的依从性、减少大剂量ICS引起的不良反应，尤其适合于中至重度持续哮喘患者的长期治疗。口服LABA有丙卡特罗、班布特罗，作用时间可维持12～24小时，适用于中重度哮喘的控制治疗，尤其适用于缓解夜间症状。透皮吸收剂型现有妥洛特罗（tulobuterol）贴剂，妥洛特罗本身为中效β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体激动药，由于采用结晶储存系统来控制药物的释放，药物经过皮肤吸收，疗效可维持24小时，并减轻了全身不良反应，每天只需贴附1次，使用方法简单，对预防夜间症状有较好疗效。LABA不推荐长期单独使用，应该在医生指导下与ICS联合使用。</span></p><p><span style=\"font-size: 12px;\">（2）茶碱类：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">具有舒张支气管平滑肌作用，也有强心、利尿、扩张冠状动脉、兴奋呼吸中枢和呼吸肌等作用，低浓度茶碱还具有抗炎和免疫调节作用。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">1）口服给药：短效氨茶碱用于轻至中度哮喘急性发作的治疗，控（缓）释型茶碱口服后昼夜血药浓度平稳，可用于慢性哮喘的长期控制，一般剂量为每天6～10mg/kg，作用可维持12～24小时。茶碱与糖皮质激素和抗胆碱药物联合应用具有协同作用。但与β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体激动药联合应用时，易出现心率增快和心律失常，应慎用并适当减少剂量。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">2）静脉给药：氨茶碱加入葡萄糖溶液中，缓慢静脉注射［注射速度不宜超过0.25mg/（kg？min）］或静脉滴注，适用于中重度哮喘的急性发作。负荷剂量为4～6mg/kg，维持剂量为每小时0.6～0.8mg/kg。由于茶碱“治疗窗”窄，安全血药浓度范围为6～15mg/L，超出这一范围可引起心律失常、血压下降，甚至死亡等不良反应。建议监测其血药浓度，避免不良反应。对于长期口服茶碱的患者，应尽量避免静脉注射，防止茶碱中毒。影响茶碱代谢的因素较多，如发热性疾病、妊娠、抗结核药物治疗可以降低茶碱的血药浓度；而肝脏疾患、充血性心力衰竭以及合用西咪替丁或喹诺酮类、大环内酯类等药物均可影响茶碱代谢而减慢其排泄，导致茶碱的毒性增加，应酌情调整剂量。多索茶碱的作用与氨茶碱相同，但不良反应较轻。二羟丙茶碱（喘定）的作用较茶碱弱，不良反应也较少。</span></p><p><span style=\"font-size: 12px;\">（3）抗胆碱能药物：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">吸入型抗胆碱能药物如溴化异丙托品和噻托溴铵（tiotropium bromide）可阻断节后迷走神经传出支，通过降低迷走神经张力而舒张支气管。本品吸入给药，有气雾剂、干粉剂和雾化溶液三种剂型。经pMDI吸入溴化异丙托品气雾剂，常用剂量为40～80μg，每天3～4次；经雾化泵吸入溴化异丙托品溶液的常用剂量为50～125μg，每天3～4次。噻托溴铵为新型长效抗胆碱能药物，对M<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>和M<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>受体具有选择性抑制作用，每天1次吸入给药。本品与β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体激动药联合应用具有协同、互补作用。</span></p><p><span style=\"font-size: 12px;\">2.抗炎药物（1）糖皮质激素：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">糖皮质激素是最有效的抗变态反应性炎症的药物，激素的给药途径有吸入、口服和静脉给药。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">1）吸入给药：吸入型糖皮质激素（ICS）的局部抗炎作用强，可直接作用于呼吸道，全身不良反应少。研究表明ICS可有效改善哮喘症状，提高生活质量，改善肺功能，降低气道高反应性，控制气道炎症，减少发作频率和减轻发作的严重程度，降低病死率。ICS的局部不良反应包括声音嘶哑、咽部不适和念珠菌感染。吸药后及时漱口，选用干粉吸入剂或加用储雾器可减少上述不良反应。ICS全身不良反应与药物剂量、药物生物利用度、肝脏首过代谢及全身吸收药物的半衰期等有关。目前有证据表明，成人哮喘患者每天吸入低至中剂量激素，不会出现明显的全身不良反应。长期高剂量吸入糖皮质激素可出现的潜在的全身不良反应包括皮肤瘀斑、肾上腺功能的抑制和骨质疏松等。目前，ICS主要有三种剂型：①定量气雾剂（MDI）：临床上常用的ICS有4种（表17-5-5）。②干粉吸入剂：主要有布地奈德都保、丙酸氟替卡松碟剂及其含布地奈德、丙酸氟替卡松的联合制剂。干粉吸入装置比普通定量气雾剂使用方便，配合容易，吸入下呼吸道的药物量较多，局部不良反应较轻，是目前较好的剂型。③雾化溶液：目前仅有布地奈德溶液，经射流装置雾化吸入，对患者吸气的配合要求不高，起效较快，适用于哮喘急性发作时的治疗，以及婴幼儿给药。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">ICS是哮喘长期治疗的首选药物。国际上推荐的每天ICS剂量见表17-5-5。</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">表17-5-5　常用ICS的每天剂量高低与互换关系</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180517-1526547318743001778.jpg\" title=\"1526547318743001778.jpg\" alt=\"表17-5-5　常用ICS的每天剂量高低与互换关系.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 955px; table-layout: fixed;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">2）口服给药：适用于中度哮喘发作、慢性持续哮喘吸入大剂量ICS治疗无效的患者和作为静脉应用激素治疗后的序贯治疗。一般使用半衰期较短的糖皮质激素，如泼尼松、泼尼松龙或甲基泼尼松龙等。对于糖皮质激素依赖型哮喘，可采用每天或隔天清晨顿服给药方式，以减少外源性激素对脑-垂体-肾上腺轴的抑制作用。泼尼松的维持剂量推荐≤10mg/d。长期口服糖皮质激素可能会引起骨质疏松症、高血压、糖尿病、下丘脑-垂体-肾上腺轴的抑制、肥胖症、白内障、青光眼、皮肤菲薄导致皮纹和瘀斑、肌无力等不良反应。对于伴有结核病、寄生虫感染、骨质疏松、青光眼、糖尿病、严重忧郁或消化性溃疡的哮喘患者，给予全身糖皮质激素治疗时应慎重，并应密切随访。使用全身激素对于中度以上的哮喘急性发作是必需的，可以预防哮喘的恶化，减少急诊或住院，降低病死率。建议早期、足量、短程使用，推荐剂量：泼尼松龙40～50mg/d，3～10天。具体使用要根据病情的严重程度，当症状缓解时应及时停药或减量。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">3）静脉给药：哮喘重度急性发作时，应及时静脉给予琥珀酸氢化可的松（400～1000mg/d）或甲基泼尼松龙（80～240mg/d），剂量应个体化。无糖皮质激素依赖倾向者，可在短期（3～5天）内停药；有激素依赖倾向者应延长给药时间，控制哮喘症状后改为口服给药，并逐步减少激素用量。</span></p><p><span style=\"font-size: 12px;\">（2）白三烯调节剂：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">包括半胱氨酰白三烯受体拮抗药和5-脂氧化酶抑制剂。半胱氨酰白三烯受体拮抗药通过对气道平滑肌和其他细胞表面白三烯（CysLT1）受体的拮抗，抑制肥大细胞和嗜酸性粒细胞释放的半胱氨酰白三烯的致喘和致炎作用，并具有较强的抗炎作用，可减轻症状、改善肺功能、减少哮喘的恶化。但其抗炎作用不如ICS，可与糖皮质激素联合应用，可减少中至重度哮喘患者每天吸入糖皮质激素的剂量，并可提高吸入糖皮质激素的临床疗效。本药适用于阿司匹林哮喘、运动性哮喘和伴有过敏性鼻炎哮喘患者的治疗。口服给药，扎鲁司特20mg，每天2次；孟鲁司特10mg，每天1次。</span></p><p><span style=\"font-size: 12px;\">（3）色甘酸钠和尼多酸钠：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">是一种非皮质激素类抗炎药，可抑制IgE介导的肥大细胞释放介质，并可选择性抑制巨噬细胞、嗜酸性粒细胞和单核细胞等炎症细胞介质的释放。能预防变应原引起的速发和迟发反应，以及运动和过度通气引起的气道收缩。吸入给药，不良反应较少。</span></p><p><span style=\"font-size: 12px;\">（4）抗IgE单克隆抗体：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">抗IgE单克隆抗体（奥马珠单抗，omalizumab）可以阻断肥大细胞脱颗粒，减少炎症介质释放，可用于血清IgE水平增高的哮喘治疗。主要用于经过ICS和LABA联合治疗后症状仍未控制的重度过敏性哮喘患者，可以改善哮喘控制，减少哮喘急性发作，提高生活质量，GINA推荐用于第5级哮喘治疗。</span></p><p><span style=\"font-size: 12px;\">（5）抗组胺药物：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">酮替芬和新一代组胺H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>受体拮抗药氯雷他定、阿司咪唑、曲尼司特等具有抗变态反应作用，在哮喘治疗中作用较弱，可用于伴有变应性鼻炎的哮喘患者的治疗。</span></p><p><span style=\"font-size: 12px;\">（三）哮喘的长期治疗</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">哮喘的治疗药物根据其在哮喘长期治疗中的地位，又分为控制药物和缓解药物。</span></p><p><span style=\"font-size: 12px;\">1.控制药物</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">又称为维持治疗药物，是指需要长期每天使用的药物。这些药物主要通过抗炎作用使哮喘达到并维持临床控制，包括吸入型糖皮质激素（ICS）、全身糖皮质激素、白三烯调节剂、长效β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体激动药（须与ICS联合应用）、缓释茶碱、吸入型长效抗胆碱能药物（噻托溴铵）、色甘酸钠、抗IgE抗体、抗组胺药及其他抗炎药物。</span></p><p><span style=\"font-size: 12px;\">2.缓解药物</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">又称为急救药物，是指按需使用的药物。这些药物通过迅速解除气道痉挛从而缓解哮喘症状，包括速效吸入β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体激动药、全身用糖皮质激素、吸入型抗胆碱能药物、短效茶碱及短效口服β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体激动药等。</span></p><p><span style=\"font-size: 12px;\">3.分级治疗</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">哮喘治疗应以患者的病情严重程度为基础，根据其控制水平选择适当的治疗方案。要为每个初诊患者制订防治计划，定期随访、监测，改善患者的依从性，并根据其病情变化及时修订治疗方案。哮喘患者长期治疗方案分为5级，见图17-5-1。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">对于以往未经规范治疗的初诊哮喘患者可选择第2级治疗方案，症状明显者，应直接选择第3级治疗方案。从第2至第5级均需使用控制药物，控制药物的选择以吸入型糖皮质激素（ICS）为基础，在此基础上，根据治疗级别可增加吸入ICS的剂量或加用其他控制药物。在每一级中都应按需使用缓解药物，以迅速缓解哮喘症状。对于所有级别的哮喘治疗都应尽量避免接触变应原及其触发因素。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180517-1526547330435055245.jpg\" title=\"1526547330435055245.jpg\" alt=\"图17-5-1　哮喘治疗级别及长期治疗方案的制订.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1701px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">图17-5-1　哮喘治疗级别及长期治疗方案的制订</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">哮喘治疗和管理应以临床控制为核心，评估哮喘控制水平，给予适级治疗，以控制哮喘，并监测以维持哮喘的控制，确立治疗的最低级别和最小剂量，以降低费用，确保用药的安全性，见图17-5-2。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180517-1526547336605031230.jpg\" title=\"1526547336605031230.jpg\" alt=\"图17-5-2　哮喘长期治疗和管理模式图.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 922px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">图17-5-2　哮喘长期治疗和管理模式图</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">当哮喘症状加重或使用的治疗方案不能使哮喘得到控制，应升级治疗以达到哮喘控制。当哮喘控制并维持至少3个月后，可考虑降级。推荐的降级方案为：①单用吸入中-高剂量激素的患者，将吸入激素剂量减少50%。②吸入激素和长效β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体激动药联合用药的患者，将吸入激素剂量减少50%，仍继续使用长效β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体激动药联合治疗。当达到低剂量激素联合治疗时，可选择改为每日1次联合用药或停用长效β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体激动药，单用吸入激素治疗。若患者使用最低剂量控制药物达到哮喘控制1年以上时，可考虑停用控制药物。</span></p><p><span style=\"font-size: 12px;\">（四）哮喘的免疫治疗</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">哮喘是变态反应性疾病，故免疫治疗在哮喘的治疗中占有一定地位，免疫治疗分特异性和非特异性两种。</span></p><p><span style=\"font-size: 12px;\">1.特异性免疫治疗（specific immunotherapy，SIT）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">是在临床上确定过敏性疾病患者的变应原后，将变应原制成提取液并配制成各种不同浓度的制剂，经反复注射或其他给药途径与患者反复接触，剂量由小到大，浓度由低到高，从而提高患者对该种变应原的耐受性，当再次接触该变应原时不再产生过敏现象或过敏现象得以减轻。1997年WHO公布了变应原免疫治疗的指南文件，确定了特异性免疫治疗在变应性疾病中的作用，并指出SIT是唯一可以影响变应性疾病自然病程的病因治疗方法，并可防止变应性鼻炎发展为哮喘，同时还制定了变应原的纯化标准及治疗方案。SIT的机制尚不十分明了，适用于由明确的变应原所致的哮喘患者，通常伴有变应性鼻炎，特异性IgE抗体增高而常规治疗不满意者，或有季节性哮喘发作患者，或常规治疗虽有效，但由于无法避免接触变应原而反复发作者。目前国内最常用的SIT为针对尘螨过敏的免疫治疗。常规SIT整个疗程分为脱敏治疗和维持治疗两个阶段，总疗程为3～5年。</span></p><p><span style=\"font-size: 12px;\">2.非特异性免疫治疗</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">如注射卡介苗、转移因子、细菌菌苗等生物制剂以调节机制的免疫功能，仅作为辅助治疗。此外，抗IL-4抗体、抗IL-5抗体、IFN-γ等尚在临床试验中。抗IgE单克隆抗体作为IgE增高的严重哮喘的治疗，已应用于临床中，用于ICS+LABA不能控制的严重哮喘的控制治疗。</span></p><p><span style=\"font-size: 12px;\">（五）哮喘急性发作的处理</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">哮喘急性发作的治疗取决于发作的严重程度以及对治疗的反应性。治疗的目的在于尽快缓解症状、解除气流受限和低氧血症。具有以下情况的患者为相关死亡高危因素的患者，应引起高度重视，当有急性发作时应尽早到医院就诊。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">高危患者包括：①曾经有过气管插管和机械通气的重度哮喘发作病史；②过去一年中因为哮喘而住院或看急诊；③正在使用或最近刚停用口服糖皮质激素；④目前没有使用吸入型糖皮质激素；⑤过分依赖速效β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体激动药，特别是每月使用沙丁胺醇（或等效药物）超过1支的患者；⑥有心理疾病或社会心理问题，包括使用镇静药；⑦有对哮喘治疗计划不依从的历史。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">哮喘急性发作程度的不同，处理的方法亦不相同。</span></p><p><span style=\"font-size: 12px;\">1.轻度和部分中度急性发作</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">可以在家或社区中治疗，主要治疗为反复吸入速效β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体激动药，在第一小时每20分钟吸入2～4喷。随后根据治疗反应，轻度急性发作可调整为每3～4小时2～4喷，中度急性发作每1～2小时6～10喷。亦可口服短效氨茶碱或特布他林。如果治疗反应不好，应尽早口服糖皮质激素（泼尼松龙0.5～1mg/ kg或等效剂量的其他激素），必要时及时到医院就诊。</span></p><p><span style=\"font-size: 12px;\">2.部分中度和重度急性发作</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">均应到急诊室或医院治疗。氧疗以缓解低氧血症。重复使用速效β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体激动药，通过射流雾化装置给药。可在初始治疗时连续雾化给药，随后按需间断给药（每4小时1次）。可联合使用β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体激动药和抗胆碱能药物以取得更好的支气管舒张作用。可静脉应用茶碱，但尽可能监测茶碱血药浓度，防止发生不良反应。尽早使用全身糖皮质激素，可口服或静脉给药，推荐用法：口服泼尼松龙30～50mg或等效的其他激素，每天单次给药。如严重的急性发作，可静脉使用甲基泼尼松龙80～160mg，或琥珀氢化可的松400～1000mg分次给药。全身糖皮质激素的疗程一般为5～7天，通常不需递减撤药。哮喘急性发作患者医院内治疗流程见图17-5-3。</span></p><p><span style=\"font-size: 12px;\">3.危重哮喘的处理</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">经过上述治疗，临床症状和肺功能无改善甚至继续恶化者，应及时给予机械通气治疗，机械通气的指征主要包括：神志改变、呼吸肌疲劳、动脉血气提示呼吸性酸中毒、二氧化碳潴留。可先采用面罩无创机械通气，对于无创机械通气无效或不能配合或出现呼吸骤停的患者应及时气管插管机械通气。危重哮喘存在气道阻力明显增高，一般通气参数要选择低潮气量通气，允许性高碳酸血症，气管插管早期可短期应用镇静药、肌松药，以减少气道阻力，减少气压伤。症状改善尽早拔管，必要时可用面罩通气过渡。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">激素的使用强调早期、足量、短程，可用甲基泼尼松龙80～560mg/d，分次静脉给药。可静脉应用氨茶碱，雾化吸入β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体激动药和抗胆碱能药物。对于顽固性哮喘，硫酸镁和钙拮抗药也可有一定疗效，危重哮喘容易出现严重酸中毒，应注意纠正酸中毒并维持水电解质平衡，加强对症、支持治疗，如合并有感染，应给予积极抗感染治疗。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">对于危重哮喘，尽早入住ICU，加强心肺功能监护，防止各种并发症的发生。</span></p><p><span style=\"font-size: 12px;\">（六）特殊类型哮喘的处理1.糖皮质激素依赖性和激素抵抗性哮喘</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">激素依赖性哮喘是指激素治疗有效，但需要用一定量的口服激素才能控制症状。激素抵抗性哮喘指对激素治疗无明显反应，用口服泼尼松（强的松）40mg/d 1～2周，肺功能无明显改善，清晨基础FEV<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>的改善＜15%。对这类患者的治疗，首先要除外导致激素治疗不敏感的因素，如患者依从性差、吸入方法不对、反复接触过敏原、存在胃食管反流、鼻窦炎等因素。对激素依赖性哮喘，应用大剂量吸入激素的同时，长期口服最低维持剂量的激素，以改善哮喘症状，减少激素全身不良反应，一般泼尼松≤10mg/d，每日顿服或隔日给药1次。对这些患者，同时使用白三烯调节剂、缓释茶碱、抗IgE抗体等治疗，有时可以获得较好疗效。还可以选用免疫抑制剂如甲氨蝶呤、环孢素等。对于激素依赖性和激素抵抗性哮喘，茶碱具有较强的应用指征，可以改善哮喘症状，有报道茶碱还能改善激素不敏感哮喘患者的激素敏感性。</span></p><p><span style=\"font-size: 12px;\">2.妊娠期哮喘</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">哮喘的发作和平喘药物的应用均会对胎儿及分娩过程产生不良影响，但没有控制的哮喘远比药物的不良反应要危险得多。因此，妊娠期妇女首先应积极控制哮喘，最好在怀孕前即作好准备，使哮喘得到控制，并用最少的控制药物使哮喘维持控制。当怀孕后应密切随访，在医师指导下用药。用药原则是尽可能通过吸入方式给药，尽量避免使用对孕妇、胎儿安全性尚不确定的药物；如果病情需要用药，应将用药剂量尽量控制在最低水平。妊娠期推荐的药物：①沙丁胺醇：用于快速缓解哮喘症状的药物，哮喘的妊娠妇女在任何阶段都可以使用。②吸入激素：是妊娠期哮喘妇女最主要的抗炎药物，是一线治疗药物，推荐使用吸入型布地奈德。建议中、低剂量使用，尽量避免大剂量长期使用。③吸入长效β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体激动药：对于单用吸入低剂量的激素不能很好地控制症状的持续哮喘患者，可以选用联合吸入长效β2受体激动药。④抗胆碱药物：与β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体激动药、糖皮质激素和茶碱具有协同作用，对妊娠期哮喘的治疗是相对安全的。⑤白三烯受体拮抗药、色甘酸钠或茶碱也是可以选择的治疗方案。⑥全身应用激素：妊娠期重症、不能控制的哮喘存在着对母体和胎儿的极大危险，应该给予积极治疗，在权衡利弊下可以应用全身激素治疗。口服激素短期使用较少出现全身不良反应。泼尼松是最常用的口服糖皮质激素，目前认为孕期每日服用泼尼松≤10mg，对孕妇及胎儿较少发生不良反应。病情严重时可每日服用泼尼松30～40mg，连续3～7日，逐渐减量短期内停药，以吸入糖皮质激素治疗为主。长期服用激素对孕妇及胎儿均有较大的不良反应，孕妇应尽量避免。孕早期全身应用激素可能会增加胎儿唇腭裂的发生率。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">对于哮喘妇女，切忌在怀孕后擅自停药或减药，导致哮喘急性加重。妊娠期哮喘患者更应该密切随访，规范治疗和管理。</span></p><p><span style=\"font-size: 12px;\">3.运动性哮喘</span></p><p><span style=\"font-size: 12px;\"></span></p><p><br/></p><p><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526610340054072601.jpg\" title=\"1526610340054072601.jpg\" alt=\"new.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1024px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">图17-5-3　哮喘急性发作患者医院内处理流程</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">运动性哮喘患者大多有气道高反应性，有的本身就是哮喘患者，运动为其诱发因素。其治疗原则与一般哮喘相同。如反复发生，可以用小剂量ICS或白三烯调节剂控制治疗，以降低气道高反应性，预防运动时发生哮喘症状。在运动前吸入速效β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体激动药可以预防症状的发生。白三烯调节剂和色甘酸钠对运动性哮喘都有较好的疗效。</span></p><p><span style=\"font-size: 12px;\">（七）哮喘的教育和管理</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">哮喘的教育和管理是哮喘防治工作的重要组成部分，现代治疗理念强调哮喘的管理是哮喘维持控制的保障。在管理中建立医患之间良好的合作关系是实现有效的哮喘管理的首要措施。其目的是指导患者自我管理，对治疗目标达成共识，制订个体化的书面管理计划。通过各种形式的教育（如初诊教育、随访教育和评价等）使患者掌握以下知识：①通过长期规范治疗能够有效控制哮喘；②避免触发、诱发因素的方法；③哮喘的本质、发病机制；④哮喘长期治疗方法；⑤哮喘先兆、哮喘发作征象和相应自我处理方法，如何、何时就医；⑥哮喘防治药物知识；⑦如何根据自我监测结果判定控制水平，选择治疗；⑧心理因素在哮喘发病中的作用。</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4871', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '67', '参考文献', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.中华医学会呼吸病学分会哮喘学组.支气管哮喘防治指南.中华结核与呼吸杂志，2008，31（3）：177-185.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.Dahlén SE，Dahlén B，Drazen JM.Asthma treatment guidelines meet the real world.N Engl J Med，2011，364（18）：1769-1770.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.Mathur SK，Busse WW.The Biology of Asthma//Fishman AP.Fisherman’s Pulmonary Diseases and Disorders.4th ed.New York：McGraw-Hill，2008，773-786.</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4872', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '83', '胸腔积液的动力学', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">正常人的胸膜腔每24小时有500～1000ml液体形成和再吸收，两者处于动态平衡。任何因素造成其生成增多和（或）再吸收减少，出现胸膜腔内液体增多时即称为胸腔积液。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">最初认为胸腔内液体移动遵循Starling定律，其公式为：F=k［（P<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">cap</span>-<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">&nbsp;</span>P<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">pl</span>）-＇o（π<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">ca p&nbsp;</span>-π<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">pl</span>）］。F为液体移动速率，P 和π分别代表静水压和渗透压，k为滤过系数，＇o为反映蛋白质的胶体渗透系数，类似于肌肉毛细血管渗透系数（约等于0.9），cap为毛细血管，pl为胸膜腔。简言之，F=滤过系数×驱液压（图17-12-1）。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">近来，对胸腔积液形成机制较过去有了新的认识和补充。在下纵隔胸膜、壁层下部胸膜和膈胸膜表面有小孔与淋巴管相通。目前认为，胸腔液体从胸壁体循环毛细血管滤过进入间质，继而进入胸膜腔，约75%的胸液回收是经过壁层胸膜上的淋巴孔进入淋巴管引流；而自肺毛细血管滤过的液体进入肺间质后，最终也由淋巴管排出。因此脏层胸膜不参与胸膜腔液体的重吸收。壁层胸膜内淋巴管既提供了对抗过量液体的一种安全装置，又提供一种从胸膜腔收回蛋白的机制。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">发病机制</span></p><p><span style=\"font-size: 12px;\">（一）胸膜毛细血管静水压增加</span></p><p><br/></p><p><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526608026507042893.jpg\" title=\"1526608026507042893.jpg\" alt=\"图17-12-1　胸腔液体转运机制.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 866px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">图17-12-1　胸腔液体转运机制</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">体循环和（或）肺循环静水压增高，前者使滤至胸膜腔的液体量增加，而后者则使胸膜腔液体吸收减少。壁层胸膜毛细血管液体大量滤出，超过液体重吸收能力，导致胸腔积液。临床上常见于充血性心力衰竭、缩窄性心包炎、上腔静脉受压、奇静脉阻塞等。此种胸腔积液多为漏出液。</span></p><p><span style=\"font-size: 12px;\">（二）胸膜毛细血管胶体渗透压降低</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">当血浆白蛋白减少，血浆胶体渗透压降低时，可使壁层胸膜毛细血管胶体渗透压下降、壁层胸膜毛细血管滤过增加，同时脏层胸膜毛细血管胶体渗透压亦降低，胸腔液体再吸收减少，严重者甚至停止吸收，最终引起胸腔积液量增多。临床上多见于肝硬化、肾病综合征或严重营养不良致低蛋白血症等疾病。此类胸腔积液多为漏出液。</span></p><p><span style=\"font-size: 12px;\">（三）胸膜毛细血管通透性增加</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">胸膜腔及其邻近脏器组织炎症或胸膜肿瘤时，由于胸膜直接受累或受损细胞释放各种酶、补体以及生物活性物质如组胺等致使胸膜毛细血管通透性增加，大量含有蛋白质和细胞的液体进入胸膜腔。胸液中蛋白质含量升高，胶体渗透压增高，进一步促使胸膜腔液体积聚。临床多见于胸膜炎症（结核、肺炎旁胸腔积液）、胸膜肿瘤（胸膜间皮瘤、恶性肿瘤胸膜转移）、膈下炎症性疾病（膈下脓肿、肝脓肿、急性胰腺炎）、肺栓塞、结缔组织疾病（系统性红斑狼疮）等。此类胸腔积液为渗出液。</span></p><p><span style=\"font-size: 12px;\">（四）淋巴回流受阻</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">胸液中液体和蛋白通过淋巴系统返回循环系统，故癌性淋巴管阻塞、先天性发育异常致淋巴管引流异常、外伤致淋巴回流障碍等常产生高蛋白含量的胸腔积液。由于淋巴回到循环的静脉端，所以全身静脉高压可阻止胸液的淋巴引流。胸部淋巴管与腹腔淋巴引流相通，且在膈肌的浆膜下层有广泛的交通。肝硬化和Meigs综合征患者胸液通过膈肌的转运，可使壁层胸膜淋巴系统的淋巴压力增加，加重胸腔积液。</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4873', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '83', '胸腔积液的分类', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可根据病因、胸液性质作出分类（表17-12-1）。按病因分为感染性、肿瘤性、自身免疫系统疾病、物理性如创伤和化学性如尿毒症等。按积液性质可分为血性、乳糜性、胆固醇性和脓性等胸液。按胸液的发生机制可分为漏出性和渗出性。根据发病过程又可分为急性和慢性。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">最常见的漏出性胸腔积液病因为心功能不全和肝硬化。90%的渗出性胸腔积液则主要为感染性疾病、恶性肿瘤、肺栓塞和胃肠道疾病。美国渗出性胸腔积液常见病因依次为细菌性肺炎、恶性肿瘤、肺栓塞和病毒感染；国内则依次为结核性胸腔积液、恶性肿瘤和细菌感染。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4874', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '83', '胸腔积液的检查', '<p><span style=\"font-size: 12px;\">（一）影像学检查1.X线检查</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">少量积液时，X线检查可见肋膈角模糊或消失，患者卧位摄片可进一步确认，并与胸膜增厚鉴别。中等量积液时，患侧胸腔下部有上界成弧形、凹面向上、外高内低、最高点在腋部的大片均匀致密阴影，平卧位摄片为整侧肺野透亮度降低。大量积液时，患侧胸腔全部为致密均匀阴影，纵隔和气管向健侧移位。积液时常遮盖肺内原发病灶；抽液后可发现肺内病变。聚集于叶间裂或沿纵隔分布的积液表现类似于肿块。包裹性积液边缘光滑饱满，不随体位改变而变动，可局限于叶间或肺与横膈之间。液气胸的胸液上界为一水平面，上部透光，可见萎陷的肺组织阴影。在胸部X线片上以肋骨为参照，可判断胸腔积液量。胸腔积液上缘在第4前肋间以下为少量胸腔积液；第4前肋和第2前肋之间为中等量胸腔积液；第2前肋以上为大量胸腔积液。</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">表17-12-1　胸腔积液的分类和病因</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526608083734042852.jpg\" title=\"1526608083734042852.jpg\" alt=\"表17-12-1　胸腔积液的分类和病因.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 955px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">2.超声波检查</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">B型超声诊断仪检查是判断有无胸腔积液和指导胸膜腔定位穿刺的主要方法。胸液超声波检查显示无回声或低回声带，与产生回声的脏层胸膜或肺组织形成界限，易于鉴别，对判断胸腔积液的准确性优于X线检查，并能多次反复检查，随访疾病演变和治疗效果。</span></p><p><span style=\"font-size: 12px;\">3.CT检查</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">胸部CT检查除了具有可以显示少量胸腔积液的优点外，在CT横断面上，由于避免了X线的结构重叠，CT能够揭示被胸液遮盖、在X线平片不能显示的肺内病灶和胸膜病变，同时胸部增强CT可以清晰显示纵隔、气管和淋巴结情况，有助于胸腔积液的病因诊断。</span></p><p><span style=\"font-size: 12px;\">4.MRI检查</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">非出血性积液在磁共振成像T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>加权呈低信号强度，含有高蛋白质或血液细胞成分则呈T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>加权中至高信号，而T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>加权均呈高信号强度。MR的冠状面和矢状面显示对叶间积液、包裹性积液和肺底积液的诊断和判断胸壁侵犯程度很有价值。但由于成像时受呼吸和心脏、大血管运动的影响，限制了其在临床上的应用。目前磁共振在诊断胸腔积液方面逊于超声波和CT检查。</span></p><p><span style=\"font-size: 12px;\">5.正电子发射计算机断层扫描</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">（positron emission computed tomography，PET/CT） PET通过测定组织器官摄取FDG值来评价病灶的代谢强度，可以帮助鉴别良、恶性胸膜疾病。PET/CT则是将PET与CT两种不同成像原理的设备同机组合，并进行图像融合，融合后的图像既有CT提供的精细的解剖定位，又有PET提供的丰富的功能与代谢等分子信息。PET/CT能为确定和查找肿瘤及其转移病灶提供诊断依据，可以帮助鉴别良、恶性胸膜疾病，对恶性肿瘤患者进行分期诊断并协助判断肿瘤复发和治疗评估、疗效随访。PET/CT具有灵敏、准确、特异及定位精确等特点，临床应用日趋成熟。</span></p><p><span style=\"font-size: 12px;\">（二）胸腔穿刺术和胸液检查</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">通过胸腔穿刺术抽取胸腔积液做以下检查，有助于明确胸腔积液性质和病因；同时也可缓解患者症状，或同时进行胸膜腔局部治疗，因此胸腔穿刺术对诊断和治疗具有重要意义。</span></p><p><span style=\"font-size: 12px;\">1.常规检查（1）外观：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">漏出液多清澈透明，无色或淡黄色，静置不凝固；渗出液因含红、白细胞、细菌或乳糜等呈浑浊、深浅不一的颜色。黄疸时呈深黄色。若含血液则可呈红、暗红或棕褐色。一般化脓性细菌感染时呈黄脓样、不透明和黏性的胸液，散发恶臭味常提示厌氧菌感染。胆固醇性胸液呈黄白色，含有大量折光胆固醇结晶。乳糜胸液呈乳白色。渗出液因含纤维蛋白原及组织、细胞破坏释放的凝血活酶，故易凝固。胸液的比重漏出液低于1.018，渗出液高于1.018。</span></p><p><span style=\"font-size: 12px;\">（2）细胞计数和分类检查：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">胸液中红细胞达（5～10）× 10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L时，可呈淡红色。肉眼血性者，红细胞计数一般在100×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L以上，可为外伤、结核、肺栓塞或恶性肿瘤所致，或胸穿时误伤血管等。比较胸液和循环血中血细胞比容与血红蛋白，可以帮助鉴别出血性渗出液和血胸。前者很少有血红蛋白＞10g/L、血细胞比容＞10%者。胸液和周围血液血细胞比容比值＞0.5，则诊断为血胸。细胞计数在漏出液常＜0.1×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L，多为淋巴细胞及间皮细胞；渗出液常＞0.5×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L，多为白细胞。白细胞计数在（0.5～2.5）×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L者，一般为结核性或肿瘤性胸液；＞10×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/ L者，常为化脓性感染的特征。胸液粒细胞分类：以中性粒细胞为主，见于急性化脓性炎症或结核性胸膜炎早期；淋巴细胞＞0.50者，见于慢性炎症（主要为结核）或肿瘤；淋巴细胞分型中，B细胞数达80%以上者，提示为淋巴细胞性白血病或淋巴瘤所致胸液。嗜酸性粒细胞增多见于过敏性或寄生虫病变，也可为胸膜腔内含空气或血液所致，如自发性气胸、反应性胸膜炎、胸部外伤、肺梗死后、良性石棉性胸膜炎和反复抽液后。</span></p><p><span style=\"font-size: 12px;\">2.生化分析（1）蛋白质：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">漏出液蛋白定量＜30g/L，以白蛋白为主，黏蛋白定性试验（Rivalta试验）阴性；渗出液蛋白较多（＞30g/L），多为浆液黏蛋白，定性试验阳性。</span></p><p><span style=\"font-size: 12px;\">（2）葡萄糖：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">漏出液和大多数渗出液中葡萄糖含量与血糖大致相仿。而化脓性、结核性和恶性胸腔积液中葡萄糖含量可＜3.35mmol/L，在类风湿胸腔积液中葡萄糖浓度可＜1.67mmol/L。</span></p><p><span style=\"font-size: 12px;\">（3）胸液酸碱度：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">pH降低见于肺炎并发的胸腔积液、脓胸、食管破裂、血胸、类风湿关节炎伴胸腔积液、结核性胸腔积液及全身酸中毒；pH＜6.8，常见于脓胸或食管胸膜瘘。</span></p><p><span style=\"font-size: 12px;\">3.酶活性测定（1）腺苷脱氨酶（ADA）：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">ADA广泛存在于淋巴细胞和单核细胞内。高于45U/L有助于结核性胸腔积液的诊断。肿瘤（淋巴瘤除外）时此值降低，甚至可＜20U/L。</span></p><p><span style=\"font-size: 12px;\">（2）LDH及其同工酶：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">化脓性胸腔积液中LDH可＞1000U/L，均值可达正常血清的30倍，癌性胸液LDH总活性约为自身血清的3.5倍，而良性胸腔积液约为自身血清的2.5倍。癌性胸腔积液LDH及其同工酶LDH<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>升高，而良性胸液则以LDH<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>和LDH<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">5</span>升高为主。</span></p><p><span style=\"font-size: 12px;\">（3）淀粉酶：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">胸液淀粉酶升高常见于急性胰腺炎、胰腺创伤及胰腺肿瘤。食管破裂则引起胸液唾液淀粉酶升高。</span></p><p><span style=\"font-size: 12px;\">（4）其他酶类：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">胸液透明质酸＞8mg/L，提示间皮瘤可能。胸液中酸性磷酸酶水平升高提示前列腺癌胸膜转移。原发性小细胞肺癌胸膜转移时，胸液中神经元特异性烯醇化酶（NSE）升高。</span></p><p><span style=\"font-size: 12px;\">4.免疫学检查（1）癌胚抗原（CEA）：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">胸腔积液CEA＞10～15μg/L或胸液与血清CEA之比＞1，提示恶性胸腔积液。CEA作为肿瘤的辅助诊断检查，对评价疗效和判断预后均有一定的价值。</span></p><p><span style=\"font-size: 12px;\">（2）T淋巴细胞亚群测定：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">结核性胸液中T细胞含量、CD3、CD4细胞百分数和绝对数明显高于外周血；而恶性胸液中CD3、CD4及CD8的绝对数和CD8的百分数显著低于外周血。</span></p><p><span style=\"font-size: 12px;\">5.微生物学检查</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">渗出性胸液离心后做革兰染色或抗酸染色及病原体培养分离，可确定感染性胸腔积液的病因诊断。</span></p><p><span style=\"font-size: 12px;\">6.细胞学检查</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">恶性胸液癌细胞检查阳性率一般可达50%～60%，常见于肺腺癌，次为乳腺癌、淋巴瘤及白血病。肺癌或乳腺癌引起的胸液中66.7%可找到恶性细胞，而淋巴瘤致胸腔积液中仅有16.7%找到恶性细胞。胸液细胞染色体组型分析呈现非整倍体，假二倍体或标记染色体（如易位、缺失、倒位、等臂、线状或环状染色体等）时，常提示恶性胸液。液基薄层细胞学检查技术可以进一步提高恶性细胞检出率，并可以进行细胞免疫组织化学染色，帮助鉴别恶性胸腔积液原发肿瘤病灶的组织来源。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">胸液中出现LE细胞提示系统性红斑狼疮；出现大量浆细胞提示多发性骨髓瘤；见到吞噬免疫复合物的多形核白细胞，即所谓“RA细胞”，有助于类风湿关节炎胸腔积液诊断。APUD肿瘤（如神经母细胞瘤、类癌、小细胞肺癌）细胞中可见神经分泌颗粒。</span></p><p><span style=\"font-size: 12px;\">7.基因突变检测</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">部分小样本临床研究提示采用DNA测序法、ARMS法等检测非小细胞肺癌转移性胸腔积液的表皮生长因子受体（EGFR）突变状况可作为患者接受EGFR酪氨酸激酶抑制剂（EGFR-TKIs）治疗的疗效预测和评估的生物标志物。</span></p><p><span style=\"font-size: 12px;\">（三）经皮针刺胸膜活检术</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">有助于原因不明的胸腔积液诊断。可在胸腔穿刺抽液术同时行闭式针刺胸膜活检组织标本。目前广泛采用Cope钝端钩针和改良的Abrams切割针。胸膜活检阳性率为40%～75%。CT引导下胸膜活检术诊断敏感度可高达87%，特异度100%，阴性预测值80%，阳性预测值100%。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526608101336055178.jpg\" title=\"1526608101336055178.jpg\" alt=\"图17-12-2　胸腔积液病因诊断流程.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 0px; table-layout: fixed;\"/><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526608112811012426.jpg\" title=\"1526608112811012426.jpg\" alt=\"图17-12-2　胸腔积液病因诊断流程.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1299px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">图17-12-2　胸腔积液病因诊断流程</span></p><p><span style=\"font-size: 12px;\">（四）胸腔镜检查</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">原因不明胸腔积液的病因诊断和慢性持续性胸腔积液的治疗是胸腔镜检查的主要指征。可以窥视胸膜病变，在直视下多处活检，取得的标本大，并可以切除小病灶或封闭支气管胸膜瘘，或做胸膜固定术，治疗慢性持续性胸腔积液。</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4875', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '83', '不明原因胸腔积液的诊断步骤', '<p>（一）确定有无胸腔积液</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据患者胸闷、胸痛、进行性加重的气急等症状，患侧呼吸音降低或消失、叩诊浊音等体征，结合X线胸片或胸部CT、B超等辅助检查，可以确定有无胸腔积液。</p><p>（二）鉴别漏出液和渗出液</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">符合下列三项标准中任何一项者定为渗出液（Light’s标准）：①胸腔积液蛋白与血清蛋白之比＞0.5；②胸液LDH＞200U/L或大于正常血清LDH最高值的2/3；③胸液LDH与血清LDH之比＞0.6。</p><p>（三）明确胸腔积液的病因（图17-12-2）</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4876', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '83', '胸腔积液常见病因', '<p>（一）肺炎旁胸腔积液（parapneumonic effusion）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">系指因细菌性肺炎、肺脓肿或支气管扩张引起的胸腔积液。大多数为胸膜反应性渗出，液体较少，随肺炎好转而吸收，积液量多、pH＜7.20时应尽早胸膜腔置管引流。极少数患者可演变成脓胸。</p><p>（二）结核性胸腔积液</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">见“结核性胸膜炎”。</p><p>（三）化脓性胸膜炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">见“脓胸”。</p><p>（四）恶性胸腔积液</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">为恶性肿瘤直接侵犯或转移至胸膜所致。常见于肺癌、乳腺癌、淋巴瘤，约占恶性胸腔积液的75%。其他为卵巢癌转移、肉瘤（主要为黑色素肉瘤）等。约6%的恶性胸液原发肿瘤的部位不清。胸膜间皮瘤为原发胸膜肿瘤，仅占0.5%。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">恶性胸腔积液是晚期肿瘤的常见并发症，通常胸液增长较快并持续存在，提示治疗效果较差、预后不良。单纯引流胸腔积液只能暂时缓解患者症状，治疗还需要针对不同肿瘤采取相应的系统性抗肿瘤治疗，并结合胸腔局部治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据患者胸腔积液的量、生长速度、预期生存时间、生活体力状态评分，可针对性采取不同的局部治疗策略。无症状少量胸腔积液可在积极放化疗同时密切随访观察；如为生活体力状态评分差，疾病进展迅速，预期生存时间短的终末期患者，胸腔持续置管引流可以缓解症状，改善生活质量；对预期生存时间较长，生活体力状态评分好，胸腔积液引流后肺可复张的有症状者，可予以胸膜粘连术或胸膜固定术；对肺不能复张，且胸腔积液增长迅速者，可考虑给予胸腹腔分流术。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胸膜腔局部治疗的药物有：抗肿瘤药物、生物免疫调节剂、粘连剂。常用的抗肿瘤药物有博来霉素45～60mg、顺铂40～80mg、丝裂霉素10～20mg、阿柔比星30mg、氟尿嘧啶750～1000mg，需根据不同肿瘤病理类型选择合适的药物。其中博来霉素的局部粘连成功率最高为54%～72%，但需注意有可能引起肺间质纤维化的不良反应。胸膜腔局部注入生物免疫调节剂可抑制肿瘤细胞，增强淋巴细胞局部浸润和活性，致胸膜粘连并减少胸液产生。常用制剂有卡介苗、短小棒状杆菌、红色诺卡菌细胞壁骨架（胞必佳，N-CWS）及A群链球菌制剂（沙培林，OK-432）。胸膜固定术中采用的粘连剂有滑石粉、四环素、多西环素等，其中以滑石粉疗效最高，成功率可达93%，且价廉。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">进行胸腔局部治疗时需注意：①注射药物前应放置胸腔引流管并尽可能充分引流完胸腔积液；②注射药物后2小时内患者需定时变换体位（胸腔镜下均匀喷洒滑石粉者除外），以便药物能与胸膜广泛接触；③治疗24小时后若胸腔积液引流量少于150ml，可拔除胸腔引流管，若胸腔积液仍未控制，可在1～2周后再次给予胸膜腔局部治疗；④局部治疗会有胸痛、发热等症状，可局部注入利多卡因和口服非甾体类抗炎药对症治疗。</p><p>（五）真菌性胸腔积液（六）结缔组织相关性胸腔积液</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">结缔组织病中并发胸膜炎者，以类风湿关节炎为最多，亦可见于系统性红斑狼疮、结节性多动脉炎等。</p><p>（七）胆固醇胸膜炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">指胸液中含有大量游离的胆固醇结晶，多见于右侧。胸液外观似乳糜状，故有假性乳糜胸之称。病因尚未完全阐明，可能为体内或局部脂肪代谢异常所致。发病可能与结核、类风湿关节炎、肿瘤有关。常伴有多年慢性胸膜炎和胸膜增厚。临床经过缓慢，症状轻微，有轻咳、疲倦、胸痛和气促。胸腔穿刺针头通过显著增厚的胸膜时，有软骨样阻力感。胸液稍混浊，呈黄白色，摇动试管时可见含有大量折光的胆固醇结晶，其镜检呈板状或针形，含量为1.5～5g/L。脂肪染色阴性，乙醚振荡亦无脂肪析出。若胸液不多且排除风湿病和肿瘤，可试用抗结核药治疗；若胸膜广泛增厚，胸液经久不吸收，影响肺的扩张和肺功能，则应做胸膜剥脱术。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4877', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '83', '特殊类型的胸腔积液', '<p>（一）乳糜胸</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">即胸腔积液中含淋巴乳糜液。乳糜液静置后可分为三层：上层为乳膏样乳糜微粒；中层为乳状蛋白质及少量脂质成分；下层主要为细胞成分，多为小淋巴细胞。乳糜液外观呈乳白色无臭的渗出液，比重＞1.012，pH ＞7.40，蛋白质22～59g/L，细胞数（0.4～6）×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L，分类中淋巴细胞占80%，甘油三酯＞1.2mmol/L（1100mg/L）或脂蛋白电泳显示乳糜微粒带。乳糜液中加入苏丹Ⅲ酒精溶液则呈红色，加入乙醚振荡后静置，乳糜溶于乙醚层中，胸液便见澄清。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">乳糜胸约占胸腔积液的2%。病因为创伤性和非创伤性。外科手术引起胸导管损伤多见，也可由外伤引起。非创伤性常见为恶性肿瘤经淋巴管播散侵犯胸导管，或栓塞胸导管分支，或恶性病变转移至纵隔淋巴结，压迫、阻塞、损伤胸导管。良性病如支气管淋巴结结核、丝虫病、肺淋巴管肌瘤病等也可引起乳糜胸。约1/3的患者病因不明，称特发性乳糜胸。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">乳糜胸患者除原发病的症状外，主要表现为乳糜胸的压迫症状及乳糜液丢失所致营养不良和免疫功能降低。常有胸闷、气促、乏力、体重减轻、尿少、脂溶性维生素缺乏。胸腔穿刺抽出乳糜液，即可诊断。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">乳糜胸在临床上需与假性乳糜胸、脓胸等进行鉴别。假性乳糜胸多为慢性、结核性或类风湿胸腔积液，因积液在胸膜腔内停留时间较长（多＞1年），细胞成分坏死、分解或释放胆固醇，使胸液成乳糜样外观，经离心有形成分沉淀，混浊的胸腔积液变清晰，加乙醚振荡后其色多无改变，可资鉴别。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">治疗为营养支持保守疗法。饮食应富于维生素、碳水化合物和中链甘油三酯，可被直接吸收进入门静脉系统。胸腔穿刺抽液或肋间插管引流，排除胸腔乳糜液，有利于肺复张；若引流失败，可选用胸膜固定术；对于创伤性原因，尤其是手术引起者，若每天平均丢失乳糜量＞1500ml（儿童＞1000ml），并持续5天；或经过2周保守治疗，乳糜量未见减少时，应选择结扎胸导管手术。恶性肿瘤引起的可酌情化疗、放疗或胸膜固定术。对于结核或丝虫感染者，给予相应的药物治疗。</p><p>（二）血胸</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血胸指有明显的胸腔内出血。全血胸液常由外伤、主动脉瘤破裂、自发性气胸含血管的胸膜粘连带撕裂等引起。严重者除胸闷、气促外，有休克等表现。胸腔穿刺抽得全血或胸液中血细胞比容超过20%可以确诊。血胸应与胸膜的原发性或转移性恶性肿瘤、结核、柯萨奇B病毒感染引起的血性胸腔积液相鉴别。后者含不等量的红细胞，但非全血，且不凝固。胸腔置管引流血液，可估计出血速度，并促使肺复张控制出血。肋间动脉或乳内动脉破裂引起持续性出血，应及时手术止血。胸腔长期积血可发生纤维蛋白沉积，形成胸膜纤维化或机化，导致限制性通气功能障碍，须做胸膜剥脱术去除胸膜纤维板。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4878', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '83', '参考文献', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.Goldman L，Schafer AI.Goldman’s Cecil Medicine.24th ed. Philadelphia：Saunders，2011：607-610.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.Murray JF，Nadel JA，Masom RJ，et al（ed）.Textbook of Respiratory Medicine.5th ed.Philadelphia：Saunders，2010：1995-2041.</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4887', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '271', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">三叉神经痛（trigeminal neuralgia TN）又称“痛性痉挛”（tic douloureux，painful tic）是指在三叉神经分布区域内出现阵发性、针刺样、电击样剧烈疼痛，历时数秒至数分钟，疼痛呈周期性发作，间歇期无症状。任何刺激口腔颌面部的“扳机点”可引起疼痛。多发生于中老年，女性多见，多数为单侧。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床上通常将三叉神经痛分为原发性（真性或特发性）和继发性（症状性）两种。原发性三叉神经痛系指无神经系统体征，如三叉神经分布区的感觉、运动正常，而且应用各种检查并未发现明显与发病有关的器质性病变。而继发性者则是指由于机体的其他病变如炎症、外伤、肿瘤、颅骨的畸形以及多发性硬化等疾病侵犯三叉神经所致，此型有明确病因可查，其特点是除表现疼痛症状外，一般尚有神经系统体征，如在三叉神经分布区内存在感觉减退、麻木、角膜反射迟钝或消失、疼痛呈持续性等，并常合并其他脑神经病变症状。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;口腔颌面外科学</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4888', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '271', '病因', '<p>（一）原发性三叉神经痛</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">原发性三叉神经痛的病因和发病机制尚不完全明确，长期存在着中枢病因学及周围神经病因学等多种假说。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.中枢病因学说，有学者认为三叉神经痛是属于感觉性癫痫发作的一种特殊类型，疼痛发作时，中脑有局灶癫痫样放电。也有人认为病变在脑干内，已有证明三叉神经痛与脑干中三叉神经感觉的兴奋性改变有直接关系。还有学者认为丘脑的损害是引起三叉神经痛的中枢性原因。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.周围病因学说，病变从三叉神经周围支及末梢到脑干任何部位病变都可刺激三叉神经引起疼痛。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）血管神经压迫学说是重要因素之一，近年来通过大量临床实践、颅脑手术所见、病理解剖及动物实验结果等对原发性三叉神经痛的病因有了新的认识。现在国内、外学者认同小脑脑桥角（cerebellar pontine angle）的微血管压迫邻近神经感觉根是引起三叉神经痛的主要病因。有报道证实，71%～93%的三叉神经痛在其神经根部存在血管压迫。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">上海交通大学医学院附属第九人民医院的资料显示，对130例原发性三叉神经痛患者行微血管减压术时证实91.54%有血管压迫，压迫部位最多见于神经入脑干区（root of entry zone，REZ）。其压迫血管可为动脉或静脉。常见的有小脑上动脉、小脑下前动脉、椎动脉、岩静脉或多血管压迫。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血管的压迫可导致神经出现切迹，神经移位或扭曲，并发生脱髓鞘病变。有学者推测这种脱髓鞘的轴突与邻近的无鞘纤维发生“短路”（又称伪突触形成），轻微的触觉刺激，如对“扳机点”的刺激即可通过“短路”传入中枢，而中枢的传出冲动亦可再通过“短路”而成为传入冲动，如此很快达到一定的“总和”引起一阵疼痛发作。近年来有人提出新的假说，认为三叉神经根损伤可导致三叉神经节神经元的小神经丛高度兴奋，而后者形成一个“点火中心”，并通过脱髓鞘轴突并列形成的伪突触传递和交叉后释放形成一正反馈放大，故由一支或多支这样的神经纤维支配的面部或口内“扳机点”的短暂刺激可引发整群神经纤维兴奋导致疼痛发作。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鉴于血管压迫学说的公认性，目前在世界上微血管减压术已成为常规治疗手段。术前须通过影像学检查如CT及MRI以排除颅内肿瘤及多发性硬化等其他疾病所致继发性三叉神经痛并确认为血管压迫者。有报道证实：磁共振断层血管成像（magnetic resonance tomographic angiography，MRTA）的诊断符合率较高，并能较准确的确定压迫部位及责任血管。多平面MRTA可作为三叉神经痛患者的常规检查手段，并为微血管减压术提供相关参考资料。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在周围病因学说中除血管神经压迫学说外尚有一些其他因素可导致三叉神经痛。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）解剖结构异常如在某些三叉神经痛病例中发现，在三叉神经压迹处有尖锐的小骨刺、颞骨岩部肥厚、岩嵴过高、局部硬脑膜增厚等，均可能导致对神经根和半月神经节产生局部压迫。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（3）还有学者认为由于颈内动脉前端的骨质缺陷，使该动脉与半月神经节十分接近，它的搏动长期影响着半月神经节和感觉根，使之发生脱髓鞘变而引起疼痛。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（4）神经分支所经过的骨孔因骨膜炎而发生狭窄，压迫神经可引起疼痛。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（5）机体特别是面部遭受过于寒冷的刺激也是三叉神经痛的重要起因。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（6）此外，高血压病、供应神经血运的动脉硬化、血管张力的破坏等也可能导致本病的发生。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（7）遗传可能是三叉神经痛的另一个病因，有些患者继承了影响三叉神经的血管疾病。</p><p>（二）继发性三叉神经痛</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">继发性三叉神经痛的病因可能为颅中窝和颅后窝的颅内病变，如多发性硬化、原发性或转移性颅底肿瘤、鼻源性和耳源性的颅底蛛网膜炎、脑血管动脉瘤等。在颅内肿瘤中，特别是位于小脑脑桥三角部、三叉神经根部及三叉神经半月节的肿瘤，均可引起三叉神经分布区的疼痛。常见的小脑脑桥三角部的肿瘤有胆脂瘤、听神经瘤、脑膜瘤、血管瘤等。三叉神经半月节肿瘤如神经节细胞瘤、神经鞘瘤、脊索瘤等。此外，鼻咽癌、上颌窦癌、各种转移癌，如乳腺癌、肺癌、肾上腺癌、前列腺癌、甲状腺癌和结肠癌等也可导致神经痛。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病灶感染如额窦炎、筛窦炎、上颌窦炎、骨膜炎、中耳炎、化脓性岩骨炎等都可引起继发性三叉神经痛，特别是牙源性病灶感染更有其特殊意义。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">传染病可表现为三叉神经痛。如小脑脑桥囊虫病、感染痢疾杆菌、布氏杆菌病、钩端螺旋体病、莱姆病、梅毒、麻风分枝杆菌等情况下出现脑桥脓肿。糖尿病也可以出现神经痛。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;口腔颌面外科学</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4889', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '271', '病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有关三叉神经痛组织形态学的改变意见不一。有学者认为并无神经组织的明显病理性改变，而多数学者倾向于在半月神经节及感觉根内有明显的病理变化。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年来的研究证明：在电子显微镜下，半月神经节和感觉根内可观察到神经节细胞的消失，有炎症性浸润，动脉粥样硬化改变及脱髓鞘改变等。主要病理变化为髓鞘的病变，表现为神经节细胞的轴突上有不规则的球状茎块，这种变化常沿着神经束分布，并发生于相邻的神经束上。受损的髓鞘明显增厚，失去原有的层次结构。有的髓鞘破碎形成椭圆形颗粒，甚至成粉末状，其内的轴突显得不规则并有节段性的断裂改变；有的发生退行性变；有的轴突只剩残余物或完全消失。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前已公认脱髓鞘改变是引起三叉神经痛的主要病理变化。这种脱髓鞘病变也出现在三叉神经周围分支上。有研究通过动物实验发现异常冲动来自脱髓鞘纤维，论证了脱髓鞘是三叉神经痛的病理基础。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;口腔颌面外科学</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4890', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '271', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病的主要表现是在三叉神经某分支区域内，骤然发生闪电样的剧烈疼痛。疼痛可自发，也可由轻微刺激“扳机点”所引起。如表情肌的运动、微笑、轻微的触摸面部、微风的吹拂，头部的转动，以及刷牙、漱口等均能引起疼痛发作。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">“扳机点”是指在三叉神经分支区域内某个固定的局限的小块皮肤或黏膜特别敏感，对此点稍加触碰，立即引起疼痛发作。疼痛先从“扳机点”开始，然后迅速扩散至整个神经分支区域。“扳机点”可能是一个，但也可能为两个以上，一般取决于罹患分支的数目。由于此点一触即发，故患者不敢触碰。此点常位于牙龈、牙、上下唇、鼻翼、口角及颊部黏膜等处。为避免刺激，患者常不敢洗脸、刷牙、剃须、微笑等，致面部表情呆滞、木僵、面部及口腔卫生不良，常患湿疹、口炎，牙石堆积、舌苔增厚、少进饮食、身体消瘦等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">疼痛的性质为电击、针刺、刀割或撕裂样剧烈疼痛，患者有痛不欲生，甚至产生自杀的念头。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">疼痛发作时患者为了减轻疼痛而作出各种特殊动作：有的用手掌紧按患侧面部或用力揉搓痛处；有的则作一连串迅速的咀嚼动作；而另一些患者则相反，咬紧牙关，或迅速摆动头部或上身；还有的咬唇、伸舌、咂嘴等。发作时还常常伴有颜面表情肌的痉挛性抽搐，口角被牵向患侧。有时还可出现痛区潮红，结膜充血，流泪、出汗、流涎以及患侧鼻腔黏液增多等症状，称为痛性抽搐。有的患者由于疼痛发作时，用力揉搓面部皮肤，可发生皮肤粗糙、增厚、色素沉着、脱发、脱眉，有时甚至引起局部擦伤并继发感染。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">发作多在白天，每次发作时间一般持续数秒、数十秒或几分钟后又骤然停止。两次发作之间称间歇期，无任何疼痛症状。只有少数病例于间歇期中在面部相应部位有轻微钝痛。疾病的早期一般发作次数较少，持续时间较短，间歇期较长。但随着疾病的发展，发作愈来愈频繁，间歇期亦缩短。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病程可呈周期性发作，每次发作期可持续数周或数月，然后有一段自动的暂时缓解期。缓解期可为数天或几年，在此期间疼痛缓解甚至消失，以后疼痛复发。三叉神经痛很少有自愈者。部分病例的发作期与气候有关，一般在春季及冬季容易发病。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有些患者将三叉神经痛误认为牙痛，坚持要求拔牙，故不少三叉神经痛患者有拔牙史。这种牙痛临床及X线检查均无异常发现，又称为前兆三叉神经痛（pretrigeminal neuralgia，Pre-TN）。这种患者要避免不必要的牙科治疗，服用治疗三叉神经痛的药物有效。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">原发性三叉神经痛患者无论病程长短，神经系统检查无阳性体征发现，仍保持罹患分支区域内的痛觉、触觉和温度觉的感觉功能和运动支的咀嚼肌功能。只有在个别病例中有某个部位皮肤的敏感性增加。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">继发性三叉神经痛可因病变部位的不同，伴有面部皮肤感觉减退，角膜反射减退，听力降低等神经系统阳性体征。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">但在原发性三叉神经痛病例中也有因摩擦局部皮肤增厚、粗糙，或由于做过封闭、理疗或局部敷药等造成局部感觉减退。对这类患者应仔细检查有无其他神经系统阳性体征，以便与继发性三叉神经痛相鉴别。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;口腔颌面外科学</p><p style=\"text-align: right;\"><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4891', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '271', '检查', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">三叉神经痛的检查分为临床检查和影像学检查。临床检查的目的是明确罹患的分支，即查明发生疼痛症状的分支。为了进一步明确是原发性三叉神经痛还是继发性者，必须同时检查伴随的其他症状和体征，如感觉、运动和反射的改变。</p><p>（一）临床检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.定分支检查，定分支首先要寻找“扳机点”。各分支的常见“扳机点”的部位是：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）眼支：眶上孔、上眼睑、眉、前额及颞部等部位。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）上颌支：眶下孔、下眼睑、鼻唇沟、鼻翼、上唇、鼻孔下方或口角区、上颌结节或腭大孔等部位。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（3）下颌支：颏孔、下唇、口角区、耳屏部、颊黏膜、颊脂垫尖、舌颌沟等处，并须观察在开闭口及舌运动时有无疼痛的发作。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对上述各分支的常见“扳机点”按顺序进行检查。由于各“扳机点”痛阈高低不同，检查时的刺激强度也应由轻至重作适当的改变　：①拂诊以棉签或食指轻拂可疑之“扳机点”。②触诊用示指触摸“扳机点”。③压诊用较大的压力进行触诊。④揉诊对可能的“扳机点”用手指进行连续回旋式重揉动作，每一回旋需稍作刹那停顿，这种检查方法往往能使高痛阈的“扳机点”出现阳性体征，多用作眶下孔和颏孔区的检查。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.三叉神经功能检查，原发性三叉神经痛一般无论病情轻重，并不影响患侧神经的功能。在定分支检查后，应再进行功能检查，以便了解神经径路是否正常。对于青壮年的初发患者尤为重要，对有第三支非典型三叉神经痛发作，应考虑小脑脑桥角肿瘤特别是胆脂瘤的可能性。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）感觉功能：可用探针轻划（触觉）与轻刺（痛觉）患侧的三叉神经各分布区的皮肤与黏膜，并与健侧相比较。原发性三叉神经痛的检查结果两侧相同。若痛觉丧失时，需再作温度觉检查：以试管盛冷热水试之。可用两支玻璃管分盛0～10℃的冷水和40～50℃的温水交替地接触患者的皮肤，请其报出“冷”或“热”。如痛觉与温度觉均丧失而触觉存在时，可能是三叉神经脊束核损害。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）角膜反射：请患者向一侧注视，用捻成细束的棉絮轻触角膜，由外向内，反射作用为双侧直接和间接的闭眼动作。反射中枢在脑桥，输入纤维为三叉神经眼支的鼻睫神经，传出纤维为面神经。角膜反射可以受多种病变的影响。如一侧三叉神经受损造成角膜麻痹时，刺激患侧角膜则双侧均无反应，而在作健侧角膜反射试验时，仍可引起双侧反应。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（3）腭反射：用探针或棉签轻划软腭边缘，可引起软腭上提，当一侧反射消失，表明该侧上颌神经的分支腭后神经或蝶腭神经的损害。上颌神经损害时，还表现为嗅吸氨气、醋酸等时无灼痛感，以及用细软猪鬃刺激鼻腔下部黏膜时不发生喷嚏反射。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（4）运动功能检查：三叉神经运动支的功能障碍表现为咀嚼肌麻痹，紧咬牙时咬肌松弛无力。当下颌舌骨肌与二腹肌前腹麻痹，吞咽动作时患侧此两肌松弛。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">凡出现上述神经功能性改变者，说明神经径路上有损害，常见的为占位性病变，必须进一步检查，以明确诊断。局限性的麻木、感觉障碍也可能由于维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>缺乏、神经症、三叉神经炎、注射无水乙醇或手术后所引起，根据病史不难确定。</p><p>（二）影像学检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">三叉神经痛一般根据临床表现以及神经系统的体征，可以诊断。但在临床上需要拍摄X线片，CT、MRI等影像学检查以明确原发性或继发性三叉神经痛。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">原发性三叉神经痛患者可发现血管压迫三叉神经出脑干段引起三叉神经痛，小脑上动脉、基底动脉、椎动脉和小脑前下动脉等均可能成为责任血管。三叉神经出脑干段位于颅后窝，在X线平片中无法观察CT横断片在三叉神经所在部位，由于有大量骨质所产生的伪影，影响了对三叉神经出脑干段的观察，即使是增强CT扫描也只能显示血管增粗或位置异常。随着高分辨率MRI的应用，如三维时间飞跃磁共振断层血管成像（3-dimensional timeof-flight magnetic resonance tomographic angiography，3D-TOF MRTA）平扫，MRTA增强扫描，重T2扫描等方法，能有效地显示三叉神经出脑干段与血管的关系。MRTA是了解三叉神经出脑干段与血管关系的最常用方法。重T2扫描法中，脑脊液为高信号，脑神经及血管均呈中、低信号，脑脊液与脑桥小脑角结构间对比相当明显，因此很容易观察到三叉神经的外形及其走行。在原发性三叉神经痛的影像学诊断中常出现假阳性和假阴性。假阳性的成因可能与三叉神经邻近小血管襻环绕三叉神经走行而导致，成像时显示神经血管接触或压迫的假象有关。因此，在诊断时不仅要记录血管与神经的接触，同时还应记录血管推移神经的情况，结合这两点更能明确的诊断。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">继发性三叉神经痛常见病因包括神经鞘瘤、脑膜瘤、转移性肿瘤、蛛网膜囊肿及其他囊性病变或肿瘤、颅底蛛网膜炎、三叉神经根炎等。常规的头颅CT扫描能发现颅内占位性病变或多发性硬化，有助于对继发性三叉神经痛的诊断。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;口腔颌面外科学</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4892', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '271', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">三叉神经痛的诊断依据病史、疼痛的部位、性质、发作表现、影像学检查和神经系统有无阳性体征，一般诊断原发性三叉神经痛并不困难，但要排除继发性三叉神经痛。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">原发性三叉神经痛为剧烈疼痛如针刺、闪电样，持续几秒至几分钟，存在“扳机点”，在一侧面部的三叉神经一支或几支范围，三叉神经的运动和感觉功能无异常。“扳机点”的局部麻醉可使疼痛暂时消失。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">为了准确地判断疼痛的分支及疼痛涉及的范围，查找“扳机点”具有重要意义。在初步确定疼痛的分支后，用1%～2%的利多卡因在神经孔处行阻滞麻醉，以阻断相应的神经干，这属于诊断性的封闭。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">第一支痛时，应封闭眶上孔及其周围。第二支痛时，可根据疼痛部位将局麻药选择性地注入眶下孔、切牙孔、腭大孔、上颌结节或圆孔。第三支痛时则应作颏孔、下牙槽神经孔或卵圆孔的阻滞麻醉。当“扳机点”位于颊神经或舌神经分布区域时，还应作此两神经的封闭。麻醉时应先由末梢支开始，无效时再向中枢端注射。例如第三支痛时，可先做颏孔麻醉，不能制止疼痛发作时，再作下牙槽神经麻醉，仍无效时，最后应作卵圆孔阻滞麻醉。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在封闭上述各神经干后，如果疼痛停止，一小时内不发作（可通过刺激“扳机点”以试之），则可确定是相应分支的疼痛。最好是在1～2天后再重复进行一次诊断性封闭，则更能准确地确定患支。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">继发性三叉神经痛其疼痛不典型，常呈持续性，一般发病年龄较小，病程短，应着重怀疑肿瘤的可能性，对年轻患者的不典型三叉神经痛，特别是双侧三叉神经痛应怀疑多发性硬化症。检查时，在三叉神经分布区域内出现病理症状，如角膜反射的减低或丧失，常提示为症状性三叉神经痛。此外，伴有三叉神经分布区的痛觉、温度觉与触觉障碍，出现咀嚼肌力减弱与肌萎缩。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">怀疑为继发性三叉神经痛时，应进一步作详细的临床检查，按需要拍摄颅骨X线片（特别是颅底和岩骨），并作腰椎穿刺及脑超声波检查，还须作特殊造影、CT、MRI检查等以明确诊断。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;口腔颌面外科学</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4893', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '271', '鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">三叉神经痛应注意与下列疾病相鉴别。</p><p>（一）神经源性的疼痛</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如舌咽神经痛、蝶腭神经痛、中间神经痛、耳颞神经痛等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.舌咽神经痛为舌咽神经分布区域的阵发性剧痛。多见于男性。疼痛性质与三叉神经痛相似，但疼痛部位在咽后壁、舌根、软腭、扁桃体、咽部及外耳道等处。疼痛常因吞咽、讲话而引起，睡眠时也可发作。应用1%～2%丁卡因喷雾于咽部、扁桃体及舌根部，如能止痛即可确诊。须注意的是舌咽神经痛与三叉神经痛可同时发病。当三叉神经第三支痛伴有舌神经痛时，应特别注意与舌咽神经痛相鉴别。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.蝶腭神经痛又称蝶腭神经节神经痛或Sluder综合征。其病因不明，可能是由于某种病变直接损害或反射性刺激蝶腭神经节或神经根所致。临床表现为单侧面中部阵发性疼痛，常在夜晚发作。女性较多见，易发于30～50岁。疼痛部位在一侧眼眶及其上下区域而不超越中线。常由一侧眼眶部，鼻根部后方及上颌部开始，继而扩散至腭部、牙龈、颧部等。疼痛性质剧烈，呈刀割样、烧灼样或钻样疼痛，每次发作时间由几分钟至数小时。每日可发作数次至数十次，或2～3天发作一次，亦有1～2周内发作一次者。疼痛发作与咀嚼、吞咽或触压痛无关，刺激中鼻甲后黏膜可引起发作，间歇期无疼痛。在疼痛发作时，常伴有Horner征、结膜及鼻腔黏膜充血、水肿、流泪、流鼻涕、鼻塞、流涎等自主神经症状。用丁卡因涂布患侧中鼻甲后部黏膜或通过腭大孔行蝶腭神经节封闭（翼腭管内阻滞麻醉）可能消除或缓解疼痛。可能伴有鼻窦感染病灶。经X线、头颅CT、MRI以排除鼻窦炎、骨折及肿瘤等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.中间神经痛又称膝状神经节痛或面神经痛。中间神经痛可以像三叉神经痛一样，发生原因不明，但很少见。病因可能是膝状神经节受疱疹病毒感染、颅底骨折或其他原因造成膝状神经节受损。临床表现为阵发性的一侧外耳部、乳突部、外耳道及鼓膜深处刺痛，严重时可波及半侧面部或口腔内。常伴有舌前2/3味觉过敏或味觉减退，可能伴有眩晕及听力减退。疼痛可突然发生，亦可为渐进性加重，疼痛剧烈，呈烧灼样，持续时间较长，可达数小时或更长。一般比三叉神经痛时间长。间歇期由数小时至数日。外耳部阵发性剧痛合并有带状疱疹、周围性面瘫，偶有面部感觉过敏、乳突区压痛等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.耳颞神经痛是由三叉神经下颌支的耳颞神经或耳神经节受损所致。可能由腮腺区的炎症或外伤所引起。临床表现为一侧耳颞部阵发性疼痛，呈灼痛性质。疼痛部位集中于颞下颌关节区、外耳道前壁及其深部和颞部，疼痛常由咀嚼食物所引起。也可在夜间发作。发作时，常伴有耳颞神经分布区内皮肤潮红、出汗、患侧唾液分泌增加以及颞浅动脉搏动增强等自主神经症状。在外耳道与髁突之间常有明显压痛点。用利多卡因行耳颞神经封闭，可缓解疼痛。</p><p>（二）牙痛和其他牙源性疾患</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">三叉神经痛有时可与牙痛相混淆，特别是牙髓炎和髓石所引起的疼痛。但牙髓炎所引起的疼痛为持续性，夜间疼痛加剧，对冷热刺激敏感，有病灶牙存在。髓石所引起的疼痛，多在体位改变时或睡下后发生，无“扳机点”存在，亦无周期性发作的特点。拍摄X线片可在牙髓腔内发现有结石存在。在临床上有不少三叉神经痛患者误认为牙痛而要求拔牙，此时必须认真鉴别。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有时颌骨内的埋伏牙、颌骨或上颌窦肿瘤的存在，压迫神经时引起神经痛，可行影像学检查确诊。其他牙源性感染如牙周炎、颌骨骨髓炎，以及拔牙术后创口感染等都能引起颌面部疼痛。但这些疾病所引起的疼痛为持续性、深在性钝痛，有明显病灶可查，疼痛一般不受外界刺激的影响，无“扳机点”存在，除去病灶后疼痛消失。</p><p>（三）邻近组织的疾病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">眼、耳、鼻、腺体的炎症、外伤或颌面部肿瘤可引起面部疼痛。如鼻窦炎，外耳道炎，茎突过长，腮腺炎以及腮腺区的外伤瘢痕　，舌根部肿瘤等可引起面部疼痛。</p><p>（四）慢性头痛</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">颌面部疼痛常伴有头痛，包括偏头痛，丛集性头痛，紧张性头痛等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.偏头痛是一类有家族发病倾向，呈周期性发作的疾病。临床表现为阵发性发作的偏侧搏动性头痛，伴恶心、呕吐及畏光，女性多见。在安静、黑暗环境内或睡眠后头痛缓解。动静脉畸形也可伴发偏头痛，应作头颅CT扫描或脑血管造影明确诊断。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.丛集性头痛又名组胺性头痛或周期性偏头痛性神经痛。病因尚不明确，一般认为是免疫过敏性反应，由身体组织内迅速游离出组胺，使颞浅动脉或颈内动脉出现急性发作性扩张所致。此病好发于中年男性，特点是发作前无任何先兆。主要症状为一侧的发作性剧烈头痛，多在入睡后1～2小时突然发生，表现为一连串密集的头面部疼痛发作，可在短时间内（20～30分钟）达到高峰。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.紧张型头痛 又称肌收缩型头痛。其临床特点是：头痛部位较弥散，可位于前额、双侧颞部、头顶、枕部及颈部。头痛性质常呈钝痛，头部压迫感、紧箍感，患者常述犹如戴着一个帽子。头痛常呈持续性，可时轻时重。多有头皮、颈部压痛点，按摩头颈部可使头痛缓解，多有额、颈部肌肉紧张，并伴有恶心、呕吐等症状。</p><p>（五）非典型性面痛</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">非典型面痛病因不明，为性质、部位、范围均无规律的面部疼痛。其疼痛特点是不局限于某一感觉神经支配区内，疼痛范围广泛、深在，部位不定，主要位于一侧面下部，也可为双侧，无“扳机点”，疼痛发作时，常伴有自主神经症状。一般认为非典型面痛是由自主神经病变所引起。此外，神经精神因素、心理状态异常、肌功能异常也可引起非典型面痛。</p><p>（六）颅内病变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">颅内占位性病变所致的头痛早期可为间断性或晨起为重，但随着病情的发展，多成为持续性头痛，进行性加重，出现颅内高压的症状与体征，如头痛、恶心、呕吐、视乳头水肿，并可出现局灶症状与体征，如精神改变、偏瘫、失语、偏身感觉障碍、抽搐、偏盲、共济失调、眼球震颤等，典型者鉴别不难。多发性硬化、原发性或转移性颅底肿瘤、鼻源性和耳源性的颅底蛛网膜炎、脑血管动脉瘤等，在颅内肿瘤中，特别是位于小脑脑桥三角部、三叉神经根部及半月神经节的肿瘤，均可引起三叉神经分布区的疼痛。常见的小脑脑桥三角部的肿瘤有胆脂瘤、听神经瘤、脑膜瘤、血管瘤等。三叉神经半月节肿瘤如神经节细胞瘤、神经鞘瘤、脊索瘤等。此外，鼻咽癌、上颌窦癌及各种转移癌可引起面部疼痛。</p><p>（七）颞下颌关节紊乱病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">颞下颌关节紊乱病是常见的颞下颌关节疾病。根据临床特点、病变部位和病理改变，可分为咀嚼肌功能紊乱、关节结构紊乱、炎性疾病和骨关节病。其临床表现为张口及咀嚼时关节区及其周围肌群出现疼痛　，常伴有关节弹响及杂音，张口时开口型偏斜、弯曲，张口受限或开口过大，同时可伴有头颈肩疼痛等症状。主要疼痛症状和性质与三叉神经痛不同，多在关节区及相应的咀嚼肌区有压痛。一般在咀嚼及张大口等下颌运动时诱发疼痛。</p><p>（八）神经症性面痛</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在临床上较多见，常因大脑高度紧张，或由于患者在精神或心理方面存在某种障碍所致，如以往经历过颌面部感染、外伤或手术后，怀疑原来疾病未愈而产生恐惧心理。无面部神经病变。头颈部各系统及器官的功能均正常。多见于40岁以上的女性，男性亦可发病。神经系统检查阴性。患有神经症、抑郁症及癔症等患者易发此病。疼痛范围较广泛而不确定，常呈压迫性钝痛，可波及一侧面部、头颈部。疼痛有时呈灼痛或刺痛，可伴有麻木感。本病一般有较长病史，多为数月至数年，工作繁忙时或注意力集中时不发病，夜晚睡眠后也无疼痛发作。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;口腔颌面外科学</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4894', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '271', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">三叉神经痛的治疗包括药物治疗、中医中药针灸疗法、理疗、注射治疗、射频温控热凝术，手术治疗（包括经皮穿刺半月神经节微球囊压迫术、三叉神经周围支切断撕脱术，以及三叉神经根微血管减压术等）以及放射治疗。如属继发性三叉神经痛者，应针对病因治疗。</p><p>（一）药物治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对原发性三叉神经痛均应首先采用药物治疗，如无效时再考虑其他方法。</p><p>1.卡马西平（carbamazepine）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">又称酰胺咪嗪、痛痉宁、得理多，叉颠宁为抗癫痫药物，是目前治疗三叉神经痛的首选药物。此药抗惊厥机制不完全清楚，可能是增强钠通道灭活效能，限制突触后神经元和阻断突触前钠通道，稳定高度兴奋的神经细胞膜。用药方法是从小剂量开始，并逐渐增加至理想剂量，达到既能控制疼痛又不引起不良反应。开始时100mg，2次/日。如不能止痛，以后每日增加100mg，直到能控制疼痛为止，但不能超过最大剂量（1200mg），找出其最小有效量作为维持剂量服用，一般为300～800mg/d。疗程最短1周，最长2～3个月，约70%病例有效。当疼痛完全消失达4周，可逐渐减少药量。不良反应有眩晕、嗜睡、恶心、皮疹、消化障碍、白细胞减少，停药后多数可恢复正常。对出现过敏者应立即停药。亦有报道可产生共济失调、再生障碍性贫血、肝功能损害等需立即停药。禁用于心、肝、肾功能不全，血象异常严重，孕妇和哺乳期妇女。特别应注意对造血系统及肝的不良反应，在用药前后应检查血象、尿常规及肝功能。</p><p>2.奥卡西平（Oxcarbazepine）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">又称确乐多，此药为卡马西平的10-酮基结构类似物，在体内大部分被代谢为有活性的10-羟基代谢物。药理和临床作用与卡马西平相同，但易于耐受。用药方法是开始时每日300mg，分2次服用。以后可逐渐增加至600mg～2400mg，直到能控制疼痛为止。不良反应有乏力、头痛、眩晕、嗜睡、皮疹、消化障碍等，少见白细胞减少、肝功能异常等，慎用于肝功能异常、孕妇和哺乳期妇女。</p><p>3.苯妥英钠（phenytoin sodium）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">也是一种抗癫痫药物，对多数病例有一定疗效。其作用机制为，对小脑有兴奋作用，可以激活小脑和大脑皮质的抑制通路。一般剂量为每日2～3次，每次50～100mg，其极量为1次300mg，500mg/d。过量症状为视物模糊或复视、幻觉、恶心、步态不稳、震颤和视力障碍等。如出现这些症状，应减量直至中毒反应消失为止。其不良反应有行为改变、思维混乱、发音不清、手抖，还可引起牙龈纤维增生、白细胞减少、骨质疏松、紫癜、高血糖等。如遇此现象，可考虑更换治疗方法。</p><p>4.氯硝西泮（clonazepam）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">以上药物无效时可用，一般剂量为3次/日，每次0.5mg，每3日增加0.5～1.0mg，极量20mg/d，维持量一般为4～6mg/d，40%～50%病例能完全控制，约25%可显著减轻。不良反应可有嗜睡及步态不稳。还可引起呼吸抑制，呼吸道分泌物增加，对有呼吸道疾患者慎用，肝病、青光眼患者忌用。</p><p>5.巴氯芬（baclofen）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">又称氯苯氨丁酸（lioresal）为解痉药，是抑制性神经递质γ氨基丁酸（GABA）的类似物。巴氯芬通过激动GABAβ-受体而使兴奋性氨基酸如谷氨酸、门冬氨酸的释放受到抑制，从而抑制单突触和多突触反射在脊髓的传递而起到解痉作用。口服初始剂量为5mg，每日三次，应逐渐增加，直至所需剂量。常用剂量为每日30～75mg，根据病情可达每日100～120mg。对巴氯芬片过敏者，癫痫、帕金森病、风湿性疾病引起的骨骼肌痉挛患者，妊娠前三个月禁用。溃疡病、肝、肾功能不全者及哺乳期妇女慎用。</p><p>6.山莨菪碱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是一种胆碱能神经阻滞剂，其作用类似阿托品，对各种神经痛有一定疗效。一般剂量为5～10mg/次，3次/日。</p><p>7.七叶莲或野木瓜片</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是中成药，用于治疗三叉神经痛，每次3片（每片含量相当于生药5g）每日4次。针剂每次4ml（每2ml含生药5g），每日2～3次，肌内注射，待疼痛减轻后，改用口服片剂。一般在用药后4～10d见效。与卡马西平或苯妥英钠合用可提高疗效。此药无严重不良反应，少数有口干、上腹不适、头昏等，停药后即可恢复。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此外，可根据情况配合使用其他镇痛药物。</p><p>（二）针刺疗法</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">三叉神经痛属中医“面痛”、“眉棱骨痛”、“齿痛”范畴，多因风、火、痰、热等邪上扰清窍，或情志不舒，失条达导致气血郁结于面部经络，最终形成气滞血瘀为痛证。针刺通过疏调阴阳气机、平肝潜阳、滋肾育阴，从而达到缓急止痛、活血通络、恢复神经正常功能的目的。按循经穴与神经分布的解剖位置相结合的原则，选择邻近神经干的穴位，以患者有强烈针感为宜。第一支痛常用穴位是：下关、太阳、头维、丝竹空等配合谷。第二支痛时选下关、四白、迎香、颊车、听会、配合谷。第三支痛选下关、颊车、大迎、地仓、合谷等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">也可将较粗的银针刺入神经孔穴部位，使针接近神经干以增加刺激强度，可收到较好效果。第一支痛时，将针刺入眶上孔；第二支刺入眶下孔或圆孔附近；第三支痛时刺入颏孔或卵圆孔附近。也有针刺“扳机点”阿是穴者。强刺激得气留针，或以电脉冲维持刺激，有效极接“扳机点”或下关，另一极接远端穴位。电流强度与频率应根据患者的耐受程度与即时效果进行交换与选择；开始宜弱，以后逐渐加强，每次通电15～30分钟，每日或隔日一次，10～12次为一疗程，每疗程间隔5～7天。</p><p>（三）理疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可用维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>或维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">12</span>和利多卡因用离子导入法，将药物导入疼痛部位，或采用穴位导入法均可获得一定疗效。</p><p>（四）注射治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">三叉神经注射治疗是临床治疗三叉神经痛的常用方法。注射的部位主要是三叉神经干或三叉神经半月节，卵圆孔、圆孔、眶上孔、眶下孔、下牙槽神经孔、颏孔、翼腭孔等。所用药物包括纯甘油、阿霉素以及无水乙醇等。三叉神经注射方法在局部麻醉章节已有介绍。</p><p>1.封闭疗法</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">用1%～2%利多卡因行疼痛神经支的阻滞麻醉，也可加入维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">12</span>做神经干封闭，每日1次，10次为一疗程。</p><p>2.纯甘油</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年来国内外均有采用100%的纯甘油经卵圆孔注入于半月神经节或用于外周神经注射以治疗原发性三叉神经痛，均获一定疗效。但作半月神经节内注射，操作比较复杂，亦有一定复发率和并发症，可引起角膜感觉减退或角膜炎，偶可发生脑膜炎等。三叉神经周围支的甘油注射，相对较安全。先以麻药作受累末梢神经局麻以减轻疼痛，然后缓慢注入甘油于下颌孔或眶下孔处。注意将甘油注射在与“扳机点”有关联的神经的近心端处。</p><p>3.阿霉素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">阿霉素治疗三叉神经痛是利用阿霉素的细胞毒性和轴浆逆流原理，当将它注入神经末梢时，可借逆向轴浆运转方式快速上升达到破坏感觉神经胞体，而运动神经粗大，则不受影响，使感觉神经功能永久丧失。阿霉素高浓度时对神经组织有强烈的破坏作用，可直接使神经组织变性坏死，阻滞神经信号的传导，从而达到治疗疼痛的目的。治疗方法采用上颌神经阻滞麻醉法或下颌神经阻滞麻醉法，注入2%利多卡因0.2ml作试验性阻滞，若患者疼痛感觉丧失并且无其他异常症状和体征，注入0.5%阿霉素溶液0.1ml，观察阻滞效果及副作用，逐渐增加至0.5ml。眶下孔、眶上孔及颏孔神经可采用手术显露神经的方法（见三叉神经周围支切断撕脱术部分），将神经游离，保护邻近组织，在神经支上注射0.5%阿霉素溶液0.5ml。</p><p>4.无水乙醇或95%乙醇</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">准确地注射于罹患部位的周围神经干或三叉神经半月节。目的在于产生局部神经纤维变性，从而阻断神经的传导，以达到止痛效果。在行眶下孔、眶上孔及颏孔等封闭时，一般剂量为0.5ml，同时应注意要注入孔内，进孔深度以2～3mm为好，不宜过深或过浅。如行半月神经节注射，可以三支同时变性，并可引起邻近脑神经损害，产生角膜反射消失，导致角膜炎等严重并发症。重复无水乙醇注射并发症增多而成功率下降，可能是无水乙醇引起神经炎、周围组织纤维化，所以目前无水乙醇注射已不常用。</p><p>（五）射频温控热凝术（percutaneous radiofrequency thermocoagulation）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">20世纪70年代以来在国外用射频温控热凝半月神经节及其感觉根治疗三叉神经痛取得了良好效果。至80年代，国内也已开展了此项技术，临床实践证明这是目前治疗三叉神经痛的较好一种微创神经毁损疗法，利用可控温度作用于神经节、神经干和神经根等部位，使其蛋白质凝固变性，从而阻断神经冲动的传导。其止痛效果好，并发症少，虽然复发率较高，由于操作方便，可重复治疗。</p><p>1.射频热凝的原理</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是在高频率射频电流通过有一定阻抗的神经及组织时，离子发生振动，与周围质点发生摩擦，在组织内产生热，而不是在电极里产生热。通过电极尖端的热敏电阻，即可测量到针尖处的组织温度，在组织内形成一定范围蛋白质凝固的破坏灶，这样就能利用不同神经纤维对温度耐受的差异性，有选择地破坏半月神经节内，或传导痛觉的神经纤维传导支，而保留对热抵抗力较大的传导触觉的神经纤维。阻断疼痛信号向上位神经传导，破坏疼痛传导通路，使之无法传入大脑皮层，从而达到控制疼痛的目的。</p><p>2.射频治疗仪</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括电刺激试验及阻抗监测系统，调节射频输出功率的大小、设置作用温度，能精确控制毁损灶的范围。采用能精确控温的热源-射频发生器及其相应配套的温控电极和外皮绝缘穿刺针。针尖端非绝缘部分长5～10mm，是进行热凝治疗的工作端，可依据需热凝的范围进行选择。</p><p>3.操作方法</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">治疗时需经皮穿刺，使射频针进入卵圆孔到达半月神经节及其感觉根（图11-1）。本技术的关键在于准确的穿刺和定位。最好在放射科进行，并在放射科医师协助下完成。</p><p><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526612752132029223.jpg\" title=\"1526612752132029223.jpg\" alt=\"P11-1_8019.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1229px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图11-1　穿刺针进入半月神经节</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">半月神经节位于颞骨岩部尖端的三叉神经压迹处在硬脑膜两层所形成的腔内。卵圆孔位于颞下窝上壁后内份，相当于眶下缘中点向后延伸线与关节结节向对侧延伸线之交点。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">操作步骤及方法如下：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">卵圆孔穿刺有前路法和侧路法。</p><p>（1）前路法：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患者取仰卧或半坐位，面部常规消毒，用长大约为10～15cm、直径1mm、外有绝缘套的射频穿刺针进行穿刺，进针点约在患侧口角外侧2.5～3cm处，进针方向指向后、内、上方之卵圆孔，进针深度约为6～7cm。刺入卵圆孔时术者可感到有穿空感，同时患者面部有电击样疼痛反应，继续进针达0.5～1.5cm左右（有个体差异及依据所需热凝的罹患分支而定）即达半月节及感觉根。拔除针芯后常有脑脊液流出，但应回吸无血，此时将针留置不动，即拍摄X线颅底位及侧位片以判定穿刺位置是否正确，如发现偏差，应进行调整或重新穿刺。有条件的医院可在放射科进行操作，使用配备有荧光屏的X光机或CT引导下进行穿刺。</p><p>（2）侧路法：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在耳前相当于乙状切迹下缘中点处刺入，向内、后上方关节结节深部进针至4～5cm深即达卵圆孔，进入孔内深度与前路法相同。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">完成穿刺后抽出针芯，将温控电极针插入绝缘穿刺针（套针）。再将中性电极（无关电极）插入额部或颞部帽状腱膜下，或把中性电极夹住放置在右手背以作负极，用导线分别连接于射频发生器。打开开关，按照射频发生器上的温度表指示可直接读出穿刺针尖端组织内的温度。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">方波刺激：在温控热凝前须先作低电压电流刺激试验，0.1～0.5V的方波电刺激，以判断射频穿刺针针尖的位置是否准确。如果刺入部位准确，患者可感到三叉神经的相应分布区内有明显的跳痛反应或触电样感觉。根据反应部位适当调整针的深度和方向，使反应部位与原疼痛发作部位相符合，即与所罹患的神经分支相吻合，这样即可认为针尖已处于热凝所需要的最恰当位置。方波刺激是判断针头部位是否准确的客观指征，如方波刺激量0.1V就能引起明显反应说明针刺部位越准确，疗效也越好。如果方波刺激量较大超过0.5V时，面部患支区仍无反应即说明针尖不在相应的神经组织内；应重新调整进针位置，否则盲目加热则有损伤周围组织的可能。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">温控热凝：经方波刺激证明刺入位置准确无误后再开始逐渐缓慢加热。根据动物实验及临床观察，温度在60℃以下不容易使神经纤维发生永久性蛋白变性，达不到治疗目的；而温度超过90℃时则可损伤神经周围组织而产生严重并发症，故一般应采用最终加热温度80℃左右，即能达到目的。操作时可先加热至60℃，维持1min，再酌情加热至65℃、70℃、75℃和80℃。每次加热时间为1～2分钟，至80℃维持2min，同时不断用针刺及棉絮擦拭皮肤以测试患支分布区的痛觉及触觉，直至痛觉消失，而同时能保留触觉和角膜反射为准。一般总的加热时间为5～10分钟左右。术后常规给予抗生素和激素，以预防感染，减轻水肿。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">应用射频温控热凝术治疗三叉神经痛成败的关键在于准确的穿刺和定位。近年来采用术中CT定位进行穿刺及射频治疗，使穿刺技术不再单纯靠经验，医师可在穿刺过程中依据CT图像以避免多次反复的穿刺，尤其是对穿刺针的定位能客观地通过图像来显示，通过CT定位后的分层扫描图像所见进一步调整穿刺针在卵圆孔内的深度及位置，使其能准确到达所要破坏的三叉神经分支，特别是可以避免对三叉神经第一支的损伤，从而大大提高了治疗的成功率和减少并发症的发生。</p><p>4.并发症及不良反应</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此法的缺点是操作技术及设备均较复杂，非一般医院都能开展，并发症及不良反应较多。操作术中疼痛，术后有些患者可出现恶心、呕吐，或有的患者在治疗结束后1～2周内患区仍有疼痛，文献报道过的严重并发症有颅内出血，其他脑神经损伤、颅内感染等。此外尚有报道误穿入颈静脉孔、眶下裂、蝶窦、破裂孔等处致面颊部血肿或外耳道、咽腔出血等，也可因第一支损伤造成角膜反射减退、麻痹性角膜炎致角膜薄翳甚至失明。也可发生咀嚼肌功能减退（因损伤三叉神经运动支所致）但多数可在3个月内恢复。术后耳内不适、耳鸣、耳胀、耳聋、面部感觉障碍等症状亦时有发生。操作时应严密消毒避免颅内感染。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年来亦有采用外周神经温控热凝同时结合三维CT定位治疗三叉神经痛，并取得了良好疗效。该法是将针刺入眶下孔、颏孔、卵圆孔或圆孔周围而不进入颅腔，从而避免了颅内并发症，相对较安全。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在进行射频温控热凝术前应常规作血、尿、心电图、脑电图、测血压及头颅CT等的检测，注意有无严重的心血管疾患。术中心电图与血压的监护很重要，因患者多系老年人，心血管系统常有不同程度的病变存在，穿刺和热凝过程中的刺激可能会引起不良反应，易发生心律失常及血压的急剧改变。有文献报道术中发生心电图的改变及血压骤升骤降者的比例占1/3以上，需特别谨慎，应立即减轻刺激或暂停手术，对症及时用药以免发生意外。对严重心、脑血管疾病患者不宜采用本法。</p><p>（六）经皮穿刺半月神经节微球囊压迫术（percutaneous microballon compression，PMC）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">经皮穿刺半月神经节微球囊压迫术是近年来国内外治疗三叉神经痛的一种新的方法。这种方法比传统的穿刺手术简单而节省时间，治疗过程是在短暂全身麻醉下完成，减少了患者的痛苦。与射频热凝术比较，微球囊压迫不损伤与角膜反射相关的有髓神经纤维和无髓神经纤维从而明显减少眼部并发症，与三叉神经根微血管减压术比较，手术风险小，效果较好。由于设备较复杂，有条件的医院才能开展。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">治疗方法是患者仰卧体位，全身麻醉，在X线机监视下，将有针芯的14号穿刺针从口角外侧2cm及上方0.5cm处进入，在荧光屏指引下调整方向直至到达卵圆孔。去除针芯，经穿刺针将Fogarty球囊放入半月神经节。用注射器接球囊外的导管接头，注入1～2ml液体，使球囊胀大，直至凸向后颅窝。球囊形成大约为1×1.5cm的梨形囊，一旦不理想，立即排空球囊并调整导管位置，直至理想的梨形出现，并维持数分钟。在压迫结束后抽出液体，将球囊与穿刺针一起拔出，压迫穿刺点5min止血。整个治疗过程需监测心率和血压。穿刺过程及充盈球囊时脉搏及血压明显变化时应使用阿托品对症治疗。</p><p>（七）三叉神经根微血管减压术（microvascular decompression，MVD）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">微血管减压术在术前已明确三叉神经痛是由血管压迫所引起者，而其他较简单治疗方法无效，患者同意开颅手术者可采用此法。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">全身麻醉，患者平卧位，头略抬高并偏向健侧，常规消毒。在患侧耳后切开皮肤、皮下组织、肌肉及骨膜，用骨膜剥离器沿骨壁剥离，将皮瓣翻向乙状窦方向，用颅骨钻紧靠乙状窦后缘钻开一直径大约为2cm大的骨窗。与皮肤同方向“C”形切开硬脑膜并翻向前。在手术显微镜下将小脑向后上方轻轻牵开，沿小脑天幕向前，在岩静脉与第Ⅶ、Ⅷ脑神经间剪开桥池蛛网膜，用带吸引管的微型脑压板由此放入达三叉神经根部，自神经出脑桥处向远端探查血管压迫及其他病灶情况。在放大镜或内镜监视下，分离血管与神经，并以小垫，如聚四氟乙烯材料等间隔（图11-2）。仔细观察确无活动性出血后缝合硬脑膜，逐层缝合关闭伤口。</p><p><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526612764191081208.jpg\" title=\"1526612764191081208.jpg\" alt=\"P11-2_8029.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1204px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图11-2　三叉神经根微血管减压术</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">微血管减压不需切断神经即可达到止痛效果，属非神经破坏手术。近期疗效达80%以上，如术后复发，一般服用小剂量药物可缓解。其并发症包括听力减退或丧失，面部感觉缺失、感觉迟钝、麻木性疼痛、角膜麻痹、滑车、外展及面神经麻痹、无菌性脑膜炎、共济失调、颅内感染或血肿、脑脊液漏、小脑损伤、异物性肉芽肿等。包括面部感觉减退以及颅脑手术常见的并发症等。此手术以在脑外科或脑外科协作进行为宜。最近有学者报道在神经内窥镜下行MVD，使MVD的创伤更小，效果更好。该手术应由神经外科医师或与神经外科医师合作进行。</p><p>（八）三叉神经周围支切断撕脱术</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">随着技术的进展和对致病因素的进一步认识，传统的一些具有危险性高、并发症多、功能损害大的破坏性手术目前已较少应用，如三叉神经感觉根切断术，三叉神经脊束切断术，三叉神经周围支剥脱术等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">三叉神经周围支撕脱术是传统的基本的治疗方法　，很早以前就被用于临床，近期效果肯定，但复发率高。主要适用于下牙槽神经痛和眶下神经痛。</p><p>1.下牙槽神经切断撕脱术</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可选择采取口内进路或口外进路，但多用口内进路。</p><p>（1）口内进路：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本法是在翼下颌间隙处寻找下牙槽神经。口内切口沿下颌支前缘稍内侧至磨牙后区舌侧纵行切开口腔黏膜长约3～4cm（图11-3）。继在下颌升支内侧与翼内肌之间钝性剥离，牵拉开翼内肌，显露出下颌小舌及下颌孔，在其上方找出进入下颌孔的血管神经束（图11-4）。用钝分离法将神经与血管分开，并用单钩或丝线将神经牵出，用两把止血钳，分上下端夹住神经束，从中间切断，然后分别扭转止血钳，尽量将神经抽出撕脱（图11-5）。对伴有舌神经痛和颊神经痛者亦可在此切口内找到此两支神经切断撕脱。</p><p><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526612771630050530.jpg\" title=\"1526612771630050530.jpg\" alt=\"P11-3_8034.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 709px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图11-3　下牙槽神经撕脱术之一口内切口</p><p><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526612778576083348.jpg\" title=\"1526612778576083348.jpg\" alt=\"P11-4_8040.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 827px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图11-4　下牙槽神经撕脱术之二显露下牙槽神经</p><p><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526612784685080714.jpg\" title=\"1526612784685080714.jpg\" alt=\"P11-5_8044.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1027px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图11-5　下牙槽神经撕脱术之三切断、撕脱下牙槽神经</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">下牙槽神经撕脱术亦可通过口内法在下颌体部切断神经。方法是在患侧磨牙区沿牙槽突颊侧做长约3～4cm的切口，切开黏骨膜、剥离、翻开黏骨膜瓣、显露颊侧骨壁后，先用球形牙钻沿下牙槽神经管部位钻两排小孔，长约1.5cm，然后用电钻或骨凿除去外板及神经管之管壁，显露下牙槽神经血管束，将神经游离出来，同上述方法切断撕脱。彻底止血后，缝合软组织，安放引流条，24小时后拔除。此法较适用于磨牙缺失者。</p><p>（2）口外进路</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">下颌下部进路：切口始于患侧下颌支后缘，绕下颌角及距下颌骨下缘1.5cm向前至下颌下区，作一长约5cm的弧形切口（图11-6）。切开皮肤、皮下及颈阔肌。在剥离过程中应注意保护面神经下颌缘支。沿下颌下缘切开咬肌附着及骨膜，并将其自骨面剥离（图11-7），向上翻起，充分显露出下颌角部的颊侧骨面。</p><p><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526612792344028661.jpg\" title=\"1526612792344028661.jpg\" alt=\"P11-6_8048.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 944px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图11-6　下牙槽神经撕脱术之四口外切口</p><p><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526612798926050940.jpg\" title=\"1526612798926050940.jpg\" alt=\"P11-7_8053.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 937px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图11-7　下牙槽神经撕脱术之五切开、剥离咬肌附着</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在下颌角至下颌最后磨牙远中连线中点处用骨钻在骨外板上形成一直径约1.5cm的圆形（或矩形）骨窗（图11-8）。除去骨松质，显露出下牙槽血管神经束，用钝分离法剥离出神经，切断并撕脱（图11-9，10）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">颏部进路：对单纯颏神经痛者，可在颏孔部切断撕脱颏神经。在患侧口内充分显露出颏孔，剥离出颏神经切断并撕脱之。对颏孔及下颌角部下牙槽神经均显露者，应尽可能将两者之间的一段神经全部抽出。</p><p><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526612806221070921.jpg\" title=\"1526612806221070921.jpg\" alt=\"P11-8_8058.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 939px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图11-8　下牙槽神经撕脱术之六骨外板上钻孔开窗</p><p><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526612917294093055.jpg\" title=\"1526612917294093055.jpg\" alt=\"P11-9_8062.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 898px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图11-9　下牙槽神经撕脱术之七显露下牙槽血管神经束</p><p>2.眶下神经切断撕脱术</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">口内切口：在患侧尖牙凹部位，于口腔黏膜转折处作横行或弧形切口（图11-11），长约4cm。切开黏膜和骨膜，自骨面剥离，向上剥离掀起面颊部组织，显露骨面及眶下孔和眶下血管神经束。</p><p><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526612940615010954.jpg\" title=\"1526612940615010954.jpg\" alt=\"P11-10_8066.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 943px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图11-10　下牙槽神经撕脱术之八切断下牙槽神经并撕脱其近远心段</p><p><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526612953371081712.jpg\" title=\"1526612953371081712.jpg\" alt=\"P11-11_8071.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 828px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图11-11　眶下神经撕脱术之一口内切口</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">通过口内进路显露血管神经束后，用钝分离法将神经游离出来（图11-12）。继用两把血管钳夹住神经并在其间切断、缓慢牵拉和扭转止血钳，尽量将神经近端自孔内抽出撕脱，随之再将其远心端各分支也尽可能自皮下撕脱（图11-13）。然后分层缝合伤口。</p><p>（九）立体定向放射外科治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">立体定向放射治疗三叉神经痛是利用医用直线加速器、重粒子束或伽马射线为放射源，在CT或MRI的引导下，通过准确的三维定位，对三叉神经节及其根部进行非共面、多角度聚集式的立体定向照射，通过对剂量大小的控制，可阻断痛觉的传导。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对三叉神经痛选择治疗方法时，应本着循序渐进的原则。应首选对机体无损害性或损害性最小的治疗方法。一般应先从药物治疗开始，如无效时再选择封闭、理疗、冷冻、激光、注射疗法、射频温控热凝术、神经撕脱、三叉神经根微血管减压术、经皮穿刺微球囊压迫术等。也可使用伽马刀或直线加速器放射治疗等立体定向放射神经外科治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">以上各种治疗方法均不能根治三叉神经痛，药物治疗对于早期发作的病例，能缓解症状，但对肝肾、胃肠损害大。注射治疗有一定疗效，易产生严重的并发症。三叉神经周围支切断撕脱术对缓解疼痛效果比较好，但缓解疼痛维持时间短，复发率高。射频温控热凝术止痛效果好，并发症少，虽然复发率较高，由于操作方便，可重复治疗。微血管减压术，对因脑血管病变压迫引起的三叉神经痛有效，对其他原因引起的三叉神经痛无效。</p><p><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526612961739025006.jpg\" title=\"1526612961739025006.jpg\" alt=\"P11-12_8078.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 945px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图11-12　眶下神经撕脱术之二显露眶下血管神经束</p><p><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526612969068026085.jpg\" title=\"1526612969068026085.jpg\" alt=\"P11-13_8083.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1057px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图11-13　眶下神经撕脱术之三撕脱、切断眶下神经</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;口腔颌面外科学</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4911', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1643', '概述', '<p>&nbsp;</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病心血管病属于糖尿病慢性大血管病变的范畴，主要涉及糖尿病性心脏病（diabetic cardiopathy，DCP）、脑血管病（cerebrovascular disorder，CVD）及外周血管病（peripheral vascular disorder，PVD）三个领域。糖尿病性心脏病（diabetic cardiopathy）是指由于糖尿病所引起的，在糖和脂肪等多代谢紊乱长期得不到纠正的基础上发生的心脏大血管病变、微血管病变以及自主神经病变。其中，大血管病变主要位于心脏表面的冠状动脉，即糖尿病性冠心病；微血管病变是指心肌内的微小血管病变，即糖尿病心肌病（diabetic cardiomyopathy）；支配并调控心脏活动的自主神经形态与功能异常主要引起心律失常。糖尿病心脏病与非糖尿病患者相比，其起病更早，糖尿病患者伴冠心病常表现为无痛性心肌梗死，梗死面积比较大，穿壁梗死多，病情更严重，预后更差，病死率更高。男性糖尿病心脑血管病的发生率约为非糖尿病患者群的2.5倍，女性则高达3.5～4.5倍。如冠状动脉造影和临床排除冠状动脉病变，糖尿病患者出现严重的心律失常、心脏肥大、肺淤血和充血性心力衰竭，尤其是难治性心力衰竭，临床可考虑糖尿病心肌病变。流行病学资料表明，约50%的初诊2型糖尿病患者已有冠脉病变；70%以上的糖尿病患者死于心血管并发症或伴随症，心肌梗死是2型糖尿病的首要致死病因。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病是脑血管病的独立危险因素，糖尿病者脑血管病发生率较非糖尿病者明显增高，女性尤甚。Framingham研究发现，45～74岁糖尿病脑梗死发生率较非糖尿病者男性高2.5倍，女性高3.7倍。而且，糖尿病者各年龄段缺血性脑卒中的发生率均高于非糖尿病者。糖尿病脑血管病以脑动脉粥样硬化所致缺血性脑病最常见，如短暂性脑缺血发作（transient ischemic attack，TIA）、腔隙性脑梗死、多发性脑梗死和脑血栓形成等。脑血栓形成多发生于大脑中动脉，而腔隙性脑梗死则多见于脑内深穿支的供血区，如壳核、内囊、丘脑及脑桥基底等。由于糖尿病高血压发生率甚高（20%～60%），出血性脑病亦很常见。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病患者有易发血管闭塞性疾病的倾向，外周血管病变（PVD）的发生率至少是非糖尿病患者的4倍，且随年龄增长和病程延长而增加。多中心流行病学调查显示，我国50岁以上的糖尿病人群中有近1/5患有PAD，糖尿病患者是否容易患PAD与年龄、吸烟、糖尿病病程、血糖升高水平及收缩期血压有关，但与性别无关。糖尿病患者的PVD具有发病年龄早、进展快和病情重等特点。据报道，糖尿病患者中，62%的足部难治性溃疡和46%的截肢与动脉缺血有关。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本文主要讨论糖尿病心血管病。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4912', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1643', '病因与发病机制', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病患者发生动脉粥样硬化的机制不仅包括传统的危险因素如高龄、女性、遗传、高血糖、血脂紊乱、高血压、吸烟和肥胖等，还包括胰岛素抵抗（IR）、内皮细胞功能受损、纤溶系统异常、氧化应激反应增强、慢性炎症反应、细胞因子增高和白蛋白尿等非传统危险因素。传统的和非传统的危险因子相互联系与共同作用，导致动脉粥样硬化的发生与发展。许多因素促进动脉粥样硬化的进展，最初是其中的一种危险因素参与，从改善内皮细胞功能或者是改变脂质氧化到巨噬细胞和血管平滑肌增生，其共同途径是因内皮细胞损伤而形成动脉硬化斑块。</p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">注：脆性斑块破裂导致动脉血栓形成，后果由动脉壁损伤或缺血所诱发。在一般情况下，脆性斑块并非动脉狭窄的原因，当斑块的纤维帽破裂时，平滑肌细胞、巨噬细胞和淋巴细胞被激活，与纤维帽作用，合成的金属蛋白酶等降解基质蛋白（胶原纤维），使不稳定的斑块纤维帽破裂</p><p>（一） 传统危险因素引起动脉粥样硬化和心血管病1. 遗传因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2型糖尿病、高血压、高脂血症、冠心病和肥胖症均被发现有家族聚集现象，尤其与红细胞膜钠-锂逆转换（sodium lithium countertransport，SLC）、血管紧张素转换酶基因、瘦素基因和载脂蛋白E基因的多态性等有关。</p><p>2. 高血糖</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">高血糖时，血红蛋白与葡萄糖结合成糖化血红蛋白（HbA<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>c），其输氧功能下降，尤其在葡萄糖酵解中，2，3-二磷酸甘油酸（2，3-DPG）下降，氧分离困难，组织缺氧；高血糖还通过醛糖还原酶（aldose reductase）生成更多的山梨醇，刺激动脉平滑肌细胞及成纤维细胞增生。英国前瞻性糖尿病研究（UKPDS）表明，HbA<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1c</span>可以预测缺血性心肌病，HbA<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1c</span>每增加1%，冠心病的危险性增加10%。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">餐后高血糖与糖尿病大血管并发症的关系更密切。目前认为，即使是餐后血糖一过性波动也可通过以下的机制产生心血管损害：①葡萄糖毒性作用：过高的餐后血糖加速蛋白非酶促糖化（早期产物由HbA<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1c</span>表示，晚期产物由蛋白糖化终产物AGEs表示），并可通过众多机制影响血管，如红细胞膜糖化后，红细胞变形能力下降；糖化低密度脂蛋白（LDL）很难被LDL受体识别，吞噬细胞通过清除途径增加对LDL的摄取，并形成泡沫细胞；LDL更易氧化，并刺激血小板聚集；AGEs通过细胞因子的增殖作用，促进血管基质增生。②餐后高血糖增强氧化应激反应，加剧血管病变发展。③餐后高血糖使D-二聚体和凝血酶原片段释放入血，凝血酶形成增加，继而导致纤溶增加和反复的凝血机制激活。④高血糖激活内皮细胞蛋白激酶C（PKC），刺激黏附因子表达。</p><p>3. 肥胖</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">中心性肥胖和高胰岛素血症、胰岛素抵抗、脂代谢紊乱、前炎症/前血栓状态关联。脂肪组织合成和分泌许多生物活性物质（如脂联素、抵抗素、瘦素、纤溶酶原激活物抑制物、TNF-α和IL-6等），促进心血管损害。脂联素通过各种途径发挥其抗动脉粥样硬化作用（图5-29-20）：①抑制TNF-α诱导的单核细胞黏附和E-选择素（E-selectin）、VCAM-1及ICAM-1等在内皮细胞表达；②激活环一磷酸腺苷（cAMP）-蛋白激酶A，抑制核因子-κB（NF-κB）的信号传导，抑制内皮细胞黏附；③直接与血小板衍生生长因子（platelet-derived growth factor，PDGF）-BB结合并间接抑制PDGF-BB刺激的平滑肌细胞（P42/44）细胞外信号相关酶表达，从而抑制PDGF-BB诱导的血管平滑肌增殖与迁移；④通过磷脂酰-肌醇3激酶（PI<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>K）途径间接刺激内皮细胞产生NO，改善内皮细胞的舒张功能。研究发现，冠心病患者的血浆脂联素明显降低，糖尿病伴冠心病者脂联素更低，因而特别容易发生动脉粥样硬化。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心脏外脂肪覆盖了80%的心脏表面，紧靠心脏的脂肪组织沿冠状动脉分布，几乎覆盖了全部右心室。从生理上看，心外脂肪垫起了保护和缓冲冠状动脉和心脏作用，并为冠状动脉和心肌的微循环提供能量（脂肪酸）。但肥胖引起的心脏外脂肪堆积是冠状动脉粥样硬化独立危险因素。</p><p>4. 脂质代谢紊乱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">美国国家胆固醇教育计划成人治疗方案第3次指南（NECP-ATPⅢ）把糖尿病从冠心病危险因素中删除，而将糖尿病视为冠心病的等危症，因为无冠心病史的糖尿病患者发生主要冠脉事件的危险与冠心病患者等同，其在10年内发生初次心肌梗死的危险＞20%，等同于患过心肌梗死的非糖尿病患者10年内再发心肌梗死的危险度。UKPDS研究发现，血脂谱异常是冠心病的独立危险因素，糖尿病合并血脂谱异常显著增加心血管事件的发生率。在糖尿病中，以LDL-C升高者冠心病风险最大，其次是HDL-C降低、HbA<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1c</span>、高血压和吸烟。2型糖尿病的血脂谱特点是：①LDL-C升高或正常，但是即使LDL-C正常，也常伴有小而密LDL颗粒增加，而后者的致动脉粥样硬化作用更强；②HDL-C降低；③TG升高。</p><p>（1） HDL-C下降：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是糖尿病患者血脂紊乱的特点之一。在糖尿病患者中，血浆HDL-C低于正常，其降低程度与TG增高相关，提示在T2DM中血浆HDL-C可能与病情控制有关。TG增高时，胆固醇酯酰基转运蛋白（cholesterolestertransf erprotein，CETP）将HDL-C中的胆固醇转到VLDL的交换增加，促进了HDL-C的分解。另外，VLDL清除障碍和LPL活性降低也使HDL3向HDL2转换减少。所以，有冠心病的糖尿病患者更常出现血浆TG升高和HDL-C低下。血浆HDL浓度受下列3个因素的调节：①新生态HDL合成与进入血循环的速度；②周围毛细血管壁脂蛋白脂酶的活力；③肝内脂肪酶活性。此三者均受胰岛素调节，故HDL浓度与血浆胰岛素浓度亦有关系，糖尿病经胰岛素控制后HDL可恢复正常。</p><p>（2） 小而密低密度脂蛋白增多：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于每个小而密低密度脂蛋白颗粒中的胆固醇含量较低，所以糖尿病患者血浆LDL-C正常或轻度升高，其重要特点是LDL质的异常，即小而密低密度脂蛋白（sLDL）增多。sLDL容易在动脉壁沉积和被单核巨噬细胞吞噬。高TG和高VLDL刺激CETP活性，促进TG向LDL转移，从而形成sLDL。因此，sLDL较大而疏的LDL更具致动脉粥样硬化危险。许多横断面研究提示，T2DM患者sLDL明显占优势，肝脂酶（HL）活性增高，HL使富含TG的LDL脂解，形成更多的sLDL，血浆TG、CETP和HL的改变可分别解释sLDL变异的10%、5%和3%。sLDL有以下特点：①较大而轻的LDL易被氧化修饰，容易被巨噬细胞氧化和促进细胞因子的级联反应，进一步引起血管内皮和平滑肌的损伤；②与糖蛋白亲和力增加，更易与糖蛋白结合并进一步沉积在血管内膜中；③sLDL与LDL受体（apoB/ E受体）亲和力下降，使血浆LDL清除延迟，水平增加。</p><p>（3） 高TG血症 ：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">IR是导致脂代谢紊乱的中心环节。IR时，血中非酯化脂肪酸（FFA）增多，进入肝脏的FFA使肝脏合成极低密度脂蛋白（VLDL）及胆固醇酯。胆固醇酯浓度调节VLDL的产生，其浓度高时VLDL合成增加，富含TG的脂蛋白增多，脂蛋白脂酶（lipoprotein lipase，LPL）活性下降使VLDL和TG清除率降低。糖尿病患者高TG血症与冠心病的危险性增高相关。</p><p>（4） 载脂蛋白异常：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">载脂蛋白A1（apoA1）的糖化与血糖直接相关。研究表明，apoA1糖化使HDL-C与HDL受体亲和力下降。由于新生态的HDL-C主要由肝脏产生，进入血液循环后的主要功能是清除胆固醇，使总胆固醇水平下降，故为动脉粥样硬化和冠心病的保护因子。研究显示，血浆HDL-C升高1mg/dl（0.026mmol/L）使冠心病的危险性下降2%～3%。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">apoB糖化可能对LDL代谢起重要作用。资料显示，2%～5%的LDL糖化可以减少5%～25%的LDL分解代谢，而且apoB糖化使巨噬细胞摄取糖化型LDL增多，刺激泡沫细胞形成和LDL氧化。另外，糖化型低密度脂蛋白（Gly-LDL）和氧化型低密度脂蛋白（ox-LDL）与糖尿病血管并发症的关系密切，其可能机制是：①ox-LDL被巨噬细胞识别并吞噬，使细胞内胆固醇酯聚集，形成泡沫细胞，促进早期动脉粥样硬化。Gly-LDL直接与血管基质蛋白结合，使基底膜增厚，血管壁弹性降低，两者均直接损伤血管内皮细胞，增加凝血酶原活性，刺激血小板聚集；②引发免疫反应，使吞噬细胞释放IL-1β和TNF-α等，进而导致血管病变；③T2DM患者体内自动氧化-糖基化过程增强，自由基增多，抗氧化防御作用降低。群体研究发现，HDL-C水平与冠心病的危险性呈负相关，说明HDL-C具有心脏保护作用。</p><p>5. 性激素异常</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">行经期妇女较少发生动脉粥样硬化与冠心病，提示雌激素有保护作用。雌激素提高血HDL水平，故育龄期女性血HDL高于男性；但给男性患者用雌激素反使冠心病恶化。</p><p>6. 脂联素和网膜素-1</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">脂联素抗动脉硬化的机制见图5-29-22。脂联素（adiponectin）有三聚体、六聚体和更大的高分子量结构（high molecular weight，HMW）等多种同型异构体，其中三聚体主要介导其在心脏、骨骼肌和下丘脑的效应。脂联素具有抗糖尿病、抗炎和抗动脉粥样硬化作用。血浆脂联素水平往往先于肥胖和胰岛素抵抗而下降。脂联素表达增加可增强胰岛素的敏感性。血浆PAI-1增加和脂联素降低共同导致肥胖患者心血管病变的发生。网膜素-1是联系骨质疏松和动脉钙化的共同因子，网膜素-1（omentin-1）通过降低RANKL/OPG比值而抑制血管钙化，但对动脉粥样硬化是否有效仍需进一步研究。</p><p>7. 其他危险因子</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">其他的传统危险因子有高龄和吸烟等。</p><p>（二） 非传统危险因素引起动脉粥样硬化和心血管病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">大动脉病变可能以动脉粥样硬化为主，因为血管的管腔大，除了引起血压升高、局部性血管狭窄和血栓栓塞事件外，一般不会导致血管完全闭塞。但在小动脉，高血糖、高血压和血脂紊乱可导致小动脉粥样硬化、血管壁钙化与高凝状态，这些病变可能是糖尿病冠脉病变的早期特征型表现，而代谢紊乱使内皮细胞介导的冠状小动脉扩张障碍可能是小动脉病变的启动步骤。除了上述因素外，下列病理生理改变也是引起小动脉病变的重要因素。</p><p>1. 高胰岛素血症和胰岛素抵抗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">高胰岛素血症使血压升高的作用机制是：①增加肾脏对钠及水的重吸收；②增加对食盐摄入的血压敏感性（盐敏感型高血压）；③加强AT-2的升压作用和对醛固酮的反应性；④降低Na</span><span style=\"font-size: 12px; box-sizing: border-box; position: relative; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span><span style=\"font-size: 12px;\">/K</span><span style=\"font-size: 12px; box-sizing: border-box; position: relative; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span><span style=\"font-size: 12px;\">-ATP酶的活性，增加Na</span><span style=\"font-size: 12px; box-sizing: border-box; position: relative; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span><span style=\"font-size: 12px;\">/H</span><span style=\"font-size: 12px; box-sizing: border-box; position: relative; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span><span style=\"font-size: 12px;\">泵的活性；⑤增加细胞内Ca</span><span style=\"font-size: 12px; box-sizing: border-box; position: relative; line-height: 0; vertical-align: baseline; top: -0.5em;\">2+</span><span style=\"font-size: 12px;\">潴留；⑥刺激血管平滑肌移行，胰岛素及IGF-1促进血管病变的发展。</span><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">体脂分布较体重指数（BMI）能更好地预测胰岛素抵抗（IR）及心血管危险性。研究发现，腰围是预测IR的独立指标，可解释50%以上的IR变异。高胰岛素血症促进动脉壁脂质合成与摄取，阻止胆固醇清除，促进动脉壁平滑肌细胞增殖，形成高脂血症和高脂蛋白血症，诱发和加剧动脉粥样硬化。IR及其伴随的高胰岛素血症是冠心病的独立危险因子，但胰岛素本身对心血管疾病的作用不明。一方面，胰岛素有舒张血管和抗炎作用，可延缓动脉粥样硬化的形成。另一方面，胰岛素能刺激血管细胞生长及合成细胞外基质。胰岛素信号通路在糖代谢失调时，可反应性地增加NO的生成，而当细胞外通路失调时，即丧失其抗动脉粥样硬化作用。</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526623606384075680.jpg\" title=\"1526623606384075680.jpg\" alt=\"图5-29-23　冠状小动脉病变的发病机制.jpg\"/>图5-29-23　冠状小动脉病变的发病机制</p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">注：在引起冠状小动脉病变的四条途径中，高血糖、高血压和血脂紊乱导致小动脉粥样硬化、血管壁钙化与高凝状态可能是糖尿病冠脉病变的早期特征，而代谢紊乱使内皮细胞介导的冠状小动脉扩张障碍是发病的启动步骤</p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p>2. 醛固酮与激肽</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心肌局部的醛固酮参与了动脉粥样硬化的发病过程，主要与心肌重构（cardiac muscular remodeling）有关，而螺内酯具有某种保护作用。糖尿病容易导致弥漫性、迅速进展性动脉粥样硬化，这种病变更易诱发血管重建（vascular remodeling）。激肽释放酶-激肽系统（kallikrein-kinin system，KKS）是一种血管活性肽系统，激肽通过其受体B1R和B2R参与心肌与血管重建。其中B2R有保护心肌的作用，而B1R有诱发和促进心肌病变的效应。</p><p>3. 内皮细胞功能受损</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血管内皮（vascular endothelium）对动脉粥样硬化的发生起了“第一道防线”的防御作用。研究表明，血管内皮细胞（vascular endothelial cells，EC）功能异常在糖尿病前期就已存在，随着血糖升高，血管EC功能受损逐渐加重，高血糖、高FFA血症、IR、氧化应激及慢性炎症等多种因素相互影响与累加，使动脉粥样硬化的病理改变不断进展和恶化，最终导致心血管事件的发生。</p><p>4. 纤溶凝血机制异常</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">纤维蛋白溶解系统（fibrinolytic system）稳定代表着纤溶酶原激活物与其抑制物（PAI-1）间的正常平衡。过度的抑制纤溶将导致凝血和血栓形成（心血管事件）。糖尿病患者存在着纤溶和凝血机制异常，其中最重要的改变是组织型纤溶酶原激活物（tissue-type plasminogen activator，t-PA）与PAI-1间的平衡。胰岛素、胰岛素原、VLDL-C及各种细胞因子均可调节PAI-1的合成和释放。当存在高胰岛素血症、高血糖、IR及FFA升高时，肝脏合成PAI-1增加，导致纤溶抑制，促进糖尿病患者高凝、低纤溶活性和高血黏度的发生和发展，增加心血管事件的危险性。糖尿病患者的凝血异常还包括血浆纤维蛋白原、Ⅴ因子、Ⅱ因子和Ⅶ因子的改变，以及升高的D-二聚体、血管性血友病因子抗原（vWF抗原）、抗血纤维蛋白溶素和降低的抗凝血酶Ⅲ。</p><p>5. 慢性炎症状态</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">许多炎症因子与糖尿病及其并发症关联。糖尿病动脉粥样硬化其实也是一种慢性炎症性病变。在糖尿病状态下，许多炎症因子（如C反应蛋白、TNF-α和IL-6等）增高。动脉粥样硬化的形成包括一系列病理性序贯过程，即内皮损伤及功能不良→黏附分子表达增加→趋化因子释放→单核细胞募集→白细胞黏附与迁移→巨噬细胞摄取ox-LDL→泡沫细胞形成→活化型单核细胞释放细胞因子→平滑肌细胞增殖与迁移→动脉粥样斑块形成。而在T2DM患者中，IR和慢性高血糖均参与并加速这一炎症过程。CRP与动脉粥样硬化的发生、发展及预后密切相关。血CRP水平在肥胖、IR、糖耐量减低及糖尿病患者群中升高。作为独立于其他危险因素的炎症标志物，CRP与糖尿病的发生直接相关，并随病情进展而逐步升高。</p><p>6. 其他危险因子</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">其他危险因子还包括微量蛋白尿、高同型半胱氨酸血症和血管壁异常等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4913', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1643', '病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">以冠状动脉、脑动脉、肾动脉和下肢动脉受累多见，基本病理变化为动脉粥样硬化、微血管基底膜增厚、糖原沉积、脂肪样变性和透明样变性。在动脉内膜损伤的最早期，血小板及其他物质在损伤处聚集，可见内膜下有1～2mm大小的黄色粒块状突起物，并逐渐融合和增大，形成粥样斑块。斑块内有含有大量脂质的巨噬细胞、胆固醇、TG、LDL-C、磷脂和钙盐的沉积。血管平滑肌细胞和成纤维细胞大量增殖，内膜向管腔面伸出，使管腔变窄。病变严重时，斑块上出现溃疡、出血和血栓形成。血栓呈不规则的半月形，并有程度不等的、层次分明的机化或钙化。管腔狭窄、闭塞。动脉中层不规则增厚，中层及外膜均有纤维化和钙化（图5-29-24）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">心肌细胞内含有大量糖原、脂滴和糖蛋白沉积，严重者可有局灶性坏死，心肌间质有灶性纤维化。心肌微血管内皮细胞增生，PAS染色阳性的糖蛋白类物质和玻璃样物质沉积在血管壁内，血管壁增厚。肌原纤维收缩蛋白明显减少，肌浆网横管系统扩张，心肌有收缩带形成、线粒体肿胀以及闰盘黏合膜处细胞间隙增宽等改变。冠状动脉受累病变范围广，多数累及多支血管，病变严重，Ⅲ～Ⅳ级病变多见。可伴发心肌梗死灶。</p><p><span style=\"font-size: 12px;\">图5-29-24　动脉粥样硬化和动脉中层钙化</span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">注：股动脉内膜钙化呈斑块状（左上图，X线片箭头处，），显微镜下（左下图）见钙盐沉着和结缔组织增生；动脉中层钙化呈条索状（右上图，X线片箭头处），显微镜下（右下图）见不规则的增厚。中层及外膜均有纤维化和钙化</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">钙化性小动脉病（calcific arteriolopathy，CAP）是动脉钙化的严重并发症。早期表现为关节周围的髋部或大腿中部皮肤星状紫癜（stellate purpura）、网状青斑（livedo reticularis）、皮肤钙盐沉着与下肢近端硬性溃疡，亦可见于大腿和下腹部，偶见于心、肺、肾、胃黏膜和乳腺。动脉钙化进展为全层血管钙化与闭塞时，出现组织缺血、局部淤血、血管扩张、钙化结节形成、局部溃疡和组织坏死。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4914', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1643', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病心血管病的主要表现是高血压、气促、心绞痛、心脏扩大、心力衰竭、无痛性心肌梗死、心律失常和猝死等。</p><p>（一） 大血管并发症引起高血压/心脏损害/组织缺血</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患者可有头昏和头痛。但有些患者无症状，仅体检时才被发现。</p><p>1. 代谢性高血压</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在人群遗传背景无显著变化情况下，代谢紊乱在促进高血压快速增长方面起了重要作用。分析显示，单纯高血压患者仅占10%左右，绝大多数高血压均合并有各种不同形式的代谢紊乱，且合并代谢异常者的靶器官损害更为严重。高血压是一个与多重危险因素相关的临床综合征，血压升高只是其中的表现之一。鉴于代谢因素与高血压密切相关，下述几个问题值得特别关注。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">传统上按病因学分为原发性和继发性高血压两类，将肥胖和糖脂代谢紊乱视为原发性高血压的危险因素。虽然高血压与遗传因素的关系更密切，但在代谢紊乱人群中的高血压检出率极高；与肥胖、糖和脂肪代谢异常相关的高血压称为“代谢性高血压（metabolic hypertension）”。其特点是：①肥胖和糖脂代谢紊乱先于高血压；②多种代谢紊乱是高血压的病因。为此提出了“肥胖性高血压”、“家族性血脂异常性高血压综合征”和“高血压代谢综合征”等概念。</p><p>2. 心脏表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可表现为胸闷、活动后气促、心绞痛、心脏扩大、心率增快或固定、心音低钝、颈静脉充盈、端坐呼吸、唇指发绀、肝脾肿大及下肢水肿等。严重者可表现为心力衰竭、无痛性心肌梗死、心律失常甚至猝死。</p><p>3. 下肢血管病表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">吸烟的支数与下肢血管病的危险因素成正比，曾经吸烟者患动脉硬化的危险因素为7倍，而仍然吸烟者为16倍。一氧化碳聚集在动脉壁激起血管内皮细胞改变，使胆固醇容易进入血管内皮细胞，形成沉积。吸烟导致血管收缩，影响血液成分，改变血脂成分，增加血小板聚集和血液黏度。大约5年，18%的与吸烟相关的间歇性跛行发展为静息痛。高血压增加发生下肢血管疾病的风险2～3倍，高脂蛋白血症与膕动脉疾病密切相关。外周血管病变的患者在老年人中常见。在有些研究中发现，年龄每增加10岁，外周血管疾病的发生增加1.5～2倍。发生在下肢血管的动脉硬化经常在动脉连接处，患者的预计寿命减少10年，大部分死于心脏或者脑血管疾病。当血管的一个位置出现硬化时，流向下肢的血液严重受阻，下肢缺血。因血管闭塞的水平、程度、部位和侧支循环建立情况而不同，糖尿病PVD的临床表现各异。足背动脉搏动消失是大血管病变的一个重要信息。下肢血管病变可出现患肢皮肤温度降低、皮肤颜色改变、动脉搏动减弱或消失、下肢溃疡与坏死。行路不能持久，行路感乏力加重，休息2～3分钟后即消失，以后可出现间歇性跛行（intermittent claudication），即在行走一段路程后，小腿腓肠肌与足部酸痛或痉挛性疼痛。如继续行走，疼痛加重，而被迫停步，或稍稍休息后，疼痛能缓解。随病变进展出现静息痛和肢体疼痛等。严重时出现夜间和白昼持续疼痛与感觉异常或缺失。</p><p>（二） 心脑血管事件是糖尿病大血管病变的结局</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心脑血管事件是糖尿病大血管病变的结局。高血压的临床转归与并发症与一般高血压相同，但往往更为严重，病情发展更加迅速。血压不达标或血压虽升高不明显，但波动过大，或者平均脉压过大，均是发生高血压性心脑血管事件的高危因素。糖尿病是冠心病的等危症，病情较重和病程较长的糖尿病患者易发生无痛性心肌梗死、心力衰竭或猝死性心律失常；心脏病变较一般冠心病更复杂，更严重。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性脑血管病变可表现出神经定位体征及神志改变，或有失语、神志改变和肢体瘫痪等定位体征，伴脑萎缩可表现为智力下降、记忆力差和反应迟钝等。多发性腔隙性脑梗死（multiple lacunar infarction）后，常发生继发性脑萎缩（encephalatrophy）与脑软化（encephalomalacia）。脑卒中（apoplexy）的主要危险因素有高血压、吸烟、经济生活差和房颤等。下肢血管闭塞是糖尿病足的重要发病因素。部分患者需接受截肢治疗。发生急性脑血管意外（脑卒中）时，出现昏迷、偏瘫、惊厥、颅内高压甚至死亡。</p><p>（三） 糖尿病心肌病独立于大血管病变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病患者存在心脏的结构和功能异常而缺乏缺血性心脏病、高血压或其他心脏病依据时称为糖尿病心肌病（diabetic cardiomyopathy）。最初表现为无症状性舒张期功能障碍（asymptomatic diastolic dysfunction），继而进展至症状性心衰（symptomatic heart failure），心肌顺应性下降和收缩功能受损。一般认为，在遗传因素背景下，由于氧化应激、炎症、内皮细胞功能紊乱、代谢失衡、离子内环境异常和间质纤维化等而形成心肌病。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4915', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1643', '辅助检查与诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如病史中曾出现过心绞痛、心肌梗死或心力衰竭（隐匿型冠心病可无症状），心电图、心脏彩超和SPECT等有相应的心肌缺血或梗死表现，或冠脉造影和血管内超声检查（intravascular ultrasonography）有管腔狭窄（≥50%）者，可诊断为冠心病。心肌缺血者可参考图5-29-25所示程序进行诊断。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病患者进行冠状动脉检查的指征是：①典型或不典型心肌缺血症状；②休息时ECG提示心肌缺血或有心肌梗死大Q波者常预示将出现心脏突发事件；③外周动脉或颈动脉阻塞性疾病；④糖尿病患者伴有以下两条或更多冠心病危险因素者，如总胆固醇≥240mg/dl（6.24mmol/L）、LDLC≥160mg/dl（4.16mmol/L），或HDL-C＜35mg/dl（0.91mmol/L）；或血压＞140/90mmHg，或吸烟；家族中有中年发生的冠心病者；或尿白蛋白≥20μg/min。以上任意两项阳性者的心血管病死亡率由30人/1万人年剧增至90人/1万人年。脂蛋白α和同型半胱氨酸浓度升高也是冠心病的危险因素，至少需要每年评估1次。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">虽然无高血压或冠心病表现，但有糖尿病史并伴心脏增大（尤其女性左心室后壁和室间隔增厚）、左心房扩大、左心功能减低、心率变异性减低、MIBG断层心肌显像异常或心脏自主神经病变检查异常者，应诊断为糖尿病心肌病。</p><p style=\"text-align: center;\"><span style=\"font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526623329651006673.jpg\" title=\"1526623329651006673.jpg\" alt=\"图5-29-25　有心肌缺血的诊断程序.jpg\"/></span></p><p style=\"text-align: center;\"><span style=\"font-size: 12px;\">图5-29-25　有心肌缺血的诊断程序</span></p><p><span style=\"font-size: 12px;\"><br/></span></p><p>（一） 心电图/心脏超声/动脉内膜中层厚度/心脏自主神经功能检查有助于早期诊断</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病和心血管病相互影响，互为因果。因此凡遇有其中之一，即需对另一疾病进行检查。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2004年，法国SFC/ALFEDIAM建议对T2DM患者具有以下心血管高危因素、无症状的个体进行筛查：①＞60岁或已知病程超过10年和有以下至少2个其他心血管危险因素：A：总胆固醇＞2.5g/L，低密度脂蛋白胆固醇＞1.6g/L，或高密度脂蛋白胆固醇＜0.35g/L，甘油三酯＞2g/L或调脂治疗；B：血压＞140/90mmHg或降血压治疗；当前或近3年吸烟者；C：在一级亲属中有过早的CAD家族史（在60岁前）。②周围动脉疾病或颈动脉疾病。③蛋白尿。④微量白蛋白尿和除年龄以外的至少2个心血管危险因素。⑤久坐的生活方式，年龄≥45岁者。</p><p>1. 心电图</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">无特异性。运动心电图和24小时动态心电图对无症状心肌缺血的检出有一定帮助。</p><p>2. 超声心动图</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">超声心动图（echocardiography）和MRI是诊断糖尿病性心肌病的最佳方法，表现为局限性或广泛性心肌壁收缩幅度降低；由于心肌慢性缺血，心肌纤维组织增生，心内膜处于冠状血管的末梢部更易因缺血而形成纤维性变。心肌和心内膜纤维组织增生在超声上表现为回声增强；还可有二尖瓣反流，因左心室受累使二尖瓣失去正常子弹头形态而呈葫芦形；左室舒张功能减退表现为心室早期充盈血流峰速/心室晚期充盈血流峰速比下降等。</p><p>3. 颈动脉/股动脉内膜中层厚度</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在动脉粥样硬化发生发展的过程中，动脉内膜是最早受累及的部位，血管壁内膜中层增厚是动脉粥样硬化的早期标志，而斑块形成是动脉粥样硬化的特征，可以反映动脉粥样硬化的程度。颈动脉粥样硬化程度与冠状动脉粥样硬化程度密切相关，以颈动脉/股动脉内膜中层厚度＞0.85mm和（或）出现粥样斑块来预测冠心病，其特异性为71.6%，敏感性为85%，阳性预测率89.8%。</p><p>4. 心脏自主神经功能</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要有：①静息心率：有糖尿病心脏自主神经病变者静息心率常大于90次/分；②深呼吸时心率变化：平均每分钟做深呼吸6次，同时描记心电图，计算深呼吸时最大与最小心率之差，正常应≥15次/分，心脏自主神经病变时＜10次/分；③瓦氏试验心电图R-R变异：深吸气后尽量屏气，然后以15秒内吹气达40mmHg压力的速度吹气，同时描记心电图，正常人最大与最小心率之比应＞1.21，心脏自主神经病变者＜1.1；④体位性低血压：先测量安静时卧位血压，然后嘱患者立即站立，于3分钟内快速测量血压，如收缩压下降≥30mmHg（正常人≤10mmHg）可以确诊有体位性低血压，下降＞11～29mmHg为早期病变；⑤握拳试验：持续用力握拳5分钟后立即测血压，正常人收缩压升高≥16mmHg，如收缩压升高≤10mmHg，可诊断有心血管自主神经病变。</p><p>5. 其他检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要包括：①指压试验：正常时用手指压迫甲床，表现为局部苍白，松开后迅速恢复粉红色，如解除压迫后局部充盈减慢或局部苍白，则提示局部动脉血供障碍；②肢体抬高试验：患者仰卧，显露双小腿，双下肢伸直，足根部抬高使双下肢达80° 1分钟，如肢体苍白，提示肢体缺血。苍白程度与动脉狭窄严重程度呈正比；③皮肤温度测定：温度觉测定可分为定性测定和定量测定两种。定性测定简单，如将音叉或细的不锈钢小棍置于温热水杯中，取出后测定患者不同部位的皮肤感觉，同时与正常人（检查者）比较。利用红外线皮肤温度测定仪（infrared dermal thermometry）定量测定的准确度和重复性较好。</p><p>（二） 疑难病例接受特殊检查1. 血管内超声和彩色多普勒超声</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血管内超声（intravascular ultrasound，IVUS）是利用安装在心导管尖端的微型超声探头由血管内探测管腔大小和管壁结构的介入性超声诊断技术，已成为冠心病诊断和治疗的重要影像手段，它可以判断粥样硬化斑块的稳定性，准确测定冠状动脉狭窄的程度，指导经皮冠脉介入治疗，评价介入治疗效果以及阐明再狭窄机制等。彩色多普勒超声（color Doppler ultrasound）可检测颅内和下肢血管血流动力学情况。经颅超声波（transcranial Doppler，TCD）可诊断颅内血管痉挛、狭窄和闭塞。局部狭窄血流及异常增高的峰值流速（VS），提示该血管供血区可能有梗死灶。下肢彩色多普勒可发现血管壁增厚、内膜回声不均、动脉管腔狭窄与扭曲，其频谱呈单相波，血管内径及血流量降低，血流峰值流速及加速度/减速度高于正常。</p><p>2. 多普勒踝动脉压/踝肱指数/经皮氧分压</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">踝肱指数即踝动脉-肱动脉血压比值（ankle/brachial index，ABI），反映下肢血压与血管状态，正常值1.0～1.4；＜0.9为轻度缺血，0.5～0.7为中度缺血，＜0.5为重度缺血。重度缺血患者容易发生下肢（趾）坏疽。正常情况下，踝动脉收缩压稍高于或相等于肱动脉，但如果踝动脉收缩压高于200mmHg应高度怀疑下肢动脉粥样硬化性闭塞。此时应测定足趾血压。足趾动脉较少发生钙化，测定踝动脉或足趾动脉需要多普勒超声听诊器或特殊仪器（仅能测定收缩压）。如果用多普勒超声仍不能测得足趾收缩压，则需采用激光测定。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">经皮氧分压（transcutaneous oxygen tension，TcPO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>）通过测量皮肤组织中的氧含量以了解皮肤组织的血流灌注量，反映微循环状态和周围动脉的供血状况。正常人足背皮肤氧张力（TcPO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>）大于40mmHg，TcPO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>小于30mmHg提示周围血液供应不足，足部易发生溃疡或已有溃疡形成。TcPO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>小于20mmHg，足溃疡愈合的可能性很小，需要进行血管手术。如吸入100%氧气后，TcPO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>提高10mmHg，提示溃疡预后较好。</p><p>3. CT/MRI和PET-CT</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可确定病灶部位、大小和性质（出血或缺血）。脑梗死多在24小时后显示，3～7天最佳，呈底向外的扇形或三角形低密度灶，边界清楚。MRI可更早、更好显示病灶，T1呈低信号，T2呈高信号。螺旋CT血管造影对血管病变，尤对Willis环显影敏感，颅内有磁性物质者也可应用。磁共振血管显像（magnetic resonance angiography，MRA）可发现闭塞血管及侧支循环情况。PET可计算脑代谢、血流和氧耗量并成像，用于早期诊断。</p><p>4. 放射性核素检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可较早地提示亚临床期病变。核素显像（nuclear imaging）和<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">99m</span>Tc-门控单光子发射电脑断层扫描（gated-single photon emission computed tomography）可早期诊断糖尿病性心肌病。无创性去甲肾上腺素类似物标记的核素扫描可用于评价心交感神经功能，最常使用的是<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">123</span>IMIBG。</p><p>5. 冠脉造影</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可发现受累部位管腔狭窄或闭塞，常累及多处血管，同一血管常多处受累。冠状动脉造影是诊断冠心病的金标准，但有一定危险性，应合理选择。一般先应用非创伤性的冠心病诊断试验，如24小时心电图监测ST段偏移、冠状动脉钙化积分、平板（treadmill）运动心电图、应激性心肌灌注显像和应激性心动超声等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4916', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1643', '鉴别诊断', '<p>（一） 糖尿病大血管病变与一般脑血管意外或下肢血管病变鉴别</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病伴脑血管意外应注意与脑栓塞和颅内肿瘤等鉴别；病史、定位检查及脑脊液检查有助于鉴别。脑栓塞多为心源性，发病急，年龄轻，意识多清醒，有风湿性心脏病病史及心脏体征等。颅内肿瘤则起病缓慢，病程进行性发展，CT和MRI有重要诊断意义。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病并下肢疼痛应注意与血栓闭塞性脉管炎和腰骶神经性病变等鉴别。血栓闭塞性脉管炎无糖尿病病史，血糖正常，发病年龄较轻，多在40岁以下，常有吸烟史。临床表现为游走性浅静脉血栓形成和手指溃疡。常无体内其他部位的动脉粥样硬化，如脑动脉粥样硬化和冠心病等。腰椎异常可影响下肢动脉，出现供血不足。腰椎照片和MRI有助于诊断。糖尿病性心血管病主要是糖尿病性大血管病变所致，但亦有微血管病变的参与。</p><p>（二） 糖尿病并冠心病与糖尿病心肌病鉴别</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病并冠心病与糖尿病心肌病较难鉴别，表5-29-17有助于两者的鉴别。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表5-29-17　糖尿病性心肌病与冠心病的鉴别</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526623387075016918.jpg\" title=\"1526623387075016918.jpg\" alt=\"表5-29-17　糖尿病性心肌病与冠心病的鉴别.jpg\"/></p><p><span style=\"font-size: 12px;\">（三） 糖尿病心肌病与维生素B</span><span style=\"font-size: 12px; box-sizing: border-box; position: relative; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span><span style=\"font-size: 12px;\">缺乏性心肌病鉴别</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病高血糖或糖尿病心衰后，患者的营养状况恶化，加上进食减少和代谢消耗增加，可能出现多种维生素，尤其是维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>缺乏。此时表现为周围血管扩张、外周阻力降低、血流加快、心动过速和心排血量增高，最后导致高输出量型心衰竭。患者伴有全身水肿、浆膜腔积液和心脏扩大，心电图表现为窦性心动过速、P-R间期缩短、Q-T间期延长、T波双向或倒置与低电压。当患者存在维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>缺乏病史和上述表现，特别是浆膜腔积液时，应考虑维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>缺乏性心肌病或糖尿病心肌病合并维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>缺乏性心肌病可能。两者鉴别困难时，可进行维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>试验性治疗。</p><p>来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4917', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1643', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于糖尿病高血糖对于心血管系统的毒性作用与其对其他脏器的作用一样是一个缓慢而隐匿的过程，在出现症状前已有一定的功能损害，因而一旦T2DM确诊，就应着手防治心血管病。糖尿病性心肌病与冠心病的治疗重点应放在预防心血管事件的第一次发作上，因为多数糖尿病伴急性冠脉综合征者均死于入院以前或医院内，而急性冠脉综合征（acute coronary syndrome）发作后，多数在1年内死亡。</p><p>（一） 合理饮食和运动有利于控制血糖和心血管病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">通过平衡膳食，配合运动和药物治疗，将血糖控制在理想范围，维持理想体重。饮食治疗应个体化，制订饮食计划时，除了要考虑到饮食治疗的一般原则外，还要考虑糖尿病心血管病变的类型、生活方式和是否伴有肥胖等情况。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">运动治疗的目的是与饮食治疗配合，维持标准体重，改善IR状态，改善心肺功能。高强度运动还可诱发酮症或酮症酸中毒；运动中可有血压升高、尿蛋白增加、神经病变进展、退行性关节病加重以及低血糖等。大强度运动可加重心脏负担，使血容量减少，血管收缩，有诱发心绞痛、心肌梗死及心律失常等危险，潜在的冠状动脉疾患可导致猝死；因此心功能不全、严重心律失常、不稳定型心绞痛和近期发生心肌梗死者不宜过度运动。大强度运动还可使收缩压增高，增加脑血管意外的潜在危险，故当收缩压＞180mmHg时，应停止运动。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">以HbA<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1c</span>达标为目标，积极而理性地控制糖尿病，血糖改善能降低心血管事件的发生率。血糖控制差将导致心血管死亡率危险增加。STOP-NIDDM的研究证实了阿卡波糖通过降低餐后高血糖从而降低了糖耐量低减（IGT）人群心血管疾病事件及新发高血压的危险。其中，阿卡波糖可使IGT人群心肌梗死的危险下降91%，任何心血管事件的发病率降低49%，新诊断高血压的发病率降低34%。伴有严重心衰和其他心血管并发症的患者应该用胰岛素控制高血糖。但是，糖尿病心血管病变者尽量降低低血糖发生率，因为严重低血糖发作可诱发急性心脑血管事件。</p><p>（二） 降压治疗需达到控制目标值</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床研究显示，2型糖尿病患者有效降压可降低糖尿病相关终点事件、心血管死亡及全部死亡风险。我国部分地区糖尿病患者血压控制达标率仅为1/3，伴大量蛋白尿患者血压达标率不足1/5，且糖尿病患者血糖和血压控制同时达标率更低。依据2010年ADA糖尿病指南及我国糖尿病指南推荐，糖尿病患者血压控制＜130/80mmHg，而合并肾损害且蛋白尿＞1g/d者血压应＜125/75mmHg。同时降压目标需遵循个体化原则。强调糖尿病高血压的管理做到三级预防，早期诊断和早期达标，对初诊糖尿病患者以及有高血压危险性的患者每次就诊需常规进行血压测量。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">高血压治疗包括非药物治疗和药物治疗，前者包括控制体重、合理饮食（尤其限盐）、适当运动、心理治疗和戒烟、限酒。目前常用降压药包括RAS阻断剂［血管紧张素转化酶抑制剂（ACEI）和血管紧张素Ⅱ受体阻滞剂（ARB）］、钙通道阻断剂（CCB）、利尿剂和α受体阻滞剂等。ACEI及ARB推荐为糖尿病合并高血压的初始降压药或基础用药，但不推荐两者联合应用，利尿剂、CCB和α受体阻断剂一般在ACEI/ ARB应用基础上适当联合使用。对糖尿病合并高容量性高血压、水钠潴留及心功能不全者加用少量噻嗪类利尿剂，对糖尿病合并心衰和严重水肿者可适当选择袢利尿剂，如呋塞米等；CCB为糖尿病高血压患者有效的降压药物。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">脉压增宽是动脉硬化的简易、实用而敏锐指标，在预测心血管疾病方面，优于高压与低压。大动脉与心脏收缩呈反向运动。心脏收缩时大动脉扩张，缓冲心脏射血时的压力；心脏舒张时大动脉回位，利于血液进入心脏。当大动脉硬化，弹性减退，造成收缩压升高，舒张压降低，脉压增宽。脉压增宽直接损害动脉内膜，牵拉、撕裂动脉壁弹力纤维，进一步加重动脉硬化，脉压增宽与动脉硬化之间恶性循环。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">研究表明，脉压大于60mmHg，冠状动脉硬化的严重程度与病变范围明显加重；脑卒中的发生率是脉压小于40mmHg的5.5倍；肌酐清除率等肾脏功能明显减退。在单纯收缩期高血压患者中，收缩压水平相似的情况下，脉压每增宽10mmHg，疾病总死亡率、心血管病死亡率与高血压靶器官受损相对风险分别升高38%、48%和64%。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">抗高血压治疗中，降低脉压是减少血管损害的策略之一。其具体措施与一般抗高血压治疗并无区别，钙拮抗剂、转换酶抑制剂、硝酸酯类药物均有一定效果。在营养治疗中更强调限制饱和脂肪酸和低钠膳食。同时应行调脂药物治疗。</p><p>1. ACEI和ARB</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">不但可降低血压，还可防止糖尿病肾病，减少尿白蛋白排泄。此外，ACEI还能改善胰岛素的敏感性，但ACEI有干咳的副作用。ARB效果温和，单独应用一般要在用药4周后才可见到降压效果，因此对血压较高者最好在钙拮抗剂或利尿剂应用的基础上选用。</p><p>2. 钙拮抗剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对糖尿病高血压有较好效果，尤其是一些不适宜选用ACEI的患者。伴有冠心病者应首选钙拮抗剂。服用短效钙拮抗剂的高血压患者心肌梗死的危险性比用利尿剂或β受体阻滞剂者高60%（与血压的谷峰比值增大有关），因此主张应用长效钙拮抗剂。</p><p>3. β受体阻滞剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">通过降低心排血量和抑制RAA系统而起降压作用。其对年轻、心率较快、无其他并发症的糖尿病伴高血压的患者或伴有冠心病心绞痛而无充血性心力衰竭的患者适用。这类药物影响糖代谢、脂代谢和胰岛素分泌；但UKPDS对ACEI与β阻滞剂（阿替洛尔）的降压效果进行了比较，结果显示β阻滞剂略优。这两种降压药物对研究终点，如糖尿病相关死亡、心肌梗死和所有微血管并发症的影响无优劣之分。另外，两种药物对微蛋白尿和显性蛋白尿的影响亦无差别，ACEI与β受体阻滞剂用于治疗T2DM伴高血压同样安全有效。</p><p>4. 利尿剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病伴高血压因有钠潴留，应用利尿剂可减低钠和体液容量，同时降低血管紧张度，纠正血管对加压物质的高反应。但噻嗪类及袢利尿剂可加重糖及脂代谢紊乱及电解质紊乱，因此应慎用。合并心肾功能不全者可短期选用呋塞米加保钾利尿剂。吲达帕胺（indapamide）是一种磺胺类利尿剂，通过抑制肾皮质稀释部分对钠的重吸收而发挥作用，通过改变离子交换，降低心血管平滑肌收缩力，刺激舒血管PGE<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>和PGI合成，且不影响血脂及糖类的代谢。</p><p>5. α受体阻滞剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可扩张血管，降低外周阻力，使血压下降，对糖及脂代谢无不利影响。但由于糖尿病患者常伴有心脏交感神经病变，肾素分泌不足，主动脉和颈动脉窦压力感受器不敏感，末梢血管敏感性降低，常发生直立性低血压。</p><p>（三） 调脂治疗降低心血管事件发生率和死亡率</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病控制与并发症试验（DCCT）及英国前瞻性糖尿病研究（UKPDS）认为，降低高血糖可使糖尿病微血管并发症发生率下降，但不能降低心血管事件的发生率。LDL-C是糖尿病患者罹患冠心病的预测因子，4S（scandinavian simvastatin survival study）研究发现，塞伐他汀（zocor）降低血胆固醇，使心血管病死亡率降低42%，冠心病突发事件减少55%。</p><p>1. 生活方式干预</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">TLC包括合理饮食、运动和保持合适体重。饮食要求总脂肪的摄入量不高于每日总热量的30%，其中饱和脂肪的摄入量不超过总热量的10%。每日总胆固醇的摄入量应该小于200mg，减少饮酒和戒烟。临床研究显示坚持有氧运动锻炼（例如步行、游泳、慢跑或骑车）20～30分钟，每周4～5次可显著提高HDL-C水平，降低TG。除TLC干预外，大多数糖尿病患者需要进行药物调脂治疗。</p><p>2. 调脂药物治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病患者存在多种血脂异常，处理原则亦不相同。2009年ADA糖尿病治疗指南对T2DM的血脂管理原则和要求是：①生活方式治疗（低脂饮食和运动等）有利于血脂谱异常的改善；②无论血脂谱是否异常，对所有伴有1项危险因素的40岁以上的T2DM患者均需要加用他汀类药物治疗；③单纯糖尿病患者的血脂首要管理目标是使LDL-C降至100mg/dl以下，合并心血管病的T2DM患者应使用较大剂量的他汀类药物，使LDL-C降至70mg/dl以下；④如果使用最大剂量的他汀类药物无法达到上述目标，那么可选的目标是降低LDL-C 40%；⑤TG＜150mg/dl，HDL-C＞40mg/dl（男性）或＞50mg/dl（女性）。</p><p>（1） 他汀类药物：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">首先应处理升高的血LDL-C和改变LDL成分，治疗目标要使血LDL-C＜100mg/dl（2.6mmol/L）。他汀类药物是目前降低LDL-C最有效的药物。T2DM患者无论LDL-C水平如何，均应使用他汀类药物治疗。另外，欧洲胆固醇指南也为糖尿病患者制定了更为严格的降脂治疗目标，并建议糖尿病患者的血脂治疗目标值应和已确诊为心脏病的患者相同或者要求更严格。NCEP ATPⅢ指南新近推荐，极高危人群LDL-C应降至1.8mmol/L（70mg/dl）以下。临床研究提示，辛伐他汀（simvastatin）升高HDL和ApoA1的作用优于阿托伐他汀（atorvastatin）。LDL-C达标后，应重点考虑的目标是升高血HDL-C。T2DM患者的血脂异常通常表现为血HDL-C降低，而且血HDL-C可作为冠心病风险的预测指标。尽管饮食、运动、减轻体重和戒烟等行为干预对升高血HDL-C有益，但若不同时进行药物治疗，效果并不理想。</p><p>（2） 贝特类：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如血HDL-C＜1.04mmol/L（＜40mg/dl），而LDL-C介于2.6～3.3mmol/L，可选用贝特类调脂药物。高TG血症是T2DM患者最常见的脂代谢异常表现形式之一，治疗高TG血症应控制高血糖。良好的血糖控制会明显降低TG，如果血糖控制满意而TG仍未达标，就要选用贝特类药物；对于同时伴有血LDL-C升高和TG升高的T2DM患者则应选用大剂量他汀类药物，但对于血TG≥11.3mmol/L（≥1000mg/dl）的严重高TG血症患者，必须严格限制饮食中的脂肪含量（＜总热量的10%），并配合贝特类降脂药物治疗，以避免发生胰腺炎。</p><p>（四） 抗血小板药物预防心血管事件1. 阿司匹林</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">阿司匹林对糖尿病患者的心脑血管并发症有多种有益作用：①抑制COX、NF-κB和免疫球蛋白重链结合蛋白（immunoglobulin heavy chain binding protein，BiP）等关键性炎症物质；②抗血栓形成作用；③抗氧化应激作用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">ADA和美国心脏病学会（AHA）联合推荐40岁以上并具有心血管危险因素的糖尿病患者采用小剂量阿司匹林治疗。然而，该共识来自过去的研究资料，而且在该研究人群中糖尿病患者较少。研究显示，阿司匹林在既往有心肌梗死或卒中的患者中可有效减少高危患者的发病率和死亡率。Ogawa和Belch等的两项随机对照研究显示，阿司匹林治疗并不能显著减少糖尿病心血管终点事件的发生，因此对糖尿病患者应用阿司匹林作为一级预防治疗的措施提出质疑。抗血小板临床试验（ATT）共入组了95 000例受试者，包括4 000例糖尿病患者。结果显示，阿司匹林可使发生心血管事件危险性减少12%，在非致死性心肌梗死患者中，其减少心血管事件发生的危险性最显著，对冠状动脉粥样硬化性心脏病所致的死亡和卒中的危险性作用较小。阿司匹林减少糖尿病患者心脑血管事件存在性别差异，如在男性患者中，阿司匹林主要减少心血管事件；然而，在女性患者中，阿司匹林主要减少脑血管事件。基于上述研究结果，2010版的ADA临床实践指南仅推荐10年的心血管风险＞10%的T1DM及T2DM患者使用阿司匹林进行一级预防，包括男性年龄＞50岁、女性＞60岁，且伴1项其他心血管危险因素者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常用剂量和联合用药可有3种选择：①单用阿司匹林：成人的一般常用剂量为每晚100mg，亦可根据患者的将剂量调整至50～325mg/d范围内；②阿司匹林联合用药：阿司匹林50mg/d加延长释放型双嘧达莫（extended release dipyridamole）400mg/d；③氯吡格雷（clopidogrel）：对血压控制良好的年龄≥65岁者可改为阿司匹林隔日80～100mg。有严重出血素质、出血性疾病和活动性消化性溃疡者宜慎用或禁用。已发生脑出血者、反复发生的脑出血者和房颤患者禁用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在心血管病的二级预防中，阿司匹林的抗心血管事件效应明显大于其出血风险，但周围血管病变可能例外。氯吡格雷似乎优于阿司匹林，阿司匹林-氯吡格雷联合治疗对高血栓栓塞风险者的疗效满意，但对长期控制慢性稳定型心血管病不理想，而且当应用两种抗血小板药物时，新发的冠脉事件仍较高。新的腺苷二磷酸受体拮抗剂（adenosine diphosphate receptor antagonists）普拉格雷（prasugrel）、替格雷洛（ticagrelor）和坎格雷洛（cangrelor）可能具有更高的疗效和更小的不良反应。</p><p>2. 其他药物</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">尚有低分子肝素、噻氯匹定、低分子右旋糖酐、山莨菪碱、地诺前列酮、延长释放型双嘧达莫和氯吡格雷等药物，可根据病情选用。</p><p>（五） 特殊心血管病实施个体化治疗1. 糖尿病并心绞痛</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在控制糖尿病的基础上，按照冠心病心绞痛的处理原则进行治疗，改善冠状动脉的供血和减轻心肌的耗氧。病程较长和年龄较大的糖尿病常伴有隐性心肌缺血，在评价手术的心血管风险时，需要进一步明确手术耐受性，如运动心电图、多巴酚丁胺负荷超声心动图（dobutamine stress echocardiography）和双嘧达莫心肌灌注闪烁扫描（dipyridamole myocardial perfusion scintigraphy），如果风险较高，应在手术前作相应处理，如预防性心脏血管重建术或药物治疗（β受体阻滞剂、他汀类和阿司匹林）。</p><p>2. 糖尿病并急性心肌梗死</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病发生急性心肌梗死的治疗原则同非糖尿病急性心肌梗死。但糖尿病患者的预后较非糖尿病患者要差，其原因可能与糖尿病急性心肌梗死患者冠脉病变范围较广泛有关。</p><p>3. 糖尿病并心力衰竭</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">与一般心力衰竭的处理原则相同，包括扩血管、利尿和强心等。</p><p>4. 糖尿病并脑梗死</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">严格控制血糖，降低血液黏滞度，纠正脂代谢紊乱等。脑梗死的治疗与非糖尿病患者发生脑梗死的治疗原则相同，在脱水和降压的治疗过程中要注意观察电解质、血糖和血渗透压，以免诱发非酮症高渗性昏迷。</p><p>5. 糖尿病并外周血管病变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病外周血管病变的预后取决于血管病变的严重程度和患者恢复的潜能。轻到中度动脉闭塞的治疗包括控制危险因素（包括戒烟酒，减轻体重），抗血小板聚集，改善血凝，血管重建，改善血供以及在运动过程中保护足部和每日仔细检查足部。血管重建的适应证包括间歇性跛行（尤其是进行性加重者）、缺血性静息痛、夜间痛、溃疡、坏疽和外科手术不能治愈的缺血）。根据血管病变的部位、程度和临床表现的不同，而采用不同的术式。糖尿病患者对血管重建术耐受性好，死亡率与非糖尿病患者相当。</p><p>6. 高龄糖尿病心血管病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">应考虑以下的特殊之处：①糖尿病的慢性并发症和非糖尿病合并症多，多数合并有高血压、冠心病或脂代谢异常；②容易发生药物性低血糖症，且不容易感知；③多数使用多种其他治疗药物，药物之间的相互作用明显；④身体虚弱，需要更多的个体关照和护理。因此，在降糖治疗时应严密监测，防止发生低血糖症。药物性低血糖又可导致跌倒、心肌缺血和脑梗死，甚至昏迷死亡。治疗措施包括心理治疗、饮食治疗、运动治疗和药物治疗，同时应加强糖尿病知识的宣传教育。应强调的是，针对具体的老年糖尿病患者，治疗方案和措施应个体化。功能状态良好的老人糖尿病患者可将HbA<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1c</span>控制在＜7.0%范围内，而体质虚弱或生命预期＜5年者只要控制在8.0%水平即可。</p><p>（六） 介入治疗和手术治疗改善局部血液供应</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">介入治疗和血管重建术是冠心病不可缺少的治疗手段，包括经皮冠脉内血管成形术、血管内支架术、斑块旋切术、斑块旋磨术和血管内超声干预等。研究表明，糖尿病患者接受经皮冠脉内血管成形术后较非糖尿病患者更易发生死亡和再梗死；胰岛素治疗的糖尿病患者经皮冠脉内血管成形术后心血管事件和血管重建危险性增加2倍；糖尿病患者外科血管重建术预后较差。BARI研究显示，糖尿病患者外科血管重建术后5年生存率（73.3%）较非糖尿病患者低（91.3%），需胰岛素治疗的糖尿病患者外科手术治疗的效果好于经皮冠脉内血管成形术。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">介入治疗的创伤小，恢复快，容易为患者接受。但是不能完全代替外科手术。如果患者是单支血管病变而且病变是局限的，比较适合支架处理。但多支血管病变，特别是关键部位的病变不适合支架治疗。糖尿病患者合并冠心病时，冠状动脉病变往往是弥漫性的。对多发性冠状动脉狭窄患者，单纯介入治疗困难。相反，外科手术治疗的效果肯定，年死亡率1%～1.5%。如果用动脉做血管材料，血管桥的10年通畅率达到90%。不足之处是创伤较大。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">搭桥和支架治疗可缓解狭窄远端心肌的缺血问题，不能阻止血管病情的进展。糖尿病是冠心病早发高发的重要因素，而糖尿病的发生与不良生活习惯、高血糖、肥胖和高血压等因素有关。改变不良的生活习惯，纠正或预防代谢紊乱，尤其要把血糖控制在理想范围内，控制血糖波动，避免低血糖发生，注意调脂，降低高血压，并使脉压维持在正常范围内。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4918', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1643', '参考文献', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1. 管珩，刘志民，李光伟，等. 50岁以上糖尿病人群周围动脉闭塞性疾病相关因素分析. 中华医学杂志，2007，87（1）：23-27.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2. Rosito GA，Massaro JM，Hoffmann U，et al. Pericardial fat，visceral abdominal fat，cardiovascular disease risk factors，and vascular calcification in a community -based sample：The Framingham Heart Study. Circulation，2008，117（5）：605-613.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3. Expert panel on detection，evaluation，and treatment of high blood cholesterol in cdults. Executive summary of the third report of the national cholesterol education program（NCEP）Expert panel on detection，evaluation，and treatment of high blood cholesterol in adults（Adult treatment panel Ⅲ）. JAMA，2001，285（19）：2486-2497.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4. Natarajan P，Ray KK，Cannon CP. High-density lipoprotein and coronary heart disease：current and future therapies. J Am Coll Cardiol，2010，55（13）：1283-99.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5. Schrier RW，Masoumi A，Elhassan E. Aldosterone：role in edematous disorders，hypertension，chronic renal failure，and metabolic syndrome. Clin J Am Soc Nephrol，2010，5（6）：1132-40.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">6. Savvatis K，Westermann D，Schultheiss HP，et al. Kinins in cardiac inflammation and regeneration：insights from ischemic and diabetic cardiomyopathy. Neuropeptides，2010，44（2）：119-25.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">7. Aronson D，Edelman ER. Revascularization for coronary artery disease in diabetes mellitus：angioplasty，stents and coronary artery bypass grafting. Rev Endocr Metab Disord，2010，11（1）：75-86.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">8. Sobel BE. Insulin resistance and thrombosis：a cardiologist’s view. Am J Cardiol，1999，84（1A）：37J-41J.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">9. Carr ME. Diabetes mellitus：a hypercoagulable state. J Diabetes Complications，2001，15（1）：44-54.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">10. 祝之民. 代谢性高血压：一个值得探索的问题. 中华高血压杂志，2006，16（11）：859-860.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">11. Ginghina C，Ungureanu C，Vladaia A，et al. The electrocardiographic profile of patients with angina pectoris.J Med Life，2009，2（1）：80-91.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">12. Khullar M，Al-Shudiefat AA，Ludke A，et al. Oxidative stress：a key contributor to diabetic cardiomyopathy. Can J Physiol Pharmacol，2010，88（3）：233-240.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">13. Dobrin JS，Lebeche D. Diabetic cardiomyopathy：signaling defects and therapeutic approaches. Expert Rev Cardiovasc Ther，2010，8（3）：373-391.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">14. Boudina S，Abel ED. Diabetic cardiomyopathy，causes and effects. Rev Endocr Metab Disord，2010，11（1）：31-9.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">15. Khavandi K，Khavandi A，Asghar O，et al. Diabetic cardiomyopathy—a distinct disease？Best Pract Res Clin Endocrinol Metab，2009，23（3）：347-60.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">16. Singh S，Duggal J，Khosla N，Arora R. Screening guidelines for coronary heart disease in diabetes：current recommendations. J Cardiometab Syndr，2009，4（2）：107-12.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">17. Maya L，Villarreal FJ. Diagnostic approaches for diabetic cardiomyopathy and myocardial fibrosis. J Mol Cell Cardiol，2010，48（3）：524-529.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">18. ALLHAT Officers and Coordinators for the ALLHAT Collaborative Research Group. The antihypertensive and lipid-lowering treatment to prevent heart attack trial. major outcomes in moderately hypercholesterolemic，hypertensive patients randomized to pravastatin vs usual care：The antihypertensive and lipid-lowering treatment to prevent heart attack trial（ALLHAT-LLT）. JAMA，2002，288（23）：2998-3007.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">19. Sasso FC，Rambaldi PF，Carbonara O，et al. Perspectives of nuclear diagnostic imaging in diabetic cardiomyopathy. Nutr Metab Cardiovasc Dis，2010，20（3）：208-216.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">20. Flotats A，Carrió I. The role of nuclear medicine technique in evaluating electrophysiology in diabetic hearts especially with 123IMIBG cardiac SPECT imaging. Minerva Endocrinol，2009，34（3）：263-271.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">21. Ismail H，Mitchell R，McFarlane SI，et al. Pleiotropic effects of inhibitors of the RAAS in the diabetic population：above and beyond blood pressure lowering. Curr Diab Rep，2010，10（1）：32-36.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">22. Chrysant SG. Current status of dual Renin Angiotensin aldosterone system blockade for the treatment of cardiovascular diseases. Am J Cardiol，2010，105（6）：849-52.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">23. Coccheri S. Antiplatelet drugs—do we need new options？With a reappraisal of direct thromboxane inhibitors. Drugs，2010，70（7）：887-908.</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4919', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '307', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺内正常的解剖和生理机制保持肺间质水分恒定和肺泡处于理想的湿润状态，以利于完成肺的各种功能。任何原因引起肺血管外液体量过度增多和渗入肺泡，引起生理功能紊乱，称之为肺水肿（pulmonary edema）。临床主要表现为呼吸困难、发绀、咳嗽、咳白色或血性泡沫痰，两肺散在湿啰音，影像学表现为以肺门为中心的蝶状或片状模糊阴影。深入理解肺液体和溶质转运的基本原理有助于有效地治疗肺水肿。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4920', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '307', '肺内液体交换的形态学基础', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">肺泡表面为上皮细胞，约有90%的肺泡表面被扁平Ⅰ型肺泡细胞覆盖，其余为Ⅱ型肺泡细胞（图17-11-1）。Ⅱ型肺泡细胞含有丰富的磷脂类物质，其分泌物进入肺泡，在肺泡表面形成一薄层减低肺泡表面张力的肺泡表面活性物质，维持肺泡开放，并防止肺泡周围间质液向肺泡腔渗漏。这两种细胞表面都含有钠离子通道，参与钠运输。肺毛细血管内衬着薄而扁平的内皮细胞，内皮细胞间的连接较为疏松，允许少量液体和某些蛋白质颗粒通过。肺泡上皮和毛细血管内皮能表达2种特异性水转运蛋白或称为水通道蛋白（aquaporin，AQP）5、1，参与肺泡液体的交换。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">电镜观察可见肺泡的上皮与血管的基底膜之间并不完全融合，与毛细血管相关的肺泡壁存在一侧较薄和一侧较厚的膜（图17-11-2）。上皮与内皮基底膜之间被间隙（肺间质）分离，该间隙与支气管血管束周围间隙、小叶间隔和脏层胸膜下的间隙相连通，以利液体交换。进入肺间质的液体主要通过淋巴系统回收。在厚侧肺泡隔中，电镜下可看到神经和点状胶原物质组成的感受器。当间质水分增加，胶原纤维肿胀刺激“J”感受器，传至中枢，反射性使呼吸加深加快，引起胸腔负压增加，淋巴管液体引流量增多。&nbsp;发病机制</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important; text-align: center;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\">图17-11-1　肺泡液体交换形态学基础示意</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526627707066049519.jpg\" title=\"1526627707066049519.jpg\" alt=\"图17-11-1　肺泡液体交换形态学基础示意.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1536px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">图17-11-2　肺泡毛细血管结构示意</span></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526627719712042863.jpg\" title=\"1526627719712042863.jpg\" alt=\"图17-11-2　肺泡毛细血管结构示意.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 922px; table-layout: fixed;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">无肺泡液体清除时，控制水分通过生物半透膜的各种因素可用Starling公式概括，同时考虑到滤过面积和回收液体至血管内的机制时，可改写为下面公式：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526627727488028422.jpg\" title=\"1526627727488028422.jpg\" alt=\"公式.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 741px; table-layout: fixed;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">式中EVLW为肺血管外液体含量；SA为滤过面积；Lp为水流体静力传导率；Pmv和Ppmv分别为微血管内和微血管周围静水压；σ为蛋白反射系数；π<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">mv</span>和π<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">pmv</span>分别为微血管内和微血管周围胶体渗透压；Flymph为淋巴流量，概括了所有将液体回收到血管内的机制。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">尽管肺微血管和间质静水压力受姿势、重力、肺容量乃至循环液体量变化的影响，但正常时肺间质和肺泡均能保持理想的湿润状态。这是由于淋巴系统、肺间质蛋白和顺应性的特征有助于对抗液体潴留并连续不断地清除肺内多余的水分。肺血管静水压力和通透性增加时，淋巴流量可增加10倍以上对抗肺水肿的产生。起次要作用的是肺间质内蛋白的稀释效应，它由微血管内静水压力升高后致使液体滤过增多引起，效应是降低π<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">pmv</span>，反过来减少净滤过量，但对血管通透性增加引起的肺水肿不起作用。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">研究发现，肺泡Ⅱ型细胞在儿茶酚胺依赖性和非依赖性机制的调节下，可主动清除肺泡内的水分，改善肺水肿。Ⅰ型及Ⅱ型Na<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>通道的活性与肺泡内液体的清除率有关，钠先通过肺泡腔侧的氨氯吡嗪咪（amiloride）敏感性钠通道进入细胞内，再由位于基底膜侧的Na<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>-K<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>-ATP酶将钠泵入肺间质。某些疾病引起的Na<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>通道失衡会导致肺泡内液体清除受损，从而导致肺水肿的发生。据此，可以推论肺水肿的发病机制除了Starling公式中包含的因素外，还受肺泡上皮液体主动转运功能的影响。只有液体漏出的作用强于回吸收的作用，并超过了肺泡液体的主动转运能力后才发生肺水肿，而肺水肿的消散需肺泡液体转运功能的完整。</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4921', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '307', '分类', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">分为高压性肺水肿（微血管压升高性）、常压性肺水肿（微血管压正常性）、负压性肺水肿［胸腔内或（和）跨肺负压的绝对值增大］和混合性肺水肿（高微血管压合并高肺毛细血管膜通透性肺水肿）3类（表17-11-1）。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4922', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '307', '病理与病理生理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">肺表面苍白，含水量增多，切面有大量液体渗出。显微镜下可将其分为间质期、肺泡壁期和肺泡期。间质期是肺水肿的最早表现，液体局限在肺泡外血管和传导气道周围的疏松结缔组织中，支气管、血管周围腔隙和叶间隔增宽，淋巴管扩张。液体进一步潴留即进入肺泡壁期。液体蓄积在厚的肺泡毛细血管膜一侧，肺泡壁进行性增厚。发展到肺泡期时，充满液体的肺泡壁会丧失其环形结构，出现褶皱。无论是微血管内压力增高还是通透性增加引起的肺水肿，肺泡腔内液体蛋白与肺间质内容相同时，提示表面活性物质破坏，而且上皮丧失了滤网能力。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">肺水肿可影响肺顺应性、弥散、通气/血流比值和呼吸类型，间质期最轻，肺泡期最重。间质水肿主要由于弥散距离增加影响氧的弥散，而肺泡水肿可明显加重通气血流比例失调。同时由于肺间质积液刺激J感受器，呼吸浅速，进一步增加每分钟死腔通气量，减少呼吸效率、增加呼吸功耗。当呼吸肌疲劳不能代偿性增加通气和保证肺泡通气量后，即出现CO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>潴留和呼吸性酸中毒。</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">表17-11-1　肺水肿的分类</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526612003800072414.jpg\" title=\"1526612003800072414.jpg\" alt=\"表17-11-1　肺水肿的分类.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1004px; table-layout: fixed;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">此外，肺水肿间质期即可表现出对血流动力学的影响。间质静水压升高可压迫附近微血管，增加肺循环阻力，升高肺动脉压力。低氧和酸中毒还可直接收缩肺血管，进一步恶化血流动力学，加重右心负荷，引起心功能不全。</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4923', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '307', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">高压性肺水肿体检时可发现心脏病体征，表现依据病程变化。在肺水肿间质期，患者可主诉咳嗽、胸闷、呼吸困难，但因为增加的水肿液大多局限在间质腔内，只表现轻度呼吸浅速，听不到啰音。因弥散功能受影响或通气/血流比值失调而出现动脉血氧分压降低。待肺水肿液体渗入到肺泡后，患者可咳白色或血性泡沫痰，严重呼吸困难和端坐呼吸，可听到两肺满布湿啰音。血气分析指示低氧血症加重，甚至出现CO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>潴留和混合性酸中毒。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">负压性肺水肿的患者通常伴有急性气道堵塞，呼吸困难，吸气三凹征，患者面部表情痛苦、情绪激动、咳粉红色泡沫痰等。随着肺水肿的进展，还可闻及肺部湿啰音，偶有哮鸣音。辅助检查提示氧饱和度进行性降低、严重的低氧血症等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常压性和混合性肺水肿的临床表现可因病因而异，而且同一病因引起的肺水肿也可依不同的患者而呈现不同的临床表现。吸入毒性气体后患者可表现为咳嗽、胸闷、气急，听诊可发现肺内干啰音或哮鸣音。吸入胃内容物后主要表现为气短、咳嗽，通常为干咳。如果患者度过急性肺水肿期，可咳出脓性黏痰，痰培养为需氧和厌氧菌。淹溺后，由于肺泡内的水分吸收需要一定时间，可表现咳嗽、肺内湿啰音，血气分析提示严重的持续性低氧血症，部分病例表现为代谢性酸中毒，少见呼吸性酸中毒。高原性肺水肿的症状发生在到达高原的12小时至3天内，主要为咳嗽、呼吸困难、乏力和咯血和胸骨后不适。体检可发现发绀和心动过速，吸氧或回到海平面后迅速改善。对于吸毒或注射毒品患者来讲，最严重的并发症之一即是肺水肿。过量应用海洛因后，肺水肿的发生率为48%～75%，也有报道应用美沙酮、右丙氧芬（propoxyphene）、氯氮<img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%86%85%E7%A7%91%E5%AD%A6_%E5%85%A82%E5%86%8C(%E4%B8%8B)_978-7-117-17272-1/pics/BZ_510_1472_1755_1506_1791.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/>（chlordiazepoxide）和乙氯维诺（ethchlorvynol）也可诱发肺水肿。患者出现昏迷，鼻腔和口腔喷出粉红色泡沫状水肿液，严重的低氧血症、高碳酸血症、呼吸性合并代谢性酸中毒。肾源性肺水肿表现为少尿、水肿等，同时因体内代谢紊乱，导致肺部炎症应激反应，引起肺上皮细胞渗透性增加，出现急性肺水肿的表现。ARDS见急性呼吸窘迫综合征。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4924', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '307', '影像学改变', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">典型间质期肺水肿的X线表现主要为肺血管纹理模糊、增多，肺门阴影不清，肺透光度降低，肺小叶间隔增宽。两下肺肋膈角区可见Kerley B线，偶见Kerley A线。肺泡水肿主要为腺泡状致密阴影，弥漫分布或局限于一侧或一叶的不规则相互融合的模糊阴影，或呈肺门向外扩展逐渐变淡的蝴蝶状阴影。有时可伴少量胸腔积液。但肺含量增加30%以上才可出现上述表现。CT和磁共振成像术可定量甚至区分肺充血和肺间质水肿，尤其是体位变化前后的对比检查更有意义。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4925', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '307', '诊断与鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">根据病史、症状、体检和X线表现常可对肺水肿作出明确诊断（表17-11-2）。但是肺含水量增多超过30%时才可出现明显的X线变化，因此需要CT和磁共振帮助早期诊断和鉴别诊断。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">此外，热传导稀释法和血浆胶体渗透压-肺毛细血管楔压梯度测定可计算肺血管外含水量及判断有无肺水肿，但均需留置肺动脉导管。如果通透性增加时，用<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">99m</span>Tc-人血球蛋白微囊或<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">113m</span>In-运铁蛋白进行肺灌注扫描时可聚集在肺间质中，通透性增加性肺水肿尤其明显。</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">表17-11-2　急性肺水肿的诊断过程</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526612477343060634.jpg\" title=\"1526612477343060634.jpg\" alt=\"表17-11-2　急性肺水肿的诊断过程.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 0px; table-layout: fixed;\"/><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526612485247009992.jpg\" title=\"1526612485247009992.jpg\" alt=\"表17-11-2　急性肺水肿的诊断过程.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 987px; table-layout: fixed;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">此外，高压性与常压性肺水肿在处理上有所不同，两者应加以鉴别（表17-11-3）。</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4926', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '307', '治疗', '<p><span style=\"font-size: 12px;\">（一）高压性肺水肿的治疗</span></p><p><span style=\"font-size: 12px;\">1.病因治疗</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">药物引起者立即停止使用可疑药物，输液速度过快者立即停止或减慢速度，尿毒症患者需透析治疗，感染诱发者立即应用恰当抗生素，毒气吸入者立即脱离现场并给予解毒剂，麻醉剂过量摄入者立即予以洗胃和对抗药。</span></p><p><span style=\"font-size: 12px;\">2.体位</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">患者需固定于特殊体位，如出现意识丧失或心源性休克时，需将患者固定于仰卧位。</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">表17-11-3　心源性与非心源性肺水肿的鉴别</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526613232357056984.jpg\" title=\"1526613232357056984.jpg\" alt=\"表17-11-3　心源性与非心源性肺水肿的鉴别.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 955px; table-layout: fixed;\"/></p><p><span style=\"font-size: 12px;\">3.氧疗</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">肺水肿患者通常需要吸入较高浓度氧气才能改善低氧血症，最好用湿化器内置75%～95%酒精或10%硅酮有助于消除泡沫。</span></p><p><span style=\"font-size: 12px;\">4.吗啡</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">每剂5～10mg皮下或静脉注射可减轻焦虑，还可通过中枢性交感抑制作用降低周围血管阻力，舒张呼吸道平滑肌，改善通气，减少呼吸运动的能量消耗。对心源性肺水肿效果最好，但禁用于休克、呼吸抑制和慢阻肺合并肺水肿者。</span></p><p><span style=\"font-size: 12px;\">5.利尿</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">呋塞米（速尿）20～80mg静脉推注可迅速利尿、减少循环血量、减轻心脏负荷，升高血浆胶体渗透压，减少微血管滤过液体量，并有一定的扩血管效果。但不宜用于血容量不足者，若无明显液体超负荷的情况应避免使用本药。对静脉注射呋塞米反应不明显的容量超负荷患者也可使用螺内酯25～50mg口服。</span></p><p><span style=\"font-size: 12px;\">6.血管舒张剂</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">对肺水肿有效的血管舒张剂分别是静脉舒张剂、动脉舒张剂和混合性舒张剂。静脉舒张剂代表为硝酸甘油，以10～15μg/min的速度静脉给药，每3～5分钟增加5～10μg的剂量直到平均动脉压下降（通常＞20mmHg）、肺血管压力达到一定的标准、减轻难以忍受的头痛或心绞痛。混合性舒张剂为硝普钠，通常以10μg/min的速度静脉给药，每3～5分钟增加5～10μg的剂量直到达到理想效果。动脉舒张压不应小于60mmHg，收缩压峰值应该高于100mmHg，多数患者在50～100μg/min剂量时可以获得理想的效果。注意48小时内禁用PDE5抑制剂。</span></p><p><span style=\"font-size: 12px;\">7.强心剂</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">主要适用于快速心房颤动或心房扑动诱发的肺水肿。两周内未用过洋地黄类药物者，可用毒毛花苷K 0.25mg或毛花苷丙0.4～0.8mg溶于葡萄糖内缓慢静注。对于心源性休克或高容量状态下收缩压＜90mmHg时，也可选用多巴酚丁胺、多巴胺等β受体激动药、米力农、依诺昔酮等磷酸二酯酶抑制剂。</span></p><p><span style=\"font-size: 12px;\">8.β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体激动药</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">已有研究表明雾化吸入长、短效β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体激动药，如特布他林或沙美特罗可能有助于预防肺水肿或加速肺水肿的吸收和消散，但其疗效还有待于进一步验证。</span></p><p><span style=\"font-size: 12px;\">9.肾上腺糖皮质激素</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">尽管对肺水肿的治疗价值存在分歧，但有研究表明能减轻炎症反应和微血管通透性，促进表面活性物质合成，增强心肌收缩力和降低外周血管阻力和稳定溶酶体膜。可应用于高原肺水肿、中毒性肺水肿和心肌炎合并肺水肿。通常用地塞米松20～40mg/d或氢化可的松400～800mg/d静脉注射连续2～3天。但不适合长期应用。</span></p><p><span style=\"font-size: 12px;\">10.低分子量肝素</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">可预防可能出现的静脉血栓栓塞。如条件允许，可早期使用依诺肝素，每天皮下注射40mg。</span></p><p><span style=\"font-size: 12px;\">11.减少肺循环血量</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">患者坐位，双腿下垂或四肢轮流扎缚静脉止血带，每20分钟轮番放松一肢体5分钟，可减少静脉回心血量。适用于输液超负荷或心源性肺水肿，禁用于休克和贫血患者。</span></p><p><span style=\"font-size: 12px;\">12.机械通气</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">出现低氧血症和（或）CO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>潴留时，可经面罩或人工气道机械通气，辅以3～10cmH<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O呼气末正压。但SBP＜90mmHg、意识模糊或休克者慎用。</span></p><p><span style=\"font-size: 12px;\">（二）负压性肺水肿的治疗</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">负压性肺水肿的治疗最主要的是解除气道梗阻，纠正低氧血症。患者无血容量减少的情况下可考虑使用利尿剂减轻肺水肿。合适的气道管理、及时纠正低氧血症以及利尿剂的使用可基本治愈大部分的负压性肺水肿患者。若持续存在气道梗阻需考虑构建人工气道；若患者出现急性呼吸衰竭，则需选择合适的PEEP的机械通气。若患者的气道梗阻是由气管插管的刺激引起，需使用琥珀胆碱放松腭肌。</span></p><p><span style=\"font-size: 12px;\">（三）常压性肺水肿和混合性肺水肿治疗</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4927', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '307', '参考文献', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.白春学.肺水肿//陆慰萱，王辰.肺循环病学.北京：人民卫生出版社，2007：613-640.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.Balu Bhaskar，John F Fraser.Negative pressure pulmonary edema revisited：Pathophysiology and review of management. Journal of Anaesthesia，2011，5（3）：308-313.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.Basu RK，Wheeler D.Effects of Ischemic Acute Kidney Injury on Lung Water Balance：Nephrogenic Pulmonary Edema？Pulmonary Medicine，2011，10（1155）：414253.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.Myrianthefs P，Markou N，Gregorakos L.Rare roentgenologic manifestations of pulmonary edema.Current Opinion in Critical Care，2011，17（5）：449-453.</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4928', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1657', '概述', '<p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); border: 0px !important;\">据记载，早在公元前200年，战国时代秦越人所著《难经》中曾有“按之至骨，举指来疾者，肾也”。公元200—250年间，魏晋时王叔和在《脉经》中也写有“脉火而坚病在肾”。虽然古代肾的概念与现代医学肾有区别，但不难看出古人已认识到高血压与肾之间存在关联。近代，英国医师Bright（1827年）首次提出蛋白尿、脉搏强而硬与肾硬化有关。Traube（1856年）从分析描记的脉搏提出异常脉搏可能为高血压所致。Mohomed（1874年）指出动脉系统的高张力与肾疾病有关。对肾血管病变引起的高血压，有报道 Janeway（1906年）曾缩窄犬的一侧肾动脉后产生高血压持续了105天；Goldbatt（1934年）用特制的夹子钳夹犬的肾动脉主干产生高舒张压，开放肾动脉后高血压消失，从而建立了肾动脉狭窄型高血压的动物模型。之后，Leadbatter和Burkland（1938年）首次临床病例报道一名5岁半男孩患肾动脉狭窄经肾切除后血压恢复正常。但是，采用肾切除的治疗方法因其疗效常会令人失望，而有必要进一步研究肾病变引起的高血压病因。20世纪50年代，Smith（1952年）经皮血管腔内腹主动脉造影观察肾动脉病变；Howad（1954年）发明了通过逆行双侧输尿管插管的分肾功能测定法，从而将本病从形态和功能两个方面由高血压患者中筛选出来，并为开展肾血管成形术提供了影像学的依据。关于肾血管性高血压的基础理论和临床研究从20世纪60年代至今从未间断，赢得相关学科学者的极大关注和兴趣。</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); border: 0px !important;\">文献报道肾血管性高血压的发病率差异较大。一般文献指出肾血管性高血压占所有高血压患者的5%～10%，美国Franklin等（1989年）报道为3%～6%，我国有报道为2%左右。熊汝成等分析复旦大学附属中山医院1950—1975年25年间患高血压的住院患者总人数为3365例，其中肾性高血压患者占19.5%，而肾血管性高血压为1.84%。近年来由于对此病的认识水平提高，诊断技术改进，筛选方法的敏感性和特异性增强，越来越多的高血压患者被证实为肾血管性高血压。美国15个医疗机构“肾动脉性高血压协作研究”报道的2442例高血压患者中，肾动脉性高血压占27.75%。我国北京阜外医院1964—1982年住院的1372例高血压患者中，经肾动脉造影证明有明显肾动脉狭窄者占12.4%。据统计，中山医院近5年（2003年1月至2007年12月底）10种常见的肾疾病共6324例，发现824例并发高血压，占13.03%，其中肾动脉狭窄283例，占肾性高血压的34.34%，比较该院以前25年间（1950—1975年）的分析资料，同样10种常见的肾疾病3145例，发现655例并发高血压，占上述各种肾病总数的20.8%，包括肾动脉狭窄62例，仅占肾性高血压9.47%。由此可见，目前肾血管性高血压在肾性高血压中所占的比例已大大上升，值得引起重视和研究。</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); border: 0px !important;\">此病可以发生于任何年龄，尤应注意小于25岁及大于55岁患严重高血压患者。在欧美国家50岁以上的患者以动脉粥样硬化引起此病最为普遍，男∶女为2∶1，吸烟及高脂血症患者更多见；年轻的患者则以纤维肌性发育异常为多见，女性多于男性。在我国由大动脉炎引起的肾血管性高血压较西方多见，年轻女性多发。</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); border: 0px !important;\">近年来，由于医学影像学技术的发展、新型抗高血压药物的出现和血管外科手术技术的改进，使肾血管性高血压在诊断和治疗方面有很大的进展。</p><p style=\"white-space: normal; text-align: right;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (下册)</span></p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4929', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1657', '发病机制', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Goldbatt的经典实验奠定了肾血管性高血压研究的理论基础，但尚未完全阐明其发病机制，肾动脉缩窄后使肾血流量减少，肾缺血、缺氧，这仅是促成肾血管性高血压的基本条件，还有其他的条件存在。目前普遍公认的发病机制主要有以下三个方面。</p><p>1.肾素-血管紧张素-醛固酮体系（renin-angiotensin-abldosterone system，RAAS）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Tigerstedt和Bergman（1898年）曾发现给兔静脉注射兔肾浸出液后动脉血压升高，认为肾浸出液中含有某种升压物质，将其命名为“肾素”。经过数十年研究，直至Goldbatt完成上述的经典实验，Tigerstedt和Bergmann的发现才被认可。人们的研究又证实肾素存在于肾小球附近的组织中，称为肾小球旁体结构（juxtaglomerular apparatus）。它包括：①近球细胞：分泌肾素；②致密斑：为压力感受器，高钠可以通过致密斑刺激近球细胞促使肾素分泌增多；③Goormashtigh细胞：系神经末梢小体，有控制肾分泌的功能；④Becher细胞群：与葡萄糖、磷酸盐、氨基酸的吸收和合成有关（图90-1）。</p><p><img id=\"P90-1_8352\" class=\"TP\" width=\"351\" height=\"305\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%A4%96%E7%A7%91%E5%AD%A6%EF%BC%88%E4%B8%8B%E5%86%8C%EF%BC%89_978-7-117-14353-0/pics/P90-1_8352.jpg\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">图90-1　肾小球旁体结构示意图</p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.近球细胞　2.入球动脉　3.出球动脉　4.Goormaghtigh细胞　5.致密斑　6.Becher细胞群</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">进一步研究指出，肾素是一种天门冬氨酰蛋白水解酶，由340个氨基酸组成，分子量为37 200道尔顿，具有不耐热和不可透析的特性。血浆肾素的半衰期为15～20分钟，主要代谢场所位于肝。肾素本身不是加压素，必须与肝内产生的一种α<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>球蛋白（又称肾素激活素或高压素原）相结合而发生效应，使其分子结构的第10位及第11位两个亮氨酸肽键连接处断裂，释出十肽，成为血管紧张素Ⅰ（angiotensinⅠ，AngⅠ），AngⅠ亦无升压作用。当它流经各脏器血管床时，尤其在肺循环被血管紧张素转化酶（angiotensin converting enzyme，ACE）使其第8位及第9位之间肽键断裂，释出八肽，成为血管紧张素Ⅱ（angiotensinⅡ，AngⅡ）。AngⅡ是一种强有力的血管收缩物质，使血压升高。目前发现人体内AngⅡ通过与其受体（AT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>、AT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>）的结合发挥生物效应：①作用于全身血管平滑肌使血管收缩，刺激中枢及周围交感神经系统间接引起血管收缩；②刺激肾上腺球状带产生醛固酮，促使远段肾小管钠重吸收，钾排泄；③作用于中枢神经系统使渴觉中枢兴奋，饮水增加，同时也刺激盐欲，使摄盐增加；④促使肾内血管收缩，血流量减少，肾小球滤过率降低，滤过液在肾小管内的流速减慢，延长了肾小管内对水、钠重吸收的时间，引起水、钠潴留，增加细胞外液容量，促进血压增高。此外，由于分子生物学技术的广泛应用，最近的研究发现AngⅡ可以刺激许多生长因子，包括血小板源性生长因子（PDGF）等，有可能完全排除循环RAAS的干扰，了解肾内RAAS的分布、调节及功能，并检测它们的基因表达。AngⅡ再由氨基转肽酶去除第1位氨基酸，释出一种多肽（七肽），称为血管紧张素Ⅲ（angiotensinⅢ，AngⅢ），此物刺激醛固酮的分泌作用比AngⅡ强数倍。在循环中血管紧张素的半衰期仅数分钟，降解后形成小分子的无活性产物氨基酸、二肽、三肽，最终高血压的维持需依赖于肾上腺素和醛固酮。通常过多的醛固酮，由反馈作用抑制肾素的进一步分泌，这就是肾素-血管紧张素-醛固酮体系的调节作用。当肾动脉狭窄时，由于肾缺血刺激球旁细胞产生大量肾素，而醛固酮的反馈作用相对地减弱，不能抑制肾素的过量分泌，故肾素-血管紧张素-醛固酮体系失去平衡是引起高血压的原因之一。</p><p>2.激肽释放酶-激肽-前列腺素体系（kallikreinkinin-prostaglandin system，KKPS）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">激肽系由肝的激肽原受到肾产生的激肽释放酶作用转变而来。激肽释放酶90%以上分布于肾的皮质，而肾的髓质和乳头分别占4.5%及4.1%，其主要生成部位可能在肾小球旁体。激肽释放酶具有丝氨酸蛋白酶的活性，活性越高，催化激肽原水解，生成激肽越多。另外，肾尚能分泌激肽水解酶，可以破坏所产生的激肽。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">前列腺素（PGs）是花生四烯酸（AA）的产物，它在肾通过三大代谢途径即环氧化酶途径、脂氧化酶途径和细胞色素P-450单氧化酶途径来产生活性代谢产物而发挥其生物效应。在肾髓质中分离出来的前列腺素主要有PGE<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>、PGA<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>、PGF<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2a</span>。前列腺素在肾皮质内含量很低，在髓质中以乳头的含量较高。在肾内主要是PGE<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>和PGF<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2a</span>，而PGA<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>的量较少。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">激肽和前列腺素具有降低血压的作用，其机制：①促使全身小动脉舒张，外周血管阻力下降；②促使肾内小动脉舒张，增加肾血流量，尤其是肾皮质的血流量，提高肾小球滤过率；③促进水、钠从肾排出，使血容量降低，增加血浆血细胞比容及血浆总蛋白浓度；④前列腺素具有抑制抗利尿激素及拮抗儿茶酚胺的作用。此外，激肽能刺激肾髓质间质细胞分泌前列腺素增多，从而对动脉产生降压作用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">因此，肾激肽与前列腺素的抗高血压作用，一部分是激肽的直接作用，更主要的是通过激肽促进前列腺素的生成而产生。当肾动脉狭窄时，由于肾缺血后激肽释放酶的量减少，使激肽原缺少激肽释放酶的作用，而生成激肽相应减少，刺激分泌前列腺素也相应降低，结果对动脉的降压作用减弱，并使血管容量增多，造成高血压。</p><p>3.心钠素体系（atrial natriuretic peptide system，ANPS）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年来，心钠素在调节血容量和血压中的作用受到关注。1979年De Bell首先发现在心肌细胞内存在着一种强烈的利尿利钠因子。1984年它被证明是由心房合成，贮存和分泌的多肽激素，命名为心钠素（心房促排钠利尿多肽）。现已确认ANP对RAA是一种内源性生理拮抗物质，对控制钠盐和血容量与调整血流和血压具有重要作用。心钠素和肾素的原发处分别为心和肾，但根据信使核糖核酸（mRNA）的检测，它们继发性产生于许多共同场所，包括脑、肾上腺、垂体和生殖系统。研究证明ANPS与RAAS的生物作用是相互抗衡的，ANP对RAA有抑制作用，其作用的方式：①扩张小动脉，降低外周动脉阻力，使动脉压下降；②使肾利尿排钠作用增强；③抑制肾素、醛固酮的释放和分泌；④抑制血管紧张素Ⅱ所致近曲小管对钠的重吸收；⑤降低交感神经系统活动；⑥抑制去甲肾上腺素和加压素对小动脉的收缩作用。由此可见，ANP同时能降低血管紧张素源性高血压和容量性高血压。</p><p>4.去肾性高血压（renoprival hypertension）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肾除有抗高血压的物质外，还有调节体液、电解质的功能和排出体内升压物质的作用。去肾性高血压指肾组织没有功能所产生的高血压，也称为肾缺如性高血压或肾切除后高血压。肾组织完全丧失功能如同双肾切除一样，其所发生的高血压与体液和钠盐平稳失调有关。体内的升压物质因去肾后不能排出，积聚后使血压升高。肾动脉狭窄时，由于肾血管损害，肾缺血可发生肾单位硬化，肾功能减退明显，可引起全身及肾内循环的ANPS与RAAS平衡失调，最终导致高血压产生。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (下册)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4930', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1657', '病因', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肾动脉本身的病变是肾血管性高血压发生的基本条件。据文献记载，在欧美国家病因以动脉粥样硬化和纤维肌性发育异常为主，而我国则以多发性大动脉炎（aorto-arteritis）为最多见。但是，最近有不完全统计显示在我国肾血管性高血压的病因，动脉粥样硬化已是首位，其次是大动脉炎、纤维肌性发育异常。</p><p>1.动脉粥样硬化</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多见于50岁以上男性，男性发病率是女性2倍。动脉粥样硬化病变主要发生于动脉内膜，形成粥样斑块，所产生的肾动脉狭窄常在主干开口处及近端2cm以内。由主动脉内粥样斑块延伸至肾动脉内者，75%为双侧性，而粥样斑块位于肾动脉内，围绕主动脉开口处，一般是单侧性，单侧者左侧较右侧为多见。5%的患者病变可累及第2或第3级肾血管。动脉粥样硬化所致的肾动脉狭窄患者，常表现为进行性肾功能减退。</p><p>2.纤维肌性发育异常</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常见于儿童、青年，女性多于男性。纤维肌性发育异常的发病机制尚不清楚，因白种人发生率比黑人高，且有家族发病的报告，此病被认为有遗传倾向。肾动脉病变主要发生于中1/3和远端1/3，常累及分支，单侧者右侧多见。根据动脉壁发育异常的部位分为内膜纤维增生，纤维肌肉增生、中层纤维增生和外膜下纤维增生。</p><p>3.多发性大动脉炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多见于青年，女性居多。此病因尚未完全清楚，目前认为可能为自身免疫性疾病。临床上可分为三期：①急性活动期；②慢性炎症期；③瘢痕狭窄期。这一炎症变化可发生在胸主动脉使主动脉弓大的分支闭锁，在腹主动脉及其分支使肾动脉开口受累即产生肾血管性高血压。</p><p>4.其他原因</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）先天性肾动脉异常：临床上常在影像学检查中被发现：①肾动脉均匀细小；②迷走肾动脉；③狭窄累及肾动脉或肾动脉分支；④扭曲；⑤肾动脉瘤；⑥肾动脉缺如，但有侧支循环。多见于儿童。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）肾动脉急性栓塞：栓子来自心脏、主动脉等处，或并发于手术后，半数以上患者同时伴有其他脏器梗死。临床表现为突发性肾区疼痛，出现高血压并有镜下血尿和蛋白尿。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（3）肾动脉瘤：由于血管壁纤维缺陷，创伤使血管壁夹层分离，或发生结节性多发血管炎而形成囊状动脉瘤、夹层动脉瘤和小动脉瘤，通常无症状，破裂时有出血危险。若瘤体直径大于1.5cm，影响肾血液循环，则有高血压症状。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（4）肾动-静脉瘘：一般为先天性病变，50%病例伴有先天性心脏病，出现高血压者占总数50%，75%以上有血尿，70%～75%病例能听到腹部杂音。此类患者在肾动脉造影时过早见到静脉显影，则可以诊断确立。若因肾穿刺活检时造成，约70%病例在1年半内自行愈合。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（5）外伤血肿、腹主动脉瘤、嗜铬细胞瘤、神经纤维瘤、肾肿瘤等因巨大肿块对肾动脉的压迫而导致肾动脉梗阻，产生肾血管性高血压。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（6）放射线的损害引起肾动脉周围组织纤维化或特发性腹膜后纤维化也可成为肾血管性高血压的病因。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (下册）</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4931', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1657', '病理', '<p>1.肾血管病变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肾血管性高血压早期主要是肾血管病变，随后继发肾单位缺血性变化。其病理变化有急性和慢性两种：</p><p>（1）急性变化：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多发生于恶性高血压型。主要在大叶间动脉和肾内小动脉壁内膜增生，使管腔变狭窄。此种内膜增生在年轻人为细胞增生，老年人为弹性纤维增生；此外，动脉管壁及周围有局限性的坏死区，其中有大量纤维蛋白，称为类纤维素坏死。内膜下增生的结果使微动脉堵塞，以后形成肾小球萎缩，被胶原所替代。</p><p>（2）慢性变化：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">见于长期的持久性高血压。肾的细动脉，特别是入球动脉发生硬化，使肾单位缺血，发生萎缩。随着病情加重，血管狭窄或闭塞，可形成细动脉性肾硬化。病肾明显缩小、变硬，表面凹凸不平，散布着颜色较淡的细小颗粒，并伴有小囊腔，形成细颗粒肾。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于长期受到高血压因素的危害，早期对侧肾可呈代偿性肥大，功能增强；后期引起坏死性肾小动脉炎和肾硬化、肾萎缩。故患者由于双侧肾功能逐渐减退，最终可以导致慢性肾衰竭。此时即使切除肾动脉梗阻一侧的肾，高血压并不能降至正常，因为对侧肾已发生不可逆性肾血管损害（Floyer肾）。Floyer肾概念的提出具有重要的临床意义，对怀疑有肾动脉狭窄的患者，应及时进行检查，明确诊断，及时适宜治疗，以保护对侧肾不进展成为Floyer肾，防治高血压。</p><p>2.肾小球旁体结构的改变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　在肾血管性高血压中，近球细胞发生一系列病理变化，即肾动脉狭窄使肾缺血、肾内压降低，引起近球细胞数增加，胞浆内颗粒增加，分泌肾素增多；另外，肾小管内钠离子的变化通过致密斑刺激近球细胞分泌肾素，这些均可导致全身血压升高。肾动脉正常一侧肾小球旁体结构改变则与之相反。这一病理变化，对阐明在单侧肾动脉狭窄中患肾肾素增高和对侧肾肾素降低具有理论意义。</p><p>3.肾血管疾病的病理类型（1）动脉粥样硬化：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病变发生于动脉内膜，形成粥样斑块，可沿血管壁蔓延，使管腔狭窄和内膜破坏。内膜被一堆无细胞的粥样物所代替，其中有脂肪、钙盐沉着、吞噬坏死碎屑的组织和血栓等（图90-2）。肾动脉粥样硬化往往是全身性血管病变的局部表现。</p><p>（2）纤维肌肉增生：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①内膜纤维增生：内膜显著增厚，有胶原累积，其中有原始成纤维细胞散在，伴发血肿时使动脉狭窄部分变形，有发展倾向。②纤维肌肉增生：病变发生于血管中层，平滑肌与纤维组织同时增生。动脉壁呈同心性增厚，弹力溃破而引起壁间血肿，在血肿周围有大量胶原形成。③中层纤维增生：主要是纤维组织增生，内弹力膜变薄或消失，肌纤维被胶原所代替，中层稀薄，部分呈球囊性扩张，病变一般较为广泛，大多蔓延血管远端2/3或累及分支。④外膜下纤维增生：病变位于血管的外弹力层，中层外膜有胶原沉着。由于肾动脉被大量稠密的胶原所环绕使血管变窄（图90-3）。</p><p><img id=\"P90-2_8364\" class=\"TP\" width=\"350\" height=\"283\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%A4%96%E7%A7%91%E5%AD%A6%EF%BC%88%E4%B8%8B%E5%86%8C%EF%BC%89_978-7-117-14353-0/pics/P90-2_8364.jpg\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">图90-2　动脉粥样硬化</p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">镜下显示凸于内膜表面的纤维帽中含有大量脂质、胆固醇结晶及泡沫细胞，动脉内膜增厚，管腔狭窄（×100）</p><p><img id=\"P90-3_8368\" class=\"TP\" width=\"350\" height=\"288\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%A4%96%E7%A7%91%E5%AD%A6%EF%BC%88%E4%B8%8B%E5%86%8C%EF%BC%89_978-7-117-14353-0/pics/P90-3_8368.jpg\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">图90-3　纤维肌肉增生</p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">与正常侧相比，病变侧中膜平滑肌与纤维组织明显增生（×100）</p><p>（3）多发性大动脉炎：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要病变在主动脉，以动脉中膜层为主的全层动脉炎（图90-4）。中层呈弥散性肉芽肿组织增生，伴有淋巴细胞和浆细胞浸润，弹力纤维明显破坏或断裂，被胶原所代替。血管外膜增厚，有细胞浸润与周围组织紧密粘连。内膜纤维增殖，表面肿胀、粗糙和血栓形成致使肾动脉开口狭窄，影响肾血液供应。肾内小动脉一般没有肥大或退行性变化，内膜无增生。</p><p><img id=\"P90-4_8375\" class=\"TP\" width=\"351\" height=\"292\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%A4%96%E7%A7%91%E5%AD%A6%EF%BC%88%E4%B8%8B%E5%86%8C%EF%BC%89_978-7-117-14353-0/pics/P90-4_8375.jpg\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">图90-4　大动脉炎</p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">动脉壁内、外膜纤维性肥厚，中膜弹力纤维破坏、纤维瘢痕形成，并于动脉各层见到灶性慢炎细胞浸润（×100）</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (下册)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4932', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1657', '临床表现', '<p>1.病史特点</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　①青年发病常小于30岁；②老年发病常大于50岁；③高血压病程短或病情进展快，发作突然；④长期高血压骤然加剧；⑤高血压伴有腰背或胁腹部疼痛；⑥常用的降压药物无效或疗效不佳；⑦无高血压家族史，但是，由于此病与多种病因和遗传密切相关，约1/3患者有明显的高血压家族史。</p><p>2.高血压</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　大部分患者有严重的高血压，收缩压高于26.7kPa（200mmHg）和（或）舒张压高于16kPa（120mmHg）者约60%。以舒张压增高明显为其特点，肾动脉狭窄越严重，舒张压越高。</p><p>3.腹部血管杂音</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在上腹部正中或脐两侧各2～3cm范围内、或在背部第二腰椎水平处可听到收缩期杂音或收缩期与舒张期连续杂音，后者提示肾动脉瘤、肾动-静脉瘘或多灶性纤维肌肉增生。当听诊器胸件自上腹部正中向旁侧逐渐移位随之杂音增强者，则可为肾血管性高血压，并与腹主动脉或其他腹部动脉产生的血管杂音相鉴别。杂音的强弱与肾动脉狭窄程度无平行关系。Maxwell指出在肾血管性高血压中，约50%可在上腹部听到血管杂音，并认为在纤维肌肉增生比动脉粥样硬化为高。国内资料报道，上腹部可听到杂音约占60%～74%。</p><p>4.眼底改变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　大部分患者有高血压视网膜病变，表现为小动脉狭窄、痉挛或硬化。病程急骤者病变特别显著，有视网膜出血、渗出。</p><p>5.多发性大动脉炎表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　因大动脉炎病变广泛、多发，常合并其他部位大动脉狭窄，故临床上表现为多样而复杂。一侧颈动脉狭窄时，则双侧颈动脉搏动强弱不等，在狭窄部位能听到杂音，可发生脑供血不足、脑血栓形成和白内障；冠状动脉狭窄时，引起心肌供血不足，主动脉瓣关闭不全；肺动脉狭窄则引起肺动脉高压或咯血；下肢缺血可出现间歇性跛行、患肢温度明显降低甚至局部皮肤苍白、青紫、坏死；左锁骨下动脉受累时，左上肢血压低于右上肢，左上肢无脉症；腹主动脉发生严重缩窄时，双下肢血压低于上肢，甚至有双下肢无脉症；腹部动脉狭窄可引起脏器供血不足，发生餐后腹痛。大动脉炎患者有活动性病变时，又可出现发热、血白细胞增高，血流增快，贫血等。</p><p>6.动脉粥样硬化表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　发生心房颤动、室性期前收缩，各种房室传导阻滞，尤其在发生三度房室传导阻滞时，会引起阿-斯综合征。高胆固醇血症在皮肤可见黄斑瘤。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (下册)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4933', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1657', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于临床症状难以明确患者是否存在肾动脉狭窄，或者明确肾动脉狭窄是否为患者高血压的原因，还必须有泌尿系统疾病的常规检查和某些特殊检查才可确诊。</p><p>1.实验室检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　有价值的实验室检查为低钾血症和氮质血症。低钾血症的产生与继发性醛固酮的过度释放有关，但仅见于20%的肾动脉狭窄患者。肾功能受损提示对侧肾已发生高血压肾损害或双侧肾血管病变。尿常规检查有微量或轻度蛋白尿，如果尿蛋白定量＞0.5g/d，提示患者的肾动脉完全闭塞。血常规检查表现为红细胞增多症，系肾缺血所致促红细胞生成素合成增多。</p><p>2.静脉尿路造影（IVU）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在20世纪60～70年代，许多学者推荐用分钟间隔连续静脉肾盂造影（minute-sequence intravenous pyelography），造影显示：①两肾大小的差异，缺血肾比对侧肾长径缩短1.5cm以上，同时肾盂肾盏亦相应缩小；②两肾肾盂显影时间的差异，早期摄片缺血肾较对侧肾肾显影迟缓，反映其肾小球滤过率减低；③两肾肾盂显影浓度差异，快速连续摄片最初5分钟内患侧肾盂显影较健侧浅淡，但15分钟摄片反而较健侧浓密，与缺血肾的肾小管中尿流减慢，造影剂得以充分浓缩有关，而肾功能严重不全时，肾盂肾盏则不显影；④肾盂与输尿管边缘多处切迹，提示为肾盂输尿管周围动脉因侧支吻合而迂曲扩张压迫输尿管所致。Maxwell（1967）认为此法诊断肾血管性高血压的阳性率可达90%。然而，MacGregor（1975）指出此法的假阳性率为15%，假阴性率为17%～27%。因此，静脉尿路造影可以作为初步筛选此病的方法之一，但不再依靠其确立肾血管性高血压的诊断。</p><p>3.分肾功能检测</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">动物实验证实当肾动脉狭窄时可以导致水钠重吸收增加，并使尿中非重吸收成分浓度增加，这是分肾功能检测的实验基础。Howard（1953）用两侧输尿管插管法进行分肾功能试验来诊断单侧性肾动脉病变。后来，Stamey（1963）等将此法又作了改进和调整，包括菊糖廓清率、对氨马尿酸廓清率等，试图提高阳性率。Howard试验阳性结果为患侧尿量降低50%，尿钠降低15%，尿肌酐增高50%；而Stamey试验阳性结果为患侧尿量降低65%，尿肌酐和尿菊糖均增高100%。其临床意义：①能确定因两肾血液循环动力的不同而存在两肾功能上的差异；②估计健侧肾受到高血压影响而引起肾硬化的程度；③结果直接反映两侧肾的分肾功能。然而，由于该试验操作较为复杂，准确度难以掌握，又有更精确的检测可以测定肾素等活性，目前此方法仅用于单侧肾实质病变患者。</p><p>4.放射性核素检查（1）肾图：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">通常用<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">99</span>&nbsp;<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">m</span>Tc-二乙烯三胺（DTPA）作肾图。单侧肾动脉狭窄患者肾图表现为a段（血管相）不同程度的降低；b段（分泌相）与c段（排泄相）延缓，提示肾图对肾血管性高血压的诊断并无特异性，敏感性为74.4%，假阳性率达10%，不能作出病因诊断，应结合其他的检查综合考虑诊断。</p><p>（2） 肾显像：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">采用<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">99</span>&nbsp;<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">m</span>Tc-二巯丁二酸（<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">99</span>&nbsp;<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">m</span>Tc-DMSA）作为示踪剂进行肾扫描或γ照相。当肾动脉狭窄引起肾萎缩时，肾显像显示患肾较正常偏小，放射性核素分布较稀疏，且不均匀，对侧肾可能出现代偿性肥大。若肾动脉狭窄尚未引起肾功能变化时，肾显像可无明显异常变化。此方法的检测阳性率高于肾图，在单侧肾动脉狭窄患者可达 95.5%，假阳性率为7.7%。</p><p>（3）放射性核素计算机断层摄影（ECT）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Chiarini（1982）提出以<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">99</span>&nbsp;<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">m</span>Tc-DTPA做示踪剂进行双肾区动态γ照相，检测肾功能、形态有无异常。在正常情况下，腹主动脉显影后0～15秒可见双肾灌注相，放射性分布均匀而对称；2～3分钟时肾区放射性达到高峰，显示实质相；3～4分钟时膀胱部位开始有放射性出现。以后，肾区放射性逐渐减弱，膀胱区放射性随之增强，25分钟时膀胱区放射性明显高于肾区。用此种技术检查肾血管性高血压患者，发现肾灌注相及放射性高峰期出现延迟，放射性分布低于健侧肾，减低程度与肾动脉狭窄严重程度有关。其阳性率为 89%，假阳性率为10%，假阴性率为9%。</p><p>（4）卡托普利（巯甲丙脯酸，captopril）肾图：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">为提高敏感性和特异性，近几年采用联合口服卡托普利进行肾图检查，即在静脉注射核素前1小时，口服卡托普利25～50mg，饮水500ml，然后按常规方法完成肾图检查。由于卡托普利是血管紧张素转换酶抑制剂，它通过减少血管紧张素转换酶阻断ATⅠ生成ATⅡ，遂使出球小动脉扩张，使肾内吸收、积聚、排泄示踪剂均有显著的延缓，但对侧肾功能不受影响，使双侧肾图、肾小球滤过率、肾有效血浆流量、肾显影差别加大，出现非常明显的不对称，使诊断肾血管性高血压的敏感性和特异性均超过90%，并可作术前疗效预测。</p><p>5.肾素活性测定</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Goldblatt等建立肾动脉狭窄型高血压的动物模型，以后的研究普遍认为过量的肾素分泌引起血管紧张素Ⅱ的增加，这是肾血管性高血压产生的原因，故测定肾素活性有一定的意义，它有助于评定肾血管病变对患肾功能影响的程度，以明确手术指征，也有助于对手术预后作出较确切的评价。</p><p>（1）周围循环肾素活性（PRA）测定：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">正常钠摄入量，停用降压药、利尿剂2周以上，取立位抽血，测定结果：若周围循环肾素值≥5ng/（ml·h），则提示肾缺血性高血压，应进一步作分侧肾静脉肾素活性测定，或作血管紧张素阻滞剂试验；若测定值＜5ng/（ml·h）则可排除肾血管性高血压。</p><p>（2）分侧肾静脉肾素活性测定：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">用下腔静脉插管分别采集左、右肾静脉和下腔静脉血标本测定肾素值。肾血管性高血压患者周围循环肾素活性升高者，外科治疗后90%获治愈或改善，10%无改善；肾素活性不高者，则成功与失败各50%，故此项检查结果可以预测患者手术的预后。两侧肾静脉肾素活性测定结果之差为1.5∶1.0，通常大于此值手术疗效佳，但阴性比值并不能排除手术后满意反应，其假阴性率为15%。</p><p>6.血管紧张素转化酶抑制剂试验（angiotensin blockade and converting enzyme inhibitor test，ACEIT）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年来应用血管紧张素转化酶抑制剂来增强肾血管性高血压患者的高肾素反应以提高试验的敏感性。1986年Muller和Sealey等用口服单剂量卡托普利进行试验，从高血压患者中筛选肾血管性高血压。方法：患者取坐位，休息30分钟后抽血测血浆肾素活性，口服卡托普利25～50mg，测定1小时后血压下降程度和血浆肾素活性水平较服药前升高的变化。高肾素分泌反应的标准为：①服药后 1小时血浆肾素活性＞12ng/（ml·h）；②血浆肾素活性增加的绝对值＞10ng/（ml· h）；③血浆肾素活性增加150%［如基础血浆肾素活性＜3ng/（ml·h）者则应大于400%］。此方法的敏感性与特异性均为100%。但是，试验必须严格控制以下的条件：①试验前2周停用以下药物，除β-阻滞剂外，还有其他的利尿剂、抗菌药等影响肾素活性的药物；②保持正常或稍高的钠入量饮食，进钠量过少可以引起假阳性结果，必要时需要检测24小时尿钠排出量＞50mmol/d。该方法简单、准确性高，但不能提供肾动脉狭窄的解剖特点，也不能测定分肾功能情况，且双侧肾血管病变、肾功能损害、某些药物等因素可影响其准确性。</p><p>7.多普勒超声检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　肾多普勒超声(renal duplex sonography，RDS)在诊断肾血管性高血压中，它可显示患肾体积小于健肾，若肾动脉狭窄，则显示血管起始段血流流道变细，可测及高速血流，阻力指数升高，但是在肾内小动脉阻力指数往往降低；若发生闭锁，则患肾的肾内血流明显减少或消失。在术后随访嫁接的血管和血管代用品是否通畅有重要意义。此外，常用的参数包括收缩峰速度、肾主动脉比率和肾动脉阻力指数。有研究表明如果肾动脉收缩峰值速度大于180～200cm/s，且与主动脉收缩峰速度比值大于3.5时提示重度的肾动脉狭窄。此检查无创伤，敏感性和特异性分别为90%和100%，但技术要求较高，检查较费时，在肥胖、肠胀气患者不易成功，使其应用受到限制。</p><p>8.血管造影检查(1)腹主-肾动脉造影：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有资料指出，在无高血压人群的腹主-肾动脉造影中也可有3%～32%显示有不同程度的肾动脉狭窄，而在高血压患者中则有67%患肾动脉狭窄。因此，腹主-肾动脉造影仍然是目前确诊肾血管性高血压的“金标准”，手术治疗的必要依据，尤其是要行肾动脉导管扩张成形术、安装内支架、经皮导管肾动脉栓塞术等患者，此检查具有重要意义。常用的方法是经股动脉穿刺逆行插管，腹主-肾动脉造影主要显示腹主动脉、肾动脉及其分支和实质期的影像形态，了解肾动脉有无狭窄、有无狭窄后扩张，狭窄部位、范围、程度，远端分支及侧支循环的情况。有的病例可行选择性肾动脉造影，造影剂可直接进入肾动脉，使其肾内小分支亦显影，对了解肾内动脉结构、狭窄和硬化情况有特殊价值。根据复旦大学附属中山医院放射科资料，动脉造影中发现符合多发性大动脉炎者217例，其中影响肾动脉而产生高血压者71例，占32.7%。X线征象与动脉粥样硬化病变有时不易区别。下表以供鉴别诊断(表90-1)。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">高血压患者肾动脉造影的指征：①患者年龄在40岁以下者；②分肾功能试验提示两侧肾功能有一定差异；③静脉肾盂造影或放射性核素肾图有明显异常；④腹部有血管杂音；⑤长期高血压，近期发展迅速，诊断不明。腹主-肾动脉造影有一定危险性，高血压患者动脉造影死亡率为1/5000～1/2000。主要并发症有出血、动脉栓塞、急性肾衰竭，个别患者可发生椎动脉痉挛引起截瘫、肠系膜上动脉栓塞，急性心衰、急性心肌梗死、心搏骤停、呼吸衰竭、颈动脉血栓形成等，故应慎用此项检查。并发症占3%左右。为了减少或避免并发症，应注意造影前、后3日，将患者血压控制在18～20/11～12kPa(135～150/82.5～90mmHg)；注意控制造影剂量勿过大，造影后立即静脉注射20%甘露醇40～60ml，并续以静脉补液。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">表90-1　动脉粥样硬化与大动脉炎在动脉造影的鉴别</p><p><img class=\"tablePic\" id=\"T90-1_49116\" width=\"364\" height=\"268\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%A4%96%E7%A7%91%E5%AD%A6%EF%BC%88%E4%B8%8B%E5%86%8C%EF%BC%89_978-7-117-14353-0/pics/T90-1_49116.jpg\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle;\"/></p><p>(2)数字减影血管造影术(digital substraction angioplasty，DSA)：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Buonocere和Hillman等(1981)报道数字减影血管造影术应用于肾血管造影，乃是从直接动脉插管进行血管造影术减去与未注射造影剂前的平片影像，可消除与血管图像无关的其他阴影(如骨骼、软组织阴影)，使血管像显影清楚，称为减影血管造影(图90-5、图90-6)。</p><p><img id=\"P90-5_1925\" class=\"TP\" width=\"350\" height=\"283\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%A4%96%E7%A7%91%E5%AD%A6%EF%BC%88%E4%B8%8B%E5%86%8C%EF%BC%89_978-7-117-14353-0/pics/P90-5_1925.jpg\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">图90-5　腹主-肾动脉造影-DSA</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">效果：DSA的分辨率足够观察肾实质内径小至1mm的血管，可诊断肾动脉病变达到91.9%，6.6%有参考价值，只有2.3%图像不能作出诊断，并可区别纤维肌性发育不良、动脉粥样硬化、肾萎缩、肾动脉细小或肾动脉闭锁等症。现在，利用计算机数字图像处理系统，经静脉注射造影剂，使主动脉及肾动脉清晰显影，或用小导管动脉注射小剂量造影剂均可获得与上述动脉造影同样质量的图像，而且罕有并发出血者。</p><p><br/></p><p>(3)螺旋CT血管成像和磁共振血管成像：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">螺旋CT血管成像(CTA)可以在单次呼吸之间完成全部的扫描，在动脉期即可获得所有的数据以进行任何一个平面的血管重建，特别适用于肾动脉近段的狭窄。磁共振血管成像(MRA)不用碘造影剂，对碘过敏反应不能作肾动脉造影，或用大量的碘造影剂有可能造成肾毒性者具有特殊意义。它可以不受肠道气体及体型肥胖的影响。磁共振血管成像在诊断肾动脉狭窄的敏感性达83%～100%，特异性达92%～97%。近年CTA和MRA已在国内大的医疗机构得到推广和应用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此外，本病还必须与肾素瘤、原发性醛固酮症、遗传性假性醛固酮增多症、嗜铬细胞瘤及原发性高血压相鉴别。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (下册)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4934', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1657', '治疗', '<p>1.药物治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">　抗高血压药物用于因手术或PTA前须将血压控制到适当水平，一些不愿或不能接受手术或PTA治疗以及手术或PTA治疗失败的患者。但是，抗高血压药物只可控制患者的高血压，尚不能控制引起肾动脉狭窄的病理改变的进展。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">目前药物治疗首选血管紧张素转换酶抑制剂(ACEI)如卡托普利(captopril)或依那普利(enalapril)，并可与钙离子拮抗剂或β-受体阻滞剂合用。对不宜用ACEI者，亦可试用β-受体阻滞剂配合利尿剂治疗。简述如下各类药物。</p><p>(1)血管紧张素转换酶抑制剂(ACEI)：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">其作用主要是抑制血管紧张素Ⅱ的形成以降低血压。ACEI大部分从肾排出，且其许多副作用与剂量有关，故在肾功能受损的患者用量应减少。此药物长时期应用可产生某些副作用有皮疹、味觉消失、中性粒细胞减少和蛋白尿。肾功能不良者可使肌酐升高。有资料报道，全世界范围内仅5%的接受ACEI治疗肾血管性高血压患者因进行性肾功能减退而停药，而74%的患者血压受到良好的控制。因此，在所有接受ACEI治疗的患者中，需要密切随访肾大小及功能变化。</p><p>(2)钙离子拮抗剂：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">其降压作用为扩张血管，对双侧肾动脉狭窄者，不像ACEI可致肾功能减退。此药可单独应用或与ACEI合用。</p><p>(3)β-受体阻滞剂：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">此类药物通过阻断β-肾上腺素能受体抑制肾素的释放，以降低血浆肾素水平，故适合于本病患者的治疗。由于β-受体阻滞剂可使肾血管流量及肾小球滤过率稍降低，偶可引起氮质血症。</p><p>(4)扩张血管药：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">可与β-受体阻滞剂、利尿剂合用，对肾功能无不利影响，但对肾血管性高血压患者应慎用。</p><p>(5)利尿剂：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">噻嗪类利尿剂的作用相对小，对低肾素高血压最有效。在肾血管性高血压患者中，用此药偶可使血压上升，且有低钾血症的风险。由于双侧肾动脉狭窄患者有钠潴留，用袢利尿剂如呋塞米，可有辅助降压作用，不宜过多使用，易加重氮质血症。一般不用保钾利尿剂。</p><p>2.经皮腔内血管成形术(percutaneous transluminal angioplasty，PTA)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">Gmntzig等(1978)报道应用PTA扩张肾动脉狭窄获得成功，为肾血管性高血压的治疗开辟了新的途径。适应证：纤维肌性发育异常引起者，首选的治疗措施即PTA。单侧的非钙化、非闭塞性的动脉粥样硬化性肾动脉狭窄、大动脉炎引起的肾动脉狭窄以及肾动脉重建术后的吻合口狭窄、PTA术后复发性狭窄者。此外，对于进行性肾功能减退者，若由于肾动脉病变或缺血性肾病引起，则可以用PTA达到保护肾功能的目的。相对禁忌证：弥漫性主动脉粥样硬化性狭窄累及肾动脉开口者、肾动脉完全闭塞或多个分支病变，特别是血管分叉处病变者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">方法及注意点：经皮穿刺后，用一种头部有圆柱形双腔球囊的小口径动脉导管和J形扩张导管，通过导丝在荧光电视监视下插入狭窄的肾动脉内，每隔10～15秒用生理盐水稀释的造影剂充盈水囊1次(一般需2～3次)，借以扩大肾动脉的狭窄处。粥样斑块被扩张的气囊压碎或挤到血管壁中，血管壁的平滑肌和弹力纤维被拉伸到超过其弹力回缩极限，而后一层新的内膜重新覆盖被压进血管壁的碎片。神经肌肉发育不良性的狭窄者，需要拉伸动脉中层的纤维且常有撕裂伴外膜膨胀，使血管外径增加。术后再狭窄与拉伸的程度是否足以压碎粥样斑块、动脉外膜是否过分拉伸到超过其回缩限度有关。操作时应注意所用球囊加压扩张后的直径不能太小，约与肾动脉造影显示的直径相当。加压后保持足够的压力和时间。术前服用钙离子通道阻断剂以预防肾血管痉挛。术中用肝素抗凝，术后用阿司匹林80mg/d，共6个月，防止血栓形成。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">PTA的优点：不需要全身麻醉，手术并发症较低，可与肾动脉造影同时进行，即诊断与治疗一次完成，住院时间短甚至不需要住院。但是，实施PTA应有放射科医师、内科及外科医师在场以处理高血压变化和潜在的外科并发症。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">Rainsay和Waller(1990)综述1981—1987年10组共691例肾血管性高血压患者PTA治疗情况，其中464例为动脉粥样硬化所致肾动脉狭窄，193例为纤维肌性发育异常，余为移植后狭窄等。随访11～26个月，资料完整者670例，技术成功率平均为88%，失败率12%。据血压评价，治愈率平均为 24%，改善率43%，失败率33%。纤维肌性发育异常患者治愈率为5%，比动脉粥样硬化患者治愈率高。缪廷杰等报道，在1986年复旦大学附属中山医院应用PTA治疗多发性大动脉炎伴发肾动脉狭窄时，同时扩张肾动脉和腹主动脉，分别扩张4mm和9mm，从而改善了腹主动脉和肾动脉的血供，使血压下降。目前PTA已在国内广泛应用，成为肾血管性高血压的首选方法</p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(1)主动脉造影显示腹主动脉远端近分叉部位严重狭窄；(2)双球囊导管并列于狭窄段进行同时扩张；(3)PTAA术后造影显示原狭窄段管腔明显增宽</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">PTA的并发症：与PTA直接相关的并发症有穿刺部位出血、动脉内膜剥离形成急性栓塞、肾梗死、急性末梢缺血、臀部坏死、下肢坏死、动脉穿破以及球囊破裂等。与PTA非直接相关的并发症有造影剂过敏、因血压下降所致脑或心肌缺血、暂时的或不可逆的肾损害等。Roberts报告600例PTA的并发症为4.5%，发生栓塞为1%。Mabler和Triller等报道，在80例肾动脉病患者105次PTA治疗中其并发症发生率为11%，其中严重者为4%，死亡率约1%。Kremar Hovinga和de Jong(1986)等报道PTA扩张成功后再狭窄的发生情况，随访4～45个月，经血管造影证实，33例中12例发生再狭窄，其中动脉粥样硬化患者(24例)发生再狭窄有10例(占42%)；纤维肌性发育异常患者9例中有2例(占22%)。由于发生再狭窄后再行PTA多不成功，所以宁可进行手术治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年来肾动脉支架应用是血管成形术的最重要的进展。在动脉粥样硬化斑块所致肾动脉狭窄患者，经常发生PTA术后肾动脉再狭窄，放置肾动脉支架是防止血管扩张后再狭窄的重要措施。目前最常用的支架是气囊扩张型的支架，即支架位于气囊导管顶端，随气囊膨胀而扩张，并有自我膨胀的装置，通过自身固有的弹性膨胀到预定的直径。放置支架的适应证：肾动脉开口处狭窄、PTA术后再狭窄或其他常规肾动脉成形术疗效不佳的患者。有资料统计，肾动脉支架放置的技术成功率为90%；高血压治愈或改善达47%，较单独应用血管成形术高，但与血管重建手术相比较仍较低。</p><p>3.经皮导管肾动脉栓塞术</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">通过导管选择性或超选择性对肾动脉或肾内分支动脉进行栓塞，将栓塞物如不锈钢弹簧钢圈、吸收性明胶海绵、无水乙醇、硅橡胶等置入肾动脉管腔狭窄部位，使之完全闭塞，阻断血供，达到类似肾切除的目的。这种方法适用于肾内型动脉瘤、肾内动-静脉瘘、单侧肾动脉或肾内动脉分支狭窄。但是，术后可发生发热、恶心、暂时性血压升高，经对症处理后症状逐渐消失。</p><p>4.手术治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　肾血管性高血压主要是有解剖学上肾动脉发生病变，在以上方法疗效不佳或失败时，往往需行手术治疗。手术治疗有患肾切除术和肾血管重建手术两大类。</p><p>(1)肾切除：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">这是最早出现的外科治疗肾血管性高血压的方法。采用此方法时，必须注意患者对侧肾动脉有无病变或是否会逐渐发展。若肾萎缩，其长径＜9cm、肾动脉主干闭塞或梗死、严重的肾小动脉硬化、不可能纠正的肾血管病(肾内动脉病或动静脉畸形)可考虑肾切除。当有节段性肾梗死或节段性肾发育不全可作部分肾切除。但是，肾血管性高血压可为双侧病变且呈进行性，故目前除少数病例外，患肾切除已很少采用。</p><p>(2)肾动脉重建术：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">20世纪50年代以来，各种肾动脉重建手术相继出现，手术目的是恢复足够的肾动脉血流量，纠正肾缺血，达到改善肾功能和降低血压。这类手术包括肾动脉血栓内膜剥除术、血管旁路移植术、脾-肾动脉吻合术、肾动脉狭窄切除和血管移植术。现将几种主要的肾动脉重建术简述如下：</p><p>1)动脉血栓内膜剥除术(thromboendarterectomy)：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由Freeman(1952)首先采用适用于肾动脉开口处或其近端1/3的动脉粥样硬化斑块或内膜增生病变。</p><p>2)旁路手术(又称搭桥手术，by-pass operation)：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">De Weese首先开展自体大隐静脉肾动脉旁路手术。由于静脉特有的弹性，利用自体静脉行肾血管成形术，不易形成吻合口狭窄。也可应用人造血管进行血管重建，但是人造血管不能应用于小血管的重建并且容易导致吻合口的中层增生，且较自体血管有更高的感染率。内皮细胞化的人造血管，即将静脉内皮细胞种植于人造血管腔，不易血栓形成，并提高抗感染能力。血管旁路手术通常适用于肾动脉狭窄伴有狭窄后扩张的病例(图90-8)。</p><p><img id=\"P90-8_1956\" class=\"TP\" width=\"688\" height=\"197\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%A4%96%E7%A7%91%E5%AD%A6%EF%BC%88%E4%B8%8B%E5%86%8C%EF%BC%89_978-7-117-14353-0/pics/P90-8_1956.jpg\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">图90-8　腹主动脉-肾动脉旁路手术示意图</p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(1)单侧旁路手术；(2)双侧旁路手术；(3)“Y”形双侧旁路手术</p><p>3)脾-肾动脉吻合术：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由Libertino和Novick首先采用，最常用的术式为脾-肾动脉吻合术。适用于左肾动脉狭窄性纤维肌肉增生病变，要求脾动脉有足够的管径大小，而右肾动脉狭窄可采用肝-肾动脉吻合术。这两种术式均需要腹腔动脉是完好的。</p><p>4)肾动脉狭窄段切除术：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">适用于肾动脉局限性纤维肌肉增生，狭窄的长度在1～2cm以内。</p><p>5)病变切除及移植物置换术：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">适用于肾动脉狭窄长度超过2cm的病变。</p><p>6)肾动脉再植术：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">适用于肾动脉开口异常或肾动脉开口水平的腹主动脉内有斑块硬化病变切断肾动脉后将远端再植于附近正常的腹主动脉。</p><p>7)自体肾移植(auto-renotransplantation)：</p><p><img id=\"P90-9_1960\" class=\"TP\" width=\"350\" height=\"321\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%A4%96%E7%A7%91%E5%AD%A6%EF%BC%88%E4%B8%8B%E5%86%8C%EF%BC%89_978-7-117-14353-0/pics/P90-9_1960.jpg\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">图90-9　自体肾移植术示意图</p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">右肾移植于右髂窝部，右肾动脉与右髂内动脉端端吻合，右肾静脉与右髂外静脉端侧吻合，输尿管移植于膀胱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1974年开始我国采用自体肾移植治疗肾动脉狭窄(图90-9)，此手术的优点：①髂内动脉血压较肾动脉压为高，移植后该肾有充分的血供；②大动脉炎患者髂内动脉较少引起狭窄；③不用血管代用品或缺血性离体血管，不易引起异物反应和栓塞；④手术野较表浅，操作容易；⑤可以保留患肾，尤其适用于双侧肾动脉狭窄病例。方法及疗效：在肾蒂近端切断肾动脉和肾静脉，保留较长的正常血管。将肾置于4℃生理盐水中冷却，用4℃肾灌注液注入肾动脉，直至肾表面呈苍白、肾静脉流出液完全澄清后冷却。通常将此肾移植于同侧髂窝。1988年全国291例肾自体移植术总结治愈者225例，好转43例，无变化11例，死亡12例。另外，据两组资料分析，212例自体肾移植近期效果分别为82%及95.2%，远期效果为79.8%。</p><p>8)体外肾血管显微修复术：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">应用于累及多段血管或同时伴有动脉瘤样病变的患者，尤其是有某些细小或分支的肾动脉狭窄，由此使不能作血管重建术需行肾切除的患肾可能被挽救。方法：①肾的保护：患肾切除前，先在静脉内注射5%葡萄糖溶液500ml，加呋塞米1g或加20%甘露醇100ml，可使该肾在充分利尿状况下切除，有利于保护患肾。肾离体后立即用0.5%利多卡因20ml和肝素2500单位加于100ml生理盐水，注入肾动脉。离体肾置于4～6℃冷却的林格液内，随之进行肾动脉灌洗至肾表面呈苍白，肾静脉流出液澄清为止；②显微镜血管修复，一般需要切断输尿管。肾取出体外置于工作台冷却液盘内，操作时始终保持低温。应用显微外科设备及器械仔细地解剖肾门和病变血管的切除或修复，包括：分支肾动脉合并缝合，动脉瘤切除，离体血管嫁接，多支肾动脉吻合和病变肾组织局部切除等；③自体肾移植：患肾修补完成后，移植于同侧髂窝内，输尿管再植于膀胱壁内。优点：①在低温灌注下不受缺血时间的限制完成手术；②在无血状态下进行，解剖清楚，操作方便；③可最大限度保留肾和肾组织；④术中减少出血。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (下册)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4935', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1657', '预后评价', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">关于肾血管性高血压治疗的效果，可从两个方面予以评价，即血压变化和解剖上的改变。</p><p>1.血压变化(1)治愈：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">平均舒张压12.0kPa(90mmHg)，且较术前水平至少减低1.3kPa(10mmHg)。</p><p>(2)改善：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">平均舒张压较术前降低15%或以上，但仍高于12.0kPa(90mmHg)和低于13.3kPa(100mmHg)。</p><p>(3)失败：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">平均舒张压较术前降低少于15%，仍高于12.0kPa(90mmHg)或平均舒张压仍高于14.6kPa (110mmHg)。</p><p>2.解剖上的改变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　根据术后血管造影所显示的重建血管的通畅程度，分为成功、有效和失败。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (下册)</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4936', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '511', '概述', '<p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">即稳定型劳力性心绞痛，亦称普通型心绞痛，是最常见的心绞痛。指由心肌缺血缺氧引起的典型心绞痛发作，其临床表现在1～3个月内相对稳定，即每日和每周疼痛发作次数大致相同，诱发疼痛的劳力和情绪激动程度相同，每次发作疼痛的性质和疼痛部位无改变，疼痛时限相仿，用硝酸甘油后也在相近时间内发生疗效。&nbsp;发病机制</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">是心肌缺血与缺氧所引起的疼痛。心肌氧耗的多少由心肌张力、心肌收缩强度和心率所决定，故常用“心率×收缩压”（即二重乘积）作为估计心肌氧耗的指标。心肌能量的产生要求大量的氧供。心肌细胞摄取血液氧含量的65%～75%，而身体其他组织则仅摄取10%～25%。因此心肌平时对血液中氧的摄取已接近于最大量，对心肌氧供应的增加更多依靠增加冠状动脉的血流量来实现。在正常情况下，冠状循环有很大的储备，其血流量可随身体的生理情况而有显著的变化；在剧烈运动心率加快的同时，小冠状动脉扩张，冠状循环阻力下降，冠脉循环血流量可增加到休息时的6～7倍。当大的心外膜冠状动脉管径狭窄超过50%时，对血流量产生相当的阻力，以至于其传输血流的功能受损，此时冠脉循环的最大储备量下降。然而由于缺血可激活自动调节机制，造成小冠状动脉扩张，使总的冠状动脉阻力趋于正常，静息血流量仍可保持正常；但当心脏负荷加重及其心肌耗氧量增加超过小冠状动脉的扩张储备能力所能代偿时，则发生相对的心肌供血不足。这种由心肌需氧量的增加最终超过固定狭窄的冠状动脉最大代偿供血能力所引起的心肌缺血是稳定型心绞痛最常见的机制。而冠状动脉痉挛（如吸烟过度或神经体液调节障碍）或暂时性血小板聚集、一过性血栓形成以及狭窄局部血液流变学异常所致的血流淤滞等冠状动脉血流的动力性阻塞因素，可导致心肌供血的突然减少，这是产生心绞痛的又一重要因素。此外，突然发生循环血流量减少的情况下（如休克、极度心动过速等），心肌血液供求之间的矛盾加深，心肌血液供给不足，也可引起心绞痛。</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">产生疼痛的直接因素，可能是在缺血缺氧的情况下，心肌内积聚过多的代谢产物，如乳酸、丙酮酸、磷酸等酸性物质；或类似激肽的多肽类物质，刺激心脏内自主神经的传入纤维末梢，经上颈神经节至第5胸交感神经节和相应的脊髓段，传至大脑，产生疼痛感觉。这种痛觉常投射到与自主神经进入水平相同脊髓段的脊神经所分布的皮肤区域，称为“牵涉痛”，故心绞痛常表现为胸骨后疼痛并放射至左肩、臂和手指。</p><p style=\"white-space: normal; text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4937', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '511', '病理解剖和病理生理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">稳定型心绞痛患者的冠状动脉造影显示有1、2或3支冠脉直径减少＞70%的病变者分别各有25%，此外，5%～10%的患者有左冠脉主干狭窄，其余约15%的患者无显著狭窄。后一种情况提示这些患者的心肌血供和氧供不足可能是冠状动脉痉挛、冠状循环的小动脉病变、血红蛋白和氧的离解异常、交感神经活动过度、儿茶酚胺分泌过多或心肌代谢异常等所致。存在心肌桥时冠状动脉在收缩期管腔明显受压也可导致心绞痛发生。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4938', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '511', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">典型稳定型心绞痛发作是劳累时突然发生的位于胸骨体上段或中段之后的压榨性、闷胀性或窒息性疼痛，亦可能波及大部分心前区，可放射至左肩、左上肢前内侧，达无名指和小指，范围有手掌大小，偶可伴有濒死的恐惧感觉，重者还可出汗，往往迫使患者立即停止活动。疼痛历时1～5分钟，很少超过15分钟；休息或含用硝酸甘油片，在1～2分钟内（很少超过5分钟）消失。常在体力劳累、情绪激动、受寒、饱食、吸烟时发生，贫血、心动过速或休克亦可诱发。不典型的心绞痛，疼痛可位于胸骨下段、左心前区或上腹部，放射至颈、下颌、左肩胛部或右前胸，疼痛可很轻或仅有左前胸不适或发闷感。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心绞痛发作时，患者表情焦虑，皮肤苍白、冷或出汗。血压可略增高或降低，心率可正常、增快或减慢，以增快居多，可有房性或室性奔马律，心尖区可有收缩期杂音（二尖瓣乳头肌功能失调所致），第二心音可有逆分裂，还可有交替脉或心前区抬举性搏动等体征。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据诱发心绞痛的体力活动量，加拿大心血管病学会（CCS）将劳力性心绞痛的严重程度分为四级：①Ⅰ级：日常活动时无症状。较日常活动重的体力活动，如平地小跑步、快速或持重物上三楼、上陡坡等时引起心绞痛。②Ⅱ级：日常活动稍受限制。一般体力活动，如常速步行1.5～2公里、上三楼、上坡等即引起心绞痛。③Ⅲ级：日常活动明显受限。较日常活动轻的体力活动，如常速步行0.5～1公里、上二楼、上小坡等即引起心绞痛。④Ⅳ级：轻微体力活动（如在室内缓行）即引起心绞痛，严重者休息时亦发生心绞痛。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4939', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '511', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">根据典型的发作特点和体征，含用硝酸甘油后缓解，结合年龄和存在冠心病危险因素，除外其他原因所致的心绞痛，一般即可建立诊断。体格检查对稳定型心绞痛的诊断无重要价值，但可发现基础心脏病的线索。心电图检查是诊断心肌缺血的最常用的无创性检查。心绞痛发作时心电图检查可见以R波为主的导联中ST段压低，T波平坦或倒置，发作过后数分钟内逐渐恢复（图16-8-1）。其他变化还可有传导阻滞（房室或束支阻滞）、左心室肥大、心律失常等，偶有陈旧性心肌梗死表现。静息时50%以上的患者心电图在正常范围，可考虑进行动态心电图记录和（或）心脏负荷试验。后者常用活动平板运动、踏车等动力性负荷试验（图16-8-2）。对不能进行运动试验的患者还可用药物负荷试验包括双嘧达莫（潘生丁）试验、腺苷试验、多巴酚丁胺试验。麦角新碱诱发试验用于诊断冠状动脉痉挛。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">放射性核素心脏显像包括心肌灌注显像、心室腔显像、心肌代谢显像等有助于判断心肌缺血或坏死。心肌灌注显像常用<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">201&nbsp;</span>Tl或<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">99m</span>Tc-MIBI静脉注射使正常心肌显影而缺血区不显影的“冷点”显像法，结合运动或药物负荷试验，还可查出静息时心肌无明显缺血的患者（图16-8-3）。用<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">113m</span>In、<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">99m</span>Tc标记红细胞或白蛋白行心室血池显影有助于了解室壁运动、心室的射血分数等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">超声心动图检查可通过观察室壁运动有无异常、心腔形态的改变、心室的射血分数等来判断心肌缺血，也可与运动、双嘧达莫、腺苷、多巴酚丁胺等负荷试验结合应用。近年发展的心肌对比超声心动图有助于了解心肌的血流灌注情况和冠脉血流储备。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">磁共振显像可同时获得心脏解剖、心肌灌注与代谢、心室功能及冠状动脉成像的信息。心脏X线片可无异常发现或见主动脉增宽、心影增大、肺充血等。电子束X线断层显像（electron beam computed tomography，EBCT）用于检测冠状动脉的钙化、预测冠状动脉狭窄的存在。CT血管造影（computed tomography angiography，CTA）近年来应用广泛，在条件控制良好的情况下，其诊断准确率可达90%以上，而新近320排双源螺旋CT的出现，使其时间和空间分辨率更高，受心律的影响更小。但由于冠状动脉CTA与选择性冠状动脉造影对比的研究资料还不够充分，加之其技术还不够完善，2010年欧洲心脏病协会对于应用CTA诊断冠心病或评估冠心病预后的推荐为Ⅱ类，低于各类心脏负荷试验的推荐，目前CTA还不能完全取代选择性冠状动脉造影，只能作为一种重要补充（图16-8-4）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">选择性冠状动脉造影（selective coronary arteriography）是显示冠状动脉粥样硬化性病变最有价值的有创性检测手段。可分别显影出左、右冠状动脉至直径小到100μm的分支，从而观察到冠状动脉的阻塞性病变（图16-8-5）。如与电子计算机数字减影血管造影法结合进行还能显影更小的分支。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">由于冠状动脉造影只是通过造影剂充填的管腔轮廓反映冠脉病变，因此在定性和定量判断冠脉壁上的病变方面存在局限性。冠状动脉血管内超声（intravascular ultrasound，IVUS）成像是将微型超声探头通过心导管送入冠状动脉，从血管腔内显示血管的横断面，不但显示管腔的狭窄情况，还能了解冠状动脉壁的病变情况（图16-8-6）。光学相干断层扫描（optical coherence tomography，OCT）与IVUS相比，分辨率更高，可用于显像病变的性质，不过穿透力较低。冠状动脉血管镜（coronary angioscopy）检查是直接观察冠脉腔的方法，在显示血栓性病变方面有独特的应用价值。血管内多普勒血流速度测定（intravascular Doppler blood flow velocity measurement）则是采用多普勒原理，通过导管或导丝将换能器直接置入冠脉内测定血流速度的技术，能测定冠状动脉血流储备，评价微循环灌注情况等冠脉生理功能情况，冠状动脉内压力测定技术得到的血流储备分数可评价冠状动脉病变导致的机械性梗阻程度。在选择性冠状动脉造影的基础上发展起来的上述有创的技术对冠状动脉病变的形态和冠脉循环的功能评价能提供更多有价值的信息。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">我国患者心绞痛发作时的表现常不典型，诊断需谨慎从事。国外也有学者强调心绞痛一词不完全代表痛，部分患者对心肌缺血缺氧的感觉是痛以外的另一些感觉，因而可能否认感觉疼痛。下列几方面有助于临床上判别心绞痛。</p><p>（一）性质</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">心绞痛应是压榨紧缩、压迫窒息、沉重闷胀性疼痛，而非“绞痛”也非刀割样、尖锐痛或抓痛、短促的针刺样或触电样痛、或昼夜不停的胸闷感觉。在少数患者可为烧灼感、紧张感或呼吸短促伴有咽喉或气管上方紧缩感。症状很少为体位改变或深呼吸所影响。</p><p>（二）部位</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">疼痛或不适处常位于胸骨或其邻近，也可发生在上腹至咽部之间的任何水平处，但极少在咽部以上。有时可位于左肩或左臂，偶尔也可位于右臂、下颌、下颈椎、上胸椎、左肩胛骨间或肩胛骨上区，然而位于左腋下或左胸下者很少。对于疼痛或不适感分布的范围，患者常需用整个手掌或拳头来指示，仅用一手指的指端来指示者极少。</p><p>（三）时限</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">多持续数分钟，一般不会超过15分钟。疼痛持续仅数秒钟或不适感（多为闷感）持续整天或数天者均不似心绞痛。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526628350002057197.jpg\" title=\"1526628350002057197.jpg\" alt=\"图16-8-1　稳定型心绞痛症状发作时的心电图.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1654px; table-layout: fixed;\"/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; text-align: center; background-color: rgb(255, 255, 255);\">图16-8-1　稳定型心绞痛症状发作时的心电图</span></p><p><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526628399936040270.jpg\" title=\"1526628399936040270.jpg\" alt=\"图16-8-2　活动平板运动试验阳性的心电图.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1571px; table-layout: fixed;\"/></p><p style=\"text-align: center;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; text-align: center; background-color: rgb(255, 255, 255);\">图16-8-2　活动平板运动试验阳性的心电图</span></p><p>（四）诱发因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多与体力活动或情绪变化（过度兴奋、恐怖、紧张、发怒、烦恼等）有关。通常心绞痛发生在心脏负荷加重的当时而非之后。饱餐、寒冷、感染等情况下心绞痛更易诱发。</p><p>（五）缓解方式</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">休息或舌下含用硝酸甘油片如有效，症状应于数分钟内缓解。在评定硝酸甘油的效应时，还要注意患者所用的药物是否已经失效或接近失效。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4940', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '511', '鉴别诊断', '<p>（一）X综合征（syndrome X）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Kemp于1973年提出，晚近，Cannon等建议称其为“微血管性心绞痛”。目前被认为是小冠状动脉内皮依赖性舒张功能障碍、异常的神经刺激或代谢障碍等多种因素所致，以反复发作劳累性心绞痛为主要表现，疼痛亦可在休息时发生。发作时或负荷后心电图可示心肌缺血表现、部分患者超声心动图可示节段性室壁运动异常、核素心肌灌注扫描可发现节段心肌灌注减低和再分布征象。本病多见于绝经期前女性，冠心病的危险因素不明显，疼痛症状不甚典型，冠状动脉造影未见有意义的狭窄但常可见血流缓慢和冠状动脉血流储备降低。治疗反应不稳定但预后良好。</p><p>（二）心脏神经症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病患者常诉胸痛，但为短暂（几秒钟）的刺痛或较持久（几小时）的隐痛，患者常喜欢不时地深吸一大口气或作叹息性呼吸。胸痛部位多在左胸乳房下心尖部附近，或经常变动。</p><p>（三）急性心肌梗死</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病疼痛部位与心绞痛相仿，但性质更剧烈，持续时间可达数小时，含服硝酸甘油多不能使之缓解，常伴有休克、心律失常和（或）心力衰竭，并有发热。可有特征性的心电图和心肌损伤标志物的改变。</p><p>（四）心肌桥（myocardial bridge）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">冠状动脉通常行走于心外膜下的结缔组织中，如果一段冠状动脉行走于心肌内，这束心肌纤维被称为心肌桥，行走于心肌桥下的冠状动脉被称为壁冠状动脉。由于壁冠状动脉在每一个心动周期的收缩期中被挤压，而产生远端心肌缺血，临床上可表现为类似心绞痛的胸痛，心律失常，甚至心肌梗死或猝死。冠状动脉造影时可显示该节段收缩期血管腔被挤压，舒张期又恢复正常，被称为挤奶现象（milking effect）。血管内超声更能准确地反映出心肌桥的存在，冠脉内多普勒可呈现特征性的舒张早期血流加速及收缩期前向血流减弱或逆流现象。</p><p>（五）其他疾病引起的心绞痛</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括严重的主动脉瓣病变、风湿热或其他原因引起的冠状动脉炎、梅毒性主动脉炎引起冠状动脉口狭窄或闭塞、肥厚型心肌病肥厚心肌相对缺血、先天性冠状动脉畸形等引起的心绞痛，要根据其他临床表现来进行鉴别。</p><p>（六）肋间神经痛</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病疼痛常累及1～2个肋间，但并不一定局限在前胸，为刺痛或灼痛，多为持续性而非发作性，咳嗽、用力呼吸和身体转动可使疼痛加剧，沿神经行径处有压痛，手臂上举活动时局部有牵拉疼痛，故与心绞痛不同。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此外，不典型的心绞痛还需与肋骨和肋软骨病变、食管病变、纵隔病变、食管裂孔疝、溃疡病、肠道疾病、颈椎病等所引起的胸、腹疼痛相鉴别。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4941', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '511', '预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">稳定型心绞痛患者，经治疗后症状可缓解或消失，充分的侧支循环建立后可长时间不发作疼痛。决定预后的主要因素为冠状动脉病变范围和心功能。左冠状动脉主干病变最为严重，左主干狭窄患者第一年的生存率为70%，三支血管病变及心功能减退的患者（LVEF＜25%）的生存率与左主干狭窄相同。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4942', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '511', '防治', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于慢性稳定型心绞痛患者，药物治疗是基石，无论患者是否已经接受血运重建。药物和非药物治疗的目的包括两个方面：一是改善心绞痛症状提高生活质量；二是降低心肌梗死和死亡风险，改善预后。</p><p>（一）一般治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">发作时立刻停止活动，一般患者在休息后症状即可消除。平时应尽量避免各种诱发因素，如过度的体力活动、情绪激动、饱餐等，冬天注意保暖，避免油腻饮食，戒烟限酒。治疗高血压、糖尿病、血脂异常、贫血、甲状腺功能亢进等相关疾病。</p><p>（二）药物治疗1.改善预后的药物治疗（1）抗血小板药物：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">阿司匹林（乙酰水杨酸）类制剂可以抑制血小板在动脉粥样硬化斑块上的聚集，防止血栓形成，同时也通过抑制血栓脘A<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>（TXA<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>）的形成，抑制TXA<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>所导致的血管痉挛。每天75～100mg阿司匹林可降低稳定型心绞痛患者心肌梗死、脑卒中和心血管性死亡危险，无禁忌证或不良反应的患者均应长期服用。其他的抗血小板制剂还有氯吡格雷（clopidogrel），因其在稳定型心绞痛患者中应用的资料有限，目前仅仅被推荐用于阿司匹林过敏或不能应用者；双嘧达莫（dipyridamole，潘生丁）可使血小板内环磷酸腺苷增高，抑制钙离子活性，因可引起所谓的“冠状动脉窃血”，反而使心肌缺血加重引起心绞痛，目前不推荐使用；西洛他唑（cilostazol），是磷酸二酯酶抑制剂，50～100mg，2次/日。</p><p>（2）血管紧张素转换酶抑制剂（ACEI）与血管紧张素Ⅱ受体拮抗药（ARB）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对有心血管危险因素或心血管疾病的患者，ACEI显著减少心源性死亡、心肌梗死和脑卒中。ACEI适用于稳定型心绞痛同时伴有其他ACEI适应证的患者，如伴高血压、心力衰竭、左心室功能障碍、既往有心肌梗死伴左心室功能障碍或糖尿病等。迄今，ARB作为与AECI作用机制相类似的药物，对于稳定型心绞痛患者，在欧洲已被推荐具有与ACEI相同的适应证，但美国FDA仍建议ARB仅在ACEI不能耐受时考虑使用。</p><p>（3）调脂药物：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对已确诊的冠心病患者，降低低密度脂蛋白胆固醇（LDL-C）的药物能降低不良缺血事件的风险。因此，所有冠心病患者应使用他汀类药物，除非有禁忌证或不能耐受。</p><p>（4）β受体阻断药：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于发生过心肌梗死或心力衰竭的高危患者，β受体阻断药可显著降低心血管事件发生率，β受体阻断药对低危的稳定型心绞痛是否有同样的心脏保护作用，尚不清楚。但鉴于其对死亡率和患病率的潜在益处，对于稳定型心绞痛患者应考虑作为起始治疗药物，可根据症状和心率调整剂量。糖尿病患者不是使用β受体阻断药的禁忌证。常用制剂是美托洛尔（metoprolol）平片12.5～50mg，2次/日或缓释片23.75～95mg，1次/日；阿替洛尔（atenolol，氨酰心安）12.5～25mg，2次/日；比索洛尔（bisoprolol）2.5～10mg，1次/日等（以上均为选择性阻滞β1受体制剂）。其他还有：卡维地洛（carvedilol）12.5～50mg，2次/日等。</p><p>2.改善症状、减轻缺血发作的药物治疗（1）硝酸酯制剂：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">这类药物除扩张冠状动脉，增加冠状循环的血流量外，还通过对周围血管的扩张作用，减低心脏前后负荷和心肌的需氧，从而缓解心绞痛。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1）硝酸异山梨酯：口服二硝酸异山梨酯（isosorbide dinitrate）5～20mg，3次/日，服后半小时起作用，持续3～5小时，缓释制剂药效可维持12小时，可用20mg，2次/日。单硝酸异山梨酯（isosorbide 5-mononitrate），为长效制剂，20～50mg，每日1～2次。患青光眼、颅内压增高、低血压者不宜选用本类药物。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2）长效硝酸甘油制剂：服用长效片剂，硝酸甘油持续而缓慢释放，口服半小时后起作用，持续可达8～12小时，可每8小时服1次，每次2.5mg。用2%硝酸甘油油膏或皮肤贴片（含5～10mg）涂或贴在胸前或上臂皮肤而缓慢吸收，适于预防夜间心绞痛发作。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在心绞痛发作当时，可使用作用较快的硝酸酯制剂。①硝酸甘油：可用0.3～0.6mg（国内制剂为0.5mg/片），舌下含化，1～2分钟即开始起作用，约半小时后作用消失。延迟见效或完全无效时提示患者并非患心绞痛或ACS可能。长期反复应用可产生耐药性，停用10小时以上，即可恢复疗效。副作用与各种硝酸酯一样，有头昏、头胀痛、头部跳动感、面红、心悸等，偶有血压下降。因此第一次用药时，患者宜平卧片刻，必要时吸氧；②二硝酸异山梨酯：可用5～10mg，舌下含化，2～5分钟见效，作用维持2～3小时。此外还有供喷雾吸入用的制剂。</p><p>（2）β受体阻断药：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">阻断拟交感胺类对心率和心肌收缩力的作用，减慢心率、降低血压，减低心肌收缩力和氧耗量，从而预防或减少心绞痛的发作。此外，还减低运动时血流动力的反应，使同一运动量水平上心肌氧耗量减少；使不缺血的心肌区小动脉（阻力血管）缩小，从而使更多的血液通过极度扩张的侧支循环（输送血管）流入缺血区。因此它们也是稳定型心绞痛患者改善心肌缺血的主要药物。当不能耐受β受体阻断药或疗效不满意时可加用或换用钙通道阻断药、长效硝酸酯类。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本药可与硝酸酯制剂合用，但要注意：①两药有协同作用，因而始用剂量应偏小，以免引起体位性低血压等副作用；②停用本药时应逐步减量，如突然停用有诱发心肌梗死的可能；③支气管哮喘以及心动过缓者不用为宜；④剂量应逐渐增加到发挥最大疗效，但要注意个体差异。</p><p>（3）钙通道阻断药：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本类药物能抑制心肌收缩，减少心肌氧耗；扩张冠状动脉，解除冠状动脉痉挛，改善心肌的供血；扩张周围血管，降低动脉压，减轻心脏负荷；还降低血液黏稠度，抗血小板聚集，改善心肌的微循环。短效二氢吡啶类钙通道阻断药会增加严重的不良心脏事件，不推荐使用，但长效或缓释的血管选择性的二氢吡啶类或非二氢吡啶类钙通道阻断药则是安全、有效的。当出现β受体阻断药应用禁忌或不能耐受时，长效钙通道阻断药可作为首选药物。此外，当β受体阻断药单独应用效果不好时可加用钙通道阻断药以增强抗心绞痛的疗效。常用制剂有：①维拉帕米（verapamil）80mg，3次/日或缓释剂240mg/d，副作用有头晕、恶心、呕吐、便秘、心动过缓、PR间期延长、血压下降等；②地尔硫<span style=\"color: rgb(51, 51, 51); font-family: arial; font-size: 13px; line-height: 13.3467px; background-color: rgb(255, 255, 255);\">䓬</span>（diltiazem，硫氮<span style=\"color: rgb(51, 51, 51); font-family: arial; font-size: 13px; line-height: 13.3467px; background-color: rgb(255, 255, 255);\">䓬</span>酮）30～90mg，3次/日，其缓释制剂45～90mg，1～2次/日，副作用有头痛、头晕、失眠等；③硝苯地平（nifedipine）缓释制剂20～40mg，1～2次/日，副作用有头痛、头晕、乏力、血压下降、心率增快等，同类制剂有尼群地平（nitrendipine）、尼卡地平（nicardipine）、非洛地平（felodipine）、氨氯地平（amlodipine）等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本类药可与硝酸酯同服，但维拉帕米和地尔硫<span style=\"color: rgb(51, 51, 51); font-family: arial; font-size: 13px; line-height: 13.3467px; background-color: rgb(255, 255, 255);\">䓬</span>与β受体阻断药合用时则有过度抑制心脏的危险。停用本类药时也宜逐渐减量然后停服，以免发生冠状动脉痉挛。</p><p>（4）代谢类药物：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">曲美他嗪（trimetazidine）已有多年临床经验，其单用或与其他药物合用对稳定型心绞痛的有效性已被证实。该药通过抑制脂肪酸氧化、增加葡萄糖代谢而治疗心肌缺血，无血流动力学影响，可与血流动力学药物合用。在传统治疗不能耐受时，可将曲美他嗪作为补充或替代治疗。口服40～60mg/d，分2～3次服用。</p><p>（5）窦房结抑制剂伊伐布雷定（ivabradine）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">该药是目前唯一的高选择If通道离子抑制剂。伊伐布雷定通过阻断窦房结起搏电流If通道，降低心率，发挥抗心绞痛的作用。该药适用于对β受体阻断药不能耐受、无效或禁忌的患者、β受体阻断药和钙通道阻断药无法控制的患者以及伴有房室传导阻滞的患者。</p><p>3.中医中药治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据中医辨证论治采用治标和治本两法。治标，主要在疼痛期应用，以“通”为主，有活血化瘀、理气、通阳、化痰等法；治本，一般在缓解期应用，以调整阴阳、脏腑、气血为主、有补阳、滋阴、补气血、调理脏腑等法。其中以“活血化瘀”法（常用丹参、红花、川芎、蒲黄、郁金、丹参滴丸或脑心通等）和“芳香温通”法（常用苏合香丸、苏冰滴丸、宽胸丸、保心丸、麝香保心丸等）和“祛痰通络”法（通心络等）最为常用。此外，针刺或穴位按摩治疗也有一定疗效。</p><p>（三）血运重建治疗1.经皮冠脉介入治疗（PCI）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">以往的临床观察显示，用球囊导管行经皮冠脉血管成形术（PTCA）与药物疗法相比能使患者的症状迅速改善、生活质量提高（活动耐量增加），但是对远期心肌梗死的发生和死亡率无显著影响。随着新技术的出现，尤其是新型支架特别是药物洗脱支架和新型抗血小板药物的应用，介入治疗可明显降低患者的心绞痛症状，且再狭窄和靶病变需再次血运重建的发生率显著降低。</p><p>2.外科治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要是施行主动脉-冠状动脉旁路移植手术（CABG）或内乳动脉远端-冠状动脉吻合术。本手术目前在冠心病发病率高的国家中已成为最普通的择期性心脏外科手术，对缓解心绞痛有较好效果。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本手术适应证：①冠状动脉多支血管病变，尤其是合并糖尿病的患者；②冠状动脉左主干病变；③不适合于行介入治疗的患者；④心肌梗死后合并室壁瘤，需要同时进行室壁瘤切除的患者；⑤狭窄段的远段管腔要通畅，血管供应区有存活心肌。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">微创冠状动脉旁路手术，采用非体外循环心脏不停跳的方式，并发症少，患者康复快，因此已被普遍接受。而新近的机器人辅助冠状动脉旁路术则完全腔镜化，手术创伤更小，术后恢复更快，但由于其对团体合作和机器操作培训要求非常严格等诸多因素，目前未被广泛应用。</p><p>（四）运动锻炼疗法</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">适宜的运动锻炼有助于促进侧支循环的发展，增加运动耐量，减轻患者的症状，同时运动有利于患者控制体重、降低血压、血脂水平以及提高胰岛素敏感性等，因此提倡冠心病患者进行适量的运动。其运动强度可以参考患者进行运动负荷试验时的表现来确定。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4969', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '742', '概述', '<p><span style=\"font-size: 12px;\">心肌病（cardiomyopathy）是由各种病因引起的一组非均质的心肌病变，包括心脏机械和电活动的异常，表现为心室不适当的肥厚或扩张。心肌病可以单纯局限于心脏，也可以是全身系统性疾病的一部分，最终导致心力衰竭或死亡。先天性心脏病、瓣膜病、高血压、冠心病等心血管疾病所引起的心肌异常不包括在心肌病的范畴。</span></p><p style=\"text-align: right;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4970', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '742', '分类', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">1995年世界卫生组织和国际心脏病学会（WHO/ ISFC）工作组根据病理生理学将心肌病分为四型，即扩张型心肌病、肥厚型心肌病、限制型心肌病及致心律失常型右心室心肌病。不定型的心肌病仍保留。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">2006年美国心脏病学会临床心脏病、心力衰竭和移植委员会将心肌病分为原发性心肌病和继发性心肌病两大类，原发性心肌病仅局限在心肌，又分为遗传性（包括肥厚型心肌病、致心律失常型右心室心肌病/发育不全、左心室致密化不全、原发心肌糖原累积症、传导异常、线粒体肌病、离子通道异常）、获得性（包括炎症性心肌病、应激性心肌病、围生期心肌病、心动过速性心肌病、酒精性心肌病等）和混合性（包括扩张型心肌病、限制型心肌病）（表16-15-1）。继发性心肌病是指心肌病变作为全身多器官病变之一的疾病，即以往所指的特异性心肌病，例如浸润性疾病、中毒性疾病、内分泌疾病、神经肌肉性疾病、自身免疫病、癌症治疗并发症等累及心肌者。该分类方法首次将引起致命性心律失常的原发心电异常，如长QT综合征和Brugada综合征等归于原发性心肌病，引导我们从分子遗传学角度认识心肌病的发病机制，并且理顺了心肌病与其他心脏病之间的关系。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">2007年欧洲心脏病学会为了方便临床诊断和治疗，注意依据心室形态和功能将心肌病分为扩张型心肌病、肥厚型心肌病、致心律失常型右心室心肌病、限制型心肌病和未定型心肌病（包括心肌致密化不全和心尖球囊样综合征）五大类，每一类心肌病又分为家族性/遗传性和非家族性/非遗传性两种。</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">表16-15-1　原发性心肌病分类</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526631347003066645.jpg\" title=\"1526631347003066645.jpg\" alt=\"表16-15-1　原发性心肌病分类.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 955px; table-layout: fixed;\"/></span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: right;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4985', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1648', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病心血管病属于糖尿病慢性大血管病变的范畴，主要涉及糖尿病性心脏病（diabetic cardiopathy，DCP）、脑血管病（cerebrovascular disorder，CVD）及外周血管病（peripheral vascular disorder，PVD）三个领域。糖尿病性心脏病（diabetic cardiopathy）是指由于糖尿病所引起的，在糖和脂肪等多代谢紊乱长期得不到纠正的基础上发生的心脏大血管病变、微血管病变以及自主神经病变。其中，大血管病变主要位于心脏表面的冠状动脉，即糖尿病性冠心病；微血管病变是指心肌内的微小血管病变，即糖尿病心肌病（diabetic cardiomyopathy）；支配并调控心脏活动的自主神经形态与功能异常主要引起心律失常。糖尿病心脏病与非糖尿病患者相比，其起病更早，糖尿病患者伴冠心病常表现为无痛性心肌梗死，梗死面积比较大，穿壁梗死多，病情更严重，预后更差，病死率更高。男性糖尿病心脑血管病的发生率约为非糖尿病患者群的2.5倍，女性则高达3.5～4.5倍。如冠状动脉造影和临床排除冠状动脉病变，糖尿病患者出现严重的心律失常、心脏肥大、肺淤血和充血性心力衰竭，尤其是难治性心力衰竭，临床可考虑糖尿病心肌病变。流行病学资料表明，约50%的初诊2型糖尿病患者已有冠脉病变；70%以上的糖尿病患者死于心血管并发症或伴随症，心肌梗死是2型糖尿病的首要致死病因。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病是脑血管病的独立危险因素，糖尿病者脑血管病发生率较非糖尿病者明显增高，女性尤甚。Framingham研究发现，45～74岁糖尿病脑梗死发生率较非糖尿病者男性高2.5倍，女性高3.7倍。而且，糖尿病者各年龄段缺血性脑卒中的发生率均高于非糖尿病者。糖尿病脑血管病以脑动脉粥样硬化所致缺血性脑病最常见，如短暂性脑缺血发作（transient ischemic attack，TIA）、腔隙性脑梗死、多发性脑梗死和脑血栓形成等。脑血栓形成多发生于大脑中动脉，而腔隙性脑梗死则多见于脑内深穿支的供血区，如壳核、内囊、丘脑及脑桥基底等。由于糖尿病高血压发生率甚高（20%～60%），出血性脑病亦很常见。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病患者有易发血管闭塞性疾病的倾向，外周血管病变（PVD）的发生率至少是非糖尿病患者的4倍，且随年龄增长和病程延长而增加。多中心流行病学调查显示，我国50岁以上的糖尿病人群中有近1/5患有PAD，糖尿病患者是否容易患PAD与年龄、吸烟、糖尿病病程、血糖升高水平及收缩期血压有关，但与性别无关。糖尿病患者的PVD具有发病年龄早、进展快和病情重等特点。据报道，糖尿病患者中，62%的足部难治性溃疡和46%的截肢与动脉缺血有关。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本文主要讨论糖尿病心血管病。</p><p>来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4986', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1648', '病因与发病机制', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病患者发生动脉粥样硬化的机制不仅包括传统的危险因素如高龄、女性、遗传、高血糖、血脂紊乱、高血压、吸烟和肥胖等，还包括胰岛素抵抗（IR）、内皮细胞功能受损、纤溶系统异常、氧化应激反应增强、慢性炎症反应、细胞因子增高和白蛋白尿等非传统危险因素。传统的和非传统的危险因子相互联系与共同作用，导致动脉粥样硬化的发生与发展（图5-29-20）。许多因素促进动脉粥样硬化的进展，最初是其中的一种危险因素参与，从改善内皮细胞功能或者是改变脂质氧化到巨噬细胞和血管平滑肌增生，其共同途径是因内皮细胞损伤而形成动脉硬化斑块。</p><p style=\"text-align: center;\"><span style=\"font-size: 12px;\">图5-29-20　动脉粥样硬化斑的形成过程</span></p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526623778659006700.jpg\" title=\"1526623778659006700.jpg\" alt=\"图5-29-20　动脉粥样硬化斑的形成过程.jpg\"/></p><p><br/></p><p><span style=\"font-size: 12px;\"><br/></span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">注：脆性斑块破裂导致动脉血栓形成，后果由动脉壁损伤或缺血所诱发。在一般情况下，脆性斑块并非动脉狭窄的原因，当斑块的纤维帽破裂时，平滑肌细胞、巨噬细胞和淋巴细胞被激活，与纤维帽作用，合成的金属蛋白酶等降解基质蛋白（胶原纤维），使不稳定的斑块纤维帽破裂</p><p>（一） 传统危险因素引起动脉粥样硬化和心血管病1. 遗传因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2型糖尿病、高血压、高脂血症、冠心病和肥胖症均被发现有家族聚集现象，尤其与红细胞膜钠-锂逆转换（sodium lithium countertransport，SLC）、血管紧张素转换酶基因、瘦素基因和载脂蛋白E基因的多态性等有关。</p><p>2. 高血糖</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">高血糖时，血红蛋白与葡萄糖结合成糖化血红蛋白（HbA<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>c），其输氧功能下降，尤其在葡萄糖酵解中，2，3-二磷酸甘油酸（2，3-DPG）下降，氧分离困难，组织缺氧；高血糖还通过醛糖还原酶（aldose reductase）生成更多的山梨醇，刺激动脉平滑肌细胞及成纤维细胞增生。英国前瞻性糖尿病研究（UKPDS）表明，HbA<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1c</span>可以预测缺血性心肌病，HbA<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1c</span>每增加1%，冠心病的危险性增加10%。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">餐后高血糖与糖尿病大血管并发症的关系更密切。目前认为，即使是餐后血糖一过性波动也可通过以下的机制产生心血管损害：①葡萄糖毒性作用：过高的餐后血糖加速蛋白非酶促糖化（早期产物由HbA<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1c</span>表示，晚期产物由蛋白糖化终产物AGEs表示），并可通过众多机制影响血管，如红细胞膜糖化后，红细胞变形能力下降；糖化低密度脂蛋白（LDL）很难被LDL受体识别，吞噬细胞通过清除途径增加对LDL的摄取，并形成泡沫细胞；LDL更易氧化，并刺激血小板聚集；AGEs通过细胞因子的增殖作用，促进血管基质增生。②餐后高血糖增强氧化应激反应，加剧血管病变发展。③餐后高血糖使D-二聚体和凝血酶原片段释放入血，凝血酶形成增加，继而导致纤溶增加和反复的凝血机制激活。④高血糖激活内皮细胞蛋白激酶C（PKC），刺激黏附因子表达。</p><p>3. 肥胖</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">中心性肥胖和高胰岛素血症、胰岛素抵抗、脂代谢紊乱、前炎症/前血栓状态关联。脂肪组织合成和分泌许多生物活性物质（如脂联素、抵抗素、瘦素、纤溶酶原激活物抑制物、TNF-α和IL-6等），促进心血管损害。脂联素通过各种途径发挥其抗动脉粥样硬化作用（图5-29-20）：①抑制TNF-α诱导的单核细胞黏附和E-选择素（E-selectin）、VCAM-1及ICAM-1等在内皮细胞表达；②激活环一磷酸腺苷（cAMP）-蛋白激酶A，抑制核因子-κB（NF-κB）的信号传导，抑制内皮细胞黏附；③直接与血小板衍生生长因子（platelet-derived growth factor，PDGF）-BB结合并间接抑制PDGF-BB刺激的平滑肌细胞（P42/44）细胞外信号相关酶表达，从而抑制PDGF-BB诱导的血管平滑肌增殖与迁移；④通过磷脂酰-肌醇3激酶（PI<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>K）途径间接刺激内皮细胞产生NO，改善内皮细胞的舒张功能。研究发现，冠心病患者的血浆脂联素明显降低，糖尿病伴冠心病者脂联素更低，因而特别容易发生动脉粥样硬化。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心脏外脂肪覆盖了80%的心脏表面，紧靠心脏的脂肪组织沿冠状动脉分布，几乎覆盖了全部右心室。从生理上看，心外脂肪垫起了保护和缓冲冠状动脉和心脏作用，并为冠状动脉和心肌的微循环提供能量（脂肪酸）。但肥胖引起的心脏外脂肪堆积是冠状动脉粥样硬化独立危险因素。</p><p>4. 脂质代谢紊乱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">美国国家胆固醇教育计划成人治疗方案第3次指南（NECP-ATPⅢ）把糖尿病从冠心病危险因素中删除，而将糖尿病视为冠心病的等危症，因为无冠心病史的糖尿病患者发生主要冠脉事件的危险与冠心病患者等同，其在10年内发生初次心肌梗死的危险＞20%，等同于患过心肌梗死的非糖尿病患者10年内再发心肌梗死的危险度。UKPDS研究发现，血脂谱异常是冠心病的独立危险因素，糖尿病合并血脂谱异常显著增加心血管事件的发生率。在糖尿病中，以LDL-C升高者冠心病风险最大，其次是HDL-C降低、HbA<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1c</span>、高血压和吸烟。2型糖尿病的血脂谱特点是：①LDL-C升高或正常，但是即使LDL-C正常，也常伴有小而密LDL颗粒增加，而后者的致动脉粥样硬化作用更强；②HDL-C降低；③TG升高。</p><p>（1） HDL-C下降：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是糖尿病患者血脂紊乱的特点之一。在糖尿病患者中，血浆HDL-C低于正常，其降低程度与TG增高相关，提示在T2DM中血浆HDL-C可能与病情控制有关。TG增高时，胆固醇酯酰基转运蛋白（cholesterolestertransf erprotein，CETP）将HDL-C中的胆固醇转到VLDL的交换增加，促进了HDL-C的分解。另外，VLDL清除障碍和LPL活性降低也使HDL3向HDL2转换减少。所以，有冠心病的糖尿病患者更常出现血浆TG升高和HDL-C低下。血浆HDL浓度受下列3个因素的调节：①新生态HDL合成与进入血循环的速度；②周围毛细血管壁脂蛋白脂酶的活力；③肝内脂肪酶活性。此三者均受胰岛素调节，故HDL浓度与血浆胰岛素浓度亦有关系，糖尿病经胰岛素控制后HDL可恢复正常。</p><p>（2） 小而密低密度脂蛋白增多：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于每个小而密低密度脂蛋白颗粒中的胆固醇含量较低，所以糖尿病患者血浆LDL-C正常或轻度升高，其重要特点是LDL质的异常，即小而密低密度脂蛋白（sLDL）增多。sLDL容易在动脉壁沉积和被单核巨噬细胞吞噬。高TG和高VLDL刺激CETP活性，促进TG向LDL转移，从而形成sLDL。因此，sLDL较大而疏的LDL更具致动脉粥样硬化危险。许多横断面研究提示，T2DM患者sLDL明显占优势，肝脂酶（HL）活性增高，HL使富含TG的LDL脂解，形成更多的sLDL，血浆TG、CETP和HL的改变可分别解释sLDL变异的10%、5%和3%。sLDL有以下特点：①较大而轻的LDL易被氧化修饰，容易被巨噬细胞氧化和促进细胞因子的级联反应，进一步引起血管内皮和平滑肌的损伤；②与糖蛋白亲和力增加，更易与糖蛋白结合并进一步沉积在血管内膜中；③sLDL与LDL受体（apoB/ E受体）亲和力下降，使血浆LDL清除延迟，水平增加。</p><p>（3） 高TG血症 ：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">IR是导致脂代谢紊乱的中心环节。IR时，血中非酯化脂肪酸（FFA）增多，进入肝脏的FFA使肝脏合成极低密度脂蛋白（VLDL）及胆固醇酯。胆固醇酯浓度调节VLDL的产生，其浓度高时VLDL合成增加，富含TG的脂蛋白增多，脂蛋白脂酶（lipoprotein lipase，LPL）活性下降使VLDL和TG清除率降低。糖尿病患者高TG血症与冠心病的危险性增高相关。</p><p>（4） 载脂蛋白异常：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">载脂蛋白A1（apoA1）的糖化与血糖直接相关。研究表明，apoA1糖化使HDL-C与HDL受体亲和力下降。由于新生态的HDL-C主要由肝脏产生，进入血液循环后的主要功能是清除胆固醇，使总胆固醇水平下降，故为动脉粥样硬化和冠心病的保护因子。研究显示，血浆HDL-C升高1mg/dl（0.026mmol/L）使冠心病的危险性下降2%～3%。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">apoB糖化可能对LDL代谢起重要作用。资料显示，2%～5%的LDL糖化可以减少5%～25%的LDL分解代谢，而且apoB糖化使巨噬细胞摄取糖化型LDL增多，刺激泡沫细胞形成和LDL氧化。另外，糖化型低密度脂蛋白（Gly-LDL）和氧化型低密度脂蛋白（ox-LDL）与糖尿病血管并发症的关系密切，其可能机制是：①ox-LDL被巨噬细胞识别并吞噬，使细胞内胆固醇酯聚集，形成泡沫细胞，促进早期动脉粥样硬化。Gly-LDL直接与血管基质蛋白结合，使基底膜增厚，血管壁弹性降低，两者均直接损伤血管内皮细胞，增加凝血酶原活性，刺激血小板聚集；②引发免疫反应，使吞噬细胞释放IL-1β和TNF-α等，进而导致血管病变；③T2DM患者体内自动氧化-糖基化过程增强，自由基增多，抗氧化防御作用降低。群体研究发现，HDL-C水平与冠心病的危险性呈负相关，说明HDL-C具有心脏保护作用。</p><p>5. 性激素异常</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">行经期妇女较少发生动脉粥样硬化与冠心病，提示雌激素有保护作用。雌激素提高血HDL水平，故育龄期女性血HDL高于男性；但给男性患者用雌激素反使冠心病恶化。</p><p>6. 脂联素和网膜素-1</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">脂联素抗动脉硬化的机制见图5-29-22。脂联素（adiponectin）有三聚体、六聚体和更大的高分子量结构（high molecular weight，HMW）等多种同型异构体，其中三聚体主要介导其在心脏、骨骼肌和下丘脑的效应。脂联素具有抗糖尿病、抗炎和抗动脉粥样硬化作用。血浆脂联素水平往往先于肥胖和胰岛素抵抗而下降。脂联素表达增加可增强胰岛素的敏感性。血浆PAI-1增加和脂联素降低共同导致肥胖患者心血管病变的发生。网膜素-1是联系骨质疏松和动脉钙化的共同因子，网膜素-1（omentin-1）通过降低RANKL/OPG比值而抑制血管钙化，但对动脉粥样硬化是否有效仍需进一步研究。</p><p>7. 其他危险因子</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">其他的传统危险因子有高龄和吸烟等。</p><p>（二） 非传统危险因素引起动脉粥样硬化和心血管病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">大动脉病变可能以动脉粥样硬化为主，因为血管的管腔大，除了引起血压升高、局部性血管狭窄和血栓栓塞事件外，一般不会导致血管完全闭塞。但在小动脉，高血糖、高血压和血脂紊乱可导致小动脉粥样硬化、血管壁钙化与高凝状态，这些病变可能是糖尿病冠脉病变的早期特征型表现，而代谢紊乱使内皮细胞介导的冠状小动脉扩张障碍可能是小动脉病变的启动步骤（图5-29-23）。除了上述因素外，下列病理生理改变也是引起小动脉病变的重要因素。</p><p>1. 高胰岛素血症和胰岛素抵抗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">高胰岛素血症使血压升高的作用机制是：①增加肾脏对钠及水的重吸收；②增加对食盐摄入的血压敏感性（盐敏感型高血压）；③加强AT-2的升压作用和对醛固酮的反应性；④降低Na<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>/K<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>-ATP酶的活性，增加Na<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>/H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>泵的活性；⑤增加细胞内Ca<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2+</span>潴留；⑥刺激血管平滑肌移行，胰岛素及IGF-1促进血管病变的发展。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">体脂分布较体重指数（BMI）能更好地预测胰岛素抵抗（IR）及心血管危险性。研究发现，腰围是预测IR的独立指标，可解释50%以上的IR变异。高胰岛素血症促进动脉壁脂质合成与摄取，阻止胆固醇清除，促进动脉壁平滑肌细胞增殖，形成高脂血症和高脂蛋白血症，诱发和加剧动脉粥样硬化。IR及其伴随的高胰岛素血症是冠心病的独立危险因子，但胰岛素本身对心血管疾病的作用不明。一方面，胰岛素有舒张血管和抗炎作用，可延缓动脉粥样硬化的形成。另一方面，胰岛素能刺激血管细胞生长及合成细胞外基质。胰岛素信号通路在糖代谢失调时，可反应性地增加NO的生成，而当细胞外通路失调时，即丧失其抗动脉粥样硬化作用。</p><p>2. 醛固酮与激肽</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">心肌局部的醛固酮参与了动脉粥样硬化的发病过程，主要与心肌重构（cardiac muscular remodeling）有关，而螺内酯具有某种保护作用。糖尿病容易导致弥漫性、迅速进展性动脉粥样硬化，这种病变更易诱发血管重建（vascular remodeling）。激肽释放酶-激肽系统（kallikrein-kinin system，KKS）是一种血管活性肽系统，激肽通过其受体B1R和B2R参与心肌与血管重建。其中B2R有保护心肌的作用，而B1R有诱发和促进心肌病变的效应。</span><br/></p><p>3. 内皮细胞功能受损</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">血管内皮（vascular endothelium）对动脉粥样硬化的发生起了“第一道防线”的防御作用。研究表明，血管内皮细胞（vascular endothelial cells，EC）功能异常在糖尿病前期就已存在，随着血糖升高，血管EC功能受损逐渐加重，高血糖、高FFA血症、IR、氧化应激及慢性炎症等多种因素相互影响与累加，使动脉粥样硬化的病理改变不断进展和恶化，最终导致心血管事件的发生。</span><br/></p><p>4. 纤溶凝血机制异常</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">纤维蛋白溶解系统（fibrinolytic system）稳定代表着纤溶酶原激活物与其抑制物（PAI-1）间的正常平衡。过度的抑制纤溶将导致凝血和血栓形成（心血管事件）。糖尿病患者存在着纤溶和凝血机制异常，其中最重要的改变是组织型纤溶酶原激活物（tissue-type plasminogen activator，t-PA）与PAI-1间的平衡。胰岛素、胰岛素原、VLDL-C及各种细胞因子均可调节PAI-1的合成和释放。当存在高胰岛素血症、高血糖、IR及FFA升高时，肝脏合成PAI-1增加，导致纤溶抑制，促进糖尿病患者高凝、低纤溶活性和高血黏度的发生和发展，增加心血管事件的危险性。糖尿病患者的凝血异常还包括血浆纤维蛋白原、Ⅴ因子、Ⅱ因子和Ⅶ因子的改变，以及升高的D-二聚体、血管性血友病因子抗原（vWF抗原）、抗血纤维蛋白溶素和降低的抗凝血酶Ⅲ。</span><br/></p><p>5. 慢性炎症状态</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">许多炎症因子与糖尿病及其并发症关联。糖尿病动脉粥样硬化其实也是一种慢性炎症性病变。在糖尿病状态下，许多炎症因子（如C反应蛋白、TNF-α和IL-6等）增高。动脉粥样硬化的形成包括一系列病理性序贯过程，即内皮损伤及功能不良→黏附分子表达增加→趋化因子释放→单核细胞募集→白细胞黏附与迁移→巨噬细胞摄取ox-LDL→泡沫细胞形成→活化型单核细胞释放细胞因子→平滑肌细胞增殖与迁移→动脉粥样斑块形成。而在T2DM患者中，IR和慢性高血糖均参与并加速这一炎症过程。CRP与动脉粥样硬化的发生、发展及预后密切相关。血CRP水平在肥胖、IR、糖耐量减低及糖尿病患者群中升高。作为独立于其他危险因素的炎症标志物，CRP与糖尿病的发生直接相关，并随病情进展而逐步升高。</span><br/></p><p>6. 其他危险因子</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">其他危险因子还包括微量蛋白尿、高同型半胱氨酸血症和血管壁异常等。</span><br/></p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4987', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1648', '病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">以冠状动脉、脑动脉、肾动脉和下肢动脉受累多见，基本病理变化为动脉粥样硬化、微血管基底膜增厚、糖原沉积、脂肪样变性和透明样变性。在动脉内膜损伤的最早期，血小板及其他物质在损伤处聚集，可见内膜下有1～2mm大小的黄色粒块状突起物，并逐渐融合和增大，形成粥样斑块。斑块内有含有大量脂质的巨噬细胞、胆固醇、TG、LDL-C、磷脂和钙盐的沉积。血管平滑肌细胞和成纤维细胞大量增殖，内膜向管腔面伸出，使管腔变窄。病变严重时，斑块上出现溃疡、出血和血栓形成。血栓呈不规则的半月形，并有程度不等的、层次分明的机化或钙化。管腔狭窄、闭塞。动脉中层不规则增厚，中层及外膜均有纤维化和钙化。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心肌细胞内含有大量糖原、脂滴和糖蛋白沉积，严重者可有局灶性坏死，心肌间质有灶性纤维化。心肌微血管内皮细胞增生，PAS染色阳性的糖蛋白类物质和玻璃样物质沉积在血管壁内，血管壁增厚。肌原纤维收缩蛋白明显减少，肌浆网横管系统扩张，心肌有收缩带形成、线粒体肿胀以及闰盘黏合膜处细胞间隙增宽等改变。冠状动脉受累病变范围广，多数累及多支血管，病变严重，Ⅲ～Ⅳ级病变多见。可伴发心肌梗死灶。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">钙化性小动脉病（calcific arteriolopathy，CAP）是动脉钙化的严重并发症。早期表现为关节周围的髋部或大腿中部皮肤星状紫癜（stellate purpura）、网状青斑（livedo reticularis）、皮肤钙盐沉着与下肢近端硬性溃疡，亦可见于大腿和下腹部，偶见于心、肺、肾、胃黏膜和乳腺。动脉钙化进展为全层血管钙化与闭塞时，出现组织缺血、局部淤血、血管扩张、钙化结节形成、局部溃疡和组织坏死。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4988', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1648', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病心血管病的主要表现是高血压、气促、心绞痛、心脏扩大、心力衰竭、无痛性心肌梗死、心律失常和猝死等。</p><p>（一） 大血管并发症引起高血压/心脏损害/组织缺血</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患者可有头昏和头痛。但有些患者无症状，仅体检时才被发现。</p><p>1. 代谢性高血压</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在人群遗传背景无显著变化情况下，代谢紊乱在促进高血压快速增长方面起了重要作用。分析显示，单纯高血压患者仅占10%左右，绝大多数高血压均合并有各种不同形式的代谢紊乱，且合并代谢异常者的靶器官损害更为严重。高血压是一个与多重危险因素相关的临床综合征，血压升高只是其中的表现之一。鉴于代谢因素与高血压密切相关，下述几个问题值得特别关注。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">传统上按病因学分为原发性和继发性高血压两类，将肥胖和糖脂代谢紊乱视为原发性高血压的危险因素。虽然高血压与遗传因素的关系更密切，但在代谢紊乱人群中的高血压检出率极高；与肥胖、糖和脂肪代谢异常相关的高血压称为“代谢性高血压（metabolic hypertension）”。其特点是：①肥胖和糖脂代谢紊乱先于高血压；②多种代谢紊乱是高血压的病因。为此提出了“肥胖性高血压”、“家族性血脂异常性高血压综合征”和“高血压代谢综合征”等概念。</p><p>2. 心脏表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可表现为胸闷、活动后气促、心绞痛、心脏扩大、心率增快或固定、心音低钝、颈静脉充盈、端坐呼吸、唇指发绀、肝脾肿大及下肢水肿等。严重者可表现为心力衰竭、无痛性心肌梗死、心律失常甚至猝死。</p><p>3. 下肢血管病表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">吸烟的支数与下肢血管病的危险因素成正比，曾经吸烟者患动脉硬化的危险因素为7倍，而仍然吸烟者为16倍。一氧化碳聚集在动脉壁激起血管内皮细胞改变，使胆固醇容易进入血管内皮细胞，形成沉积。吸烟导致血管收缩，影响血液成分，改变血脂成分，增加血小板聚集和血液黏度。大约5年，18%的与吸烟相关的间歇性跛行发展为静息痛。高血压增加发生下肢血管疾病的风险2～3倍，高脂蛋白血症与膕动脉疾病密切相关。外周血管病变的患者在老年人中常见。在有些研究中发现，年龄每增加10岁，外周血管疾病的发生增加1.5～2倍。发生在下肢血管的动脉硬化经常在动脉连接处，患者的预计寿命减少10年，大部分死于心脏或者脑血管疾病。当血管的一个位置出现硬化时，流向下肢的血液严重受阻，下肢缺血。因血管闭塞的水平、程度、部位和侧支循环建立情况而不同，糖尿病PVD的临床表现各异。足背动脉搏动消失是大血管病变的一个重要信息。下肢血管病变可出现患肢皮肤温度降低、皮肤颜色改变、动脉搏动减弱或消失、下肢溃疡与坏死。行路不能持久，行路感乏力加重，休息2～3分钟后即消失，以后可出现间歇性跛行（intermittent claudication），即在行走一段路程后，小腿腓肠肌与足部酸痛或痉挛性疼痛。如继续行走，疼痛加重，而被迫停步，或稍稍休息后，疼痛能缓解。随病变进展出现静息痛和肢体疼痛等。严重时出现夜间和白昼持续疼痛与感觉异常或缺失。</p><p>（二） 心脑血管事件是糖尿病大血管病变的结局</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心脑血管事件是糖尿病大血管病变的结局。高血压的临床转归与并发症与一般高血压相同，但往往更为严重，病情发展更加迅速。血压不达标或血压虽升高不明显，但波动过大，或者平均脉压过大，均是发生高血压性心脑血管事件的高危因素。糖尿病是冠心病的等危症，病情较重和病程较长的糖尿病患者易发生无痛性心肌梗死、心力衰竭或猝死性心律失常；心脏病变较一般冠心病更复杂，更严重。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性脑血管病变可表现出神经定位体征及神志改变，或有失语、神志改变和肢体瘫痪等定位体征，伴脑萎缩可表现为智力下降、记忆力差和反应迟钝等。多发性腔隙性脑梗死（multiple lacunar infarction）后，常发生继发性脑萎缩（encephalatrophy）与脑软化（encephalomalacia）。脑卒中（apoplexy）的主要危险因素有高血压、吸烟、经济生活差和房颤等。下肢血管闭塞是糖尿病足的重要发病因素。部分患者需接受截肢治疗。发生急性脑血管意外（脑卒中）时，出现昏迷、偏瘫、惊厥、颅内高压甚至死亡。</p><p>（三） 糖尿病心肌病独立于大血管病变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病患者存在心脏的结构和功能异常而缺乏缺血性心脏病、高血压或其他心脏病依据时称为糖尿病心肌病（diabetic cardiomyopathy）。最初表现为无症状性舒张期功能障碍（asymptomatic diastolic dysfunction），继而进展至症状性心衰（symptomatic heart failure），心肌顺应性下降和收缩功能受损。一般认为，在遗传因素背景下，由于氧化应激、炎症、内皮细胞功能紊乱、代谢失衡、离子内环境异常和间质纤维化等而形成心肌病。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4989', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1648', '辅助检查与诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如病史中曾出现过心绞痛、心肌梗死或心力衰竭（隐匿型冠心病可无症状），心电图、心脏彩超和SPECT等有相应的心肌缺血或梗死表现，或冠脉造影和血管内超声检查（intravascular ultrasonography）有管腔狭窄（≥50%）者，可诊断为冠心病。心肌缺血者可参考图5-29-25所示程序进行诊断。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病患者进行冠状动脉检查的指征是：①典型或不典型心肌缺血症状；②休息时ECG提示心肌缺血或有心肌梗死大Q波者常预示将出现心脏突发事件；③外周动脉或颈动脉阻塞性疾病；④糖尿病患者伴有以下两条或更多冠心病危险因素者，如总胆固醇≥240mg/dl（6.24mmol/L）、LDLC≥160mg/dl（4.16mmol/L），或HDL-C＜35mg/dl（0.91mmol/L）；或血压＞140/90mmHg，或吸烟；家族中有中年发生的冠心病者；或尿白蛋白≥20μg/min。以上任意两项阳性者的心血管病死亡率由30人/1万人年剧增至90人/1万人年。脂蛋白α和同型半胱氨酸浓度升高也是冠心病的危险因素，至少需要每年评估1次。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">虽然无高血压或冠心病表现，但有糖尿病史并伴心脏增大（尤其女性左心室后壁和室间隔增厚）、左心房扩大、左心功能减低、心率变异性减低、MIBG断层心肌显像异常或心脏自主神经病变检查异常者，应诊断为糖尿病心肌病。</p><p style=\"text-align: center;\"><span style=\"font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526631557054007888.jpg\" title=\"1526631557054007888.jpg\" alt=\"图5-29-25　有心肌缺血的诊断程序.jpg\"/></span></p><p style=\"text-align: center;\"><span style=\"font-size: 12px;\">图5-29-25　有心肌缺血的诊断程序</span></p><p><span style=\"font-size: 12px;\"><br/></span></p><p>（一） 心电图/心脏超声/动脉内膜中层厚度/心脏自主神经功能检查有助于早期诊断</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病和心血管病相互影响，互为因果。因此凡遇有其中之一，即需对另一疾病进行检查。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2004年，法国SFC/ALFEDIAM建议对T2DM患者具有以下心血管高危因素、无症状的个体进行筛查：①＞60岁或已知病程超过10年和有以下至少2个其他心血管危险因素：A：总胆固醇＞2.5g/L，低密度脂蛋白胆固醇＞1.6g/L，或高密度脂蛋白胆固醇＜0.35g/L，甘油三酯＞2g/L或调脂治疗；B：血压＞140/90mmHg或降血压治疗；当前或近3年吸烟者；C：在一级亲属中有过早的CAD家族史（在60岁前）。②周围动脉疾病或颈动脉疾病。③蛋白尿。④微量白蛋白尿和除年龄以外的至少2个心血管危险因素。⑤久坐的生活方式，年龄≥45岁者。</p><p>1. 心电图</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">无特异性。运动心电图和24小时动态心电图对无症状心肌缺血的检出有一定帮助。</p><p>2. 超声心动图</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">超声心动图（echocardiography）和MRI是诊断糖尿病性心肌病的最佳方法，表现为局限性或广泛性心肌壁收缩幅度降低；由于心肌慢性缺血，心肌纤维组织增生，心内膜处于冠状血管的末梢部更易因缺血而形成纤维性变。心肌和心内膜纤维组织增生在超声上表现为回声增强；还可有二尖瓣反流，因左心室受累使二尖瓣失去正常子弹头形态而呈葫芦形；左室舒张功能减退表现为心室早期充盈血流峰速/心室晚期充盈血流峰速比下降等。</p><p>3. 颈动脉/股动脉内膜中层厚度</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在动脉粥样硬化发生发展的过程中，动脉内膜是最早受累及的部位，血管壁内膜中层增厚是动脉粥样硬化的早期标志，而斑块形成是动脉粥样硬化的特征，可以反映动脉粥样硬化的程度。颈动脉粥样硬化程度与冠状动脉粥样硬化程度密切相关，以颈动脉/股动脉内膜中层厚度＞0.85mm和（或）出现粥样斑块来预测冠心病，其特异性为71.6%，敏感性为85%，阳性预测率89.8%。</p><p>4. 心脏自主神经功能</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要有：①静息心率：有糖尿病心脏自主神经病变者静息心率常大于90次/分；②深呼吸时心率变化：平均每分钟做深呼吸6次，同时描记心电图，计算深呼吸时最大与最小心率之差，正常应≥15次/分，心脏自主神经病变时＜10次/分；③瓦氏试验心电图R-R变异：深吸气后尽量屏气，然后以15秒内吹气达40mmHg压力的速度吹气，同时描记心电图，正常人最大与最小心率之比应＞1.21，心脏自主神经病变者＜1.1；④体位性低血压：先测量安静时卧位血压，然后嘱患者立即站立，于3分钟内快速测量血压，如收缩压下降≥30mmHg（正常人≤10mmHg）可以确诊有体位性低血压，下降＞11～29mmHg为早期病变；⑤握拳试验：持续用力握拳5分钟后立即测血压，正常人收缩压升高≥16mmHg，如收缩压升高≤10mmHg，可诊断有心血管自主神经病变。</p><p>5. 其他检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要包括：①指压试验：正常时用手指压迫甲床，表现为局部苍白，松开后迅速恢复粉红色，如解除压迫后局部充盈减慢或局部苍白，则提示局部动脉血供障碍；②肢体抬高试验：患者仰卧，显露双小腿，双下肢伸直，足根部抬高使双下肢达80° 1分钟，如肢体苍白，提示肢体缺血。苍白程度与动脉狭窄严重程度呈正比；③皮肤温度测定：温度觉测定可分为定性测定和定量测定两种。定性测定简单，如将音叉或细的不锈钢小棍置于温热水杯中，取出后测定患者不同部位的皮肤感觉，同时与正常人（检查者）比较。利用红外线皮肤温度测定仪（infrared dermal thermometry）定量测定的准确度和重复性较好。</p><p>（二） 疑难病例接受特殊检查1. 血管内超声和彩色多普勒超声</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血管内超声（intravascular ultrasound，IVUS）是利用安装在心导管尖端的微型超声探头由血管内探测管腔大小和管壁结构的介入性超声诊断技术，已成为冠心病诊断和治疗的重要影像手段，它可以判断粥样硬化斑块的稳定性，准确测定冠状动脉狭窄的程度，指导经皮冠脉介入治疗，评价介入治疗效果以及阐明再狭窄机制等。彩色多普勒超声（color Doppler ultrasound）可检测颅内和下肢血管血流动力学情况。经颅超声波（transcranial Doppler，TCD）可诊断颅内血管痉挛、狭窄和闭塞。局部狭窄血流及异常增高的峰值流速（VS），提示该血管供血区可能有梗死灶。下肢彩色多普勒可发现血管壁增厚、内膜回声不均、动脉管腔狭窄与扭曲，其频谱呈单相波，血管内径及血流量降低，血流峰值流速及加速度/减速度高于正常。</p><p>2. 多普勒踝动脉压/踝肱指数/经皮氧分压</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">踝肱指数即踝动脉-肱动脉血压比值（ankle/brachial index，ABI），反映下肢血压与血管状态，正常值1.0～1.4；＜0.9为轻度缺血，0.5～0.7为中度缺血，＜0.5为重度缺血。重度缺血患者容易发生下肢（趾）坏疽。正常情况下，踝动脉收缩压稍高于或相等于肱动脉，但如果踝动脉收缩压高于200mmHg应高度怀疑下肢动脉粥样硬化性闭塞。此时应测定足趾血压。足趾动脉较少发生钙化，测定踝动脉或足趾动脉需要多普勒超声听诊器或特殊仪器（仅能测定收缩压）。如果用多普勒超声仍不能测得足趾收缩压，则需采用激光测定。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">经皮氧分压（transcutaneous oxygen tension，TcPO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>）通过测量皮肤组织中的氧含量以了解皮肤组织的血流灌注量，反映微循环状态和周围动脉的供血状况。正常人足背皮肤氧张力（TcPO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>）大于40mmHg，TcPO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>小于30mmHg提示周围血液供应不足，足部易发生溃疡或已有溃疡形成。TcPO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>小于20mmHg，足溃疡愈合的可能性很小，需要进行血管手术。如吸入100%氧气后，TcPO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>提高10mmHg，提示溃疡预后较好。</p><p>3. CT/MRI和PET-CT</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可确定病灶部位、大小和性质（出血或缺血）。脑梗死多在24小时后显示，3～7天最佳，呈底向外的扇形或三角形低密度灶，边界清楚。MRI可更早、更好显示病灶，T1呈低信号，T2呈高信号。螺旋CT血管造影对血管病变，尤对Willis环显影敏感，颅内有磁性物质者也可应用。磁共振血管显像（magnetic resonance angiography，MRA）可发现闭塞血管及侧支循环情况。PET可计算脑代谢、血流和氧耗量并成像，用于早期诊断。</p><p>4. 放射性核素检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可较早地提示亚临床期病变。核素显像（nuclear imaging）和<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">99m</span>Tc-门控单光子发射电脑断层扫描（gated-single photon emission computed tomography）可早期诊断糖尿病性心肌病。无创性去甲肾上腺素类似物标记的核素扫描可用于评价心交感神经功能，最常使用的是<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">123</span>IMIBG。</p><p>5. 冠脉造影</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可发现受累部位管腔狭窄或闭塞，常累及多处血管，同一血管常多处受累。冠状动脉造影是诊断冠心病的金标准，但有一定危险性，应合理选择。一般先应用非创伤性的冠心病诊断试验，如24小时心电图监测ST段偏移、冠状动脉钙化积分、平板（treadmill）运动心电图、应激性心肌灌注显像和应激性心动超声等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4990', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1648', '鉴别诊断', '<p>（一） 糖尿病大血管病变与一般脑血管意外或下肢血管病变鉴别</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病伴脑血管意外应注意与脑栓塞和颅内肿瘤等鉴别；病史、定位检查及脑脊液检查有助于鉴别。脑栓塞多为心源性，发病急，年龄轻，意识多清醒，有风湿性心脏病病史及心脏体征等。颅内肿瘤则起病缓慢，病程进行性发展，CT和MRI有重要诊断意义。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病并下肢疼痛应注意与血栓闭塞性脉管炎和腰骶神经性病变等鉴别。血栓闭塞性脉管炎无糖尿病病史，血糖正常，发病年龄较轻，多在40岁以下，常有吸烟史。临床表现为游走性浅静脉血栓形成和手指溃疡。常无体内其他部位的动脉粥样硬化，如脑动脉粥样硬化和冠心病等。腰椎异常可影响下肢动脉，出现供血不足。腰椎照片和MRI有助于诊断。糖尿病性心血管病主要是糖尿病性大血管病变所致，但亦有微血管病变的参与。</p><p>（二） 糖尿病并冠心病与糖尿病心肌病鉴别</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病并冠心病与糖尿病心肌病较难鉴别，表5-29-17有助于两者的鉴别。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526631617035011092.jpg\" title=\"1526631617035011092.jpg\" alt=\"表5-29-17　糖尿病性心肌病与冠心病的鉴别.jpg\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表5-29-17　糖尿病性心肌病与冠心病的鉴别</p><p><span style=\"font-size: 12px;\">（三） 糖尿病心肌病与维生素B</span><span style=\"font-size: 12px; box-sizing: border-box; position: relative; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span><span style=\"font-size: 12px;\">缺乏性心肌病鉴别</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病高血糖或糖尿病心衰后，患者的营养状况恶化，加上进食减少和代谢消耗增加，可能出现多种维生素，尤其是维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>缺乏。此时表现为周围血管扩张、外周阻力降低、血流加快、心动过速和心排血量增高，最后导致高输出量型心衰竭。患者伴有全身水肿、浆膜腔积液和心脏扩大，心电图表现为窦性心动过速、P-R间期缩短、Q-T间期延长、T波双向或倒置与低电压。当患者存在维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>缺乏病史和上述表现，特别是浆膜腔积液时，应考虑维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>缺乏性心肌病或糖尿病心肌病合并维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>缺乏性心肌病可能。两者鉴别困难时，可进行维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>试验性治疗。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4991', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1648', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于糖尿病高血糖对于心血管系统的毒性作用与其对其他脏器的作用一样是一个缓慢而隐匿的过程，在出现症状前已有一定的功能损害，因而一旦T2DM确诊，就应着手防治心血管病。糖尿病性心肌病与冠心病的治疗重点应放在预防心血管事件的第一次发作上，因为多数糖尿病伴急性冠脉综合征者均死于入院以前或医院内，而急性冠脉综合征（acute coronary syndrome）发作后，多数在1年内死亡。</p><p>（一） 合理饮食和运动有利于控制血糖和心血管病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">通过平衡膳食，配合运动和药物治疗，将血糖控制在理想范围，维持理想体重。饮食治疗应个体化，制订饮食计划时，除了要考虑到饮食治疗的一般原则外，还要考虑糖尿病心血管病变的类型、生活方式和是否伴有肥胖等情况。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">运动治疗的目的是与饮食治疗配合，维持标准体重，改善IR状态，改善心肺功能。高强度运动还可诱发酮症或酮症酸中毒；运动中可有血压升高、尿蛋白增加、神经病变进展、退行性关节病加重以及低血糖等。大强度运动可加重心脏负担，使血容量减少，血管收缩，有诱发心绞痛、心肌梗死及心律失常等危险，潜在的冠状动脉疾患可导致猝死；因此心功能不全、严重心律失常、不稳定型心绞痛和近期发生心肌梗死者不宜过度运动。大强度运动还可使收缩压增高，增加脑血管意外的潜在危险，故当收缩压＞180mmHg时，应停止运动。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">以HbA<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1c</span>达标为目标，积极而理性地控制糖尿病，血糖改善能降低心血管事件的发生率。血糖控制差将导致心血管死亡率危险增加。STOP-NIDDM的研究证实了阿卡波糖通过降低餐后高血糖从而降低了糖耐量低减（IGT）人群心血管疾病事件及新发高血压的危险。其中，阿卡波糖可使IGT人群心肌梗死的危险下降91%，任何心血管事件的发病率降低49%，新诊断高血压的发病率降低34%。伴有严重心衰和其他心血管并发症的患者应该用胰岛素控制高血糖。但是，糖尿病心血管病变者尽量降低低血糖发生率，因为严重低血糖发作可诱发急性心脑血管事件。</p><p>（二） 降压治疗需达到控制目标值</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床研究显示，2型糖尿病患者有效降压可降低糖尿病相关终点事件、心血管死亡及全部死亡风险。我国部分地区糖尿病患者血压控制达标率仅为1/3，伴大量蛋白尿患者血压达标率不足1/5，且糖尿病患者血糖和血压控制同时达标率更低。依据2010年ADA糖尿病指南及我国糖尿病指南推荐，糖尿病患者血压控制＜130/80mmHg，而合并肾损害且蛋白尿＞1g/d者血压应＜125/75mmHg。同时降压目标需遵循个体化原则。强调糖尿病高血压的管理做到三级预防，早期诊断和早期达标，对初诊糖尿病患者以及有高血压危险性的患者每次就诊需常规进行血压测量。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">高血压治疗包括非药物治疗和药物治疗，前者包括控制体重、合理饮食（尤其限盐）、适当运动、心理治疗和戒烟、限酒。目前常用降压药包括RAS阻断剂［血管紧张素转化酶抑制剂（ACEI）和血管紧张素Ⅱ受体阻滞剂（ARB）］、钙通道阻断剂（CCB）、利尿剂和α受体阻滞剂等。ACEI及ARB推荐为糖尿病合并高血压的初始降压药或基础用药，但不推荐两者联合应用，利尿剂、CCB和α受体阻断剂一般在ACEI/ ARB应用基础上适当联合使用。对糖尿病合并高容量性高血压、水钠潴留及心功能不全者加用少量噻嗪类利尿剂，对糖尿病合并心衰和严重水肿者可适当选择袢利尿剂，如呋塞米等；CCB为糖尿病高血压患者有效的降压药物。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">脉压增宽是动脉硬化的简易、实用而敏锐指标，在预测心血管疾病方面，优于高压与低压。大动脉与心脏收缩呈反向运动。心脏收缩时大动脉扩张，缓冲心脏射血时的压力；心脏舒张时大动脉回位，利于血液进入心脏。当大动脉硬化，弹性减退，造成收缩压升高，舒张压降低，脉压增宽。脉压增宽直接损害动脉内膜，牵拉、撕裂动脉壁弹力纤维，进一步加重动脉硬化，脉压增宽与动脉硬化之间恶性循环。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">研究表明，脉压大于60mmHg，冠状动脉硬化的严重程度与病变范围明显加重；脑卒中的发生率是脉压小于40mmHg的5.5倍；肌酐清除率等肾脏功能明显减退。在单纯收缩期高血压患者中，收缩压水平相似的情况下，脉压每增宽10mmHg，疾病总死亡率、心血管病死亡率与高血压靶器官受损相对风险分别升高38%、48%和64%。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">抗高血压治疗中，降低脉压是减少血管损害的策略之一。其具体措施与一般抗高血压治疗并无区别，钙拮抗剂、转换酶抑制剂、硝酸酯类药物均有一定效果。在营养治疗中更强调限制饱和脂肪酸和低钠膳食。同时应行调脂药物治疗。</p><p>1. ACEI和ARB</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">不但可降低血压，还可防止糖尿病肾病，减少尿白蛋白排泄。此外，ACEI还能改善胰岛素的敏感性，但ACEI有干咳的副作用。ARB效果温和，单独应用一般要在用药4周后才可见到降压效果，因此对血压较高者最好在钙拮抗剂或利尿剂应用的基础上选用。</p><p>2. 钙拮抗剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对糖尿病高血压有较好效果，尤其是一些不适宜选用ACEI的患者。伴有冠心病者应首选钙拮抗剂。服用短效钙拮抗剂的高血压患者心肌梗死的危险性比用利尿剂或β受体阻滞剂者高60%（与血压的谷峰比值增大有关），因此主张应用长效钙拮抗剂。</p><p>3. β受体阻滞剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">通过降低心排血量和抑制RAA系统而起降压作用。其对年轻、心率较快、无其他并发症的糖尿病伴高血压的患者或伴有冠心病心绞痛而无充血性心力衰竭的患者适用。这类药物影响糖代谢、脂代谢和胰岛素分泌；但UKPDS对ACEI与β阻滞剂（阿替洛尔）的降压效果进行了比较，结果显示β阻滞剂略优。这两种降压药物对研究终点，如糖尿病相关死亡、心肌梗死和所有微血管并发症的影响无优劣之分。另外，两种药物对微蛋白尿和显性蛋白尿的影响亦无差别，ACEI与β受体阻滞剂用于治疗T2DM伴高血压同样安全有效。</p><p>4. 利尿剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病伴高血压因有钠潴留，应用利尿剂可减低钠和体液容量，同时降低血管紧张度，纠正血管对加压物质的高反应。但噻嗪类及袢利尿剂可加重糖及脂代谢紊乱及电解质紊乱，因此应慎用。合并心肾功能不全者可短期选用呋塞米加保钾利尿剂。吲达帕胺（indapamide）是一种磺胺类利尿剂，通过抑制肾皮质稀释部分对钠的重吸收而发挥作用，通过改变离子交换，降低心血管平滑肌收缩力，刺激舒血管PGE<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>和PGI合成，且不影响血脂及糖类的代谢。</p><p>5. α受体阻滞剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可扩张血管，降低外周阻力，使血压下降，对糖及脂代谢无不利影响。但由于糖尿病患者常伴有心脏交感神经病变，肾素分泌不足，主动脉和颈动脉窦压力感受器不敏感，末梢血管敏感性降低，常发生直立性低血压。</p><p>（三） 调脂治疗降低心血管事件发生率和死亡率</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病控制与并发症试验（DCCT）及英国前瞻性糖尿病研究（UKPDS）认为，降低高血糖可使糖尿病微血管并发症发生率下降，但不能降低心血管事件的发生率。LDL-C是糖尿病患者罹患冠心病的预测因子，4S（scandinavian simvastatin survival study）研究发现，塞伐他汀（zocor）降低血胆固醇，使心血管病死亡率降低42%，冠心病突发事件减少55%。</p><p>1. 生活方式干预</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">TLC包括合理饮食、运动和保持合适体重。饮食要求总脂肪的摄入量不高于每日总热量的30%，其中饱和脂肪的摄入量不超过总热量的10%。每日总胆固醇的摄入量应该小于200mg，减少饮酒和戒烟。临床研究显示坚持有氧运动锻炼（例如步行、游泳、慢跑或骑车）20～30分钟，每周4～5次可显著提高HDL-C水平，降低TG。除TLC干预外，大多数糖尿病患者需要进行药物调脂治疗。</p><p>2. 调脂药物治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病患者存在多种血脂异常，处理原则亦不相同。2009年ADA糖尿病治疗指南对T2DM的血脂管理原则和要求是：①生活方式治疗（低脂饮食和运动等）有利于血脂谱异常的改善；②无论血脂谱是否异常，对所有伴有1项危险因素的40岁以上的T2DM患者均需要加用他汀类药物治疗；③单纯糖尿病患者的血脂首要管理目标是使LDL-C降至100mg/dl以下，合并心血管病的T2DM患者应使用较大剂量的他汀类药物，使LDL-C降至70mg/dl以下；④如果使用最大剂量的他汀类药物无法达到上述目标，那么可选的目标是降低LDL-C 40%；⑤TG＜150mg/dl，HDL-C＞40mg/dl（男性）或＞50mg/dl（女性）。</p><p>（1） 他汀类药物：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">首先应处理升高的血LDL-C和改变LDL成分，治疗目标要使血LDL-C＜100mg/dl（2.6mmol/L）。他汀类药物是目前降低LDL-C最有效的药物。T2DM患者无论LDL-C水平如何，均应使用他汀类药物治疗。另外，欧洲胆固醇指南也为糖尿病患者制定了更为严格的降脂治疗目标，并建议糖尿病患者的血脂治疗目标值应和已确诊为心脏病的患者相同或者要求更严格。NCEP ATPⅢ指南新近推荐，极高危人群LDL-C应降至1.8mmol/L（70mg/dl）以下。临床研究提示，辛伐他汀（simvastatin）升高HDL和ApoA1的作用优于阿托伐他汀（atorvastatin）。LDL-C达标后，应重点考虑的目标是升高血HDL-C。T2DM患者的血脂异常通常表现为血HDL-C降低，而且血HDL-C可作为冠心病风险的预测指标。尽管饮食、运动、减轻体重和戒烟等行为干预对升高血HDL-C有益，但若不同时进行药物治疗，效果并不理想。</p><p>（2） 贝特类：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如血HDL-C＜1.04mmol/L（＜40mg/dl），而LDL-C介于2.6～3.3mmol/L，可选用贝特类调脂药物。高TG血症是T2DM患者最常见的脂代谢异常表现形式之一，治疗高TG血症应控制高血糖。良好的血糖控制会明显降低TG，如果血糖控制满意而TG仍未达标，就要选用贝特类药物；对于同时伴有血LDL-C升高和TG升高的T2DM患者则应选用大剂量他汀类药物，但对于血TG≥11.3mmol/L（≥1000mg/dl）的严重高TG血症患者，必须严格限制饮食中的脂肪含量（＜总热量的10%），并配合贝特类降脂药物治疗，以避免发生胰腺炎。</p><p>（四） 抗血小板药物预防心血管事件1. 阿司匹林</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">阿司匹林对糖尿病患者的心脑血管并发症有多种有益作用：①抑制COX、NF-κB和免疫球蛋白重链结合蛋白（immunoglobulin heavy chain binding protein，BiP）等关键性炎症物质；②抗血栓形成作用；③抗氧化应激作用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">ADA和美国心脏病学会（AHA）联合推荐40岁以上并具有心血管危险因素的糖尿病患者采用小剂量阿司匹林治疗。然而，该共识来自过去的研究资料，而且在该研究人群中糖尿病患者较少。研究显示，阿司匹林在既往有心肌梗死或卒中的患者中可有效减少高危患者的发病率和死亡率。Ogawa和Belch等的两项随机对照研究显示，阿司匹林治疗并不能显著减少糖尿病心血管终点事件的发生，因此对糖尿病患者应用阿司匹林作为一级预防治疗的措施提出质疑。抗血小板临床试验（ATT）共入组了95 000例受试者，包括4 000例糖尿病患者。结果显示，阿司匹林可使发生心血管事件危险性减少12%，在非致死性心肌梗死患者中，其减少心血管事件发生的危险性最显著，对冠状动脉粥样硬化性心脏病所致的死亡和卒中的危险性作用较小。阿司匹林减少糖尿病患者心脑血管事件存在性别差异，如在男性患者中，阿司匹林主要减少心血管事件；然而，在女性患者中，阿司匹林主要减少脑血管事件。基于上述研究结果，2010版的ADA临床实践指南仅推荐10年的心血管风险＞10%的T1DM及T2DM患者使用阿司匹林进行一级预防，包括男性年龄＞50岁、女性＞60岁，且伴1项其他心血管危险因素者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常用剂量和联合用药可有3种选择：①单用阿司匹林：成人的一般常用剂量为每晚100mg，亦可根据患者的将剂量调整至50～325mg/d范围内；②阿司匹林联合用药：阿司匹林50mg/d加延长释放型双嘧达莫（extended release dipyridamole）400mg/d；③氯吡格雷（clopidogrel）：对血压控制良好的年龄≥65岁者可改为阿司匹林隔日80～100mg。有严重出血素质、出血性疾病和活动性消化性溃疡者宜慎用或禁用。已发生脑出血者、反复发生的脑出血者和房颤患者禁用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在心血管病的二级预防中，阿司匹林的抗心血管事件效应明显大于其出血风险，但周围血管病变可能例外。氯吡格雷似乎优于阿司匹林，阿司匹林-氯吡格雷联合治疗对高血栓栓塞风险者的疗效满意，但对长期控制慢性稳定型心血管病不理想，而且当应用两种抗血小板药物时，新发的冠脉事件仍较高。新的腺苷二磷酸受体拮抗剂（adenosine diphosphate receptor antagonists）普拉格雷（prasugrel）、替格雷洛（ticagrelor）和坎格雷洛（cangrelor）可能具有更高的疗效和更小的不良反应。</p><p>2. 其他药物</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">尚有低分子肝素、噻氯匹定、低分子右旋糖酐、山莨菪碱、地诺前列酮、延长释放型双嘧达莫和氯吡格雷等药物，可根据病情选用。</p><p>（五） 特殊心血管病实施个体化治疗1. 糖尿病并心绞痛</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在控制糖尿病的基础上，按照冠心病心绞痛的处理原则进行治疗，改善冠状动脉的供血和减轻心肌的耗氧。病程较长和年龄较大的糖尿病常伴有隐性心肌缺血，在评价手术的心血管风险时，需要进一步明确手术耐受性，如运动心电图、多巴酚丁胺负荷超声心动图（dobutamine stress echocardiography）和双嘧达莫心肌灌注闪烁扫描（dipyridamole myocardial perfusion scintigraphy），如果风险较高，应在手术前作相应处理，如预防性心脏血管重建术或药物治疗（β受体阻滞剂、他汀类和阿司匹林）。</p><p>2. 糖尿病并急性心肌梗死</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病发生急性心肌梗死的治疗原则同非糖尿病急性心肌梗死。但糖尿病患者的预后较非糖尿病患者要差，其原因可能与糖尿病急性心肌梗死患者冠脉病变范围较广泛有关。</p><p>3. 糖尿病并心力衰竭</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">与一般心力衰竭的处理原则相同，包括扩血管、利尿和强心等。</p><p>4. 糖尿病并脑梗死</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">严格控制血糖，降低血液黏滞度，纠正脂代谢紊乱等。脑梗死的治疗与非糖尿病患者发生脑梗死的治疗原则相同，在脱水和降压的治疗过程中要注意观察电解质、血糖和血渗透压，以免诱发非酮症高渗性昏迷。</p><p>5. 糖尿病并外周血管病变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病外周血管病变的预后取决于血管病变的严重程度和患者恢复的潜能。轻到中度动脉闭塞的治疗包括控制危险因素（包括戒烟酒，减轻体重），抗血小板聚集，改善血凝，血管重建，改善血供以及在运动过程中保护足部和每日仔细检查足部。血管重建的适应证包括间歇性跛行（尤其是进行性加重者）、缺血性静息痛、夜间痛、溃疡、坏疽和外科手术不能治愈的缺血）。根据血管病变的部位、程度和临床表现的不同，而采用不同的术式。糖尿病患者对血管重建术耐受性好，死亡率与非糖尿病患者相当。</p><p>6. 高龄糖尿病心血管病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">应考虑以下的特殊之处：①糖尿病的慢性并发症和非糖尿病合并症多，多数合并有高血压、冠心病或脂代谢异常；②容易发生药物性低血糖症，且不容易感知；③多数使用多种其他治疗药物，药物之间的相互作用明显；④身体虚弱，需要更多的个体关照和护理。因此，在降糖治疗时应严密监测，防止发生低血糖症。药物性低血糖又可导致跌倒、心肌缺血和脑梗死，甚至昏迷死亡。治疗措施包括心理治疗、饮食治疗、运动治疗和药物治疗，同时应加强糖尿病知识的宣传教育。应强调的是，针对具体的老年糖尿病患者，治疗方案和措施应个体化。功能状态良好的老人糖尿病患者可将HbA<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1c</span>控制在＜7.0%范围内，而体质虚弱或生命预期＜5年者只要控制在8.0%水平即可。</p><p>（六） 介入治疗和手术治疗改善局部血液供应</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">介入治疗和血管重建术是冠心病不可缺少的治疗手段，包括经皮冠脉内血管成形术、血管内支架术、斑块旋切术、斑块旋磨术和血管内超声干预等。研究表明，糖尿病患者接受经皮冠脉内血管成形术后较非糖尿病患者更易发生死亡和再梗死；胰岛素治疗的糖尿病患者经皮冠脉内血管成形术后心血管事件和血管重建危险性增加2倍；糖尿病患者外科血管重建术预后较差。BARI研究显示，糖尿病患者外科血管重建术后5年生存率（73.3%）较非糖尿病患者低（91.3%），需胰岛素治疗的糖尿病患者外科手术治疗的效果好于经皮冠脉内血管成形术。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">介入治疗的创伤小，恢复快，容易为患者接受。但是不能完全代替外科手术。如果患者是单支血管病变而且病变是局限的，比较适合支架处理。但多支血管病变，特别是关键部位的病变不适合支架治疗。糖尿病患者合并冠心病时，冠状动脉病变往往是弥漫性的。对多发性冠状动脉狭窄患者，单纯介入治疗困难。相反，外科手术治疗的效果肯定，年死亡率1%～1.5%。如果用动脉做血管材料，血管桥的10年通畅率达到90%。不足之处是创伤较大。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">搭桥和支架治疗可缓解狭窄远端心肌的缺血问题，不能阻止血管病情的进展。糖尿病是冠心病早发高发的重要因素，而糖尿病的发生与不良生活习惯、高血糖、肥胖和高血压等因素有关。改变不良的生活习惯，纠正或预防代谢紊乱，尤其要把血糖控制在理想范围内，控制血糖波动，避免低血糖发生，注意调脂，降低高血压，并使脉压维持在正常范围内。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4992', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1648', '参考文献', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1. 管珩，刘志民，李光伟，等. 50岁以上糖尿病人群周围动脉闭塞性疾病相关因素分析. 中华医学杂志，2007，87（1）：23-27.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2. Rosito GA，Massaro JM，Hoffmann U，et al. Pericardial fat，visceral abdominal fat，cardiovascular disease risk factors，and vascular calcification in a community -based sample：The Framingham Heart Study. Circulation，2008，117（5）：605-613.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3. Expert panel on detection，evaluation，and treatment of high blood cholesterol in cdults. Executive summary of the third report of the national cholesterol education program（NCEP）Expert panel on detection，evaluation，and treatment of high blood cholesterol in adults（Adult treatment panel Ⅲ）. JAMA，2001，285（19）：2486-2497.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4. Natarajan P，Ray KK，Cannon CP. High-density lipoprotein and coronary heart disease：current and future therapies. J Am Coll Cardiol，2010，55（13）：1283-99.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5. Schrier RW，Masoumi A，Elhassan E. Aldosterone：role in edematous disorders，hypertension，chronic renal failure，and metabolic syndrome. Clin J Am Soc Nephrol，2010，5（6）：1132-40.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">6. Savvatis K，Westermann D，Schultheiss HP，et al. Kinins in cardiac inflammation and regeneration：insights from ischemic and diabetic cardiomyopathy. Neuropeptides，2010，44（2）：119-25.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">7. Aronson D，Edelman ER. Revascularization for coronary artery disease in diabetes mellitus：angioplasty，stents and coronary artery bypass grafting. Rev Endocr Metab Disord，2010，11（1）：75-86.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">8. Sobel BE. Insulin resistance and thrombosis：a cardiologist’s view. Am J Cardiol，1999，84（1A）：37J-41J.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">9. Carr ME. Diabetes mellitus：a hypercoagulable state. J Diabetes Complications，2001，15（1）：44-54.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">10. 祝之民. 代谢性高血压：一个值得探索的问题. 中华高血压杂志，2006，16（11）：859-860.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">11. Ginghina C，Ungureanu C，Vladaia A，et al. The electrocardiographic profile of patients with angina pectoris.J Med Life，2009，2（1）：80-91.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">12. Khullar M，Al-Shudiefat AA，Ludke A，et al. Oxidative stress：a key contributor to diabetic cardiomyopathy. Can J Physiol Pharmacol，2010，88（3）：233-240.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">13. Dobrin JS，Lebeche D. Diabetic cardiomyopathy：signaling defects and therapeutic approaches. Expert Rev Cardiovasc Ther，2010，8（3）：373-391.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">14. Boudina S，Abel ED. Diabetic cardiomyopathy，causes and effects. Rev Endocr Metab Disord，2010，11（1）：31-9.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">15. Khavandi K，Khavandi A，Asghar O，et al. Diabetic cardiomyopathy—a distinct disease？Best Pract Res Clin Endocrinol Metab，2009，23（3）：347-60.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">16. Singh S，Duggal J，Khosla N，Arora R. Screening guidelines for coronary heart disease in diabetes：current recommendations. J Cardiometab Syndr，2009，4（2）：107-12.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">17. Maya L，Villarreal FJ. Diagnostic approaches for diabetic cardiomyopathy and myocardial fibrosis. J Mol Cell Cardiol，2010，48（3）：524-529.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">18. ALLHAT Officers and Coordinators for the ALLHAT Collaborative Research Group. The antihypertensive and lipid-lowering treatment to prevent heart attack trial. major outcomes in moderately hypercholesterolemic，hypertensive patients randomized to pravastatin vs usual care：The antihypertensive and lipid-lowering treatment to prevent heart attack trial（ALLHAT-LLT）. JAMA，2002，288（23）：2998-3007.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">19. Sasso FC，Rambaldi PF，Carbonara O，et al. Perspectives of nuclear diagnostic imaging in diabetic cardiomyopathy. Nutr Metab Cardiovasc Dis，2010，20（3）：208-216.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">20. Flotats A，Carrió I. The role of nuclear medicine technique in evaluating electrophysiology in diabetic hearts especially with 123IMIBG cardiac SPECT imaging. Minerva Endocrinol，2009，34（3）：263-271.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">21. Ismail H，Mitchell R，McFarlane SI，et al. Pleiotropic effects of inhibitors of the RAAS in the diabetic population：above and beyond blood pressure lowering. Curr Diab Rep，2010，10（1）：32-36.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">22. Chrysant SG. Current status of dual Renin Angiotensin aldosterone system blockade for the treatment of cardiovascular diseases. Am J Cardiol，2010，105（6）：849-52.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">23. Coccheri S. Antiplatelet drugs—do we need new options？With a reappraisal of direct thromboxane inhibitors. Drugs，2010，70（7）：887-908.</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('4999', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1480', '概念和分类', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">帕金森病以前又称“震颤麻痹”，但患者一般并无麻痹（肌力减退），部分患者在整个病程中亦可不出现震颤，因此“震颤麻痹”这一称谓并不贴切。为了纪念James Parkinson的重要贡献，将此疾病称为帕金森病。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">帕金森症候群（Parkinsonism）是一组临床综合征，其中绝大多数（90%）为原发性帕金森病（Parkinson disease，PD），其余由可引起类似PD表现的各种继发性PD综合征、遗传变性性帕金森综合征和帕金森叠加综合征组成（表23-7-1）。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表23-7-1　帕金森症候群分类</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: right;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526632495623072129.jpg\" title=\"1526632495623072129.jpg\" alt=\"T23-7-1_62858.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 982px; table-layout: fixed;\"/></span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: right;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5000', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1480', '流行病学', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患病率存在种族差异，白人最高，黄种人次之，黑人最低。白人的患病率为（106～307）/10万，发病率（12～20）/ 10万；黄种人患病率（44～82）/10万，发病率10/10万；黑人的患病率（31～58）/10万，发病率4.5/10万。中国PD的患病率在55岁以上人群为1%，65岁以上人群为1.7%。年龄越大，患PD的风险越高。绝大多数的研究认为男性的患病率较女性稍高。多数研究证实，吸烟与PD呈负相关，即吸烟者患PD的风险显著减少。其机制可能与吸烟可降低人脑中MAO-B的活力相关。饮食与PD发生风险有一定关联，富含α-tocopherol的食物，咖啡、绿茶、烟酸、坚果类和土豆可减少患PD的风险，高嘌呤食物可以增加血尿酸水平，可减低PD风险及进展；动物脂肪可能会增加患PD的风险。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5001', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1480', '病因和发病机制', '<p>1.PD的病因不明（1）遗传因素：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">很早就有学者注意到5%～20%的PD患者家族成员中至少有1人罹患PD，1996年发现了1个意大利裔的常染色体显性遗传PD家系，其致病基因为位于4q21-q23的<em style=\"box-sizing: border-box;\">α-synuclein</em>基因，在第4外显子的第29碱基存有一错议突变（G209A），导致蛋白产物第53位氨基酸由丙氨酸置换为苏氨酸，这使得遗传成为PD病因研究的热点。此后还发现α-synuclein是PD（包括散发性PD）病理标志Lewy小体中的重要组分。1998年有日本学者又报道了PD的第2个致病基因Parkin（定位于6q25.2-27）。此后，DJ1、PINK-1、LRKK2等PD致病基因相继在一些PD家系中证实，仍然有新的致PD基因不断被发现。</p><p>（2）环境毒物因素：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">杀虫剂、除草剂、鱼藤酮、锰、三氯乙烯等环境毒物的暴露可以增加患PD的风险。</p><p>2.PD发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有以下几种学说：</p><p>（1）线粒体功能障碍：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病理证据发现，PD患者脑中仅在黑质部位存在线粒体呼吸链复合物Ⅰ的活力显著下降，此后发现在PD患者的肌肉和血小板中也存在线粒体呼吸链复合物Ⅰ的下降，但下降的程度较基底节区域轻。</p><p>（2）氧化应激：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">与脑内其他部位相比，黑质致密部暴露于较高水平的氧化应激状态，在PD患者残存的多巴胺神经元中，可能因代偿作用，使得多巴胺的毒性加速，或MAO-B活性增高，或还原型谷胱甘肽缺乏，导致H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>不能有效被清除，生成高度毒性的羟自由基。氧化应激与线粒体功能障碍还互为因果，恶性循环。</p><p>（3）蛋白质异常聚集：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">因为遗传突变或者环境毒物作用后，alpha突触核蛋白的空间构象异常，导致其异常聚集并产生神经毒性，是PD发病机制研究近10多年中的主要进展，如何阻断其异常聚集、如何阻止该神经毒性的传播，是当前PD研究的热点。</p><p>（4）免疫炎性机制：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">PD患者免疫激活小胶质细胞，也被认为是PD发病机制中的重要环节。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">总之，上述发病机制中的多种因素协同作用，互为因果，恶性循环，导致选择性破坏黑质神经元，使多巴胺合成和分泌减少等神经生化变化，并引起基底节环路中的一系列改变，最终表现出PD的各种临床表现。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p style=\"text-align: right;\"><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5002', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1480', '病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于色素神经元核团（包括黑质、蓝斑和迷走神经背核）内色素细胞的显著减少或消失，因此肉眼即可见黑质变得苍白。镜下，色素细胞内的黑色素减少或消失，常伴有反应性胶质细胞增生。原发性PD的病理标志是Lewy体。它位于残存的黑质神经元细胞质内，直径4～30μm，核心是一个嗜酸性包涵体，脑干型Lewy体外围为淡染同心圆样的晕圈。在一个神经元内可含1个或多个Lewy体。在原发性PD中，这种Lewy体除了在黑质出现以外，还可见于蓝斑、迷走神经背核、中缝核、下丘脑、交感神经节以及皮质。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1997年，Spillantini等发现α-synuclein（突触核蛋白）是构成PD（包括散发性和家族性）患者Lewy体中的主要组分，奠定了α-synuclein蛋白异常聚集在PD（无论是家族性还是散发性）的发病机制中的核心作用地位。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5003', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1480', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">PD好发于50岁以上的中老年，但小于40岁起病的患者并不少见。男性发病略多于女性。PD的主要临床表现为静止性震颤、动作迟缓、肌强直和姿位平衡障碍。其他临床表现（包括非运动症状）包括：流涎、多汗、便秘、口齿不清、睡眠障碍、吞咽困难、抑郁、呼吸困难、尿急、嗅觉减退、痴呆等。本病起病隐匿，患者常不能回忆起确切的发病时间。症状多从单肢或一侧肢体开始，进展缓慢，逐渐扩展至其他肢体或全身，疾病呈渐进性加重。</p><p>1.静止性震颤（static tremor）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是大多数PD患者的首发症状。常从一侧手部起病，典型者表现为一种“搓丸样”震颤。震颤频率为4～6Hz。随着病情的进展，震颤逐渐波及整个肢体，甚至影响到躯干及头面部。在情绪激动、应激、焦虑时震颤愈发明显。强烈的意志努力可暂时抑制震颤，但过后反而有加剧的趋势。睡眠或麻醉时完全消失。</p><p>2.肌强直（myotonia）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">锥体外系的肌强直与锥体系的不同，系促动肌和拮抗肌的肌张力均增高。此时，患者自身的感受是肌肉僵硬感，活动时很费力、沉重和乏力。当患者的关节做被动运动时，如果增高的肌张力始终保持一致，阻力均匀，类似弯曲软铅管时的感觉，则为“铅管样强直”；如果患者在肌张力增高的同时合并有震颤，则感觉到在均匀的阻力中出现断续的停顿，如齿轮转动，则为“齿轮样强直”。</p><p>3.动作迟缓</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常常是PD患者最致残的症状，影响日常生活中诸多动作。患者卧床时翻身和从坐位起立均感到困难，系鞋带、扣钮扣、穿脱鞋袜、洗脸、刷牙和剃须等动作缓慢，完成困难，书写时字越写越小，称为写字过小征；行走时双上肢的前后摆动减少或消失，走路拖步、步距变小（碎步），严重者起步困难，不能迈步，双脚如粘在地上似的（冻结步态），而一旦迈步，就以较小的步伐向前冲，越冲越快，“刹不住”，不能及时停步，转弯困难，称为“慌张步态”；面部表情肌肉受累，则表现为缺乏表情，瞬目少，双目凝视，呈“面具脸”；口、舌、腭、咽、声带部位肌肉受累则可表现为吞咽困难、流涎、语音变低、口齿不清等。</p><p>4.姿位平衡障碍</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在疾病的中晚期，绝大多数患者会出现平衡困难，这些患者或许对PD治疗药物仍敏感，但平衡障碍已不能用药物纠正。一旦发生这种情况，患者应使用拐杖或助行架，避免跌倒。</p><p>5.其他</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于四肢、躯干、颈肌部肌肉强直，患者出现头部前倾，躯干俯屈，上臂内收，肘关节屈曲，腕关节伸直，手指内收，拇指对掌，指间关节伸直，髋及膝关节均为略弯曲。病情晚期，这些姿势加重，头下低、背部明显屈曲。肌强直严重时可引起肢体的疼痛。</p><p>6.自主神经系统障碍</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">顽固性便秘、大量出汗、皮脂溢出增多。另外，尚有言语障碍、语音变低、发音呈爆发性、咬音不准、使旁人难以听懂。患者大多有情绪低落，甚至忧郁症状。早期认知功能正常，晚期有认知功能障碍。少数患者晚期出现痴呆。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5004', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1480', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">国际上目前通用的PD诊断标准是英国伦敦脑库的“帕金森病的UK脑库临床诊断标准”（UK Parkinson’s Disease Society Brain Bank Clinical Diagnostic Criteria），包含有3个步骤：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">步骤Ⅰ，必须包括下列表现：①少动；②至少下列一项，a.静止性震颤，b.肌肉强直，c.姿势不稳。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">步骤Ⅱ，需除外下列情况：①反复的脑卒中发作史后，逐步出现帕金森症状；②反复的脑损伤史；③确切的脑炎病史；④有眼球运动障</span><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">碍；⑤在症状出现时，应用精神抑制药物；⑥病情持续性缓解；⑦发病3年后，仍是严格的单侧受累；⑧核上性麻痹；⑨小脑征；⑩早期即有严重的自主神经受累；<span style=\"color: rgb(51, 51, 51); font-family: &#39;PingFang SC&#39;, &#39;Lantinghei SC&#39;, &#39;Microsoft YaHei&#39;, arial, 宋体, sans-serif, tahoma; font-size: 14px; line-height: 24px; background-color: rgb(255, 255, 255);\">⑪</span></span><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">早期即有严重的痴呆，伴记忆力、语言和行为障碍；</span><span style=\"color: rgb(51, 51, 51); font-family: &#39;PingFang SC&#39;, &#39;Lantinghei SC&#39;, &#39;Microsoft YaHei&#39;, arial, 宋体, sans-serif, tahoma; font-size: 14px; line-height: 24px; background-color: rgb(255, 255, 255);\">⑫</span><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">锥体束征阳性（巴宾斯基征阳性）；</span><span style=\"color: rgb(51, 51, 51); font-family: &#39;PingFang SC&#39;, &#39;Lantinghei SC&#39;, &#39;Microsoft YaHei&#39;, arial, 宋体, sans-serif, tahoma; font-size: 14px; line-height: 24px; background-color: rgb(255, 255, 255);\">⑬</span><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">CT扫描可见颅内肿瘤或阻塞性脑积水；</span><span style=\"color: rgb(51, 51, 51); font-family: &#39;PingFang SC&#39;, &#39;Lantinghei SC&#39;, &#39;Microsoft YaHei&#39;, arial, 宋体, sans-serif, tahoma; font-size: 14px; line-height: 24px; background-color: rgb(255, 255, 255);\">⑭</span><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">用大剂量左旋多巴治疗无效（除外吸收障碍）；</span><span style=\"color: rgb(51, 51, 51); font-family: &#39;PingFang SC&#39;, &#39;Lantinghei SC&#39;, &#39;Microsoft YaHei&#39;, arial, 宋体, sans-serif, tahoma; font-size: 14px; line-height: 24px; background-color: rgb(255, 255, 255);\">⑮</span><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">接触过1-甲基-4-苯基-1，2，3，6-四氢吡啶（MPTP）。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><br/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">图23-7-1　<span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">18</span>F-FP-CIT　PET显像脑多巴胺转运体</span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">A.健康对照（与MR融合图） B.健康对照 C.早期帕金森病患者（HYⅠ级）D.晚期帕金森病患者（HYⅣ级）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">步骤Ⅲ，支持证据。下列8项中至少有3项：①单侧起病；②静止性震颤；③逐渐进展；④发病后多为持续性的不对称性受累；⑤对左旋多巴的治疗反应非常好（70%～100%）；⑥严重的左旋多巴导致的异动症；⑦左旋多巴的治疗效果持续5年以上（含5年）；⑧临床病程10年以上（含10年）。</span></p><p style=\"text-align: right;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5005', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1480', '辅助检查', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">脑功能显像是诊断PD的重要手段，最常用的显像靶点是显像脑多巴胺转运蛋白（dopamine transporter，DAT），在PD的早期即可发现壳核区域DAT可降低65%（图23-7-1）。美国FDA已经批准常规开展<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">123</span>I-beta-CIT SPECT显像脑DAT，用于鉴别早期PD与ET。鉴于在PD运动症状出现前期，多巴胺能系统已经有显著损害，如何利用运动前期症状（如快动眼期睡眠行为障碍RBD、嗅觉减退、便秘、抑郁等）筛选PD高危人群，如何借助DAT脑功能显像确认，是PD早期诊断（包括运动前期诊断）研究的方向。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5006', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1480', '鉴别诊断', '<p>1.特发性震颤</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">除了明显的震颤（姿位性为主）外，患者基本正常，无PD的其他主征。加上该病进展缓慢，因此通常只导致轻微的功能残疾。此外，尽管多数患者起病也在中老年，但一些患者可以在青少年或成年的早期即出现症状；常有家族史，呈常染色体显性遗传；在累及单手或双手的同时，常也累及头部，产生点头或者头部摇晃，双腿一般不受累；少量饮酒能引起显著但短暂的症状缓解。</p><p>2.进行性核上性麻痹</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important; text-align: left;\">与PD的鉴别如下（表23-7-2）。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表23-7-2　进行性核上性麻痹与帕金森病的鉴别</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526632533526074940.jpg\" title=\"1526632533526074940.jpg\" alt=\"T23-7-2_33931.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1971px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p>3.弥漫性Lewy体病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">除了出现帕金森症候群以外，同时伴有迅速进展的痴呆和幻觉。有时也可有肌阵挛。对左旋多巴的反应性欠佳。</p><p>4.多系统萎缩（MSA-P）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">综其特征特点除了有帕金森症候群以外，还出现自主神经功能障碍（体位性低血压、无汗症、括约肌功能紊乱、阳痿等）、锥体束征或小脑体征，病情进展快，对多巴制剂治疗不敏感。</p><p>5.皮质基底节变性</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">发生于中老年人，在出现帕金森症候群的同时，还伴有PD不出现的明显失用症（这常能致使单肢失用）、言语障碍（失语、失用或构音障碍）、皮质性感觉缺失、面部的反射性肌阵挛、痴呆。该病的另一临床特点为症状常不对称，应用复方多巴制剂常无效。</p><p>6.其他各种继发性帕金森综合征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如脑血管病性、药物性、正压型脑积水性帕金森综合征等。这些疾病通常具有相应的病史和临床特征，部分病例通过特定的辅助检查可明确诊断。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5007', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1480', '治疗', '<p>1.复方左旋多巴制剂（左旋多巴和脑外多巴脱羧酶抑制剂）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">脑外多巴脱羧酶抑制剂本身不易通过血脑屏障，故当应用小剂量时仅抑制外周（脑外）左旋多巴的脱羧作用，而不影响其中枢（脑内）的脱羧作用。左旋多巴与苄丝肼复合者商品名为美多芭（madopar）。它与卡比多巴复合者，商品名为息宁。美多芭和息宁的具体用法如下：初次口服美多芭250 1/2片（125mg），每日2～3次，以后每周增加1/2片，直至能够比较满意改善症状的最低有效剂量维持。每日剂量可分4次服用。随着时间的推移，病情会有所加重，患者往往出现疗效衰退、“剂末效应”和“开关现象”，所需剂量需要酌情增加。一般每天的左旋多巴总剂量不超过1600mg/d，也可考虑加用多巴胺受体激动剂、COMT抑制剂和MAO-B抑制剂等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">复方多巴制剂的常见副作用包括恶心呕吐、精神症状、直立性低血压等，前者的处理可将服药时间放在餐后或加用多潘立酮；精神症状首选氯氮平，其优点在于改善精神症状的同时，不加重PD的症状；直立性低血压的治疗是增加液体的摄入量或加用米多君（midodrine）。更为棘手的副作用是长期应用多巴制剂后可能出现的左旋多巴诱导的异动症，处理可适当减少多巴制剂的剂量、或加用金刚烷胺、氯氮平、或脑深部电刺激术。</p><p>2.B型单胺氧化酶抑制剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">第一代MAO-B抑制剂司来吉兰能够抑制脑内多巴胺降解，加强脑内多巴胺能的作用。用法是每次5mg，每日1～2次。第二代MAO-B抑制剂雷沙吉兰每天仅服用1次，1mg/d，可以单独应用于早期PD，也可与多巴制剂合用，改善有运动症状波动的中晚期PD患者。</p><p>3.COMT抑制剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">目前有两种药托卡朋和恩他卡朋。由于托卡朋应用有肝脏毒性的风险，故目前大部分国家市场上已经停止使用。恩他卡朋的安全性较托卡朋好，作为多巴制剂的增效剂，它不能单独应用，只能与多巴制剂合用，用法是与每一次（复方）多巴制剂合用，每次剂量为0.1～0.2g。</p><p>4.中枢多巴胺能受体激动剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">多巴胺能受体可分为D<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>（包括D<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1A</span>和D<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1B</span>）和D<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>（包括D<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2A</span>、D<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2B</span>和D<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2c</span>）两大类，受体激动剂缓解PD症状主要源于D<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体的激动，D<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>受体的同时激动具有协同作用。下表是传统的麦角类受体激动剂溴隐亭和培高利特，以及新型非麦角类受体激动剂普拉克索和罗匹尼罗对不同亚型多巴胺能受体激动的情况（表23-7-3）。各种多巴胺能受体激动剂的剂量换算如下：1mg普拉克索=1mg培高利特=3.3mg罗替高汀=5mg罗匹尼罗=10mg溴隐亭=100mg吡贝地尔。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表23-7-3　多巴胺能受体激动剂的分类</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526632565055086916.jpg\" title=\"1526632565055086916.jpg\" alt=\"T23-7-3_33933.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1971px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早期即启用受体激动剂的优点是后期出现运动并发症（症状波动和异动）的风险小。当然，与复方多巴制剂合用，尤其是在复方多巴制剂的“蜜月期”过后，可以改善患者的剂末现象、开关现象。普拉克索还有显著的抗抑郁作用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">传统的麦角类多巴胺受体激动剂溴隐亭、培高利特由于有心脏瓣膜纤维化等风险，已经基本退出了临床治疗PD的应用。目前应用的主要是非麦角类多巴胺激动剂，包括普拉克索和罗匹尼罗。与麦角类受体激动剂相比，它们的主要优势在于不良反应较轻微，普拉克索起始剂量为0.125mg每日三次；一周后日剂量加倍，第三周再翻倍；随后根据疗效和耐受性每周增加0.75mg。常见的维持量在0.5～1.5mg每日三次之间。罗匹尼罗起始量为0.25mg每日三次，每周每日总量增加0.75mg，第4周后即增加1.5mg。许多患者在2～8mg每日三次时才会出现疗效。其他非麦角类多巴胺受体激动剂还有：①吡贝地尔对震颤效果相对较好，常用剂量为150～200mg/d。②阿扑吗啡：可持续滴注，最适用于解除严重的“关”期和“不动性危象”。但国内目前尚无该药。③罗替高汀：是经皮贴剂，尤其适用于无法通过胃肠道给药的患者。国外已经上市，国内的临床试验正在进行中。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">不良反应包括恶心、呕吐、厌食、嗜睡、体位性低血压、精神症状（如妄想、幻觉）、缩血管作用、消化道溃疡加重和红斑性肢痛，麦角类受体激动剂较非麦角类更容易出现这些不良反应，溴隐亭等偶尔还会出现肺和腹膜后纤维化。</p><p>5.抗胆碱能药物</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于纹状体内多巴胺和乙酰胆碱系一对互相抗衡的递质，PD患者纹状体中多巴胺明显减少，因此采用抑制乙酰胆碱作用的抗胆碱能药物，能相应提高多巴胺的效应而达到缓解症状的目的。临床最常用的药物为苯海索，2mg/片，用法为1～3片/日。该药对震颤的效果相对较好。可单独应用或与多巴制剂合用。主要副作用为口干、眼花、便秘和排尿困难。有青光眼和前列腺肥大者禁用。老年体弱者慎用，因有记忆减退的风险。</p><p>6.抗谷氨酸能（兴奋性氨基酸）药物金刚烷胺</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前主要用于缓解PD的运动症状，及长期应用多巴制剂/激动剂后出现的异动症。该药可单独应用，或与其他抗PD药物合用，用量为200～300mg/d，它能改善PD的所有症状，但单独应用药效维持时间一般不长。副作用有下肢水肿和网状青斑、头晕、失眠等。</p><p>7.手术治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要是脑深部电刺激术（deep brain stimulation，DBS）。适用于原发性PD患者，一般年龄要求在75岁以内，病程5年以上，存在优化药物治疗方案后仍然无法满意控制的运动波动/异动，或者药物难以控制的震颤，或者不能耐受药物治疗。刺激靶点依据病情的特点可以选择丘脑底核、丘脑腹中间核或苍白球。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5014', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1474', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病是复杂的代谢性疾病，早期小血管受累，逐渐引起全身许多组织、器官的广泛损害。国内近年资料表明，20岁以上人群中男性和女性糖尿病患病率分别达10.6%和8.8%，总体患病率已达9.7%。幼年即患胰岛素依赖型的糖尿病患者，约10%在起病后5～9年便可发生视网膜病变，15年后约50%的人发生，25年后有80%～90%的人出现视网膜病变。成年型或非胰岛素依赖型糖尿病患者的糖尿病视网膜病变发病情况与此相似，但因不少患者发病日期较难确定，病程也更难估计。在经济发达的国家，糖尿病视网膜病变是一种主要的致盲眼病。一般说来，约四分之一糖尿病患者有糖尿病视网膜病变，约5%有增殖性糖尿病视网膜病变。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病视网膜病变的发生和发展，不仅取决于代谢障碍的程度，而且与糖尿病的发病年龄、病程长短、遗传因素和糖尿病控制情况有关。糖尿病视网膜病变的一些损害常导致视力减退甚至盲目，如黄斑水肿和增殖性视网膜病变的并发症；玻璃体积血，牵拉性视网膜脱离，玻璃体浓缩，视网膜前膜和黄斑牵拉等。同时，黄斑区毛细血管闭塞也可严重影响视力。估计患糖尿病30年以上的患者中，约25%患增殖性糖尿病视网膜病变，2%～7%因视网膜病变失明。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;中华眼科学:中册</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5015', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1474', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多数糖尿病视网膜病变患者有糖尿病多饮、多尿、多食和疲乏、消瘦等症状。在视网膜病变初期，一般无眼部自觉症状。病变发展，可引起不同程度的视力障碍。若黄斑区受累，可有视野中央暗影，中心视力下降和（或）视物变形等症状。视网膜小血管破裂，少量出血入玻璃体，患者可自觉眼前有黑影飘动。当新生血管大量出血到玻璃体腔，视力可严重丧失，仅存光感。黄斑区以外的视网膜血管闭塞，或增殖性视网膜病变导致视网膜脱离，则视野出现相应部位较大面积的缺损。糖尿病视网膜病变的临床体征多式多样，现作以下归纳和概述。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在糖尿病视网膜病变的自然病程中，早期即有视网膜血管自我调节的紊乱和血流变异常，以及血―视网膜屏障破坏。临床上在视网膜病变早期最先出现视网膜微血管瘤，以后逐渐出现视网膜静脉和动脉的较大血管的病变，并有血管外的出血和渗出等视网膜组织损害。</p><p>（一） 血管病变1.毛细血管异常（1） 微血管瘤：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">微动脉瘤是检眼镜和荧光血管造影能查见的最早的糖尿病视网膜病变。这种改变虽可见于其他疾病，如高血压或视网膜静脉阻塞等视网膜的病变，但以糖尿病视网膜病变发生的频率最高，数量也最多，颇具有特征性。微动脉瘤在检眼镜下表现为视网膜上的红色小点，常至圆形，颜色深红类似视网膜深层的小出血点。若对视网膜上出现的红色小点不能分辨为微动脉瘤或小出血点，则可在随访观察中注意，后者常在较短期内消退。糖尿病视网膜病变的微动脉瘤常先出现在眼底后极部，尤其在黄斑区，并多在颞侧。随病程延长，则分布于视网膜各处并常密集成群。微动脉瘤有时在视网膜与异常扩张的微血管相连，并常位于毛细血管闭塞区周围。微动脉瘤的半衰期约数月，逐渐发生内皮结构破坏和透明变性并瘤腔闭塞。在视网膜病变进程中，新的微动脉瘤发生与旧的消失，在视网膜各处交替发生。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">眼底荧光血管造影可见微动脉瘤表现为周界清晰的圆的小荧光点，大小20～30μm，从荧光血管造影发现微动脉瘤在视网膜微循环的动静脉两侧均有分布。多数在检眼镜下不易或不能查见的微动脉瘤，荧光血管造影检查能使其清楚的显现确诊。如瘤腔被红细胞充填栓塞，则不能显荧光，检眼镜检查也常不能与小出血点鉴别。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">视网膜缺氧是微动脉瘤形成的主要因素，据推断可能与新生血管形成的机制有关或类似，但程度较轻，或许是新生血管形成的一种夭折现象。微动脉瘤通常先见于视网膜内核层，逐渐扩散至内网状层，其内皮结构不健全，如瘤腔未栓塞，则血中蛋白和其他物质和荧光素分子均可渗出到视网膜内，血管瘤较多时漏出物增多，导致其周围视网膜不同程度的水肿，是造成视网膜水肿的一个重要原因。</p><p>（2） 毛细血管扩张和渗漏：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">视网膜毛细血管管径为5～12μm，荧光眼底血管造影检查可显示微细的血管网。黄斑区毛细血管丰富致密，但朝向黄斑中心部分迅速变细而且稀疏，在中心凹周围形成环形的连续网络，称为黄斑区的毛细血管拱环。毛细血管扩张也是一种糖尿病患者视网膜的早期改变。糖尿病患者在检眼镜检查未发现视网膜病变以前，部分患者经荧光血管造影，发现视网膜毛细血管的能见度增强，表明有轻度毛细血管扩张，可能是由于代谢需要的循环自我调节机制紊乱，这是一种可逆的微循环功能性改变。随病程进展，组织缺血缺氧的程度加重，自动调节不能代偿，毛细血管便易发生器质性损害。在较严重的糖尿病视网膜病变，可出现毛细血管明显的异常扩张，粗细不匀和迂回扭曲，可呈U字形弯曲或其他奇特形态。统称为视网膜内微血管异常。黄斑区病变较重者，可在荧光血管造影片上表现黄斑毛细血管拱环变形，甚至拱环毛细血管网络破坏而不连续。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">扩张的毛细血管和微血管瘤，管壁通透性异常，在荧光血管造影图上表现为初期荧光渗漏渐向四面弥散，后期成为边界模糊的荧光斑团。这种血浆物质的外渗是视网膜渗出、出血和水肿等病变的基础。有些较重的糖尿病视网膜病变可见视神经盘周围辐射状毛细血管扩张和荧光渗漏，造影后期视盘边界和血管轮廓模糊，其周围组织有荧光着染。这些现象常预示有发展成为增殖性视网膜病变的可能。</p><p>（3） 毛细血管无灌注区：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">这也是唯有眼底荧光血管造影检查才能发现的较严重和有重要意义的视网膜病变。这个体征说明毛细血管管壁细胞破坏并有较严重的小血管闭塞。在造影图上表现为大小的斑点状或片状无荧光的暗区，此区周围的毛细血管正常形态中断。无灌注区多先发生于眼底赤道部视网膜，渐向后极和周边发展。无灌注区累及一整个微循环单位，即由供养小动脉、属于它的毛细血管网和收集小静脉所供应的范围。在无灌注区内常见微血管瘤或微血管瘤链和异常扩张的微血管。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">无灌注区在视野中表现为相应位置的暗区，虽然往往因其缓慢发生且位置未在眼底后极正中而不引起明显自觉症状。无灌注区波及黄斑区者，在荧光血管造影图上表现为中心凹的无血管区比正常增宽。若中心四周围毛细血管拱环的连续性被破坏，则造成黄斑缺血性损害，视力的预后不良；视乳头黄斑束的部位出现无灌注区者，视力损害也很严重。</p><p>（4） 动静脉交通：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">检眼镜检查有时可见比毛细血管粗大，将动静脉直接连接的异常扩张的血管。造影检查时，这些血管多数可有管壁荧光着色和较轻微的渗漏，并位于毛细血管闭塞区内。这种血管多系毛细血管闭塞过程中发生的侧支，是视网膜血管床中试图恢复正常血流的一种表现。</p><p>2.视网膜动、静脉异常（1） 视网膜小动、静脉异常：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有一些视网膜的小动、静脉血管异常用检眼镜不易发现，但在荧光血管造影时显而易见。这些小血管分支的起源处变狭窄，而其远端部分则现扩张，管壁有荧光着染和渗漏使血管轮廓变模糊。在更重的病例，则小血管管腔闭塞，在分支处遗留有短棍状血管残端。上述血管改变多出现在较重的视网膜病变，并常位于毛细血管闭塞区的边缘，有些小血管还表现为串珠状曲张，或呈环形弯曲，有时还见有血管鞘包绕。</p><p>（2） 视网膜大动、静脉异常：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病视网膜病变最常表现静脉迂曲扩张和管径不匀，在其他特征性改变尚不明显时已可查见。视网膜病变后期更为突出，静脉血管可呈典型的串珠状或腊肠状（图7-200），血管可盘绕成环形，有的并有白鞘。视网膜病变严重者，静脉管壁有荧光着染和滞留，并出现荧光渗漏。间或还可发生分支静脉阻塞。</p><p><span style=\"font-size: 12px;\"></span></p><p style=\"text-align: center;\"><span style=\"font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526631782117016548.jpg\" title=\"1526631782117016548.jpg\" alt=\"1526631782117016548.jpg\" width=\"400\" height=\"300\" style=\"width: 400px; height: 300px;\"/></span></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 12px;\">图7-200　左眼糖尿病视网膜病变眼底荧光血管造影像</span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">颞上静脉管径不匀，大分支呈念珠状（白箭），动脉分支管径不均匀（白箭头）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">视网膜上大的动脉血管异常在检眼镜下常不显著，但荧光血管造影常可显示有管径粗细不匀，有节段性的扩张和狭窄。在造影后期，其异常节段现荧光着色和渗漏，与静脉的表现类似，并常与静脉改变相伴出现。这些改变在有血管闭塞的部位尤为明显。</p><p>（二） 血管外损害1.出血</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病患者视网膜出血位置较深，常在内核层，常呈圆形斑点状，多与视网膜微动脉瘤或微血管异常相伴发生，很少不发现其他血管异常的单纯出血。神经纤维层火焰状出血在伴有高血压的患者中较多见。各种出血斑常与棉絮状渗出斑邻近或与其重叠。荧光血管造影图上，出血斑点表现为遮蔽背景荧光的黑色斑点，在这些出血斑的暗影内或其边缘，常现微动脉瘤群集或呈链状分布的荧光点。视网膜出血严重者可融合成大片累及视网膜各层，甚至突破内界膜成视网膜前出血，表现为上界呈水平线，下界呈半球弧形的舟状出血团。如果大量出血再突破玻璃体膜进入玻璃体腔内，则引起玻璃体混浊，导致重度视力障碍。</p><p>2.渗出（1） 硬性渗出：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病视网膜病变较早期常在眼底后极部出现边界比较清楚的蜡黄色点片状渗出，称为硬性渗出。这种渗出大小不等，间或在黄斑区或其附近呈环状。硬性渗出位于视网膜深部的外网状层，主要是视网膜毛细血管渗漏物逐渐吸收以后遗留的脂质。这种脂质组成的黄白色渗出物可渐被吸收而消散，另外又出现新的硬性渗出。眼底荧光血管造影检查在这些渗出斑的边缘或环形渗出的中央常见明显的毛细血管异常和渗漏，并在这些渗出吸收以后遗留的瘢痕处现高荧光，表明该处有毛细血管和色素上皮的损害。</p><p>（2） 棉絮状斑——软性渗出：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">棉絮状斑为大小不等、形状不规则的灰白或乳脂色调的视网膜渗出斑，边界模糊呈棉絮或绒毛样，位于视网膜浅部的神经纤维层。常出现于眼底后极部视网膜距视盘3～4个视盘直径的范围内，多数沿大血管附近分布。这种渗出斑是视网膜微血管闭塞性损害，组织严重缺血以致神经纤维层发生梗死的表现。因此，软性渗出显示视网膜循环重度障碍引起的组织破坏，预示视网膜病变有迅速发展成为增殖性改变的趋势。软性渗出的半衰期为半年至一年半，年龄较大的患者消散较缓慢。由于这种渗出附近多有微动脉瘤和微血管异常的渗漏，荧光血管造影时这种渗出斑常有荧光着染。</p><p>（三）黄斑病变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病视网膜病变的各种黄斑病理改变，包括出血、渗出水肿和微血管瘤等，是严重影响视力的重要原因，其中以黄斑水肿最常见。多数较轻的黄斑水肿在检眼镜下不易鉴别，重度黄斑水肿在单纯性视网膜病变后期和增殖性视网膜病变都可以发生。视网膜毛细血管通透性改变，渗漏液体蓄积于黄斑区中心凹周围呈辐射状排列的Henle纤维之间，形成积液的小囊。重度黄斑囊样水肿检眼镜检查见黄斑区视网膜呈增厚不透明外观，中心凹表现蜂窝状隆起。裂隙灯显微镜眼底检查发现该处视网膜肿胀变厚可达正常的2～3倍。长期持续的黄斑囊样水肿可成为永久性囊样变性甚至视网膜穿孔，致不可逆的视力丧失。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有黄斑水肿的眼底，荧光血管造影常见黄斑区毛细血管闭塞，中心凹周围黄斑毛细血管拱环破坏。早期较轻的水肿和拱环不完整，并不影响视力，只是黄斑区毛细血管和微血管瘤通透性增大有荧光渗漏，造影后期在黄斑区呈模糊的斑片状荧光。重度的黄斑囊样水肿，黄斑区荧光渗漏显著，造影后期呈围绕中心凹排列、充有荧光的花瓣状或卵石状有分隔的囊样形态（图7-201）。</p><p style=\"text-align: center;\"><span style=\"font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526631845526058181.jpg\" title=\"1526631845526058181.jpg\" alt=\"1526631845526058181.jpg\" width=\"400\" height=\"300\" style=\"width: 400px; height: 300px;\"/></span></p><p style=\"text-align: center;\"><span style=\"font-size: 12px;\">图7-201　右眼黄斑囊样水肿，眼底荧光血管造影像黄斑囊样水肿呈花瓣状（黑箭）</span></p><p>（四）增殖性病变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病视网膜病变进展到一定程度，血管病变加剧，视网膜组织重度故血缺氧，视网膜血管壁萌发新生血管。这些新生血管好发于视神经乳头及其附近，或近赤道区的视网膜中央动静脉血管。初期较细小的新生血管有的用检眼镜不易查明，但因其管壁异常，大量渗漏荧光素，经眼底荧光血管造影而易于识别。新生血管位于视网膜表面，多数突出于内界膜之外而与玻璃体接触。明显的新生血管在检眼镜下表现为视网膜大血管邻近蜷曲迂回的细血管网。新生血管管壁结构不健全，易于出血，出血较多时往往穿入玻璃体内，严重妨碍视力。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">与新生血管出现的同时，视网膜组织在新生血管附近逐渐发生纤维细胞增殖，形成纤维条带。这种在视网膜表面和邻接玻璃体处发生的血管纤维性增殖，称为增殖性玻璃体视网膜病变。这些增殖带随病程延长而增多，并收缩牵引而引起新生血管出血或视网膜脱离等不良后果。但也有少数病例，经过漫长的病程，新生血管萎缩闭塞，未发生大量出血或视网膜脱离而幸存一定的视力。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;中华眼科学:中册</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5016', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1474', '并发症', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病视网膜病变由于血管的损害，还有血液成分和血液流变性等变化因素，尤其在有高血压的患者，较易引起其他视网膜和视神经血管导致的并发症。其中以视网膜静脉阻塞比较常见，多出现于视网膜病变病程较长，血管损害较重的阶段。因此，对糖尿病视网膜病变患者患病过程中出现的视力下降和出血等特征，注意与静脉阻塞的并发症互相鉴别，避免混淆漏诊。另外一种较少发生的并发症为缺血性视神经病变，可表现为视盘水肿和视力下降，也有症状体征都不明显的病例。这一并发症可能是由于睫状动脉一或多数穿巩膜支发生闭塞，引起视神经筛板后部的缺血性病变，严重的病例或治疗不善者可遗留永远性视野缺损。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;中华眼科学:中册</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5017', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1474', '病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病视网膜病变早期出现的微动脉瘤是由于视网膜毛细血管壁周细胞丧失和血管壁扩张而形成。微动脉瘤发生初期时瘤壁很薄，随后出现细胞增生并衍生出多层基底膜物质包绕微血管瘤，瘤腔内渐集聚纤维素和红细胞，聚积量多时使瘤腔闭塞。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早期糖尿病视网膜病变除微动脉瘤以外，还有不同程度的视网膜静脉扩张，尤其是小静脉，常呈环襻状等不规则形状。在内核层或外网状层内常有毛细血管或微动脉瘤破裂出血，早期较少神经纤维层出血。病程较长和较重的视网膜病变，血-视网膜屏障破坏，液体渗漏入视网膜，发生视网膜水肿和硬性渗出。外网状层在水肿时最为明显，其他各层因以神经轴突和广泛的细胞成分为主，故含水较少。黄斑部视网膜有较多放射状排列的Henle纤维，也常有较重的水肿。硬性渗出则是血管渗漏的液体和脂质沉积于外网状层，液体成分逐渐吸收以后遗留的蜡黄色斑块。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在糖尿病视网膜病变长期持续的进程中，视网膜毛细血管闭塞，导致神经纤维层的灶性梗死，成为白色絮状的软性渗出。与此同时或这一阶段先后发生的视网膜无灌注区则在荧光血管造影图上可明确显示。上述缺血缺氧严重，血管损害不断加剧的视网膜病变诱发的新生血管，可从静脉发起或源于一簇细小的视网膜内微血管异常。新生血管的内皮细胞有窗样改变，并且细胞间没有紧密连接，故荧光血管造影时有特征性的大量迅速渗漏荧光。推测视盘上缺乏真正的内界膜限制，可能与这一部位较多出现新生血管有关。新生血管也常沿脱离的后玻璃体表面已发生的结缔组织生长。一股新发的新生血管为裸露而无结缔组织成分，以后逐渐伴发视网膜玻璃体结缔组织增生，玻璃体膜增厚。长期存在的新生血管渐渐发生退行改变，最后在长时间的自然病程中可自行萎缩。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;中华眼科学:中册</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5018', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1474', '分期', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病视网膜病变的临床眼底表现形态多样，为了明确诊断，观察病情演变，衡量治疗效果和估计预后，并在临床和研究工作中对病变作准确记录及描述，曾有不少国内外作者对糖尿病视网膜病变进行过多种不同的分型和分期。归纳起来，都以是否出现视网膜新生血管为标志，分为没有发生新生血管的背景型（或单纯型）和出现新生血管以后的增殖型，这是多数一致的观点。其余具体分期的标准，内容虽大同小异，但极不统一。我国1984年6月在哈尔滨举行第一次全国眼底病学术讨论会时，根据糖尿病视网膜病变的系列临床表现特征和病理改变过程，参考各地糖尿病视网膜病变研究成果，以及历来的分期方法，制订了“糖尿病视网膜病变临床分期标准”（表7-31），经同年10月在南宁召开的中华医学会眼科学会第三届全国学术会议讨论通过并公布实行。在我国临床的医疗和研究工作中对糖尿病视网膜病变的分型分期有了规范和统一的标准。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表7-31　糖尿病视网膜病变分期标准<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">*</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526631908421030904.jpg\" title=\"1526631908421030904.jpg\" alt=\"1526631908421030904.jpg\" width=\"400\" height=\"300\" style=\"width: 400px; height: 300px;\"/></span></p><p style=\"text-align: center;\"><span style=\"font-size: 12px;\">“较少，易数”和“较多，不易数”均包括出血病变</span></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">*</span>见中华眼科杂志1985年第21卷第2期第113页</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">没有新生血管形成的糖尿病视网膜病变称为单纯型病变，即过去沿用的国外翻译名称背景性视网膜病变。这一时相的病变局限在视网膜内。单纯型病变的早期，虽然用玻璃体荧光光度测定的方法可在没有任何眼底体征以前测知视网膜血管或血-视网膜屏障可能发生的破坏，但视网膜微动脉瘤和（或）小出血点仍然是最早出现并比较确切的视网膜病变的体征。带黄白色的蜡样硬性渗出斑点，说明血管系统功能异常，通透性增大，血液成分逸出。而白色软性渗出则表示微循环重度紊乱，血管破坏严重，视网膜神经纤维层发生梗死。在这个阶段并有多处局灶性或广泛的视网膜无灌注，常预示即将发生新生血管，故又称为糖尿病视网膜病变的增殖前期。至于视网膜病变的增殖期，即在视网膜循环对组织缺氧不能代偿的情况下、从发生新生血管开始。新生血管从视网膜表层突破内界膜，位于视网膜和玻璃体之间的间隙。后期纤维增殖增多，血管纤维增殖穿越玻璃体膜进入玻璃体内。增殖组织或玻璃体的收缩都可引起视网膜脱离或玻璃体积血而严重影响视力。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">上列糖尿病视网膜病变分期标准，重点突出疾病演变中能体现病变实质的主要眼底表现特征，比较准确、合理地反映糖尿病视网膜病变的临床和病理进展和变化过程，还对单纯型视网膜病变中各期病情轻重程度的概念，结合临床表现作了适当的数量表达。这个标准比较简明扼要，便于在各级医疗卫生单位的医疗、科研和教学中应用，但此标准未能显示有无黄斑病变和严重程度。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">为制订全球糖尿病视网膜病变的分型标准，2001年的美国眼科年会上美国学者进行最初计划与分型草案的制订，随后在2002年悉尼举行的国际眼科学会议及其后采用的问卷调查中，先后有代表16个国家的31位视网膜专科医师、综合眼科医师、内分泌科医师和流行病学专家组成工作组，参与了新标准的制订。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">工作组以2个重要的循证医学临床研究，即“糖尿病视网膜病变早期治疗研究（early treatment diabetic retinopathy study，ETDRS）”和“Wisconsin糖尿病视网膜病变流行病学研究（Wisconsin epidemiologic study of diabetic retinopathy，WESDR）”为基础，对各位专家新标准的意见一致性进行评估。通过认真细致的共同评估与讨论，与会专家就修订的糖尿病视网膜病变和糖尿病黄斑水肿的国际临床分型达成共识，新的国际分型获得通过（表7-32）。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表7-32　糖尿病视网膜病变国际临床分级标准（2002年）<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">*</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526632085883022974.jpg\" title=\"1526632085883022974.jpg\" alt=\"1526632085883022974.jpg\" width=\"400\" height=\"300\" style=\"width: 400px; height: 300px;\"/></span></p><p><span style=\"font-size: 12px;\">对糖尿病黄斑水肿的程度分为2类：无或无明显的糖尿病黄斑水肿。如果存在糖尿病黄斑水肿，可再分为轻、中和重度3级（表7-33）。</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表7-33　糖尿病黄斑水肿分级（2002年）<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">*</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\"></span></p><p style=\"text-align: center;\"><span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526632046511022021.jpg\" title=\"1526632046511022021.jpg\" alt=\"1526632046511022021.jpg\" width=\"400\" height=\"300\" style=\"width: 400px; height: 300px;\"/></span></p><p style=\"text-align: center;\"><span style=\"font-size: 12px; box-sizing: border-box; position: relative; line-height: 0; vertical-align: baseline; top: -0.5em;\">*</span><span style=\"font-size: 12px;\">见《Ophthalmology》2003年第110卷第9期第1677-1682页</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">新的糖尿病视网膜病变国际临床分级标准简便易懂，易被广大眼科医师、初级眼保健医师和内科医师所掌握。有利于不同层次的医师之间进行更广泛的交流与病情分析。通过一些较为简易的设备，即能对患眼进行分型，确定治疗方案确保患者能得到早期、及时的治疗，以减少失明的危险。对于一些边远地区及欠发达地区的糖尿病视网膜病变的防治具有重要的现实意义。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">该标准还重点突出了“重度非增生性糖尿病视网膜病变”这一分型。强调处于这一分型的患眼存在发展为增生性病变的高危险性，50%处于这一型的患眼在1年内会发展为增生性病变；71%的患眼在3年会发生增生性病变。因此对于此型患眼应格外重视，可考虑进行光凝治疗，3～4个月的密切随访极为重要。早期治疗可使严重视力丧失的危险度、需行玻璃体切除手术的可能性下降50%。&nbsp;发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病视网膜病变的发病机制迄今还不完全明了。从临床过程和多数研究结果，本病历来被认为主要是源于视网膜血管，尤其是微血管系统的损害，随后引起视网膜一系列的病理改变。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病的糖代谢机制紊乱是产生糖尿病视网膜病变的根本原因。醛糖还原酶在葡萄糖高浓度下转化为山梨醇再成为果糖，并使半乳糖转化为卫茅醇。由于山梨醇和卫茅醇在细胞内很少进一步发生代谢，并因其极性而难于透出细胞膜，细胞内浓度增大致渗透压升高，水分渗入细胞引起电解质失衡和代谢紊乱。晶状体上皮细胞即含有高浓度醛糖还原酶，故半乳糖血症和糖尿病实验动物易发生白内障。视网膜毛细血管周细胞在糖尿病患者发生的选择性丧失，也与含有较多的醛糖还原酶有关。由于周细胞损害和消失，减低了毛细血管的收缩力和调节毛细血管内血流量的作用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病患者血小板的黏着和凝集异常，以及血液成分改变和黏度增高等，都可能与视网膜的循环障碍和缺血有关。据检测发现血小板的凝集功能随糖尿病视网膜病变的发生和发展有不断加强的趋势。并且与生长激素水平增高导致血中第Ⅷ因子水平上升有较大关系。第Ⅷ因子由血管内皮分泌，与红细胞凝集有关，还可促进血小板的集结和黏附作用。在血小板黏附于血管内皮细胞过程中，细胞壁中的磷脂物辗转转化为凝栓质A<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>（或称血栓素A<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>），可使血管收缩并进一步使血小板凝聚。这些异常的血小板黏着和凝聚便可能是引起毛细血管闭塞的重要因素，以致造成视网膜组织缺血缺氧，成为糖尿病视网膜发生病变的主要原因。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有些糖尿病患者的血液黏度增高，尤其是那些糖尿病控制不良与血管并发症较重者更为明显。红细胞凝集性增加和变形能力降低，便不能穿过管径细小的毛细血管；加上血浆蛋白，如纤维蛋白原和α球蛋白等含量升高，都是使血液黏滞度加大，导致血管内皮损害，造成血管堵塞，以致微血栓生成的因素。糖尿病视网膜病变的严重程度与这些因素有一定的关系。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">关于生长激素在糖尿病视网膜病变中所起的作用，曾经有作者发现，女性糖尿病患者产后发生出血性脑垂体坏死（Sheeham综合征）后，严重的糖尿病视网膜病变病情随即逆转。并且，近年有人对一些患有糖尿病的侏儒患者作过10年以上的随访观察，未发现他们发生糖尿病视网膜病变。据认为生长激素分泌增高可抑制糖代谢，导致细胞内山梨醇积聚，增加糖尿病血管中糖蛋白和黏多糖的沉积并加速血管硬化，促进视网膜血管微血管微血栓形成而引起视网膜病变。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">至于糖尿病视网膜病变的新生血管增殖性病变，与体内许多产生新生血管的疾病相仿，属于一种代偿机制，由于组织缺氧的诱导，出现一种可弥散的“血管增殖因子”，大量的学者研究了新生血管出现的机制，认为血管内皮生长因子（VEGF）是眼内最有可能的新生血管生长因子。通过线粒体活性氧通路等途径介导，造成血管通透性增加、加速视网膜血管周细胞凋亡等病理改变。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此外，有一些研究表明，不同类型的糖尿病患者具有不同的遗传基础，在免疫遗传学的观察研究中，不同类型HLA抗原与特定的糖尿病视网膜病变类型的发生率有较密切的关系。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年有一些作者研究发现糖尿病累及视网膜是先有视网膜组织代谢的损害，然后才出现组织学或检眼镜下可见的血管异常。视网膜神经元功能异常出现最早，表现在视网膜电图的振荡电位参数的改变。但这种观点的确立还需要更多的观察研究和佐证。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;中华眼科学:中册</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5019', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1474', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">糖尿病视网膜病变的治疗，原则上应当经常将高血糖控制在正常水平。虽然由于发病机制比较复杂与病变类型的差异，但是近年有不少比较系统的临床对比观察研究资料显示，若糖尿病患者高血糖和周身病情得到长期的较好控制，对延缓其视网膜病变的进行和减轻病情有肯定的效果。这种状况多半与患者高血糖即血中糖化血红蛋白与氧的亲和力增强且不易释放的机制有关；若长期使血糖控制在正常水平，对缓解视网膜缺氧有一定作用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">对于糖尿病视网膜病变的治疗，一般说来，针对具体病情，可分三个方面概述如下：</p><p>1.药物治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">对糖尿病视网膜病变还缺乏特效的药物治疗。20世纪60年代初期发现经水杨酸盐治疗类风湿关节炎同时有糖尿病的患者，糖尿病视网膜病变的发生率极低。阿司匹林对血小板凝集有抑制作用，在临床上并对微循环血栓形成的预防有一定帮助。基于这些临床和理论上的认识，近年对糖尿病患者曾经应用阿司比林口服每日一次300mg，预防视网膜病变的发生，或在早期糖尿病视网膜病变时服用，可能有一定的作用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">对于视网膜黄斑区及其周围有环形硬性渗出及血脂偏高的糖尿病患者，应摄取低脂膳食，服用降胆固醇药安妥明（氯贝丁酯）250mg每日4次，曾有报道可减少视网膜渗出和起到增进视力的作用。此外，口服药物2，5-二羟基苯磺酸钙，用于早期糖尿病视网膜病变，有可能减轻糖尿病视网膜毛细血管的易渗漏性，降低血的高黏稠度和血小板的凝聚力，达到减轻糖尿病视网膜病变的目的。</p><p>2.手术治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">手术疗法主要用于治疗增殖性视网膜病变的并发症，如新生血管引起的玻璃体积血，视网膜玻璃体增殖条带引起的牵拉性视网膜脱离和孔源性视网膜脱离等。若玻璃体积血严重且较长时间不能消散吸收，采用玻璃体切除手术，以达到清除积血，切断和分离机化条膜，缓解对眼底组织结构的牵拉，恢复视网膜的正常解剖位置。便于手术后作清晰的眼底检查而有利于进行后续的光凝或冷凝等必需的治疗措施。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">对糖尿病视网膜病变患者的视网膜脱离，应注意鉴别属牵拉性或孔源性。有些牵拉性视网膜脱离的患者，在不作手术治疗的情况下，较长时期尚能保存一定的视力，而孔源性脱离则必须早期手术治疗，否则在较短时间内大多视力丧失。对增殖性视网膜病变施行手术的目的在于缓解对视网膜或孔源性视网膜脱离的牵拉，可用玻璃体剪剪断厚的玻璃体增殖膜，还可对玻璃体新生血管施行眼内电凝，以及眼球环扎或巩膜摺叠等手术使眼球内径减小。这些手术并可同时与闭合式玻璃体切除术联合进行。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">由于发现体内生长激素缺乏的侏儒糖尿病患者当中，很少发生糖尿病视网膜病变，曾经对糖尿病视网膜病变新生血管严重、光凝效果不佳的患者施行脑垂体部分切除手术，对部分患者减轻视网膜病变的血管病变有一定作用。可以减少出血水肿，导致新生血管萎缩，缓解血管病变。也可应用电凝和放射等方法破坏腺垂体，达到这些治疗目的。但这些疗法都必须慎用，对少数全身病情和视力预后较好，又不宜作光凝治疗的患者，可考虑选用。</p><p>3.光凝治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">糖尿病视网膜病变后期，视网膜血管内外的病变引起视网膜严重缺血缺氧，因而导致血管增殖因子释放，刺激眼底的视乳头和视网膜的新生血管形成。激光光凝视网膜组织使一定面积的神经视网膜组织破毁萎缩，降低患眼视网膜对氧的需求，以减少血管增殖因子的释放，从而缓解或清除视网膜缺血水肿和新生血管等病变的发生和发展。光凝治疗至今仍为对糖尿病视网膜病变的黄斑病变、新生血管出血等破坏视力严重后果的有效补救治疗方法。经激光光凝治疗，已有的新生血管可以消退，从而达到保持部分视网膜，尤其是黄斑区视网膜的视功能的目的。糖尿病视网膜病变的激光光凝治疗经近年大量的临床观察和多中心大规模的对照研究，已证明能够被眼底血红蛋白、黑色素、色素上皮较好吸收的氩绿激光，大面积视网膜光凝和直接对局部新生血管的封闭，以及对有渗漏性微血管瘤的凝固能起到很好的治疗作用。在非增殖性视网膜病变，光凝主要用于影响和对视力有严重威胁的黄斑病变患者，光凝针对成簇的微血管瘤与毛细血管闭塞的荧光渗漏区，也可用于近周边有广泛毛细血管闭塞而无黄斑病变的患者。由于光凝对需氧量高的外层视网膜灼伤成为瘢痕，视网膜变薄，可使内层从脉络膜血运得到较多氧的供应，并可消除由于缺氧而产生的血管增殖因子。光凝治疗前均须有完整清晰的眼底照相和荧光血管造影资料，详细了解病情和病变位置。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">光凝对增殖性糖尿病视网膜病变在于针对新生血管防止出血，并阻止继续发生纤维组织。周边视网膜局限的新生血管可以采用全视网膜光凝（此观点值得商榷：周边局限的新生血管也应是全视网膜光凝的适应证），视盘新生血管，尤其对隆起的新生血管，也需进行弥散性光凝，或称全视网膜光凝，6～8周后未消退的新生血管可以在新生血管局部加密激光斑。所谓全视网膜光凝的光凝范围，为距视神经乳头缘1个视盘直径至眼底赤道部，以及距黄斑中心上、下和颞侧各2个视盘直径，避开视乳头黄斑束和颞侧上下血管弓之间的后极部视网膜，形成眼底一大片播散光凝点的椭圆形光凝区域。全视网膜光凝治疗虽为现在对重度糖尿病视网膜病变较好的疗法，但在术后有使视功能，包括夜间视力、颜色视力和周边视力减退的副作用，并常有中心视力轻度下降，患者还可发生自觉眼前闪光的症状。如术前已有黄斑水肿者，光凝术后有可能加重。若同时有黄斑光凝与全视网膜光凝适应证，一般先行黄斑光凝后行全视网膜光凝，可以减轻全视网膜光凝所致的黄斑水肿，加快视力恢复速度。此外，若术前已有严重的纤维血管增殖，术后有可能发生收缩而导致出血和视网膜脱离。光凝术后应注意必需的随诊观察，如发现有残余或复发新生血管，尚须作补充或重复的光凝治疗。</p><p>4.冷凝治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">经裂隙灯显微镜和角膜接触镜进行的全视网膜激光光凝，不能到达视网膜前部，必要时可在眼球表面经眼前部结膜巩膜，或切开球结膜经巩膜作冷凝治疗，便可对视网膜周边部达到与光凝类似的治疗目的。另外，对眼有屈光间质混浊，如有白内障或玻璃体积血等，不能采用光凝的患者，需要时也用冷凝治疗。但因广泛的冷凝也可引起玻璃体收缩导致出血或视网膜脱离，对有重度玻璃体视网膜牵引的患者应慎用。</p><p style=\"text-align: right;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">来源&nbsp;&nbsp;:&nbsp;&nbsp;中华眼科学:中册</span></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5062', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '69', '概述', '<p>&nbsp; 肺脓肿（pulmonary abscess）是由一种或多种病原体所引起的肺组织化脓性感染，早期为化脓性肺炎，继而坏死、液化，脓肿形成。临床上以急骤起病的高热、畏寒、咳嗽、咳大量脓臭痰，X线显示一个或数个含气液平的空洞为特征。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5063', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '69', '病原体', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺脓肿绝大多数是内源性感染，主要由吸入口咽部菌群所致。常见病原体与上呼吸道、口腔的寄居菌一致。厌氧菌最常见，通常包括G<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>球菌如消化球菌、消化链球菌以及G<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">-</span>杆菌如脆弱拟杆菌、产黑色素拟杆菌和坏死梭形杆菌等。需氧菌和兼性厌氧菌主要包括金黄色葡萄球菌、肺炎链球菌、溶血链球菌和肺炎克雷伯杆菌、大肠埃希菌、变形杆菌、铜绿假单胞菌等。院内感染中需氧菌比例通常较高。血源性肺脓肿中病原菌以金黄色葡萄球菌最为常见，肠道术后则以大肠杆菌、变形杆菌等较多，腹腔盆腔感染可继发血源性厌氧菌肺脓肿。其他可引起肺部脓肿性改变的少见病原体尚有诺卡菌、放线菌、分枝杆菌，真菌如曲霉，寄生虫如溶组织内阿米巴等，但临床所谓之“肺脓肿”含义中不包括此类特殊病原体所致者。&nbsp;发病机制</p><p>（一）吸入性肺脓肿</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">口咽鼻腔寄居菌经口咽吸入，是急性肺脓肿最主要的原因。扁桃体炎、鼻窦炎、齿槽溢脓的脓性分泌物，口腔鼻咽部手术后的血块、齿垢或呕吐物等，在昏迷、醉酒、癫痫发作、全身麻醉、中枢神经系统病变致延髓麻痹等情况下，经气管被吸入肺内，造成细支气管阻塞，病原菌在局部繁殖，最终导致肺脓肿发生。有些患者未能发现明显诱因，国内、外报道其分别达29.3%和23%，可能由于受寒、极度疲劳等诱因导致全身免疫状态与呼吸道防御功能减低，在深睡时吸入口腔的污染分泌物，或食管反流致吸入而发病。肺脓肿形成显示气道局部高微生物负荷以及清除不足。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本型病灶常为单发性，其发生部位与解剖结构及吸入时体位有关。由于右总支气管较陡直，且管径较粗，吸入性分泌物易进入右肺。在仰卧时，好发于上叶后段或下叶背段，在坐位时，好发于下叶后基底段。右侧位时，好发于右上叶前段后段形成的腋亚段。发生在上肺区如右中叶或上叶前段的空洞性病变要警惕其他病因包括肺恶性肿瘤的可能性。</p><p>（二）血源性肺脓肿</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">皮肤创伤感染、疖痈、骨髓炎、腹腔感染、盆腔感染、右心感染性心内膜炎等所致的菌血症，病原菌脓毒栓子，经循环至肺，引起肺小血管栓塞，进而导致肺组织炎症、坏死，形成脓肿。此型病变常为多发性，叶段分布无一定规律，但常发生于两肺的边缘部，中小脓肿为多。病原菌多为金黄色葡萄球菌等原发感染的病原体。</p><p>（三）继发性肺脓肿</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多继发于其他肺部疾病。空洞性结核、支气管扩张、支气管囊肿和支气管肺癌等继发感染，可引起肺脓肿。肺部邻近器官化脓性病变或外伤感染、膈下脓肿、肾周围脓肿、脊柱旁脓肿、食管穿孔等，穿破至肺亦可形成肺脓肿。阿米巴肺脓肿多继发于阿米巴肝脓肿。由于阿米巴肝脓肿好发于肝右叶的顶部，易穿破膈肌至右肺下叶，形成肺脓肿。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5064', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '69', '病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早期吸入部位细支气管阻塞，使肺组织发生炎症，小血管栓塞，肺组织化脓、坏死，终致脓肿形成。炎症病变可向周围组织扩展，甚至超越叶间裂侵犯邻近肺段。菌栓使局部组织缺血，助长厌氧菌感染，加重组织坏死。液化的脓液积聚在脓腔内引起脓肿张力增高，最终致使脓肿破溃到支气管内，进而咳出大量脓痰。若空气进入脓腔内，则脓肿内出现气液平面。有时炎症向周围肺组织扩展，可形成一个至数个脓腔。若支气管引流不畅，坏死组织残留在脓腔内，炎症持续存在，则转为慢性肺脓肿。此时脓腔周围纤维组织增生，脓腔壁增厚，周围的细支气管受累，可致变形或扩张。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5065', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '69', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病临床症状和一般肺部感染相同，包括咳嗽、大量脓痰、胸痛、发热和咯血等。急性吸入性肺脓肿起病急骤，患者畏寒、发热，体温可高达39～40℃，伴咳嗽、咳黏痰或黏液脓性痰，炎症波及局部胸膜可引起胸痛。病变范围较大者，可出现气急。此外，还可有精神不振、多汗、乏力、纳差等。约7～10天后，咳嗽加剧，肺脓肿破溃于支气管，随之咳出大量脓臭痰，每日可达300～500ml，体温旋即下降。由于病原菌多为厌氧菌，故痰常带腥臭味。1/3的患者有不同程度的咯血。厌氧菌感染者临床过程相对较长，且有些患者可无症状。慢性肺脓肿患者可有慢性咳嗽、咳脓痰、反复咯血和不规则发热等，常有贫血、消瘦等消耗状态。血源性肺脓肿常先有原发灶，以及原发灶引起的全身脓毒症状，数日后出现咳嗽、咳痰等肺部症状，痰量通常不多，也极少咯血。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胸部检查局部常有叩诊浊音或实音，听诊呼吸音减低，有湿性啰音或胸膜摩擦音；即使有空洞形成，亦很少有典型的空洞体征。并发胸膜渗液时有胸腔积液的体征。慢性肺脓肿可有杵状指（趾）及肥大型骨关节病。口腔卫生不良或牙周疾病可作为肺脓肿线索之一，对诊断有提示作用。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5066', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '69', '辅助检查', '<p><span style=\"font-size: 12px;\">（一）周围血象</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">外周血白细胞计数及中性粒细胞均显著增加，总数可达（20～30）×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L，中性粒细胞在80%～90%以上。慢性肺脓肿患者白细胞可无明显改变，但可有贫血，血沉加快。</span></p><p><span style=\"font-size: 12px;\">（二）病原学检查</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">病原学检查对肺脓肿诊断、鉴别诊断以及指导治疗均十分重要。由于口腔中存在大量厌氧菌，重症和住院患者口咽部也常有可引起肺脓肿的需氧菌或兼性厌氧菌如肺炎杆菌、铜绿假单胞菌、金黄色葡萄球菌等定植，咳痰培养不能确定肺脓肿的病原体。较理想的方法是避开上呼吸道直接至肺脓肿部位或引流支气管内采样。但这些方法多为侵入性，各有特点，应根据情况选用。重症感染以及怀疑血源性肺脓肿者血培养可发现病原菌。但由于厌氧菌引起菌血症较少，培养阳性率较低，对吸入性肺脓肿血培养结果往往仅能反映其中部分病原体。伴有脓胸或胸腔积液者，胸液病原菌检查是个极佳的确定病原体方式，除一般需氧培养外，尚需进行厌氧菌培养，阳性结果可直接代表肺脓肿病原体，极少污染，而且即使发生污染亦易于判断。对免疫低下者，还应行真菌和分枝杆菌涂片染色和培养等检查。阿米巴肺脓肿者痰检可发现滋养体和包囊从而确诊。</span></p><p style=\"text-align: center;\"><span style=\"font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526630359557091775.jpg\" title=\"1526630359557091775.jpg\" alt=\"1526630359557091775.jpg\" width=\"500\" height=\"550\" style=\"max-width: 1024px; table-layout: fixed; width: 500px; height: 550px;\"/></span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\"></span><br/></p><p><span style=\"font-size: 12px;\">（三）影像学检查</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">X线表现根据类型、病期、支气管引流是否通畅以及有无胸膜并发症而有所不同。吸入性肺脓肿常位于低垂部位，在早期化脓性炎症阶段，其典型的X线征象为大片浓密模糊炎性浸润阴影，边缘不清，分布在一个或数个肺段，与细菌性肺炎相似。脓肿形成后，大片浓密炎性阴影中出现圆形或不规则透亮区及液平面（图17-7-2、图17-7-3）。在消散期，脓腔周围炎症逐渐吸收，脓腔缩小而至消失，或最后残留少许纤维条索阴影。慢性肺脓肿脓腔壁增厚，内壁不规则，周围炎症略消散，但不完全，伴纤维组织显著增生，并有程度不等的肺叶收缩，胸膜增厚，纵隔向患侧移位，其他健肺发生代偿性肺气肿。血源性肺脓肿在一侧肺或两肺外周部见多发、散在的小片状炎症阴影，或呈边缘较整齐的球形病灶，其中可见脓腔及液平或液化灶。炎症吸收后可呈现局灶性纤维化或小气囊。并发胸水或脓胸者，患侧呈大片浓密阴影，若伴发气胸则可出现液平。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\"></span></p><p style=\"text-align: center;\"><span style=\"font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526630459863050196.jpg\" title=\"1526630459863050196.jpg\" alt=\"1526630459863050196.jpg\" width=\"500\" height=\"550\" style=\"max-width: 1024px; table-layout: fixed; width: 500px; height: 550px;\"/></span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">胸部CT扫描较胸部平片敏感，多有浓密球形病灶，其中有液化，或呈类圆形的厚壁脓腔，脓腔内可有液平面出现，脓腔内壁常表现为不规则状，周围有模糊炎性影。伴脓胸者尚有患侧胸腔积液改变。</span></p><p><span style=\"font-size: 12px;\">（四）纤维支气管镜检查</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">可明确有无支气管腔阻塞，及时发现病因或解除阻塞恢复引流。亦可借助纤维支气管镜防污染毛刷采样、防污染灌洗行微生物学检查以及吸引脓液，必要时尚可于病变部注入抗菌药物。</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5067', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '69', '鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺脓肿应与下列疾病相鉴别。</p><p>1.细菌性肺炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早期肺脓肿与该病在症状及X线表现上很相似。细菌性肺炎中肺炎链球菌肺炎最常见。胸部X线片示肺叶或段实变，或呈片状淡薄炎性病变，极少脓腔形成。</p><p>2.空洞性肺结核</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">发病缓慢，病程长。胸部影像示空洞壁较厚，其周围可见结核浸润卫星病灶，或伴有斑点、结节状病变。空洞内一般无液平，有时伴有同侧或对侧的结核播散病灶。痰量较少，痰中可找到结核杆菌。</p><p>3.支气管肺癌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肿瘤阻塞支气管引起支气管远端的肺部阻塞性炎症，呈肺叶段分布。癌灶坏死液化可形成癌性空洞。发病较慢，常无或仅有低度毒性症状。胸部影像学示空洞常呈偏心，壁较厚且内壁凹凸不平，一般无液平，空洞周围无炎症反应。由于癌肿经常发生转移，故常见有肺门和纵隔淋巴结肿大。通过X线、胸部CT扫描、痰脱落细胞检查以及纤维支气管镜检查可确诊。</p><p>4.支气管肺囊肿继发感染</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺囊肿呈圆形，腔壁薄而光滑，常伴有液平面，周围无炎性反应。患者常无明显的毒性症状或咳嗽。若有感染前的影像资料相比较，则更易鉴别。</p><p>5.其他如肺隔离症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">、Wegener肉芽肿亦需临床积极排除。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5068', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '69', '防治', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺脓肿的预防主要是减少和防治误吸，保持良好的口腔卫生，肺炎早期积极给予有效的抗菌药物治疗。治疗的原则是选择敏感药物抗炎和采取适当的方法进行脓液引流。治疗应个体化。</p><p>（一）抗菌药物治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病多有厌氧菌感染存在，治疗可选用青霉素、克林霉素和甲硝唑。青霉素G对急性肺脓肿的大多数感染细菌都有效，故最常用，建议剂量每天640万～1000万单位静滴，分4次给予。考虑到病原体产β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">-</span>内酰胺酶，脆弱拟杆菌和产黑色素拟杆菌对青霉素耐药，可予林可霉素或克林霉素治疗。目前克林霉素（300～600mg，每6小时1次）已作为标准治疗之一。体外试验示甲硝唑对几乎所有常见厌氧菌均有效，但对微需氧链球菌或需氧菌无效，单药治疗常招致失败。早期经验性治疗应针对多种口腔菌群，可选择静脉应用青霉素、头孢菌素或第三代头孢菌素与克林霉素或甲硝唑联合，或者β-内酰胺类/β-内酰胺酶抑制剂等。酗酒、护理院及医院获得性肺脓肿者应使用有抗假单胞菌活性的第三、四代头孢菌素如头孢他啶和头孢吡肟联合克林霉素或甲硝唑。或β-内酰胺类/β-内酰胺酶抑制剂、碳青霉烯类、氟喹诺酮类（左氧氟沙星、环丙沙星）之一联合克林霉素或甲硝唑。有效治疗下患者体温3～10天可下降至正常。此时可将静脉给药转换为口服给药（如呼吸喹诺酮类）。抗菌药物总疗程6～10周，或直至临床症状完全消失，X线片显示脓腔及炎性病变完全消散，或仅残留纤维条索状阴影为止。血源性肺脓肿疑似金黄色葡萄球菌感染者可选用耐酶青霉素或第一代头孢菌素治疗。对β-内酰胺类过敏或不能耐受者可改为克林霉素或万古霉素。对MRSA则需用万古霉素、替考拉宁、利奈唑胺。化脓性链球菌可以青霉素G为首选。需氧G<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">-</span>杆菌引起的感染，应尽量根据体外药敏选药，或根据本地区的G<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">-</span>杆菌抗菌药敏情况选药。亚胺培南对肺脓肿的常见病原体均有较强的杀灭作用，是重症患者较好的经验性治疗备选药物。持续存在的菌血症、高热72小时不退、7～10天的抗生素治疗后痰液性质和数量以及影像学无变化者要考虑存在未明确的气道阻塞、脓胸或抗生素耐药。</p><p>（二）痰液引流</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺脓肿的治疗应强调体位引流，尤其在患者一般情况较好且发热不高时。操作时使脓肿部位处于高位，在患部轻拍，每天2～3次，每次10～15分钟。但对脓液甚多且身体虚弱者体位引流应慎重，以免大量脓痰涌出而造成窒息。有明显痰液阻塞征象者可经纤支镜冲洗吸引。而有异物者需行纤支镜摘除异物。痰液黏稠、有支气管痉挛存在时，可考虑对症使用化痰药物以及支气管扩张药治疗，亦可采用雾化以稀释痰液。贴近胸壁的巨大脓腔，可留置导管引流和冲洗。合并脓胸时应尽早胸腔抽液、引流。肿瘤性疾病致支气管狭窄后的继发性肺脓肿有时需经支气管镜球囊扩张或支架置入加强引流。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对有昏迷、糖尿病等基础疾病者，应积极治疗原发病。对于营养不良者，应给予支持治疗。</p><p>（三）外科治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病绝大多数不需外科手术治疗。手术指征包括慢性肺脓肿内科治疗效果不佳，大咯血、气道阻塞致引流受限，脓胸伴支气管胸膜瘘及不愿经胸腔引流者，或考虑有非感染性疾病需组织学诊断时。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">通常来说，预后相对较好，治愈率达90%～95%。但有明显合并症，感染病原体为铜绿假单胞菌、金黄色葡萄球菌和肺炎克雷伯菌的免疫受损患者病死率较高。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5069', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '69', '参考文献', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.刘又宁.实用临床呼吸病学.北京：科学技术文献出版社，2007：350-351.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.Fauci AS，Braunwald E，Kasper DL，et al.Harrison’s Principles of Internal Medicine.17th ed.New York：The McGraw-Hill Companies，Inc.，2008.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.Goldman L，Schafer AI.Goldman’s Cecil Medicine.24th ed. Philadelphia：Saunders，2011.</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5142', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '467', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">霍乱（cholera）是由霍乱弧菌（<em style=\"box-sizing: border-box;\">Vibrio cholerae</em>）所致的烈性肠道传染病，临床表现轻重不一，典型病例病情严重，有剧烈吐泻、脱水、微循环衰竭、代谢性酸中毒和急性肾衰竭等。治疗不及时常易死亡，属甲类传染病。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">霍乱弧菌的两个生物型即古典生物型（classical biotype）及爱尔托生物型（EL Tor biotype）在形态和血清学方面几乎一样，两种弧菌感染者的临床表现和防治措施基本相同，现已无霍乱和副霍乱之分，均称为霍乱。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5143', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '467', '病原', '<p>（一）形态染色</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">霍乱弧菌革兰染色阴性，菌体长1.5～2.0μm，宽0.3～0.4μm，弯曲如逗点状，有一根极端鞭毛，其长度为菌体的4～5倍。该菌运动活泼，在暗视野悬液中可见穿梭运动，粪便可用直接涂片检查。</p><p>（二）培养特性</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>群和O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">139</span>型霍乱弧菌属兼性厌氧菌，营养要求简单，在普通培养基上生长良好，培养温度以37℃为适宜，钠离子可刺激生长，适合繁殖的pH为6.0～9.2，最适宜pH为7.2～7.4。选择性培养基pH常用8.4～8.6，或pH9.2，以抑制其他细菌生长。O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>群/O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">139</span>型霍乱弧菌繁殖速度快，在蛋白胨水中生长迅速，初期可显著超过大肠埃希菌，8小时可在培养液表面形成明显菌膜，在不同培养基上菌落形态略有差别，在营养琼脂或碱性琼脂上呈圆形、无色、透明、光滑、湿润、扁平或稍凸起，边缘整齐；在庆大霉素琼脂上呈无色半透明，中心有灰黑点；在TCBS琼脂（即硫代硫酸盐-柠檬酸盐-胆盐-蔗糖琼脂培养基）上呈黄色。</p><p>（三）生化反应</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>群/O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">139</span>型霍乱弧菌均能发酵蔗糖和甘露糖，不发酵阿拉伯糖。大多数埃尔托生物型V-P试验阳性，而古典型霍乱弧菌除少数外，均阴性，O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">139</span>霍乱弧菌均阳性。溶血性方面，古典型霍乱弧菌不产生可溶性溶血素，近来的埃尔托弧菌流行株未见溶血株出现。O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">139</span>型霍乱弧菌溶血能力弱。</p><p>（四）抵抗力</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">霍乱弧菌经干燥2小时或加热55℃10分钟即可死亡，煮沸立即死亡。弧菌接触1∶5000～1∶10 000盐酸或硫酸，1∶2000～1∶3000升汞或1∶500 000高锰酸钾，数分钟即被杀灭，在0.1%含氯石灰中10分钟即死亡。霍乱弧菌在正常胃酸中能生存4分钟，在未经处理的粪便中存活数日。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在同样条件下，霍乱弧菌比其他细菌生存时间更长。以埃尔托型为例，在自来水、海水、湖水中可存活25～46天，果蔬上存活7日左右，干燥食品及含15%以上的盐或40%以上糖的条件下可存活7～14天，冰箱内的肉及河海鲜上可活1～4周。</p><p>（五）抗原结构</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">霍乱弧菌有耐热的菌体（O）抗原和不耐热的鞭毛（H）抗原。H抗原为霍乱弧菌属所共有；O抗原有群特异性和型特异性两种抗原，是霍乱弧菌分群和分型的基础。</p><p>（六）分类</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">WHO腹泻控制中心将霍乱弧菌分为3群。</p><p>1.O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>群霍乱弧菌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括古典生物型霍乱弧菌（<em style=\"box-sizing: border-box;\">vibrio cholerae</em>）和埃尔托生物型霍乱弧菌（<em style=\"box-sizing: border-box;\">vibrio cholerae</em>&nbsp;ELTor<em style=\"box-sizing: border-box;\">&nbsp;biotype</em>）。O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>群的特异抗原有A、B、C三种，其中A抗原为O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>群所共有，A抗原与其他B或C抗原结合则可分为三型，即：原型-AC（稻叶，Inaba）、异型-AB（小川，Ogawa）和中间型-BC（彦岛，Hikojima）。</p><p>2.非O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>群霍乱弧菌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本群弧菌鞭毛抗原同O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>群，而菌体（O）抗原则不同，依O抗原内不同，本群早年发现有137个血清型（即O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>～O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">138</span>型）。一般认为本群仅引起散发的胃肠炎性腹泻，而非霍乱。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">139</span>虽也属非O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>群，但早在1992年印度等地暴发后即已被认定为真正的霍乱弧菌，乃由埃尔托型的基因突变所形成。O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">139</span>不含O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>群的A、B及C因子。</p><p>3.不典型O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>群霍乱弧菌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可被多价O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>群血清所凝集，但该群菌不产生肠毒素，因此无致病性。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5144', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '467', '流行病学', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">霍乱起源于南亚，自1817年在世界范围内7次流行。2007年世界卫生组织报告了177 963人，病死率2.3%；2007年东南亚湄公河地区病例数上升；美国10～15例/年，英国32例/年；2010年海地地震后，12万人发病，病死率2.1%，为古典霍乱毒素B基因的O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>群埃尔托霍乱弧菌所引起。</p><p>（一）传染源</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患者与带菌者是霍乱的传染源。典型患者的吐泻物含菌量甚多，每毫升粪便可含10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">7</span>～10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>弧菌，对疾病传播起重要作用。轻型患者及健康带菌者不易检出，两者皆为危险传染源。潜伏期带菌者尚无症状，而恢复期带菌者排菌时间一般不长，所以两者作为传染源的意义乃居其次，但国内报告排菌时间可长达4～6个月者，需予注意。</p><p>（二）传播途径</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病主要借水传播，污染的食品对传播也甚重要，手及苍蝇等污染细菌后对传播疾病也起一定作用。</p><p>（三）人群易感性</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">男女老幼均对本病易感。在新感染区，成人比儿童易受感染；在老疫区，儿童发病率较成人为高，如在孟加拉国，前者的发病率为后者的10倍。病后再次发生严重感染者少见。志愿者感染霍乱弧菌的结果表明，对第二次感染具高度抵抗力，其时间至少可维持3年。</p><p>（四）流行特征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">我国霍乱的流行高峰为7～11月份，但全年均有病例发生。本病有暴发及散发两种类型，暴发常有水型及食物型两种，散发指数周至数月内仅少数病例发生。</p><p>（五）霍乱流行危险因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括曾至霍乱流行国家旅游；近期进食过污染食物或贝壳类食物；曾住卫生条件差的避难场所；访问过近期洪水暴发过地区；家庭成员中霍乱感染者；有霍乱密切接触史；营养不良；胃酸分泌减少病史；HIV感染者。&nbsp;发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">人体存在非特异性免疫，以抵挡霍乱弧菌等的侵入。其中胃酸起主要作用，胃大部切除后、大量饮水、过量进食均使胃酸稀释进而降低对霍乱弧菌的抵抗力。但正常人食入霍乱弧菌量超过10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">8</span>～10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>，也可发病。霍乱弧菌通过以下致病因子致病。</p><p>（一）黏附作用</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">霍乱弧菌对人体的其他屏障如肠道动力、肠腔黏液、酶及胆盐等可以适应。霍乱弧菌通过鞭毛活动、黏蛋白溶解酶、黏附素以及细菌的化学趋化作用等，能成功地黏附于肠黏膜上皮细胞表面，但不侵入细胞内，随着细菌的繁殖，肠毒素起重要的致病作用。</p><p>（二）毒素作用</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">霍乱弧菌存在9种毒素，其中霍乱肠毒素最为重要，其次还有小带联结毒素及辅助霍乱肠毒素。</p><p>1.霍乱肠毒素（cholera enterotoxin，CT）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由一个A亚单位和5个B亚单位组成。B亚单位为非毒蛋白，可与宿主细胞膜受体（Gm1神经节苷脂）结合，并介导A亚单位进入细胞，A亚单位则由A1和A2两个多肽组成，A1是毒素的活性部分，A1与B亚单位乃由A2进行连接。A作用于腺苷酸环化酶，使其活化，从而使环腺苷酸（cAMP）在细胞内含量增加，进而导致肠液分泌增加，出现剧烈的腹泻。编码ctx的基因位于染色体上。O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">139</span>产生与O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>相似的肠毒素。</p><p>2.小带联结毒素（zonula occludens toxin，Zot）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此毒素增大黏膜上皮细胞的间隙，增加了小肠黏膜细胞的通透性，使液体渗出增加，引起腹泻。Zot毒素基因广泛存在于O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>群流行株中，也存在于大多数O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">139</span>型霍乱弧菌和少数其他非O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>群霍乱弧菌中。</p><p>3.辅助霍乱肠毒素（accessory cholera enterotoxin，Ace）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>群霍乱弧菌的Ace基因位于Zot上游，作用类似CT。</p><p>（三）定居因子</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">定居因子也起重要作用，共有以下几种：①脂多糖（LPS）：为霍乱弧菌细胞壁的主要成分，覆盖菌的浅层外表，具有弧菌O抗原特异性，是主要的毒力因子。②毒素协调调解菌毛（toxin coregulated pilus A，TcpA）：O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>群的菌毛有A、B和C三型，O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">139</span>含A、B型和另一新型菌毛。TcpA菌毛具有良好的黏附定居力，黏附于肠道上皮细胞，是重要的定居因子。B菌毛与相关血凝素有关。③核心编码菌毛（core encoded pilus，Cep）：和定居能力相关。</p><p>（四）其他</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①霍乱弧菌分泌的神经氨酸酶可促进CT与受体的结合；②霍乱弧菌可产生溶血素，除有溶血活性外，尚有细胞毒、心脏毒及致死毒作用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">剧烈腹泻和呕吐，导致水和电解质大量丢失，迅速造成严重脱水，因而出现微循环衰竭以及钾、钠、钙和氯化物的丧失，可发生肌肉痉挛、低钠、低钾和低钙血症等。因肠液中含大量的水、电解质和黏液，而胆汁量少，使吐泻物呈米泔水样。碳酸氢盐的丢失，导致代谢性酸中毒。由于循环衰竭造成的肾缺血、低钾及毒素对肾脏的直接作用，可引起肾功能减退或衰竭。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病理解剖可见小肠仅有轻微炎症。绒毛细胞有变形的微绒毛或无微绒毛相伴的大伪足样胞质突起，自尖端细胞表面伸入肠腔。隐窝细胞也有伪足样突起伸到隐窝腔内。上皮细胞有线粒体肿胀、嵴的消失、高尔基体泡囊数增加、内质网的扩张和囊泡形成。死亡患者的主要病理变化为严重脱水现象：尸僵出现早，皮肤干而呈发绀，皮下组织及肌肉干瘪。内脏浆膜无光泽，肠内充满米泔水样液体，胆囊内充满黏稠胆汁。心、肝、脾等脏器均见缩小。肾小球及间质的毛细管扩张，肾小管浊肿、变性及坏死。其他脏器也有出血、变性等变化。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5145', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '467', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">潜伏期1～3日，短者数小时，长者7日，大多急起，少数在发病前1～2日有头昏、疲劳、腹胀、轻度腹泻等前驱症状。古典生物型与0<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">139</span>型霍乱弧菌所致者，症状较严重，埃尔托型引起的，多数为轻型或无症状者。</p><p>（一）典型病例</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病程分3期。</p><p>1.泻吐期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">绝大多数患者以急剧腹泻、呕吐开始。腹泻为无痛性，少数患者可因腹直肌痉挛而引起腹痛，不伴里急后重。大便开始为泥浆样或水样，带粪质；迅速变为米泔水样或无色透明水样，无粪臭，略有淡甜或鱼腥味，含大量片状黏液，少数重症患者偶有出血时，则大便呈洗肉水样，出血多可呈柏油样，出血患者以埃尔托型所致者为多。大便量多，每次可超过1000ml，每日10余次，甚至难以计数。呕吐多在腹泻后出现，常为喷射性和连续性，呕吐物先为胃内容物，以后为清水样。严重者可为“米泔水”样，轻者可无呕吐。本期持续数小时至1～2日。</p><p>2.脱水期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于频繁的腹泻和呕吐，大量水和电解质丧失，患者迅速出现脱水和微循环衰竭。患者神志淡漠、表情呆滞或烦躁不安，儿童可有昏迷。口渴、声嘶、呼吸增快、耳鸣、眼球下陷、面颊深凹、口唇干燥、皮肤凉、弹性消失、手指皱瘪等。肌肉痉挛多见于腓肠肌和腹直肌。腹呈舟状，有柔韧感。脉细速或不能触及，血压低。体表体温下降，成人肛温正常，儿童肛温多升高。此期一般为数小时至2～3日。</p><p>3.恢复期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患者脱水得到及时纠正后，多数症状消失而恢复正常，腹泻次数减少，甚至停止。声音恢复、皮肤湿润，尿量增加。约1/3患者有反应性发热，极少数患者，尤其是儿童可有高热。</p><p>（二）临床类型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据临床表现，霍乱可分为5型。</p><p>1.无症状型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">感染后无任何症状，仅呈排菌状态，称接触或健康带菌者，排菌期一般为5～10日，个别人可迁延至数月或数年，成为慢性带菌者。</p><p>2.轻型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患者微感不适，每日腹泻数次，大便稀薄，一般无呕吐无脱水表现，血压、脉搏均正常，血浆相对比重在1.026～1.030间，尿量无明显减少。</p><p>3.中型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">吐泻次数较多，每日达10～20次。大便呈米泔水样，有一定程度的脱水。血压降低（收缩压为70～90mmHg），脉搏细速，血浆相对密度为1.031～1.040，24小时尿量在500ml以下。</p><p>4.重型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">吐泻频繁，脱水严重，血压低，甚至不能测出，脉速细弱常不能触及，血浆相对密度＞1.041，尿极少或无尿。</p><p>5.暴发型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">亦称干性霍乱，甚罕见。起病急骤，不待泻吐出现，即因循环衰竭而死亡。</p><p>（三）脱水分级</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">脱水分级通常分为严重（体重下降＞10%），中度（5%～10%），轻度（＜5%）。</p><p>1.轻度失水</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心动过速，黏膜干燥；轻度直立性低血压，血压下降＜20mmHg；能喝水；婴儿前囟能触及，但不凹陷。</p><p>2.中度脱水</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">易怒；轻度皮肤干燥，眼睛凹陷，口干；明显直立性低血压，血压下降＞20mmHg。</p><p>3.重度脱水</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">昏睡或昏迷；循环衰竭（如：脉搏细速，收缩压＜80mmHg）；眼睛凹陷，哭时无泪，黏膜干燥，毛细血管回复差（＞2秒）；生化治疗显示肾前性衰竭（如尿素氮比肌酐上升更明显，比值＞20∶1）。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5146', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '467', '并发症', '<p>（一）循环衰竭</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">严重脱水者在24小时内补足液体，循环衰竭仍有可能可逆。低血压时间超过24～48小时，几乎不可避免导致死亡。</p><p>（二）急性肾衰竭</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于休克得不到及时纠正和低血钾所引起，表现为尿量减少和氮质血症，严重者出现尿闭，可因尿毒症而死亡。需经血液透析和腹膜透析治疗。</p><p>（三）低钾血症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">腹泻大量钾丢失，若补液时未及时补钾，临床表现为乏力、肠梗阻、尿潴留、心电图可见PR间期延长，T波低平等。</p><p>（四）其他</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">低血糖，电解质失衡导致肌肉痉挛，免疫缺陷者和肝脏有疾病者可有败血症、早产和流产、小肠梗阻等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5147', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '467', '实验室检查', '<p>（一）血液检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">因脱水原因，血细胞比容升高，在严重感染时中性粒细胞升高。生化：尿素、肌酐上升。动脉血气分析：多有碳酸氢钠下降的酸中毒，阴离子间隙升高。治疗前由于细胞内钾离子外移，血清钾可在正常范围内，当酸中毒纠正后，钾离子移入细胞内而出现低钾血症。</p><p>（二）尿检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">少数患者尿中可有蛋白质，红、白细胞及管型。</p><p>（三）粪便镜检</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可见黏液和少许红、白细胞。取粪便或早期培养物涂片作革兰染色镜检，可见革兰阴性稍弯曲的弧菌。</p><p>（四）病原学检测</p><p><br/></p><p>1.悬滴检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">暗视野/相差显微镜镜检：新鲜大便盐悬浮检查见大量弧菌，其大小常有变化，长度1～3μm不等，直径为0.5～0.8μm，镜下的弧菌呈典型的流星样运动，若滴入抗血清可阻止其活动，即制动试验呈阳性。</p><p>2.试纸检测（dipstick test）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">用于暴发早期阶段，操作简易，适用于偏远地区或避难营。可检测O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>/O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">139</span>，敏感性强，而特异性属中等。</p><p>3.大便培养霍乱弧菌特殊方法</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">及时培养或置于Cary-Blair保存液中转运至实验室。霍乱弧菌在碱性蛋白胨水中增菌，37℃孵育6～8小时，随后接种至TCBS培养基上。霍乱弧菌能选择性生长，经其蔗糖酶发酵蔗糖后，菌落呈明亮的黄色，2～4mm大小。</p><p>4.抗血清试验确定亚</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">型 在TCBS培养基上菌落转接到心浸液琼脂平板上6～24小时，挑取菌落与多价O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>和O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">139</span>特异性抗血清在玻片上混合，根据凝集与否，可以鉴定菌型。</p><p>5.抗生素敏感实验法</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">用圆盘扩散法，确定耐药和敏感性。</p><p>（五）新型的检测方法</p><p><br/></p><p>1.ELISA检测</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可望成为新一代快速检测法。</p><p>2.PCR检测</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">新一代多元PCR，如四重PCR可检测O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>/O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">139</span>的ompW等10个毒素基因，也可通过检测相应基因以确定血清型和生物性。</p><p>3.环介导等温扩增技术</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">比PCR简便，快速。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5148', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '467', '其他检查', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心电图：窦性心动过速，窦性心动过缓为疾病严重不祥预兆。低钾血症：PR间期延长，T波低平。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5149', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '467', '诊断', '<p>（一）可疑病例的诊断</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一个地区5岁以上儿童出现不明原因急性水样泻，导致严重脱水或死亡；或在霍乱流行区，5岁以上儿童出现急性水样腹泻，伴有或不伴有呕吐。</p><p>（二）确诊病例的诊断</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">从腹泻患者粪便标本中通过标准实验方法确定霍乱弧菌O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>和O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">139</span>即为确诊病例。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5150', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '467', '鉴别诊断', '<p>1.其他感染性腹泻</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在疾病早期和轻症患者需要鉴别，大便培养能确定，但弯曲菌培养困难。血性大便可能为志贺菌和肠出血性埃希菌结肠炎所致，前者多伴腹痛和里急后重，粪便量少，脓血样；后者为非侵袭性炎症，患者通常不发热；毒素PCR法可鉴别。</p><p>2.食物中毒</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">起病急，常集体发病，多先吐后泻，便前有阵发性腹痛，大便常为黄水样，偶带脓血，量很少超过1000ml/h。大便培养可查到相应致病菌。</p><p>3.急性砷中毒</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">以急性胃肠炎为主要表现，粪便为黄包或灰白水样，常带血，严重者脱水，甚至尿闭，循环衰竭，粪便和呕吐物中可检出砷。</p><p>4.其他</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如流行性阿米巴肠病、类圆线虫病、贾第鞭毛虫病、舒血管肠肽瘤（VIPoma）、管形绒毛状腺瘤（tubulovillous adenoma）等易于鉴别，大便培养霍乱弧菌均呈阴性。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5151', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '467', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; text-align: left; border: 0px !important;\">包括严格隔离、加强护理、补液、抗菌及对症等。</p><p>（一）隔离</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">确诊及疑诊病例应分别隔离，彻底消毒排泄物。患者症状消除后，粪便连续两次培养阴性方可解除隔离。</p><p>（二）护理</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">监测生命体征，监测每小时液体丢失量，为补液量提供依据。因患者排菌期可延续至恢复期14天后，所以需加强宣传教育，提醒患者便后洗手等。中度脱水患者，水分丢失速度每小时＞1000ml，需加强看护。一旦患者能进食，给予正常饮食，包括婴儿重新开始母乳喂养，在食物中加入口服补液盐（ORS），可减少水分丢失。</p><p>（三）补液</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在霍乱治疗抢救中，补液是首要的措施。</p><p>1.口服补液</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">轻到中度脱水，无呕吐，能进食较多液体者，通常给予ORS。标准口服补液盐含Na<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>75mmol/L，K<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>20mmol/L，Cl<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">-</span>65mmol/L，柠檬酸10mmol/L，葡萄糖75mmol/L，渗透压245mOsm/L。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">治疗疗程：持续口服补充液体，直至腹泻停止后2～4小时，通常2～5天。精确计算液体出入平衡是必要的，目标为将每小时失去液体用等量液体补充。同时还要考虑到不显性失水，如60kg患者每天需要补充不显性失水480～960ml或20～40ml/h。6kg儿童推断0.3～0.5ml/（kg/h），或每小时2ml维持弥补不显性失水。</p><p>2.静脉补液</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">通常选择与患者所失去的电解质浓度相似的541液，其每升含NaCl 5g，NaHCO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>4g，KCl 1g，为防低血糖，常另加50%葡萄糖液20ml，配制时可用0.9% NaCl 550ml，1.4%NaHCO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>300ml，10%KCl 10ml，10%葡萄糖液140ml按比例配制。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">各种液体的电解质含量以及患者粪便中所含电解质的量见表11-10-2。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表11-10-2　补液中电解质含量（浓度mmol/L）</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180519-1526696805208051910.jpg\" title=\"1526696805208051910.jpg\" alt=\"1526696805208051910.jpg\" width=\"800\" height=\"300\" style=\"width: 800px; height: 300px;\"/></p><p><br/></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">注：<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">*</span>碳酸氢盐可用醋酸盐代替（比较稳定）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在最初2～4小时及时补充已丢失液体和继续丢失液体。简单计算公式：脱水程度%×体重＝所需液体升数。例如：体重60kg患者，严重脱水10%，需要2～4小时补液6L或每小时补充1.5～3L。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">儿童患者的粪便含钠量较低而含钾量较高，失水较严重，病情发展较快，易发生低血糖昏迷、脑水肿和低钾血症，故应及时纠正失水和补充钾盐。轻者24小时补液量为100～150ml/kg；中、重型患儿24小时静脉补液各为150～200ml/kg和200～250ml/kg，可用541液。婴幼儿可适当增加补液量，最初15分钟内4岁以上儿童每分钟补液20～30ml，婴幼儿10ml/min。根据血浆相对密度计算，相对密度每升高0.001婴幼儿的补液量为每千克体重10ml，其总量的40%于30分钟内输入，余量于3～4小时输完。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">碱性药物的补充使代谢性酸中毒迅速得到纠正，也是治疗成功的重要条件。碳酸氢钠能迅速纠正酸中毒，乳酸盐和醋酸盐则于1～2小时内使酸中毒徐缓得到纠正。钾盐也需及时适当补充，可由静脉或口服给予。每1000ml静脉补液中含10～15mmol/L氯化钾，口服方中每1000ml水中含有醋酸钾、枸橼酸钾和碳酸氢钾各100g，成人每日3次，每次10ml，儿童适当减量。</p><p>（四）抗菌治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">抗菌药物作为液体疗法的辅助治疗，对中度脱水以上患者给予抗生素治疗获益，可缩短病程，减少腹泻次数。</p><p>1.首选药物</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①环丙沙星：成人1000mg口服单剂；②阿奇霉素：儿童20mg/kg，口服或静脉，单剂治疗，最大1000mg/剂；成人1000mg口服或静脉单剂治疗；③红霉素：儿童12.5mg/kg口服，每天4次，治疗3天，最大250mg/剂；成人250mg，口服，每天4次，疗程3天。</p><p>2.次选药物</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①四环素：＞8岁儿童，12.5mg/kg，口服，每天4次，疗程3天，最大500mg/剂；成人500mg，每天口服4次，疗程3天；②多西环素：＞8岁儿童，6mg/ （kg/d），口服或静脉，单剂治疗；成人300mg，口服或静脉单剂。</p><p>（五）对症治疗</p><p><br/></p><p>1.纠正酸中毒</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">重型患者在输注541溶液的基础上尚需根据CO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>结合力情况，应用5%碳酸氢钠酌情纠正酸中毒。</p><p>2.纠正低血钾</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">补液过程中出现低血钾者应静脉滴入氯化钾，浓度一般不宜超过0.3%。轻度低血钾者可口服补钾。</p><p>3.纠正休克和心力衰竭</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">少数患者经补液后血容量基本恢复，皮肤黏膜脱水表现已逐渐消失，但血压未复常者，可用地塞米松20～40mg或氢化可的松100～300mg，静脉滴注，并可加用血管活性药物多巴胺和间羟胺（阿拉明）静脉滴注。如出现心衰、肺水肿，则应暂停或减慢输液速度，应用毛花苷丙（西地兰）0.4mg或毒毛花苷K 0.25mg加葡萄糖20ml，缓慢静脉注射。必要时应用呋塞米20～40mg静脉注射利尿，亦可应用哌替啶50mg肌注镇静。</p><p>4.抗肠毒素治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前认为氯丙嗪对小肠上皮细胞的腺苷酸环化酶有抑制作用，临床应用能减轻腹泻，可以1～2mg/kg口服或肌注。小檗碱（黄连素）有抑制肠毒素和抗菌作用，成人每次0.3g，每日3次口服。小儿50mg/ （kg/d）分3次口服。</p><p>（六）辅助治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在儿童中，补充锌能缩短病程，减轻腹泻严重程度。机制为可能通过影响肠上皮细胞离子转运，逆转霍乱毒素导致电解质分泌。6月龄以下儿童，每天补充锌10mg，治疗2周；6月龄～12岁儿童，每天口服20mg，治疗2周。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5152', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '467', '预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">及时足够液体疗法，霍乱病死率可从40%降低至1%。如果没有霍乱弧菌新菌株出现，一次暴发后通过黏膜免疫应答，几年内不可能复发。HIV感染者霍乱病情更重，恢复后大便中可能持续排菌数月，或成为慢性菌血症患者。孕妇患霍乱流产和早产发生率高，但一旦及时补充液体，发生率明显下降。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '12', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5153', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '467', '预防', '<p>（一）一级预防</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">预防霍乱，保证高质量饮用水和污物处理系统在公共卫生监测上是必要的。供应水源用氯处理外，取水样做培养，确保供水安全，个人饮水应煮沸，公共卫生部门应做好疫情发生后预案。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">口服疫苗：Dukoral（由英国Crucell生产）已被WHO认可。该疫苗由灭活的完整菌组成，含B亚单位，用法为服用2次，间隔10～15日，同时150ml安全水送服，儿童应加服1次，2～3年成人保护率为70%，儿童1年内可有此保护率，目前有60多个国家应用。Shanchol疫苗则由印度生产，虽已达到WHO的标准，且可预防O<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">139</span>，但仍未取得证书，仅在印度使用。</p><p>（二）二级预防</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">WHO建议在疫情暴发时，应控制患者，家庭成员居家隔离观察，以防第二代病例出现和传播，用肥皂洗手，消毒尸体，简单掩埋曾使用物品等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '13', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5154', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '851', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">细菌性痢疾（bacillary dysentery），简称菌痢，是由志贺菌（<em style=\"box-sizing: border-box;\">Genus shigella</em>）引起的常见急性肠道传染病，以结肠黏膜化脓性溃疡性炎症为主要病变，以发热、腹泻、腹痛、里急后重、黏液脓血便为主要临床表现，可伴全身毒血症症状，严重者可有感染性休克和（或）中毒性脑病。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5155', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '851', '病原', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病原菌为志贺菌，又称痢疾杆菌，分类于肠杆菌科中的志贺菌属，是革兰阴性细长杆菌，兼性厌氧，但最适宜于需氧生长，不具动力，在普通培养基中生长良好，最适温度为37℃，在水果、蔬菜及腌菜中能生存10日左右；在牛奶中可生存24日之久；在阴暗潮湿及冰冻条件下生存数周。阳光直射有杀灭作用，加热60℃10分钟即死，1%含氯石灰等一般消毒剂能将其杀灭。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">志贺菌有菌体（O）抗原、荚膜（K）抗原和菌毛抗原，有群与型的特异性，据生化反应及抗原组成，痢疾杆菌可分为4群47个血清型（表11-10-1）。本菌流行菌型在不断变迁中，发达国家的优势菌型为宋内菌，我国仍以福氏菌占优势，其中以2a型为优势流行株，大中城市宋内菌明显上升，有旗鼓相当之势，但痢疾志贺菌流行仍有发生。所有志贺菌均能产生内毒素和细胞毒素（外毒素），痢疾志贺菌尚可产生神经毒素。福氏菌感染易转为慢性，宋内菌感染多呈不典型发作，痢疾志贺菌的毒力最强，可引起严重症状。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表11-10-1　志贺菌属的分类</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180519-1526697525119073788.jpg\" title=\"1526697525119073788.jpg\" alt=\"表11-10-1　志贺菌属的分类.jpg\"/></p><p style=\"text-align: center;\"><br/></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">注：△另有2a、b，3a、b、c，4a、b、c，5a、b，6，x、y</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5156', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '851', '流行病学', '<p>（一）传染源</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">为急、慢性菌痢患者与带菌者，其中轻症非典型病例和慢性病例在流行病学上意义尤大。</p><p>（二）传染途径</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要借染菌的食物、饮水和手等经口感染。在流行季节可有食物型和水型的暴发流行，前者系摄入被带志贺菌的手或苍蝇等污染的食物而受感染；后者系水源被患者或带菌者粪便污染而致传播。在非流行季节，可因接触被患者或带菌者污染的物体而感染。</p><p>（三）人群易感性</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">无论男女老幼，均普遍易感。患病后仅产生短暂、不稳定的群和型免疫力，易重复感染或复发。</p><p>（四）流行特征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">菌痢终年散发，但有明显季节性，通常5月开始上升，7～9月达高峰，10月以后逐渐减少。患者年龄分布有2个高峰，一为学龄期儿童；二为青壮年期，可能与他们日常活动中接触病原菌机会较多有关。&nbsp;发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">痢疾杆菌对结肠黏膜上皮细胞有吸附和侵袭作用，对肠黏膜上皮细胞具有侵袭力的菌株才能引起结肠典型病变，而对上皮细胞无侵袭力的菌株不引起病变。胃酸、肠道菌群产生的短链脂肪酸、过氧化氢以及大肠杆菌素等，对痢疾杆菌有杀灭或拮抗作用。人体肠黏膜产生的分泌型IgA等特异性抗体，对痢疾杆菌有对抗作用。某些慢性病、过度疲劳、暴饮暴食及消化道疾病等，均可降低人体全身和胃肠道局部防御功能，有利于痢疾杆菌侵入肠黏膜而致病。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">痢疾杆菌侵入肠黏膜上皮细胞和固有层，在IL-1等细胞因子参与下，引起肠黏膜炎症反应，固有层呈现毛细血管及小静脉充血，并有炎症细胞浸润及血浆渗出，甚至可致固有层小血管循环衰竭引起上皮细胞变性、坏死。坏死的上皮细胞脱落后可形成小而浅的溃疡，因而产生腹痛、腹泻、脓血便。直肠壁受炎症刺激会有里急后重感。细胞毒素则引起肠黏膜细胞坏死，与病初水样泻有关，而内毒素可导致全身发热。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">中毒性菌痢的特点是全身中毒症状出现在肠道病变之前，中毒症状很重，但肠道炎症反应较轻。除痢疾杆菌内毒素作用外，可能与某些儿童具特异性体质有关，该类人群对细菌毒素反应强烈，此外免疫介导可产生细胞因子，导致微血管痉挛、缺血和缺氧，引起DIC、重要脏器衰竭、脑水肿和脑疝。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肠道病变主要分布于结肠，以直肠、乙状结肠等部位最显著，但升结肠、回肠下端也不少见。急性期的病理变化为弥漫性纤维蛋白渗出性炎症，肠黏膜弥漫性充血、水肿，分泌大量渗出物，间有微小脓肿。坏死组织脱落形成溃疡，溃疡深浅不一，但限于黏膜下层，故肠穿孔和肠出血少见。发病后约1周，人体产生抗体，溃疡渐愈合。毒素也可引起内脏病变，表现在肝、肾小管、心肌、脑细胞变性。中毒性菌痢的结肠病变最初很轻，但引发全身小动脉痉挛，渗出增加，脑干出现神经变性、浸润和点状出血。肾上腺皮质萎缩和出血。慢性患者肠壁呈增厚，溃疡边缘有息肉状增生，愈合后形成瘢痕，导致肠腔狭窄。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5157', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '851', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">潜伏期数小时至7日，多数为1～2日。痢疾志贺菌感染的表现一般较重，发热、腹泻、脓血便持续时间较长；宋内菌引起者较轻；福氏菌感染介于两者之间，但易转变为慢性。临床上常分为急性和慢性两期。</p><p>（一）急性菌痢1.普通型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">起病急骤，畏寒、寒战伴高热，继以腹痛、腹泻和里急后重，每日排便10～20次，呈脓血便，量少，左下腹压痛伴肠鸣音亢进。一般1～2周内逐渐恢复或转为慢性。</p><p>2.轻型（非典型）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">轻型全身毒血症症状和肠道表现均较轻，腹痛不显著，腹泻次数每日不超过10次，大便呈糊状或水样，含少量黏液，里急后重感不明显，可有呕吐，病程3～6日，易被误诊为肠炎或结肠炎。</p><p>3.中毒型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多见于2～7岁体质较好的儿童。起病急骤，病初即可有高热、精神委靡、面色青灰、四肢厥冷、呼吸微弱而浅表、反复惊厥、神志不清、皮肤有花纹，可出现呼吸和循环衰竭，但肠道症状往往较轻，常无腹痛与腹泻，需以直肠拭子或生理盐水灌肠采集的大便检查才可发现黏液脓血便，镜下可见大量脓细胞和红细胞。按临床表现可分为：①休克型：主要表现为周围循环衰竭，皮肤花纹，口唇青紫，血压明显下降或测不出，伴不同程度意识障碍；②脑型：以严重脑部症状为主，有脑水肿、颅内压增高，严重时可发生脑疝。临床表现主要为惊厥、昏迷和呼吸衰竭。早期表现为嗜睡、烦躁、频繁呕吐、呼吸增快，后期常神志不清、频繁惊厥、血压升高、瞳孔忽大忽小，两侧大小不等，对光反射迟钝或消失，呼吸深浅不均，节律不整，可呈叹息样呼吸，最后减慢以至停顿；③混合型：是预后最为凶险的一种，具有循环衰竭与呼吸衰竭的综合表现。</p><p>（二）慢性菌痢</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病程反复发作或迁延不愈达2个月以上即称慢性菌痢。下列因素易使菌痢转为慢性：①急性期未及时诊断或治疗不及时；②耐药菌株感染所致；③营养不良；④合并慢性疾病如胃酸低、胆囊炎、肠道寄生虫病以及机体免疫功能障碍如缺乏肠道分泌性IgA；⑤福氏菌感染。</p><p>1.慢性迁延型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性菌痢后，病情长期迁延不愈，常有腹痛、腹泻，或腹泻与便秘交替、稀黏液便或脓血便。粪便培养可间断发现细菌。</p><p>2.慢性隐匿型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有急性菌痢史，但无明显临床症状，大便培养阳性，乙状结肠镜检查有异常发现，为重要传染源。</p><p>3.急性发作型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有慢性菌痢病史，常因饮食不当、受凉、劳累等因素诱发，呈急性发作，但症状一般较急性菌痢轻，大便培养有痢疾杆菌生长，乙状结肠镜检查肠黏膜有炎症甚至溃疡等病变。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5158', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '851', '并发症', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在恢复期或急性期可偶有多发性、渗出性大关节炎发生，关节红肿，数周内自行消退。患有重症菌痢的孕妇可致流产或早产。尚可引致溶血性尿毒综合征、Reiter综合征、类白血病反应等。儿童患者可并发中耳炎、口角炎、脱肛。并发败血症者罕见，但具有菌痢和败血症双重表现者，病情较为凶险，病死率高。慢性菌痢有溃疡结肠病变者，可并发营养不良、贫血、维生素缺乏症及神经症。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5159', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '851', '辅助检查', '<p>（一）血象</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性患者白细胞总数及中性粒细胞呈中等度升高。慢性患者可有轻度贫血。</p><p>（二）粪便检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">典型菌痢粪便中无粪质，量少，呈鲜红黏冻状，无臭味。镜检可见大量脓细胞及红细胞，并有巨噬细胞。培养可检出致病菌。为提高细菌培养阳性率，应在抗菌药物使用前采样，取粪便脓血部分并及时送检，早期多次送检可提高细菌培养阳性率。免疫荧光微菌落法及协同凝集试验可快速从粪便中获得阳性结果，阳性率可达90%以上，对菌痢的早期诊断有一定帮助。单克隆抗体检测福氏痢疾菌的特异性抗原以及应用PCR技术与DNA探针杂交法检测病原菌的特异性基因片段，明显增加了早期诊断的敏感率，尤其PCR疗法不仅能缩短检测时间，且能检测已用抗生素治疗患者中死菌的DNA。</p><p>（三）其他检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对有痢疾样大便而疑有其他结肠疾病时可进行肠镜检查。菌痢急性期可见黏膜弥漫性充血、水肿伴大量渗出、浅表溃疡，偶有假膜形成。慢性期肠黏膜呈颗粒状，可见溃疡或息肉形成，自病变部位刮取分泌物作培养，可提高病原检出率。X线钡剂检查示慢性期肠道痉挛、动力改变、袋形消失、肠道狭窄、肠黏膜增厚，或呈节段状改变。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5160', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '851', '诊断与鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">流行季节有腹痛、腹泻及脓血样便者即应考虑菌痢的可能。但应注意急性期患者多有发热，且多出现于消化道症状之前。慢性期患者的过去发作史甚为重要，大便涂片镜检和细菌培养有助于诊断的确立。免疫学与分子生物学检查可增加早期诊断的敏感性与特异性。乙状结肠镜检查及X线钡剂检查对鉴别慢性菌痢和其他肠道疾病有一定价值。在菌痢流行季节，凡突然发热、惊厥而无其他症状的患儿，必须考虑到中毒型菌痢的可能，应尽早用肛拭子取标本或以盐水灌肠取材作涂片镜检和细菌培养。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性菌痢应与下述疾病鉴别：</p><p>（一）阿米巴痢疾</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">起病一般缓慢，少有毒血症症状，少有里急后重感，大便次数亦较少，腹痛多在右侧，典型者粪便呈果酱样，有腐臭。镜检仅见少许白细胞、红细胞凝集成团，常有夏科-雷登结晶体，可找到阿米巴滋养体。乙状结肠镜检查见黏膜大多正常，有散在溃疡。本病可并发肝脓肿。</p><p>（二）流行性乙型脑炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病表现和流行季节与菌痢（重型或中毒型）相似，后者发病更急，进展迅猛、且易并发休克，温盐水灌肠及细菌培养有利于鉴别诊断。前者血清乙脑特异性IgM抗体阳性，脑脊液有炎症改变。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此外，本病尚应与沙门菌、侵袭性埃希大肠杆菌、空肠弯曲菌、耶尔森菌肠炎和各种侵袭性肠道病菌引起的食物中毒等相鉴别。慢性菌痢应与慢性血吸虫病、直肠癌、非特异性溃疡性结肠炎等鉴别。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5161', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '851', '治疗', '<p>（一）急性菌痢的治疗</p><p><br/></p><p>1.一般疗法和对症疗法</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患者应予消化道隔离（至症状消失，大便培养连续2次阴性为止）和卧床休息。饮食一般以流质或半流质为宜，忌食多渣多油或有刺激性的食物。有失水现象者可给予口服补液盐。如有呕吐等而不能由口摄入时，则可给予生理盐水或5%葡萄糖盐水静脉滴注，注射量视失水程度而定，以保持水和电解质平衡。有酸中毒者，酌情给予碱性液体。对痉挛性腹痛可给予阿托品及腹部热敷，忌用止泻剂。因为这些药物虽可减少肠壁分泌，减轻肠痉挛和缓解腹泻，但实际上腹泻是机体防御功能的一种表现，可排除一定数量的致病菌和肠毒素，使用止泻剂或反复使用解痉剂或抑制肠蠕动的药物可能延长病程和排菌时间，特别对伴高热、毒血症或黏液脓血便患者和婴幼儿，应予避免，否则可加重病情。能够作用和影响肠道动力的药物有阿托品、颠茄合剂、哌替啶（度冷丁）、可待因、吗啡、樟脑酊、地芬诺酯和盐酸氯哌丁胺等。高热者可用退热药及物理降温。</p><p>2.病原治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">痢疾杆菌由耐药质粒介导的多重耐药株已日益增多，为取得满意临床效果，有效控制菌痢流行，应尽早在流行区开展菌株分型鉴定，作药敏试验，据当地流行菌株药敏试验或患者大便培养的药敏结果选择有效的抗菌药物。宜选择易被肠道吸收的口服品种，病重或估计吸收不良时加用肌注或静滴抗菌药物，疗程原则上不宜短于5～7日，以减少恢复期带菌。</p><p>（1）氟喹诺酮类：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">该类药物对痢疾杆菌具良好杀菌作用，不良反应少，为成人菌痢的首选药。常用诺氟沙星400mg，2次/日，口服。环丙沙星每次500mg，2次/日，口服，或400mg，每12小时静脉滴注。氧氟沙星200～300mg，2次/日，口服；或200mg，每12时静脉滴注。该类药可能会影响婴幼儿骨骺发育，故不宜用于儿童、孕妇及哺乳期患者，此时可选用第三代头孢菌素。近年来，该类药物耐药菌株明显增多。</p><p>（2）复方磺胺甲噁唑（SMZ-TMP）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">每日2次，每次2片，儿童酌减，目前对本药的耐药株明显增加。严重肝病、肾病、磺胺过敏及白细胞减少症者忌用。</p><p>（3）其他抗菌药物：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">阿莫西林、磷霉素、第一代或第二代头孢菌素等皆可选用。由于志贺菌对各种抗菌药物的耐药性趋于加重，且可呈多重耐药性，故应依据药物敏感试验或当地流行株的药敏选药。抗菌药物疗效的考核应以粪便培养阴转率为主，治疗结束时阴转率达90%以上。</p><p>（4）中药：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">小檗碱（黄连素）0.3～0.4g，每日4次。</p><p>（二）中毒性菌痢的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本型来势迅猛，应及时针对病情采取综合性措施抢救。</p><p>1.抗菌治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">药物选择基本与急性菌痢相同，但应先静滴有效的抗菌药物，如氟喹诺酮类、头孢噻肟、头孢曲松等，儿童应用第三代头孢菌素。如中毒症状好转后，按一般急性菌痢治疗，改用口服抗菌药物，总疗程7～10日。</p><p>2.高热和惊厥的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">高热易引起惊厥而加重脑缺氧和脑水肿，应用安乃近及物理降温，无效或伴躁动不安、反复惊厥或惊跳者，可给予亚冬眠疗法，以氯丙嗪与异丙嗪各1～2mg/kg肌注，必要时静脉滴注，病情稳定后延长至2～6小时注射1次，一般5～7次即可撤除，尽快使体温保持在37℃左右。氯丙嗪具有安定中枢神经系统和降温的作用，可降低组织耗氧量，抑制血管运动中枢，可使小动脉和小静脉扩张，从而改善微循环和增进脏器的血流灌注。还可给予地西泮（安定）、水合氯醛或巴比妥钠。</p><p>3.循环衰竭的处理</p><p><br/></p><p>（1）扩充血容量：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">因有效循环血量减少，应予补充血容量，可快速静脉输入低分子右旋糖酐或葡萄糖氯化钠溶液，首剂10～20ml/kg，全日总液量50～100ml/kg，具体视患者病情及尿量而定。若有酸中毒，可给5%碳酸氢钠滴入（详见“感染性休克”）。</p><p>（2）血管活性药物的应用：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">针对微血管痉挛应用血管扩张剂，采用山莨菪碱，成人剂量为10～20mg/次，儿童每次0.3～0.5mg/kg，或阿托品成人1～2mg/次，儿童每次0.03～0.05mg/kg，注射间隔和次数视病情轻重和症状缓急而定，轻症每隔30～60分钟肌注或静脉注射1次；重症每隔10～20分钟静脉注射1次，待面色红润、循环呼吸好转、四肢温暖、血压回升即可停药，一般用3～6次即可奏效。如上述方法治疗后周围循环不见好转，可考虑以多巴胺与间羟胺联合应用。</p><p>（3）强心治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有左心衰和肺水肿者，应给予毛花苷丙（西地兰）等治疗。</p><p>（4）抗凝治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有DIC者采用低分子肝素抗凝疗法，剂量及疗程同“感染性休克”。</p><p>（5）肾上腺皮质激素的应用：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">氢化可的松每日5～10mg/kg静脉滴注，可减轻中毒症状、降低周围血管阻力、加强心肌收缩、减轻脑水肿、保护细胞和改善代谢，成人200～500mg/d，一般用药3～5日。</p><p>4.治疗呼吸衰竭</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">应保持呼吸道通畅、给氧、脱水疗法（如甘露醇）、严格控制入液量。必要时给予洛贝林（山梗菜碱）、尼可刹米等肌注或静注。重危病例应给予心肺监护器，气管插管或应用人工呼吸器。</p><p>5.纠正水与电解质紊乱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">应补充失液量及钾、钠离子，但需慎防用量过大速度过快而引起肺水肿、脑水肿。</p><p>（三）慢性菌痢的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">需长期、系统治疗。应尽可能地多次进行大便培养及细菌药敏试验，必要时进行乙状结肠镜检查，作为选用药物及衡量疗效的参考。</p><p>1.应用抗菌药物</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">首先要抓紧致病菌的分离鉴定和药敏检测，致病菌不敏感或过去曾用的无效药物不宜采用。大多主张联合应用两种不同种类的抗菌药物，剂量充足，疗程要延长且需重复1～3个疗程。可供选用药物同急性菌痢。</p><p>2.局部灌肠疗法</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">使较高浓度的抗菌药物直接作用于病变部位，以增强杀菌作用，并刺激肉芽组织新生，一般作保留灌肠。常用的药物为5%大蒜浸液或0.5%～1%新霉素或0.5%卡那霉素或0.3%小檗碱100～200ml，每日1次，10～15次为1个疗程。灌肠液中加入少量肾上腺皮质激素可增加渗透性而提高疗效。</p><p>3.肠道功能紊乱的处理</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可酌情用镇静、解痉或收敛剂。长期抗菌药物治疗后肠道紊乱，可给予乳酶生或小剂量异丙嗪、复方苯乙呱啶或针刺足三里。也可以0.25%普鲁卡因液100～200ml保留灌肠，每晚1次，疗程10～14日。</p><p>4.肠道菌群失调的处理</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">限制乳类和豆制品。微生态制剂如酪酸菌片、地衣芽胞杆菌胶囊或双歧杆菌/嗜酸性乳酸杆菌/肠球菌胶囊，可补充正常生理性细菌，调整肠道菌群，前者40mg/次，中间者2粒/次，后者2～3粒/次，皆每日3次。以上药物均为活菌制剂，不宜与抗菌药物同时服用。</p><p>5.菌苗治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">口服菌苗每安瓿为2ml，含菌2000亿（2×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">11</span>&nbsp;CFU），含活菌不低于4×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">10</span>&nbsp;CFU。全程免疫服用3次，每次间隔5～7天，成人首次服用半支，第2、3次各1支；6～13岁儿童为成人半量；5岁以下儿童为成人1/ 3量。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性菌痢的治疗效果尚欠满意，如有显著症状而大便培养阳性，则需隔离治疗。此外，应追查促使转为慢性的诱因，例如是否有寄生虫病、胃炎等夹杂症，对有关伴发病进行适当的治疗，鉴于慢性菌痢病程较长，其急性症状常有自然缓解倾向，因此，必须反复进行大便培养，才能判断治疗效果。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5162', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '851', '预防', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">应从控制传染源、切断传播途径和增进人体抵抗力三方面着手。</p><p>（一）控制传染源</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早期发现患者和带菌者，及时隔离和彻底治疗，是控制菌痢的重要措施。从事饮食业、保育及水厂工作的人员，更需作较长期的追查，必要时暂调离工作岗位。</p><p>（二）切断传播途径</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">搞好“三管一灭”（即管好水、粪和饮食以及消灭苍蝇），养成饭前便后洗手的习惯。对饮食业、儿童机构工作人员定期检查带菌状态。一发现带菌者，应立即予以治疗并调离工作。</p><p>（三）保护易感人群</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可口服依莲菌株活菌苗，该菌无致病力，但有保护效果。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5178', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '257', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">破伤风（tetanus）是破伤风杆菌及其所产毒素所致的急性疾病，其临床特征为牙关紧闭、强直性痉挛（tonic spasm）、阵挛性痉挛（clonic spasm），累及的肌群主要有咬肌、背棘肌、腹肌、四肢肌等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5179', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '257', '病原', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">破伤风杆菌属梭菌属，广泛分布于自然界。菌体呈细长杆状，培养24小时几乎所有菌体都产生芽胞。芽胞的抵抗力强，能耐煮沸15～90分钟，如不受日光直接照射，则在土壤中可生存数年之久；但在5%苯酚、1%升汞和2%过氧化氢中可分别于10～15小时、2～3小时和24小时内被杀灭。培养早期革兰染色阳性，24小时后往往变成阴性，芽胞不着色，无荚膜，大部分有鞭毛，能运动。破伤风杆菌严格厌氧，可在普通琼脂平板上成长，在血琼脂上产生溶血环。最适宜的生长温度为35～37℃，最适pH 为7.0～7.5。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5180', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '257', '流行病学', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">破伤风杆菌的分布极广，家畜粪便中含菌很多，某些人粪中也常带菌。有2%～3%的土壤含有该菌芽胞，污泥和尘埃中也含有。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">发展中国家由于新法接生和破伤风主动免疫不普及，本病成为新生儿主要死因之一。估计每年全球病例为100万，其中80万为新生儿，后者也是我国内地新生儿死亡原因之一，常与接生时未使用消毒产包，断脐后残端不消毒等有关。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">各种类型和大小的创伤均可污染破伤风杆菌，儿童以手脚刺伤为多见。以泥土、积尘、香灰、柴灰等敷伤口，尤易致病。中耳炎、粪便污染、压疮以及拔牙、宫内放环等均有引起本病的机会。产妇可因人工流产或分娩而感染。近年因静脉注射海洛因而患破伤风者日益增多。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">各年龄均易感，温暖季节因户外活动多，受伤患病也较常见。患本病后无持久免疫力，故可再次感染。&nbsp;发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">破伤风的发病需有入侵门户，如各种创伤等；而芽胞只在缺氧条件下生长，伤口小而深，或有坏死组织、混杂泥土或其他异物，或伴需氧菌如葡萄球菌等的混合感染，即可造成适于破伤风杆菌繁殖的环境。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">该菌产生两种毒素：溶血毒素（tetanolysin）和破伤风痉挛毒素（tetanospasmin）。溶血毒素可破坏血细胞和其他一些细胞，造成创口局部溶血和组织损伤，而局部缺氧环境，有利于细菌生长，但与致病性无太大关系。痉挛毒素即破伤风毒素，是最强烈的细菌毒素之一，为破伤风杆菌致病的主要因素。破伤风痉挛毒素是一种蛋白质，56℃30分钟可破坏该毒素。肠道的蛋白酶可将其降解。痉挛毒素含一条多肽链（分子量55 000）和一条重链（分子量105 000），两条肽链分开后，毒性消失，重新联合时毒性恢复。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">破伤风痉挛毒素的传递扩散方式视创伤部位、机体免疫状态、毒素量的多寡等而定。毒素产生后，首先向周围扩散，侵入肌肉组织，进而与神经节苷酯结合并沿着与神经冲动相反的方向，向上传递，传递速度每天为75～250mm不等。创伤若在四肢或躯干，毒素则经前根、前角进入脊髓节段，最终进入大脑。创伤若位于头部或颈部，毒素则可直接通过运动神经进入脑神经核。如果毒素量过大，还会经淋巴和血流扩散，部分进入血液循环的毒素又进入组织，但只有进入肌肉的毒素才能同运动神经末梢接触，进而抵达靶位，与神经节苷酯结合后，毒素得以进入神经细胞。毒素与神经细胞结合，一方面引起过度兴奋，造成肌肉的持续紧张强直和腺体的过多分泌，另一方面形成许多高度敏感的兴奋灶，稍受刺激便发出兴奋冲动，从而产生阵发性的剧烈痉挛等症状。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">破伤风产生的病理变化较少，且缺乏特异性。脑及脊髓充血或出血，偶有脑水肿。大脑半球可见广泛散在性血管周围髓鞘脱失和神经胶质增多。运动神经细胞水肿，核周染色质溶解，肝浊肿、肾充血、心包和胃肠道黏膜出血等也有所见。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5181', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '257', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">潜伏期因伤口与中枢的距离、感染情况和免疫状态而异，平均为1～2周，可短至1～2日，15%的患者短于3日，10%的患者在14日以后发病，长者达2个月余，新生儿破伤风的潜伏期为5～7日。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床表现有两组症状，即神经系统脱抑制的表现及自主神经失调。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">神经系统脱抑制：起病急缓不一，早期可有全身不适、头痛、颈痛、肩痛、肢痛、咀嚼不便等，继而出现肌强直和肌痉挛。肌强直表现为张口困难和牙关紧闭、腹肌坚如木板、角弓反张等。肌痉挛系阵发性，自每日数次小发作至频繁严重发作不等，全身肌群均可受累；可自发，也可由外界刺激而引起。面肌出现特征性的痉挛（苦笑脸），此时口角向上、外牵引，双眉上举，前额出现皱纹，说话不清。咽肌和胸肌痉挛导致吞咽困难、饮水咳呛、喉头阻塞、发绀等，并影响通气功能。肛门和膀胱括约肌痉挛常引起顽固性便秘和尿潴留。剧烈痉挛每伴有全身抽搐、呼吸困难，可导致窒息及心力衰竭等。肌强直在痉挛间歇期仍继续存在，此乃本病的特征之一。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">自主神经失调：表现为不稳定的高血压、心动过速、心律不齐、周围血管收缩、大汗及发热等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如新生儿破伤风发生于出生后12小时内，角弓反张等出现于48小时内，易发生窒息致死。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">除重症者外，患者的神志始终清醒，体温正常或仅有低热。大多病例经10日左右的积极治疗后好转，痉挛发作次数减少，肌强直程度减轻，张口困难一般最后消失。病程1周至2个月不等，大多为2～4周。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据病情可把本病可分为轻、中、重三型。</p><p>（一）轻型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">潜伏期10日以上，症状于4～7日内逐渐发展，每日肌痉挛发作不超过3次。牙关紧闭及颈肌强直均较轻，无吞咽困难。</p><p>（二）中型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">潜伏期7～10日，症状于3～6日内较快地发展至高峰，有明显的牙关紧闭、吞咽困难和全身肌肉强直性痉挛，后者频繁（1日3次以上）而剧烈。</p><p>（三）重型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">潜伏期短于7日，症状于3日内即发展至高峰，本型与中型的主要区别在于有呼吸困难，另外可有窒息、高热及交感神经功能亢进如多汗、肢端发冷、血压升高、心动过速、阵发性期前收缩等。肌痉挛发作频繁，每数分钟发作一次或呈持续状态，且于发病后24～48小时内即可发生。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">破伤风有三种临床表现类型：①局限性破伤风，见于创伤部位或面部咬肌。②头面部破伤风，头部外伤所致。面、动眼及舌下神经瘫痪者为瘫痪型；而非瘫痪型则出现牙关紧闭、面肌及咽肌痉挛。③全身性破伤风，后者包括新生儿破伤风。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5182', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '257', '并发症', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">并发症有吸入性肺炎、各种继发性感染、肺不张、过高热、心力衰竭、血栓栓塞现象（肺栓塞等）、胃肠道出血、脊椎压缩骨折、低凝血酶原血症、代谢性碱中毒及交感神经功能亢进等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5183', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '257', '诊断与鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病的诊断大多无困难，如有外伤史、曾以柴灰等敷伤口、旧法接生等经历有参考价值。牙关紧闭、角弓反张（opisthotonos）、肌痉挛等的出现即可确诊。创伤分泌物培养虽也有助于诊断，但临床表现更为重要。诊断并非依赖实验室病原学检查，临床分离阳性率约为30%，无破伤风者也可分离出此菌。成人破伤风偶尔缺乏外伤史，临床表现极不典型，临床很易误诊。破伤风应与下列疾病相鉴别。</p><p>（一）引起张口困难或肌疼痛强直的局部疾病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">扁桃体周脓肿、咽后壁脓肿、牙及牙龈病变、颞颌关节病、腮腺炎等可引起张口困难，但这些病例并不伴有颈肌强直及全身肌肉强直性痉挛，局部则可找到炎症病灶。</p><p>（二）各种化脓性脑膜炎、脑炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">化脓性脑膜炎常有全身性痉挛（阵发性抽搐），但脑脊液有变化、新生儿的前囟饱满均可供鉴别。脑炎患者可出现全身性痉挛、张口困难，但神志不清、脑脊液变化、免疫学检测等均有助于诊断。</p><p>（三）马钱子碱中毒</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">其发病机制和临床症状与破伤风相似，不同的是痉挛间歇期肌肉完全松弛。服药史、牙关紧闭出现较晚也有参考价值。</p><p>（四）其他</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">手足搐搦症的强直性痉挛主要发生于手足等部位，且血钙常降低，缺钙试验多阳性。狂犬病虽可有咽肌痉挛及吞咽困难，但一般无全身肌痉挛，有恐水症状而无牙关紧闭。子痫、癔症等亦需与本病区别。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5184', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '257', '预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">破伤风的平均病死率（包括各型及各年龄组）为20%～30%，重症患者的病死率可高达70%，新生儿及老人的病死率较高。未经积极抢救的新生儿破伤风，其病死率可达70%以上。新生儿破伤风远期随访表明，智力及体格发育均受影响。病死率高低与起病急缓成正比，而与潜伏期长短成反比；潜伏期超过10日者，其病死率较低。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">以下情况常提示预后不佳，即：阵发性痉挛频繁，于发病后48小时内即出现者；在开放性骨折、深刺伤、严重烧伤、坏疽、流产等基础上发生者；过高热，或有交感神经功能亢进、中毒性心肌炎等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">呼吸道并发症，如窒息、吸入性肺炎、肺不张、气道内分泌物阻塞等可致死。其他致死原因尚有继发感染、顽固性痉挛所致的全身衰竭和心力衰竭、肺栓塞等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5185', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '257', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括：①伤口处理；②中和毒素；③防止窒息；④防治并发症；⑤减轻患者痛苦；⑥防止复发。</p><p>（一）伤口处理</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">伤口未愈合者需及时彻底清创，一切坏死组织、异物、碎骨等均应清除，以防止破伤风杆菌在腐败的组织内繁殖。扩创宜在镇静剂、肌肉松弛剂、抗生素等应用后1～2小时进行。术后用3%过氧化氢或1∶4000高锰酸钾溶液湿敷，伤口不宜缝合或包扎。伤口深者可在伤口周围用1万～2万U破伤风抗毒素浸润后再行扩创。</p><p>（二）免疫制剂应用</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">受伤后是否应用破伤风类毒素或破伤风免疫球蛋白（TIG），见表11-10-15。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表11-10-15　受伤后免疫制剂的应用</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180519-1526698256883022085.jpg\" title=\"1526698256883022085.jpg\" alt=\"表11-10-15　受伤后免疫制剂的应用.jpg\"/></p><p style=\"text-align: center;\"><br/></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">注：Td：破伤风及白喉类毒素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">TIG使用方法：我国用量较国外为大，剂量一次500～ 3000U，分3等分注入3个不同部分，一般认为加大剂量并不能增效。鞘内或脑池内给药的疗效并不肯定。TIG过敏反应低，效价高，半衰期长（3～4周），国内已广泛应用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">以往沿用的破伤风抗毒素（TAT）发生过敏率达5%～30%，有人认为TAT的危险性比破伤风本身还大，许多国家已禁用。</p><p>（三）抗菌治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">青霉素G每日剂量为1000万～1200万U，静脉滴注，疗程10日，有报告称加用甲硝唑每日2g可提高存活率。头孢菌素、广谱青霉素类、大环内酯类均可选用。</p><p>（四）控制肌肉痉挛</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">地西泮剂量为40～60mg，分4～6次肌注，中、重型患者的用量可增至100～400mg（2～8mg/kg），分次静脉内缓注或滴注。破伤风患者对该类药物的耐受性较大，所需剂量较大。儿童每次量为0.5～1.0mg/kg，1日3～4次。劳拉西泮（lorazepam）及咪达唑仑（midazolam）也可选用，两者需静脉滴注。其他药物可选用：①苯巴比妥，是安全而较有效的镇静剂，成人每次为0.1～0.2g（儿童为3～5mg/kg），每8～12小时肌注1次；②氯丙嗪，每次成人量为25～50mg，儿童为0.5～1.0mg/ kg，肌注或静脉滴注，每日3～4次，可与地西泮、苯巴比妥等交替使用；③10%水合氯醛，痉挛严重者可临时加用，成人每次10～20ml，儿童0.5ml/kg或每岁1ml，口服或保留灌肠。还可选用丙泊酚（propofol）起效速，维持时间短。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">虽然深度镇静可导致患者死亡率增加，是破伤风高死亡率的独立因素，但在治疗重症破伤风常规镇静剂不能有效控制持续性痉挛性抽搐时，给予深度镇静并结合大剂量肌松剂可帮助患者度过危急状态，尤其是在ICU中，在机械通气呼吸支持下相对安全，可提高救治成功率。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">减少痉挛发作：病室宜保持宁静、温暖，避免各种刺激如阵风、强光、声响等。已应用大剂量中枢抑制剂和肌肉松弛剂者，则不必置患者于暗室内。各项治疗宜在使用镇静剂、肌肉松弛剂后集中进行。</p><p>（五）呼吸道的监护</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">牙关紧闭、喉头痉挛均会造成无效通气，插管及气管切开均属必要，以改善通气功能。</p><p>（六）纠正交感神经兴奋</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">因交感兴奋而致心动过速、心律失常、多汗等的治疗仍无固定方案，可选用可乐定（clonidine）静注，为每次3～4μg/kg置20～40ml 5%葡萄糖液内缓慢注射，能吞咽者可予口服，每次0.075～1.5mg，每日3次。另可用艾司洛尔（esmolol），开始剂量为2.5μg/ （kg/min），每隔5分钟增加50μg/（kg/min），直至心率减慢15%，最大量为300μg/（kg/min）。拉贝洛尔（labetalol）也可用，但有发生猝死的报告。</p><p>（七）防治并发症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">破伤风患者常因吞咽困难而合并营养不良，必要时可用静脉插管给予高营养。为防止坠积性肺炎，应勤翻身和清洗口腔。尿潴留时采用留置导尿管，腹胀者可安置肛管导气。监护肾脏功能防止压疮，功能锻炼以防止肌肉挛缩等均很重要。</p><p>（八）其他</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肾上腺皮质激素可用于重型而伴有高热、心肌炎等患者，每日氢化可的松200～300mg。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5186', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '257', '预防', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">进行预防接种是预防本病的主要措施，同时推广新法接生，外伤后伤口正确处理等措施均有助于预防本病。</p><p>（一）基础免疫</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">儿童用吸附百日咳、白喉及破伤风类毒素混合剂皮下或肌注，第一年2剂，各0.5ml，间隔4～8周，第三剂于第二剂后6至12个月完成。</p><p>（二）加强免疫</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">每10年注射0.5ml，如15、25、35岁时各加强一次。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5187', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '259', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">感染性心内膜炎（infective endocarditis，IE）指因细菌、真菌和其他病原微生物（如病毒、立克次体、衣原体、支原体、螺旋体等）直接感染而产生心瓣膜或心室壁内膜的炎症，有别于由于风湿热、类风湿、系统性红斑狼疮等所致的非感染性心内膜炎。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年来随着抗生素广泛应用和病原微生物的变化，本病临床表现变得不典型。由于人口老年化流行情况也发生了变化，发生感染性心内膜炎的平均年龄有所增加，大于40岁的患者明显增加。且发病率随年龄增长而增长，在70～80岁时达最高，男女的比例约为2∶1，女性患者预后较差。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">葡萄球菌感染位居首位，草绿色链球菌感染已退至第二位，再次为肠球菌。由于对本病的警惕性提高和积极防治，使本病的发生率有所降低。随着内外科治疗水平的提高，初发IE患者的存活率有了明显的提高。风湿性心脏瓣膜病所占比例降低，退行性瓣膜病变以及静脉药物滥用已替代了风湿性心脏病，成为感染性心内膜炎最常见的致病因素。心血管疾病介入性检查和治疗的日益增多、心脏瓣膜置换术和各种呼吸道、胃肠道和泌尿生殖道内镜检查等诊断技术的应用，使医源性获得性IE越发常见。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">因细菌感染而产生的动脉内膜炎，如未闭动脉导管所并发的细菌性动脉内膜炎，通常亦包括在本病的范围内。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5188', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '259', '病因', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病多见于器质性心脏病的患者。大量研究证实了血流动力学因素、机械因素造成心内膜的原始损伤、非细菌性血栓性心内膜炎、暂时性菌血症以及血液中致病微生物的数量、毒力、侵袭性和黏附于黏膜的能力均与IE的发病有关。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">各种先天性心脏病中，动脉导管未闭、室间隔缺损、法洛四联症最常发生。在单个瓣膜病变中，二叶式主动脉瓣狭窄最易发生，瓣膜脱垂（主动脉瓣、二尖瓣）也易患本病。长时间接受经静脉治疗、静脉注射麻醉药成瘾、由药物或疾病引起免疫功能抑制的患者、人工瓣膜置换术后的IE和心脏起搏器IE也有增多。在发达国家，二尖瓣脱垂是IE最常见的原因。肥厚型心肌病、冠心病罹患本病者也有报道。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性IE常因化脓性细菌侵入心内膜引起，多由毒力较强的病原体感染所致。几乎所有已知的致病微生物都可引起本病，同一病原体可产生急性病程，也可产生亚急性病程。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年来，由于广谱抗生素的普遍和过度使用，致病菌种也发生改变，过去罕见的耐药微生物病例增加。尽管目前草绿色链球菌心内膜炎的比例有所下降，但链球菌包括各种不同类型的变异体以及葡萄球菌仍是最常见、毒性最强的致病菌。金黄色葡萄球菌（金葡菌）、肠球菌、表皮葡萄球菌（表皮葡菌）、革兰阴性菌或真菌的比例明显增高，厌氧菌、放线菌、李斯特菌偶见，两种细菌的混合感染时有发现。葡萄球菌感染是医源性和静脉内药物滥用者的IE最主要的原因。心脏起搏器IE多为表皮葡菌和金葡菌感染。真菌尤多见于心脏手术和静脉注射麻醉药物成瘾者中，长期应用抗生素或激素、免疫抑制剂、静脉导管输给高营养液等均可增加真菌感染的机会，其中以念珠菌属、曲霉菌属和组织胞浆菌属较多见。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在心瓣膜病损、先天性心血管畸形或后天性动静脉瘘的病变处，存在着异常的血液压力阶差，引起局部心内膜的内皮受损，可形成非细菌性血栓性心内膜炎，涡流可使细菌沉淀于低压腔室的近端、血液异常流出处受损的心内膜上，使之转为IE。正常人血液中可有少数细菌自口腔、鼻咽部、牙龈、检查操作或手术等伤口侵入引起菌血症，大多为暂时的，很快被机体清除，临床意义不大。但反复的暂时性菌血症使机体产生循环抗体，尤其是凝集素，它可促使少量的病原体聚集成团，易黏附在血小板-纤维素血栓上面引起感染。也有人认为由于某些革兰阳性致病菌，如肠球菌、金葡菌，表皮葡菌等，均有一种表面成分与心内膜细胞表面的受体起反应而引起内膜的炎症。血小板、血浆蛋白及血管内皮细胞与病原体间通过复杂的相互作用共同导致IE的发生。最近的研究表明可能一些免疫因子尤其是针对内皮细胞的抗体，亦可能导致内皮细胞的损伤，参与IE的发病。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Q热IE近年来引起人们的关注。Q热是由贝纳柯克斯体引起的感染性疾病，贝纳柯克斯体专门感染单核或吞噬细胞，慢性Q热患者常表现为心内膜炎的症状，此类患者的单核或吞噬细胞的杀菌能力减低，不能有效地清除病原体。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此外，污染的人造瓣膜、缝合材料、器械和手是引起人造瓣膜心内膜炎的重要原因。病原体从感染的胸部创口、尿路和各种动静脉插管、气管切开、术后肺炎等进入体内形成菌血症，同时血液经过体外循环转流后吞噬作用被破坏，减弱了机体对病原体的清除能力也是原因之一。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5189', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '259', '病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">基本病理变化为在心瓣膜表面附着由血小板、纤维蛋白、红细胞、白细胞和感染病原体沉着而组成的赘生物。后者可延伸至腱索、乳头肌和室壁内膜。赘生物下的心内膜有炎症反应和灶性坏死。以后可发生机化、玻璃样变或钙化，最后被内皮上皮化。但部分的赘生物愈合程度不一，有些愈合后还可复发，重新形成病灶。病变严重者，心瓣膜可形成深度溃疡，甚至发生穿孔。偶见乳头肌和腱索断裂。本病的赘生物较风湿性心内膜炎所产生者大而脆，容易碎落成感染栓子，随循环血流播散到身体各部产生栓塞，以脑、脾、肾和肢体动脉为多，引起相应脏器的梗死或脓肿。栓塞阻碍血流，或破坏血管壁，引起囊性扩张形成细菌性动脉瘤，常为致命的并发症。如脑部的动脉滋养血管栓塞而产生动脉瘤，往往可突然破裂而引起脑室内或蛛网膜下腔出血导致死亡。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病常有微栓或免疫机制引起的小血管炎，如皮肤黏膜瘀点，指甲下出血，Osler结和Janeway损害等。感染病原体和体内产生相应的抗体结合成免疫复合物，沉着于肾小球的基底膜上，引起局灶性、弥漫性或膜性增殖性肾小球肾炎，后者可致肾功能衰竭。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5190', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '259', '分类', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2009年欧洲心脏病学会（ESC）公布了新版IE预防、诊断与治疗指南，摒弃了沿用多年的急性、亚急性和慢性心内膜炎的分类方法，提出IE新的分类方法：</p><p>（一）根据感染的部位和是否存在心内异物分类1.左心自体瓣膜IE2.左心人工瓣膜IE（prosthetic valve endocarditis，PVE）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早期人工瓣膜IE：瓣膜置换术后＜1年发生，晚期人工瓣膜IE：瓣膜置换术后＞1年发生。</p><p>3.右心IE4.器械相关性IE</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">发生在起搏器或除颤器导线上的IE，伴或不伴有瓣膜受累。</p><p>（二）根据感染来源分类1.医疗相关性IE（1）院内感染：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患者在入院48小时以后出现IE相关的症状和体征。</p><p>（2）非院内感染：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患者在入院48小时以内出现IE相关的症状和体征：IE发病前30天内接受家庭护理或静脉治疗、血透或静脉化疗；IE发病前90天内入住急诊监护室或护理院或长期住监护室。</p><p>2.社区获得性IE</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患者入院48小时内出现IE相关症状和体征但不符合医疗相关性标准。</p><p>3.经静脉吸毒者的IE</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">没有其他感染来源的静脉吸毒者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有以下情况者可认为属于活动性IE：①患者持续性发热且血培养多次阳性；②手术时发现活动性炎症病变；③患者仍在接受抗生素治疗；④有活动性IE的组织病理学证据。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">IE的再发有两种情况：①复发：首次发病后＜6个月由同一微生物引起IE再次发作；②再感染：不同微生物引起的感染或首次发病后＞6个月由同一微生物引起IE再次发作。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5191', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '259', '临床表现', '<p>（一）发热</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">发热最常见，热型以不规则者为最多，可为间歇型或弛张型，伴有畏寒和出汗，高毒力的金葡菌或真菌等细菌，常以高热、寒战，全身毒血症症状明显，低毒力的细菌，很少有寒战，体温大多在37.5～39℃之间，也可仅为低热。约3%～15%患者体温正常或低于正常，多见于老年伴有栓塞或真菌性动脉瘤破裂引起脑出血和蛛网膜下腔出血以及严重心力衰竭、尿毒症和少数凝固酶阴性链球菌感染的自体瓣膜心内膜炎的患者，此外未确诊本病前已应用过抗生素、退热药、激素者也可暂不发热。</p><p>（二）贫血</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">贫血是常见的症状之一，70%～90%的患者有进行性贫血，有时可达严重程度。主要与感染抑制骨髓相关。</p><p>（三）疼痛</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">疼痛是另一常见表现，关节痛、低位背痛和肌痛初期时较常见，主要累及腓肠肌和股部肌肉，踝、腕等关节，也可多部位关节受累。病程较长者常有全身疼痛。若有严重的骨痛，应考虑可能由于骨膜炎、骨膜下出血或栓塞、栓塞性动脉瘤压迫骨部或骨血管动脉瘤引起。</p><p>（四）心脏杂音的改变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于心瓣膜和腱索的急剧损害，在短期内出现高调的杂音或原有的杂音性质迅速改变，后者多见于急性自体瓣膜心内膜炎患者，约15%患者开始时无心脏杂音，而在治疗期间出现杂音，少数患者直至治疗后2～3个月才出现杂音，偶见治愈后多年一直无杂音出现者。2/3的右侧心脏心内膜炎，特别是侵犯三尖瓣者，赘生物增殖于心室壁的心内膜以及赘生物增殖于主动脉粥样硬化斑块上时，也可无杂音，但后者罕见。老年人心脏杂音可不明显，而表现为神经、精神改变，心力衰竭或低血压。易发生神经系统的并发症和肾功能不全。</p><p>（五）皮肤黏膜损害</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">皮肤和黏膜瘀点、甲床下出血、Osler结、Janeway损害及杵状指（趾）等皮损近年来发生率均有较明显下降。瘀点常成群也可个别出现，其发生率已由应用抗生素前的85%下降到10%～40%。多见于眼睑结合膜、口腔黏膜、胸前和手足背皮肤，持续数天，消失后再现，其中心可发白。全身性紫癜偶可发生。甲床下出血的特征为线状，远端不到达甲床前边缘，可有压痛。Osler结的发生率已由过去50%下降至7%～20%，呈紫或红色，稍高于皮面，直径小约1～2mm，大者可达5～15mm，多发生于手指或足趾末端的掌面，大小鱼际或足底可有压痛，常持续4～5天才消退。Osler结并非本病所特有，在系统性红斑性狼疮、伤寒、淋巴瘤中亦可出现。Janeway损害为出现在手掌和足底小的直径1～4mm无痛的出血性或红斑性损害，为化脓性栓塞引起。杵状指（趾）现已很少见。少数患者可有视网膜病变，表现为椭圆形黄斑出血伴中央发白，有时眼底仅见圆形白点称为Roth点。但此种表现也可以出现在胶原性疾病和血液病以及严重贫血者。脾常有轻至中度肿大，软可有压痛。脾肿大的发生率已较前明显减少。其发生与病程长短直接相关，急性IE时少见。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5192', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '259', '并发症', '<p>（一）充血性心力衰竭和心律失常</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心力衰竭是本病常见的并发症。早期不发生，以后瓣膜被破坏、穿孔，以及其支持结构如乳头肌、腱索等受损，发生瓣膜功能不全，或使原有的功能不全加重，产生心力衰竭。感染影响心肌，如心肌炎症、局部脓肿、大量微栓子落入心肌血管，或较大的栓子进入冠状动脉引起心肌梗死等均可引起心力衰竭。其他少见的心力衰竭原因为大的左向右分流，如感染的Valsalva窦瘤破裂或室间隔被脓肿穿破。心力衰竭是本病的首要致死原因。当感染累及心肌、侵犯传导组织时，可致心律失常。多数为室性过早搏动，少数发生心房颤动。主动脉瓣的心内膜炎或主动脉窦的细菌性动脉瘤，其病灶可侵袭到房室束或压迫心室间隔引起房室传导阻滞和束支传导阻滞。</p><p>（二）栓塞现象</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是仅次于心力衰竭的常见并发症。发生率为15%～35%。受损瓣膜上的赘生物被内皮细胞完全覆盖需6个月，故栓塞可在发热开始后数天起至数月内发生。早期出现栓塞者大多起病急，病情凶险。栓塞最常见部位是脑、肾、脾和冠状动脉。心肌、肾和脾栓塞不易察觉，多于尸检中发现。较大的脾栓塞可突然发生左上腹或左肩部疼痛，少量左侧胸水和脾肿大，并有发热和脾区摩擦音。偶可因脾破裂而引起腹腔内出血或腹膜炎和膈下脓肿。肾栓塞时可有腰痛或腹痛、血尿或菌尿，但较小的栓塞不一定引起症状，尿检查变化亦不多，易被漏诊。脑栓塞的发生率约30%，好发于大脑中动脉及其分支，常致偏瘫。肺栓塞多见于右侧心脏心内膜炎，如果左侧心瓣膜上的赘生物小于未闭的卵圆孔时，则可到达肺部造成肺梗死，较小的肺梗死可无明显症状。冠状动脉栓塞可引起突发胸痛、心肌缺血或梗死、休克、心力衰竭、严重的心律失常甚至猝死。肠系膜动脉栓塞可引起腹痛、肠梗阻、粪隐血阳性或便血。四肢动脉栓塞可引起肢体疼痛、软弱、苍白而冷、发绀甚至坏死。中心视网膜动脉栓塞可引起突然失明。本病痊愈后1～2年内仍有发生栓塞的可能，并不一定就是复发，需密切观察。</p><p>（三）心脏内的其他并发症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心肌脓肿常见于金葡菌和肠球菌感染，特别是凝固酶阳性的葡萄球菌。可为多发性或单个大脓肿。心肌脓肿的直接播散或主动脉瓣环脓肿破入心包可引起化脓性心包炎、心肌瘘管或心脏穿孔。二尖瓣脓肿和继发于主动脉瓣感染的室间隔上部脓肿，均可累及房室结和希氏束，引起房室传导阻滞或束支传导阻滞，宜及时作外科手术切除和修补。细菌毒素损害或免疫复合物的作用可致心肌炎。免疫反应、充血性心力衰竭可引起非化脓性心包炎。</p><p>（四）细菌性动脉瘤</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">以真菌性动脉瘤最为常见。主要常发生于主动脉窦，其次为脑动脉、已结扎的动脉导管、腹部血管、肺动脉、冠状动脉等。不压迫邻近组织的动脉瘤本身几乎无症状，可在破裂后出现临床症状。不能缓解的局限性头痛提示脑部有动脉瘤，局部压痛或有搏动性包块提示该处有动脉瘤存在。</p><p>（五）神经精神方面的并发症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">发生率约10%～15%，多见于金葡菌引起者。临床表现有头痛、精神错乱、恶心、失眠、眩晕等中毒症状；脑部血管感染性栓塞引起的一系列症状，以及由于脑神经和脊髓或周围神经损害引起的偏瘫、截瘫、失语、定向障碍、共济失调等运动、感觉障碍和周围神经病变。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">其他并发症还有免疫复合物引起的局灶性肾炎和慢性增殖性肾小球肾炎，较少引起氮质血症。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5193', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '259', '常见的临床类型', '<p>（一）人工瓣膜感染性心内膜炎（PVE）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">PVE的发病率在发达国家中占10%～20%，较其他类型心脏手术者高2～3倍，瓣膜置换术后6个月内是IE的高危险期（特别在最初的5～6周）。在双瓣膜置换术后较单个瓣膜置换术后高，主动脉瓣的手术较二尖瓣的手术高。术前已有自然瓣膜心内膜炎者，发生率增加5倍。人工机械瓣和生物瓣PVE的发生率相同，但前者早期发生率高于后者。PVE的病死率较高，约50%，早期高于后期。前者病原体主要为葡萄球菌（包括表皮葡菌、金葡菌）、类白喉杆菌、其他革兰阴性杆菌、真菌也较常见。自从术前预防性给予抗生素治疗后，发生率有所下降。后者感染为社会获得性，因此与自然瓣心内膜炎相似，主要由各种链球菌（以草绿色链球菌为主）、肠球菌、金葡菌引起，其中表皮葡菌比早期PVE的表皮葡菌对抗生素敏感。真菌、革兰阴性杆菌、类白喉杆菌也非少见。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床表现与天然瓣膜心内膜炎相似。约50%患者出现反流性杂音。人工生物瓣PVE主要由于瓣叶被破坏，引起反流，很少发生瓣环脓肿。而机械瓣的感染主要在瓣环附着处，引起瓣环和瓣膜缝线脱落裂开，形成瓣周漏而出现反流和溶血，使贫血加重，瓣环的弥漫性感染甚至使人工瓣膜完全撕脱。当形成瓣环脓肿时，容易扩展至邻近心脏组织，出现与自然瓣心内膜炎相似的心脏并发症。PVE的其他并发症也与自然瓣心内膜炎相似。人工瓣膜关闭音强度减弱、X线透视见到人工瓣膜的异常摆动和移位，其角度大于7°～10°，以及瓣环裂开所致的双影征（Stinson’s sign）或二维超声心动图发现赘生物的存在都有助于诊断。血培养常阳性。若多次血培养阴性，须警惕真菌或立克次体感染及生长缓慢的类白喉杆菌感染的可能。PVE的致病菌常来自医院，故容易具有耐药性。</p><p>（二）右侧心脏IE</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">见于左向右分流的各种先天性心脏病，如室间隔缺损，法洛四联症，主动脉窦瘤破裂，马方综合征等，其中室间隔缺损最为多见；接受心脏创伤性检查、人工心脏起搏器、心脏转复除颤器等电极植入、先天性心脏病封堵术后、静脉置管以及慢性透析等。赘生物多位于三尖瓣、右心室壁或肺动脉瓣以及起搏导线上。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床表现常为赘生物碎落造成肺动脉栓塞，引起肺部炎症、肺动脉分支败血症性动脉炎和细菌性肺梗死。金葡菌引起者，梗死部位可转变为肺脓肿。累及肺部为该类患者的特征，临床上常见症状为咳嗽、多痰、咯血、胸膜炎性胸痛、气急和呼吸困难。可有三尖瓣关闭不全的杂音，此收缩期杂音短促且轻，很柔和，易与呼吸性噪音混淆或被误认为血流性杂音，但深吸气时杂音强度增加则高度提示有三尖瓣反流存在。累及肺动脉瓣者可听到肺动脉瓣反流所致的舒张中期杂音。心脏扩大或右心衰竭不常见。有肺栓塞者胸部X线表现为两肺多发性片段状阴影。多排螺旋CT肺动脉显像常为确诊肺栓塞的手段。肺脓肿或坏死性肺炎还可导致脓气胸。超声心动图检查尤其是经食管检查可检出瓣膜上和起搏器电极导线上的赘生物。死因主要为反复发作的败血症性肺动脉栓塞引起的呼吸窘迫综合征、不能控制的败血症、严重右心衰竭和左侧瓣膜同时受累。</p><p>（三）静脉注射药物成瘾者的IE</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">吸毒已成为世界性问题，在美国约25%的IE患者为这些静脉注射药物成瘾者（intravenous drug abuse，IVDA）。劣质的药品，不洁的注射用水、注射用具和配制过程，长期的反复多次注入含颗粒物质并污染的细菌液体，可引起三尖瓣内膜的损伤和感染，从而引起IE。也可单独累及二尖瓣、主动脉瓣和同时累及左右心侧心瓣膜（铜绿假单胞菌所致）。部分患者为避免住院而静脉滥用抗生素可引起耐药菌性心内膜炎，如耐青霉素的金葡菌和铜绿假单胞菌性心内膜炎，约在8%的患者中可分离到一个以上的致病菌。由多个致病菌引起的IE患者，约70%是IVDA。与IVDA相关的IE预后良好，死亡率总共不到10%。这可能是由于三尖瓣病的预后较左心瓣膜病要好，以及IVDA的年龄比其他患者年龄小。多种致病菌和铜绿假单胞菌性心内膜炎的预后很差。</p><p>（四）IE的复发与再感染</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">复发是指抗生素治疗结束后6个月内由同一微生物引起或治疗时期感染征象或血培养再现阳性，复发率约5%～8%。早期复发多在3个月以内。可能由于深藏在赘生物内的细菌不易杀尽、治疗前已有较长的病程或先前的抗生素治疗不够充分，增加了细菌的抗药性和有严重的并发症，如脑、肺的栓塞等之故。亦可能由于广谱抗生素应用出现双重感染。在最初发作治愈6个月以后，IE所有的心脏表现和同一微生物阳性血培养再现称为再感染或由不同的细菌或真菌引起者。再感染的病死率高于初发者。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5194', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '259', '不同病原菌IE的特点', '<p>（一）葡萄球菌性IE</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">起病多数急骤，病情险恶，通常由耐青霉素酶的金黄色葡萄球菌引起，多呈急性型，仅少数为亚急性型由表皮葡萄球菌引起。较易侵袭正常的心脏，常引起严重和迅速的瓣膜损害，造成主动脉瓣和二尖瓣反流。多个器官和组织的转移性感染和脓肿的出现，在诊断中有重要意义。</p><p>（二）肠球菌性IE</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多见于前列腺和泌尿生殖道感染的患者，它对心脏瓣膜的破坏性大，多有明显的杂音，但常以亚急性的形式出现。</p><p>（三）革兰阴性细菌性IE</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">革兰阴性菌是肠道和咽部常居菌群，可引起亚急性型IE，主要为铜绿假单胞菌、肠杆菌、嗜血杆菌、放线杆菌等。临床特点为赘生物大，全身栓塞发生率高。</p><p>（四）真菌性IE</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">约50%发生于心脏手术后，也见于长时间静脉内应用广谱抗生素、激素、免疫抑制剂或给予肠外营养者。致病菌多为白色念珠菌、组织胞浆菌属和曲霉菌属等。真菌性心内膜炎多起病急骤，栓塞的发生率很高。赘生物大而脆，容易脱落，造成股动脉、髂动脉等较大动脉的栓塞。发生在右侧心脏的心内膜炎可以引起真菌性肺栓塞。巨大赘生物若阻塞瓣膜口，形成瓣膜口狭窄，可出现严重的血流动力障碍。可出现皮下损害，如组织胞浆菌感染者可出现皮肤溃疡，口腔和鼻部黏膜的损害，若进行组织学检查，常有重要的诊断价值。曲霉菌属的感染，尚可引起弥散性血管内凝血。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5195', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '259', '辅助检查', '<p>（一）血培养</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">约75%～85%患者血培养阳性。阳性血培养是诊断本病的最直接的证据，而且还可以随访菌血症是否持续。急性患者宜在应用抗生素前1～2小时内抽取2～3个血标本，亚急性者在应用抗生素前24小时采集3～4个血标本。先前应用过抗生素的患者应至少每天抽取血培养共3天，以期提高阳性率。取血时间以寒战或体温骤升时为佳，每次取血10～15ml并更换静脉穿刺的部位，皮肤严格消毒。应用抗生素治疗的患者，取血量不宜过多，避免血液中过多的抗生素不能被培养基稀释，影响细菌的生长。要求常规作需氧和厌氧菌培养。在人工瓣膜置换，较长时间留置静脉插管、导尿管，有药瘾者，应加做真菌培养。如血培养阴性患者，更应加强对真菌的培养。观察时间至少2周，当培养结果阴性时应保持到3周，确诊必须2次以上血培养阳性。动脉血培养阳性率并不高于静脉血。罕见情况下，血培养阴性患者，骨髓培养可阳性。阳性者应作各种抗生素单独或联合的药物敏感试验，以便指导治疗。</p><p>（二）常规临床检验</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">红细胞和血红蛋白降低。偶可有溶血现象。白细胞计数在无并发症的患者可正常或轻度增高，有时可见到核左移。红细胞沉降率大多增快。半数以上患者可出现蛋白尿和镜下血尿。在并发急性肾小球肾炎、间质性肾炎或大的肾梗死时，可出现肉眼血尿、脓尿以及血尿素氮和肌酐增高。肠球菌性和金葡菌性心内膜炎常可导致菌尿症，因此作尿培养也有助于诊断。</p><p>（三）心电图检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一般无特异性。在并发栓塞性心肌梗死、心包炎时可显示特征性改变。在伴有室间隔脓肿或瓣环脓肿时可出现不全性或完全性房室传导阻滞、束支传导阻滞或室性期前收缩。颅内菌性动脉瘤破裂，可出现“神经源性”的T波改变。</p><p>（四）放射影像学检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胸部X线检查仅对并发症如心力衰竭、肺梗死的诊断有帮助，发现人工瓣膜有异常摇动或移位时，提示可能合并感染性心内膜炎。螺旋CT或磁共振显像（MRI）对怀疑肺栓塞或有较大的主动脉瓣周脓肿患者有助于诊断。</p><p>（五）超声心动图检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">能探测到赘生物所在部位、大小、数目和形态，对血培养阴性患者的检查很有诊断价值。经食管超声心动图（transesophageal echocardiogram，TEE）检查显著地优于经胸壁超声心动图检查（TTE），检出率达90%，能检出直径在2mm以上的赘生物。超声心动图还有助于诊断原有的心脏和瓣膜病变，能探测瓣膜破坏的情况，了解人工机械瓣膜或生物瓣的状况，各种化脓性心内并发症，以及瓣膜反流的严重程度和左心室功能，可作为判断预后和确定是否需要手术的参考。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">超声心动图检查适应证：①一旦怀疑患者有IE可能，首选TTE，应尽早检查（Ⅰ类推荐，B级证据）；②高度怀疑IE而TTE正常时，推荐TEE（Ⅰ类推荐，B级证据）；③TTE/TEE阴性但临床仍高度怀疑IE者，应在7～10天后再行TTE/TEE检查（Ⅰ类推荐，B级证据）；④IE治疗中一旦怀疑出现新并发症（新杂音、栓塞、持续发热、心力衰竭、脓肿、房室传导阻滞），应立即重复TTE/TEE检查（Ⅰ类推荐，B级证据）；⑤抗生素治疗结束时，推荐TTE检查以评价心脏和瓣膜的形态学及功能（Ⅰ类推荐，C级证据）。诊断IE的超声心动图主要标准是：赘生物、脓肿、人工瓣膜裂开（瓣周漏伴或不伴瓣膜的摇摆运动）。</p><p>（六）血清免疫学检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常显示免疫功能的应激和炎症反应。约有90%患者的循环免疫复合物（CIC）阳性，且常在10μg/ml以上，比无IE的败血症患者高，具有鉴别诊断的价值。其他检查尚有真菌感染时的沉淀抗体测定、凝集素反应和补体结合试验。金黄色葡萄球菌的胞壁酸抗体测定等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5196', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '259', '诊断与鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">由于本病的“经典”临床表现已不常见，有些症状和体征在病程晚期才出现，患者多曾接受过抗生素治疗和细菌学检查技术上的受限，给早期诊断带来困难。主张对患有瓣膜病、先天性心血管畸形、人工瓣膜置换术和安置心脏起搏器的患者，有不明原因发热达1周以上，应怀疑本病的可能，并立即作血培养，如兼有贫血、周围栓塞现象和杂音出现，应考虑本病的诊断。临床上反复短期使用抗生素，发热时常反复，尤在有瓣膜杂音的患者，应警惕本病的可能。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">对不能解释的贫血，顽固性心力衰竭，卒中，瘫痪，周围动脉栓塞，人工瓣瓣口的进行性阻塞和瓣膜的移位、撕脱等均应注意有否本病存在。在肺炎反复发作，继而肝大，轻度黄疸，最后出现进行性肾功能衰竭的患者，即使无心脏杂音，亦应考虑有右侧心脏IE的可能。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">1994年Durack等将Beth Israel标准中重要的诊断依据和经胸、经食管超声所见相结合提出了一个新的标准（Duke标准）。Duke诊断标准的特异性达99%，敏感性为80%左右。以后又有包括Duke大学的许多学者提出了修改的建议（表16-13-1、表16-13-2）。目前我国尚无类似诊断标准。</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">表16-13-1　感染性心内膜炎Duke诊断标准</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526630988904099790.jpg\" title=\"1526630988904099790.jpg\" alt=\"表16-13-1　感染性心内膜炎Duke诊断标准.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1996px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\">表16-13-2　感染性心内膜炎临床诊断标准</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180519-1526708575552076559.jpg\" title=\"1526708575552076559.jpg\" alt=\"表16-13-2　感染性心内膜炎临床诊断标准.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 2012px; table-layout: fixed;\"/></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">*包括营养变异菌株</span></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\"><span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">？</span>不包括凝固酶阴性葡萄球菌和不引起心内膜炎细菌的1次培养阳性者</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">以发热为主要表现而心脏体征轻微者须与伤寒、结核、上呼吸道感染、肿瘤、胶原组织疾病等鉴别。以神经或精神症状为主要表现者，在老年人中应注意与脑动脉硬化所致脑血栓形成、脑出血及精神改变相鉴别。在风湿性心脏病基础上发生本病，经足量抗生素治疗而热不退，心力衰竭不见好转，应怀疑合并风湿活动的可能。发热、心脏杂音、栓塞表现亦须与心房黏液瘤相鉴别。</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5197', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '259', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">及早治疗可以提高治愈率，但在应用抗生素治疗前应抽取足够的血培养，根据病情的轻重推迟抗生素治疗几小时乃至1～2天，并不影响本病的治愈率和预后。而明确病原体，采用最有效的抗生素是治愈本病最根本的因素。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病的治疗经历了两次大的进展。一是抗生素的应用，二是外科手术的治疗。</p><p>（一）药物治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">抗生素治疗是治疗本病最主要的手段。大量的临床研究资料表明抗生素治疗4～6周可以使本病死亡率减少30%～50%。即使选用了外科手术治疗，在手术前使用有效的抗生素治疗可以最大限度地减少感染的扩散。因此正确选择有效的抗生素非常重要。抗生素治疗的疗程要足够长，剂量要足够大，选择的抗生素要考虑对病原体敏感性、感染瓣膜的类型及患者个体特征（如对药物的变态反应等）等因素。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一般选择大剂量的青霉素类、链霉素、头孢菌素类等杀菌剂，并维持血中有效杀菌浓度。它们能达到根治瓣膜的感染、减少复发的危险。抑菌剂和杀菌剂的联合应用有时可获得良好的疗效，疗效取决于致病菌对抗生素的敏感度。若血培养阳性，可根据药敏选择药物。有条件时可在试管内测定患者血清中抗生素的最小杀菌浓度，一般在给药后1小时抽血，然后按照杀菌剂的血清稀释水平至少1∶8时测定的最小杀菌浓度给予抗生素。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对疑似本病的患者，在连续送血培养后，立即静脉给予青霉素G 600万～1800万U/d，并与氨基糖苷类抗生素合用。若治疗3天发热不退，应加大青霉素G剂量至2000万U以上静脉滴注，如疗效良好，可维持6周。应用大剂量青霉素G时，应注意脑脊液中的浓度，过高时可致神经毒性表现，如肌阵挛、反射亢进、惊厥和昏迷。此时，需注意与本病的神经系统表现相鉴别，以免误诊为本病的进一步发展而增加抗生素剂量，造成死亡。如疗效欠佳宜改用其他抗生素，如半合成青霉素。苯唑西林（oxacillin），阿莫西林（羟氨苄青霉素，amoxycillin），哌拉西林（氧哌嗪青霉素，piperacillin）等，6～12g/d，静脉给予；头孢噻吩（cephalothin）6～12g/d或万古霉素（vancomycin）2～3g/d等。以后若血培养获得阳性，可根据细菌的药敏适当调整抗生素的种类和剂量。为提高治愈率，一般主张静脉或肌内间歇注射，后者引起局部疼痛，常使患者不能接受。因此，亦可将青霉素G钾盐日间作缓慢静脉滴注（青霉素G钾盐每100万U含钾1.5mmol/L，当予以极大剂量时应警惕高钾的发生），同时辅以夜间肌注。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">最近报道揭示越来越多的血培养获得的草绿色链球菌对青霉素耐药，对青霉素敏感的绿色链球菌可选用青霉素或头孢曲松（ceftriaxone），对青霉素敏感性差者宜加用氨基糖苷类抗生素，如庆大霉素（gentamycin）12万～24万U/d；妥布霉素（tobramycin）3～5mg/（kg・d）或阿米卡星（丁胺卡那霉素）1g/d。青霉素是属细胞壁抑制剂类，和氨基糖苷类药物合用，比单独应用青霉素更有效。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肠球菌引起者对青霉素G的敏感性较差，需用2000万～3000万U/d。因而宜首选氨苄西林（氨苄青霉素，ampicillin）6～12g/d或万古霉素和氨基糖苷类抗生素联合应用，疗程6周。对万古霉素耐药的菌株，可选用替考拉宁。新药奎奴普丁（quinupristin）、达福普汀（dalfopristin）、利奈唑胺（linezolid）、达托霉素（daptomycin）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">金黄色葡萄球菌引起者若非耐青霉素酶的菌株，仍选用青霉素G治疗，1000万～2000万U/d和氨基糖苷类联合应用。耐青霉素酶菌株所致者可选用第一代头孢菌素类和各种抗青霉素酶的青霉素，如苯唑西林（oxacillin）等。甲氧西林耐药菌株（MRSA）所致者应选用万古霉素、利福平及磷霉素联合，万古霉素无效时应改为替考拉宁。治疗过程中应仔细地检查是否有必须处理的转移病灶或脓肿，避免细菌从这些病灶再度引起心脏病变处的种植。表皮葡萄球菌也有不同耐药性，可参照金葡菌进行治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">革兰阴性杆菌引起者病死率较高，但在本病较少见。一般以β内酰胺类和氨基糖苷类药物联合应用。可根据药敏选用第三代头孢菌素，如头孢哌酮（先锋必，cefoperazone）4～8g/d，头孢噻肟（cefotaxime）6～12g/d；头孢曲松（菌必治，ceftriaxone）2～4g/d。也可用氨苄青霉素和氨基糖苷类联合应用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">铜绿假单胞菌引起者可选用大剂量妥布霉素［8mg/ （kg・d），每日一次肌肉或静脉给药］，保持峰浓度和谷浓度分别在15～20μg/ml和＜2μg/ml，联合足量的广谱的青霉素［例如：替卡西林（ticarcillin）、哌拉西林（piperacillin）、阿洛西林（azlocillin）］、头孢他啶（ceftazidime）、头孢吡肟（cefepime）或亚胺培南（imipenem）至少6～8周。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">沙雷菌属引起者可用第三代头孢菌素加上氨基糖苷类药物。厌氧菌感染可用0.5%甲硝唑（metronidazole，灭滴灵）1.5～2g/d，分3次静脉滴注，或头孢西丁（cefoxitin）4～8g/d。也可选用头孢哌酮（对厌氧菌属中的弱拟杆菌无效）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺炎链球菌心内膜炎，青霉素MIC≤1.0，可以静脉应用青霉素（400万U，每4小时1次）、头孢曲松（2g/d）或者头孢噻肟（cefotaxime）（2g，每天2次）。青霉素MIC≥2.0的菌株所致感染应当用万古霉素。在确定菌株对青霉素的敏感性之前，治疗药物应当包括万古霉素及头孢曲松，尤其是怀疑并发脑膜炎者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">真菌引起者病死率高达80%～100%，药物治愈极为罕见，应在抗真菌治疗期间早期手术切除受累的瓣膜组织，尤其是真菌性的PVE，且术后继续抗真菌治疗才有可能提供治愈的机会。药物治疗以两性霉素B（amphotericin B）为优，0.1mg/（kg・d）开始，逐步增加至1mg/（kg・d），总剂量1.5～3g。两性霉素B的毒性较大，可引起发热、头痛、胃肠道反应、血栓性静脉炎和肾功能损害以及神经和精神方面的改变。氟康唑（fluconazole）和氟胞嘧啶（5-FC，flurocytosine）是毒性较低的抗真菌药物，单独使用仅有抑菌作用，如与两性霉素B合并应用，可增强杀真菌作用，减少两性霉素B的用量。5-FC用量为150mg/（kg・d），氟康唑用量为200～400mg/d，均静脉滴注。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">立克次体心内膜炎可选用四环素2g/d静脉给药，治疗6周。对临床高度怀疑本病，而血培养反复阴性者，可凭经验按肠球菌及金葡菌感染，选用大剂量青霉素和氨基糖苷类药物治疗2周，同时作血培养和血清学检查，除外真菌、支原体、立克次体引起的感染。若无效，改用其他杀菌剂药物，如万古霉素和头孢菌素。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">IE复发时，应再治疗，且疗程宜适当延长。</p><p>（二）手术治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">尽管抗生素治疗方案已使本病预后改观，但手术治疗去除感染组织恢复瓣膜功能或置换瓣膜，可使死亡率进一步下降，尤其在伴有心力衰竭者中，死亡率降低更为明显。正确判断外科手术的安全性和最佳手术时机，需要心脏内科、外科以及感染科医师共同作出选择。早期手术的适应证是：心力衰竭、感染不能控制（真菌性和抗生素耐药的革兰阴性杆菌心内膜炎）、预防栓塞。早期手术可分为急诊（24小时内）、次急诊（几天内）和择期手术（抗生素治疗1～2周后）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">PVE病死率较自然瓣膜心内膜炎为高。单用抗生素治疗的PVE死亡率为60%，采用抗生素加人工瓣膜再手术可使死亡率降至40%左右。早期PVE致病菌大多侵袭力强，一般主张早期手术。后期PVE大多为链球菌引起，宜药物治疗为主。真菌性PVE内科药物治疗仅作为外科紧急再换瓣术的辅助手段，应早期作再换瓣术。耐药的革兰阴性杆菌PVE亦宜早期手术治疗。其他如瓣膜功能失调所致中、重度心力衰竭，瓣膜破坏严重的瓣周漏或生物瓣膜的撕裂及瓣膜狭窄，和新的传导阻滞出现、顽固性感染、反复周围栓塞，都应考虑更换感染的人工瓣。为了降低感染活动期间手术后的残余感染率，术后应持续使用抗生素4～6周。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心脏起搏器IE主张手术取出感染的电极导线（少数使用牵引的方法有效），术前尽可能延长抗生素治疗的时间。总死亡率约24%。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">绝大多数右侧心脏IE的药物治疗可有效，同时由于右心室对三尖瓣和肺动脉瓣的功能不全有较好的耐受性，一般不考虑手术治疗。对内科治疗无效、进行性心力衰竭和伴有铜绿假单胞菌和真菌感染者常须外科手术，将三尖瓣切除或置换。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性IE发生心功能不全时其手术时机应取决于心功能的严重程度，心功能Ⅲ或Ⅳ级、肾功能不全、年迈的患者预后差。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '12', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5198', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '259', '预防', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">由于急性IE的高度危险性使其预防显得尤为重要。恰当的预防性应用抗生素应该基于IE的高危患者以及损伤性操作的相关菌血症的危险分级。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">新近认为IE与暴露于与日常活动相关的菌血症更有关系，而不源于牙科、胃肠道以及泌尿道操作所致的菌血症。预防措施仅可防止极少部分患者发生IE，且抗生素相关的不良反应的风险大于预防性应用抗生素的益处。强调保持良好的口腔健康和卫生的重要性，且在施行有创性操作或插入静脉导管时必须严格灭菌操作降低引发的菌血症比预防应用抗生素来降低IE的风险更为重要。只有在IE的高危患者，例如：以往有IE史者；伴狭窄或反流的获得性心脏瓣膜病者；瓣膜置换者；先天性结构性心脏病；心肌病等，给予抗生素预防措施才是合理的（表16-13-3），高危患者如接受牙科操作时（表16-13-4），主要针对口腔链球菌，推荐操作开始前30～60分钟使用一次抗生素：阿莫西林或氨苄西林，成人2g，儿童50mg/kg口服或静脉给药。对上述药物过敏者，可用克林霉素，成人600mg，儿童20mg/ kg，口服或静脉滴注。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180519-1526708609088035359.jpg\" title=\"1526708609088035359.jpg\" alt=\"表16-13-3　极高危患者进行高危操作时推荐抗生素预防IE的心脏情况.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1996px; table-layout: fixed;\"/></span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">表16-13-3　极高危患者进行高危操作时推荐抗生素预防IE的心脏情况</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180519-1526708621117047308.jpg\" title=\"1526708621117047308.jpg\" alt=\"表16-13-4　极高危患者根据操作类型的危险程度推荐抗生素预防IE.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 2015px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\">表16-13-4　极高危患者根据操作类型的危险程度推荐抗生素预防IE</span></p><p><br/></p>', null, '13', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5199', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '259', '参考文献', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.Tleyjeh IM，Abdel-Latif A，Rahbi H，et al.A systematic review of population-based studies of infective endocarditis.Chest，2007，132：1025-1035.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.Stokes T，Richev R，Wrayon D.Guideline development group.Prophylaxis against infective endocarditis：summary of NICE guidance.Heart，2008，94：930-931.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.Nishimura RA，Carabello BA，Faxon DP，et al.ACC/AHA 2008guideline update on valvular heart disease：Foucsed update on infective endocarditis.A report of the American College of Cardiology/American Heart Association Task Force on practice guidelines. Circulation，2008，118：887-896.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.Habic G.Guideline on the preventions，diagnosis，and treatment of infective endocarditis（new version 2009）European Heart Journal，2009，30：2369-2413.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.Cosgrove SE，Vigliani GA，Fowler VG，et al.Initial low-dose gentamicin for Staphylococcus aureus bacteremia and endocarditis is nephrotoxic.Clin Infect Dis，2009，48：713-721.</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '14', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5219', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '419', '病因和病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主动脉瓣狭窄（aortic stenosis，AS）最常见的病因是先天性主动脉瓣畸形、老年性主动脉瓣钙化和风湿性AS。欧美国家以前两者为主，我国仍以风湿性多见。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">单纯风湿性AS罕见，几乎都合并二尖瓣病变及主动脉瓣关闭不全。病理变化为瓣叶交界粘连，瓣膜增厚，纤维化钙化，以瓣叶游离缘尤为突出。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">三叶瓣的钙化性AS（即所谓的“老年退行性”狭窄）多见于老龄患者，近年来发生率呈上升趋势。发病机制可能与主动脉瓣应力和剪切力异常升高、湍流致血管内皮损伤、慢性炎症、RAS系统激活、脂蛋白沉积、钙磷代谢紊乱、同型半胱氨酸水平、遗传等因素有关；与冠心病有相似的危险因子，如老龄、男性、肥胖、高血压、高血脂、吸烟、糖尿病等。一旦发生，病变呈进行性发展直至最终需要进行瓣膜置换。病理表现为瓣体部的钙化，很少累及瓣叶交界。钙化程度是临床转归的预测因子之一。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">先天性AS可为单叶式、二叶式或三叶式，其中二叶式主动脉瓣（bicuspid aortic valve，BAV）最多，约占50%。普通人群中BAV的发生率为1%～2%，部分有家族史（染色体显性遗传）。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5220', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '419', '病理生理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早期表现为主动脉瓣增厚，不伴流出道梗阻，此阶段称为主动脉瓣硬化（aortic sclerosis）。病变进一步发展可导致主动脉瓣口面积（aortic valve area，AVA）减少。当AVA从正常（3～4cm<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>）减少至一半（1.5～2.0cm<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>）时几乎无血流动力学异常，进一步降低则导致血流梗阻及进行性的左心室压力负荷增加，当AVA减少至正常的1/4以下（＜1.0cm<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>）为重度狭窄。左心室代偿性肥厚，收缩增强以克服收缩期心腔内高压，维持静息状态下心排血量和LVEF至正常水平，临床可无明显症状，但运动时心排血量增加不足。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">LV肥厚作为代偿机制的同时，也降低了心腔顺应性，导致LV舒张期末压力升高，舒张功能受损。其次，LV肥厚以及收缩期末室壁张力升高增加了心肌氧耗；LV顺应性下降，舒张期末压力升高，增加了冠脉灌注阻力，导致心内膜下心肌灌注减少；此外，LV肥厚还降低了冠脉血流储备（即使冠脉无狭窄），运动和心动过速时冠脉血流分布不匀导致心内膜下缺血，而肥厚心肌对缺血损害更加敏感，最终导致心肌纤维化，心室收缩和舒张功能异常。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">AVA进一步狭窄时，心肌肥厚和心肌收缩力不足以克服射血阻力，心排血量和LVEF减少，外周血压降低，临床出现症状，脑供血不足可导致头昏、晕厥；心肌供血不足加重心肌缺血和心功能损害（心绞痛和呼吸困难等），最终LV扩大，收缩无力，跨瓣压差降低，LAP、肺动脉压、肺毛细血管楔压和右心室压上升。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5221', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '419', '临床表现', '<p>（一）症状</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">AS可历经相当长的无症状期，猝死的风险极低（＜1%/年）；一旦出现症状，临床情况急转直下，若不及时手术，2年生存率为20%～50%。主要三大症状为劳力性呼吸困难、心绞痛、黑矇或晕厥。早期表现多不典型，特别是老年人或不能运动的患者症状极易被忽视，或因缺乏特异性而误以为衰老导致体能下降，或其他疾病的症状。劳累、AF、情绪激动、感染等可诱发急性肺水肿；有症状的AS猝死风险升高。如未能及时手术，随病程发展和心功能损害加重，晚期出现顽固的左心衰竭症状和心排血量降低的各种表现，甚至右心衰竭的表现。</p><p>（二）体征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心脏浊音界可正常，心力衰竭时向左扩大。心尖区可触及收缩期抬举样搏动，左侧卧位时可呈双重搏动。胸骨右缘第2肋间可闻及低调、粗糙、响亮的喷射性收缩期杂音，呈递增递减型，第一心音（S1）后出现，收缩中期最响，以后渐减弱，主动脉瓣关闭（第二心音S2）前终止。常伴有收缩期震颤。吸入亚硝酸异戊酯后杂音可增强。杂音向颈动脉及锁骨下动脉传导。杂音越长，越响，收缩高峰出现越迟，狭窄程度越重。合并心力衰竭后，杂音变轻而短促。瓣膜无明显钙化时（先天性AS）可有收缩早期喷射音（主动脉瓣开瓣音）；钙化明显时，主动脉瓣第二心音（A2）减弱或消失，亦可出现第二心音逆分裂。常可在心尖区闻及第四心音（S4），提示LV肥厚和左心室舒张末期压（left ventricular end-diastolic pressure，LVEDP）升高。LV扩大和衰竭时可有第三心音（舒张期奔马律）。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5222', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '419', '辅助检查', '<p><span style=\"font-size: 12px;\">（一）X线检查</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">左心缘圆隆，心影早期不大，继发心衰时LA及LV扩大；可见主动脉瓣钙化、升主动脉扩张。晚期可见肺动脉主干突出，肺静脉增宽和肺淤血等征象。</span></p><p><span style=\"font-size: 12px;\">（二）心电图检查</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">可见LV肥厚与劳损表现，多有LA增大。部分可见左前分支阻滞和其他各种程度的房室或束支传导阻滞，及各种心律失常。</span></p><p><span style=\"font-size: 12px;\">（三）超声心动图检查1.超声心动图表现</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">超声心动图是AS首选的评价手段。主动脉瓣硬化为钙化性AS的早期表现，主动脉瓣增厚，回声增强，可伴有局部钙化，多始于瓣叶根部，逐渐向瓣尖扩展；瓣膜活动略显僵硬，跨瓣Vmax 1.5～2.5m/s。随着病程进展，瓣膜钙化加重（但极少累及交界），活动受限，瓣口变形狭小，开放呈星形，跨瓣血流速度升高。钙化程度评分：1级，无钙化；2级，孤立的小钙化点；3级，较大的钙化点，影响瓣叶的活动；4级，所有瓣膜广泛钙化，瓣叶活动受限。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">风湿性AS表现为交界粘连，瓣叶增厚钙化，游离缘尤为突出，瓣口开放呈三角形。几乎都伴二尖瓣风湿性病变。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: left;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); font-size: 12px;\">80%的BAV（图16-10-4）为右冠瓣和左冠瓣融合而形成大的前瓣（发出两支冠状动脉）和小的后瓣，约20%为右冠瓣和无冠瓣融合而形成大的右瓣和小的左瓣（各发出一支冠状动脉），左冠瓣与无冠瓣融合非常罕见。收缩期短轴图像见2个瓣膜及2个交界，瓣口开放呈“橄榄状”即可明确诊断。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: left;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); font-size: 12px;\"><br/></span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: left;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); font-size: 12px;\"></span></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">图16-10-4　先天性二叶式主动脉瓣畸形合并主动脉瓣狭窄的超声心动图表现</span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">A.心尖长轴切面显示主动脉瓣增厚，钙化，开放受限呈圆顶状（单向箭头）；同时合并升主动脉扩张（双向箭头）B.大血管短轴切面显示收缩期开放的主动脉瓣口，可见2个交界，瓣口呈橄榄状，并可见瓣叶的增厚和钙化C.主动脉瓣CW血流频谱示收缩期血流速度升高（约4m/s）D.心尖五腔心CDFI显示收缩期跨主动脉瓣的高速射流（箭头所示）</span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">AS：主动脉瓣狭窄；BAV：二叶式主动脉瓣；PA：肺动脉；RVOT：右室流出道；LA：左心房；LV：左心室；RA：右心房；RV：右心室；AO：主动脉</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">无论何种病因，晚期严重狭窄的瓣膜明显钙化，融合成团，无法清楚区分瓣叶和交界；瓣叶活动明显受限，瓣口变形固定呈小孔状；CDFI显示跨瓣膜的收缩期高速血流信号。CW可定量狭窄程度；CW速度曲线轮廓圆钝间接提示严重狭窄，而轻度狭窄峰值前移，速度曲线呈三角形；CW还有助于和左心室流出道（left ventricular outflow tract，LVOT）动力性梗阻进行鉴别。</span></p><p><span style=\"font-size: 12px;\">2.定量AS程度</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">常用指标有Vmax、PPG、MPG、AVA（连续方程式法）；其中AVA较少受血流动力学影响。应结合瓣膜钙化程度及活动度等间接征象进行综合判断，并考虑心脏功能、高动力状态、小心腔和过度肥厚、高血压（动脉阻抗）、主动脉瓣反流、二尖瓣病变、升主动脉内径（压力恢复现象，pressure recovery）、体型等对测量结果的干扰。</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5223', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '419', '诊断与鉴别诊断', '<p><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;; font-size: 12px; background-color: rgb(255, 255, 255);\">发现典型的心底部喷射样收缩期杂音及超声心动图表现可明确诊断。鉴别诊断主要依赖二维超声和CDFI。</span></p><p style=\"text-align: center;\"><span style=\"color: rgb(120, 123, 125); text-align: center; background-color: rgb(255, 255, 255); font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\"><br/></span></p><p style=\"text-align: center;\"><span style=\"color: rgb(120, 123, 125); text-align: center; background-color: rgb(255, 255, 255); font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">表16-10-2　主动脉瓣狭窄严重程度分级</span></p><p style=\"text-align: center;\"><span style=\"color: rgb(120, 123, 125); text-align: center; background-color: rgb(255, 255, 255); font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\"><br/></span></p><p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; text-align: center; background-color: rgb(255, 255, 255);\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526613417089033276.jpg\" title=\"1526613417089033276.jpg\" alt=\"T16-10-2_33469.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1971px; table-layout: fixed;\"/></span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;;\"><span style=\"box-sizing: border-box; position: relative; line-height: 0; vertical-align: baseline; top: -0.5em; color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255);\">*</span><span style=\"color: rgb(120, 123, 125); text-align: center; background-color: rgb(255, 255, 255); font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">ESC标准</span></span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;;\">先天性主动脉瓣下/瓣上狭窄：多为固定性狭窄，超声可明确高速血流的部位，LVOT及主动脉根部的形态。主动脉瓣下狭窄由异常隔膜或肌束引起，血流动力学特征与AS类似。主动脉瓣上狭窄不常见，如Williams综合征，成人阶段出现持续性或间断性梗阻。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;;\">动力性主动脉瓣下狭窄：多见于特发性肥厚型主动脉瓣下狭窄、左心室小而厚的患者（如某些女性高血压）处于高动力状态下（应激、贫血、甲亢、发热、容量不足、运动等）、某些心尖部心肌梗死（基底段收缩代偿性增强过度）患者。梗阻主要发生在收缩中晚期，CW呈特征性频谱曲线（峰值后移，收缩早期曲面朝上）；梗阻程度受到多种血流动力学因素（容量负荷、心率/律、心肌收缩力、β受体阻断药等药物）影响而多变，甚至可呈间歇性或隐匿性。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;;\">其他可产生收缩期杂音的病变，如主动脉扩张、MR及三尖瓣关闭不全，超声心动图可以明确诊断。</span></p><p style=\"text-align: right;\"><span style=\"font-family: 微软雅黑, &#39;Microsoft YaHei&#39;;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><span style=\"font-family: &#39;Helvetica Neue&#39;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\"><br/><br/></span></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5224', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '419', '并发症', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①充血性心力衰竭：50%～70%的患者死于充血性心力衰竭；②栓塞：多见于老年钙化性AS，以脑栓塞最常见；瓣膜钙化本身不会导致栓塞，主要与合并升主动脉或颈动脉斑块有关；③感染性心内膜炎；④猝死：有症状的AS猝死风险升高；⑤主动脉急性并发症：BAV合并升主动脉瘤者具有升高的主动脉破裂和夹层分离的风险；15%升主动脉夹层患者有BAV畸形；BAV合并升主动脉瘤的患者中，主动脉夹层的患病率为12.5%。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5225', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '419', '治疗', '<p>（一）随访</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">AS进展速度存在显著的个体差异，目前无有效的临床预测指标，定期临床和超声随访，特别是早期识别症状对于决定手术时机至关重要。应教育患者了解可能出现的症状，一旦出现需立即复诊。对于症状可疑者，运动负荷超声心动图可以帮助判断。超声心动图随访频度为重度AS每年一次，中度每1～2年一次，轻度每3～5年一次。BAV合并AS者还必须同时评价主动脉根部及升主动脉内径。BAV的亲属中9%也有BAV，即使无BAV的亲属，也有可能合并升主动脉病变，因此需对BAV的一级亲属进行超声筛查（有无BAV和升主动脉扩张）。</p><p>（二）药物治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">无特异性治疗。避免过度的体力劳动和剧烈运动；合并高血压者积极控制血压。有症状但无法手术的患者可对症治疗但预后极差，如抗心衰（ACEI类药物），控制心绞痛（硝酸酯类）。</p><p>（三）介入和手术治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">指征：①AS出现症状应尽快手术；②无症状的重度AS如LVEF＜50%，或是运动试验诱导出症状或血流动力学不稳定（血压异常反应）应尽快手术；③合并明显钙化、快速进展的中重度AS倾向于早期手术；④中重度AS如合并其他心脏手术指征（如升主动脉瘤、冠脉搭桥、其他瓣膜病变）应同时行主动脉瓣置换。极重度AS（Vmax≥5.5m/s）即使无症状也主张尽早手术。有心肌收缩储备的低压差AS主张手术治疗。其他倾向手术的参考因素包括运动诱导出复杂的室性心律失常、LV明显肥厚除外高血压因素。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">标准治疗为主动脉瓣置换术，适用于绝大多数有手术指征的患者。合并冠状动脉病变时，宜同时行冠状动脉旁路移植术。合并升主动脉扩张者如内径≥4.5cm，应同时行升主动脉人工血管置换术。在BAV换瓣的患者中20%需同时行升主动脉瘤手术。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">介入治疗技术包括经皮主动脉球囊扩张术和近年来发展起来的经导管人工主动脉瓣植入术（transcatheter aortic valve implantation，TAVI）。前者适用于儿童和青少年的非钙化性的先天性AS。TAVI手术包括两个途径，即逆行的经皮主动脉瓣植入法和顺行的经心尖部的主动脉瓣植入法。目前主要用于存在外科手术高风险或禁忌证的、预期寿命＞1年的、有症状的重度AS。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5233', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '464', '病因和病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">二尖瓣装置包括瓣叶、瓣环、腱索、乳头肌及LV，任何部分的缺陷均可导致二尖瓣关闭不全（mitral regurgitation，MR）。MR分为原发/器质性的（由于二尖瓣结构异常引起）和继发/功能性的（继发于LV扩张和功能减退）。根据病程，可分为急性MR和慢性MR。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">原发性的慢性MR在我国以风湿性最多见，常合并MS，病理特点为瓣叶增厚，挛缩变形，交界粘连，以游离缘为显著；腱索缩短融合导致瓣叶尤其后叶活动受限，而前叶呈假性脱垂样。瓣膜变性（Barlow病/二尖瓣脱垂综合征、弹性纤维变性、马方综合征、Ehler’s-Danlos综合征）和老年性瓣环钙化是欧美国家最常见的病因；其他病因还包括感染性心内膜炎、心肌梗死后乳头肌断裂、先天性畸形（二尖瓣裂缺、降落伞型二尖瓣畸形等，多见于幼儿或青少年）、结缔组织病（如系统性红斑狼疮、类风湿关节炎、强直硬化性脊椎炎）、心内膜弹力纤维增生症、药物性等；继发性MR的病因包括任何可引起LV明显扩大的病变，如缺血性心脏病及心肌病，机制包括二尖瓣瓣环的扩张变形；乳头肌向外向心尖方向移位；瓣叶受牵拉而关闭受限；LV局部及整体功能的异常；LV重构和变形；LV运动不同步等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性MR多因腱索断裂，瓣膜毁损或破裂，乳头肌坏死或断裂以及人工瓣膜异常引起，可见于感染性心内膜炎、急性心肌梗死、穿通性或闭合性胸外伤及自发性腱索断裂。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5234', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '464', '病理生理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">LV搏出的血流同时流入主动脉（前向）和反流到LA（逆向）；舒张期反流的血液再经二尖瓣充盈LV，导致LV舒张期容量过负荷。慢性MR早期通过LV扩大及离心性肥厚来代偿。根据Starling效应，前负荷增加及左心室舒张末期容积（left ventricular end-diastolic volume，LVEDV）扩大导致心肌收缩增强，LVEF升高（＞65%），总每搏输出量（stroke volume，SV）增加以维持前向的SV；LA和LV扩张还使得LAP和LV充盈压维持于正常范围，避免肺淤血，临床可无症状。经过数年的代偿期后，持续的容量过负荷最终导致心肌收缩受损，前向SV降低，左心室收缩末期容积（left ventricular end-systolic volume，LVESV）扩大，LV充盈压和LAP升高，肺静脉和肺毛细血管压力升高，继而肺淤血。失代偿早期LVEF虽有所降低但仍维持在50%～60%，此时纠正MR，心肌功能尚可恢复；否则，心功能损害将不可逆，LV显著扩张，EF明显降低，临床上出现肺淤血和体循环灌注低下等左心衰竭症状，晚期可出现肺高压和全心衰竭。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性MR导致左心容量负荷急剧增加，LV来不及代偿，导致前向SV和心排血量明显降低，引起低血压甚至休克；同时，左心室舒张末期压（left ventricular end-diastolic pressure，LVEDP）、LAP和肺静脉压力急剧上升，引起严重的肺淤血，甚至急性肺水肿。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5235', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '464', '临床表现', '<p>（一）症状</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性重度MR一般6～10年出现LV功能异常或症状；一旦发生心力衰竭，则进展迅速。常见症状有：劳力性呼吸困难、端坐呼吸、疲乏、活动耐力显著下降。咯血和栓塞较少见。晚期出现肝淤血肿大及触痛、水肿、胸水或腹水等右心衰竭表现。急性MR者常表现为急性左心衰竭或肺水肿及心源性休克。</p><p>（二）体征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性MR者心界向左下扩大，心尖区可触及局限性收缩期抬举样搏动，提示LV肥厚和扩大。心尖区可闻及全收缩期吹风样杂音，响度在3/6级以上，吸气时减弱，反流量小时音调高，瓣膜增厚者音粗糙。前叶损害为主时，杂音向左腋下或左肩胛下传导；后叶损害为主者，杂音向心底部传导。可伴有收缩期震颤。心尖区第一心音（S1）减弱或被杂音掩盖。功能性MR的杂音常不明显，即使重度反流杂音也较柔和。由于LV射血期缩短，主动脉瓣关闭提前，导致第二心音（S2）分裂。严重MR可出现低调的第三心音（S3）。舒张期大量血液通过二尖瓣口导致相对性MS，心尖区闻及低调、短促的舒张中期杂音。出现OS提示合并MS。肺动脉瓣区第二心音（P2）亢进提示肺高压。右心衰竭时，可见颈静脉怒张、肝脏肿大、下肢水肿。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5236', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '464', '辅助检查', '<p><span style=\"font-size: 12px;\">（一）X线检查</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">LA和LV明显增大，前者可推移和压迫食管。肺高压或右心衰竭时，RV增大。可见肺静脉充血、肺间质水肿和Kerley B线、二尖瓣叶和瓣环钙化。</span></p><p><span style=\"font-size: 12px;\">（二）心电图检查</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">可有LV肥大和劳损；P波增宽且呈双峰形，提示LA增大；肺高压时可显示左、右心室肥大。慢性MR多有AF。</span></p><p><span style=\"font-size: 12px;\">（三）超声心动图检查1.超声心动图表现</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">二维超声可为病因诊断提供线索，对病变进行定位和分区。风心病MR可见瓣膜增厚、挛缩变形、纤维化钙化、交界粘连，以瓣缘为甚。瓣膜变性可见瓣膜增厚，冗长累赘，可同时伴腱索冗长纤细；当收缩期瓣体部凸向LA内，而闭合缘仍未超过瓣环水平，MR通常较轻；若闭合缘低于瓣环则提示二尖瓣脱垂，最常见于黏液样变性（Barlow病）；瓣叶连枷指病变瓣膜活动异常，游离缘完全翻转到LA内（瓣尖指向LA），多伴腱索断裂（图16-10-2）及重度MR。老年性病变可见瓣环纤维化或钙化，后瓣环多见；严重时可累及瓣膜，导致瓣叶增厚，活动受限，以根部受累较早且较显著。先天性MR可见瓣膜及瓣下结构的发育异常（如瓣膜短小、裂缺、腱索缺失、单组乳头肌、双孔二尖瓣等）。感染性心内膜炎可见赘生物、瓣膜穿孔、瓣膜瘤或脓肿。功能性MR瓣叶无器质性病变，但LV和瓣环明显扩张，LV近于球形，收缩减弱，瓣膜闭合呈穹隆状，前叶受次级腱索牵拉时出现“海鸥征”。</span></p><p><br/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">图16-10-2　二尖瓣腱索断裂的经食道超声心动图表现</span></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\"><br/></span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">A.二维图像显示二尖瓣后叶活动呈连枷样，瓣尖见腱索断裂残端飘动（箭头所示）B.CDFI显示偏心的粗大的反流束进入左房</span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">MR：二尖瓣反流；LA：左心房；LV：左心室</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">CDFI可见收缩期二尖瓣口出现五彩镶嵌的湍流进入LA。根据反流的方向，分为中心型反流和偏心型反流，后者可紧贴在LA壁，在LA内形成旋涡状。反流束的长度、面积占LA的比例可半定量评估反流程度。</span></p><p><span style=\"font-size: 12px;\">2.MR的机制和可修复性评估</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">反流分型参照Carpentier’s标准分为：Ⅰ型，瓣叶活动正常，反流由单纯瓣环扩大或瓣叶穿孔或裂缺所致；Ⅱ型，瓣叶活动度过大，瓣叶脱垂；Ⅲ型，瓣叶活动受限，又进一步分为Ⅲa：腱索的缩短和（或）瓣叶增厚导致开放受限，如风湿性病变；Ⅲb：收缩期的瓣叶关闭受限，如缺血性MR。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">器质性MR存在粗大的中心性反流束、瓣环显著扩大（＞50mm）、病变累及超过三个区（特别是前叶受累）、广泛钙化、残存的正常瓣叶组织较少（风湿性或感染性心内膜炎）提示修复失败的风险大。与功能性MR修复失败相关的指标有：重度的中心性反流、瓣环直径＞37mm、闭合有明显缝隙、穹隆面积＞2.5cm<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>、LV严重扩张、收缩期球形指数＞0.7。</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5237', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '464', '诊断与鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">诊断主要根据典型的心尖区吹风样收缩期杂音以及超声心动图表现。超声有助于与生理性杂音、室间隔缺损、三尖瓣关闭不全等鉴别。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5238', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '464', '并发症', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">与MS相似，但出现较晚。感染性心内膜炎较多见，栓塞少见。急性MR可迅速发生急性左心衰竭甚至急性肺水肿，预后较差。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5239', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '464', '治疗', '<p>（一）随访</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">无症状、无心功能损害的轻度MR不需常规随访心脏超声；稳定的中度MR每年临床随访，超声每1～2年复查；无症状的重度MR且LV功能正常，应每六个月临床随访一次，心脏超声每年复查；若临床状况出现明显变化、有新发AF、肺动脉压升高、超声与既往比较显著进展、心功能指标接近手术指征时需增加随访频率；重度MR如伴有LV扩大或收缩障碍或出现症状应尽早手术。</p><p>（二）药物治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">无特异性治疗，主要是对症治疗。慢性MR应避免过度的体力活动，限盐利尿，控制心衰；扩血管药物适用于治疗合并的高血压、晚期合并心衰又不适合手术的患者、或心衰患者术前过渡治疗以改善心功能，以及术后持续心衰患者；无心功能损害者及高血压的器质性MR不主张使用扩血管药物。但对于功能性或缺血性MR，ACEI类或ARB类药物证实有益。洋地黄类药物宜用于心力衰竭伴快速AF。合并AF、严重心力衰竭、栓塞病史、LA血栓以及二尖瓣修复术后的三个月内需抗凝治疗。</p><p>（三）手术治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">手术指征：急性MR通常需要急诊手术。慢性器质性MR的手术指征包括：①出现症状；②无症状的重度MR合并LV功能不全的证据：LVEF为30%～60%，左心室收缩末期内径（left ventricular end-systolic diameter，LVESD）为45～55mm，左心室收缩末期内径指数（left ventricular end-systolic diameter indexed，LVESDI）＞26mm/m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>；③无症状且无LV功能不全证据的重度MR，如伴AF或肺高压（静息＞50mmHg，运动＞60mmHg）倾向于手术。如修复可能性大，手术指征可适当放宽，无症状患者心功能指标接近临界值时即可早期手术，以避免出现严重的心功能损害。存在严重的LV收缩功能障碍的患者（EF＜30%和（或）LVESD＞55mm）如有修复或保留腱索的可能，可尝试手术；反之，则手术风险极高，建议保守治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">手术方式：主要为外科治疗，术式包括二尖瓣修复术、保留或不保留瓣下结构的二尖瓣置换术。瓣膜修复术避免了人工瓣血栓栓塞-出血的并发症以及感染的风险，更好地维持了瓣膜生理功能和LV的功能，具有更低的围术期死亡率和更好的远期预后，在条件允许的情况下，二尖瓣修复是二尖瓣手术的首选术式。无修复可能时应尽可能行保留瓣下组织的瓣膜置换，以利于术后心脏功能的改善。介入治疗主要有经皮冠状静脉窦人工瓣环植入，以及经皮二尖瓣边对边钳夹术（Alfieri手术），主要针对手术高风险或存在手术禁忌证的患者。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5240', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '452', '概述', '<p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">不稳定型心绞痛（unstable angina，UA）指介于稳定型心绞痛和急性心肌梗死之间的临床状态，包括了除稳定型劳力性心绞痛以外的初发型、恶化型劳力性心绞痛和各型自发性心绞痛。它是在粥样硬化病变的基础上，发生了冠状动脉内膜下出血、斑块破裂、破损处血小板与纤维蛋白凝集形成血栓、冠状动脉痉挛以及远端小血管栓塞引起的急性或亚急性心肌供氧减少所致。它是ACS中的常见类型。若UA伴有血清心肌坏死标志物明显升高，此时可确立非ST段抬高型心肌梗死（NSTEMI）的诊断。&nbsp;发病机制</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">ACS有着共同的病理生理学基础，即在冠状动脉粥样硬化的基础上，粥样斑块破裂或糜烂、溃疡，并发血栓形成，导致病变血管完全性或非完全性闭塞。ACS是否发生主要取决于斑块的稳定性，与斑块的大小无直接关系。不稳定斑块具有如下特征：脂质核较大，纤维帽较薄，含大量的巨噬细胞和T淋巴细胞，血管平滑肌细胞含量较少。它在外因如情绪激动、剧烈运动或寒冷刺激作用下，由于血流动力学改变，使纤维帽破裂，脂核溢出，基质暴露，血小板和内皮下的黏附因子发生黏附和聚集，形成富含血小板的白血栓，使管腔不完全闭塞，血流突然减少或间断性中断，血小板激活并释放活性物质，使血管收缩加剧，造成不同的心肌缺血事件，临床表现为UA/NSTEMI。其他原因还包括动力性阻塞（冠状动脉痉挛或收缩）、进行性机械性阻塞、炎症和（或）感染、继发性UA即心肌氧耗增加或氧输送障碍的情况包括贫血、感染、甲状腺功能亢进、心律失常、血液高黏稠状态或低血压等。</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">近年来的研究发现，导致粥样斑块破裂的机制如下：①斑块内T-淋巴细胞通过合成细胞因子γ干扰素（interferon-γ）能抑制平滑肌细胞分泌间质胶原使斑块纤维帽结构变薄弱；②斑块内巨噬细胞、肥大细胞可分泌基质金属蛋白酶（metalloproteinase），加速纤维帽胶原的降解，使纤维帽变得更易受损；③冠脉管腔内压力升高、冠脉血管张力增加或痉挛、心动过速时心室过度收缩和扩张所产生的剪切力以及斑块滋养血管破裂均可诱发与正常管壁交界处的斑块破裂。由于收缩压、心率、血液黏稠度、内源性组织纤溶酶原激活剂（t-PA）活性、血浆肾上腺素和皮质激素水平的昼夜节律性变化一起，使每天晨起后6时至11时最易诱发冠脉斑块破裂和血栓形成，由此产生了每天凌晨和上午MI高发的规律。</p><p style=\"white-space: normal; text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5241', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '452', '病理解剖', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病变血管供血的心肌是否坏死取决于冠状动脉病变严重程度、持续时间和侧支循环的开放程度。如果冠脉闭塞时间短，累计心肌缺血＜20分钟，组织学上无心肌坏死，也无心肌酶或其他标志物的释出，心电图呈一过性心肌缺血改变，临床上就表现为UA；如果冠脉严重阻塞时间较长，累计心肌缺血＞20分钟，组织学上有心肌坏死，血清心肌坏死标志物也会异常升高，心电图上呈持续性心肌缺血改变而无ST段抬高和病理性Q波出现，临床上即可诊断为NSTEMI。NSTEMI虽然心肌坏死面积不大，但心肌缺血范围往往不小，临床上依然很高危；这可以是冠状动脉血栓性闭塞已有早期再通，或痉挛性闭塞反复发作，或严重狭窄的基础上急性闭塞后已有充分的侧支循环建立的结果。NSTEMI时的冠脉内附壁血栓多为白血栓；也有可能是斑块成分或血小板血栓向远端栓塞所致；偶有由破裂斑块疝出而堵塞冠脉管腔者被称为斑块灾难（plaque disaster）。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5242', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '452', '危险分层', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">UA的临床表现一般具有以下三个特征之一：①静息时或夜间发生心绞痛常持续20分钟以上；②新近发生的心绞痛（病程在2个月内）且程度严重；③近期心绞痛逐渐加重（包括发作的频度、持续时间、严重程度和疼痛放射到新的部位）。发作时可有出汗、皮肤苍白湿冷、恶心、呕吐、心动过速、呼吸困难、出现第三或第四心音等表现。而原来可以缓解心绞痛的措施此时变得无效或不完全有效。UA和NSTEMI中较少有严重的左心室功能不全所致的低血压（心源性休克）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">UA或NSTEMI的Braunwald分级是根据UA发生的严重程度将之分为Ⅰ、Ⅱ、Ⅲ级，而根据其发生的临床环境将之分为A、B、C级：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅰ级：初发的、严重或加剧性心绞痛。发生在就诊前2个月内，无静息时疼痛。每日发作3次或3次以上，或稳定型心绞痛患者心绞痛发作更频繁或更严重，持续时间更长，或诱发疼痛的体力活动阈值降低。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅱ级：静息型亚急性心绞痛。在就诊前1个月内发生过1次或多次静息性心绞痛，但近48小时内无发作。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅲ级：静息型急性心绞痛。在48小时内有1次或多次静息性心绞痛发作。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">A级：继发性UA。在冠状动脉狭窄的基础上，同时伴有冠状动脉血管床以外的疾病引起心肌氧供和氧需之间平衡的不稳定，加剧心肌缺血。这些因素包括：贫血、感染、发热、低血压、快速性心律失常、甲状腺功能亢进、继发于呼吸衰竭的低氧血症。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">B级：原发性UA。无可引起或加重心绞痛发作的心脏以外的因素，且患者两周内未发生过心肌梗死。这是UA的常见类型。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">C级：心肌梗死后UA。在确诊心肌梗死后两周内发生的UA。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5243', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '452', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">对年龄＞30岁的男性和＞40岁的女性（糖尿病患者更年轻）主诉符合上述临床表现的心绞痛时应考虑ACS，但须先与其他原因引起的疼痛相鉴别。随即进行一系列的心电图和心肌标志物的检测，以判别为UA、NSTEMI抑或是STEMI。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">心电图应在患者到达急诊室10分钟内完成。初始心电图未能诊断者，应每隔15～30分钟做一次心电图检查，必要时应追加V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">7</span>～V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">9</span>导联以排除左回旋支闭塞导致的心肌梗死。ST-T动态变化是UA/NSTEMI最可靠的心电图表现。UA发作时心电图可出现两个或更多的相邻导联ST段下移≥0.1mV和（或）对称性T波倒置；如心电图变化持续12小时以上，则提示可能发生NSTEMI。<span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">（图16-8-7）。</span></span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); font-size: 12px;\"><br/></span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important; text-align: center;\"><span style=\"text-align: center; color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); font-size: 12px;\">图16-8-7　急性非ST段抬高型心肌梗死的心电图</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">UA时，心肌标志物一般无异常增高；NSTEMI时，血肌钙蛋白或CK-MB常有明显升高。NSTE-ACS早期明确诊断是优化治疗的前提，血清肌钙蛋白增高是诊断NSTEMI的金指标。然而，大多数NSTEMI患者症状出现后4小时血清肌钙蛋白才开始升高，甚至部分患者出现假阴性结果，从而延误诊断和治疗。2011年ESC指南首次推荐通过检测高敏肌钙蛋白对NSTE-ACS患者进行快速诊断筛查。NSTEMI患者可在胸痛发作后3小时内检测到高敏肌钙蛋白，从而达到早期诊断、早期治疗的目的。高敏肌钙蛋白T或I及C反应蛋白升高是诊断NSTEMI的重要指标，如无肌钙蛋白测定条件也可采用CK-MB。对疑诊ACS的患者，总CK、天冬氨酸氨基转移酶（AST、SGOT）和乳酸脱氢酶（LDH）不再作为心肌损伤检测的初始指标。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">需施行各种介入性治疗时，可先行选择性冠状动脉造影，必要时行IVUS、OCT或血管镜检查，明确病变情况。</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5244', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '452', '鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鉴别诊断要考虑下列疾病：</p><p>（一）急性心包炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">尤其是急性非特异性心包炎，表现为胸膜刺激性疼痛，向肩部放射，前倾坐位时减轻，可闻及心包摩擦音，心电图表现除aVR导联外的其余导联T段呈弓背向下型抬高，无面向和背向导联的镜像改变。</p><p>（二）急性肺动脉栓塞</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺动脉大块栓塞常可引起胸痛、咯血、气急和休克，但有右心负荷急剧增加的表现。相应病史、心电图、D-二聚体检测及肺动脉螺旋CT造影有助于鉴别。</p><p>（三）急腹症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性胰腺炎、消化性溃疡穿孔、急性胆囊炎、胆石症等，患者可有上腹部疼痛及休克，可能与ACS患者疼痛波及上腹部者混淆。但仔细询问病史和体格检查，进行针对性的特殊检查和实验室检查，有助于鉴别，心电图检查和血清肌钙蛋白、心肌酶等测定有助于UA/ NSTEMI明确诊断。</p><p>（四）主动脉夹层</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">向背部放射的严重撕裂样疼痛伴有呼吸困难或晕厥，但无AMI心电图变化者，应警惕主动脉夹层。后者也可延伸至心包，导致心脏压塞或冠状动脉开口撕裂。主动脉CT造影或磁共振主动脉断层显像以及超声心动图有助于明确诊断。</p><p>（五）其他疾病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性胸膜炎、自发性气胸、带状疱疹等心脏以外疾病引起的胸痛，依据特异性体征、X线胸片和心电图特征不难鉴别。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5245', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '452', '预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">约30%的UA患者在发病3个月内发生MI，猝死较少见，其近期病死率低于NSTEMI或STEMI。但UA或NSTEMI的远期病死率和非致死性事件的发生率高于STEMI，这可能与其冠状动脉病变更严重有关。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5246', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '452', '防治', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">ACS是内科急症，治疗结果主要受是否迅速诊断和治疗的影响，因此应及早发现，及早住院，并加强住院前的就地处理。UA或NSTEMI的治疗目标是稳定斑块、治疗残余心肌缺血和并发症、进行长期的二级预防。</p><p>（一）一般治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患者应住入冠心病监护病室，卧床休息至少12～24小时，给予持续心电监护。病情稳定或血运重建后症状控制，应鼓励早期活动。下肢作被动运动可防止静脉血栓形成。活动量的增加应循序渐进。应尽量对患者进行必要的解释和鼓励，使其能积极配合治疗而又解除焦虑和紧张，可以应用小剂量的镇静剂和抗焦虑药物（常用苯二氮<span style=\"color: rgb(51, 51, 51); font-family: arial; font-size: 13px; line-height: 13.3467px; background-color: rgb(255, 255, 255);\">䓬</span>类），使患者得到充分休息和减轻心脏负担。保持大便通畅，便时避免用力，如便秘可给予缓泻剂。有明确低氧血症（动脉血氧饱和度低于90%）或存在左心室功能衰竭时才需补充氧气。最初饮食应以容易消化的流质、半流质为主，宜少量多餐，钠盐和液体的摄入量应根据汗量、尿量、呕吐量及有无心力衰竭而作适当调节。</p><p>（二）抗栓治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患者应给予积极的抗栓治疗而非溶栓治疗。抗栓治疗包括抗血小板和抗凝两部分，可预防冠状动脉内进一步血栓形成、促进内源性纤溶活性溶解血栓和减少冠状动脉狭窄程度，从而可预防冠状动脉完全阻塞的进程和减少事件进展的风险。</p><p>1.抗血小板治疗（1）环氧化酶抑制剂：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">阿司匹林可降低ACS患者短期和长期死亡危险。若无禁忌证，ACS患者入院时都应迅速给予阿司匹林，起始负荷剂量为300mg（非肠溶制剂），首剂应嚼碎可加快吸收，以便迅速抑制血小板激活状态，以后改用小剂量75～100mg/d，如无禁忌证或不耐受应无限期使用。阿司匹林主要的不良反应是胃肠道反应和上消化道出血，部分患者还存在血小板抵抗现象。对有胃肠道出血或消化道溃疡病史者，推荐联合用质子泵抑制剂。</p><p>（2）二磷酸腺苷（ADP）受体拮抗药：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">氯吡格雷和噻氯匹定属噻吩吡啶类衍生物，能选择性阻断血小板ADP受体，从而抑制ADP诱导的血小板聚集。噻氯匹定起效较慢和不良反应较多，已少用。对于NSTE-ACS患者无论是否行介入治疗，阿司匹林加氯吡格雷均为常规治疗，联合应用12个月，对于置入药物支架的患者这种联合治疗时间应更长。氯吡格雷起始负荷剂量为300mg，以后75mg/d维持。对于阿司匹林不能耐受的患者，氯吡格雷可替代阿司匹林作为长期的抗血小板治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">普拉格雷（prasugrel）和替卡格雷（ticagrelor）是近年上市的新型ADP P2Y12受体拮抗药，前者是新一代噻吩吡啶类药物，而后者是另一类抗血小板药物，属环戊基-三唑并嘧啶。与氯吡格雷相比，两者具有抗血小板聚集作用更强、起效快、作用更持久的特点。因此最新ESC指南推荐：对首次接受P2Y12受体拮抗药的患者（尤其有糖尿病者），若冠脉病变明确且拟行PCI，则推荐普拉格雷（负荷剂量60mg，维持剂量10mg/d），除非患者具有威胁生命的高危出血风险或其他禁忌证，故年龄＞75岁、体重＜60公斤、既往有脑卒中或TIA者不推荐使用；对所有中、高危缺血事件者（无论初始治疗策略如何，及是否接受了氯吡格雷预处理），推荐替卡格雷（负荷剂量180mg，维持剂量90mg/每天2次）。在不能得到替卡格雷和普拉格雷的情况下，推荐使用氯吡格雷（负荷剂量300mg，维持剂量75mg/d）。但AHA指南推荐的P2Y12受体拮抗药还是以氯吡格雷为代表。药物保守治疗的患者，氯吡格雷至少使用1个月，最好一年；行PCI者，使用氯吡格雷至少一年。不建议使用双嘧达莫。</p><p>（3）血小板膜糖蛋白Ⅱb/Ⅲa（GPⅡb/Ⅲa）受体拮抗药：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">激活的糖蛋白Ⅱb/Ⅲa受体与纤维蛋白原结合，形成在激活血小板之间的桥梁，导致血小板血栓形成。阿昔单抗（abciximab）是直接抑制糖蛋白Ⅱb/Ⅲa受体的单克隆抗体，在血小板激活起重要作用的情况下，特别是患者接受介入治疗时，该药多能有效地与血小板表面的糖蛋白Ⅱb/Ⅲa受体结合，从而抑制血小板的聚集，可明显降低急性和亚急性血栓形成的发生率。一般使用方法是先静注冲击量（bolus）0.25mg/kg，然后10μg/（kg・h）静滴12～24小时，PCI术前6小时内开始应用该类药物，疗效更好。合成的该类药物还包括替罗非班（tirofiban）和依替非巴肽（eptifibatide）。替罗非班是目前国内GPⅡb/Ⅲa受体拮抗药的唯一选择，其用法：ACS保守治疗：负荷量0.4μg/（kg・min），30分钟；维持量0.1μg/（kg・min），48～108小时。ACS介入治疗：负荷量10μg/（kg・min），静推＞3分钟；维持量0.15μg/（kg・min），静脉泵入24～36小时。肌酐清除率＜30ml/min者减半。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前各种指南均建议GPⅡb/Ⅲa受体拮抗药可应用于接受PCI的NSTE-ACS患者和选用保守治疗策略的中高危NSTE-ACS的患者。在PCI治疗中不推荐造影前常规使用GPⅡb/Ⅲa受体拮抗药。作为上游GPⅡb/Ⅲa受体拮抗药的治疗选择，阿昔单抗仅用于24小时内计划行PCI的患者，否则依替非巴肽或替罗非班是GPⅡb/Ⅲa受体拮抗药的首选。阿昔单抗不推荐用于不准备行PCI的患者。近年来还合成了多种GPⅡb/Ⅲa受体拮抗药的口服制剂，但其在剂量、生物利用度和安全性方面均需进一步研究。</p><p>（4）环核苷酸磷酸二酯酶抑制剂：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">西洛他唑除有抗血小板聚集和舒张外周血管作用外，还具有抗平滑肌细胞增生、改善内皮细胞功能等作用。但目前西洛他唑预防PCI术后急性并发症的研究证据尚不充分，所以仅作为阿司匹林不耐受或氯吡格雷耐药患者的替代药物。</p><p>2.抗凝治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">除非有禁忌证（如活动性出血或已应用链激酶或复合纤溶酶链激酶），所有患者应在抗血小板治疗的基础上常规接受抗凝治疗，抗凝治疗药物的选择应根据治疗策略以及缺血和出血事件的风险。常用的抗凝药包括普通肝素、低分子肝素、磺达肝癸钠（fondaparinux sodium）和比伐卢定（bivalirudin）。</p><p>（1）肝素和低分子肝素：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝素的推荐剂量是先给予85U/kg静注，然后以18U/（kg・h）的速度静脉滴注维持，治疗过程中需注意开始用药或调整剂量后6小时测定部分激活凝血酶时间（APTT），根据APTT调整肝素用量，使APTT控制在50～70秒。但是，肝素对富含血小板的血栓作用较弱，且肝素的作用可由于肝素结合血浆蛋白而受影响。未口服阿司匹林的患者停用肝素后可能使胸痛加重，与停用肝素后引起继发性凝血酶活性增高有关。因此，肝素以逐渐停用为宜。低分子肝素与普通肝素相比，具有更合理的抗Ⅹa因子和Ⅱa因子活性的作用，可以皮下应用，不需要实验室监测，临床观察表明，低分子肝素较普通肝素有疗效肯定、使用方便的优点。使用低分子肝素的参考剂量：依诺肝素（enoxaparin）40mg、那曲肝素（fraxiparin或nadroparin）0.4ml或达肝素（fagmin或dalteparin）5000～7500IU，皮下注射，每12小时一次，通常在急性期用5～6天。</p><p>（2）磺达肝癸钠：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是选择性Ⅹa因子间接抑制剂。最近研究表明磺达肝癸钠用于NSTE-ACS的抗凝治疗不仅能有效减少心血管事件，而且大大降低出血风险。因此，ESC指南建议无论是药物保守治疗或介入治疗，抗凝治疗优先推荐使用磺达肝癸钠（2.5mg/d，皮下注射）；当没有磺达肝癸钠时，推荐给予依诺肝素（1mg/kg，2次/日）；如果没有磺达肝癸钠或依诺肝素，则推荐给予普通肝素［活化部分凝血活酶时间（APTT）为50～70秒］或其他特定推荐剂量的LWMH。而AHA指南则建议采用保守策略的患者尤其出血风险增加时推荐使用磺达肝癸钠。</p><p>（3）直接抗凝血酶的药物：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在接受介入治疗的NSTEACS人群中，用直接抗凝血酶药物比伐卢定较联合应用肝素/低分子肝素和GPⅡb/Ⅲa受体拮抗药的出血并发症少，安全性更好，临床效益相当。因此，近期指南推荐在对拟行紧急或早期PCI治疗的患者，尤其出血风险高时，比伐卢定联合GPⅡb/Ⅲa受体拮抗药可替代普通肝素联合GPⅡb/Ⅲa受体拮抗药。比伐卢定的用法：先静脉推注0.75mg/kg，再静脉滴注1.75mg/（kg・h），不需监测ACT，操作结束时停止使用。</p><p>（三）抗心肌缺血治疗1.硝酸酯类药物</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">硝酸酯类药物可选择口服，舌下含服，经皮肤或经静脉给药。硝酸甘油为短效硝酸酯类，对有持续性胸部不适、高血压、急性左心衰竭的患者，在最初24～48小时的治疗中，静脉内应用有利于控制心肌缺血发作。先给予舌下含服0.3～0.6mg，继以静脉点滴，开始5～10μg/min，每5～10分钟增加5～10μg，直至症状缓解或平均压降低10%但收缩压不低于90mmHg。目前推荐静脉应用硝酸甘油的患者症状消失24小时后，就改用口服制剂或应用皮肤贴剂。药物耐受现象可能在持续静脉应用硝酸甘油24～48小时内出现。由于在NSTEMI患者中未观察到硝酸酯类药物具有减少死亡的临床益处，因此在长期治疗中此类药物应逐渐减量至停用。</p><p>2.镇痛剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如硝酸酯类药物不能使疼痛迅速缓解，应立即给予吗啡，10mg稀释成10ml，每次2～3ml静脉注射，必要时5分钟重复1次，总量不宜超过15mg。吗啡的不良反应有恶心、呕吐、低血压和呼吸抑制。一旦出现呼吸抑制，可每隔3分钟静脉注射纳洛酮0.4mg（最多3次）拮抗。</p><p>3.β受体阻断药</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可用于所有无禁忌证（如心动过缓、心脏传导阻滞、低血压或哮喘）的UA/NSTEMI患者，可减少心肌缺血发作和心肌梗死的发展。β受体阻断药应及早口服应用，急性期一般不静脉应用，除非患者有剧烈的缺血性胸痛或伴血压显著升高且其他处理未能缓解时。一般首选心脏选择性的药物，如阿替洛尔、美托洛尔和比索洛尔。口服从小剂量开始（相当于目标剂量1/4），逐渐递增，使静息心率降至55～60次/分。静脉用药多选择美托洛尔，静脉推注每次5mg，共3次，如果心率低于60次/分或收缩压低于100mmHg，则停止给药，静脉注射总量为15mg。末次静脉给药后应以口服制剂维持。</p><p>4.钙通道阻断药</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">与β受体阻断药一样能有效地减轻症状。但所有的大规模临床试验表明，钙通道阻断药应用于UA，不能预防AMI的发生或降低病死率，目前仅推荐用于全量硝酸酯和β受体阻断药之后仍有持续性心肌缺血的患者或对β受体阻断药有禁忌证的患者，应选用心率减慢型的非二氢吡啶类钙通道阻断药。对心功能不全的患者，应用β受体阻断药后再加用钙通道阻断药应特别谨慎。</p><p>5.血管紧张素转换酶抑制剂（ACEI）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如果不存在低血压（收缩压＜100mmHg或较基线下降30mmHg以上）或其他已知的禁忌证（如肾功能衰竭、双侧肾动脉狭窄和已知的过敏），对于伴有肺淤血或左心室EF≤40%的NSTEACS患者应在第一个24小时内给予口服ACEI。不能耐受ACEI者可用ARB替代。</p><p>6.调脂治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">所有ACS患者应在入院24小时之内评估空腹血脂谱。他汀类药物可以稳定斑块，改善内皮细胞功能，因此如无禁忌证，无论血基线LDL-C水平和饮食控制情况如何，均建议早期应用他汀类药物，使LDL-C水平降至＜80mg/dl。常用的他汀类药物有辛伐他汀20～40mg/d、普伐他汀10～40mg/d、氟伐他汀40～80mg/d、阿托伐他汀10～80mg/d或瑞舒伐他汀10～20mg/d。</p><p>（四）血运重建治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">冠状动脉血运重建治疗包括：</p><p>1.介入治疗（PCI）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">依据对NSTEACS患者危险分层决定是否行早期介入治疗。对反复缺血发作、心电图新出现的ST段压低、左心室功能降低、血流动力学不稳定、严重的心律失常、糖尿病、轻中度肾功能不全，GRACE评分＞140分的患者应行早期介入性诊断及治疗。早期介入性的策略分为急诊（＜2小时）、早期（＜24小时）及72小时内。推荐急诊行介入性诊治的患者为伴有很高的缺血危险，包括顽固性心绞痛、伴有心衰、威胁生命的室性心律失常及血流动力学不稳定；推荐早期行介入性诊治的患者为GRACE评分＞140分或至少有一个最基本的危险标准（心电图ST-T动态改变或肌钙蛋白有升高或降低的动态变化）；推荐72小时内行介入性诊治的患者为症状反复出现、至少有一个危险标准（包括心电图ST-T动态改变、肌钙蛋白有升高或降低的动态变化、糖尿病、肾功能不全、左心室功能降低、早期出现梗死后心绞痛、近期行PCI、CABG史及GRACE评分中、高分）。不推荐对于低危的患者行介入性诊断和治疗。</p><p>2.冠状动脉旁路移植术（CABG）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前认为，对严重左冠状动脉主干病变（狭窄＞50%）、有多支血管病变且有左心室功能不全（LVEF＜50%）或伴有糖尿病者、对PCI效果不佳或强化药物治疗后仍有缺血的患者，建议施行CABG。弥漫性冠状动脉远端病变的患者，不适合PCI或CABG。</p><p>（五）主动脉内球囊反搏（IABP）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">NSTE-ACS患者伴以下情况者可应用主动脉内球囊反搏：①尽管经过强化药物治疗仍持续缺血或缺血反复发作；②冠状动脉造影前后血流动力学不稳定的患者；③伴发心肌梗死机械并发症者。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5247', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '290', '病因和病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">大多数二尖瓣狭窄（mitral stenosis，MS）是由风湿性心脏病（风心病）所致，60%的单纯MS的患者有风湿热病史，而40%的风湿性心脏病患者最终发展为MS，女∶男为2∶1。主要病理改变是瓣膜交界粘连，瓣叶增厚，瓣口变形和狭窄，腱索缩短融合，病程后期出现钙化，瓣叶活动受限。病变分为：①隔膜型：瓣体无病变或病变较轻，弹性及活动尚可；②漏斗型：瓣叶增厚和纤维化，腱索和乳头肌明显粘连和缩短，整个瓣膜变硬呈漏斗状，活动明显受限。常伴不同程度的关闭不全。瓣叶钙化进一步加重狭窄，甚至呈孔隙样，可引起血栓形成和栓塞。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">退行性MS的发生呈上升趋势，主要病变为瓣环钙化，多见于老年人，常合并高血压、动脉粥样硬化或主动脉瓣狭窄。单纯瓣环钙化导致二尖瓣反流较为多见；当累及瓣叶增厚和（或）钙化时瓣叶活动受限导致MS；但无交界粘连，且瓣叶增厚和（或）钙化以瓣叶底部为甚，不同于风湿性MS以瓣缘为主。先天性MS较少见，主要是瓣下狭窄。其他少见病因如结缔组织病（系统性红斑狼疮等）、浸润性疾病、心脏结节病、药物相关性瓣膜病等，表现为瓣叶增厚和活动受限，极少有交界粘连。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5248', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '290', '病理生理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">正常二尖瓣质地柔软，二尖瓣瓣口面积（mitral valve area，MVA）约4～6cm<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>。当MVA减小至1.5～2.0cm<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>时为轻度狭窄；1.0～1.5cm<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>时为中度狭窄；＜1.0cm<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>时为重度狭窄。狭窄使舒张期血流由左心房流入左心室受限，左心房压力（left atrium pressure，LAP）增高，左房室之间压差增大以保持正常的心排血量；LAP增高可引起肺静脉和肺毛细血管压升高，继而扩张和淤血。当MVA＞1.5cm<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>时，患者静息状态下无明显症状；但在跨二尖瓣血流增多或舒张期缩短（体力活动、情绪应激、感染、妊娠、心房颤动（atrial fibrilation，AF）可导致LAP、肺静脉和肺毛细血管压升高，出现呼吸困难、咳嗽、发绀，甚至急性肺水肿。随着MS不断加重，静息状态下心排血量也降低，运动后心排血量不增加，肺小动脉反应性收缩痉挛，继而内膜增生，中层肥厚，导致肺动脉压上升，肺血管阻力升高，机体通过增加肺泡基底膜厚度、增加淋巴引流、增加肺血管内皮渗透率等机制来代偿肺血管病变，维持较长的时间内的无症状或轻微症状期。但是长期的肺高压可致右心室（right ventricle，RV）肥厚、扩张，最终发生右心室衰竭，此时肺动脉压有所降低，肺循环血流量有所减少，肺淤血得以缓解。此外，左心房（left atrium，LA）扩大易致AF，快速AF可使肺毛细血管压力上升，加重肺淤血或诱发肺水肿。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5249', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '290', '临床表现', '<p>（一）症状</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">风心病MS呈渐进性发展，MVA减小速度约0.09～0.32cm<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>/年。早期为一较长（20～40年）的缓慢发展期，临床上症状隐匿或不明显；病程晚期进展迅速，一旦出现症状，10年左右即可丧失活动能力。无症状的MS，十年生存率＞80%；而一旦出现严重症状，10年生存率仅为0～15%；伴有重度肺高压的MS，平均生存时间不足3年。死亡原因中充血性心衰约占60%～70%，体循环栓塞20%～30%，肺栓塞10%，感染1%～5%。临床症状主要由低心排血量和肺血管病变所致，包括：疲乏、进行性加重的劳力性呼吸困难、急性肺水肿（活动、情绪激动、呼吸道感染、妊娠或快速AF时可诱发）、夜间睡眠时及劳动后咳嗽、痰中带血或血痰（严重时咯血，急性肺水肿时咳粉红色泡沫样痰）、其他（胸痛、声嘶、吞咽困难）；右心室衰竭时可出现食欲减退、腹胀、恶心等症状；部分患者以AF和血栓栓塞症状起病。</p><p>（二）体征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">二尖瓣面容即两颧呈紫红色，口唇轻度发绀，见于严重狭窄，四肢末梢亦见发绀。儿童患者可伴心前区隆起；胸骨左缘处收缩期抬举样搏动；胸骨左缘第3肋间心浊音界向左扩大，提示肺动脉和右心室（RV）增大。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心脏听诊：典型发现为局限于心尖区的舒张中晚期低调、递增型的隆隆样杂音，左侧卧位时明显，可伴有舒张期震颤；心尖区第一心音（S1）亢进，呈拍击样；80%～85%的患者胸骨左缘第3～4肋间或心尖区内侧闻及紧跟第二心音（S2）后的高调、短促而响亮的二尖瓣开瓣音（opening snap，OS），呼气时明显，是隔膜型狭窄的前叶开放时发生震颤所致。存在OS和拍击样第一心音，高度提示瓣膜仍有一定的柔顺性和活动力，有助于诊断隔膜型MS；肺高压时，肺动脉瓣区第二心音（P2）亢进、分裂；肺动脉扩张造成相对性肺动脉瓣关闭不全时，可闻及Graham-Steel杂音，即胸骨左缘第2～4肋间的高调、吹风样、递减型的舒张早中期杂音，沿胸骨左缘向三尖瓣区传导，吸气时增强；合并三尖瓣关闭不全时，可在三尖瓣区闻及全收缩期吹风样杂音，吸气时明显，如RV显著增大，此杂音可在心尖区闻及。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图16-10-1　风湿性二尖瓣狭窄的超声心动图表现</p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">A.胸骨旁左室长轴切面二维图像显示左房增大，二尖瓣增厚，舒张期开放受限，前叶体部呈气球状膨出（实线箭头）；该患者同时合并主动脉瓣狭窄，可见主动脉瓣增厚（虚线箭头）B.二尖瓣短轴切面显示交界粘连，瓣口狭小，开放呈鱼口状，二维描记MVA为0.7cm<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2&nbsp;</span>C.经瓣口的M型超声显示瓣叶开放呈典型的城墙垛样改变D.心尖四腔心切面CDFI显示舒张期跨二尖瓣的高速射流，左房面可见血流汇聚现象（箭头所示）E.CW二尖瓣血流频谱显示跨瓣血流速度升高，根据PHT估测瓣口面积为0.87cm<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">AO：主动脉；LA：左心房；LV：左心室；RA：右心房；RV：右心室</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5250', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '290', '辅助检查', '<p>（一）X线检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">左心缘变直，肺动脉主干突出，肺静脉增宽，右前斜位钡剂透视可见扩张的左心房（LA）压迫食管。LA和RV明显增大致后前位片心影右缘呈双重影，肺门影加深，主动脉弓较小。左心室（LV）一般不大。左心房压力（LAP）达20mmHg时，中下肺可见Kerley B线。长期肺淤血后含铁血黄素沉积，双下肺野可见散在点状阴影。老年患者常有二尖瓣钙化。</p><p>（二）心电图检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">P波增宽且呈双峰形，提示LA增大；合并肺高压时，显示RV增大，电轴右偏；晚期常有AF。</p><p>（三）超声心动图检查1.超声心动图表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">风心病MS者二维超声显示瓣膜增厚变形（图16-10-1），回声增强，交界粘连，瓣膜开放受限，早期主要累及瓣缘及交界，瓣体弹性尚可，短轴瓣口呈鱼口状；长轴前叶开放呈圆顶状或气球样，后叶活动受限；晚期整个瓣叶明显纤维化、钙化，瓣膜活动消失，瓣膜呈漏斗状，腱索乳头肌也增粗粘连、融合挛缩。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">彩色多普勒血流显像（color doppler flow imaging，CDFI）可见舒张期经二尖瓣口的细束的高速射流，在LA侧可出现血流汇聚，在LV侧出现五色镶嵌的湍流。二尖瓣口脉冲多普勒（pulse wave，PW）呈舒张期湍流频谱特征；连续多普勒（continous wave，CW）显示舒张期跨瓣峰值流速（Vmax）升高，压力减半时间（pressure half-time，PHT）延长，跨二尖瓣峰值压差（peak pressure gradient，PPG）及平均压差（mean pressure gradient，MPG）升高。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">其他间接征象包括：LA增大，合并AF更加明显；LA内血流淤滞，自发显影呈云雾状或伴血栓形成。TEE对检测LA自发显影及血栓更敏感。左心室（left ventricle，LV）内径正常，或因充盈不足而偏小，收缩活动正常。由三尖瓣反流估测肺动脉收缩压（pulmonary arterial systolic pressure，PASP）明显升高，可伴右房室和肺动脉扩张。</p><p>2.MS的定量评估和分级（表16-10-1）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常用的定量指标包括二维直接描记MVA、MPG及PHT，二维直接描记MVA是首选指标；还应结合瓣膜的形态及活动度、LA扩大程度、肺动脉压等指标综合判断。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"color: rgb(120, 123, 125); text-align: center; background-color: rgb(255, 255, 255); font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">表16-10-1　二尖瓣狭窄严重程度分级</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"color: rgb(120, 123, 125); text-align: center; background-color: rgb(255, 255, 255); font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180519-1526719471708096180.jpg\" title=\"1526719471708096180.jpg\" alt=\"T16-10-1_33468.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 0px; table-layout: fixed;\"/><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180519-1526719480296073369.jpg\" title=\"1526719480296073369.jpg\" alt=\"T16-10-1_33468.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 955px; table-layout: fixed;\"/></span></p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5251', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '290', '诊断与鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">典型的心脏杂音及超声心动图表现可明确诊断。超声有助于与各种原因导致的功能性MS、LA黏液瘤、三尖瓣狭窄以及原发性肺高压鉴别。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5252', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '290', '并发症', '<p>（一）心律失常</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">房性心律失常最多见，晚期多合并持久性AF。AF可降低心排血量，诱发或加重心力衰竭，并改变杂音的强度。</p><p>（二）充血性心力衰竭和急性肺水肿</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">见于50%～75%的患者，为本病的主要死亡原因。急性肺水肿是重度MS的急重并发症，多见于剧烈体力活动、情绪激动、感染、突发心动过速或快速AF、妊娠和分娩时。</p><p>（三）栓塞</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">以脑栓塞最常见，亦见于外周，80%有AF。栓子多来自左心耳。右心房来源的栓子可造成肺栓塞或肺梗死。</p><p>（四）肺部感染</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺静脉压增高及肺淤血导致易发肺部感染，并可诱发心力衰竭。</p><p>（五）感染性心内膜炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">较少见。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5253', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '290', '治疗', '<p>（一）随访</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">无症状的重度MS、经皮球囊二尖瓣扩张术（percutaneous balloonmitral commissurotomy，PBMC）术后患者应每年临床随访和心脏超声检查，一旦出现症状应及早手术/介入干预；中度MS每1～2年随访心脏超声；轻度MS每3～5年随访心脏超声。</p><p>（二）药物治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">避免过度的体力劳动及剧烈运动；青少年患者应控制风湿活动；控制心衰；合并AF时，控制室率及抗凝治疗，狭窄解除前复律效果差。窦性心律如有血栓病史、发现LA血栓、LA明显扩大（＞50mm）或经食管超声心动图（transoesopheal echoccudiography，TEE）显示LA自发显影时也建议抗凝治疗。</p><p>（三）介入和手术治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">指征：MVA＞1.5cm<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>时通常不考虑干预。MVA＜1.5cm<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>时，是否干预及干预方式的选择取决于患者的症状、临床和瓣膜解剖条件、其他瓣膜病变、外科手术风险、有无介入手术的条件和经验。症状可疑时运动负荷试验有助于临床决策。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">治疗方法及选择：分为外科手术（闭式交界分离术、直视下交界分离术和二尖瓣置换术）及PBMC。当瓣膜解剖合适时，PBMC能使MVA扩大至2.0cm<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>以上，有效地改善临床症状，具有安全、有效、创伤小、康复快等优点，已取代了外科交界分离手术。有症状的MVA＜1.5cm<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>的患者，当瓣膜解剖和临床条件合适时，PBMC为首选治疗方式。PBMC后再狭窄，如仍以交界粘连为主，临床情况良好，无禁忌证时也可尝试再次介入。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">不利于PBMC的情况包括：老年、交界分离手术史、NYHAⅣ级、AF、严重的肺高压、Wilkins评分＞8分、Cormier评分3分（二尖瓣瓣膜钙化）、瓣口面积极小、严重的三尖瓣反流。PBMC的禁忌证包括：MVA＞1.5cm<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>、LA血栓、轻度以上二尖瓣反流、严重或双侧交界钙化、交界无粘连、合并严重的主动脉瓣或三尖瓣病变、合并冠心病需要旁路移植术。对于LA血栓，如非紧急手术，可给予抗凝治疗2～6个月后复查TEE，如血栓消失仍可行PBMC；如血栓仍存在考虑外科手术。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">外科主要的手术方式为瓣膜置换。瓣膜分离术主要见于无条件开展经皮球囊二尖瓣成形术（PBMV）的地区；闭式分离术目前很少用，而直视下瓣膜分离术可同时清除血栓和瓣膜钙化，处理瓣下结构的异常。瓣膜分离术后再次狭窄出现症状者应进行瓣膜置换。PBMC出现严重MR时也需手术处理。合并AF可在手术同时进行迷路或消融手术。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5254', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1654', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">结核性脑膜炎（tuberculous meningitis，结脑）是由结核杆菌引起的脑膜非化脓性炎症，结核性脑膜炎可继发于粟粒性结核及其他器官的结核病灶。结核性脑膜炎在我国常见，病死率高、致残率高，发病特点为儿童高于成年人，农村高于城市，北方高于南方，我国结核性脑膜炎中约半数患者有结核病接触史。&nbsp;发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">中枢神经系统的结核感染也是由于吸入含有结核菌的微粒所致，在感染的最初2～4周，人体并不产生免疫反应，这时几乎每个患者都存在血行播散，结核杆菌可以不同程度地播散到全身各个器官，肺脏、肝脏、脾脏和骨髓，脑和脑脊膜的细菌存留则较少。偶可发生睾丸附睾炎。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">感染2～4周后，机体开始出现细胞介导的免疫反应。细胞抗原刺激T淋巴细胞产生淋巴因子，后者激活单核吞噬细胞，部分吞噬细胞可被病原体及其产生的毒性产物杀死，而部分吞噬细胞则仍具活力，由吞噬细胞、淋巴细胞和其他细胞包绕干酪样坏死物质，形成结核结节。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">感染后的炎症反应程度取决于宿主的免疫能力和其他一些尚未阐明的遗传因素，最佳结果为小干酪样中心被周围的吞噬细胞完全吞噬，不残留任何感染灶；若宿主免疫反应不够强，则易形成大的干酪样中心并不断扩大，外有纤维包囊。但其内藏匿具有活力的结核杆菌，如果机体免疫力下降，干酪样中心中的病原会继续增殖，导致结核结节破裂，释放出的结核杆菌和有毒性的抗原产物可以进入周围组织。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">当这些过程发生在脑或脑脊膜时，释放出很少的病原体就可致病，则产生结核性脑膜炎。极少数情况下，感染源为邻近脊柱的非神经系统感染灶或内耳、乳突的结核感染。颅内结核结节常形成于感染初的血行播散期。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">结核性脑膜炎的病理变化有三种。</p><p>（一）脑膜脑炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">结核性脑膜炎的病理变化实际上是脑膜脑炎，因为它不仅影响脑膜，而且累及脑实质和脑血管。其最初的病理变化是在蛛网膜下腔产生黏稠的结核性渗出物，以脑底部为多，渗出物可围绕脚间窝，包裹视神经交叉且扩散到脑桥和小脑，并经常伸入侧裂，但很少包绕大脑半球。在侧脑室中，类似的分泌物经常覆盖脉络丛。渗出物为凝胶状且常呈结节样，显微镜下可见多核细胞、红细胞、吞噬细胞和纤维组织。继而以淋巴细胞取代多核细胞，病程后期出现成纤维细胞。渗出物可为典型的结核结节或大片的干酪样坏死，渗出物中分枝杆菌数量不一。</p><p>（二）结核性血管内膜炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">结核渗出物可以影响流经的血管，小动脉和中动脉最易受累，毛细血管和静脉也可受累。血管外膜的变化与附近结核渗出物的变化相同：含类上皮细胞、结核结节及干酪样坏死，有时可见成簇结核杆菌。血管内层也有类似改变，可发生纤维蛋白样透明变性，反应性内皮下细胞增生可以堵塞管腔。因此，缺血性脑梗死是常见并发症，流经颅底的大脑中动脉和外纹动脉最易累及。</p><p>（三）脑积水</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于脑脊液循环不畅引起脑积水是结核性脑膜炎的另一病理特征，也是慢性感染的常见并发症之一，这在儿童比成人常见。阻塞性脑积水可因渗出物阻塞导水管或孟氏孔所致，也可因脑实质水肿阻塞脑脊液的流出通道引起。碘核素标记的脑池造影显示脑脊液有再吸收，为大多数脑积水的原因，即通常所称的交通性脑积水。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">炎症渗出、血管内膜炎和脑积水都会影响到脑实质。渗出物附近的组织反应包括脑组织的软化、星形细胞、小神经胶质细胞的炎症反应，而附近形成血栓后易引起邻近的脑组织片状出血和梗死。若不及时治疗，慢性脑积水可以引起脑白质和灰质的萎缩。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5255', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1654', '临床表现', '<p>（一）一般症状</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">起病缓急不一，以缓慢者居多。发热者可占97%，低热或中度发热，或为高热，常伴畏寒、全身酸痛、乏力、畏光、精神委靡、食欲减退等。小儿结核性脑膜炎的临床发现多较隐匿，缺少特征性。</p><p>（二）神经系统症状、体征1.颅内压增高征象</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">90%左右患者有头痛、喷射性呕吐、视乳头水肿，严重者出现脑疝、枕骨大孔疝，可迅速导致呼吸停止。</p><p>2.意识障碍</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可多达70%。</p><p>3.脑膜刺激征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">80%左右病例早期即出现。粟粒性肺结核患者可无脑膜刺激征，婴幼儿和老年人的脑膜刺激征可不典型。</p><p>4.脑神经损害</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可占40%左右，面神经常被累及，次为展神经、动眼神经。视神经，可为单侧，也可为双侧，有时可以是结核性脑膜炎的首发征象。</p><p>5.脑实质损害征象</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">表现多变，偏瘫常见，系因大脑前部循环区缺血性脑梗死所致、多位于内纹动脉和丘脑穿动脉病变引起。少见的有去大脑强直、手足震颤与徐动、舞蹈样运动等不同表现，取决于病变损害部位。</p><p>6.自主神经受损征象</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">表现为皮质-内脏联合损害如呼吸、循环、胃肠和体温调节紊乱等，亦可出现肥胖、尿崩症或抗利尿激素增高综合征。</p><p>7.脊髓受损征象</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可出现脊神经受刺激或脊髓压迫、椎管阻塞等症状与体征。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上）</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5256', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1654', '辅助检查', '<p>（一）脑脊液（CSF）检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可出现以下变化：①压力增高，80%以上病例压力＞20cmH<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O，外观清晰或呈毛玻璃样，放置数小时后可因纤维蛋白增多而出现纤维薄膜；②细胞数（100～500）×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">6</span>/L，5%左右病例可在1000×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">6</span>/L以上，60%～95%的病例以淋巴细胞占多数，但在疾病早期，4%～17%的患者可以中性粒细胞为主；③数个大系列报告中，蛋白含量在1510～2060mg/L间，高者可达10g/L乃至29g/L；④56%～88%患者的糖含量减至2.24mmol/L以下，但5%左右病例的糖含量可正常。氯化物大多低于正常。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">以5ml脑脊液3000转/分钟离心30分钟，沉渣涂片作抗酸染色找结核杆菌，脑脊液作培养及动物接种等则可增加病原诊断的机会。在国外7个系列的报告中，有5个报告显示培养阳性率在25%～40%。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">脑脊液中结核杆菌DNA、腺苷酸脱氨酶（ADA）及溴化物实验、抗结核抗体（单克隆抗体）及PPD试验可做参考。</p><p>（二）影像学检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">75%左右可发现影像学异常，但不具特异性。CT检查结核性脑膜炎可有如下表现：蛛网膜下腔渗出。表现为鞍上池、环池、侧裂池变窄、模糊，甚至消失；增强扫描可见软脑膜、蛛网膜增强征象，以脑底部脑池明显，头顶部脑沟、纵裂池次之；脑积水；脑白质水肿。表现为脑室旁密度较低；脑结核瘤。脑结核瘤呈结节状、小环状强化，周围有轻度水肿，位于大脑皮层或皮层下；结核性脑脓肿。平扫见单发圆形低密度区，增强后病灶环形强化，壁厚，周围水肿明显。</p><p>（三）ELISPOT</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在诊断中已显示其优越性，但在严重免疫缺陷者其假阴性率高。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上）</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5257', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1654', '诊断与鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">国际上公认的结核性脑膜炎的诊断标准是：A.临床：发热和头痛＞14天（必备条件）；呕吐、感觉改变或部分丧失（非必备条件）。B.脑脊液：淋巴细胞数＞20×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">6</span>/L，淋巴细胞占优势＞0.6，蛋白＞1000mg/L，糖＜血糖的60%，隐球菌和恶性细胞检查阴性。C.放射学：头部CT检查符合以下两条或更多：①脑基底部或大脑外侧裂渗出；②脑积水；③脑梗死；④脑回增强。D.神经系统以外的结核：有放射学或细菌学检查的依据，或组织病理学检查有干酪样坏死存在的活动性肺结核、胃肠道结核、泌尿生殖系结核、淋巴结核、骨关节结核或皮肤结核。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">判断标准：</p><p>1.确诊结核性脑膜炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①具备临床标准A者；②CSF中分离到结核杆菌或组织学确诊。</p><p>2.高度可能结核性脑膜炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①具备临床表现A者；②具备B、C、D的3条标准。</p><p>3.可能结核性脑膜炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①具备临床表现A者；②具备B、C、D中的任何2条。</p><p>4.或许结核性脑膜炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①具备临床表现A者；②具备B、C、D中的任何1条。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">结核性脑膜炎应与以下疾病进行鉴别，见表11-10-11。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上）</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5258', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1654', '预后', '<p><br/></p><p><span style=\"font-size: 12px;\">预后取决于人体的反应性、疾病的严重程度、结核菌的药物敏感性、治疗早晚和治疗是否彻底。婴儿和40岁以上患者的预后较差，3岁以下患儿的病死率高达18%～55%，有神志改变如谵妄、昏迷者的病死率达30%以上。治疗宜彻底，治疗1～1.5年者复发率为6.6%，不足1年者复发率高达25%。<br/></span></p><p style=\"text-align: center;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\">表11-10-11　中枢神经疾病的脑脊液改变</span></p><p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180519-1526719566781080070.jpg\" title=\"1526719566781080070.jpg\" alt=\"表11-10-11　中枢神经疾病的脑脊液改变.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1009px; table-layout: fixed;\"/></span></p><p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\"><br/></span></p><p style=\"line-height: 2em;\"><span style=\"font-size: 12px;\">艾滋病合并结核性脑膜炎患者，若已经针对艾滋病相关病毒（ARV）治疗仍然出现脑膜炎症状加剧则预后差、病死率高，脑膜炎易复发。</span></p><p style=\"text-align: right;\"><br/></p><p style=\"text-align: right; line-height: 2em;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上）</span></p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5259', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1654', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">治疗原则：结核性脑膜炎的治疗应采用以抗结核化疗为主的综合治疗措施，早期诊断、联合用药、足量用药、规律用药、全程用药是治疗的关键。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">治疗目标：结核性脑膜炎的治疗目标是提高治愈率、降低病死率、减少后遗症。临床症状消失，脑脊液正常，疗程结束后2年无复发者，可认为治愈，但仍应继续观察，直到停止治疗后5年。一般采用四药联合HRZE方案，药物在脑脊液中均可达有效浓度，强化期3～4个月，总疗程12～18个月，也可以根据脑脊液常规、生化结果恢复正常后继续抗结核治疗不少于6～8个月计算总疗程。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">异烟肼、利福平、吡嗪酰胺，链霉素与乙胺丁醇等可供选用。异烟肼易透入脑脊液，是治疗的主要药物。当口服常规剂量的异烟肼时，脑脊液的峰浓度为3～5μg/ml，而敏感的结核杆菌在异烟肼浓度为0.025～0.05μg/ml时即可被抑制。儿童采用每日15～20mg/kg，症状好转后可改为每日10mg/kg。中国人的异烟肼代谢以快代谢型为多。为保持脑脊液中的有效抗菌浓度，应提高用药量，可采用600～900mg/d静滴，同时加用维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">6</span>。待症状改善后改为每日400～600mg口服，疗程至少1年。利福平可与异烟肼合用，儿童剂量每日200mg/kg，成人450mg/d，疗程至少1年以上，注意两药对肝胆的损害，密切随访肝功能变化。吡嗪酰胺对代谢活性高的细胞外菌及活性低的细胞内菌均有作用，且该药在脑脊液中的浓度高，近年已成为治疗结核性脑膜炎的主要药物，剂量为1.5～2g/d，分3次口服。于病程的最初4个月使用。乙胺丁醇于脑膜有炎症时，其脑脊液浓度可达血清浓度的15%～40%，成人剂量为750～1000mg/d，小儿为20～25mg/（kg<span style=\"font-family: Arial; color: rgb(51, 51, 51); letter-spacing: 0px; font-size: 13px; background: rgb(255, 255, 255);\"><span style=\"font-family:宋体\">・</span></span>d），顿服或分两次服用。应注意该药对视神经的毒副作用。链霉素难以透过血脑屏障，作为联合用药可考虑品种，总量为90g，初为1g/d，每日1次，以后改为隔日1次或每周2次，达到总量即停药。若因不良反应无法达到总量者，可提前停药。强化期治疗除四联外，也可采用三联，即异烟肼、利福平、吡嗪酰胺，或上述三联加链霉素或乙胺丁醇：重症或症状与脑脊液改善不显著者，或病情反有恶化者可考虑鞘内应用异烟肼，每日或隔日鞘内注射25mg（儿童）或50mg（成人），加地塞米松2mg/次。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">艾滋病合并结核性脑膜炎甚为多见，其治疗有一定特殊性，鉴于利福霉素是抗结核的基本药物之一，但它与抗HIV药物中的蛋白酶抑制剂（PIs）和非核苷类反转录酶抑制剂（NNRTIs）共存有相互作用问题，利福平（RIF）是最强的肝P<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">450</span>酶诱导剂，RIF与PIs与NNRTIs合用，会降低后两者的血药浓度，而利福布汀酶诱导作用远低于RIF，所以利福布汀可和PIs及地拉韦定以外的NNRTIs合用，但后者的剂量仍需调整。如依非韦伦的量应由原来的600mg/d增至800mg/d，与奈韦拉平合用后，虽然奈韦拉平仍有足够的血浓度，但由于两者合用后的疗效不肯定，且易造成肝脏损害，故不主张用此方案。此外，依非韦伦也会降低利福布汀的血浓度，因此后者的剂量应调整至0.45～0.6g/d。目前主张在有效抗结核治疗后4～8周再进行抗HIV治疗，可减少免疫重建炎性综合征（IRIS）的发生，由于结核病发生IRIS的比例为7%～36%，属于高发，在治疗中应充分注意，详见“艾滋病”。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早期应用肾上腺皮质激素甚为必要。泼尼松每日40mg（成人），待症状及脑脊液检查开始好转后，则逐渐减量直至停用。亦可采用地塞米松每日5mg静脉滴注。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">经常规治疗效果不佳的少数病例可在全身治疗的基础上选用鞘内或侧脑室局部给药治疗（后者只能在侧脑室外引流的条件下使用），对提高晚期重症结核性脑膜炎的疗效和防止蛛网膜下腔形成粘连、梗阻和导致慢性脑积水有一定的效果。鞘内和侧脑室注射药物的剂量成人一般采用醋酸泼尼松12.5～25mg/次，异烟肼50～100mg/次，若考虑耐药也可以使用阿米卡星50～100mg/次，每周2～3次，10次为1个疗程，可进行2～3个疗程。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对症治疗主要是降低颅内压，控制癫痫发作。蛛网膜粘连所致脑积水，可行脑脊液分流术治疗：内窥镜第三脑室造口（引流）术，非交通性脑积水则行脑室腹腔内引流。视交叉蛛网膜炎或结核瘤可考虑外科治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">结核性脑膜炎患者在治疗过程中要强调随访，建议定期（最好每月）复查肝肾功能、电解质、血常规，每3个月复查头颅MRI、脑脊液。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">耐药结核的诊断与治疗均甚复杂，需要在专家指导下慎重选择治疗方案。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5271', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1647', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">甲型病毒性肝炎（简称甲型肝炎）是一种由甲型肝炎病毒（<em style=\"box-sizing: border-box;\">Hepatitis A virus</em>，HAV）引起的急性肠道传染病。甲型肝炎是一种古老的疾病，公元前8世纪就有类似甲型肝炎临床表现的病例记载，但长期以来，病因始终不明。及至1973年，Feinstone等用免疫电镜技术从实验感染的志愿者粪便中观察到HAV病毒颗粒。1979年，Provost和Hilleman在原代狨猴肝细胞和传代恒河猴胚肾细胞株（FRhk6）培养HAV获得成功。20世纪80年代，HAV灭活疫苗研制成功，并于90年代初应用于临床，是一个重要的标志。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">甲型肝炎是一种经粪-口途径传播的疾病，发病以儿童和青少年为多见，临床特征为食欲减退、恶心、呕吐、疲乏、肝大及肝功能异常，部分病例有发热、黄疸，无症状感染者甚为常见。本病的病程呈自限性，无慢性化，引起急性重症肝炎者极少。随着灭活疫苗在全世界使用，甲型肝炎的流行已得到有效的控制。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5272', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1647', '病原', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HAV是单股线状正链RNA病毒，属小RNA病毒科（<em style=\"box-sizing: border-box;\">Picornaviridae</em>）中的肝病毒属（<em style=\"box-sizing: border-box;\">Hepatovirus</em>）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HAV的基因组长约7.5kb，5′端有长度约为729kb的5′端非翻译区（5′nontranslated region，5′NTR），是HAV基因组中最保守的区域。紧接5′NTR的是HAV的翻译区，含一个开放读码框架，编码由2227个氨基酸组成的多聚蛋白。HAV的多聚蛋白在病毒和细胞蛋白酶作用下产生11种不同的多肽（图11-6-6），每种多肽在病毒的组装和RNA复制过程中均起重要的作用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HAV侵犯的主要靶器官是肝脏，HAV与肝细胞表面的HAV受体结合后进入肝细胞。目前已经发现一种可介导HAV吸附和进入肝细胞的细胞表面受体，该受体被命名为HAVcr-1，是一种Ⅰ型黏蛋白样整合膜糖蛋白。HAV进入细胞后，脱去蛋白衣壳，进入细胞质，正链RNA 在HAV复制酶的作用下合成负链RNA，以负链RNA为模板合成多条正链RNA。子代RNA一部分继续参与复制RNA的循环，另一部分与衣壳蛋白结合，包装组成完整病毒颗粒。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HAV有1种血清型，6种基因型。基因型Ⅰ、Ⅱ仅来源于人；基因Ⅲ来源于人或猿猴；基因型Ⅳ、Ⅴ、和Ⅵ仅来源于猿猴。目前世界上流行或散发的人源HAV毒株绝大多数为基因Ⅰ型（ⅠA和ⅠB），约占80%，少数为基因Ⅲ型（ⅢA和ⅢB），其他基因型极少。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HAV在水、土壤、毛蚶、牡蛎等中可存活数天至数月，这种稳定性对HAV通过食物和水传播十分有利。100℃5分钟、高压蒸汽、紫外线照射、甲醛、高锰酸钾等均能有效灭活HAV。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5273', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1647', '流行病学', '<p>（一）传染源</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">甲型肝炎患者和隐性感染者是该病的主要传染源。甲型肝炎患者在黄疸出现前2～3周和黄疸出现8天可从粪便中检测出HAV。在临床症状出现后1周内，粪便排毒量急剧减少，至出现黄疸后2周，已很难从粪便中检出HAV。慢性粪便排毒者极为少见。隐性感染者从粪便中排出病毒的时间可能持续较长。HAV病毒血症一般持续时间较短，多在丙氨酸氨基转移酶（alanine aminotransferase，ALT）达到峰值后消失。患者的血液偶尔成为感染源。另外，由于人猴可交叉感染，因此受HAV感染的猿猴也成为值得重视的传染源。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180523-1527063817941027375.jpg\" title=\"1527063817941027375.jpg\" alt=\"甲型病毒性肝炎-流行病学-图11-6-6.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 822px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图11-6-6　HAV基因组结构及编码区</p><p>（二）传播途径</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病主要传播途径是粪-口途径。日常生活接触是散发性发病的主要传播方式，食入被HAV污染的水和食物是暴发性流行的最主要传播方式，如1988年上海甲肝大流行就是食用了被HAV污染的启东毛蚶所引起的。</p><p>（三）易感人群</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">人群对HAV普遍易感，但绝大多数为隐性或亚临床型感染。发达国家甲型肝炎的发病率较低，抗HAV IgG抗体阳性率仅为15%～25%，而发展中国家及经济落后国家发病率相对较高，抗HAV IgG抗体阳性率可达80%以上。随着年龄的增长，血清抗HAV抗体阳性率增加，易感性亦随之下降。由于抗HAV IgG可通过胎盘从母体传给胎儿，因此，6个月以下的婴儿一般不发生HAV感染。甲型肝炎痊愈后可获终身免疫力。</p><p>（四）流行特征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">甲型肝炎全球均可流行，但流行情况与社会、经济状况和卫生水平密切相关，多见于经济欠发达的国家。可分为高度、中度和低度地方性流行地区。亚洲大部、中东、非洲和中南美洲为高度地方性流行地区，约90%的成人抗HAV抗体阳性，大部分儿童在10岁以前已感染过HAV。随着社会、经济和卫生水平的发展，甲型肝炎的流行病学模式可发生变化，如亚洲的中国、印度、巴基斯坦、菲律宾等许多国家，正在向中度或低度地方性流行地区转变。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">甲型肝炎的流行在温带地区具有季节性，高峰发病期主要在秋末冬初；在热带地区，流行的高峰期在雨季。我国多数地区甲型肝炎的流行以冬、春季为主，但近年来，有些地区发病的季节性已不太明显，每年除3月份略高于其他月份外，呈全年散发。甲型肝炎的流行形式一般为散发，水源和食物污染可造成暴发流行。&nbsp;发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HAV经口进入人体后，引起病毒血症。在潜伏期已有病毒血症出现，临床症状出现时病毒血症期已结束，而粪便排毒仍能持续1～2周。病毒侵犯的主要靶器官是肝脏，咽部或扁桃体可能是HAV肝外繁殖的部位。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HAV引起肝细胞损伤的机制尚未明确。一般认为，HAV不直接引起肝细胞病变，肝脏损害是机体针对HAV感染肝细胞的免疫病理反应所引起的。在HAV感染过程中，HAV特异的T细胞的细胞毒性作用、细胞因子的直接抗病毒作用以及中和抗体的产生是HAV清除的机制。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">最常见和最早期的肝细胞病变为气球样变，病变进一步发展，可出现肝细胞灶性坏死与再生。汇管区可见炎症细胞浸润，主要为大单核和淋巴细胞。肝血窦壁Kupffer细胞增生。肝脏病变在黄疸消退后1～2个月以后才恢复正常。重型肝炎时还可见大量肝细胞坏死，肝体积缩小，网状纤维支架塌陷，呈黄色肝萎缩，病愈后常发展为肝硬化。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5274', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1647', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HAV感染的潜伏期为15～45天，平均30天，感染后可表现为隐性感染、亚临床或临床感染，后者常表现为急性黄疸型肝炎，部分表现为急性淤胆型肝炎，偶可发展为重型肝炎。病程一般呈自限性，无慢性化。HAV感染后病情的轻重主要与年龄有关，年龄越轻，症状相对较轻，年龄小于1岁和5岁的HAV感染者，无症状的比例分别为99% 和90%，15岁以上的HAV感染者，显性感染的比例增加至24%。中国的一次水源性甲型肝炎流行期间，8岁以上的儿童和成年人HAV者中，临床型占20%，亚临床型占45.7%，隐性感染占34.3%。</p><p>（一）急性黄疸型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病程可分为黄疸前期（前驱期）、黄疸期和恢复期，总病程为1～4个月，偶有超过6个月者，但不会超过1年。在前驱期，多以发热起病，随后出现全身乏力、食欲缺乏、厌油、恶心、呕吐，可伴有上腹部不适、腹痛、腹泻。尿色逐渐加深，至本期末呈浓茶状。部分病例以发热、上呼吸道症状等为主要表现。少数病例有关节酸痛、皮疹、荨麻疹。肝脏轻度肿大，伴触痛和叩击痛，血清转氨酶升高。此期一般持续3～7天。到黄疸期，自觉症状可有所好转，发热减退，但尿色继续加深，巩膜、皮肤出现黄染，约于2周内达到高峰。部分患者可有大便颜色变浅，皮肤瘙痒、心动过缓等。可见肝脏明显肿大，部分病例有轻度脾大，血清胆红素和ALT明显升高。此期一般持续2～6周。在恢复期，黄疸逐渐消退，症状减轻直至消失，肝、脾回缩，肝功能逐渐恢复正常。此期持续1～2个月。</p><p>（二）急性无黄疸型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">症状类似急性黄疸型肝炎的黄疸前期，但多数无发热，以乏力和消化道症状为主，无黄疸。血清转氨酶ALT明显升高。</p><p>（三）亚临床型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此型较多见，症状较轻，仅有乏力、食欲减退等症状，无黄疸，可有肝大，血清转氨酶异常升高。</p><p>（四）隐性感染</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多见于儿童，一般无症状和体征，血清转氨酶正常，有血清抗HAV IgM阳性，粪便可检测出HAV。</p><p>（五）急性重型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此型比例极低，但病死率高，多见于40岁以上者，随着年龄增加，病死率也相应增加，50岁以上急性重型肝炎患者，如不接受肝移植手术，则很难存活。</p><p>（六）急性淤胆型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">为急性黄疸型肝炎的一种特殊形式，表现为肝内胆汁淤积，黄疸较深，持续时间较久，而消化道症状轻，肝实质损害不明显。通常在发病3周后黄疸达高峰，血清总胆红素一般在171μmol/L以上，约2/3的患者可达342μmol/L以上，结合胆红素的比例多数超过60%，而血清转氨酶仅为轻至中度升高。多数患者有皮肤瘙痒、粪便颜色变浅、肝脏肿大。黄疸持续时间一般为2～4个月，预后良好。</p><p>（七）甲型肝炎复发</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">少数患者有复发现象，一般在首次发病后4～15周复发，症状、体征、生化学异常均比首次发作轻，复发可不止一次，一般不会转为慢性。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5275', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1647', '实验室检查', '<p>（一）血、尿常规检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">外周血白细胞一般减少或在正常范围，可伴有轻度的淋巴细胞或单核细胞比例增高。病程早期尿中尿胆原增加，黄疸期尿胆红素及尿胆原均增加，淤胆型肝炎时尿胆红素强阳性而尿胆原可阴性。</p><p>（二）肝功能检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">以血清ALT、天冬氨酸氨基转移酶（aspartate aminotransferase，AST）、总胆红素水平的检测最为常用。甲型肝炎患者的ALT平均峰值可达1952U/ L，AST可达1442U/L，不少患者的血清ALT水平可超过10 000U/L。多数显性感染者伴有血清总胆红素水平的升高。</p><p>（三）血清学检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血清抗HAV IgM是甲型肝炎早期诊断最可靠的血清学标志，在病程的早期即可出现，阳性率几乎100%，假阳性极少，效价可维持3～6个月，25%的患者可维持1年。最常用的检测方法为ELISA法和放射免疫法。HAV IgG出现稍晚，但可持续多年或终身，单份血清阳性表示受过HAV感染，但不能区分现症感染或既往感染。如恢复期与急性期相比滴度有4倍以上增高，可作为诊断甲型肝炎的依据。</p><p>（四）HAV及HAV抗原的检测</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于粪便中检出率较低，目前仅用于科研。</p><p>（五）HAV RNA检测</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要有巢式反转录聚合酶链反应和实时聚合酶链反应。主要用于研究粪便排毒、病毒血症、水源、食物及血制品的污染检测等。由于唾液中的HAV RNA含量与血清类似，故唾液可以代替血清标本用于HAV RNA的检测。</p><p>（六）组织培养或动物接种法</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于操作烦琐、耗时，目前仅用于科研。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5276', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1647', '甲型肝炎诊断依据', '<p>1.流行病学资料</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">起病前进食未煮熟海中贝壳产品，如毛蚶等；有与甲型肝炎患者密切接触史等，皆有助于甲型肝炎的诊断。</p><p>2.临床表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">起病急，有畏寒、发热；恶心、呕吐等消化道症状；血清ALT显著升高；有黄疸、血清总胆红素升高；既往无肝炎病史等，均应首先考虑甲型肝炎的诊断。</p><p>3.血清学诊断</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如果血清中抗HAV IgM抗体阳性或恢复期血清HAV IgG抗体较急性期有4倍以上升高，或粪便中检测到HAV抗原、发现HAV颗粒或HAV RNA阳性，结合流行病学和临床资料，均可确诊为甲型肝炎。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5277', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1647', '鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">应与其他病毒引起的肝炎，如急性乙型肝炎、急性丙型肝炎、戊型肝炎等相鉴别。另应与其他原因引起的黄疸，如溶血性黄疸、肝外梗阻性黄疸相鉴别。鉴别时主要依靠血清学检查。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5278', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1647', '并发症与后遗症', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">甲型肝炎引起并发症较少见。部分病例可出现关节酸痛、皮疹、出血倾向和心律失常等。较少见的并发症，还有单纯红细胞再生障碍性贫血、血小板减少性紫癜、视神经炎、急性感染性多发性神经炎和溶血性贫血等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5279', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1647', '预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">甲型肝炎预后良好，病死率低，常低于0.1%。50岁以上的患者，病死率为1.8%。慢性肝病者感染HAV后，发生急性肝衰竭的危险性升高。大多数甲型肝炎患者于3个月内恢复健康。甲型肝炎病后免疫一般认为可维持终生。孕妇罹患甲肝的预后也很好，这一点与戊肝截然不同。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5280', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1647', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">甲型肝炎无特效药物治疗，以卧床休息和对症治疗为主。对于较重的急性黄疸型肝炎（严重恶心、呕吐，黄疸上升较快者），可用复方甘草酸苷80～100ml或甘草酸二铵150mg，静脉滴注，一日一次。同时补充足量维生素B、C、K等。对于急性淤胆型肝炎，上述治疗疗效差或无效时，可酌情应用小剂量糖皮质激素。也可辅以中药治疗。急性重型肝炎的治疗详见乙型肝炎。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5281', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1647', '预防', '<p>（一）控制传染源</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">应按消化道传染病隔离至病后3周。患者的粪便和排泄物应予以严格消毒。对生产经营食品的人员应定期检查。</p><p>（二）切断传播途径</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">重点搞好环境卫生，养成良好卫生习惯，加强水源保护，饮水消毒、食品卫生、食具消毒等措施。</p><p>（三）保护易感人群1.主动免疫</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">普遍接种疫苗是降低发病率乃至消灭本病的重要措施，已列入我国计划免疫。易感人群（幼儿、儿童和血清抗HAV IgG阴性者）和高危人群可接种甲型肝炎灭活疫苗或减毒活疫苗。</p><p>（1）减毒活疫苗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">长春和浙江（或北京）分别采用减毒株（LA-1）及（H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>）生产疫苗。已在我国大规模使用。18月龄以内的婴幼儿，由于会受到母传抗体的干扰，不宜接种疫苗，宜用于18月龄以上者。免疫剂量为10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">6.5</span>TCID<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">50</span>/ml，上臂三角肌皮下注射，成人的接种剂量与儿童相同，一般无须加强。抗体滴度下降者，可在3年后加强免疫1次。接种后抗HAV阳转率为84.1%～100%；人体接种该疫苗后在粪便中偶可检测到甲型肝炎病毒；疫苗需在冷链条件下运输和保存。</p><p>（2）灭活疫苗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">进口甲型肝炎灭活疫苗包括英国公司的贺福立适（HAVRIX，单价）和双福立适（甲乙肝联合疫苗）；美国公司的维抗特（VAQTA）；欧洲的巴维信（AVAXIM）；瑞士的爱巴苏（Epaxal，微脂粒剂型疫苗）等。国产甲型肝炎灭活疫苗有孩儿来福（甲肝单价）与倍儿来福（甲乙肝联合疫苗）以及维赛瑞安。甲型肝炎灭活疫苗接种后抗-HAV阳转率为100%，且抗体水平较高。根据数学模型推算，抗-HAV至少可持续20年。接种后不会在体内复制。其保存时间较长，且无须在冷链条件下运输和保存，但价格相对较贵。</p><p>2.被动免疫及暴露者的免疫方法</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在HAV暴露后两周内注射免疫球蛋白，保护率可达90%。常用量为0.02ml/kg，肌内注射。但其免疫期限较短，一般为3～5个月，且价格较贵。研究结果显示，在HAV暴露2周内注射免疫球蛋白或甲型肝炎疫苗后预防的有效率分别为96.7% 和95.6%，因此，美国预防接种咨询委员会（Advisory Committee on Immunization Practices，ACIP）已经推荐在HAV暴露后2周内注射甲肝疫苗，以替代价格较贵的免疫球蛋白（适合于年龄在2～40岁之间、无慢性肝病的非免疫缺陷者）。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '12', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5293', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '600', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鼻咽癌 (nasopharyngeal carcinoma)为我国多发肿瘤之一，系恶性程度较高的肿瘤。鼻咽癌这一病名最早由Durand-Fardel于1873年提出。我国程玉麟 (1935)，秦光煜 (1940)先后报道了本病。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用耳鼻咽喉头颈外科学</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5294', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '600', '流行病学特征', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鼻咽癌在世界各大洲均有发现。欧洲、美洲、大洋洲和拉丁美洲国家较少，发病率多在1/10万以下。非洲为鼻咽癌中发地区。东南亚一些国家如马来西亚，新加坡，印度尼西亚等，其发病率高于非洲国家。我国是世界各大洲中鼻咽癌的最高发地区之一。侨居世界各地的华人 (其中大多来自广东、广西、福建省)，鼻咽癌的发病率亦居较高水平。国内鼻咽癌分布有明显的地区性差异，以广东省中部的肇庆、佛山、广州市和广西省东部的梧州地区 (互相连成一片)为高发中心，向周围逐渐降低。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鼻咽癌以男性居多，约为女性的两倍。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病可发生于各年龄段，大多在30～50岁之间，国内报道最小发病年龄为3岁，最大发病年龄为90岁。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鼻咽癌的发病率为耳鼻咽喉科恶性肿瘤之首。在全身恶性肿瘤中，李振权等 (1978)报道鼻咽癌占全身恶性肿瘤的30.97%；占头颈部恶性肿瘤的78.08%；占上呼吸道癌的92.99%。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用耳鼻咽喉头颈外科学</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5295', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '600', '病因', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鼻咽癌的发病因素是多方面的。多年来临床观察及实验研究表明，以下因素与鼻咽癌的发生有密切关系。</p><p>1.遗传因素(1)家族聚集现象：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">许多鼻咽癌患者有家族患癌病史。唐忠怀 (1983)报告2个鼻咽癌的高发家系：①江苏常州市陈氏家系，两代20人中有11人患癌症，其中7人为鼻咽癌 (6个同胞兄弟姊妹及其母亲)；②白氏家系，三代37人中有6人患癌症。第Ⅱ代一个同胞组4人有3人患鼻咽癌 (其中1人之女10岁患白血病)；母亲于73岁患贲门癌；姨于53岁患甲状腺癌。鼻咽癌具有垂直和水平的家族发生倾向。</p><p>(2)种族易感性：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鼻咽癌主要见于黄种人，少见于白种人；发病率高的民族，移居他处 (或侨居国外)，其后裔仍有较高的发病率。</p><p>(3)免疫遗传标记的观察：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">人类白细胞抗原(HLA)中A位点的HLA-A<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>及B位点的新加坡2(sin2)与鼻咽癌发生有关。Simons(1976)对淋巴细胞进行HLA分型，发现广州人有单型A<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>-Bsin2抗原存在，患鼻咽癌的相对危险性增加1.97倍。</p><p>2.病毒感染</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1964年Epstein和Barr首次从非洲儿童淋巴瘤 (Burkitt淋巴瘤)的活检组织中建立了一株可以传代的淋巴母细胞株。电镜下可见疱疹型病毒颗粒。由于它具有与疱疹病毒家族其他成员不同的特性，故命名为Epstein-Barr病毒 (EBV)。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">从Old等 (1966)首次用免疫扩散法在鼻咽癌患者的血清中检测到高滴度抗EB病毒抗体以来，经过大量研究，现已基本公认EB病毒与鼻咽癌的发生有密切关系。我科汪吉宝等1982年曾作详细综述。其主要依据是：①从鼻咽癌组织中可分离出带EB病毒的类淋巴母细胞株。少数还可在电镜下查到EB病毒颗粒；②鼻咽癌患者体内不仅存在高滴度抗EB病毒抗体，且其抗体水平随病情发展而变化；③低分化或未分化的鼻咽癌患者，其EB病毒核抗原检测几乎100%阳性，而头颈部其他肿瘤全部为阴性；④用受EB病毒感染患者的血清与淋巴结的B细胞培养，可见细胞增长异常迅速；而未受EB病毒感染者，无此现象。此种B细胞的无控制性生长正反映出癌细胞的生长特点；⑤将EB病毒接种于猴内，可诱发致死性恶性网状细胞增多症，猴的淋巴细胞在体外培养时，可被EB病毒引起恶变。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">除EB病毒以外，其他病毒对鼻咽癌发生的协同作用亦引起学者们的注意。DeThe(1978)认为鼻咽癌患者感染EB病毒之前，鼻咽部黏膜已受损伤，因而促使EB病毒引起细胞恶性变。汪吉宝 (1983)曾观察研究鼻咽癌与冠状病毒的关系。对3例鼻咽癌患者的活检组织进行超微结构观察，并对鼻咽癌患者血清、传染性单核细胞增多症患者血清、对照组血清进行IgG检测。结果在癌细胞的胞浆内见到类似冠状病毒的微粒。三组血清的冠状病毒IgG滴度各组有显著差别。认为冠状病毒是否可能为鼻咽癌的致病因素，或有协同作用，值得进一步观察研究。</p><p>3.环境因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　①Buell(1974)报告侨居美国加利福尼亚州的第1代中国人鼻咽癌死亡率为当地白人的30倍，第2代则降为15倍，第3代更有下降的趋势。反之，生于东南亚地区的白种人，患鼻咽癌的危险性却有所升高。提示环境因素可能在鼻咽癌的发病过程中起重要作用；②亚硝胺类化合物：流行病学调查发现，广东省鼻咽癌高发区内的婴儿，在断奶后首先接触的食物中便有咸鱼。另外鱼干，广东腊味也与鼻咽癌发病有关。这些食品在腌制中均有亚硝胺前体物亚硝酸盐。人的胃液pH在1～3时，亚硝酸或硝酸盐 (需经细胞还原成亚硝酸盐)可与细胞中的仲胺合成亚硝胺类化合物。王蘅文 (1965)用苯并芘，二甲基苯蒽及甲基胆蒽诱发出小白鼠原位鼻咽癌。潘世崴、姚开泰等 (1972)用二乙基亚硝胺，二甲基苯蒽及亚硝基吗福林，二亚硝基哌嗪等诱发了大鼠鼻咽癌。</p><p>4.微量元素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">中山医科大学肿瘤研究所等选择四会、中山县 (市)代表高发区，海丰及五华县 (市)代表低发区，检测居民食用的大米和井水中的8种微量元素的含量。结果显示鼻咽癌高发区内大米中镍的含量高于低发区，而钼、铬、镉的含量则高发区低于低发区；饮水中镍和铅的含量高发区高于低发区。中山医科大学肿瘤研究所用阈下剂量的二亚硝基哌嗪 (9mg)注入大鼠皮下，作为诱癌的启动因子，然后分两种途径再给硫酸镍 (为促进因素)：口服硫酸镍水溶液和经鼻腔注入硫酸镍明胶达鼻咽部。实验结果表明用二亚硝基哌嗪后再加硫酸镍的两个组均发生了鼻咽癌，而单独使用二亚硝基哌嗪或硫酸镍均未诱发鼻咽癌。说明镍元素对鼻咽癌的发病有一定作用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年来，分子遗传学研究发现：鼻咽癌肿瘤细胞发生染色体变化的主要是1、3、11、12和17号染色体，在鼻咽癌肿瘤细胞中发现多染色体杂合性缺失区 (1p、9p、9q、11q、13q、14q和16q)可能提示鼻咽癌发生发展过程中存在多个肿瘤抑制基因的变异。鼻咽癌在染色体9p<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">21</span>和19q<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">13</span>区的杂合性缺失与晚期鼻咽癌 (T3、T4)关系密切；染色体12p<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">11</span>区的杂合性缺失与早期鼻咽癌 (T1、T2)相关；9p<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">21</span>、16q、19q<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">13</span>等区的杂合性缺失与鼻咽癌的浸润发展有一定相关。这些研究成果对进一步探讨鼻咽癌的发生发展规律、早期诊断、制订有效的治疗策略大有裨益。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用耳鼻咽喉头颈外科学</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5296', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '600', '病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鼻咽癌的病理分类目前尚未统一。1988年我国在制订《鼻咽癌诊治规范》时，提出以下试行分类法：</p><p>1.原位癌 (carcinoma in situ)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">上皮细胞已有癌变，但基底膜完整，鳞状和柱状上皮均可发生原位癌，但也可源于大圆形细胞。</p><p>2.浸润癌 (invasive carcinoma)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">分为微小浸润癌，鳞状细胞癌，腺癌，泡状核细胞癌和未分化癌。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(1)微小浸润癌 (invasive microcarcinoma)：基底膜受癌细胞侵袭出现断裂，但浸润范围不超过光镜下(400倍)的一个视野。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(2)鳞状细胞癌 (squeamous cell carcinoma)</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1)高度分化的鳞状细胞癌 (well-differentiated squeamous cell carcinoma)。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2)中度分化的鳞状细胞癌 (moderately differentiated squeamous cell carcinoma)。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3)低高分化的鳞状细胞癌 (poorly differentiated squeamous cell carcinoma)。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(3)腺癌 (adenocarcinoma)：鼻咽腺癌极为少见，尤其在鼻咽癌的高发区。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1)高度分化的腺癌 (well-differentiated adenocareinoma)。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2)中度分化的腺癌 (moderately-differentiated adenocarcinoma)。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3)低度分化的腺癌 (poorly-differentiated adenocarcinoma)。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(4)泡状核细胞癌 (vesicular nucleus cell carcinoma)：由于形态较特殊，且放射治疗后预后较好等特点，而列为独立的类型。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(5)未分化癌 (undifferentiated carcinoma)。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鼻咽癌的原发部位及外形：鼻咽癌多发于鼻咽顶后壁，其次为侧壁，极少发生于前壁及底壁。鼻咽癌的外形可呈结节型，菜花型，浸润型，溃疡型及黏膜下型5种形态。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用耳鼻咽喉头颈外科学</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5297', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '600', '临床表现', '<p><br/></p><p>1.常见临床表现(1)原发癌症状1)涕血和鼻出血：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病灶位于鼻咽顶后壁者，用力向后吸鼻腔或鼻咽部分泌物时，轻者可引起涕血 (即后吸鼻时“痰”中带血)，重者可致鼻出血。肿瘤表面呈溃疡或菜花型者此症状常见，而黏膜下型者则涕血少见。</p><p>2)耳部症状：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肿瘤在咽隐窝或咽鼓管圆枕区，由于肿瘤浸润，压迫咽鼓管咽口，出现分泌性中耳炎的症状和体征：耳鸣，听力下降等。临床上不少鼻咽癌患者即是因耳部症状就诊而被发现的。</p><p>3)鼻部症状：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">原发癌浸润至后鼻孔区可致机械性堵塞，位于鼻咽顶前壁的肿瘤更易引发鼻塞。初发症状中鼻塞占15.9%，确诊时则为48.0%。</p><p>4)头痛：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是常见的症状。临床上多表现为单侧持续性疼痛，部位多在颞、顶部。产生原因可以是：①神经血管反射性痛；②三叉神经第1支 (眼支)的末梢在硬脑膜处受压迫或颅底骨质破坏；③鼻部局部炎性感染；④肿大的颈部淋巴结，既可能压迫颈内静脉导致回流障碍而产生钝性头痛，也可能侵蚀颈椎骨质或压迫神经根引起疼痛。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅰ、Ⅱ期病例常见的初发症状大致如下：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅰ期病例初发症状依次为涕血 (32.7%)，耳鸣(23.5%)，头痛 (19.4%)，鼻塞 (12.2%)，听力下降 (10.2%)，无原发癌症状 (2%)。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅱ期病例初发症状依次为颈部淋巴结肿大(40.1%)，头痛(13.2%)，涕血(13.2%)，耳鸣(12.5%)，鼻塞(9.2%)，听力下降(8.6%)，无原发癌症状(3.2%)。</p><p>(2)眼部症状：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鼻咽癌侵犯眼眶或与眼球相关的神经时虽然已属晚期，但仍有部分患者以此症就诊。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鼻咽癌侵犯眼部常引起以下症状和体征：视力障碍(可失明)，视野缺损，复视，眼球突出及活动受限，神经麻痹性角膜炎。眼底检查视神经萎缩与水肿均可见到。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鼻咽癌侵入眼眶的途径如下：</p><p>1)经颅内侵入眼眶：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鼻咽癌经颈内动脉管或破裂孔侵犯海绵窦，之后向前由眶上裂到达眼眶。大多数病例经此途径侵入。</p><p>2)经颅外扩展至眼眶：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①肿瘤由鼻咽腔经翼管进入翼腭窝，再从眶尖至眶内，这是一条自然通道。但翼管十分狭小，肿瘤不易经此而达到翼腭窝。故临床上更常见的是肿瘤先破坏翼管基底部，然后再经眶尖达眶内；②鼻咽顶后壁之肿瘤常向前侵入鼻腔，后经蝶腭孔进入翼腭窝，再由眶尖或眶下裂侵入眼眶内；③肿瘤向前侵入鼻腔后份时，可很容易地破坏筛窦纸样板，再进入眼眶。</p><p>(3)脑神经损害症状：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鼻咽癌在向周围浸润的过程中以三叉神经、外展神经、舌咽神经、舌下神经受累较多，嗅神经、面神经、听神经则甚少受累。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鼻咽癌侵犯脑神经的方式和途径如下：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1)位于咽隐窝附近的肿瘤，常向上经颈内动脉管或破裂孔到达颅中窝的岩蝶区。此处有颞骨岩尖，圆孔、卵圆孔、海绵窦区等结构，肿瘤如侵及此处，常引起动眼神经、滑车神经、三叉神经及外展神经受损的症状和体征。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2)鼻咽癌侵入颅中窝后再向前方浸润，经眶上裂入眼眶，引起眼部症状，如再向前浸润也可达颅前窝使嗅神经受累，但少见。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3)鼻咽癌向外侧扩展至咽旁间隙的茎突后区，使舌下神经、舌咽神经、迷走神经、副神经及颈交感神经受累；向外侧前方扩展至茎突前区内，可使下齿槽神经、耳颞神经及舌神经受累 (均为三叉神经下颌支的分支)。临床上值得注意的是茎突后区的神经受损既可是鼻咽癌的直接侵犯，也可由颈深上组或咽后组转移的淋巴结所引起。对此CT扫描可起重要的鉴别作用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肿瘤经破裂孔进入颅内，常先侵犯第Ⅴ及第Ⅵ对脑神经，继之可侵及第Ⅳ、Ⅲ、Ⅱ对脑神经，引起持续性头痛或三叉神经痛，患侧面部麻木、复视、视物模糊、眼睑下垂、眼外展肌麻痹、眼球固定或失明。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肿瘤在颅外向后外方发展，或因转移的颈淋巴结的压迫或侵蚀，可使第Ⅸ、Ⅹ、Ⅺ、Ⅻ对脑神经或颈交感神经受累，引起各种咽喉麻痹症状如吞咽困难、声嘶、舌半侧瘫痪和萎缩。颈交感神经麻痹可出现Horner综合征：眼球内陷、眼睑下垂、瞳孔缩小，额部无汗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">晚期，第Ⅶ、Ⅷ对脑神经尚可受累，出现面瘫 (单侧、周围性)及耳聋。如三叉神经痛、咽鼓管闭塞及颈淋巴结肿大三者同发于一侧，而无鼻塞，为晚期鼻咽侧壁浸润性癌的特有表现。</p><p>(4)颈淋巴结转移：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">颈淋巴结转移率高达179.37% (单侧转移44.20%，双侧35.17%)。11.05%是以颈部包块为初诊症状。转移淋巴结的分布：颈深上前组占53.45%，颈深上后组31.36%，颈深下组15.76%，颈后三角组18.48%，锁骨上组14.71%，其他组仅占0.18%。颈部肿大之淋巴结无痛、质硬，早期可活动，晚期与皮肤或深层组织粘连而固定。</p><p>(5)远处转移：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鼻咽癌确诊时远处转移率，60年代为2.80%，70年代为1.10%，80年代后期随着CT和骨扫描设备的应用，上升至4.2%。个别病例以远处转移为主诉而就诊。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鼻咽癌虽可转移至全身各个部位，但以骨、肺、肝居多。且常为多个器官同时发生。</p><p>(6)恶病质：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可因全身器官功能衰竭死亡，也有因突然大出血而死亡者。</p><p>2.特殊临床表现(1)鼻咽癌合并皮肌炎：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">皮肌炎是一种严重的结缔组织疾病。伴发于鼻咽癌者国内早有报告 (1962)，黄选兆等 (1984)报告4例鼻咽癌患者伴发皮肌炎。恶性肿瘤与皮肌炎的关系尚未明确，但皮肌炎患者的恶性肿瘤发生率至少高于正常人5倍。故对皮肌炎患者，须进行仔细的全身检查，以求发现隐藏的恶性肿瘤。</p><p>(2)隐性鼻咽癌：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">颈部肿大淋巴结经病理切片证实为转移癌，但对各可疑部位多次检查或活检仍未能发现原发癌病灶，称为头颈部的隐性癌 (原发灶位于胸、腹或盆腔者不属此类)。闵华庆认为下述情况者，可按鼻咽癌进行治疗：①颈深上组的转移癌，位置在乳突尖前下方与下颌角后方之间，且质地硬实者；②病理类型属低分化或未分化癌者；③来自广东或其他高发省籍，年龄在中年以上者。治疗后必须按月进行紧密随诊，以便发现异常及时确诊再修正治疗方案。</p><p>(3)检查1)前鼻镜检查：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">少数病例可发现新生物侵入后鼻孔，多呈肉芽组织状。</p><p>2)鼻咽镜检查：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对诊断极为重要。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">a.间接鼻咽镜检查：须反复仔细寻找可疑之处(图3-7-6)，咽部反射敏感检查不能合作者，可表面麻醉后再检查；如仍不成功，可用软腭拉钩拉开软腭，或用细导尿管插入前鼻孔，其前端由口拉出，后端留于前鼻孔之外，将两端系紧、固定，软腭被拉向前，可充分显露鼻咽部，并可进行活检。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180523-1527064951937055109.jpg\" title=\"1527064951937055109.jpg\" alt=\"鼻咽癌-临床表现-图3-7-6.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 912px; table-layout: fixed;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"text-align: center;\">图3-7-6&nbsp; 鼻咽癌的鼻后孔镜检查</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">b.鼻咽纤维镜或电子鼻咽纤维镜检查：一种可弯曲的软性光导纤维镜。从鼻腔导入 (表面麻醉后)，能全面仔细地观察鼻咽部，可行照相、录像及活检，是检查鼻咽部最有效的现代工具。</p><p>3)病理检查：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">a.活检：可采取经鼻腔径路或经口腔径路。活检如为阴性，对仍觉可疑者需反复行之，并密切随诊。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">b.颈淋巴结摘除活检或颈淋巴结细胞学穿刺涂片检查：若颈侧淋巴结肿大，且质硬者，应作颈淋巴结穿刺涂片检查。若鼻咽部无明显可疑病变，须考虑淋巴结摘除活检。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">c.鼻咽脱落细胞学诊断：取材恰当，即时固定，染色和检查，可补充活检之不足。以下情况较适合本检查：①治疗过程中定期检查以动态观察疗效；②对于隐性癌者，可在多个部位分别取材送检；③用于群体性普查，李琦等 (1964)认为本检查法可多次重复进行，为早期诊断鼻咽癌的方法之一，特别对病灶小，活检困难或初次活检为阴性者，较易获得阳性结果，其诊断准确率为88%，误诊率为12%，误诊之原因主要是退行性变的柱状上皮细胞与癌细胞相混淆所致。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">d.细针抽吸细胞学 (FNA)检查：FNA对头颈肿瘤的诊断是有价值的，此技术在欧洲和美国普遍应用。细针抽吸细胞学检查对转移性鼻咽癌的诊断是非常有价值的，如颈部淋巴结受累，用此方法可以对原发肿瘤进行评估。细针抽吸细胞学检查具有安全、简便、结果快速、可靠等优点。</p><p>4)X线拍片检查：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可判断有无颅底骨质破坏。对黏膜下肿瘤的诊断也有一定的帮助。</p><p>5)CT扫描检查：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">CT扫描有较高的分辨率，不仅能显示鼻咽部表层结构的改变，还能显示鼻咽癌向周围结构及咽旁间隙浸润的情况，对颅底骨质及向颅内侵犯情况亦显示较清晰、准确。</p><p>6)磁共振成像 (MRI)检查：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">MRI对软组织的分辨率比CT高。MRI检查可以确定肿瘤的部位、范围及对邻近结构的侵犯情况。对放疗后复发的鼻咽癌，MRI有其独到的作用。它可以鉴别放疗后组织纤维化和复发的肿瘤。复发肿瘤呈不规则的块状，可同时伴有邻近骨或 (和)软组织结构的侵犯以及淋巴结肿大。放疗后的纤维化呈局限性增厚的块状或局限性的不规则的斑片状结构，与邻近组织的分界不清。在T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>加权像上，复发的肿瘤和纤维化组织多呈低信号；在T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>加权像上，复发肿瘤为高信号，而纤维组织呈低信号。</p><p>7)EB病毒壳抗原-IgA抗体检测：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鼻咽癌患者血清中以EB病毒壳抗原-IgA抗体 (VCA-IgA抗体)升高最为显著。Henle等 (1976)报道，其阳性率可达93%，而在Burkitt淋巴瘤和传染性单核细胞增多症的患者中却无此抗体存在。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前，国内广泛应用的是免疫酶法，所用试剂是由上海生物制品研究所制备的免疫酶法鼻咽癌诊断试剂。此法简便，在一般有光学显微镜的实验室均可进行。对鼻咽癌诊断特异性较高，70%以上鼻咽癌患者的抗体几何平均滴度 (GMT)均在1∶20以上。对照组的滴度平均低于1∶10。如抗体滴度＞1∶40者，属鼻咽癌的高危人群，应定期复诊。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对隐性鼻咽癌的诊断：张有望等对69例原发病灶不明的转移癌进行血清VCA-IgA抗体的检测。滴度在1∶20以上者52例 (75.4%)，经临床追踪观察发现原发病灶者44例，其中鼻咽癌38例，食管癌2例，扁桃体癌1例，下颌下腺癌1例，恶性淋巴瘤1例，颈动脉体瘤1例。未找到原发灶者25例。张等认为抗体滴度在1∶20以上者，应考虑鼻咽癌的可能。滴度越高，可能性越大。抗体滴度在1∶10以下者则应考虑鼻咽癌以外的原发灶。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用耳鼻咽喉头颈外科学</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5298', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '600', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早期发现，早期诊断最为重要。能否早期发现，早期诊断与以下几点有密切关系：①肿瘤的原发部位及肿瘤的生长方式 (外生性或黏膜下向深层发展)；②医务人员思想重视。临床工作中，如遇到原因不明的一侧进行性咽鼓管阻塞症状；涕中带血或后吸鼻后“痰”中带血；颈侧淋巴结肿大；原因不明的偏头痛；外展神经麻痹等患者均应考虑到鼻咽癌的可能，进行详细检查；③患者本人思想重视或有无认识，因患者对鼻咽癌的知识缺乏；对医院有恐惧心理以及经济等原因，不及时到医院就诊而延误诊断者亦不乏其人。所以普及有关鼻咽癌的常识，对提高鼻咽癌的早期诊断率亦至关重要。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">只要详细询问病史，仔细检查鼻咽部，作必要的辅助检查如鼻咽部活检、CT扫描、VCA-IgA抗体等，一般可以做出正确的诊断。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鼻咽癌的TNM分类：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据肿瘤的生长范围和扩散的程度，按国际抗癌联盟 (UICC，1997)和美国癌症分期联合委员会 (AJCC) (2002)第五版的方案如下：</p><p>1.解剖划分(1)后上壁：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">从软硬腭交界到颅底。</p><p>(2)侧壁：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括咽隐窝。</p><p>(3)下壁：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括软腭上面。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">注：后鼻孔缘 (包括鼻中隔后缘)属于鼻腔部分。</p><p>2.TNM临床分类</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">T：原发癌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">X</span>：原发肿瘤不能确定。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>：无原发肿瘤之证据。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">is</span>：原位癌。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>：肿瘤局限在鼻咽部。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>：肿瘤侵犯咽部软组织和/或后鼻孔。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2a</span>：无咽旁组织侵犯。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2b</span>：咽旁组织侵犯。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>：肿瘤侵犯骨质和/或鼻窦。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>：肿瘤侵犯颅内和/或脑神经，颞下窝，喉咽或眼眶。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">注：咽旁侵犯指肿瘤突破咽基底筋膜，有咽后、咽侧壁浸润。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">N：区域淋巴结转移。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">N<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">X</span>：区域淋巴结转移不能确定。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">N<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>：无区域淋巴结转移。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">N<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>：同侧淋巴结转移，淋巴结直径不超过6cm，位于锁骨上窝以上区域。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">N<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>：双侧淋巴结转移，淋巴结直径不超过6cm，位于锁骨上窝以上区域。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">N<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>：一个或数个淋巴结转移。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">N<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3a</span>：淋巴结直径大于6cm。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">N<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3b</span>：进入锁骨上窝。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">注：中线淋巴结视为同侧淋巴结。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">M：远处转移。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">M<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">X</span>：远处转移不能确定。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">M<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>：无远处转移。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">M<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>：有远处转移。</p><p>3.组织病理学分级</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">G：组织病理学分级。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">G<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">X</span>：组织分级不能确定。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">G<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>：高分化。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">G<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>：中度分化。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">G<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>：低分化。</p><p>4.分期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">0期：　T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">is</span>　N<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>　M<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅰ期：　T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>　N<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>M<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅱ期A：　T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2a</span>N<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>　M<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅱ期B：　T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>　N<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>M<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2a</span>　N<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>　M<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2b</span>　N<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>　N<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>　M<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅲ期：　T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>　N<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>M<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2a</span>　T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2b</span>　N<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>　M<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>　N<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>　N<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>，N<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>　M<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅳ期A：　T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>N<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>N<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>N<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>M<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅳ期B：任何T N<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>M<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅳ期C：任何T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>任何N M<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床分型：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鼻咽癌在临床发展过程中，可见同一病理类型患者出现截然不同的临床表现；亦有不同类型基本按同一途径扩展和播散。这种现象早在30年代和40年代已经被注意到。1962年谢志光等根据100例晚期鼻咽癌观察，指出鼻咽癌的这种现象是具有规律性的。临床上可分成3种类型：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.上行型亦称脑神经型或A型　有第Ⅱ、第Ⅲ、第Ⅳ、第Ⅴ、第Ⅵ对脑神经的侵犯和 (或)颅底骨质破坏，但没有颈淋巴结转移。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.下行型亦称颈淋巴结广泛转移型或D型　有单侧或双侧颈淋巴结广泛转移，累及锁骨上窝淋巴结，转移灶大于8cm×8cm×8cm，但无上述脑神经的侵犯，也没有颅底骨质破坏。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.上下行型亦称混合型或AD型　有单侧或双侧或局限于一组的淋巴结转移，小于8cm×8cm×8cm，兼有上述脑神经的侵犯或颅底骨质破坏。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用耳鼻咽喉头颈外科学</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5299', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '600', '鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鼻咽癌应与鼻咽部其他恶性瘤如淋巴肉瘤及鼻咽结核，鼻咽纤维血管瘤，腺样体肥大或感染，咽旁隙肿瘤，颈部及颅内肿瘤 (颅咽管瘤、脊索瘤、桥小脑角肿瘤)等相鉴别。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用耳鼻咽喉头颈外科学</p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5300', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '600', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鼻咽癌大多对放射治疗具有中度敏感性，放射治疗是鼻咽癌的首选治疗方法。但是对较高分化癌，病程较晚以及放疗后复发的病例，手术切除和化学药物治疗亦属不可缺少的手段。</p><p>1.放射治疗(1)放射线的选择：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">因鼻咽癌原发灶位置深在，周围有重叠的骨质包围，故应选择穿透力强，皮肤量低，吸收少的高能放射源如<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">60</span>钴或直线加速器的高能X线(4～9meV)作外照射。这两种设备中，又以加速器为优，因其产生的半影甚小，深部剂量较高而且均匀，周围正常组织受损小，疗效较佳。对于外照射后的残存肿瘤，可以用X线体腔管或后装腔内作补充治疗。</p><p>(2)放射剂量和时间：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">外照射可采用连续法或分段法进行。虽然两种方法的远期疗效近似，但前者总的时间较短，而放疗后反应较重；后者总的放疗时间较长，但放疗后反应较轻。因此，应针对患者的具体情况作适当选择：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1)连续治疗：每周5次，每次2Gy，总剂量TD60～70Gy/6～7周。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2)分段治疗：将整个疗程分两段，每周5次，每次2Gy，每段约3.5周，总剂量TD为65～70Gy。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3)超分割放疗：每次1.2Gy，每日2次，间隔6小时以上，总量66～70Gy。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4)外照射+后装治疗：外照射50～60Gy(5～6周)，后装治疗2～3次，每周1次，每次8～10Gy。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5)颈淋巴结阳性者，根治量56～60Gy(5.5～6周)；颈淋巴结阴性者预防量46～50Gy(2.5～3周)。</p><p>(3)放射野的设计：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">每个病例的照射野都需要将鼻咽部及其邻近窦腔、间隙、颅底以及颈部包括在内。但是各照射野之间勿使剂量重叠或遗漏。原则上各部位同时开始照射，但患者如有严重头痛，鼻出血等，可以先用小野进行照射以减轻症状，然后按全面的布野照射。</p><p>(4)近年来一些放疗新技术：1)腔内近距离放疗 (brachy therapy)：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常用的放射源有<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">192</span>铱、<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">137</span>铯等，近距离放疗的最大优点为既可增加靶区的局部放射剂量，又可减少周围正常组织的放射损伤。近距离放疗通常作为外照射的补充放疗。近年来的临床研究表明，对鼻咽局限性浅表病灶，局部控制率比常规的单纯外照射有一定提高。</p><p>2)伽玛刀 (gamma knife)治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">伽玛刀是一种三维立体定向高能聚焦的多束伽玛射线治疗装置。将肿瘤精确定位后，可用大剂量的射线一次性将肿瘤摧毁。而对周围正常组织损害很小。放射治疗后复发的鼻咽癌病例适合于伽玛刀治疗。对于初发的鼻咽癌病例应慎用伽玛刀治疗。因其治疗鼻咽癌的远期效果尚需进一步观察。</p><p>3)三维适形放疗 (3D.conformal radiation therapy)：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">三维适形放疗是近年来肿瘤放射治疗的最重要进展之一，它可以根据肿瘤的不同形状，将放射剂量较均匀地分布于靶区。Wolden等报告用外照射加三维适形放疗治疗鼻咽癌68例 (Ⅲ、Ⅳ期占70%)，5年局部控制率为77%。初步研究表明三维适形放疗对局部和颈部病变较晚的鼻咽癌病例的疗效比常规外照射有所提高，但其远期结果尚有待观察。</p><p>4)适形强调放疗 (Intensity modulated radiation therapy)：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">适形强调放疗是近几年发展的一项崭新的放疗技术，被认为是21世纪放射治疗发展的方向，此技术可根据不同肿瘤的大小、形状和生物学行为特性授予不同的靶区不同的照射剂量，同时对肿瘤周围的重要器官有独特的保护优势。Wolden等用该技术治疗27例鼻咽癌，2年局部和区域控制率均达100%。初步结果令人鼓舞，随着该技术的逐步推广应用及经验的积累，鼻咽癌的放疗效果可能有较大提高。</p><p>2.化学药物治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要用于中、晚期病例，放疗后未能控制及复发者，所以是一种辅助性或姑息性的治疗。化学药物治疗的主要作用：①作为化学增敏剂，以提高肿瘤对放射线的敏感度，多与放疗同时进行；②用于有远处转移的患者；③先用化疗使晚期肿瘤缩小到一定程度后，再用放疗；④在放疗后，根据细胞动力学周期，定期进行预防性化疗。常用的给药方式有3种。</p><p>(1)全身化疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可口服，肌肉注射，静脉注射。常用药物有氮芥、环磷酰胺、5-氟尿嘧啶、博来霉素、噻替派等。可单独用一种药物或联合用药。</p><p>(2)半身化疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是压迫腹主动脉，暂时阻断下半身血液循环，从上肢静脉快速注射氮芥的疗法，氮芥注入体内2～3分钟后便产生效应，15分钟后药力可减少一半，这样既可提高上半身药物浓度，又可保护下半身骨髓造血功能。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">半身化疗的禁忌证：①高血压，心脏病患者；②年老、体弱、肥胖者；③上腔静脉受压者；④肝硬化、肝肿大者；⑤肝、肾功能严重损害者；⑥白细胞数低于3×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L者。</p><p>(3)动脉插管化疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可增加鼻咽部药物浓度，减少全身副作用。采用颞浅动脉或面动脉逆行插管，注入抗癌药物。对于早期 (Ⅰ、Ⅱ期)包括有单个较小的颈深上组淋巴结转移病例，晚期有脑神经受累的病例，或者放疗后鼻咽部局部残存或复发病例，均有一定的近期疗效。常用的抗癌药物有5-氟尿嘧啶，平阳霉素，顺铂等。</p><p>3.放疗与化疗联合治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于晚期鼻咽癌可用放射与化学药物联合治疗。有文献报道：联合治疗的疗效明显优于单项治疗。对提高Ⅱ期以上病例近期缓解率，减少Ⅱ、Ⅲ期病例的远处转移率，提高3，4，5年期生存率均有一定效果。</p><p>4.手术治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">非主要治疗方法，仅在少数情况下进行。其适应证如下：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(1)鼻咽部局限性病变经放疗后不消退或复发者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(2)颈部转移性淋巴结，放疗后不消退，呈活动的孤立性包块，鼻咽部原发灶已控制者，可行颈淋巴结清扫术。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">手术禁忌证：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(1)有颅底骨质破坏或鼻咽旁浸润，脑神经损害或远处转移。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(2)全身情况欠佳或肝肾功能不良者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">(3)有其他手术禁忌证。</p><p>5.免疫治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有干扰素诱导剂，植物血凝素—瘤苗等，但其疗效欠佳，目前仍处于探索阶段。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用耳鼻咽喉头颈外科学</p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5301', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '283', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胃癌（carcinoma of stomach）是起源于胃上皮的恶性肿瘤，是最常见的恶性肿瘤之一，居全球癌症死亡原因的前列。2008年统计全球新发癌症患者，胃癌发病率在男性中居第4位，在女性中居第6位。死亡率排位，胃癌在男性居第2位，在女性居第6位。东亚、南美、东欧为高发区，而北美、澳大利亚、新西兰为低发区。我国属胃癌较高发病区，男女人口调整死亡率（男性是女性的1.9倍）是欧美发达国家的4～8倍；40～60岁多见，发病率农村是城市的1.6倍。近30年欧美国家以及我国部分地区胃癌发病率呈下降趋势，近端胃癌发病率升高。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5302', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '283', '病因与发病机制', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胃癌病因与发病机制尚未阐明，研究资料表明胃癌的发生是多因素综合作用的结果。目前认为下列因素与胃癌的发生有关：</p><p>（一）环境因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">不同国家与地区发病率有明显差别。胃癌高发区向低发区的第一代移民胃癌发生率与本土居民相似，第二代即有明显下降，第三代胃癌的发生率则与当地居民相似。提示胃癌的发病与环境因素有关，其中最主要的是饮食因素。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在人类，胃液中亚硝胺前体亚硝酸盐的含量与胃癌的患病率明显相关。如腌制食品中含有明显的硝酸盐、亚硝酸盐；萎缩性胃炎胃酸过低的情况下，硝酸盐容易还原为亚硝酸盐类物质。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">高盐、低蛋白饮食、较少进食新鲜的蔬菜与水果则可能增加罹患胃癌的危险性。一些抗氧化的维生素如维生素A、C、E和β-胡萝卜素及绿茶中的茶多酚有一定防癌作用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">吸烟者胃癌的发病危险性提高1.5～3倍，近端胃癌，特别是胃食管连接处的肿瘤可能与吸烟有关。饮酒与胃癌之间无明显相关性。</p><p>（二）感染因素1.幽门螺杆菌感染</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">幽门螺杆菌（Hp）感染，尤其是儿童期Hp感染与胃癌发病呈正相关，已被WHO列为Ⅰ类致癌物。Hp感染的致癌机制复杂，多数学者认为：①Hp感染主要作用于慢性活动性胃炎—慢性萎缩性胃炎—肠化生的癌变起始阶段；其中白介素-1β在炎症反应中起了重要作用。②Hp感染导致胃内低酸状态，削弱其清除亚硝酸盐、氧自由基的作用。</p><p>2.EB病毒感染</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胃癌患者的癌细胞中，大约10%有EB病毒感染，报道在美国和德国发生率最高，在中国最低；它与未分化胃癌尤其是淋巴上皮样癌关系密切，淋巴结转移较少；在这些患者中，Hp感染率较低。</p><p>（三）遗传因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胃癌发病有家族聚集倾向，患者的一级亲属发病率升高2～4倍。较多学者认为某些遗传素质使易感者在同样的环境条件下更易致癌。25%常染色体显性遗传性弥漫型胃癌易感家族存在上皮钙粘素（E-cadherin）突变，被称为遗传性弥漫型胃癌。此外遗传性非息肉性结直肠癌（Ⅱ型）容易伴发胃癌。</p><p>（四）分子标志物</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">随着细胞分子生物学的发展，发现了一批与胃癌的早期预警和早期诊断相关的分子标志物。癌基因活化、抑癌基因失活、端粒丢失、错配修复基因异常、APC突变也参与胃癌发生的病理途径。癌基因甲基化水平越低，其胃癌分化程度往往越差。</p><p>（五）癌前期变化</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">癌前期变化指某些具有较强的恶变倾向的病变，包括癌前期状态（precancerous conditions）与癌前期病变（precancerous lesions）。前者系临床概念，后者为病理学概念。</p><p>1.胃的癌前期状态</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括慢性萎缩性胃炎、胃息肉、手术后胃等。</p><p>（1）慢性萎缩性胃炎：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性萎缩性胃炎基础上可进一步发生肠上皮化生、上皮内瘤变而癌变。其病史长短和严重程度与胃癌的发生率有关，据报道胃癌的发生率为2%～10%。</p><p>（2）胃息肉：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">最常见的是炎性或增生性息肉，很少癌变。腺瘤型息肉癌变率为15%～40%，直径＞2cm时癌变率更高，以绒毛状腺瘤恶变率最高。恶变后多为肠型胃癌。</p><p>（3）手术后胃：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">远端胃手术15～20年后，残胃癌发生率上升1.5～3倍。BillrothⅡ式发生胃癌较BillrothⅠ式为多。胃酸分泌减少致使亚硝胺等致癌物质产生增多；十二指肠内容物反流至残胃，胆酸浓度增高是促发癌变的重要因素。</p><p>（4）巨大胃黏膜肥厚症：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">报道恶变率为10%～13%。</p><p>（5）肠化生：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是指胃黏膜上出现类似肠腺上皮，有相对不成熟性及向肠和胃双向分化的特点。肠化生分为两型，小肠型（完全型）具有小肠黏膜的特征，分化较好；大肠型（不完全型）与大肠黏膜相似，其中Ⅱb型肠化生分化不成熟，与胃癌发生（尤其是肠型胃癌）有一定关系。</p><p>2.胃的癌前期病变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">又称上皮内瘤变，是胃黏膜上皮出现明显的细胞异型和结构异常，具有较高的癌变倾向，但无间质侵犯，是非浸润性肿瘤性上皮病变。国际上通行的做法是分为低、高两级别；高级别不典型增生癌变率高。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5303', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '283', '病理', '<p>（一）胃癌的发生部位</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胃癌可发生于胃的任何部位，半数以上发生于胃窦部，大弯、小弯及前后壁均可受累，其次在贲门部，胃体部及累及全胃者相对较少。胃食管连接处腺癌占胃癌的25%，与远端胃肿瘤不同，近几十年来的发病率一直升高，多发生在Barrett食管化生情况下，是食管腺癌的变型。</p><p>（二）大体形态1.早期胃癌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是指病变仅限于黏膜及黏膜下层，不论范围大小和有无淋巴结转移。原位癌是指未突破固有膜的癌肿，也属早期胃癌。可分隆起型（息肉型，Ⅰ型）、表浅型（平坦型，Ⅱ型）和深凹陷型（溃疡型，Ⅲ型）。Ⅱ型中又分Ⅱa（隆起表浅型）、Ⅱb（平坦表浅型）及Ⅱc（凹陷表浅型）三个亚型。以上各型可有不同的组合。如Ⅱc+Ⅱa，Ⅱc+Ⅲ等。</p><p>2.中晚期胃癌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">也称进展型胃癌，胃癌一旦突破黏膜下层即为进展期胃癌。按Borrmann分型法，有以下几种类型：</p><p>（1）Ⅰ型（息肉样癌）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">癌肿呈息肉样明显突出于黏膜面，呈结节状、息肉状，表面可有糜烂或溃疡，与周围正常黏膜分界清楚。</p><p>（2）Ⅱ型（溃疡型癌）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肿瘤呈盘状，中央坏死，常有较大而深的溃疡；边缘隆起呈堤状，与周围正常组织分界清楚。</p><p>（3）Ⅲ型（溃疡浸润型癌）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肿瘤呈浸润性生长，常形成明显向周围及深部浸润的肿块，中央坏死形成溃疡，与周围正常黏膜分界不清。</p><p>（4）Ⅳ型（弥漫浸润型癌）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">又称皮革胃，癌组织在胃壁内广泛浸润，胃壁厚而僵硬，胃腔变小，浸润区和正常黏膜界限不清。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">两种或两种以上病变同时并存者为混合型。其中以Ⅲ型、Ⅱ型多见。</p><p>（三）组织病理学</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胃癌90%～95%是腺癌，极少数是腺鳞癌、鳞癌、类癌等。按组织结构不同，腺癌包括管状腺癌、乳头状腺癌、黏液腺癌、印戒细胞癌等数种，根据其分化程度又可分为高分化、中分化与低分化3种。根据组织起源可分为肠型和弥散型。</p><p>（四）转移途径1.直接播散</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">浸润型胃癌可沿黏膜或浆膜直接向胃壁内、食管或十二指肠发展。肿瘤一旦侵及浆膜，即容易向周围邻近器官或组织如肝、胰、脾、横结肠、空肠、膈肌、大网膜及腹壁等浸润。癌细胞脱落时也可种植于腹腔、盆腔、卵巢与直肠膀胱陷窝等处。胃癌种植于卵巢称Krukenberg瘤。</p><p>2.淋巴结转移</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">占胃癌转移的70%，胃下部癌肿常转移至幽门下、胃下及腹腔动脉旁等淋巴结，而上部癌肿常转移至胰旁、贲门旁、胃上等淋巴结。晚期癌可能转移至主动脉周围及膈上淋巴结。由于腹腔淋巴结与胸导管直接交通，故可转移至左锁骨上淋巴结。也可以有跳跃式淋巴结转移。</p><p>3.血行转移</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">最常受累的脏器是肝和肺，其次是胰腺、骨、肾上腺、脑、皮肤等处。</p><p>（五）临床病理分期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">参照美国癌症联合委员会（AJCC）和国际抗癌联盟（UICC）颁布的第7版TNM分期标准（2010版）。与既往的TNM分期相比，新版的分期系统对肿瘤浸润和淋巴结转移等判定进行了较大的调整。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5304', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '283', '临床表现', '<p>（一）症状</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早期胃癌70%以上无症状，病情发展到一定程度才出现自觉症状，如有上腹不适、反酸、嗳气、早饱等非特异性消化不良症状。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">进展期胃癌常见症状如下：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.上腹疼痛 最常见。疼痛逐渐加重，与进食无明确关系或餐后加重，部分患者疼痛与消化性溃疡相似，进食或服抗酸药可有一定程度缓解。癌肿侵及胰腺或横结肠系膜时可呈持续性剧痛，向腰背部放射。极少数癌性溃疡穿孔时可出现腹膜刺激征。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.食欲缺乏和消瘦 多见，往往进行性加重，晚期呈恶病质状态。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.呕血和黑便 1/3的胃癌患者经常有少量出血，10%～15%患者表现为呕血，可伴有贫血。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.胃癌位于贲门附近可引起咽下困难，位于幽门附近可引起幽门梗阻。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.癌肿扩散转移引起的症状 如腹水、黄疸及肝、肺、脑、卵巢、骨髓等转移引起的相应症状。</p><p>（二）体征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早期胃癌可无任何体征，中晚期癌的体征以上腹压痛最为常见。1/3患者可扪及上腹部肿块，质坚而不规则。其他体征如肝脏肿大、黄疸、腹水、左锁骨上淋巴结肿大、直肠前隐窝肿块常提示远处转移。</p><p>（三）并发症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胃癌可发生出血、穿孔、梗阻、胃肠瘘管、胃周围粘连及脓肿形成等。</p><p>（四）伴癌综合征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有些胃癌可以分泌某些特殊激素或具有某些生物活性的物质而引起某些特殊的临床表现称伴癌综合征。①皮肤表现：Leser-Trelat综合征，突然出现并迅速加重的脂溢性角化病、黑棘皮病等；②神经综合征：多发性神经炎、小脑变性等；③血栓-栓塞综合征；④血液病综合征：微血管病性贫血等；⑤膜性肾病等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5305', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '283', '辅助检查', '<p>（一）内镜</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">内镜检查和活检，是诊断胃癌最重要、最可靠的方法。目前内镜诊断的先进水平应体现在早期胃癌的诊断率上。</p><p>1.胃镜</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是诊断胃癌最重要、最可靠的方法。</p><p>2.色素内镜（可选）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常规内镜检查完成后，建议对临床疑诊早期胃癌、高危人群、年龄＞40岁的受检者常规行靛胭脂染色，以提高早期胃癌的检出率。</p><p>3.放大内镜（可选）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">放大内镜直接观察胃黏膜表面形态，根据胃小凹形状及表面血管形态可准确鉴别良恶性病变；与染色剂配合使用效果更好，有助于提高小癌灶、微小癌灶及异型增生的检出率。</p><p>4.超声内镜检查（EUS）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">提高对病变性质和累及深度的判断能力。诊断浸润深度的准确性为65%～92%，淋巴结转移的准确性为50%～90%。是局部切除包括内镜黏膜切除（EMR）和内镜黏膜下层切除（ESD）的必要检查。</p><p>（二）影像学检查1.X线检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">上消化道气钡双重对比造影是诊断胃癌的重要方法。特别适宜用于高度怀疑而胃镜检查阴性的浸润性胃癌（皮革胃），可见黏膜紊乱、胃腔缩小、胃壁僵硬、无蠕动波。</p><p>2.CT检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">CT扫描已常规应用于胃癌患者术前分期，对肿瘤分期的准确性达到43%～82%。</p><p>3.正电子发射计算机断层扫描仪（PET/CT）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在术前分期方面PET/CT的精确度高于CT（PET/CT为68%，CT为53%）。但约36%的腹膜小转移灶患者在PET检测中不显像。</p><p>（三）组织学诊断</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">组织病理学是胃癌的确诊依据。在治疗开始前，应尽可能获得病理学诊断。</p><p>（四）肿瘤标志物</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">癌胚抗原（CEA）在40%～50%的胃癌病例中升高，在随访而非普查和诊断中有一定意义。其他肿瘤标志物（CA19-9、CA125、CA724等）均有可能在部分胃癌病例中出现不同程度的升高，但均无筛查或诊断价值。</p><p>（五）其他</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有非消化道症状且无法除外其他脏器如脑、骨转移者，应通过相应检查手段除外远处转移，女性患者需行盆腔相关检查。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5306', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '283', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">凡有下列情况者，应高度警惕，并及时进行胃肠钡餐X线检查、胃镜和活组织病理检查，以明确诊断：①40岁以后出现中上腹不适或疼痛，无明显节律性并伴明显食欲缺乏和消瘦者；②胃溃疡患者，经严格内科治疗而症状仍无好转者；③慢性萎缩性胃炎伴有肠上皮化生及不典型增生，经内科治疗无效者；④X线检查显示胃息肉＞2cm者；⑤中年以上患者，出现不明原因贫血、消瘦和粪便隐血持续阳性者。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5307', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '283', '鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胃癌需与胃溃疡、胃息肉、胃平滑肌瘤、胃巨大皱襞症、肥厚性胃窦炎、疣状胃炎、胃黏膜脱垂等良性病变相鉴别。还需与原发性恶性淋巴瘤、胃肉瘤等胃部其他恶性肿瘤相鉴别。与其他如胃类癌、胃底静脉瘤、假性淋巴瘤、异物肉芽肿等病变相鉴别。当上腹部摸到肿块时尚须与横结肠或胰腺肿块相区别，有肝转移者与原发性肝癌者相区别。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5308', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '283', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胃癌的治疗原则：①早期治疗：早期发现、早期诊断、早期治疗是提高胃癌疗效的关键；②手术为主的综合治疗：以手术为中心，开展化疗、放疗、靶向治疗、中医中药等疗法，是改善胃癌预后的重要手段。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胃癌的治疗方案的选择：①Ⅰ期胃癌可视为早癌，以根治性手术切除为主。一般不主张辅助治疗；②Ⅱ期胃癌可视为中期，根治性手术切除为主，术后常规辅以化疗、免疫治疗。③Ⅲ期胃癌已属进展期，手术以扩大根治性切除为主，术后更应强调放化疗、靶向治疗等综合性疗法；④Ⅳ期胃癌属晚期，以非手术治疗为主。</p><p>（一）手术治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">手术切除是胃癌的主要治疗手段，也是目前能治愈胃癌的唯一方法。胃癌手术分为根治性手术和姑息性手术，应力争根治性切除。对于Tis（原位癌）和T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1a</span>期患者，无论身体状况评估如何，有经验的中心均可行内镜下黏膜切除术（EMR）和内镜下黏膜下剥离术（ESD）。T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1b</span>～T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>应切除足够的胃，保证显微镜下切缘阴性（一般是距离肿瘤5cm）。T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>期肿瘤应将累及组织整块切除。无法切除的肿瘤除非存在症状，否则不应行姑息性胃切除，可行胃空肠吻合术或胃造瘘术缓解症状。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此外通过内镜应用电灼、激光、微波、注射无水乙醇（酒精）等方法亦可取得一定效果。对于出血和梗阻的患者，内镜下金属支架置入术和经皮胃镜内造瘘术的治疗方案已经占据了和传统外科手术同等重要的位置。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">腹腔镜探查作用受到重视，NCCN指南建议对T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>或淋巴结阳性的患者考虑腹腔镜探查确定分期，并进行腹腔冲洗。腹腔冲洗液脱落细胞学检查阳性，是提示根治术后高复发风险的独立预测因素。</p><p>（二）非手术治疗1.化学疗法</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要用于3个方面：术前新辅助化疗，通过缩小原发灶，降低分期，增大根治性切除可能性；术后辅助化疗，旨在根治性切除术后，清除隐匿性微转移灶，防止复发；而对肿瘤播散者，则希望通过化疗可以控制症状，延长生存。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5-FU是胃癌治疗的基础药物，衍生物通过改善剂型而增效。优氟啶（UFD）是FT 207和尿嘧啶1∶4混合物，后者在细胞内抑制5-FU降解而增效；S-1是新一代UFT类药物的代表，配方中CDHP可抑制5-FU降解。去氧氟尿苷（5′-DFUR）疗效指数大于5-FU的7～10倍。卡培他滨经酶作用后生成活性5-FU，在肿瘤中浓度是正常组织的3～10倍，副作用较5′-DFUR少。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">新一代药物：紫杉类：紫杉醇（Paclitaxel）和多西紫杉醇（Docetaxel）；</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">第三代铂类：奥沙利铂（Oxaliplatin）；</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">拓扑异构酶Ⅰ抑制剂：伊立替康（CPT-11）；</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">新型口服氟尿嘧啶类：卡培他滨（Capecitabine）和S-1。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）挽救治疗（姑息化疗）：晚期胃癌是不能治愈的。与最佳支持治疗相比较，化疗能明显改善患者生存率。在生存率方面，联合化疗疗效优于5-FU单药。联合化疗中，5-FU和DDP联合加或不加蒽环类药物，以加蒽环类药物疗效较好。卡培他滨和奥沙利铂代替FU和DDP作为Ⅰ类证据获得NCCN推荐。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">而三药联合方案并未显示出较两药方案明显的优势。改良的多西他赛联合FU和DDP方案减少了毒性，可使身体状况好的患者获益。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2012NCCN推荐DCF及其改良方案、ECF及其改良方案、5-FU为基础的化疗方案、紫杉醇为基础的化疗方案为一线治疗方案；指南还增加了二线治疗推荐，包括伊立替康单药或联合DDP、多西他赛单药或联合紫杉醇+伊立替康方案。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床常用方案如下：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180523-1527065090687063146.jpg\" title=\"1527065090687063146.jpg\" alt=\"胃癌-治疗-1.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 906px; table-layout: fixed;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前欧洲许多学者将ECF作为胃癌的标准方案，并在许多临床研究中作为对照方案。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180523-1527065114066048799.jpg\" title=\"1527065114066048799.jpg\" alt=\"胃癌-治疗-2.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 896px; table-layout: fixed;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DCF方案不良反应较严重，在＞65岁的患者中治疗获益/风险比稍差，不宜用于老年胃癌患者。目前尚有多种改良DCF方案。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">6）S1单药或联合治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">S1单药：体表面积＜1.25m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2&nbsp;</span>40mg每日2次口服；1.25m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>≤体表面积＜1.5m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2&nbsp;</span>50mg每日2次口服；体表面积≥1.5m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2&nbsp;</span>60mg每日2次口服，4周，停2周。可用于年老体弱、体力状况较差的患者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">S1联合DDP：S1 40～60mg，每日2次，3周，休息2周，DDP 60mg/m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>第8天静脉滴注。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">7）FOLFIRI方案</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180523-1527065152162063110.jpg\" title=\"1527065152162063110.jpg\" alt=\"胃癌-治疗-3.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 890px; table-layout: fixed;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前仍不能确定晚期胃癌的规范标准化疗方案。临床上化疗方案的选择需依患者的一般状况、治疗的耐受性和肿瘤内科专家的个人经验而决定。</p><p>2.辅助治疗（1）术前化疗（新辅助化疗）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">术前化疗用于估计根治手术切除有困难或不可能，且有远处转移倾向的局部晚期胃癌。术前辅助化疗的多个临床试验有了肯定的结果，大多新辅助化疗采用术前3个疗程化疗，MAGIC试验提示ECF方案在新辅助化疗中的合理性。（见挽救治疗）</p><p>（2）术后辅助化疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早期胃癌根治性手术，其中T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>N<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>&nbsp;和T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>N<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>中无不良预后因素的患者只需要随访；但T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>N<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>中有不良预后因素的患者（肿瘤细胞分化差、分级高、淋巴管血管有侵犯，年龄＜50岁）和中晚期胃癌接受根治性或姑息性手术后都需接受辅助治疗。NCCN指南推荐进展期胃癌（T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>以上或N+），术后可行紫杉醇联合放疗的治疗方案（Ⅰ级证据）；术前新辅助治疗的患者，建议术后可用ECF或改良方案进行治疗（Ⅰ级证据）。最近随访数据显示，S1单药辅助化疗可提高胃癌患者术后5年生存率。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于局部晚期的胃癌患者需术后辅助化疗，在大多学者已达成共识，但化疗方案、辅助化疗持续的时间尚无规范。术后辅助化疗多以静脉全身化疗为主，也有同时进行术后早期腹腔内化疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">建议化疗方案：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1）FOLFOX：见“挽救治疗”。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2）ECF方案：见“挽救治疗”。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">腹腔内化疗对清除腹腔内转移或复发的肿瘤有较好疗效，一般提倡大容量（2L左右）、大剂量（如5-FU、MMC、DDP）给药，化疗药物灌注液加温至42℃左右可提高疗效，低渗液在短时间内也有杀灭癌细胞的作用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">抗癌药物的毒性作用主要为消化道反应，心脏、造血系统、肝肾功能损害、脱发与皮肤反应。用药期间应定期检查。此外，某些抗癌药已制成多相脂质体，可增加其对肿瘤细胞的亲和性，增加疗效，减少毒副作用。</p><p>（三）放射治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">放射治疗主要用于胃癌术后辅助治疗，不可手术的局部晚期胃癌的综合治疗，以及晚期胃癌的姑息治疗，可使用常规放疗技术。T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>N<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>期患者可随访或采取放化疗联合（氟尿嘧啶（FU）或紫杉类为基础联合放疗增敏）治疗。</p><p>（四）靶向治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">其高效低毒特性越来越引起临床医师的重视。</p><p>1.HER2检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">NCCN指南建议，对不能手术的局部进展期胃癌、复发或转移的胃或胃食管结合部癌，治疗前应采用免疫组化（IHC）或荧光原位杂交（FISH）检测人表皮生长因子受体2（HER2）过表达情况。HER2强阳性患者可应用曲妥珠单抗联合化学治疗。首次8mg/kg静脉给药，以后每3周按6mg/kg给药。</p><p>2.表皮生长因子受体（EGFR）抑制药</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">EGFR属酪氨酸激酶受体，在进展期胃癌高度表达。EGFR抑制药包括胞外单抗（mABs）如西妥昔单抗等；胞内抑制药（TKIs），如吉非替尼、拉帕替尼等。上述药物与标准化疗方案联合的多项Ⅲ期研究正在进行中。</p><p>3.血管生成抑制剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肿瘤血管生成与肿瘤生长、转移有关。血管内皮生长因子（VEGF）在胃癌组织中的表达与胃癌复发、预后有关。贝伐单抗（阿瓦斯汀）是重组人源化抗VEGF单抗，其与顺铂、依立替康联合治疗晚期胃癌的Ⅰ期临床研究已完成。</p><p>（五）中药治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可作为对晚期胃癌的一种辅助治疗。</p><p>（六）营养支持、其他症状的控制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">合理补充营养或人工营养支持。如果患者不能口服进食，应考虑肠内管饲营养。积极缓解疼痛、食欲缺乏、恶病质、贫血、出血等症状，改善患者生活质量。</p><p>【随访】</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">所有接受治疗的患者都应进行随访。一般为治疗后1～3年内每3～6个月1次，治疗后3～5年每6个月1次，5年后每年1次。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5309', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '283', '预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胃癌的预后取决于肿瘤的部位与范围、组织类型、浸润胃壁的深度、转移情况、宿主反应、手术方式等。女性较男性预后要好；远端胃癌较近端胃癌的预后好。5年存活率：Ⅰ期胃癌术后可达90%以上，Ⅱ期胃癌为70%左右，Ⅲ期胃癌为25%～50%，Ⅳ期胃癌＜10%。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5310', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '283', '预防', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">注意饮食卫生、避免或减少摄入可能的致癌物质，多进食含维生素C丰富的蔬菜、水果等。对癌前期病变，要密切随访，以便早期发现，及时治疗。对遗传性弥漫性胃癌家族史并携带CDH<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>种系突变的年轻患者，推荐进行遗传咨询，可考虑实施预防性胃切除术。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5311', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1650', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">至今手术切除仍是原发性肝癌（以下简称肝癌）最有效的治疗方法。肝癌外科的发展大致经历了以下三个阶段：20世纪50～60年代，由于肝外科解剖学基础和生化基础的确立，规则性肝切除成为肝癌根治性治疗的可能手段。但由于手术者多为大肝癌，手术死亡率较高，5年生存率较低。70～80年代，由于AFP用于普查和临床诊断，以及影像学技术的发展。使肝癌的早期发现、早期诊断和早期治疗成为可能。使肝癌的病程、诊断、治疗概念得以更新，小肝癌的发现和局部切除是小肝癌外科治疗取得较好远期疗效的主要原因。使肝癌手术切除率提高，手术死亡率明显下降，小肝癌术后5年生存率可达60%～70%。80年代以来，随着现代科技的进步，使肝癌治疗新技术不断出现，其中尤以局部治疗的发展更为突出。提高了部分无法手术切除肝癌的疗效，而“不能切除肝癌的综合治疗与二期切除”的出现使肝癌的外科治疗出现新的转机，亦使切除以外的各种姑息性外科治疗如肝动脉插管（HAI）、结扎（HAL）、冷冻、微波、术中瘤内无水乙醇注射等以及肝癌局部治疗的地位有所上升；同时由于对肝癌复发、转移问题的重视，使亚临床复发、转移的早期发现和再手术成为可能；肿瘤外科生物学概念的进展和肝癌综合治疗的广泛应用，扩大了临床治疗的范围，均使肝癌的治疗疗效和总体预后获得了明显的改善。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年，肝癌外科治疗的主要进展包括：早期切除、难切部位肝癌的一期切除和再切除、不能切除肝癌的二期切除、姑息性外科治疗、肝移植等。小肝癌治疗已由单一切除模式转变为切除为主的多种方法的合理选用。近年大肝癌外科的趋势为：①明显提高了难切部位肝癌的切除率。1998年Takayama等报道30例尾叶肝癌切除的5年生存率达41%。②对合并门静脉、肝静脉、下腔静脉较局限的癌栓采用较积极的外科治疗。Tanaka等报道62例门脉主干或一级分支癌栓者行切除和癌栓取除，中位生存期305天，而保守治疗者仅90天。③对原先无法耐受巨量肝切除者，先行超声引导肝内门脉无水乙醇注射，待对侧肝代偿增大后再行肝癌切除。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5312', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1650', '流行病学', '<p>1.发病率</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">原发性肝癌较之继发性肝癌虽为罕见，但在我国其实际发病率却远较欧美为高。据Charache统计：美洲原发性肝癌与继发性肝癌之比例在1∶21～64之间，Bockus估计则在1∶40左右；但在我国，原发性肝癌与继发性肝癌之比则通常在1∶2～4之间。又据Berman报道：原发性肝癌在美国的尸检资料中平均占0.25%，占所有癌瘤患者之2.1%；Maingot估计原发性肝癌在欧洲约占尸检资料的1%，占癌瘤患者之1.2%。但我国病理学会在1958年综合全国38个医学院校21 706例尸检资料，原发性肝癌占全部尸检的1.2%，占癌瘤939例中之26.2%，为尸检时最常见的病变。近年来不少地区进行了有关肝癌的普查工作，肯定原发性肝癌是我国常见恶性肿瘤之一，其发病率平均约在10/10万人口左右；有些地区的发病率特高，如江苏启东县的肝癌发病率及死亡率分别为55.63/10万及47.93/10万人口，广西扶绥县的肝癌死亡率亦达40.67/10万。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患者大多为男性，其与女性之比约为6～10∶1。患者之年龄则多在中年前后，以30～50岁最多见，20～30岁者次之，其发病年龄较一般癌瘤为低。作者曾遇1例原发性肝癌为3岁男孩，于1961年8月作楔形切除后8个月发生肺部转移。文献中报道的原发性肝癌，最幼患者仅为4个月的婴儿（Steiner，1938），林兆耆等报道，年龄最小者5个月，最大者71岁。徐品琏等报道，男女之比为3.3∶1（44∶13），年龄最小者为12岁，最大者70岁，绝大多数患者（50/57例=87.7%）是在30～59岁之间。</p><p>2.病因</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">原发性肝癌的真实病因，像其他癌肿一样，至今尚未明确，据临床和实验的观察，可能与下列因素有关：</p><p>（1）肝硬化：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝硬化与肝癌的关系极为密切。据临床观察，肝癌患者约65%～80%并有肝硬化现象，而据尸检之资料，约4.5%～10%的肝硬化患者并有肝细胞癌。大概患肝硬化者，其肝细胞有代偿性增生，一旦此种增生超过正常范围，即有可能转变为癌。亦可能某种刺激因素先使肝脏产生硬变，再进而转化为癌。然而年龄较轻的肝癌患者多不伴有肝硬化，故肝癌与肝硬化的关系尚不能谓已完全确定无疑。温州医学院附属医院57例肝癌中仅13例（24.5%）伴有肝硬化，而第二军医大学第一医院181例肝癌中有126例（69.6%）合并肝硬化。</p><p>（2）慢性炎症：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">任何病变可导致肝脏广泛炎症和损害者，均可能引起肝脏的一系列变化，并最后导致肝癌之发生。Sanes曾观察到在肝内胆管结石及胆管炎的基础上发生胆管细胞癌的事实。Stewart等则曾结扎实验动物的肝胆管使发生胆汁积滞，结果导致胆管黏膜的乳头状及腺瘤样增生，且伴有明显的核深染色及丝状分裂现象。</p><p>（3）肝寄生虫病：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝寄生虫病与肝癌的发生可能有关。它可能先引起肝脏的硬变，再进而发生癌变；也可能是由于肝细胞直接受到刺激的结果。但不少学者也注意到在印度尼西亚爪哇地方肝癌很常见，而该地既无肝蛭亦无血吸虫流行；在埃及则血吸虫病颇多而肝癌鲜见；因此肝寄生虫病与肝癌的关系尚有待进一步研究。</p><p>（4）化学品的刺激：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">化学物质有致癌之作用者，迄今已发现有250种以上，其中凡属有机的偶氮化合物具有导致肝癌的可能性。早在1932年，Yoshida即已发现把某些偶氮染料饲喂家鼠，能诱发原发性肝癌；而食品中常用的着色染料如“奶油黄”即为一种偶氮化合物（二甲氨基偶氮苯，P-dime-thyl-amino-azobenzene），由此导致肝癌发生自亦可能。偶氮染料在化学结构上与胆固醇酯、求偶素及胆酸等颇相近似，故此等物质在体内的自然存在，也可能是诱发肝癌的一因素。</p><p>（5）营养不良：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">长期的营养不良，特别是蛋白质和维生素B的缺乏，于肝癌的发生有一定影响。已经证明：癌组织中含有多量的biotin，它与癌肿的生长与发展或有密切关系；而禽卵蛋白中则含有另一物质称为avidin，能使biotin的吸收减少，作用迟缓，且可保护肝脏免遭毒害，对肝脏毒素有解毒作用。Smith曾将卵蛋白和奶油黄共饲家鼠，发现可以使肝硬化与肝癌的发生率大为减少。酵母内的食物性因素，特别是复合维生素B或者核黄素，亦可减轻或抑制这些损害的发生。因此，长期的营养不良可能使肝脏易受毒素作用，最终导致肝癌。</p><p>（6）其他因素：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">霉菌毒素中的黄曲霉毒素（aflatoxin）对实验动物有肯定的致癌作用，故人类如食用被黄曲霉毒素污染的花生或其他粮食制品，也可引起肝癌。先天性缺陷及种族或家族的影响，亦曾疑与某些肝癌的发生有关。其他如外伤、静脉充血等亦曾被疑为肝癌之病因，但均无确定佐证。</p><p>3.预防</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在中国，75%～80%的肝硬化和90%以上的肝癌与慢性乙型肝炎相关，还有相当部分的肝硬化和肝癌与丙型肝炎相关。因此慢性乙型或丙型肝炎患者预防肝癌的关键在于抑制乙肝和（或）丙肝病毒的复制、延缓肝硬化发病进程；提高自身免疫力；以及减少其他理化因素损伤等三个方面。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">乙型或丙型肝炎一旦转为慢性化，肝硬化是必然的发展趋势。现有的医学手段尚不能完全清除慢性肝病患者体内的乙型肝炎病毒。但正规的抗病毒治疗，抑制病毒的复制程度，减少肝脏损伤，还是能起到延缓肝硬化病程、减轻肝硬化程度的效果。干扰素、拉米夫定等长期抗病毒治疗可显著降低肝癌的发生。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝癌发生的因素非常复杂，乙肝病毒只是始动原因。食物中的黄曲霉素，饮水中的亚硝胺和其他污染物，某些重金属如铝、铜、锌等的密切接触，都与肝癌的发生有关系。应该通过综合的措施防止癌变的发生。尽可能避免使用损害肝脏的药物；避免进食霉变或污染的食物，避免有害的物理因子刺激，减少放射性物质对肝脏的照射。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5313', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1650', '病理', '<p>1.大体分型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">原发性肝癌肉眼观察时可以分为三种类型：</p><p>（1）结节型：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝脏多呈硬变，但有结节性肿大；其结节为数众多，常在肝内广泛分布，直径自数毫米至数厘米不等，颜色亦有灰黄与暗绿等不同。</p><p>（2）巨块型：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝脏往往有明显增大，且包有一个巨大的肿块；该肿块大多位于肝右叶，在肿块的周围或表面上则有继发的不规则突起。</p><p>（3）弥散型：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝大小多正常，有时甚至反而缩小，似有广泛的瘢痕收缩；肝表面有无数的细小结节，外观有时与单纯的肝硬化无异，只有用显微镜检查方可确认。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肉眼观察原发性肝癌既有上述不同类型，其发生之方式因此也有不同解释。有的学者认为肝癌的发生是多中心的，即癌肿是同时或相继地自不同的中心生出；也有人认为癌肿的发生是单中心的，即癌肿初起时仅有一个中心，而肝内的其他结节均为扩散转移的结果。就临床的观点看来，不论肝癌是以何种方式发生，显然结节型及弥散型的肝癌更为严重，因为这种肝癌的恶性程度很高，且病变常累及肝脏的两叶，无法手术切除，预后最差。</p><p>2.组织学分型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">以组织学论之，则原发性肝癌也可以分为以下三类：</p><p>（1）肝细胞癌（恶性肝瘤）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一般相信系由实质细胞产生，约占肝癌病例之90%～95%，主要见于男性。其典型的细胞甚大，呈颗粒状，为嗜酸性，排列成索状或假叶状，于同一病例中有时可见结节性增生、腺瘤和肝癌等不同病变同时存在，且常伴有肝硬化。</p><p>（2）胆管细胞癌（恶性胆管瘤）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可能由肝内的胆管所产生，患者以女性为多。其肿瘤细胞呈圆柱状或立方形，排列成腺状或泡状。</p><p>（3）混合型：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">即上述两种组织之混合，临床上甚为罕见。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">上述组织学上之不同类别与肉眼所见的不同类型之间并无明显关系；不论是何种组织型类，肿瘤都可呈巨块型，或者弥布在整个肝脏中。总的说来，原发性肝癌绝大多数是肝细胞癌，主要见于男性，而在女性则以胆管细胞癌为多见。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于肿瘤细胞的侵袭，肝内门静脉和肝静脉内可有血栓形成，因此约1/3的肝癌病例可有肝外的远处转移；以邻近的淋巴结和肺内最多，肋骨或脊柱次之，其他的远处转移则属罕见。上项远处转移，亦以肝细胞癌发生较早，而胆管细胞癌发生肝外转移者少见。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5314', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1650', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">原发性肝癌的临床病象极不典型，其症状一般多不明显，特别是在病程早期；而其病势的进展则一般多很迅速，通常在数星期内即呈现恶病质，往往在几个月至1年内即衰竭死亡。临床病象主要是两个方面的病变：①肝硬化的表现，如腹水、侧支循环的发生，呕血及肢体的水肿等；②肿瘤本身所产生的症状，如体重减轻、周身乏力、肝区疼痛及肝脏肿大等。根据患者的年龄不同、病变之类型各异，是否并有肝硬化等其他病变亦不一定，故总的临床表现亦可以有甚大差别。一般患者可以分为四个类型：</p><p>（1）肝硬化型：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患者原有肝硬化症状，但近期出现肝区疼痛、肝脏肿大、肝功能衰退等现象；或者患者新近发生类似肝硬化的症状如食欲减退、贫血清瘦、腹水、黄疸等，而肝脏的肿大则不明显。</p><p>（2）肝脓肿型；</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患者有明显的肝脏肿大，且有显著的肝区疼痛，发展迅速和伴有发热及继发性贫血现象，极似肝脏的单发性脓肿。</p><p>（3）肝肿瘤型：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此型较典型，患者本属健康而突然出现肝肿大及其他症状，无疑为一种恶性肿瘤。</p><p>（4）癌转移型：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床上仅有癌肿远处转移之表现，而原发病灶不显著，不能区别是肝癌或其他癌肿；即使肝脏肿大者亦往往不能鉴别是原发性还是继发性的肝癌。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">上述几种类型以肝肿瘤型最为多见，约半数患者是以上腹部肿块为主诉，其次则为肝脓肿型，约1/3以上的病例有上腹部疼痛和肝脏肿大。肝癌的发生虽与肝硬化有密切关系，但临床上肝癌患者有明显肝硬化症状者却不如想象中之多见。除上述几种主要类型外，钟学礼等曾描述肝癌尚有突出的表现为阻塞性黄疸、腹腔内出血、血糖过低、胆囊炎和胆石症、慢性肝炎及腹内囊肿等现象者，共计将肝癌分成十种类型。作者则观察到不少肝癌可有上腹部饱胀不适、食欲减退、消瘦乏力等类似胃病的表现。此外，林兆耆等观察到肝癌患者有时周围血中白细胞数和中性粒细胞的百分比显著增加，骨髓检查则显示粒细胞显著增生，类似白血病；亦有因原发性肝癌细胞转移至腰椎引起损坏，表现为脊髓截瘫者，其实即是癌肿转移的一种表现而已。</p><p>1.症状</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝癌患者虽有上述各种不同的临床表现，但其症状则主要表现在全身和消化系统两个方面。约60%～80%患者有身体消瘦、食欲减退、肝区疼痛及局部肿块等症状。其次如乏力、腹胀、发热、腹泻等亦较常见，约30%～50%的患者有此现象；而黄疸和腹水则较国外报道者少，仅约20%的患者有此症状。此外还可以有恶心、呕吐、水肿、皮肤或黏膜出血、呕血及便血等症状。</p><p>2.体征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患者入院时约半数有明显的慢性病容（少数可呈急性病容）。阳性体征中以肝脏肿大最具特征：几乎每个病例都有肝肿大，一般在肋下5～10cm，少数可达脐平面以下。有时于右上腹或中上腹可见饱满或隆起，扪之有大小不等的结节（或肿块）存在于肝脏表面，质多坚硬，并伴有各种程度的压痛和腹肌痉挛，有时局部体征极似肝脓肿。唯当腹内有大量腹水或血腹和广泛性的腹膜转移时，可使肝脏的检查发生困难，而上述的体征就不明显。约1/3的患者伴有脾脏肿大，多数仅恰可扪及，少数亦可显著肿大至脐部以下。20%的患者有黄疸，大多为轻中度。其余肝硬化的体征如腹水、腹壁静脉曲张、蜘蛛痣及皮肤黏膜出血等亦时能发现；其中腹水尤属常见，约40%的患者可能有之。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">上述症状和体征不是每例原发性肝癌患者都具有，相反有些病例常以某几个征象为其主要表现，因而于入院时往往被误诊为其他疾病。了解肝癌可以有不同类型的表现，当可减少诊断上的错误。</p><p>3.少见的临床表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">旁癌综合征为肝癌的少见症状，如红细胞增多症、低血糖症等。红细胞增多症占肝癌患者中的10%左右，可能与肝细胞癌产生促红细胞生成素有关。低血糖症发生率亦为10%左右，可能与肝癌细胞可异位产生胰岛素或肝癌巨大影响肝糖的储备有关。但近年临床上肝癌合并糖尿病者并不少见。文献中经常罗列不少其他旁癌综合征，如高钙血症、高纤维蛋白原血症、高胆固醇血症等，但临床实践中并不多见。</p><p>4.转移</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝癌的血路转移较多。侵犯肝内门静脉可致肝内播散；侵入肝静脉则可播散至肺及全身其他部位。肺转移常为弥散多个肺内小圆形病灶，亦有粟粒样表现或酷似肺炎和肺梗死者；如出现在根治性切除后多年者，则常为单个结节。肺转移早期常无症状，以后可出现咳嗽、痰中带血、胸痛、气急等。骨转移在晚期患者中并不少见，肾上腺、脑、皮下等转移亦可见到。骨转移常见于脊椎骨、髂骨、股骨、肋骨等，表现为局部疼痛、肿块、功能障碍等，病理性骨折常见。脑转移可出现一过性神志丧失而易误为脑血管栓塞。肝癌亦可经淋巴道转移至附近的淋巴结或远处淋巴结，常先见于肝门淋巴结，左锁骨上淋巴结转移亦时有发现。肝癌还可直接侵犯邻近器官组织，如膈、胃、结肠、网膜等。如有肝癌结节破裂，则可出现腹膜种植。</p><p>5.并发症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常见的并发症包括肝癌结节破裂、上消化道出血、肝功能障碍、胸腔积液、感染等。少见者如因下腔静脉栓塞出现的相应症状等。肝癌患者的死亡原因通常为全身衰竭、肝性脑病、上消化道出血以及肝癌结节破裂内出血，偶见因肝静脉或下腔静脉癌栓脱落导致肺梗死而死亡。肝癌结节破裂表现为急腹痛，如小破裂可误为胆囊炎或急性阑尾炎，腹腔穿刺有血腹即为明证。上消化道出血多因食管胃底静脉曲张破裂出血，伴门静脉主干癌栓者可加重门静脉高压；上消化道出血还可能是肝功能障碍导致凝血机制低下、化疗药物损伤消化道黏膜等综合因素的结果。肝功能障碍常先有黄疸、腹水，最终出现肝性脑病。胸腔积液多见于右侧，右侧血性胸腔积液可因右叶肝癌侵犯横膈所致。</p><p>6.自然病程</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">过去报道肝癌的平均生存期仅2～5个月，但小肝癌研究提示，肝癌如同其他实体瘤一样也有一个较长的发生、发展阶段。复旦大学肝癌研究所资料显示，肝癌的自然病程至少两年。小肝癌如用药物治疗，其1、2、3、4、和5年生存率分别为72.7%、36.4%、13.6%、13.6%和0%；这一结果与Ebara报道的结果相仿，其小肝癌（＜3cm）的1、2和3年生存率为90.7%、55.0%和12.8%。如果从患者患肝炎开始，由最早证实乙型肝炎开始至亚临床肝癌的发生，中位时间为10年左右。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5315', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1650', '实验室检查', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝癌的实验检查包括肝癌及其转移灶，肝病背景，患者的免疫功能，其他重要脏器的检查等，其中肝癌标记占最重要的地位。</p><p>1.甲胎蛋白（AFP）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1956年Bergstrand和Czar在人胎儿血清中发现一种胚胎专一性甲种球蛋白，现称甲胎蛋白。1964年Tatarinov在肝细胞癌患者血中测得AFP。这种存在于胚胎早期血清中的AFP在出生后即迅速消失，如重现于成人血清中则提示肝细胞癌或生殖腺胚胎癌，此外妊娠、肝病活动期、继发性肝癌和少数消化道肿瘤也能测得AFP。至今，AFP仍为肝细胞癌诊断中最好的肿瘤标记，其引申包括AFP的异质体与单抗。我国肝癌患者约60%～70%AFP高于正常值。如用免疫反应或其他方法测得患者血内含有此种蛋白，要考虑有原发性肝细胞癌可能，而在胆管细胞癌和肝转移性癌则不会出现此种异常蛋白。试验的准确性仅为70%～80%，但本试验一般只有假阴性而极少假阳性；换言之，原发性肝癌患者AFP测定有可能为阴性，而试验阳性者则几乎都是肝癌患者，这对肝细胞癌与其他肝病的鉴别诊断有重要意义。由于AFP在寡聚糖链结构上的不同，用扁豆凝集素（LCA）和刀豆素A（Con A）可将其分为LCA亲和型与不亲和型，以及Con A亲和型与不亲和型。AFP异质体的检测有助良、恶性肝病的鉴别，有助原发与继发性肝癌的鉴别。</p><p>2.其他实验室检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">随着病情的发展，多数患者可有不同程度贫血现象。白细胞计数虽多数正常，但有些病例可有明显的增加，可增至20x10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L以上。林兆耆报道的207例肝癌中有2例呈类白血病反应，其白细胞数分别增至120x10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L和88.5x10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L，中性粒细胞分别占95%与99%，且细胞内出现毒性颗粒。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">各种肝功能试验在早期的原发性肝癌病例多无明显变化，仅于晚期病例方见有某种减退。总体来说，肝功能试验对本病的诊断帮助不大。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5316', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1650', '影像学检查', '<p>1.超声波检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝癌常呈“失结构”占位，小肝癌常呈低回声占位，周围常有声晕；大肝癌或呈高回声，或呈高低回声混合，并常有中心液化区。超声可明确肝癌在肝内的位置，尤其是与肝内重要血管的关系，以利指导治疗方法的选择和手术的进行；有助了解肝癌在肝内以及邻近组织器官的播散与浸润。通常大肝癌周边常有卫星结节，或包膜不完整；超声显像还有助了解门静脉及其分支、肝静脉和下腔静脉内有无癌栓，对指导治疗选择和手术帮助极大。术中超声有助检出术前遗漏的小肝癌，可更清晰地反映肿瘤与重要管道的相互关系，指导肝段或亚肝段切除，供冷冻治疗深度的监测。彩色超声有助了解占位性病变的血供情况，对肝癌与肝血管瘤的鉴别诊断有重要帮助；凡有动脉血供的占位性病变，又有HBV/HCV背景者，应高度警惕。超声还可用于作细针穿刺活检，或作瘤内无水乙醇注射；还可了解癌周肝是否合并肝硬化，对肝细胞癌的诊断有辅助作用。超声显像的优点：为非侵入性，易于重复应用，价格相对较低廉，无放射性损害，敏感度高。缺点为：存在超声难以测到的盲区，影像的清晰度受治疗的影响（如经导管化疗栓塞后），受操作者解剖知识、经验与操作细致与否的影响。</p><p>2.电子计算机断层扫描（CT）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">CT在肝癌诊断中的价值有：有助提供较全面的信息，除肿瘤大小、部位、数目外，还可了解肿瘤内的出血与坏死，其分辨力与超声显像相仿；有助提示病变性质，尤其增强扫描，有助鉴别血管瘤。通常肝癌多呈低密度占位，增强扫描后期病灶更为清晰；近年出现的螺旋CT，对多血管的肝癌，动脉相时病灶明显填充；CT肝动脉-门静脉显像在肝癌诊断中的价值也得到重视；碘油CT有可能显示0.5cm的肝癌，即经肝动脉注入碘油后7～14天再作CT，则常可见肝癌结节呈明显填充，既有诊断价值，又有治疗作用；CT还有助了解肝周围组织器官是否有癌灶。CT的优点是提供的信息比较全面，缺点是有放射线的影响，且价格比超声高。</p><p>3.磁共振成像（MRI）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">MRI的优点是：能获得横断面、冠状面和矢状面三维图像；对软组织的分辨较好；无放射线影响；对与肝血管瘤的鉴别有特点；不需要增强即可显示门静脉和肝静脉分支。通常肝癌结节在T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>加权图呈低信号强度，在T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>加权图示高信号强度。但亦有不少癌结节在T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>示等信号强度，少数呈高信号强度。肝癌有包膜者在T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>加权图示肿瘤周围有一低信号强度环，而血管瘤、继发性肝癌则无此包膜。有癌栓时T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>呈中等信号强度，而T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>呈高信号强度。</p><p>4.放射性核素显像</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于超声显像、CT、MRI等的问世，核素显像在显示小肝癌方面已落后于前者。近年由于单光子发射计算机断层仪（SPECT）的出现，使放射性核素显像又重新受到重视。血池扫描有助肝血管瘤与肝癌的鉴别。近年由于放射免疫显像的兴起，采用放射性核素标记相对特异抗体，可能获得肿瘤的阳性显像。通常的核素扫描，肝癌多呈阴性缺损区。但用<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">99</span>Tc-PMT肝胆显像剂作延迟扫描，约60%肝癌，尤其分化好的肝癌有可能获得阳性显像。近年正电子发射计算机断层显像（PET）的问世，将有助了解肿瘤代谢，研究细胞增殖，进行抗癌药物的评价，以及预测复发等。</p><p>5.肝动脉和门静脉造影</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于属侵入性检查，近年已不如超声显像与CT的常用。通常仅在超声与CT仍未能定位的情况下使用。近年出现数字减影血管造影（DSA）使其操作更为简便。肝癌的肝动脉造影的特征为：肿瘤血管、肿瘤染色、肝内动脉移位、动静脉瘘等。肝动脉内注入碘油后7～14天作CT，有助0.5cm小肝癌的显示，但有假阳性。目前肝癌作肝血管造影的指征通常为：临床疑肝癌或AFP阳性，而其他影像学检查阴性；多种显像方法结果不一；疑有卫星灶需作CTA者；需作经导管化疗栓塞者。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5317', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1650', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">20世纪60年代末AFP的应用将“临床诊断”推进到“亚临床诊断”；80年代医学影像学的进步使亚临床诊断提高到1cm的水平。目前肝癌的诊断还是依靠甲胎蛋白结合影像学的分析。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血清AFP通常正常值为20μg/L以下。凡AFP＞500μg/L持续1个月或AFP＞200μg/L持续2个月而无肝病活动证据，可排除妊娠和生殖腺胚胎癌者，应高度怀疑肝癌，通过影像学检查加以确诊。对肝癌诊断而言，假阳性主要来自与胚肝、卵黄囊、胚胎胃肠道有关的少数良、恶性疾病，尤其是肝炎与肝硬化伴活动性病变者。AFP对肝细胞癌的临床价值可归纳为：为各种诊断方法中专一性仅次于病理检查的诊断方法；为目前最好的早期诊断方法之一，可在症状出现前6～12个月作出诊断；为反映病情变化和治疗效果的敏感指标；有助检出亚临床期复发与转移。又肝癌患者病情变化时其血清的AFP浓度也会随之变化，病情好转时AFP浓度降低，病情恶化时AFP浓度升高，故甲胎蛋白的定期复查，对判断肝癌患者的疗效和预后也有一定价值。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">单凭发病史、症状和体征及各种化验资料分析，最多仅能获得本病的拟诊，而确切的诊断则有赖于病理检查和癌细胞的发现，临床上大多通过下列不同的方法来达到确定诊断的目的：①肝脏穿刺；②腹水或胸腔积液中找癌细胞；③锁骨上或其他淋巴结或转移性结节之活组织检查；④腹腔镜检查；⑤剖腹探查等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝脏穿刺是诊断肝癌最常用的一种方法。如穿刺方法正确，应该没有多大危险性而又能获得较高的确诊率。穿刺途径以经由腹壁刺入为佳，且必须从可以扪及的结节处刺入，如此可有较多的机会找到癌组织或癌细胞，否则盲目穿刺，失败的机会必然较多。穿刺前应常规测定出凝血时间及凝血酶原时间，有出血趋势者穿刺应属禁忌；有深度黄疸或显著之血管硬化者亦忌穿刺。刺入之深度一般不应超过8cm，针头拔出后应紧压穿刺点3～5分钟，如此当可避免严重之穿刺后腹内出血。抽出物仅为少量黄白色的癌组织碎块，大多混在血液中，或者附着在注射器之内壁或穿刺针内，应小心用盐水冲洗并用细纱布滤出，然后将所得活组织作成涂片或切片检查，一般确诊率约在75%～85%之间。必须指出的是，穿刺活检一般虽不致有出血危险而又能获得较高的诊断率，但它肯定有使癌细胞播散的危险；对于有手术治疗可能的患者多不采用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">腹腔镜检查亦颇有助于诊断。诊断正确率高达90%以上；林兆耆报道的病例中有35例进行过腹腔镜检查，其中28例的结果符合于临床诊断。但癌肿如位于肝脏深部或膈面，或肝周围有广泛粘连者，腹腔镜检查即不可能获得满意结果；少数病例如弥漫型肝癌与Laennec肝硬化，结节型肝癌与坏死后性肝硬化，有时单凭肉眼观察也不易辨认而可能误诊；且目前腹腔镜检查在国内因限于设备尚不普遍，故其实际应用价值似不如正确的肝脏穿刺为高。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5318', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1650', '鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对有症状的大肝癌患者，鉴别一般没有困难。但在少数病例，其表现比较特殊，即使晚期病例也可能存在诊断上的困难。误诊原因和鉴别方法大概可归纳为下列几种；</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）腹内炎性肿块误诊为肝癌，或腹内其他恶性肿瘤（如胃癌、结肠癌、胰腺癌、胆囊癌，或右侧肾癌等）误诊为肝癌。前一种情况根据病史分析、肿块硬度以及有无结节感，必要时进行穿刺活检，一般不难作出鉴别；后一类情况采用钡餐x线检查、胆囊造影或肾盂造影等方法，大多亦可作出诊断。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）原发性肝癌并有肝硬化，固有大量腹水及其他肝硬化的体征而掩盖了肝癌的存在。此在适当抽出腹水后再作体检，往往可以触得肿大而具有结节感的肝脏，必要时作肝脏穿刺，可以作出鉴别。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（3）原发性肝癌周围有明显的右上腹疼痛、发热、白细胞增多、局部压痛和腹肌紧张，被误诊为肝脓肿或胆石症等。因肝癌内部大量坏死在扪诊时可有囊性感，也可被误诊为肝脓肿或其他囊肿。偶尔，肝癌组织破溃出血，可引起剧烈腹痛及各种腹膜刺激征，甚至出现休克，被误诊为脾破裂或其他的内出血。上述各种情况的临床确诊往往非常困难，只有在剖腹探查后方能真相大白。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（4）肝癌发生转移，如转移至脊柱、脊髓引起截瘫者可误诊为脊髓肿瘤，有继发腹膜转移者可能误诊为腹膜结核。上述情况也只有在剖腹手术后或尸体解剖时方能明确诊断。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（5）各种继发性肝癌误诊为原发性肝癌。一般说来，原发性肝癌的病程进展较快，黄疸可能较深，但主要需详细检查肝脏以外其他器官有无癌肿，有时依靠甲胎蛋白检查和肝穿刺活检也能鉴别是否为原发癌。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（6）偶尔，弥散性的原发性肝癌可能误诊为Laennec肝硬化，或者结节性肝癌误诊为坏死后性肝硬化；此则唯有作肝脏穿刺或剖腹探查，方能确定诊断。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5319', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1650', '临床分期', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">国际抗盟（UICC）的肝癌TNM分期2002年第6版作了一些修改。T、N、M分类主要依据体检、医学影像学和（或）手术探查。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>　单发肿瘤，无血管浸润</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>　单个肿瘤，有血管浸润；多个肿瘤，最大者直径≤5cm</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>　多发肿瘤，最大者直径＞5cm，侵及门静脉或肝静脉的主要属支</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>　侵及除胆囊以外的邻近器官，穿透脏腹膜</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">N<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>　有区域淋巴结转移</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">M<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>　有远处转移</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">进一步分为Ⅰ～Ⅳ期：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180523-1527065242304025796.jpg\" title=\"1527065242304025796.jpg\" alt=\"原发性肝癌-临床分期-1.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 996px; table-layout: fixed;\"/></p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5320', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1650', '治疗', '<p>1.肝癌外科治疗的基本原则和手术适应证</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝癌外科治疗中的基本原则是既要最大限度切除肿瘤又要最大限度地保护剩余肝脏的储备功能。我国肝癌患者85%～90%合并有肝硬化，原则上以局部切除代替规则性切除。具体而言：①对合并明显肝硬化者，宜作局部根治性切除，2cm切缘可保证切除的根治性；②对伴有明显肝硬化，肿瘤巨大不宜做一期切除者，可作肝动脉结扎、化疗栓塞等综合治疗，待肿瘤缩小后再做二期切除。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年来，对一些特殊病例也有采取更积极的外科治疗，如：①除因肝功能失代偿所致肝细胞性黄疸外，部分因肝门区肝癌压迫或癌栓侵犯胆道所致的梗阻性黄疸患者，如无其他手术禁忌证亦可作肝癌切除合并胆道癌栓取除，常可使黄疸消退；②对于肝癌伴有门静脉主干癌栓或肝癌合并脾亢，食管胃底静脉曲张乃至出血者，如肝脏代偿功能良好，可行肝癌切除，同时门静脉取癌栓并注入抗癌药物或肝癌切除合并脾切除和断流或分流术；③对大肝癌或特殊部位的肝癌如Ⅷ段肝癌、尾状叶肝癌、肝腔结合部肝癌，若不伴肝硬化，也可积极行根治性切除。积极治疗的前提是对肝癌的可切除性要有一个准确的估计和把握，精细的影像学检查及反复的超声共参是把握能否切除的关键，另外还须主刀医师肝外科技术娴熟，助手配合默契，对大出血等并发症处理有相当的经验。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">合并肝硬化者肝切除范围原则一般为：轻度硬化可耐受半肝或扩大半肝切除，中度硬化且余肝肥大可行半肝切除，重度硬化只考虑局部切除；对术前肝功能评价，其失代偿标准一般为：总胆红素或ALT大于正常值2倍，凝血酶原时间小于正常值50%，总蛋白小于6g或白蛋白小于3g。现经术前后积极保肝和支持治疗，部分肝功能失代偿并非是肝切除的绝对禁忌证。一般有黄疸、腹水者无手术指征，但因肝门区肝癌尤其是肝门胆管细胞癌（Klatskin癌）压迫引起梗阻性黄疸者，也可考虑手术探查。或行肿瘤根治性切除，或行肿瘤姑息性切除+胆管内支架治疗。无法切除者可单行HAI+HAL或TACE，也可合并或单行PEI、局部外放射，极个别可获二期切除。无法耐受手术探查者，应尽量缓解梗阻性黄疸，可考虑行经皮肝穿刺胆管引流（PTCD）、经内镜放置鼻胆管或内支架引流等治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝癌能否切除应根据肿瘤情况、肝硬化程度等综合判断。从肿瘤角度而言，一般涉及肿瘤大小、数目、位置、是否合并癌栓等方面：①对亚临床肝癌或小肝癌，如肝功能代偿应力争手术切除，合并肝硬化者宜局部切除，对合并严重肝硬化、肝萎缩者则应慎重切除。对不能切除的小肝癌，可行姑息性外科治疗，也可术中或术后行B超引导下瘤内无水乙醇注射（PEI），未行HAI、HAL者可行经皮肝动脉化疗栓塞治疗（TACE）。肝功能失代偿者，宜首选PEI等局部治疗，少数可酌情试行TACE。②大肝癌切除包括一期切除和二期切除两方面，对肝功能代偿的大肝癌应力争根治性切除，现在认为肿瘤大小并非是可否切除的决定性因素，余肝大小和肝硬化程度是大肝癌能否切除的关键。对合并较严重肝硬化或余肝小而无法耐受根治性切除者宜采用二期切除。综合治疗是使肿瘤缩小的重要途径，一旦肿瘤缩小有切除可能应争取二期切除。同时，由于姑息性切除疗效较差，术后复发、转移机会大，应尽量避免，但对肿瘤巨大有破裂出血可能者亦应考虑，术后可辅以TACE等后续治疗。对已有肝内播散的大肝癌，可行HAI+HAL或TACE治疗。大肝癌肝功能失代偿者，只宜行免疫治疗、生物治疗或中药治疗等，少数可试行TACE。③对多发性肿瘤，结节弥散或分布于两叶者，不考虑手术切除。对肝内播散结节邻近肿瘤、有可能切除较彻底者，可手术切除，但疗效稍差。④由于肝脏管道系统错综复杂，肿瘤的解剖位置对技术上能否切除有很大影响。主要表现在中央型肝癌，尤其是Ⅰ段和Ⅷ段肝癌，过去多采用非手术切除方法。随着肝外科技术的提高，切除例数已有所增加。尽管切除中央型肝癌在技术上有较大困难，也有很大的手术风险，总体疗效也不够理想，但如有条件仍以采取积极的手术切除加术后综合治疗为好。如肿瘤与大血管关系太密切，技术上有困难，肝硬化很严重，则不应盲目尝试手术切除。⑤左叶肝癌尽可能采用左外叶或左半肝等规则性切除；右叶肝癌以局部不规则切除为主，既争取根治，又需考虑手术安全。⑥既往认为肝癌合并门脉癌栓者已失去肝切除机会。但由于其极易发生食管静脉曲张破裂出血、肝功能衰竭、顽固性腹水或肿瘤自发性破裂，导致数月内病情急剧恶化或死亡，因此近年来多主张开展积极的手术治疗。对肿瘤能切除者，行肿瘤切除+门脉切端或门脉主干、分支切开取栓，术后行TACE等治疗。对肿瘤无法切除者，可考虑行肝动脉、门静脉双插管术，但肝动脉不宜结扎。对无法耐受手术探查者，可行PEI、B超引导下经皮门静脉穿刺化疗或经皮门静脉内置管化疗，也可行经皮肝动脉化疗，栓塞治疗则宜慎用。⑦对个别肝癌合并肺转移者，由于肿瘤较大有破裂出血可能而技术上又有可能切除时，亦可考虑切除肝癌病灶。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝癌手术适应证具体为：①患者一般情况好，无明显心、肺、肾等重要脏器器质性病变。②肝功能正常或仅有轻度损害，肝功能分级属Ⅰ级；或肝功能分级属Ⅱ级，经短期护肝治疗后有明显改善，肝功能恢复到Ⅰ级。③肝储备功能正常范围。④无广泛肝外转移性肿瘤。⑤单发的微小肝癌（直径≤2cm）。⑥单发的小肝癌（直径＞2cm，≤5cm）。⑦单发的向肝外生长的大肝癌（直径＞5cm，≤10cm）或巨大肝癌（直径＞10cm），表面较光滑，界限较清楚，受肿瘤破坏的肝组织少于30%。⑧多发性肿瘤，肿瘤结节少于3个，且局限在肝脏的一段或一叶内。⑨3～5个多发性肿瘤，超越半肝范围者，作多处局限性切除或肿瘤局限于相邻2～3个肝段或半肝内，影像学显示，无瘤肝脏组织明显代偿性增大，达全肝的50%以上。⑩左半肝或右半肝的大肝癌或巨大肝癌；边界清楚，第一、第二肝门未受侵犯，影像学显示，无瘤侧肝脏明显代偿性增大，达全肝组织的50%以上。○11位于肝中央区（肝中叶，或Ⅳ、Ⅴ、Ⅷ段）的大肝癌，无瘤肝脏组织明显代偿性增大，达全肝的50%以上。○12Ⅰ段的大肝癌或巨大肝癌。○13肝门部有淋巴结转移者，如原发肝脏肿瘤可切除，应作肿瘤切除，同时进行肝门部淋巴结清扫；淋巴结难以清扫者，术后可进行放射治疗。○14周围脏器（结肠、胃、膈肌或右肾上腺等）受侵犯，如原发肝脏肿瘤可切除，应连同作肿瘤和受侵犯脏器一并切除。远处脏器单发转移性肿瘤，可同时作原发肝癌切除和转移瘤切除。以上适应证中，符合第5～8项为根治性肝切除术，符合第9～14项属相对姑息性肝切除术。</p><p>2.手术操作要点</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝癌切除有规则性和不规则性切除。肝癌肝切除术的技术，涉及的关键性步骤是患者体位、麻醉、切口的选择、肝血流的阻断、肝切除量的判断、肝实质的离断和紧贴肝门及下腔静脉肿瘤的处理等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">我们的经验是：①左叶肿瘤取平卧位，右前叶肿瘤右侧垫高45°，右后叶肿瘤90°向左侧卧位。②一般取全身麻醉加硬膜外麻醉，保证足够的肌松对肝切除极重要。③采用肋缘下斜切口，避免开胸，可显著降低术后并发症发生。④对小肝癌而言，左侧者可做左外叶切除或左半肝切除，也可以做局部切除，右叶者通常做离开肿瘤边缘2cm的局部切除，无肝硬化肝切除的极量为80%～85%。⑤采用常温下间歇性肝门阻断方法施行肝切除术，每次阻断时间应尽量控制在20分钟之内，但对有明显肝硬化者，每次肝门阻断时间应适当缩短，一般以15分钟为好。对位于肝脏周边的小肝癌可不做肝血流阻断，术中用手指挤压止血即可。⑥肝实质的离断方面采用指捏加钳夹法可显著缩短手术时间，并对深部如接近下腔静脉处的血管处理要有一个较好的手术视野。肝创面要认真止血，检查有无胆汁，用大网膜覆盖缝合固定或做创面对拢缝合。⑦对大血管损伤的处理，在肝切除实践中真正的下腔静脉横断需重新吻合的机会罕见，绝大多数为侧壁受侵，直视下予以缝合或钳夹后修补甚为安全，不需生物泵的支持。⑧术中B超有助于检测肿瘤大小、范围、有无癌栓、子灶等，利于根治性切除。⑨术中、术后充分供氧，充分引流，并给予必要的保肝治疗。</p><p>（1）控制术中出血的方法：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝脏具有复杂的管道系统，血供丰富，保证术野清楚，尽可能减少切肝时出血和避免损伤肝内外重要结构，同时尽量缩短肝缺血时间，减少术后肝功能损伤，是肝脏手术的关键。我国原发性肝癌患者约90%合并不同程度肝硬化，对出血和缺血的耐受程度均大大降低，因此要求外科医师在术中根据肿瘤部位、大小尤其是肝硬化程度，合理选用控制出血的方法。目前方法有第一肝门暂时阻断法、褥式交锁缝扎法、半肝暂时阻断法、常温下全肝血流阻断法等，其中常用者为第一肝门暂时阻断法，采用乳胶管或普通导尿管套扎肝十二指肠韧带，方法简单且控制出血较满意。对合并肝硬化者，一次肝门阻断时间不宜超过10～15分钟，但必要时可间歇阻断。对合并严重肝硬化者，也可不阻断肝门，但切肝时应细致钳夹各管道以减少出血，如有难以控制的大出血时，可以左手示指探入小网膜孔内，拇指在前，两指压迫肝蒂可暂时减少出血；或采用微波切肝，既可减少出血又可杀灭切缘残癌，一般毋需阻断第一肝门。褥式交锁缝扎法适用于病变较小而又位于肝边缘或肝组织较薄部位的肝切除，采用直针或大圆弯针距切缘约1cm处作贯穿全层肝组织的间断褥式交锁缝合。术中如估计有可能损伤下腔静脉等大血管或需切除部分下腔静脉管壁时，可采用常温下全肝血流阻断法。除乳胶管套绕肝十二指肠韧带阻断第一肝门外，可预先游离肝上、肝下下腔静脉并用细乳胶管套绕，以备随时阻断，方法为依次阻断第一肝门，肝下及肝上下腔静脉，然后切除肿瘤或修补血管，开放次序与阻断相反。此法不同于低温灌注无血切肝术，不需经门静脉和肝动脉插管冷灌注，也不需要阻断腹主动脉，操作简单、平稳，对血流动力学影响小，也无空气栓塞危险，术后并发症少。但全肝血流阻断时间受限，如合并肝硬化时阻断时间最好限定在15分钟以内，术者应具备熟练的切肝技术。</p><p>（2）无瘤手术原则：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于肝脏在腹腔内位置较高且深，暴露较困难。现虽有肝拉钩协助术野显露，但在游离肝脏过程中，有时难免使肝脏和肿瘤受到挤压，有可能增加肿瘤转移的机会。但外科医师在肝肿瘤切除过程中仍需尽量遵循无瘤手术原则，尽量不直接挤压肿瘤部位，在切肝前可在切除范围内切线和肿瘤边缘之间缝合2～3针牵引线，既有利于切线内管道显露和处理，又有利于牵拉肝实质后减少肝断面渗血，而避免术者直接拿捏肿瘤。</p><p>（3）肝断面处理：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝断面细致止血后上下缘或左右缘对拢缝合，对小的渗血点亦可达压迫止血作用。如肝断面对拢缝合张力大，或邻近肝门缝合后有可能影响出入肝脏的血流者，可采用大网膜或镰状韧带覆盖后缝合固定。近来，我们对此类肝断面常涂布医用止血胶再用游离或带蒂大网膜覆盖，止血效果满意。</p><p>3.术后并发症的预防和处理（1）术后出血：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">与术中止血不周、肝功能不佳引起的出血倾向、断面覆盖或对合不佳等有关。术前要注意患者的凝血功能，术中要争取缩短手术时间，对较大的血管要妥善结扎，断面对合给予一定的压力且不留死腔。一般保守治疗，若出血不止需探查。</p><p>（2）功能失代偿：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要原因为肝硬化条件下肝切除量过大、术中失血过多、肝门阻断时间过长。处理包括足够的氧供，血与蛋白质的及时和足量的补充及保肝治疗。</p><p>（3）胆漏：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">左半肝和肝门区肝癌切除后多见。术中处理肝创面前必须检查有无胆漏，处理主要是充分的引流。</p><p>（4）膈下积液或脓肿：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多见于右肝的切除，尤其是位于膈下或裸区者。主要与止血不佳，有胆漏或引流不畅有关。治疗主要是超声引导下穿刺引流。胸腔积液需考虑有无膈下积液或脓肿。</p><p>（5）胸腔积液：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多见右侧肝切除后。治疗主要是补充白蛋白和利尿，必要时抽胸腔积液。</p><p>（6）腹水：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多见肝硬化严重者或肝切除量大者。处理为补充白蛋白和利尿。</p><p>4.外科治疗进展（1）小肝癌切除：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早期诊断是早期切除的前提。在高危人群和体检人群中开展AFP及B超检测，使小肝癌数有显著增加，小肝癌或微小肝癌切除可有效改善预后而术后发生肝功能衰竭的危险远较大肝癌小。复旦大学肝癌研究所963例小肝癌（≤5cm）切除的5年生存率为65.1%，40年间3227例肝癌术后生存5年以上者328例，其中小肝癌占57.0%。</p><p>（2）难切部位肝癌切除：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">中央型肝癌，特别是Ⅳ段、Ⅷ段、Ⅰ段肝癌解剖位置特殊，近年来由于解剖技术不断提高，国内外均有较多报道。肿瘤侵犯腔静脉或门静脉主干而需作静脉补片或血管移植，对于肝功能良好或无肝硬化者，无血切肝法使手术过程更加从容、有效。</p><p>（3）复发性肝癌再切除：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">复发后再手术是延长无瘤生存的重要方法。复旦大学肝癌研究所154例根治切除后复发的再切除，其5年生存率自第1次手术算起为56.1%，且有55例生存5年以上，而37例行姑息性外科治疗（肝动脉结扎，插管和冷冻治疗）的5年生存率为44.4%，因此有条件者应积极提倡再手术切除。对于转移至腹腔、肺等单个病灶，若条件允许，再切除能延长患者的生命，而肝功能差，病灶深藏或多个的复发肝癌，则采用射频、微波、冷冻或TACE、瘤内药物注射等方法，疗效确实，也简单易行。</p><p>（4）肝癌的二期切除：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">巨大无法切除肝癌经综合治疗缩小后的切除，称为肝癌的二期切除。有可能使大肝癌变小的方法为：外科治疗包括HAL、OHAE、DDS等，非手术治疗的方法包括TACE、PEI、导向治疗等，目前临床上以TACE最为常用。术后病理结果表明，即使经过综合治疗肿瘤有所缩小，但仍有残瘤细胞生长，表明二期切除有其必要。目前肝癌二期切除率报道不一，主要原因在于对原发肿瘤可切除性的判断上尚缺乏统一的尺度，肝癌的二期切除虽能使部分中、晚期肝癌获得二期切除的机会，但应注重避免这一方法的盲目性应用和范围的扩大化，应有一个准确的、精细的判断：①巨大肝癌，只要包膜完整，无子灶，无血管瘤栓，肝功能代偿良好，即使靠近肝门部，也应首选一期手术，此类手术的手术死亡率和严重并发症发生率已降低至最低点，术后复发率也不一定比小肝癌高；②可切除性肝癌，只要边界清楚，无子灶，仍应首选一期切除，不必待TACE后再手术，以免部分患者失去根治切除机会，此处应将二期手术和术前TACE这两个概念区分开；③术前判断确为无法切除的巨大肝癌，首选TACE。术中探查发现的无法切除肝癌可行微波固化、冷冻、多极射频等治疗。是否作肝动脉结扎、化疗栓塞，还是留待术后做TACE尚是一个值得对比研究的问题，但后者可反复进行是其优点；④TACE有效的病例，肿瘤缩小后应不失时机地做二期切除。病理资料表明，约80%的患者TACE后瘤灶内存在生长活跃的癌组织，肝内外转移甚为常见。因此TACE仍属非根治性治疗方法，尚无法取代手术切除的地位。</p><p>（5）肝癌合并门静脉癌栓的外科治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年来随着肝癌综合治疗水平的提高及手术技术的进步，对门静脉癌栓（PVTT）治疗的认识趋于更积极，部分患者经过以手术为主的多模式综合治疗，疗效也有大幅度的提高，明显延长了生存时间，改善了生活质量。肝癌合并PVTT的手术切除指征包括：①患者一般情况较好，无明显心、肺、肾等重要脏器器质性病变；②肝功能属于Child-Pugh A或B级；③肝癌局限在半肝，无肝脏以外的转移；④估计切除原发灶的同时可一并切除主支癌栓或可经门静脉残断或切开主干能取净癌栓。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Yamaoka等总结了肝癌合并PVTT的5种切除方式：①半肝切除：肝癌原发灶位于左或右半肝，将原发灶连同PVTT及其相应的门静脉一并切除；②气囊导管法：类似Fogarty导管取栓法，暂时阻断门静脉主干，在门静脉侧壁上切一小口，从此小口中插入气囊导管，直至超过PVTT所在处，然后用匙刀吸引器刮、吸癌栓；③搭桥术：当PVTT侵及门静脉壁很难取出癌栓时，可连同PVTT所在的门静脉支一并切除，然后用自体髂外静脉在脐静脉和门静脉主干之间搭桥保持门静脉血流至肝脏；④门静脉端端吻合术：当PVTT位于肝段门静脉分支交叉口时，先暂时阻断门静脉主干及第一分支，切除PVTT所在的门静脉支，然后再行门静脉分支间端端吻合；⑤开窗术：门静脉主支或主干的癌栓，可暂时行全肝血流阻断，利用转流泵将门静脉和下腔静脉血流转流至腋静脉，纵行切开门静脉，取出PVTT，最后连续缝合门静脉切口，这样行肝切除加PVTT切除出血很少。复旦大学肝癌研究所余业勤阐述了其采用的PVTT的切除方法：当行肝切除后，在十二指肠稍上方处，左手捏住门静脉主干，再开放门静脉分支残端，因门静脉腔压力较高，癌栓即成条成块地被排出。如癌栓堵塞很紧，需钳夹或用吸引器头插入腔内将其吸出，或用导管插入生理盐水缓缓冲吸。阻断门静脉的手指放松，见残端血流喷出呈扇形，提示癌栓已全部去除，缝合门静脉分支残端。术毕，以B超即时检测门静脉主干及分支，观察癌栓是否已完全清除干净，该方法简单可行，易于推广。</p><p>（6）肝癌伴肝静脉、下腔静脉癌栓的外科治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝癌伴肝静脉癌栓并不如门静脉癌栓常见，但癌栓可通过肝静脉侵犯下腔静脉甚至右心房，因此肝静脉癌栓患者很容易产生继发性Budd-Chiari综合征、肺梗死或肺转移等。对HVTT患者，肝切除及癌栓的清除是唯一获得根治的希望，但只有一小部分有良好肝功能储备的患者能耐受手术切除。单纯癌栓清除可以防止肺栓塞或减轻癌栓引起的水肿、腹水等症状，但这样的手术效果短暂且有限，除非原发肿瘤能得到有效控制并能阻止癌栓进一步生长。即使手术能切除肿瘤及清除癌栓，预后依然很差，有报道认为术后预后与肝静脉癌栓的侵犯程度及是否伴有门静脉癌栓有关。手术技巧上，为控制出血及防止气栓形成，往往需行入肝或全肝血流阻断。复旦大学肝癌研究所吴志全等对手术进行改进，充分游离肝脏后，不阻断入肝或全肝血流，用手指控制肝上下腔静脉血流，经肝静脉断端或下腔静脉切口取栓，术式简单，对肝功能影响小，效果较好。</p><p>（7）肝癌合并胆管癌栓的外科治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HCC合并胆道癌栓的患者只要：①全身情况良好，无重要脏器严重功能障碍；②肝功能基本正常，无腹水；③肝内病灶局限于一叶或半肝内，胆管癌栓非弥漫性；④无远处转移，应尽早争取施行手术。手术治疗原则是切除肝脏肿瘤，解除胆道梗阻和清除胆道癌栓。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年来常用的手术方式有以下几种。</p><p>1）肝癌切除加胆道癌栓清除术：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此术式是本病最为理想的术式，其疗效类似于未侵犯胆管的肝癌切除。它的优点在于：①切除了肝癌原发病灶，防止癌栓继续侵入胆管；②清除了胆管癌栓，解除了胆道高压，改善了肝脏功能；③使后续治疗得以顺利进行。</p><p>2）肝癌切除加胆肠内引流术：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">若肿瘤已侵犯一侧肝门部，可行半肝切除，肝总管切除，行健侧肝管空肠Roux-y吻合术。</p><p>3）胆道探查取栓术：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HCC多伴有肝硬化，因肝硬化较重，结节样改变明显，有部分患者即使是手术中也未见肝脏肿瘤。还有相当一部分患者肿瘤较大或肿瘤侵犯第一、二肝门及周围重要血管，原发肿瘤无法切除，可行胆道切开取栓，引流减压。需要注意的是胆道单纯取栓时，可出现胆管出血，有时量很大，术中可用肾上腺素纱条压迫止血，同时行肝动脉结扎，T形管引流。</p><p>4）肝动脉栓塞化疗（TAE）加胆道引流术：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胆道癌栓与肝内原发灶接受同一动脉供血，因此TAE同时控制原发灶和胆道癌栓的生长，对肿瘤无法切除的患者也是一种积极的治疗方法。</p><p>5）肝移植：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在国外，小肝癌是肝移植的主要适应证，而大肝癌和手术无法切除的肝癌是否适合做肝移植尚存在争议。</p><p>（8）姑息性外科治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">尽管外科手术切除对肝癌的效果值得鼓舞，但临床上不能切除者占大多数，因此，切除以外的外科治疗有重要地位。切除以外的外科治疗称为姑息性外科治疗，分经血管和经手术的局部治疗。经血管的有肝动脉结扎（HAL），肝动脉插管药物灌注（HAI），门静脉插管药物灌注（PVI）及其合并应用。经手术的局部治疗包括冷冻治疗、术中微波、术中射频、术中瘤内无水乙醇注射、氩氦刀等。姑息性外科治疗的远期疗效不仅不差甚至优于有残癌的姑息切除。综合和序贯治疗能够使一部分肝癌缩小，为今后的二期切除获得根治提供了机会。</p><p>（9）肝癌的微创治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">随着医疗技术和设备的飞速发展，腹腔镜肝脏外科以及经动脉栓塞化疗（CTACE）、射频毁损治疗（RFA）、经皮无水乙醇注射（PEI）、微波治疗（MCT）、外科冷冻和激光热消融（LTA）等肝癌局部治疗方法不断兴起，应用范围逐渐扩大，疗效不断提高，为外科治疗小肝癌提供了全新的微创外科手段，射频和微波都是有效安全的高温物理方法，对于小肝癌，尤其是伴有重度肝硬化的、或位于肝门区靠近大血管的小肝癌，疗效好且损伤小。对于大肝癌，术中反复多次并结合术后TACE应用，可提高疗效。RF治疗方法应用时间短，有待今后进行深入研究。微波除热凝固效应外，还有增强机体免疫功能作用。氩氦刀冷冻是一种只在刀尖冷冻，刀柄保持常温，唯一可用氦气解冻的微创靶向冷冻仪器。刀尖在60秒内温度降至-140℃，借助氦气又可使温度急速升至+20～45℃，这种冷热逆转疗法对肿瘤摧毁更为彻底，并可调控肿瘤抗原，激活机体抗肿瘤免疫反应。氩氦刀冷冻治疗肝癌的适应证同微波和射频，术中冷冻对直径＞5cm者也有效。腹腔镜微创外科对周边型小肝癌切除是一种简便有效的方法，但因视野小，出血不易控制，临床上尚难常规应用。</p><p>（10）肝癌肝移植：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">国内肝移植近年来有了较大的发展，累计的病例越来越多，疗效肯定的主要是肝胆系统良性终末性疾病。目前一致的意见是小肝癌作肝移植比小肝癌根治切除术后的5年生存率好或相近。Yamamoto等对照研究日本国家癌症中心和美国匹兹堡医学中心的资料，其中伴有肝硬化的肝癌行肝切除者294例，行肝移植者270例，两组1、3、5、10年总体生存率相似。对伴有肝硬化的小肝癌或微小肝癌疗效确切，复发率也低。肝癌肝移植手术指征的问题一直存在争论，复旦大学附属中山医院已经开展了大肝癌肝移植的尝试，从目前的临床疗效来看，曙光初现，但是术后的肝炎复发、肿瘤复发和转移、排斥反应等问题有待在基础和临床方面进一步的研究。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝癌的治疗注重个体化及序贯治疗。临床上，应结合患者一般情况，病灶部位和数量及肝脏体积，残肝大小，有无门静脉、胆道癌栓、远处转移及肝功能状况等综合分析，提倡以手术治疗为主的综合治疗原则：①能一期切除者首选手术切除，术前不行TACE；②不能切除者，行TACE、PEI、RFA、免疫、中药治疗等，争取使肿瘤缩小后二期切除；③对于根治性切除后估计复发倾向较大者（如大肝癌、肿瘤与血管较近或血管内有癌栓），则采用手术切除附加肝动脉和（或）门静脉置泵（DDS），术中术后进行预防性或治疗性栓塞化疗；④对于术中发现多灶不能完全切除者，采用主瘤切除，子瘤无水乙醇注射或冷冻，术后继续进行TACE和（或）PEI；⑤对肿瘤大，术中游离肝脏困难，有可能因挤压致癌细胞血管内扩散或切缘有阳性可能者行冷冻后切除或加DDS，术中检查不能切除者，行冷冻、DDS，术后予TACE及PEI；⑥根治性切除术后复发者争取再切除。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一百年的肝癌治疗史上，外科治疗始终占有最重要的地位，将来肝癌外科仍将占重要地位，但肝癌治疗的模式和重点将有所改变。综合治疗是肝癌治疗的主要模式；腹腔镜下的小肝癌切除将明显增加；微创外科以及微创外科观念将受到更多的关注；肝移植的数量将逐渐增多；肝癌治疗的疗效将显著提高；癌细胞生物学特性的研究将成为重点。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5321', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '478', '病因', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胆管癌的发病率在逐年上升。患者的年龄大多在50～70岁，男性与女性的比例为2～2.5∶1。其病因尚不清楚。文献报道，先天性胆管扩张症、溃疡性结肠炎、家族性结肠息肉病、中华分支睾吸虫病患者的胆管癌发生机会比一般人群高得多。口服亚硝胺类化学物质可诱发仓鼠的胆管癌，如同时伴有胆道不完全性梗阻，则胆管癌发生率更高。甚至在行胆管空肠Roux-Y吻合术、Oddi括约肌成形术后，由于肠内容物及细菌逆流入胆管内，长期反复感染和机械性损害亦可导致胆管黏膜上皮增生、癌变。另外，胆管腺瘤亦可癌变。据上海市胆道癌临床流行病学调查资料，既往有胆囊炎病史者胆管癌的危险性升高，调整的比数比（OR）为1.9（95%CI=1～3.3）。肝硬化者胆管癌的危险性明显增加，OR为3（95%CI=1～9.1）。在我们的另一项研究中发现，胆管癌与乙型肝炎病毒感染密切相关。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5322', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '478', '病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胆管癌是指发生在左右肝管直至胆总管下端的肝外胆管癌。按其发生部位，可分为：①上段胆管癌，或称高位胆管癌、肝门胆管癌。肿瘤位于肝总管、左右肝管及其汇合部。位于后者部位的癌肿又称Klatskin瘤。②中段胆管癌。肿瘤位于胆囊管水平以下、十二指肠上缘以上的胆总管。③下段胆管癌。肿瘤位于十二指肠上缘以下、Vater壶腹以上的胆总管。其中以上段胆管癌为最多见，占胆管癌的43%～75%。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">巨检时，胆管癌可分为乳头型、结节型、硬化型和弥漫型。肿瘤可以多中心和伴发胆囊癌。乳头型肿瘤呈菜花样向腔内生长，扩张的胆管壁薄，隔着胆管壁能扪及质软肿瘤，稍能推动。结节型肿瘤呈结节状凸向胆管腔，管腔不规则狭窄，胆管壁稍增厚。硬化型肿瘤最为常见，呈一生姜样质硬肿块，剖面灰白色或淡黄色，胆管壁极度增厚，中央仅见纤细腔道，甚至完全闭锁，与正常胆管交界处呈漏斗样缩窄，有时肿瘤沿黏膜向近或远端胆管浸润延伸，黏膜增厚和发白处即为肿瘤组织。弥漫型肿瘤的胆管壁广泛增厚，呈一条索状管道结构。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">镜检时，胆管癌大部分是分化良好的有黏液分泌的腺癌，甚至在其转移灶中有时也很难找到腺体及细胞的异形。癌细胞呈腺泡状、小腺腔、腺管状或条索状排列。癌细胞为柱形，核长卵型，浅或深染，异型性不大。同一腺腔中细胞异质性，核质比例升高，核仁明显，间质和周围神经浸润。腺腔周围的间质富于细胞，并呈同心圆排列，这些都是胆管癌的重要特征。其中，正常的腺上皮和那些核大、核仁明显的腺上皮存在于同一腺腔中最具有诊断价值。硬化型胆管癌伴有明显纤维化。部分胆管癌伴有神经内分泌分化，这种癌的预后较差。胆管癌可向肝十二指肠韧带旁、肝总动脉与腹腔动脉周围淋巴结转移，亦可向胰头后和肠系膜上动脉周围淋巴结扩散，肝转移亦较多见，但较少发生远处转移。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝门胆管癌由于占胆管癌患者的大多数及解剖部位特殊，特别引人关注，1975年Bismuth-Corlette将肝门胆管癌分为4型：Ⅰ型，肿瘤位于肝总管，未侵犯汇合部；Ⅱ型，肿瘤累及汇合部，未侵犯左右肝管；Ⅲ型，肿瘤已侵犯右肝管（Ⅲ<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">a</span>型），或左肝管（Ⅲ<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">b）</span>型）；Ⅳ型，肿瘤已侵犯左右双侧肝管。这种分型法对肝门胆管癌的手术方案有指导作用。由于淋巴结转移是影响胆管癌预后的重要因素，1997年国际抗癌协会（UICC）颁布的恶性肿瘤TNM分类标准中，肝外胆管癌的肿瘤分期标准为：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">0期：T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">is</span>N<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>M<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅰ期：T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>N<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>M<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅱ期：T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>N<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>M<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅲ期：T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>N<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1～2</span>M<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span>；T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>N<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1～2</span>M<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅳ期<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">A</span>：T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>N<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0～2</span>M<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅴ期<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">B</span>：任何T N<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0～2</span>M<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span></p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5323', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '478', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胆管癌早期缺乏特异性临床表现，仅出现中上腹胀、隐痛、不适、乏力、食欲缺乏、消瘦等症状。当出现尿色加深、巩膜与皮肤黄染时，部分患者因伴有ALT轻度升高，易误诊为肝炎而进入传染病病房治疗。部分患者有胆石病史，可出现中上腹绞痛，伴畏寒、发热等症状，甚至已行胆道手术，术中发现有胆管狭窄而仅放T形管引流，再次手术时取狭窄处胆管壁活检，才发现为胆管癌。少数患者在ERCP时发现扩张的胆管内有充盈缺损，酷似结石，肿瘤较大时也可不出现黄疸。大多数患者表现为黄疸进行性加深，尿色深如红茶，大便呈陶土色，伴皮肤瘙痒。经B超、CT等检查，发现有肝内胆管扩张、肝脏肿大。肝功能检查结合胆红素和总胆红素明显升高，碱性磷酸酶和血清总胆汁酸值升高，才考虑为胆管癌而作进一步检查。上段胆管癌患者，胆囊一般萎缩，当癌肿累及胆囊管致阻塞时，胆囊亦可积液肿大。中段和下段胆管癌患者，胆囊一般肿大。上段胆管癌起先来自左或右肝管时，首先引起该侧肝管梗阻、肝内胆管扩张、肝实质萎缩和门静脉支的闭塞，门静脉血流向无梗阻部位的肝脏内转流，该肝叶便增大、肥厚，可产生肝叶肥大——萎缩复合征。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5324', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '478', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">当患者有上述临床表现，B超检查发现肝内胆管扩张，而肝外胆管未发现结石或无胆道疾病既往史，应对胆管梗阻的部位和性质作进一步检查。彩超有时可在胆管梗阻部位测及肿瘤及肿瘤内彩色血流，并测及动脉频谱，可与结石相鉴别；尚可观察肝动脉、门静脉血流情况，以判断肿瘤是否侵犯血管。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">PTC能清楚地显示梗阻近端胆管扩张，胆管断面呈截断征、鸟嘴征、不规则狭窄等各种形态，有时可见扩张的胆管内有圆形、椭圆形或结节状充盈缺损。PTC的缺点是当左、右肝管被肿瘤分割时，右侧肝内胆管容易显示，左侧显示较差。如采用多点穿刺，则增加出血、胆漏的发生率。PTC主要显示胆管腔情况，不能显示胆管壁的情况，就难以与胆管的其他狭窄性病变作鉴别诊断。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在胆管腔完全堵塞时，ERCP仅能显示梗阻远端胆管情况。如胆管高度狭窄，造影剂加压进入肝内胆管，又容易引起重症胆管炎。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">CT是目前常用的检查方法，能显示梗阻近端的胆管扩张、肝内转移病灶和区域淋巴结肿大，尚能显示胆管壁增厚或胆管腔内肿瘤，增强后胆管壁和肿瘤能强化。CT的缺点是对肝门部软组织分辨率差，不能显示完整的胆道树图像，对肝门胆管癌切除可能性的术前评估帮助不大。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">采用经PTC、PTCD或ENBD导管在胆道内注入复方泛影葡胺后行螺旋CT胆道成像，可三维重建胆道树图像，结合螺旋CT门脉血管成像，可判断门脉血管受累及的情况，为判断肿瘤能否切除提供多方面的资料。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">MRI可采用不同的扫描序列和成像参数，对肝门部软组织的分辨率高于CT，不但能显示扩张胆管的形态，还可提供胆管内肿瘤、胆管壁情况以及肝内有无转移等信息。采用磁共振胆道成像技术，不需要注射造影剂、不受胆管分隔的影响、无创伤性、无放射性、不需要依赖有专门经验的医师，且易于被患者接受，安全性好，无并发症。再结合磁共振门脉血管成像，观察肿瘤是否侵犯门静脉。这是目前影像学诊断技术的最佳选择。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肿瘤相关抗原检测是诊断胆管癌的另一条途径。血清CA19-9值的显著升高对胆管癌有一定的诊断价值，但在胆道感染时，胆管良性病变患者的CA19-9值亦可显著升高。因此，术前宜在胆道感染得到控制的情况下检测血清CA19-9值。对胆管癌，血清CA242的敏感性较CA19-9低，但特异性比CA19-9高。CA50诊断胆管癌的敏感性可达 94.5%，但特异性只有33.3%。国内梁平报道，从人胆管癌组织中提取、纯化出一种胆管癌相关抗原（CCRA），建立了血清CCRA的ELISA检测法，对胆管癌的诊断敏感性达77.78%，特异性达75%。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胆汁脱落细胞检查诊断胆管癌的阳性率太低，仅6%～27%。经ERCP内镜刷洗物或经PTCD刷洗物细胞学检查，阳性率可有所提高，但癌细胞播散、并发胆道出血、胆漏、胆道感染的机会增加，故这些方法并不实用。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5325', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '478', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于胆管炎性狭窄、畸形、结核、硬化性胆管炎、转移性癌肿、肝癌胆管癌栓都可产生与胆管癌相同的临床表现，故只要患者能耐受手术，宜进行剖腹探查，必要时经术中冰冻切片或快速石蜡切片检查以明确诊断。在未经手术探查和病理证实之前，不能随便下胆管癌的诊断，不能轻易下肿瘤不能切除的结论，也不能随便放置记忆合金胆道内支架。</p><p>1.手术治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胆管癌应以手术治疗为主，目的是切除肿瘤和恢复胆管的通畅。对下段胆管癌和中段胆管癌累及胰腺者应行胰十二指肠切除。对中段胆管癌且局限者可行胆管部分切除、胆管空肠Roux-Y吻合术。对肝门胆管癌应取积极手术治疗的态度，只要没有手术禁忌证，均应行手术探查。Wetter在讨论Klatskin瘤的鉴别诊断时指出，发现有31%的假阳性率。因此他认为，在无病理证据情况下，不要认为预后不佳而过早地去下肿瘤不可治愈或不能切除的决定。肝门胆管癌的手术方式有：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180523-1527065375621021890.jpg\" title=\"1527065375621021890.jpg\" alt=\"胆管癌-治疗-图32-5.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1024px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图32-5　肝门胆管癌部分切除</p><p>（1）肝门胆管癌根治性切除术：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">实施肝门胆管癌骨骼化切除，将包括肿瘤在内的肝、胆总管、胆囊、部分左右肝管以及肝十二指肠韧带内除血管以外的所有软组织整块切除，将肝内胆管与空肠做Roux-Y吻合。</p><p>（2）肝门胆管癌扩大根治性切除术：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">视肿瘤累及肝管范围的不同或是否侵犯血管，在肝外胆管骨骼化切除的同时，一并施行左半肝、右半肝或尾叶切除，门静脉部分切除、修补，或整段切除后血管重建。</p><p>（3）肝门胆管癌姑息性部分切除术：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">手术包括肝门胆管癌部分切除、狭窄肝管记忆合金内支架植入、肝管空肠Roux-Y吻合、胃十二指肠动脉插管、药泵皮下埋置（图32-5～图32-7）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180523-1527065413299041968.jpg\" title=\"1527065413299041968.jpg\" alt=\"胆管癌-治疗-图32-6.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1024px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图32-6　狭窄肝管记忆合金内支架植入</p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180523-1527065435182072862.jpg\" title=\"1527065435182072862.jpg\" alt=\"胆管癌-治疗-图32-7.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1024px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图32-7　肝管空肠Roux-en-Y吻合，胃十二指肠动脉插管</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">这样做利于切开狭窄的肝管，充分发挥内支架的作用，减少癌瘤体积，为术后综合治疗提供方便，比如可切取小块癌组织进行化疗药物敏感性测定，挑选注入药泵的化疗药物。</p><p>（4）肝门胆管癌姑息性减黄引流术：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">手术方式有：保存肿瘤的肝管空肠Roux-Y吻合术，间置胆囊肝管空肠Roux-Y吻合术，肝管置管内引流或外引流术，经PTCD或ERCP记忆合金胆道内支架植入等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">金属胆道内支架的应用实践说明：①金属支架也会被胆泥堵塞（一般可用1年左右）；②植入胆道后不能再取出；③植入下段胆管后可发生反流性胆管炎、十二指肠不全梗阻和穿孔；④肿瘤可经网眼长入管腔。因此，放置金属胆道支架的指征为：①肝癌累及肝门部胆管、肝门胆管癌行姑息性胆道引流时；②胆囊癌累及肝门部胆管伴腹水或肝内转移；③胃肠道和腹腔癌肿肝门部转移。下列情况则不放置金属胆道内支架：①胆管良性病变，如炎症、畸形、损伤等；②胆总管中、下段和壶腹部病变性质不明而又无手术禁忌证者。</p><p>2.放疗与化疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胆管癌尚可采用术中放疗、术后定位放疗及经导管内照射，尤其适用于对化疗疗效较差的硬化型胆管癌。根据我们对胆管癌的化疗药敏试验结果，化疗敏感性依次为：EADM 62.1%，CP 58.6%，MMC 51.7%，ADM 48.2%，DDP 48.2%，5FU 24.5%，MTX 3.4%。</p><p>3.术后综合治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胆管癌的手术切除范围有限，胆管切端累及、区域淋巴结清扫不彻底的情况较常见。因此，术后宜辅助化疗，静脉给药或行区域动脉灌注化疗。患者带T形管引流者，采用5FU胆道灌注，也有一定的疗效。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">术后肿瘤复发或胆泥堵塞胆道内支架致梗阻性黄疸者，只要患者情况尚可，可分别不同情况，经ERCP或PTCD途径，再次疏通或引流胆道，以延长患者的生存期。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5326', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '478', '预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胆管癌的疗效仍差。据上海市胆道癌研究协作组资料统计，仅26.2%的患者获根治性切除的机会，术后1年、2年、3年、5年生存率分别为58%、40%、28.3%和11.1%。除乳头状腺癌和腺瘤癌变的近期疗效较好外，其余病理类型者绝大多数在近期内死亡。行姑息性引流术的大多数患者在术后1年内死亡。不论采用何种内支撑法解除胆道梗阻，平均生存期均为7个月左右。提高早期诊断率和手术切除率，加强术后的综合治疗，有望进一步提高胆管癌的疗效。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5347', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1615', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">丙型病毒性肝炎，简称为丙型肝炎，是由丙型肝炎病毒（<em style=\"box-sizing: border-box;\">Hepatitis C virus，HCV</em>）引起的肝脏疾病。1974年Prince首先报道了一种非甲非乙型肝炎，经输血途径可传播给黑猩猩和人。Bradley等在美国CDC进行的一系列实验，提示该致病因子为病毒，但采用当时的常规病毒学和免疫学技术始终未分离到病毒。1989年，美国Chiron公司和日本的科学家从大量感染血清中提取病毒核酸（包括DNA 和RNA），采用重组技术构造了cDNA文库。在筛选100万个克隆之后，发现5个克隆的编码产物可与非甲非乙型肝炎患者的血清起反应，其中1个克隆还可与实验感染的黑猩猩的血清起反应。1989年9月在东京召开了非甲非乙型肝炎国际会议，将此病毒命名为丙型肝炎病毒，它导致的肝炎称为丙型肝炎。由此，丙型肝炎的研究翻开了新的一页。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">丙型肝炎主要经血源性传播，临床症状较轻或无明显症状，病程进展缓慢，易慢性化，可导致肝硬化和肝癌。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5348', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1615', '病原', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HCV是一种单股正链RNA病毒，归类于黄病毒科<em style=\"box-sizing: border-box;\">（Flaviviridae</em>）的肝炎病毒属（<em style=\"box-sizing: border-box;\">Hepacivirus genus</em>），是黄病毒科中唯一的嗜肝病毒。</p><p>（一）HCV病毒颗粒</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">借助于电子显微镜，已发现HCV病毒颗粒呈球形，直径约为50nm。病毒颗粒的最外层为包膜糖蛋白，其内为蛋白质核衣壳。病毒基因组被核衣壳包裹，形成直径为30～35nm的核心颗粒，沉降系数为140～159s。</p><p>（二）HCV的基因组及编码的蛋白</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HCV基因组为单链RNA，长约9600个核苷酸，由长约341个核苷酸组成的高度保守的5′端非编码区（5′NTR）、长约9033～9099个核苷酸组成开放读码框架（ORF）和3′端非编码区（3′NTR）构成。HCV的ORF又可分为结构基因区和非结构基因区，分别编码结构蛋白（核心蛋白和包膜蛋白）和非结构蛋白。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5′NTR含有内在核糖体结合的位点（internal ribosome entry site，IRES），IRES可引导核糖体进入蛋氨酸起始密码的位置，对病毒蛋白起始翻译有重要作用。核心区基因（core C）较为保守，编码核心蛋白（C蛋白），包膜（envelope，E）区基因分别为E1区和E2/NS1区两个部分，编码的糖基化蛋白构成病毒外膜，是诱导人体体液免疫产生中和抗体的表位，也是疫苗制备的靶位点。E2区有HVR1和HVR2两个高变区（hypervariable region，HVR），是引起免疫逃避和HCV慢性化的重要原因。以上所述均为结构蛋白及其相关问题。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">而非结构蛋白中NS3参与病毒复制，是药物蛋白酶抑制剂的作用靶位，NS4蛋白有高免疫原性，常用于抗体检测，NS5也与病毒复制有关，是多聚酶抑制剂的靶位。上述结构蛋白与非结构蛋白的排列顺序为NH2-C-E1-E2-P7-NS2-NS3-NS4A-NS4B-NS5A-NS5B-COOH，非结构蛋白功能仅介绍其中的三种，其余因功能不清或暂时与临床无关，不一一介绍。3′NTR位于ORF终止密码之后，长短不等，较为保守，在病毒复制中起调控作用。</p><p>（三）HCV的复制周期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HCV的复制周期可分为4个阶段：①进入宿主细胞；②HCV基因翻译，多肽链合成；③HCV RNA的复制；④病毒颗粒装配和释放。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HCV进入人体后首先通过受体介导的机制进入胞浆内，脱去核衣壳，释放出基因组RNA。迄今为止，已发现多种细胞表面分子可介导HCV进入细胞，如CD81、清道夫受体B1、C型凝集素、硫酸-乙酰肝素、紧密连接蛋白等。HCV进入细胞的过程中，可能还需要多种进入辅助因子（entry co-factor）的共同作用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胞浆内的HCV基因组RNA作为模板合成负链RNA，后者随即又作为模板合成HCV基因组RNA。新的子代HCV RNA和结构蛋白产生后，开始病毒颗粒的装配。HCV释放的过程可能通过出芽方式进入细胞内囊泡，然后分泌、转运和释放至细胞外。</p><p>（四）HCV的基因型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据核苷酸序列的差异可将HCV分为不同的基因型或亚型。当HCV全基因序列差异在30%以上时，可界定为一种基因型，同一基因型HCV的全基因序列差异在20%以上时，可界定为一种亚型。目前HCV可分为6个主要的基因型和100种以上的亚型。其中，1型是最常见的基因型，占40%～80%，呈世界性分布，但不同国家和地区的HCV基因型分布有较大的差异。HCV基因型是影响IFN-α疗效的主要因素之一。</p><p>（五）动物及细胞模型研究</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HCV的吸附、进入细胞、复制、组装和释放等过程需要合适的动物及细胞模型。由于来源有限及价格昂贵，黑猩猩作为动物模型受到很大的限制。尽管血清来源的HCV可感染原代人、黑猩猩、树鼩（tree shrew）肝细胞，但病毒复制水平极低，不适合用来研究病毒与宿主细胞之间的相互作用，因此长期以来进行HCV致病机制研究的困难之一是缺乏方便实用的细胞培养体系。近年来，通过重组包膜糖蛋白、类HCV颗粒、HCV假颗粒和稳定产生HCV的细胞系等，促进了对HCV与宿主细胞之间相互作用的研究及抗HCV药物的体外筛选。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5349', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1615', '流行病学', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">丙型肝炎是一种流行较为广泛的病毒性疾病。据估计，全球约有1.3亿～2.1亿慢性HCV感染者，占全世界人口的3%左右。我国普通人群抗HCV的阳性率约为0.43%。</p><p>（一）传染源</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要是丙型肝炎患者和无症状HCV携带者。</p><p>（二）传播途径</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HCV主要经血液途径传播。在发达国家，最常见的传播方式是静脉吸毒，其次为使用未经HCV筛查的血液、血制品和器官。在许多欠发达国家，主要的传播方式是输血，其次为使用未经消毒的注射用具。</p><p>1.经血液传播</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要方式有：①经输血和血制品传播。我国自1993年对献血员筛查抗-HCV后，该途径得到了有效控制。但由于抗-HCV存在窗口期、抗-HCV检测试剂的质量不稳定及少数感染者不产生抗-HCV，因此，无法完全筛出HCV阳性者，大量输血和血液透析仍有可能感染HCV。②经破损的皮肤和黏膜传播。这是目前最主要的传播方式，在某些地区，因静脉注射毒品导致HCV传播占60%～90%。使用非一次性注射器和针头、未经严格消毒的牙科器械、内镜、侵袭性操作和针刺等也是经皮传播的重要途径。一些可能导致皮肤破损和血液暴露的传统医疗方法也与HCV传播有关；共用剃须刀、牙刷、文身和穿耳环孔等也是HCV潜在的经血传播方式。</p><p>2.性传播</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在HCV感染者的精液及阴道分泌物中可检测到HCV RNA，可导致经性接触传播。有多个性伴侣、卖淫、同性恋等有性传播疾病风险的人群中流行率为4%～6%，并且女性的危险性是男性的3倍。同时伴有其他性传播疾病者，特别是感染人免疫缺陷病毒（HIV）者，感染HCV的危险性更高。有研究结果显示，HCV感染者配偶的HCV感染率为2.38%。</p><p>3.母婴传播</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">抗-HCV阳性母亲将HCV传播给新生儿的危险性为2%，若母亲在分娩时HCV RNA阳性，则传播的危险性可高达4%～7%；合并HIV感染时，传播的危险性增至20%。HCV病毒高载量可能增加传播的危险性。对于通过选择性剖宫产来阻断母婴垂直传播的有效性，目前还缺少前瞻性研究予以评价；同样目前尚没有资料表明抗病毒治疗是否能够减少围产期传播的几率，因为利巴韦林与干扰素在妊娠期间是禁用的。</p><p>4.其他途径</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">仍有15%～30%散发性丙型肝炎，无输血或肠道外暴露史，传播途径不明。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前认为，接吻、拥抱、喷嚏、咳嗽、食物、饮水、共用餐具和水杯、无皮肤破损及其他无血液暴露的接触一般不传播HCV。</p><p>（三）易感人群</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">人群普遍易感，但高危人群为反复、大量输注血液、血液制品者；接受可疑HCV感染者器官的移植患者；静脉药瘾者；血友病患者；血液透析者；HIV感染者。美国、德国、西班牙等国家的静脉药瘾者的HCV感染率分别为60%、40%、70%，我国昆明静脉药瘾者的HCV感染率为60%。HIV感染者重叠HCV感染的发生率也较高，美国报道为30%。北京有报道，HIV感染者中HCV阳性率为26.09%（6/23）。美国报道肾移植患者HCV感染率为6.3%，血透患者为5.8%。国内血透患者HCV感染率较高，最高者可达62.5%。但确切的感染率有待进行大规模的流行病学调查。某些医务人员，如外科医生、检验人员等也为高危人群，并有可能引起医院内交叉感染。&nbsp;发病机制&nbsp;多种因素可影响HCV与宿主之间的相互作用。病毒因素包括HCV的复制能力、基因型、病毒多肽的免疫原性、病毒对肝细胞的直接损害作用等；宿主因素包括先天性免疫反应、细胞免疫和体液免疫反应等。其他因素，如饮酒、使用免疫抑制剂等对HCV感染的病程也有影响。由于缺乏小动物模型和细胞培养系统，HCV感染的发病机制的研究受到很大的限制。因此，许多数据是通过观察患者得出的，个体差异较大。HCV感染的发病机制主要包括免疫介导和HCV直接损伤两种。</p><p>1.免疫介导的机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">人体对HCV的免疫反应包括非特异性的免疫反应（如细胞因子的产生、NK细胞的活化等）和病毒特异的免疫反应（包括细胞和体液免疫）。</p><p>（1）体液免疫反应：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HCV感染后7～13周，机体能对HCV各种蛋白产生相应抗体（Core、E1、E，和NS2～NS5抗体）。研究表明抗Core、抗NS2～NS5均无阻止再感染作用，但抗E2、HVR1（384aa～410aa）的抗体具有中和作用。</p><p>（2）细胞免疫应答：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HCV感染后3～4周，在周围血中即可检测到特异性CD4<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>和CD8<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>细胞，这些T细胞浸润到肝脏内可使细胞膜损伤和出现ALT增高。CD4<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>T细胞受体（TCR）识别MHCⅡ类分子向肝细胞表面提呈的HCV多肽，激活的CD4<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>细胞产生Th1类细胞因子，如IFN-γ、IFN-α等，除可发挥抗HCV作用外，这些细胞因子可增强CD8<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>CTL反应；另一方面激活的CD4<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>T细胞又能产生Th2细胞因子如IL-4、IL-5、IL-6、IL-9、IL-10、IL-13等。这些细胞因子可以增强B细胞反应，产生HCV特异的抗体。CD8<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>细胞受体（TCR）识别MHCⅠ类分子提呈在肝细胞上的HCV多肽（经专职性抗原提呈细胞如巨噬细胞、树突状细胞所加工与提呈的多肽），可诱导CD8<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>细胞发挥细胞毒细胞效应（即CTL反应），可溶解HCV感染细胞，从而清除病毒。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前认为细胞免疫由于可识别和清除感染病毒的细胞，对HCV的清除起重要作用，HCV感染早期T细胞反应的强度、表位特异性和细胞因子情况等可能是决定感染预后的因素。HCV感染时，专职抗原提呈细胞为巨噬细胞、树突状细胞直接参与启动抗病毒T细胞应答。Th细胞发挥了辅助和免疫调控作用，最为重要的是CTL细胞发挥了免疫效应，使感染HCV的细胞破坏，病毒得到了清除。早期强有力、且为多特异性的CD4<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>和CD8<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>T细胞免疫反应与自限性HCV感染及病毒清除有关。若细胞免疫反应弱，不足以清除HCV，仅能对病毒载量有一定抑制作用，但能引起肝脏的慢性炎症，最终导致肝硬化和肝细胞癌。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HCV持续感染的机制尚未充分阐明。目前认为可能的机制为：①HCV感染的病毒血症载量低，HCV抗原对机体的刺激不充分，所产生的体液免疫和细胞免疫低下，不足以完全清除病毒；②HCV的变异，特别是准种（quasispecies）的出现逃避了机体的免疫监视，使HCV持续存在；③HCV的变异常可出现在B细胞和CTL相关的表位上，这就限制了机体体液和细胞免疫的监视，导致了疾病慢性化；④HCV感染有肝外嗜性，大量淋巴细胞被HCV感染，致使机体免疫反应受损，同时存在于外周血单个核细胞（peripheral blood mononuclear cell，PBMC）中的HCV也可成为反复感染肝细胞的来源；⑤HCV不同于其他病毒，对T细胞产生的细胞因子常不敏感。</p><p>2.HCV的直接损伤作用</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HCV是否对肝细胞有直接的损伤作用，目前仍有争议。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5350', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1615', '（二）丙型肝炎的病理改变', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">丙型肝炎的病理改变与乙肝极为相似，以肝细胞坏死和淋巴细胞浸润为主。但有些病变是丙型肝炎的特点，有助于丙型肝炎的诊断。①汇管区淋巴细胞的聚集是丙型肝炎的主要特征，有些病例可形成淋巴滤泡，免疫组化显示，这种淋巴结样结构是由B细胞包围形成的生发中心，其间可夹杂着少量树突状细胞，两种细胞均可呈现HLAⅡ类抗原，B细胞中心的外周有大量T细胞形成T细胞带，伴少数巨噬细胞、中性粒细胞、浆细胞和嗜伊红细胞。在T细胞中CD4<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>占优势，T细胞能表达IL-2受体，显示为活化的T细胞。②点灶样肝细胞坏死和不同程度的炎症在急性和慢性丙型肝炎中较为常见。可见肝细胞界板呈不同程度的破坏，形成碎屑状坏死，少量炎症细胞浸润。③胆管损伤也是丙型肝炎较为常见的特征，周围常伴淋巴细胞浸润。在汇管区可发生淋巴细胞汇集，淋巴滤泡内小胆管上皮细胞肿胀，核不规则，空泡变性，排列不整齐或坏死脱落。④肝脂肪变性：为丙型肝炎较常见病变。在早期可表现为肝细胞内许多小滴脂肪空泡（小空泡），呈灶状分布或不规则分布；也可在肝小叶内或汇管区周围出现大滴脂肪空泡（大空泡），将细胞核挤压至胞浆周边，酷似成熟的脂肪细胞，严重脂肪变累及大于50%，称之为脂肪肝。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">免疫组织化学研究表明，HCV的C、E2/NS1、NS3及NS5抗原均可在HCV感染者的肝活检切片中检出，这些抗原呈颗粒状分布于肝细胞胞浆内，抗原阳性细胞多数呈散在、灶状分布。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5351', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1615', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">丙型肝炎的潜伏期为2～26周，平均为50天。输血后丙型肝炎潜伏期为7～33天，平均为19天。</p><p>（一）HCV感染的自然史</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">大约有60%～85%的急性丙型肝炎患者会发展成慢性感染，其中有10%～20%的慢性丙型肝炎患者会发展成肝硬化，通常可以在感染后的第二或第三个十年中被诊断。即使病情已经进展到肝硬化期，很多患者还可以生存10年，乃至更长。但是，一旦出现失代偿的情况，如出现黄疸、腹水、静脉曲张破裂出血和肝性脑病等，其生存率则出现急剧下降。在感染HCV 20年后，慢性丙型肝炎发生肝细胞癌（hepatocellular carcinoma，HCC）的危险性会增加，发生HCC时，多数患者已存在肝硬化。慢性丙型肝炎的进展速度在不同人群差异很大，已经公认饮酒、合并感染HBV或HIV是促进肝病进展的主要因素之一。</p><p>（二）急性丙型肝炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性丙型肝炎多数为无黄疸型肝炎，起病较缓慢，常无发热，仅有轻度消化道症状，伴ALT异常。少数为黄疸型肝炎，黄疸呈轻度或中度。急性丙型肝炎中约有15%～40%为急性自限性肝炎，在急性期ALT升高或伴血清胆红素升高，HCV RNA阳性和抗HCV阳性，经1～3个月，ALT恢复正常，黄疸消退，常在ALT恢复前HCV RNA阴转，抗HCV滴度也逐渐降低。有60%～85%的急性丙型肝炎患者则发展为慢性持续性感染。单一HCV感染极少引起重症肝炎。</p><p>（三）慢性丙型肝炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">大部分急性丙型肝炎患者在发病6个月后，HCV RNA持续阳性伴ALT异常者，称为慢性丙型肝炎。仅少数慢性肝炎患者能自行清除病毒，大部分患者为慢性持续性感染。慢性丙型肝炎患者常表现为ALT反复波动，ALT水平多在100U/L以内，部分患者表现为持续性ALT轻度升高。还有近1/3的慢性HCV感染者肝功能一直正常，抗HCV和HCV RNA持续阳性，肝活检可见慢性肝炎表现，甚至可发现肝硬化。还有一些HCV携带者表现为ALT正常，抗HCV阴性，而HCV RNA为阳性，多见于免疫功能低下者、酗酒和老年患者。在我国有1%～2%的供血员属此种情况。肝活检仅见轻微肝脏病变，病情进展较缓慢。</p><p>（四）儿童丙型肝炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">和成人丙型肝炎相比，儿童HCV感染自发性HCV清除率较高，接近50%，病情进展缓慢，病毒血症可持续数月至数年，而无肝炎临床表现。</p><p>（五）HCV与HBV重叠感染</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性HCV和HBV混合感染可见于大量输血后，患者可出现抗HCV和HCV RNA阳性，抗HBe IgM阳性伴低水平HBsAg，HBeAg和HBV DNA可为阴性，提示HCV可干扰HBV的复制。在我国慢性乙肝患者中，合并抗HCV阳性者约占2%～5%，重叠感染可加剧肝脏损害。</p><p>（六）HCV感染的肝外表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性HCV感染中仅少数患者可有肝外表现，其原因尚不明。主要肝外表现有冷球蛋白血症、肾小球肾炎、淋巴组织增生紊乱、干燥综合征（Sj？gren syndrome）等。最常见的肝外表现为冷球蛋白血症，此病患者HCV感染率可高达50%～90%，其特征为关节痛、脉管炎、紫癜、神经病变和肾小球肾炎。可有肝脾大，ALT轻度升高，肝组织学呈进行性损害，可见桥样坏死和肝纤维化。合并肾小球肾炎者可出现血尿、蛋白尿，多数患者有轻度肾功能不全，推测系免疫复合物沉积所致。约有40%患者同时有冷球蛋白血症的临床表现。</p><p>（七）HCV感染与肝细胞癌（HCC）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HCC是慢性丙型肝炎主要的并发症之一，在美国，HCV感染是HCC最常见的病因。如果慢性丙型肝炎未发展至肝硬化，则HCC的发生率很低。HCV感染所致肝硬化患者每年HCC的发生率为1%～2%，在日本和意大利，每年HCC的发生率相对较高，可达2.6%～6.9%。在我国HCC患者中，抗HCV检出率为10.96%～59%不等。</p><p>（八）HCV与HIV重叠感染患者</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HCV与HIV重叠感染具有其特殊性：与HCV单纯感染的患者相比，疾病的进展速度加快，加速了7倍之多；增加了肝硬化的危险性，也缩短了发展到肝硬化的时间（感染HCV后10年内）；增加了病死率；增加了从代偿期肝硬化转变为失代偿期的可能性，与HCV单纯感染的患者相比，其发生肝脏相关死亡的危险性增加达5倍之多，HCV复制增加8倍。</p><p>（九）终末期肾脏疾病HCV感染患者</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前估计，10%～20%的透析患者感染HCV，但不同透析中心之间，HCV的感染率具有很大差异。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5352', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1615', '实验室检查', '<p>（一）血清生化学检测</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">ALT、AST水平变化可反映肝细胞损害程度，但与病情的严重程度不一定平行；急性丙型肝炎患者的ALT和AST水平一般较低，但也有较高者。急性丙型肝炎患者的血清白蛋白、凝血酶原活动度和胆碱酯酶活性降低较少，但在病程较长的慢性肝炎、肝硬化或重型肝炎时可明显降低，其降低程度与疾病的严重程度成正比。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性丙型肝炎患者中，约30%ALT水平正常，约40% ALT水平低于2倍正常上限。虽然大多数此类患者只有轻度肝损伤，但有部分患者可发展为肝硬化。ALT水平下降是抗病毒治疗中出现应答的重要指标之一。</p><p>（二）血清学检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床上最为常用的为酶免疫分析（EIA），其次为重组免疫印迹试验（RIBA）。抗HCV检测适用于高危人群筛查，也可用于HCV感染者的初筛。但抗HCV阴转与否不能作为抗病毒疗效的指标。用第三代EIA法检测丙型肝炎患者，其敏感度和特异度可达99%，检出时间提前，HCV感染后7～8周抗HCV即可阳性。在检测低流行人群的标本时，假阳性减少，已不需要用重组免疫印迹法验证。但一些透析、免疫功能缺陷和自身免疫性疾病患者可出现抗HCV假阳性，因此，HCV RNA检测有助于确诊这些患者是否合并感染HCV。</p><p>（三）病毒核酸检测（nucleic acid tests，NAT）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">即HCV RNA检测，具有很高的敏感性和特异性，是HCV感染的确认试验，在暴露后1～3周内即可阳性，早于血清学检测数周。</p><p>1.HCV RNA的定性检测</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">最常用的HCV RNA定性检测方法是RT-PCR方法。国内常采用反转录套式PCR技术进行定性检测，定性检测的敏感性高于定量检测。国外已有多种商业化定性检测试剂盒，敏感性和特异性分别在96%和99%以上。转录介导的扩增（transcription-mediated amplification，TMA）是目前最敏感的HCV RNA检测方法，VERSANT HCV RNA定性检测试剂盒（拜耳诊断公司）的最低检测下限为5IU/ml，敏感性在98%以上。</p><p>2.HCV RNA的定量检测</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常用的方法可分为两类，即PCR基础上的靶基因扩增检测和信号扩增检测（如分枝DNA检测）。一般认为，HCV RNA水平在2×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">6</span>拷贝/ ml（相当于WHO国际标准的8×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">5</span>IU/ml）以上时为高病毒载量，此类患者对IFN-α治疗的反应相对较差。HCV病毒载量的高低与疾病的严重程度和疾病的进展并无绝对相关性，但可作为抗病毒疗效评估的观察指标。</p><p>（四）HCV的基因分型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HCV RNA基因分类方法较多，国内外在抗病毒疗效考核研究中，应用Simmonds等1～6型分类法最为广泛。在用于基因分型的序列中，5′端非编码区（5′NTR）最常用，如线形探针（INNO-LiPA）方法就是根据此区的序列差异而进行基因分型。根据HCV NS5B区基因序列而进行的基因分型被公认为HCV基因分型的“黄金标准”，常用基因测序方法进行基因分型。</p><p>（五）组织学检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝脏组织活检所提示的肝脏纤维化及组织学上的改变是其他任何检查所不能替代的。肝活检组织学检查对慢性丙型肝炎的诊断、了解疾病进展程度、预后判断、疗效评估等均有重要意义。肝活检组织学检查最适合于：①无症状、肝功能正常、HCV RNA阳性的患者，有助于了解有无肝组织炎症、决定是否给予抗病毒治疗；②脂肪肝和酒精性肝病与慢性丙型肝炎的鉴别；③对抗病毒治疗的组织学应答进行评估；④怀疑慢性丙型肝炎而诊断尚未明确者。由于约有80%的2型及3型HCV感染者对现有的抗病毒治疗具有良好的应答反应，许多学者认为不需要对这些患者进行常规肝组织活检。因此，对所有患者是否均需要进行肝活检，目前尚有争议，毕竟此检查有一定的创伤性。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">汇管区淋巴细胞的聚集是丙型肝炎病毒感染的主要特征，点灶样肝细胞坏死和不同程度的炎症、胆管损伤、肝脂肪变性是丙型肝炎较为常见的病理改变。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在进行组织学检查的同时，可进行免疫组化检查，以了解肝细胞内有无HCV抗原。还可用原位杂交的方法检测肝细胞内的HCV RNA。这些检查有助于少数不典型HCV感染的诊断。</p><p>（六）抗GOR抗体（anti-GOR antibody）检测</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前认为抗GOR是HCV感染时特有的自身抗体。血清抗GOR阳性率在HCV所致肝炎、肝硬化和肝癌中分别为80%、65%和65%。其意义在于若抗GOR阳性伴抗核抗体、平滑肌抗体阳性提示为HCV诱发的免疫性肝炎。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5353', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1615', '诊断与鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">丙型肝炎的诊断需综合流行病学资料、临床表现和病原学检查等，并与其他疾病鉴别。如近期有HCV暴露史，临床上有急性肝炎的症状、体征，ALT升高，血清抗HCV阳性，血清HCV RNA阳性，可诊断为急性丙型肝炎；如HCV RNA阳性持续半年以上，并有反复ALT异常，可诊断为慢性丙型肝炎。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">丙型肝炎需与其他病毒性肝炎、药物性肝炎、脂肪肝等相鉴别，鉴别方法主要依靠血清学、病毒学检查和组织学检查。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5354', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1615', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">丙型肝炎的治疗目标是清除HCV，防止HCV急性感染慢性化或长期抑制HCV的复制，减轻肝组织炎症反应，阻止慢性HCV感染患者肝硬化、肝癌的发生。通过长效干扰素抗病毒治疗，约有90%的HCV急性感染或60%以上的慢性感染患者可清除HCV。</p><p>（一）急性HCV感染的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">以聚乙二醇干扰素α （PEG-IFN-α）单药治疗HCV急性感染12～24周的持久性病毒学应答（sustained virological response，SVR）率超过90%。一般可在急性起病后8～12周左右开始抗病毒治疗，剂量为每周PEG-IFN-α-2a180μg或PEG-IFN-α-2b 1.5μg/kg，但对于有自发性病毒清除现象者，如血清胆红素升高、HCV RNA水平逐渐减少等，可适当延迟治疗，但对于基因型1型HCV感染、伴高基线病毒载量的患者，则需要及早治疗以及适当延长疗程。使用普通干扰素疗效与PEG-IFN-α相似，但使用PEG-IFN-α的患者治疗依从性更好。PEG-IFN-α联合利巴韦林（RBV）治疗并不能提高SVR率，但对于暂时不能鉴别急性或慢性丙型肝炎的患者或者经治疗不能根除HCV急性感染的患者，则推荐进行干扰素联合利巴韦林治疗。</p><p>（二）慢性丙型肝炎的治疗1.慢性丙型肝炎治疗方案的选择</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">PEG-IFN-α联合利巴韦林是目前治疗慢性HCV感染的标准治疗方案，但疗程需根据HCV基因型而决定。对于HCV基因型为1、 4型的患者，PEG-IFN-α-2a180μg/w或PEG-IFN-α-2b 1.5μg/（kg？w），联合RBV 1000～1200mg/d，治疗48周，约40%～54%的欧美患者可获得SVR。我国患者的SVR率显著高于欧美患者，接近80%。对于2、3型患者，RBV剂量可减少至800mg/d，疗程可缩短至24周，约65%～82%的欧美患者可以获得SVR，我国患者的SVR率在90%以上。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年来抗丙型肝炎新型药物的研发不断取得进展，如HCV NS3蛋白酶抑制剂（PI），NS5A与NS5B多聚酶抑制剂，以及新型干扰素和利巴韦林衍生物、HCV治疗性疫苗等均取得了较大的进展。2011年部分国家已经批准了蛋白酶抑制剂（PI）博赛泼维（boceprevir）和特拉泼维（telaprevir）用于慢性丙型肝炎的治疗，PEG-IFN-α、RBV联合PI的三联疗法进一步提高了慢性丙型肝炎SVR率（对于初治患者，约可提高27%～31%）。博赛泼维的用法是：PEGIFN-α与RBV治疗4周后，再联合博赛泼维（三联疗法）治疗24～44周，博赛泼维的剂量为800mg/8h，疗程视病毒学应答具体情况而定。特拉泼维的用法是：PEG-IFN-α、RBV联合特拉泼维治疗（三联疗法）12周后，继续PEG-IFN-α与RBV标准疗法治疗12～36周，特拉泼维的剂量为750mg/ 8h，疗程视病毒学应答具体情况而定。新型治疗药物的上市显著提高了难治性丙型肝炎的疗效，将带来丙型肝炎抗病毒治疗方案的更新，但也要注意到新型药物的不良反应和耐药性的产生。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床上，对于慢性丙型肝炎患者，只要HCV RNA阳性、无PEG-IFN-α、RBV治疗禁忌证，即应开始进行抗病毒治疗。</p><p>2.慢性丙型肝炎治疗疗效的预测因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性丙型肝炎抗病毒疗效应答受多种因素的影响，下列因素有利于治疗取得SVR：非基因型1、4型，低基线病毒载量，40岁以下，女性，肝脏纤维化程度较轻，无肥胖、胰岛素抵抗等危险因素，良好的治疗依从性，无合并HBV或HIV感染。相对来说，基因型、基线病毒载量和有无合并肥胖、胰岛素抵抗等危险因素有较高的临床预测价值。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年来研究发现IL-28B基因多态性与HCV基因1型慢性丙型肝炎患者的病毒自发性清除以及干扰素治疗疗效具有良好的相关性。IL-28B基因型可以明显影响治疗后早期的病毒动力学改变，基因型CC型患者比基因型CT、TT型患者更容易获得快速病毒学应答（rapid viral response，RVR）、早期病毒学应答（early virological response，EVR）和SVR，在治疗前评估IL-28B基因型具有重要的价值。我国患者90%以上为CC型，这是比欧美患者容易获得SVR的原因。若患者为低病毒载量伴IL-28B基因型CC型，可缩短疗程；而IL-28B基因型CT、TT型，则需考虑延长疗程或联合蛋白酶抑制剂治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在PEG-IFN-α、RBV、PI的三联疗法中，4周引导治疗的病毒学应答情况是三联疗法疗效的一个独特的预测指标。在三联疗法前进行4周PEG-IFN-α与RBV引导治疗，HCV RNA载量能下降1个log以上预示可以获得较高的SVR率，反之，HCV RNA载量下降低于1个log者有较低的SVR率。</p><p>3.应答指导的治疗（response guided therapy，RGT）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HCV RNA检测是临床上最常用的疗效评价指标，通过监测抗病毒治疗过程中病毒学应答的不同情况（表11-6-16），可采取提前终止、延长疗程、改变治疗方案等方式以达到提高SVR率和节省医疗成本等目的。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表11-6-16　病毒学应答的定义</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180523-1527066541118098087.jpg\" title=\"1527066541118098087.jpg\" alt=\"丙型病毒性肝炎-治疗-表11-6-16.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1011px; table-layout: fixed;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于HCV基因型1、4型患者，如获得早期病毒学应答（EVR），应完成48周疗程；如获得延迟病毒学应答（DVR）的患者，疗程应延长至72周；如果是无应答（NR）及部分应答（PR）的患者，应停止治疗。另外，对于获得快速病毒学应答（RVR）的低基线HCV RNA水平患者，可考虑将疗程缩短至24周。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于HCV基因型2、3型患者，如果取得RVR，疗程应为24周；如果在取得RVR的同时，伴有低基线病毒载量、无代谢综合征和胰岛素抵抗等危险因素，可缩短疗程至12～16周。但也有临床研究表明，与24周疗程患者相比，疗程缩短后复发率有所上升。经治疗后获得EVR或DVR的患者一般需要延长疗程至48周；而NR或PR患者，则应停止治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">新型抗病毒药物上市后提高了临床抗病毒治疗的疗效，但对于接受PEG-IFN-α、RBV、PI三联疗法方案的患者，也需要根据病毒应答情况调整治疗方案。在接受PEGIFN-α、RBV、博赛泼维三联疗法的第8、12、24周检测HCV RNA，若HCV RNA均低于检测下限，可在第28周（4周引导治疗+24周三联疗法）后结束治疗；若治疗第12周HCV RNA低于100IU/ml，并在24周低于检测下限，应完成48周治疗（4周引导治疗+32周三联疗法+12周标准疗法）；如果治疗第12周患者HCV RNA高于100IU/ml，则应立即停止治疗。如果接受PEG-IFN-α、RBV、特拉泼维的三联方案治疗，则在治疗后第4、12、24周检测HCV RNA，如第4周HCV RNA即转阴，可考虑将疗程缩短至24周（即12周三联疗法+12周标准疗法）；如果第12周患者HCV RNA仍高于1000IU/ml或24周HCV RNA仍阳性，或任何原因导致不能耐受干扰素和利巴韦林治疗，则应立即停止治疗。</p><p>4.慢性丙型肝炎特殊人群的治疗（1）肝硬化患者：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于代偿期肝硬化的患者，只要无禁忌证应进行抗病毒治疗，但需要积极监测不良反应的发生。对于失代偿期肝硬化患者，由于不良反应发生率高，严重者可发生致命性感染以及失代偿症状加重，因此只建议对Child-pugh B级以上的患者进行谨慎治疗，对C级患者，不建议进行治疗。PEG-IFN从小剂量开始，逐渐加量，同时联合RBV，并监测不良反应的发生。联合PI的三联治疗方案仅限于代偿期肝硬化的治疗。</p><p>（2）肝移植后丙型肝炎：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝移植后部分患者可能出现HCV再感染，一旦组织学证实慢性肝炎的形成或移植后出现门静脉高压等提示病情进展的症状，应立即进行标准方案抗病毒治疗。但抗病毒治疗可能导致移植后排斥反应，应进行肝组织活检以指导治疗。</p><p>（3）透析患者：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于晚期肾衰竭需要进行血液透析的患者，单用PEG-IFN-α进行治疗是安全的，但其SVR率要明显降低，因此可根据个体情况加用低剂量RBV，如每日或隔日200mg，以提高SVR率。对于需要进行肾移植手术的慢性丙型肝炎患者应在肾移植手术前进行抗病毒治疗。</p><p>（4）合并HBV感染的慢性丙型肝炎患者：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HBV复制水平一般相对较低，甚至低于检测水平，其治疗方案与单纯慢性丙型肝炎患者相同。在HCV清除过程中如果出现HBV复制水平升高，可在抗HCV治疗过程中或治疗结束后加用核苷（酸）类似物类药物进行抗HBV治疗。</p><p>（5）合并HIV感染的慢性丙型肝炎患者：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">抗HCV治疗需要在患者CD4<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>细胞＞200/μl时进行，抗病毒治疗方案与单纯HCV感染患者相同，但需要降低RBV剂量并同时延长疗程以提高SVR率，一般HCV基因1型患者，需要治疗72周，而2、3型患者的疗程为48周。但在聚乙二醇干扰素和利巴韦林治疗过程中，需要同时调整HIV治疗方案，以预防药物间相互作用。</p><p>（6）新生儿或儿童HCV感染：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HCV感染者分娩的婴儿应在出生1～2个月时检测HCV RNA，以进行早期诊断。18月龄以后接受抗HCV抗体检测，可排除母体抗体的影响。2岁以上儿童可接受抗病毒治疗，指征与成人相同。治疗剂量应根据体重进行调整，PEG-IFN-α-2b的剂量为每周1.5μg/kg，利巴韦林的剂量为15mg/（kg？d），疗程48周。</p><p>5.抗病毒治疗不良反应的处理</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">IFN-α治疗的禁忌证和不良反应的处理可参考本文“乙型病毒性肝炎”部分。服用RBV后可出现较严重的剂量依赖性、可逆性的血管内溶血性贫血。对使用RBV后出现的贫血，可以使用促红细胞生成素（EPO）治疗，以保证患者接受足量的利巴韦林治疗。对不适合采用利巴韦林治疗的患者，如肾功能不全、严重心脏疾病，可单用干扰素治疗。利巴韦林的其他副作用还有咳嗽、呼吸困难、皮疹、厌食、失眠、瘙痒等，往往较轻，不需要停止治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">PI的不良反应也需重视。贫血是博赛泼维治疗中主要的副作用，可以通过减少RBV剂量、使用EPO甚至输血的手段减轻症状，一般不会降低博赛泼维治疗的SVR率，但对于严重贫血患者，必须停止治疗。贫血和皮疹是特拉泼维的主要副作用，贫血的处理与博赛泼维相同，特拉泼维相关性皮疹或出现其他皮肤症状如面部水肿、口腔溃疡或眼球发炎等，可给予糖皮质激素或抗组胺药物治疗，如无明显好转，可先停用特拉泼维，观察病情7天，仍无改善，应继续停药监测，直到皮疹消失为止。约有低于1%的患者可能发展为严重的皮肤疾病如药疹、嗜伊红细胞增多症和全身系统症状，应及早诊断，一旦发生需停用特拉泼维或中断抗病毒治疗。</p><p>（三）对症治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性丙型肝炎患者应卧床休息，黄疸消退及肝功能正常后，一般仍需休息1～2个月，半年内不宜从事重体力劳动。慢性丙型肝炎患者也应避免劳累。急、慢性丙型肝炎患者均需禁酒。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5355', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1615', '预防', '<p>（一）传染源的管理</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">现症HCV感染者不能献血、捐献器官等。</p><p>（二）切断传播途径</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是目前控制HCV感染的最主要的措施。这些措施包括对献血员进行抗HCV和HCV RNA筛查，使用一次性注射器、制备血制品时采用严格灭活措施，对外科、妇产科、口腔科和内科所用器具、内镜采用高压灭菌或戊二醛等消毒，加强血透室管理，严格消毒制度，养成良好卫生习惯，使用避孕套等。采用上述措施后，丙型肝炎的流行率已显著下降，输血或血制品引起的传播在多数国家已得到基本控制。</p><p>（三）保护易感人群</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">普通免疫球蛋白制剂不含HCV中和抗体，因此，对预防HCV暴露后感染无效。从HCV抗体阳性、HCV RNA阴性患者血清中提取的人体免疫球蛋白无预防HCV感染的作用。目前认为，HCV中和抗体的保护作用是HCV毒株特异性的，而制备株特异性的高效价免疫球蛋白是不现实的。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HCV疫苗的应用可能是最终控制丙型肝炎流行的根本措施，但目前尚无理想的HCV疫苗。主要原因是：HCV包膜蛋白基因非常容易变异，HCV包膜蛋白诱导的中和抗体一般为株特异性的，故保护作用非常短暂；对HCV诱导的细胞免疫所知甚少。目前正在研制的疫苗包括重组HCV E1、E2疫苗、多肽疫苗、DNA疫苗等，但距离HCV疫苗在临床上应用还有相当长的时间。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5356', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1614', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">乙型病毒性肝炎（viral hepatitis type B）是由乙型肝炎病毒（Hepatitis B Virus，HBV）引起的、主要通过血液途径传播的肝脏疾病，简称乙型肝炎。由于受病毒因素（入侵HBV量的多少、HBV复制能力的高低、是否为免疫逃逸株等）、宿主因素（受染时的年龄、易感或拮抗基因多态性、对HBV免疫力等）、环境因素（酗酒、合并HCV或HIV感染等）影响，HBV感染后可出现不同的结局或临床类型。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">随着分子生物学技术的发展，HBV的基因结构、编码的蛋白、HBV的复制过程等已基本明确，极大地推动了对HBV感染的流行病学、发病机制、诊断、治疗和预防等方面的研究，有望在不远的将来能治愈和控制HBV感染。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5357', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1614', '病原', '<p>（一）HBV的形态学</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HBV是一种有包膜的双链DNA病毒，属于嗜肝病毒科。该科还包括在遗传学上相似的其他嗜肝病毒，它们可分别感染灵长类动物和猴子，土拨鼠（woodchucks）和地松鼠（ground squirrel），苍鹭（heron）和鸭子。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在高HBV载量患者的血清中，通过电镜观察可以发现3种与HBV相关的颗粒。完整的HBV颗粒（Dane particle）的直径为42nm，外层为HBV表面抗原（HBsAg）组成的包膜，内层是HBV核心抗原（HBcAg）构成的核衣壳，后者包裹HBV基因组和相关的聚合酶。血清中最多见的是直径17～25nm的小球形颗粒，其数量可达到10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">13</span>/ml，而稍少的直径约为20～22nm、长度不一的管状或丝状颗粒，数量约为10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">11</span>/ml。后两种亚病毒结构不含有HBV DNA，无感染性。</p><p>（二）HBV基因组</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HBV的基因组是部分双链的DNA分子，长度约为3200bp（图11-6-7）。HBV负链包含4个开放的读码框架（ORFs），即Pre-S/S ORF、Pre-C/C ORF、Pol ORF和X ORF，分别编码包膜蛋白（HBsAg）、HBeAg及核心抗原（HBcAg）、HBV多聚酶（Pol）和X多肽（HBx）。Pol ORF最长，Pre-S/S ORF完全与Pol ORF重叠，Pre-C/C ORF和X ORF也部分与Pol ORF重叠。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180523-1527063870584092720.jpg\" title=\"1527063870584092720.jpg\" alt=\"乙型病毒性肝炎-病原-图11-6-7.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 463px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图11-6-7　HBV的基因组及读码框架</p><p>（三）HBV的生活周期和复制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">所有嗜肝病毒均具有高度的种和细胞特异性。感染发生的第一步是HBV与肝细胞附着并进入肝细胞质。随后HBV颗粒脱去外膜和核衣壳，HBV基因组通过细胞核小孔转运至细胞核内，形成松弛环状DNA（relaxed circular DNA，rcDNA）。在细胞核内，rcDNA再转换为共价闭合环状DNA（covalently closed circular DNA，ccc DNA）。cccDNA半衰期较长，很难从体内彻底清除，是长期维持HBV慢性感染和容易复发的关键因素。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HBV以cccDNA为模板转录基因组和亚基因组HBV mRNA，包括3.5kb、2.4kb、2.1kb和0.7kb mRNA。2.4kb mRNA主要编码HBV的外膜大蛋白；2.1kb mRNA编码HBV外膜的中、主蛋白，是HBsAg的主要成分，HBV基因组可以整合到肝细胞基因组中，也可以编码表面抗原；0.7kb mRNA编码HBx蛋白；3.5kb mRNA编码核心蛋白和多聚酶蛋白。3.5kb mRNA由于含有HBV DNA的全部遗传信息，还是反转录的模板，因而被称为HBV前基因组RNA，并与聚合酶一起被核衣壳包裹，形成核心颗粒，移至细胞质内。在核心颗粒内，HBV前基因组RNA反转录为HBV的负链，再以负链为模板合成正链，双链环化。经外膜蛋白包装后，分泌至细胞外，产生子代病毒。</p><p>（四）准种、病毒基因型和常见的变异</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HBV基因的突变可产生遗传学上高度相关、基因序列有微小差别（＜2%～5%）的异质性（heterogeneity）HBV病毒群，即准种（quasispecies）。根据HBV全基因序列差异≥8%或S区基因序列差异≥4%，目前HBV分为A～J 10个基因型。各基因型又可分为不同基因亚型。A基因型慢性乙型肝炎患者对干扰素治疗的应答率高于D基因型，B基因型高于C基因型；A和D基因型又高于B和C基因型。HBV基因型一般不影响核苷（酸）类似物的疗效。常见的变异包括：①BCP、前C区变异：前C区和基本核心启动子（BCP）的变异可产生HBeAg阴性变异株。前C区最常见的变异为G1896A点突变，形成终止密码子（TAG），不表达HBeAg。BCP区最常见的变异是A1762T/G1764A联合点突变，选择性地抑制前C mRNA的转录，可导致HBeAg的产量减少70%。②包膜基因的变异：在疫苗诱导的抗体所产生的压力下，可出现HBsAg的126、129、145位氨基酸发生变异，引起免疫逃避。S基因变异还是引起隐匿性HBV感染（occult HBV infection）的原因之一，表现为血清HBsAg阴性，但仍可有HBV低水平复制（血清HBV DNA常＜10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">4</span>拷贝/ml）。③HBV RT区耐药相关的变异：最具临床意义的变异是在核苷（酸）类似物长期治疗过程中出现的耐药相关性变异。这种变异株是在核苷（酸）类似物作用下被选择出来的，并可逐渐成为优势株，导致耐药性的产生。如拉米夫定（lamivudine，Lam）耐药相关性变异为rtM204I/V/S变异，可伴有或不伴rtL180M变异或rtV173L等增强HBV复制功能的补偿变异；阿德福韦（adefovir，ADV）耐药相关性变异为rtN236T变异或rtA181T/V/S变异，或两者的联合变异。导致对恩替卡韦（entecavir，ETV）耐药的变异是在rtM204I/V+rtL180M变异基础上出现rtA184、rtS202或rtM250变异中的一种。</p><p>（五）HBV的抵抗力</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HBV对外界环境抵抗力很强。30～32℃可存活至少6个月，20℃可存活15年。HBV能耐受60℃1小时、乙醚6小时。100℃煮沸2分钟可使HBV灭活。HBV对0.5%过氧乙酸、3%漂白粉液、5%次氯酸钠和环氧乙烷等消毒剂敏感。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5358', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1614', '流行病学', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HBV感染呈世界性流行，但不同地区HBV感染的流行强度差异很大。据世界卫生组织报道，全球约20亿人曾感染过HBV，其中3.5亿人为慢性HBV感染者，每年约有100万人死于HBV感染所致的肝衰竭、肝硬化和原发性肝细胞癌（HCC）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2006年全国乙型肝炎流行病学调查表明，我国1～59岁一般人群HBsAg携带率为7.18%，5岁以下儿童的HBsAg携带率仅为0.96%。据此推算，我国现有的慢性HBV感染者约9300万人，其中慢性乙型肝炎患者约2000万例。</p><p>（一）传染源</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要是HBV携带者和乙型肝炎患者。由于HBV慢性携带者人数众多，多无症状，活动范围大，因而是乙型肝炎最重要的传染源。</p><p>（二）传播途径</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HBV主要经血和血制品、母婴、破损的皮肤和黏膜及性接触传播。日常工作或生活接触，如同一办公室工作、握手、拥抱、同住一宿舍、同一餐厅用餐和共用厕所等无血液暴露的接触，一般不会传染HBV。经吸血昆虫（蚊、臭虫等）传播未被证实。</p><p>（三）人群易感性</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">人群对HBV普遍易感。新生儿、HBsAg阳性者的家庭成员、经常接触乙型肝炎患者的医务人员等是重点的易感人群。</p><p>（四）流行特征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">我国长江以南人群HBsAg携带率高于长江以北，农村高于城市，南部沿海地区高于西部边疆。男性的HBsAg携带率、HBV感染率和乙型肝炎的发病率均高于女性。在HBsAg携带者中，HBeAg阳性率平均为31.94%。1～14岁组维持在较高水平，平均为53.32%，15岁以后随年龄增长而下降，40～59岁组下降到12.3%。HBV感染无明显季节性，多呈散发性发病。&nbsp;发病机制&nbsp;人体受到HBV感染后，可出现不同结局，其机制尚未完全清楚，主要是由病毒和宿主之间的相互作用所决定。由于HBV不会直接引起肝细胞损害，故目前认为乙型肝炎的发病主要与宿主的免疫应答有关。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.宿主的天然免疫系统在HBV感染的起始阶段承担非特异性免疫应答功能。HBV感染后与肝细胞表面的病原识别受体例如toll样受体（TLRs）等结合，调控和诱导细胞进入抗病毒状态，进而分泌Ⅰ型干扰素（α/β）等细胞因子。Ⅰ型干扰素可激活2，5-寡腺苷酸合成酶（2，5-oligoadenylate synthetase，2，5-OAS）、核酸内切酶和蛋白激酶系统，发挥直接抗病毒作用。同时，Ⅰ型干扰素的产生还调控肝细胞膜上的MHCⅠ类分子上调表达以及刺激抗原提呈细胞，如树突状细胞和Kupffer细胞（位于肝内的巨噬细胞），产生白细胞介素（IL-8，IL-12，IL-18）和其他细胞因子。其中IL-12和IL-18可进一步诱导自然杀伤（NK）细胞和自然杀伤T（NKT）细胞。NK细胞可被受染肝细胞表面的主要组织相容性复合物Ⅰ类分子（MHCⅠ类分子）激活，或是被其他压力诱导分子识别而激活。在急性乙型肝炎潜伏期的早期可检测到大量循环NK细胞，HBV DNA水平下降后可出现NK细胞数量的下降。NK T细胞（nature killer T cells）也可能在HBV感染的控制中起重要作用。NK T细胞在肝组织内较为丰富，约占肝内浸润淋巴细胞的20%～30%，NK T细胞被激活后可产生IFN-γ，IFN-γ的释放对进一步激活适应性免疫系统有着重要意义。然而，在慢性乙型肝炎患者中，天然免疫应答功能受抑制，干扰素激活肝细胞的作用出现异常，表现为2，5-OAS水平仅略有增高，在HBV感染的肝细胞膜上，MHCⅠ类分子表达量亦较少，而MHCⅠ类分子对于特异性免疫应答中细胞毒性T细胞识别和清除HBV肝细胞至关重要。因此，天然免疫系统功能受损或者受到抑制与HBV持续感染存在密切关系。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.宿主的适应性免疫系统，包括B细胞和T细胞，只有在天然免疫系统识别HBV后才会被激活，而最终发挥特异性免疫应答的适应性免疫系统被激活的幅度和强度决定了HBV感染的结局是急性感染还是慢性持续感染。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HBV感染引起的肝细胞损伤主要是免疫介导的。宿主对HBV的免疫攻击主要由表达HBV蛋白小表位的肝细胞所介导，尤其是肝细胞表面表达的HBcAg表位。CD8<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>T细胞被HLAⅠ类分子限制性识别，以及识别经过细胞内处理并由Ⅰ类分子表达在细胞表面的HBV肽片段。这一双识别过程导致CD8<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>细胞毒T淋巴细胞活化并对表达多肽抗原的肝脏细胞发挥杀伤作用。在急性自限性HBV感染中，CD8<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>T细胞和CD4<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>T细胞对HBV蛋白的应答很强，往往为多克隆和多特异性的；而在慢性HBV感染中，其应答较弱且局限。特异性CD8<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>T细胞清除HBV感染肝细胞的机制有两种，一是溶细胞机制，HBV特异性的CD8<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>T细胞可识别HBV感染的肝细胞，直接引起肝细胞的损伤，临床上出现血清转氨酶的升高，出现临床症状。但是，当肝脏组织中有大量细胞感染时，就不可能单纯通过杀伤它们来控制感染，否则病毒完全清除后，器官功能也难以恢复。第二种为非溶细胞机制，通过细胞因子的介导，引起肝细胞内HBV DNA的降解使HBV的复制得到控制，并逐渐被清除，主要是依靠释放抗病毒细胞因子（尤其是IFN-γ，TNF-α），大量清除感染细胞中病毒而不导致细胞病变。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">特异性CD8<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>T细胞功能受到特异性CD4<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>T细胞的调控。在急性乙型肝炎患者中，可以检测到针对HBcAg多个表位的HLAⅡ类分子限制的CD4<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>辅助T细胞反应。其中Th1细胞可分泌IFN-γ和IL-2等细胞因子，可促进细胞介导的免疫应答，包括巨噬细胞的激活和CD8<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>T细胞介导的细胞毒反应，发挥溶细胞性抗HBV作用或者非溶细胞性抗HBV作用；Th2细胞则可分泌IL-4、5和6，有助于B细胞产生抗HBV抗体。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">因此目前的观点是非溶细胞和溶细胞机制对于成功控制HBV并最终将其清除均是必不可少的。在慢性HBV感染者，很难检测到外周血的CTL反应。而在自发性缓解或经干扰素治疗后缓解的慢性HBV感染患者，其外周血的CTL反应的特异性及强度与急性HBV感染者类似。若是肝组织内HBV特异的CTL可引起持续的肝细胞损伤，但又不足以清除HBV，则可导致HBV慢性持续性感染和慢性活动性肝炎，长期反复发作可致肝硬化的发生。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.HBV在感染肝脏细胞后发挥独特的调控作用，抑制宿主的天然免疫和适应性免疫功能。HBeAg阳性母亲所生的婴儿很容易受到HBV感染，并且90%成为慢性HBV携带者。其机制与HBeAg可引起T细胞的耐受有关，可使T细胞针对HBV感染细胞毒反应降低，肝细胞炎症减轻，HBV不易被清除。当这种免疫耐受消失时，如在HBeAg血清转换过程中，肝组织的损害和炎症会增加，有时甚至引起病情急性加重。提示这种免疫耐受性在形成慢性HBV携带状态的过程中起重要作用。此外，HBV除向血清中分泌可溶性的HBeAg之外，还产生大量过剩的HBsAg，过剩的HBsAg可从完整的病毒颗粒周围吸引走抗-HBs，减少了病毒颗粒被抗-HBs中和的机会，从而有利于HBV的生存。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此外，HBV在复制过程中有一个反转录过程，该过程增加了病毒变异率，形成了异质性的病毒群。其中的有些准种可能不再被Th、CTL和抗体识别，同时还影响CTL应答的诱导，这些均不利于病毒清除，易形成慢性持续性的感染。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">同时，在HBV感染过程中，HBV的基因组可与宿主的基因发生整合，成为肝细胞基因组的一部分，整合后的病毒基因仍可进行转录和翻译。HBV基因组易与宿主基因整合的部位是HBV核心区基因的启动子区，整合后此转录单位的完整性受到破坏，不能表达HBcAg和HBeAg，但S区基因读码框架仍保持完整，可继续表达HBsAg。由于HBcAg和HBeAg是公认的细胞毒T细胞作用的靶位，HBcAg和HBeAg的缺失使含有HBV基因组的肝细胞能够逃避机体免疫的清除，形成慢性持续性感染。这种感染形式可对抗抗病毒药物的作用，并且与肝癌的发生也有一定的关系。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5359', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1614', '（二）病理改变', '<p>1.急性乙型肝炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">为全小叶病变，主要表现为肝细胞肿胀、水样变性及气球样变、嗜酸性变，嗜酸性小体形成、肝小叶内有散在的点状及灶状坏死，同时有肝细胞再生、肝窦Kupffer细胞增生。肝窦内、肝实质有炎性细胞浸润，主要为淋巴细胞，其次为单核细胞和浆细胞浸润。汇管区呈轻度至中度炎症。有黄疸者，可见小叶内有胆汁淤积，毛细胆管内有胆栓。在淤胆型肝炎患者，小胆管有明显淤胆及胆栓形成，肝细胞变性及坏死轻，肝细胞内有胆色素沉着；汇管区可见炎性细胞浸润和小胆管增生。</p><p>2.慢性乙型肝炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据病变轻重不同，可分：①轻度慢性肝炎（G<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1～2</span>，S<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">0～2</span>）：病理特点有肝细胞变性、嗜酸性小体形成、点状及灶状坏死、汇管区有轻度炎性细胞浸润，可见轻度碎屑样坏死，小叶结构完整；②中度慢性肝炎（G<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>，S<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1～3</span>）：病理特点为汇管区及肝小叶边缘炎症明显，肝小叶边缘出现明显的碎屑样坏死，肝小叶界板破坏可达50%以上。小叶内炎症较重，可见融合坏死或伴少数桥接坏死、纤维间隔形成，但大部分小叶结构仍保持完整；③重度慢性肝炎（G<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>，S<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1～4</span>）：汇管区炎症及纤维组织增生严重，并伴重度碎屑样坏死，多数小叶有范围广泛的桥接坏死，小叶结构紊乱，有较多的纤维间隔形成或已形成早期肝硬化。我国采用Scheuer制定的国际通用的肝脏炎症纤维化评估方案或与Scheuer标准相对应的2000年全国病毒性肝炎防治方案中的炎症与纤维分级分期标准。慢性乙型肝炎肝组织炎症的分级和纤维化程度的分期见表11-6-13。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表11-6-13　慢性肝炎组织学分级分期标准</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180523-1527064243303046784.jpg\" title=\"1527064243303046784.jpg\" alt=\"乙型病毒性肝炎-病理改变-注：PN：碎屑样坏死；BN：桥接坏死.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1011px; table-layout: fixed;\"/></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">注：PN：碎屑样坏死；BN：桥接坏死</p><p>3.肝衰竭</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据病理组织学特征和病情发展速度，肝衰竭被分为四类：急性肝衰竭（acute liver failure，ALF）、亚急性肝衰竭（subacute liver failure，SALF）、慢加急性（亚急性）肝衰竭（acute-on-chronic liver failure，ACLF）和慢性肝衰竭（chronic liver failure，CLF）。病理组织学特征分述如下：</p><p>（1）急性肝衰竭：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝细胞呈一次性坏死，坏死面积≥肝实质的2/3；或亚大块坏死，或桥接坏死，伴存活肝细胞严重变性，肝窦网状支架不塌陷或非完全性塌陷。</p><p>（2）亚急性肝衰竭：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝组织呈新旧不等的亚大块坏死或桥接坏死；较陈旧的坏死区网状纤维塌陷，或有胶原纤维沉积；残留肝细胞有程度不等的再生，并可见细、小胆管增生和胆汁淤积。</p><p>（3）慢加急性（亚急性）肝衰竭：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在慢性肝病病理损害的基础上，发生新的程度不等的肝细胞坏死性病变。</p><p>（4）慢性肝衰竭：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要为弥漫性肝脏纤维化以及异常结节形成，可伴有分布不均的肝细胞坏死。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5360', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1614', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HBV感染的潜伏期为30～160天，平均为60～90天，临床类型呈多样化，可表现为急性肝炎、慢性肝炎、肝衰竭、淤胆型肝炎或HBV慢性携带等。95%的成人HBV感染可以最终痊愈，伴有血清HBsAg消失和抗-HBs的出现。大约30%的成人急性HBV感染者表现为黄疸型肝炎，其中0.1%～0.5%表现为暴发性肝炎。</p><p>（一）HBV感染的自然史</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">感染时的年龄是影响慢性化的最主要因素。在围生（产）期和婴幼儿时期感染HBV者中，分别有90%和25%～30%将发展成慢性感染，而5岁以后感染者仅有5%～10%发展为慢性感染。婴幼儿期HBV感染的自然史一般可人为地划分为4个期，即免疫耐受期、免疫清除期、非活动性携带或低（非）复制期和再活动期。各期的特点见表11-6-14。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">并不是所有感染HBV者都经过以上四个期。新生儿时期感染HBV，仅少数（约5%）可自发清除HBV，而多数有较长的免疫耐受期，然后进入免疫清除期。但青少年和成年时期感染HBV，多无免疫耐受期，而直接进入免疫清除期，他们中的大部分可自发清除HBV（约90%～95%），少数（约5%～10%）发展为HBeAg阳性慢性乙型肝炎。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">自发性HBeAg血清学转换主要出现在免疫清除期，年发生率约为2%～15%，其中年龄小于40岁、ALT升高以及感染HBV基因A型和B型者发生率较高。HBeAg血清学转换后每年大约有0.5%～1.0%发生HBsAg清除。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性HBV感染者的肝硬化发生率与感染状态有关。免疫耐受期患者只有很轻或没有肝纤维化进展，而免疫清除期是肝硬化的高发时期。肝硬化的累积发生率与持续高病毒载量呈正相关，HBV DNA是独立于HBeAg和ALT以外能够独立预测肝硬化发生的危险因素。发生肝硬化的高危因素还包括嗜酒、合并HCV、HDV或HIV感染等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">非肝硬化的患者较少发生HCC。肝硬化患者中其年发生率为3%～6%。HBeAg阳性和（或）HBV DNA＞2000IU/ml（相当于10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">4</span>拷贝/ml）是肝硬化和HCC发生的显著危险因素。大样本研究显示，年龄大、男性、ALT水平高也是肝硬化和HCC发生的危险因素。HCC家族史也是相关因素，但在同样的遗传背景下，HBV病毒载量更为重要。</p><p>（二）HBV感染的临床类型1.急性乙型肝炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据临床有无黄疸，可分为急性黄疸型和急性无黄疸型。</p><p>（1）急性黄疸型肝炎：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在黄疸前期，患者可表现为发热，一般持续3～7天，伴全身高度乏力、不适、食欲缺乏、恶心、呕吐、上腹部饱胀，易被误诊为“感冒”。黄疸前期一般延续数日至2周。随后进入黄疸期，患者逐渐出现尿色加深，呈浓茶样，巩膜及皮肤发黄。部分患者出现大便颜色变浅，淤胆明显者可有大便颜色变浅及皮肤瘙痒。黄疸出现后，发热常已消退，食欲缺乏、恶心、呕吐等消化道症状逐渐减轻。肝脏轻度肿大，部分患者有脾脏轻度肿大。黄疸期约持续2～6周。进入恢复期后，黄疸逐渐消退，症状消失。肝脏、脾脏缩小。整个病程约2～4个月。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表11-6-14　HBV感染不同临床时期的特征</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180523-1527064320193067082.jpg\" title=\"1527064320193067082.jpg\" alt=\"乙型病毒性肝炎-临床表现-表11-6-14.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 784px; table-layout: fixed;\"/></p><p>（2）急性无黄疸型肝炎：<br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床表现与急性黄疸型肝炎相似。但不出现黄疸，症状较轻。急性乙型肝炎多表现为急性无黄疸型，不易被早期诊断，病情迁延可以发展为慢性乙型肝炎。</p><p>2.慢性乙型肝炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床症状呈多样性，轻者可无症状或症状轻，重者可出现食欲缺乏、恶心、呕吐、腹胀、全身乏力和黄疸等。慢性乙型肝炎长期或反复发作，可引起肝脏和脾脏肿大、肝病面容、肝掌和蜘蛛痣，部分患者出现出血倾向、内分泌紊乱等。实验室检查显示ALT、AST、球蛋白及胆红素反复或持续升高，A/G比例倒置，凝血酶原时间延长，外周血白细胞和血小板减少等。少数慢性乙型肝炎患者还可出现多种肝外表现，如肾小球肾炎、溶血性贫血、再生障碍性贫血、多发性神经炎等。根据HBeAg是否阳性，慢性乙型肝炎可分为以下两种类型：</p><p>（1）HBeAg阳性慢性乙型肝炎：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血清HBsAg、HBeAg阳性、抗-HBe阴性，HBV DNA阳性，ALT持续或反复升高，或肝组织学检查有肝脏病理改变。</p><p>（2）HBeAg阴性慢性乙型肝炎：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血清HBsAg阳性，HBeAg持续阴性，抗-HBe阳性或阴性，HBV DNA阳性，ALT持续或反复异常，或肝组织学检查有肝脏病理改变。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据生物化学试验及其他临床和辅助检查结果，上述两型慢性乙型肝炎也可进一步分为轻度、中度和重度。</p><p>3.乙型肝炎肝硬化</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">乙型肝炎肝硬化是慢性乙型肝炎发展的结果，其病理学定义为弥漫性纤维化伴有假小叶形成。</p><p>（1）代偿期肝硬化：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一般属Child-Pugh A级。影像学、生化学或血液学检查有肝细胞合成功能障碍或门静脉高压症（如脾功能亢进及食管胃底静脉曲张）证据，或组织学符合肝硬化诊断，但无食管胃底静脉曲张破裂出血、腹水或肝性脑病等严重并发症。</p><p>（2）失代偿期肝硬化：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一般属Child-Pugh B、C级。患者已发生食管胃底静脉曲张破裂出血、肝性脑病、腹水等严重并发症。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">亦可将代偿期和失代偿期肝硬化再分为活动期或静止期。</p><p>4.携带者</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据HBV DNA水平和ALT水平，又可将携带者分为以下两种类型：</p><p>（1）慢性HBV携带者：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多为处于免疫耐受期的HB-sAg、HBeAg和HBV DNA阳性者，1年内连续随访3次以上均显示血清ALT和AST在正常范围，肝组织学检查无明显异常。</p><p>（2）非活动性HBsAg携带者：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血清HBsAg阳性、HBeAg阴性、抗-HBe阳性或阴性，HBV DNA低于最低检测限，1年内连续随访3次以上，ALT均在正常范围。肝组织学检查显示：Knodell肝炎活动指数（HAI）＜4或根据其他的半定量计分系统判定病变轻微。</p><p>5.隐匿性慢性乙型肝炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血清HBsAg阴性，但血清和（或）肝组织中HBV DNA阳性，并有慢性乙型肝炎的临床表现。除HBV DNA阳性外，患者可有血清抗-HBs、抗-HBe和（或）抗-HBc阳性，但约20%隐匿性慢性乙型肝炎患者的血清学标志均为阴性。诊断需排除其他病毒及非病毒因素引起的肝损伤。</p><p>6.肝衰竭</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床上表现为迅速加深的黄疸、凝血酶原活动度明显降低（＜40%）和程度不等的肝性脑病。按其发病经过不同，可以分为急性、亚急性和慢性肝衰竭。</p><p>（1）急性肝衰竭（acute hepatic failure）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">又称“暴发性肝炎（fulminant hepatitis）”或“急性重型肝炎”，急性起病，病情进展迅速，2周内出现Ⅱ度及以上肝性脑病（按Ⅳ度分类法划分）并有以下表现者，可诊断为急性肝衰竭：①极度乏力，并有明显厌食、腹胀、恶心、呕吐等严重消化道症状；②短期内黄疸进行性加深；③出血倾向明显，PTA≤40%，且排除其他原因；④肝脏进行性缩小。在后期，患者常并发脑水肿、电解质紊乱、细菌或（及）真菌感染，消化道出血、肝肾综合征或急性肾衰竭。该病预后甚差，病程一般不超过3周。</p><p>（2）亚急性肝衰竭：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">又称亚急性重型肝炎，亚急性肝坏死，起病较急，15日～26周出现以下表现者：①极度乏力，有明显的消化道症状；②黄疸迅速加深，血清总胆红素大于正常值上限10倍或每日上升≥17.1μmol/L；③凝血酶原时间明显延长，PTA≤40%并排除其他原因者。</p><p>（3）慢加急性（亚急性）肝衰竭：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">又称慢性重型肝炎。在慢性肝病基础上，短期内发生急性肝功能失代偿的主要临床表现。</p><p>（4）慢性肝衰竭：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在肝硬化基础上，肝功能进行性减退和失代偿。诊断要点为：①有腹水或其他门脉高压表现；②可有肝性脑病；③血清总胆红素升高，白蛋白明显降低；④有凝血功能障碍 ，PTA≤40%。</p><p>7.淤胆型肝炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床以急性淤胆型肝炎多见。急性淤胆型肝炎起病类似急性黄疸型肝炎，但乏力和消化道症状较轻，主要表现为肝内胆汁淤积，大便色浅、皮肤明显瘙痒、黄疸较重、尿色呈深茶色。尿胆红素强阳性，但尿胆原和尿胆素减少或消失。血清总胆红素明显升高，以结合胆红素升高为主，血清碱性磷酸酶（ALP）、γ谷氨酰胺转肽酶（γGT）明显升高。血清胆固醇升高，但凝血酶原活动度（PTA）正常。B超显示肝内、外胆管不扩张，无胆囊肿大，病程常在3周以上。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5361', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1614', '辅助检查', '<p>（一）常规检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">外周血白细胞总数正常或偏低，淋巴细胞增多，可出现异型淋巴细胞，但在10%以下。少数患者，如较重的慢性乙型肝炎、合并肝硬化者、重型肝炎患者可出现血小板减少及白细胞减少。有黄疸者，可出现尿胆红素阳性，尿胆原和尿胆素增多。合并乙型肝炎相关性肾炎者，可出现蛋白尿、血尿。淤胆型肝炎时，尿胆红素强阳性，但尿胆原和尿胆素减少或消失。</p><p>（二）生化学检查1.血清ALT和AST</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血清ALT和AST水平一般可反映肝细胞损伤程度，最为常用。</p><p>2.血清胆红素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">通常血清胆红素水平与肝细胞坏死程度有关，但需与肝内和肝外胆汁淤积所引起的胆红素升高鉴别。肝衰竭患者血清胆红素可呈进行性升高，每天上升≥1倍正常值上限（ULN），可≥10×ULN；也可出现胆红素与ALT和AST分离现象。</p><p>3.血清白蛋白</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">反映肝脏合成功能，慢性乙型肝炎、肝硬化和肝衰竭患者可有血清白蛋白下降。</p><p>4.凝血酶原时间（PT）及PTA</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">PT是反映肝脏凝血因子合成功能的重要指标，PTA是PT测定值的常用表示方法，对判断疾病进展及预后有较大价值，近期内PTA进行性降至40%以下为肝衰竭的重要诊断标准之一，＜20%者提示预后不良。亦有采用国际标准化比值（INR）来表示此项指标者，INR值升高与PTA值下降意义相同。</p><p>5.胆碱酯酶</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可反映肝脏合成功能，对了解病情轻重和监测肝病发展有参考价值。</p><p>6.甲胎蛋白（alpha-fetoprotein，AFP）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">AFP明显升高主要见于HCC，但也可提示大量肝细胞坏死后的肝细胞再生，故应注意AFP升高的幅度、动态变化及其与ALT、AST的消长关系，并结合患者的临床表现和肝脏超声显像等影像学检查结果进行综合分析。</p><p>（三）HBV血清学检测</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HBV血清学标志包括HB-sAg、抗-HBs、HBeAg、抗-HBe、抗-HBc和抗-HBc-IgM。HBsAg阳性表示HBV感染；抗-HBs为保护性抗体，其阳性表示对HBV有免疫力，见于乙型肝炎康复及接种乙型肝炎疫苗者；HBsAg转阴且抗-HBs转阳，称为HBsAg血清学转换；HBeAg转阴且抗-HBe转阳，称为HBeAg血清学转换；抗-HBc-IgM阳性提示HBV复制，多见于乙型肝炎急性期，但亦可见于慢性乙型肝炎急性发作；抗-HBc总抗体主要是抗-HBc-IgG，只要感染过HBV，无论病毒是否被清除，此抗体多为阳性。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">为了解有无HBV与HDV同时或重叠感染，可测定HDVAg、抗-HDV、抗-HDV IgM和HDV RNA。</p><p>（四）HBV DNA、基因型和变异检测</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.HBV DNA定量检测可反映病毒复制水平，主要用于慢性HBV感染的诊断、治疗适应证的选择及抗病毒疗效的判断。HBV DNA的检测值可以国际单位（IU）/ml或拷贝/ml表示，根据检测方法的不同，1IU相当于5.6拷贝。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.HBV基因分型和耐药突变株检测常用的方法有：①基因型特异性引物PCR法；②限制性片段长度多态性分析法（RFLP）；③线性探针反向杂交法（INNO-LiPA）；④基因序列测定法等。</p><p>（五）肝组织学检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可以了解肝脏炎症和纤维化的程度，对抗病毒药物的选择、疗效考核、预后判断均具有很大的意义，同时也有助于肝脏疾病的鉴别诊断（详见前文发病机制与病理中“病理改变”部分）。</p><p>（六）影像学检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可对肝脏、胆囊、脾脏进行超声显像、电子计算机断层扫描（CT）和磁共振成像（MRI）等检查。影像学检查的主要目的是监测慢性乙型肝炎的临床进展，了解有无肝硬化，发现和鉴别占位性病变性质，尤其是筛查和诊断HCC。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝脏弹性成像测定（hepatic elastography）的优势在于无创伤性、操作简便、可重复性好，能够比较准确地识别出轻度肝纤维化和重度肝纤维化/早期肝硬化。但其测定成功率受肥胖、肋间隙大小等因素影响，其测定值受肝脏脂肪变、炎症坏死及胆汁淤积的影响。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5362', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1614', '诊断与鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据流行病学资料、临床症状、体征和实验室检查等，很容易诊断出HBV感染。对诊断不明的患者应争取作肝组织学检查。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">乙型肝炎需与其他病毒引起的肝炎以及其他引起ALT升高的疾病相鉴别。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5363', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1614', '并发症', '<p>（一）肝硬化</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在我国，乙型肝炎是引起肝硬化最常见的疾病，而肝硬化又是乙型肝炎最常见的并发症（见临床表现中“HBV感染的自然史”部分）。</p><p>（二）肝细胞性肝癌（HCC）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在我国，乙型肝炎是引起肝HCC最常见的病因（见临床表现中“HBV感染的自然史”部分）。</p><p>（三）肝性脑病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是严重肝病（如重型肝炎、肝硬化和肝癌）的常见并发症之一。</p><p>（四）出血</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是重型肝炎和肝炎肝硬化常见的严重并发症。临床以上消化道出血最为常见。</p><p>（五）继发感染</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">重型肝炎、肝硬化、肝癌患者常有免疫功能减退，容易发生感染。常见感染有原发性腹膜炎、肺部感染、肠道感染、胆囊炎、胆管炎和败血症等。以细菌感染最为常见。近年来真菌感染逐渐增多，主要是由于患者免疫功能严重低下，长期和大量应用各种广谱抗生素所致。严重感染可进—步加重肝脏的炎症和坏死病变。</p><p>（六）肝肾综合征和急性肾衰竭</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">重型肝炎和失代偿性肝硬化患者可出现肝肾综合征或急性肾衰竭，后者常提示预后不良。</p><p>（七）电解质紊乱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">重型肝炎和肝炎肝硬化患者常可发生严重电解质紊乱，表现为血清钠降低，也可出现低血钾或高血钾。</p><p>（八）HBV相关性肾炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多见于慢性乙型肝炎患者和慢性HBV携带者。临床表现为急性或慢性肾炎。可有水肿、高血压、尿蛋白阳性，尿镜检有红、白细胞及各种管型。晚期可出现尿毒症。肾组织检查多为膜性或膜增殖性肾炎。肾组织免疫组化检查在肾小球系膜和毛细血管基底膜上有HBsAg、HBeAg、HBcAg及IgG、IgM和补体复合物沉积。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5364', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1614', '预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">随着α干扰素和核苷类似物的广泛应用、肝脏移植的开展、早期肝癌诊断率的提高，慢性乙型肝炎的预后得到了显著改善。重型肝炎患者预后较差，急性及亚急性重型肝炎的病死率约50%。而慢性重型肝炎病死率较高，约在70%以上（见临床表现中“HBV感染的自然史”部分）。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5365', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1614', '治疗', '<p>（一）急性乙型肝炎的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">成人急性乙型肝炎一般为自限性疾病，约95%以上患者经过充分休息、适当的营养和应用一般护肝药物即可痊愈。患者可进食清淡、易消化的食物，补充维生素和足够热量，不能进食者，可给予输注葡萄糖液。对有明显消化道症状和黄疸者，可静脉输注复方甘草酸苷80～120ml/d或甘草酸二铵150mg/d，对减轻症状、改善肝功能和消除黄疸，有较好的疗效。一般不需要抗病毒治疗。</p><p>（二）慢性乙型肝炎的治疗1.总体目标</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性乙型肝炎治疗的总体目标是：最大限度地长期抑制HBV，减轻肝细胞炎症坏死及肝纤维化，延缓和减少肝脏失代偿、肝硬化、HCC及其并发症的发生，从而改善生活质量和延长存活时间。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性乙型肝炎的治疗主要包括抗病毒、免疫调节、抗炎和抗氧化、抗纤维化与对症治疗，其中抗病毒治疗是关键，只要有适应证，且条件允许，就应进行规范的抗病毒治疗。</p><p>2.抗病毒治疗的一般适应证</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一般适应证包括：①HBeAg阳性者，HBV DNA≥10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">5</span>拷贝/ml（相当于20 000IU/ml）；HBeAg阴性者，HBV DNA≥10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">4</span>拷贝/ml（相当于2000IU/ml）；②ALT≥2×ULN；如用干扰素治疗，ALT应≤10×ULN，血清总胆红素应＜2×ULN；③ALT＜2×ULN，但肝组织学显示Knodell HAI≥4，或炎症坏死≥G2，或纤维化≥S2。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对HBV DNA持续阳性，达不到上述治疗标准，但有以下情形之一者，亦应考虑给予抗病毒治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）对ALT大于正常上限且年龄＞40岁者，也应考虑抗病毒治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）对ALT持续正常但年龄较大者（＞40岁），应密切随访，最好进行肝活检；如果肝组织学显示Knodell HAI ≥4，或炎症坏死≥G2，或纤维化≥S2，应积极给予抗病毒治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（3）动态观察发现有疾病进展的证据（如脾脏增大）者，建议行肝组织学检查，必要时给予抗病毒治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于代偿性肝硬化患者，HBeAg阳性者的治疗指征为HBV DNA≥10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">4</span>拷贝/ml，HBeAg阴性者为HBV DNA≥10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">3</span>拷贝/ml，ALT正常或升高。对于失代偿期肝硬化患者，只要能检出HBV DNA，不论ALT或AST是否升高，建议在知情同意的基础上，及时应用核苷（酸）类似物抗病毒治疗，以改善肝功能并延缓或减少肝移植的需求。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在开始治疗前应排除由药物、酒精或其他因素所致的ALT升高，也应排除应用降酶药物后ALT暂时性正常。在一些特殊病例如肝硬化或服用联苯结构衍生物类药物者，其AST水平可高于ALT，此时可将AST水平作为主要指标。</p><p>3.α干扰素治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">我国已批准普通干扰素（IFN-α-2a、2b和1b）和聚乙二醇化干扰素（PegIFN-α-2a和2b）用于治疗慢性乙型肝炎。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">荟萃分析表明，普通干扰素治疗慢性乙型肝炎患者，HBeAg血清转换率、HBsAg清除率、肝硬化发生率、HCC发生率均优于未经干扰素治疗者。有关HBeAg阴性患者的4项随机对照试验表明，治疗结束时应答率为38%～90%，但持久应答率仅为10%～47%（平均24%）。有研究认为，普通IFN-α疗程至少1年才能获得较好的疗效。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">国际多中心随机对照临床试验显示，HBeAg阳性的慢性乙型肝炎患者，PegIFN-α-2a治疗（87%为亚洲人）48周，停药随访24周时HBeAg血清转换率为32%；停药随访48周时HBeAg血清转换率可达43%。国外研究显示，对于HBeAg阳性的慢性乙型肝炎，应用PegIFN-α-2b也可取得类似的HBV DNA抑制、HBeAg血清转换、HBsAg消失率。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对HBeAg阴性慢性乙型肝炎患者（60%为亚洲人）用PegIFN-α-2a治疗48周，停药后随访24周时HBV DNA＜1×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">4</span>拷贝/ml（相当于2000IU/ml）的患者为43%，停药后随访48周时为42%；HBsAg消失率在停药随访24周时为3%，停药随访至3年时增加至8%。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">普通IFN-α的剂量为3～5MU，每周3次或隔日1次，皮下注射，一般疗程至少为6个月，如有应答，为提高疗效亦可延长疗程至1年或更长。可根据患者的应答和耐受情况适当调整剂量及疗程；如治疗6个月仍无应答，可改用或联合其他抗病毒药物。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">PegIFN-α-2a的剂量为180μg，每周1次，皮下注射，或PegIFN-α-2b1.0～1.5μg/kg，每周1次，皮下注射，疗程均为1年。具体剂量和疗程可根据患者的应答及耐受性等因素进行调整。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">干扰素因其有导致肝功能失代偿等并发症的可能，应十分慎重。如认为有必要，宜从小剂量开始，根据患者的耐受情况逐渐增加到预定的治疗剂量。对失代偿期肝硬化患者属禁忌证。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床上在使用IFN-α时，需注意以下几个问题：</p><p>（1）干扰素抗病毒疗效的预测因素：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有下列因素者常可取得较好的疗效：①治疗前ALT水平较高；②HBV DNA＜2×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">8</span>拷贝/ml（＜4×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">7</span>IU/ml）；③女性；④病程短；⑤非母婴传播；⑥肝组织炎症坏死较重，纤维化程度轻；⑦对治疗的依从性好；⑧无HCV、HDV或HIV合并感染；⑨HBV基因A型；⑩治疗12或24周时，血清HBV DNA不能检出。其中治疗前ALT、HBV DNA水平和HBV基因型，是预测疗效的重要因素。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有研究表明，在PegIFN-α-2a治疗过程中，定量检测HBsAg水平或HBeAg水平对治疗应答有较好的预测作用。对于HBeAg阳性的慢性乙型肝炎患者，在干扰素治疗24周时，如HBsAg水平＜1500IU/ml，提示应答较好，可治疗至48周，50%以上的患者可取得HBeAg血清学转换；如HBsAg水平＞20 000IU/ml，提示应答较差，需改用其他治疗方案或与核苷（酸）类似物（NA）联合治疗，如HBsAg水平介于1500～20 000IU/ml之间，疗程可能需要延长至72周。对于HBeAg阴性的慢性乙型肝炎患者，在干扰素治疗24周时，如HBsAg水平较基线下降10倍或以上，提示应答较好，可治疗至48周或更长；如较基线下降小于10倍，则提示应答较差，需改用其他治疗方案或与NA联合治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于HBeAg阴性的慢性乙型肝炎，如HBsAg水平和基线比下降＜10%，且HBV DNA下降值＜2log拷贝/ml，可停止干扰素治疗。</p><p>（2）干扰素治疗的监测和随访：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">治疗前应检查生化学指标、肾功能、血常规、尿常规、血糖、甲状腺功能、HBV血清标志物、HBV DNA水平、HBsAg水平、自身抗体、妊娠试验。对于中年以上患者，应作心电图检查和测血压。在治疗开始后的第1个月，应每1～2周检查1次血常规，以后每月检查1次，直至治疗结束。生化学指标，包括ALT、AST等，治疗开始后每月1次，连续3次，以后随病情改善可每3个月1次。其他在基线已检测的指标，在治疗开始后每3个月检测1次。如治疗前就已存在甲状腺功能异常或已患糖尿病者，应先用药物控制甲状腺功能异常或糖尿病，然后再开始干扰素治疗，同时应每月检查甲状腺功能和血糖水平。应定期评估精神状态，对出现明显抑郁和有自杀倾向的患者，应立即停药并密切监护。</p><p>（3）干扰素的不良反应及其处理</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1）流感样症候群：表现为发热、寒战、头痛、肌肉酸痛和乏力等，可在睡前注射IFN-α，或在注射干扰素的同时服用解热镇痛药。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2）一过性外周血细胞减少：主要表现为外周血白细胞（中性粒细胞）和血小板减少。如中性粒细胞绝对计数≤0.75×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L和（或）血小板＜50×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L，应降低IFN-α剂量；1～2周后复查，如恢复，则逐渐增加至原量。如中性粒细胞绝对计数≤0.5×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L和（或）血小板＜30×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L，则应停药。对中性粒细胞明显降低者，可试用粒细胞集落刺激因子（G-CSF）或粒细胞巨噬细胞集落刺激因子（GMCSF）治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3）精神异常：可表现为抑郁、妄想、重度焦虑等精神病症状。对症状严重者，应及时停用IFN-α，必要时会同神经精神科医师进一步诊治。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4）自身免疫性疾病：一些患者可出现自身抗体，仅少部分患者出现甲状腺疾病（甲状腺功能减退或亢进）、糖尿病、血小板减少、银屑病、白斑、类风湿关节炎和系统性红斑狼疮样综合征等，应请相关科室医师会诊共同诊治，严重者应停药。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5）其他少见的不良反应：包括肾脏损害（间质性肾炎、肾病综合征和急性肾衰竭等）、心血管并发症（心律失常、缺血性心脏病和心肌病等）、视网膜病变、听力下降和间质性肺炎等，应停止干扰素治疗。</p><p>（4）干扰素治疗的禁忌证</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">干扰素治疗的绝对禁忌证包括：妊娠、精神病史（如严重抑郁症）、未能控制的癫痫、未戒断的酗酒/吸毒者、未经控制的自身免疫性疾病、失代偿期肝硬化、有症状的心脏病。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">干扰素治疗的相对禁忌证包括：甲状腺疾病、视网膜病、银屑病、既往抑郁症史，未控制的糖尿病、高血压，治疗前中性粒细胞计数＜1.0×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L和（或）血小板计数＜50 ×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L，总胆红素＞51μmol/L（特别是以非结合胆红素为主者）。</p><p>4.核苷（酸）类似物抗病毒治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">已经批准用于慢性乙型肝炎治疗的核苷（酸）类似物（nucleos（t）ide analogues，NA）有5种，包括拉米夫定（lamivudine，LAM）、阿德福韦（adefovir，ADV）、恩替卡韦（entecavir，ETV）、替比夫定（telbivudine，LdT）和替诺福韦（tenofovir，TDF），我国已上市4种。各种NA的应用、疗效和注意事项见表11-6-15。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表11-6-15　五种核苷（酸）类似物抗HBV的疗效及副作用比较</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180523-1527064406501065109.jpg\" title=\"1527064406501065109.jpg\" alt=\"乙型病毒性肝炎-治疗-表11-6-15.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1001px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">续表</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180523-1527064416647061147.jpg\" title=\"1527064416647061147.jpg\" alt=\"乙型病毒性肝炎-治疗-续表.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1011px; table-layout: fixed;\"/></p><p>（1）核苷（酸）类似物治疗的疗程：<br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于HBeAg阳性的慢性乙型肝炎，患者在达到HBV DNA低于检测下限、ALT复常、HBeAg血清转换后，再巩固至少1年（经过至少两次复查，每次间隔6个月）仍保持不变、且总疗程至少已达2年者，可考虑停药，但延长疗程可减少复发。停止治疗后要密切监测以防复发。对于HBeAg阴性的慢性乙型肝炎，患者在达到HBV DNA低于检测下限、ALT正常后，至少再巩固1年半（经过至少3次复查，每次间隔6个月）仍保持不变、且总疗程至少已达到2年半者，可考虑停药。由于停药后复发率较高，可以延长疗程。停止NA治疗后要密切监测以防复发。对于代偿性肝硬化患者，需要长期治疗，最好选用耐药发生率低的核苷（酸）类似物治疗，其停药标准尚不明确。对于失代偿肝硬化和肝移植后肝炎复发者，推荐终身治疗。</p><p>（2）核苷（酸）类似物治疗的监测和随访：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">治疗过程中应对相关指标进行定期监测和随访，以评价疗效和提高依从性：①生化学指标：治疗开始后每月1次，连续3次，以后随病情改善可每3个月1次；②病毒学标志：治疗开始后每3个月检测1次HBsAg、HBeAg、抗-HBe和HBV DNA；③根据病情需要，检测血常规、血清磷酸肌酸激酶和肌酐等指标。</p><p>（3）核苷（酸）类似物耐药的预防和治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1）严格掌握治疗适应证：对于肝脏炎症病变轻微、难以取得持续应答的患者（如ALT正常、HBeAg阳性的免疫耐受期），特别是当这些患者＜30岁时，应当尽量避免使用核苷（酸）类似物治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2）谨慎选择核苷（酸）类药物：如条件允许，开始治疗时宜选用抗病毒作用强和耐药发生率低的药物，或采用NA联合治疗（如拉米夫定和阿德福韦联合治疗），尤其是已有肝硬化、需要长期抗病毒治疗的患者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3）治疗中密切监测、及时联合治疗：定期检测HBV DNA，以及时发现原发性无应答或病毒学突破。对合并HIV感染、肝硬化及高病毒载量等早期应答不佳者，宜尽早采用无交叉耐药位点的核苷（酸）类药物联合治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4）尽量避免单药序贯治疗：有临床研究显示，因对某一核苷（酸）类发生耐药而先后改用其他苷（酸）类药物治疗，可筛选出对多种苷（酸）类耐药的变异株。因此，应避免单药序贯治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5）NA耐药的处理：一旦发现耐药，尽早给予挽救治疗。对于发生拉米夫定耐药的患者，可改为替诺福韦单药治疗，或加用阿德福韦治疗（如果无替诺福韦）；对于发生阿德福韦耐药者，如在用阿德福韦治疗前未应用过NA治疗，可改用恩替卡韦或替诺福韦，如HBV DNA水平较高，优先选择恩替卡韦。如在用阿德福韦治疗前已有拉米夫定耐药，可改为特鲁瓦达（Truvada，恩曲他滨200mg和替诺福韦300mg）治疗，或改为替诺福韦加上一种核苷类似物（如拉米夫定等）；对于替比夫定耐药者，可加用替诺福韦，或改为单药治疗，或加用阿德福韦治疗（如果无替诺福韦）；对于恩替卡韦耐药者，可换用或加用替诺福韦治疗，或加用阿德福韦治疗（如果无替诺福韦）。因为尚未检测到替诺福韦耐药，对替诺福韦耐药的处理缺乏经验。一旦证实存在替诺福韦耐药，可加用恩替卡韦、替比夫定或拉米夫定，对于既往未接受过拉米夫定治疗的替诺福韦耐药者，也可换用恩替卡韦治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前，NA治疗过程中的“路线图”（roadmap）概念已在临床上应用，即在治疗过程中动态监测HBV DNA水平，以便及早调整治疗方案，最终达到提高疗效，降低耐药性的目的。以拉米夫定和替比夫定治疗为例，在治疗24周时，如HBV DNA≥10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">4</span>拷贝/ml，可加用无交叉耐药的另一种药物，或换用其他抗病毒作用强、耐药率低的药物。</p><p>5.特殊人群的治疗（1）HBV/HIV合并感染患者的治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于符合慢性乙型肝炎诊断标准的患者应当实施治疗。一过性或轻微ALT升高（1～2ULN）的患者应当考虑肝活检。对于没有进行HAART治疗和近期不需要进行HAART治疗的患者，应当选用无抗HIV活性药物进行抗乙型肝炎病毒治疗，例如聚乙二醇化干扰素α、阿德福韦酯。尽管替比夫定无抗HIV活性，但在这种情况下也不应当选用。对于将要同时进行抗HBV和抗HIV治疗的患者，应当选用对这两种病毒均有效的药物。优先选用拉米夫定加替诺福韦或恩曲他滨加替诺福韦。对于正在接受有效HAART治疗的患者，若HAART方案中无抗乙型肝炎病毒药物，则可选用聚乙二醇化干扰素α、阿德福韦酯治疗。对于拉米夫定耐药患者，应当加用替诺福韦或阿德福韦酯治疗。当需要改变HAART方案时，不应当在无有效药物替代前就中断抗乙型肝炎病毒的有效药物，除非患者已经获得HBeAg血清转换，并完成了足够的巩固治疗时间。</p><p>（2）应用化疗和免疫抑制剂治疗的慢性乙型肝炎病毒感染者 ：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于因其他疾病而接受化疗、免疫抑制剂治疗的患者，应常规筛查HBsAg；若为阳性，即使HBV DNA阴性和ALT正常，也应在治疗前1周开始服用拉米夫定或其他核苷（酸）类似物。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对HBsAg阴性、抗HBc阳性患者，在给予长期或大剂量免疫抑制剂或细胞毒药物（特别是针对B或T淋巴细胞单克隆抗体）治疗时，应密切监测HBV DNA和HBsAg，若出现阳转则应及时加用抗病毒治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在化疗和免疫抑制剂治疗停止后，应根据患者病情决定停药时间：①对于基线HBV DNA＜2000IU/ml的患者，在完成化疗或免疫抑制剂治疗后，应当继续治疗6个月；②基线HBV DNA水平较高（＞2000IU/ml）的患者，应当持续治疗到和免疫功能正常的慢性乙型肝炎患者同样的停药标准；③对于预期疗程≤12个月的患者，可以选用拉米夫定或替比夫定；④对于预期疗程更长的患者，应优先选用恩替卡韦或阿德福韦酯；⑤核苷（酸）类似物停用后可出现复发，甚至病情恶化，应予以高度重视；⑥干扰素有骨髓抑制作用，应当避免选用。</p><p>（3）急性乙型肝炎：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于大部分急性乙型肝炎呈自限性经过，因此不需要常规抗病毒治疗。但对部分重度或迁延、有重症倾向者，应该给予抗病毒治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HBV感染所致的肝衰竭，包括急性、亚急性、慢加急性和慢性肝衰竭，只要HBV DNA可检出，均应使用核苷（酸）类似物抗病毒治疗。</p><p>（4）肝移植患者：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于拟接受肝移植手术的HBV相关疾病患者，如HBV DNA可检测到，最好于肝移植术前1～3个月开始服用拉米夫定，每日100mg口服；术中无肝期给予乙型肝炎免疫球蛋白（HBIG）；术后长期使用拉米夫定和小剂量HBIG（第1周每日800IU，以后每周800IU至每月应用800IU），并根据抗-HBs水平调整HBIG剂量和用药间隔（一般抗-HBs谷值浓度应大于100～150mIU/ ml，术后半年内最好大于500mIU/ml），但理想的疗程有待进一步确定。对于发生拉米夫定耐药者，可选用其他已批准的能治疗耐药变异的核苷（酸）类似物。另外，对于复发低危者（肝移植术前HBV DNA阴性，移植后2年HBV未复发），可考虑采用拉米夫定加阿德福韦酯联合预防。</p><p>（5）HBV/HCV合并感染患者的治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对此类患者应先确定是哪种病毒占优势，然后决定如何治疗。如患者HBV DNA≥10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">4</span>拷贝/ml，而HCV RNA测不到，则应先治疗HBV感染。对HBV DNA水平高且可检测到HCV RNA者，应先用标准剂量聚乙二醇化干扰素和利巴韦林治疗3个月，如HBV DNA无应答或升高，则加用拉米夫定或恩替卡韦或阿德福韦酯治疗。</p><p>（6）儿童患者：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于12岁以上（体重≥35kg）慢性乙型肝炎患儿，其普通IFN-α治疗的适应证、疗效及安全性与成人相似，剂量为3～6MU/m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>，最大剂量不超过10MU/m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>。在知情同意的基础上，也可按成人的剂量和疗程用拉米夫定治疗，或阿德福韦酯。</p><p>（7）妊娠相关情况处理：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">育龄期女性慢性乙型肝炎患者，若有治疗适应证，未妊娠者可应用干扰素或核苷（酸）类似物治疗，并且在治疗期间应采取可靠措施避孕。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在口服抗病毒药物治疗过程中发生妊娠的患者，若应用的是拉米夫定或其他妊娠B级药物（替比夫定或替诺福韦），在充分告知风险、权衡利弊、患者签署知情同意书的情况下，治疗可继续。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">妊娠中出现乙型肝炎发作者，视病情程度决定是否给予抗病毒治疗，在充分告知风险、权衡利弊，患者签署知情同意书的情况下，可以使用拉米夫定、替比夫定或替诺福韦治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">为了阻断围生期和宫内HBV传播，对于HBV DNA水平大于10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">6</span>～10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">7</span>IU/ml的HBeAg阳性患者，在怀孕的后3个月，可口服拉米夫定、替比夫定或替诺福韦抗病毒治疗。如果NA治疗仅仅是预防HBV的母婴传播，而本身的慢性乙型肝炎不需要抗病毒治疗，可在分娩后3个月内终止NA治疗。</p><p>6.免疫调节治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">免疫调节治疗有望成为治疗慢性乙型肝炎的重要手段，但目前尚缺乏疗效确切的乙型肝炎特异性免疫疗法。胸腺素α1可增强机体非特异性免疫功能，不良反应小，耐受性良好，对于有抗病毒适应证，但不能耐受或不愿接受干扰素或核苷（酸）类似物治疗的患者，如有条件可用胸腺素α1 1.6mg，每周2次，皮下注射，疗程6个月，但单独应用疗效不理想。胸腺素α1联合其他抗乙型肝炎病毒药物的疗效尚需大样本随机对照临床研究验证。</p><p>7.改善肝功能</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">甘草酸制剂如复方甘草酸苷、甘草酸二铵等可明显抑制炎症，改善肝功能。甘草酸二铵150mg加入5%葡萄糖液250ml中静脉滴注，每日1次，对降低ALT和退黄疸有较好的效果。不良反应有血压升高、水肿、低血钾等。此外，联苯双酯、垂盆草冲剂、山豆根（肝炎灵）注射液也均有明显的降ALT效果。上述药物在快速减量或突然停药后，ALT可出现反跳现象，停药前需逐渐减量。</p><p>8.重型肝炎的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">重型肝炎应早期采取支持、抑制肝坏死、促进肝细胞再生和防治并发症等综合治疗措施。同时，早期应用人工肝支持系统治疗，可以改善症状及肝功能，降低病死率。对有条件者进行肝移植，可显著降低病死率。</p><p>（1）加强一般和支持治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">措施包括绝对卧床休息，保证足够热量、补充维生素（B、C、K等）、注意口腔及皮肤清洁、密切观察病情变化和预防并发症发生、监测血清电解质变化、保持水及电解质平衡、每日或隔日静脉输入新鲜血浆、全血、白蛋白和凝血因子（如凝血酶原复合物、纤维蛋白原等）等。此外，可口服乳果糖、静脉滴注支链氨基酸，以防止肝性脑病的发生。</p><p>（2）抑制肝细胞坏死和促进肝细胞再生：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前常用于抑制肝细胞坏死和促进肝细胞再生的药物有促肝细胞生长素和前列腺素E1。促肝细胞生长素120～200mg/d，加入10%葡萄糖液250～500ml中静脉滴注，无明显不良反应；脂质体包裹的PGE1具有缓释性，常集中分布于肝脏等单核-吞噬细胞系统器官中，且具有靶向性。因此，剂量可减至每次10～40μg，一日2次，用生理盐水稀释后缓慢静脉注入。不良反应轻，部分患者有低热、心悸等反应。</p><p>（3）防治并发症：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">重型肝炎多死于严重并发症，如肝性脑病、出血、继发感染、肝肾综合征等。</p><p>（4）人工肝支持系统的应用：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可改善症状、降低血清胆红素水平、纠正肝性脑病和高血钾等。早期应用效果较好，可为肝移植创造条件。</p><p>（5）肝移植：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于重型肝炎的病死率极高，故目前治疗重型肝炎最有效的措施是肝移植治疗。以上治疗措施可为肝移植治疗赢得时间。</p><p>9.淤胆型肝炎的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可选用以下方案：</p><p>（1）甘草酸制剂：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">复方甘草酸苷80～120ml/d或甘草酸二铵150mg/d，加入10%葡萄糖液250～500ml中，静脉滴注，每日1次。</p><p>（2）肾上腺皮质激素：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">具有很强的非特异性抑制炎症和利胆退黄作用，但副作用较多，必须慎用，一般在其他药物治疗无效时，方可考虑采用。在治疗过程中，密切观察不良反应，如继发感染，类固醇性糖尿病，溃疡病等的发生。可用泼尼松龙40～60mg/d，分次口服。待黄疸明显消退后，逐渐减量，以至停用。</p><p>（3）苯巴比妥：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">为酶诱导剂。可促进非结合胆红素向结合胆红素转化，亦可促进胆汁分泌和结合胆红素排泄。有利胆及退黄作用。剂量为0.03～0.06g/次，每日3次。其对肝脏有一定的损害作用，有肝功能明显损害者不宜应用，有困倦乏力、嗜睡等不良反应。</p><p>（4）熊去氧胆酸（UDCA）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">熊去氧胆酸为亲水性胆酸，可以减轻疏水性胆酸对肝细胞和胆管的损害，改善肝细胞膜的流动性，并有利胆作用，使淤胆减轻，剂量500～1000mg/d，分3～4次口服，无明显不良反应。</p><p>10.中医药制剂治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性乙型肝炎在我国应用广泛，对于改善临床症状和肝功能指标有一定效果，但尚需设计严谨、执行严格的大样本随机对照临床研究来验证其抗病毒效果。</p><p>11.抗炎、抗氧化和保肝治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HBV所致的肝脏炎症坏死及其所致的肝纤维化是疾病进展的主要病理学基础。甘草酸制剂、水飞蓟宾制剂、多不饱和卵磷脂制剂以及双环醇等，有不同程度的抗炎、抗氧化、保护肝细胞膜及细胞器等作用，临床应用可改善肝脏生化学指标。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">抗炎保肝治疗只是综合治疗的一部分，并不能取代抗病毒治疗。对于ALT明显升高者或肝组织学明显炎症坏死者，在抗病毒治疗的基础上可适当选用抗炎保肝药物。不宜同时应用多种抗炎保肝药物，以免加重肝脏负担及因药物间相互作用而引起的不良效应。</p><p>12.抗纤维化治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有研究表明，经IFN-α或核苷（酸）类似物抗病毒治疗后，从肝组织病理学可见纤维化甚至肝硬化有所减轻。因此，抗病毒治疗是抗纤维化治疗的基础。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多个抗肝纤维化中成药方剂在实验和临床研究中显示了一定疗效，但需要进一步进行大样本、随机、双盲临床试验，并重视肝组织学检查结果，以进一步验证其疗效。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5366', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1614', '预防', '<p>（一）管理传染源</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HBsAg携带者和乙型肝炎患者不能捐献血液、组织器官。除不能从事饮食业、托幼机构等国家明文规定的职业或工种外，可照常工作和学习，但应定期进行医学随访。患者的洗漱用具（包括牙刷、漱口杯、毛巾）、刮须刀等应与健康人分开。医疗机构在诊断出急性或慢性乙型肝炎时，应按规 定向当地疾病预防控制中心报告。</p><p>（二）切断传播途径</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">除加强对献血员的筛查外，对血制品应做HBsAg检测，严格掌握输血及血制品的适应证，对各种医疗器械和用具应实行严格消毒，提倡使用一次性的注射器、检查和治疗用具，防止医源性传播。服务行业所用的理发、刮脸、修脚、穿刺和文身等器具也应严格消毒。注意个人卫生，不和任何人共用剃须刀和牙具等用品。对HBsAg阳性的孕妇，应避免羊膜腔穿刺，并缩短分娩时间，保证胎盘的完整性，尽量减少新生儿暴露于母血的机会。</p><p>（三）保护易感人群</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">接种乙型肝炎疫苗是预防HBV感染的最有效方法。乙型肝炎疫苗的接种对象主要是新生儿，其次为婴幼儿，15岁以下未免疫人群和高危人群。乙型肝炎疫苗全程需接种3针，按照0、1、6个月程序，即接种第1针疫苗后，间隔1个月及6个月注射第2针及第3针疫苗。新生儿接种乙型肝炎疫苗要求在出生后24小时内接种，越早越好。接种部位新生儿为臀前部外侧肌肉内，儿童和成人为上臂三角肌中部肌肉内注射。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">单用乙型肝炎疫苗阻断母婴传播的阻断率为87.8%。对HBsAg阳性母亲的新生儿，应在出生后24小时内尽早（最好在出生后12小时）注射HBIG，剂量应≥100IU，同时在不同部位接种10μg重组酵母或20μg中国仓鼠卵母细胞（CHO）乙型肝炎疫苗，在1个月和6个月时分别接种第2针和第3针乙型肝炎疫苗，可显著提高阻断母婴传播的效果。也可在出生后12小时内先注射1针HBIG，1个月后再注射第2针HBIG，并同时在不同部位接种一针10μg重组酵母或20μg CHO乙型肝炎疫苗，间隔1个月和6个月分别接种第2针和第3针乙型肝炎疫苗。新生儿在出生12小时内注射HBIG和乙型肝炎疫苗后，可接受HBsAg阳性母亲的哺乳。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对HBsAg阴性母亲的新生儿可用5μg或10μg酵母或10μg CHO乙型肝炎疫苗免疫；对新生儿时期未接种乙型肝炎疫苗的儿童应进行补种，剂量为5μg或10μg重组酵母或10μg CHO乙型肝炎疫苗；对成人建议接种20μg酵母或20μg CHO乙型肝炎疫苗。对免疫功能低下或无应答者，应增加疫苗的接种剂量（如60μg）和针次；对3针免疫程序无应答者可再接种3针，并于第2次接种3针乙型肝炎疫苗后1～2个月检测血清中抗-HBs，如仍无应答，可接种一针60μg重组酵母乙型肝炎疫苗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">接种乙型肝炎疫苗后有抗体应答者的保护效果一般至少可持续12年，因此，一般人群不需要进行抗-HBs监测或加强免疫。但对高危人群可进行抗-HBs监测，如抗-HBs ＜10mIU/ml，可给予加强免疫。</p><p>（四）意外暴露后的HBV预防</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在意外接触HBV感染者的血液和体液后，可按照以下方法处理：</p><p>1.血清学检测</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">应立即检测HBV DNA、HBsAg、抗-HBs、HBeAg、抗-HBc、ALT和AST，并在3个月和6个月内复查。</p><p>2.主动和被动免疫</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如已接种过乙型肝炎疫苗，且已知抗-HBs≥10mIU/ml者，可不进行特殊处理。如未接种过乙型肝炎疫苗，或虽接种过乙型肝炎疫苗，但抗-HBs＜10mIU/ml或抗-HBs水平不详，应立即注射HBIG 200～400IU，并同时在不同部位接种一针乙型肝炎疫苗（20μg），于1个月和6个月后分别接种第2针和第3针乙型肝炎疫苗（各20μg）。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '12', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5367', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '200', '贫血的定义与诊断标准', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">贫血（anemia）是指人体循环红细胞容量减少而言。临床上常以外周血单位容积内血红蛋白（Hb）量、红细胞（RBC）数及（或）血细胞比容（Hct）代替红细胞容量来反映贫血程度，一般都以Hb量低于正常参考值95%的下限作为贫血的诊断标准。血红蛋白浓度的降低一般都伴有相应红细胞数量或血细胞比容的减少，但也有不一致。个别轻型缺铁性贫血或珠蛋白生成障碍性贫血可仅有血红蛋白减少，而红细胞数量和血细胞比容都在正常范围内。单位容积血液中血红蛋白量因地区、年龄、性别以及生理性血浆容量的变化而异。婴儿和儿童的血红蛋白量约比成人低15%。男女之间的差异在青春期后才逐渐明显。妊娠时血容量增加，血红蛋白和红细胞数可因被稀释而相对减少。男性65岁以后Hb测定值较65岁以前为低，但女性无差异。为制定贫血合理的诊断标准，首先需要建立有代表性的健康人群，包括不同性别、年龄、民族和地区血红蛋白浓度的正常参考值。按照WHO规定，所测定的代表人群应当除外有营养缺乏症的患者。美国第二次全国卫生与营养调查（NHANESⅡ）就是采用标准方法获得的血红蛋白的正常参考值，我国尚缺乏类似的普查资料。国外掌握贫血诊断的Hb标准较统一，都以1972年WHO制定的诊断标准为依据。在海平面地区Hb低于以下水平可诊断为贫血：6个月到6岁儿童110g/L，6～14岁儿童120g/L，成年男性130g/L，成年女性（非妊娠）120g/L，妊娠女性110g/ L。而国内诊断贫血的标准都参照下述标准：在海平面地区，成人男性Hb低于120g/L，成年女性低于110g/L，孕妇低于100g/L。选用某一血红蛋白值来划分有无贫血，要做到非常合理是相当困难的。因为正常人群血红蛋白分布曲线和贫血人群血红蛋白分布曲线之间互有重叠。事实上Hb正常值的个体差异较大，如某患者一周前Hb 155g/L，现Hb降低为140g/L，虽然在正常范围，但应认为是有意义的。决定患者是否有贫血时尚须注意Hb测定的标准化，以及采血的部位，指端血、耳垂血、静脉血其测定值可略有不同。WHO规定的标准方法为静脉血氰化高铁Hb法。此外，血浆容量的生理和病理变化，如妊娠后3个月、全身水肿、充血性心力衰竭、低蛋白血症以及某些细胞因子的作用，因血浆容量增加血液被稀释，Hb量下降，可误认为贫血，也称为稀释性假性贫血；血浆容量的丢失如失水、腹泻、呕吐、重度烧伤或大量使用利尿剂后血液浓缩，Hb量可上升，即使有贫血检测值也可正常。急性大量失血，红细胞和血浆同时丢失，虽然红细胞丢失过多，但贫血可不明显。贫血按严重程度可分为：极重度贫血，Hb量≤30g/L；重度贫血，Hb量在31～60g/L；中度贫血，Hb量在61～90g/L；轻度贫血，Hb量在＞90g/L与低于正常参考值的下限之间。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">贫血是一种症状，而不是具体的疾病。各种疾病都可伴有贫血。如果许多原因不同的贫血具有类似的临床表现和血液学特征，则可归纳为一种综合病征，如再生障碍性贫血、缺铁性贫血等。贫血在世界各地属常见病，在发展中国家以及血红蛋白病或葡萄糖-6-磷酸脱氢酶变异的多民族及地区，贫血问题尤为突出。&nbsp;发病机制</p><p>（一）红细胞生成减少</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　骨髓造血活动与造血组织中造血干细胞的存在有密切的关系。造血干细胞在特定的微环境下分化成各系列祖细胞，经各系前体细胞发育成各系成熟细胞。当某些化学、物理、病毒感染和免疫因素损伤造血干细胞和（或）造血微环境，致使造血干细胞数量减少或质的异常致分化、增殖发生障碍，导致骨髓造血衰竭、周围血液全血细胞减少，称为再生障碍性贫血（aplastic anemia）。遗传因素也可引起骨髓造血衰竭。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">造血干细胞在造血微环境诱导下分化为红系祖细胞，后者在红细胞生成素（EPO）的刺激下分化为各期幼红细胞。红系祖细胞或红细胞生成素的免疫性破坏，或红系祖细胞受病毒（人类微小病毒，HPV-B19）感染和溶解，均可导致选择性红系细胞生成障碍。贫血严重而白细胞和血小板大致正常，称为纯红细胞再生障碍性贫血（pure red cell aplasia anemia）。EPO产生不足和红系祖细胞对EPO反应迟钝是肾性贫血（renal anemia）和慢性病贫血（anemia of chronic disease）的主要发病机制之一。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">自红系祖细胞发育至中幼红细胞，细胞要经过多次分裂增殖，而DNA的合成倍增是细胞分裂期前所必需的。维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">12</span>和叶酸则是DNA合成的主要辅酶。无论是维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">12</span>或叶酸缺乏或由于其他因素影响DNA合成，都可导致核分裂延迟甚至停顿；形成核和胞质发育不平衡、核染色质疏松、形态巨大而畸形的巨幼红细胞。周围血液可见卵圆形的大红细胞，称为巨幼细胞性贫血（megaloblastic anemia）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在幼红细胞不断增殖的过程中，细胞质也逐渐发育成熟。早在早幼红细胞质内就开始合成微量血红蛋白，至中幼红细胞阶段血红蛋白合成达到高峰，一直持续到网织红细胞。血红蛋白的合成需要铁。铁通过血浆中的运铁蛋白运输到幼红细胞表面，和幼红细胞表面的运铁蛋白受体结合，通过胞饮方式进入质内，输送到线粒体，和原卟啉合成正铁血红素。珠蛋白是在幼红细胞内的核糖体上合成的。正铁血红素与珠蛋白合成血红蛋白分子。所以任何原因引起的血红蛋白合成障碍，不论是缺铁（缺铁性贫血）或铁代谢紊乱（慢性病贫血）、珠蛋白合成障碍（血红蛋白病）以及血红素卟啉环合成障碍（铁粒幼细胞性贫血）等，都可以导致Hb合成障碍，出现大量细胞质不足（小红细胞）及血红蛋白含量减少（低色素）的成熟红细胞，统称为低色素性贫血，其中以缺铁性贫血最常见。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">骨髓发生纤维化或骨髓被异常细胞所侵犯，可导致骨髓结构和功能的破坏，同时伴有骨髓外（主要在脾或肝脏，也可在淋巴结等）造血灶的建立。临床上出现贫血，周围血液出现幼粒和幼红细胞，称为幼粒-幼红细胞贫血或骨髓病性贫血（myelophthisic anemia）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">无效红细胞生成是指患者骨髓增生，幼红细胞增多，但由于幼红细胞本身有缺陷导致过早在骨髓凋亡，引起红细胞生成减少，网织红细胞减少，导致贫血。见于骨髓增生异常综合征难治性贫血、巨幼细胞性贫血及珠蛋白生成障碍性贫血等。</p><p>（二）红细胞破坏过多</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　红细胞破坏过多引起的贫血，称溶血性贫血（hemolytic anemia），是由于红细胞破坏增加（寿命缩短），超过骨髓造血代偿能力时而发生的贫血。骨髓造血具有产生红细胞6～8倍的造血代偿潜力，如果红细胞破坏速率在骨髓造血的代偿范围内，则虽然有溶血，红细胞破坏，但不出现贫血，称为溶血性疾患。正常红细胞的寿命约120天，只有在红细胞的寿命缩短至低于15～20天，红细胞破坏速度超过骨髓造血的代偿潜力时才会发生贫血。溶血性疾患有黄疸表现者称溶血性黄疸，黄疸的有无取决于溶血程度和肝脏处理胆红素的能力，因此溶血性贫血不一定都有黄疸。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">溶血性贫血的根本原因是红细胞寿命缩短，易于破坏。造成红细胞破坏加速的机制可概括为红细胞本身的内在缺陷和红细胞外部因素异常。前者多为遗传性溶血，后者引起获得性溶血。红细胞内在缺陷包括红细胞膜缺陷、红细胞酶的缺陷和血红蛋白异常。红细胞膜缺陷多因基因突变致红细胞膜骨架蛋白异常，引起红细胞形态改变，这种形态异常红细胞容易在单核-巨噬细胞系统内破坏，如遗传性球形红细胞增多症，也可因造血干细胞克隆性病变引起获得性红细胞膜缺陷，受累红细胞对补体介导的溶血敏感性增高，造成血管内溶血称阵发性睡眠性血红蛋白尿。参与红细胞代谢的酶（糖代谢酶）由于基因突变使酶活性改变，导致无氧糖酵解途径酶缺陷可造成红细胞能量来源不足，使细胞膜功能异常，产生溶血，如丙酮酸激酶缺乏症。磷酸戊糖旁路代谢酶缺陷的结果造成还原型谷胱甘肽的减少，细胞易受氧化损伤而发生溶血，如葡糖糖-6-磷酸脱氢酶缺乏。因基因突变，使珠蛋白肽链结构异常（异常血红蛋白病）或肽链合成异常（珠蛋白生成障碍性贫血），导致红细胞硬度增加。或异常血红蛋白在红细胞内形成聚合体、结晶体或包涵体，造成红细胞变形性降低，通过单核-巨噬细胞系统特别是脾时破坏增加。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">红细胞外在因素引起溶血性贫血都为获得性，有免疫性因素和非免疫性因素两种。免疫性溶血是抗原抗体介导的红细胞破坏。自身免疫性溶血性贫血患者产生抗红细胞抗体，温抗体型为不完全抗体，与红细胞结合后，致敏红细胞在单核-巨噬细胞系统内被破坏或清除，是免疫性溶血性贫血中最常见的类型。冷抗体型多为完全抗体，可使红细胞直接在血管内破坏。血型不合输血亦可造成血管内溶血。新生儿溶血病是因为母婴血型不合，母亲产生的抗胎儿血型IgG型抗体通过胎盘进入胎儿血液循环，造成溶血，最常见的是ABO血型不合，其次是Rh血型不合。非免疫因素包括各种感染（如疟疾等）。某些化学物质（包括药物）和毒物可以通过氧化或非氧化作用破坏红细胞。葡萄糖-6-磷酸脱氢酶缺乏症患者对氧化性物质特别敏感。药物性溶血性贫血分为药物诱发免疫性和非免疫性溶血性贫血两种。物理和创伤性因素包括人工心脏瓣膜可以引起红细胞的机械性破坏；微血管病性溶血性贫血是因为微血管内皮损伤或纤维蛋白网络形成，红细胞在通过狭窄的血管腔时，造成红细胞破坏，见于弥散性血管内凝血、溶血性尿毒症综合征和血栓性血小板减少性紫癜；行军性血红蛋白尿症是敏感个体因行军和赛跑而造成的红细胞机械性破坏；烧伤可直接破坏红细胞。生物毒素引起溶血，以蛇毒最常见。</p><p>（三）红细胞丢失过多</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　不论急性或慢性失血都是临床上引起贫血最常见的原因。慢性失血性贫血实质上就是缺铁性贫血。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">贫血的发病机制往往是多因素的。例如恶性肿瘤所致贫血的发生机制有失血（失血性贫血）、骨髓浸润（骨髓病性贫血）、肿瘤广泛转移在微血管形成瘤细胞栓（微血管病性溶血性贫血）、营养障碍致造血物质缺乏（营养性贫血）、红细胞生成素减少（慢性病贫血）、化疗和放疗的应用（治疗相关性贫血）。此外，某些肿瘤如胸腺瘤患者体内可产生抗幼红细胞或抗EPO抗体，致单纯红细胞再生障碍性贫血，淋巴瘤等可导致自身免疫性溶血性贫血，多发性骨髓瘤等因血浆球蛋白异常增多，大量细胞外液进入血管内可致稀释性贫血。药物也能通过不同机制引起多种类型的贫血，许多药物可抑制骨髓造血引起再生障碍性贫血（如抗肿瘤药和氯霉素等），某些药物可影响红系细胞的DNA合成，引起巨幼细胞性贫血（如抗代谢药、抗癫痫药等），阿司匹林可引起胃肠道出血致缺铁性贫血，抗结核药可引起铁粒幼细胞性贫血，药物或其代谢产物可与红细胞膜发生作用，导致新抗原形成，引起药物免疫性溶血性贫血，如奎尼丁、非那西丁、磺胺药等，药物还能作用于有遗传性酶缺陷或异常血红蛋白的患者，引起溶血性贫血发作。同一类型的贫血也可有多种发病机制并存，如巨幼细胞性贫血既有DNA合成障碍，又有红细胞破坏过多和幼红细胞过早在髓内凋亡等因素。</p><p style=\"text-align: right;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5368', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '200', '分类', '<p>（一）贫血的形态学分类</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　贫血可按不同的发病机制和细胞形态学特征进行分类（表20-2-1）。按发病机制可分为造血不良、红细胞过度破坏及急、慢性失血三类。按形态学分类，则可分为正常细胞型、大细胞型和小细胞低色素性三类。形态学分类不是固定不变的，例如再生障碍性贫血多数是正常细胞性贫血，但偶可呈大细胞性贫血；溶血性贫血和急性失血后贫血可呈正常细胞性贫血也可呈大细胞性贫血。贫血的形态学分类虽过于简单，但易于掌握，可提供诊断线索，如低色素性贫血多数是缺铁性贫血，大细胞性贫血很可能是由维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">12</span>或叶酸缺乏所引起。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表20-2-1　贫血的发病机制和形态学分类</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527125432113092919.jpg\" title=\"1527125432113092919.jpg\" alt=\"T20-2-1_33763.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1971px; table-layout: fixed;\"/></p><p>（二）溶血性贫血的分类</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　溶血性贫血有多种临床分类方法。按发病和病情可分为急性和慢性溶血性贫血。按溶血的场所可分为血管内溶血和血管外溶血。按病因可分为遗传性和获得性溶血性贫血。按发病机制可分为红细胞内异常和红细胞外异常引起的溶血性贫血。</p><p>1.按临床表现分类</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　①急性溶血：急性溶血性贫血起病急骤，短期大量溶血引起寒战、高热、头痛、呕吐、四肢腰背疼痛，紧接着出现血红蛋白尿，其后出现黄疸和其他严重贫血的症状和体征。由于红细胞大量破坏，其分解的产物对机体产生毒性作用，严重者可发生周围循环衰竭。红细胞破坏的产物可引起肾小管破坏坏死和管腔阻塞，导致急性肾衰竭。②慢性溶血：慢性溶血性贫血多为血管外溶血，发病缓慢，表现为贫血、黄疸和脾大三大特征。因病程较长，长期的高胆红素血症，患者可并发胆石症和肝功能损害。幼年起病可有骨骼异常等表现。</p><p>2.按溶血场所分类</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　①血管内溶血：红细胞结构的完整性遭受破坏，在血液循环系统中就会被破坏。血管内溶血临床表现常较为明显，以急性溶血多见，多有腰背酸痛、高热并伴有血红蛋白血症、血红蛋白尿。也有慢性血管内溶血，可有含铁血黄素尿。见于阵发性睡眠性血红蛋白尿、红细胞破碎综合征、ABO血型不合所致输血反应、阵发性冷性血红蛋白尿、部分感染（如恶性疟疾、梭状芽胞杆菌败血症）相关溶血性贫血、化学因子（砷、蛇毒、蜘蛛毒）引起的溶血性贫血、输注低渗溶液及热损伤引起的溶血性贫血。②血管外溶血：血管外溶血主要发生于脾，红细胞破坏可发生于单核-巨噬细胞系统，临床表现一般较轻，可有血清游离胆红素轻度升高，一般不出现血红蛋白尿，可有脾大。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5369', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '200', '病理生理与临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">贫血的病理生理学基础是血红蛋白减少，血液携氧能力减低，全身组织和器官发生缺氧变化等。首先体内相应的代偿机制发挥作用，例如脉率变快、心搏出量增加、呼吸加速、红细胞生成素分泌增多，以及血红蛋白与氧的亲和力降低等。有些脏器（如肾等）则发生血管收缩，使更多的血液流向缺氧较为敏感的器官如脑、心脏等。这些代偿作用加上氧供不足，引起一系列临床表现。红细胞内合成更多的2，3-二磷酸甘油酸（2，3-DPG），后者与脱氧血红蛋白的β链相结合，以降低血红蛋白对氧的亲和力，血红蛋白氧解离曲线右移，使组织获得更多的氧。轻、中度贫血患者持续一定时期后，可由于这种代偿机制而不表现明显的缺氧症状。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">贫血症状的有无及轻重，除原发疾病的性质外，主要取决于贫血的程度及其发生的速度，同时也与患者年龄、有无其他心肺疾病以及心血管系统的代偿能力有关。贫血发生缓慢即慢性贫血，无心肺疾病基础，代偿机制可充分发挥，即使血红蛋白低达80g/L亦可无症状；有时低至60g/L以下才引起患者的注意。反之，如急性溶血和急性失血，虽然贫血不很严重，但由于发生较迅速来不及代偿，症状却很显著。儿童及年轻患者由于其心血管系统代偿功能良好，往往较年老患者容易耐受贫血的影响。</p><p>（一）一般表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　皮内毛细血管缺血所致的皮肤黏膜苍白，是贫血最常见的客观体征。但影响皮肤颜色的因素很多，除血红蛋白量外，还和皮内毛细血管分布和舒缩程度、皮肤色素和皮下组织含水量的多寡有关。因此单凭皮肤颜色判断贫血程度常有偏差，一般以观察指甲、手掌皮肤皱纹处，以及口唇黏膜和睑结膜等较为可靠。疲倦、乏力、头晕、耳鸣、记忆力衰退、思想不集中等都是贫血早期和常见的症状，可能由于神经系统及肌肉缺氧所致。贫血严重时可有低热和基础代谢率增高。</p><p>（二）呼吸系统</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　稍事活动或情绪激动即有气急。由于血红蛋白量减少，活动增加必然引起血氧含量进一步降低和二氧化碳含量增高，反射性地刺激呼吸中枢，发生呼吸急促。</p><p>（三）循环系统</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　轻度贫血时，循环系统变化不大。中度贫血患者常表现为窦性心动过速、心搏亢进、脉搏充实、脉压增宽、循环时间加速及心排出量增多等。肺动脉瓣或心尖区可听到中等响度的吹风样收缩期杂音，其产生原因与血液循环加速、血黏度以及缺氧后心肌张力降低有关。当心脏扩大时，杂音还可因二尖瓣和三尖瓣相对性关闭不全所致。当血红蛋白量低于60g/L时，约30%的患者可有心电图改变，表现为低电压、ST段压低、T波平坦倒置，严重者甚至可有QT时间延长、心房颤动等。发生心律失常，要考虑是否合并有其他心脏疾患。严重贫血（血红蛋白低于30g/L以下）或贫血进展较速的病例，可有明显的全心扩大；以后由于心肌营养障碍，无法代偿日益增加的高输出量状态，最终导致充血性心力衰竭。当贫血被纠正后，上述心脏病变可获得一定程度的恢复。重度贫血患者即使无充血性心力衰竭，但由于血清白蛋白减少、毛细血管通透性增加以及肾血流量减少，引起水、钠潴留，可发生水肿。</p><p>（四）消化系统</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　贫血影响消化系统的功能和消化酶的分泌，出现食欲缺乏、恶心、呕吐、腹胀甚至腹泻。部分患者有明显的舌炎。消化系统表现除因贫血缺氧外，还与原发疾病有关。</p><p>（五）泌尿生殖系统</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　贫血时肾血管收缩和肾缺氧，可导致肾功能变化。早期有多尿、尿比重降低及血尿素氮增多，贫血严重时可出现蛋白尿。月经失调（闭经）和性欲减退也颇常见。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5370', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '200', '实验室检查', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">实验室检查既是确立贫血的可靠方法，又是明确其类型的重要步骤。兹将贫血的常规实验室检查项目简述如下。</p><p>（一）红细胞参数</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　根据自动血细胞分析仪可获得血红蛋白量、红细胞数、血细胞比容、红细胞平均体积（MCV）、红细胞平均血红蛋白量（MCH）、红细胞平均血红蛋白浓度（MCHC）及红细胞分布宽度（RDW）等参数，有助于贫血的形态学分类（表20-2-2）。其中以MCV和RDW在贫血的分类中意义最大，MCV是反映红细胞大小的参数，RDW是反映红细胞大小不一程度的参数（参考值：RDW-CV 12%～14%；RDW-SD 37～47fl），MCV与RDW可用于Bessman贫血分类。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表20-2-2　贫血的细胞形态学分类</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527125512310043704.jpg\" title=\"1527125512310043704.jpg\" alt=\"T20-2-2_33765.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1971px; table-layout: fixed;\"/></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">注：<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">*</span>包括溶血性贫血、急性失血后贫血、肝病贫血、难治性贫血</p><p>（二）周围血液涂片</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　周围血液涂片检查对贫血的诊断具有重要价值，它不仅有助于贫血的形态学分类，而且能从中发现异形红细胞。红细胞有大小不均、小型红细胞增多且中央苍白区扩大，可诊断为低色素性贫血（hypochromic anemia）。球形红细胞增多，见于遗传性球形红细胞增多症（hereditary spherocytosis）和自身免疫性溶血性贫血（autoimmune hemolytic anemia，AIHA），椭圆形红细胞增多见于遗传性椭圆形红细胞增多症（hereditary elliptocytosis）等，镰形红细胞见于镰状细胞贫血（sickle cell anemia），口形红细胞见于遗传性口形红细胞增多症（hereditary stomatocytosis）等，棘形红细胞见于先天性无β脂蛋白血症和肝功能衰竭，靶形红细胞常见于珠蛋白生成障碍性贫血（thalassemia）。各种异形红细胞，如梨形、哑铃形、三角形甚至红细胞碎片，则提示微血管病性溶血性贫血（microangiopathic hemolytic anemia）的可能性。泪滴状红细胞可见于骨髓纤维化。出现幼粒幼红细胞是骨髓病性贫血（myelophthisic anemia）的重要依据。溶血性贫血周围血液可出现幼稚红细胞，但数量不多，1%左右，主要是晚幼红细胞，严重溶血时数量增多且可见豪-胶小体和幼粒细胞。由于网织红细胞和其他较不成熟红细胞自骨髓中大量释放到血液，故周围血液中大红细胞增多。</p><p>（三）网织红细胞计数</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">网织红细胞（reticulocyte）是晚幼红细胞脱核后的新生红细胞，系外周血刚出现1～2天的红细胞，在胞质内还残存核糖体等嗜碱性物质，应用煌焦油蓝或新亚甲蓝染色，镜检呈蓝色网状结构。应用荧光探针和残存的核糖核酸相结合，借仪器也能正确测定网织红细胞数，但外周血有幼红细胞出现时要影响测定值，此时仍应推荐手工测定。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">网织红细胞计数是反映骨髓红系增生情况的重要指标，是临床上鉴别红系增生不良性贫血和溶血性贫血最简单的方法。溶血性贫血及急性失血性贫血，其贫血原因系外周性，骨髓代偿性增生功能良好，故网织红细胞数增高，溶血性贫血一般可达5%～20%，除了溶血性贫血再障危象外，网织红细胞增高数和溶血程度相一致；在红细胞生成过程有障碍的贫血，网织红细胞数常不增多，甚至减少，再生障碍性贫血和纯红细胞再生障碍性贫血网织红细胞常有显著减少，骨髓幼红细胞无效增生即髓内过早凋亡，网织红细胞也减少，因此网织红细胞减少常提示贫血原因是骨髓性的。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于网织红细胞的百分数受红细胞总数的影响，当外周血红细胞数减少时，可使网织红细胞百分数增高，但实际上从骨髓释放的网织红细胞并无增多，因此必须计算绝对值或纠正值才能反映真实情况。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">网织红细胞绝对值（×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L）=［网织红细胞（%）×红细胞数（×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">12</span>/L）］/100，无贫血患者的正常参考值为（24～84）×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">网织红细胞纠正值（%）=网织红细胞（%）×患者的血细胞比容/45。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床上应用网织红细胞指标时都应报告绝对值，对有贫血的患者如网织红细胞＜75×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L或更低，常提示贫血是低增生的或红系有成熟障碍；诊断纯红细胞再生障碍性贫血，网织红细胞绝对值要求低于10×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L；如网织红细胞绝对值＞100×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L常提示贫血的性质为溶血性或出血性及营养性贫血补充治疗后红系的增生反应。应将网织红细胞绝对值、MCV和RDW三项参数作为贫血患者的必检项目。</p><p>（四）骨髓象检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　根据骨髓增生与否，可将贫血分为增生性和增生不良性两大类。再生障碍性贫血属骨髓增生不良；缺铁性贫血、巨幼细胞性贫血、溶血性贫血、急性失血性贫血骨髓增生良好，骨髓增生异常综合征贫血的骨髓增生多数也是良好的，幼红细胞比例增多；溶血性贫血骨髓幼红细胞增生常显著，粒红比例倒置，以中幼红和晚幼红细胞最多，形态多正常；单纯幼红细胞减少或阙如应疑及纯红细胞再生障碍性贫血或继发于肾脏及内分泌疾病的贫血。骨髓涂片检查是确定巨幼细胞性贫血的重要方法，但出现幼红细胞巨幼样改变尚见于骨髓增生异常综合征贫血及红白血病等。骨髓涂片铁染色检查是诊断缺铁性贫血和铁粒幼细胞性贫血的重要依据，慢性病贫血有铁利用障碍（骨髓小粒可染铁增多，但铁粒幼细胞减少）。骨髓“干抽”常是诊断骨髓纤维化贫血的线索之一。</p><p>（五）溶血性贫血的一般实验室检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　溶血性贫血一般实验室检查的任务是确定患者是否存在溶血。临床常用的检查有：</p><p>1.有关溶血性黄疸的检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　①血清非结合胆红素水平增加：大量溶血时，血清非结合胆红素增加，结合胆红素常少于总胆红素的15%。由于肝脏清除胆红素的能力很强，黄疸仅轻度或中度，即使大量溶血时，一般也不超过85.5μmol/L。血清胆红素浓度除了取决于血红蛋白分解的程度外，还与肝脏清除胆红素的能力密切相关。慢性溶血性贫血患者长期高胆红素血症，会引起肝功能损害，合并肝细胞性黄疸。②尿胆原增加：正常人每天从尿中排出的尿胆原为0～5.9μmol。急性大量溶血时，尿胆原排出量明显增多。慢性溶血时，只有当肝功能减退时，尿胆原才会增加。③粪胆原排出增加：正常人每天从粪便中排出的粪胆原为68～473μmol/L。当血红蛋白大量分解时，每日粪胆原排出量可多达680～1700μmol/L，甚至可高达2550μmol/L。</p><p>2.有关血管内溶血的检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　①血红蛋白血症（hemoglobinemia）：正常血浆只有微量的游离血红蛋白，含量1～10mg/L。当大量溶血时，主要是血管内溶血时可高达1000mg/L以上。由于血液标本在体外储存时容易造成溶血，游离血红蛋白检测的实际意义不大。②血红蛋白尿（hemoglobinuria）：血浆中的游离血红蛋白超过了结合珠蛋白所能结合的量时，多余的血红蛋白即可从肾小球滤出。当尿中没有红细胞而隐血阳性时，可认为有血管内溶血。血红蛋白尿需和大量肌肉损伤时出现的肌红蛋白尿进行鉴别，两者在常用的隐血试验中均呈阳性反应。肌红蛋白是小分子片段，极容易经肾过滤，不会在血浆中积蓄变成肉眼所见的红色，因此观察到血浆变成红色可有助于血红蛋白尿的确定。③含铁血黄素尿（hemosiderinuria）：被肾小管重吸收的游离血红蛋白，在近曲小管上皮细胞内被分解为卟啉、铁和珠蛋白。铁以含铁血黄素形式沉积在上皮细胞内，当细胞脱落随尿排出，即成为含铁血黄素尿。含铁血黄素尿主要见于慢性血管内溶血，急性血管内溶血时，含铁血黄素尿要几天后才阳性，并可持续一段时间。④血清结合珠蛋白降低：血清结合珠蛋白是血浆中的一组α<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>糖蛋白，作用似血红蛋白的转运蛋白质，在肝内产生。正常血清含量为500～1500mg/L。当血管内溶血后，1分子的结合珠蛋白可结合1分子的游离血红蛋白。此种结合体很快地从血中被肝细胞清除。血清结合珠蛋白的降低可见于血管内溶血，亦可见于血管外溶血，特别是在微血管病性溶血性贫血时是最敏感的溶血指标，可出现在贫血或血红蛋白血症之前。血清结合珠蛋白降低也见于巨幼细胞性贫血、髓内溶血和肝病时，而在感染及恶性肿瘤中可升高。</p><p>3.血清乳酸脱氢酶（LDH）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血清乳酸脱氢酶活性增加在其同工酶中以LDH<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>增加为主，这与溶血性贫血时红细胞内酶（LDH<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>、LDH<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>、LDH<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>）大量进入血浆有关。但很多原因可以引起LDH增高，因此LDH增高对溶血性贫血的诊断缺乏特异性。</p><p>4.红细胞寿命缩短</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　红细胞寿命测定为诊断溶血的可靠指标，由于测定方法复杂，不作为常规检查。常用<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">51&nbsp;</span>Cr、<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">32</span>P-DFP或<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">3&nbsp;</span>H-DFP（二异丙基氟磷酸）标记红细胞。<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">51&nbsp;</span>Cr仅代表红细胞寿命指数。<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">32&nbsp;</span>P-DFP或<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">3&nbsp;</span>H-DFP测定比较接近红细胞的寿命，较<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">51&nbsp;</span>Cr为敏感，能检出轻微红细胞寿命缩短。红细胞肌酸是红细胞寿命的定量指标，因为年轻红细胞肌酸水平高于年老的红细胞，并且和红细胞年龄相一致，因此可作为溶血的指标，特别是血管内溶血。红细胞肌酸水平与网织红细胞数相关，持续时间比网织红细胞长，可达20天，且较敏感，在轻微溶血时网织红细胞还没有反应性升高而红细胞肌酸水平已经增加。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5371', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '200', '诊断与鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">贫血的诊断一般分三个步骤：①贫血及其严重度的确立；②贫血的性质诊断，即属于何种贫血综合征；③贫血的病因诊断。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">贫血及其严重度的确立依据外周血血红蛋白测定就能确立。贫血的性质诊断可以从贫血的形态学分类入手。小细胞低色素性贫血以缺铁性贫血最常见，因此可从铁代谢检查入手；如属铁利用障碍，要考虑慢性病贫血，如属体内铁过多，则可能是铁粒幼细胞性贫血或血红蛋白病，前者经骨髓涂片铁染色即可确诊，后者需要借助血红蛋白性质的检测。大细胞性贫血经骨髓检查可区分巨幼细胞性贫血和非巨幼细胞大细胞性贫血，后者见于急性失血性贫血、溶血性贫血、肝病贫血和内分泌功能减退性贫血，通过网织红细胞、血清维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">12</span>、叶酸及相关检查即可确定。正常细胞性贫血如有网织红细胞增高，除外急性出血性贫血后，主要是一组溶血性贫血综合征，由于后者最常见的是自身免疫性溶血性贫血，因此可从血清抗人球蛋白试验入手进行鉴别诊断；如网织红细胞不增多，多系骨髓造血过程有障碍所致的贫血，应仔细检查骨髓象。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">伴有网织红细胞增高或伴有黄疸的贫血不一定都是溶血性贫血，需要注意鉴别诊断。贫血伴有网织红细胞增多尚可见于缺铁性贫血或巨幼细胞性贫血补充铁剂、维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">12</span>或叶酸治疗有效时及失血性贫血时。无效造血（骨髓内溶血），周围血可出现幼红细胞，骨髓幼红细胞显著增生。体腔或组织内出血，也可出现贫血伴有无胆红素尿性黄疸，血清非结合胆红素增高。无胆红素尿性黄疸而无贫血，要和以非结合胆红素升高为主的家族性非溶血性黄疸（Gilbert综合征和Crigler-Najjar综合征）、新生儿高胆红素血症、药物诱发性高胆红素血症等鉴别。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">贫血的病因诊断十分重要，目的是不要延误重要疾病特别是恶性肿瘤的诊断。贫血的病因诊断必须从详细询问病史、全面体格检查入手。短期内血红蛋白过速下降应疑及急性失血和急性溶血性贫血，许多遗传性贫血患者常自幼即有贫血史，月经期妇女以缺铁性贫血最常见，成年男性发生缺铁性贫血要高度怀疑胃肠道出血，老年人贫血特别是有有害物质暴露史者应高度怀疑骨髓增生异常综合征贫血。药物暴露史的询问也很重要，药物可致多种类型的贫血。不明原因的贫血患者大便潜血、肾功能检查、已婚妇女的妇科检查、农村来的患者的寄生虫检查等，均应视为常规检查。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5372', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '200', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.首先应强调病因治疗。尽快纠正出血的原因，才能彻底治愈出血性贫血。诊断为药物性贫血，应立即停药并绝对避免再次用药，则为最有效的措施。感染引起的贫血应积极控制感染。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.缺乏造血原料的贫血，如缺铁性贫血和营养性巨幼细胞性贫血等，应积极补充造血原料，如铁剂、维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">12</span>或叶酸等，可获得良好效果。慢性血管内溶血增加铁丢失亦可补铁治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.刺激红细胞生成的药物临床已肯定的有红细胞生成素（EPO）、司坦唑醇（康力龙）、十一酸睾酮、达那唑、丙酸睾酮等。重组体人红细胞生成素（rHuEPO）治疗慢性肾衰竭贫血有显著疗效，对慢性病贫血也有一定效果。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.免疫抑制剂、肾上腺皮质激素或达那唑可用于温抗体型自身免疫性溶血性贫血，近期疗效较好。重型再生障碍性贫血，近年应用抗胸腺（淋巴）细胞球蛋白和环孢素治疗，疗效可与骨髓移植相比。免疫抑制剂亦可应用于其他免疫性贫血。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.异基因骨髓移植（allogenic bone marrow transplantation）对重型再障的疗效已公认，西雅图移植中心报告有效率已达75%，中位生存期超过5年，为当前治疗重型再障最理想的方法。异基因骨髓移植也可用于先天性再障（Fanconi贫血）、珠蛋白生成障碍性贫血及阵发性睡眠性血红蛋白尿，确切的疗效有待进一步总结。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">6.脾切除（splenectomy）可减少红细胞的破坏场所，用以治疗脾功能亢进所致的贫血和遗传性球形红细胞增多症有显著疗效，常为首选的治疗措施。温抗体型自身免疫性溶血性贫血用肾上腺皮质激素无效者，也可做脾切除术。部分血红蛋白病和红细胞酶缺陷所致溶血性贫血，也可考虑脾切除术。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">7.急性大量失血引起的贫血必须输血，以补充血容量。输血也可适用于严重和难治的贫血，但仅能取得暂时疗效。输血可引起各种不良反应，并有传播病毒性肝炎和艾滋病的危险，过多的输血又可发生含铁血黄素沉着症，所以输血治疗必须严格掌握适应证。缺铁性贫血、巨幼细胞性贫血和某些溶血性贫血，经过适当治疗血红蛋白都能逐渐恢复，除非贫血极为严重或急需在短期内施行手术者，一般都不需输血。有些溶血性贫血，例如自身免疫性溶血性贫血或阵发性睡眠性血红蛋白尿，输血反可能加剧溶血反应，必须提高警惕。长期反复输血者必须重视去铁治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">8.一般慢性贫血若代偿好、症状不多，仍可参加轻劳动。但当血红蛋白下降较速、贫血明显（一般低于80g/L）、有症状或伴出血倾向者，应予适当休息。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5373', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '200', '参考文献', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.张之南，沈悌.血液病诊断及疗效标准.第3版.北京：科学出版社，2007：1-4.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.Hoffman R，Benz Jr EJ，Shattil SJ，et al.Hematology：Basic Principles and Practice.5th ed.Philadelphia：Churchill Livingstone，2009：439-446.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.Goldman L，Schafer AI.Goldman’s Cecil Medicine.24th. Philadelphia：Elsevier Saunders，2012：1031-1039.</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5374', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '195', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">甲状腺功能减退症（hypothyroidism），简称甲减，是指组织的甲状腺激素作用不足或缺如的一种病理状态，即是指甲状腺激素的合成、分泌或生物效应不足所致的一组内分泌疾病。甲减的发病率有地区及种族的差异。碘缺乏地区的发病率明显较碘供给充分地区高。女性甲减较男性多见，且随年龄增加，其患病率上升。新生儿甲减发生率约为1/4000，青春期甲减发病率降低，随着年龄的增加，其患病率上升，在年龄大于65岁的人群中，显性甲减的患病率约为2%～5%。甲减为较常见的内分泌疾病，且常首先求治于非专科医生。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5375', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '195', '病因', '<p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">99%以上的甲减为原发性甲减，仅不足1%的病例为TSH缺乏引起。原发性甲减绝大多数系由自身免疫性（桥本）甲状腺炎、甲状腺放射性碘治疗或甲状腺手术导致。见表15-5-10。</span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5376', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '195', '分类', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床上，一般以甲减起病时年龄分类较为实用，可分下列三型：①功能减退始于胎儿期或出生不久的新生儿者，称呆小病（又称克汀病）；②功能减退始于发育前儿童期者，称幼年甲状腺功能减退症，严重时称幼年黏液性水肿；③功能减退始于成人期者，称甲状腺功能减退症，严重者称粘液性水肿。&nbsp;发病机制</p><p>（一）呆小病（克汀病）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有地方性及散发性两种。</p><p>1.地方性呆小病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多见于地方性甲状腺肿流行区，因母体缺碘，供应胎儿的碘不足，以致甲状腺发育不全和激素合成不足。此型甲减对迅速生长中胎儿的神经系统特别是大脑发育危害极大，造成不可逆性的神经系统损害。</p><p>2.散发性呆小病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">见于各地，病因不明。母亲既无缺碘又无甲状腺肿等异常，推测其原因有以下几方面。</p><p>（1）甲状腺发育不全或缺如：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可能性有三：①患儿甲状腺本身生长发育缺陷；②母体在妊娠期患某种自身免疫性甲状腺病，血清中存在抗甲状腺抗体，经血行通过胎盘而进入胎儿破坏胎儿部分或全部甲状腺；③母体妊娠期服用抗甲状腺药物或其他致甲状腺肿物质，阻碍了胎儿甲状腺发育和激素合成。</p><p>（2）甲状腺激素合成障碍：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常有家族史，激素合成障碍主要有五型：①甲状腺摄碘功能障碍：影响碘的浓集，这种缺陷可能是由于参与碘进入细胞的“碘泵”发生障碍。②碘的有机化过程障碍，又可包括：过氧化物酶缺陷，此型甲状腺摄碘能力强，但碘化物不能被氧化为活性碘，致酪氨酸不能碘化。③碘化的酪氨酸不能形成单碘及双碘酪氨酸。碘化酪氨酸偶联缺陷：甲状腺已生成的单碘及双碘酪氨酸发生偶联障碍，以致甲状腺素（T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>）及三碘甲状腺原氨酸（T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>）合成减少。④碘化酪氨酸脱碘缺陷：由于脱碘酶缺乏，游离的单碘及双碘酪氨酸不能脱碘而大量存在于血中不能再被腺体利用，并从尿中大量排出，间接引起碘的丢失过多。甲状腺球蛋白合成与分解异常：酪氨酸残基的碘化及由碘化酪氨酸残基形成T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>、T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>的过程，都是在完整的甲状腺球蛋白分子中进行。⑤甲状腺球蛋白异常，可致T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>、T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>合成减少。并可产生不溶于丁醇的球蛋白，影响T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>、T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>的生物效能。甲状腺球蛋白的分解异常可使周围血液中无活性的碘蛋白含量增高。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表15-5-10甲减的病因</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527125698805073376.jpg\" title=\"1527125698805073376.jpg\" alt=\"T15-5-10_52058.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 496px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">续表</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527125719152074471.jpg\" title=\"1527125719152074471.jpg\" alt=\"T1251_631_138_1127_364_52060.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 505px; table-layout: fixed;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">未经治疗的呆小症造成儿童期和青春期的生长迟滞，智力受损和代谢异常，显然，早期诊断和治疗是极为重要的。</p><p>（二）幼年甲状腺功能减退症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病因与成人患者相同。</p><p>（三）成年甲状腺功能减退症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病因可分为甲状腺激素缺乏（thyroprivic）、促甲状腺激素缺乏（thyrotrophoprivic）和末梢组织对甲状腺激素不应症三大类。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.由于甲状腺本身病变致甲状腺激素缺乏，即原发性甲减。其中部分病例病因不明，又称“特发性”，较多发生甲状腺萎缩，约为甲减发病率的5%。大部分病例有以下比较明确的原因：①甲状腺的手术切除或放射性碘或放射线治疗后；②甲状腺炎：与自身免疫有关的慢性淋巴细胞性甲状腺炎后期为多，亚急性甲状腺炎引起者罕见；③伴甲状腺肿或结节的功能减退：慢性淋巴细胞性甲状腺炎多见，偶见于侵袭性纤维性（Reidel）甲状腺炎，可伴有缺碘所致的结节性地方性甲状腺肿和散在性甲状腺肿；④腺内广泛病变：多见于晚期甲状腺癌和转移性肿瘤，较少见于甲状腺结核、淀粉样变、甲状腺淋巴瘤等；⑤药物：抗甲状腺药物治疗过量；摄入碘化物（有机碘或无机碘）过多；使用阻碍碘化物进入甲状腺的药物如过氯酸钾、硫氰酸盐、间苯二酚（雷琐辛）、对氨基水杨酸钠（PAS）、保泰松、碘胺类药物、硝酸钴、碳酸锂等，甲亢患者经外科手术或<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">131</span>I治疗后对碘化物的抑制甲状腺激素合成及释放作用常较敏感，故再服用含碘药物则易发生甲减。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.由于促甲状腺激素不足（thyro-trophoprivic）又分为垂体性与下丘脑性两种。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）由于腺垂体功能减退使促甲状腺激素（TSH）分泌不足所致。又称为垂体性（或继发性）甲状腺功能减退症。有多种原因，详见“腺垂体功能减退症”。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）由于下丘脑疾患使促甲状腺激素释放激素（TRH）分泌不足所致。又称为下丘脑性（或三发性）甲状腺功能减退症。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.末梢性（周围性）甲减 系指末梢组织甲状腺激素不应症，即甲状腺激素抵抗。临床上常可见一些有明显的甲减症状，但甲状腺功能检查结果则与之相矛盾。病因有二：①由于血中存在甲状腺激素结合抗体，从而导致甲状腺激素不能发挥正常的生物效应；②由于周围组织中的甲状腺激素受体数目减少，以及受体对甲状腺激素的敏感性减退，从而导致周围组织对甲状腺激素的效应减少。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">甲状腺激素抵抗的主要原因是外周组织对甲状腺激素的敏感性降低。正常情况下，垂体产生的TSH刺激甲状腺产生主要为T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>，在肝内转化为T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>，T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>和T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>可抑制性地反馈作用于垂体，从而保持平衡。具有活性的T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>抵达外周组织与甲状腺激素受体结合产生生物效应。甲状腺激素抵抗时由于垂体对甲状腺激素的敏感性降低，其负反馈受抑，导致TSH升高，结果甲状腺激素分泌增加，作用于外周不敏感的组织出现甲减症状，而抵抗不明显的组织则出现甲亢表现。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5377', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '195', '病理', '<p>（一）呆小病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">散发性者除激素合成障碍者甲状腺呈增生肿大外，多数在甲状腺部位或舌根仅有少许滤泡组织，甚至完全缺如。地方性甲状腺肿呈萎缩或肿大，腺体内呈局限性上皮增生及退行性变。腺垂体常较大，部分病例示蝶鞍扩大，切片中TSH细胞肥大，此外，可有大脑发育不全，脑萎缩，骨成熟障碍等。</p><p>（二）黏液性水肿</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">原发性者甲状腺呈显著萎缩，腺泡大部分被纤维组织所替代，兼有淋巴细胞浸润，残余腺泡上皮细胞矮小，腺泡内胶质含量极少。放射线治疗后甲状腺的改变与原发性者相似。慢性甲状腺炎者腺体大多有淋巴细胞、浆细胞浸润且增大，后期可纤维化而萎缩，服硫脲类药物者腺体增生肥大，胶质减少而充血。继发于垂体功能减退者垂体有囊性变或纤维化，甲状腺腺体缩小，腺泡上皮扁平，腔内充满胶质。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">甲状腺外组织的病理变化包括皮肤角化，真皮层有黏液性水肿，细胞间液中积聚多量透明质酸、黏多糖、硫酸软骨素和水分，引起非凹陷性水肿。内脏细胞间液中有相似情况，称内脏黏液性水肿。浆膜腔内有黏液性积液。全身肌肉不论骨骼肌、平滑肌或心肌都可有肌细胞肿大、苍白，肌浆纤维断裂且有空泡变性和退行性病灶，心脏常扩大，间质水泡伴心包积液。肾脏可有基底膜增厚从而出现蛋白尿。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5378', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '195', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">甲减可影响全身各系统，其临床表现并不取决于甲减的病因而是与甲状腺激素缺乏的程度有关。</p><p>（一）呆小病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病因繁多，临床表现有共性，也有各型特点，于出生时常无特异表现，出生后数周内出现症状。共同的表现有：皮肤苍白，增厚，多皱褶，多鳞屑。口唇厚，舌大且常外伸，口常张开多流涎，外貌丑陋，面色苍白或呈蜡黄，鼻短且上翘，鼻梁塌陷，前额多皱纹，身材矮小，四肢粗短，手常成铲形，脐疝多见，心率缓慢，体温偏低，其生长发育均低于同年龄者，当成年后常身材矮小。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">各型呆小病可有的特殊表现：</p><p>1.先天性甲状腺发育不全</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">腺体发育异常的程度决定其症状出现的早晚及轻重。腺体完全缺如者，上述症状可出现于新生儿出生后1～3个月，且症状较重，无甲状腺肿。如尚有残留或异位腺体时，多数在6个月～2岁内出现典型症状，且可伴代偿性甲状腺肿大。</p><p>2.先天性甲状腺激素合成障碍</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病情因各种酶缺乏的程度而异。一般在新生儿期症状不明显，以后逐渐出现代偿性甲状腺肿，且多为显著肿大。典型的甲状腺功能低下可出现较晚，可称为甲状腺肿性呆小病，可能为常染色体隐性遗传。在碘有机化障碍过程中除有甲状腺肿和甲状腺功能低下症状外，常伴有先天性神经性聋哑，称Pendred综合征。此两型多见于散发性呆小病者，其母体不缺碘且甲状腺功能正常，胎儿自身虽不能合成甲状腺激素但能从母体得到补偿。故不致造成神经系统严重损害，出生后3个月以上，母体赋予的甲状腺激素已耗竭殆尽，由于本身甲状腺发育不全或缺如，或由于激素合成障碍，使体内甲状腺激素缺乏处于很低水平，从而出现显著的甲状腺功能低下症状，但智力影响却较轻。</p><p>3.先天性缺碘</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多见于地方性呆小病。因母体患地方性甲状腺肿，造成胎儿期缺碘，在胎儿及母体的甲状腺激素合成均不足的情况下，胎儿神经系统发育所必需的酶［如尿嘧啶核苷二磷酸（UDP）等］生成受阻或活性降低，造成胎儿神经系统严重且不可逆的损害和出生后永久性的智力缺陷和听力、语言障碍，但出生后患者的甲状腺在供碘好转的情况下，能加强甲状腺激素合成，故甲状腺功能低下症状不明显，这种类型又称为“神经型”呆小病。</p><p>4.母体怀孕期服用致甲状腺肿制剂或食物</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如卷心菜、大豆、对氨基水杨酸、硫脲类、间苯二酚、保泰松及碘等，这些食物中致甲状腺肿物质或药物能通过胎盘，影响甲状腺功能，出生后引起一过性甲状腺肿大，甚至伴有甲状腺功能低下，此型临床表现轻微、短暂，常不被发现，如妊娠期口服大量碘剂且历时较长，碘化物通过胎盘可导致新生儿甲状腺肿，巨大者可产生初生儿窒息死亡，故妊娠妇女不可用大剂量碘化物。哺乳期中碘亦可通过乳汁进入婴儿体内引起甲状腺肿伴甲减。</p><p>（二）幼年黏液性水肿</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床表现随起病年龄而异，幼儿发病者除体格发育迟缓和面容改变不如呆小病显著外，余均和呆小病相似。较大儿童及青春期发病者，大多似成人黏液性水肿，但伴有不同程度的生长阻滞，青春期延迟。</p><p>（三）成人甲状腺功能减退及黏液性水肿</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">成人甲状腺功能减退的临床表现取决于起病的缓急、激素缺乏的速度及程度，且与个体对甲状腺激素减少的反应差异性有一定关系，故严重的甲状腺激素缺乏有时临床症状也可轻微。临床型甲减的诊断标准应具备不同程度的临床表现及血清T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>、T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>的降低，尤其是血清T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>和FT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>的降低为临床型甲减的一项客观实验室指标。轻型者症状较轻或不典型；重型者累及的系统广泛，称黏液性水肿。现今严重甲减患者较以往少见，该术语常用以描述甲减表现的皮肤和皮下组织黏液性水肿这一体征。临床上无或仅有少许甲减症状，血清FT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>及FT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>正常而TSH水平升高，此种情况称为“亚临床甲减”，须根据TSH测定和（或）TRH试验确诊，可进展至临床型甲减，伴有甲状腺抗体阳性和（或）甲状腺肿者进展机会较大。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">成人甲状腺功能减退最早症状是出汗减少、怕冷、动作缓慢、精神萎靡、疲乏、嗜睡、智力减退、胃口欠佳、体重增加、大便秘结等。当典型症状出现时有下列表现：</p><p>（1）低基础代谢率症群：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">疲乏、行动迟缓、嗜睡、记忆力明显减退且注意力不集中，因周围血循环差和能量产生降低以致异常怕冷、无汗及体温低于正常。</p><p>（2）黏液性水肿面容：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">面部表情可描写为“淡漠”、“愚蠢”、“假面具样”、“呆板”，甚至“白痴”。面颊及眼睑虚肿，垂体性黏液性水肿有时颜面胖圆，犹如满月。面色苍白，贫血或带黄色或陈旧性象牙色。有时可有颜面皮肤发绀。由于交感神经张力下降对Müller肌的作用减弱，故眼睑常下垂形或眼裂狭窄。部分患者有轻度突眼，可能和眼眶内球后组织有黏液性水肿有关，但对视力无威胁。鼻、唇增厚，舌大而发音不清，言语缓慢，音调低，头发干燥、稀疏、脆弱，睫毛和眉毛脱落（尤以眉梢为甚），男性胡须生长缓慢。</p><p>（3）皮肤：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">苍白或因轻度贫血及甲状腺激素缺乏使皮下胡萝卜素变为维生素A及维生素A生成视黄醛的功能减弱，以致高胡萝卜素血症，加以贫血，肤色苍白，因而常使皮肤呈现特殊的蜡黄色，且粗糙少光泽，干而厚、冷，多鳞屑和角化，尤以手、臂、大腿为明显，且可有角化过度的皮肤表现。有非凹陷性黏液性水肿，有时下肢可出现凹陷性水肿。皮下脂肪因水分的积聚而增厚，致体重增加，指甲生长缓慢、厚脆，表面常有裂纹。腋毛和阴毛脱落。</p><p>（4）精神神经系统：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">精神迟钝，嗜睡，理解力和记忆力减退。视力、听觉、触觉、嗅觉均迟钝，伴有耳鸣，头晕。有时可呈神经质或可发生妄想、幻觉、抑郁或偏狂。严重者可有精神失常，呈木僵、痴呆，昏睡状。偶有小脑性共济失调。还可有手足麻木，痛觉异常，腱反射异常。脑电图可异常。脑脊液中蛋白质可增加。</p><p>（5）肌肉和骨骼：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肌肉松弛无力，主要累及肩、背部肌肉，也可有肌肉暂时性强直、痉挛、疼痛或出现齿轮样动作，腹背肌及腓肠肌可因痉挛而疼痛，关节也常疼痛，骨质密度可增高。少数病例可有肌肉肥大。发育期间骨龄常延迟。</p><p>（6）心血管系统：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心率降低，心音低弱，心输出量减低，由于组织耗氧量和心输出量的减低相平行，故心肌耗氧量减少，很少发生心绞痛和心力衰竭。一旦发生心力衰竭，因洋地黄在体内的半衰期延长，且由于心肌纤维延长伴有黏液性水肿，故疗效常不佳且易中毒。心电图可见ST-T改变等表现。严重甲减者全心扩大，常伴有心包积液。久病者易并发动脉粥样硬化及冠心病，发生心绞痛和心律不齐。如没有合并器质性心脏病，甲减本身的心脏表现可以在甲状腺激素治疗后得到纠正。</p><p>（7）消化系统：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胃纳不振、厌食、腹胀、便秘、鼓肠，甚至发生巨结肠症及麻痹性肠梗阻。因有抗胃泌素抗体存在，患者可伴胃酸缺乏。</p><p>（8）呼吸系统：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于肥胖、黏液性水肿、胸腔积液、贫血及循环系统功能差等综合因素可导致肺泡通气量不足及二氧化碳麻醉现象。阻塞性睡眠呼吸暂停常见，可以在甲状腺激素治疗后得到纠正。</p><p>（9）内分泌系统：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血皮质醇常正常、尿皮质醇可降低，ACTH分泌正常或降低，ACTH兴奋反应延迟，但无肾上腺皮质功能减退的临床表现。长期患本病且病情严重者，可能发生垂体和肾上腺功能降低，在应激或快速甲状腺激素替代治疗时加速产生。长期患原发性甲减者垂体常常增大，可同时出现泌乳素增高，从而出现溢乳。交感神经的活性在甲状腺激素缺乏时降低，可能与血浆环腺苷酸对肾上腺素反应降低有关，肾上腺素的分泌率及血浆浓度正常，而去甲肾上腺素的相应功能增加，β-肾上腺素能的受体在甲减时可能会减少。胰岛素降解率下降且患者对胰岛素敏感性增强。LH分泌量及频率峰值均可下降，血浆睾酮和雌二醇水平下降。严重时可致性欲减退和无排卵。</p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">A.治疗前心脏有增大 B.治疗后心脏恢复正常</p><p>（10）泌尿系统及水电解质代谢：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肾血流量降低，肾小球基底膜增厚可出现少量蛋白尿，水利尿试验差，水利尿作用不能被可的松而能被甲状腺激素所纠正。由于肾脏排水功能受损，导致组织水潴留。Na<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>交换增加，可出现低血钠，但K<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>的交换常属正常。血清Mg<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2+</span>可增高，但交换的Mg<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2+</span>和尿Mg<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2+</span>的排出率降低。血清钙、磷正常，尿钙排泄下降，粪钙排泄正常，粪、尿磷排泄正常。</p><p>（11）血液系统：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">甲状腺激素缺乏使造血功能遭到抑制，红细胞生成素减少，胃酸缺乏使铁及维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">12</span>吸收障碍，加之月经过多以致患者中2/3可有轻、中度正常色素或低色素小红细胞型贫血，少数有恶性贫血（大红细胞型）。血沉可增快。Ⅷ和Ⅸ因子的缺乏导致机体凝血机制减弱，故易有出血倾向。</p><p>（12）昏迷：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">为黏液性水肿最严重的表现，多见于年老长期未获治疗者。大多在冬季寒冷时发病，受寒及感染是最常见的诱因，其他如创伤、手术、麻醉、使用镇静剂等均可促发。昏迷前常有嗜睡病史，昏迷时四肢松弛，反射消失，体温很低（可在33℃以下），呼吸浅慢，心动过缓，心音微弱，血压降低，休克，并可伴发心、肾衰竭，常威胁生命。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5379', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '195', '辅助检查', '<p>（一）间接依据1.基础代谢率降低</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常在-35%～-45%，有时可达-70%。</p><p>2.血脂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常伴高胆固醇血症和高LDL血症。甘油三酯也可增高。</p><p>3.心电图</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">示低电压、窦性心动过缓、T波低平或倒置，偶有PR间期延长及QRS波时限增加。</p><p>4.X线检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">骨龄的检查有助于呆小病的早期诊断。X线片上骨骼的特征有：成骨中心出现和成长迟缓（骨龄延迟）；骨骺与骨干的愈合延迟；成骨中心骨化不均匀呈斑点状（多发性骨化灶）。95%呆小病患者蝶鞍的形态异常。7岁以上患儿蝶鞍常呈圆形增大，经治疗后蝶鞍可缩小：7岁以下患儿蝶鞍表现为成熟延迟，呈半圆形，后床突变尖，鞍结节扁平。心影于胸片上常为弥漫性双侧增大（图15-5-10），超声波检查示心包积液，治疗后可完全恢复。</p><p>5.脑电图检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">某些呆小病者脑电图有弥漫性异常，频率偏低，节律不齐，有阵发性双侧Q波，无α波，表现脑中枢功能障碍。</p><p>（二）直接依据1.血清TSH和T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>、T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>是最有用的检测项目</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">测定TSH对甲减有极其重要意义，较T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>、T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>为大，血清高敏感TSH正常值为0.3～4.5mIU/L。甲状腺性甲减，TSH可升高；而垂体性或下丘脑性甲减常偏低，也可在正常范围或轻度升高，可伴有其他腺垂体激素分泌低下。除消耗性甲减及甲状腺激素抵抗外，不管何种类型甲减，血清总T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>和FT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>均低下。轻症患者血清T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>可在正常范围，重症患者可以降低。部分患者血清T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>正常而T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>降低，这可能是甲状腺在TSH刺激下或碘不足情况下合成生物活性较强的T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>相对增多，或周围组织中的T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>较多地转化为T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>的缘故。因此T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>降低而T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>正常可视为较早期诊断甲减的指标之一。亚临床型甲减患者血清T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>、T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>均可正常。此外，在患严重疾患且甲状腺功能正常的患者及老年正常人中，血清T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>可降低，故T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>浓度在诊断上比T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>浓度更为重要。由于总T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>、T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>可受TBG的影响，故可测定游离T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>、T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>&nbsp;（FT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>、FT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>）协助诊断。</p><p>2.甲状腺吸<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">131</span>碘率</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">明显低于正常，常为低平曲线，而尿中<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">131</span>碘排泄量增加。</p><p>3.反T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>（rT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在甲状腺性及中枢性甲减中降低，在周围性甲减中可能增高。</p><p>4.促甲状腺激素（TSH）兴奋试验</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">以了解甲状腺对TSH刺激的反应。如用TSH后摄碘率不升高，提示病变原发于甲状腺，故对TSH刺激不发生反应。</p><p>5.促甲状腺激素释放激素试验（TRH兴奋试验）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">方法详见“甲状腺功能测定”。如TSH原来正常或偏低者，在TRH刺激后引起升高，并呈延迟反应，表明病变在下丘脑。如TSH为正常低值至降低，正常或略高而TRH刺激后血中TSH不升高或呈低（弱）反应，表明病变在垂体或为垂体TSH贮备功能降低。如TSH原属偏高，TSH刺激后更明显，表示病变在甲状腺。</p><p>6.抗体测定</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">怀疑甲减由自身免疫性甲状腺炎所引起时，可测定甲状腺球蛋白抗体（TGA）、甲状腺微粒体抗体（MCA）和甲状腺过氧化物酶抗体（TPOAb），其中，以TPOAb的敏感性和特异性较高。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5380', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '195', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">甲减的诊断包括确定功能减退、病变定位及查明病因三个步骤。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">呆小病的早期诊断和治疗可避免或尽可能减轻永久性智力发育缺陷。婴儿期诊断本病较困难，应细微观察其生长、发育、面貌、皮肤、饮食、睡眠、大便等各方面情况，及时作有关实验室检查。尽可能进行新生儿甲状腺功能筛查。黏液性水肿典型病例诊断不难，但早期轻症及不典型者常与贫血、肥胖、水肿、肾病综合征、月经紊乱等混淆，须测定甲状腺功能以鉴别。一般来说，TSH增高伴FT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>低于正常即可诊断原发性甲减，T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>价值不大。在下丘脑性和垂体性甲减则靠FT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>降低诊断。TRH兴奋试验有助于定位病变在下丘脑还是垂体。中枢性甲减的患者常可合并垂体其他激素分泌缺乏，如促性腺激素及促肾上腺皮质激素缺乏。明确ACTH缺乏继发的肾上腺皮质功能低下症尤其重要，甲状腺激素替代治疗不可先于可的松替代治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于末梢性甲减的诊断有时不易，患者有临床甲减征象而血清T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>浓度增高为主要实验室特点，甲状腺摄<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">131</span>碘率可增高，用T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>、T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>治疗疗效不显著，提示受体不敏感。部分患者可伴有特征性面容、聋哑、点彩样骨骺（stippled epiphyses），不伴有甲状腺肿大。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5381', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '195', '治疗', '<p>（一）呆小病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">及时诊断，治疗愈早，疗效愈好。初生期呆小病最初口服三碘甲状腺原氨酸5μg，每8小时1次及左甲状腺素钠（LT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>）25μg/d，3天后，LT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>增加至37.5μg/d，6天后T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>改为2.5μg，每8小时1次。在治疗进程中LT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>逐渐增至每天50μg，而T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>逐渐减量至停用。或单用LT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>治疗，首剂量25μg/d，以后每周增加25μg/d，3～4周后至100μg/d，以后增加缓慢，使血清T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>保持9～12μg/dl，如临床疗效不满意，可剂量略加大。年龄为9个月至2岁的婴幼儿每天需要50～150μg LT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>，如果其骨骼生长和成熟没有加快，甲状腺激素应增加。TSH值有助于了解治疗是否适当，从临床症状改善来了解甲减治疗的情况比测定血清T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>更为有效。治疗应持续终身。儿童甲减完全替代LT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>剂量可达4μg/（kg？d）。</p><p>（二）幼年黏液性水肿</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">治疗与较大的呆小病患儿相同。</p><p>（三）成人黏液性水肿</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">用甲状腺激素替代治疗效果显著，并须终身服用。使用的药物制剂有合成甲状腺激素及从动物甲状腺中获得的含甲状腺激素的粗制剂。</p><p>1.左甲状腺素钠（LT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">LT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>替代治疗的起始剂量及随访间期可因患者的年龄、体重、心脏情况以及甲减的病程及程度而不同。一般应从小剂量开始，常用的起始剂量为LT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>每天1～2次，每次口服25μg，之后逐步增加，每次剂量调整后一般应在6～8周后检查甲状腺功能以评价剂量是否适当，原发性甲减患者在TSH降至正常范围后6个月复查一次，之后随访间期可延长至每年一次。一般每天维持量为100～150μg LT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>，成人甲减完全替代LT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>剂量为1.6～1.8μg/（kg？d）。甲状腺激素替代尽可能应用LT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>，LT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>在外周脱碘持续产生T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>，更接近生理状态。</p><p>2.甲状腺片</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">从每天20～40mg开始，根据症状缓解情况和甲状腺功能检查结果逐渐增加。因其起效较LT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>快，调整剂量的间隔时间可为数天。已用至240mg而不见效者，应考虑诊断是否正确或为周围型甲减。甲状腺片由于含量不甚稳定，故一般不首先推荐。</p><p>3.三碘甲状腺原氨酸（T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>20～25μg相当于甲状腺片60mg。T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>每天剂量为60～100μg。T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>的作用比LT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>和甲状腺片制剂快而强，但作用时间较短。不宜作为甲减的长期治疗，且易发生医源性甲亢，老年患者对T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>的有害作用较为敏感。</p><p>4.T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>和T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>的混合制剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>和T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>按4∶1的比例配成合剂或片剂，其优点是有近似内生性甲状腺激素的作用。年龄较轻不伴有心脏疾患者，初次剂量可略偏大，剂量递增也可较快。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于血清T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>、T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>浓度的正常范围较大，甲减患者病情轻重不一，对甲状腺激素的需求及敏感性也不一致，故治疗应个体化。甲状腺激素替补疗法的原则要强调“早”、“适量起始”、“正确维持”及“注意调整”等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">甲减应早期使用甲状腺激素治疗，包括绝大多数的亚临床期患者。甲状腺功能的纠正有助于改善血脂。对甲减伴有甲状腺肿大者还有助于抑制其肿大。甲状腺激素替代要力求作到“正确”维持剂量。轻度不足不利于症状完全消除和生化指标的改善；轻度过量可致心、肝、肾、骨骼等靶器官的功能改变。随着甲减病程的延长，甲状腺激素的替代量会有所变化，应及时评估，酌情调整剂量。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">腺垂体功能减退且病情较重者，为防止发生肾上腺皮质功能不全，甲状腺激素的治疗应在皮质激素替代治疗后开始。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">老年患者剂量应酌情减少。伴有冠心病或其他心脏病史以及有精神症状者，甲状腺激素更应从小剂量开始，并应更缓慢递增。如导致心绞痛发作、心律不齐或精神症状，应及时减量。周围型甲减治疗较困难可试用较大剂量T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">伴有贫血的患者，应给予铁剂、叶酸、维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">12</span>或肝制剂。铁剂治疗时尚须注意胃酸水平，低者须补充。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">甲减导致心脏症状者除非有充血性心力衰竭一般不必使用洋地黄，在应用甲状腺制剂后心脏体征及心电图改变等均可逐渐消失。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">黏液性水肿患者对胰岛素、镇静剂、麻醉剂甚敏感，可诱发昏迷，故使用宜谨慎。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于治疗效果不佳的患者以及18岁以下、妊娠、伴其他内分泌疾病、伴心血管疾病、伴甲状腺肿大或结节等情况的患者建议转至内分泌专科治疗。</p><p>（四）黏液性水肿昏迷的治疗1.甲状腺制剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于甲状腺片及T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>作用太慢，故必须选用快速作用的三碘甲状腺原氨酸（T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>）。开始阶段，最好用静脉注射制剂（D，L-三碘甲状腺原氨酸），首次40～120μg，以T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>每6小时静注5～15μg，直至患者清醒改为口服。如无此剂型，可将三碘甲状腺原氨酸片剂研细加水鼻饲，每4～6小时1次，每次20～30μg。无快作用制剂时可采用T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>，首次剂量200～500μg静脉注射，以后静脉注射25μg，每6小时1次或每天口服100μg。也有人主张首次剂量T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>200μg及T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>50μg静脉注射，以后每天静脉注射T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>&nbsp;100μg及T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>25μg。也可采用干甲状腺片，每4～6小时1次，每次40～60mg，初生儿剂量可稍大，以后视病情好转递减，有心脏病者，起始宜用较小量，为一般用量的1/5～1/4。</p><p>2.给氧</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">保持气道通畅，必要时可气管切开或插管，保证充分的气体交换。</p><p>3.保暖</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">用增加被褥及提高室温等办法保暖，室内气温调节要逐渐递增，以免耗氧骤增对患者不利。</p><p>4.肾上腺皮质激素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">每4～6小时给氢化可的松50～100mg，清醒后递减或撤去。</p><p>5.积极控制感染。6.升压药</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">经上述处理血压不升者，可用少量升压药，但升压药和甲状腺激素合用易发生心律失常。</p><p>7.补给葡萄糖液及复合维生素B</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">但补液量不能过多，以免诱发心力衰竭。经以上治疗，24小时左右病情有好转，则1周后可逐渐恢复。如24小时后不能逆转，多数不能挽救。</p><p>（五）特殊情况处理1.老年患者</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在许多情况下，老年甲减患者很少有特异性的症状和体征，且症状极轻微或不典型，包括声音嘶哑、耳聋、精神错乱、痴呆、运动失调、抑郁、皮肤干燥或脱发等。对60岁以上女性甲减发生率甚高，建议对可疑者常规测定TSH。</p><p>2.妊娠</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多数甲减患者在妊娠期须增加LT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>剂量。孕期应密切监测以确保TSH浓度适当，并根据TSH浓度调整LT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>用量。分娩后LT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>即应恢复妊娠前水平，并应对其血清TSH浓度进行随访。</p><p>3.亚临床甲减</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于TSH＞10μIU/ml的患者宜使用小剂量LT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>使TSH控制在0.3～3.0μIU/ml，TSH升高但不超过10μIU/ml患者的替代治疗尚存在不同意见，但一般认为对甲状腺自身抗体阳性和（或）甲状腺肿大者也应当治疗。若不应用LT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">4</span>，则应定期随访。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5382', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '195', '预防', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">预防极其重要，对于地方性呆小病，孕期缺碘是发病关键。因此，地方性甲状腺肿流行区，孕妇应供应足够碘化物，妊娠最后3～4个月每天可加服碘化钾20～30mg。妊娠合并Graves病用硫脲类药物治疗者，应尽量避免剂量过大，并同时加用小剂量甲状腺激素制剂。妊娠合并甲亢禁用放射性<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">131</span>I治疗，诊断用的示踪剂避免口服，但可作体外试验。目前在国内地方性甲状腺肿流行区，由于大力开展了碘化食盐及碘油等防治工作，呆小病已非常少见。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5383', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '109', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病（diabetes mellitus，DM）是一组常见的以葡萄糖和脂肪代谢紊乱、血浆葡萄糖水平增高为特征的代谢内分泌疾病，比较复杂，但由于篇幅有限，本文糖尿病重点叙述最常见的2型DM，简要叙述妊娠与糖尿病，部分节段提及1型糖尿病和某些较少见的类型。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病的基本病理生理为绝对或相对胰岛素分泌不足和胰高血糖素活性增高所引起的代谢紊乱，包括糖、蛋白质、脂肪、水及电解质等，严重时常导致酸碱平衡失调；其特征为高血糖、糖尿、葡萄糖耐量减低及胰岛素释放试验异常。临床上早期无症状，至症状期才有多食、多饮、多尿、烦渴、善饥、消瘦或肥胖、疲乏无力等症群，久病者常伴发心脑血管、肾、眼及神经等病变。严重病例或应激时可发生酮症酸中毒、高渗性昏迷、乳酸性酸中毒而威胁生命，常易并发化脓性感染、尿路感染、肺结核等。自从胰岛素及抗生素问世后酮症及感染已少见，病死率明显下降。如能及早防治，严格和持久控制高血糖、高血压、高血脂可明显减少慢性并发症，有些患者病情是可以逆转的，患者体力可接近正常。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5384', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '109', '流行病学', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1994年世界糖尿病患者为1.2亿，1997年为1.35亿，2000年为1.75亿，2010年为2.39亿，预测2030年则可达3亿。我国首次糖尿病调查于1978—1979年在上海，10万人口中发现患病率为10.12‰（标化患病率9.29‰），1980—1981年在全国14个省30万人口中患病率为6.09‰（标化患病率6.74‰），当时我国有700万糖尿病患者。本病多见于中老年，患病率随年龄而增长，自45岁后明显上升，至60岁达高峰。研究显示干部、知识分子、退休工人、家庭妇女较高，农民较低，脑力劳动者高于体力劳动者，城市居民高于农村居民。体重超重者（体质指数BMI≥24）患病率3倍于体重正常者。回族患病率最高，汉族次之，其他少数民族与汉族相仿。近年研究显示青少年人群2型糖尿病患病率快速增加，几乎与1型糖尿病各占一半。1994—1995年在全国约25万人口中（＞25岁），又进行了一次调查，发现糖尿病和糖耐量异常（impaired glucose tolerance，IGT）各占3.5%和2.5%。2008年应用糖耐量筛查20岁以上人群结果显示2型糖尿病高达9.7%。其主要原因是生活水平提高，生活方式改变，体力活动减少，营养过剩。因此必须提倡平衡饮食和活动，以便控制快速增长的势头。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5385', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '109', '病因与分类', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">大部分糖尿病患者可归为两大发病机制范畴。一类（1型）为胰岛素分泌的绝对缺乏。大多数1型糖尿病患者经血清或DNA检查可发现免疫反应指标或基因标志。另一类（2型）的原因为胰岛素抵抗和胰岛素代偿性分泌反应不足的联合。在后一类患者中，虽已有足以引起慢性并发症的高血糖症，但患者在被确诊前可以长期毫无症状。这两个类型的糖尿病在发病机制、自然病史、治疗原则和反应以及预防均有明显不同。此外，尚有少数的糖尿病患者有其特有的病因和发病机制，可归于其他特殊类型。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前我国应用的糖尿病的分型以及诊断的方法和指标，是1997年ADA/WHO制定的内容：</p><p>（一）1型糖尿病（type 1diabetes mellitus）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">β细胞毁坏，常导致胰岛素绝对不足。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.自身免疫性急发型和缓发型，GAD和（或）胰岛细胞抗体阳性。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.特发性无自身免疫证据。</p><p>（二）2型糖尿病（type 2diabetes mellitus）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰岛素抵抗和（或）胰岛素分泌障碍。</p><p>（三）特殊类型糖尿病1.β细胞功能基因缺陷</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如MODY1，2，3型；线粒体DNA。</p><p>2.胰岛素作用遗传性缺陷</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如胰岛素基因突变、胰岛素受体缺陷A型胰岛素抵抗、妖精综合征、脂肪萎缩性糖尿病等。</p><p>3.胰腺外分泌病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如胰腺炎症、外伤、手术或肿瘤。</p><p>4.内分泌疾病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如肢端肥大症、库欣综合征、胰高糖素瘤、嗜铬细胞瘤和甲状腺功能亢进症等。</p><p>5.药物或化学品所致糖尿病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如杀鼠药、烟草酸、糖皮质激素、甲状腺激素、噻嗪类药物、β-肾上腺能类似物、苯妥英钠、IFN-α和二氮嗪等，大多数均能引起糖耐量减退。</p><p>6.感染所致糖尿病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如风疹、巨细胞病毒等。</p><p>7.少见的免疫介导糖尿病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如Stiff-man综合征，抗胰岛素受体抗体等。</p><p>8.伴糖尿病的其他遗传综合征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如Down、Klinefelter、Turner、Wolfram、Lawrence Moon Beidel等综合征和Huntington舞蹈病等。</p><p>（四）妊娠期糖尿病（gestational diabetes mellitus，GDM）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">妊娠期糖尿病指在妊娠期发现的糖尿病，但不排除于妊娠前原有糖耐量异常而未被确认者，已知是糖尿病的患者妊娠时不属此型。多数患者于分娩后可恢复正常，近30%以下患者于5～10年随访中转变为糖尿病。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5386', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '109', '糖尿病几个主要类型的特点', '<p>（一）1型糖尿病特征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①起病较急；②典型病例见于小儿及青少年，但任何年龄均可发病；③血浆胰岛素及C肽水平低，服糖刺激后分泌仍呈低平曲线；④必须依赖胰岛素治疗，一旦骤停胰岛素则易发生酮症酸中毒，甚而威胁生命；⑤遗传为重要因素，表现为第6对染色体上HLA某些抗原的阳性率增减；⑥胰岛β细胞自身抗体常呈阳性反应，包括胰岛细胞自身抗体（ICAs）、胰岛素自身抗体（IAAs）、谷氨酸脱羧酶（GAD 65）自身抗体和酪氨酸磷酸酶自身抗体（IA2和IA2β），其中以GAD抗体最具特征。85%～90%的1型患者空腹血糖开始升高时，可检测到一种或多种上述自身抗体。有些患者病情发展较慢，胰岛素分泌极少，体形消瘦，必须注射外源胰岛素才能防治酮症酸中毒，每到成年期方通过血清GAD抗体测定，才被发现是1型糖尿病。这类患者称为成人缓慢进展自身免疫性糖尿病（latent autoimmune diabetes in adults，LADA）。近年国内大样本LADA研究显示其患病率大约为6%，与2型糖尿病相比，LADA者年龄和体重均较低，且随年龄或体重增加患病率下降。LADA患者C肽水平及合并有高脂血症、高血压、肥胖的比例均较2型糖尿病低。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">特发性1型糖尿病原因未明，为1型中的少数，多属非洲或亚洲人种，虽有永久胰岛素分泌缺乏和酮症酸中毒，但无自身免疫证据，也无HLA特点。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">晚近日本学者提出了暴发性1型糖尿病的概念，目前国际上多采用日本学者Imagawa等提出的诊断指标：①出现高血糖症状1周内发生酮症或酮症酸中毒；②血清空腹C肽＜0.1nmol/L，而餐后2小时（胰高血糖素释放试验）C肽＜0.17nmol/L；③初诊时血糖＞16mmol/L而HbA1c＜8.5%。按照ADA和WHO的糖尿病分类标准，暴发性1型糖尿病属于特发性1型糖尿病的一种亚型。该病来势凶猛，进展迅速，预后极差。表现为起病更加急骤、病情更加凶险的一类糖尿病。如果在临床上见到患者血糖极高、进展迅速、病情危重的患者，伴有胰酶升高，要考虑暴发性1型糖尿病。</p><p>（二）2型糖尿病特征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①起病较慢；②典型病例见于中老年人，偶见于幼儿；③血浆胰岛素水平仅相对性不足，且在糖刺激后呈延迟释放，有时肥胖患者空腹血浆胰岛素基值可偏高，糖刺激后胰岛素亦高于正常人，但比相同体重的非糖尿病肥胖者为低；④遗传因素甚为重要，但HLA属阴性；⑤ICA常呈阴性；⑥胰岛素效应往往甚差；⑦早期时单用口服抗糖尿病药物，一般可以控制血糖。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2型糖尿病患者主要由于胰岛素抵抗合并有相对性胰岛素分泌不足所致。这类患者并不依赖外源胰岛素而生存，但有些需用胰岛素以控制高血糖症。在这类患者中可能有一些是特殊类型的糖尿病，明确后这类型比例可能会下降。该型大部分的患者伴肥胖，肥胖症本身可引起胰岛素抵抗。即使以传统体重指标鉴定并不肥胖的患者，仍可在内脏有体脂的积聚。由于高血糖症发展甚慢，早期症状很轻微而不典型或无症状，故常经过许多年始被确诊，然而，患者很容易发生大血管和微血管并发症。面对胰岛素抵抗和高血糖症，尽管β细胞分泌更多的胰岛素，血胰岛素水平常高于正常，仍不能使血糖正常化，说明β细胞分泌功能有一定缺陷，不足以代偿胰岛素抵抗。已观察到糖尿病患者胰腺组织中炎症因子高表达，但无β细胞自身免疫破坏，推测2型糖尿病是多基因突变或多态性变化有关的疾病，确切的机制尚未阐明。</p><p>（三）特殊型糖尿病为较少见的类型，其中有些特殊类型的机制已被阐明。1.β细胞基因缺陷</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有些特殊类型伴有β细胞的单基因缺陷。如青年人中的成年发病型糖尿病（MODY），发病年龄常在25岁之前，伴轻度高血糖症，是常染色体显性遗传，在不同染色体上的基因位点发生异常。其主要特征为胰岛素分泌减少而其作用没有或极少缺陷。MODY 1型基因变异发生在染色体12上的肝细胞核因子（HNF-4α）；MODY 2型基因变异发生在染色体7p上的葡萄糖激酶基因，导致葡萄糖激酶分子的缺陷，因而要求较高的血浆葡萄糖才能兴奋出正常的胰岛素分泌水平。MODY 3型基因变异发生在染色体20q的HNF-1α上。MODY 4型与染色体13的胰岛素启动因子（IPF-1）基因的突变有关。MODY 5型与染色体17上的肝细胞核因子1β（HNF-1β）基因突变有关。MODY 6型则与位于第2染色体的神经源性分化因子/β细胞E-盒转录激活物2（Neuro DI/BETA2）有关。晚近研究证实，MODY 7、MODY 8分别与KLF 11 （Kruppel-like factor 11）和CEL（carboxyl ester lipase）有关，但是MODY 8罕见。线粒体DNA点变异引起糖尿病伴耳聋，最常见的变异发生在tRNA leucine基因的3243位，导致A至G的转变。其临床特点为起病年龄早，不胖或较消瘦，属母系遗传，疾病初期呈2型糖尿病表现，无酮症酸中毒倾向，以后β细胞功能日渐减退，最后常会发展至需用胰岛素才能控制的高血糖症。患者在糖尿病发生前后，尚可伴有不同程度听力障碍，可有神经、肌肉和眼病表现等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此外，少数家族有常染色体遗传的基因异常，在胰岛素原转变为胰岛素时发生困难，或合成变异的胰岛素，影响其与胰岛素受体的结合。</p><p>2.胰岛素作用的基因缺陷</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如胰岛素受体的变异，有些患者可伴有黑棘皮病，女性患者可有男性化和卵巢囊肿，过去这类患者称为A型胰岛素抵抗。在儿童中，胰岛素受体基因变异可引起严重胰岛素抵抗，称为妖精综合征（leprechaunism）和Rabson-Mendenhall综合征。</p><p>3.药物或化学品所致糖尿病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如Vacor（鼠药）和Pentamidine（喷他脒）能永久性破坏β细胞；烟草酸和糖皮质激素可损害胰岛素的功能；IFN-α可导致糖尿病并常伴有胰岛抗体等。</p><p>4.外分泌胰腺病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一些弥漫性胰腺组织损害可引起糖尿病，主要有胰腺炎、外伤、感染、胰腺手术、肿瘤等，当然一些胰腺肿瘤引起糖尿病的机制可能不仅仅是简单的β细胞数量的减少。</p><p>5.内分泌疾病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一些激素（生长激素、皮质醇、胰高血糖素、肾上腺素）可以对抗胰岛素作用，当其过量可以引起糖尿病，典型的表现为过量激素去除后血糖可以恢复。</p><p>6.新生儿糖尿病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">出生后6个月内发病的糖尿病称新生儿糖尿病，是一种少见的特殊类型糖尿病，临床上分为短暂性新生儿糖尿病和永久性新生儿糖尿病。此病由一些特殊基因突变所致，其中30%～58%的新生儿糖尿病由Kir6.2基因突变引起，这一突变影响到胰岛素分泌的钾离子通道。其他新生儿糖尿病有关的基因如杂合子激活的KCNJ11变异和ABCC8变异等。短暂性新生儿糖尿病可以缓解并终止治疗，但患者成年后可能复发。永久性新生儿糖尿病需要终身治疗。用胰岛素治疗这类疾病效果欠佳，改用磺脲类等口服降糖药物进行治疗效果较好。</p><p>（四）妊娠期糖尿病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">妊娠期糖尿病指在妊娠期发现的糖尿病患者，在妊娠前已有糖尿病的患者不属于妊娠糖尿病而属于糖尿病伴妊娠。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5387', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '109', '发病机制', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰岛素绝对不足大多见于1型糖尿病患者，相对不足大多见于2型糖尿病患者。绝对不足的证据有以下几点：①空腹血浆胰岛素浓度很低，一般＜4μU/ml（正常值为5～20μU/ml），甚至测不出；血及24小时尿中C肽均很低，常不能测出；②用葡萄糖或胰高血糖素刺激后血浆胰岛素及C肽仍低，呈扁平曲线；③对磺酰脲类治疗无效；④病理切片上示胰岛炎，早期有淋巴细胞等浸润；后期β细胞呈透明变性、纤维化，β细胞数仅及原来的10%。1型糖尿病患者每日胰岛素分泌量甚少，空腹基值及糖刺激后峰值均明显低于正常，提示绝对分泌不足（图14-4-1）。</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527126086352020715.jpg\" title=\"1527126086352020715.jpg\" alt=\"P14-4-1_42476.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 463px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图14-4-1　胰岛素释放试验中正常人、非糖尿病肥胖者及2型糖尿病肥胖者与1型糖尿病患者血浆胰岛素浓度对比</p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①正常人空腹血浆胰岛素浓度为5～20μU/ml，口服100g葡萄糖后30～60分钟达最高峰，约8～10倍于基值，3小时渐恢复至原来水平；②肥胖者（非糖尿病患者）空腹血浆胰岛素浓度比正常人为高，口服100g葡萄糖后明显增高，约45分钟时达最高峰，胰岛素浓度为250μU/ml以上，3小时后未恢复正常；③1型糖尿病患者空腹血浆胰岛素浓度稍低于正常，口服100g葡萄糖后90～120分钟才出现高峰，但低于正常；④2型糖尿病肥胖者空腹血浆胰岛素高于正常或正常，口服100g葡萄糖后2小时才达高峰，较正常者明显增高，但较相应体重肥胖而非糖尿病患者为低；⑤上述数据说明糖尿病患者分泌胰岛素较正常相应体重者为低，且高峰延迟出现，提示胰岛素分泌相对不足，1型糖尿病患者（幼年型、消瘦者）分泌更少</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">相对性胰岛素分泌不足表现于空腹血浆胰岛素及葡萄糖刺激后胰岛素释放试验中的浓度均低于相应体重的非糖尿病患者。但肥胖的2型糖尿病患者血浆胰岛素浓度基值或刺激后高峰均比正常对照为高，仅比相应体重而非糖尿病患者低且高峰延迟出现。葡萄糖刺激后正常人胰岛素高峰见于口服糖后30～60分钟内，2型患者的高峰约延迟30～45分钟出现（图14-4-1）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病的病因和发病机制甚为复杂，至今尚未明了。各种类型糖尿病的病因及机制相差甚大，以下分别简述1型和2型糖尿病的机制。</p><p>（一）1型糖尿病1.遗传因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">不少患者有阳性家族史，遗传因素不论在1型或2型均较肯定。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">据近代孪生儿研究，1型中单卵双胞胎发生一致率为30%～50%，其β细胞自身免疫反应一致性为2/3。1型患者第6对染色体短臂上人白细胞抗原（HLA）等位点上出现频率增减，提示遗传易感性倾向，且随人类染色体研究中已知种族而异。研究证实，DQβ57非天门冬氨酸和DQα52精氨酸可明显增强1型糖尿病的易感性，尤其在白种人中更为显著。2型患者无HLA特殊标志。</p><p>2.自身免疫</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1型糖尿病患者细胞和体液免疫的证据有：①患者可伴有多种其他免疫性疾病，如Graves病、桥本甲状腺炎、恶性贫血、原发性慢性肾上腺皮质功能减退症等；②可伴有脏器特异性抗体，包括甲状腺、胃壁细胞及抗肾上腺抗体等；③起病较急而于6个月内死亡者有胰岛炎，其中有T淋巴细胞、NK细胞和K细胞浸润；④白细胞移动抑制试验阳性；⑤胰岛细胞抗体（ICA）免疫荧光测定阳性，在1型病例发病1～2年内可高达85%（正常人阳性率仅0.5%～1.7%），后渐下降，后又发现胰岛细胞表面抗体（ICsA）、补体结合胰岛细胞抗体（CF ICA）、细胞毒性胰岛细胞抗体（cytotoxic-ICA）、64K和38K免疫沉淀抗体等，其中ICsA、CF ICA和免疫沉淀抗体选择性地作用于β细胞；⑥近年发现1型患者中针对胰岛细胞抗原的抗体，经鉴定是谷氨酸脱羧酶（GAD），在近期发病的1型患者中阳性率为69%，在发病3～42年的患者中仍有59%阳性率，远较病程＞3年以上的1型患者的ICA阳性率为高；⑦抑制性T淋巴细胞数及功能降低，K细胞数及活性增高。1型患者发病机制见图14-4-2。</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527126119190017367.jpg\" title=\"1527126119190017367.jpg\" alt=\"P14-4-2_42482.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 462px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图14-4-2　1型糖尿病发病机制</p><p>（二）2型糖尿病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2型患者的发病机制与1型不同，并非因自身免疫β细胞破坏所致，主要在基因缺陷的基础上存在胰岛素抵抗和胰岛素分泌障碍两个环节。现在认为两者均与发病有关。</p><p>1.β细胞功能的损伤</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病患者胰岛功能衰竭比以前人们估计得早得多，空腹血糖受损（impaired fasting glucose，IFG）和葡萄糖耐量减退（IGT）者胰岛功能损伤已达50%左右。大部分2型糖尿病患者1相胰岛素分泌减退或消失。导致胰岛功能衰竭的因素包括：</p><p>（1）遗传因素：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">家系发病调查发现2型糖尿病患者的38%的兄妹和1/3后代有糖尿病或IGT，单卵双生的发病一致率可能为70%～85%，另外种族患病率调查也进一步证实遗传在2型糖尿病中的作用。研究认为2型糖尿病是一种异质性、多基因遗传病。利用全基因组相关性分析（GWAS）方法已经发现30多个和2型糖尿病发病相关的SNP位点。这些SNP有关基因包括：TCF7L2、FT0、KCNJ11、等，上述基因SNP的表型多与胰岛的损伤有关。如转录因子7类似物2 （transcription factor 7-like 2，TCF7L2）的变异体rs7903146与2型糖尿病密切相关，华山医院研究组（华山组）证实rs7903146亦与中国内地2型糖尿病相关，认为可能与影响WNT基因的表达（包括GLP-1）有关。</p><p>（2）胰岛素抵抗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括胰岛α、β细胞胰岛素抵抗（详见下文）。</p><p>（3）脂毒性：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在β细胞中脂肪酸氧化被抑制，长链脂酰辅酶A集聚，长链脂酰辅酶A可以通过开放β细胞钾通道减少胰岛素分泌，还可增加UCP-2表达减少胰岛素分泌。此外可能通过脂肪酸或甘油三酯诱导的神经酰胺合成或NO生长诱导β细胞凋亡。</p><p>（4）糖毒性：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在β细胞中，正常血糖者氧化的糖代谢产生的ROS可以被超氧化物歧化酶清除，而在高糖时ROS生产增加，不能完全被清除，导致细胞内元件受损。如过高的ROS影响胰腺十二指肠同源盒1（PDX-1）表达，PDX-1为胰岛素启动子活性的一个关键调节剂，其受损导致胰岛素基因转录减少。此外，ROS增加NF-κB活性，诱导β细胞凋亡。</p><p>（5）胰沉淀素过度沉积，</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">β细胞功能进行性下降；内源性促胰岛素分泌功能失调。</p><p>（6）GLP-1缺乏：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在2型糖尿病患者中餐后血浆GLP-1下降，且对GIP的胰岛素刺激作用抵抗。</p><p>（7）增龄：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">随着增龄因ROS的增加而诱导FoxO基因的表达。FoxO家族是转录调节因子在动物细胞的分化、增殖、免疫、衰老等调节功能方面起重要调节作用。FoxO蛋白能和β-cat竞争结合TCF，因而抑制TCF靶基因的表达，包括GLP-1基因的表达。因而此为老年人易患糖尿病的原因之一。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">综上所述，防治糖尿病必须包括对IGT和IFG的干预治疗，并且要考虑去除导致胰岛功能损伤及糖尿病的因素。</p><p>2.胰岛素抵抗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2型患者可以通过以下三个水平表现其胰岛素抵抗性。</p><p>（1）胰岛素受体前水平：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰岛素基因突变而形成结构异常和生物活性降低的胰岛素导致糖尿病：B链上第25个氨基酸（苯丙氨酸）为亮氨酸所替代，第24个氨基酸（苯丙氨酸）为丝氨酸所替代；A链上第3个氨基酸（缬氨酸）为亮氨酸所替代；连接肽上第65个氨基酸（精氨酸）为组氨酸所替代，也有由于连接肽酶可能有缺陷不能使胰岛素原（proinsulin）分解去C肽而形成胰岛素，以致血循环中胰岛素原过多而胰岛素不足等，均可导致糖尿病。但此种异常胰岛素引起的糖尿病在病因中仅占极少数。近年认为50%胰岛素抵抗的作用是因胰岛素转运减慢所致。</p><p>（2）胰岛素受体水平：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰岛素受体是一跨膜的大分子糖蛋白，由两个α亚基和两个β亚基组成。胰岛素与细胞α亚基特异性结合后发生构型改变，导致细胞内β亚基的酪氨酸激酶活化，这是胰岛素发挥其作用的细胞内修饰的第一步。胰岛素受体基因突变可通过多种方式影响受体的功能：受体生物合成率降低；受体插入细胞膜过程异常；受体与胰岛素的亲和力下降；酪氨酸激酶活性降低；受体降解加速。现已有30种以上胰岛素受体基因点状突变或片段缺失与严重的胰岛素抵抗有关。临床上也已发现多个综合征与胰岛素受体基因突变有关，如妖精综合征、脂肪萎缩性糖尿病等。</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527126165367031554.jpg\" title=\"1527126165367031554.jpg\" alt=\"P14-4-3_42490.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 656px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图14-4-3　2型糖尿病发病机制</p><p>（3）受体后水平：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰岛素与其受体的α亚基结合，β亚基酪氨酸激酶活化后，进而使胰岛素敏感组织细胞内的胰岛素受体底物（insulin receptor substrate，IRS）磷酸化，从而诱发一系列生化改变。胰岛素促进各组织的葡萄糖转运及酵解、肝和肌肉的糖原合成、糖异生和糖原分解的抑制。过程中胰岛素需依赖葡萄糖运载体4（GLUT4）及许多关键酶如葡萄糖激酶、糖原合成酶、磷酸果糖激酶、丙酮酸激酶和丙酮酸脱氢酶等的活性。GLUT4转运葡萄糖依赖于胰岛素，后者激活GLUT4并促进其由细胞内微粒体向细胞膜转位，从而促进葡萄糖转入细胞内。已发现肥胖症和2型糖尿病患者的脂肪细胞内GLUT4基因表达降低，肿瘤坏死因子（TNF-α）表达增多，致使脂肪分解增加，FFA浓度增高，通过脂肪酸-葡萄糖循环，相互影响糖和脂肪的代谢，导致胰岛素作用减弱和胰岛素抵抗。尤为甚者，增高的FFA和甘油三酯尚可异位沉积于β细胞，导致功能减退，沉积于肝和平滑肌导致两者对胰岛素不敏感。脂代谢紊乱在2型糖尿病发病机制中起重要作用，因而糖尿病也有糖脂病（diabetes mellitus）之称。2型糖尿病发病机制见图14-4-3。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5388', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '109', '病理生理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1型糖尿病是由于遗传易感基因的基础和某些环境因素的作用下，诱发针对β细胞的免疫性炎症，β细胞受破坏而致功能严重损害或丧失所引起的一类糖尿病。1型糖尿病患者胰岛β细胞破坏高达90%以上，胰岛素绝对缺乏，因而1型糖尿病病理生理过程及糖蛋白、脂肪代谢紊乱与胰岛素的缺乏有关（图14-4-4）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2型糖尿病是一种慢性病，病程漫长，少则数年，长则数十年；从正常血糖到间歇餐后高血糖，以致发展到持续性空腹高血糖；从无糖尿到有糖尿；从无症状到有症状，从无并发症到有并发症是一个长期的从病理生化和病理生理发展到病理解剖严重损坏阶段的病变过程，反映着胰岛β细胞储备功能逐渐低下与胰岛素分泌障碍的演变过程。</p><p>（一）糖代谢紊乱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">葡萄糖利用减少和肝糖输出增多是高血糖的主要原因。当胰岛素活性不足时，则发生下列病理生理变化：</p><p>1.糖进入细胞减少</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">当葡萄糖进入脂肪及肌肉细胞膜时需有胰岛素促进其转运，当胰岛素不足时葡萄糖进入减少。在肝细胞中，胰岛素能诱导合成葡萄糖激酶（为己糖激酶的同工酶），在糖尿病中此酶活性下降，于是磷酸化减弱，引起葡萄糖利用减少。</p><p>2.糖原合成减少</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰岛素有加强糖原合成酶催化作用，当缺少时糖原合成减少，血糖增高。</p><p>3.糖酵解减少</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰岛素可促进磷酸果糖激酶的合成，又可诱导肝中L-型丙酮酸激酶的合成。当胰岛素不足时，这两个酶合成减少，于是糖酵解减弱。</p><p>4.磷酸戊糖通路减弱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在此戊糖通路中6-磷酸葡萄糖脱氢酶及6-磷酸葡萄糖酸脱氢酶促进相应底物脱氢而生成还原型辅酶Ⅱ（NADPH），此酶为主要供氢体，对脂肪酸、胆固醇及类固醇激素的生物合成起重要作用，当胰岛素缺少时，NADPH生成减少，因而不仅磷酸戊糖通路减弱，而且影响脂肪酸与胆固醇等的合成。但当2型糖尿病早期，尤其轻症患者胰岛素分泌相对增多，则脂肪合成可增多。故不少患者较肥胖，伴高甘油三酯血症与高胆固醇血症，属高脂蛋白血症中第Ⅳ及Ⅱ型。</p><p>5.三羧酸循环减弱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">三羧酸循环是乙酰辅酶A氧化生成CO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>和H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O的通路。乙酰辅酶A是糖、脂肪及蛋白质分解代谢的中间产物。当葡萄糖酵解形成丙酮酸后，在线粒体膜上经丙酮酸脱氢酶系催化而脱氢氧化并脱羧后成为乙酰辅酶A。当乙酰辅酶A进入三羧酸循环进行氧化时，首先必须与草酰乙酸在柠檬酸合成酶的催化下形成柠檬酸。胰岛素能直接加强丙酮酸脱氢酶系活性，还能促进柠檬酸合成酶的作用，使三羧酸循环进行有氧氧化。当胰岛素不足时，则三羧酸循环氧化减弱。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">上述5个环节为在肝、肌肉及脂肪等组织内葡萄糖利用减少的病理生理。此外由于胰岛素缺乏对肝及肌糖原分解抑制减弱，对糖原异生及肝糖生成的抑制过程减弱，以致引起肝糖输出增多，其病理生理机制如下：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.糖原分解增多　胰岛素可抑制肝和脂肪组织中cAMP，与胰高血糖素和邻苯二酚胺有拮抗作用。当胰岛素分泌减少时，糖原分解增多，肝糖输出增多，而使血糖上升。在正常人体内高血糖对胰高血糖素起抑制作用，但在糖尿病中血糖虽升高而胰高血糖素分泌不受抑制。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.糖异生作用增强 由非糖物质转变为葡萄糖和糖原的过程，称为糖异生作用。主要由成糖氨基酸、丙酮酸、乳酸、甘油等经糖酵解的逆向形成，在生理条件下主要在肝内进行。当饥饿和酸中毒时，也可在肾内进行。在糖酵解过程中，大多数反应是可逆的，但是由己糖激酶（葡萄糖激酶）、磷酸果糖激酶和丙酮酸激酶所催化的三个反应，因释放热能较多，难于逆向进行，故丙酮酸必须首先经羧化为草酰乙酸，再经磷酸烯醇式丙酮酸羧激酶催化生成磷酸烯醇式丙酮酸，并再经果糖1，6-二磷酸酶及葡萄糖6-磷酸酶的作用而完成糖异生过程。在此过程中受胰高血糖素、邻苯二酚胺和肾上腺糖皮质激素的促进，而胰岛素则拮抗之。当胰岛素缺少而胰高血糖素等增多时，糖异生作用加强而肝糖输出增多。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于丙酮酸羧化酶存在于线粒体中，故丙酮酸必须进入线粒体才能羧化生成草酰乙酸，但草酰乙酸不能透过线粒体内膜逸出，必须经谷草转氨酶（或苹果酸脱氢酶）形成门冬氨酸（或苹果酸）后才能逸出到胞浆，再经胞浆内谷草转氨酶（或苹果酸脱氢酶）转化为草酰乙酸后由磷酸烯醇式丙酮酸羧激酶催化为磷酸烯醇式丙酮酸。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.肝糖生成增多 在肝中与肌肉中不同，有磷酸酶可促进6-磷酸葡萄糖分解为游离葡萄糖，从肝中输出经肝静脉入血循环。当肝糖原分解或糖异生加强而6-磷酸-葡萄糖增多，肝糖输出增多而使血糖升高。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">总结上述因胰岛素活性不足所致糖利用减少而肝糖生成增多，其病理生化过程可归纳于图14-4-4。近年的研究证实另外一些组织功能的缺陷或代谢紊乱亦参与2型糖尿病糖代谢紊乱的病理生理过程，如脂代谢紊乱；GLP-1下降及GIP水平升高，导致胰岛素分泌减少及肝糖输出增加；基础胰高血糖素升高及基础的肝糖输出增加；肾对葡萄糖的处理失调，T2DM人类肾近曲小管细胞钠依赖性葡萄糖转运体（sodium dependent glucose transporter 2，SGLT2）mRNA及蛋白升高，增加肾对葡萄糖重吸收能力；神经递质紊乱，葡萄糖摄取后室旁核和腹正中核两个区域被持续抑制，肥胖者达到最大抑制反应的时间明显延长。上述各种因素影响的主要结果为高血糖和糖尿。</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527126219834052106.jpg\" title=\"1527126219834052106.jpg\" alt=\"P14-4-4_42506.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 881px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图14-4-4　糖尿病病理生理过程及糖、蛋白质、脂肪代谢紊乱</p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527126287741064341.jpg\" title=\"1527126287741064341.jpg\" alt=\"PCT_1006_308_1073_938_1489_69949.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 631px; table-layout: fixed;\"/></p><p>（二）脂肪代谢紊乱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病严重者未经适当控制时常有下列脂代谢紊乱：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.由于磷酸戊糖通路明显减弱，还原型辅酶Ⅱ（NADPH）减少，脂肪合成常减少，患者多消瘦；但早期2型轻症患者则由于多食而肥胖。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.由于肝糖原合成及贮藏减少，在腺垂体、脑垂体及肾上腺等分泌激素的调节下，脂肪入肝沉积，肝细胞变性，肝大为脂肪肝。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.在重症病例中，脂肪大量动员分解为α甘油磷酸及游离脂肪酸，在肉毒碱脂酰转换酶催化下经线粒体膜而入线粒体进行氧化，生成大量乙酰辅酶A；又因糖酵解失常草酰乙酸减少，乙酰辅酶A未能充分氧化而转化为大量酮体。当酮体生成过多、过速，氧化利用减慢（由于胰岛素活性高度不足）时，则积聚而成为酮血症和酮尿。临床上出现酮症、酮症酸中毒，严重时发生糖尿病性昏迷，详见后文。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在严重病例还原型辅酶Ⅱ供应缺少时，胆固醇合成减少，但在轻症早期2型患者中NADPH供应尚充沛时，胆固醇合成旺盛，形成高胆固醇血症。且常伴有高甘油三酯血症，游离脂肪酸、LDL、VLDL增高，形成高脂血症和高脂蛋白血症。尤以第Ⅳ、Ⅱb及Ⅲ、Ⅴ型为多见。HDL常降低，ApoA1、ApoA2亦降低，ApoB升高。升高的FFA损伤葡萄糖代谢是通过降低胰岛素对肌肉作用，同时升高基础肝糖原异生，胰岛素抑制肝糖原产生作用下降。细胞质的长链脂肪酰基辅酶A（LCFA-CoA）是FFA的代谢产物，在肝及肌肉可以损伤胰岛素作用。吡格列酮改善胰岛素敏感性。凡此脂代谢紊乱为糖尿病患者动脉粥样硬化发病机制中重要的物质基础。</p><p>（三）蛋白质代谢紊乱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病患者蛋白质代谢常紊乱，尤其是未妥善控制，甚或酮症时，肌肉及肝中蛋白质合成减少而分解增多，呈氮质负平衡。胰岛素不足时糖异生旺盛，血浆中成糖氨基酸包括丙氨酸、甘氨酸、苏氨酸、丝氨酸及谷氨酸下降，被肝摄取后转化为糖，使血糖进一步升高。同时成酮氨基酸包括亮氨酸、异亮氨酸、缬氨酸及α氨基丁酸成倍上升，尤其是前两者在肝中脱氨生酮，使血酮升高形成酮血症，严重时发展为酮症酸中毒。此外，血中氨基酸、非蛋白氮浓度升高，尿中尿素氮及有机酸也增高，影响水和酸碱平衡，使失水及酸中毒进一步恶化。由于蛋白质呈负平衡，患者消瘦、乏力、抵抗力差、易感染，创口不易愈合，小儿生长发育受阻。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于糖尿病控制不良时持久性高血糖症可使血浆和组织蛋白发生过度非酶糖化反应，蛋白质的构型和功能因而发生异常改变。如糖化血红蛋白（HbA1c）增高时引起组织缺氧，血浆LDL、纤维蛋白原和血小板以及组织胶原蛋白糖化增高可导致血黏度增加，血流淤滞，抗凝机制异常，自由基产量增加等。凡此均与糖尿病大、小血管等慢性并发症的发生有密切关系。</p><p>（四）电解质代谢、水代谢、酸碱平衡和维生素代谢紊乱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常引起各主要脏器功能失常，尤其在酮症酸中毒时更严重，详见后文。</p><p>（五）维生素代谢紊乱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">尤其是维生素B族缺乏。糖尿病中病理生理影响非常广泛，几乎与所有体内主要物质代谢均有关系，尤其以糖、脂肪和蛋白质的影响更大，重点表现在肝、肌肉及脂肪组织中。</p><p>（六）自身性炎症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">研究表明外周血炎症标志物（如CRP、IL-6）是2型糖尿病的独立危险因素。巨噬细胞参与了动脉粥样硬化慢性炎症反应的全过程。巨噬细胞在肝、脂肪、胰岛等代谢器官的募集和激活导致胰岛素抵抗和2型糖尿病的发生。抗炎作用的药物（如阿司匹林、IL-1受体拮抗剂等）可以降低血糖和外周血炎症标志物，减低2型糖尿病的发病风险。综上所述，代谢性炎症参与2型糖尿病及其慢性并发症的病理生理，抗炎治疗可改善糖尿病糖脂代谢紊乱，因此认为2型糖尿病可考虑为慢性低度自身炎症性疾病（autoinflammatory disease）。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5389', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '109', '病理解剖', '<p>（一）胰岛病理</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在1型与2型中病理变化不同。1型中大多呈胰岛炎，胰岛数量和β细胞数大减，提示绝对性胰岛素缺乏。2型中尤其是肥胖者早期胰岛大于正常，β细胞多于正常；呈特殊染色，切片示β细胞颗粒减少。当糖尿病发生5年以上者，则胰岛数、大小及β细胞数均见减少，直至死亡后解剖见几种典型变化。据Warren等分析811例各种年龄糖尿病患者胰岛病理结果如下：正常33%，透明变性41%，纤维化23%，水肿变性4%及淋巴细胞浸润1%。胰岛透明变性者其组织化学呈透明物质染伊红色，分布于β细胞内，为一种糖蛋白。于电镜下其亚微结构性质与淀粉样沉淀物类似，可能即为胰淀素。此种病变较多见于40岁以上的2型糖尿病患者及得病10年以上者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">纤维化者不论1型还是2型糖尿病患者均可呈胰岛纤维化，尤以老年人为多见。在幼年型患者中提示为胰岛炎后果，终于胰岛完全纤维化，β细胞常＜10%。在2型病例中胰岛纤维化常伴胰腺泡纤维化与胰内血管硬化。</p><p>（二）血管病变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前威胁糖尿病患者生命最严重的病理为心血管病变，约70%以上患者死于心血管性病变的各种并发症；血管病变非常广泛，不论大中小血管、动脉、毛细血管和静脉，均可累及，常并发许多脏器病变，特别是心血管、肾、眼底、神经、肌肉、皮肤等的微血管病变。</p><p>1.动脉</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">动脉粥样硬化见于半数以上患者，发病不受年龄限制，主要累及主动脉、冠状动脉、脑动脉等，常引起心、脑、肾严重并发症而致死。周围动脉尤其是下肢足背动脉等硬化可引起坏疽。</p><p>2.微血管</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括毛细血管、微动脉、微静脉，从光镜及电镜下发现糖尿病中微血管病变的特征为毛细血管基膜增厚：正常基膜厚约80～250nm，糖尿病患者基膜增厚可达500～800nm。基膜中有糖类沉积，其中主要为羟赖氨酸与葡萄糖基半乳糖结合物（一种糖蛋白）沉积，而赖氨酸相应按比例减少，提示赖氨酸被羟化而成羟赖氨酸，此种微血管病变常伴有微循环异常，为并发许多脏器病变的病理基础。分布非常广泛，尤以肾小球、眼底、神经、心肌、肌肉等的微血管为主，引起肾病变、眼底病变、神经病变及心肌等肌肉病变，成为决定患者预后的主要因素。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">基膜增厚的发病机制有两种学说：</p><p>（1）代谢紊乱学说：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">基膜增厚是由于糖蛋白沉积，最明确者为肾小球基膜，也见于肾小球系膜中。肾小球内皮细胞、上皮细胞及系膜细胞都能合成此基膜中的物质，在伴有微量白蛋白尿的糖尿病患者中，肾小球系膜细胞及动脉肌中层（myomedial）细胞增殖，两者均能合成胶原蛋白Ⅳ，连接蛋白和硫酸类肝素蛋白多糖（HSPG）等细胞外基质（ECM），不仅在数量上较无微量白蛋白尿患者异常增多，且其质量也有改变。在肾小球硬化症中的肾小球基膜（GBM）内带负电荷的HSPG含量明显降低，在冠状动脉中也有类似改变。ECM或GBM中HSPG的降低导致GBM的负电荷降低，白蛋白易于自GBM漏出，动脉也易于发生硬化。因而微量白蛋白尿不仅是糖尿病肾病的，而且也是心血管病的危险因素。毛细血管基底膜增厚与高血糖症和生长素旺盛，促使糖化蛋白合成增强、分解减慢有密切关系。</p><p>（2）遗传学说：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">毛细血管基膜增厚可见于糖尿病前期，但此时代谢紊乱尚不明显，故认为由于遗传因素所致。基膜或ECM主要功能为：保持结构完整和抗增殖作用。基膜增厚时，交联度发生改变，加以负电荷降低，通透性增高，小分子蛋白漏出形成微量白蛋白尿，以致蛋白尿和晚期肾病变。并可发生眼底视网膜病变和动脉硬化症。</p><p>（三）肾脏</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有糖尿病性肾小球硬化者占25%～44%，可分结节型、弥漫型及渗出型3种。尤以1型糖尿病中为多见，此外，肾盂肾炎及肾小动脉硬化亦常见，坏死性肾乳突炎罕见。足细胞是附着在肾小球基底膜外的高度分化的上皮细胞。2型糖尿病患者糖尿病肾病（diabetic nephropathy，DN）早期足细胞数目和密度已开始减少，并随病变加重而加重，足细胞病变不仅导致大量蛋白尿发生，而且与K-W结节形成、肾小球硬化和肾功能损伤密切相关。死于糖尿病昏迷者可发生急性肾衰竭伴肾小管坏死。详见后文。</p><p>（四）肝</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常肿大，有脂肪浸润、水肿变性及糖原减少，脂肪肝亦常见。</p><p>（五）心脏</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">除心壁内、外冠状动脉及其壁内分支呈广泛动脉粥样硬化伴心肌梗死等病变外，心肌病变亦已肯定，有尸检及多种动物模型等许多佐证。心肌细胞内肌丝明显减少，电镜下可见大量肌原纤维蛋白丧失，严重时心肌纤维出现灶性坏死。心肌细胞内有许多脂滴和糖原颗粒沉积。线粒体肿胀、嵴断裂、基质空化，心肌细胞膜破裂，并可见髓质小体、脂褐素颗粒等形成。</p><p>（六）神经系统</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">全身神经均可累及。以周围神经病变最为常见，呈鞘膜水肿、变性、断裂而脱落；轴突变性、纤维化、运动终板肿胀等。自主神经呈染色质溶解，胞浆空泡变性及核坏死，胆碱酯酶活力减少或缺乏，组织切片示自主神经呈念珠状或梭状断裂，空泡变性等。脊髓及其神经根呈萎缩及橡皮样变，髓鞘膜变薄，轴突变薄，重度胶质纤维化伴空泡变性，前角细胞萎缩而代之以脂肪组织。糖尿病昏迷死亡者脑水肿常见，神经节细胞多水肿变性。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5390', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '109', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病是一慢性进行性疾患，除1型起病较急外，2型一般起病徐缓，难于估计时日。后者早期轻症常无症状，但重症及有并发症者则症状明显且较典型。病程漫长，无症状期因难于估计，至症状出现或临床上确诊后常历时数年至数十年不等。有时可始终无症状，直至脑血管或心脏等严重并发症在临终前不久才被发现有糖尿病基础。兹将2型糖尿病各期临床表现分述如下：</p><p>（一）无症状期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">约90%是中年以上2型糖尿病患者，食欲良好，体态肥胖，精神体力一如常人，往往因体检或检查其他疾病或妊娠检查时偶然发现食后有少量糖尿。空腹血糖正常或稍高，但饭后2小时血糖高峰超过正常，糖耐量试验往往显示糖尿病。不少患者可先发现常见的兼有病或并发症，如高血压、动脉硬化、肥胖症及心血管病、高脂血症或高脂蛋白血症，或屡发化脓性皮肤感染及尿路感染等。1型患者有时因生长迟缓、体力虚弱、消瘦或有酮症等明显症状而易被发现。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在2型糖尿病无症状期或仅处于IGT状态时，患者常常已有高胰岛素血症，而在1型糖尿病出现症状前往往已有ICA和GAD阳性。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">无症状期之前实际上尚有一般试验包括糖耐量试验均阴性的阶段，但这些对象可能有糖尿病家族史、巨婴史或伴有代谢综合征，如胰岛素抵抗、高胰岛素血症、高血压、高LDL血症和肥胖等，均属于糖尿病的高危对象。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">无症状期糖尿病经饮食和（或）运动等治疗，可使病情较易得到控制，防止和减少慢性并发症，有些患者不必终身用药，甚至逆转。</p><p>（二）症状期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此期患者常有轻重不等的症状，且常伴有某些并发症、伴随症或兼有病。有时本病症状非常轻微，但兼有病或并发症的症状可非常严重，且有时先于糖尿病症状出现，或以主要症状的形式出现而将糖尿病本身症状掩蔽。如老年患者常先有冠心病症候群（心绞痛、心肌梗死、心律不齐和心力衰竭等），或脑血管意外症候群，但糖尿病症候群非常轻微，故临床上常被忽视或漏诊。中年患者可先有尿路感染、肺结核、皮肤疖痈或某些外科情况如胆囊炎、胰腺炎等症状出现。幼年患者有时可以酮症酸中毒为首发症状。如空腹及餐后血糖均明显升高者，一般有下列典型症状：</p><p>1.多尿、烦渴、多饮</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于糖尿，尿渗透压升高而肾小管回吸收水减少，尿量常增多。患者尿意频频，多者一日夜可二十余次，夜间多次起床，影响睡眠。不仅每次尿多与尿频，一日尿总量常在2～3升以上，偶可达10余升。由于多尿失水，患者烦渴，喝水量及次数增多，可与血糖浓度及尿量和失糖量成正比；当胰岛素缺乏及酮症酸中毒时，钠、钾离子回吸收更困难，多尿加重；常使血浆浓缩，影响渗透压，可酿成高渗性昏迷等严重后果。</p><p>2.善饥多食</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于失糖，糖分未能充分利用，伴以高血糖刺激胰岛素分泌，食欲常亢进，易有饥饿感，主食有时达1～2斤，菜肴比正常人多一倍以上，尚不能满足。但有时患者食欲忽然降低，则应注意有否感染、发热、酸中毒，或已诱发酮症等并发症。多尿、多饮及多食临床上常称“三多症”。</p><p>3.疲乏、体重减轻、虚弱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于代谢失常，能量利用减少，负氮平衡，失水和电解质，酮症时更严重，患者感疲乏、虚弱无力。尤其是幼年（1型）及重症（2型）患者消瘦明显，体重下降可达数十斤，劳动力常减弱。久病幼儿生长发育受抑制，身材矮小、脸色萎黄、毛发少光泽，体力多虚弱。但中年以上2型轻症患者常因多食而肥胖。</p><p>4.皮肤瘙痒</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多见于女性阴部，由于尿糖刺激局部所致。有时并发白色念珠菌等真菌性阴道炎，瘙痒更严重，常伴以白带等分泌。失水后皮肤干燥，亦可发生全身瘙痒，但较少见。</p><p>5.其他症状</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有四肢酸痛、麻木、腰痛、性欲减退、阳痿不育、月经失调、便秘、视力障碍等。有时有顽固性腹泻，每日大便2～3次至5～6次不等，呈稀糊状，一般属非炎症性而为功能性腹泻，可能与自主神经功能紊乱有关。有时有直立性低血压、大汗淋漓、大小便失禁等亦属严重神经系统表现，许多症状由于并发症与兼有病所致。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早期轻症，大多无体征。久病者常可发现因失水、营养障碍、继发感染、心血管、神经、肾、眼部、肌肉、关节等并发症而出现各种体征。可肝大，尤多见于1型患者，适当治疗后可恢复。国内病例中呈皮肤黄瘤及胡萝卜素血症者罕见。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1型糖尿病虽各个年龄组均可发病，但多发生于儿童及青少年时期，“三多一少”症状往往比2型糖尿病明显。发病初期往往有较明显的体重下降，且起病迅速，常有酮症倾向，以致出现酮症酸中毒，临床表现为食欲减退、恶心、呕吐、头痛、烦躁、呼吸深快及尿量减少等症状，甚至出现昏迷。具有特征性的临床表现是呼气中有烂苹果味（丙酮气味）。据上述临床特点，尚可鉴别1型和2型糖尿病，若有困难时则需检测胰岛素和相关抗体。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5391', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '109', '实验室检查', '<p>（一）尿1.尿糖测定</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">尿糖阳性是诊断糖尿病的重要线索，但是尿糖阴性不能排除糖尿病，尤其是在2型患者。决定有无糖尿及尿糖量的因素有三个：①血糖浓度；②肾小球滤过率；③肾小管回吸收葡萄糖率（可能与SGLT2有关）。正常人肾糖阈为8.9～10.0mmol/L；如菊糖清除率为125ml/ min，肾小管能回吸收肾小球滤液中葡萄糖250～300mg/ min，故血糖正常时尿中无糖。但不少晚期患者由于肾小动脉硬化、肾小球硬化症等病变，肾血流量减少，肾小球滤过率减低而肾小管回吸收糖的功能相对尚好时，则血糖浓度虽高而无糖尿，临床上称为肾糖阈增高。反之如肾小管再吸收糖的功能降至120mg/min以下，则血糖浓度虽在5.6mmol/L左右仍可有糖尿，临床上称为肾糖阈降低，见于肾性糖尿，为本病重要鉴别诊断之一。</p><p>2.蛋白尿</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一般无并发症患者阴性或偶有白蛋白尿，低于30mg/d或20μg/min，白蛋白尿排泄率在30～300mg/d时称微量白蛋白尿，表明患者已有早期糖尿病肾病；白蛋白尿排泄率＞300mg/d时，称临床或大量白蛋白尿，常规尿检可出现蛋白尿，此时病变已非早期，随病变发展尿蛋白量较多，可达0.5g%（相当于4+），每日丢失蛋白质可在3g以上（正常人＜30mg/d），常引起严重低蛋白血症和肾病综合征。高血压、肾小动脉硬化症、心力衰竭者亦常有少量蛋白尿，有时于酮症酸中毒、高渗昏迷伴循环衰竭者或休克失水严重影响肾循环时亦可出现蛋白尿。</p><p>3.酮尿</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">见于重症或饮食失调伴酮症酸中毒时，也可因感染、高热等进食很少（饥饿性酮症）。</p><p>4.管型尿</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">往往与大量蛋白尿同时发现，多见于弥漫型肾小球硬化症，大都属透明管型及颗粒管型。</p><p>5.镜下血尿及其他</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">偶见于伴高血压、肾小球硬化症、肾小动脉硬化症、肾盂肾炎、肾乳头炎伴坏死或心力衰竭等病例中。有大量白细胞者常提示有尿路感染或肾盂肾炎，往往比非糖尿病患者为多见。有肾乳头坏死者有时可排出肾乳头坏死组织，为诊断该病的有力佐证。</p><p>（二）血</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">无并发症者血常规大多正常，但有下列生化改变：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.血糖 本病2型中轻症病例空腹血糖可正常，餐后常超过11.1mmol/L，重症及1型病例则显著增高，常在11.1～22.0mmol/L范围内，有时可高达33.0mmol/L以上。华山医院1例2型患者高达66.0mmol/L；但此类患者常伴高渗昏迷及糖尿病酮症而失水严重，经治疗后可迅速下降。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.血脂 未经妥善控制者或未治患者常伴以高脂血症和高脂蛋白血症。典型的表现主要是甘油三酯（TG）升高、低密度脂蛋白（LDL）升高、高密度脂蛋白（HDL）降低。尤以2型肥胖患者为多，但有时消瘦的患者亦可发生。血浆可呈乳白色混浊液，其中脂肪成分均增高，特别是甘油三酯、胆固醇及游离脂肪酸。有时有乳白色奶油盖，其最上层为乳糜微粒。大都属高脂蛋白血症第Ⅴ型。甘油三酯可自正常浓度上升4～6倍，游离脂肪酸自正常浓度上升2倍余，总胆固醇、磷脂、低密度脂蛋白（LDL）均明显增高。尤其是有动脉硬化性心血管病及肾病的糖尿病患者，脂质上升更明显，而单纯性糖尿病患者则升高较少。游离脂肪酸上升更提示脂肪分解加速，反映糖尿病控制较差，与血糖升高有密切关系，较甘油三酯升高更敏感。高密度脂蛋白尤其是亚型2（HDL2Ch）降低，ApoA1、ApoA2亦降低。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.血酮、电解质、酸碱度、CO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>结合力与尿素氮等变化将在酮症酸中毒、高渗昏迷、乳酸性酸中毒和肾病变等有关节段中叙述。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.抗体检查 使用较多的抗体有：胰岛细胞抗体（ICA）、胰岛素抗体（IAA）、谷氨酸脱羧酶自身抗体（GADAb），其中以GADAb的价值最大，这些抗体对于鉴别糖尿病类型有很大帮助。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.HbA1c 测定对空腹血糖正常而血糖波动较大者可反映近2～3个月中血糖情况，对糖代谢控制状况和与糖尿病慢性并发症的相关性优于血糖测定结果。HbA1c正常值为3.2%～6.4%，糖尿病患者常高于正常。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">6.果糖胺和糖化血清白蛋白测定 可反映近2～3周中血糖情况，与HbA1c相平行，糖尿病患者不论1型、2型均增高，尤以1型为高。注意测定结果受白蛋白浓度的影响。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对部分患者需估计其胰岛素抵抗、β细胞功能或血糖控制情况时，尚可以做下列测定：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.空腹血浆胰岛素测定 华山医院放射免疫法测定空腹血浆胰岛素正常范围为5～20μU/ml，1型患者往往在5μU/ml以下，甚至不能测出。2型患者血浆胰岛素浓度一般正常，少数患者偏低，肥胖患者常高于正常，增高明显者呈高胰岛素血症，提示有胰岛素抵抗。后者为代谢综合征中的一个组成，可认为是冠心病的危险因素之一，近年来备受关注。胰岛素和胰岛素原有免疫交叉性，因此均能为一般放免测定法测出，而对心血管的不良影响，胰岛素原可能更甚于胰岛素。已有研究胰岛素原的测定应用于临床。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.胰岛素释放试验 于进行口服葡萄糖耐量试验时可同时测定血浆胰岛素浓度，以反映胰岛β细胞储备功能。1型患者除空腹水平很低外，糖刺激后胰岛素水平仍很低，呈低平曲线，尤其是计算同时的葡萄糖（G）与胰岛素（IRI）的比值，IRI/G，提示胰岛素分泌偏低（正常值为25μU/ ml）。2型患者空腹水平可正常或偏高，刺激后呈延迟释放。葡萄糖刺激后如胰岛素水平无明显上升或低平，提示β细胞功能低下。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.C肽测定 从胰岛β细胞释放的胰岛素经肝、肾后受胰岛素酶等灭能，周围血中每次循环将有80%被破坏，且其半衰期仅4.8分钟，故血浓度仅能代表其分泌总量的极小部分。C肽是从胰岛素原分裂而成的与胰岛素等分子肽类物，不受肝酶的灭能，仅受肾作用而排泄，且其半衰期为10～11分钟，故血中浓度可更好地反映胰岛β细胞储备功能。测定C肽时不受胰岛素抗体所干扰，与测定胰岛素无交叉免疫反应，也不受外来胰岛素注射的影响，故近年来仍用测定C肽血浓度或24小时尿中排泄量以反映β细胞分泌功能。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）血清C肽浓度测定：用放射免疫法测定空腹时正常人血清C肽为1.0ng/ml±0.23ng/ml，当口服葡萄糖后峰值见于60分钟时，浓度为3.1ng/ml。据Block等测定，正常人口服100g葡萄糖后血清C肽于60分钟后从1.3ng/ml±0.3ng/ml上升至4.4ng/ml±0.8ng/ml，2型糖尿病患者2小时后仅上升2.3ng/ml。另5例1型患者曾以胰岛素治疗5年以上者C肽水平很低，无论空腹时及刺激后均未能测出。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）24小时尿C肽测定：正常人24小时尿C肽为36μg±4μg，1型患者仅1.1μg±0.5μg，2型患者为24μg± 7μg，每日C肽的排出量约相当于胰岛素分泌量的5%，而胰岛素排出量仅占0.1%。但是临床应用较少。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.按患者临床征象估计胰岛素敏感性 高血压或心肌梗死、2型糖尿病家族史各为2分，腰围/臀围（WHR）＞0.85、高血压（＞140/90mmHg）、高甘油三酯（＞1.9mmol/ L）、高尿酸血症（＞386.8mmol/L）和脂肪肝（γ-GT＞25IU/ L或B超密度异常）各判为1分。若总分≥3时疑为有胰岛素抵抗，可做OGTT，如证实为IGT或DM即可考虑胰岛素抵抗。如血糖正常可测定血胰岛素水平，如≥15μU/ ml则也可认为胰岛素抵抗。如总分＜3时胰岛素抵抗的可能性不大。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.稳态模型（Homa model）的胰岛素抵抗指数（Homa-IR）及胰岛素作用指数 胰岛素抵抗的“金标准”是正常血糖高胰岛素钳夹试验，但体质指数（BMI）、腰围（W）、腰臀比（WHR）、空腹胰岛素（FINS）、空腹血糖/空腹胰岛素（FPG/FINS）、胰岛素作用指数（IAI）和Homa-IR因操作简单、价格便宜、对患者几乎无损伤而受广泛欢迎。其中Homa-IR是基于血糖和胰岛素在不同器官的相互影响而建立的数学模型，该模型仅用空腹血糖和胰岛素值来评估机体的胰岛素抵抗（Homa-IR）和β细胞功能（胰岛素分泌指数Homa-IS）：Homa-IR＝（FINS×FPG）/22.5，并对结果行对数转换或Homa-IR＝FINS/22.5e lnFPG，Homa-IS＝20×FINS/（FPG 3.5），其中胰岛素单位为μU/ml，葡萄糖为mmol/L。Homa-IR、Homa-IS仅涉及空腹状态下血糖和胰岛素值。普遍认为Homa-IR评价胰岛素抵抗适用于：对人群进行大规模流行病学的研究，描述IR的情况；纵向观察个体或者某个群体IR的变化情况，以便了解糖尿病的自然病程以及药物对IR的作用和影响；不同种族和不同糖耐量人群间IR的比较。罗格列酮治疗后能明显降低Homa-IR。但在糖耐量异常和糖尿病患者运用Homa-IR时，应同时了解患者的病程、治疗情况，作综合分析。计算空腹血糖与胰岛素乘积的倒数［1/（FPG× FINS）］，并取其自然对数即为胰岛素作用指数。计算公式：IAI＝ln［1/（FINS×FPG）］。研究结果显示在糖耐量正常、糖耐量减低和2型糖尿病人群IAI与Clamp测定的胰岛素敏感性的相关系数高度显著相关，分别为-0.78（n＝150）、-0.71（n＝62）和- 0.71（n＝29）。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5392', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '109', '诊断与鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">美国糖尿病协会（ADA）于1997年发表了新的糖尿病诊断标准与分型的文件如表14-4-1所述。专家委员会将FPG≥6.1mmol/L（110mg/dl）但＜7.0mmol/L（126mg/ dl）称为空腹血糖受损（impaired fasting glucose，IFG），将OGTT中2小时静脉血浆葡萄糖（2hPG）≥7.8mmol/L （140mg/dl）但＜11.1mmol/L（200mg/dl）称为糖耐量异常（impaired glucose tolerance，IGT）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">WHO广泛征求了世界各地糖尿病分型及诊断意见后，1999年公布WHO糖尿病诊断及分型文件，文件中诊断标准与1997年ADA诊断标准相同，也就是目前使用的糖尿病诊断标准。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病诊断尚需查明有无各种并发症和伴随症，并估计其病情轻重、类型、发展阶段和主要脏器功能状态等，对本病的治疗和预后非常重要。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表14-4-1　1997年ADA糖尿病诊断标准</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527126405755002981.jpg\" title=\"1527126405755002981.jpg\" alt=\"T14-4-1_70021.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 493px; table-layout: fixed;\"/></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">注：OGTT不推荐作为临床常规使用；对于未有明确高血糖者，应于另外一日重复FPG试验来诊断；对无症状者至少有两次血糖异常。儿童葡萄糖服量按1.75克/公斤体重计算，计算总量超过75g时以75g为准。目前标准与原有标准的主要不同：①空腹血糖诊断标准自原来的FPG≥7.8mmol/L（140mg/dl）降至FPG≥7.0mmol/L（126mg/dl）；②提出空腹血糖受损这一类别</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鉴别诊断方面须除外下列几种情况：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.非葡萄糖尿 如乳糖尿见于哺乳期妇女或孕妇及幼婴。果糖及戊糖尿偶见于进食大量水果后，为非常罕见的先天性疾患。发现尿糖阳性后，应联系临床情况分析判断，不宜立即肯定为糖尿病。鉴别方法有生化及发酵试验等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.非糖尿病性葡萄糖尿</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）饥饿性糖尿：当饥饿相当时日后，忽进食大量糖类食物，胰岛素分泌一时不能适应，可产生糖尿及葡萄糖耐量异常，鉴别时注意分析病情，注意饮食史、进食总量，空腹血糖常正常甚可偏低，必要时可给糖类每日250g以上，3日后重复糖耐量试验。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）食后糖尿：糖尿发生于摄食大量糖类食物后，或因吸收太快，血糖浓度升高暂时超过肾糖阈而发生糖尿，但空腹血糖及糖耐量试验正常。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（3）肾性糖尿：由于肾小管再吸收糖的能力减低，肾糖阈低下，血糖虽正常而有糖尿，见于少数妊娠妇女，有暂时性肾糖阈降低时，必须进行产后随访，以资鉴别。肾炎、肾病等也可因肾小管再吸收功能损伤而发生肾性糖尿，应与糖尿病性肾小球硬化症鉴别。真正的肾性糖尿，如范克尼综合征为肾小管酶系缺乏，颇为罕见。空腹血糖及糖耐量试验完全正常，还可进行肾糖阈测定、肾小管最大葡萄糖吸收率测定等以资鉴别。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（4）应激性糖尿：见于脑出血、大量消化道出血、脑瘤、颅骨骨折、窒息、麻醉时，有时血糖呈暂时性过高伴糖尿，可于病情随访中加以鉴别。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.其他特殊类型的糖尿病。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5393', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '109', '治疗', '<h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">一、饮食治疗</h6><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">饮食治疗是糖尿病的基本治疗方法，各种类型的糖尿病患者都应该坚持科学合理的饮食，即平衡饮食（balance diet），而并非简单地控制进食量，因此建议以平衡饮食替代饮食控制的概念。使之配合运动和药物的作用，良好控制血糖、血脂及血压。</p><p>饮食治疗的原则</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.调控每日摄入的总热量。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.均衡饮食，合理安排各种营养成分，提倡多食粗粮。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.规律、定量饮食，少食多餐。与运动、药物治疗密切配合。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.戒烟、限酒。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.饮食治疗个体化，满足生长发育，满足妊娠、哺乳妇女的特殊需要。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">6.严格遵守，长期坚持。</p><p>每日总热量的估计</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">以成人为例：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">控制每日热量摄入，以维持成人理想体重，保证儿童正常的生长发育，对妊娠和哺乳的妇女要保证充足的营养，对合并其他慢性消耗性疾病的患者应有利于其康复。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）对每日总热量的限制以维持标准体重为原则，可按下列公式粗略计算：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1）桂法：［身高（cm）-100］×0.9</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2）Broca法：身高（cm）-110（身高在165cm以上）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">身高（cm）-105（身高在165cm以下）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">其中用桂法计算的结果比较接近我国承认的标准体重表。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）营养状况的评价：实际体重在标准体重上下10%范围内为正常体重，超过标准体重20%为肥胖，超过10%～20%为超重，低于标准体重10%～20%为体重不足，低于20%为消瘦。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">也可以用体质指数BMI＝［体重（kg）/身高2（m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>）］评价。按中国标准，正常范围是18.5～22.6，小于18.5为体重过低，大于23为超重，大于25为肥胖。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（3）劳动强度的评价见表14-4-3。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（4）计算总热卡：见表14-4-4。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表14-4-3　劳动强度的评价</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527126470631071259.jpg\" title=\"1527126470631071259.jpg\" alt=\"T14-4-3_77650.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 518px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表14-4-4　不同劳动强度每千克体重每日所需热量（kJ/kcal）</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527126489762062696.jpg\" title=\"1527126489762062696.jpg\" alt=\"T14-4-4_77651.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 514px; table-layout: fixed;\"/></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">注：儿童、妊娠和哺乳期妇女按168kJ计算</p><p>各种营养物质的分配和摄入量1.碳水化合物</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">占总膳食热量的50%～55%，多用米面和一定杂粮，女性以200～250g/d大米，男性以300～350g/d大米为宜。</p><p>2.蛋白质</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">约占15%～20%。推荐每日摄入0.8～1.2g/kg标准体重，处于生长发育阶段的儿童或糖尿病患者合并感染、妊娠、哺乳、营养不良以及慢性消耗性疾病者，这一比例应适当增加。可每日1.2～1.5g/kg体重计算；儿童每日2g/kg体重。糖尿病肾病患者减至0.6～0.8g/kg体重。其中动物蛋白占到1/3以上。</p><p>3.脂类</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">脂类＜30%。每日0.6～1.0g/kg体重。单不饱和脂肪酸占10%～15%，多不饱和脂肪酸＜10%，避免反式不饱和脂肪酸，胆固醇＜300mg/d；若血清LDL≥100mmol/dl，则饱和脂肪酸＜7%，胆固醇＜200mg/d。</p><p>4.维生素、无机盐与微量元素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">维生素和矿物质充足，尤其是维生素B类和钙。食盐小于3～6g/d。如无心脏和肾、肝病变，进水不限量。</p><p>5.膳食纤维</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">20～35g/d。</p><p>6.戒烟、限酒</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">红酒每天少于150ml，白酒每天不超过30ml。酒精可增加低血糖的危险性，应与食物同时摄入。</p><p>膳食设计</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">每克碳水化合物、蛋白质均产热16.7kJ（4kcal），每克脂肪产热37.7kJ（9kcal）。按照每日所需总热量和各营养素的比例，将热量换算为食物重量。膳食设计时先计算碳水化合物，然后计算蛋白质量，再计算脂肪需要量，最后用炒菜油补足脂肪的需要量。三餐能量一般按1/5、2/5、2/5 或1/7、2/7、2/7、2/7或1/3、1/3、1/3分配。可根据个人饮食习惯、病情和配合药物治疗的需要适当调整。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2007年国际糖尿病联盟（IDF）颁布的餐后血糖管理指南，详细阐述了血糖指数（glucose index，GI）和血糖负荷（glucose load，GL）的概念及其在饮食治疗中的应用。GI是指食入含50g碳水化合物的食物后在一定时间（一般为2小时）体内血糖反应水平，与食入相当量的葡萄糖后血糖反应水平的百分比值，反映食物与葡萄糖相比升高血糖的速度和能力。通常将葡萄糖的GI值定为100。一般GI＜55为低GI食物，56～69为中GI食物，＞70为高GI食物。食物摄入后血糖水平还与食物中碳水化合物的含量有关。将摄入碳水化合物的质量和含量结合起来，就产生了一个新的概念，即血糖负荷（GL）。GL值的大小为食物GI值与其碳水化合物含量乘积的百分比。GL值＜10为低GL食物，11～19为中GL食物，GL＞20为高GL食物。下表14-4-5列出常见食物GI值和相应的GL值。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表14-4-5　食物血糖指数和血糖负荷食品分类</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527126520963090156.jpg\" title=\"1527126520963090156.jpg\" alt=\"T14-4-5_70051.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1001px; table-layout: fixed;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">例如，西瓜有相对高的葡萄糖指数（72），但每个单位西瓜中含有相对低的碳水化合物（6），所以糖负荷相对较低，72× 6/100＝4.3，对血糖的影响也相应较低。而烤土豆的葡萄糖指数是85，每个单位中包含30克碳水化合物，对血糖的影响就高得多，85×30/100＝25.5。GL已是心肌梗死的一个独立危险因素。研究结果显示综合考虑血糖指数和血糖负荷有助于餐后血糖波动的控制，并能减少心血管病的危险因素。</p><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">二、运动疗法</h6><p>（一）糖尿病运动疗法的作用和意义</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①可增强组织对胰岛素的敏感性；②调节糖代谢、降低血脂；③有利于血糖的控制，加速脂肪分解，降低体脂和控制肥胖；④改善心肺功能，降低血压；⑤改善凝血功能，降低心血管危险；⑥促进心理健康、改善睡眠，提高机体的适应性。</p><p>（二）适应证和禁忌证</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要适用于轻中度2型糖尿病患者，尤其是肥胖者，1型糖尿病患者接受胰岛素治疗病情稳定者亦可。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">合并各种急性感染，伴有心功能不全或心律失常，患有严重糖尿病慢性并发症，新近发生的血管栓塞，空腹血糖大于16.7mmol/L，立位低血压，糖尿病急性并发症等情况下不宜进行运动疗法。</p><p>（三）实施1.运动项目</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有氧代谢运动特点是强度低、有节奏、不中断和持续时间较长，但简单易坚持，此类运动包括：步行、慢跑、骑车、游泳、太极拳、徒手体操、羽毛球、扭秧歌、做健身操等。</p><p>2.运动量</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">运动量＝运动强度×运动时间，运动强度可以用运动后心率来衡量，如实际运动后心率（靶心率）＝170-年龄（岁），则这样的运动量属于中等。一般以达到靶心率后持续20～30分钟为好。运动后精力充沛、不易疲劳，心率在运动后十分钟内恢复至安静时心率数说明运动量比较适合。也可测定心率指数（运动后心率除以运动前心率）来判断是否到达有氧代谢运动。如果心率指数介于1.3～1.5之间可以认为达到有氧代谢运动。每周至少运动3～5次，累计时间150分钟为好。</p><p>3.运动时间的选择</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">推荐餐后30分钟～1小时后运动为宜。</p><p>4.几种常用的运动方法（1）步行：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">走平路速度在80～100m/min比较适宜，每天走3000m，如果体力不能耐受或时间不允许，可以走10分钟，休息5分钟再走，或者稍放慢速度，不急于求成，应该循序渐进。</p><p>（2）慢跑：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可自10分钟开始，逐步延长至30～40分钟，慢跑速度100m/min比较合适，可以跑步和走路交替进行，也可穿插必要的间歇时间。运动时间和运动强度共同决定了运动量，两者可协调配合。</p><p>（3）骑自行车：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可用功率自行车在室内锻炼，运动强度为450～700kg/（m？min）。也可在室外，但应注意安全，最好在晨间或运动场内进行，速度以8～15km/h为宜。</p><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">三、口服抗糖尿病药</h6><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前临床使用的口服抗糖尿病药主要包括非促胰岛素分泌剂（双胍类、α-葡萄糖苷酶抑制剂和噻唑烷二酮类）和促胰岛素分泌剂（磺酰脲类、格列奈类），近年研制的二肽基肽酶4（DPP-4）抑制剂可阻断胰高血糖素样肽1（GLP-1）的降解而备受青睐。上述药物的作用机制是针对2型糖尿病各种不同的病理生理过程，并有不同的常规剂量和剂型（表14-4-6）。临床医师应据降糖效应、安全性、副作用、耐受性、依从性、降糖外的作用及患者胰岛损伤和胰岛素抵抗的程度、经济状态等，综合平衡多方面因素后选择适当的口服抗糖尿病药，常能获得比较满意的效果。最近专家强调在设计降糖时必须考虑和观察心血管危险因素是否下降。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表14-4-6　主要口服降糖药的特点</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527126707838064097.jpg\" title=\"1527126707838064097.jpg\" alt=\"T14-4-6_70068.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1023px; table-layout: fixed;\"/></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">注：<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">a</span>仅在欧洲/美国使用；<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">b</span>在美国未获批准；<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">c</span>在美国被限制处方；<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">d</span>在欧洲已撤市；<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">e</span>2012年将大幅降价</p><p>双胍类</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">双胍类主要改善胰岛素敏感性，减少肝葡萄糖的生成，抑制葡萄糖在肠道的吸收，轻度改善外周组织对葡萄糖的利用等多种作用，降低空腹和餐后血糖，减轻胰岛素抵抗，改善血脂谱及适当地减轻体重，但对胰岛素分泌并无刺激作用，故不引起高胰岛素血症，被公认为胰岛素增敏剂之一。如单用本剂，对正常人或患者不致引出低血糖症。现知双胍类改善胰岛素敏感性的机制主要通过抑制在2型糖尿病患者中过度表达的浆细胞膜糖蛋白1（PC-1），后者活性的增高，可引起胰岛素抵抗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本类药临床应用的有苯乙双胍和二甲双胍（metformin），前者因严重的不良反应而被弃用。二甲双胍餐时服用，从小剂量开始，初始剂量为500mg/d，每日1次或2次，每1～3周增加500mg，2～3次/天，最有效的剂量是2000mg/d，最大剂量是2550mg/d。目前已有此类药物的缓释型及与格列本脲、格列吡嗪的复合制剂。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">二甲双胍适用于经单纯饮食治疗和体育锻炼不能满意控制的2型糖尿病，尤其是肥胖患者疗效更佳；用磺酰脲类药物，效果不理想者，可联合此药物；胰岛素治疗的1、2型糖尿病患者，加服双胍类药物可减少胰岛素用量。研究提示，对2型糖尿病的高危人群应用二甲双胍可推迟或防止其发展成2型糖尿病。荟萃分析及UKPDS研究均显示，二甲双胍能更有效地改善大血管病变所致危险。二甲双胍是目前唯一一个既兼顾疗效，又兼顾费用及安全的降糖药物，几乎各个糖尿病指南均将二甲双胍推荐为2型糖尿病治疗的一线用药。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">二甲双胍单药治疗不会导致低血糖的发生，但长期的剧烈运动后可发生低血糖。二甲双胍可增加乳酸酸中毒的危险，但非常罕见，其发生率低于1/100 000，故不应在肾功能不全、任何形式的酸中毒、充血性心力衰竭、肝病和严重缺氧患者中使用，在男性血肌酐＞1.5mg/dl或女性＞1.4mg/dl者禁用，如肌酐清除率不正常亦禁用，定期检查肾功能。其最常见的胃肠道不良反应是腹泻、厌食、恶心、金属味等，通过调节剂量可以有效避免。在危重、不能进食、接受放射显影造影剂的患者应停用，并使用胰岛素一直到再次服用二甲双胍。由于该类药在肝代谢，故不应在肝疾病或重度酒精摄入的患者中使用。</p><p>磺酰脲类（一）作用机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">磺酰脲类药物是通过与胰岛β细胞膜上的磺酰脲受体结合，关闭β细胞ATP-K<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>通道，导致β细胞去极化，促进钙离子内流增加，促进胰岛素释放，发挥降糖作用。其降糖作用有赖于尚存的相当数量（30%以上）有功能的胰岛β细胞组织。此外，目前认为磺酰脲类药物不是单纯的胰岛素促分泌剂，有很强的胰外降糖作用，包括增强靶组织对胰岛素的敏感性，改善胰岛素受体和（或）受体后缺陷等作用。</p><p>（二）适应证和禁忌证</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">磺酰脲类适用于：①饮食治疗和体育锻炼不能获得良好控制的非肥胖2型糖尿病患者；②肥胖2型糖尿病患者应用双胍类降糖药血糖控制仍不满意，或因胃肠道反应不能耐受，可加用或改用磺酰脲类降糖药；③磺酰脲类继发性失效后可与胰岛素联合；④每日胰岛素需要量在0.3U/kg体重以下者。下述情况禁用磺酰脲类药物而应予胰岛素治疗：①1型糖尿病患者；②糖尿病急性并发症者；③2型糖尿病合并严重慢性并发症；④急性严重感染、手术、创伤等应激；⑤严重肝、肾功能不全。</p><p>（三）磺酰脲类失效</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病患者初用磺酰脲类药物，应用足量［如每天格列齐特（达美康）240mg］，1个月后未见明显的降糖效应（＞14mmol/L），称为原发性失效。其发生率约为20%～30%，可能与缺乏饮食控制、严重的胰岛β细胞功能损害等有关，此时应加用或改用α-葡萄糖苷酶抑制剂或胰岛素等治疗。使用磺酰脲类药物已取得良好疗效，但在使用过程（1个月以上，多数在1年以上）中突然或逐渐疗效消失，虽使用至足量（次足量）仍不能达到良好的血糖控制（空腹血糖仍然高于11.1mmol/L，餐后2小时血糖高于14mmol/L），称继发性失效，发生率约为20%～30%，其发生率随使用时间的延长而增多。继发性失效与胰岛素β细胞功能下降和外周组织的胰岛素抵抗等密切相关，应重新审查适应证及可能存在的可消除性诱因。继发性失效者宜联合应用其他类型的抗糖尿病药物或改用胰岛素治疗。</p><p>（四）不良反应</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要的不良反应有低血糖反应、体重增加、高胰岛素血症，其中低血糖反应常在夜间、空腹或餐后4～6小时发生，通常与过量服用、饮食不配合、体力活动增加、酒精摄入或肾功能不全等有关，尤其在老年患者多见。体重增加是由胰岛素水平增加及血糖控制好转所致。其他少见的副作用有胃肠道反应、皮肤反应（皮肤瘙痒、红斑、剥脱性皮炎等）、血液系统反应（白细胞减少、粒细胞缺乏、贫血、血小板减少等）、中毒性肝炎等，一旦出现，应立即停药，并给予相应处理。</p><p>（五）注意事项</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">要酌情调整磺酰脲类药物，应从低剂量开始，每4～7天增减剂量一次，根据自我监测血糖结果调整药量。餐前半小时服用疗效最佳，因为服药后1.5小时药效最强，而餐后1小时又是血糖最高，故两个高峰重叠就可以取得更好疗效。但由于磺酰脲类药效时间较长，餐后服用药效相对温和，尤其对高龄患者，餐后服药可避免遗忘，对预防发生低血糖更有意义。磺酰脲类药都在肝内代谢，建议定期评估肝功能。应用时还要注意与其他药物的相互作用，如水杨酸制剂、磺胺类药物、保泰松、氯霉素、胍乙啶、利舍平、β-肾上腺素与拮抗剂、单胺氧化酶抑制剂等药可减弱糖异生或降低磺酰脲类与血浆蛋白结合，或降低磺酰脲类（SU）在肝的代谢和肾的排泄等机制，增强SU的降糖效应；噻嗪类利尿药、呋塞米、依他尼酸（利尿酸）、糖皮质激素、雌激素、钙拮抗药、苯妥英钠、苯巴比妥等药物因抑制胰岛素，或拮抗胰岛素作用，或促进磺酰脲类在肝降解等，可减低磺酰脲类药的降糖作用。</p><p>（六）选择</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">最大剂量时，一般情况下，不推荐使用第一代磺酰脲类药物，除非患者有良好的服药史。第二代磺酰脲类药物副作用较小，可提供更佳的预期疗效。其次应根据患者的一般情况如年龄、并发症、患者的依从性、肝肾功能及药物的临床特点等选用不同的药物。如对老年、合并糖尿病并发症尤其是肾并发症或肝肾功能较差的患者，应选用短半衰期的速效药物，防止低血糖的发生；而依从性差的患者，则可选用使用方便、作用时间较长的药物，以达到良好的血糖控制；肾功能较差的患者可选用格列喹酮，以防止药物蓄积引起的低血糖反应。再次选择时还要考虑到药物的缺血预适应，对有心、脑等缺血性疾病的2型糖尿病患者，应选用对β细胞膜ATP-K<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>有高亲和力和高选择性的磺酰脲类。临床研究证实格列齐特、格列吡嗪缓释片等在治疗浓度下不阻断心、脑ATP-K<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>开放所激发的舒血管效应。</p><p>（七）第二代磺酰脲类</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有格列本脲（优降糖）、格列吡嗪（美吡达或优哒灵，其控释片为瑞易宁，注意控释片只能整片服用，切割后便失去控释功能）、格列齐特（达美康）、格列波脲（克糖利）、格列喹酮（糖适平）及格列美脲等药。格列本脲的降糖作用在口服降糖药中最强，最大副作用是较容易引起低血糖，甚至导致严重或顽固性低血糖及低血糖昏迷。故老年糖尿病，肝、肾功能不全和有心脑血管并发症的患者，应慎用或禁用。格列吡嗪24小时内经肾排泄达97%。一般不易发生体内蓄积，不会发生持续的低血糖。在肾功能减退者优先选用，剂量大于15mg时，应分次服用。格列齐特60%～70%从肾排泄，10%～20%自胃肠道排出，比较适用于老年糖尿病患者。大多数患者对此药耐受性好，偶有腹痛、恶心、头晕及皮疹，剂量过大者也可引起低血糖反应。Advance研究证实以格列齐特（达美康）为基础的降糖治疗可使2型糖尿病患者糖化血红蛋白长期稳定在6.5%以下，且显著降低新发和恶化肾病发生率及大量蛋白尿的发生率。格列波脲主要从肾排泄。格列喹酮95%从胆道经肠随粪便排泄，仅5%由肾排出。适用于老年糖尿病，糖尿病伴轻、中度肾功能减退及服用其他磺酰脲类药物反复发生低血糖的患者。格列美脲具有胰岛磺酰脲类受体结合特异性、更快的起效时间、更短的作用时间，临床研究发现其对心血管作用及低血糖反应较少。适合与胰岛素联合治疗，显示有一定的胰岛素增敏作用。</p><p>格列奈类（一）作用机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">格列奈类药物是一种非磺酰脲类的促胰岛素分泌剂，是苯甲酸或苯丙氨酸的衍生物，与胰岛β细胞膜ATP敏感钾离子通道上的受体结合后，关闭β细胞膜上的ATP依赖性钾通道，使细胞膜去极化，造成钙离子内流，细胞内钙离子浓度增加而引起胰岛素的释放，降低餐后血糖。但与磺酰脲类药物的结合位点完全不同，格列奈类药物结合于ATP依赖性钾通道36kDa的磺酰脲类受体，不影响β细胞的胞吐作用。此类药物可有效增强胰岛素基础分泌、第一相分泌，增强胰岛素脉冲分泌的振幅，对胰岛素第二相分泌无影响或影响很小。因其起效快，作用时间较短，通常应在进餐当时服用。格列奈类刺激胰岛β细胞释放胰岛素的作用是依赖于一定的血浆葡萄糖水平，在葡萄糖浓度较低的情况下，其对基础胰岛素分泌的刺激作用也微弱。此外，格列奈类还能保护β细胞数量，不诱导β细胞凋亡。</p><p>（二）临床应用</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前应用于临床的有瑞格列奈和那格列奈。适用于饮食控制、降低体重及运动治疗尚不能有效控制的2型糖尿病患者，其中新诊断的非肥胖者可作为首选，对餐后血糖增高者更适合。可单独使用，也可与双胍类、噻唑烷二酮类联合用药。瑞格列奈在新诊断的或HbA1c＜8%的2型糖尿病时，剂量每餐0.5mg，HbA1c＞8%时每餐1～2mg。瑞格列奈92%经大小便、胆汁途径排出，不加重肾负担，无因肾功能不全引起的药物蓄积，是2型糖尿病并发肾功能不全患者的首选用药。那格列奈引起餐后胰岛素快速、短期分泌，起效比瑞格列奈快，持续作用时间为2小时，每次60～120mg，餐前即时服用。在妊娠期及哺乳期妇女、1型糖尿病患者、糖尿病酮症酸中毒、严重肝功能不全及对本品产生变态反应者禁用。</p><p>（三）不良反应及注意事项</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">瑞格列奈的不良反应有低血糖反应、体重增加和高胰岛素血症，肝、肾功能减退者慎用。那格列奈发生低血糖的可能性小，无明显禁忌证，但中、重度肝病应慎用，需定期评估肝功能。此外有轻度的胃肠道反应、暂时性视觉异常、皮肤变态反应等。格列奈类起效快（口服30分钟内起效）、达峰时间早（1小时达峰），为了减少餐后血糖漂移，峰群居高不降，也可在餐前15～30分钟给药。根据进餐时间灵活掌握，即进餐、服药，不进餐、不服药。</p><p>噻唑烷二酮类</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">噻唑烷二酮类（thiazolidinediones）降糖药是过氧化物酶体增殖物活化受体-γ（PPAR-γ）激动剂，通过结合和激活PPAR-γ，从而改善胰岛素抵抗，促进葡萄糖吸收和脂肪分化，轻度降低肝葡萄糖输出；保护β细胞功能；减轻血管炎症反应。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前在临床上可使用的有吡格列酮和罗格列酮，尽管不能进行两者之间的直接比较，但它们有相似的疗效。罗格列酮单次或分次剂量开始为4mg/d，必要时12周内增加至8mg/d，最大剂量为8mg/d；吡格列酮开始剂量为15～30mg/d，单药治疗最大剂量为45mg/d，联合治疗为30mg/d。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">噻唑烷二酮类药物增加胰岛素敏感性，同时降低空腹血糖和餐后血糖，防治糖尿病血管并发症。糖尿病终点进展试验（ADOPT）研究结果显示，单一药物治疗糖尿病时，罗格列酮比二甲双胍或格列本脲在延缓药物失效方面的效果更加显著，罗格列酮能延缓进行性高血糖，优于二甲双胍或格列本脲。因此，此类药物适用于2型糖尿病的胰岛素抵抗及糖耐量减低的治疗，此外，妊娠期糖尿病、肥胖、高血压、血脂异常、多囊卵巢综合征等常伴有胰岛素抵抗，也可使用本类药。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">该类药物可引起轻度体重增加（1～2kg），轻中度外周性水肿，血细胞比容下降和血容量增加。研究显示该类药物应用后心衰发生率增加，但心衰病死率没增加，提示心衰与水钠潴留有关。另外，如果谷丙转氨酶（ALT）大于正常上限2.5倍应避免使用，ALT大于正常上限3倍应停用。因此肝病或充血性心力衰竭患者禁忌使用噻唑烷二酮类。我国FDA将罗格列酮的适应证修改为其他降糖药物无法达到血糖控制目标的2型糖尿病患者。</p><p>α-葡萄糖苷酶抑制剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">α-葡萄糖苷酶抑制剂（α-glucosidase inhibitor）是通过抑制小肠绒毛中分解寡糖为单糖的葡萄糖苷酶活性，延缓复杂碳水化合物和双糖的分解和消化，延迟并减少肠腔对葡萄糖的吸收，主要降低餐后血糖，而不影响葡萄糖利用和胰岛素分泌。阿卡波糖主要抑制α-淀粉酶，伏格列波糖主要抑制麦芽糖酶和蔗糖酶。长期应用可以降低空腹血糖，这是由于持续抑制餐后高血糖而减少了胰岛素的需要量和消除了高葡萄糖毒性，因此减轻了胰腺β细胞的负荷。该药还可以增加外周组织对胰岛素的敏感性、减轻对胰岛素抵抗的作用。本类药物常用有阿卡波糖（acarbose）、伏格列波糖、米格列醇等。适用于单纯饮食治疗和体育锻炼不能满意控制的2型糖尿病，尤其是肥胖者更优，可单独使用，也可与双胍类、磺酰脲类、胰岛素联合用药；糖耐量减低（IGT）的干预治疗；1型糖尿病患者的餐后高血糖，不能单独用α-葡萄糖苷酶抑制剂，应与胰岛素联合应用。该类药要和第一口糖类食物同时服用，饮食成分中有一定碳水化合物时才能发挥效果。因此，特别适合于传统中国饮食结构的人群。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">单用此药一般不会引起低血糖，但若与磺酰脲类或胰岛素联合应用时，可能出现低血糖。此时应使用葡萄糖来纠正，而不能给蔗糖口服，因为复合糖的降解和吸收迟缓，且该类药可抑制蔗糖吸收。主要的副作用有肠胃胀气、腹胀、腹泻，可能与寡糖排至大肠增加有关。采用小剂量开始，逐渐加量法，可减轻胃肠道反应，如需要，可以阿卡波糖25mg，每日两次开始，每隔1～2周，每日增加25mg至预定每日用量。如果同时存在胃肠道疾病，不宜应用本药，并且应避免与消化酶制剂、抗酸剂同时治疗。此类药物部分从肾排泄，故血肌酐大于177μmol/L时应避免使用。阿卡波糖可引起肝损伤，因此服药第1年应该每3个月检查血清转氨酶。</p><p>二肽基肽酶4（DPP-4）抑制剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年研究证实IGT和T2DM患者餐后GLP-1下降，应用GLP-1的类似物（exenatide）明显改善血糖，其机制涉及增加胰岛素分泌、抑制胰高血糖素分泌、减少肝糖输出、抑制肠道葡萄糖吸收及改善β细胞的功能。GLP-1从肠道L细胞分泌至血循环很快降解。DPP-4抑制剂阻断GLP-1的降解，DPP-4抑制剂（西格列汀、沙格列汀等）已获批准临床应用并获得好评。在二甲双胍基础上加用西格列汀的疗效与加用磺酰脲类药物格列吡嗪相当，HbA1c从基线7.5%下降了0.7%，而且前者具有耐受性良好的优点，患者体重显著减轻（-1.5kg，+1.1kg），低血糖发生率也降低（5%对32%）。由于西格列汀的安全性好（尤其是低血糖事件减少），使其在大多数患者中与二甲双胍早期联合应用成为可能。临床研究显示，西格列汀（50mg，每日2次）与二甲双胍（1000mg，每日2次）联用，HbA1c水平在第1年和第2年时分别下降1.8%和1.7%。最常见报告的不良反应是鼻塞或流涕，以及咽喉痛、上呼吸道感染和头痛。因其79%以原形从尿排出，故在肾功能减退的患者应减量。DPP-4抑制剂不适用1型糖尿病及糖尿病酮症酸中毒的治疗。近期上市的利格列汀（Tradjenta<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">？</span>5mg每日给药一次）应用于已经接受了饮食控制和体育锻炼的成年T2D患者的血糖水平的改善。在利格列汀治疗过程中，无需因患者肾功能或肝功能的下降而进行剂量调整。</p><p>胆汁酸螯合剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胆汁酸螯合剂通过在胃肠道交换胆汁酸中的氯离子，将其从肠肝循环中螯合出来，阻断胆汁从肠道的再吸收。一般用于降低胆固醇，近年研究证明胆汁酸螯合剂（4g，每日3次）可改善血糖控制，减少肝糖合成并抑制糖原分解，激活GLP-1受体；通过激活棕色脂肪和肌肉中G蛋白偶联受体TGR5，诱导GLP-1释放，改善胰腺功能，减少肝糖输出，提高葡萄糖耐量。副作用主要表现为便秘、腹泻和腹胀等胃肠道不良反应。</p><p>溴隐亭</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2009年美国FDA批准速效溴隐亭Cycloset可以作为饮食运动控制不佳的2型糖尿病患者的辅助治疗。与以往降糖药物作用机制完全不同，Cycloset属于一种麦角类生物碱，主要是通过作用于中枢多巴胺D<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体影响营养物质代谢的昼夜节律达到调控血糖的目的。速效溴隐亭（每天2.5～5mg）与安慰剂相比能够降低糖化血红蛋白0.5%～0.7%，能够显著降低空腹及三餐后游离脂肪酸和甘油三酯浓度，减少心血管事件。除此之外对于体重无明显影响，而且有轻度降低血压作用。副作用主要是轻度的恶心，低血糖发生率极低。</p><p>钠-葡萄糖同向转运蛋白抑制剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">钠-葡萄糖同向转运蛋白（sodium glucose cotransporter）（SGLT）是一种广泛分布的膜蛋白。SGLT共有6种，即SGLT（1～6），其中SGLTl主要分布在胃肠道，主要作用为吸收、转运葡萄糖进入血液；SGLT2几乎仅在肾近端小管的S1段表达。SGLT2主要调控肾小管葡萄糖的重吸收。SGLT2抑制剂（达格列净）通过增加肾脏葡萄糖的清除率降低血糖，可减弱肾脏对葡萄糖的重吸收，使多余的葡萄糖从尿液排出，从而降低血糖，为糖尿病的治疗提供了新的降糖药物。经二甲双胍单药治疗不能充分控制血糖的2型糖尿病患者给予达格列净治疗，与安慰剂组相比，空腹血糖水平有明显下降。达格列净可改善单用二甲双胍治疗控制不良患者的血糖水平，且安全性和耐受性较好。其作用机制不依赖于胰岛素，且能降低体重，不增加低血糖风险。但可增加尿道感染的机会。</p><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">四、胰岛素治疗</h6><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1921年Banting和Best成功地发现胰岛素并应用于临床取得显著疗效，自此开创了人类胰岛素治疗的历史。随着现代科学技术的进步，胰岛素制剂及其应用技术均得到不断完善和发展，胰岛素应用越来越广泛。1型糖尿病患者需外源性胰岛素控制血糖，并依赖胰岛素而生存。对2型糖尿病而言，胰岛素抵抗和胰岛素分泌不足均存在。尽管胰岛素抵抗是其发病的主要原因，但随着病程进展，胰岛素分泌不足便成为主要矛盾，最终大部分患者亦需外源胰岛素治疗控制血糖。因此，胰岛素治疗几乎是所有类型糖尿病控制血糖的重要手段。</p><p>胰岛素应用指征（一）1型糖尿病（二）2型糖尿病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据病情及β细胞功能测定，可分长期适应证及短期适应证两类。</p><p>1.长期适应证</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括：①胰岛β细胞功能衰竭。目前趋向于对2型糖尿病患者在合理饮食控制、体力活动并排除各种应激因素时，若联合足量的口服药［如格列本脲（优降糖）20mg/d］应用血糖仍不能达标［空腹血糖FBG＞7.8mmol/L和（或）血糖化血红蛋白HbA1c＞7%］，提示有胰岛素应用的指征。同时，糖负荷后C肽或胰岛素释放水平亦有较强的指导意义。尤其对体重正常或消瘦的糖尿病患者，使用胰岛素的态度应该更加积极。②由于肝、肾功能不全及药物的副作用，而无法坚持口服药物治疗。③存在严重的糖尿病慢性并发症，如3期及以上的视网膜病变、临床糖尿病肾病等。</p><p>2.短期适应证</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括：①严重急性代谢并发症，如糖尿病酮症酸中毒、非酮症高渗性昏迷和乳酸性酸中毒等。待病情稳定后，可根据其胰岛功能决定是否改用口服降糖药或联合或单独胰岛素应用。②急性或慢性应激状态。急性应激状态如：严重感染，急性脑卒中，急性心血管事件，开胸、开腹、截肢或骨科大手术的围术期等。慢性应激状态如：慢性活动性肺结核，慢性活动性肝炎等。③“糖毒性”状态，尤对于空腹血糖高于15mmol/L（也包括初发的患者）。目前认为，此类患者普遍存在高血糖对胰岛β细胞的毒性损伤，为尽快解除葡萄糖毒性作用，可立即予以胰岛素治疗。同时可结合其胰岛功能，若葡萄糖负荷后胰岛素、C肽均低（有建议以2.5倍左右作为参考），则提示有胰岛功能不足存在，胰岛素治疗的指征强。若胰岛功能并不太差，则建议至少须和胰岛素敏感剂合用。</p><p>（三）糖尿病合并妊娠或妊娠糖尿病（四）其他因素引起的糖尿病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如垂体性糖尿病、胰源性糖尿病等。</p><p>胰岛素制剂分类</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.按照其来源不同 可分为动物胰岛素（牛胰岛素、猪胰岛素、牛-猪混合胰岛素）、半合成人胰岛素、生物合成人胰岛素（即基因工程胰岛素如诺和灵、优泌林等）、胰岛素类似物（速效类似物Lispro、Aspart；特慢类似物Glargine、Detemir）等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.根据其纯度不同 又可分成结晶胰岛素、纯化胰岛素、单组分胰岛素、人胰岛素。常规的结晶胰岛素制剂含有的杂质小于10 000ppm，单组分胰岛素杂质含量小于50ppm，而超纯化制剂的杂质在1～10ppm。胰岛素中的“杂质”主要指胰岛素原、小量的胰岛素二聚体、胰岛素原样产物、胰高血糖素、胰源性多肽、生长激素释放抑制素和某些血管活性多肽等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.根据其作用时间的不同 胰岛素可分为超短效、短效、中效和长效4种。速效（超短效）胰岛素类似物目前在临床上应用的主要有两种：其一是赖脯人胰岛素（Lispro），是用基因工程技术将人胰岛素B28位与B29位氨基酸互换；其二是门冬胰岛素（诺和锐，Aspart），是通过基因工程技术将人胰岛素B28位的脯氨酸替换为门冬氨酸，主要特点是吸收快，作用集中而短，注射时间可在餐前15分钟或餐前即刻。可溶性长效胰岛素类似物制剂目前临床应用的主要也有两种：其一是甘精胰岛素（insulin glargine），其通过胰岛素分子内氨基酸的置换（A21位门冬氨酸被甘氨酸替代，且在人胰岛素B链末端增加2个精氨酸）；其二是长效胰岛素类似物地特胰岛素（insulin detemir），其去除了人胰岛素B30位的氨基酸，并在B29位的赖氨酸上增加了一个肉豆蔻酸侧链。在有锌离子存在的药液中，胰岛素分子仍以六聚体形式存在，而C<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">14</span>-脂肪酸链的修饰会使六聚体在皮下组织的扩散和吸收减慢。在单体状态下，含有C<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">14</span>-的脂肪酸链又会与白蛋白结合，进一步减慢吸收入血循环的速度。在血浆中，98%～99%的地特胰岛素与白蛋白结合，因此，向靶组织的扩散也较未结合白蛋白的胰岛素要慢。另外，把不同作用时间的胰岛素按一定比例混合又衍生出新的制剂，即预混胰岛素（表14-4-7），如诺和锐（Aspart）30及优泌乐（Lispro）25。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.目前国际医药市场上胰岛素制剂的品种繁多，国内常用的胰岛素见表14-4-8。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表14-4-7　按作用时间分类的胰岛素</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527126791644071541.jpg\" title=\"1527126791644071541.jpg\" alt=\"T14-4-7_70112.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1014px; table-layout: fixed;\"/></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">注：表中各种胰岛素的作用高峰时间和作用持续时间为估计值，仅供参考。在实际应用中可因皮下注射后吸收情况的不同、患者循环中胰岛素抗体浓度和个人的反应不同而产生较大的差异表</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表14-4-8　国内常用的胰岛素</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527126820907088971.jpg\" title=\"1527126820907088971.jpg\" alt=\"T14-4-8_70111.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1005px; table-layout: fixed;\"/></p><p>胰岛素制剂的使用方式</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">传统的胰岛素制剂使用方式不外乎静脉滴注、皮下注射两种。但随着科技进步，在胰岛素制剂不断发展的同时，胰岛素应用技术亦得到不断完善。吸入胰岛素（肺吸入、鼻腔吸入、颊黏膜吸入等）、口服胰岛素、胰岛素泵及微针技术等不断进入临床试验。埋植式人工内分泌胰岛、胰岛移植、基因治疗等亦在不断研制中。</p><p>胰岛素的治疗方案与选择</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰岛素治疗方法可因所应用的制剂不同、每天注射的次数不同而产生显著的差异，最终的效果也有明显的区别。</p><p>（一）1型糖尿病的胰岛素治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1型糖尿病患者需要胰岛素以控制血糖及维持生存。目前常采用以下胰岛素治疗方案：</p><p>1.分剂混合方案</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">即R+N-R+N，早、晚餐前皮下注射短效加中效胰岛素。通常以普通胰岛素（RI）与低精蛋白锌胰岛素（NPH）或慢胰岛素锌悬液（Lente insulin）混合后注射。近年来，常直接使用预混的人胰岛素制剂，其中RI占30%～50%，NPH占50%～70%。在国内亦常使用动物RI与长效制剂（精蛋白锌胰岛素，PZI）混合后注射，其中RI与PZI比例为（2～3）∶1。分剂方案比强化胰岛素治疗时所采用的方案简便易行，在部分患者可获得较好控制。但尚有如下缺点：①血糖较难达到严格控制目标；②晚餐前中效胰岛素作用常不能维持至次日凌晨，致黎明现象突出，增加中效剂量则常于夜间达高峰作用时引起低血糖；③早餐前人中效胰岛素常不能有效控制晚餐前的血糖，换用高峰作用时间出现较晚的动物NPH，则往往不能提供中餐时所需的胰岛素高峰浓度。</p><p>2.改进的分剂混合方案</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">为防止出现夜间低血糖，克服早晨空腹高血糖，本方案推迟晚餐前中效胰岛素至夜晚睡前注射，在许多患者可收到满意效果。如晚餐前血糖控制不佳，可于中餐前增加注射1次RI。该两种改进方案的缺点是均需将胰岛素注射增至每天3次，并要求进餐时间和进餐量的相对恒定。如患者不愿注射3次，为克服黎明现象，可将传统分剂混合方案中的晚餐前中效换成长效制剂，如超慢胰岛素锌悬液（ultralente）；而对晚餐前血糖控制不佳者，可在早餐前RI加NPH（或Lente）基础上加入适量的Ultralente。这样均可使2次注射的效果接近于3次注射。</p><p>3.多剂注射方案</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">亦称1日多次胰岛素方案（MDI），即三餐前皮下注射RI，睡前注射中效胰岛素（NPH或Lente）。餐前注射的RI可提供随进餐所需的胰岛素高峰浓度，睡前注射中效胰岛素旨在提供夜间及次晨基础状态下胰岛素血浓度，本方案在强化胰岛素治疗时较常采用。主要优点是：①较易使血糖达到严格控制的目标；②可允许进食量的变化，即可根据即将进餐的食量事先调整一下餐前RI的剂量。其缺点是：①仍需保持进餐时间的相对恒定；②每天注射多达4次。</p><p>4.改进的多剂注射方案</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">每天餐前仍注射RI，但以长效制剂如Ultralente（或PZI）取代中效制剂进行注射而获基础状态下所需胰岛素浓度，长效胰岛素于睡前注射或晚餐前给予，亦可分早晚两次餐前注射。虽然PZI一次皮下注射后作用可持续24～36小时，但其高峰出现时机并不符合机体生理需求，且其过长的作用有可能导致清晨胰岛素需要量最少时出现低血糖症，故在北美等地已不再使用，而首选人Ultralente。优点是：①血糖较易达到严格控制的目标，而很少引起夜间或清晨低血糖；②首选人Ultralente，早晚2次餐前与RI同时注射，这样每天仅需注射3次，比传统的MDI方案减少1次，但效果更优；③对生活方式影响小，允许进餐量和进餐时间的变动，即使省去1餐（同时省去餐前RI）也不会出现低血糖。其缺点是：①皮下始终保留较多量的胰岛素积存，吸收可能会有变动；②存积胰岛素动员时有导致长时间低血糖的可能。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">另一改进方案是用Lispro胰岛素取代RI，其中早晚餐前与Ultralente（或NPH）混合，中餐前单独注射Lispro。由于Lispro吸收比RI更快，降糖高峰出现于60～90分钟，故较注射RI更符合生理需要，且可于餐前5～10分钟注射，更为方便，但目前价格较高。</p><p>5.胰岛素泵治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前投入临床使用的主要有两种：</p><p>（1）持续性皮下胰岛素输注（CSII）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">该泵可模拟体内胰岛素基础分泌，持续向皮下输注微量RI或Lispro，并于进餐时显著增加胰岛素释放量，模拟进餐相关的胰岛素分泌。优点是：①可允许进餐量和进餐时间的变化；②可避免皮下大量胰岛素存积。但有如下缺点：①胰岛素补充途径与生理性分泌不同，可产生外周高胰岛素血症和体重增加；②因缺乏皮下胰岛素存积，在泵发生故障且未及时发现时，有可能引起糖尿病性酮症酸中毒；③价格昂贵，有能力并愿意接受CSII治疗的患者较少。</p><p>（2）腹腔内植入型胰岛素输注泵：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此泵经手术植入于腹壁皮下脂肪与腹直肌鞘之间，泵的导管穿过肌鞘悬在腹腔中。与CSII比较，此型泵释放的胰岛素吸收与生理途径相似，进入腹腔的胰岛素大部分被吸收入门静脉，进入肝发挥效应，并约有50%被降解，可避免外周高胰岛素血症，也使血糖更易控制而低血糖发生较少。但该泵需手术植入，增加了患者痛苦和发生感染的机会。此外，治疗费用较高也是其难以推广的一个原因。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">强化胰岛素治疗：DCCT和UKPDS结果的相继发表，证实加强胰岛素治疗，使血糖严格控制可显著减少1型糖尿病慢性并发症的发生率。强化治疗多采用MDI方案，改进的多剂注射方案或CSII治疗。但主要缺点是低血糖发生率显著增高和体重增加。故强化治疗主要用于新诊断的1型患者且无严重并发症、青少年、妊娠糖尿病或糖尿病合并妊娠，以及胰岛素泵治疗者。其他患者是否采用强化治疗，需根据患者各方面情况和条件全盘考虑后确定。</p><p>（二）2型糖尿病的胰岛素治疗1.胰岛素联合口服药治疗方案</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多个临床研究显示，2型糖尿病患者口服降糖药物失效后与胰岛素联合治疗是首选方案。因为只要患者仍有部分内生胰岛功能，内源胰岛素的作用方式更符合生理状况，而且口服降糖药联合胰岛素比单纯胰岛素治疗在长期血糖控制中效果更好，体重上升少，且低血糖发生也较少。在除外饮食不节制及生活不规律的基础上，糖尿病患者的FPG持续升高往往与内源胰岛素缺乏呈线性相关，即FPG越高，胰岛素缺乏越严重。FPG升高的原因有三种情况：药物在夜间作用不足（无论是胰岛素缺乏或肝对胰岛素抵抗严重）；黎明现象；Somogyi现象（低血糖后的高血糖反应）。如果能排除Somogyi现象，均应加强夜间药物作用的强度。因此，建议当FPG＞7mmol/L，应在原治疗基础上联合治疗，FPG＞10mmol/L，应使用胰岛素进行强化治疗。</p><p>（1）睡前联合NPH或长效胰岛素方案：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">优点是：①无须住院；②使用NPH剂量相对偏小，由于NPH睡前注射6～8U后达峰时恰在黎明时分，降低FPG作用最强，前半夜很少发生低血糖；③血浆INS水平升高轻微；④体重增加少；⑤FPG下降后，白天口服降糖药物作用加强。使用方法：①睡前22：00左右使用NPH或长效胰岛素；起始剂量为0.1～0.2U/（kg？d），每3～5天调整1次胰岛素用量；监测FPG，达标＜6mmol/L。若连续3次＞8mmol/L，上调2～4U；若连续3次在7～8mmol/L，上调2U；②若晚餐后2小时血糖＞10mmol/L，则可使用预混胰岛素，在晚餐前皮下注射，其中普通胰岛素帮助晚餐后血糖控制，NPH在夜间到清晨控制FPG。使用剂量估计：睡前NPH起始剂量一般为4～6U，肥胖者因IR明显或FPG很高时血糖毒性严重，起步量可酌情增加，一般使用剂量肥胖者10～15U，非肥胖者5～10U。</p><p>（2）早餐前和睡前2次NPH注射方案：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在睡前NPH方案治疗后，如果FPG达标，早餐后和午餐后血糖下降明显但晚餐后血糖仍高，可在早餐前加用NPH注射，改成NPH 2次注射方案，如果患者需要2次胰岛素注射才能满意控制血糖，表明患者内生胰岛功能较差，可停用磺酰脲类或其他胰岛素促分泌剂。</p><p>2.替代治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2型糖尿病在口服药物联合胰岛素治疗后，随病程延长，如果联合外源胰岛素的日剂量接近生理剂量时，口服促胰岛素分泌剂作用很差，可停用，是否继续使用加强胰岛素作用的药物（如双胍类、噻唑烷二酮类）可视患者使用的胰岛素日剂量和肥胖程度而定，如果胰岛素日剂量 ＞40U，肥胖者可联合上述药物。</p><p>（1）2次预混胰岛素治疗方案：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">将胰岛素日剂量大约分为3份，2/3用在早餐前，1/3用在晚餐前，注射预混胰岛素（一般为30R或50R），并因人而异地调整剂量。优点是简单、患者依从性好。缺点为：①如果患者内生胰岛功能较差，此方案不符合生理要求；②10∶00～11∶00易出现低血糖，尤其是早餐后2小时血糖＜9mmol/L时；③午餐后血糖很难控制满意，一般需口服α-葡萄糖苷酶抑制剂或双胍类药物帮助改善餐后血糖。此方案一般不适用于内生胰岛功能很差的患者。</p><p>（2）3次胰岛素注射方案：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">即R-R-R+N，三餐前注射。此方案较2次给予预混胰岛素注射更趋近生理需求，但须注意若晚餐前NPH用量大时，前半夜容易发生低血糖。</p><p>（3）4次胰岛素注射方案：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">即R-R-R-NPH，三餐前和睡前注射。此方案为目前推荐的强化治疗方案之一，在2型糖尿病或老年糖尿病需替代胰岛素治疗者使用普遍。优点：①三餐后血糖及FPG均能控制满意，剂量调整易行；②使用得当，不容易发生低血糖。缺点：胰岛素极度缺乏者需全天基础胰岛素补充时，睡前NPH不能覆盖24小时，故注射后16小时基础胰岛素浓度较低，需补充另一剂量NPH以便满足全天基础胰岛素需求。</p><p>（4）5次胰岛素注射方案：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">即R+NPH-R-R-NPH，早餐前和睡前NPH和三餐前R注射方案。2次（早8∶00左右，睡前22∶00左右）NPH注射覆盖24小时补充基础胰岛素，三餐前R补充餐后胰岛素，是目前强化治疗模拟生理性胰岛素分泌模式的最理想方案。优点是：与生理性胰岛素分泌模式最接近，2次NPH注射，24小时内基础胰岛素控制餐前及过夜FPG，三餐前R控制进餐后血糖峰值。缺点为：注射次数较多。具体方法：①2次NPH量作为全天基础量的补充，一般占全日胰岛素用量的30%～50%；②其余胰岛素用量分配到三餐前，根据用餐及餐后血糖值适当调整。</p><p>胰岛素剂量调整与注射部位</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰岛素临床应用时，要提倡个体化的用药原则，针对不同患者的文化背景、民族习惯等因素进行必要的调整。血糖控制的成功与否与许多因素有关，其中最主要的是与患者的进食量、活动量及胰岛素用量三者间的平衡密切有关。此外，胰岛素注射部位和深度的不同，以及所使用的胰岛素制剂品种和浓度的不同，都会使药物的吸收发生改变，降糖效果各异。因此胰岛素治疗时剂量应尽量准确，在使用中效或预混制剂时，要进行适当混匀摇晃，切忌振荡，同时注意剂型及药物外观，固定就餐时间和饮食量。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">正常人基础状态下胰岛素每小时分泌1～2U，进餐后每小时约分泌4～5U，1日合计分泌40～50U，多数患者起始剂量为18～24U。各次注射量的分配原则为：早餐前30%～45%，中餐前20%～25%，晚餐前25%～30%，睡前中效胰岛素20%。胰岛素剂量调整的基础是严密监察血糖的控制情况。如餐前血糖高应增加前一餐前的短效胰岛素剂量，餐后血糖高则增加本次餐前的胰岛素剂量，睡前血糖高，应增加晚餐前胰岛素剂量；如血糖偏低，则可相应地减少胰岛素剂量。若早晨高血糖又不能判断原因时，应加测凌晨3～5点的血糖，如属“黎明现象”则增加中效胰岛素1～2U；如属“Somogyi效应”，应减少睡前中效胰岛素1～2U；为减少胰岛素用量和增加体重等原因，可加用口服药物，如二甲双胍或阿卡波糖（拜糖平）等；胰岛素全天用量在20～30U者，可改用口服药物治疗；使用动物胰岛素的患者，换用人基因重组胰岛素时，应减少胰岛素用量2～4U。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">注射部位可短期轮流选择上臂、臀部、下肢或腹部皮下。各部位吸收速率如下：腹部＞上臂＞大腿＞臀部。</p><p>胰岛素治疗的主要并发症（一）低血糖反应</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">低血糖较多发生在希望严格控制血糖的病例，用药时间不当容易促使其发生。应尽量避免低血糖反应，经常发生严重的低血糖反应是极其有害的，对中枢神经系统肯定有不良反应。近年研究证明下丘脑腹内侧核（VMH）是感应血糖的中枢，糖尿病患者VMH葡萄糖感知及信号系统受损，因此糖尿病患者易并发严重的低血糖。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如果在控制过程中经常出现低血糖，那明智的措施是减少胰岛素用量，使血糖达到一般控制即可。在实际诊疗时，尤其应重视低血糖反应引起的“Somogyi现象”。</p><p>（二）变态反应</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">少数患者在注射部位发生各种变态反应，表现为局部痒、红斑、各种皮肤损害或皮下结节，甚至发生注射局部的脂肪萎缩性增生。这些反应随着高纯度胰岛素的应用而明显减少，可以使用抗组胺药物治疗，也可把高纯度的猪胰岛素或人工合成胰岛素直接再注射到脂肪萎缩的部位，使局部脂肪得以再生。</p><p>（三）胰岛素性水肿</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常出现于血糖控制后4～6日，可能与胰岛素促进肾小管回吸收钠有关。继续应用胰岛素后常可自行消退。</p><p>（四）屈光失常</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此种屈光变化多见于血糖波动较大的幼年型患者。由于治疗时血糖迅速下降，影响晶状体及玻璃体内渗透压，使晶状体屈光率下降，发生远视。此属暂时性变化，一般可随血糖浓度恢复正常而迅速消失，不致发生永久性的改变。</p><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">五、GLP-1类似物</h6><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰高血糖素样肽-1（GLP-1）是肠促胰岛素分泌激素之一，主要是肠道L细胞受营养物质刺激后分泌，经血液循环到达胰腺刺激胰岛β细胞分泌胰岛素。由于天然GLP-1很快就被体内的二肽基酶所灭活，半衰期很短，因此GLP-1类似物改变了其天然结构使其半衰期明显延长以便于临床使用。目前上市的艾塞那肽（每天皮下1次，注1.8mg）和利拉鲁肽（10μg，每天皮下2次）均是这类药物。以肠促胰素分泌为基础的降糖治疗已经获得美国ADA以及中华糖尿病学会的推荐。临床研究表明GLP-1类似物平均能够使HbA1c下降0.97%，与其他降糖药物效果相当。另外，GLP-1类似物具有减轻体重，促进β细胞增殖，改善血脂、收缩压的作用，因此在糖尿病早期使用GLP-1的益处可能会更大。GLP-1类似物最常见的副作用是恶性、腹泻、呕吐。最严重的副作用是胰腺炎和甲状腺肿瘤，但是因果关系并不明确。GLP-1周剂和月剂也正在临床试用中。</p><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">六、减肥手术</h6><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">大量证据显示减肥手术能够明显降低伴肥胖的2型糖尿病患者的血糖，甚至可以使一些患者糖尿病完全缓解。主要的类型有胃限制术、胃肠旁路术、十二指肠转置术以及小肠切除术。这些手术对于体重和血糖控制均有效，但是胃肠旁路术效果最好，应用最为广泛。一般推荐BMI大于35的患者可行手术治疗，使大约55%～95%的2型糖尿病患者缓解。BMI30～35之间的2型糖尿病患者减肥手术能够使80%的患者糖尿病缓解（血糖恢复正常并且不用药物控制），而且这种效果可以持续5年以上。减肥手术术后30天手术相关的死亡率为0.28%。长期的并发症主要是营养不良、维生素和微量元素缺乏以及严重低血糖，这些因素是患者远期死亡的危险因素。因此无论采用何种手术都需要一个综合性团队来制定患者的治疗措施和严格掌握手术指针以减少术后近、远期并发症。手术治疗肥胖型2型糖尿病血糖达标率较高，提示某些2型糖尿病患者病况是可逆转的，甚至有些患者是可能治愈的。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '12', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5394', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '109', '预防', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病的预防包括一、二、三级3个层面，即：一级预防是预防糖尿病的发生；二级预防是预防糖尿病并发症的发生；三级预防就是减少糖尿病的致残率和死亡率，改善糖尿病患者的生活质量。DCCT试验和UKPDS试验均已证实，严格地控制好血糖可以降低糖尿病患者慢性并发症的发生及其病死率和致残率。通过有效的治疗可能终止或逆转早期慢性并发症的发展。以下简述糖尿病的一级预防：</p><p>宣传糖尿病的防治知识</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括在一般人群中宣传糖尿病的防治知识，如糖尿病的定义、症状、体征、常见的并发症以及危险因素，提倡健康的行为，如合理饮食、适量运动、戒烟限酒、心理平衡等。复旦大学音像出版社出版的首部糖尿病教育电视连续剧将糖尿病防治知识融化在日常生活中，比较贴近实际，提高糖尿病教育的效率，可推广使用。</p><p>糖尿病筛查（一）糖尿病高危人群中加强糖尿病筛查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">建议采用简易糖耐量（空腹及75g无水葡萄糖2小时）筛查。一旦发现有糖耐量受损（IGT）或空腹血糖受损（IFG），应及早实行干预，以降低糖尿病的发病率。防治糖尿病并发症的关键是尽早和尽可能地控制好患者的血糖、血压，纠正血脂紊乱和肥胖、戒烟等导致并发症的危险因素。筛查对象包括：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.有糖尿病家族史者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.年龄≥45岁，BMI≥24，以往有IGT或IFG者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.有高密度脂蛋白胆固醇降低（≤0.91mmol/L，即35mg/dl）和（或）高甘油三酯血症（≥2.75mmol/L，即250mg/dl）者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.有高血压（成人血压≥140/90mmHg）和（或）心脑血管病变者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.年龄≥30岁的妊娠妇女；有妊娠糖尿病史者；曾有分娩巨大儿（出生体重≥4kg）者；有不能解释的滞产者；有多囊卵巢综合征的妇女。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">6.常年不参加体力活动者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">7.使用一些特殊药物者，如糖皮质激素、利尿药等。</p><p>（二）一般人群的筛查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.体检，如单位集中体检、产前体检、婚前体检、出国前体检等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.通过各级医院门诊检查。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.对于一些因大血管病变、高血脂、肥胖及其他与糖尿病有关的疾病住院者，进行常规筛查。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.加强对非内分泌专科医生的培训，使之能尽早发现糖尿病。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">筛查的方法可采用空腹血糖（FPG）或口服75g葡萄糖负荷后2小时血糖（2hPG），结果判断详见糖尿病诊断和鉴别诊断。</p><p>糖耐量受损的干预</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">饮食治疗及运动。二甲双胍及α-葡萄糖苷酶抑制剂可减少糖耐量受损者糖尿病的发生。</p><p>一级预防的目标</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.提高糖尿病的检出率，尽早发现和及时处理糖尿病。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.纠正或减少可控制的糖尿病危险因素，预防或降低糖尿病的发生。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '13', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5395', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '109', '并发症', '<h4 style=\"box-sizing: border-box; margin: 10px 0px; padding: 0px; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; font-size: 18px;\">慢性并发症</h4><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">糖尿病慢性并发症发病机制概述</h6><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病慢性并发症（chronic complications of diabetes mellitus）已经成为糖尿病致残、致死的主要原因，普遍认为其发病机制涉及多元醇旁路、蛋白激酶C、己糖胺激活及晚期糖基化产物（AGEs）的多寡，近来发现高血糖诱导的线粒体产生反应性氧化产物（ROS）生成增加可能是糖尿病慢性并发症的共同基础。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病心血管病并发症包括心脏和大血管上的微血管病变、心肌病变、心脏自主神经病变和冠心病。1型或2型糖尿病患者心血管并发症的危险性明显增加，外周动脉病变、充血性心力衰竭、冠状动脉疾病、心肌梗死和猝死风险增高1～5倍。心血管病变是2型糖尿病患者的主要死亡原因，也是糖尿病直接和间接费用增加的主要原因。美国国家胆固醇教育计划（NCEP）成人治疗组第三次报告（ATPⅢ）将糖尿病视为冠心病的等同病症。冠心病（CHD）是糖尿病的主要大血管并发症，研究显示糖尿病患者CHD的死亡风险比非糖尿病人群高3～5倍，与非糖尿病的心肌梗死者相似。由于糖尿病并发冠心病时病理改变较严重，其临床表现、治疗与预后与非糖尿病患者不尽相同，且存在的亚临床冠状动脉狭窄可能导致心肌梗死、猝死等并发症，因此在糖尿病人群中筛查CHD具有重要的意义。</p><p>（一）糖尿病冠心病的危险因素及机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">危险因素有高血糖、高收缩压、高胆固醇、低密度脂蛋白增高、高密度脂蛋白下降、年龄、性别、吸烟、家族史等；另外高胰岛素血症、胰岛素抵抗、载脂蛋白B和小而密的LDL增高，白蛋白尿、血小板聚集异常等亦与糖尿病冠心病的发生有关。1型糖尿病病程可作为冠心病是否早发的重要预测因子，病程长短与冠心病发生有关，有白蛋白尿和高血压的1型糖尿病患者冠心病的发生率上升。有些2型糖尿病患者得病若干年后并发冠心病或在发生心绞痛、充血性心力衰竭、心肌梗死时才首次发现患有糖尿病。糖耐量异常与冠心病死亡率上升有关，餐后2小时血糖浓度与动脉粥样硬化病变程度相关。2型糖尿病患者有以下情况应仔细检查，以便确定有无冠状动脉疾病及其严重程度。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.有典型或非典型的心血管疾病的症状。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.有周围血管或颈动脉闭塞性疾病。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.基础心电图提示有心肌缺血或梗死。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.长期静坐的生活方式，年龄在35岁以上，计划开始强烈的体育锻炼时。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.除糖尿病外还有以下2种以上危险因素存在的患者：①总胆固醇≥6.24mmol/L，低密度脂蛋白（LDL）胆固醇≥4.16mmol/L，或高密度脂蛋白（HDL）胆固醇＜0.91mmol/L；②血压＞140/90mmHg；③有冠心病家族史；④吸烟史；⑤尿中有微量或大量蛋白者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病理机制是动脉粥样硬化，当粥样硬化斑块破溃或继发血栓形成就触发心血管事件发生，在病理形态学上糖尿病患者的粥样硬化与非糖尿病患者是相似的，但糖尿病中冠状动脉被累及的范围较广，常有多支冠状动脉的病变与内皮功能障碍、微小血管病变并存。</p><p>（二）临床表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可表现为心绞痛、急性冠状动脉综合征、心肌梗死，重者表现为充血性心力衰竭、心源性休克、心律失常、猝死等，但糖尿病患者存在自主神经病变，在临床上无症状的冠心病较常见，有时亦表现为疲乏、胃肠道症状、劳力性呼吸困难等非典型症状。由于糖尿病患者冠状动脉狭窄程度严重，冠状动脉常为弥漫性病变，预后比非糖尿病患者差。</p><p>（三）辅助检查1.常规心电图</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">相应导联ST段改变，异常Q波等心肌缺血表现。</p><p>2.生化检测</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血肌钙蛋白T或I（TnT或TnI）、肌酸激酶（CK-MB）等心肌损伤的生化标记物升高。</p><p>3.心脏负荷试验</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对典型或不典型的心脏症状、静息心电图异常者进行诊断性心脏负荷试验；对存在外周动脉闭塞或颈动脉闭塞史、久坐的生活方式，年龄大于35岁、计划进行体育锻炼者进行心脏应激性筛查试验。而负荷或运动核素心肌灌注试验、负荷超声心动图试验，属于有价值的两类诊断试验。</p><p>4.冠脉造影</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">仍然是诊断冠心病的金标准。</p><p>5.非损伤性检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如有条件可行正电子发射断层显像、磁共振成像。冠状动脉内灌注乙酰胆碱是评价冠状动脉内皮功能的金标准，能够评价动脉直径、血流及血管阻力。另外，还有超声检查血流介导的血管扩张功能、测定纤溶酶原激活剂抑制因子1、血管性血友病因子等标记物。</p><p>（四）治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2008年ADA建议：①对于无症状者，应该评估心血管病危险因素，用10年危险度分级和给予相应的治疗；②对于已知冠心病患者，如果无禁忌证，应该给予ACEI、阿司匹林及他汀类治疗以降低心血管病事件；③对于既往有心肌梗死病史者，应该加用受体阻断药（如无禁忌证）以便降低死亡率，年龄大于40岁、不管有无高血压、只要有另外一个心血管危险因素（高血压、冠心病家族史、血脂异常、微量白蛋白尿、心血管自主神经病变或吸烟），如无禁忌亦应该给予ACEI、阿司匹林及他汀类治疗以便降低心血管病事件。</p><p>1.生活方式干预</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括戒烟、节制饮酒、优化饮食结构、限制钠盐、适当增加体力活动等。吸烟与糖尿病大血管和微血管病变的提前发生有关，还可能促进2型糖尿病的发生。</p><p>2.控制血糖</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">应该强化控制血糖，使血糖和糖化血红蛋白达标。应选择对心肌毒性小或心肌缺血预适应保护作用的降糖药。例如格列本脲对患者有潜在的心血管不良影响，而新一代磺脲类药物———格列美脲对胰岛β细胞选择特异性较高，对心血管的不良影响很小。对于慢性充血性心力衰竭患者，禁用二甲双胍、噻唑烷二酮类（TZDs）。目前研究显示良好的血糖控制并不能最终降低心血管病死亡率，因此，在控制血糖的基础上，应积极纠正存在的心血管危险因素。</p><p>3.冠状动脉血流重建术</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如果冠心病诊断明确，应进行侵入性干预，但在糖尿病患者冠状动脉疾病血管形成术包括经皮冠状动脉介入（PCI）和冠状动脉旁路移植术（CABG）效果欠佳，再狭窄率较高、长期存活率更低，药物洗脱支架的引进一定程度上改善了糖尿病冠心病的预后。因此对糖尿病患者的冠心病重在预防。</p><p>4.抗血小板药物治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于糖尿病和非糖尿病患者，阿司匹林（75～162mg/d）已经被推荐为预防心脑血管事件的一级和二级治疗。但小于30岁患者不推荐使用阿司匹林，由于阿司匹林可能诱发“雷尔综合征”，小于21岁患者禁用阿司匹林。对于阿司匹林过敏者、正在接受抗凝治疗伴有出血倾向者、近期胃肠出血者、临床活动性肝病等不适合阿司匹林治疗的高危患者，可选择其他抗血小板药物代替，如糖蛋白Ⅱb/Ⅲa受体拮抗剂氯吡格雷。研究已证实氯吡格雷能够降低糖尿病患者心脑血管病的发病率。可以作为非常高危患者的辅助治疗，或阿司匹林不耐受患者的替代治疗。</p><p>5.纠正心血管危险因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病心血管病危险因素包括血脂异常、高血压、肥胖、体力活动减少和烟酒；糖尿病人群特异的其他危险因素包括微量白蛋白尿、总蛋白尿、血肌酐升高和血小板功能异常。研究表明减少心血管危险因素能够有效预防和延缓心血管病的发生，因此要早期识别并治疗糖尿病心血管并发症的高危患者。对糖尿病患者至少每年检测一次心血管病危险因素，以筛查无症状性冠心病。</p><p>（1）调脂：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">高脂血症治疗的先后次序是：①降低LDLC；②升高HDL-C；③降低TG。治疗策略取决于脂蛋白异常的类型。LDL-C是导致冠心病的重要危险因素，血脂异常的首要治疗是降低LDL-C＜2.6mmol/L（100mg/dl）。首要治疗是予以生活方式干预包括医学营养治疗、减重、增加体力活动和戒烟等，而营养治疗的要点是减少饱和脂肪酸、胆固醇、反式不饱和脂肪酸的摄取。此外，良好的血糖控制可降低甘油三酯，轻度升高HDL。首选药是降低LDL 的HMG CoA还原酶抑制剂（他汀类）。对于确有心血管病者、年龄40岁以上者或存在其他心血管病危险因素的糖尿病患者，不管LDL-C基线水平如何，除改善生活方式外，则应该加用他汀类治疗。如果最大耐受剂量的他汀类治疗仍不能达到以上目标，LDL-C基线降低约40%为供选的治疗目标。对于升高HDL，烟酸衍生物是有效的药物，但大剂量（＞2g/d）可能恶化血糖控制和增加胰岛素抵抗。对于TG非常高、血糖控制差的患者，如果已改善生活方式和血糖，而TG好转不达标，应该应用贝特类治疗。</p><p>（2）降压：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病和高血压常常合并存在，高血压可能会加重糖尿病其他并发症，尤其是心血管病和肾病，1型糖尿病多在并发肾病后出现高血压，而2型糖尿病往往合并原发性高血压，可以在2型糖尿病发病之前、同时或之后出现。糖尿病患者每次就诊均应该测量血压。如两次收缩压≥130mmHg或舒张压≥80mmHg时则确诊为高血压。降压的目标是使糖尿病患者的收缩压＜130mmHg，舒张压＜80mmHg。对于收缩压130～139mmHg或者舒张压80～89mmHg的患者仅需要改变生活方式，如果疗程达到3个月，血压仍然不达标，则加用降压药物。而对于收缩压≥140mmHg，或者舒张压≥90mmHg的高血压患者，除了接受生活方式和行为治疗外，应该接受药物治疗。并且应该根据患者存在的危险因素、药物的优缺点选择降压药，同时考虑到糖尿病相关情况，如下：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">初始选择的药物应该减少糖尿病患者心血管事件，包括血管紧张素转化酶抑制剂（ACEI）、血管紧张素受体阻断药（ARBs）、β受体阻断药、利尿药、钙拮抗药。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">所有糖尿病患者的高血压治疗方案应该包括ACEI或者ARBs；如果其中的一种不能耐受，应该以另一种代替。如果血压仍然未达标，估算的肾小球滤过率（GFR）≥50ml/（min？1.73m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>）加用噻嗪利尿药，GFR＜50ml/（min ×1.73m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>）加用襻利尿药。糖尿病患者优先选择非二氢吡啶钙拮抗药（维拉帕米和地尔硫<img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%86%85%E7%A7%91%E5%AD%A6_%E5%85%A82%E5%86%8C(%E4%B8%8A)_978-7-117-17272-1/pics/BZ_1024_908_1492_926_1509.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/>），而不是二氢吡啶类药物。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1型糖尿病患者出现高血压和任何程度的白蛋白尿时，ACEI能够延缓肾病的进展，2型DM患者出现高血压和微量白蛋白尿时，ACEI和ARBs能够延缓病情进展到大量白蛋白尿。T2DM患者出现高血压、大量白蛋白尿和肾功能不全时，ARBs能够延缓肾病的进展。而其他降压药对糖尿病肾病的作用尚不明确。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于单药治疗往往难以控制血压（尤其2型糖尿病患者），当血压未达到控制目标（＜130/80mmHg），常常需要多种降压药联合治疗。由于糖尿病患者动脉粥样硬化性疾病概率增加，当血压不易控制时，应考虑是否存在肾血管性高血压。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">妊娠糖尿病患者（GDM）出现慢性高血压时，为了母亲长期健康和减少胎儿生长受损，建议血压目标值应该是110～129mmHg/65～79mmHg。妊娠期间，ACEI和ARBs均属禁忌。</p><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">糖尿病性脑血管病</h6><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病性脑血管病是指由糖尿病所并发的脑血管病，在糖、脂肪、蛋白质等代谢紊乱的基础上，所产生的颅内大血管和微血管病变。糖尿病特别是2型糖尿病患者，约有20%～40%最终要发生脑血管病，并成为糖尿病主要死亡原因之一。临床上主要表现为脑动脉硬化、缺血性脑血管病、脑出血、脑萎缩等。其发病机制、临床特点、治疗和预后均有别于非糖尿病性脑血管病。</p><p>（一）流行病学</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病是脑血管病的一个强的独立危险因素，可使脑卒中的危险增加1.5～6倍，各国报道结果差异较大，这可能与民族和地区差异、病例来源、诊断标准及统计方法等因素有关。但无论是1型还是2型糖尿病，都与动脉硬化症的发展和脑血管病并发症患病风险率增高密切相关。糖尿病也是TIA早期（发作后30天内）发生脑卒中的独立危险因素和晚期（发作30天以后）出现脑卒中复发或其他血管事件的危险因素。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">与非糖尿病患者相比糖尿病脑血管病患者的预后更差，除了脑卒中死亡率增加外，与脑卒中有关的痴呆和脑卒中复发危险均明显增高。国外研究显示，超过2/3的慢性脑卒中患者和超过1/3的急性脑卒中患者合并高血糖症。糖尿病患者脑梗死发病年龄较非糖尿病患者平均要早5年左右。</p><p>（二）危险因子</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">危险因素包括糖尿病病程、慢性高血糖、急性高血糖、低血糖、血浆胰岛素水平、高血压、增龄、缺血性心脏病、高血脂、房颤、吸烟、颈动脉病变（包括颈动脉硬化、斑块）、饮酒、性别、颈椎病、低血压、遗传因素等。</p><p>（三）病理生理</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病性脑血管病包括颅内大血管病变和微血管病变。大血管病变的主要病理改变为动脉粥样硬化。动脉粥样斑块一般发生在切变应力较低的部位如血管分叉和弯曲处，故大血管病变主要发生在大脑中动脉及其分支、椎-基底动脉及其分支。糖尿病颅内微血管病变的主要病理改变是毛细血管基底膜的增厚。糖尿病微血管病变以微血管血流动力学异常为首发环节，最后形成微血管瘤、微血栓和微血管闭塞。微血管基底膜增厚、微血管瘤和微循环障碍是糖尿病微血管病变的典型病理改变。</p><p>（四）发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病脑血管病的发病机制主要与糖尿病代谢紊乱所致的大血管病变、微血管病变、血液流变学改变以及抗凝纤溶系统异常有关。现分别将糖尿病颅内大血管病变和微血管病变的发病机制概括如下。</p><p>1.糖尿病颅内大血管病变发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）高血糖：高血糖可使脑细胞的葡萄糖转运体Ⅰ（GlutⅠ）活性增强。细胞内高糖引起的各种损伤介质产生过多［如转化生长因子（TGF-β）、血管紧张素（AngⅡ）等］，又促进了GlutⅠ活性的进一步增强，进而使更多葡萄糖转移进细胞内。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）内皮功能紊乱：血管内皮功能障碍可导致血管张力及血流动力学改变，增加血管通透性，激活凝血系统和血小板，内皮素增加。后者促进血管平滑肌增殖和血管管腔狭窄并加重缺血、缺氧，并通过TNF-α及其位于血管内皮细胞的受体引起血管内皮通透性增加，破坏血管内皮功能。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（3）胰岛素抵抗与高胰岛素血症：高胰岛素血症对脑内的小血管存在明显的损伤作用。脑卒中急性期胰岛素水平及胰岛素抵抗程度与患者的病情与预后有关。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（4）脂质代谢异常：脂质代谢紊乱促进脑动脉硬化。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（5）血小板功能异常：促进凝血或血栓形成，从而加重大血管病变和动脉粥样硬化的程度。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（6）纤维蛋白溶解障碍及凝血功能障碍。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（7）高同型半胱氨酸血症：通过影响血管内皮细胞、平滑肌细胞及凝血系统，引起动脉粥样硬化和血栓形成，从而加速血管病变的发生和发展。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（8）高血压：糖尿病并发高血压加速了动脉硬化的进程，使脑血管病的患病率大幅度提高。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（9）血流动力学障碍。</p><p>2.糖尿病颅内微血管病变发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病颅内微血管病变多以微血管血流动力学异常为首发环节，逐渐导致微血栓和微血管闭塞。糖尿病微血管病变除了具有部分上述大血管病变的发病机制外，还有其独特的发病机制，近年来发现某些血管活性因子、生长因子、细胞因子以及红细胞形态与微血管病变的发生、发展密切相关。</p><p>（五）临床特点</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病性脑血管病在发病年龄、发病率、临床特点、治疗及预后方面均有别于一般脑血管病。常见以下几种临床表现：</p><p>1.脑动脉硬化</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病程在5年以下的糖尿病患者，脑动脉硬化的发生率为31%，病程在5年以上者可达70%。临床上常见以下几种表现。</p><p>（1）神经衰弱综合征：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要表现为头昏、头痛、失眠、乏力、健忘、注意力不集中、工作效率低下、情绪不稳定，神经系统多无明确阳性体征。</p><p>（2）皮质下动脉硬化性脑病（Binswanger病）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是一种发生在脑动脉硬化基础上，以进行性痴呆为主要临床特征的脑血管病。是血管性痴呆的一个重要类型。病理特征是脑白质变性、脱髓鞘及胶质细胞增生，CT检查显示皮质下脑白质对称性低密度。发病机制是由于大脑白质深穿支小动脉硬化，管腔狭窄，血流减少，白质血管广泛变性，致脑室周围和半卵圆中心白质进行性缺血、神经纤维脱髓鞘，甚至导致多发性腔隙梗死。临床表现：①痴呆：几乎所有病例均有不同程度的痴呆，记忆力减退或缺失，计算力、定向力差，部分患者有情绪和性格改变，表现为固执、多疑、自私、活动兴趣丧失，亦可有欣快、淡漠、抑郁、反应迟钝等精神症状；②假性延髓性麻痹：表现为说话不清，吞咽困难、饮水呛咳，同时伴强哭强笑；③锥体束症状：不同程度的偏瘫或轻偏瘫，病理征阳性，几乎所有患者掌颏反射阳性；④锥体外系症状：表现为四肢强直性肌张力增高，动作缓慢，似帕金森综合征，有肢体共济失调。部分患者还可表现为多灶性脑梗死性痴呆。</p><p>2.无症状脑卒中</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是指无临床症状或临床症状轻微，未引起患者或医生注意，或者是未被揭示或未被认定的脑卒中。部分无症状脑卒中患者可有头痛、眩晕、老年抑郁症及肢体沉重和麻木等自觉症状。无症状脑梗死约占无症状脑卒中的74%，无症状脑出血约占26%。无症状脑梗死分腔隙性脑梗死和非腔隙性脑梗死。前者在无症状脑梗死中约占83%，梗死部位以基底节区多见，其次是放射冠区，病变部位较深，病灶较小。非腔隙性无症状脑梗死是指未被揭示的或未被认定的脑梗死。病变多累及大脑皮质，通常病灶较大。无症状分水岭梗死，也称交界区梗死。病变多位于大脑前和中动脉、大脑中和后动脉供血的交界区，在皮质形成一个楔形的低密度灶，对未累及到肢体运动和感觉功能的病灶，血压降低时所出现的头晕和其他不适容易被患者忽略。无症状脑出血是以壳核、屏状核、外囊多见。无症状脑出血仅表现一般轻度神经系统症状，临床上容易被忽略。无症状脑微出血，为梯度回波T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>加权MRI检查出的均匀一致的卵圆形信号减低区，直径2～5mm，周围无水肿。无症状脑微出血可能与易于出血的微血管病变有关。</p><p>3.急性脑血管病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床特点之一是主要表现为脑血栓形成，而脑出血均较少，这可能是由于糖尿病患者对缺血损伤的耐受能力下降所致。另一特点是中、小动脉梗死和多发性病灶多见，尤其是腔隙性梗死更常见。这一特点与糖尿病所致的广泛性的微血管病变和损害有关。脑梗死在发病部位上以椎-基底动脉系统支配的小脑、脑干和大脑中动脉支配的皮质和皮质下部位的梗死较多见。常见部位是脑桥、基底节、丘脑等小穿通动脉。临床症状往往较轻，但常反复发作，进行性加重，恢复困难。老年糖尿病性脑梗死反复发生之后易导致假性延髓性麻痹和血管性痴呆。前者表现为吞咽障碍，强哭、强笑等精神症状。后者早期可仅有轻微认知功能障碍，严重者可发展为血管性痴呆。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病急性脑血管病仅有少部分表现为出血性脑卒中，包括脑出血和蛛网膜下腔出血，但临床特点与非糖尿病性脑血管病类似。</p><p>（六）临床检查1.一般血液检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可有空腹血糖、餐后血糖、HbA1c等指标增高；血脂异常；血流动力学异常；纤维蛋白原升高；凝血功能异常。</p><p>2.特殊血液检查（1）高尿酸血症：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是中年型糖尿病患者发生脑卒中的较强的预测因子和独立危险因素。</p><p>（2）微量白蛋白尿：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可以作为糖尿病微血管病变的预测因素和良好的评价指标。</p><p>（3）瘦素：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">瘦素是独立于其他危险因素外的与脑卒中发病相关的危险因素。</p><p>3.脑脊液检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多数压力、细胞数和蛋白均正常，色清。若出现血性脑脊液应注意鉴别，脑出血者的脑脊液除见有大量成熟红细胞外，还可见红细胞吞噬细胞、激活型单核细胞等。</p><p>4.神经电生理检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">脑电图对继发性癫痫的诊断有重要价值，对昏迷患者大脑皮质功能的评价比较敏感，但易受麻醉药和镇静药的影响；脑干听觉诱发电位（BAEP）评价脑桥的听觉传导通路；模式翻转视觉诱发电位（VEP）评价视觉传导通路；体感诱发电位（SEP）不仅评价脑干和皮质感觉通路，而且间接评价周围神经、感觉根和脊髓。BAEP结合SEP是评价脑干功能的有力工具。</p><p>5.CT检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是应用最广泛的脑血管病影像学检查法，快速且价格相对低廉。CT对显示出血相当灵敏，出血性脑血管病急性期新鲜血肿表现为密度极高影，病灶周围可见低密度脑水肿带。但对于小脑、脑桥等颅后窝出血，CT的敏感度较低，常显示不良。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">CT在梗死的超急性期（0～6小时）对于判断有无出血及其他溶栓禁忌证非常灵敏，低密度区的出现高度提示大脑存在不可逆的缺血性损伤。有学者认为这种低密度区的范围在一定程度上提示溶栓后出血的风险。传统CT对脑缺血的敏感度较低，发病3～6小时内的CT图像多数正常，但使用不同的窗宽和中心水平时，灰白质的对比会增强，此时的CT可表现为：①占位效应；②局部灰质结构显示不清；③一条或多条大动脉显像。</p><p>6.磁共振检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">敏感度及特异度较CT更高，并可排除颅内出血，还能鉴别脑水肿、脑肿瘤、血管畸形、感染等与脑血管病临床表现类似的病变。</p><p>7.脑血管造影检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）CT血管造影：近年来问世的CT血管造影属无创检查，是诊断脑血管病及术前评估的一种快速、简单而可靠的新型影像学技术。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）磁共振血管造影：具有无创、较快捷、无辐射、价格相对低廉等特点，能从不同的角度来观察血管形态，并能提供血管及其周围软组织的整体信息。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（3）数字减影血管造影：能清楚发现各种脑血管病变，是脑血管病变诊断的金标准。缺点是有创检查，具有一定放射性，操作费时，价格昂贵，很少作为首选的诊断手段，多为进一步介入治疗提供帮助。</p><p>8.超声多普勒检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括经颅多普勒和经颅彩色双功能超声检查，可无创检查颅底动脉的血流速度，并通过血流速度的改变来间接反映脑血管狭窄的程度、部位、范围、侧支循环及血管闭塞后的再通情况。可用于检查脑动脉有无狭窄或闭塞及狭窄、闭塞的程度，结果与脑血管造影的一致率较高，还可用于检测颅内动脉闭塞后的再通情况。</p><p>9.眼底检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">眼底的血管作为全身唯一可直接观察到的血管，对糖尿病血管并发症、高血压、糖尿病患者的病情评价和临床诊断有着重要的参考价值。</p><p>（七）诊断和鉴别诊断</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">所谓糖尿病性脑血管病的临床诊断应是糖尿病与脑血管病的叠加，无论是在糖尿病的基础上发生脑血管病，还是患脑血管病后又证实有糖尿病，均可诊断为糖尿病性脑血管病。一些糖尿病患者在脑血管病发生前症状可以很轻，甚至缺乏，在发生急性脑血管病时，由于机体的应激状态，血糖会明显升高。一些非糖尿病患者发生急性脑卒中后，也可引起血糖升高，尿糖阳性。这种“应激性糖尿”随着病情的稳定，血糖水平将逐渐恢复正常。若是糖耐量减退所致，可在患者康复后行糖耐量试验来确诊。若为糖尿病引起，病情稳定后，血糖仍将高于正常。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">下列情况之一的脑血管病患者应进一步明确是否存在糖尿病：①既往有高血糖史者；②有糖尿病家族史者；③年龄较轻、病因不明者；④多发性腔隙性梗死者；⑤肥胖、高血压和冠心病患者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床上应注意与以下各种常见的糖代谢障碍所伴发的脑部症状进行鉴别：①低血糖；②糖尿病非酮症性高渗性昏迷；③糖尿病酮症酸中毒；④糖尿病乳酸酸中毒。</p><p>（八）防治糖尿病性脑血管病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在治疗脑血管病的同时，应严格控制血糖、血脂、血压、血黏度、吸烟及体重等动脉粥样硬化的危险因素，才能避免或减少糖尿病性脑血管病的进一步加重和复发。治疗中还应注意以下几点：</p><p>1.血糖的控制与监测</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血糖过高或过低都可影响脑卒中的恢复和预后。适宜的血糖控制是糖尿病性脑血管病的治疗基础，严密的血糖监测是预防糖尿病并发急性代谢紊乱的必要手段。对于糖尿病缺血性脑卒中患者，胰岛素的治疗作用是多方面的。胰岛素对中枢神经系统有直接的保护作用，还可降低脑卒中患者血压，减少应激反应引起的激素释放。</p><p>2.抗血小板药物</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血小板拮抗剂可降低脑卒中、心肌梗死和死亡的危险，提示对糖尿病伴动脉粥样硬化者进行长期抗血小板治疗的重要性。由于多数糖尿病患者的血小板功能存在异常，而且许多已有动脉粥样硬化的糖尿病患者临床表现不明显，因此，对尚无动脉粥样硬化临床表现的糖尿病患者也需进行抗血小板治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">阿司匹林可使脑卒中或TIA发作后严重血管事件的概率降低17%，大多数学者建议首选中等剂量阿司匹林（75～325mg）来预防缺血性脑卒中。</p><p>3.血压控制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">英国前瞻性糖尿病研究（UKPDS）发现阿替洛尔和卡托普利（开博通）两种药物都能够同样有效地降低糖尿病脑卒中和死亡的危险。在各种降压药中，血管紧张素转换酶抑制剂类最有效，即使在患者血压正常、没有左室功能障碍时，雷米普利仍可使心脑血管事件总发生率和死亡率下降。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在糖尿病脑卒中特别是出血的急性期，应慎重掌握降压治疗指征和降压程度：如血压小于180/120mmHg，不需要进行降压治疗。如果血压超过200/140mmHg，最好及时降压治疗，但血压不宜过低，收缩压控制在160mmHg，舒张压控制在110mmHg为宜；降压治疗不能过于追求快速降压效应，或反复、大量甚至联合使用多种强效降压药物，一般不推荐使用强烈扩张血管的药物。</p><p>4.调脂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心脏保护研究（HPS）前瞻性研究结果显示他汀类药物治疗可使糖尿病的复合终点事件（脑卒中、冠心病和血管重建）的危险性下降了34%，认为他汀类药物治疗可使40岁以上的2型糖尿病患者明显受益，应推荐使用。</p><p>5.其他</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">维生素C和维生素E作为抗氧化剂，能够减少内皮依赖性血管舒张的异常，有研究认为多种维生素联合治疗能够减慢动脉粥样硬化的进展。</p><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">糖尿病神经病变</h6><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病神经病变（diabetic neuropathy）是糖尿病的主要慢性并发症之一，其最常见的类型为慢性远端对称性感觉运动性多发性神经病变和自主神经病变，部分糖尿病患者在新诊断时已存在糖尿病周围神经病变而常被漏诊，不能不引起注意。</p><p>（一）分类</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">按Thomas提出的糖尿病神经病变分类见表14-4-9。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表14-4-9　糖尿病神经病变分类</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527126943326077664.jpg\" title=\"1527126943326077664.jpg\" alt=\"T14-4-9_70233.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 500px; table-layout: fixed;\"/></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">注：医师应警惕发生在糖尿病患者的可治性神经病变如：CIDP、单克隆球蛋白病、维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">12</span>缺乏等。糖尿病神经病变最常见的类型为慢性远端对称性感觉运动性多发性神经病（糖尿病周围神经病变）和自主神经病。本文侧重叙述糖尿病周围神经病变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病周围神经病变（diabetic peripheral neuropathy，DPN）是指在排除其他原因的情况下，糖尿病患者出现周围神经功能障碍相关的症状和（或）体征的病变，患病率由于诊断标准不同差异较大（28%～90%），吸烟、年龄≥40岁及血糖控制差的糖尿病患者中神经病变的发病率更高。</p><p>（二）发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年的研究表明，糖尿病神经病变发病机制主要与高血糖引起的代谢紊乱、血管损伤、神经营养障碍、氧化应激及遗传因素等有关。涉及多元醇通路激活；非酶蛋白糖基化作用，糖基化终末产物（AGE）堆积；活性氧自由基对神经元DNA和神经蛋白具有直接的损伤；毛细血管基底膜增厚、血管内皮细胞增生、糖蛋白沉积、血黏度增加、血小板功能异常、微血栓形成导致管腔狭窄，易造成神经组织低灌注；神经生长因子（NGF）的缺失及同型半胱氨酸与糖尿病神经病变也有关。</p><p>（三）临床表现1.急性感觉神经病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">少见，常发生在代谢控制较差的时期（如糖尿病酮症酸中毒）或血糖控制变化较大时。主要的临床表现为感觉症状极为严重，并且夜间明显加重，但是神经系统体征较少。</p><p>2.慢性感觉运动性神经病变（DPN）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此为糖尿病神经病变中最常见的类型。超过半数的患者可能有症状，最常见的为烧灼样疼痛、电击样或针刺样感觉、感觉麻木和感觉过敏。典型的神经性疼痛常在夜间加重，症状最常出现在足部和下肢，一些患者也可累及手部，呈手套、袜子样分布。近半数的患者可以无症状，仅在神经系统体格检查或在神经传导速度仪器检测时发现异常，故甚易漏诊。神经系统体格检查常出现振动觉、触觉、痛觉、温度觉和踝反射缺失，同时也常存在外周自主神经病变功能紊乱的体征如皮肤干燥、皮温低等。</p><p>3.局灶性及多灶性神经病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">单神经病起病较突然，表现为受累神经所支配区域的疼痛、感觉麻木、感觉减退甚至感觉消失和运动性无力。糖尿病患者神经卡压及椎管狭窄也较为常见，易发生卡压的神经包括尺神经和正中神经等，神经卡压起病较为缓慢，逐步进展，如未予干预将持续存在，不能自行缓解。脑神经病变少见，可累及Ⅲ，Ⅳ，Ⅵ及Ⅶ对等脑神经。第Ⅲ对脑神经即动眼神经受累最常见，表现为复视，体格检查显示眼睑下垂和眼肌麻痹，但瞳孔对光反射正常。脑神经病变发生机制可能为微血管梗死，其常可在数月后自行缓解。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病多神经根病是一种以单根或多根神经根分布区内的剧烈疼痛为特征，可伴有运动性无力。肋间或躯干神经根病可导致胸部或腹部疼痛。腰神经丛或股神经受累可导致股部或髋部疼痛，并可伴有髋部屈肌或伸肌的肌无力，糖尿病多神经根病通常为自限性疾病，可于半年到一年缓解。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病性肌萎缩常见于年长的2型糖尿病患者，部分患者进行神经活检证实为神经外膜微血管炎。临床表现为严重神经性疼痛，单侧或双侧的肌肉无力及近端股部肌肉的萎缩。</p><p>4.自主神经病变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病自主神经病变可以影响全身多个系统，包括心血管系统、胃肠道系统、泌尿生殖系统、排汗系统和代谢系统。心血管自主神经病变（CAN）最主要也危害最大，可引起静息心动过速和直立性低血压，有时还可导致猝死。静息心率＞100次/分、体位变化未伴有相应的心率反应及存在其他系统自主神经病变时应考虑可能存在糖尿病心血管自主神经病变。通过病史和体格检查诊断糖尿病心血管自主神经病变效果不佳，ADA推荐采用三个非侵袭性试验进行诊断：R-R变异性、Valsalva动作及体位性血压变化。胃肠道功能紊乱最明显的胃肠道表现是胃排空延迟（胃轻瘫）和肠功能性改变（便秘或腹泻）。胃轻瘫常伴随食欲减退、恶心、呕吐、早饱感和腹胀等症状。泌尿生殖器功能障碍，包括膀胱病变、勃起功能障碍和女性性功能障碍，糖尿病膀胱病变症状包括排尿不尽、排尿不畅、排尿次数减少、尿失禁和反复尿路感染等。交感神经功能紊乱可表现为上肢多汗，而下肢无汗，足部无汗能促进足部皮肤的干裂，增加足部溃疡的发生率。自主神经病变还可减少升糖激素的释放，导致机体对低血糖的反应下降，可能发生严重低血糖。</p><p>（四）神经病变检查方法1.神经系统体格检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2型糖尿病患者应每年筛查DPN，主要检查针刺痛觉、温度觉、振动觉（使用128MHz音叉）、触觉（使用10g单纤维尼龙丝）及踝反射。如若以上检查中有两项或以上阳性，筛查DPN的敏感性可高达87%。10g单纤维尼龙丝缺失可以预见足溃疡。</p><p>2.神经病变评分体系</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常用于临床工作和科研进行DPN诊断，目前较公认及广泛使用的有两个：</p><p>（1）密歇根糖尿病神经病变评分法（MDNS）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括两部分，第一部分为8分段临床筛选检查，根据足外观（畸形、皮肤干燥、胼胝、感染或溃疡），踝反射及大<img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%86%85%E7%A7%91%E5%AD%A6_%E5%85%A82%E5%86%8C(%E4%B8%8A)_978-7-117-17272-1/pics/BZ_1028_1007_1064_1024_1081.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/>趾振动觉（128MHz音叉）进行评分，若足外观正常记0分，不正常记1分（畸形、皮肤干燥、胼胝或感染），若有溃疡再加1分，踝反射正常记0分，重叩击出现记0.5分，消失记1分，大<img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%86%85%E7%A7%91%E5%AD%A6_%E5%85%A82%E5%86%8C(%E4%B8%8A)_978-7-117-17272-1/pics/BZ_1028_1090_1156_1108_1173.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/>趾振动觉正常记0分，减弱记0.5分，消失记1分，积分＞2分则认为有神经病变，诊断的特异性为95%，敏感性为80%。第二部分评价神经病变的严重性。</p><p>（2）多伦多DPN临床积分系统：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据症状积分、踝反射积分及感觉检查积分进行评估，见表14-4-10。</p><p>3.辅助检查（1）振动感觉阈值（VPT）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">简便、无创、重复性好、患者顺应性好。VPT＞25伏特的糖尿病人群，其未来发生足溃疡的危险性是VPT＜15伏特的人群的7倍，故临床常以VPT＞25伏特作为评判足溃疡风险的重要指标。</p><p>（2）定量感觉试验（QST）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">计算机辅助的QST检查可以有效地进行各种感觉（包括触压觉、温度觉、痛觉和振动觉）阈值的检查。该检查方法可靠，但价格高昂、操作烦琐，并受室内温度、测试部位的皮肤厚度等影响。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表14-4-10　Toronto评分体系</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527127015160003406.jpg\" title=\"1527127015160003406.jpg\" alt=\"T14-4-10_70256.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 502px; table-layout: fixed;\"/></p><p>（3）神经传导速度（NCV）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是诊断周围神经病变的“金标准”。糖尿病神经病变多表现为轴索损害，通过NCV和肌电图检查可鉴别诊断CIDP、运动神经元病及炎性肌病。但由于NCV检查主要反映大神经纤维受累情况，故阴性结果不能排除DPN。</p><p>（4）活组织检查：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">腓肠神经的活检可直接根据形态学改变判断神经病变是否存在，并可反映受损神经的性质、严重程度，排除血管炎等非糖尿病性神经病变，但为一侵入性检查，并且仅提供一个时间点一个位置的信息。皮肤斑点活检相对简单、损伤较小，可明确表皮间神经纤维（intraepidermal nerve fibers，IENFs）密度，从而判断神经病变的存在与严重性。</p><p>（5）其他：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如角膜共聚焦显微镜检测（corneal confocal microscopy，CCM）、轴索反射介导的灼热反应测定及激光多普勒血流仪等。</p><p>4.自主神经检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">CAN检查包括心率变异性、Valsalva试验（最长R-R间期与最短之比）、握拳试验（持续握拳3分钟测血压）、体位性血压变化测定、24小时动态血压监测、频谱分析等。提示有胃肠功能紊乱的患者应进行胃排空试验。对于存在泌尿系统症状患者可行膀胱残余尿量检查。近来研究显示Neuropad足贴可能可以通过足部汗液分泌情况反映小纤维受累情况，有助于早期诊断糖尿病神经病变。近年发现低频区（lf）的测量值与Ezscan数据有明显的相关性，提示Ezscan检查能快速简便地筛查糖尿病自主神经并发症。</p><p>（五）DPN诊断</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于较多DPN者可以无任何临床症状，所以诊断必须依靠详细的下肢体格检查。如果存在典型的神经病变症状合并远端感觉缺失及踝反射缺失，或存在多个神经系统体征不伴有症状，均高度提示DPN。一般认为以下5项检查中如果有2项或2项以上异常则诊断为DPN：①温度觉异常；②尼龙丝检查，足部感觉减退或消失；③振动觉异常；④膝反射消失；⑤神经传导速度（NCV）有2项或2项以上减慢。临床诊断中还可以选择定量感觉检查、定量自主神经检查及神经活检等作参考。DPN诊断同时应排除其他原因所致的周围神经病变和糖尿病患者易伴发的神经病变包括CIDP、维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">12</span>缺乏、甲状腺功能减退及贫血等。</p><p>（六）防治1.预防（1）控制代谢紊乱：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">严格控制血糖可以减少DPN的风险。</p><p>（2）加强足部护理：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">选择合适的鞋袜，软皮皮鞋、运动鞋是最理想的鞋子，还要经常检查并取出鞋内可能存在的异物。正确洗脚和护脚，建议糖尿病患者每日洗脚。秋冬季节足部易干裂，可用润肤霜均匀涂擦在足的表面，汗脚可撒些滑石粉。</p><p>（3）定期进行筛查及病情评价：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在诊断为糖尿病后至少每年筛查一次DPN；对于长期使用二甲双胍的患者，应重视体内潜在的维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">12</span>缺乏的可能；对于糖尿病病程较长，或合并有眼底病变、肾病等微血管并发症的患者应该每隔3～6个月检查双足感觉；一旦诊断为糖尿病性多发性末梢神经病变，应该特别保护丧失感觉的双足。</p><p>2.病因治疗（1）稳定地控制血糖：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">已有少量观察性研究显示神经病变的症状不仅与血糖控制水平相关，同时与血糖的明显波动密切相关。有时由于自主神经病变和未感觉有低血糖反应而使血糖控制复杂化。</p><p>（2）改善神经微循环：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可酌情选用PGE<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>、己酮可可碱、山莨菪碱、西洛他唑、活血化瘀药等药物以改善微循环，改善神经的循环血供。</p><p>（3）神经营养及修复药：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常用为甲基维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">12</span>（甲钴胺），此外神经营养因子、C肽、肌醇、神经节苷脂（GS）和亚麻酸等基础与临床研究显示可能有一定疗效。</p><p>（4）其他：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年来研究显示α-硫辛酸（抑制氧化应激）具有较好地改善糖尿病神经病变症状的作用。此外醛糖还原酶抑制剂（ARIs）、氨基胍、γ-油酸、乙酰-L-肉毒碱抗氧化剂、PKC-β抑制剂也已在临床试验或已在临床应用。</p><p>3.DPN症状治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">许多患者需要药物控制疼痛，但是DPN治疗的任何阶段使用非药物、局部或理疗均可能有效，包括针灸、辣椒碱、硝酸甘油喷雾或贴剂等。常用的流程见图14-4-5。</p><p>4.自主神经病变治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">CAN患者当出现体位性低血压或晕厥时治疗较为棘手，可采用氟氢可的松、可乐定、奥曲肽、米多君等药物治疗，但作用有限，非药物方法（足够的盐摄入、避免脱水和利尿药使用、下肢支撑长筒袜等）可能有一定疗效。胃轻瘫可选用易消化、脂肪和纤维含量低的食物，少食多餐，尽可能减轻胃轻瘫症状。西沙必利（每餐前10～20mg）可能是最有效的药物，此外其他药物如多巴胺激动剂（多潘立酮每餐前10～20mg）及红霉素可能也有一定疗效。糖尿病膀胱病变应利用定时排尿或自我放置导尿管进行治疗。氯贝胆碱（乌拉胆碱）的疗效不一。勃起功能障碍可选用磷酸二酯酶-5（PDE-5）抑制剂等药物如西地那非等。女性性功能障碍可通过使用阴道润滑剂、治疗阴道感染及必要时的全身或局部雌激素替代治疗得到改善。</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527127057345026937.jpg\" title=\"1527127057345026937.jpg\" alt=\"P14-4-5_42971.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 463px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图14-4-5　DPN的诊治流程</p><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">糖尿病视网膜病变</h6><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病视网膜病变（diabetic retinopathy，DR）属于微血管病变，包括各种各样病理性视网膜病变，是糖尿病常见慢性并发症之一。在美国是成年人致盲的首要原因，糖尿病患者致盲几率比非糖尿病患者高25倍，突显了问题的严重性。DR在1型糖尿病中特别严重，也常见于2型糖尿病。DR的发生与糖尿病患者病程明显相关，美国威斯康辛糖尿病视网膜病变流行病学研究（WESDR）发现，30岁以前发病的糖尿病（1型糖尿病为主）中DR发生率为71%，四年发生率59%，11%进展为增殖型糖尿病视网膜病变；在年龄较长的（2型糖尿病为主）糖尿病中DR发生率为39%，四年发生率为34%，3%进展为增殖型糖尿病视网膜病变。</p><p>（一）病因与发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DR发生和糖尿病病程及血糖控制程度密切相关。长期高血糖是DR发生的重要病理生理基础，DCCT和UKPDS均证实严格的血糖控制可以明显减少DR的发生。研究结果显示，DR发生是在遗传的基础上，高血糖导致视网膜多元醇通路活性增加、蛋白质非酶糖基化、毛细血管壁细胞代谢紊乱、自由基氧化作用、凝血-纤溶系统紊乱、促新生血管的生长因子增多、局部RAS系统异常等诸多因素共同作用的结果。</p><p>（二）病理</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DR的病理变化主要表现为视网膜上出现微血管瘤、软性或硬性渗出物、视网膜水肿、新生血管形成、出血、纤维组织增生和视网膜脱离等。根据发生程度的不同，可以简单分为：</p><p>1.非增殖型糖尿病视网膜病变（NPDR）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是最常见的类型，曾称为背景型视网膜病变，其特征是毛细血管通透性增加、微血管瘤、出血、渗出和水肿。具体表现为眼底出现微血管瘤、出血斑、硬性渗出、棉絮斑，视网膜和黄斑水肿等。如果这些病变侵犯黄斑中心凹，则影响视力。即使患者未诊断糖尿病，一旦出现上述眼底表现，应高度怀疑患有糖尿病。</p><p>2.增殖型糖尿病视网膜病变（PDR）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">最重要的特征是视网膜有异常的新生血管形成。新生血管在玻璃体表面或伸入玻璃体腔内。视网膜上的新生血管常位于毛细血管无灌注区的外围，如丝网状或聚集成团。视盘上如果出现大量的新生血管，可如海星样伸向视盘外。新生血管易于渗漏和破裂出血，导致屈光间质的混浊。疾病进展阶段可发生新生血管膜，早期的新生血管裸露，以后逐渐有纤维胶质组织伴随而成纤维血管膜。可引起牵拉性视网膜脱离。糖尿病还导致黄斑病变，包括黄斑水肿、渗出、缺血及PDR对黄斑的侵犯，成为视力减退的主要原因之一。</p><p>（三）临床表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DR的临床表现轻重不一，进展速度也不一，还受是否合并白内障、青光眼等其他眼部疾病的影响。视力的改变为DR的主要临床表现，与视网膜病变的程度和部位有关。早期可无症状，随着病变的发展，表现为视力逐渐减退或闪光感，由于DR经常伴有视网膜水肿引起光散射，故有闪光感。视力的突然丧失，往往意味着眼底出血或视网膜脱离的发生。</p><p>（四）诊断</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">较长的糖尿病病史，视力改变的临床表现，要考虑DR发生的可能，检眼镜检查眼底和眼底摄片能提供一定帮助，并排除一些其他病变，但眼底荧光血管造影具有决定性的诊断价值。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">美国“早期治疗糖尿病视网膜病变研究”（ETDRS）分级基于7个视野所拍立体彩色眼底照相来分级，统一了观察标准，被视为金标准。该分级细致，有标准图对比，但耗费人力物力，对临床显得不够实用。基于此，美国眼科学会于2002年推出了由16个国家31位糖尿病眼底病专家共同制定的新的“糖尿病视网膜病变和糖尿病黄斑水肿疾病严重程度分级标准”，以作为全球统一、实用、便利的分级标准（表14-4-11）。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表14-4-11　DR分级标准</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527127108424067784.jpg\" title=\"1527127108424067784.jpg\" alt=\"T14-4-11_70285.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 503px; table-layout: fixed;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">我国现行采用的DR分期标准是1985年第三届全国眼科学术会议讨论通过的六级分期（表14-4-12）。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表14-4-12　DR分期标准</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527127159135026390.jpg\" title=\"1527127159135026390.jpg\" alt=\"T14-4-12_70288.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 502px; table-layout: fixed;\"/></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">注：“较少”，“容易数”，“较多”，“不易数”均包括出血斑点</p><p>（五）预防和治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对已经发生的DR，治疗难以完全逆转，严格控制血糖对于防止DR的发生有着极其重要的意义，严格控制血糖也能延缓DR的进一步发展。DCCT、UKPDS、WESDR等大型临床调查研究均提示严格控制血糖、血压、血脂等对于预防和延缓DR的发生及进展有着重要的意义，还应该尽可能戒除吸烟等对视网膜病变有害的因素。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患者一旦发现有增殖型视网膜病变，即应考虑行视网膜激光治疗，部分视网膜被激光凝固后，剩余视网膜可得到较丰富的血氧供应，阻断对血管新生的刺激作用。早期激光治疗效果较好，因此糖尿病患者应该定期检查眼底，以及早发现病变，及早治疗，才能获得好的效果。</p><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">糖尿病肾病</h6><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">约30%的T1DM者和20%～50%的T2DM者发生糖尿病肾病（diabetic nephropathy，DN）。DN已是糖尿病常见的慢性并发症之一，亦是目前美国和欧洲终末期肾病（ESRD）最常见的单一病因，据统计高达44.5%，在我国约占25%。我国住院糖尿病患者DN的检测率达33.6%。近年提出慢性肾病（chronic kidney disease，CKD）和糖尿病肾脏病变（diabetic kidney disease，DKD）定义，因而DN实际上包括了部分CKD及DKD。DN的发生有较大的种族差异：美国土著人、西班牙裔人（尤其是墨西哥裔美国人）以及非洲裔美国人T2DM ESRD的危险性显著高于非西班牙裔的白种人。亚洲糖尿病肾脏病变发生率最高。研究显示，积极适当的干预措施能明显减少和延缓DN的发生，尤其是病程早期干预治疗效果甚佳。</p><p>（一）发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">确切的机制尚未明确，但研究表明某些因素与DN有关：如高血糖相关的生化代谢异常，包括多元醇、PKC途径的激活、蛋白非酶糖基化和大分子终末产物的合成，以及细胞因子、生长因子、炎症、介质及信号因子的参与。近年来研究证实过多的ROS可激活多元醇、AGE、PKC和己糖途径，而上述四种途径的激活又加剧ROS的产生，因而ROS的过度产生是DN的基础。流行病学资料显示：DN有家族聚集性，此可能与某些基因的突变或多态性变化有关，如RAS TGF-β，醛糖还原酶基因等。</p><p>（二）临床表现和分期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一般将DN分为五期：第Ⅰ、Ⅱ期为临床前期，第Ⅲ、Ⅳ、Ⅴ期为临床诊断。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅰ期：通常表现为肾体积增大和肾小球滤过率（GFR）增高，肾血浆流量（RPF）和肾小球毛细血管灌注压增高。这些变化与高血糖水平一致。此期患者肾结构和功能无明显改变。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅱ期：运动后微量白蛋白尿，此期肾小球已显示结构改变，肾小球基底膜（GBM）和系膜基质增加，GFR＞150ml/ min和白蛋白排泄率（AER）＜30μg/min。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅲ期：持续微量白蛋白尿，AER常为20～200μg/min 或UAE在30～300mg/24h，临床常规化验蛋白尿多为正常。此期患者GFR大致正常，血压可轻度升高。GBM增厚和系膜细胞增加较Ⅱ期更明显，病理检查可见肾小球结节性和弥漫性病变，临床研究显示积极干预治疗可阻止或延缓大量蛋白尿的发生。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅳ期：为临床蛋白尿，AER＞200μg/min或UAE＞300mg/24h或尿蛋白＞0.5g/24h。此期血压增高，GFR开始进行性下降，水肿多较为严重，对利尿药反应差。肾小管功能障碍出现较早，近曲小管对水、钠以及糖重吸收增加，病理显示GBM明显增厚，系膜基质明显增加。T1DM诊断15～20年以及T2DM诊断5年以上者易发生Ⅳ期DN，该期患者常并发微血管并发症如视网膜病变、外周神经病变等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅴ期为尿毒症期（ESRD），可有尿毒症的临床表现，GFR进行性下降，持续蛋白尿，低蛋白血症，水肿，高血压，此期患者常伴发视网膜病变。</p><p>（三）诊断</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">微量白蛋白尿（microalbuminuria，MA）是DN的最早临床证据及筛选早期DN的主要指标，亦是T1DM和T2DM患者心血管疾病发生率及死亡率显著升高的标志。早期DN（微量白蛋白尿期）：AER 20～200μg/ min或UAE 30～300mg/24h。目前主张采集晨尿样本测白蛋白/肌酐（A/Cr）。尿白蛋白/肌酐30～300mg/g为早期DN。血糖急剧升高、运动、泌尿道感染、显著高血压、心力衰竭以及急性发作性疾病均可致尿白蛋白排出量短暂性升高，因而在6个月内需连续测3次尿，其中至少2次尿白蛋白排出量增加方可确诊早期DN。通常情况下，若出现持续性或间歇性蛋白尿，若能排除其他原因引起的肾损伤且伴肾功能不全即要考虑DN的诊断，若伴有糖尿病特异性视网膜病变，DN诊断可确定。活检证实约30%DN者无微量蛋白尿，因而在下述情况下可考虑行肾活检以便鉴别诊断：曾有非糖尿病肾病者；有明显蛋白尿但无视网膜病变者；短期内蛋白尿明显增加者；24小时尿白蛋白大于5g者；肾炎性尿沉渣（畸形红细胞、多型性细胞管型）。肾小球损伤分为4级：Ⅰ级，基底膜增厚；Ⅱa级，轻度系膜增生；Ⅱb级，重度系膜增生；Ⅲ级，一个以上结节性硬化（KW结节）；Ⅳ级，晚期糖尿病肾小球硬化。研究结果显示该病理分级与eGFR、5年生存率呈负相关，Ⅳ级的eGFR为各分级中最低，5年生存期分别为Ⅰ级、Ⅱa级100.0%，Ⅱb级75.0%，Ⅲ级66.7%，Ⅳ级38.1%。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1999年美国肾病基金会（NKF）提出了CKD定义，CKD是基于肾损伤的证据和肾小球滤过率（GFR）。慢性肾病的标准为：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.肾损伤（肾结构或功能异常）≥3个月，可以有或无GFR下降，可表现为下面任何一条：①病理学检查异常；②肾损伤的指标：包括血、尿成分异常或影像学检查异常。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.GFR＜60ml/（min×1.73m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>）≥3个月，有或无肾损伤证据。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">NKF将CKD分为5期：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1期，肾损伤伴正常或升高的肾小球滤过率［GFR≥90ml/（min×1.73m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>）］；</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2期，肾损伤伴肾小球滤过率轻度下降［GFR＝60～89ml/（min×1.73m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>）］；</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3期，肾小球滤过率中度降低［GFR＝30～59ml/（min ×1.73m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>）］；</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4期，肾小球滤过率重度降低［GFR＝15～29ml/（min ×1.73m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>）］；</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5期，肾衰竭，肾小球滤过率＜15ml/（min×1.73m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>）或透析。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">白蛋白尿及GFR是CKD诊断的主要指标。NKF及ADA建议使用CG、MDRD等公式评价GFR，并每年筛查糖尿病患者CKD。华山课题组采用CG公式估计了GFR并研究了上海市中心城区已诊断2型糖尿病患者CKD的患病率及其相关危险因素，并分析了CKD和DR的关系。研究结果显示上海市中心城区已诊断2型糖尿病患者CKD（1～5期）的患病率为63.9%，其中1期为8.8%，2期为22.3%，3～5期为32.8%。CKD患病率随年龄增长而增加。CKD患者与非患者相比，年龄更大，糖尿病病程更长，收缩压、尿素氮、肌酐及尿ACR更高。CKD的主要危险因素为糖尿病病程、高龄、收缩压和高尿素氮水平。GFR的下降与糖尿病视网膜病变明显相关。因此建议即使正常白蛋白尿患者也应定期检查GFR。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2007年NKF提出DKD的诊断概念及线索：糖尿病患者伴有大量白蛋白尿；或2型糖尿病患者同时伴微量白蛋白尿及糖尿病视网膜病变；或10年以上T1DM伴微量白蛋白尿。需排除其他原因导致的CKD，如无糖尿病视网膜病变；GFR快速降低；快速增加蛋白尿或肾病综合征；难治性高血压；活性尿沉渣；系统性疾病的症状、体征和在开始应用ACE或ARB抑制物2～3个月内GFR下降超过30%。华山课题组采用CG公式估计了GFR并研究了上海市中心城区已诊断2型糖尿病患者DKD的患病率，结果显示上海市中心城区已诊断2型糖尿病患者DKD的患病率仅为16%。</p><p>（四）治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DN的治疗应是综合性的，常规治疗措施包括饮食治疗、控制血糖、控制血压、纠正脂代谢紊乱以及ACEI或ARB类药物的应用等。</p><p>1.饮食治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肾功能正常的DN患者饮食蛋白质0.8g/（kg？d）；肾功能不全非透析期患者0.6g/（kg？d）。</p><p>2.控制血糖</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">具体方略参见糖尿病。目标尽可能使患者的HbA1c＜6.5%。</p><p>3.降压治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目标血压：尿蛋白＜1g/d，血压应降至130/80mmHg；尿蛋白＞1g/d时，血压应降至125/ 75mmHg。</p><p>（1）ACEI：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">卡托普利（开博通）25mg，口服，每日3次。</p><p>（2）ARB：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">氯沙坦（科素亚）50mg，口服，每日1次，或缬沙坦（代文，缬克）80mg，口服，每日1次。</p><p>（3）钙拮抗药：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">硝本地平控释片（拜心同）30mg，口服，每日1次；或氨氯地平（络活喜，兰迪，安内真）5mg，口服，每日1次。</p><p>（4）β受体阻断药：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">阿替洛尔30mg，口服，每日1次。</p><p>（5）利尿药：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">氢氯噻嗪25mg，口服，每日1次或每日3次，如长期用大剂量，须观察代谢不良反应。</p><p>（6）α受体阻断药：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">应注意反射性心动过速及直立性低血压。</p><p>4.调脂治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DN时也应使用他汀类药物严格纠正血脂紊乱，如辛伐他汀（舒降之）。</p><p>5.其他治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰激肽原酶（怡开）120U，口服，每日3次；保肾康100～200mg，口服，每日3次。</p><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">糖尿病足</h6><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病足（diabetic foot）指糖尿病患者由于合并神经病变及不同程度的血管病变而导致下肢感染、溃疡形成和（或）深部组织的损伤。全球约15%糖尿病患者在其生活的某一时间发生过足溃疡或坏疽，糖尿病足造成的截肢是非糖尿病患者的15倍。</p><p>（一）发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病足的病变基础是糖尿病血管病变和神经病变。糖尿病性感觉神经受损可导致肢体末梢的保护性感觉减弱或丧失，自主神经功能受损可引起皮肤干燥，运动神经受损可引起姿势与协调缺陷，出现足部生物力学的改变等。糖尿病血管病变可引起缺血，在一些诱因如外伤、鞋袜不合适等作用下可出现足溃疡，严重者导致截肢（图14-4-6）。</p><p>（二）糖尿病足分级</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床常用的分级为Wagner分级（表14-4-13）。此外2007年国际糖尿病足指南提出了新的分级建议（PEDIS法），目前该分级方法处于探讨阶段，其主要通过五个方面即血流灌注、溃疡面积、溃疡深度/组织缺失、感染及足感觉情况进行评价。</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527127214613089347.jpg\" title=\"1527127214613089347.jpg\" alt=\"P14-4-6_43011.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 946px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图14-4-6　糖尿病足的发病机制</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表14-4-13　糖尿病足的Wagner分级</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527127235359054629.jpg\" title=\"1527127235359054629.jpg\" alt=\"T14-4-13_70319.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 500px; table-layout: fixed;\"/></p><p>（三）预防1.定期检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">所有患者至少每年检查一次足相关问题，如存在糖尿病足危险因子应检查更频繁。检查内容包括：①询问病史：先前存在溃疡或截肢；糖尿病足教育；独居；不愿就医；赤脚行走；②神经病变检查；③血管状态评估；④足部皮肤情况；⑤检查鞋袜。</p><p>2.教育</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">教育高危患者，如每日检查足部，包括足趾间区域；如果该患者不能自己检查足部，应由其他人帮助检查；定期洗脚，仔细擦干，特别是趾缝间；水温一般要在37℃以下；避免户内或户外赤足行走，避免穿鞋不穿袜；不使用化学药物或贴剂祛除胼胝或鸡眼；每日检查鞋子内部；干燥皮肤应使用润滑油或膏；每日更换袜子；水平修剪指甲；应由专业医护人员处理鸡眼和胼胝；患者应知晓定期复诊检查足部。医护人员也应定期接受培训。</p><p>3.鞋袜</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">合适的鞋子特别是改善生物力学负荷和足部畸形的鞋子可以有效地防治足溃疡。鞋子不应太紧或太松：一般鞋子内部应较足本身长1～2cm，内部宽度应与跖趾关节部位的足宽度相等，高度应考虑给足趾充分空间。如果由于足部畸形导致过紧或存在异常足部负荷的征象（如充血、鸡眼、溃疡），建议患者穿特制的鞋子包括鞋垫及矫形器械。</p><p>（四）治疗前评估1.溃疡病因</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">即使在“纯缺血性”溃疡，鞋子不合适也是溃疡最常见的原因，所以所有患者均应仔细检查鞋袜。</p><p>2.溃疡类型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多数溃疡可被分为神经性、缺血性或神经-缺血性，该分类有利于进一步治疗。</p><p>3.血管情况</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">治疗前必须评估血管情况（足背动脉搏动、踝肱比值，进一步的检查包括彩色多普勒超声、血管造影、CT血管显像及磁共振血管显像等）。</p><p>4.足溃疡位置、面积及深度</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">神经性溃疡经常发生在足底面或骨性畸形区域，缺血性或神经-缺血性溃疡常发生在足趾末端及足侧边。由于胼胝或坏死组织的存在常使溃疡深度较难确定，所以存在胼胝和坏死的神经性溃疡应尽快清创。</p><p>5.感染征象</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">感染征象包括发热、疼痛或白细胞升高等，感染会加重组织损伤甚至出现溃疡。还应确定有无骨髓炎，可以通过针探查、影像学检查等。浅表溃疡多为革兰阳性细菌引起，深部感染应对最深部组织进行革兰染色和培养，这些感染多为多细菌混合感染，包括厌氧菌和革兰阳/阴性菌。</p><p>6.全身情况</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括血糖等各代谢指标情况、各脏器功能、其他并发症、凝血功能及营养状态等。</p><p>（五）糖尿病足溃疡的处理</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">需多学科协作，基础治疗需要贯穿整个治疗过程的始终，主要包括控制血糖、改善微循环、纠正相关的糖尿病并发症及营养支持等。其他治疗措施主要包括以下六个方面：减压、清创、伤口敷料、控制感染、血管重建及截肢。</p><p>1.减压</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Paul W.Brand教授曾说过“所有问题实际是一个力学问题，而不是医学问题”，可见减压在糖尿病足治疗中的作用。通过限制站立及行走可以有效地对足部溃疡减压，此外可通过器械协助减压，包括拐杖、完全接触支具（完全按照足部形态塑形）或其他支具及个体化鞋垫等。</p><p>2.清创</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病治疗过程中要处理好局部与整体的关系，忌只见局部伤口，忽略全身状态的做法。局部伤口清创是糖尿病足治疗的重要手段，但也不宜过分清创手术处理以防止坏疽蔓延扩大。清除坏死组织时宜采用蚕食的方法，逐渐清除坏死组织。</p><p>3.伤口敷料</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">传统敷料如纱布、绷带等，其较为经济、有一定吸收性、可松散填塞伤口并且具有较好的清创效果，但是伤口容易干燥损伤、无法吸收多量的渗液、伤口周围皮肤容易浸湿及溃烂、肉芽容易受损、上皮层不易移行增生。近年来湿润性伤口敷料不断涌现，为糖尿病足的治疗提供了更多手段，包括油纱敷料、透明薄膜类敷料、渗液吸收类敷料（水胶体敷料、泡沫类敷料、藻酸盐敷料等）、清创类敷料（水凝胶敷料、酶学清创敷料等）、银离子敷料及生物活性敷料等。临床诊治糖尿病足过程中应根据足溃疡愈合过程的不同阶段选择合适的敷料。</p><p>4.血管重建</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要通过外科手术及介入对阻塞血管进行血管重建。</p><p>5.控制感染</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于无感染伤口无证据支持使用抗生素。对于表浅足溃疡，感染的病菌主要为金黄色葡萄球菌和（或）链球菌。对于骨髓炎和深部脓肿，其病菌可能包括多种需氧的G<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>细菌、G<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">-</span>杆菌，如大肠杆菌、变异杆菌、克雷伯菌属及厌氧菌，如类杆菌属、链球菌。抗感染治疗一定应考虑病原学情况，此外足溃疡者合理采集标本，进行细菌培养及药敏可有效地指导抗感染治疗。</p><p>6.截肢</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常见的截肢手术指征包括：无法控制的感染；无法控制的静息疼痛及足部大面积坏疽。</p><h4 style=\"box-sizing: border-box; margin: 10px 0px; padding: 0px; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; font-size: 18px;\">糖尿病与感染</h4><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1型和2型糖尿病患者的感染发生率较高，而且比较严重，许多常见的感染在糖尿病人群中发生更频繁、更严重。在高血糖高渗状态，一些罕见的感染如鼻脑型毛霉菌病、气肿性胆囊炎、恶性或坏死性外耳炎等也会光顾糖尿病患者。侵袭性外耳炎往往继发于外耳道周围软组织的铜绿假单胞菌感染，常常以疼痛和分泌物为首发症状，然后迅速进展为骨髓炎和脑膜炎。糖尿病与感染是两种相互影响的疾病，糖尿病患者易于并发感染，而感染又可引起和加重糖尿病。据报道糖尿病并发医院感染的病例占住院病例的0.41%，占住院糖尿病患者的36.65%，占全院感染构成比的9.52%。</p><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">糖尿病患者易患感染因素与机制</h6><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">研究显示糖尿病患者易患感染的危险因素包括年龄、糖尿病病程、住院天数、抗菌药物的使用、血糖的控制程度、手术及侵入性操作、糖尿病的并发症及糖尿病患者的慢性基础性疾病等。糖尿病医院感染的主要部位为肺部感染，其次为泌尿道感染、切口感染及肠道感染、口腔感染等。其可能的机制包括：</p><p>（一）机体天然的和获得性免疫防御功能降低</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">天然免疫（innate immunity）是机体对各种理化损伤因素或周围环境改变而启动的快速防御性的体系。经典的天然免疫系统包括巨噬细胞、抗原提呈B细胞和树状突细胞。巨噬细胞激活后分泌多种免疫反应因子包括细胞因子，后者可以诱发急性时相反应，分泌和释放大量活性物质。研究证实糖尿病患者免疫功能紊乱，粒细胞的黏附、吞噬能力降低，抑制性T淋巴细胞功能低下。T细胞对植物凝血素（PHA）刺激后的幼稚化反应功能降低。集落刺激因子减少，引起粒细胞分化异常。糖尿病伴营养不良与低蛋白血症时，B淋巴细胞产生免疫球蛋白，抗体生成明显减少，高血糖还可引起免疫球蛋白与补体发生糖基化，使其功能降低。综上所述，糖尿病患者尤其在合并严重并发症时，由于严重的代谢紊乱，机体天然和获得性免疫的各种防御功能缺陷，包括中和毒素、吞噬功能、细胞内杀菌作用、血清调理素和细胞免疫作用的抑制或下调，因此对入侵微生物的各种抵御反应多被抑制，故糖尿病患者极易感染，且感染严重。</p><p>（二）长期高血糖</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病患者体内长期高血糖状态导致细胞介导的免疫和巨噬细胞功能异常，机体免疫功能降低，当细菌、病毒、化学毒素等侵害机体时其反应能力减弱，因而极易感染，且常常比非糖尿病患者严重；另外长期高血糖导致各种体液含糖量增高，有利于外来生物体定居生长和繁殖（如念珠菌和其他真菌类）。</p><p>（三）糖尿病慢性并发症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病患者的高血糖、高血脂可致内皮细胞损伤，单核细胞黏附、迁移、移行进入血管壁分化为巨噬细胞，巨噬细胞吞噬脂质转变成巨噬泡沫细胞。这些细胞因子一方面加剧了血管壁的慢性炎症反应，同时也进一步加重内皮细胞损伤，并促进血管平滑肌细胞增殖及分泌细胞因子，血管平滑肌细胞亦可吞噬脂质而转变成泡沫细胞。故糖尿病患者易发生血管病变，使血管结构和功能异常，导致局部血液循环障碍，血流缓慢，组织血液供应减少，组织缺氧，影响局部组织对感染的反应。缺氧时有利于厌氧菌生长，严重时可引起组织坏死。糖尿病周围神经和自主神经病变，对外来刺激不敏感，对痛、温、触觉等感觉的保护性反应减退，容易遭受损伤（溃破、挫伤、烫伤），而且不易早期发现，易致感染。由于周围循环差，创伤不易愈合，下肢血管病变易致肢端缺血坏疽甚至截肢致残。研究显示伴有微血管病变的糖尿病患者，抗生素吸收缓慢且减少，可影响其作用，导致感染不愈甚至恶化。伴有神经源性膀胱炎、尿潴留的糖尿病患者容易尿路感染。</p><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">糖尿病感染的临床特点与诊断</h6><p>（一）常见的感染1.呼吸道感染</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺炎、支气管炎、肺脓肿、肺结核。肺部感染的病原体一般与非糖尿病患者相似，但革兰阴性菌、金黄色葡萄球菌、结核分支杆菌是较常见的病原体。近年革兰阳性球菌感染率渐增多，常见的有肠球菌、表皮葡萄球菌、金黄色葡萄球菌等，同时一些少见菌种，如铜绿假单胞菌、变形杆菌、克雷伯菌、白色念珠菌、新型隐球菌等亦明显增多。临床表现为发热、恶寒、咳嗽、咳痰、胸闷胸痛、呼吸急促或伴有恶心、呕吐、腹胀，甚至抽搐昏迷；可闻及支气管呼吸音及湿啰音，血白细胞明显升高，老年或重症者白细胞数可正常，影像学可协助诊断。糖尿病患者患肺结核较非糖尿病患者高2～4倍。临床表现消瘦、咳嗽、咯血、低热、盗汗、胸痛、血沉快、OT试验（结核菌素试验）阳性，影像学检查可协助诊断。</p><p>2.泌尿系感染</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肾盂肾炎、尿道炎、膀胱炎、前列腺炎等。女性糖尿病患者发生泌尿系统感染者比非糖尿病患者增加2～3倍。糖尿病患者易并发肾盂肾炎、膀胱炎及真菌性阴道炎，尤其在发生了神经系统并发症之后，神经源性膀胱致尿潴留，或用导尿管后更增加了感染的机会，严重者可致肾衰竭。尿常规检查常可发现白细胞增多，尿培养可有细菌生长。致病菌主要为革兰阴性菌，其中80%是大肠杆菌，其次为变形杆菌、铜绿假单胞菌和厌氧杆菌等。但也可见真菌感染，可能与不适当地应用广谱抗生素有关，其中膀胱炎和肾盂肾炎最常见，偶可并发急性肾乳头坏死。值得注意的是部分患者表现为无症状性菌尿。</p><p>3.肝胆道感染</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病时急性和慢性胆囊炎的发生率增高，尤其在肥胖的2型糖尿病患者中，更是多见，往往胆囊炎与胆石症并见。糖尿病患者胆囊往往增大，且收缩功能不良，后者可能是与糖尿病患者合并自主神经病变有关，因此容易继发感染。革兰阴性菌是主要的致病菌，尤其是大肠杆菌。急性胆囊炎的严重后遗症是胆囊坏疽和穿孔。</p><p>4.皮肤及其他感染</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">因为周围血管神经病变，糖尿病患者的皮肤较易损伤，且不容易发现和自愈，因此糖尿病患者易发生多种皮肤及软组织感染，其中糖尿病患者并发皮肤化脓性感染约占20%。临床上以疮、疖、痈、疽、癣、皮炎、牙周炎、鼻窦炎、中耳炎、胃肠炎等细菌感染为多见，可发生各种化脓性感染；近年来大量广谱抗生素的应用以及糖尿病患者生存期的延长，细菌谱发生了明显的改变。真菌也是糖尿病患者皮肤感染的常见致病菌，表现为足癣、手癣、股癣、妇女外阴部白色念珠菌感染等。糖尿病足感染则主要以金黄色葡萄球菌和大肠埃希菌多见，革兰阳性球菌亦呈上升之势。主要病原菌对常用抗生素耐药率较高。</p><p>（二）糖尿病特殊感染</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病患者出现非糖尿病患者不易被发现的细菌和（或）真菌感染。</p><p>1.鼻脑型毛霉菌病（rhinocerebral mucormycosis，RCM）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">毛霉菌（mucoraceae）是广泛存在于自然界的腐物寄生菌，临床表现复杂且诊断困难。原发于鼻窦的毛霉菌病临床少见，多发生在机体衰弱、免疫力低下等慢性消耗性疾病个体（如糖尿病），死亡率很高，达85%～90%。糖尿病并发RCM，早期症状常为发热、眶周及颞部疼痛，逐渐出现眶周皮肤蜂窝织炎并出血坏死，鼻腔黑痂，可并有脑膜刺激征和偏瘫。额叶等部位出血性坏死，镜下可见鼻窦黏膜表面、眼眶及脑内坏死组织有大量毛霉菌。糖尿病RCM好发于糖尿病酮症酸中毒患者，感染部位是鼻部的皮下组织内，属于深部真菌感染，病菌极易通过鼻窦或眼部播散，并感染脑部，故病死率高。一旦诊断应该及时积极控制血糖和酮症酸中毒，并使用两性霉素B等控制霉菌。</p><p>2.恶性或坏死性外耳道炎（necrotizing external otitis，NEO）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">坏死性外耳道炎是一种伴有侵袭性骨质破坏的进行性、恶性外耳道炎。多见于老年糖尿病患者或有免疫缺陷的患者。致病菌常为铜绿假单胞菌。临床表现为耳痛，有浆液、脓性耳漏，听力下降，下颌关节运动障碍，也可伴有出血，有臭味。本病炎性骨质破坏可呈进行性发展，常累及腮腺颌后窝、颅底、脑神经和脑组织，最终因出血、脑膜炎、脑脓肿等危及患者生命。糖尿病患者合并进行性发展的外耳道炎，尤其是老年患者或经积极抗炎治疗无效者，应考虑本病，送脓液培养，颞骨X线断层拍片或CT扫描可估计病变范围或有无死骨形成，外耳道峡部底壁出现肉芽组织有助于诊断。</p><p>3.气肿性胆囊炎（emphysematous cholecystitis）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是急性胆囊炎的一种特殊类型，在胆囊发炎的同时，还产生气体，因而也称气肿性胆囊炎、气性胆囊炎或含气性胆囊炎。男性患病为女性的3倍，且大约20%的病例患有糖尿病。细菌，如大肠杆菌、链球菌、葡萄球菌，特别是梭状芽孢杆菌等侵入胆囊，在生长繁殖的过程中产生气体，气泡可出现在胆囊腔内、胆囊壁中、胆囊间隙，偶见于胆管内。气肿性胆囊炎症状常较严重，病情发展很快，患者往往突然感到中上腹或右上腹疼痛，伴有恶心、呕吐，可出现高热和休克。腹部X线平片和CT显示胆囊内积气、组织间气肿、可特征性地显示出胆囊轮廓，站立位摄片可见到气体下有液平面。该病病死率较高，一旦诊断为气肿性胆囊炎，应及时手术治疗，去除病变组织，应用有效抗生素如大剂量青霉素。</p><p>4.气肿性肾盂肾炎（emphysematous pyelonephritis）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是罕见的肾实质及周围组织的以弥漫性坏死为特征的急性坏死性感染性疾病，在肾实质和肾筋膜内产生大量气体。据有关学者观察，本病87%的患者伴有糖尿病，非糖尿病患者气肿性肾盂肾炎几乎常常伴有输尿管梗阻，男女发病之比为1∶1.8。厌氧菌如大肠埃希菌、变形杆菌、克雷伯菌等发酵，葡萄糖产生乳酸和CO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>。现认为CO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>是造成肾及周围组织内含有气体的主要因素。单侧多见，亦有双肾发病者；后者大多数存在尿路梗阻，预后极差，死亡率高达50%。临床上如果遇到反复出现泌尿系统感染的糖尿病患者，血糖控制不理想，伴有发热，病程中出现腰痛或季肋部疼痛时，应警惕发生气肿性肾盂肾炎的可能。B超、KUB检查及双肾CT检查有助于提高气肿性肾盂肾炎等并发症的早期诊断率。B型超声波检查：患侧肾后方受压变形并可见较多气体反射。CT检查：患侧肾实质及相邻肾周可见低密度影和气体影。虽然气肿性肾盂肾炎偶见，但其症状危重，发展迅速，常可并发败血症、感染性休克及急性肾衰竭，需给予尽早诊断和积极治疗。</p><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">糖尿病感染的防治</h6><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病因感染致死者仍高达10%以上，而老年糖尿病合并感染者死亡率更高。故应加强预防并及早诊断、及早治疗。糖尿病并发感染防治措施原则如下：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）坚持参加适当的体育锻炼，增强体质，增加机体抗病能力。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）注意卫生，加强基础护理，防止皮肤感染和褥疮发生：特别要注意及时治疗甲沟炎、鸡眼、胼胝、脚癣、甲癣等感染，以防细菌扩散。合并末梢神经炎病变者，避免外伤、烫伤。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（3）积极控制和治疗糖尿病：纠正代谢紊乱，严格控制血糖。一旦合并感染，血糖会明显升高，此时要加强降糖治疗，必要时使用胰岛素强化治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（4）合理应用抗生素：①通常选择高效、广谱、敏感的杀菌剂，必要时联合用药。②最好根据药敏试验选用抗生素。③较非糖尿病患者感染，本症应用抗生素的剂量较大且时间更长，若为严重的感染，应静脉给药。④伴肝、肾功能损伤者，选择毒副作用小的抗生素，尽量避免使用氨基糖苷类、万古霉素等肾毒性较大的抗生素，必要时需监测血药浓度。⑤注意抗生素与降糖药物的相互作用：氯霉素具抑制肝药酶的作用，可使口服降糖药的血浓度升高，导致低血糖反应。而利福平则引导肝药酶，使口服降糖药降解加速，引起血糖增高。异烟肼也影响糖代谢，导致血糖升高等。⑥联合用药：感染严重者以静脉给药、联合用药为原则。如妥布霉素和替卡西林与庆大霉素联合应用，有协同作用，可提高治疗恶性或坏死性外耳道炎疗效，还可应用多黏菌素b等对铜绿假单胞菌敏感的药物。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（5）外科治疗：对合并痈、蜂窝织炎、皮肤感染的，常需清创或切开引流等外科治疗；如气肿性肾盂肾炎在内科保守治疗无效的情况下，及时施行了保留肾的切开引流术，疗效较满意。</p><h4 style=\"box-sizing: border-box; margin: 10px 0px; padding: 0px; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; font-size: 18px;\">急性并发症</h4><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">糖尿病酮症酸中毒</h6><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病酮症酸中毒（diabetic ketoacidosis，DKA）是常见的糖尿病急性并发症（acute complications of diabetes mellitus）之一。是由于胰岛素活性重度缺乏及升糖激素不适当升高，引起糖、脂肪和蛋白质代谢紊乱，以致水、电解质和酸碱平衡失调，出现高血糖、酮症、代谢性酸中毒和脱水为主要表现的临床综合征。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DKA的发生与糖尿病类型有关，与病程无关，约20%以上新诊断的1型糖尿病和部分2型糖尿病患者可出现DKA。有些糖尿病患者以DKA为首发表现，1型糖尿病有发生DKA的倾向，而2型糖尿病通常在某些诱因下发生。DKA不仅是糖尿病最常见的急性并发症，同时也是内科常见的急症之一，近年来其发病率不断上升，2003年一项统计资料表明，美国每年因DKA入院的患者人数达到11.5万，因此，尽早诊断和及时治疗DKA在临床上有着重要的意义。</p><p>（一）诱因</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DKA的诱发因素主要包括以下几个方面：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.感染是DKA最常见的诱因，尤其是糖尿病患者伴发急性全身性感染，如肺炎、泌尿道感染、急性胰腺炎、败血症、腹膜炎等常诱发此症。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.降糖药物应用不规范诱发DKA已经越来越受到重视。近年来研究表明由于体重增加、低血糖、患者依从性差等因素致使胰岛素用量不足、不适当减量或突然中断已经成为DKA最主要的诱因之一。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.某些影响糖代谢的药物，如皮质激素，噻嗪类利尿药，多巴酚丁胺，第二代的神经镇定药等可诱发DKA，而可卡因与DKA的反复发作密切相关。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.心肌梗死、脑血管意外、胃肠疾病（呕吐、腹泻等）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.手术、创伤、妊娠、分娩。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">6.饮食不当和心理障碍是1型糖尿病患者DKA反复发作的重要诱因。</p><p>（二）发病机制和病理生理</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰岛素活性的重度或绝对缺乏和升糖激素过多（如胰高血糖素、儿茶酚胺类、皮质醇和生长激素）是DKA发病的主要原因。胰岛素缺乏和胰高血糖素升高是DKA发展的基本因素。胰岛素和胰高血糖素比率下降促进糖异生、糖原分解和肝酮体生成，肝的酶作用底物（游离脂肪酸、氨基酸）产生增加，导致高血糖、酮症和酸中毒（图14-4-7）。</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527127350463020389.jpg\" title=\"1527127350463020389.jpg\" alt=\"P14-4-7_43051.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 768px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图14-4-7　DKA的发病机制</p><p>1.高血糖</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DKA患者的血糖多呈中等程度的升高，主要是由于葡萄糖生成（包括糖原分解和糖异生）增多以及葡萄糖利用（糖酵解、脂肪酸合成和糖原合成）减少所致。胰高血糖素和儿茶酚胺类激素水平升高，胰岛素水平减低促进糖原分解。胰岛素缺乏还可减少GLUT4葡萄糖运载体，从而抑制骨骼肌和脂肪组织的葡萄糖摄取，抑制细胞内葡萄糖代谢。</p><p>2.酮症和代谢性酸中毒</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">酮症是由于脂肪细胞生成游离脂肪酸增多，肝酮体合成增加所致。胰岛素水平下降，儿茶酚胺和生长激素升高促进脂肪分解，生成游离脂肪酸（FFA）和甘油。在DKA时，胰岛素高度缺乏，足以促使脂肪分解，生成大量FFA，同时胰高血糖素和胰岛素的比率增加，降低了丙二酰辅酶A（CoA）的浓度，导致FFA进入线粒体生成酮体。正常情况下，酮体促进胰岛素从胰腺释放，而胰岛素可反馈抑制酮体生成。在胰岛素高度缺乏状态下，无法足够抑制酮体生成，因而致使大量酮体生成。生理pH情况下，酮体以酮酸的形式存在，碳酸氢根可中和酮体。DKA时，由于酮体生成增加，碳酸氢根不断地被消耗，另外，乳酸生成增多，肾排酸失碱加重，再则脱水和休克造成机体排酸（图14-4-7）障碍，最终导致代谢性酸中毒的发生。</p><p>3.脱水</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DKA时，血糖和血酮浓度升高使血浆渗透压增高，细胞外液高渗时细胞内液向细胞外转移，细胞脱水伴渗透性利尿。蛋白质和脂肪分解加速，大量酸性代谢物的排出带出水分。酮体从肺排出也带出水分。酸中毒失代偿时的厌食、恶心、呕吐使水摄入量减少及丢失过多。这些因素相互和累加作用，引起患者脱水，严重者血容量不足，血压下降，甚至出现循环衰竭。</p><p>4.电解质平衡紊乱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">渗透性利尿、呕吐及摄入减少、细胞内外水分及电解质的转移以及血液浓缩等因素，均可导致电解质平衡紊乱。</p><p>（三）临床表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DKA起病急，病程通常小于24小时，根据酸中毒的程度，可以将其分为轻度、中度和重度。轻度是指只有酮症，无酸中毒（糖尿病酮症）；中度是指除酮症外，伴有轻至中度酸中毒（DKA）；重度是指DKA伴意识障碍，或虽无意识障碍，但二氧化碳结合力低于10mmol/L者。</p><p>1.症状</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多数患者起病时有多尿、烦渴多饮和乏力等糖尿病症状加重或首次出现，如未及时治疗，患者病情恶化，可出现恶心、呕吐、食欲减退等症状，少数患者可出现腹痛的症状，腹痛可能由酮症本身或原发病引起，腹痛与酸中毒的严重程度有关，50%～75%的腹痛患者疼痛剧烈似急腹症，临床上容易误诊。DKA的患者如有胃肠道出血可表现为呕血。约30%的DKA患者可同时伴有高渗状态。发病早期患者多神志清楚，随着病情的进展，常出现不同程度的意识障碍，嗜睡、昏睡或昏迷。另外注意患者有无诱发疾病的表现，如泌尿系统感染的症状，有无咳嗽、发热、寒战，冠心病患者近期胸痛情况等。</p><p>2.体征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">体检时，患者常有脱水征象。评价脱水的程度十分重要，患者皮肤、黏膜干燥、弹性下降、眼球下陷提示脱水达5%，单纯体位性脉搏变化提示细胞外液体丢失约10%，当出现心率加快、直立性低血压（＞15/10mmHg）和脉搏细弱等循环衰竭表现时，体液丢失达15%以上，当出现卧位低血压，提示严重脱水，体液丢失超过20%，也可能合并败血症。老年人或自主神经功能紊乱的患者本身可有直立性低血压，评价此类患者的脱水程度有一定困难。酸中毒时有Kussmaul呼吸，部分患者呼气中有烂苹果味（丙酮气味）。合并潜在感染的患者可发热、但是无发热并不能排除感染，因为酸中毒可使血管扩张，导致体温下降，低体温是病情严重的征兆，提示预后不良。</p><p>（四）实验室及辅助检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">体格检查、高血糖和酮尿强烈提示DKA，而DKA的确诊需要进行一系列详细的实验室检查，包括血浆葡萄糖、血尿素氮/肌酐、血酮体、电解质、血渗透压、尿常规、尿酮体、动脉血气分析和计算阴离子间隙等，其他的辅助检查还包括心电图、胸片和血培养。</p><p>1.尿液检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">尿糖、尿酮常呈强阳性，当肾功能严重损害时，肾小球滤过率减少，而肾糖阈及酮阈升高，可出现尿糖与酮体减少，甚至消失，此时应注意诊断应以血酮为主。另外分析酮体水平时还需注意，重度DKA机体缺氧时，有较多的乙酰乙酸被还原为β-羟丁酸，此时尿酮测定反应呈阴性或弱阳性，DKA病情减轻后，β-羟丁酸转为乙酰乙酸，使尿酮反应呈阳性或强阳性，避免错误分析病情。</p><p>2.血糖和血酮</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血糖升高，一般在16.7～33.3mmol/L （300～600mg/dl），超过33.3mmol/L时多伴有高渗状态或有肾功能障碍。血酮体增高，多在4.8mmol/L（50mg/dl）以上。当留取尿样有困难或肝、肾功能可能对尿酮测定有影响时，可测定血酮体，一般用酮体粉作血酮半定量测定，正常血酮体20～40mg/L时与酮体粉不起呈色反应，当达100mg/L时才起反应，故呈阳性反应的血清稀释倍数乘以10即是血酮体半定量的mg/dl值。DKA时1∶16稀释血清仍可呈阳性反应。但需注意，丙酮和β-羟丁酸的生成速度是乙酰乙酸的三倍以上，而我们通常使用的酮体检测试剂（硝普盐）主要检测乙酰乙酸，测量血清或血浆的β-羟丁酸能更准确地反映体内酮体的水平。某些药物如卡托普利或青霉胺可能会引起假阳性反应，应注意询问相关病史以免误诊。</p><p>3.血电解质及尿素氮（BUN）、肌酐（Cr）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于高血糖可导致细胞内水分转移至细胞外，入院时患者血钠水平多降低，而严重脱水时体内总钠耗竭，但由于血液浓缩，血钠可升高。酸中毒时钾向细胞外转移，因此虽然总体钾水平下降，但患者血钾可表现为升高、正常或降低。而胰岛素治疗和纠正酸中毒后，钾离子向细胞内转移，有机酸钾盐经尿液丢失，出现低血钾。机体总氯、磷和镁也有所下降，但由于脱水和高血糖，血中浓度高低不定。血尿素氮（BUN）和肌酐可轻、中度升高，经治疗后仍高者提示肾功能受损。</p><p>4.血酸碱度</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">最常见的酸碱平衡紊乱是代谢性酸中毒，血pH和二氧化碳结合力（CO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>CP）及<img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%86%85%E7%A7%91%E5%AD%A6_%E5%85%A82%E5%86%8C(%E4%B8%8A)_978-7-117-17272-1/pics/BZ_1038_976_360_1041_385.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/>下降，阴离子间隙明显增大［AG＝Na<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>-（Cl<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">-</span>+<img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%86%85%E7%A7%91%E5%AD%A6_%E5%85%A82%E5%86%8C(%E4%B8%8A)_978-7-117-17272-1/pics/BZ_1038_957_383_1012_415.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/>）］。但也能出现其他情况，如高氯性酸中毒（AG正常），合并明显呕吐时可能出现代谢性碱中毒。高氯性酸中毒多出现在DKA治疗中，由于补充了大量液体和氯化钠，尿酮排泄，血碳酸氢盐浓度随之下降，血氯增多，出现正常AG性高氯性酸中毒。DKA时大量呕吐使氢离子丢失过多，出现代谢性碱中毒，血清氯离子浓度下降，碳酸氢盐浓度正常。</p><p>5.其他</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DKA患者血常规检查白细胞可增多，无感染时也可高达10×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L，尤以中性粒细胞增高更为显著，如白细胞计数超过25×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L强烈提示患者有感染，需要密切随访。血游离脂肪酸、甘油三酯、脂蛋白可升高。最近研究发现，16%～25%的DKA患者血淀粉酶和脂肪酶可有非特异性的增高，如同时伴随明显腹痛，还需与急性胰腺炎鉴别。</p><p>（五）诊断和鉴别诊断</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">详细地询问病史和发病过程，结合体检发现意识障碍、Kussmaul呼吸、脱水、休克等临床表现，要考虑DKA的可能性。实验室检查示尿糖和酮体强阳性，同时血糖、血酮明显升高，且血pH和二氧化碳结合力降低，则无论有无糖尿病病史，均可诊断为DKA。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DKA主要包括高血糖、酮症和代谢性酸中毒三联症，而糖尿病其他急性并发症也可有这些代谢紊乱，出现类似DKA的表现。DKA与其他急性并发症的鉴别见表14-4-14。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表14-4-14　DKA与其他并发症鉴别</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527127418249043143.jpg\" title=\"1527127418249043143.jpg\" alt=\"T14-4-14_70417.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1019px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">续表</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527127436052077486.jpg\" title=\"1527127436052077486.jpg\" alt=\"T14-4-14_1_70420.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1023px; table-layout: fixed;\"/></p><p>（六）治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DKA一经诊断，应立即治疗，并启动代谢和心、肾功能监护，观察神志变化。治疗重点是纠正病理生理变化、补充液体和电解质，控制血糖，纠正酸碱失衡，去除诱因，防止可能导致复发的因素。具体治疗方案应根据患者病情轻重决定，对于轻度DKA患者应鼓励进食、进水，补充胰岛素，以利血糖的下降和酮体的消除，中、重度酮症酸中毒应用小剂量胰岛素疗法，纠正水、电解质及酸碱平衡紊乱。</p><p>1.胰岛素治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DKA发病的主要因素是胰岛素缺乏，因此，迅速补充胰岛素是治疗的关键。目前多采用小剂量普通胰岛素持续静脉滴注的方法，可以有效抑制脂肪分解和肝糖异生，且并发症（如低血糖、低血钾、低血磷、低血镁症、高乳酸血症和渗透压失调）发生率低。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">绝大多数患者在补液的同时即应开始胰岛素治疗，先给予0.1U/kg体重的普通胰岛素静脉负荷量，随后采用普通胰岛素生理盐水溶液，以0.1U/（kg？h）的速度持续静脉滴注，成人通常用5～7U/h，一般不超过10U/h。如患者合并休克或血钾低于3.3mmol/L，在使用胰岛素治疗之前需先补液或补钾，待休克纠正，血钾升至3.3mmol/L以上后，尽快使用胰岛素。静脉滴注胰岛素后其血浓度足以抑制脂肪分解、蛋白分解、酮体生成和肝糖异生，可使血糖每小时下降4.2～5.6mmol/L。每1～2小时密切监测血糖、血酮、血K和其他电解质水平，必要时监测肾功能和血气分析，及时调整治疗措施。如血糖每小时下降＜4.2mmol/L，在排除其他可能导致治疗无效的原因（包括酸中毒恶化和补液不足）之后，需适当增加胰岛素用量，通常每1～2小时可增加胰岛素1U。一旦血糖降至13.9mmol/L以下，可改用5%葡萄糖或糖盐水，按葡萄糖与胰岛素比例（2～4）∶1加入胰岛素，如500ml 5%葡萄糖液中加入胰岛素6～12U，胰岛素滴注率下调至0.05U/（kg？h），持续静脉滴注。当血糖降至11.1mmol/L以下，碳酸氢盐＞18mmol/L，pH＞7.3，酮体阴性后，可以开始皮下注射胰岛素治疗方案。皮下注射短效胰岛素后，静脉胰岛素仍需继续维持1～2小时以防止血糖回升。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年来已陆续有报道应用速效胰岛素类似物，如门冬胰岛素（insulin aspart）或赖脯人胰岛素（lispro）每1～2小时皮下注射治疗无并发症的糖尿病酮症酸中毒，可得到与普通胰岛素静脉滴注治疗相似的效果，尚待积累更多经验。</p><p>2.补液</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">大多数DKA患者存在液体和电解质的丢失，补液不仅能纠正失水，还有助于血糖下降和酮体的清除。先快速静脉输注生理盐水，旨在扩充细胞外容量，恢复肾灌注，最初每小时静脉滴注15～20ml/kg。随后根据脱水程度、血清离子浓度和尿量选择输液类型和速度，在血压已稳定正常但血钠和血渗透压仍较高的患者，可短暂改用0.45%～0.6%的氯化钠［速率4～14ml/（kg？h）］，并加强对神志的观测，一旦血渗透压和血钠有所下降，即应考虑改回用生理盐水（参见高渗性高血糖状态），而血钠较低的患者可继续输注生理盐水［速率4～14ml/（kg？h）］。补液应先快后慢，如无心力衰竭，在开始1小时内输入1000～1500ml，以后根据血液、心率、每小时尿量、周围循环状况决定输液量和速度，在第3～6小时输入1000～2000ml，第1个24小时输液总量一般为4000～5000ml，严重失水者可达6000～8000ml。如治疗前已有低血压和休克，快速补液不能有效升高血压时，应输入胶体溶液，并采用其他抗休克措施。老年患者、充血性心力衰竭或肾功能不全患者需酌情调整补液速度和液体种类。儿童患者的补液速度为前4小时10～20ml/（kg？h），一般不超过50ml/（kg？h）。补液速度需控制，在48小时以上纠正脱水。脱水和渗透压纠正过快导致脑水肿的情况尽管少见，但是后果严重，而且在儿童中发生率相对较高。</p><p>3.纠正电解质紊乱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">通过输注生理盐水，低钠、低氯血症一般可获纠正。DKA时总体钾丢失严重［估计损失量3～5mmol/kg］。补液、胰岛素治疗和纠正酸中毒使钾离子向细胞内转移，血钾水平更低。为了防止低血钾，在开始治疗时，只要患者血钾＜5.5mmol/L，且尿量足够，即可开始补钾，并注意血钾和心电监测。如治疗前已有高血钾，等血钾降至正常范围开始补钾。每升液体需加入20～40mmol钾。为了防止血氯增加，可用磷酸钾或醋酸钾替代氯化钾治疗。通过治疗要使血钾＞3.5mmol/L。如治疗前血钾低于3.3mmol/L，在使用胰岛素之前需先补钾，血钾升至3.3mmol/L（3.3meq/L）以上后，再开始使用胰岛素。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DKA时磷缺乏也十分常见，当血磷严重下降，低于0.48mmol/L，且血钙正常才考虑补磷。小剂量静脉应用磷酸钾合并氯化钾较为安全和有效。一旦患者可以进食，则推荐口服补磷。</p><p>4.补碱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DKA患者经上述治疗后，酸中毒随代谢紊乱的纠正而恢复，通常不需要补碱。而当血pH低至6.9～7.1时，可引起一些不良心血管反应，包括低血压、心脏输出量降低、外周血管阻力降低，肺动脉阻力增高、心动过缓和心律失常；也可导致肾和肠系膜缺血、脑血管扩张、脑脊液压力增高和昏迷，使缓冲碱剩余大大减少，也可引起胰岛素抵抗，则应予以补碱治疗，但过多过快补碱会产生不良反应，包括碱中毒，脑脊液pH反而降低、低钾血症、容量负荷过量、组织氧化作用改变和酮体生成过多。因此，除非pH低于7.0或出现明显的酸中毒临床表现，否则补碱治疗需慎重。如pH在6.9～7.0时，以50mmol/L碳酸氢钠，稀释于200ml的0.45%盐水中1小时内滴完；如pH＜6.9，以100mmol/L碳酸氢钠，稀释于400ml的0.45%盐水中2小时内滴完。30分钟后复查血pH，若pH仍低于7.0，可再次补充碳酸氢钠，如pH升至7.2，即可停止补碱。</p><p>5.诱因和并发症治疗（1）感染：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">既可是诱因，也可是并发症，常因DKA的严重症状而被忽略，须予以针对性的处理，以免影响整体疗效。</p><p>（2）肺水肿、呼吸窘迫：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常见于老年人，可能是补液速度过快、左心室功能不全或毛细血管瘘综合征。因此，动态监测氧饱和度、液体出入量甚至有创性血流动力学检查均十分必要。</p><p>（3）心力衰竭、心律失常：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">年老或合并冠心病尤其是急性心肌梗死、输液过多等可导致心力衰竭和肺水肿，应注意预防，一旦出现，及早治疗。血钾过低、过高均可引起严重心律失常，应在心电监护下，尽早发现，及时治疗。</p><p>（4）肾衰竭：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DKA时失水、休克，或原来已有肾病变以及治疗延误等，均可引起急性肾衰竭。注意预防，一旦发生，及时处理。</p><p>（5）脑水肿：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是DKA最严重的并发症，多见于儿童，约占儿童患者的1%，成人少见。就诊时二氧化碳分压较低和血尿素氮水平高，治疗时血钠上升缓慢，需要补充碳酸氢钠治疗的患者均有出现脑水肿的威胁。儿童患者脑水肿的发生与补液速度或血糖降低速度无明显相关性。儿童DKA患者在治疗过程中突发神志改变，需警惕脑水肿可能，一旦发现，应采用高渗性脱水治疗。</p><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">高渗性高血糖状态</h6><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">高渗性高血糖状态（hyperosmolar hyperglycemic state，HHS）是糖尿病严重急性并发症之一，多发生于那些已有数周多尿、体重减轻和饮食减少病史的老年2型糖尿病患者，指上述患者最终出现的精神错乱、昏睡或昏迷的状态。临床上多表现为严重高血糖而基本上无酮症酸中毒、血浆渗透压升高、失水和意识障碍等精神神经系统症状。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HHS的常见诱因有感染、急性胃肠炎、胰腺炎、脑血管意外、严重肾疾患、血液或腹膜透析、水摄入不足、大量摄入含糖饮料等；许多药物也可成为HHS的诱因，包括糖皮质激素（尤其是肾移植患者）、利尿药（如噻嗪类和呋塞米）、免疫抑制剂、氯丙嗪等；大量输注葡萄糖、长期静脉内营养支持亦可诱发或促进HHS的发生。</p><p>（一）发病机制和病理生理学</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HHS是体内胰岛素相对缺乏使血糖升高，并进一步引起脱水，最终导致的严重高渗状态。胰岛素相对不足、液体摄入减少是HHS的基本病因。胰岛素缺乏促进肝葡萄糖输出（通过糖原分解和糖异生）、损伤了骨骼肌对葡萄糖的利用（见上文DKA），高血糖的渗透性利尿作用导致血容量不足，如补液不充分，患者病情加重。另外，HHS的发生发展受到一系列因素的影响：存在感染、外伤、脑血管意外等诱发因素的情况下，胰岛素分泌进一步减少，对抗胰岛素的激素水平升高，血糖明显升高；HHS多发生于老年患者，口渴中枢不敏感，加上主动饮水的欲望降低和肾功能不全，失水常相当严重，而钠的丢失少于失水，致血钠明显增高；脱水和低血钾一方面能引起皮质醇、儿茶酚胺和胰高血糖素等升糖激素的分泌增多，另一方面进一步抑制胰岛素分泌，继而造成高血糖状态的继续加重，形成恶性循环，最终导致HHS发生。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HHS与DKA都是由于胰岛素缺乏而引起的糖尿病急性并发症，DKA主要表现为高血糖、酮症和酸中毒，而HHS以严重高血糖和高渗透压为特征。这两种代谢紊乱临床表现的差别，可能的原因为：①HHS时胰岛素只是相对缺乏，分泌的胰岛素虽足以抑制脂肪分解和酮体生成，但却不能抑制糖异生，故主要为血糖的明显升高；但在DKA胰岛素是高度缺乏，已不能抑制酮体生成；②胰高血糖素等升糖激素升高较轻，促进脂肪分解和生酮作用较弱；③HHS时失水严重，不利于酮体产生；④部分HHS患者血浆非酯化脂肪酸水平高而无酮症，提示肝生酮功能障碍；⑤严重高血糖和酮体生成之间可能存在拮抗作用。由此可见，HHS与DKA是不同程度的胰岛素缺乏所导致的两种状态，两者可能同时存在，实际上，1/3的高血糖患者可同时表现出HHS和DKA的特征。</p><p>（二）临床表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HHS发病率低于DKA，多见于60岁以上老年人，男女发病率大致相同，约2/3患者过去有糖尿病病史，且多为2型糖尿病。HHS起病多隐匿，从发病到出现典型的临床表现一般为1～2周，偶尔急性起病。患者起病初期多有口渴、多饮、多尿、乏力等糖尿病症状出现或加重，可同时伴有恶心、呕吐、食欲减退、反应迟钝、表情淡漠等临床表现。随着病情进展，逐渐出现典型的HHS临床表现，主要表现为严重脱水和中枢神经系统损害。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HHS患者常有严重的脱水征，体格检查可见皮肤黏膜干燥、弹性减退，眼球凹陷，唇舌干裂，随着病情进展，可出现脉细速，卧位时颈静脉充盈不全，直立性低血压等周围循环衰竭表现。不少患者就诊时已处于休克状态，但因脱水严重，体检时可无冷汗。部分患者虽有严重脱水，但因血浆的高渗状态促使细胞内液外出，补充了血容量，可能掩盖了失水的严重程度，而使血压仍然维持正常。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HHS患者中枢神经系统损害的症状非常突出，患者意识水平主要决定于血浆渗透压升高的程度。通常患者血浆有效渗透压超过320mOsm/kg H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O时，即可出现精神症状，如淡漠、嗜睡等，而当患者血浆有效渗透压超过350mOsm/kg H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O时，可有定向力障碍、幻觉、上肢拍击样粗震颤、癫痫样抽搐、失语、偏盲、肢体瘫痪、昏迷及锥体束征阳性等表现。这些体征提示患者可能有因脱水、血液浓缩或血管栓塞而引起的大脑皮质或皮质下损害。经治疗后，上述神经系统症状、体征多可完全恢复正常，但少数患者可能在HHS纠正后一段时间内仍遗留部分中枢神经系统损害表现。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HHS常由严重的并发疾病如心肌梗死或脑卒中诱发。败血症、肺炎和其他一些感染是HHS常见的诱因。另外，一些导致机体抵抗力下降的因素如脑卒中前或痴呆对HHS的发生发展有促进作用。所以在处理HHS患者时也应注意有无诱发疾病表现，及时纠正。</p><p>（三）实验室检查1.尿液检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">尿糖强阳性，肾功能不全可使肾糖阈值升高，但尿糖阴性者罕见；尿酮阴性或弱阳性；可有蛋白尿和管型，与肾小管功能受损有关。</p><p>2.血液检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HHS患者主要的血生化指标检查与DKA的比较见表14-4-15。最显著的特征是高血糖、高血渗透压和肾前性氮质血症。血酮体正常或略高，半定量测定多不超过4.8mmol/L（50mg/dl）。另外，因血糖每升高5.6mmol/L，血钠下降1.6mmol/L左右，HHS时存在严重高血糖，可造成血钠水平假性降低。渗透压可直接测定，也可用公式计算，即血浆总渗透压（mOsm/kg H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O）＝2× （Na<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>+K<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>）+血糖（mmol/L）+BUN（mmol/L），因BUN能自由通过细胞膜，不构成细胞外液的有效渗透压，略去BUN的值即为有效血浆渗透压。HHS时，有效血浆渗透压明显升高，一般在350mOsm/kg H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O以上。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表14-4-15　糖尿病酮症酸中毒（DKA）和高渗性高血糖状态（HHS）实验室检查</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527127492878011030.jpg\" title=\"1527127492878011030.jpg\" alt=\"T14-4-15_70444.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1001px; table-layout: fixed;\"/></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">注：<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">*</span>治疗过程中会发生极大变化；<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">**</span>血浆水平表现为正常或增高，机体的储备量减少</p><p>（四）诊断与鉴别诊断</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HHS的诊断并不困难，关键要提高对本病的认识和警惕，及早发现，及时治疗。如发现中、老年患者有显著的精神障碍和严重的脱水，而无明显的深大呼吸，应考虑到发生本病的可能，并立即作相应实验室检查和辅助检查，包括血糖、血酮、血电解质、血尿素氮和肌酐、血气分析、尿糖、尿酮体、心电图等。HHS的诊断依据是：①中、老年患者，血糖≥33.3mmol/L；②有效血浆渗透压≥320mOsm/kg H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O；③血清碳酸氢根≥15mmol/L或动脉血pH≥7.30；④尿糖强阳性，血酮体阴性或弱阳性。另外，要注意HHS有并发DKA或乳酸性酸中毒的可能性，因此诊断依据中的①、③或④不符合时不能作为否定诊断的依据。但HHS患者均存在明显的高渗状态，如昏迷患者血浆有效渗透压低于320mOsm/kg H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O，应考虑到其他疾病引起昏迷的可能性，HHS与其他疾病的鉴别见表14-4-14、表14-4-15。</p><p>（五）治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对患者需启动代谢、心、肾功能监护，并观察神经系统症状和体征变化。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血容量不足和高血糖是HHS和DKA的共同主要特征。因此在这方面的治疗有共同的特点，而HHS基本上无酸中毒或甚轻微，DKA则酸中毒明显，因而HHS对胰岛素的需要量远较DKA为小。在HHS和DKA时，监测患者液体补液情况，实验室检查结果和胰岛素输注率至关重要。另外，应积极寻找和去除诱发因素。HHS患者由于病程长，液体丢失和脱水的情况较DKA更加显著。HHS患者通常年龄比较大，更容易发生精神状态的改变和伴发其他威胁生命的疾病。因此即使予以及时治疗，HHS患者的死亡率仍然比DKA要高（临床统计显示死亡率可高达15%），故要特别强调预防、早期诊断和治疗。</p><p>1.补液</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HHS患者均有严重脱水，而高渗状态引起的脑细胞脱水是威胁患者生命的主要原因，单纯补液即可使血糖每小时下降1.1mmol/L（20mg/dl），可使血浆渗透压下降，减轻脑细胞水肿。因此积极补液在治疗中至关重要，对预后起决定性作用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对HHS患者而言，首选生理盐水，因生理盐水的渗透压为308mOsm/kg H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O，相对于HHS情况下的血浆高渗透压而言是低渗的。输注生理盐水能迅速有效地补充血容量，改善肾功能并降低血糖。如治疗前已有休克，可先补充生理盐水和适量胶体溶液，以尽快纠正休克。如无休克，经输注生理盐水1000～2000ml后，血浆渗透压仍＞350mOsm/kg H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O，血钠＞155mmol/L，可谨慎给一定量的低渗溶液（0.45%～0.6%盐水），并在中心静脉压及血浆渗透压监测下调整补液量和速度；当渗透压降至330mOsm/kg H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O时，再改为等渗溶液。治疗过程中应注意大量使用生理盐水可使患者的血钠和血氯升高，导致高氯血症。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5%葡萄糖液的渗透压为278mmol/L，虽为等渗，但糖浓度约为正常血糖的50倍，5%葡萄糖盐水的渗透压为586mmol/L，因此，在治疗早期两者均不适用，以免加剧高血糖、高血钠及高渗状态。当血糖降至16.7mmol/L （300mg/dl）时，可开始输入5%葡萄糖液并酌情加用胰岛素。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">输液总量一般按患者原体重的10%～12%估算，补液速度应先快后慢，通常开始2小时内输1000～2000ml，头12小时给输液总量的1/2再加上当日尿量的液体量，其余在24小时内输入。输液中要观察尿量、心功能、神经系统表现和体征变化，必要时监测中心静脉压。</p><p>2.胰岛素治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">与DKA的治疗一样，尽管最初的补液和容量扩张可以降低血糖，HHS患者仍需要胰岛素治疗，由于患者一般对胰岛素比DKA患者敏感，通常所需胰岛素的剂量比酮症酸中毒时少。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前多主张小剂量胰岛素治疗方案，可先静脉推注普通胰岛素5～10U，继续用静脉滴注维持治疗（3～7U/h）。血糖和电解质等的监测要求与DKA相似。当患者血糖降至16.7mmol/L，血浆渗透压＜330mOsm/kg H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O时，转为第二阶段治疗，改用5%葡萄糖或糖盐水，按葡萄糖与胰岛素比例（2～4）∶1加入胰岛素，若此时血钠低于正常值，用5%葡萄糖盐水效果更佳。持续静脉输注胰岛素，直到患者恢复正常饮食，且可以用皮下注射胰岛素控制血糖为止。患者出院时均需用胰岛素控制血糖，部分患者日后可试改用口服降糖药物治疗。</p><p>3.补钾</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HHS患者体内钾丢失严重，约丢失5～10mmol/kg，总量可达400～1000mmol，因为高血糖引起渗透性利尿，部分患者有酸中毒，细胞内钾移向细胞外，患者治疗前血钾往往正常，而在输注生理盐水的过程中可出现低钾血症。因此，只要患者血钾不高，尿量充足，治疗开始时即应补钾，可在1000ml生理盐水中加入10%氯化钾，每天可补4～6g，另外应鼓励患者同时口服补钾。静脉补钾过程中需监测血钾和心电图，如患者肾功能不全，补钾时尤应注意。</p><p>4.其他治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">注意纠正电解质紊乱，积极去除诱因，输氧，尿少者可静脉静滴呋塞米，特别是高钠血症患者。对于合并DKA的患者，应按DKA治疗原则纠正酸中毒。对昏迷患者需加强护理，留置导尿管以观察尿量变化，并选用适当抗生素以预防和控制感染，密切观察患者病情变化。</p><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">乳酸性酸中毒</h6><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">乳酸性酸中毒（lactic acidosis）是由于各种原因导致组织缺氧，乳酸生成过多，或由于肝的病变致使乳酸利用减少，清除障碍，血乳酸浓度明显升高引起。它是糖尿病的急性并发症之一，多发生于伴有全身性疾病或大量服用双胍类药物的患者。</p><p>（一）发病机制与分类</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">当组织缺氧时，线粒体功能障碍，丙酮酸堆积在胞浆转化成乳酸，从而引发乳酸性酸中毒。正常情况下，机体代谢产生的乳酸主要在肝中氧化利用，或被转变成糖原储存，少量乳酸经肾排出。而在肝肾疾病的情况下，乳酸利用和排出减少也可诱发和加重乳酸性酸中毒。乳酸性酸中毒分为先天性和获得性两大类。先天性乳酸性酸中毒是由遗传性酶的缺陷（如葡萄糖-6-磷酸酶、丙酮酸脱氢酶和丙酮酸羧化酶），造成乳酸、丙酮酸代谢障碍引起。而获得性乳酸酸中毒根据发病原因主要分为A型和B型两大类，具体如下：</p><p>1.A型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由组织缺氧引起，见于各种休克、贫血、右心衰竭、窒息、低氧血症、CO中毒等。</p><p>2.B型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">非组织低氧所致。</p><p>（1）系统性疾病引起：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">见于糖尿病、恶性肿瘤、肝衰竭、严重感染、尿毒症、惊厥、胰腺炎及胃肠病等。</p><p>（2）药物及毒素引起：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多见于双胍类、果糖、山梨醇、甲醇、乙醇、水杨酸类及乙二醇、可卡因、氰化物、儿茶酚胺等。</p><p>（二）临床表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患者起病较急，有深大呼吸（不伴铜臭味）、神志模糊、嗜睡、木僵、昏迷等症状，可伴有恶心、呕吐、腹痛。缺氧引起者有发绀、休克及原发病表现。药物引起者常有服药史及各种中毒表现。系统性疾病引起者，除原发病症状外，以酸中毒为主。但本病症状与体征可无特异性，轻症者临床表现可不明显，可能仅表现为呼吸稍深快，常被原发或诱发疾病的症状所掩盖，应注意避免误诊或漏诊。</p><p>（三）实验室检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患者乳酸浓度多超过5mmol/L，有时可达35mmol/L，血乳酸浓度超过25mmol/L的患者通常预后不佳。丙酮酸浓度相应升高达0.2～1.5mmol/L，乳酸/丙酮酸≥30∶1。<img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%86%85%E7%A7%91%E5%AD%A6_%E5%85%A82%E5%86%8C(%E4%B8%8A)_978-7-117-17272-1/pics/BZ_1043_318_635_372_654.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/>明显降低，常＜10mmol/L，CO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>结合力常＜9mmol/L，阴离子间隙［Na<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>+K<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>-<img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%86%85%E7%A7%91%E5%AD%A6_%E5%85%A82%E5%86%8C(%E4%B8%8A)_978-7-117-17272-1/pics/BZ_1043_139_695_193_717.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/>+Cl<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">-</span>）］常＞18mmol/L，一般为25～45mmol/L。酮体可正常或轻度升高。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">另外乳酸性酸中毒的患者血白细胞多明显升高。</p><p>（四）诊断</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">乳酸性酸中毒是糖尿病的急性并发症之一，其发生率低，死亡率高，预后较差，因此早期的诊断对其治疗有着重要意义。对口服双胍类药物的糖尿病患者如出现严重的酸中毒而血酮体无明显升高应考虑到本病的可能，如患者血乳酸＞5mmol/L，乳酸/丙酮酸≥30∶1，<img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%86%85%E7%A7%91%E5%AD%A6_%E5%85%A82%E5%86%8C(%E4%B8%8A)_978-7-117-17272-1/pics/BZ_1043_130_939_184_964.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/>＜10mmol/L，阴离子间隙＞18mmol/L，可诊断为糖尿病乳酸性酸中毒。</p><p>（五）治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">乳酸性酸中毒应以预防为主。因为双胍类药物可诱发乳酸性酸中毒，而肝肾功能不全者，药物在体内的代谢、降解、排泄减少，可导致双胍类药物在体内蓄积，引起乳酸性酸中毒，因此对于肝肾功能不全的患者应尽量避免使用双胍类药物，以免发生本症。而一旦发生乳酸性酸中毒，应积极地治疗，其治疗注意以下几点：</p><p>1.病因治疗和对症处理</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">积极寻找乳酸性酸中毒的诱因，停用双胍类药物，胰岛素不足诱发者应采用胰岛素治疗。缺氧的患者应立即予以吸氧，休克者应积极补液扩容改善组织灌注，减少乳酸产生，促进利尿排酸。另外在治疗过程中，密切监测患者的生命体征变化，及时检测血乳酸、血气分析、血糖和血电解质。</p><p>2.纠正酸中毒</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">酸中毒经确诊后应立即治疗，目前主张给予小剂量NaHCO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>持续静脉滴注的方式，使<img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%86%85%E7%A7%91%E5%AD%A6_%E5%85%A82%E5%86%8C(%E4%B8%8A)_978-7-117-17272-1/pics/BZ_1043_545_1395_598_1418.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/>上升4～6mmol/L，维持在14～16mmol/L，动脉血pH高于7.2。而以往强调的大量NaHCO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>静脉滴注的方法多不主张采用，因为大剂量NaHCO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>可引起高血钠、高血渗透压，加重了容量负荷，血乳酸反而升高。这是因为碳酸氢钠静脉滴注后，CO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>产生增多，进入细胞使细胞内pH下降，加重细胞内酸中毒，可导致心肌收缩力减弱，心排血量减少，组织血氧灌注降低，无氧代谢加强，乳酸及氢离子产生增多，加重酸中毒，增加死亡率。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '14', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5396', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '321', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病肾病（diabetes nephropathy，DN）是糖尿病最常见的并发症之一，也是导致终末期肾衰竭最主要的原因。2007年KDOQI提出“糖尿病肾病”应当被“糖尿病肾脏疾病”（diabetic kidney disease，DKD）所替代。DKD是指临床上考虑由糖尿病引起的肾脏病变，如果肾脏穿刺活检病理检查证实则称为糖尿病肾小球病变（diabetic glomerulopathy）。在美国，透析和移植的患者中超过30%的患者患有糖尿病。近年来，我国糖尿病和糖尿病肾病的发病率也呈现上升的趋势。无论是1型还是2型糖尿病，30%～40%的患者可出现肾脏损害，而2型糖尿病中约5%的患者在被诊断为糖尿病的同时就已存在糖尿病的肾脏损害。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5397', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '321', '病理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病肾病光镜下早期可见肾小球肥大、基底膜轻度增厚、系膜轻度增生。随着病情进展，基底膜弥漫增厚，基质及少数系膜细胞增生，形成典型的K-W（Kimmelstiel-Wilson）结节，称为结节性肾小球硬化症。部分患者无明显结节，称为弥漫性肾小球硬化症。并常可见内皮下纤维蛋白帽、球囊滴、小动脉透明样变，伴随肾小管萎缩、近端肾小管上皮细胞空泡变性、肾乳头坏死及间质炎症细胞浸润等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">免疫荧光检查可见沿肾小球毛细血管袢、肾小管和肾小球基膜微弱的弥散的线状IgG沉积，还可伴有IgM、补体C3等沉积。系膜区及K-W结节中罕见IgG、IgM或C3沉积。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">电镜下，早期肾小球基底膜不规则增厚、系膜区扩大、基质增多，晚期则形成结节状，这与光镜下所见的K-W结节吻合；渗出性病灶可显示为微细颗粒状电子致密物，还可见足突融合等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">不同于其他肾脏疾病，糖尿病肾病一直以来都缺少一个统一的国际病理分型标准。2010年肾脏病理学会（Research committee of the renal pathology society）发布了由全球各国家肾脏病理学家共同完成的最新糖尿病肾病病理分型国际标准（表19-7-3），该标准将糖尿病肾病分为4型，并对小管间质损伤进行评分（表19-7-4）。&nbsp;发病机制</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表19-7-3　糖尿病肾病病理分型</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527127651154066392.jpg\" title=\"1527127651154066392.jpg\" alt=\"T19-7-3_56817.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1996px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表19-7-4　糖尿病肾病间质小管及血管评分标准</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527127664876035163.jpg\" title=\"1527127664876035163.jpg\" alt=\"T19-7-4_33727.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 2002px; table-layout: fixed;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由胰岛素代谢障碍而致长期高血糖是糖尿病肾脏损伤发生的最关键原因；高血糖造成肾脏血流动力学改变以及葡萄糖本身代谢异常所致的一系列后果为造成肾脏病变的基础；众多生长因子、细胞因子被激活则是病变形成的直接机制。</p><p>（一）肾脏血流动力学改变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要表现为肾小球高灌注、高压力、高滤过。在血糖控制欠佳的患者中将出现肾小球体积增大，肾小球毛细血管表面积增加。导致高滤过的原因有：①入球小动脉与出球小动脉不成比例的扩张，扩张入球小动脉的活性物质（包括前列腺素、NO、心钠素等）过多或作用过强；②肾小管-肾小球反馈（TGF）失常；③肾髓质间质压力过低。近来认为近端肾小管中钠-葡萄糖协同转运过强使钠盐在该处过度重吸收是发病的关键。由于这种过度重吸收使鲍曼囊压力降低，肾小球滤过被迫增多。高滤过可导致肾小球血流量及毛细血管压力升高、蛋白尿生成、肾小球毛细血管应切力改变而形成病变、局部RAS兴奋、PKC活性增强、血管活性因子/生长因子增加。既往动物实验已经证实血管紧张素转换酶抑制药及低蛋白饮食可降低肾小球内毛细血管压力，而高滤过学说为延缓糖尿病进展的干预措施提供了理论基础。</p><p>（二）脂代谢紊乱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病患者常伴有脂质代谢紊乱，主要表现为血胆固醇、甘油三酯、低密度脂蛋白及apoB升高，高密度脂蛋白和apoA<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>降低或正常。在实验性糖尿病模型中，发现大量脂质在肾小球沉积，并与肾小球损害程度相一致，予特异性降脂治疗如HMG CoA还原酶抑制药或低脂饮食，可防止或逆转糖尿病肾病进展。脂质代谢紊乱可促进肾小球硬化，原因可能为：①肾小球脂质沉积，渗入肾小球单核/巨噬细胞吞噬脂质增加，变成泡沫细胞；②肾内脂肪酸结构改变，肾内缩血管活性物质增加，肾小球毛细血管内压升高；③血浆黏滞度增加，红细胞刚性变化，改变了肾小球内的血液流变学；④LDL特别是氧化LDL对系膜细胞、单核/巨噬细胞的作用；⑤胆固醇合成代谢通路的许多中间产物对NFκB、PKC等的直接作用；⑥LDL的糖基化与RAGE（AGEs受体）作用后，刺激PKC及蛋白酪氨酸激酶，诱导TGF<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">-</span>β表达增加；⑦LP（a）增高，抑制纤溶酶活性，导致肾小球毛细血管内凝血和血栓形成。</p><p>（三）糖代谢紊乱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">越来越多的证据表明，高血糖导致的代谢异常是糖尿病肾病发生发展的最重要因素。早在20年前，即有随机对照研究证实了在1型糖尿病中，强化血糖控制可有效降低糖尿病肾病及其他微血管并发症的发生。此外，在功能性胰岛移植后的较长时间（10年）后，重复肾活检可观察到糖尿病肾病肾脏病变的逆转。</p><p>1.晚期糖基化终末产物（advanced glycation end products，AGEs）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">高糖使晚期糖基化终末产物合成增多，沉积于血管壁。该物质可通过下列途径起作用：①使肾小球基底膜成分交联增多，基底膜胶原纤维的平均直径/孔隙增大，导致基底膜增厚及孔径大小选择性和电荷选样性丧失，滤过膜通透性增高，引起蛋白尿；②使循环蛋白交联，交联后的蛋白，特别是白蛋白更易透过滤过膜，堆积在系膜区，促使系膜细胞增殖及细胞外基质增多；③糖化的血管壁基质通过AGEs，捕获渗出血管外可溶性血浆蛋白如富含胆固醇的LDL，致LDL在局部堆积，促进动脉粥样硬化；④蛋白的糖基化，使许多功能性蛋白的调节功能受损；⑤通过AGEs与细胞上的特异性受体（AGER）结合而激活细胞，尤其是巨噬细胞，使后者分泌大量细胞因子和炎症介质引起组织损伤，细胞外基质合成增加；⑥胶原成分的不断交联，使其不易受胶原酶降解，加重了基底膜的增厚，系膜细胞外基质的不断积聚。</p><p>2.多元醇通路的激活</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">当血糖持续升高，超过糖原合成和葡萄糖氧化分解能力时，多元醇通道激活，葡萄糖转变为山梨醇，然后在山梨醇脱氢酶作用下转变为果糖。过多的山梨醇和果糖在胞内积聚引起细胞内高渗，导致细胞肿胀破坏。此外，还引起胞内肌醇池耗竭，磷脂酰肌醇合成受限，进而使细胞膜Na<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>-K<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>-ATP酶活性下降，前列腺素产生增加，最终引起血流动力学异常。</p><p>3.二酰甘油-蛋白激酶C途径激活（DAG-PKC）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多元醇通路激活可产生大量辅酶NADH，后者可促进DAG产生，参与PKC途径激活。PKC激活的机制主要是由于PKC从细胞内可溶性部分向细胞膜转位，DAG是该过程的主要激活物，高糖本身也可促进PKC基因表达。PKC激活通过以下几条途径导致糖尿病肾脏损害：①通过影响血管紧张素Ⅱ（AngⅡ）或其他激素的细胞信号传递过程而损伤肾脏；②通过影响某些特殊基因的转录水平，例如TGF-β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>、PAI-1等，调控细胞外基质的合成与分解；③影响内皮细胞的通透性，改变GBM的滤过功能；④抑制一氧化氮（NO）合成酶的活性，NO生成减少，进而抑制cGMP合成，引起血管收缩功能改变。</p><p>（四）细胞因子的作用</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">动物实验发现一系列细胞因子、激素及细胞内信号通路参与了糖尿病肾病的发生发展，如血管紧张素Ⅱ、转化生长因子-β（TGF-β）、内皮素、结缔组织生长因子、血管内皮生长因子（VEGF）、前列腺素及一氧化氮等。由于这些因子同样参与了非糖尿病肾脏疾病的发病，因此它们并非糖尿病肾病所特有，然而，针对这些细胞因子及信号通路的干预措施同样可能为将来糖尿病肾病的治疗提供可能的新的靶点。</p><p>1.血管紧张素Ⅱ（AngⅡ）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病状态下肾脏局部RAS呈异常活跃状态。AngⅡ选择性收缩出球小动脉导致肾内跨膜压增高；通过增加硫酸肝素糖蛋白转运，降低基底膜滤过屏障负电荷；通过分泌血管通透性因子，使内皮细胞通透性增加。此外，AngⅡ还作为促生长因子与高血糖协同作用，刺激TGF-β等产生；抑制细胞内蛋白酶，降低纤维蛋白降解；抑制NO合成酶，cGMP产生减少，增加胞内PKC活性，促进近端肾小管钠转运。</p><p>2.转化生长因子-β（TGF-β）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">TGF-β通过促进细胞外基质的积聚而参与糖尿病的肾脏损伤。TGF-β促进细胞外基质的形成主要通过下列途径：①直接刺激细胞外基质中多种成分如纤维连接蛋白、胶原及蛋白多糖形成；②影响基质蛋白酶活性，减少基质降解；③调节基质细胞整合素受体表达，促进细胞与基质黏附及基质沉淀；④通过自分泌作用诱导TGF-β本身合成，增强自身的众多生物活性；⑤可通过下游信号蛋白，即Smad蛋白家族起作用。</p><p>3.内皮素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">内皮素的基因和蛋白表达在糖尿病患者肾组织中均明显增加，受体亦有所上调。早期表达增加为机体的一种代偿机制，主要是对抗NO的扩血管作用。之后主要通过促使肾小球球后毛细血管收缩，引起小管-间质缺血损伤；促使肾小球上皮细胞大量合成蛋白多糖，致使基底膜增厚，系膜区扩张；刺激系膜细胞合成和释放TGF-β等生长因子；促进肾髓质产生超氧离子和过氧化氢等，对肾脏产生损害。</p><p>4.激肽及前列腺素系统</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">激肽系统本身可影响肾小球血流动力学，糖尿病早期的高滤过就有激肽系统的参与。糖尿病早期，体内缓激肽水平升高，使肾小球毛细血管内皮细胞释放EDRF，再作用于血管平滑肌，使其扩张。激肽系统还可通过活化磷脂酶A<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>通路，激活前列腺素（PG）系统，特别是扩血管的PGE<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>，发挥血管舒张作用，使RPF及GFR增高。PG系统也参与糖尿病的高滤过。PGI<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>可明显降低肾血管阻力，致RPF增加；TXA<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>相对收缩出球小动脉，使PGC升高。糖尿病时前列腺素的激活通过以下几条途径：DAG-PKC途径激活磷脂酶A<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>，使花生四烯酸释放增加；高糖本身可直接使膜结合的花生四烯酸释放增加；通过AngⅡ的作用；通过缓激肽、血小板活化因子等的作用。动物实验发现抑制PG合成的环氧化酶抑制药可明显防止肾小球高滤过，对预防DN的发生起一定作用。</p><p>（五）遗传因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">许多证据表明遗传因素在DN的发病中起重要作用：①DN的发病具有相当高的家族聚集性，当1型糖尿病患者有兄弟或姐妹罹患糖尿病肾病时，该患者出现糖尿病肾病的概率将超过70%；②DN与家族性高血压、心血管疾病密切相关；③DM患者肾脏累及存在种族差异性；④患DN的1型糖尿病患者红细胞Na<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>-Li<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>交换及白细胞Na<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>-H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>交换明显增强，提示存在基因过度表达。DN并非发生于所有糖尿病患者，遗传因素在决定DN易感性方面起着重要作用，特别是基因多态性。目前认为糖尿病肾病是一个多基因病，可能由于遗传异质性或个体研究中样本量相对较少，目前多项遗传连锁分析结果之间仍存在争议。例如，部分研究显示，ACE基因插入或缺失多态性导致D等位基因发生率及ACE水平升高，与非糖尿病肾脏疾病的发生及疾病的严重程度相关。同样的，部分连锁分析显示，血管紧张素原及血管紧张素Ⅱ受体1 （AT<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>）基因多态性与糖尿病的发生密切相关。糖尿病内皮功能紊乱与血管内皮一氧化氮的合成受损有关，有连锁分析显示，在患有2型糖尿病的印第安人中，内皮型一氧化氮合酶（eNOS）的基因多态性与肾脏病变的发生相关，部分其他种族人群糖尿病肾病的连锁分析同样证实了eNOS基因多态性的存在。部分研究表明，载脂蛋白E的基因多态性与糖尿病肾病的发病倾向密切相关。除此以外，与DN发病有关的基因还包括：晚期糖基化高级产物受体（RAGE）基因、葡萄糖载体Glut1基因、1型纤溶酶原激活物抑制因子（PAI-1）基因、TGF-β基因、同型半胱氨酸代谢酶亚甲基四氢叶酸还原酶基因、心房利钠肽基因、调解活化T细胞表达和分泌的趋化因子（RANTES）基因、超氧化物歧化酶（SOD）基因、脂蛋白脂肪酶（LPL）基因、核心蛋白多糖基因、VEGF基因、过氧化物酶体增生物激活受体γ（PPAR-γ）、醛糖还原酶基因，胰岛素受体基因，Ⅳ型胶原基因等。在对一些家族的研究结果也显示，2型DN的发生和某些染色体上的基因有关（如18q22.3-23）。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5398', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '321', '临床表现和分期', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1型糖尿病患者的发病时间比较确切，自然病程进展更为典型。2型糖尿病发病年龄相对较大，心血管死亡风险增加，合并症如高血压、动脉粥样硬化性心血管疾病、肥胖等较1型糖尿病相对较多。既往Mogensen根据肾小球滤过率（GFR）、尿白蛋白排泄率（UAE）以及肾脏病理学的特点将1型糖尿病肾损害分为五期。而目前多数学者建议将1型糖尿病肾病的进展分为四期。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅰ期：在糖尿病相关临床表现后出现，肾脏血流量及肾小球滤过率增加近50%，肾小球及肾小管肥大。偶可检测到短暂的微量白蛋白尿，尤其当压力、强体力活动、伴发疾病或血糖控制不佳时更为明显。高血压在1型糖尿病早期较少，而2型糖尿病起病初就较为多见。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅱ期：约30%的1型糖尿病患者在历经10年左右的病程后，可出现临床相对静止的Ⅱ期，主要特征表现为微量白蛋白尿（＞30mg/24h）。GFR可偏高或在正常范围内。肾脏病理表现为肾小球及肾小管基底膜增厚，系膜基质增生。由于高血压本身也可导致微量白蛋白尿，与2型糖尿病相比，1型糖尿病患者中微量白蛋白尿更多为糖尿病肾病所致。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅲ期：大部分微量白蛋白尿患者在经历5～7年后进入显性肾脏病时期（Ⅲ期），通过常规的尿蛋白试纸可检测出蛋白尿（总蛋白＞500mg/24h）及大量白蛋白尿（＞300mg/ 24h）。1型糖尿病患者可出现血压升高，且较2型糖尿病更为严重。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肾活检主要表现为弥漫性或结节样（K-W结节）肾小球硬化，尽管K-W结节是进展性糖尿病肾病的特征性病理改变，但仅25%左右患者可出现。类似K-W结节的肾小球结节样病变也可见于轻链沉积病、淀粉样变性及膜增生性肾小球肾炎Ⅱ型。糖尿病肾病的另一特征性病理改变为入球及出球小动脉透明变性，与原发性高血压所致的小动脉病变不同，后者病变仅限于入球小动脉。在显性肾脏病时期，进展性小管间质纤维化与肾功能减退密切相关，GFR开始出现下降，但血清肌酐水平仍可维持正常。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅳ期：即糖尿病肾病晚期，肾功能进行性下降直至终末期肾病。患者表现为肾病范围内蛋白尿（＞3.5g/24h）及系统性高血压，而无肾小球炎症（红细胞管型）或小管间质炎症（白细胞尿或白细胞管型）改变。肾脏体积往往表现为与肾功能不全程度不一致的增大。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">其他肾脏并发症：Ⅳ型肾小管酸中毒并高钾血症在糖尿病合并轻-中度肾功能不全的患者中较常见。这类患者当存在容量不足，或应用ACEI、ARB、β受体阻断药、选择/非选择性COX-2非甾体类抗炎药、肝素、保钾利尿药等影响肾素-血管紧张素系统的药物时，需注意监测预防高钾血症的发生。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病患者并发尿路细菌或真菌感染较常见，出现肾内或肾周脓肿的风险也较高。单侧或双侧肾动脉狭窄在2型糖尿病中更常见，尤其是当糖尿病患者出现难以控制的高血压或应用ACEI、ARB后出现血清肌酐快速升高时需考虑到该并发症可能。其他导致急性肾功能损伤的原因包括输尿管梗阻所致的肾乳头坏死、肾乳头脱落、膀胱自主神经病变功能失常导致的尿路梗阻及造影剂介导的急性肾小管坏死。此外，当糖尿病患者合并心功能不全或容量不足因素时，如胃轻瘫所致的呕吐、自主神经病所致的腹泻等，也可出现肾前性氮质血症或急性肾小管坏死。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5399', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '321', '诊断与鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于1型糖尿病患者在发病后5年，而2型糖尿病患者在确诊的同时就应注意糖尿病肾脏损伤存在的可能。临床应通过严格细致的筛查，筛查的指标主要依靠任意时间点尿中白蛋白与肌酐的比值（ACRmg/g），以及由血清肌酐获得的eGFR值。如果ACR＞300mg/g诊断为大量白蛋白尿（macroalbuminuria）；ACR在30～300mg/g之间为微量白蛋白尿（microalbuminuria）。这两种程度的白蛋白尿都与肾脏病变的进展有着密切的关系。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3～6个月内至少2次ACR异常就应考虑诊断。对于糖尿病的患者，如果存在下列问题应考虑DKD：①出现大量白蛋白尿；②微量白蛋白尿，伴有糖尿病视网膜眼底病变；③1型糖尿病患者，发病后10年出现微量白蛋白尿。肾穿刺病理检查可明确最后诊断。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如果出现下列情况，虽然有明确的糖尿病史，也应注意除外非糖尿病所致肾脏损伤：①有明显蛋白尿，但无糖尿病视网膜病变；②GFR短期内快速下降；③快速增多的蛋白尿或肾病综合征；④顽固性的高血压；⑤尿沉渣镜检见多形畸形红细胞；⑥存在其他系统的症状和体征；⑦首次应用ACEI或ARB后2～3个月内GFR下降＞30%；⑧24小时蛋白尿＞5g；⑨既往曾有非糖尿病的肾脏病史。必要时应行肾穿刺活检，明确诊断。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病肾脏疾病患者一般无血尿，当出现明显血尿时，应考虑其他原因导致的肾脏改变，如肿瘤、免疫复合物介导性肾炎、尿路感染等。行造影检查或其他药物检查时，应特别注意引起急性肾功能不全的问题。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5400', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '321', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病肾脏疾病的治疗，目前尚无特效的措施，主要强调早期干预各种危险因素，包括积极控制高血糖、严格控制血压、纠正脂质代谢紊乱、抗血小板聚集、治疗肥胖、戒烟等措施，以防止进一步肾损害。而且不同病期、不同对象治疗的侧重点有所不同。对于儿童、青少年、孕妇、老年人等特殊人群的糖尿病患者，在遵循一般人群的处理原则的基础上，建议也应采取一些特殊的治疗方案。例如，对于孕产妇的糖尿病患者，多个学科的专家应当协作处理。推荐在妊娠前给予RAS拮抗药治疗DKD可能有助于改善母婴的预后，一旦出现停经或者妊娠试验阳性后，应当马上停止该类药物的使用。此外，对于这类患者，如果临床需要药物控制血糖，则建议使用胰岛素治疗。</p><p>（一）控制血糖</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">严格的血糖控制可能无法阻止1型糖尿病进展至大量白蛋白尿，但却能够预防其他微血管并发症的发生，如视网膜病变、周围神经病变等，同时也能延缓1型及2型糖尿病患者肾脏病变的进展。目前认为糖尿病治疗的靶目标值为空腹血糖3.9～7.2mmol/L，随机血糖≤10.0mmol/L，糖化血红蛋白（HbA1c）＜7%。DKD发展到肾功能明显减退时，常易有低血糖发生，因此在控制血糖时应予注意。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">严格的血糖控制主要通过饮食治疗、降糖药物及胰岛素的合理应用。临床常用的口服降糖药物包括：磺脲类、双胍类、噻唑烷二酮类、α-葡萄糖苷酶抑制药等。其中磺脲类具有促进胰岛素分泌的作用，临床常用的有格列本脲（优降糖）、格列齐特（达美康）、格列喹酮（糖适平）、格列吡嗪（美吡达）等。减少胰岛素抵抗的药物包括双胍类（如二甲双胍）及噻唑烷二酮类（如罗格列酮、吡格列酮）。α-葡萄糖苷酶抑制药能抑制肠道糖吸收，常用的有阿卡波糖（拜糖平）及伏格列波糖（倍欣）等。胰岛素按作用快慢和持续时间分为超速效、速效、中效、长效和预混胰岛素。对于肾功能正常的患者，降糖药的使用主要根据患者胰岛的功能、血糖增高的特点以及是否存在肥胖来选择。当出现肾功能异常时，避免使用磺脲类和双胍类药物，应选用较少经肾排泄的药物。出现肾功能损伤的患者建议停用所有的口服降糖药，使用胰岛素。目前认为早期用胰岛素治疗不仅具有减轻高糖毒性的作用，同时可以抑制炎症反应，保护胰岛β细胞功能，降低糖尿病慢性并发症的发生。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床研究中观察到血糖控制良好的部分患者同样会发生DN，并进展至终末期肾衰竭，表明个体之间在细胞糖代谢调控基因背景上可能存在一定的差异。因此，在糖尿病治疗中胰岛细胞移植和干细胞移植越来越受到人们的关注。</p><p>（二）控制血压</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">与尚未出现大量白蛋白尿的患者相比，理想的血压控制更能延缓糖尿病肾病患者肾病的进展。目前，对于未进入肾脏替代治疗的糖尿病肾病患者，血压控制目标值在130/80mmHg以下。控制高血压一般首选ACEI或ARB制剂，当eGFR＜20ml/（min？1.73m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>），应停用。对于1型及2型糖尿病患者，ACEI及ARB除了能够降低系统血压外，还可带来额外的延缓肾病进展的获益，ACEI及ARB的联合应用可能更进一步地强化降蛋白尿的效果。ACEI的降蛋白尿作用在不同的患者差异很大，其内在原因可能与ACEI的基因多态性相关，在ID型尿蛋白下降19%，而DD型反而增加19%。因此，对于DD型，应加强阻断RAS的治疗。ACEI的副作用包括咳嗽、高钾、肾小球滤过率的一过性下降等。由于可能合并Ⅳ型肾小管酸中毒或肾动脉狭窄，因此，在应用ACEI、ARB过程中，尤其是第1周时要密切监测患者肾功能、血清钾及血容量的变化，对伴有肾动脉狭窄的患者要慎用和禁用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">若血压控制仍未达标，可加用其他降压药，如利尿药、心脏选择性β受体阻滞药、α受体阻滞药、非二氢吡啶类钙拮抗药（CCB）等。尽管二氢吡啶类CCB可能增加肾小球毛细血管内压力，但控制全身血压仍是治疗的根本，因此，二氢吡啶及非二氢吡啶类CCB均可有效地用于非加速性肾脏损伤的患者高血压治疗。利尿药和ACEI或ARB联合应用不仅降压效果好，还可以提高ACEI/ARB降尿蛋白作用。由于现在使用的是小剂量利尿药，因此对糖代谢的影响不大。小剂量β受体阻滞药并不影响体重，也不会产生高胰岛素血症，反而具有长期保护心脏、避免心血管事件的发生，尤其能降低心肌梗死患者死亡率的作用。因此，当合并劳力型心绞痛、陈旧性心肌梗死时可首选β受体阻断药。另外，其他降压药物如α<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>受体阻滞药、可乐定等在降压效果不佳时也可考虑，需注意体位性低血压等副作用。</p><p>（三）调节脂代谢异常</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">脂代谢异常是糖尿病的一个临床表现，调脂治疗对肾脏具有重要的保护作用。目前认为没有合并心血管疾病的糖尿病患者，LDL-C的目标应＜2.6mmol/l；合并心血管疾病的糖尿病患者，LDL-C＜1.8mmol/l。如果已给予最大耐受剂量他汀类降脂药，仍没有达到上述治疗目标，LDL比基线降低约30%～40%是一个替代目标。此外，其他指标的治疗目标为：TG＜1.7mmol/l，男性HDL-C＞1.0mmol/l，女性HDL-C＞1.3mmol/l。但是，他汀类药物控制LDL-C达标仍是首要选择。对于2型糖尿病维持性血液透析患者，如果临床无特定的心血管方面的治疗指征，不予他汀类药物治疗；妊娠期间禁用他汀类药物治疗。</p><p>（四）控制蛋白尿</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">研究已经证实如果能够减少尿白蛋白的排泄不仅有利于延缓DKD的进程，同时可以改善其预后。白蛋白尿的减少是DKD治疗的靶目标之一，因此ACEI和ARB可作为减少蛋白尿，保护肾功能的首选药物。DKD指南推荐对于正常血压的糖尿病患者，若已经存在大量白蛋白尿，应尽早尽快应用ACEI和（或）ARB类药物，若存在微量白蛋白尿，也推荐使用ACEI和（或）ARB。</p><p>（五）生活方式的调整</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病患者生活方式的自我调整是颇具挑战性的，原因在于糖尿病治疗具有密集性。在复杂的治疗方案中，不仅需要通过健康卫教改善和维持健康的生活方式，同时应当注重行为干预的多元治疗，其中包括：血糖的监测和控制、血压的达标、营养的摄入、戒烟、适宜的体育运动和用药的依从性等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病患者应严格控制体重，防治肥胖，BMI的目标值控制在18.5～24.9kg/m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>之内。适宜的营养治疗可能延缓肾脏损伤的进展，对于肾功能正常和GFR下降的糖尿病患者，蛋白质摄取量分别为0.8～1.0g/（kg？d）和0.6～0.8g/（kg？d）。尽管更进一步的饮食蛋白控制可能有助于延缓糖尿病肾病的进展，但也应同时考虑患者的个体营养需求。</p><p>（六）治疗并发症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">终末期的患者，常常合并高血压、动脉粥样硬化、心脑血管并发症、其他微血管病、神经病变和营养不良，而这些患者的远期存活率明显低于非糖尿病肾病患者。因此，应强调积极预防和治疗并发症，保护肾功能。</p><p>（七）肾脏替代治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">当糖尿病患者接近终末期肾衰竭时，处理原则与非糖尿病肾脏疾病患者类似。需在肾脏病医师的诊治观察下，开始制订合适的透析计划。通常情况下，当GFR＜15ml/（min？1.73m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>）时需开始透析治疗。对于合并容量依赖性高血压，或保守治疗难以控制的高钾血症，或尿毒症并胃轻瘫导致厌食、营养不良或难治性呕吐的糖尿病患者，往往需要早期开始透析治疗。可供选择的肾脏替代治疗包括血液透析、腹膜透析和肾移植。在美国，糖尿病肾病占肾移植患者近25%，其中大部分（＞90%）为1型糖尿病患者，其年龄相对较轻且严重的大血管并发症较2型糖尿病患者要少。胰腺或胰-肾联合移植可显著改善糖尿病肾病患者自主神经病变，延缓视网膜病变进展，同时可避免胰岛素应用相关并发症，使得患者的生活质量得到明显提高。然而，所有移植手段均受到器官来源的限制。</p><p>（八）治疗前景</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年来研制生产了一系列针对糖尿病肾脏疾病治疗靶点的新药物，这些药物可能具有很好的临床应用前景。如改善肾小球通透性的舒洛地特（sulodexide）；抗纤维化的吡非尼酮（pirfenidone）；重组的TGF-β抗体和抗CTGF；糖基化终末产物（advanced glycation end products，AGEs）抑制药及受体（RAGE）阻断药；蛋白激酶C（protein kinase C，PKC）抑制药；PPARγ激动药；肠促胰岛素（incretin）；选择性内皮素受体拮抗药（ETARA）和p38活化蛋白激酶（MAPK）抑制药等。但确切效果有待观察、研究证实。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5401', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '321', '预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DKD是糖尿病患者的一个严重的并发症，其预后不佳。影响其预后的因素主要包括遗传、种族差异、糖尿病的类型、蛋白尿的程度、高血压、血糖控制、高血脂，以及患者合并出现的动脉粥样硬化、眼底病变等的严重性。其他如胰岛素耐受、高胰岛素血症、血小板聚集功能异常也是重要的独立危险因素。近年证实吸烟对DKD也是一个危险因素。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患者需定期门诊随访，在最初治疗的6个月内每月复诊1次，此后根据病情变化3～6个月随访1次。在门诊随访期间需定期监测血压、血糖、尿检、血常规、血生化等指标，以评估疗效和治疗的不良反应。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5402', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '321', '参考文献', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.中华医学会糖尿病学分会.中国2型糖尿病防治指南（2010年版）.中国糖尿病杂志，2012（1）：1-37.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.American Diabetes Association.Standards of Medical Care in Diabetes（ADA′s major position statemet）.Diabetes Care，2012，35 （1）：4-63.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.Goldman L，Schafer AI.Goldman′s Cecil Medicine.24th ed. 781-782.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.European Association for Cardiovascular Prevention ＆Rehabilitation.ESC/EAS Guidelines for the management of dyslipidaemias：the Task Force for the management of dyslipidaemias of the European Society of Cardiology（ESC）and the European Atherosclerosis Society（EAS）.Eur Heart J，2011，32（14）：1769-1818.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.Cohen AH，Tervaert TW，Mooyaart AL，et al.Pathologic Classification of Diabetic Nephropathy.J Am Soc Nephrol，2010，21 （4）：556-563.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">6.National Kidney Foundation.KDOQI Clinical Practice Guidelines and Clinical Practice Recommendations for Diabetes and Chronic Kidney Disease.American Journal of Kidney Disease，2007，49（21）：1-143.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">7.Strippoli GF，Di Paolo S，Cincione R，er al.Clinical and therapeutic aspects of diabetic nephropathy.J Nephrol，2003，16（4）：487-499.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">8.Bakris GL.The evolution of treatment guidelines for diabetic nephropathy.Strategies integrate JNCⅥ，more recent protocols.Postgrad Med，2003，113（5）：35-50.</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5403', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1476', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">体内的碳水化合物代谢产生两种乳酸同分异构体（enantiomers），即左旋乳酸（L-乳酸，L-lactate，levolatic acid）和右旋乳酸（D-乳酸，dextrorotary lactate，dextrolatic acid）（图5-28-3）。因此，乳酸性酸中毒应分为L-乳酸性酸中毒（L-lactic acidosis）和D-乳酸性酸中毒（D-lactic acidosis）两类。但是，一般情况下的乳酸性酸中毒仅指L-乳酸性酸中毒。机体乳酸产生过多和（或）其清除减少引起血L-乳酸明显升高（≥5mmol/L），导致代谢性酸中毒（血碳酸氢盐≤10mmol/L，动脉血气pH≤7.35），称为L-乳酸性酸中毒（简称乳酸性酸中毒），而D-乳酸性酸中毒是指血清D-乳酸≥3mmol/L的临床状态。血乳酸增高而无血pH降低称为高乳酸血症（hyperlactacidemia）。在糖尿病基础上发生的乳酸性酸中毒称为糖尿病乳酸性酸中毒（diabetic lactic acidosis，DLA），亦应包括糖尿病L-乳酸性酸中毒（常见）和糖尿病D-乳酸性酸中毒（少见）两种。DLA的发病率在0.25%～4%，多发生于服用大量苯乙双胍伴肝肾功能不全和心衰等的糖尿病患者，虽不常见，但后果严重，死亡率高。</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527128015216098642.jpg\" title=\"1527128015216098642.jpg\" alt=\"P5-28-3_133055.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 250px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图5-28-3　乳酸的同分异构体</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5404', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1476', '病因与分类', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">乳酸性酸中毒可分为L-乳酸性酸中毒和D-乳酸性酸中毒两类，其病因与分类见表5-28-5。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表5-28-5　乳酸性酸中毒的病因与分类</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527128055878063074.jpg\" title=\"1527128055878063074.jpg\" alt=\"T5-28-5_133058.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 507px; table-layout: fixed;\"/></p><p>（一） L-乳酸和D-乳酸的来源和代谢不同1. L-乳酸来源与代谢</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">正常人血清中的L-乳酸来源于细胞代谢，以左旋乳酸为主，葡萄糖分解代谢生成的丙酮酸大部分经三羧酸循环氧化供能，但在缺氧或氧利用障碍时，大部分丙酮酸则在乳酸脱氢酶的作用下还原为乳酸。机体内产生乳酸的部位主要为红细胞（无线粒体）、骨骼肌、皮肤和神经等代谢活跃的组织；在氧供不充足时，人体绝大多数组织都能通过糖酵解途径生成乳酸。当人体在剧烈运动时，组织处于相对缺氧的生理状态；一些疾病（休克、心功能不全造成组织低灌注以及窒息或严重贫血造成低氧状态）也可导致机体处于缺氧的病理状态，均可使体内无氧糖酵解增强，乳酸生成增多。</p><p>2. D-乳酸来源与代谢</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">人类缺乏D-乳酸脱氢酶，仅能通过D-α-羟酸脱氢酶（D-α-hydroxy acid dehydrogenase）生成丙酮酸（图5-28-4）。由甲基乙二醛途径（methylglyoxal pathway）生成的D-乳酸很少，仅11～70nmol/L，尿D-乳酸＜0.1μmol/h。但在某些情况下，肠道细菌可产生大量D-乳酸，使血清D-乳酸升高数百至数千倍。此外，外源性D-乳酸或L-乳酸可来源于发酵食品（如腌菜和酸奶等）。D-乳酸在组织中的转运依赖于质子-依赖性单羧酸盐转运体（proton-dependent mono carboxylate transporters，MCT1～8），表达MCT的组织很多，如视网膜、骨骼肌、肾脏、肝脏、脑组织、胎盘、血细胞、毛细血管内皮细胞、心肌细胞和肠黏膜细胞等。</p><p>（二） 肝/肾是利用和清除L-乳酸的主要器官</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">正常情况下，肝脏可利用机体代谢过程中产生的乳酸为底物，通过糖异生合成葡萄糖，即所谓的Cori循环，或转变为糖原加以储存，少量乳酸经肾自尿液排出，机体乳酸的产生和利用之间保持平衡，血乳酸浓度相对恒定。若血乳酸明显升高，大大超过肝脏的处理能力，同时超过乳酸肾阈值（7.7mmol/L），则可通过肾脏由尿中排泄，因此在肝肾功能不全时，易出现高乳酸血症，严重时可发生乳酸性酸中毒。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">乳酸产生过多见于：①休克和左心功能不全等病理状态造成组织低灌流；②呼吸衰竭和严重贫血等导致动脉血氧合降低，组织缺氧；③某些与糖代谢有关的酶系（葡萄糖-6-磷酸脱氢酶、丙酮酸羧化酶和丙酮酸脱氢酶等）的先天性缺陷。乳酸清除减少主要见于肝肾功能不全。临床上，大多数的乳酸性酸中毒患者均不同程度地同时存在着乳酸生成过多及清除的障碍。</p><p>（三） 缺氧/疾病/药物/中毒引起L-乳酸性酸中毒</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">L-乳酸性酸中毒可分为组织缺氧型（A类）和非组织缺氧型（B类）两类。</p><p>1. 组织缺氧型乳酸性酸中毒（A类）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常见于心衰、心源性休克、窒息、一氧化碳中毒或脓毒败血症等，此时因缺氧导致了大量乳酸产生，远超过机体的清除能力，同时也可能伴有清除能力下降。T2DM患者常并发心血管疾病，因此也可表现为此类。在各种休克的抢救过程中，常需使用较大剂量的儿茶酚胺类升压药。许多缩血管药物可恶化组织灌注，细胞缺血、缺氧更为严重。细胞内，尤其是线粒体的呼吸链缺氧可导致严重的高乳酸血症。有些患者的血乳酸升高不明显，但乳酸/丙酮酸或乳酸/酮体总量比值明显升高，这部分患者的死亡率更高。乳酸/丙酮酸比值升高及高乳酸血症持续的时间越长，多器官衰竭和死亡的概率也越高。</p><p>2. 非组织缺氧型乳酸性酸中毒（B类）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">即无明显低氧血症或循环血量不足。B类又可分为B-1、B-2和B-3型：①B-1型：见于糖尿病、恶性肿瘤、肝功能衰竭、严重感染及肾衰竭等情况。②B-2型：多由于药物及毒物引起，主要见于双胍类口服降糖药、果糖、山梨醇、木糖醇、甲醇和乙二醇等的中毒。用反转录蛋白酶抑制剂治疗HIV感染时，常发生继发性脂肪营养不良（外周性脂肪萎缩伴中枢性肥胖）和肝损害，患者往往还并发乳酸性酸中毒（NRTI-LD综合征）。长期使用抗反转录病毒治疗时，还可发生严重的多器官衰竭-乳酸性酸中毒综合征。有人用大剂量硫胺（维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>）治疗取得较好效果。③B-3型：由于先天性代谢疾病所致，常见者为葡萄糖-6-磷酸酶缺陷（Ⅰ型糖原贮积症）、丙酮酸脱氢酸缺陷、丙酮酸羟化酶缺陷、果糖1，6-二磷酸酶缺陷及线粒体呼吸链的氧化磷酸化障碍等情况。细胞的氧化磷酸化在线粒体呼吸链上进行。参与呼吸链氧化磷酸化的酶类很多，这些酶可因先天性缺陷或后天性病变及毒物中毒而发生功能障碍。这类疾病是线粒体病中的一种类型——线粒体呼吸链病（mitochondrial respiratory chain diseases，MRCD）。MRCD可为局限性（如仅发生于肝脏）或泛发性（肝、脑和肌肉细胞等）。局限于肝脏的MRCD的最优治疗是肝移植，但必须选择好肝移植的受体对象。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此外，无论是儿童或成年人的短肠综合征患者均易发生乳酸性酸中毒，其发生机制未明。&nbsp;发病机制</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527128091241011685.jpg\" title=\"1527128091241011685.jpg\" alt=\"P5-28-4_98339.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 3211px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图5-28-4　乙二醇代谢</p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">注：glycol：乙二醇；ADH：alcohol dehydrogenase，醇脱氢酶；ALDH：aldehyde dehydrogenase，醛脱氢酶；GSH：reduced glutathione，还原型谷胱苷肽；PDH：pyruvate dehydrogenase，丙酮酸脱氢酶；L-LDH：L-lactate dehydrogenase，L-乳酸脱氢酶；D-LDH：D-lactate dehydrogenase, D-乳酸脱氢酶</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病存在乳酸利用缺陷。当感染、DKA、HHS或缺氧时容易造成乳酸堆积和乳酸性酸中毒。糖尿病患者易发生DLA是因为：①糖尿病患者常伴有丙酮酸氧化障碍及乳酸利用缺陷，平时即有血乳酸轻度升高，因此在存在乳酸性酸中毒诱因时，更易发生乳酸性酸中毒；②糖尿病性急性并发症如感染、脓毒血症、糖尿病酮症酸中毒（DKA）和非酮症高渗性糖尿病昏迷等时可造成乳酸堆积，因此乳酸性酸中毒可与DKA或非酮症高渗性糖尿病昏迷同时存在；③糖尿病患者可合并心、肝、肾脏疾病或（和）并发心、肝、肾脏损害，可造成组织器官血液灌注不良和低氧血症；同时由于糖化血红蛋白增高，血红蛋白携氧能力下降，更易造成局部缺氧，这些均可引起乳酸生成增加。此外，肝脏及肾脏功能障碍又可影响乳酸的代谢、转化及排出，进而导致乳酸性酸中毒。</p><p>（一） 双胍类药物诱发L-乳酸性酸中毒</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病患者常服用双胍类药物，因其能增强糖的无氧酵解，抑制肝脏和肌肉对乳酸的摄取，抑制糖异生作用，故有致乳酸性酸中毒的作用，特别是高龄，合并心、肺、肝和肾疾病的糖尿病患者长期、大剂量服用苯乙双胍（用量＞100mg/d）时，易诱发乳酸性酸中毒，但在国内因苯乙双胍导致乳酸性酸中毒的报道较少，其原因可能与用量较小有关。二甲双胍仅使血乳酸轻度升高，多＜2mmol/L，二甲双胍致乳酸性酸中毒的发生率与死亡率分别为0～0.8/1000和0～0.024/10 000，仅为苯乙双胍的1/20，两者的差异可能与二甲双胍的半衰期（1.5小时）较苯乙双胍明显缩短（12小时）有关。有研究表明，与接受其他降糖药治疗的糖尿病患者相比，服用二甲双胍的患者的血乳酸水平和乳酸性酸中毒的发病率并无显著差异。Pongwecharak等在泰国南部的Hatyai观察了门诊糖尿病患者的二甲双呱使用情况，有80%以上的患者存在该药的禁忌证（如慢性肝病、心衰和慢性肾病），但并未增加乳酸性酸中毒的发生率，说明二甲双呱引起的乳酸性酸中毒并非常见。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鉴于苯乙双胍易诱发DLA，目前临床上已基本不用，而以二甲双胍代替。如用苯乙双胍，每日剂量最好不超过75mg。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病患者使用二甲双胍前，应首先评价肾功能，评价的方法是：①如果血清肌酐高于96.5μmol/L，即列为二甲双胍的禁忌证；②因为肾功能正常者使用该药亦可诱发高乳酸血症，ALT和BMI是引起高乳酸血症的独立相关因素，ALT和BMI越高，发生高乳酸血症的可能性越大，因此应同时考查ALT和BMI状况；③肾小球滤过率（GFR）60～90ml/min者可以使用二甲双胍，但应减量，并避免使用经肾排泄的其他药物。</p><p>（二） 缺氧/感染/DKA/HHS/肺心病/酗酒/一氧化碳中毒诱发DLA</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病伴有感染、各种休克、脓毒败血症、DKA和高渗性非酮症高血糖性昏迷综合征等急性并发症的糖尿病患者，常因微循环障碍、组织器官灌注不良、组织缺氧、乳酸生成增加和排泄减少而诱发DLA。糖尿病患者合并大血管和微血管慢性并发症，如心肌梗死、糖尿病肾病和脑血管意外，可造成或加重组织器官血液灌注不良，出现低氧血症以及乳酸清除减少，导致乳酸性酸中毒。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此外，糖尿病合并严重肺气肿、肺心病、肺栓塞和白血病等也可引起组织缺氧，使血乳酸升高。或因酗酒、一氧化碳中毒、水杨酸、儿茶酚胺、硝普钠和乳糖过量诱发乳酸性酸中毒。二甲双胍中毒可因诱发顽固性L-乳酸性酸中毒（refractory L-lactic acidosis）而导致死亡。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5405', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1476', 'DLA的表现常被基础疾病/DKA/HHS掩盖', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在临床上，DLA不如DKA常见，主要发生于长期或过量服用苯乙双胍（降糖灵）并伴有心、肝和肾疾病的老年糖尿病患者，在发病开始阶段，这些基础疾病的症状常掩盖了DLA的症状，以致难以确定。其临床症状和体征无特异性。一般发病较为迅速，主要表现为不同程度的代谢性酸中毒的临床特征，当血乳酸明显升高时，可对中枢神经、呼吸、消化和循环系统产生严重影响。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">乏力、食欲降低、嗜睡、腹痛、头痛、血压下降、意识障碍、昏迷及休克是糖尿病乳酸性酸中毒的常见表现。轻症可仅有乏力、恶心、食欲降低、头昏、嗜睡和呼吸稍深快。中至重度可有腹痛、恶心、呕吐、头痛、头昏、疲劳加重、口唇发绀、无酮味的深大呼吸至潮式呼吸、血压下降、脱水表现、意识障碍、四肢反射减弱、肌张力下降、体温下降和瞳孔扩大，最后可导致昏迷及休克。值得注意的是DKA及高渗性非酮症高血糖性昏迷综合征的患者，尤其是老年患者也常同时并发乳酸性酸中毒，导致病情更加复杂和严重，治疗更加困难。DLA是糖尿病最严重的并发症之一，病死率高达50%以上。血乳酸越高，病死率越高。血乳酸＞9.0mmol/L者病死率高达80%；血乳酸＞15mmol/L，罕有抢救成功的患者。在治疗过程中血乳酸持续升高不降者，其存活后的预后也差。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5406', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1476', '诊断', '<p>（一） 不能用DKA或HHS解释的意识障碍提示DLA</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床上糖尿病患者出现意识障碍和昏迷，并有服用苯乙双胍史及伴有肝肾功能不全和慢性缺氧性疾病者，而不能用DKA或高渗性非酮症高血糖性昏迷综合征解释者，应高度怀疑本病的可能性，尽快作血乳酸测定以确诊。</p><p>（二） 根据血乳酸明显升高和代谢性酸中毒确立诊断</p><p style=\"text-indent: 28px; box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">诊断糖尿病乳酸性酸中毒的要点是：①糖尿病：患者已经诊断为糖尿病或本次的临床资料能确立糖尿病的诊断；②血乳酸明显升高：血乳酸≥5mmol/L者可诊断为乳酸性酸中毒，血乳酸/丙酮酸≥30；血乳酸大于2mmol/L但小于5mmol/L者可诊断为高乳酸血症；③代谢性酸中毒：动脉血气pH＜7.35，血<font color=\"#333333\" face=\"arial, 宋体, sans-serif\"><span style=\"background-color: rgb(255, 255, 255);\">&nbsp;HCO<sub>3</sub><sup>-</sup></span></font>&lt;10mmol/L，阴离子隙＞18mmol/L；④排除DKA和尿毒症。因此，为了早期明确诊断，应进行如下检测。</p><p>1. 必检项目</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">作为代谢性酸中毒的病因鉴别依据，血糖、血酮体、尿酮体和血渗透压为必检项目。糖尿病乳酸性酸中毒时，血糖多偏低或正常，血酮体及尿酮体一般正常，若患者进食少及反复呕吐时，也可略高；若与DKA并存时，则可明显升高。血浆渗透压正常或略高。血Na<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>和K<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>正常或稍高，血Cl<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">-</span>正常。血尿素氮和肌酐（Cr）常升高。血白细胞轻度增多。</p><p>2. 阴离子隙和白蛋白校正的阴离子隙</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">应用碱缺乏（base deficit，BD）和阴离子隙诊断乳酸性酸中毒不准确。阴离子隙的正常值为10～12meq/L，其预测乳酸性酸中毒的敏感性为63%，特异性为80%。在不能测定乳酸的情况下，白蛋白校正的阴离子隙（albumin corrected anion gap，ACAG）预测乳酸性酸中毒有一定价值，其敏感性达94.4%，但特异性不足30%。阴离子隙= [ Na<sup>+</sup> ] - ( Cl<sup>-</sup> + HCO<sub>3</sub><sup>-</sup>)；计算的ACAG（Figge方程，Figge equation）=（4.4-［测定的白蛋白（g/dl）］）×2.5 +AG。白蛋白和乳酸校正的阴离子隙（anion gap corrected for albumin and serum lactate，ALCAG）=｛［4.4-测定的白蛋白（g/dl）］×0.25｝+AG） -［血乳酸（mmol/L）］。因此，阴离子隙和白蛋白校正的阴离子隙主要用于乳酸性酸中毒（尤其是D-乳酸性酸中毒）的排除诊断。由于AG、ACAG和BD预测乳酸性酸中毒的敏感性不高，尤其存在低蛋白血症时仅能作为诊断的参考依据，因此应该强调直接测定血清乳酸含量。</p><p>3. 血乳酸测定</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">正常情况下，乳酸是体内葡萄糖无氧酵解的终产物。正常情况下，机体代谢过程中产生的乳酸可由肝脏代谢及肾脏排泄，血乳酸为0.5～1.6mmol/L（5～15mg/dl），不超过1.8mmol/L。DLA时，血乳酸≥5mmol/L，严重时可高达20～40mmol/L，血乳酸/丙酮酸≥30，血乳酸浓度显著升高是诊断DLA的决定因素。2mmol/L＜血乳酸＜5mmol/L，可认为是高乳酸血症。但是，通常用于检测L-乳酸的方法不能测出D-乳酸，因此，当血清乳酸值与临床表现不符时，应考虑D-乳酸性酸中毒可能。</p><p>4. 血气分析</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">动脉血气pH＜7.35，常在7.0以下，血 <span style=\"color:#333333;font-family:arial, 宋体, sans-serif\"><span style=\"background-color: rgb(255, 255, 255);\">HCO<sub>3</sub><sup>-</sup></span></span><span style=\"text-indent: 28px;\">&lt;10mmol/L</span>，碱剩余（BE）为负值，缓冲碱（BB）降低，实际碳酸氢盐（AB）与标准碳酸氢盐（SB）均减少，阴离子间隙（AG）＞18mmol/L。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5407', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1476', '鉴别诊断', '<p>L-乳酸性酸中毒与D-乳酸性酸中毒鉴别</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如果乳酸性酸中毒的临床表现典型，阴离子隙和白蛋白校正的阴离子隙均明显升高，但血清乳酸不升高或仅轻度升高时，应想到D-乳酸性酸中毒可能。胃肠手术（尤其是空场-回肠旁路术）后，容易发生D-乳酸性酸中毒（血清D-乳酸≥3mmol/L）。由于手术切除了较多的肠段，摄入的碳水化合物不能被及时消化吸收，潴留在结肠。而结肠的厌氧菌（主要是乳酸杆菌）将这些碳水化合物分解为右旋乳酸（D-乳酸）。D-乳酸具有神经毒性，可引起中毒性脑病。在肾功能正常情况下，中毒性脑病症状较轻，且具有一定自限性；但严重肾衰患者可能出现D-乳酸性酸中毒。此外，血清D-乳酸升高而未达到3mmol/L的现象称为亚临床D-乳酸性酸中毒（subclinical D-lactic acidosis），多见于严重的糖尿病肾病、缺血缺氧或创伤性休克。</p><p>DLA与DKA/酒精性酮症酸中毒/HHS/低血糖症鉴别1. DKA或DKA合并DLA</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DKA患者有血糖控制不良病史，临床表现有明显脱水、呼气中可闻及酮味、血糖高、血酮明显升高及血乳酸＜5mmol/L，可资鉴别。另一方面，DKA合并DLA的情况并不少见，应引起高度重视。当DKA抢救后酮症已消失，而血pH仍低时要考虑DLA的合并存在。</p><p>2. HHS或HHS合并DLA</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多见于老年人，起病较慢，主要表现为严重的脱水及进行性的精神障碍，血糖、血钠及血渗透压明显升高，但血pH正常或偏低，血乳酸正常。同样应注意少数患者也可同时伴有DLA，如果在无酮血症时，碳酸氢盐≤15mmol/L，应该考虑到同时合并DLA的可能。</p><p>3. 低血糖症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">低血糖症也可有神志改变，但有过量应用降糖药和进食不及时等病史，出现饥饿感和出冷汗等交感神经兴奋症状，血糖≤2.8mmol/L，补糖后症状好转，血乳酸不高，可资鉴别。</p><p>4. 酒精性酮症酸中毒</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有长期饮酒史，血阴离子间隙增大，动脉血CO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>分压降低而血酮和β-羟丁酸/乙酰乙酸比值升高。酒精性DKA（alcoholic ketoacidosis）患者有长期饮酒史，血阴离子隙和血清渗透压隙增大，动脉血CO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>分压（PaCO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>）降低而血酮和β-羟丁酸/乙酰乙酸比值升高。有的患者伴有肝功能异常、乳酸性酸中毒、急性胰腺炎、Wernicke脑病和心衰。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5408', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1476', '预防及治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病乳酸性酸中毒是糖尿病急性并发症之一。其在临床中发病率较低，易误诊，但一旦发生，病情严重，预后差，死亡率高达50%，因为这些患者多伴有肝肾功能不全、感染和休克等严重合并症，目前尚无满意的治疗方法，加强糖尿病的宣传教育，加强医生与患者间的联系，注重预防，早期发现，及时治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">为安全考虑，在临床中严格掌握双胍类药物的适应证和禁忌证，尽可能不用苯乙双胍。糖尿病患者若并发心、肝和肾功能不全，或在缺氧、过度饮酒和脱水时，应尽量避免使用双胍类药物。美国糖尿病协会已建议当血肌酐（Cr）＞125μmol/L时，应避免使用双胍类药物。使用双胍类药物时，应定期监测肝肾功能。</p><p>（一） 去除DLA诱因并治疗原发病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前仍缺乏统一的诊疗指南，其治疗很不规范，疗效差异大。在连续监测血乳酸，及时判断疗效的前提下，进行如下治疗。</p><p>1. 诱因和原发病治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一旦考虑DLA，应立即停用双胍类等可导致乳酸性酸中毒的药物、保持气道通畅和给氧。对于由肺部疾病导致缺氧者，应针对原发病因及时处理，必要时作气管切开或机械通气，以保证充分氧合；如血压偏低、有脱水或休克，应补液扩容改善组织灌注，纠正休克，利尿排酸，补充生理盐水维持足够的心排血量与组织灌注，必要时可予血管活性药及行中心静脉压监护，但尽量避免使用肾上腺素或去甲肾上腺素等强烈收缩血管药物，以防进一步减少组织的灌注量。补液量应根据患者的脱水情况和心肺功能等情况来决定；如病因不明的严重乳酸性酸中毒患者，应着重先考虑有感染性休克的可能，及早行病原体培养，并根据经验，尽早选用抗生素治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">西柚子汁（grapefruit juice）似乎可改善胰岛素抵抗，降低体重，但可能增加二甲双呱致乳酸性酸中毒的风险。</p><p>2. DKA和HHS治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">当DKA或HHS患者合并高乳酸血症时，一般按DKA或HHS的治疗即可，高乳酸血症将在治疗过程中自然消退；如果DKA或HHS患者合并有严重的乳酸性酸中毒，则应该在治疗的同时更积极地处理原发病、改善循环、控制血糖和维持水电解质平衡，但补碱的原则仍与DKA相同，禁忌大量补充碱性溶液。</p><p>3. 糖尿病治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">控制血糖采用小剂量胰岛素治疗，以0.1U/（kg·h）速度持续静脉滴注，不但可降低血糖，而且能促进三羧酸循环，减少乳酸的产生并促进乳酸的利用，如血糖正常或偏低，则应同时予葡萄糖及胰岛素，根据血糖水平调整糖及胰岛素比例。监测血钾和血钙，视情况酌情补钾和补钙，以防低血钾和低血钙。</p><p>（二） 纠正酸中毒并维持水电解质平衡1. 纠正酸中毒</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前对乳酸性酸中毒使用碱性药物仍有争议。一般认为过度的血液碱化可使氧离曲线左移，加重组织缺氧，而且可以使细胞内液和脑脊液进一步酸化和诱发脑水肿，并无确切证据表明静脉应用碳酸氢钠可降低死亡率，故补碱不宜过多和过快。当pH＜7.2和 <span style=\"color:#333333;font-family:arial, 宋体, sans-serif\"><span style=\"background-color: rgb(255, 255, 255);\">HCO<sub>3</sub><sup>-</sup></span></span><span style=\"text-indent: 28px;\">&lt;10mmol/L</span>时，患者肺脏能维持有效的通气量以排出蓄积的二氧化碳，以及肾功能足以避免钠水潴留，应及时补充5%碳酸氢钠100～200ml（5～10g），用生理盐水稀释到1.25%的浓度。酸中毒严重者（血pH＜7.0，<span style=\"color:#333333;font-family:arial, 宋体, sans-serif\"><span style=\"background-color: rgb(255, 255, 255);\">HCO<sub>3</sub><sup>-</sup></span></span><span style=\"text-indent: 28px;\">&lt;10mmol/L</span>）可重复使用，直到血pH达＞7.2，则停止补碱。24小时可用碳酸氢钠4.0～170g。如补碱过程中血钠升高，可予呋塞米，同时也将有助于乳酸及药物的排泄。若心功能不全或不能大量补钠，可选择使用三羟甲基氨基甲烷（THAM），应注意不可漏出血管。二氯乙酸盐（dichloroacetate，DCA）可通过增加氧摄取，激动丙酮酸脱氢酶复合物，促进乳酸氧化，降低血乳酸，缓解酸中毒症状，对多种原因引起的乳酸性酸中毒有较好的疗效，日剂量在100～1 500mg/kg之间，短期应用无不良反应。</p><p>2. 透析疗法</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多用于伴肾功能不全或严重心衰及血钠较高的危重患者，应使用不含乳酸钠的透析液，可清除药物，加快乳酸的排泄，可采用血液透析或腹膜透析。</p><p>3. 支持和对症处理</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">积极改善心功能、护肝、保护肾功能及加强营养和护理等综合治疗。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5409', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1476', '参考文献', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1. Misbin RI，Green L，Stadel BV，et al. Lactic acidosis in patients with diabetes treated with metformin. N Engl J，1998，338（4）：265-266.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2. Cryer DR，Nicholas SP，Henry DH，et al. Comparative outcomes study of metformin intervention versus conventional approach the COSMIC Approach Study（Abstract）. Diabetes Care，2003，28（3）：539-543.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3. Salpeter SR，Greyber E，Pasternak GA，et al. Risk of fatal and nonfatal lactic acidosis with metformin use in type 2 diabetes mellitus：systematic review and meta-analysis. Arch Intern Med，2003，163（21）：2594-2602.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4. Pongwecharak J，Tengmeesri N，Malanusorn N，et al. Prescribing metformin in type 2 diabetes with a contraindication：prevalence and outcome. Pharm World Sci，2009，31（4）：481-6.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5. Philbrick AM，Ernst ME，McDanel DL，et al. Metformin use in renal dysfunction：is a serum creatinine threshold appropriate？Am J Health Syst Pharm，2009，66（22）：2017-23.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">6. Herrington WG，Levy JB. Metformin：effective and safe in renal disease？Int Urol Nephrol，2008，40（2）：411-7.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">7. Liu F，Lu JX，Tang JL，et al. Relationship of plasma creatinine and lactic acid in type 2 diabetic patients without renal dysfunction. Chin Med J（Engl），2009，122（21）：2547-53.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">8. Arroyo AM，Walroth TA，Mowry JB，et al. The MALAdy of metformin poisoning：Is CVVH the cure？Am J Ther，2010，17（1）：96-100.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">9. English P，Williams G. Hyperglycaemic crises and lactic acidosis in diabetes mellitus. Postgrad Med J，2004，80（943）：253-261.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">10. Chawla LS，Shih S，Davison D，et al. Anion gap，anion gap corrected for albumin，base deficit and unmeasured anions in critically ill patients：implications on the assessment of metabolic acidosis and the diagnosis of hyperlactatemia. BMC Emerg Med，2008，8：18.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">11. Htyte N，White L，Sandhu G，et al. An extreme and life-threatening case of recurrent D-lactate encephalopathy. Nephrol Dial Transplant，2011，26（4）：1432-5.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">12. Kraut JA，Kurtz I. Use of base in the treatment of severe acidemic states. Am J Kidney Dis，2001，38（4）：703-727.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">13. Toth PP，el-Shanti H，Eivins S，et al. Transient improvement of congenital lactic acidosis in a male infant with pyruvate decarboxylase deficiency treated with dichloroacetate.J Pediatr，1993，123（3）：427-430.</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5410', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1649', '定义', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">低血糖症（hypoglycemia）是一组由多种病因引起的血中葡萄糖浓度过低（通常＜2.8mmol/L）、临床以交感神经兴奋和（或）神经缺糖症状为主要表现的综合征。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5411', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1649', '血糖的代谢与调节', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">正常人血糖波动在3.9～8.3mmol/L之较窄范围内，并保持相对稳定，是机体在糖的消化、吸收和代谢过程中受多种酶、激素和神经的控制和调节，使血糖的来源和利用之间维持动态平衡的结果。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝脏是接受、储存和代谢葡萄糖的主要场所，也是与血糖调节密切相关的多种激素作用的靶器官。肠道中的葡萄糖吸收在餐后5～6小时停止，此后体内葡萄糖主要来源于肝糖原的分解，生成的葡萄糖主要供脑组织利用。但肝脏中储存的糖原有限，仅为80～100g，仅能维持血糖水平正常数小时，以后机体主要依靠在肝脏和肾脏中进行的糖异生来维持血糖水平。除肝脏外，糖异生的前体还来自肌肉和脂肪组织。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">神经和内分泌激素对血糖的调节起着重要的作用。下丘脑的摄食和饱感中枢能接受血糖水平变化的刺激并调节食欲和进食行为；自主神经系统既能直接调节肝糖原的代谢，又能通过对内分泌系统的影响间接发挥调节血糖的作用。其中升高血糖的激素主要包括胰高血糖素、肾上腺素、生长激素和糖皮质激素等。胰高血糖素和肾上腺素升糖作用出现快速，但维持时间较短；生长激素和糖皮质激素的升糖作用较慢但持久；降低血糖的激素主要为胰岛素。空腹状态时主要的激素改变是胰岛素分泌减少和升糖激素增多。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝脏、神经系统和内分泌系统协同一致，对血糖水平进行复杂精确的调节，维持血糖相对恒定。饱餐后经消化吸收，血糖于半小时后上升，至一小时左右达高峰；升高的血糖通过高级神经、边缘系统、下丘脑腹外侧核刺激迷走神经并抑制下丘脑腹内侧核与交感神经，使胰岛素分泌和释放增多；食物通过刺激胃肠迷走神经而兴奋胰岛β细胞释放胰岛素，通过刺激胃肠激素包括胃泌素、胰泌素、胃抑肽（gastric inhibitory peptide，GIP）、胰高血糖素、舒血管肠肽（vasoactive intestinal peptide，VIP）等的分泌刺激β细胞释放胰岛素；但最重要的是葡萄糖直接刺激β细胞释放胰岛素。血糖升高还抑制胰岛α细胞分泌胰高血糖素，抑制肾上腺素等胰岛素拮抗激素的分泌，同时肝脏合成糖原增加。通过上述各种调节，血糖在餐后约3小时恢复正常。当血糖浓度接近低血糖范围，人体就会发生一系列防御低血糖的激素反应。在正常个体，血糖降至4.5mmol/L左右时，胰岛素停止分泌；血糖降至3.6～3.9mmol/L时，升糖激素分泌增加。胰高血糖素是最早、最重要的反应激素，它促进糖原分解和糖异生。在对抗低血糖的急性反应中，肾上腺素也起着重要的作用，尤其在糖原储存不充分时，也能刺激糖原分解和糖异生，限制胰岛素敏感组织对葡萄糖的利用。但随着低血糖时间的延长，生长激素和皮质醇起着减少葡萄糖的利用和促进葡萄糖生成的作用。血糖在2.8～3.0mmol/L时出现交感神经兴奋症状而感知低血糖，从而进食进行行为防御低血糖。如血糖进一步降低，则出现认知功能障碍。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">任何引起血糖来源减少和（或）血糖利用增加且肝脏、神经系统和（或）内分泌系统的调节失常均可导致低血糖症的发生。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5412', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1649', '病理生理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">低血糖对机体的影响以神经系统为主，尤其是大脑和交感神经系统。这是由于神经细胞和其他组织细胞不同，它本身没有糖原贮备，又不像其他组织那样能利用循环中的游离脂肪酸作为能量来源。脑细胞所需要的能量，几乎完全直接来自血糖。血糖降低时，大脑虽能利用酮体，但酮体的形成需要一定的时间，并不能抵抗急性低血糖时能量缺乏对大脑造成的损害。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对正常人的研究结果表明，胰高血糖素、肾上腺素、生长激素和皮质醇等升糖激素在血糖处于3.6～3.9mmol/L时即被激活而升高；血糖在2.8～3.0mmol/L时激发交感神经系统释放肾上腺素、去甲肾上腺素和一些肽类物质，从而产生多汗、饥饿感和感觉异常、震颤、心悸、焦虑、心率加快、收缩压增高等症状。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">低血糖时中枢神经系统的表现可轻可重，从精神活动的轻微损害到惊厥、昏迷甚至死亡。先是大脑皮质受抑制，继而皮质下中枢包括基底节、下丘脑及自主神经中枢相继累及，最后延髓活动受影响。其顺序与脑部发育进化过程有关，细胞愈进化对缺糖愈敏感，当补充葡萄糖后则按上述次序逆转而恢复。当大脑皮质受抑制时可发生意识蒙眬、定向力与识别力渐丧失、嗜睡、肌张力低下、震颤、精神失常等；当皮质下受抑制时可出现骚动不安、痛觉过敏，可有阵挛性及舞蹈样动作或幼稚动作等，瞳孔散大，甚至强直性惊厥、锥体束征阳性；当中脑累及时可有阵挛性及张力性痉挛、扭转痉挛、阵发性惊厥、眼轴歪斜、巴宾斯基征阳性等；当延髓波及时进入严重昏迷阶段，可有去大脑性强直、各种反射消失、瞳孔缩小、肌张力降低、呼吸减弱、血压下降等。如历时较久，常不易逆转。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">低血糖时机体的反应、临床症状的严重程度与病因、患者年龄、血糖下降速度和程度、低血糖持续时间等因素相关。长期慢性低血糖者对低血糖有一定的适应能力，可在血糖低于2.8mmol/L时无明显临床表现，在血糖进一步降低时则出现症状；而血糖快速下降时，患者在血糖较高水平即可出现明显的临床表现，且常有明显的交感神经兴奋症状。糖尿病患者血糖从高水平快速下降时，即使血糖高于3.9mmol/ L，也可出现明显的交感兴奋症状，属“低血糖反应”。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5413', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1649', '病理解剖', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">短暂的一过性血糖过低未必引发病理解剖改变。但反复发作且历时较久的低血糖可严重损害脑组织，易发生神经系统病理解剖学上的改变。早期表现为脑组织充血，多发性出血性瘀点；后期脑细胞水肿及缺血性点状坏死，尤以大脑皮质、基底节、海马等最明显；晚期神经细胞坏死而消失，脑组织软化，尤多见于胰岛β细胞瘤患者。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5414', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1649', '病因分类与发病机制', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">低血糖症病因复杂，分类方法也很多。按其发生与进食的关系可以分为空腹低血糖和餐后低血糖；按其进展速度可以分为急性、亚急性和慢性低血糖；按其病因可以分为器质性、功能性及外源性低血糖；也可按一般情况好坏或是否有伴随疾病分类。这些分类法之间有一定的内在联系和交叉。表14-7-1介绍美国内分泌协会临床实践指南推荐的分类法。临床上最常见的是糖尿病患者胰岛素、促胰岛素分泌剂治疗过程中发生的低血糖，其他均属少见。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表14-7-1　成人低血糖症病因</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527128307935060091.jpg\" title=\"1527128307935060091.jpg\" alt=\"T14-7-1_70640.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 505px; table-layout: fixed;\"/></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">注：*引自美国内分泌协会2009年公布的关于《成人低血糖症评估和处理的临床诊治指南》；Cryer PE，Axelrod L，Grossman AB，et al.Evaluation and management of adult hypoglycemic disorders：an Endocrine Society clinical practice guideline.J Clin Endocrinol Metab，2009，94：709-728.</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5415', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1649', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">低血糖症的症状和体征可分为自主神经兴奋症状和神经缺糖症状两大类。自主神经兴奋症状包括儿茶酚胺介导的肾上腺能症状如心悸、震颤、焦虑等，和乙酰胆碱介导的胆碱能症状体征如苍白、出汗、饥饿感、感觉异常等。神经缺糖症状是中枢神经系统神经元葡萄糖耗竭的后果，症状包括精神行为异常、抽搐、意识改变，轻者表现为嗜睡、意识模糊，重者昏迷。另可表现为视物模糊、虚弱、思睡等不适。如果低血糖严重并持续，可导致死亡。所有症状体征缺乏特异性。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">影响低血糖临床表现的因素有：</p><p>1.病因</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">不同病因导致的低血糖症有不同的特点。</p><p>2.血糖下降速度</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">与临床表现关系密切。长期慢性血糖较低者对低血糖有一定的适应能力，自主神经兴奋表现常不太显著，而以中枢神经系统功能障碍的表现为主；血糖快速下降时，患者在血糖较高水平即可出现明显的临床表现，且常为明显的自主神经兴奋症状。</p><p>3.发病频度</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">发作越频繁，临床表现往往越明显。</p><p>4.个体差异</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">不同人耐受性不同，临床表现不尽相同。但对同一患者而言，每次发作的表现相近。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5416', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1649', '实验室检查', '<p>（一）血糖</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血糖测定是诊断低血糖症最基本的检查，一般用葡萄糖氧化酶方法测定静脉血浆中葡萄糖浓度。临床出现疑似低血糖症状和（或）体征时是测定血糖的最佳时机。非住院患者缺乏即刻采集静脉血测定血糖的条件，可利用快速血糖仪自我测定毛细血管血糖协助初步判断。现用于临床的动态血糖监测有助于发现无症状性低血糖的发作。</p><p>（二）血清胰岛素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">低血糖发作时测定血清胰岛素对低血糖症的鉴别诊断尤其是胰岛素瘤的诊断非常重要。正常人在血糖降低时胰岛素分泌显著减少甚至停止。如测定胰岛素的放射免疫法灵敏度为5μU/ml，血糖＜2.8mmol/L时相应的胰岛素浓度＞6μU/ml，提示为胰岛素不适当分泌过多所致的低血糖。如采用更灵敏的免疫化学发光法（immunochemiluminescent assay，ICMA）测定，低血糖时相应的胰岛素浓度＞3μU/ml就可判断存在胰岛素分泌过多。既往用于判断胰岛素是否分泌过多的胰岛素释放指数和胰岛素释放修正指数因特异性和敏感性较差，仅作参考。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰岛素瘤患者的胰岛素分泌增多，但很少超过100μU/ ml。如胰岛素超过1000μU/ml提示为外源性胰岛素或存在胰岛素抗体。非胰岛素分泌过多介导的低血糖和正常人在血糖＜2.8mmol/L时，胰岛素水平＜5μU/ml。</p><p>（三）血清C肽</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">结合胰岛素测定，可协助判断胰岛素来源。低血糖时，C肽超过200pmol/L（ICMA）表示内源性胰岛素分泌过多；如胰岛素明显增高而C肽降低，提示外源性胰岛素的作用。</p><p>（四）72小时饥饿试验（72-hour fasting test）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">72小时饥饿试验为低血糖症的经典诊断试验。患者如有明确的低血糖发作病史，就诊时无发作，且随访数次血糖皆不低者，皆应入院进行该试验，以明确是否存在低血糖症，并探讨低血糖症的病因，明确是否胰岛素分泌过多所致。餐后发作低血糖者无论混合餐试验是否诱发类似的发作，均应进行饥饿试验。</p><p>1.操作步骤如下</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①停用所有不必要的药；②记录禁食开始的时间；③试验期间允许患者进食不含热卡和咖啡因的饮料；④清醒时，患者可有一定的室内活动量；⑤禁食后每6小时取外周血样测定血浆葡萄糖、血清胰岛素、C肽、胰岛素原（有条件的话），血糖＜3.3mmol/L后，每1～2小时测定1次；⑥血糖＜2.8mmol/L且患者出现低血糖症状或体征时结束试验；如已经证实存在Whipple三联症［出现低血糖症状和（或）体征时血糖低于2.8mmol/L，补充葡萄糖后血糖升高同时临床表现缓解］，血糖＜3.0mmol/L即可结束；禁食达72小时而未出现低血糖时，也结束禁食；⑦禁食结束时，取外周血测定血糖、胰岛素、胰岛素原、C肽（必要时可测皮质醇、生长激素、胰高血糖素，有条件者可同时测β-羟丁酸）；⑧让患者进食，结束试验。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">正常人禁食后血糖会有所降低，但不会出现低血糖及其症状体征。</p><p>2.胰岛素分泌过多的标准</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据同一时间测定的血糖和胰岛素或C肽水平来判断。判断时，应考虑激素测定方法的灵敏度。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）胰岛素、C肽：见胰岛素、C肽测定部分。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）β-羟丁酸：由于胰岛素具有抗生酮作用，β-羟丁酸可以作为间接反映胰岛素水平的指标。低血糖时，其水平低于2.7mmol/L提示为胰岛素介导的低血糖。非胰岛素介导的低血糖和正常人在血糖＜2.8mmol/L时其水平超过2.7mmol/L。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（3）血糖对胰高血糖素的反应：胰岛素分泌过多介导的低血糖患者，注射胰高血糖素后血糖升高幅度不超过1.4mmol/L。</p><p>（五）混合餐试验</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有进食后5小时内出现低血糖症状病史的患者可进行该试验。停用所有不必要的药物、过夜空腹状态下进餐，进餐内容与平时引起低血糖症状的进餐相似；进餐前及进餐后每30分钟直至进餐后5小时分别取外周静脉血测定血糖（不宜用血糖仪）。除非严重低血糖症状需要医学干预，应尽可能抽完全程的血样。血糖低于3.3mmol/L时测定胰岛素和C肽。阳性判断：出现低血糖症状时血糖＜2.8mmol/L。有条件者同时测定血液胰岛素促泌剂浓度。由于胰岛素瘤患者也可以表现为餐后低血糖，混合餐试验阳性者也应行72小时饥饿试验。</p><p>（六）其他</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">电解质、肝肾功能、腺垂体功能、肾上腺皮质功能、甲状腺功能、胰岛素抗体的测定等。血糖＜2.8mmol/L时血皮质醇＜18μg/dl提示肾上腺皮质功能低下，生长激素（GH）＜5μg/L提示GH缺乏可能。但应注意部分患者长期反复低血糖可使皮质醇等升糖激素对低血糖的反应阈值降低，低血糖发作时血皮质醇低于18μg/dl可能不足以确诊为肾上腺皮质功能减退，应结合临床实际情况加以判断。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5417', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1649', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">低血糖症的临床表现为非特异性，且存在个体差异。因此，不能仅根据病史作出诊断，也不能单根据血糖测定结果作出诊断。接受药物治疗的糖尿病患者，出现血糖的快速下降即应警惕低血糖的发生；而血糖低于3.9mmol/L，即应考虑低血糖症。非糖尿病患者，则应根据whipple三联症确立低血糖症的诊断，通常血糖＜2.8mmol/L。非糖尿病患者出现类似症状发作时血糖＞3.9mmol/L，则可确定排除低血糖症。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">低血糖症的病因诊断是关键。胰岛素和（或）促胰岛素分泌剂治疗中的糖尿病患者发生低血糖，一般在进行紧急处理后寻找并去除诱因以避免再次发作，无需进一步检查。其他情况则应进一步明确病因。应详细询问病史，了解低血糖发作的表现、时间、诱因、频度及缓解的方法，了解既往肝脏、肾脏、内分泌等病史、用药史、手术史、家族史；并仔细进行体格检查。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如临床上存在明确的低血糖原因，如药物、肝脏疾病、内分泌疾病致升糖激素缺乏等，一般不须进一步检查。否则应该考虑胰岛素分泌过多或胰外肿瘤所致。胰岛素分泌过多常见的原因有：胰岛素瘤或增生、胰岛素自身免疫综合征。定性诊断有赖于低血糖发作时胰岛素或C肽水平、饥饿试验结果、胰岛素自身抗体等。定位诊断有赖于腹部B超、胰腺CT和动脉造影等。胰外肿瘤则须进行影像学检查如胸片、肺部CT、腹部B超或CT以明确病灶。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">低血糖症诊断流程（图14-7-1）供参考。</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527128338695056547.jpg\" title=\"1527128338695056547.jpg\" alt=\"P14-7-1_43427.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 946px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图14-7-1　低血糖症诊断流程</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5418', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1649', '处理原则', '<p>（一）低血糖发作时紧急处理</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">低血糖症发作时尤其是伴神志改变者应迅速处理以避免不可逆转的脑损害。</p><p>1.葡萄糖</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">最为快速有效，轻者口服葡萄糖水或含糖食物即可；重者尤其是神志改变者需要静脉推注50%葡萄糖50ml，必要时重复使用，并需继续静脉点滴5%～10%葡萄糖液并及时进食以维持血糖正常。糖尿病患者发生低血糖，较轻者只需进食含碳水化合物食物。如患者服葡萄糖苷酶抑制剂，应进食单糖类食物以纠正低血糖。</p><p>2.胰高血糖素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可快速有效升高血糖，但维持时间较短。常用剂量为1mg，可皮下、肌内或静脉给药，用于严重低血糖患者。但国内临床上不易获取。</p><p>3.其他</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">经补充葡萄糖或联合胰高血糖素治疗后低血糖纠正，但神志不清仍不能好转的患者可适当使用糖皮质激素。</p><p>（二）病因治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">及时寻找和确定病因，并针对病因进行治疗，可有效解除低血糖状态和防止低血糖复发。在病因去除前可通过多次进食预防低血糖的发作。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5438', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '509', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">皮质醇增多症（hypercortisolism），又称库欣综合征（Cushing syndrome），是肾上腺皮质疾病中最常见的一种，系由多种原因引起肾上腺皮质分泌过多糖皮质激素（主要是皮质醇）所致。主要临床表现有满月脸、多血质、向心性肥胖、紫纹、痤疮、糖尿病倾向、高血压、骨质疏松等。本病多见于女性，男女之比约为1∶2～1∶3。以20～40岁居多，约占2/3。肾上腺病变可为双侧增生（最为多见）、腺瘤或癌。儿童患者癌较多。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5439', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '509', '病因与发病机制', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病的病因包括垂体或垂体外肿瘤分泌过多ACTH、肾上腺皮质腺瘤、皮质癌、增生或其他原因导致的糖皮质激素分泌过多（表15-3-2）。目前通常把本病分为依赖或不依赖ACTH的两种类型。前者包括垂体ACTH腺瘤（库欣病）、异位ACTH综合征，后者包括肾上腺腺瘤或癌、不依赖ACTH的双侧肾上腺大结节性增生或小结节性增生。根据相对发病率的高低分述如下：</p><p>（一）垂体分泌ACTH过多</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">导致双侧肾上腺皮质增生。这是本病最主要的类型，约占70%。继发于垂体瘤或垂体-下丘脑功能紊乱，称增生型皮质醇增多症或库欣病（Cushing disease）。其中以垂体ACTH微腺瘤（直径≤10mm）多见，占80%～90%，大腺瘤（直径＞10mm）较少见，约占10%。绝大部分垂体ACTH腺瘤为良性肿瘤，恶性极少见。相当一部分患者在摘除垂体腺瘤后可治愈，另一部分患者可再复发，可能与下丘脑-垂体功能紊乱有关。少数患者因垂体ACTH分泌细胞增生而导致本病，可能是下丘脑ACTH释放激素（CRH）分泌过多所致。在过度ACTH的刺激下，肾上腺皮质可表现为增生，主要是单纯性弥漫性增生，少数可表现为单侧肾上腺增生。</p><p>（二）原发性肾上腺皮质肿瘤</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">原发性肾上腺皮质肿瘤包括良性和恶性肿瘤，其中皮质腺瘤约占本病20%，肾上腺癌约占5%，此组肿瘤绝大多数是单侧的，原发于双侧肾上腺皮质的腺瘤非常罕见。肿瘤组织自主性地分泌皮质醇，不受垂体ACTH的控制，由于大量皮质醇反馈抑制垂体ACTH释放，患者血中测不到ACTH，使瘤外的肾上腺皮质（包括同侧和对侧）萎缩。肿瘤分泌皮质醇不受外源性糖皮质激素的抑制。肾上腺皮质腺瘤大多只分泌皮质醇，故临床上仅有糖皮质激素过多的表现，若临床出现盐皮质激素或性激素过多的表现，应考虑为肾上腺皮质癌。儿童患者癌肿发生率高，几乎占肾上腺癌总数的一半。</p><p>（三）异位ACTH综合征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">异位促肾上腺皮质激素综合征（ectopic ACTH syndrome）由于垂体-肾上腺外的肿瘤，产生类ACTH活性的物质（或类CRH活性物质），刺激肾上腺皮质增生分泌过量的皮质醇而发病。最多见的是肺癌，其次为胸腺癌、胰腺癌或胰岛细胞癌，其余为嗜铬细胞瘤、神经母细胞瘤、神经节及副神经节瘤、甲状腺髓样癌、支气管腺癌及类癌，其他包括卵巢、前列腺、乳腺、甲状腺、睾丸及胃癌和急性白血病等（表15-3-3）。异位ACTH综合征的肿瘤，可分为显性肿瘤和隐性肿瘤两类。前者就诊时肿瘤容易发现，一般恶性程度高，病情发展快，自然病程仅数周至数月，都有原发肿瘤征象，多数以色素沉着、低血钾或低血钾性碱中毒为主要临床表现，而较少有典型的库欣综合征的表现。隐性肿瘤一般较小，恶性程度低，发展较慢，就诊时不易发现，病程可较长，患者可有典型的库欣综合征表现。由于临床和激素测定与库欣病很相似，两者有时较难鉴别。大剂量地塞米松抑制试验、岩下窦采血等检查有助于与库欣病作鉴别。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表15-3-2　库欣综合征病因分类及相对发病率</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180517-1526522859192031837.jpg\" title=\"1526522859192031837.jpg\" alt=\"表15-3-2　库欣综合征病因分类及相对发病率.jpg\"/></p><p style=\"text-align: center;\"><span style=\"font-size: 12px;\">表15-3-3　导致异源性ACTH综合征的肿瘤类型及发病率</span></p><p style=\"text-align: center;\"><span style=\"font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180517-1526522886464012181.jpg\" title=\"1526522886464012181.jpg\" alt=\"表15-3-3　导致异源性ACTH综合征的肿瘤类型及发病率.jpg\"/></span></p><p><span style=\"font-size: 12px;\">注：</span><span style=\"font-size: 12px; box-sizing: border-box; position: relative; line-height: 0; vertical-align: baseline; top: -0.5em;\">*</span><span style=\"font-size: 12px;\">其他有报道可异位分泌ACTH的肿瘤有卵巢癌、前列腺癌、乳腺癌、甲状腺癌、肾癌、唾液腺癌、睾丸癌、食管癌、胆囊癌、阑尾癌；胃肠类癌、肾类癌；急性髓细胞性白血病；黑色素瘤；肛管癌</span></p><p>（四）不依赖ACTH的双侧小结节增生或小结节性发育不良</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">不依赖于ACTH的双侧结节状肾上腺增生，称为原发色素性结节性肾上腺病（primary pigmented nodular adrenal disease，PPNAD）。系一种罕见的先天性疾病，可伴或不伴Carney综合征。多数病例可发现PRKAR1A基因突变，为常染色体隐性遗传，呈散发或家族性。常见于十几岁的青少年，比一般库欣综合征患者要年轻，临床表现轻重不一，部分患者的症状同一般库欣综合征，另一部分可伴有面、颈、躯干皮肤及口唇色素斑，还可伴有左心房黏液瘤、皮肤黏膜黏液样瘤、神经鞘膜瘤、睾丸肿瘤、垂体生长激素瘤等，称为Carney综合征。肾上腺结节可单侧或双侧，大小不等，直径一般＜5mm。病理检查肾上腺正常或轻度增大或体积小，含多发小结节，由棕黄色到蓝黑色，结节含巨大的嗜酸性细胞，结节间皮质由萎缩的肾上腺细胞组成。双侧肾上腺切除是治疗的选择。</p><p>（五）不依赖ACTH的大结节性肾上腺增生（ACTH-independent macronodular adrenal hyperplasia，AIMAH）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">尽管大结节性增生通常发生于ACTH依赖的库欣综合征的患者中，但不依赖ACTH的大结节性肾上腺增生（AIMAH）是库欣综合征独立罕见的病因。目前已发现抑胃肽（GIP）、精氨酸加压素（ADP）、β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>-肾上腺素能受体在肾上腺异常表达可引起AIMAH。如餐后GIP分泌增多，而肾上腺皮质对内源性GIP高度敏感，造成进食后皮质醇分泌增多，同时又反馈抑制垂体和下丘脑，患者可表现为典型的库欣综合征，又称食物依赖性库欣综合征。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病除上述原因外，还有假性库欣综合征（pseudo-Cushing syndrome），可能由于长时间处于应激状态（例如酗酒、抑郁、肥胖），使下丘脑CRH分泌增多而导致腺垂体分泌ACTH过多，进而引起双侧肾上腺增生和皮质醇分泌过多，临床症状可不明显或呈间歇性皮质醇增多症。去除其根本病因后，类库欣症状可完全消失。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">外源性库欣综合征系长期应用较大剂量糖皮质激素引起，又称类库欣综合征，不属本病讨论范围。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5440', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '509', '病理', '<p>（一）肾上腺1.肾上腺皮质增生</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于ACTH增多而引起的库欣病，肾上腺增生一般为双侧性，极少数为单侧性，偶见肾上腺皮质增生合并对侧单发腺瘤者。增生之肾上腺常增大、增重，两侧总重量常在14～20g以上（单个重7～10g以上），有时可达50g。切面呈皮质增厚，厚度一般在1.5～2.5mm之间，呈黄色或褐黄色。部分患者在增生的皮质中，尚有单个或多个针头大小的黄色结节。光学显微镜下见束状带增厚最明显，其中透明细胞增生肥大，细胞质呈空泡状，细胞核小而圆，多位于中央。细胞排列呈束状或巢状；少数以颗粒细胞增生为主，或两者都有，呈灶性结节状排列。有时束状带和网状带同时增生，球状带受压而萎缩。与ACTH分泌无关而可能与内源性抑胃肽有关的患者，常有双侧肾上腺增大伴多个结节，而肾上腺的非结节部位的组织学改变不定，可呈萎缩、正常或增生。患者的肾上腺皮质含许多对ACTH高度敏感的细胞。PPNAD之肾上腺切面呈黑色或棕色，结节无包膜，非结节部分的肾上腺皮质常萎缩。显微镜下结节含大清亮细胞。</p><p>2.肾上腺皮质腺瘤</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">腺瘤呈圆形或椭圆形，暗赭红色，表面光滑，包膜完整。有时表面附着受压而萎缩的肾上腺组织。腺瘤直径为2～5cm，重10～17g，有时可达6～8cm，重50～100g（较大有可能发生癌变）。切面呈黄色或褐黄色或淡红色，质致密，均匀状或分叶状。光镜下示透明细胞及颗粒细胞，呈方形或多角形，排列成束状、团状、巢状或片状，大小形态较一致，与原来束状带及网状带相似。有时呈腺管状排列，多数属伊红色细颗粒细胞，少数为空泡状透明细胞，相互交错，形成腺瘤。</p><p>3.肾上腺腺癌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">腺癌与腺瘤在形态学上较难区别，因腺瘤细胞往往也有异型和核分裂，因此，不能只根据细胞的形态来决定肿瘤的良、恶性，而必须看肿瘤细胞是否浸润或穿过包膜。腺癌生长较快，体积较腺瘤大，直径在6～10cm以上，复旦大学附属华山医院曾见1～2kg重者，直径可达10～15cm，国外报道有大于4kg者，往往与邻近脏器粘连或有广泛浸润而不易分离。癌表面往往呈结节状，切面常见出血、坏死，有异型腺癌细胞和核分裂，浸润或穿过包膜，可见癌细胞栓塞于肾上腺静脉，或侵入淋巴结，且可转移至肝、肺及脊柱等组织。腺瘤和腺癌以外的肾上腺组织往往受压或被抑制而萎缩。</p><p>4.大结节样肾上腺增生（MAH）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肾上腺常整体增大，结节可呈分叶状，结节外无包膜，常呈黄色，肾上腺皮质扭曲增厚。结节间的肾上腺组织也增生。</p><p>（二）垂体</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">库欣病患者80%～90%在垂体内有微腺瘤（直径≤10mm），由分泌ACTH细胞组成，约有10%为大腺瘤（直径＞10mm），除分泌ACTH细胞外，还可由分泌TSH、GH等细胞组成，绝大多数为良性，由于瘤体大，常使蝶鞍扩大。采用电镜观察或免疫荧光细胞鉴定后发现，细胞内有分泌颗粒。双侧肾上腺全切后发生Nelson综合征的患者，亦可见垂体瘤（约占4%），此组腺瘤能分泌大量ACTH或其前体，为含有ACTH与β促脂素（β-LPH）的大分子肽，称阿片促黑色素细胞-促皮质激素原（proopiomelanocortin，POMC）。</p><p>（三）其他病理变化</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病中其他较常见的病理变化为骨质疏松，肌肉及纤维组织萎缩，常伴以病理性骨折与脊柱椎体呈鱼骨样或楔形压缩畸形；心肌脂肪变性，左心室肥大，皮下毛细血管及静脉管壁变薄，有渗血倾向；肾小管可出现钙盐沉着及肾结石；胰腺可有局限性脂肪坏死及胰岛增生；卵巢萎缩，部分患者呈多囊卵巢；睾丸常萎缩，生精小管细小，精子生成停止于精原细胞阶段，间质细胞近于消失；肝细胞脂肪浸润，晚期肝大，有时有来自肾上腺皮质癌的转移灶。肾上腺外癌肿引起本病者可有多处转移灶。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5441', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '509', '临床表现与病理生理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病的临床表现系由于大量皮质醇引起代谢紊乱及多器官功能障碍所致。起病多缓慢，病程较长，尤以增生型发展最慢，从起病到诊断平均约3年余；其次为腺瘤1～2年；腺癌发展快，病程短，一般于1年内可确诊。极少数患者病情可停留于某阶段，甚至自行缓解。临床表现按病理生理分述如下（表15-3-4）：</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表15-3-4　库欣综合征的症状和体征</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180517-1526522919411037325.jpg\" title=\"1526522919411037325.jpg\" alt=\"表15-3-4　库欣综合征的症状和体征.jpg\"/></p><p><span style=\"font-size: 12px;\">（一）肥胖</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">不少病例以肥胖起病。一般有特殊体态，呈向心性肥胖，以面、颈、胸部及腹部较明显，患者面如满月，红润多脂，颈背部脂肪堆积，隆起似水牛背，腹大似球形，四肢相对瘦细。个别患者可有严重肥胖，特别是儿童患者。本病患者肥胖出现早而快为其特征。此种脂肪特异性分布的原因尚未完全明了。皮质醇对脂肪代谢的作用是动员脂肪，促进甘油三酯分解为甘油及脂肪酸，同时抑制脂肪合成，阻抑葡萄糖进入脂肪细胞而转化为脂肪。另一方面，皮质醇抑制葡萄糖利用，促进糖异生使血糖增高，刺激胰岛β细胞分泌胰岛素，而促进脂肪合成。由于全身不同区域的脂肪组织对皮质醇和胰岛素的敏感性可能不同，四肢对皮质醇的动员脂肪作用较面颈部和躯干部敏感，使四肢的脂肪组织动员分解而再沉积于躯干部，加之蛋白质分解使四肢肌肉萎缩，从而形成典型的向心性肥胖。近年来有人认为，这种向心性肥胖可能是由于糖皮质激素过量所致的高胰岛素血症与胰岛素抵抗共存所引起的临床表现（图15-3-9、图15-3-10）。</p><p style=\"text-align: center;\"><span style=\"font-size: 12px;\">图15-3-9　皮质醇增多症（脸部照片）</span></p><p style=\"text-align: center;\"><span style=\"font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180517-1526546141205058384.jpg\" title=\"1526546141205058384.jpg\" alt=\"1526546141205058384.jpg\" width=\"500\" height=\"600\" style=\"width: 500px; height: 600px;\"/></span></p><p><span style=\"font-size: 12px;\"><br/></span></p><p><span style=\"font-size: 12px;\"><br/></span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">脸色红润多脂，形圆似满月</p><p style=\"text-align: center;\"><span style=\"font-size: 12px;\">图15-3-10　皮质醇增多症（全身照片）</span></p><p style=\"text-align: center;\"><span style=\"font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180517-1526546165201092085.jpg\" title=\"1526546165201092085.jpg\" alt=\"1526546165201092085.jpg\" width=\"500\" height=\"600\" style=\"width: 500px; height: 600px;\"/></span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">示典型面貌及向心性肥胖体态，下腹对称性紫纹，四肢相对瘦小</p><p>（二）糖代谢紊乱的表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">皮质醇抑制葡萄糖进入脂肪、肌肉、淋巴细胞、嗜酸性粒细胞及成纤维细胞、皮肤等组织进行酵解和利用。同时还加强肝脏糖原的异生作用，肝内增加糖原异生的酶（葡萄糖-6-磷酸酶和磷酸烯醇式丙酮酸羧激酶）活性促进成糖氨基酸、乳酸、甘油及脂肪酸等在肝内转化为葡萄糖。于是肝糖原增多，肝糖输出也增多。血糖往往增高，60%～90%的患者糖耐量减退，严重者出现继发性糖尿病，占本病中10%～30%，曾称类固醇性糖尿病。糖皮质激素引起的糖尿病其发病过程与2型糖尿病有相似之处，即胰岛素抵抗-β细胞功能受损；但亦有不同之处，糖皮质激素引起的糖尿病发展较快，但具有可逆性。患者对胰岛素治疗往往不敏感，但糖尿病酮症酸中毒较少见，皮质醇增多症被控制后，糖耐量可望恢复正常。</p><p>（三）蛋白质代谢紊乱的表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">皮质醇能促使肝外蛋白质分解，形成氨基酸，其中成糖氨基酸经肝脏转化为肝糖原和葡萄糖，使糖异生加强，还能抑制氨基酸被肝外脂肪、肌肉、皮肤、骨骼等组织摄取而合成蛋白质，使机体处于负氮平衡状态，从而影响皮肤、肌肉、骨骼等组织的生长和修复过程。临床上出现蛋白质过度消耗状态。①皮肤：上皮细胞及皮下结缔组织萎缩使皮肤变薄，呈透明样。由于毛细血管脆性增加，轻微皮肤创伤即可引起擦伤、出血及皮下瘀斑。尤其易发生于上臂、手背与大腿内外侧等处。在下腹部、臀外部、大腿内外侧、腋窝周围、乳房等处因皮下脂肪沉积，皮肤紧张而更薄，皮下弹力纤维断裂，可通过菲薄的皮肤透见红色，形成典型的皮肤紫纹，其特征为对称性，中段较宽而两端较细。有此体征者占50%～70%（图15-3-11）。晚期皮肤更薄而松弛，可呈紫红色大理石样花纹。②全身肌肉萎缩，尤以四肢为甚，致使四肢瘦小无力。③儿童患者生长发育受抑制，以致身材矮小羸弱。</p><p>（四）高血压</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">高血压为本病常见的临床症状，约见于75%以上的患者。高血压的严重程度不一，50%以上患者舒张压超过100mmHg。一般在疾病的早期，血压只稍升高。病程长者，高血压的发生率增加，且严重程度也成比例地增加。个别患者早期血压即很高，可高达250/ 140mmHg。长期高血压可导致心、肾、视网膜的病理变化，心脏可肥大或扩大，严重者可出现心力衰竭和脑血管意外。皮质醇增多症患者引起高血压的机制包括皮质醇激活肾素-血管紧张素系统；增强心血管系统对血管活性物质的正性肌力和加压反应，这些活性物质包括儿茶酚胺和（或）血管加压素和血管紧张素Ⅱ；抑制血管舒张系统，包括一氧化氮合酶、前列环素和激肽-缓激肽系统；糖皮质激素的内在盐皮质激素活性，如除皮质醇外，还分泌中间代谢产物，如11-去氧皮质酮、皮质酮及18-羟去氧皮质酮使体内水钠潴留，并易引起血管痉挛。此外，还可能通过糖皮质激素和盐皮质激素受体作用于中枢神经系统，从而对心血管调节产生增压效应。广泛小动脉硬化，可能是高血压的后果，也可加重高血压。在本病患者高血压发病中，上述各种因素之间的关系尚不清楚。但皮质醇过量是高血压的主要因素。血压的24小时节律变化与皮质醇的分泌水平同步，有80%患者皮质醇水平恢复正常后，血压可有不同程度下降或可能降至正常。久病者常伴有肾小动脉硬化，因而在治疗后血压仍不能降至正常。</p><p style=\"text-align: center;\"><span style=\"font-size: 12px;\">图15-3-11　皮质醇增多症（腹部照片）</span></p><p style=\"text-align: center;\"><span style=\"font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180517-1526546192052022191.jpg\" title=\"1526546192052022191.jpg\" alt=\"1526546192052022191.jpg\" width=\"500\" height=\"600\" style=\"width: 500px; height: 600px;\"/></span></p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">示腹部脂肪沉积、粗大梭形对称性紫纹，腹壁皮肤菲薄有体癣</p><p>（五）骨质疏松</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病患者约有50%出现骨质疏松，以胸椎、腰椎及骨盆最明显，患者常诉胸、背及腰部疼痛，严重者可出现佝偻畸形，身高缩短，胸骨隆起，肋骨等多处病理性骨折，约有20%可出现脊椎压缩性骨折。引起骨质疏松的主要机制是：糖皮质激素直接作用于成骨细胞，抑制骨形成；减少肠钙的吸收并降低肾小管对钙的重吸收，从而导致低血钙和继发性甲状旁腺功能亢进；间接作用于卵巢和睾丸，抑制性激素的分泌。此外，与大量皮质醇促进蛋白质分解有关，促使胶原和骨基质分解，钙盐沉着困难。以致患者脊椎骨、颅骨、盆腔骨及肋骨等常广泛脱钙。皮质醇可促进尿钙排出，使尿钙明显增多，久病者形成肾结石伴尿路结石症群。</p><p>（六）电解质代谢紊乱和酸碱平衡失常</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病患者电解质大多正常。如有明显低钾低氯性碱中毒，提示患肾上腺癌或重症增生型或异源性ACTH综合征可能。腺瘤甚少发生这种情况。极少数患者可因潴钠而有轻度水肿。</p><p>（七）多毛及男性化</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于雄激素分泌过多，80%患者有多毛，一般为细毳毛，分布于面部、颌下、腹部及腰背部，多伴有皮脂增多及痤疮。中年以上可有秃顶。肾上腺皮质癌的女性患者约有20%出现男性化（乳房萎缩、阴毛菱形分布、阴蒂肥大），但明显男性化者少见。</p><p>（八）性功能异常</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">过多糖皮质激素对下丘脑-垂体-肾上腺轴的各位点均有抑制作用，不仅可通过抑制垂体促性腺激素及ACTH的释放而减少性激素的产生，而且可直接作用于肾上腺，减少性激素的产生，因此，约有75%的生殖年龄的女性患者出现月经紊乱、继发性闭经，难以受孕，但少数轻症患者月经可一直正常甚至正常妊娠。部分库欣病患者由于肾上腺雄激素分泌过多，可合并多囊卵巢综合征。男性患者睾酮生成减少，睾丸小而软，阴茎缩小，性欲减退，阳痿及前列腺缩小。</p><p>（九）精神症状</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">约有2/3患者有精神症状，轻者表现为失眠、情绪不稳定、烦躁易怒、焦虑、抑郁、注意力不集中、欣快感、记忆力减退等。重者可有精神变态，可发生类偏狂、精神分裂症或忧郁症等。这些症状可能与大量皮质醇减少了γ-氨基丁酸（抑制性神经递质）的浓度有关。患者大脑皮质处于兴奋状态还与激素对神经系统的直接作用及高血压、动脉硬化、失钾等有关。如本病由垂体大腺瘤所致，患者可发生头痛、视力减退及视野缺损等压迫症，但较少见。</p><p>（十）造血与血液系统病变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">皮质醇可刺激骨髓，使红细胞生成增多，血红蛋白含量增高，有时分别高达5.5× 10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L（550万/mm<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">3</span>）和170g/L以上，引起多血质、脸红、唇紫和舌质瘀紫等红细胞增多症表现。皮质醇可使骨髓储备池释放中性粒细胞增多，而使血液中白细胞进入组织减少，并使嗜酸性粒细胞脱粒变性，增殖周期延长，促使淋巴组织萎缩，故中性粒细胞增多而嗜酸性粒细胞减少，单核细胞和淋巴细胞也减少。</p><p>（十一）对感染的抵抗力减弱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">长期皮质醇增高促使蛋白质呈负平衡，抑制体液免疫和细胞免疫，抑制抗体形成与炎症反应。使单核-吞噬细胞的吞噬作用和杀伤能力减弱；中性粒细胞向血管外移行至炎症区者减少，活动能力减低，吞噬作用减弱；皮质醇增高还可使淋巴细胞溶解并抑制其增生，使抗体产生减少；单核细胞（组织中吞噬细胞的前身）到达炎症区者亦减少，不利于消灭抗原。故本病患者对感染的抵抗力明显减弱，容易感染某些化脓性细菌、真菌和病毒性疾病。在皮肤黏膜交界处常有真菌感染，如花斑癣、趾甲真菌病及口腔念珠菌病等。患者感染往往不易控制，甚而发展为败血症和毒血症。加之患者可因皮质醇增多而发热等机体防御反应被抑制，易造成误诊，后果常严重。</p><p>（十二）色素沉着</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">重症库欣病或异位ACTH综合征患者因垂体产生大量ACTH、β-LPH、N-POMC，其内均含促黑素细胞活性的肽段，故患者皮肤色素加深，具有一定的诊断意义。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">除上述典型症状外，尚有各种特殊表现，个别患者病情呈周期性或间歇性，在非发作期，临床表现和各种实验室检查可完全恢复正常；儿童患者如有癌肿者可以生长迟缓或性早熟为主要症状；本病女性患者还可合并多囊卵巢和多囊卵巢综合征。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">总之，由于本病病因、病理不同，起病年龄、性别不同，病程和并发症等因素，致临床症状错综复杂，除典型症状外，必须注意特殊表现，方可免于误诊和漏诊。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5442', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '509', '诊断与鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病诊断可分两步进行。首先应肯定有否皮质醇分泌过多的证据，即功能诊断，然后确定病因和肾上腺皮质病理性质与部位，即病因病理诊断。在进行功能诊断前首先须明确外源性糖皮质激素类药物使用史（包括口服、直肠用、吸入、外用、相关中草药等）。在功能诊断时，同时需要与一些可增加皮质醇分泌的生理或病理状态（例如单纯性肥胖、多囊卵巢综合征、代谢综合征、抑郁或其他心理疾病、大量饮酒、未控制的糖尿病、妊娠等）进行鉴别诊断（图15-3-12、图15-3-13）。</p><p>（一）临床表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">典型临床表现已如前述。本病患者早期往往缺乏特异性表现，应在以下高危人群中认真筛查，以早期检出亚临床、轻型患者：①中心性肥胖伴以下特征之一者：满月脸、多血质、锁骨上窝脂肪垫、瘀斑或紫纹、近端肌病、多毛、皮肤真菌感染、焦虑等精神症状；②代谢综合征，特别是血压、血糖等控制不佳的肥胖糖尿病患者；③多囊卵巢综合征患者；④低促性腺激素的性功能障碍者；⑤不明原因的早发性骨质疏松，尤其是肋骨骨折等患者。</p><p>（二）初步检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对临床高度怀疑皮质醇增多症的患者须进行以下检查中的两项检查：</p><p>1.血清皮质醇昼夜节律</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">正常人血清皮质醇水平有明显昼夜节律（上午8～9时皮质醇水平最高，午夜最低），本病患者血浆皮质醇水平增高且昼夜节律消失，晚上及午夜低于正常不明显，甚而较午后水平高。目前采用的评判标准：睡眠状态午夜血清皮质醇＞1.8μg/dl（敏感性100%，特异性20.2%）或清醒状态下血清皮质醇＞7.5μg/dl（敏感性大于96%，特异性87%），提示皮质醇增多症可能性大。</p><p>2.24小时尿游离皮质醇（UFC）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于24小时尿皮质醇每日有波动，一般进行两次及以上，同时测定24小时尿肌酐来协助判断留取尿液是否准确。根据检测试剂盒不同，24小时UFC的正常值一般小于220～330nmol/24h （80～120μg/24h）之间。本病患者24小时UFC高于正常上限。但在入水量增加（＞5L/天），任何增加皮质醇分泌的生理或病理状态都会使24小时UFC升高而出现假阳性结果；中重度肾功能不全的患者（GFR＜60ml/min）可出现24小时UFC降低的假阴性结果。24小时UFC仅是一项筛查检查，在8%～15%的皮质醇增多症患者可表现为24小时UFC正常，同时；如发现24小时UFC升高则需另一项检查阳性才能确诊皮质醇增多症。17-羟皮质类固醇（17-OHCS）、17-酮类固醇（17-KS）由于其受干扰因素多，假阳性及假阴性率均高，目前已很少应用。</p><p>3.午夜唾液皮质醇测定</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年来国外趋向于测定唾液皮质醇（salivary cortisol，SAC）来反映血清游离皮质醇水平。与血清不同的是SAC主要以游离形式存在，由于其标本易采集和室温下存放稳定的特点，尤适用于门诊筛查，据文献报道其敏感性和特异性在95%～98%之间，国内上海瑞金医院报道其敏感性和特异性可达100%和91.4%。然而目前国内唾液皮质醇检测尚未广泛开展。</p><p style=\"text-align: center;\"><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180517-1526546434431040011.jpg\" title=\"1526546434431040011.jpg\" alt=\"图15-3-12　库欣综合征诊断流程.jpg\"/></span></p><p style=\"text-align: center;\"><span style=\"font-size: 12px;\"><span style=\"font-size: 13.3333px; text-align: center;\">图15-3-12　库欣综合征诊断流程</span></span></p><p style=\"text-align: center;\"><span style=\"font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180517-1526546486560075884.jpg\" title=\"1526546486560075884.jpg\" alt=\"图15-3-13　皮质醇增多症病因鉴别诊断流程.jpg\"/></span></p><p style=\"text-align: center;\"><span style=\"font-size: 12px;\">图15-3-13　皮质醇增多症病因鉴别诊断流程</span></p><p><span style=\"font-size: 12px;\"><br/></span></p><p>（三）进一步检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">当初步检查异常时，行午夜一次法或经典小剂量地塞米松抑制试验来确定是否存在皮质醇增多症。</p><p>1.午夜一次法小剂量（1mg）地塞米松抑制试验（dexamethasone suppression test，DST）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">第一天晨8am取血测定基础血清皮质醇后，于午夜23：00～24：00间口服地塞米松1mg，次日晨8am取血测定血清皮质醇。目前国际上采用的切点为服药后血清皮质醇小于1.8μg/dl（敏感性大于95%，特异性约80%）。</p><p>2.48小时经典法小剂量地塞米松抑制试验（Low dose desamethasone suppression test，LDDST）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">与1mg DST相比，因其能提高特异性，有些中心倾向于采用该项检查。口服地塞米松0.5mg，每6小时1次，连续2天，服药前和服药后第二天测定24小时尿游离皮质醇，也可服药前后测定血皮质醇进行比较。服用地塞米松第二天24小时UFC下降至27nmol/L（10μg/24h）以下，或口服地塞米松2天后血皮质醇小于1.8μg/dl，基本可排除皮质醇增多症。极个别库欣病患者，小剂量地塞米松抑制试验时血皮质醇低于1.8μg/dl，此时应结合临床表现和其他检查结果进行判断。</p><p>（四）皮质醇增多症病因学检查1.血浆ACTH测定</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要用于鉴别ACTH依赖性和ACTH非依赖性皮质醇增多症。一般用免疫放射分析法测定。晨8am ACTH＜10pg/ml提示ACTH非依赖性，ACTH＞20pg/ml提示ACTH依赖性。如ACTH在10～20pg/ml之间，建议行CRH兴奋试验或DDAVP兴奋试验测定ACTH。</p><p>2.大剂量地塞米松抑制试验（high dose dexamethasone suppression test，HDDST）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前有几种大剂量DST的方法，包括口服地塞米松8mg/天×2天（2mg，Q6h）的经典大剂量DST、单次口服8mg地塞米松的过夜大剂量DST和静脉注射地塞米松4～7mg的DST。经典大剂量DST法为服药前和服药第二天测定24小时尿UFC，过夜大剂量DST和静脉注射地塞米松DST法为用药前后测定血皮质醇进行比较，较基础值下降大于50%为切割点。下降不足50%为不能被抑制（阳性）。垂体ACTH腺瘤90%可能被抑制，而异位ACTH综合征和肾上腺肿瘤患者则90%不能被抑制。</p><p>3.美替拉酮（化学名双吡啶异丙酮，SU4885，metyrapone）试验</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此药可抑制肾上腺皮质激素生物合成中所需的11-β羟化酶，从而抑制皮质醇、皮质酮等合成，形成多量11-去氧皮质醇等中间代谢产物，以致尿中17-OHCS排量显著增加。750mg美替拉酮Q4h口服1天后，库欣病的患者血清ACTH明显升高，伴24小时尿17-OHCS升高。大部分异位ACTH综合征的患者没有反应。美替拉酮试验最初是用来区分库欣病和原发性肾上腺性库欣综合征，目前可通过检测血清ACTH以及肾上腺CT鉴别。采用这个试验鉴别库欣病和异位ACTH综合征并不可靠，且国内缺乏该药，临床极少采用此试验。</p><p>4.CRH兴奋试验（CRH stimulation test）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一般认为，给予外源性CRH后，库欣病患者的ACTH、F及其代谢产物升高，而肾上腺皮质肿瘤或异源性ACTH综合征患者则不受影响（Kaye标准：CRH刺激后，血F升高20%以上，血ACTH升高50%以上为阳性反应）。目前临床上因缺乏CRH试剂，较少应用。</p><p>5.去氨加压素兴奋试验（desmopressin stimulation test）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">静脉注射DDAVP 10μg，用药前及用药后每隔15分钟取血测定血ACTH和皮质醇，直至1～2小时。用DDAVP后血皮质醇升高达到或超过20%，血ACTH升高达到或超过35%判断为阳性。可作为ACTH依赖性库欣综合征的诊断与鉴别诊断，但20%～50%的异位ACTH综合征的肿瘤DDAVP试验也为阳性，故该检查的敏感性及特异性均不高，目前国内尚未广泛应用于临床。</p><p>6.双侧岩下窦插管取血（bilateral inferior petrosal sinus sampling，BIPSS）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">为鉴别垂体ACTH腺瘤和异位ACTH综合征的金标准。经股静脉插管至双侧岩下窦后，测定外周血及双侧岩下窦血浆ACTH，血清ACTH的岩下窦（IPS）∶外周（P）比值在基线状态≥2提示库欣病，DDAVP刺激后≥3提示库欣病，反之提示为异位ACTH综合征。该项目仅在国内少数几家中心进行。该检查敏感性和特异性可达95%～99%。</p><p>（五）影像学检查1.肾上腺及蝶鞍区检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肾上腺部位检查目前多采用CT扫描或磁共振，B型超声波检查及放射性碘化胆固醇扫描等，肾上腺皮质肿瘤常可显示肿瘤阴影，如肿瘤阴影巨大，直径在6～10cm以上者可能为肾上腺皮质癌，增生者常示双侧肾上腺增大。鞍区磁共振动态增强对垂体大小及是否有大小腺瘤颇有帮助（图15-3-14、图15-3-15）。</p><p style=\"text-align: center;\"><span style=\"font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180517-1526546553317085323.jpg\" title=\"1526546553317085323.jpg\" alt=\"1526546553317085323.jpg\" width=\"500\" height=\"600\" style=\"width: 500px; height: 600px;\"/></span></p><p style=\"text-align: center;\"><span style=\"font-size: 12px;\">图15-3-14　垂体ACTH大腺瘤</span></p><p>2.其他X线检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">脊柱、颅骨、盆腔骨等明显骨质疏松或病理性骨折，广泛脱钙。小部分增生型患者示蝶鞍扩大。由于大部分引起异位ACTH分泌的肿瘤位于胸腔，在临床怀疑异位ACTH综合征时，首先行胸部薄层CT。也可行PET-CT或全身奥曲肽扫描明确诊断。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">不同病因所致皮质醇增多症的鉴别诊断详见表15-3-5。</p><p style=\"text-align: center;\"><span style=\"font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180517-1526546597006072844.jpg\" title=\"1526546597006072844.jpg\" alt=\"1526546597006072844.jpg\" width=\"500\" height=\"600\" style=\"width: 500px; height: 600px;\"/></span></p><p style=\"text-align: center;\"><span style=\"font-size: 12px;\">图15-3-15　垂体ACTH微腺瘤</span><span style=\"font-size: 12px; text-align: left;\"></span></p><p style=\"text-align: center;\"><br/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表15-3-5　皮质醇增多症中四种不同病因的鉴别诊断</p><p style=\"text-align:none\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180517-1526546770095017805.jpg\" title=\"1526546770095017805.jpg\" alt=\"1526546770095017805.jpg\" width=\"800\" height=\"888\" style=\"width: 800px; height: 888px;\"/></p><p style=\"text-align: center;\"><span style=\"font-size: 12px;\">续表</span></p><p><span style=\"font-size: 12px;\"></span></p><p style=\"text-align:none\"><span style=\"font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180517-1526546985162035152.jpg\" title=\"1526546985162035152.jpg\" alt=\"1526546985162035152.jpg\" width=\"780\" height=\"358\" style=\"width: 780px; height: 358px;\"/></span></p><p><br/></p><p><br/></p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5443', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '509', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在病因治疗前，对病情严重的患者，最好先采取措施对症治疗以改善并发症。例如有低血钾的患者，应适当补钾；有继发性糖尿病者，应进行饮食治疗，必要时予口服降糖药或应用胰岛素，使血糖降至正常。本病所致继发性高血压多为顽固性，通常需要两种以上不同类型的降压药联合应用，如钙拮抗药、血管紧张素转换酶抑制剂、利尿剂等。蛋白质分解过度症状明显者（如肌无力、骨质疏松等），可予苯丙酸诺龙或睾酮治疗，以促进蛋白质合成。骨质疏松明显者可补充钙剂和维生素D及二膦酸盐等。有感染时，应及时用抗生素控制感染。病因治疗按病变性质不同可有不同选择。</p><p>（一）库欣病治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可归纳为手术、放射治疗、药物治疗三种治疗方法。</p><p>1.手术治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">分垂体及肾上腺手术两种：</p><p>（1）垂体手术：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有蝶鞍扩大及垂体大腺瘤者须做开颅手术治疗，尽可能切除肿瘤。蝶鞍不扩大者，约有80%以上垂体存在微腺瘤，可采取经蝶窦垂体微腺瘤切除术的治疗，一旦切除腺瘤，患者的临床症状可获缓解或消失。基本治愈的标准是不需长期糖皮质激素替代治疗和保留一个完整的下丘脑-垂体轴。有资料统计手术治愈率不到65%。术后可发生暂时性垂体肾上腺皮质功能不足，需短期糖皮质激素替代治疗，直至垂体-肾上腺功能恢复正常（一般需要9～12个月）。选择性经蝶窦垂体手术后的严重并发症（如垂体功能低下、脑脊液鼻漏、脑膜炎、视力及动眼神经功能损害）很少见。术后许多患者病情能获长期效果。</p><p>（2）肾上腺手术：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">垂体手术开展前，双侧肾上腺完全切除或次全切除（切除90%以上）是治疗本病的经典方法。它作用迅速，手术死亡率和术后并发症如肺栓塞和深静脉血栓的发生率较低。双侧肾上腺完全切除的缺点是造成永久性肾上腺皮质功能减退和进行性垂体肿瘤增大而发生Nelson综合征（Nelson syndrome）。Nelson综合征发生率为5%～10%，儿童发生此症的百分率更高。肾上腺次全切除一般不需替代治疗，也不形成Nelson综合征，但复发率很高。不论肾上腺全切或次全切除后，为了避免Nelson综合征或复发，应继续以垂体放射治疗；且必须作好手术前准备和术后激素补充替代治疗。目前双侧肾上腺切除术仅适用于其他治疗方法失败且药物治疗不能长期耐受的患者。</p><p>2.垂体放射治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于经蝶垂体手术的广泛开展，垂体放射治疗皮质醇增多症较少应用。分子外照射治疗或立体定向放疗都能够在3～5年内使约50%～60%患者的高皮质醇血症得到控制。垂体放疗后均有可能在短期控制后复发，也可出现全垂体功能减退，须定期随访。</p><p>3.药物治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前对本病的药物治疗虽有不少新的进展，但不少尚处于研究阶段，须进行大量临床试验来证实其疗效。药物治疗的靶点包括抑制ACTH的合成和分泌、抑制糖皮质激素的合成和分泌，以及阻断外周糖皮质激素的效应。</p><p>（1）抑制垂体ACTH合成的药物：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前临床上仍无特效药物能抑制库欣病患者腺垂体分泌ACTH。既往报道的5-羟色胺拮抗剂、多巴胺受体激动剂、PPAR-γ受体激动剂等均效果不显著。已上市的生长抑素类似物（奥曲肽，octreotide和兰瑞肽，lanreotide）对库欣病无效。近期有研究显示另一新型生长抑素类似物Pasireotide（SOM230）可有效降低垂体腺瘤分泌ACTH，改善症状并提高患者生活质量，但仍需进一步三期和四期临床试验进行验证。</p><p>（2）抑制糖皮质激素合成的药物：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（表15-3-6）氨鲁米特（氨基导眠能）可抑制胆固醇转变为孕烯醇酮；米托坦（双氯苯二氯乙烷）（O，P′-DDD）是3β-羟脱氢酶阻断药，对肾上腺有破坏作用；酮康唑（用于治疗真菌感染的药物）能通过抑制肾上腺细胞色素P450所依赖的线粒体酶，而阻滞类固醇激素合成。并减弱皮质醇对ACTH的反应；美替拉酮为肾上腺皮质11β-羟化酶抑制剂。</p><p>（3）糖皮质激素受体拮抗剂：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">米非司酮（mifepri-stone，RU486）有助于缓解临床症状，但对垂体、肾上腺病变几乎无作用，用药量为每天5～22mg/kg，长期应用可使ACTH升高，不良反应可有头晕、乏力、厌食、肌肉和关节疼痛、体位性低血压等，长期使用还有神经性厌食和子宫内膜增厚的危险。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表15-3-6　抑制肾上腺皮质合成类固醇药物的特点</p><p style=\"text-align:none\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180517-1526547128351096658.jpg\" title=\"1526547128351096658.jpg\" alt=\"1526547128351096658.jpg\" width=\"800\" height=\"322\" style=\"width: 800px; height: 322px;\"/></p><p><span style=\"font-size: 12px;\">（二）肾上腺皮质腺瘤或癌</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于肾上腺皮质腺瘤可切除患侧腺瘤，效果良好。近年来，采用腹腔镜下手术具有创伤小、出血少、并发症低、恢复快的优点。但对大的肿瘤或转移性肿瘤、有粘连浸润的肿瘤仍须行开放手术。由于有高皮质醇血症，使下丘脑-垂体轴及对侧肾上腺受到长期抑制，故在术中及术后，需要用糖皮质激素治疗，手术后如有危象或休克者应加大皮质醇剂量，并给血管活性药联合应用。术后为了刺激萎缩肾上腺加速恢复，次日起可加用ACTH肌肉注射，每日80U，连续10日后减去10U，直至功能恢复时停用。一般在手术后半年至1年萎缩的肾上腺可得到功能上的代偿，但也有少数病例虽经较长期ACTH兴奋，仍不能恢复其必需功能，此时需长期用皮质醇替代补充治疗；直至留下的肾上腺皮质恢复正常功能为止。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对肾上腺癌的治疗多不满意，多数患者在确诊时已转移到腹膜后、肝及肺。进行手术治疗不能治愈，但可使肿瘤体积缩小及减轻临床症状。如术后持续有不能被抑制的皮质醇分泌，提示癌已转移或癌瘤未能根除。患者术中及术后糖皮质激素治疗同前，如双侧全切者，每日补充醋酸可的松25～37.5mg，上午8时前给予12.5～25mg口服，午后2时给12.5mg。术后通常应用米托坦（双氯苯二氯乙烷）（O，P′-DDD）辅助治疗，一般初用剂量每日2～6g，分3次服用，治疗1个月后，大部分患者尿17-OHCS、17-KS下降，如疗效不显著，可增大至每日8～12g，病情好转后可逐渐减至维持量，一般每日3g，分3次口服，继续服用4～6个月以上，平均约4～8个月后常可见癌肿或转移灶渐缩小，皮质醇分泌量减少而症状暂时缓解，寿命可延长至2年以上。但过量时可引起肾上腺皮质功能不全，须适当补充糖皮质激素，又因O，P′-DDD对外源性的激素也有影响，故补充量应比正常替代量稍大。</p><p>（三）异源性ACTH综合征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">异源性ACTH肿瘤中，只有良性肿瘤（如胸腺瘤、支气管类癌或嗜铬细胞瘤）才能通过手术而治愈。但此组肿瘤多为恶性肿瘤，因有严重的皮质醇增多及肿瘤转移，治疗十分困难，对于在确诊时已有转移而不能手术的患者仅可采用前述抑制糖皮质激素合成的药物，可与其他抗癌化疗联合治疗。类固醇合成阻断药美替拉酮及酮康唑虽有一定疗效，但效果有限。近年来有报道用酮康唑每日1200mg成功地治疗小细胞肺癌引起的库欣综合征。隐性肿瘤用量少于1200mg，分次给药，一般均能控制，需检测肝功能。如果治疗能维持1年，有望能找到肿瘤，必要时第2年可继续服药，重复寻找，如始终未发现可考虑双侧肾上腺切除。美替拉酮治疗本病需要用大剂量。氨鲁米特偶被使用，成人有效剂量约为1g/d。一般不使用O，P′-DDD治疗。因为此药发挥作用很慢，需几周时间才能控制皮质醇分泌。近年来还有报道类固醇受体拮抗剂米非司酮可改善此病的临床症状，米非司酮治疗还能上调异位肿瘤上生长抑素受体表达，提高奥曲肽扫描的阳性检出率。还有用生长抑素类似物SMS201-995成功地治疗由转移性分泌胃泌素的胰岛细胞癌引起的库欣综合征的报道。</p><p>（四）Nelson综合征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病是采用双侧肾上腺切除治疗库欣病术后垂体瘤进行性生长所致，因此术前和术后常规垂体放疗可防止发生Nelson综合征。目前本病诊断标准还不一致，一种观点认为双侧肾上腺切除后垂体腺瘤增大而压迫邻近组织时才可诊断；另一种观点认为只要有ACTH高分泌并有色素沉着时即可诊断。总之在术后必须监测血浆ACTH水平、蝶鞍大小以便及早诊断。治疗可采用手术及放疗，手术最好在微腺瘤时进行，一般腺瘤越大，效果越差。对于药物治疗效果较差。曾有报道用神经活性药丙戊酸钠治疗获效者，近年来研究发现卡麦角林对本病有一定的疗效。</p><p>（五）不依赖ACTH的双侧肾上腺增生</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">应选择双侧肾上腺全切除术治疗，术后不会引起Nelson综合征，不需垂体放疗，必须用糖皮质激素终身替代治疗。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5444', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '509', '预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病预后以单侧腺瘤经早期手术效果最好，病情一般在术后数月可逐渐好转，以至完全康复。库欣病由于垂体显微手术及定向立体放疗治疗的进展，大多数患者可得到有效的治疗。若垂体肿瘤很大，则预后稍差。异源性ACTH综合征或肾上腺癌肿已转移者则预后极差。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5445', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1678', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">卵子在输卵管壶腹部受精后，受精卵因某些因素在输卵管内运行受阻，而停留在输卵管的某一部位着床、发育，发生输卵管妊娠。其发生部位以输卵管壶腹部最为常见，约占50%～70%，其次为峡部，占20%～25%，输卵管及伞部占17%，间质部较少，约占2%～4%。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5446', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1678', '病理', '<p>1.输卵管变化</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">受精卵在输卵管壶腹部种植最多，其次为峡部、伞部及间质部。受精卵着床后，输卵管壁出现蜕膜反应，但由于输卵管管腔狭窄，管壁较薄且缺乏黏膜下组织，蜕膜形成较差，不利于胚胎发育，往往较早发生输卵管流产；输卵管的血管分布不利于受精卵着床，胚胎滋养细胞往往穿破输卵管动脉或小动脉。由于小动脉压力较绒毛血管高，故血液自破口流入绒毛间；同时，输卵管肌层不如子宫肌层厚和坚韧，胚胎滋养细胞容易侵入，甚至穿透输卵管壁而引起输卵管破裂。</p><p>2.子宫变化</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">　和正常妊娠一样，输卵管妊娠时合体滋养细胞产生的hCG使黄体类固醇激素分泌增加，子宫肌层和子宫内膜发生相应的变化，子宫增大、变软，子宫内膜发生蜕膜化，蜕膜化的程度与hCG水平有关。但输卵管妊娠蜕膜下的海绵层及血管系统发育较差。当输卵管滋养细胞活力下降时，蜕膜自宫壁剥离，发生阴道流血，有时可以排出完整的蜕膜管型，排出组织做病理检查无绒毛结构，这一点有助于异位妊娠的诊断。子宫内膜可见有Arias- Stella （A- S）反应，即子宫内膜呈过度增生和分泌状态，内膜腺体增生，腺体细胞肥大，边界消失，排列成团，突入腺腔，细胞极性消失，核深染，胞质有空泡。内膜A- S反应与妊娠有关，并非异位妊娠所特有。</p><p>3.卵巢变化</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">与正常妊娠相似，卵巢黄体转变成为妊娠黄体，有时还可见到黄素囊肿。</p><p>4.转归和结局</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">输卵管管腔狭小，管壁薄弱，妊娠时不能形成良好的蜕膜，不利于胚胎的生长发育，常发生以下结局：</p><p>（1）输卵管妊娠流产：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">是输卵管妊娠最为常见的结局，多见于妊娠8～12周的壶腹部妊娠。受精卵种植在输卵管黏膜皱褶内，由输卵管黏膜及纤维蛋白形成的包蜕膜很脆弱。随着孕囊的发育增大，发育中的胚泡突破薄弱的包膜，落入管腔，而发生流产。若整个孕囊剥离落入管腔并经伞部进入腹腔，则为输卵管完全流产，这种情况下出血一般不多。若孕囊部分剥离排出，则为输卵管部分流产，和宫腔内不全流产相似，此时可发生反复出血，形成输卵管血肿或输卵管周围血肿，血液积聚在直肠子宫陷凹，形成盆腔血肿。如果出血量不多，病情稳定，久之，胚胎死亡，血肿机化并与周围组织粘连，临床上称之为“陈旧性宫外孕”。也有部分晚期胎儿发生多种改变，如浸软、木乃伊化或石化，有时合并感染化脓，或形成干性坏疽；偶有感染破溃进入肠管、阴道穹隆，甚至从肠道或阴道排出。</p><p>（2）输卵管妊娠破裂：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">多见于输卵管峡部妊娠，发病多在孕6周左右。随着受精卵发育长大，滋养细胞向管壁侵蚀肌层及浆膜，穿透输卵管管壁引起。输卵管破裂后，由于输卵管肌层及浆膜内血管丰富，破裂后可造成急性大出血，患者迅速进入休克状态。但也有表现为少量反复出血，并形成盆腔血肿。输卵管间质部妊娠虽然少见，但结局几乎都是妊娠破裂。由于间质部肌层较厚，破裂时间晚，常发生在妊娠12～16周，因该处为子宫血管和输卵管血管汇集区，一旦发生破裂，出血量大而迅速，后果十分严重，常常在短时间内发生致命性的腹腔内出血。</p><p>（3）继发腹腔妊娠：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">输卵管妊娠流产或破裂，孕囊排出进入腹腔，多数情况下胚胎枯萎，停止发育；偶尔也可发生胚胎腹腔内继续发育生长，形成继发性腹腔妊娠。当输卵管破于阔韧带前后叶腹膜之间，则可发生阔韧带内妊娠。胚胎脾脏种植也见有报道。</p><p>（4）异位复合妊娠：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">同时存在宫内和输卵管妊娠称之为异位复合妊娠，这种情况十分少见，并常常误诊为单纯输卵管妊娠。随着辅助生殖技术的应用，复合妊娠时有报道。</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5447', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1678', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\"></span>输卵管妊娠的临床表现与受精卵着床部位、有无流产或破裂，以及出血量多少、时间长短等因素有关。</p><p>1.停经</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">多数输卵管妊娠患者在发病前有短期停经史。除输卵管间质部妊娠停经时间较长外，大都在6～8周左右。但约有20%～30%患者无明显停经史，仅表现为月经周期改变及经血量异常而无明显的停经史。原因是：①部分异位妊娠因滋养层活力低，蜕膜自行变性剥脱而致阴道流血；②将异位妊娠流产、破裂、胚胎死亡、绒毛停止发育、蜕膜组织丧失激素的支持而坏死脱落误认为“月经延迟”；③少数异位妊娠破裂，破裂处血液逆流入宫腔而致阴道流血。常因医师或患者将不规则阴道出血误认为末次月经，或由于月经仅过期几日，不认为是停经，所以仔细询问病史十分重要。</p><p>2.腹痛</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">腹痛是输卵管妊娠最常见的症状，其发生率在90%以上。输卵管妊娠发生流产或破裂之前，由于胚胎在输卵管内逐渐增大，输卵管膨胀而常表现为一侧下腹部隐痛或酸胀感。当发生输卵管妊娠流产或破裂时，患者感一侧下腹部撕裂样疼痛，常伴有恶心、呕吐。当血液积聚于直肠子宫陷凹处时，可出现肛门坠胀感。出血量较多时呈贫血貌，血液刺激膈肌可引起肩胛部放射性疼痛。</p><p>3.阴道流血</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">多见于停经后阴道少量流血，色暗红，淋漓不尽，持续性或间隙性，可伴有蜕膜碎片排出，偶有大量阴道流血。出血可能与胚胎死亡、流产、雌激素撤退有关。</p><p>4.晕厥与休克</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">当输卵管妊娠流产或破裂时，由于腹腔内出血和剧烈腹痛，部分患者很快处于休克状态。休克程度取决于内出血的速度及出血量，与阴道流血量不成比例。</p><p>5.盆腔包块</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">约1/3～1/2患者可扪及盆腔包块，位于子宫一侧或后方，其大小、形状和质地常有变化，边界多不清楚，伴有压痛和触痛。病变持续较久时，肿块机化变硬，边界逐渐清楚。</p><p>6.腹部压痛或反跳痛</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">　因腹腔内出血激惹腹膜可引起压痛和反跳痛，反跳痛常重于压痛。少数患者出现肩痛，为腹腔内出血量多刺激膈肌引起，称为Danforth征。</p><p>7.宫颈举痛</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">将子宫颈轻轻上抬或左右摇摆时可引起剧烈疼痛，称为宫颈举痛或摇摆痛，为输卵管妊娠的主要体征之一，是因加重对腹膜刺激所致。若腹腔内出血较多，查体子宫有漂浮感。</p><p>8.体温</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">　一般体温正常，少数患者因腹腔内出血吸收可出现体温略升高，但不超过38℃。</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5448', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1678', '诊断', '<p>1. hCG测定</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">hCG是由两个非共价键相连的肽链组成的糖蛋白激素。其单个亚基不具有生物活性，当连接成完整化合物时始具活性，分子量约为4. 7万。其主要功能就是刺激黄体，有利于雌激素和黄体酮持续分泌，以促进子宫蜕膜的形成，使胎盘生长成熟。hCGα亚单位的氨基酸排列与黄体生长激素（LH）α亚单位相似，故用完整的抗hCG分子的抗体测定hCG时与LH间有免疫交叉反应。但它们的β亚单位各不相同。因此为避免交叉反应，目前临床上多采用灵敏度高、特异性强的β- hCG- RIA法进行特异的hCG检测，定量动态观察β- hCG的变化。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">正常妊娠受精卵着床时，即排卵后的第6日受精卵滋养层的合体细胞开始分泌微量人绒毛膜促性腺激素（human chorionic gonadotropin，hCG）。着床后用特异的βhCG抗血清能在母血中检测中hCG。妊娠早期hCG分泌量增长迅速，约2日增长一倍，在受精后10日可用放免法（RIA）自母体血清中测出，故成为早期诊断妊娠的最敏感方法。hCG在妊娠约8～10周达最高水平，持续约10日后迅速下降，至妊娠中晚期血清浓度仅为峰值的10%左右，持续至分娩。产后2周恢复至正常月经周期水平。临床上常以hCG水平增长的速度协助诊断宫内妊娠与异位妊娠，在妊娠早期检测血hCG倍增水平具有宫内妊娠的诊断意义。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">正常参考值：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">妊娠周数　hCG（IU/L）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">0. 2～1周　5～50</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1～2周　　50～500</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2～3周　　100～5000</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3～4周　　500～10 000</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4～5周　　1000～50 000</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5～6周　　10 000～100 000</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">6～8周　　15 000～200 000</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">8～12周　10 000～100 000</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">异位妊娠时，受精卵着床在子宫外，蜕膜形成不良，滋养细胞发育欠佳，合体滋养细胞合成、分泌的hCG量往往低于宫内妊娠。通常异位妊娠患者更加倾向于出现过早的hCG平台期，或者hCG水平较低（往往＜2000mIU/ml），且48小时倍增小于66%。如果在怀孕4天内，血浆hCG水平在48小时内倍增小于50%，往往提示异常妊娠，但并不能鉴别是异位妊娠还是流产。异位妊娠与流产血hCG下降各具特点，血hCG下降快，半衰期＜1. 4天者约92%是宫内妊娠流产；血hCG下降慢，半衰期＞7天者约86%为异位妊娠；半衰期1. 4～6. 9天，则两者均有可能，其中1/3为异位妊娠。对于异位妊娠被误诊为宫内妊娠行人工流产者，如果宫内吸出物未见绒毛或病理报告内膜呈A- S反应，应动态监测hCG水平的变化，辅助超声检查，必要时腹腔镜检查明确诊断；若吸宫术后24小时hCG下降≥50%，诊断为异常宫内妊娠的敏感性和特异性分别达92%和100%，由此可排除宫外妊娠。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">异位妊娠者腹腔内血hCG水平均高于血清hCG水平，是因为异位妊娠破裂或流产时含hCG的血液直接流入腹腔，保持较长时间。而静脉循环中的hCG经肝脏代谢后由肾脏排出，下降迅速。</p><p>2.超声检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　超声检查对异位妊娠的诊断具有重要的临床价值，尤其是早期异位妊娠，通过超声检查往往能提供较多的信息。超声诊断异位妊娠的敏感性为73. 9%，特异性为99. 9%。随着仪器分辨率的提高，尤其是阴道超声及彩色多普勒血流成像的应用，超声诊断异位妊娠的正确率明显提高。异位妊娠的超声表现可见子宫大小正常或稍大，内膜蜕膜样变化，子宫的一侧附件处可探及肿块，肿块边界欠清，边缘不规则，回声类型主要与超声探查时异位妊娠所处的不同阶段而不同，未破型、破裂型、流产型、陈旧型异位妊娠患者的超声声像图表现均有其自身的特点。</p><p>（1）破裂型输卵管妊娠：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">超声声像图表现为大片液性暗区，宫体一侧或子宫后方探查到回声紊乱包块，边界清晰或不清，形态不规则，宫内未见到孕囊。包块内可见圆形或椭圆形无回声区，少数病例可见包块见妊娠囊，内见胚芽组织和原始心管搏动。</p><p>（2）未破裂型或流产型输卵管妊娠：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">超声声像图表现为子宫内膜增厚，宫内无孕囊，子宫周围或一侧附件混合回声包块；在子宫与卵巢间可见输卵管环，该环为增宽的输卵管管壁水肿，与管腔内的妊娠组织及血块共同形成低回声区所致。在输卵管环内可见妊娠光环，约10%的病例在妊娠囊内见到胚芽或心管搏动。此外，腹盆腔存在程度不一的液性暗区。</p><p>（3）陈旧型输卵管妊娠：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">超声声像图显示盆腔内形态不规则、无包膜、边缘模糊、内部回声增强的混合性光团，其间可见散在液性暗区。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">经腹超声检查和经阴道超声检查是临床上常用的诊断异位妊娠重要的辅助手段。异位妊娠经腹超声诊断符合率71. 4%，经阴道超声诊断符合率85. 7%，准确率为97. 59%。经腹超声具有较大的检查范围，但影响检查结果的因素较多，如膀胱充盈程度、肠胀气、患者过胖等均可影响对正常结构的观察；阴道超声检查异位妊娠图像分辨力高，能更好地显示子宫、卵巢及盆腔肿块的细微结构，对宫内、外妊娠囊、卵黄囊、胚芽、原始心管搏动等细微结构的显示效果好，尤其在异位妊娠早期内出血不多，无回声区只局限于直肠子宫陷凹或子宫周围时，阴道超声检查有较高的敏感性，但检查范围较小，往往不能了解疾病声像图表现的全貌；故破裂型异位妊娠出血量较多的病例，最好能联合经腹部扫查，以补充经阴道检查的不足，进一步提高诊断准确率。阴道超声一般较经腹部超声提前1～2周确认宫内妊娠囊，而经腹部超声检查显像要到停经7周才能查到胚芽与原始心管搏动。</p><p>3.腹腔镜检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　多数情况下，异位妊娠通过病史、体征、血β- hCG测定及超声检查即可对早期异位妊娠作出诊断，但有部分诊断比较困难的病例，可以在腹腔镜直视下明确诊断，并进行手术治疗。对特殊部位的异位妊娠，如卵巢妊娠、宫角妊娠、残角子宫妊娠等可对病变部位作出正确的诊断，同时也可与其他不易鉴别的附件包块等相鉴别。但在极早期受精卵着床部位形态学未发生明显变化前，或盆腹腔粘连的情况下，腹腔镜的假阴性率为2%～5%。由于腹腔镜检查为有创性检查，故不宜作为常规检查方法。此外，在腹腔大量出血或伴有休克的患者禁做腹腔镜检查。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">腹腔镜技术用于妇产科疾病的诊断和治疗已日趋成熟。对于异位妊娠，腹腔镜可详细观察异位妊娠的部位，与周围组织的关系及有无粘连。未破裂型输卵管妊娠着床部位增粗肿胀，多呈暗褐色，局部膨隆，表面血管增生怒张。若腹腔内有出血，凝血块附着病灶，则观察妊娠着床部位较为困难，可用生理盐水冲洗、洗净腹腔内血液，待视野清晰后，再观察诊断。若输卵管妊娠流产，则在患侧输卵管伞端可见活动性出血，伞端周围有积血块；输卵管着床部位先兆破裂时，病灶表面局部有浆液性渗出，输卵管浆膜菲薄；破裂时可见到输卵管局部有不规则破口，有活动性出血或血液渗出，有时可见到绒毛或胚胎阻塞于破口处。盆腹腔积血较多。若进行盆腔冲洗，有时可从吸引液中找到胚泡。</p><p>4.阴道后穹隆穿刺</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">阴道后穹隆穿刺是一种简单可靠的诊断方法，适用于疑有腹腔内出血的患者。腹腔内出血最易积聚于直肠子宫陷凹，穿刺常可抽出暗红色血液，放置后不凝固，是因为异位妊娠破裂或流产血液流入腹腔，刺激腹膜产生一种纤维酶原激活物，使血液中的纤维酶原转为纤溶酶，促使血液中纤维蛋白溶解。此外，纤溶酶同时能水解多种血浆蛋白和凝血因子，使血液不再凝固。若抽出液体为脓液或浆液性液体，则可排除异位妊娠。若穿刺针头误入静脉，则血液较红，将抽出的血液放置10分钟左右即可凝结。若腹腔内无内出血，或出血很少，或血肿位置较高，或直肠子宫陷凹有粘连时，可能抽不出血液，但也不能完全否定异位妊娠的存在。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床上常将抽出后的血液滴在白纱布上，若为新鲜静脉血，在纱布上出现一红晕，而陈旧性出血中含有小血凝块。在显微镜下观察，若为新鲜血，镜下红细胞呈串钱状，散在的红细胞很少，而后穹隆穿刺血则存在皱缩的陈旧性红细胞，散在分布，排列呈鱼鳞状。</p><p>5.诊断性刮宫</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">单靠诊断性刮宫诊断异位妊娠具有很大的局限性，目前很少依靠诊断性刮宫协助诊断。在不能排除异位妊娠或阴道流血较多时，诊断性刮宫目的在于排除合并宫内妊娠流产。将刮宫获取的内膜进行病理检查，异位妊娠的子宫内膜变化无特征性，可表现为子宫内膜蜕膜反应、高度分泌相伴有或不伴有A- S反应、分泌相及增生相等多种不同的表现。若无阴道流血，则子宫内膜往往为致密层，呈蜕膜组织；若已有流血且流血时间在2周以内，刮宫组织往往取自海绵层，呈高度分泌相，或可见A- S反应，若流血时间持续2周以上内膜致密层和海绵层已相继脱落，而基底层内膜对激素反应不敏感，故多表现为分泌反应欠佳或者增生相。若刮出组织查见绒毛，则可诊断为宫内妊娠。</p><p>6.孕酮检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血清孕酮在妊娠8周前由滋养细胞及其黄体分泌，比较稳定，12周后因胎盘形成，孕酮合成能力上升，孕酮水平迅速提高，但在12周前维持在一定水平。在这个时期，孕酮水平反映了滋养层细胞的功能。异位妊娠患者滋养细胞发育欠佳，细胞活力下降，使黄体功能不足，从而引起血清孕酮水平明显低于宫内妊娠者。因此，血清孕酮量的变化情况是衡量黄体功能和胎盘发育是否正常、妊娠正常与否的一个最可靠指标。异位妊娠患者孕酮值只达到正常月经周期黄体期的低限水平，显著低于正常妊娠和先兆流产患者。孕酮检测与动态血β- hCG的检测相比，只需单次测定，随机取样，数小时内可获得结果，检测简便、快捷，将血清孕酮测定作为对妊娠者的常规测定，可明显提高异位妊娠的早期诊断率，尤其对β- hCG阳性而B超宫内、宫外均未见妊娠囊者，联合测定血清孕酮有相当大的诊断价值。目前认为，血清中孕酮＜15. 9nmol/L时，胚泡活性差，可作为筛选异位妊娠和自然流产的标志。</p><p>7.其他</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">生化标记：除血β- hCG、孕酮检测外，还有其他一些血生化检测或标记方法可用于协助诊断异位妊娠，包括：雌二醇（E<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>），血管内皮生长因子（VEGF）、激活素（ACT）-抑制素（INH）、妊娠特异糖蛋白β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>（SP1）、妊娠相关蛋白（PAPP- A）、甲胎蛋白（AFP）、肌酸激酶（CK）、肾素、胎儿纤维连接蛋白（FFN）、人胎盘生乳素（HPL）、淀粉酶、子宫内膜蛋白、CA125等。</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5449', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1678', '鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\"></span>具有典型症状和体征的异位妊娠诊断不难，结合患者病史、体征，实验室辅助检查及超声检查，必要时行腹腔镜检查，多能明确诊断。但由于异位妊娠可发生在生育期的任何年龄，发生部位广泛，孕卵在不同部位发育的时间长短不一，病理过程不尽相同，加上个体差异，使其在临床表现与体征上变化多样，易与多种疾病相混淆，因而临床上异位妊娠误诊率仍较高。误诊的原因涉及多方面、多学科。疾病本身的复杂性与多变性、疾病发生过程的不典型性、临床医生本身知识、经验与技术水平不足、诊断技术设备与手段的不完善等均是造成误诊的原因。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">异位妊娠误诊的原因：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">1.病史采集不详，查体不全面。详细的询问病史，特别是月经史和规范的体格检查是降低误诊率的重要环节。对育龄妇女遇有与异位妊娠有关的病史均应详细询问和全面考虑，如盆、腹腔手术操作史、盆腔炎史、人工流产和放置宫内节育器、子宫内膜异位症、分娩与产褥等。对于少数患者因腹痛、头晕而于内、外科就医，由于内、外科医生缺乏对女性病史的详细询问，只重视右下腹痛及消化道症状如恶心、呕吐、胃痛等，未作相关妇科检查，没有进一步结合辅助检查加以鉴别即作出内、外科诊断，将异位妊娠误诊为急性阑尾炎、急性胃肠炎、感染性休克等，从而延误治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">2.过于相信输卵管结扎术后或放置宫内节育器者避孕者，未考虑异位妊娠的可能。由于安放宫内节育器可能并发输卵管炎而发生异位妊娠，输卵管结扎术后可出现再通、瘘管仍存在发生异位妊娠的可能。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">3.辅助检查误导。临床医生过度依赖辅助检查。尿妊娠试验简便、快速，试验阳性有助于排除其他疾患，但假阴性率较高，可达10%左右，故试验阴性不能完全排除异位妊娠，应复查尿妊娠试验或查血β- hCG。超声检查可以区别孕囊在宫内还是宫外，并了解腹腔内有无积液或包块。但是，由于部分异位妊娠的超声图像不典型及B超的质量和超声检查者经验不足，可能造成误诊。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">4.人工流产手术时未对吸出物仔细检查，或对未见绒毛或仅见可疑绒毛未予重视，也未对患者进行严密随访。对术后患者出现腹痛、出血认为是术后常见症状，未详细询问手术过程均是造成误诊的原因。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">5.医务人员专业知识、技能缺乏，临床思维不当，因症状不典型、病史未掌握或对疾病缺乏全面的考虑，容易将该病与其他疾病混淆。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">异位妊娠易误诊需与妇科其他疾病相鉴别的有早期妊娠流产、急性输卵管炎、出血性输卵管炎、黄体破裂、卵巢囊肿蒂扭转或卵巢囊肿破裂；易误诊或与其他科疾病相鉴别的主要有急性阑尾炎、输尿管结石、急性胃肠炎、胃穿孔、菌痢、泌尿系感染等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">异位妊娠根据症状出现的缓急分为急腹症型和稳定型两种临床表现。急腹症型主要表现为突发的下腹剧痛或全腹、胃部的疼痛，可伴有不同程度的休克，全腹压痛、反跳痛和移动性浊音。该型多系输卵管种植部位突然破裂，引起多量的腹腔内出血。常见于输卵管峡部妊娠、输卵管间质部妊娠和卵巢妊娠破裂。稳定型表现为病情进展缓慢，阴道出血不规则，似月经不调，腹痛不明显或不剧烈，多见于输卵管妊娠流产型或破裂后出血暂时停止，胚胎死亡或活力不高，形成包块。对有这两种临床表现的生育年龄女性均应高度警惕异位妊娠可能，重视病史的全面采集，尤其是未婚女性隐瞒性生活史者，要耐心个别询问，并给予相应检查，以免误诊。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">（1）急腹症型异位妊娠的鉴别：见表4- 5- 1。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">（2）与卵巢子宫内膜异位囊肿破裂的鉴别：近年来对卵巢子宫内膜异位囊肿破裂导致的急腹症报道逐渐增多。卵巢子宫内膜异位囊肿常伴有继发性渐进性痛经、不规则子宫出血和不孕。其与异位妊娠破裂的鉴别诊断如表4-5- 2。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">（3）输卵管或附件扭转与梗阻：与输卵管系膜相连的输卵管可单独或与同侧卵巢一起发生扭转，称为输卵管扭转或附件扭转。临床上很少见。其原因有输卵管或输卵管系膜过长、输卵管积水、单角子宫双侧不对称，或卵巢肿瘤，或因妊娠、子宫肌瘤引起的子宫增大，在体位改变、创伤等诱因作用下引起输卵管扭转。亦有20%发生在输卵管及卵巢无明显病变时。其临床表现与卵巢囊肿蒂扭转相似，突发性下腹剧痛，呈间歇性，常伴有恶心、呕吐。患侧附件有压痛或肌紧张，如有输卵管积水等病变，可触及肿块。阴道检查有明显触痛，也可触及肿块。严重者直肠子宫陷凹处积聚渗出液，后穹隆穿刺时可抽得浆液血性液体。但患者很少出现脉搏增快及其他休克症状。合并妊娠者，βhCG呈阳性，不易与异位妊娠鉴别，主要诊断靠腹腔镜检或剖腹探查术后确诊。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">表4-5-1　异位妊娠的鉴别诊断</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180525-1527220335347006234.jpg\" title=\"1527220335347006234.jpg\" alt=\"输卵管妊娠1.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 2010px; table-layout: fixed;\"/></p><p><br/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">表4-5-2　卵巢子宫内膜异位囊肿与异位</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180525-1527220348534071925.jpg\" title=\"1527220348534071925.jpg\" alt=\"输卵管妊娠2.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1009px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">（4）子宫肌瘤红色变性：子宫肌瘤红色变性是因子宫肌瘤血供障碍，导致肌瘤缺血、坏死、溶血、血栓、栓塞及溶血血液渗入瘤体所致。其发生率在1. 9%～25%，其中与妊娠有关占20. 3%～34. 8%，且多见于妊娠中期。患者可出现严重的腹痛伴呕吐、发热，一般在38℃左右。白细胞增高，检查肿瘤局部有明显的压痛，绝大多数一周左右即可恢复。根据病史、B超、β- hCG等检查可与异位妊娠鉴别。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">（5）子宫破裂、穿孔：产科因素引起的子宫破裂，多发生于难产、高龄多产和子宫曾经手术或有过损伤的产妇。可发生在妊娠早期、中期和晚期，可为自发性、创伤性或病理性等多种情况下的破裂。通过B超、β- hCG及腹腔镜等检查多可鉴别。非产科因素的子宫破裂可为手术操作中医疗器械所导致的子宫穿孔，也可为疾病导致的自发性子宫破裂。后者可见于侵蚀性葡萄胎或绒毛膜癌侵蚀子宫肌层，穿破子宫肌壁，进入阔韧带致阔韧带血肿，进入腹腔引起腹腔内出血，出现腹痛及腹膜刺激征等表现。结合病史、超声检查及β- hCG检测可与异位妊娠鉴别。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">（6）胎盘早剥、前置胎盘伴植入：胎盘早剥、前置胎盘均属于妊娠晚期出血性疾病，胎盘早剥可表现为妊娠期剧烈腹痛，异位妊娠也有极少数患者妊娠至中晚期，如间质部妊娠、残角子宫妊娠、腹腔妊娠等。其破裂后导致腹腔内出血并伴有剧烈腹痛，通过超声检查显示子宫肌层不连续。有时需通过剖腹探查才能明确异位妊娠破裂部位，才能确诊和鉴别胎盘早剥或胎盘前置伴植入的情况。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">（7）膜样痛经：膜样痛经又称蜕膜样痛经，是痛经中比较严重的疾患，多见于青年女性。发生膜样痛经，是因为子宫内膜完整地从宫颈口排出，如果宫颈口狭小，完整的子宫内膜不容易排出，子宫就增强收缩，宫颈口逐渐扩张，子宫内膜才能排出。表现为患者腹部疼痛剧烈，出冷汗，面色苍白，肢冷，恶心呕吐，甚至晕厥。当子宫内膜整块排出后，腹痛即可缓解。膜样痛经为周期性腹痛，β- hCG为阴性即可鉴别。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">（8）胃肠道疾病：急性阑尾炎、急性胃肠炎、胃穿孔、菌痢等胃肠道疾病可出现腹痛、恶心、呕吐等症状，若患者因消化系统症状就诊时，尤其是首诊于内外科时，须高度警惕异位妊娠，结合β- hCG及B超检查，诊断多无困难。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">（9）泌尿道疾病：尿路结石和泌尿系统感染患者可出现一些与异位妊娠相似的症状，如尿频、尿急等，通过详细的病史采集及相应的辅助检查多可鉴别。</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5450', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1678', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\"></span>输卵管妊娠处理方式的选择取决于年龄大小、有无生育要求、异位妊娠的部位、大小、结局状况，包括出血程度及输卵管损害情况，术者技术水平及手术措施等综合因素决定。手术治疗仍是目前主要的治疗手段。由于阴道超声、血清β- hCG测定的应用以及腹腔镜诊治手段的广泛开展使得异位妊娠的早期诊断率得到明显提高，为患者的保守性手术和非手术治疗提供了更多的机会，为早期治疗提供了时间保证，减少了异位妊娠破裂导致腹腔内大出血的危险，降低了死亡率。而越来越多的患者迫切要求保留生育功能，因此，早期诊断、合理处理异位妊娠十分重要。</p><p>1.手术治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">手术治疗有经腹途径和腹腔镜途径两种，手术方式有根治性方式和保守性方式两种。根治性术式即为输卵管切除术；保守性手术包括伞端妊娠物排出术、壶腹部妊娠线性切开术及峡部妊娠节段性切除术等。采取何种途径和何种方式取决于患者有无生育要求、输卵管妊娠部位、大小、结局状况，包括内出血程度及输卵管壁损害程度，以及对侧输卵管的状况、术者技术水平及手术措施等综合因素决定。</p><p>（1）根治性手术：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">即输卵管切除术，为最基本最常用的术式。该术式可以达到迅速止血、挽救生命的目的，尤其适用于抢救内出血并发休克的患者。对于这种急症患者应在积极纠正休克的同时，迅速开腹，提出患侧输卵管，用卵圆钳钳夹住出血部位，或者用长弯钳夹住患侧输卵管下方的阔韧带和输卵管近子宫端，暂时控制出血，并加快输液、输血，待血压上升后继续手术切除输卵管。切除患侧输卵管前应先探查子宫及对侧输卵管情况。手术方法：用两把血管钳自患侧输卵管伞端系膜向子宫角部钳夹，在两把血管钳间切断，残端以7号丝线贯穿缝扎近卵巢端的系膜断端。用系膜周围腹膜或圆韧带包埋系膜残端。对适用于年龄偏大、已有子女无生育要求者，并根据患者要求决定是否同时结扎对侧输卵管；对虽有生育愿望要求保留输卵管者，若因输卵管病灶范围广泛，损害输卵管系膜和血管者，或在保守性手术中输卵管难以止血者，非手术治疗、腹腔镜手术失败者，也应行输卵管切除术。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">输卵管间质部妊娠，应争取在破裂前手术，以避免破裂大出血，危及生命。手术需行子宫角部楔形切除及患侧输卵管切除，必要时需切除子宫。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">在异位妊娠手术中行自体血液回收，是抢救严重内出血伴休克的有效措施之一，不禁可以节约宝贵的血液资源，自体血中还能提供新鲜的凝血因子和血小板等成分，也可以减少异体输血所致的输血反应和疾病传播的可能性，在一定程度上解决了基层医院血源短缺的问题。自体回收腹腔内血液应符合以下条件：妊娠＜12周，无胎膜破裂，出血时间＜24小时，血液未被污染，镜下红细胞破坏率＜30%。每100ml血液中需加入3. 8%枸橼酸钠10ml抗凝，经6～8层纱布或经20μm过滤器过滤后，再输入体内，为防止枸橼酸钠中毒，每自体输血500ml以上者，应补充10%葡萄糖酸钙10～20ml。</p><p>（2）保守性手术：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">指手术清除妊娠产物但保留输卵管的方法。由于高分辨B超尤其是阴道探头超声的发展、血清β- hCG测定的应用、诊断与治疗性腹腔镜的临床应用，使异位妊娠的早期诊断和治疗成为可能，加上显微技术、手术器械及缝合材料的发展及普及，为输卵管保守性手术创造了有利条件。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">保守性手术适应证多用于以下情况：无子女、希望生育者；或者子女小、要求保留输卵管功能的年轻妇女；输卵管妊娠是首次妊娠；既往已切除一侧输卵管，患者病情稳定；输卵管无明显炎症、粘连和大范围的输卵管损伤。但能否行保守性手术还取决于孕卵着床部位、输卵管破损程度和既往输卵管存在的病变。如输卵管已有明显病变或解剖学改变，切除病灶后残留段输卵管长度不足5cm，陈旧性输卵管妊娠部位有血肿形成或积血、盆腔感染，或严重失血性休克者为保守性手术的禁忌。保守性手术主要有以下几种术式：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">1）输卵管造口术：是在输卵管系膜的对侧即输卵管游离缘、输卵管妊娠部位表面最薄弱处作一切口，长度相当于妊娠部位最大管径或超过妊娠膨胀部位两端，从切口处轻轻挤压出妊娠组织挤出的方法。搔刮或清创孕卵的着床部位易引起出血，并增加输卵管内膜损伤的机会，因此，不主张搔刮和清创。输卵管切缘有出血者可用4-0肠线或7-0尼龙线扣锁缝合止血。该方法简单，效果良好，一般术后4个月恢复良好，随访做子宫输卵管碘油造影或腹腔镜检查少有瘘管形成。本法适用于输卵管妊娠未破裂型者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">2）输卵管切开缝合术：主要适用于输卵管壶腹部妊娠或妊娠部位接近伞端者。方法：将患侧输卵管伞端至输卵管妊娠部位切开，用钝刮匙或刀柄刮净妊娠组织，或吸管吸除妊娠组织，剥离面出血用电凝或缝扎止血。切口用6-0或8-0尼龙线间断缝合，称输卵管成形术。该法操作简单，但易形成输卵管与周围组织粘连，可在创面部位涂抹透明质酸钠等，减少粘连的形成。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">3）输卵管伞端妊娠挤出术：当妊娠部位位于伞端、部分壶腹部妊娠接近伞端的患者，可用手指轻轻将胚胎组织从壶腹部向伞端挤压，使胚胎组织自伞端排除。但本法可能有妊娠产物的残留，可能造成持续性异位妊娠，有再次手术的可能，且再次输卵管妊娠的发生率高于输卵管造口术和输卵管切开术。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">4）输卵管节段切除及端端吻合术：适用于输卵管妊娠破裂型或损伤较严重者以及峡部妊娠及壶腹部近侧段妊娠者。切除孕段输卵管，检查两端输卵管通畅后，两端残端用6-0或8-0的尼龙线间断肌层缝合3～4针，再间断缝合浆膜层3针以腹膜化。术中需不断用肝素盐水冲洗术野，防治血凝块阻塞吻合的输卵管腔。吻合后经宫腔注入稀释的亚甲蓝，观察是否通畅。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">5）输卵管伞端成形术：适用于输卵管伞端妊娠。纵形切开输卵管远端，去除妊娠组织后，将输卵管远端黏膜像袖口样外翻，用8-0无创伤尼龙线将黏膜外翻缝合于近端浆膜。此术因破坏伞部拾卵功能，日后妊娠效果不佳。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">施行保守手术时，应注意术中充分止血。在输卵管整形手术过程中的出血多采用盐水冲清创面，以细针电凝头很准确地凝固出血点，少数亦可用3-0无创伤肠线缝扎止血，对于上述方法用后胚胎着床部位仍有出血者，可行管壁浆肌层肠线“8”字缝合多能止血。术毕腹腔放置右旋糖酐500ml或透明质酸酶或甲硝唑等防止粘连。术后常规应用有效抗生素，或服中草药使输卵管组织尽快恢复功能及治疗对侧潜在的炎症。术后2周检测血清β- hCG，了解妊娠组织是否被彻底清除。术后患者恢复第一次月经后3～7天行输卵管通液术。</p><p>（3）腹腔镜手术：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">近年来由于腹腔镜诊断与治疗手段的迅速普及和大力开展，腹腔镜手术逐渐成为诊断和治疗异位妊娠的首选。腹腔镜手术具有微创、术后盆腹腔粘连少，术后恢复快等优点，对于未育、要求保留输卵管功能的年轻女性，腹腔镜治疗异位妊娠已变的尤为重要。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">随着异位妊娠的发生率增加及诊疗技术的进步，尤其是腹腔镜下的保守手术的广泛运用，持续性异位妊娠（persistent ectopic pregnancy，PEP）的发生率也随之上升。PEP是指输卵管妊娠保守手术过程中未能完全清除胚囊，使残留在输卵管内的滋养层组织仍继续增殖，血清β- hCG血清滴度不下降或反而上升，阴道有不规则流血。PEP是输卵管妊娠保守治疗后最常见的并发症。发生的高危因素包括：停经时间短，孕龄小，异位妊娠病灶的体积较小，盆腔粘连，术前hCG和孕酮水平过高，滋养细胞活性强。研究报道腹腔镜手术有更高的残存滋养细胞的发生率，开腹的输卵管切开术后持续性异位妊娠的发生率为3%～5%，腹腔镜手术为5. 1%～29%，挤压术或流产型者可高达12. 5%～18%。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">治疗持续性异位妊娠有再次手术切除输卵管、或输卵管切开清除病灶，以及MTX等治疗方式。为预防持续性异位妊娠的发生，线性切开手术时，切口应足够长，注意着床部位的彻底清除，避免绒毛残留；未破裂的孕囊应尽量完整切除病灶；已破裂者，应反复多次冲洗盆腹腔以防止绒毛残留。此外，术后可在病灶局部注射50mg MTX，杀死残余的滋养细胞，防止持续性输卵管妊娠的发生。</p><p>2.非手术治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">　随着医务人员诊断水平的提高和患者的警觉，高敏感度的放射免疫测定β- hCG、高分辨B超的发展，诊断性和治疗性腹腔镜的应用，80%的异位妊娠患者可在未破裂前得以诊断，早期诊断为非手术治疗提供了条件和时机。异位妊娠的非手术治疗包括期待疗法和药物治疗。</p><p>（1）期待疗法：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">是指对部分低危的输卵管妊娠患者不采取任何手段的干预，只严密监测血β- hCG水平的变化，观察患者症状和体征，直至β- hCG降至正常。部分早期的输卵管妊娠患者可以通过完全流产后胚囊死亡或溶解吸收自然消退，临床出血少，无明显的临床症状和体征，可选用期待疗法。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">选择期待疗法的适应证一般是：①无临床症状或临床症状轻微；②异位妊娠包块直径＜3cm；③血hCG＜1000m IU/ml并持续下降；④无胎心搏动；⑤有随诊条件。治疗期间，密切观察临床表现、生命体征，动态测定血hCG、血细胞比容，并进行超声波检查。如果连续两次血β- hCG不降或升高，或附件包块长大，应立即处理。需警惕个别的病例血β- hCG水平很低，但仍有破裂的可能。</p><p>（2）药物治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">一些药物可以作用于滋养细胞，抑制其生长发育，促使妊娠组织的吸收、消散。药物治疗主要用于早期异位妊娠，Mol等的Meta分析提示，对于低水平血清hCG的患者应用全身性的甲氨蝶呤治疗是一个很好的替代腹腔镜手术的选择。有证据表明，药物治疗避免了手术造成的创伤、痛苦及瘢痕、周围组织粘连和术后并发症等，同时最大限度地保全了患者的生育功能，在长期疗效和短期疗效方面与保守性腹腔镜手术具有可比性，而药物保守治疗比手术方式有更高的日后宫内怀孕概率，可满足患者的生育要求，同时药物保守治疗更为方便经济。药物治疗方法分为全身治疗和局部治疗，药物种类有甲氨蝶呤（MTX）、前列腺素（PG）、米非司酮（RU480）、氯化钾、高渗葡萄糖及中药等等。其中，研究较为深入、应用最广泛、疗效最肯定的药物是甲氨蝶呤。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">1）甲氨蝶呤：MTX为抗代谢类抗肿瘤药物，是一种叶酸拮抗剂，通过与细胞内二氢叶酸还原酶结合，阻断二氢叶酸转化为具有生物活性的四氢叶酸，抑制嘌呤和嘧啶的合成，从而干扰DNA、RNA及蛋白质的合成。妊娠期滋养细胞增生活跃，多处于细胞增殖周期，MTX能抑制胚胎滋养细胞分裂和增殖，导致胚胎死亡。MTX对细胞的毒性决定于药物浓度和作用时间。高浓度的MTX持续作用较长时间后可造成骨髓和黏膜损害，连续给药的毒性是单次给药的数倍。研究表明，同量MTX无论全身用药还是局部给药在血清中能达到同量的MTX水平，一般终止妊娠的血药浓度远低于出现毒性反应的阈值，无须解救措施。MTX现已被美国妇产科医师协会认可为临床治疗异位妊娠的一线药物。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">适应证：适用于早期未破裂、无活跃性腹腔内出血的患者。①患者一般情况良好，无活动性出血和输卵管妊娠破裂的征象；②血hCG≤5000mIU/ml；③无明显的胚胎心脏搏动；④输卵管妊娠包块直径＜3cm；⑤肝、肾功能及红细胞、白细胞、血小板计数在正常范围内，无凝血功能异常；⑥具有良好的随访条件；⑦保守性手术失败后发生持续性异位妊娠的补救措施之一。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">禁忌证：①患者出现腹痛症状，表明妊娠部位张力较高，或者输卵管妊娠破裂或流产出血对腹膜产生刺激，或流产时输卵管痉挛收缩所致。②B超发现妊娠部位胎心搏动，表明胎儿器官和胎盘已发育，一旦破裂，出血往往迅速导致失血性休克。③血hCG＞5000mIU/ml，表明胚胎活性强，滋养细胞增殖活跃，药物治疗失败率增加。④严重的肝、肾疾患或凝血功能障碍不能进行药物治疗。外周血白细胞＞4. 0×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L，血小板＞100×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L，肝、肾功能需在正常范围方能用药。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">用药方法及疗效：MTX给药途径有全身用药和局部用药，目前口服和静脉用药不常用，肌内注射和局部应用已成为临床普遍认同的方法。近年常有报道在超声、腹腔镜、宫腔镜下将MTX直接注射至病灶，以及髂内动脉插管栓塞介入化疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">MTX口服：0. 4mg/（kg？d），连服5天为一疗程。目前仅用于保守手术治疗输卵管妊娠失败后的持续性输卵管妊娠的辅助治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">MTX肌注：0. 4mg/（kg？d），连用5天为一疗程。如一个疗程后β- hCG无明显下降，间隔一周可开始第二个疗程。异位妊娠单纯肌注MTX保守治疗，成功率有不同报道，国内报道90%以上，国外文献报道为71. 4%～84. 5%。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">MTX单次肌内注射：按体表面积计算，MTX 50mg/m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>，单次肌内注射。如给药后4～7天，β- hCG下降＜15%或继续升高，第7天给予第二次药物肌注（50mg/m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>），而不需用CF（甲酰四氢叶酸）解救。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">MTX- CF方案：该方案8天为一疗程。MTX 1mg/kg肌注，隔日一次，第1、3、5、7天使用，同时使用CF以减少副作用，其用量为MTX的1/10，即0. 1mg/kg肌注，隔日一次，第2、4、6、8天使用。给药后48小时如果β- hCG下降＞15%，可以停药观察，否则继续用药。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">MTX- CF个体减量方案：该方案根据患者的血β- hCG水平决定用药。MTX 1mg/kg肌注，一日一次，次日CF 0. 1mg/kg肌注。一次MTX和一次CF注射为一次化疗剂量，总量共4次剂量。每日测定血β- hCG和孕酮水平。当β- hCG下降＞15%及孕酮＜1mg/ml时停用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">MTX腹腔镜下局部注射：腹腔镜诊断与治疗同时一次完成。在确诊后，将一根22号长针从患侧耻骨联合上3～4cm腹壁进入，外接注射器，提起患侧输卵管，将MTX 10～25mg溶于2～4ml注射用水或生理盐水中，注射入输卵管妊娠部位的最扩张段，缓慢推注，注射后停留1～2分钟后快速推出针头。文献多有报道在注射MTX前先用细穿刺针在输卵管系膜内注入1∶8000肾上腺素10～20ml，或将垂体后叶素6～12U用20ml生理盐水稀释，分1～3点注入输卵管系膜内以及输卵管包块的基底部，使系膜血管收缩，以减少出血量，疗效更佳。目前腹腔镜下MTX局部注射多用于输卵管妊娠腹腔镜保守治疗后预防持续性异位妊娠的辅助手段。方法为：腹腔镜下行输卵管切开取胚术或输卵管挤压术后，检查无活动性出血，50mg MTX溶于3～5ml注射用水或生理盐水中，注射到患侧输卵管系膜内。研究证实，联合治疗可最大限度的降低持续性异位妊娠的发生，但对再次同侧的异位妊娠并无预防作用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">MTX宫腔镜下局部注射：B超监视下，宫腔镜下行输卵管插管，对准输卵管口插入导管深1. 5～2. 0cm，拔出管芯，再将导管轻柔插入输卵管内，感觉有阻力时停止，经导管缓慢注入溶于注射用水2ml的MTX 40mg，时间约5分钟，推注后停留2～3分钟，将导管和镜体一同拔出，让患者臀部抬高。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">MTX经阴道或腹部超声引导下局部注射：在阴道或腹部超声引导下经阴道后穹隆穿刺进入异位孕囊内，先抽出孕囊内的液体或部分内容物，局部注射MTX 10～50mg（溶于2～4ml注射用水或生理盐水）。第4、7天测β- hCG，如下降＜15%，需肌内注射MTX 50mg/m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>。如β- hCG下降≥15%，则每周复查1次。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">MTX单次给药与多次给药成功率无明显差异，但单次用药操作简单，注射次数少，患者所受痛苦较小，减少患者医疗费用，副作用发生率低，不需解毒，疗效确切，更易被患者接受，尤其对有生育要求的患者，在异位妊娠早期诊断的前提下，有着更广泛的使用前景。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">监测指标：因妊娠滋养细胞具有较强的侵蚀性，且患者对药物的反应不一，因此，在保守治疗过程中密切注意观察病情变化和治疗反应，包括患者的临床症状和体征、血βhCG水平的波动、毒性反应等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">临床征象：药物治疗过程中需密切监测患者生命体征，观察自觉症状，了解有无活跃性出血的征象。约有1/2～1/ 3患者用药后会发生腹痛加重，但并无活跃性出血的征象，可能与滋养细胞坏死、溶解有关。滋养细胞坏死后自输卵管管壁剥离，妊娠产物排至腹腔内，刺激腹膜引起腹痛。若患者发生腹痛，需严密观察病情发展，门诊患者改为留院观察。若有内出血征象者，根据患者的一般情况及出血量的多少，决定是否需要手术治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">血清β- hCG水平：异位妊娠给予药物保守治疗后，能够确切反映疗效的最主要指标是血清β- hCG的下降。血β- hCG监测在评价治疗效果、及时调整治疗方案、提高保守治疗成功率方面具有非常重要的意义。常为用药后隔日测定β- hCG，如下降≥15%，可改为每周测一次，直至正常。治疗过程中，由于MTX在注射后1～4天内抑制快速增长的滋养细胞，摧毁胚胎及胎盘绒毛，使异位妊娠流产，在此过程中加快了hCG的释放，致使hCG在一段时间内有所增高，以后才逐渐下降。故用药前应与患者充分沟通交流，否则会带给患者焦虑，容易产生对医疗的不信任，干扰治疗。需注意即使β- hCG下降很低时，仍有输卵管破裂的可能性。β- hCG降至正常所需的时间与用药前的β- hCG水平有关，给药前β- hCG值越高，则下降至正常所需的时间越长。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">B超监测：药物治疗不需常规进行B超监测。若患者出现腹痛加重，需进行B超检查，了解附件区的包块有无增大，直肠子宫陷凹的液体深度有无增加，以此估计内出血量，评估是否需手术治疗。附件区包块消失的时间与用药前的初始包块大小有关，包块越大，所需时间越长。部分患者β- hCG降至正常后，附件包块可能仍持续存在，可继续观察。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">毒性反应：MTX在人体内的吸收、分布、生物转化和排泄等存在着很大的个体差异，患者体内的MTX血药浓度过高和持续时间过长是导致其不良反应的直接原因。MTX高浓度维持时间越长，其毒性发生率越高。常见为胃肠道反应，包括食欲不振、恶心、呕吐、口角炎、消化道黏膜溃疡、腹胀、腹痛、腹泻、消化道出血等，其余还有骨髓抑制、肝肾功能损害、神经系统损害、脱发、药物性皮疹等，严重时危及患者生命。多数反应为轻度，少数反应为中度，停药后可自行恢复。若反应较重可减量或停药，也可用CF解救。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">对妊娠和子代的影响：MTX于1965年开始用于治疗妊娠滋养细胞疾病，多年来，在治疗妊娠滋养细胞肿瘤方面MTX的使用及毒性反应的观察积累了大量的经验。而治疗异位妊娠的剂量远远低于治疗妊娠滋养细胞肿瘤的剂量，故MTX治疗异位妊娠是安全、有效的。MTX对以后妊娠无毒副作用，并不增加流产率和畸形率，无远期并发症，是安全可靠的。但MTX用量超量可引起输卵管超微结构紊乱，导致输卵管表面上皮节律性蠕动能力的下降，通畅度受损，从而出现不孕和再次异位妊娠的后果，因此MTX剂量因限定在避免以上情况的最低剂量范围内。Hajenius等对35篇关于异位妊娠治疗方案的随机对照研究进行循证医学分析发现，MTX治疗与保留输卵管的腹腔镜手术治疗比较，在输卵管保留、输卵管通畅程度、再次发生EP和保留生育功能方面比较，无显著性差异（P＞0. 05）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">2）其他药物：米非司酮（RU486）：可通过竞争孕酮受体，拮抗孕酮活性，从而使绒毛组织发生退变，蜕膜组织发生萎缩性坏死，致胚胎死亡。可作为对局部化疗或介入治疗后的辅助治疗酌情使用。国内多与MTX联合应用治疗异位妊娠。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">中药天花粉结晶蛋白注射液：天花粉最初用于中期妊娠引产。结晶天花粉能迅速选择性作用于绒毛滋养细胞，催化细胞内核糖体失活，抑制细胞内蛋白质合成，导致细胞死亡，绒毛滋养层广泛变性、坏死，细胞解体，纤维素沉着，绒毛间隙闭塞及阻断血液循环，而后加速绒毛变性坏死、促进前列腺素释放而流产。根据研究剂量不同，天花粉治疗异位妊娠的成功率为86%～93%。天花粉是一种大分子植物蛋白制剂，具有较强的抗原性，可引起过敏反应，过敏性体质者和青霉素过敏者禁用。用药前需做皮肤试验和先使用试探剂量。方法：在常规皮试后试探量0. 05mg注射于肌内，如无反应，2小时后给予治疗量1. 2～1. 8mg作臀部肌内注射。为减少副反应，可同时加用地塞米松5mg肌注，每日2次，共3天。用药后48小时卧床休息，观察生命体征及副反应情况。常见的副反应为发热，头晕，皮疹，全身酸痛等，少数可能产生过敏性休克。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">氟尿嘧啶（5- Fu）：5- Fu是对滋养细胞高度敏感的化疗药物，它可使绒毛变性、坏死，达到杀胚胎的作用。有报道采用宫腔镜下输卵管内注射5- Fu 250mg/次，治疗输卵管妊娠的有效率为88. 24%，血β- hCG下降至正常所需时间为7～14天。5- Fu的不良反应是骨髓抑制、过敏反应及严重的消化道症状，并有可能致突变，使用也不及MTX方便。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">高渗葡萄糖：可引起局部组织脱水和滋养细胞坏死，促使妊娠物吸收，安全有效，无不良反应。可在阴道超声监测下或腹腔镜下将50%葡萄糖5～20ml注入妊娠部位。但治疗前血β- hCG＞2500mIU/ml者不能使用该法。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">氯化钾：作用于胎儿心脏引起收缩不全和胎儿死亡，故常与MTX合用于有胎心搏动者。用药方式为通过阴道超声引导行孕囊穿刺、局部注射氯化钾。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">前列腺素（PG）：有文献报道PGF2a局部注射成功率可达84%～92%，在腹腔镜引导下局部注射PGF2a治疗输卵管妊娠的成功率为92%（22/24）。PGF2a能增加输卵管的蠕动及输卵管动脉痉挛，使黄体产生的孕酮减少。但由于可能导致严重的心血管方面的不良反应，如心律失常、肺水肿等，目前临床上较少使用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">中药治疗：中药用于异位妊娠的保守治疗有数千年的历史，现代临床及药理研究表明有些中药确实有杀胚的作用，如天花粉、蜈蚣等。目前认为异位妊娠属“少腹血瘀症”范畴，其病机多由于气血劳损、脏腑虚弱、风、冷、湿、热之邪犯于冲任或气血瘀滞、情志不畅、房事过度、精浊损于冲任而导致孕后凝聚，孕卵未能移行至胞宫，而居于胞脉，以致胀破脉络，阴血内溢于少腹，有气虚瘀阻、气血虚脱、瘀阻包块，发生血瘀、血虚、厥脱等一系列证候。中药治疗以活血化瘀为其基本治疗法。临床遣方用药时应注意，既要遵循活血、化瘀、消癥的原则，还要结合病情的不同阶段和患者的特殊表现辨证用药。从症状体征，异位妊娠分为休克型、稳定型和包块型。应根据临床分型及症候，辨证施治。未破损期治法以活血化瘀、消症杀胚为主。根据主方可适当给予清热解毒药如加黄芩、双花、连翘等以预防感染，此期以卧床休息为主，逐渐适当活动。已破损期临床慎用中药治法，腹腔大量积液，或盆腔包块较大者，宜手术治疗；休克阶段，内出血多，要注意虚、实两方面，同时兼顾患者体质的寒热，以回阳固脱、补气摄血为主；因输卵管妊娠本身为实症，而内出血、血压下降、面色苍白、出冷汗、脉虚弱又为虚症，要根据患者当时情况，进行分析，如虚症较重，用人参补气，以防血虚，同时佐以活血祛瘀，以促使内出血吸收。病情稳定，盆腔内有明显包块，中药治疗治法以化瘀消症，破坚散结为主。除用主方活血祛瘀外，应加用化坚破积之药物，以消除包块，加用善破癥瘕之三棱、莪术等；如包块较硬，加穿山甲、川牛膝，以加强消症散结效果；体质虚弱，加黄芪、党参，以扶正祛邪。异位妊娠中药保守治疗成功的关键在于早期诊断和严格选择患者，在治疗过程中，存在起效慢、疗程长，辨证施治存在主观性、经验性等特点。目前国内多采用中药治疗联合MTX或米非司酮、天花粉等治疗异位妊娠，均获得较为满意的疗效。</p><p>3.一般治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">输卵管妊娠流产或破裂常伴有腹腔内出血，出血过多过快可导致贫血，甚至失血性休克，如误诊或抢救不及时将危及患者生命。故需输液输血纠正一般情况，补足血容量；术后补充铁剂，增加营养，使患者早日康复。合并感染者应用抗生素。对出现失血性休克者，因立即输血、输液，抗休克治疗，同时尽快手术止血。</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5451', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1678', '输卵管妊娠治疗后的生殖状态', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">输卵管妊娠患者多数未生育，故治疗后的生殖状态逐渐得到越来越多的关注。目前，评价输卵管妊娠的治疗效果主要是观察其生殖状态和并发症。反应生殖状态的指标有宫内妊娠率和足月活产率，并发症包括持续异位妊娠和再次异位妊娠等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">影响生殖状态的因素：</p><p>1.生育史</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">既往无生育能力低下或不育史者，治疗后宫内妊娠率为75%～90%，再次异位妊娠率为5%～10%。既往有此病史者，输卵管妊娠治疗后宫内妊娠率为37%～42%，再次异位妊娠率比前增加8%～18%。</p><p>2.对侧输卵管情况</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对侧输卵管正常者，术后宫内妊娠率和再次异位妊娠率分别为75%～83%和8%～9. 7%左右，而对此输卵管有粘连或损伤者为41%～56%和13%～20%。</p><p>3.再次或多次异位妊娠对生殖状态的影响</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">　有文献报道，二次异位妊娠后再次异位妊娠率可达40%，三次异位妊娠后，宫内妊娠率和再次异位妊娠率都只有26%，而不育者可高达58%。异位妊娠术后的自然宫内妊娠中64. 4%发生于治疗后12个月内，93. 1%发生于24个月内。多次异位妊娠后宫内妊娠率显著下降，再次异位妊娠率升高。而采用体外受精（IVF）后的妊娠与自然妊娠比较，再次异位妊娠率降低，宫内妊娠率可达30%。因而对于对侧输卵管损伤或缺如及多次异位妊娠者，尤其是术后12～18个月仍未自然妊娠的情况下，应采用IVF助孕。</p><p>4.开腹手术与腹腔镜手术后生殖状态比较</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年的大量研究表明，开腹与腹腔镜手术对异位妊娠的生殖状态没有影响。Yao等回顾了1514例行保守手术的输卵管异位妊娠病例，开腹手术（n= 811）后的宫内妊娠率和再次异位妊娠率分别为61. 4%和15. 4%，腹腔镜（n= 703）术后为61%和15. 5%。同样，切除输卵管术后宫内妊娠率和再次异位妊娠率也相似，与开腹或腹腔镜手术途径无关。</p><p>5.输卵管切除与输卵管保留手术后的影响</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">输卵管保守性手术（线形切开、造口、开窗术、妊娠物挤出术）存在持续性异位妊娠发生率为5%～10%。</p><p>来源&nbsp;&nbsp;:&nbsp;&nbsp;中华妇产科学.中册</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5493', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '408', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); text-indent: 2em; border: 0px !important;\">BPH主要是前列腺的组织及上皮增生，腺泡呈囊性扩张，结缔组织及平滑肌结节样增生。增生的前列腺大小和质地取决于腺体增生或纤维肌肉增生的比例。正常前列腺的基质-上皮比例为2∶1，而BPH为5∶1，基质增生是BPH的重要病理特征。前列腺增生常发生于双侧叶及中叶，很少发生于前叶。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); text-indent: 2em; border: 0px !important;\">在50岁的男性中，超过40%有BPH的组织学改变，而在80岁时几乎达90%。大多数50岁以上的男性均有BPH导致的某些泌尿系症状，主要为继发的膀胱出口梗阻。</p><p style=\"text-indent: 2em; text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5494', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '408', '雄激素有前列腺增生允许作用和胚胎再唤醒效应', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); text-indent: 2em; border: 0px !important;\">BPH的发病机制仍未完全阐明。其病因和发病机制包括体型、种族、社会因素、代谢营养因素、新生物学说、动脉硬化学说、炎症学说、细胞凋亡与基因调控学说、生长因子学说、上皮-间质细胞相互作用学说和激素-内分泌学说等，然而作为一种多病因疾病，以上任何一种学说都不能独立解释BPH的发病机制。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); text-indent: 2em; border: 0px !important;\">青春期前去势者不发生BPH；BPH多发生于50岁以上的老年男性；BPH患者去势后增生腺体可见缩小；实验动物给予适当的雄/雌激素后可复制BPH。因此，现公认BPH发生的必需条件是有功能的睾丸和增龄。在睾丸分泌的众多物质中，雄激素被认为是迄今为止对前列腺生长最重要的因素。因此，激素-内分泌学说在BPH的发病机制中占有极其重要的地位，尽管单纯的雄性激素不能完全解释BPH的发生和发展，但雄激素的作用在所有学说中均占有重要地位，其他病因几乎都是通过或围绕雄激素而发挥各自的作用。它介导着间质-上皮的相互作用、调节生长因子的分泌与表达以及影响前列腺细胞的生长与凋亡。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); text-indent: 2em; border: 0px !important;\">前列腺是雄激素依赖性器官，它的生长以及结构的维持、功能的完整都需要一定量的雄激素来维持。雄激素是前列腺最强的促有丝分裂剂。睾酮转化为二氢睾酮的部位主要在前列腺间质细胞，在2型5α-还原酶（SRD5A）作用下，睾酮不可逆地转变为二氢睾酮，其生理作用是促进胚胎期泌尿生殖窦和外阴的男性分化以及青春期的副性腺器官如前列腺的发育。Siiteri和Wilson发现BPH组织中的二氢睾酮含量比正常前列腺组织高3～4倍，并且在同一前列腺组织中BPH结节内二氢睾酮含量高于正常部分，据此提出BPH发生的二氢睾酮学说，认为二氢睾酮在前列腺组织内的积聚是引起BPH的原因。迄今为止未能证实BPH组织中有二氢睾酮的积聚。尽管血浆睾酮随着增龄是下降的，但二氢睾酮在前列腺组织中仍保持在正常水平。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); text-indent: 2em; border: 0px !important;\">胚胎再唤醒（reawakened embryonic processes）假说认为，BPH结节形成的起源是某个克隆的间质细胞转为胚胎状态，重新激活了间质细胞诱导上皮生长的能力。此群间质细胞又可形成一诱导中心，重新激活邻近腺导管的分支能力，诱使新分支向诱导中心生长。上皮细胞则可促使间质细胞成熟，从而形成BPH结节。雄激素不仅是前列腺胚胎发育所必需的，而且也是胚胎“再唤醒”的必要条件。</p><p style=\"text-indent: 2em; text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5495', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '408', '雌激素和生长因子促进前列腺增生', '<p style=\"text-indent: 2em;\">1. 雌激素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); text-indent: 2em; border: 0px !important;\">随着男性的衰老，在BPH的前列腺组织内有生物活性的雄激素减少，且分布在上皮和基质细胞上的AR并未明显上调。相反，前列腺内雌激素和其受体却增多，并且集中在基质。因此，认为雌激素是BPH的病因之一，且雌激素能协同二氢睾酮-受体复合物作用于前列腺细胞。雄激素+雌激素导致前列腺增生远比单用雄激素明显。雌激素能使前列腺细胞核内AR增加。睾丸的Sertoli细胞可产生雌激素。雌激素可能通过下列途径与雄激素产生协同作用：①雌激素可诱发产生和增加前列腺细胞核内AR，从而加强雄激素的作用；②雌激素可以刺激垂体释放PRL、调节细胞内AR的含量及通过细胞介质如前列腺素E<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>的作用促进前列腺细胞吸收及利用雄激素而协同产生前列腺增生。</p><p style=\"text-indent: 2em;\">2. 生长因子</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); text-indent: 2em; border: 0px !important;\">目前认为与BPH发生有关的生长因子包括成纤维细胞生长因子家族（FGF-1、-2、-9）、<a class=\"drugA\" style=\"box-sizing: border-box; background: transparent; color: rgb(51, 122, 183);\">胰岛素</a>样生长因子及受体（IGF-1/IGF-R）、血管内皮生长因子（vascular endothelial growth factor，VEGF）及角化生长因子（keratinizating growth factor，KGF）等。目前研究较多的生长因子主要有TGF-β和KGF。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5496', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '408', '排尿异常提示前列腺肥大', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); text-indent: 2em; border: 0px !important;\">BPH症状发生的基本原因为造成膀胱出口部梗阻。梗阻的程度与增生部位、逼尿肌功能改变和主管平滑肌的α受体兴奋均有直接关系，但与前列腺大小无相关性。症状包括：尿频、排尿困难、尿失禁、血尿、急性尿潴留、慢性尿潴留及肾功能损害。BPH最简便的检查方法为肛门指检，可早期发现BPH。但是，除BPH外，引起下尿路梗阻的原因很多，因此BPH须与尿道狭窄、神经病性膀胱尿道功能障碍、膀胱颈纤维挛缩、前列腺炎、前列腺结核、前列腺癌、前列腺肉瘤、膀胱肿瘤及膀胱结石相鉴别。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); text-indent: 2em; border: 0px !important;\">一般患者的检查主要包括：①尿常规：了解BPH是否合并泌尿系感染。②肾功能检查：可了解肾功能状态及提示膀胱残余尿和肾积水。③B超：操作简便，可测出增生前列腺的形态、大小、凸入膀胱的情况及膀胱内病变等。④前列腺特异抗原（prostate-specific antigen，PSA）：排除前列腺癌的可能，有助于BPH与前列腺癌的鉴别。特殊患者应加做如下检查：①残余尿测定。②尿流动力学检查：可判断下尿路有无梗阻及梗阻的程度。③X线检查。④膀胱镜检查。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5497', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '408', '治疗', '<p style=\"text-indent: 2em;\">&nbsp;雄激素剥夺治疗前列腺增生</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); text-indent: 2em; border: 0px !important;\">BPH的发展是雄激素依赖性的，因此可对BPH进行雄激素剥夺疗法。但几乎所有影响雄激素产生的药物都与性功能障碍有关。现将常用药物分类、作用机制和不良反应归纳如表3-16-35。</p><p style=\"text-indent: 2em;\">1. 药物去势</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); text-indent: 2em; border: 0px !important;\">这种作用主要使垂体的GnRH受体复合物脱敏所致。GnRH类似物治疗BPH能使前列腺内二氢睾酮显著下降。有研究发现，用长效GnRH类似物进行为期3个月的治疗，前列腺内二氢睾酮下降90%，睾酮减少75%，而且GnRH治疗可减弱SRD5A2活性，同时伴随AR水平下调。用法：那法瑞林（nafarelin）4μg/（kg·d），皮下注射或800～1600μg/d鼻腔吸入。<a class=\"drugA\" style=\"box-sizing: border-box; background: transparent; color: rgb(51, 122, 183);\">亮丙瑞林</a>（leuprorelin）20～50μg/（kg·d），皮下注射。缓释型亮丙瑞林 140～300μg/kg，肌注，每周1次。布舍瑞林（buserelin），每日20～40μg/（kg·d），皮下注射。此外，还有地洛瑞林（deslorelin）和曲普瑞林（tryptorelin）等。前瞻性、安慰剂对照研究显示，用亮丙瑞林的治疗组，前列腺体积减少34.5%，对照组减少2.6%，患者的最大尿流速度和症状均显著改善。但大部分患者都有性功能减退，7/26的患者有较严重的潮热。除了在这些短期研究中出现的以上不良反应外，药物去势可明显影响老年人的骨密度，从而限制了它的长期安全应用。对那些有显著内科并发症和预期寿命有限的患者，雄激素剥夺疗法仍有一定价值。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; text-align: center; text-indent: 2em; border: 0px !important;\">表3-16-35　抗雄激素药物的作用机制和不良反应</p><p style=\"text-indent: 2em;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180525-1527220504990071477.jpg\" title=\"1527220504990071477.jpg\" alt=\"前列腺增生1.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1033px; table-layout: fixed;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; text-indent: 2em; border: 0px !important;\">注：AR：雄激素受体；LH：黄体生成素</p><p style=\"text-indent: 2em;\">2. 5α-还原酶抑制剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); text-indent: 2em; border: 0px !important;\">5α-还原酶（SRD5A）抑制剂是目前被广泛接受和普遍使用的药物。SRD5A有两种同工酶：SRD5A1和SRD5A2，均可将睾酮转化为二氢睾酮。SRD5A1主要在肝脏中表达，SRD5A2主要表达于前列腺。血清中的二氢睾酮实际反映了肝脏中的SRD5A1、前列腺中SRD5A2的转化作用。在前列腺内，SRD5A2为主要的优势酶。目前临床应用最广的是非那甾胺（finasteride），商品名为保列治（proscar），它能高效地降低血浆二氢睾酮而不影响睾酮的水平。单剂5～40mg的非那甾胺能使血浆DH下降65%，7天后仍可观察到明显的抑制作用。而且，它对前列腺二氢睾酮的抑制达80%～90%。最终使前列腺体积减小，最大尿流速度提高。前列腺内仍然保留的二氢睾酮可能是非那甾胺抑制SRD5A2，而外周组织（肝、皮肤和脂肪等）的SRD5A1未被抑制的结果。如果在使用非那甾胺期间，PSA不能下降50%或PSA反有升高，应怀疑有隐匿性前列腺癌。一种新的SRD5A抑制剂度他雄胺（dutasteride）为第二代SRD5A抑制剂，是目前唯一能够同时抑制SRD5A1和SRD5A2的药物，其主要作用于中度和重度BPH。本品0.5mg/d治疗1个月后，即可见增大的前列腺体积缩小，比使用非那甾胺6个月后方见效要快得多。本品耐受性好，不良反应有阳痿（6%）、射精障碍（2%）和性欲降低（3.7%）等。</p><p style=\"text-indent: 2em;\">3. 雄激素受体拮抗剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); text-indent: 2em; border: 0px !important;\"><a class=\"drugA\" style=\"box-sizing: border-box; background: transparent; color: rgb(51, 122, 183);\">氟他胺</a>（flutamide）是睾酮及二氢睾酮胞质受体的竞争抑制剂。因雄激素作用被阻断，反馈抑制减弱能使LH释放增加，反而刺激睾酮合成和释放以及刺激雌激素合成的增加，对肾上腺雄激素的合成则无影响。用法：250mg/次，每天3次，口服。不良反应主要有乳腺疼痛、男性乳腺发育、胃肠道反应和勃起功能障碍等。<a class=\"drugA\" style=\"box-sizing: border-box; background: transparent; color: rgb(51, 122, 183);\">比卡鲁胺</a>（bicalutamide，Casodex）是新一代的非类固醇AR拮抗剂，与AR的亲和力比氟化胺强4倍。毒性低，不良反应少，半衰期长。比卡鲁胺（200mg/d）对BPH疗效与氟化胺类似，但不良反应少，主要有乳腺触痛和部分性功能丧失。</p><p style=\"text-indent: 2em;\">4. 孕激素类药物</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); text-indent: 2em; border: 0px !important;\">孕激素类药物通过抑制促性腺激素的分泌减少雄激素的产生及阻断AR而发挥抗雄激素作用，故许多孕激素类药物如<a class=\"drugA\" style=\"box-sizing: border-box; background: transparent; color: rgb(51, 122, 183);\">甲地孕酮</a>、环丙孕酮（cyproterone，色普龙）、<a class=\"drugA\" style=\"box-sizing: border-box; background: transparent; color: rgb(51, 122, 183);\">氯地孕酮</a>（chlormadinone）和乙酸孕酮均曾用于BPH的临床试验或治疗。但均因疗效不佳和较多的不良反应而极少应用。</p><p style=\"text-indent: 2em;\">（五） 其他药物的疗效未明</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); text-indent: 2em; border: 0px !important;\">芳香化酶抑制剂用于一般病例的治疗。雌激素能协同雄激素在BPH的发展中起到一定作用，芳香化酶抑制剂如睾内酯（testolactone）、阿他美坦（atamestane）能抑制外周睾酮转变为雌激素，但不降低外周睾酮的水平，可用于BPH的治疗，副作用少。前列腺增生时，其基质内的平滑肌明显增多，α-受体阻滞剂可直接作用于平滑肌，减小尿道阻力，能较快改善症状。目前使用的选择性α<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>受体阻滞剂有<a class=\"drugA\" style=\"box-sizing: border-box; background: transparent; color: rgb(51, 122, 183);\">哌唑嗪</a>（prazosin）、<a class=\"drugA\" style=\"box-sizing: border-box; background: transparent; color: rgb(51, 122, 183);\">阿夫唑嗪</a>（alfuzosin）、<a class=\"drugA\" style=\"box-sizing: border-box; background: transparent; color: rgb(51, 122, 183);\">吲哚拉明</a>（indoramin）、<a class=\"drugA\" style=\"box-sizing: border-box; background: transparent; color: rgb(51, 122, 183);\">特拉唑嗪</a>（terazosin，高特灵）、<a class=\"drugA\" style=\"box-sizing: border-box; background: transparent; color: rgb(51, 122, 183);\">多沙唑嗪</a>（doxazosin）和坦索罗辛（tamsulosin，商品名哈乐，Harnal）等。植物药的效果有待证实，临床已开始应用的植物药有10多种，如普适泰（cernilton，<a class=\"drugA\" style=\"box-sizing: border-box; background: transparent; color: rgb(51, 122, 183);\">舍尼通</a>）、南非显形花草木植物、荨麻叶和根、棕榈西米、南瓜子、非洲李子、白杨、紫球花和裸麦等。</p><p style=\"text-indent: 2em;\">（六） 重症BPH宜手术治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); text-indent: 2em; border: 0px !important;\">近年来，BHP的手术治疗进展很快，可根据具体情况选用不同的手术治疗方案。</p><p style=\"text-align: right; text-indent: 2em;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5509', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '184', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">盆腔炎症性疾病（pelvic inflammatory disease，PID）是由女性内生殖道炎症引起的一组疾病，包括子宫内膜炎、输卵管炎和输卵管卵巢脓肿，以及扩散后产生的盆腔腹膜炎和肝周围炎，以急性输卵管炎最常见。PID的远期后遗症主要包括盆腔炎再次急性发作、输卵管性不孕、异位妊娠和慢性盆腔疼痛。既往PID多因产后、剖宫产后、流产后以及妇科手术后细菌进入创面感染而得病，近年来则多由下生殖道的性传播疾病（sexually transmitted diseases，STD）上行感染至上生殖道而造成。PID多数是以疼痛为主要表现，由于盆腔器官多由内脏神经支配，疼痛感觉常定位不准确。严重的PID可因败血症、脓毒血症和感染性休克而危及生命，其后遗症可导致不育，增加异位妊娠的危险，影响患者的身心健康及工作。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">盆腔结缔组织炎是指盆腔结缔组织初发的炎症，不是继发于卵管、卵巢的炎症，是初发于子宫旁的结缔组织，然后再扩展至其他部位。本病多由于分娩或刮宫产时宫颈或阴道上端的撕裂，困难的宫颈扩张术时宫颈撕伤，经阴道的子宫全切除术时阴道断端周围的血肿以及人工流产术中误伤子宫及宫颈侧壁等情况时细菌进入发生感染，也属于PID的范畴。</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5510', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '184', '发病率', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">PID在年轻性活跃人群中发病率高。国外有资料显示：15～19岁妇女的PID发病率是25～29岁妇女的3倍；20～24岁妇女的PID发病率是25～29岁妇女的2倍。我国则以30岁左右为发病高峰。年轻者发病率高，不仅由于这是性活动旺盛的时期，还因性伴侣不稳定。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">PID在世界各地的发病率因地区差异很大，在一些性生活紊乱及性病泛滥的国家中是最常见的疾病。在工业化国家中，生育年龄组妇女每年PID的发生率可达10～20/ 1000，估计美国每年有高达100万人患此病，其中需住院治疗者约20万人。在英国2000～2008年间，每10万人中疑似病例有1117人，其中可能的病例326人，确诊281人。国内PID患病者亦有增加的趋势，但尚无此方面确切的统计数字。</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5511', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '184', '病原体的种类及其对抗生素的敏感性', '<p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">PID的发生为多重微生物感染所致，包括厌氧菌、需氧菌、衣原体以及支原体等，其中许多细菌为存在于下生殖道的正常菌群。淋病奈瑟菌、沙眼衣原体、支原体等是导致PID的主要病原体，约占60%～70%。我国一项全国多中心调研显示PID患者中沙眼衣原体阳性率19. 9%；宫颈支原体阳性率32. 4%；淋病奈瑟菌阳性率11. 2%；厌氧菌阳性率25. 0%；细菌培养结果显示大肠埃希菌为6. 7%，其次为金黄色葡萄球菌4. 8%，链球菌2. 1%，表皮葡萄球菌1. 6%等。</span></p><p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\"></span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">常见的致病菌有以下几种：</p><p>1.需氧菌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">主要有淋病奈瑟菌、葡萄球菌、链球菌及大肠埃希菌等。</p><p>（1）淋病奈瑟菌：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">革兰染色阴性菌，呈卵圆或豆状，常成双排列，邻近面扁平或稍凹，像两瓣黄豆对在一起，急性炎症期细菌多在患者分泌物的少部分中性粒细胞的细胞质中，慢性期则多在细胞外，且有些可呈单个球形或四联状。普通培养基不易成功。喜侵袭人体的柱状上皮和移行上皮，故在女性多为泌尿系统、宫颈、子宫和输卵管黏膜的感染，基本上不侵犯鳞状上皮。随着抗生素的广泛应用，尤其是不合理用药，逐渐产生耐药菌株。1976年菲律宾分离出β-内酰胺酶的耐青霉素淋病奈瑟菌株（PPNG），1985年又发现高度耐四环素淋病奈瑟菌株（TRNG），对四环素、米诺环素、多西环素均耐药。</p><p>（2）大肠埃希菌：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">为肠道的寄生菌，一般不发病，但在机体抵抗力下降，或因外伤等侵入肠道外组织或器官时可引起严重的感染，甚至产生内毒素休克，常与其他致病菌发生混合感染。本菌对卡那霉素、庆大霉素、先锋V号、羧苄西林敏感，但易产生耐药菌株，可在药敏试验引导下用药。</p><p>（3）葡萄球菌：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">属革兰阳性球菌，其中以金黄色葡萄球菌致病力最强，多于产后、剖宫产后、流产后或妇科手术后细菌通过宫颈上行感染至宫颈、子宫、输卵管黏膜。本菌对一般常用的抗生素可产生耐药，根据药物敏感试验用药较为理想，耐青霉素的金黄色葡萄球菌对先锋V、万古霉素、克林霉素及第三代头孢菌素敏感。</p><p>（4）B族链球菌：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">革兰阳性球菌，是人类体内正常的寄生菌之一，可以引起产前、产后的生殖道感染。感染后症状出现早，一开始就出现高热、心动过速等，是急性绒毛膜羊膜炎最常见的致病原，对产妇和新生儿均有很大的威胁。本菌对青霉素敏感，患病后只要及时、积极治疗基本无死亡。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">此外，在需氧性致病菌中尚有肠球菌、克雷伯杆菌属、阴道嗜血杆菌等。</p><p>2.厌氧菌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">盆腔感染的主要菌种，主要来源于结肠、直肠、阴道及口腔黏膜。由于盆腔组织邻近直肠、肛门，容易感染到厌氧菌；且盆腔解剖位置比较深，环境相对封闭、无氧，厌氧菌容易繁殖，最近的研究表明盆腔感染中2/3来自厌氧菌。其感染的特点是易形成盆腔脓肿、感染性血栓静脉炎，脓液有粪臭并有气泡。可以单独感染，但多数与需氧菌混合感染。条件好的医院已将厌氧菌的检测列为细菌学的常规工作。女性生殖道内常见的厌氧菌有以下几种：</p><p>（1）消化链球菌：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">属革兰阳性菌，易滋生于产后子宫内坏死的蜕膜碎片或残留的胎盘中，其内毒素毒力低于大肠埃希菌，但能破坏青霉素的β-内酰胺酶，对青霉素有抗药性，还可产生肝素酶，溶解肝素，促进凝血，导致血栓性静脉炎。</p><p>（2）脆弱类杆菌：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">系革兰阴性菌，为严重盆腔感染中的主要厌氧菌，这种感染易造成盆腔脓肿，恢复期长，伴有恶臭。本菌对甲硝唑、克林霉素、头孢菌素、多西环素敏感，对青霉素易产生耐药。</p><p>（3）产气荚膜梭状芽胞杆菌：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">系革兰阴性菌，多见于创伤组织感染及非法堕胎等的感染，分泌物恶臭，组织内有气体，易产生中毒性休克、弥散性血管内凝血及肾衰。对克林霉素、甲硝唑及三代头孢菌素敏感。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">除上述三种常见的厌氧菌外，最近的研究表明二路拟杆菌和二向拟杆菌两种厌氧杆菌也是常见的致病菌，对青霉素耐药，对抗厌氧菌抗生素敏感。</p><p>3.其他病原体（1）沙眼衣原体：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">一种专有的人类致病原，现已被认为是性传播疾病和围生期感染的一个主要原因。成年人中性传播的沙眼衣原体感染的临床范围与淋病奈瑟菌感染相似，优先感染眼、呼吸道和生殖道的柱状上皮。沙眼衣原体的无症状感染人群要比淋病奈瑟菌高，而有症状的沙眼衣原体感染在临床上要比淋病奈瑟菌感染症状轻一些。感染造成免疫反应，在没有抗生素治疗时常常存在数月或数年。反复的或持续的感染常常造成严重的后果，在输卵管炎中占一很重要的角色。沙眼衣原体被证明存在于50%以上的盆腔炎症性疾病妇女的输卵管或子宫内膜上。</p><p>（2）支原体：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">1937年Dienes首次报道，从外阴前庭大腺脓肿分离到支原体。20世纪60年代末，发现支原体为人类泌尿生殖系统常见的微生物，尤其在孕妇生殖道中定植率很高。支原体可正常寄居于人体腔道的黏膜上，在机体免疫力低下或黏膜受损的情况下，寄居的支原体可发展成致病原。目前认为，支原体是女性生殖道的正常菌群的组成部分之一，具有条件致病菌的特性。其中解脲支原体，人型支原体，生殖支原体与上生殖道感染关系密切，但很少单独致病，多协同其他微生物共感染。</p><p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\"><br/></span><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5512', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '184', '感染途径', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">PID主要由病原体经阴道、宫颈的上行感染引起。其他途径尚有下列几种：</p><p>1.经淋巴系统蔓延</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">　细菌经外阴、阴道、宫颈裂伤、宫体创伤处的淋巴管侵入内生殖器及盆腔腹膜、盆腔结缔组织等部分，可形成产后感染，流产后感染或手术后的感染。</p><p>2.直接蔓延</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">　盆腔中其他脏器感染后，直接蔓延至内生殖器。如阑尾炎可直接蔓延达右侧输卵管，发生右侧输卵管炎。</p><p>3.经血液循环传播</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">病原体先侵入人体的其他系统，再经过血液循环达内生殖器，如结核菌的感染，由肺或其他器官的结核灶可经血液循环而传至内生殖器，全身性的菌血症也可导致发生PID。</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5513', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '184', '发病诱因', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">PID常为多种微生物混合感染所致，其中部分正常寄居于女性生殖道，多于机体疾病、免疫力降低等情况下致病。常见发病诱因有以下几种：</p><p>1.阴道分娩、剖宫产、流产</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">病原体可上行通过剥离面或残留的胎盘、胎膜、子宫切口等，致子宫、输卵管、卵巢及盆腔腹膜发生炎症，也可经破损的黏膜、胎盘剥离面通过淋巴、血行播散到盆腔。因此须做好宣传教育，注意孕期的体质，分娩时减少局部的损伤，对损伤部位的操作要轻，注意局部的消毒。</p><p>2.月经期性交</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">月经期宫颈口开放，子宫内膜剥脱面有扩张的血窦及凝血块，均为细菌的上行及滋生提供了良好环境。如在月经期性交或使用不洁的月经垫，可使细菌侵入发生炎症。应加强宣教，更正不良性交行为。</p><p>3.妇科手术操作</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">　各类需伸入器械进入宫腔的操作，如人工流产，放、取环术，子宫输卵管造影术等，导致盆腔感染，称医源性PID。美国每年行早孕人工流产术100万例，发生上生殖道感染的比例接近1∶200，故最近提出应对高危病例流产术前给予预防性应用抗生素，以减少医源性PID的发生。我国在涉及宫腔的计划生育手术前，需常规检查阴道清洁度、滴虫、真菌等，发现有阴道炎症者先给予治疗，可能有助于预防术后PID的发生。其他妇科手术如腹腔镜绝育术、经腹或经阴道子宫切除术、人工流产穿通子宫壁，盆腔手术误伤肠管等均可导致急性炎症，波及输卵管、卵巢及盆腔腹膜。操作时必须注意手术者的手、所用器械以及患者的严密消毒，严格掌握手术的适应证，术前给予预防性抗生素。妇科围术期的抗生素应选用广谱类，常用的有氨苄西林、头孢氨苄、头孢唑林、头孢西丁、头孢噻肟、头孢替坦、头孢曲松等。多数学者主张抗生素应在麻醉诱导期，即术前30分钟一次足量静脉输注，20分钟后组织内抗生素浓度可达高峰。必要时加用抗厌氧菌类抗生素如甲硝唑、替硝唑、克林霉素等。如手术操作超过60～90分钟，在4小时内给第2次药。剖宫产术可在钳夹脐带后给药，可选用抗厌氧菌类药物，如甲硝唑、替硝唑、克林霉素等。给药剂量及次数还须根据病变种类、手术操作的复杂性及患者年龄等情况而定。</p><p>4.性乱史</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">　性活动，尤其是不良的性行为，与PID关系密切。该人群STD发病率较高，导致PID。多性伴妇女PID的患病率是单一性伴者的5倍。应加强对年轻妇女及其性伴侣对STD的认识和教育工作，包括延迟初次性交的时间，限制性伴侣的数目，避免与STD患者进行性接触，坚持使用屏障式的避孕工具，积极诊治无并发症的下生殖道感染等。</p><p>5.邻近器官炎症的蔓延</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">最常见者为急性阑尾炎、憩室炎、腹膜炎等，应针对其他脏器的感染灶及时应予以治疗。</p><p>6. PID后遗症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">　PID所造成的盆腔内粘连、输卵管积水、扭曲等后遗症，易造成PID的再次急性发作，尤其是在患者免疫力低下、有不洁性交史等情况下。</p><p>7. IUD</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">IUD放置后头三周内可发生PID，但多数症状轻微，目前无证据表明取环后可缓解急性PID的发作，上环后发生PID的治愈效果及复发率尚无准确数据。在临床中，应注意对上环者的随访。</p><p>8.全身性疾病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">如败血症、菌血症等，细菌也可达输卵管及卵巢发生急性PID。</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5514', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '184', '病理', '<p>1.输卵管炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">　病变可通过子宫颈的淋巴播散至子宫颈旁的结缔组织，首先侵及输卵管浆膜层再达肌层，输卵管内膜受侵较轻，或可不受累。病变是以输卵管间质炎为主，由于输卵管管壁增粗，可压迫管腔变窄，轻者管壁充血、肿胀，重者卵管肿胀明显，且有弯曲，并有含纤维素性渗出物，引起周围的组织粘连。炎症如经子宫内膜向上蔓延时，首先为输卵管内膜炎，输卵管内膜肿胀、间质充血、水肿及大量中性多核白细胞浸润，重者输卵管内膜上皮可有退行性变或成片脱落，引起输卵管管腔粘连闭塞或伞端闭锁，如有渗出物或脓液积聚，可形成输卵管积脓，与卵巢粘连形成炎性包块。</p><p>2.子宫内膜炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">　子宫内膜充血、水肿，有炎性渗出物，可混有血，也可为脓性渗出物（多见于淋菌感染）；重症子宫内膜炎内膜呈灰绿色，坏死，见于放射治疗如官腔内放置铯- 137等。镜下见子宫内膜有大量多核白细胞浸润，细胞间隙内充满液体，毛细血管扩张，严重者细胞间隙内可见大量细菌。内膜坏死脱落，可形成溃疡。分泌物可有恶臭，如果宫颈开放，引流通畅，宫腔分泌物清除而治愈，但也有炎症向深部侵入形成子宫肌炎及输卵管炎或因宫颈口肿胀，引流不畅形成子宫腔积脓者。</p><p>3.卵巢周围炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">　卵巢表面有一层白膜包被，很少单独发炎，卵巢多与卵管伞端粘连，发生卵巢周围炎，进一步形成卵巢脓肿，如脓肿壁与卵管粘连穿通则形成卵管卵巢脓肿。脓肿可发生于初次感染之后，但往往是在反复发作之后形成。脓肿多位于子宫后方，及阔韧带后叶及肠管间，可向阴道、直肠间穿通，也可破入腹腔，发生急性弥漫性腹膜炎。</p><p>4.盆腔腹膜炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">　急性期，腹膜充血、水肿，伴有含纤维素的渗出液，可形成盆腔脏器的粘连，渗出物聚集在粘连的间隙内，可形成多数的小脓肿，或聚集在直肠子宫陷凹内形成盆腔脓肿，脓肿可破入直肠，则症状可减轻，如破入至腹腔则可引起弥漫性腹膜炎，使病情加重。</p><p>5.盆腔结缔组织炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">急性期，局部组织出现水肿、充血，并有多量白细胞及浆细胞浸润。炎症初起时多发生于生殖器官受到损伤的部位，逐渐可蔓延至周围的结缔组织，也可通过淋巴系统向输卵管、卵巢或髂窝处扩散。由于盆腔结缔组织与盆腔内血管接近，可引起盆腔血栓性静脉炎。发炎的部分易化脓，形成大小不等的脓肿，未及时切开排脓引流，脓肿可向阴道、膀胱、直肠自行破溃，高位脓肿也可向腹腔破溃引起弥漫性腹膜炎，发生脓毒症使病情急剧恶化，但引流通畅后，炎症可逐渐消失。如排脓不畅，也可引起发生长期不愈的窦道。急性盆腔结缔组织炎治疗不彻底，或患者体质较差，炎症迁延而成慢性，盆腔结缔组织由充血，水肿，转为纤维组织，增厚、变硬的瘢痕组织，与盆壁相连，子宫被固定不能活动，或活动度受限制，子宫常偏于患侧的盆腔结缔组织。</p><p>6.肝周围炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">PID中有10%～20%伴有肝周围炎或局部腹膜炎，又称菲科综合征（Fitz- HughCurtis syndrome，FHCS），多在腹腔镜检查时发现，镜下见肝周充血，炎性渗出以及肝膈面与上腹、横膈形成束状、膜状及弦丝状粘连带。肝周围炎被认为是感染性腹腔液体直接或经淋巴引流到膈下区域造成，以沙眼衣原体引起者最多见，偶见有淋菌及厌氧菌引起者。此种肝周炎很少侵犯肝实质，肝功能多正常。患者可有右上腹不同程度的疼痛及轻压痛，通常发生在急性PID发作之前，其严重性与PID相关。</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5515', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '184', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">因病情及病变范围大小，而表现的症状不同。轻者可以症状轻微或无症状。重症者可有发热及下腹痛，发热前可先有寒战、头痛，体温可高达39～40℃，下腹痛可与发热同时发生，为双侧下腹部剧痛、或病变部剧痛。如疼痛发生在月经期则可有月经的变化，如月经量增多，月经期延长；在非月经期疼痛发作则可有不规则阴道出血，白带增多，性交痛等现象。由于炎症的刺激，少数患者也可有膀胱及直肠刺激症状如尿频、尿急、腹胀、腹泻等。发生腹膜炎时，可出现恶心、呕吐、腹胀等消化系统症状；如有脓肿形成，可有下腹肿物及局部压迫刺激症状。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">检查患者呈急性病容，脉速，唇干。下腹部剧痛常拒按，或一侧压痛，动宫颈时更明显，炎症波及腹膜时呈现腹膜刺激症状。如已发展为盆腔腹膜炎，则整个下腹部有压痛及反跳痛致使患者拒按。妇科检查见阴道充血，宫颈充血有分泌物，呈黄白色或黏液脓性，有时带恶臭，宫颈有举痛，阴道后穹隆有明显触痛，触及饱满、有波动感，则提示可能有盆腔脓肿存在。子宫增大，压痛，活动性受限，附件区可触及输卵管增粗，有明显压痛，若触及压痛明显的肿物，有波动感，可考虑输卵管卵巢脓肿；宫旁结缔组织炎时，可触及宫旁一侧或两侧有片状增厚，或两侧宫底韧带高度水肿、增厚，压痛明显。</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5516', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '184', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">PID的临床表现各异，重症及典型的PID病例根据病史、临床及实验室检查所见，诊断不难（表4- 1- 7），但可能此部分患者仅占PID的4%左右。临床上绝大多数PID为轻到中度及亚临床感染者。这部分患者可无明确病史，临床症状轻微，或仅表现有下腹部轻微疼痛，白带稍多，给临床诊断带来困难。有鉴于此，2010年美国疾病控制与预防中心（CDC）在既往的基础上，提出了最新的PID诊断标准，旨在提高对PID的认识，对可疑患者做进一步评价，及时治疗，减少后遗症的发生。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">表4-1-7　PID的诊断标准（2010年美国CDC诊断标准）</p><p><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180525-1527222327004037209.jpg\" title=\"1527222327004037209.jpg\" alt=\"盆腔炎1.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 977px; table-layout: fixed;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">最低标准提示性活跃的年轻女性或者具有STD的高危人群若出现下腹痛，并可排除其他引起下腹痛的原因，妇科检查符合最低诊断标准，即可给予经验性抗生素治疗。附加标准可增加诊断的特异性。特异标准基本可诊断PID，但由于除B型超声外，均为有创检查或费用较高，特异标准仅适用于一些有选择的病例。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">近年来报道较多，较有辅助诊断价值的方法有下列几种：</p><p>1.阴道分泌物的湿片检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">此方法简便、经济、实用。患PID时多有白带增多的症状，阴道分泌物湿片检查中每个阴道上皮细胞中多于1个以上的多形核白细胞，每高倍视野会有3个以上白细胞诊断PID的敏感性达87%，其敏感性高于血沉、C反应蛋白以及经过内膜活检或腹腔镜证实的有症状的PID所呈现出来的外周血的白细胞计数值。若湿片中如无炎症细胞则诊断PID应慎重。</p><p>2.子宫内膜活检</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">可得到子宫内膜炎的组织病理学诊断，被认为是一种比腹腔镜创伤小而又能证实PID的方法，因子宫内膜炎常合并有急性输卵管炎。有研究证实子宫内膜活检与腹腔镜两者在诊断PID上有90%的相关任。子宫内膜活检的诊断敏感性达92%，特异性为87%，并可同时取材做细菌培养，但有被阴道细菌污染的机会。此方法多需2～3天获得结果，故在一定程度上限制了其在临床上的广泛应用。</p><p>3.超声等影像学检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">在各类影像学检查方法中，B超是最简便、实用和经济的方法，且与腹腔镜检查有很好的相关性。在急性、严重的PID时，经阴道超声可见输卵管增粗、管腔积液或盆腔有游离液体。B超还可用于监测临床病情的发展，出现盆腔脓肿时，B超可显示附件区肿块，伴不均匀回声。CT、MRI有时也可显示出较清晰的盆腔器官影像，但由于其价值昂贵而不能普遍用于临床。对于早期、轻度的PID，B超敏感性差。采用能量多普勒超声技术，通过测定血流来反映输卵管的充血程度，从而提高对早期PID诊断的敏感性，其阳性预测值可达91%，阴性预测值达100%。</p><p>4.腹腔镜检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">目前被认为是诊断PID的金标准，因可在直视下观察盆腔器官的病变情况，并可同时取材进行细菌鉴定及培养而无阴道污染之虑。腹腔镜诊断PID标准：①输卵管表面明显充血；②输卵管壁水肿；③输卵管伞端或浆膜面有脓性渗出物。Soper认为行腹腔镜检查时应同时对病变的程度予以分级，他提出的分级标准为：轻度：输卵管有充血、水肿，能自由活动，伞端是开放的；中度：输卵管有明显炎症，活动受限，周围有疏松及渗出性的粘连及嵌顿，伞端可能有粘连；重度：盆腔器官之间互相粘连，输卵管积脓或输卵管卵巢粘连成块，大网膜粘连。腹腔镜下见肝周充血，炎性渗出以及肝膈面与上腹、横膈形成束状、膜状及弦丝状粘连带，可考虑肝周围炎。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">尽管腹腔镜在诊断PID上有上述优越性，但考虑到腹腔镜检查是一个有创并相对昂贵的手术，需要手术室和麻醉，故多数学者主张PID的诊断首先应基于临床诊断，除非诊断有疑问，尤其是不能除外异位妊娠时，才有指征行腹腔镜检查术，而且腹腔镜所见与病变的严重程度并不一定相关，因其只能看到器官的表面，有高达20%的病例腹腔镜不能作出明确诊断。</p><p>5.其他实验室检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">包括白细胞增多（＞10 000），血沉增快（＞20mm/h），C-反应蛋白升高（2mg/dl），血清CA125升高（＞43. 7U/ml），腹水与血清同种淀粉酶值（商＜1. 5）等，上述检查虽对临床诊断有所帮助，但均缺乏敏感性与特异性。淋病奈瑟菌、沙眼衣原体的检查详见有关章节。</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5517', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '184', '鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">需注意与自然流产、感染性流产、急性阑尾炎、异位妊娠、卵巢囊肿扭转或破裂、盆腔子宫内膜异位症、胆囊炎、胃肠炎、憩室炎、肾盂肾炎或肾绞痛等鉴别。下面列出几种主要需要鉴别的疾病。</p><p>1.急性阑尾炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">右侧急性输卵管炎卵巢炎易与急性阑尾炎混淆。急性阑尾炎起病前常有胃肠道症状，如恶心，呕吐，腹泻等，腹痛多发生于脐周围，然后逐渐向右侧下腹部固定。检查时仅麦氏点有压痛，体温及白细胞增高的程度不如急性输卵管卵巢炎。急性输卵管卵巢炎右侧者，常在麦氏点以下压痛明显。妇科检查子宫颈常有触痛，双侧附件均有触痛。但临床上二者同时发生者也常遇到。仅为急性阑尾炎时，妇科检查不易触知阑尾。</p><p>2.异位妊娠或卵巢黄体囊肿破裂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">　异位妊娠及卵巢黄体囊肿破裂均可因卵管妊娠流产或破裂发生急性下腹痛，但异位妊娠常有闭经史，有腹腔内出血。患者面色苍白，急性病容，甚至呈现休克，尿hCG常呈阳性，而急性输卵管卵巢炎多无这些症状，做阴道后穹隆穿刺，如抽出为陈旧性血液则诊断明确。</p><p>3.卵巢肿瘤蒂扭转</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">多出现在活动性包块之后，在体位突然变动或排大便等情况时发生剧烈下腹痛，卵巢肿物扭转后囊腔内常有出血，肿物增大，伴有发热，需与急性输卵管卵巢炎性包块鉴别，询问病史、B超诊断可有帮助。</p><p>4.盆腔子宫内膜异位症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">本病具有痛经、月经量增多，多并有不孕历史，需与输卵管卵巢炎鉴别，盆腔子宫内膜异位症时，子宫可增大，盆腔有结节状包块，常无发热，如有怀疑可通过B超及腹腔镜检查作出诊断（表4- 1-8）。</p><p><br/></p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5518', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '184', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">PID的治疗目的是缓解症状、消除当前感染及降低远期后遗症的危险。</p><p>1.全身治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">重症者应卧床休息，给予高蛋白流食或半流食，体位以头高脚低位为宜，以利于官腔内及宫颈分泌物排出于体外，盆腔内的渗出物聚集在直肠子宫陷凹内而使炎症局限。补充液体，纠正电解质紊乱及酸碱平衡，高热时给以物理降温，并应适当给予止痛药，避免无保护的性交。</p><p>2.抗生素治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">对细菌培养的技术的提高以及药物敏感试验的配合，临床上得以合理的使用药物，对急性炎症可达到微生物学的治愈（治愈率84%～98%）。一般在药物敏感试验做出以前，先使用需氧菌、厌氧菌以及淋菌、沙眼衣原体兼顾的广谱抗生素以及联合用药，待药敏试验做出后再改换，一般是根据病因以及发病后已用过何种抗生素作为参考来选择用药。在PID诊断48小时内及时用药将明显降低后遗症的发生。抗生素的治疗原则：经验性、广谱、及时和个体化。</p><p>（1）门诊治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">若患者一般状况好、症状轻，能耐受口服抗生素，并有随访条件，可在门诊给予口服或肌内注射抗生素治疗。口服治疗后72小时内无效，应重新评估诊断，并改为肠道外头孢菌素治疗。常用口服治疗方案（表4- 1- 9）：</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">表4-1-8　盆腔痛的鉴别</p><p><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180525-1527222402759018043.jpg\" title=\"1527222402759018043.jpg\" alt=\"盆腔炎2.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 981px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">表4-1-9　急性PID患者口服抗生素的治疗方案（2010年美国CDC）</p><p><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180525-1527222430903095823.jpg\" title=\"1527222430903095823.jpg\" alt=\"盆腔炎3.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 974px; table-layout: fixed;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">由于耐喹诺酮的淋病奈瑟菌的出现，含有喹诺酮的治疗方案已不再作为PID推荐治疗方案。仅在使用肠道外头孢菌素治疗困难，且该区域淋病奈瑟菌传染及发病风险较低时，可考虑使用含有喹诺酮的治疗方案。具体方案为：氧氟沙星400mg，口服，每日2次，或左氟沙星500mg，口服，每日1次，共14日，加用或不加用甲硝唑500mg，口服，每日2次，共14日。治疗前需检测淋病奈瑟菌，若检测阳性且淋病奈瑟菌培养结果阳性，需根据抗菌敏感性选择抗生素；若检测出耐喹诺酮的淋病奈瑟菌，或无法行淋病奈瑟菌培养，尽量应用肠道外头孢菌素治疗，使用肠道外头孢菌素治疗困难时，需在含有喹诺酮的治疗方案中加用阿奇霉素2g顿服。</p><p>（2）住院治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">若患者一般情况差，病情严重等，均应住院给予抗生素为主的综合治疗，抗生素治疗给药途径以静脉滴注收效快，常用的配伍方案（表4- 1- 10、表4- 1- 11）：</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">表4-1-10　PID的住院标准（2010年美国CDC）</p><p><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180525-1527222457089029858.jpg\" title=\"1527222457089029858.jpg\" alt=\"盆腔炎4.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 978px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">表4-1-11　PID患者肠道外抗生素（门诊或住院）的治疗方案（2010年美国CDC）</p><p><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180525-1527222501411055413.jpg\" title=\"1527222501411055413.jpg\" alt=\"盆腔炎5.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 983px; table-layout: fixed;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">A.患者临床症状改善后，需再维持上述治疗方案至少24小时后，继续口服多西环素，每日2次，共14日。当PID合并输卵管卵巢脓肿时，维持口服治疗时加用甲硝唑或克林霉素治疗效果更佳。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">B.患者临床症状改善后，需再维持上述治疗方案至少24小时后，继续口服多西环素，每日2次，共14日，或克林霉素450mg，口服，每日4次，共14日。当PID合并输卵管卵巢脓肿时，维持口服治疗时选用克林霉素较多西环素治疗效果更佳。</p><p>3.手术治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">主要用于治疗抗生素控制不满意的输卵管卵巢脓肿或盆腔脓肿。</p><p>（1）手术指征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">1）药物治疗无效：药物治疗48～72小时，体温持续不降，患者中毒症状加重或包块增大者，应及时手术。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">2）脓肿持续存在：经药物治疗病情有好转，继续控制炎症数日（2～3周），包块仍未消失但已局限化，应手术切除，以免日后再次急性发作。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">3）脓肿破裂：突然腹痛加剧，寒战、高热、恶心、呕吐、腹胀，检查腹部拒按或有中毒性休克表现，应怀疑脓肿破裂。若脓肿破裂未及时诊治，死亡率高。因此，一旦怀疑脓肿破裂，需立即在抗生素治疗的同时行剖腹探查。</p><p>（2）手术方式：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">包括脓肿切开引流，途径有经腹，经阴道、腹腔镜下等几种。原则以切除病灶为主。为了保存生育能力及卵巢功能，现多主张对年轻患者的单侧输卵管卵巢脓肿仅行单侧附件切除术。Lander报道的病例中，71%为单侧输卵管卵巢脓肿。此数字说明一半以上的患者有行单侧附件切除术的机会。随着抗生素及试管婴儿技术的发展，各类保存生育功能的手术越来越为人们关注。但在处理具体患者时，应在保存生育功能及冒再次手术危险之间进行权衡。有报道单侧附件切除术后，17%的患者需再次手术，14%的患者可能获得宫内妊娠。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">1）经阴道后穹隆切开引流：常用于脓肿聚集在直肠子宫陷凹或阴道直肠陷凹，可先自阴道后穹隆穿刺证实有脓液，或在B超、CT引导下选择部位。一般在宫颈与后穹隆交界处作一横切口，可用手指及血管钳伸入脓腔分离脓肿中的房隔及粘连，以利于脓液的引流，排脓后插入负压吸引管，放置48～72小时，脓液明显减少后取出。此方法可应用于对抗生素耐药又希望保留生育者。选用此方法时，应严格挑选适应证，脓肿为单房，位于中线部位，且由于脓液的积聚使直肠阴道隔上1/3部分分开者，效果好，并发症少，成功率可达80%～90%。但对于多房的复杂脓肿效果差，成功率只有43%，而并发症是单房脓肿的4倍，约50%的患者仍需开腹手术清除感染。在单侧脓肿发生率上升的情况下，对于保留生育能力及卵巢功能而言，单侧附件切除术的效果要好于经阴道脓肿切开引流术。最近报道在B超引导下切开引流术，使成功率得以上升。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">2）经皮穿刺切开引流：近来多有报道，穿刺的部位根据脓肿的部位而定。单房脓肿者成功率高，也有人报道对多房脓肿，采取放置多根引流管的方法获得成功。Abolulghar报道在阴道超声引导下穿刺引流成功率达85%。Nelson报道经直肠超声引导下穿刺引流成功率达93%。一般引流后48小时应再次行影像学检查。放置脓腔的引流管可用来进行脓腔的灌洗或灌注显影剂以利于下次影像学的检查。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">3）腹腔镜下引流：可同时取得诊断与治疗的效果，尤其适用于诊断仍有疑问者，可在直视下打开脓腔进行引流及灌洗，并可根据情况在腹腔镜下行单侧附件切除术。由于炎症时组织的充血、粘连，手术时需十分小心，避免副损伤。Raiga等曾报道39例腹腔镜下附件脓肿的处理，均得到治愈，3～6个月后再次行腹腔镜检查时，35例需行粘连松解术，17例需行输卵管成形术，19例希望妊娠者中，12例宫内妊娠。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">4）单侧附件切除：适用于单侧输卵管、卵巢脓肿，全身一般情况尚好，并有生育要求的年轻妇女。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">5）全子宫加双侧附件切除术：是治疗输卵管、卵巢及盆腔脓肿较为彻底的方法，适用于病情重，年龄大已无生育要求者。手术困难时，需细心分离，避免副损伤，术后应放置引流。</p><p>4.性伴侣治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">　对PID患者出现症状前60天内接触过的性伴侣进行检查和治疗（若最后一次性行为在PID出现症状60天前，则选择患者最新性伴）。此治疗期间，患者需避免性生活。若不进行治疗，患者存在再次感染的危险，而且其性伴侣很可能发生尿道淋病奈瑟菌或沙眼衣原体感染，其常无症状而被忽视。无论PID患者分离的病原体如何，均建议患者的性伴侣应针对上述病原体进行检测和治疗。</p><p>5.随访</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">在PID患者治疗头3天内，应明确有无临床情况的改善，如退热、腹部压痛或反跳痛减轻、子宫及附件压痛减轻、宫颈举痛减轻。在此期间病情无好转的患者需住院，行进一步检查，必要时行手术治疗。对有沙眼衣原体或淋病奈瑟菌感染史的PID患者，在治疗后半年内仍有较高的复发风险，因此无论其性伴侣是否接受治疗，建议患者在治疗结束后4～6周重新检测上述病原体。</p><p><br/></p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5519', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '184', '后遗症', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">PID的后遗症过去多称之为盆腔慢性炎症，近十几年来文献及教科书已摒弃了这个术语。PID可引起一些严重的临床后遗症，一般可分为近期与远期后遗症两种。近期后遗症包括肝周围炎，即Fitz- Hugh-Curtis综合征、输卵管卵巢脓肿等。后者一旦破裂可造成弥漫性腹膜炎及败血症，甚至危及患者生命。据报道住院的PID妇女中高达1/3发生输卵管卵巢脓肿，由于广谱抗生素的使用，因脓肿破裂造成的死亡率已大为减少，但如治疗处理不及时，仍有造成死亡者。远期后遗症的发生率在25%左右，主要包括不育、异位妊娠、慢性盆腔疼痛及PID的反复发作。这里就PID的远期后遗症分别叙述之。</p><p>1.分类（1）不育：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">PID后的不育发生率在10%左右，多为输卵管性不育（tubal factor infertility，TFI），由于感染和炎症导致的输卵管积水、瘢痕、粘连和伞端闭锁引起；少部分病例因卵巢周围炎症、排卵障碍引起。不育与PID的发作的次数及发作的严重性直接相关。据统计PID发作1次后的不育率为19. 5%，2次后不育率增加2倍，达40%；轻度的PID导致的不育率为0. 6%，中度为6. 2%，重度则明显升高到21. 4%。既往诊断PID患者，TFI的发生率增加12%～50%。PID治疗后用腹腔镜检查，35%～48%有输卵管周围的粘连及管腔闭塞。</p><p>（2）异位妊娠：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">近20年来异位妊娠的发病率增加了3～5倍，其增加的数目直接与性传播疾病及PID发生率的上升相关并成正比。组织学的研究证实近50%的异位妊娠发生在既往因输卵管炎而损害的输卵管。英、美等国的研究表明，曾患PID者，其异位妊娠发生的危险性将增加8～10倍，发生率可达12%～50%。PID造成的输卵管显微镜下的损害可延迟或阻挡受精卵的正常运行，使其不能正常到达宫腔着床，而着床于输卵管发生异位妊娠。</p><p>（3）慢性盆腔痛：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">慢性盆腔疼痛与PID发作的次数及严重性显著相关，1次发作后12%发生慢性盆腔痛，发作超过3次者慢性盆腔疼痛发生率可达67%。在慢性盆腔痛的患者中，2/3伴不育及性交痛。慢性盆腔痛常发生于PID急性发作后的4～8周，虽然盆腔检查可以无异常发现。PID后造成的输卵管积水或输卵管卵巢周围的粘连常被认为是造成慢性盆腔痛的原因。有一种假设认为疼痛可能来自与月经周期相关的卵巢体积的变化。当卵巢在排卵期增大时造成了周围粘连带的伸展、牵拉从而导致盆腔痛。PID后造成慢性盆腔痛的机制还有待进一步深入研究。</p><p>（4）盆腔炎性疾病的反复发作：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">有PID史者，约25%将再次急性发作。年轻妇女再次发作的机会是年纪稍大妇女的2倍。采用屏障式的避孕工具及积极治疗下生殖道感染将有助于减少复发。由于PID的后遗症与PID发作的次数明显相关，故减少复发对降低PID的后遗症至关重要。也有学者认为PID发作后造成的输卵管组织结构的破坏，输卵管的扭曲、积水，以及患者免疫力降低等使患者易再次发作。有作者提出PID后的慢性盆腔痛均应行腹腔镜检查以确定诊断及排除其他疾病。</p><p>2.治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">对于PID造成的后遗症，目前尚无特殊有效的治疗方法，重点在于预防。对无明显盆腔炎病史而有不育、慢性盆腔痛者，可先在腹腔镜下明确诊断。曾患过PID者，35%～48%的患者遗留有输卵管周围的粘连及输卵管堵塞，可在腹腔镜下行粘连分离术、输卵管积水切开术及输卵管伞端成形术等，但上述手术的确切效果有待进一步的深入研究。对于缓解慢性盆腔痛的症状及增加受孕率，尚有一些保守的药物、物理疗法及根治性的手术疗法可以应用。</p><p>（1）药物治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">1）透明质酸酶：给1500U，或糜蛋白酶5mg肌内注射，隔日1次，5～10次为1疗程，以利炎症及粘连的吸收。个别患者如出现全身或局部过敏反应，应停用药。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">2）封闭疗法：能阻断恶性刺激，改善组织营养，如骶前封闭，每次用0. 25%普鲁卡因40ml，每周1～2次，每疗程4～5次；或用阴道侧穹隆封闭，即在距子宫颈1cm处刺入侧穹隆约2～3cm深，每侧缓慢注射0. 25%普鲁卡因10ml，每日1次，每疗程5～7次。</p><p>（2）物理疗法：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">通过温热的刺激，进入盆腔组织可促进局部血液循环，改善局部组织的新陈代谢，以利炎症的吸收和消退。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">1）激光治疗：利用激光治疗的特点消炎、止痛，以及促进组织的修复作用。黄宝英用25mW氦氖激光局部照射127例盆腔炎性包块。氦氖激光治疗机，激光管长100cm，输出功率25mW，光斑可通过透镜调节成聚焦或散焦，照射前使患者排空尿液，暴露下腹部，激光束垂直照射患部，距离60cm左右，光斑直径Scm，光斑中心对准病灶区于月经第6天开始照射，每日1次，每次20分钟，每疗程15次，根据病情需要，于下次月经后再作第二个疗程，可连续照射3～6个疗程。结果显示痊愈，显效率达74%，有效率达93. 7%，病程长于5年者，痊愈显效率明显降低。原127例中有94例合并不孕症，不孕时间3～13年，经激光治疗后31例妊娠。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">2）超短波疗法：用下腹腰骶对置法，或将阴道电极置于阴道内，微热量或温热量，每次15～20分钟，每日1次，或隔日1次，12～15次为一疗程。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">3）微波治疗：微波是一种高频率电磁波，因机体组织对微波吸收率高，其穿透力较弱产热均匀，可准确限定治疗部位，操作方便，对慢性炎症用圆形或矩形电极横置于下腹部，距离10cm，功率80～100W，每次15～20分钟，每日1次，10～20次为一疗程。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">4）中波直流电离子透入法：用骶-阴道法或腹骶-阴道法，中波电流用0. 6～1A，直流电用10～15mA，每次20～30分钟，每日或隔日1次，15～20次为一疗程，用于盆腔粘连，效果较好。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">5）紫外线疗法：用短裤照射法，红斑量为2～4个生物剂量，以后每次增加1/2～1个生物剂量，隔日1次，每疗程5～6次。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">6）石蜡疗法：用腰-腹法，使用蜡饼或蜡袋置于下腹部及腰骶部，每次30分钟或用蜡栓放置阴道内，隔日1次，10～15次为一疗程。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">7）热水坐浴：一般用1∶5000高锰酸钾溶液或中药洁尔阴坐浴，水温约为40℃，每日1次，5～10次为一疗程，每次10～20分钟。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">应用理疗治疗慢性盆腔炎性疾病时应注意其禁忌证。①月经期及孕期；②生殖器官有恶性肿瘤；③伴有出血；④内科并发症如心、肝、肾功能不全；⑤活动性结核；⑥高热；⑦过敏性体质等情况时均不给做理疗。</p><p>（3）手术治疗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">患者患病后，治疗长时间不愈，经常下腹坠痛，腰酸，精神忧郁，影响身体健康及工作，尤以盆腔已形成包块，年龄在40岁以上，不考虑生育者，也可手术治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">1）全子宫切除：对输卵管卵巢囊肿，输卵管积水，如已有子女，年龄超过40岁者，可行全子宫切除及病灶切除术，如有可能可保留一侧卵巢或部分卵巢。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">2）年轻患者迫切希望生育，如单侧或双侧输卵管均不通，根据情况可做卵管复通术。</p><p>【中药治疗】</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">中医认为盆腔炎病因以热毒为主，兼有湿、瘀，临证以清热解毒为主，祛湿化瘀为辅。针对热毒炽盛型以清热解毒、利湿排脓；湿热瘀结型以清热利湿，化瘀止痛。并且在急性期清热解毒后，加以行气活血、软坚散结、破瘀之品。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">中医治疗上采用独特的中药保留灌肠、外敷等方法可以提高局部药物浓度，使药液直接渗透于炎性包块，有利于局部药物的吸收，同时促进局部组织血液循环，另外穴位注射等治疗方法也使中医中药在盆腔炎的治疗中能发挥重要的作用，各种方法及中药还可以使患者脏腑气血疏通，大大提高了患者的免疫力，使其整体症状得以改善，降低了病程迁延的概率。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">中西医联合治疗PID：PID单用抗生素治疗用药时间长，日后易迁延，配合清热解毒、理气活血的中药口服治疗后，可提高PID的治愈率。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">对盆腔炎症性疾病后遗症有组织破坏、粘连、增生及瘢痕。采用中医活血化瘀的方法治疗。有助于恢复破坏组织、松解粘连、减缓增生及瘢痕形成。</p><p style=\"text-align: right;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">来源&nbsp;&nbsp;:&nbsp;&nbsp;中华妇产科学.中册</span></p>', null, '12', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5520', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '77', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺动脉高压（pulmonary arterial hypertension，PAH）是以肺血管阻力进行性升高为主要特征，进而右心室肥厚扩张的一类恶性心脏血管性疾病，其发病率、致残率及病死率高，可致难治性右心衰竭。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5521', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '77', '分类', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2008年第4届世界肺高血压会议（在美国加州的Dana Point市举行）修订的临床诊断分类见表16-12-1，并继续采用特发性肺动脉高压（idiopathic pulmonary arterial hypertension，IPAH）取代原发性肺动脉高压一词。会议采用的肺动脉高压诊断标准为在海平面的情况下，用右心导管测量：静息状态中，肺动脉平均压≥25mmHg（正常应为8～20mmHg）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">欧洲心脏病学会（ESC）2009年制定右心导管术评估肺动脉高压的血流动力学标准见表16-12-2，超声心动图诊断肺动脉高压的参考标准见表16-12-3。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺动脉高压高危人群：①结缔组织病患者；②先天性心脏病患者；③特发性肺动脉高压患者及家族性肺动脉高压患者的直系亲属；④肝硬化患者；⑤溶血性贫血患者；⑥服用减肥药人群；⑦HIV感染患者；⑧遗传性出血性毛细血管扩张症患者及亲属；⑨既往有静脉血栓栓塞史患者；⑩血吸虫感染过的患者。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5522', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '77', '病因和发病机制', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">肺血管重构，肺动脉压力、肺血管阻力升高和右心肥厚、右心衰竭为IPAH主要的病理生理特征。</span></p><p><span style=\"font-size: 12px;\">（一）肺血管内皮功能紊乱</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">血浆von Willebrand因子抗原水平是血管内皮细胞功能紊乱的一个标记物，在IPAH患者中其水平明显高于继发性肺动脉高压患者。</span></p><p><span style=\"font-size: 12px;\">（二）遗传学机制</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">基因突变是部分西方白种人群家族性肺动脉高压（FPPH）的致病基因，在至少26%的特发性PH人群中也发现有此基因突变。其特征性的遗传学表现为常染色体显性遗传，外显率逐渐降低或不完全，还有遗传早现现象，即IPAH患者的后代发病会逐渐提前，且能见隔代遗传现象。</span></p><p><span style=\"font-size: 12px;\">（三）血管壁平滑肌细胞钾离子通道</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">K<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>通道是高度选择性的、允许K<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>跨膜转运的一种蛋白通道，共有四种K<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>通道，研究证实IPAH患者肺动脉平滑肌细胞存在钾通道功能障碍。</span></p><p><span style=\"font-size: 12px;\">（四）免疫学机制</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">一部分IPAH患者有雷诺现象，而且抗核抗体及抗Ku抗体阳性。另外，在红斑狼疮、硬皮病、免疫性甲状腺炎等免疫性疾病患者中肺动脉高压发生率很高，这都提示IPAH患者免疫系统可能有问题，部分IPAH患者的HLAⅡ型自身抗体阳性也支持这个假设。</span></p><p><span style=\"font-size: 12px;\">（五）肺血管重构</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">血管重构分两个内容：①实质细胞即内皮细胞和平滑肌细胞的增殖和凋亡及功能改变，使生长因子、血管活性物质合成减少；②血管间质的改变，包括胶原、弹性蛋白的表达变化及基质金属蛋白酶（MMP）活性的变化，使血管僵硬度增加，弹性下降。</span></p><p><span style=\"font-size: 12px;\">（六）原位血栓形成</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">IPAH死亡病例尸检中发现，56位患者中有22位有广泛的微血栓形成。血栓形成及血小板功能紊乱与IPAH的发生密切相关。肺血栓的形成与肺血流状态、炎症反应、凝血及纤溶功能异常有关。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">上述各种机制和因素可能互相影响、共同参与了IPAH的发病。</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">表16-12-1　肺动脉高压的临床诊断分类（2008年第4届世界肺高血压会议修订）</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526609190118024348.jpg\" title=\"1526609190118024348.jpg\" alt=\"表16-12-1　肺动脉高压的临床诊断分类（2008年第4届世界肺高血压会议修订）.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1999px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255);\">表16-12-2　ESC 2009年右心导管评估肺动脉高压的血流动力学标准</span><span style=\"box-sizing: border-box; position: relative; line-height: 0; vertical-align: baseline; top: -0.5em; color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255);\">*</span></span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"box-sizing: border-box; position: relative; line-height: 0; vertical-align: baseline; top: -0.5em; color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526609231567023094.jpg\" title=\"1526609231567023094.jpg\" alt=\"表16-12-2　ESC-2009年右心导管评估肺动脉高压的血流动力学标准.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1971px; table-layout: fixed;\"/></span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">注：跨肺压=平均肺动脉压-平均肺动脉楔压；*：在静息状态下测得的值；+：在运动功能亢进如体肺分流（仅在肺循环）、贫血、甲状腺功能亢进等条件下，可以出现高的心排血量</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">表16-12-3　ESC 2009年推荐的超声心动图诊断肺动脉高压的参考标准</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526609259465052930.jpg\" title=\"1526609259465052930.jpg\" alt=\"表16-12-3　ESC-2009年推荐的超声心动图诊断肺动脉高压的参考标准.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1994px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: right;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5523', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '77', '临床表现', '<p><span style=\"font-size: 12px;\">（一）症状</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">所有类型的肺动脉高压的症状都十分相似。肺动脉高压本身没有特异性临床表现，最常见的首发症状是活动后气短，晕厥或眩晕，胸痛，咯血等。患者首次出现症状的时间距离确诊为肺动脉高压的时间与其预后明确相关。根据WHO 1998年制定的NYHA心功能分级进行修订的肺动脉高压患者心功能分级如表16-12-4。一些临床症状和化验指标与患者的预后密切相关，2009年ESC指南将这些临床因素归类为评价肺动脉高压预后的指标（表16-12-5）。</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">表16-12-4　WHO 1998年制定的肺动脉高压心功能分级</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526609338339006907.jpg\" title=\"1526609338339006907.jpg\" alt=\"表16-12-4　WHO-1998年制定的肺动脉高压心功能分级.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 2001px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\">表16-12-5　ESC 2009年指南评价肺动脉高压预后的指标</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526609353153012420.jpg\" title=\"1526609353153012420.jpg\" alt=\"表16-12-5　ESC-2009年指南评价肺动脉高压预后的指标.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 2009px; table-layout: fixed;\"/></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">注：BNP：脑钠肽；CI：心指数；RAP：右心房压力；TAPSE：三尖瓣瓣环收缩期偏移</span></p><p><span style=\"font-size: 12px;\">1.气促</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">最常见，标志右心功能不全的出现。有些患者出现活动后气促，甚至进餐时或进餐后出现气促。严重的肺动脉高压患者出现高枕卧位，甚至端坐呼吸，这是左心衰的经典症状，可能与左心室受到右心室的压迫变小、舒张功能减退有关。</span></p><p><span style=\"font-size: 12px;\">2.胸痛</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">约1/3肺动脉高压患者出现此症状。</span></p><p><span style=\"font-size: 12px;\">3.头晕或晕厥</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">多为活动时发生，儿童多见。在应用扩血管药物降低全身血压后会更明显。运动时不能提供额外心排血量时，出现劳力性晕厥。晕厥或眩晕的出现，标志患者心排血量明显下降。</span></p><p><span style=\"font-size: 12px;\">4.慢性疲劳</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">为非特异性症状，但常见。</span></p><p><span style=\"font-size: 12px;\">5.水肿</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">右心衰竭的表现。踝部和腿部水肿常见。严重肺动脉高压患者可有颈部和腹部饱满感，食欲减退，肝淤血，可能出现胸水和腹水。</span></p><p><span style=\"font-size: 12px;\">6.抑郁</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">疲乏可能导致抑郁，有些药物，或者肺动脉高压疾病本身引起抑郁。</span></p><p><span style=\"font-size: 12px;\">7.干咳</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">比较常见，可能痰中带血（咯血）。</span></p><p><span style=\"font-size: 12px;\">8.雷诺现象（Raynaud’s phenomenon）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">遇冷时手指变紫，这在结缔组织疾病相关的肺动脉高压患者中常见，但许多特发性肺动脉高压的患者也有该症状。</span></p><p><span style=\"font-size: 12px;\">9.其他</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">口唇和指甲发绀；体重减轻；脱发；月经不规则甚至停经。</span></p><p><span style=\"font-size: 12px;\">（二）体格检查</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">肺动脉高压的体征多与右心衰竭有关，常见有发绀，颈静脉充盈或怒张，肺动脉瓣区第二心音亢进，由于肺动脉瓣开放突然受阻出现的收缩早期喷射性喀喇音，血液反流通过三尖瓣引起的收缩期杂音，右心室肥厚导致胸骨左侧出现明显抬举性搏动，第三心音出现代表右心室舒张充盈压增高及右心功能不全，38%的患者可闻及第四心音奔马律，右心室充盈压升高可出现颈部巨大“a”波等。可出现腹水，下肢水肿。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">颈静脉检查还有助于判断右心房压力：患者采取45°坐位，量取颈静脉搏动最高点位置到胸骨柄之间的距离，用厘米表示，再加上5cm（代表右心房到胸骨柄的距离）即为估测的右心房压力。右心房压力是判断患者预后的重要参数。</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5524', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '77', '辅助检查', '<p><span style=\"font-size: 12px;\">（一）心电图</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">肺动脉高压特征性的心电图改变有：①电轴右偏；②Ⅰ导联出现s波；③右心室肥厚高电压，右胸导联可出现ST-T波低平或倒置。其发生机制是由于肺动脉高压造成右心室肥厚，心包心肌张力增加影响心肌供血，肺动脉阻力增加越高，时间越短，心电图反映心肌缺血的敏感性越高。</span></p><p><span style=\"font-size: 12px;\">（二）胸部X线片</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">肺总动脉及肺门动脉扩张，伴外周肺血管稀疏（“截断现象”）。还可发现原发性肺部疾病，胸膜疾病，心包钙化，或者心内分流性畸形，因为后者可出现肺血增多。</span></p><p><span style=\"font-size: 12px;\">（三）超声心动图</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">是筛选肺动脉高压最重要的无创检查，2009年ESC推荐的诊断肺动脉高压的参考标准见表16-12-3。</span></p><p><span style=\"font-size: 12px;\">（四）右心导管检查</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">右心导管检查，是诊断和评价肺动脉高压的金标准。可提供右心室和肺动脉的血流动力学情况，排除左-右心内分流和其他严重的左心疾病，以帮助查找PAH的原因，可行急性血管扩张试验。测定的项目包括：心率、右心房压力、肺动脉压（收缩压、舒张压、平均压）、肺毛细血管楔压、心排血量、血压、肺血管阻力和体循环阻力、动脉及混合静脉血氧饱和度平均右心房压力升高和心指数降低是PAH患者生存的重要的预测指标。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">急性药物试验是选择出适合长期钙通道阻断药（CCB）治疗患者的重要手段，ESC推荐使用的药物见表16-12-6。</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">表16-12-6　ESC指南急性血管反应试验应用方案</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526609383320019059.jpg\" title=\"1526609383320019059.jpg\" alt=\"表16-12-6　ESC指南急性血管反应试验应用方案.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1971px; table-layout: fixed;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">停止急性血管反应试验的指征：①体循环收缩压下降超过30%或低于85mmHg；②心率增加超过40%或大于100次/分；③心率低于60次/分并出现体循环低血压症状；④发生不可耐受的不良反应；⑤肺动脉压下降达到目标值；⑥血管扩张剂已应用至最大剂量。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">急性血管反应实验的阳性标准：ESC于2004年制定的急性敏感标准是：①mPAP达到≤40mmHg；②mPAP至少下降10mmHg；③同时CO增加或不变。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">钙通道阻断药不能作为急性血管反应试验的药物。它对体循环的扩张作用强于对肺血管的作用，如果患者肺血管阻力固定，心排血量不能增加，可导致严重的低血压，急性血管扩张试验阳性或合并高血压的患者方可应用钙通道阻断药。</span></p><p><span style=\"font-size: 12px;\">（五）肺功能评价</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">所有肺动脉高压患者应行肺功能检查，了解有无通气障碍。</span></p><p><span style=\"font-size: 12px;\">（六）睡眠监测</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">约有15%阻塞性睡眠障碍的患者会合并肺动脉高压，必要时可对肺动脉高压患者进行睡眠监测。</span></p><p><span style=\"font-size: 12px;\">（七）胸部CT</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">可了解有无肺间质病变，肺及胸腔有无占位；肺动脉内有无占位，血管壁有无增厚及充盈缺损性改变。主肺动脉及左右肺动脉有无淋巴结挤压等。一般对于肺动脉高压患者，需要完成CT肺动脉造影，这样大多数慢性血栓栓塞性肺动脉高压患者可以获得明确诊断而避免肺动脉造影。</span></p><p><span style=\"font-size: 12px;\">（八）肺动脉造影</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">指征：①临床怀疑有血栓栓塞性肺动脉高压而无创检查不能提供充分证据；②临床考虑为中心型慢性血栓栓塞性肺动脉高压（CTEPH）而有手术指征，术前需完成肺动脉造影以指导手术；③临床诊断患者为肺血管炎，需要了解患者肺血管受累程度。</span></p><p><span style=\"font-size: 12px;\">（九）6分钟步行距离试验（6-minute walk test）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">是评价慢性心衰患者心功能的重要指标。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">6分钟步行试验结果的判定：6分钟步行的距离越长提示患者的运动耐量越大，心功能越好。步行距离为150～425米时，其与运动峰氧耗量的相关性最好。1993年Bittner根据病情将6分钟步行试验的结果分为4级（表16-12-7），这种测试结果分级与NYHA分级正好相反，即级别越低，心功能越差。</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">表16-12-7　6分钟步行试验结果的分级</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180529-1527556606158027163.jpg\" title=\"1527556606158027163.jpg\" alt=\"修改后.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 955px; table-layout: fixed;\"/></span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526609393027064035.jpg\" title=\"1526609393027064035.jpg\" alt=\"表16-12-7　6分钟步行试验结果的分级.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1819px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">图16-12-1　肺动脉高压诊断流程</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5525', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '77', '诊断', '<p>（一）早期筛查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺动脉高压与多种疾病相关。结缔组织病、先天性心脏病、溶血性贫血、HIV感染、遗传性出血性毛细血管扩张症、肝硬化、服用减肥药患者和特发性肺动脉高压，以及家族性肺动脉高压患者的亲属等，均是肺动脉高压危险人群。这类患者应定期进行超声心动图的筛查，必要时进行右心导管检查。</p><p>（二）肺动脉高压诊断流程</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">见图16-12-1。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5526', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '77', '鉴别诊断', '<p>1.慢性血栓栓塞性肺动脉高压</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常有下肢深静脉血栓形成（DVT）征象。①超声心动图：能除外左心功能不全、瓣膜病以及房室间隔缺损所致的肺动脉高压；②肺通气/灌注（V/Q）显像：在肺动脉慢性血栓栓塞时呈某一区域的放射活性减弱，急性栓塞呈现完整的灌注缺损；③胸部CT检查：可发现右心室增大、肺动脉扩张、中心肺动脉内栓子、肺实质病变（肺梗死）。CT肺动脉造影：可发现肺动脉内栓子，但是完全机化的栓子则可能为阴性。中心肺动脉内栓子也见于特发性肺动脉高压和其他一些慢性肺部疾病；④肺动脉造影和血流动力学检查：CTEPH由于血栓机化和再通，其肺动脉造影发现与急性肺血栓栓塞者不同，可呈现：杯口状充盈缺损；肺动脉呈网状或条索状狭窄；血管内膜不规则；肺动脉突然狭窄；主、叶、段肺动脉起始部完全阻塞；⑤导管检查用于确定肺动脉高压程度，慢性血栓栓塞的有无及程度，手术可能性，并排除其他诊断。</p><p>2.肺血管炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常引起肺血管广泛狭窄甚至闭塞而导致肺动脉高压，临床上表现为胸闷、气短和咯血等，胸部X线表现为肺纹理局限性稀疏，放射性核素肺通气/灌注显像也呈肺段缺损，易误诊为肺栓塞。必要时行肺血管增强CT和肺血管造影：可见肺血管多发狭窄、扭曲、管腔变细和扩张并存，管壁增厚，管腔呈鼠尾状改变，可伴发肺动脉继发血栓形成。</p><p>3.结缔组织疾病（CTD）相关肺动脉高压</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">女性多见，系统性红斑狼疮和混合性组织病以青年为主，原发性干燥综合征和皮肌炎以中年为主，性别、年龄分布符合CTD的基本特点，这些特点有助于与其他类型PAH相鉴别。</p><p>4.特发性肺动脉扩张（IDPA）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病因尚不清楚，该病的右心室压力和肺动脉压正常可资鉴别。</p><p>5.肺间质病变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">为进行性呼吸困难，干咳伴有发绀，可有杵状指，大多数患者双下肺可闻及爆破音。X线表现为肺间质病变。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5527', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '77', '治疗', '<p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); font-size: 12px;\">肺动脉高压的治疗流程参见图16-12-2。2009年ESC对一般治疗和支持治疗的建议分别见表16-12-8和表16-12-9。</span></p><p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); font-size: 12px;\"><br/></span></p><p><br/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">图16-12-2　肺动脉高压治疗流程</span></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526609505546055556.jpg\" title=\"1526609505546055556.jpg\" alt=\"图16-12-2　肺动脉高压治疗流程.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1949px; table-layout: fixed;\"/></span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">表16-12-8　ESC 2009年指南对一般治疗的建议</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526609517315075944.jpg\" title=\"1526609517315075944.jpg\" alt=\"表16-12-8　ESC-2009年指南对一般治疗的建议.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1971px; table-layout: fixed;\"/></span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; text-align: center; background-color: rgb(255, 255, 255); font-size: 12px;\">表16-12-9　ESC 2009年指南支持治疗的建议</span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526609525050058492.jpg\" title=\"1526609525050058492.jpg\" alt=\"表16-12-9　ESC 2009年指南支持治疗的建议.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1971px; table-layout: fixed;\"/></p><p><span style=\"font-size: 12px;\">（一）肺动脉高压的传统治疗</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">传统内科治疗主要包括吸氧、利尿药、地高辛和华法林抗凝等。主要是针对右心功能不全和肺动脉原位血栓形成。外科治疗则主要为先天性心脏病患者进行封堵、修补或矫治术。</span></p><p><span style=\"font-size: 12px;\">1.氧疗</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">肺动脉高压患者吸氧治疗的指征是血氧饱和度低于90%；先天性体-肺分流性心脏病相关肺动脉高压则无此限制。</span></p><p><span style=\"font-size: 12px;\">2.利尿药</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">对于合并右心功能不全的肺动脉高压患者，初始治疗应给予利尿药。期间应密切监测血钾，使血钾维持在正常水平。</span></p><p><span style=\"font-size: 12px;\">3.地高辛</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">心排血量低于4L/min，或者心指数低于2.5L/（min・m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>）是应用地高辛的绝对指征；另外，右心室明显扩张、基础心率大于100次/分、心室率偏快的心房颤动等均是应用地高辛的指征。</span></p><p><span style=\"font-size: 12px;\">4.华法林</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">为了对抗肺动脉原位血栓形成，一般使INR控制在1.6～2.5之间。</span></p><p><span style=\"font-size: 12px;\">5.多巴胺</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">是重度右心衰竭（心功能Ⅳ级）和急性右心衰竭患者首选的正性肌力药物，一般起始剂量为2～5μg/（kg・min），可逐渐加量到10～15μg/（kg・min）甚至更高。</span></p><p><span style=\"font-size: 12px;\">（二）肺血管扩张剂</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">PAH都有两大特征：肺血管收缩和肺血管结构的改变，PAH的早期，肺血管痉挛，功能性为主，结构变化相对不明显，随着疾病的进展，结构变化成分占的比例逐渐增加，扩血管药物对肺动脉扩张效应逐渐降低。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">血管扩张剂是治疗肺动脉高压的一类重要药物，能降低肺动脉压力，改善患者血流动力学及肺的通气/灌流比的匹配，提高肺动脉高压患者的生活质量，运动耐力以及存活率。其理论基础是肺动脉高压时存在肺动脉的痉挛，但肺静脉高压患者，它引起肺动脉扩张导致肺血流量增加和肺水肿。由慢性肺部疾病或间质性肺部疾病引起的低氧性肺高压患者，禁用此类药，因为它可致肺通气血流比值失调而加重低氧血症。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">当前主要的肺血管扩张剂主要有：钙通道阻断药；前列环素类药物；内皮素受体拮抗药；磷酸二酯酶抑制剂；一氧化氮。在有力的药物治疗失败后，对于重度PAH的确定治疗就是肺移植。而在未被治疗的肺动脉高压患者中，诊断后的平均生存期是2.8年。</span></p><p><span style=\"font-size: 12px;\">1.钙通道阻断药（CCB）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">20世纪80年代早期到20世纪90年代中期，CCB是治疗肺动脉高压的唯一药物，但直到经过了Ⅰ期、Ⅱ期的Flolan试验，1995年CCB才被美国FDA批准治疗肺动脉高压。至今CCB仍是用于治疗轻度功能性PAH患者的一线用药。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">CCB可使肺动脉压力持续下降，肺血管阻力减小，心排血量增加，但最多只有20%的PAH的患者对CCB有反应。急性血管扩张试验阳性PAH患者，长期用CCB治疗的患者5年生存率为97%，而急性血管扩张试验阴性患者5年生存率为35%。因此，急性血管扩张试验阳性患者才可以用CCB治疗。</span></p><p><span style=\"font-size: 12px;\">2.前列环素类药物（1）依前列环素（epoprostenol）：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">长期静脉用依前列环素在纽约心脏学会（NYHA）心功能分级为Ⅲ～Ⅳ级的大多数PAH患者中可改善其活动能力、血流动力学及生存率，目前被认为是重度PAH治疗的金标准方法。</span></p><p><span style=\"font-size: 12px;\">（2）曲前列环素（treprostinil）：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">曲前列环素是一种长效稳定的前列环素PGI2类似物，作用持续时间为3小时。用于皮下注射用药治疗PAH，静脉注射曲前列环素在不能耐受皮下注射用药的NYHA心功能Ⅱ、Ⅲ和Ⅳ级PAH患者中使用。</span></p><p><span style=\"font-size: 12px;\">（3）伊洛前列环素（iloprost）：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">伊洛前列环素化学性质稳定，可以通过口服、静脉、吸入给药，其血浆半衰期是20～25分钟。伊洛前列环素单次吸入后持续时间约60分钟，作用时间短，每天必须吸入6～9次。不良反应有咳嗽和全身血管扩张的相关症状。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">伊洛前列环素是通过雾化吸入直接作用于肺部治疗PAH的前列环素PGI2类似物。经雾化吸入伊洛前列环素治疗后肺动脉高压的患者两年生存率为91%，而未治疗的对照人群预期生存率为63%。</span></p><p><span style=\"font-size: 12px;\">（4）贝前列环素（beraprost）：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">口服贝前列环素能选择性地扩张PAH患者的肺血管，有研究提示其可改善患者活动能力与症状。</span></p><p><span style=\"font-size: 12px;\">3.内皮素受体拮抗药（1）波生坦（bosentan）：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">波生坦是口服双重内皮素受体拮抗药。研究表明波生坦能改善NYHA分级为Ⅲ和Ⅳ级有症状的特发性或结缔组织病相关肺动脉高压患者的症状、活动耐力、血流动力学指标和临床恶化的风险，目前已被推荐用于NYHA分级为Ⅲ和Ⅳ级的肺动脉高压患者。常用初始剂量为62.5mg，每日2次。4周后增量至125mg，每日2次；或250mg，每日2次，至少服药16周。有临床试验发现波生坦有较强的肝脏毒性作用，服用该药的患者有较高的肝功能异常发生率，血浆中转氨酶浓度升高，用药期间应密切监测肝功能。</span></p><p><span style=\"font-size: 12px;\">（2）安贝生坦（ambrisentan）：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">是一种高选择性内皮素受体拮抗药，每日口服一次，可提高6分钟步行距离，延缓临床恶化时间，常见的不良反应是外周水肿、头痛和鼻出血，可用于长期治疗，它可以显著改善mPAP、PVR、心指数等指标，且其改善程度与6分钟步行距离有关，一年生存率为95%，其中93%的患者继续安贝生坦单药治疗，两年后，6分钟步行距离平均增长25m。</span></p><p><span style=\"font-size: 12px;\">4.5型磷酸二酯酶（PDE-5）抑制剂（1）西地那非（sidenafil）：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">是具有口服活性的选择性环磷酸鸟苷（cGMP）<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">-</span>PDE-5的抑制剂，通过增加细胞内cGMP浓度使平滑肌细胞松弛、增殖受抑制而发挥药理作用。研究表明其治疗肺动脉高压患者的临床效果显著，20～80mg每日三次均能改善心肺血流动力学状态和运动耐量，且副作用发生率很低（如头痛、鼻腔充血和视力异常）。</span></p><p><span style=\"font-size: 12px;\">（2）伐地那非（vardenafil）：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">伐地那非是一种更为高效、半衰期更长的PDE-5抑制剂，其作用是西地那非的10倍。长期口服伐地那非能降低PH患者的PVR，改善活动耐量。</span></p><p><span style=\"font-size: 12px;\">（3）他达那非（tadalafil）：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">他达那非是一种选择性cGMP-PDE-5抑制剂，可以有效提高PAH患者的运动耐量，延后临床恶化时间，提高生命质量。</span></p><p><span style=\"font-size: 12px;\">5.一氧化氮（NO）</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">NO通过激活鸟苷酸环化酶（cGMP），增加cGMP的生成而直接舒张血管平滑肌，同时能抑制平滑肌细胞增殖。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">INO（吸入一氧化氮）是第一个被FDA批准的选择性肺血管扩张剂，用于治疗新生儿持续性肺高压，需机械通气的低氧性呼吸衰竭。但是NO治疗有潜在毒性及产生毒性代谢产物。</span></p><p><span style=\"font-size: 12px;\">6.药物联合治疗</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">联合应用不同的药物取得最佳临床疗效是治疗PAH的新观点。联合应用作用机制不同的药物，可以增强肺动脉高压的治疗效果，如在口服、吸入或静脉注射前列环素类似物的同时，给予西地那非或波生坦可以产生更好的疗效。</span></p><p><span style=\"font-size: 12px;\">（三）心房间隔造口术</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">充分使用上述内科治疗之后，患者仍无明显好转，即可推荐患者进行房间隔造口术。</span></p><p><span style=\"font-size: 12px;\">（四）肺移植</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">单侧肺移植、双肺移植、活体肺叶移植及心肺移植已在国外成熟应用于肺动脉高压患者的治疗，主要指征：已充分内科治疗而无明显疗效的患者。肺移植技术明显延长了这些患者的寿命并提高了其生活质量，患者可以停止使用治疗肺动脉高压的药物。</span></p><p><span style=\"font-size: 12px;\">（五）基因治疗</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">国外有成功报道，但是距离临床推广使用尚远。</span></p><p style=\"text-align: right;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5528', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '77', '参考文献', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.Safdar Z.Targeted Oral Therapies in the Treatment of Pulmonary Arterial Hypertensionsa.Clin Drug Investig，2010，30：811-826.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.Langleben D.Endothelin receptor antagonists in the treatment of pulmonary arterial hypertension.Clin Chest Med，2007，28：117-121.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.GalièN，Manes A，Negro L，et al.A meta-analysis of randomized controlled Trials in pulmonary arterial hypertension.Eur Heart J，2009，30：394-403.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.Robyn J，Barst J，Gibbs SR，et al.Updated Evidence-Based Treatment Algorithm in Pulmonary Arterial Hypertension.J Am Coll Cardiol，2012，54：78-84.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.Torres F.Systematic review of randomized，double-blind clinical trials of oral agents conducted in patients with pulmonary arterial hypertension.Int J Clin Pract，2007，61：1756-1765.</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5529', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '68', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺结核病（pulmonary tuberculosis）是结核分枝杆菌复合群（<em style=\"box-sizing: border-box;\">Mycobacterium tuberculosis complex</em>，简称结核杆菌或结核菌），引起的慢性肺部感染性疾病，占各器官结核病总数的80%～90%，其中痰中排菌者称为传染性肺结核病。我国是全球22个结核病流行严重的国家之一，同时也是全球27个耐多药结核病流行严重的国家之一。目前我国结核病年发病人数约为130万，占全球发病的14.3%，位居全球第2位。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5530', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '68', '流行病学', '<p>（一）流行环节</p><p><br/></p><p>1.传染源</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">开放性肺结核患者的排菌是结核传播的主要来源。在巴氏消毒法发明和推广前，带菌牛乳亦是重要传染源，现已很少见。在我国牧区仍需警惕牛型结核菌人体感染。</p><p>2.传播途径</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要为患者与健康人之间的经空气传播。患者咳嗽排出的结核菌悬浮在飞沫核中，当被人吸入后即可引起感染。排菌量愈多，接触时间愈长，危害愈大；而飞沫直径亦是重要影响因素，大颗粒多在气道沉积随黏液纤毛运动排出体外，直径1～5μm大小最易在肺泡沉积，情绪激昂的讲话、用力咳嗽，特别是打喷嚏所产生的飞沫直径小，影响大。患者随地吐痰，痰液干燥后结核菌随尘埃飞扬，亦可造成吸入感染，但非主要传播方式。患者污染物传播机会甚少。其他途径包括经消化道感染，经胎盘传染给胎儿，经皮肤伤口感染和上呼吸道直接接种均极罕见。</p><p>3.易感人群</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">生活贫困、居住拥挤、营养不良等是经济落后社会中人群结核病高发的原因。有资料提示黑人和爱斯基摩人对结核病更敏感。疾病和吸烟亦是结核病发病的危险因素（表11-10-8）。</p><p>（二）主要流行病学指标</p><p><br/></p><p>1.肺结核患病率和涂阳患病率</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">指一个国家、地区或团体在一段时期内X线检出的活动性肺结核及其中痰菌涂片阳性患者分别占受检总人数的比率。前者受读片误差影响，特异性不高；后者方法及结果易于标准化，结果可靠，特异性高，直接反映社会中传染源的密度，较前者更有流行病学意义。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表11-10-8　结核病的发病危险因素</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180519-1526697799918068620.jpg\" title=\"1526697799918068620.jpg\" alt=\"表11-10-8　结核病的发病危险因素.jpg\"/></p><p style=\"text-align: center;\"><br/></p><p>2.肺结核（年）发病率和（年）涂阳发病率</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">指一个地区或团体在一定间隔时间内（通常一年）新检出的活动性肺结核及其中涂阳患者分别占人群总数的比率。结核病是一个慢性病，可以历经数年，上述患病率和涂阳患病率为累积数，不能敏感地反映当年发病和传染源情况。年发病率和年涂阳发病率可以避免上述缺点，是反映流行动态和考核防治工作的较好指标。</p><p>3.肺结核登记率</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">按结核病统一登记卡片和报告制度，由基层医疗防治机构将本区一年内原有和新发肺结核病例及其痰检结果登记上报汇总，统计出该地区各种状态结核病的登记率。它较患病率和发病率调查经济节约，是反映结核病疫情的有用指标，但受到活动性判断、化疗及其痰菌阴转速度等因素影响，而且要加强检查督促，防止漏报。</p><p>4.结核病死亡率</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">指一个地区人群在一年内因结核病死亡人数占总人群的比率。现代结核病治疗成效首先表现在死亡率的下降。它主要反映患者病情的严重性和疗效。</p><p>5.结核感染率和年感染率</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">指一个地区人群中受结核菌感染者（结核菌素试验检测）以及一年内受感染者分别占总人数的比率。它间接反映传染源数量和密度，是结核病最终控制的重要指标。在发达国家感染率已明显降低，我国虽然患病率和死亡率大幅度降低，但感染率尚未下降。</p><p>（三）流行现状和控制目标</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">全球每年结核死亡130万。目前我国防治工作存在的问题，包括肺结核疫情地区间差异显著（西部地区传染性肺结核患病率约为中部地区的1.7倍和东部地区的2.4倍，农村地区患病率约为城镇地区的1.6倍）；肺结核患者耐多药（MDR）率高（6.8%，列全球高耐药率国家）；因症就诊病例发现率低（47%，患者重视程度不够）；规则服药率仅为59%，服药依从性有待提高；公众结核病防治知识知晓率仅为57%等，需要全社会共同参与结核病防治健康教育。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5531', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '68', '病原', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">牛分枝杆菌（M.bovis）结核分枝杆菌（M.tuberculosis）结核分枝杆菌复合群包括结核分枝杆菌（M.tuberculosis）、牛分枝杆菌（M.bovis）、非洲分枝杆菌（M.africanum）和田鼠分枝杆菌（M.microti）。引起人类疾病的主要是结核分枝杆菌。牛分枝杆菌对人类的毒力略逊于结核分枝杆菌，但对家兔显示强毒性。结核分枝杆菌和牛分枝杆菌的生物学形状、免疫性及其疾病的临床表现和治疗等基本相同。非洲分枝杆菌见于赤道非洲，是一种过渡类型，西非国家分离菌株倾向于牛分枝杆菌，而东非国家分离株更类似于结核分枝杆菌。田鼠分枝杆菌对人无致病力。结核分枝杆菌大小为（0.3～0.6）μm×（1～4）μm，细小而略弯或显多形性，两端略钝，不能运动，无荚膜、鞭毛及芽胞。抗酸染色是其重要特性，临床上一旦在标本涂片中发现抗酸杆菌在我国绝大多数代表结核分枝杆菌，但仍需要培养进一步鉴定和确认，因有分枝菌酸的其他一些细菌也呈抗酸染色性。结核菌培养虽不需要特殊营养，但生长缓慢，至少需要2～4周才有可见菌落。有毒菌株菌落呈粗糙型，标准菌株为H37Rv；光滑型菌株大多表示毒力减低。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">结核菌细胞壁富含脂质，约占细胞壁的60%。其主要成分是分枝菌酸和酸化海藻糖。前者是一高分子α-烷基-β-羟基脂肪酸，是抗酸着色反应的主要物质基础；后者包括海藻糖双分枝菌酸和硫苷酸，分别具有介导肉芽肿形成和促进细菌在吞噬细胞内存活的作用。细胞壁中尚含脂多糖，其中脂阿拉伯甘露聚糖（lipoarabinomannan，LAM）具有广泛的免疫原性，生长中的结核菌能大量产生，是血清学诊断中应用较多的一类抗原。结核菌的菌体主要是蛋白质，占菌体干重的50%。依据蛋白抗原定位结核蛋白可区分为分泌蛋白、胞壁蛋白和热休克蛋白。结核蛋白被认为是变态反应的反应原，已从中鉴定出数十个蛋白抗原，部分已用于免疫血清学诊断，但迄今尚缺少特异性很高的结核免疫血清学诊断方法。目前结核菌标准菌株H37Rv全染色体测序已经完成，全基因组约由4 411 532个碱基对组，鸟嘌呤/胞嘧啶（G+C）高达65.6%，约含4000个基因，但病原性的分子基础即病原性基因及其编码的致病因子（蛋白质表型）尚不清楚。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">耐药是结核菌极重要的生物特性，与治疗成败关系极大，目前认为结核菌耐药主要是药物作用的靶位突变所致。有人认为结核分枝杆菌在复制过程中每个碱基对的突变频率在10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">-10</span>左右，与其他细菌的突变频率相仿。然而由于结核分枝杆菌缺乏碱基错配修复机制，使错配突变得到更多的固定，导致高耐药。自1992年确定katG是结核菌耐异烟肼的基因后，这方面研究迅速发展，现已鉴定出一些主要抗结核药物的耐药基因，如rpoB基因和pncA基因突变分别与利福平和吡嗪酰胺耐药有关等，为深入研究耐药机制和开发分子诊断技术奠定了基础。&nbsp;发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">结核菌的毒力是多因子的，但没有毒素。在结核病的发病机制中细菌在细胞内的存在和长期存活引发的宿主免疫反应是影响发病、疾病过程和转归的决定性因素。</p><p>（一）结核杆菌感染的自然史</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">原发感染3～8周后结核菌素（简称结素）转阳。95%免疫机制健全的感染者原发综合征可自行消退，成为潜伏感染（肺和肺外器官），约5%在日后因潜在感染复燃而发病。现在认为这种原发后结核病除了内源性感染外，已证明不少病例为外源性再感染，包括完成化疗后的复发性结核病。</p><p style=\"text-align: center;\"><br/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图11-10-1　结核菌感染宿主反应分期示意图</p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180519-1526697835965094582.jpg\" title=\"1526697835965094582.jpg\" alt=\"图11-10-1　结核菌感染宿主反应分期示意图.jpg\"/></p><p>（二）结核菌感染的宿主反应及其生物学过程</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">结核菌入侵宿主体内，从感染、发病到转归均与多数细菌性疾病有显著不同，宿主反应在其发病、临床过程和转归上具有特殊意义。Dannenberg等将结核菌感染引起的宿主反应分为四期，即起始期、T细胞反应期、共生期以及细胞外增殖和传播期（图11-10-1）。①起始期：伴随微小飞沫吸入而入侵呼吸道的结核菌被肺泡巨噬细胞吞噬。因菌量、毒力和巨噬细胞非特异性杀菌能力的不同，被吞噬结核菌的命运各异。若在细菌增殖和宿主细胞反应之前结核菌就被杀灭，则不留任何感染痕迹。如果细菌在肺泡巨噬细胞内存活并复制，便可扩散至邻近非活化的肺泡巨噬细胞并形成早期感染灶。②T细胞反应期：结核菌最初在巨噬细胞内生长，形成中心固态干酪坏死的结核灶，它能限制结核菌继续复制。T细胞介导的细胞免疫（cell mediated immunity，CMI）和迟发性变态反应（delay type hypersensitivity，DTH）在此期形成，两者对结核病发病、演变及转归产生决定性影响。③共生期：生活在流行区的多数感染者发展至T细胞反应期，仅少数发生原发性结核病。大部分感染者结核菌可以持续存活，细菌与宿主处于共生状态。纤维包裹的坏死灶干酪性中央部位被认为是细菌持续存在的主要场所。低氧、低pH和抑制性脂肪酸的存在使细菌不能增殖。宿主的免疫机制亦是抑制细菌增殖的重要因素，若免疫损害便可引起受抑制结核菌重新活动和增殖。④细胞外增殖和传播期：固体干酪灶中包含具有生长能力、但不繁殖的结核菌。干酪灶一旦液化便给细菌增殖提供了理想环境。即使免疫功能健全的宿主，从液化干酪灶释放的大量结核杆菌亦足以突破局部免疫防御机制，引起播散。</p><p>（三）T细胞介导的细胞免疫（CMI）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在分枝杆菌以及活化T细胞释放的多种CKs（如IFN-γ、MAF、IL-4等）作用下，巨噬细胞进一步被激活为充分活化的巨噬细胞，后者释放大量溶细胞蛋白、溶酶体酶、TNF、过量的超氧阴离子、过氧化氢以及反应性氧中间产物，杀灭、消化和清除被吞噬的结核菌。倘若刺激过度，巨噬细胞会过分活化而转化为抑制性巨噬细胞。粟粒性肺结核结核菌素试验常呈阴性反应，推测即可能与过度刺激造成巨噬细胞抑制有关。</p><p>（四）迟发性变态反应（DTH）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Koch在1890年就观察到，用结核菌素注入未受过感染的豚鼠皮下，经10～14日后出现注射局部红肿、硬结，随后溃烂，形成深溃疡，很难愈合，并且进一步发展为肺门淋巴结肿大，终因全身播散而死亡。结核菌素试验呈阴性反应。但对3～6周前受染、结核菌素反应转阳的豚鼠注射同等量的结核菌，2～3日后局部呈现剧烈反应，迅速形成浅表溃疡，以后较快趋于愈合，无淋巴结肿大和周身播散，动物存活。此即Koch现象，其解释是前者为初次感染，机体无DTH，亦无CMI；后者由于事先致敏，出现剧烈的局部反应，是DTH的表现，而病灶趋于局限化，则为获得CMI的证据。因而长期以来DTH 和CMI视为密不可分的同一反应的不同表现。Koch现象同临床上儿童原发性肺结核与成人继发性肺结核表现的差异是一致的。近年来随着免疫学的发展，大量的研究表明，DTH和CMI是两种不同的免疫学反应，两者本质不同。①刺激两种反应的抗原不同：结核菌核糖体RNA能激发CMI，但无DTH；结核蛋白及脂质D仅引起DTH，而不产生CMI。②介导两种反应的T细胞亚群不同：DTH是由T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">DTH</span>细胞介导的，而介导CMI的主要是Th细胞，Tc在两种反应都可以参与作用。③菌量或抗原负荷差异和Th1/ Th2偏移：感染结核菌后机体同时产生Th1+Th2介导的免疫反应，在菌量少、毒力低或感染早期Th1型反应起主导作用，表现为CMI为主；而菌量大、毒力强或感染后期，则向Th2型反应方向偏移，出现以DTH为主的反应，这一过程也受到肾上腺内分泌激素及其代谢产物平衡的影响，皮质醇加强Th2型细胞成熟，而脱氢表雄甾酮有利于Th1型细胞成熟。④起调节作用的CKs不同：如前所述调节CMI的CKs很多，而引起组织坏死的主要是TNF。⑤对结核菌的作用方式不同：CMI通过激活巨噬细胞来杀灭细胞内吞噬的结核菌，而DTH则通过杀死含菌而未被激活的巨噬细胞及其邻近的细胞组织以消除十分有利于细菌生长的细胞内环境。轻度DTH可以动员和活化免疫活性细胞，并直接杀伤靶细胞；比较剧烈的DTH则造成组织溃烂、坏死液化和空洞形成，使已被吞噬的结核菌释放至细胞外，继续进行复制和增殖，并引起播散。所以总体上DTH的免疫损伤超过免疫保护作用，人们正在努力探索能增强CMI、而避免DTH的新的免疫预防方法。</p><p>（五）持留菌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">初次感染和原发后结核病的发生相距数年或数十年，细菌长期在组织中存活，从而提出分枝杆菌持留菌（<em style=\"box-sizing: border-box;\">mycobacterial persister</em>）的概念，但持留菌的性质仍是一个谜。有人认为这些细菌处于代谢低落状态或称休眠菌，可能是对于低氧的一种适应反应；另一些人则主张这很少量的细菌仍处于主动复制（繁殖）状态，只是它们被同样速率的免疫防御机制所消灭。该问题尚待研究。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5532', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '68', '病理', '<p style=\"text-align: left;\">（一）基本病变</p><p style=\"text-align: left;\"><br/></p><p style=\"text-align: left;\">1.渗出型病变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">表现为组织充血水肿，随之有中性粒细胞、淋巴细胞、单核细胞浸润和纤维蛋白渗出，可有少量类上皮细胞和多核巨细胞，抗酸染色可以发现结核菌。病变组织内具有菌量多、致敏淋巴细胞活力高和变态反应强等特点。可以有单核细胞性肺泡炎、多核白细胞肺泡炎、纤维素性肺泡炎等不同组织学类型。</p><p>2.增生型病变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">当病灶内菌量少而致敏淋巴细胞数量多，则形成结核病的特征性病变结核结节。中央为巨噬细胞衍生而来的朗格汉斯（Langhans）巨细胞，胞体大，胞核多达5～50个，呈环形或马蹄形排列于胞体边缘，有时可集中于胞体两极或中央。周围由巨噬细胞转化来的类上皮细胞成层排列包绕。在类上皮细胞外围还有淋巴细胞和浆细胞散在分布和覆盖。单个结节直径约0.1mm，其中结核菌极少而伴纤维化。结节可以互相融合形成融合型结节。增生型病变另一种表现是结核性肉芽肿，是一种弥漫性增生型病变，多见于空洞壁、窦道及其周围以及干酪坏死灶周围，由类上皮细胞和新生毛细血管构成，其中散布有朗格汉斯细胞、淋巴细胞及少量中性粒细胞，有时可见类上皮结节。</p><p>3.干酪样坏死</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">为病变恶化的表现。镜下先是组织混浊肿胀，继则细胞质脂肪变性，细胞核碎裂溶解，直至完全坏死。肉眼观坏死组织呈黄色，似乳酪般半固体或固体密度。坏死区域周围逐渐为肉芽组织增生，最后成为纤维包裹的纤维干酪性病灶。干酪性坏死病变中结核菌很少，坏死灶可以多年不变，既不吸收亦不液化。倘若局部组织变态反应剧烈，干酪样坏死组织发生液化，经支气管排出即形成空洞，其内壁含有大量生长旺盛的细胞外结核菌，成为支气管播散的来源。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">结核病是一种慢性病变。由于机体反应性、免疫状态、局部组织抵抗力的不同，入侵菌量、毒力、类型和感染方式的差别，以及治疗措施的影响，上述三种基本病理改变可以互相转化、交错存在，很少单一病变独立存在，而以某一种改变为主。除渗出、增生和干酪样变三种特异性改变外，亦可见非特异性组织反应，多见于神经、内分泌腺、心血管、肝、肾等器官的结核病，反映累及脏器的结构对病理改变的影响。</p><p>（二）病理演变及其与免疫反应的关系</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如前所述，结核病的发病及其过程与宿主的免疫反应（CMI和DTH）关系非常密切，不仅反映在细胞和体液，而且反映在组织水平，而且随着免疫反应的不同会发生转换和变化（图11-10-2）。</p><p style=\"text-align:center\"><br/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180519-1526697884013036469.jpg\" title=\"1526697884013036469.jpg\" alt=\"图11-10-2　结核病的病理与免疫反应的关系及其演变.jpg\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图11-10-2　结核病的病理与免疫反应的关系及其演变</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5533', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '68', '临床表现', '<p>（一）发病过程和临床类型</p><p><br/></p><p>1.原发性肺结核（primary pulmonary tuberculosis）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">指初次感染即发病的肺结核，又称初染结核。典型病变包括肺部原发灶、引流淋巴管和肺门或纵隔淋巴结的结核性炎症，三者联合称为原发综合征。有时X线上仅显示肺门或纵隔淋巴结肿大，也称支气管淋巴结结核。多见于儿童，偶尔见于未受感染的成年人，近年来青年和成年人原发性肺结核发病有增高趋势。结核菌进入肺泡后立即为肺泡巨噬细胞吞噬并在其中繁殖，达到一定数量后结核菌便从中释放而在肺泡内生长繁殖，引起肺部原发性病灶，多好发于胸膜下通气良好的肺区如上叶下部和下叶上部。其时机体尚未形成特异性免疫力，病菌沿所属淋巴管到肺门淋巴结，进而可出现早期菌血症。大约4～6周后免疫力形成，上述病变迅速被控制，原发灶和肺门淋巴结炎消退，仅遗留钙化灶，90%以上不治自愈。倘若原发感染机体不能建立足够免疫力或变态反应强烈，则发展为临床原发性肺结核。少数严重者肺内原发灶可成为干酪性肺炎；淋巴结干酪性坏死破入支气管引起支气管结核和沿支气管的播散；肿大淋巴结压迫或大量坏死物破入和阻塞支气管可出现肺不张；早期菌血症或干酪化病变蚀及血管可演进为血行播散性结核病。多数原发性肺结核临床症状轻微，儿童发育不受影响。</p><p>2.血行播散性肺结核（hematogenous disseminated pulmonary tuberculosis）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">大多跟随于原发性肺结核，儿童较多见。在成人，原发感染后潜伏性病灶中的结核菌破溃进入血行，偶尔由于肺或其他脏器继发性活动性结核病灶侵蚀邻近淋巴血道而引起。入侵途径不同，病变部位亦异。由肺静脉入侵经体循环，则引起全身播散性结核病；经肺动脉、支气管动脉以及体静脉系统入侵者主要引起肺部粟粒性结核；极个别情况下肺部病灶中的结核菌破入一侧肺动脉，引起一侧或一部分肺的粟粒性结核。本型肺结核发生于免疫力极度低下者，诱因包括麻疹、百日咳、糖尿病、分娩以及免疫抑制状态等。以一次性或短期内大量入侵引起的急性血行播散性肺结核，临床表现复杂多变，常伴有结核性脑膜炎和其他脏器结核。当少量结核菌间歇性多次入侵血道或机体免疫力相对较好时，则形成亚急性或慢性血行播散性肺结核，病变局限于肺或其一部分肺段。临床上比较少见。</p><p>3.继发性肺结核（secondary pulmonary tuberculosis）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于初染后体内潜伏病灶中的结核菌重新活动和释放而发病，极少数可以为外源性再感染。本型是成人肺结核的最常见类型，但不完全等同于成人结核病。常呈慢性起病和经过，但也有急性发病和急性临床过程者，称为慢性结核病似不确切。而浸润型肺结核的名称可能源于病理和X线的描述，亦非本型肺结核的准确表达。根据发病学称为继发性或原发后肺结核则是合乎逻辑的。继发性肺结核可发生于原发感染后的任何年龄，其诱因除全身性免疫力降低外，肺局部因素使静止的纤维包裹性病灶或钙化灶破溃亦可诱发。但是临床上绝大多数继发性肺结核并无明确诱因可寻觅。由于免疫和变态反应的相互关系及治疗措施等因素影响，继发性肺结核在病理和X线形态上又有渗出型浸润性肺结核、增生性肺结核、纤维干酪性肺结核、干酪性肺炎、空洞性肺结核、结核球（瘤）、慢性纤维空洞性肺结核等区分。但继发性肺结核在形态上极少是单一性的，常是多种形态并存，而仅以某一种成分为主，特别是随着强力高效化疗的推行，其中有些区分已很少具临床意义。继发性肺结核好发于两肺上叶尖后段或下叶尖段，肺门淋巴结很少肿大，病灶趋于局限，但易有干酪坏死和空洞形成，排菌较多，不同于大多数原发性肺结核不治自愈、很少排菌的特点，在流行病学上更具重要性。</p><p>（二）症状和体征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺结核临床表现多种多样。虽然不同类型和病灶性质、范围可以是重要决定因素，但机体反应性和肺功能储备能力亦有重要影响，例如有的病例X线的病变范围颇广、组织破坏甚重，而临床症状轻微。</p><p>1.全身症状</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">发热为肺结核最常见的全身性毒性症状，多数为长期低热，每于午后或傍晚开始，次晨降至正常，可伴有倦怠、乏力、夜间盗汗，或无明显自觉不适。有的患者表现为体温不稳定，于轻微劳动后体温略见升高，虽经休息半小时以上仍常难平复；妇女于月经期前体温增高，月经后亦不能迅速恢复正常。当病灶急剧进展扩散时则出现高热，呈稽留热或弛张热，可以有畏寒，但很少寒战，出汗一般也不多。肺结核高热患者尽管可能由于未能及时确诊治疗而持续不见改善，但全身状况相对良好，有别于其他感染如败血症发热患者的极度衰弱和委顿表现。其他全身症状有食欲减退、体重减轻、妇女月经不调、易激惹、心悸、面颊潮红等轻度毒性和自主神经功能紊乱症状。</p><p>2.呼吸系统症状</p><p><br/></p><p>（1）咳嗽咳痰：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">浸润性病灶咳嗽轻微，干咳或仅有少量黏液痰。有空洞形成时痰量增加，若伴继发感染，痰呈脓性。合并支气管结核则咳嗽加剧，可出现刺激性呛咳，伴局限性哮鸣或喘鸣。</p><p>（2）咯血：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">约1/3～1/2患者在不同病期有咯血，破坏性病灶固然易于咯血，而愈合性的病变纤维化和钙化病灶直接地或由于继发性支气管扩张间接地均可引起咯血。结核病灶的炎症使毛细血管通透性增高，常表现为痰血；病变损伤小血管则血量增加；若空洞壁的动脉瘤破裂则引起大咯血，出血可以源自肺动脉，亦可来自支气管动脉。咯血的临床症状和严重性除与咯血量多少有关外，在很大程度上还取决于气道的清除能力和全身状态。凡合并慢性气道疾病、心肺功能损害、年迈、咳嗽反射抑制、全身衰竭等状态时使气道清除能力削弱，容易导致窒息。咯血易引起结核播散，特别是中大量咯血时，咯血后的持续高热常是有力提示。</p><p>（3）胸痛：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">部位不定的隐痛常是神经反射作用引起。固定性针刺样痛、随呼吸和咳嗽加重而患侧卧位症状减轻，常是胸膜受累的缘故；膈胸膜受刺激，疼痛可放射至肩部或上腹部。</p><p>（4）气急：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">重度毒血症症状和高热可引起呼吸频率增速。但真正气急仅见于广泛肺组织破坏、胸膜增厚和肺气肿时，严重者可并发肺心病和心肺功能不全。</p><p>3.体征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">取决于病变性质、部位、范围或程度。粟粒性肺结核偶可并发急性呼吸窘迫综合征，表现为严重呼吸困难和顽固性低氧血症。病灶以渗出型病变为主的肺实变且范围较广或干酪性肺炎时，叩诊浊音，听诊闻及支气管呼吸音和细湿啰音。继发性肺结核好发于上叶尖后段，故听诊于肩胛间区闻及细湿啰音有极大提示诊断价值。空洞性病变位置浅表而引流支气管通畅时有支气管呼吸音或伴湿啰音；巨大空洞可出现带金属调的空瓮音，现已很少见。慢性纤维空洞性肺结核的体征有患侧胸廓塌陷、气管和纵隔移位、叩诊音浊、听诊呼吸音降低或闻及湿啰音，以及肺气肿征象。支气管结核有局限性哮鸣音，特别是于呼气或咳嗽末。</p><p>（三）其他表现</p><p><br/></p><p>1.变态反应性</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多见于青少年女性。临床表现类似风湿热，故有人称其为结核性风湿症。多发性关节痛或关节炎，以四肢大关节较常受累。皮肤损害表现为结节性红斑及环形红斑，前者多见，好发于四肢尤其是四肢伸侧面及踝关节附近，此起彼伏，间歇性地出现。常伴有长期低热。水杨酸制剂治疗无效。其他变态反应表现有类白塞病、滤泡性结膜角膜炎等。</p><p>2.血细胞减少</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">重症或血行播散性肺结核可有贫血、白细胞计数降低，甚至三系同时降低，被称“骨髓痨”，属于骨髓抑制，但非直接由骨结核所致。</p><p>3.电解质紊乱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">偶见肺结核合并稀释性低钠血症，可能系抗利尿激素分泌增加所致。亦可见低钾血症。</p><p>4.急性呼吸衰竭</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">见于急性血行播散性肺结核，呼吸急促和顽固性低氧血症，类似急性呼吸窘迫综合征（ARDS），有人认为ARDS作为一种特定的严重肺损伤，对于像急性血行播散性肺结核等已明确病因诊断的疾病所引起者不应称为ARDS。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5534', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '68', '诊断', '<p>（一）诊断步骤和方法</p><p><br/></p><p>1.病史和临床表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">尽管轻症肺结核病例可以无症状而仅在X线检查时发现，即使出现症状亦大多缺少特异性，但病史和临床表现仍是诊断的基础，只要仔细询问和认真检查，常能提供重要诊断线索。凡遇下列情况者应高度警惕结核病的可能性：①反复发作或迁延不愈的咳嗽咳痰，或呼吸道感染经抗炎治疗3～4周仍无改善；②痰中带血或咯血；③长期低热或所谓“发热待查”者；④体检肩胛间区有湿啰音或局限性哮鸣音；⑤有结核病诱因或好发因素尤其是糖尿病、免疫抑制性疾病或接受激素和免疫抑制剂治疗者；⑥关节疼痛和皮肤结节性红斑等变态反应性表现以及“非寻常”的实验室异常发现；⑦有渗出性胸膜炎、肛瘘、长期淋巴结肿大既往史以及婴幼儿和儿童有家庭开放性肺结核密切接触史者。</p><p>2.影像学检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">X线检查是诊断肺结核的必备检查，对确定病变部位、范围、性质，了解其演变及选择治疗具有重要价值。X线影像取决于病变类型和性质。原发性肺结核的典型表现为肺内原发灶、淋巴管炎和肿大的肺门或纵隔淋巴结组成的哑铃状病灶。肺内原发灶可发生于肺野任何部位，但以上叶下部或下叶上部近胸膜处居多。早期呈渗出性絮状模糊阴影。干酪性变时则密度增深，但常伴明显的病灶周围炎使边缘极为模糊，严重者可出现急性空洞。病变范围不定，大者可占据数个肺段或整个肺叶。淋巴管炎为一条或数条自病灶伸向肺门的条索状阴影，边缘常较模糊。肿大淋巴结多见于同侧肺门或纵隔，偶尔可波及对侧，其边缘或光整（“结节型”）或模糊（“炎症型”），多数淋巴结肿大时可呈分叶状或波浪状边缘。急性血行播散性肺结核在X线胸片上表现为散布于两肺野、分布较均匀、密度和大小相近的粟粒状阴影。这种微小结节透视检查通常不能发现，病程早期（3～4周前）摄片有时也难以分辨，常因此而延误诊断。必须摄取高质量胸片，或加摄侧位片使两肺细小粟粒互相重叠以便于病灶显示。亚急性和慢性血行播散性肺结核粟粒大小和密度不一，多趋于增生型，范围较局限，一般位于两上肺。继发性肺结核的X线表现复杂多变，或云絮片状，或斑点（片）结节状，干酪性病变密度偏高而不均匀，常有透亮区或空洞形成。肺结核空洞又有“无壁”空洞（急性空洞）、厚壁空洞、薄壁空洞、张力性空洞、慢性纤维空洞等不同形态，一般来说其洞壁比较光整，液平少见或仅有浅液平。病期稍长则同时出现纤维化或钙化病灶。慢性继发性肺结核的特征性X线征象是多形态病灶的混合存在，好发于上叶尖后段和下叶尖段，具有诊断意义。但是X线诊断肺结核并非特异性，而且受读片者水平和经验，以及肺结核X线表现多样性等因素的影响，特别是当病变位于非好发部位或分布不典型，而又缺乏肺结核特征性形态表现时，定性诊断十分困难。胸部CT有助于发现隐蔽区病灶和孤立性结节的鉴别诊断。在显示纵隔/肺门淋巴结、肺内空洞、钙化、支气管充气征和支气管扩张等方面较X线敏感，于诊断困难病例有重要参考价值。</p><p>3.痰涂片镜检和结核菌培养</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是确诊肺结核最特异性的方法。涂片萋-尼（Ziehl-Neelsen）染色（抗酸染色）镜检快速简便，在我国非典型分枝杆菌尚属少见，抗酸杆菌阳性肺结核诊断即基本成立。直接厚涂片阳性率优于薄涂片，为目前普遍采用。规定观察300个视野方能报告阴性，油镜下所见判断检验结果标准：0条/300视野阴性；1～2条/ 300视野可疑阳性；3～9条/100视野（+）；1～9条/10视野（++）；1～9条/视野（+++）；≥10条/视野（++++）。除了痰标本外，脓液，病灶组织，纤支镜刷检物、冲洗或灌洗液，均可用于直接涂片检查。由于一些抗酸性染色颗粒难以辨认，当发现1条或少数“抗酸菌”时列为可疑，重复检查。集菌法涂片和应用金胺染色荧光镜检可以提高阳性率，但假阳性有所增加。结核菌培养虽较费时，但培养菌株进一步作药物敏感性测定，可为治疗特别是复治提供重要参考。近年应用Bactec TB系统，早期鉴定生长的结核菌而不必等待菌落形成，报告时间较普通培养缩短10天左右，药敏通常在培养阳性后的4～6天即可完成，且能快速将结核菌和非结核分枝杆菌加以鉴别。</p><p>4.结核菌素（简称结素）皮肤试验（tuberculin skin test，TST）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前国内均采用国产结素纯蛋白衍生物（purified protein derivative，PPD）。其制剂有50IU/ml（每毫升含PPD1μg）和20IU/ml（每毫升含PPD 0.4μg），两种制剂每1IU的效价是一致的。前者供卡介苗接种筛选对象、质量监测及临床辅助诊断用；后者供流行病学调查用。目前我国推广国际通用的皮内注射法（Mantoux法）。将PPD 5IU（0.1ml）注入左前臂内侧上中1/3交界处皮内，使局部形成皮丘。48～96小时（一般为72小时）观察反应，结果判断以局部硬结直径为依据：＜5mm阴性反应，5～9mm一般阳性反应，10～19mm中度阳性反应，≥20mm或不足20mm但有水疱或坏死为强阳性反应。根据流行病学的新情况，美国关于结素阳性判断标准有所不同。TST的主要用途有：①社区结核菌感染的流行病学调查或接触者的随访；②监测阳转者，适用于儿童和易感高危对象；③协助诊断，但价值有限。成人TST强阳性反应提示活动性结核病可能，应进一步检查；阴性反应特别是较高浓度三次试验仍阴性则可排除结核病，但TST往往难以区分BCG接种后产生的交叉免疫反应与真正的结核分枝杆菌感染。</p><p>5.分子生物学检测技术</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">聚合酶链反应（PCR）技术可以将标本中微量的结核菌DNA加以扩增。一般镜检仅能检测10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">4</span>～10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">5</span>条菌/毫升，而PCR可检出1～100fg结核菌DNA（相当于1～20条菌/毫升）。但DNA提取过程遭遇污染等技术原因可以出现假阳性，而且PCR无法区分活菌和死菌，故不能用于结核菌治疗效果评估、流行病学调查等。目前PCR检测仅推荐在非结核分枝杆菌病高发地区涂片抗酸杆菌阳性病例用来快速区分结核和非结核分枝杆菌。已有商用结核菌cDNA探针，由于实验操作复杂等原因尚未在临床上应用。核酸指印技术（cDNA fingerprinting）采用限制性内切酶片段多态性分析（restriction fragment length polymorphism，RFLP），可用于鉴定所分离到的结核菌是否同源，用于流行病学研究。</p><p>6.结核菌抗原和抗体检测</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">采用ELISA方法检测痰标本中结核菌抗原的结果差异甚大，可能与痰标本中结核菌抗原分布不甚均匀有关。采用不同的抗原（如A60、LAM等）检测肺结核患者血标本中结核菌IgG的敏感性为24%～100%不等，特异性为71%～100%。由于敏感性与特异性较低，世界卫生组织不推荐将此方法用于诊断结核感染。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">γ-干扰素释放试验（interferon gamma release assay，IGRA）</p><p>7.γ-干扰素释放试验（interferon gamma release assay，IGRA）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">结核感染者体内存在特异性效应T淋巴细胞，当其再次受到结核菌抗原刺激时会释放γ-干扰素。现行检测方法是采用酶联免疫斑点技术即T-SPOT.TB，以结核特异性抗原早期分泌靶向抗原（ESAT-6）和10kDa培养滤过蛋白（CFP-10）肽段库为刺激原，检测外周血中特异性释放γ-干扰素的T淋巴细胞，从而用来检测结核感染。该方法优点为特异性高，不受卡介苗和环境分枝杆菌的影响；敏感性高，患者免疫状态对其影响甚微。特异性、敏感性、阳性预测值和阴性预测值都达到95%左右。</p><p>8.纤维支气管镜（简称纤支镜）检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">经纤支镜对支气管或肺内病灶钳取活组织作病原学检查，同时采取刷检、冲洗或吸引标本用于结核菌涂片和培养，有利于提高肺结核的诊断敏感性和特异性，尤其适用于痰涂阴性等诊断困难患者。纤支镜对于支气管结核的诊断与鉴别诊断尤具价值。</p><p>（二）诊断标准</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">我国卫生部2008年颁布并实施的肺结核诊断标准指出，肺结核的诊断是以细菌学实验室检查为主，结合胸部影像学、流行病学和临床表现、必要的辅助检查及鉴别诊断，进行综合分析所作出的。咳嗽、咳痰≥2周或咯血是发现和诊断肺结核的重要线索。痰涂片显微镜检查是发现传染性肺结核患者最主要的方法。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">结核的诊断分为疑似病例、临床诊断病例和确诊病例。①疑似病例的诊断标准为具有肺结核的典型胸部影像学表现。②临床诊断病例的诊断标准为具有肺结核的典型胸部影像学表现，同时具有肺结核的临床表现，或TST强阳性等其他辅助诊断方法，或肺外组织病理检查证实为结核病变者；以及疑似肺结核病例经诊断性治疗或随访观察可排除其他肺部疾病者。③确诊病例包括痰涂片阳性肺结核、仅分枝杆菌分离培养阳性肺结核及肺部病变标本病理学诊断为结核病变者。</p><p>（三）分类</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">为适应我国目前结核病控制和临床工作的实际，我国于2012年颁布了最新的结核病分类标准。在诊断中应同时确定类型和按记录程序正确书写。</p><p>1.结核病分类（1）原发性肺结核：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">原发性肺结核为原发结核感染所致的临床病症。包括原发综合征及胸内淋巴结结核。</p><p>（2）血行播散性肺结核：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括急性血行播散性肺结核（急性粟粒性肺结核）及亚急性、慢性血行播散性肺结核。</p><p>（3）继发性肺结核：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">继发性肺结核是肺结核中的一个主要类型，包括浸润性、纤维空洞及干酪性肺炎等。</p><p>（4）结核性胸膜炎：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床上已排除其他原因引起的胸膜炎。包括结核性干性胸膜炎、结核性渗出性胸膜炎、结核性脓胸。</p><p>（5）其他肺外结核：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">其他肺外结核按部位及脏器命名，如：骨关节结核、结核性脑膜炎、肾结核、肠结核等。</p><p>2.病变部位、范围</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺结核病变部位按左、右侧、双侧，范围按上、中、下记录。</p><p>3.痰菌检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">痰菌检查是确定传染和诊断、治疗的主要依据。痰菌检查阳性以（+）表示，阴性以（-）表示。需注明痰检方法，如涂片（涂）、培养（培）等，以涂（+）、涂（-）、培（+）、培（-）表示。当患者无痰或未查痰时，则注明（无痰）或（未查）。</p><p>4.化疗史</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">分为初治与复治。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">初治：凡既往未用过抗结核药物治疗或用药时间少于一个月的新发病例。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">复治：凡既往应用抗结核药物一个月以上的新发病例、复发病例、初治治疗失败病例等。</p><p>5.病历记录格式</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">按结核病分类、病变部位、范围，痰菌情况、化疗史程序书写。如：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">原发性肺结核右中涂（-），初治</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">继发性肺结核双上涂（+），复治</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">原发性肺结核左中（无痰），初治</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">继发性肺结核右上（未查），初治</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">结核性胸膜炎左侧涂（-），培（-），初治</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血行播散性肺结核可注明（急性）或（慢性）；继发性肺结核可注明（浸润性）、（纤维空洞）或（干酪性肺炎）等。并发症（如自发性气胸、肺不张等），并存病（如矽肺、糖尿病等），手术（如肺切除术后、胸廓成形术后等）可在化疗史后按并发症、并存病、手术等顺序书写。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5535', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '68', '鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺结核临床和X线表现可以酷似许多疾病，必须详细搜集临床及实验室和辅助检查资料，综合分析，并根据需要不排除侵袭性诊断措施和允许必要的、有限期的动态观察，得出正确诊断。不同类型和X线表现的肺结核需要鉴别的疾病不同。</p><p>1.肺癌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">中央型肺癌常有痰中带血，肺门附近有阴影，与肺门淋巴结相似。周围型肺癌可呈球状、分叶状块影，需与结核球鉴别。肺癌多见于40岁以上嗜烟男性，常无明显毒性症状，多有刺激性咳嗽、胸痛及进行性消瘦。在X线胸片上结核球周围可有卫星灶、钙化，而肺癌病灶边缘常有切迹、毛刺。胸部CT扫描对鉴别诊断常有帮助。结合痰结核菌、脱落细胞检查及通过纤支镜检查与活检等，常能及时鉴别。肺癌与肺结核可以共存，亦需注意发现。</p><p>2.肺炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">原发综合征的肺门淋巴结结核不明显或原发灶周围存在大片渗出，病变涉及整个肺叶并将肺门掩盖时，以及继发性肺结核主要表现为渗出性病变或干酪样肺炎时，需与肺炎特别是肺炎链球菌肺炎鉴别。细菌性肺炎起病急骤、高热、寒战、胸痛伴气急，X线上病变常局限于一个肺叶或肺段，血白细胞总数及中性粒细胞增多，抗生素治疗有效，可资鉴别；肺结核尚需注意与其他病原体肺炎进行鉴别，关键是病原学检测有阳性证据。</p><p>3.肺脓肿</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺脓肿空调多见于肺下叶，脓肿周围的炎症浸润较严重，空洞内常有液平面。肺结核空洞则多发生在肺上叶，空洞壁较薄，洞内很少有液平面或仅见浅液面。此外，肺脓肿起病较急，高热，大量脓痰，痰中无结核菌，但有多种其他细菌，血白细胞总数及中性粒细胞增多，抗生素治疗有效。慢性纤维空洞合并感染时易与慢性肺脓肿混淆，后者痰结核菌阴性，鉴别一般不难。</p><p>4.支气管扩张症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有慢性咳嗽、咳脓痰及反复咯血史，需与继发性肺结核鉴别。X线胸片多无异常发现或仅见局部肺纹理增粗或卷发状阴影，CT有助于确诊。应当警惕的是化脓性支气管扩张症可以并发结核感染，在细菌学检测时应予顾及。</p><p>5.强直性脊柱炎肺部损害</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">影像学上与慢性纤维空洞性肺结核十分相似。鉴别关键在于知晓强直性脊柱炎肺部损害的特征，并详细了解骨关节症状和有关检查结果，综合分析和判断。</p><p>6.慢性支气管炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">老年慢性支气管炎症状酷似继发性肺结核。近年来老年人肺结核的发病率增高，需认真鉴别，及时X线检查和痰检有助确诊。</p><p>7.非结核分枝杆菌肺病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">非结核分枝杆菌（nontuberculous mycobacteria，NTM）指结核和麻风分枝杆菌以外的所有分枝杆菌，可引起各组织器官病变，其中NTM肺病临床和X线表现类似肺结核。鉴别诊断依据菌种鉴定。结核菌培养时应常规进行NTM筛选，标本同时接种罗氏培养基和含硝基苯甲酸（PCB）或噻吩-2-羧酸肼（TCH）的培养基，仅前者生长为结核分枝杆菌，仅PCB/TCH生长提示NTM，再进一步鉴定菌株。</p><p>8.其他发热性疾病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">伤寒、败血症、白血病、纵隔淋巴瘤等与结核病有诸多相似之处。伤寒有高热、血白细胞计数减少及肝脾大等临床表现，易与急性血行播散性肺结核混淆。但伤寒热型常呈稽留热，有相对缓脉、皮肤玫瑰疹，血清伤寒凝集试验阳性，血、粪便伤寒杆菌培养阳性。败血症起病急、寒战及弛张热型，白细胞及中性粒细胞增多，常有近期皮肤感染、痤疮挤压史或尿路、胆道等感染史，皮肤常见瘀点，病程中出现迁徙病灶或感染性休克，血或骨髓培养可发现致病菌。结核病偶见血象呈类白血病反应或单核细胞异常增多，需与白血病鉴别。后者多有明显出血倾向，骨髓涂片及动态X线胸片随访有助于确立诊断。成人原发性肺结核中支气管淋巴结结核常表现为发热及肺门淋巴结肿大，应与结核病、纵隔淋巴瘤等鉴别。结核病患者结核菌素试验阳性，抗结核治疗有效；结节病结核菌素试验阴性，肺门淋巴结肿大常呈对称性，状如“土豆”；而淋巴瘤发展迅速，常有肝脾及浅表淋巴结肿大，确诊需组织活检。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5536', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '68', '治疗', '<p>（一）化学药物治疗</p><p><br/></p><p>1.抗结核药物</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">WHO将抗结核药归纳为5组，见表11-10-9。其中链霉素作为抗结核药在我国还是常用的抗结核药物，仍有一定价值；利福喷丁（L）也有其优点，亦有时会被选用；利奈唑胺作为第五组的抗结核药物之一目前主要用于广泛耐药结核病的治疗。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表11-10-9　WHO抗结核药物分组</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180519-1526697930078052392.jpg\" title=\"1526697930078052392.jpg\" alt=\"表11-10-9　WHO抗结核药物分组.jpg\"/></p><p style=\"text-align: center;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">以下介绍常用药物：</p><p>（1）异烟肼（INH）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">具有强杀菌作用、价格低廉、不良反应少、可口服等特点，是治疗肺结核病的基本药物之一。INH是肼化的异烟酸，能抑制结核菌叶酸合成。其作用包括三个环节：①INH被结核菌摄取；②INH被结核菌内过氧化氢-过氧化物活化；③活化的INH干扰结核菌叶酸合成。INH对于胞内、外代谢活跃持续繁殖或近乎静止的结核菌均有杀菌作用。小分子的INH可渗入全身各组织中，可通过血脑屏障，胸腔积液、干酪样病灶中药物浓度很高。成人剂量每日300mg（或每日4～8mg/kg），一次口服；儿童每日5～10mg/kg（每日不超过300mg）。急性血行播散性肺结核和结核性脑膜炎，剂量可以加倍。如果患者意识不清时，INH可经胃管、肌注和静脉给药。本药常规剂量时毒副作用发生率低，主要包括周围神经炎、中枢神经系统中毒，采用维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">6</span>能缓解或消除中毒症状。但维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">6</span>可影响INH疗效，故一般剂量INH时无须服用维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">6</span>。肝脏损害（血清ALT升高等）与药物的代谢毒性有关，如果ALT高于正常值上限3倍则需停药。通常每月随访一次肝功能，对于肝功能已有异常者应增加随访次数，且需与病毒性肝炎相鉴别。</p><p>（2）利福平：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对胞内和胞外代谢旺盛和偶尔繁殖的结核菌均有杀菌作用。它属于利福霉素的半合成衍生物，通过抑制RNA聚合酶，阻止RNA合成发挥杀菌活性。RFP主要在肝脏代谢，胆汁排泄。仅有30%通过肾脏排泄，肾功能损害一般不需减量。RFP能穿透干酪样病灶和进入巨噬细胞内。在正常情况下不通过血脑屏障，而脑膜炎症可增加其渗透能力。RFP在组织中浓度高，在尿、泪、汗和其他体液中均可检测到。意识不清者可采用鼻饲和静脉途径给药。成人剂量空腹450～600mg，每日一次。主要不良反应有胃肠道不适、肝功能损害（ALT升高、黄疸）、皮疹和发热等。应用高剂量、间歇疗法（600～1200mg/d）易产生免疫介导的流感样反应、溶血性贫血、进行性肾衰竭和血小板减少症，一旦发生，应予停药。肝功能损害发生率约5%～10%。INH与RFP合成引起肝损害（药物性肝炎）的发生率比单用INH高2～4倍。利福霉素其他衍生物利福喷丁（rifapentine，RFT）和利福布汀（rifabutine，RBT）临床疗效与利福平相似。前者半衰期32.8小时，一周2次给药，适合于间歇治疗，后者对部分NTM作用强，且与抗反转录酶药物相互作用少，推荐用于HIV/AIDS患者合并结核或NTM感染的治疗和预防。</p><p>（3）吡嗪酰胺：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">类似于INH的烟酸衍生物，但与INH之间无交叉耐药性。PZA能杀灭巨噬细胞内，尤其酸性环境中的结核菌，已成为结核病短程化疗中不可缺少的主要药物。胃肠道吸收好，全身各部位均可到达，包括中枢神经系统。PZA经肾脏排泄。最常见不良反应为肝脏毒性反应（ALT升高和黄疸）、高尿酸血症，皮疹和胃肠道症状少见。</p><p>（4）链霉素：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">通过抑制蛋白质合成来杀灭结核菌。对于空洞内胞外结核菌作用强，pH中性时起效。尽管链霉素具有很强的组织穿透力，而对于血脑屏障仅在脑膜炎才能透入。主要不良反应为不可逆的第Ⅷ对脑神经损害，包括共济失调、眩晕、耳鸣、耳聋等。与其他氨基糖苷类相似，可引起肾脏毒性反应。过敏反应少见。用法和用量：成人每日15～20mg/kg，或每日0.75～1.0g（50岁以上或肾功能减退者可用0.5～0.75g），分1～2次肌注。目前已经少用，仅用于怀疑INH初始耐药者。其他氨基糖苷类如阿米卡星（AMK）、卡那霉素（KM）也有抗结核作用，但不用作一线药物。</p><p>（5）乙胺丁醇：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">通过抑制结核菌RNA合成发挥抗菌作用，与其他抗结核药物无交叉耐药性，且产生耐药性较为缓慢。成人与儿童剂量均为每日15～25mg/kg，开始时可以每日25mg/kg，2个月后减至每日15mg/kg。可与INH、RFP同时一次顿服。常见不良反应有球后视神经炎、过敏反应、药物性皮疹、皮肤黏膜损伤等。球后视神经炎可用大剂量维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>和血管扩张药物治疗，必要时可采用烟酰胺球后注射治疗，大多能在6个月内恢复。</p><p>（6）对氨基水杨酸：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对结核菌抑菌作用较弱，仅作为辅助抗结核治疗药物。可能通过与对氨苯甲酸竞争影响叶酸合成，或干扰结核菌生长素合成，使之丧失摄取铁的作用而达到抑菌作用。成人口服8～12g/d，每天2～3次。静脉给药一般用8～12g，溶于5%葡萄糖液500ml滴注。本药需新鲜配制和避光滴注。肾功能不全患者慎用。主要不良反应有胃肠道刺激、肝功能损害、过敏反应包括皮疹、剥脱性皮疹、溶血性贫血等。</p><p>（7）其他：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">氨硫脲（thiosemicarbazone，TB1）、卷曲霉素（capreomycin，CPM）、环丝氨酸（cycoserinum，CS）、乙硫异烟胺（ethionamide，1314Th）和丙硫异烟胺（prothionamide，1321Th）曾作为第二线抗结核药物，由于作用相对较弱，加之毒副作用发生率甚高且较严重，仅用于MDR-TB。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">为使治疗规范化、便于督导、减少耐药、方便服药、改善患者接受治疗的顺从性，近年来有固定剂量复合剂的出现，主要有INH+RFP+PZA和INH+RFP两种。</p><p>2.化疗理论基础和基本原则</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">初治病例的大多数细菌对药物敏感，但也有少量先天耐药菌株。这些先天耐药菌随药物不同而不同，其概率RFP为10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">-8</span>，INH、SM和EMB等为10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">-6</span>，1314Th、CPM、TB1等为10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">-3</span>。应用一种药物后大量敏感菌被杀灭而为旺盛生长的耐药菌取代，造成临床细菌耐药、病灶恶化、治疗失败。所幸先天耐药大多为单一耐药，联合用药可起交叉杀灭作用，从而大大减少耐药菌出现的概率。如联合INH和SM，耐药菌概率即从10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">-6</span>降至10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">-12</span>。菌量越高，耐药机会越多。但若联合2～3种药物，则耐药菌将很少或者不出现。实验证明每克干酪组织或空洞壁组织含菌量10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">6</span>～10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">10</span>，单一化疗势必导致绝大部分或全部细菌耐药，只有联合用药才能有效减少和预防耐药性产生。现代化疗的目标不仅是杀菌和防止耐药性产生，而且在于最终灭菌，防止和杜绝复发。然而现有抗结核药物大多是作用于生长期和代谢旺盛的细菌，对代谢低落的静止菌很少或者没有作用。因此，结核菌的代谢状态及其同药物的相互作用是影响化疗的另一重要因素。Denis Mitchison根据实验结果提出结核病灶中存在4种不同状态特殊菌群的理论假设。A组为处于持续生长繁殖状态的菌群，但其生长速度也不尽一致，如开放性空洞内的结核菌生长快，接近培养基上的对数生长，而在包裹性病灶内由于氧供少，可以生长很慢。INH对快速生长的细菌作用最强，RFP其次。B组为酸性环境中半休眠状态的菌群，PZA能作用于此类菌群，有利于最终消灭细胞内静止菌。C组是半休眠状态但偶有突发性或短期内旺盛生长的细菌，RFP对此最为有效。D组则为完全休眠菌，药物不起作用，须依赖机体免疫机制加以消除。在动物实验模型和临床上应用INH，快速生长繁殖的结核菌迅速被扑灭，显示早期的高效治疗效果。随着细菌生长速度减慢，则渐渐失去作用。RFP杀灭突发生长的结核菌，可减少复发，但疗程过短仍有复发，故应贯彻疗程始终。消灭B组细菌是实现灭菌目标的关键。这些细菌存在于巨噬细胞内酸性条件下，仅有PZA是唯一比较有效的药物。结核菌区别于其他病原菌的重要生物学特性，是它可以长期处于代谢低落的静止或者半休眠状态（B、C组菌群），一定条件下又重新生长繁殖。因此，药物治疗除联合外尚必须长时间维持相对恒定血药浓度，使未被杀灭的静止菌重新转为生长繁殖菌时即暴露在有效药物的控制下，这就需要规则用药并完成全疗程。大量研究和经验表明，用药不规则或未完成疗程是化疗失败的最重要原因之一。从结核病的病理组织学特点来看，以渗出为主的早期病变，血运丰富，药物易于渗入病灶内。而这类病灶中细菌大多处于代谢活跃状态，药物最易发挥作用。相反在纤维干酪性病灶特别是厚壁空洞，药物作用明显削弱。结核病的化疗显著区别于通常细菌性感染的化疗，有其特有的作用规律。结核病化疗的目标是预防耐药性产生，早期杀菌和最终灭菌。为达到这一目标，结核病化疗必须根据其特有规律，掌握正确原则。这些原则可以概括为早期、联合、规则、足量、全程，其中以联合和规则用药最为重要。</p><p>3.耐药结核病的分类</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">耐药结核病指体外试验证实患者感染的结核分枝杆菌对一种或多种抗结核药物耐药。据所耐药物数分为：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）单耐药结核病（single-resistant tuberculosis，SDRTB）：患者感染的结核分枝杆菌体外对1种药物耐药。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）多耐药结核病（poly drug-resistant tuberculosis，PDR-TB）：对不包括INH和RFP在内的≥2种药物耐药。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（3）耐多药结核病（multidrug-resistant tuberculosis，MDR-TB）：至少对一线抗结核药物中的INH和RFP耐药。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（4）广泛耐药结核病（extensively drug-resistant tuberculosis，XDR-TB）：在MDR基础上还对卷曲霉素、卡那霉素、阿米卡星中的任一种注射类药物和氧氟沙星、左氧氟沙星、莫西沙星中任一种氟喹诺酮类药物耐药。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（5）全耐药结核病（totally drug-resistant tuberculosis，TDR-TB）：对所有一线抗结核药（H，R，Z，S，E）和进行药敏试验的所有二线抗结核药（Ofx，Km，Am，Cm，Eto，Pto，Cs，PAS）均呈现耐药。</p><p>4.标准化疗方案</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">总结抗结核化疗的经验和研究成果，贯彻化疗基本原则，彻底治愈患者，消灭传染源，预防复发和耐药性的产生，一致主张肺结核（包括肺外结核）必须采用标准化治疗方案。在新病例其方案分两个阶段，即2个月强化（初始）期和4～6个月的巩固期。强化期通常联合3～4种杀菌药，约在2周之内传染性患者经治疗转为非传染性，症状得以改善。巩固期药物减少，但仍需灭菌药，以清除残余菌并防止以后的复发。强化期3～4种药和巩固期2种药的短程化疗方案可以降低选择性耐药菌产生的危险性，对初始耐药患者与敏感患者一样有效。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前国内推荐的化疗方案：</p><p>（1）初治：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">菌阳肺结核：2HRZE/4HR，2HRZE（S）/4HR或2HRZE （S）/4HRE，即：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">强化期（2个月） 异烟肼（H）+利福平（R）+吡嗪酰胺（Z）+乙胺丁醇（E）或链霉素（S）；</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">巩固期（4个月） 异烟肼（H）+利福平（R），或再联合乙胺丁醇（E）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">说明：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1）如果强化期2个月痰菌仍阳性，原方案延长1个月。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2）在严格执行DOTS的地区或个体可选择间歇化疗方案，如3HRzE/6H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>R<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>E<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3，</span>或3H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>R<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>Z<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>E<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>S<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>/6H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>R<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>E<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>。（左下角数字表示每周给药次数）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">菌阴肺结核：2HRZ/4HR，2HRZ/4H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>R<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>，2HRZE<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>S<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>/</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>R<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>，2H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>R<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>Z<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>E<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>/4H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>R<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">说明：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1）如果强化期2个月痰菌仍阳性，原方案延长1个月。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2）在严格执行DOTS的地区或个体可选择后两个间歇化疗方案。</p><p>（2）复治：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2HRZES/1HRZE/6HRE，2HRZES/6HRE，3HRZES/6HRZE，3HRZES/6HRE，3HRZES/3HRZE/3HRE，3HRZES/6H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>R<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>E<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>，3HRZEOfx（Lfx）/5H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>L<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>Ofx<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>（Lfx<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">说明：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1）任何原因造成的复治均应当首先留取标本作分枝杆菌培养、菌种鉴定和药敏试验。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2）在获得药敏结果前应参考既往治疗史选择治疗方案。如果初治方案正规，用药规则，仍可采用原方案治疗；反之，则应在上述方案中选择含2种未用药物的新组合。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3）疗程视不同情况而定，通常8～9个月。糖尿病患者延长至12个月，有其他伴发症者疗程至少12个月。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4）在严格执行DOTS的地区或个体可在巩固期采用间歇化疗方案。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5）获得药敏结果后调整治疗方案。</p><p>（3）耐多药肺结核（MDR-TB）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">治疗困难。主张采取化疗、免疫治疗、萎陷治疗、介入治疗和手术等综合治疗。但化疗是最基本和最重要的治疗，尚无标准推荐方案。强调遵循下列要点：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1）一旦确诊结核病，在初治前采用快速药敏试验检测异烟肼和利福平的敏感性，以便识别耐药；应用痰涂片和培养进行疗效监测，有助于尽早发现治疗失败。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2）化疗方案应含有4种确定或几乎确定敏感的核心药物，通常应当包括吡嗪酰胺、氟喹诺酮药物（静脉用）、乙胺丁醇（或丙硫异烟胺）、和环丝氨酸，如果没有环丝氨酸，则改用对氨基水杨酸。氟喹诺酮类优选新一代药物。没有证据支持使用超过4种二线药物的治疗，但如果某些药物效果不佳，则药物数量可以增加。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3）2008年WHO指南主张按顺序选择药物，在第一～四组药物不足以组成有效方案时才考虑从第五组药物中选择，2011年更新的指南认为第五组药物也可以使用，但不列为标准方案。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4）强化治疗至少8个月，总疗程20个月。某些患者需视临床和细菌性反应调整疗程。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5）及时发现和处理药物不良反应。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">6）强调经济有效的门诊治疗，但必须全程实施DOTS。</p><p>（二）手术治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">化疗的发展使外科治疗在肺结核治疗中的比重和地位显著降低。但对药物失效或疾病危及生命的单侧特别是局限性病变，外科治疗仍是可选择的重要治疗方法。其指征是：①化疗尤其是经过规则的强有力化疗药物治疗9～12个月，痰菌仍阳性的干酪性病灶、厚壁空洞、阻塞性空洞；②一侧毁损肺、支气管结核管腔狭窄伴远端肺不张或肺化脓症；③结核性脓胸或伴支气管胸膜瘘；④不能控制的大咯血；⑤疑似肺癌或并发肺癌可能。这些患者大多病情严重、有过反复播散、病变范围广泛，因此是否适宜手术尚须参考心肺功能、播散灶控制与否等，就手术效果、风险程度及康复诸方面全面衡量，以作出合理选择。</p><p>（三）症状治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">强有力化疗药物可迅速控制结核病的临床症状。盗汗、发热等症状一般无须特殊治疗。在急性粟粒性肺结核和浆膜渗出性结核伴有高热等严重毒性症状时，激素可能有助于改善症状，亦可促进渗液吸收，减少粘连。但必须在有充分有效抗结核药物保护下早期应用，疗程1个月左右即应逐步撤停。其他类型结核伴高热而抗结核药物短期难以控制者，可应用小剂量非类固醇类退热剂。大咯血是肺结核患者的重要威胁，作用于血管、促进和增加凝血因子，以及抗纤溶、抗肝素等各类止血药（包括血制品），都被用于治疗咯血，但疗效难以评价。目前仍以垂体后叶素应用较多。药物难以控制而肺结核病变本身具备手术指征、心肺功能胜任者，手术治疗可以显著降低大咯血病死率。对于不能耐受手术和病变不适宜手术的大咯血，非手术干预治疗亦有良效。方法有：①经纤支镜止血：经纤支镜直视定位后向出血部位涂布或者灌注缩血管药物，如肾上腺素、促凝血药物或血管硬化剂（如鱼肝油酸钠），亦可经纤支镜插入带球囊导管，通过球囊充盈膨胀压迫止血。②支气管动脉栓塞：体循环胸主动脉分支的支气管动脉压力高，是大咯血的主要来源。出血灶的血管影像学改变为血管增生、扭曲扩张和动脉瘤形成、支气管-肺循环分流和造影剂血管外渗。经血管造影定位后注入明胶海绵等栓塞材料，可以有效控制出血。偶尔肺结核空洞壁动脉瘤破裂大咯血，可联合经右心肺动脉插管暂时阻断血流，或经超选择插管插至动脉瘤处进行病变局部血管栓塞。大咯血的紧急致病性威胁是窒息，预防和抢救窒息可挽救患者生命于千钧一发之时。具有窒息潜在危险如老年人、慢性心肺功能损害、气道疾病、咯血量大而速度快，以及心理高度紧张等，均应给予监护，尽可能消除和减轻危险因素，给氧、补充水和电解质、必要时输血以保持血细胞比容0.30以上。尽早发现窒息先兆征象如咯血过程突然中断，出现呼吸急促、发绀、烦躁不安、精神极度紧张有濒死感或口中有血块等，应立刻抢救。畅通气道和生命支持是其主要措施。①体位引流：取患侧卧位、头低脚高位，并令患者张口或使用开口器清除口腔积血，叩击背部刺激咳嗽。方法简单，但需要训练有素的医护人员高度协调配合；②气管插管：常规气管插管，通过吸引并借助体位防止健侧吸入，大多能满足临床需要；③支气管镜检查：硬质支气管镜能保持充分通畅，便于引流；纤支镜操作容易，便于应用支气管腔内止血措施，各有优缺点，视设备条件和操作者技术水平而定。生命支持与一般抢救技术相同。大咯血临床处理中关于镇静药和镇咳药使用问题，应视不同情况区别对待，审慎从事。精神高度紧张者可适当小剂量应用镇静剂。镇咳药应尽可能辨明咳嗽和咯血的因果关系，酌情使用。剧咳诱发咯血者可适量应用镇咳剂，相反若是出血刺激咳嗽，则有弊无益。倘难以区分，尚可参考患者体力和全身状态等，凡体力不支和全身状态不佳，当以不用为宜。其次患者体位问题应参考窒息紧迫程度、病灶情况和心肺功能合理选择。为避免咯血引起结核播散，一般宜采取患侧卧位。如果一侧肺不张或毁损而缺氧较明显时，患侧卧位会加重通气/血流比率失调和分流，可取半卧位或健侧卧位，以有利于肺部气体交换。一旦窒息威胁逼近或已出现征兆者，应立即采取患侧在上的体位，以利咳嗽和清除血液。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5537', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '68', '预防', '<p>（一）建立防治系统</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据我国结核病疫情，为搞好防治工作，仍须强调建立、健全和稳定各级防痨机构，负责组织和实施治、管、防、查的系统和全程管理，按本地区疫情和流行病学特点，制定防治规划，并开展防痨宣传，教育群众养成良好文明卫生习惯，培训防痨业务技术人员，推动社会力量参与和支持防痨事业。</p><p>（二）实施DOTS（directly observed treatment short course）战略</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本意为“直接督导下的短程化疗”。1995年 WHO结核病对策部总结近20余年来的经验，认识到DOTS是所有干预项目中费用最低、疗效最好的方法，因而将它上升为一种保证结核病控制对策成功的战略，扩展为5个方面：①政府的支持和承诺；②通过对因症就诊进行痰涂片镜检发现患者；③对涂阳患者给予标准短程化疗（6～8个月）或至少初治两个月在直接面视下服药；④保证抗结核药物供应；⑤可以用来评估治疗效果和全部规划实施的标准化病例登记和报告系统。DOTS是当今降低和防止结核菌感染、结核病死亡、控制耐多药结核病最有效、最可能实施的战略，不仅适用于发展中国家，亦适用于发达国家。DOTS的核心是规则、全程治疗。因此结核病治疗除制定正确化疗方案外，保证其实施十分重要。不仅防治工作者和专业医师必须掌握和切实贯彻DOTS，广大内科医师也都应当了解和积极实践这一重要战略。</p><p>（三）卡介苗接种</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">机体获得性特异性免疫只产生在活菌感染之后。卡介苗（Bacillus Calmette Guérin，BCG）是一种无毒牛型结核菌活菌疫苗，接种后机体反应与低毒结核菌原发感染相同，产生变态反应同时获得免疫力，除对结核病有一定特异性抵抗力外，对其他细胞内病原菌感染和肿瘤等的非特异性抵抗力亦有提高。BCG自1921年用于预防结核病以来，虽被积极推荐和推广，但迄今对它的作用和价值仍有争论。目前比较普遍的看法是BCG尚不足以预防感染，但可以显著降低儿童发病及其严重程度，特别是使结核性脑膜炎等严重结核病减少，并可减少此后内源性恶化的可能性。WHO已将BCG列入儿童扩大免疫计划。我国结核病感染率和发病率仍高，推行BCG接种仍有现实意义，规定新生儿出生时即接种BCG，每隔5年左右对结核菌素转阴者补种，直至15岁。对边远低发病地区进入高发区的新生和新兵等，结核菌素阴性者亦必须接种BCG。接种方法普遍采用皮上划痕法，以每毫升含75mg菌苗1滴滴在左上臂外侧三角肌中部皮肤上，以针划破表皮，呈“井”字形，长宽各1～1.5cm，略有血浆渗出。皮内注射法以每毫升含0.5mg菌苗0.1ml于左臂三角肌部位，剂量准确，结核菌素阳转率高，但技术要求精确，不易为初级卫生人员掌握和大规模接种。BCG接种后2～3周，局部出现红肿、破溃，数周内自行结痂痊愈。少数（约1%）有腋窝或锁骨上淋巴结肿大，可予热敷；偶有破溃，可用5%INH或20%PAS软膏敷贴。BCG接种是安全的，但对已患肺结核、急性传染病愈后未满1个月或患有慢性疾病的患儿禁忌接种。</p><p>（四）治疗潜伏结核（化学预防）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">任何年龄结核菌素新近阳转者第1年发病危险性是3.3%，5年内为5%～15%。业已证明INH可以有效预防感染者的发病。在低感染率的发达国家主张推行INH化学性预防，对象主要为35岁以下结核菌素阳性特别是新近阳转者。方法为INH 300mg/d，持续9个月，疗程中应当注意肝功能监测。HIV阳性而未治疗以及与活动性肺结核有亲密接触的患者，如果对INH敏感建议应用异烟肼9个月，INH耐药者RFP或衍生物RBU 4个月，或联合PZA将预防疗程缩短至2个月。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5538', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '68', '临床特殊问题', '<p>（一）HIV/AIDS和其他原因免疫损害宿主并发结核病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><span style=\"font-size: 12px;\">见“艾滋病”。</span><br/></p><p>（二）肺结核合并糖尿病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">两者经常合并存在，互相影响。多数为糖尿病在先，而后出现肺结核；相反情形偶或有之。糖尿病患者肺结核患病率10倍于普通人群，其原因尚未肯定，据认为代谢紊乱、营养不良、免疫功能损害是促使结核菌生长繁殖和静止病灶复发的主要因素。糖尿病并发肺结核发病多较急骤，进展迅速，干酪性病变和空洞较多见，排菌率高，体重明显减轻，大咯血发生率高。另一方面肺结核病加重胰岛负荷，胰岛素受体功能下降，糖耐量降低，血糖不易控制。但是，先患肺结核后并发糖尿病者其临床病情多较轻。凡糖尿病者新出现肺部病变或原已控制的糖尿病出现血糖波动、体重减轻，以及肺结核正规治疗效果不佳，均应警惕两病并存的可能。治疗必须兼顾，尽早有效控制糖尿病同时施以正确抗结核化疗。不有效控制糖尿病，抗结核治疗难以奏效。因为肺结核已加重胰岛负担，故中度以上的糖尿病均应首先以胰岛素替代治疗，以利胰岛功能恢复。血糖控制的理想目标是空腹血糖4.4～6.1mmol/ L，餐后2小时血糖4.4～8.0mmol/L；可接受目标为空腹血糖≤7.0mmol/L，餐后2小时血糖≤10.0mmol/L。当血糖平稳且肺结核亦已好转后方可逐步代之以口服降糖药物治疗。应用胰岛素治疗可以适当放宽饮食限制，以满足肺结核治疗的营养需要。抗结核药可能对糖尿病及其治疗产生某些影响，INH可以干扰正常糖代谢而使血糖波动。RFP促进肝脏微粒体酶对甲磺丁脲（D860）的代谢灭活，缩短其半衰期，削弱降糖作用，需要视情况适当调整剂量。PZA与口服降糖药并用亦可影响后者疗效。PAS可造成尿糖假阳性，引起病情评估的一定困难。一般说，只要有效控制糖尿病，合理运用化疗，糖尿病并发肺结核与单纯肺结核的预后一样良好。</p><p>（三）肺结核合并肺癌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">两者同属多发病常见病，常合并存在，而且随着肺结核发病年龄后移，与肺癌高发年龄趋于接近，更使两者并存概率增加。有人认为肺结核瘢痕组织可以癌变，但肺结核与肺癌的因果关系不能肯定。除肺结核并发肺癌外，偶尔肺癌使静止性结核病灶破溃或抗癌治疗损伤免疫机制而引起肺结核重新活动。肺结核合并肺癌的界定尚无一致意见，一般来说是指原来结核灶部位或者紧邻部位发生的肺癌，但亦有将不相关部位同时存在的两病包括在内。40岁以上肺结核尤其是男性患者，在长期随访中出现与结核病灶不相称的呼吸系统症状、体征，如刺激性咳嗽、反复咯血、胸痛、杵状指（趾）等，以及在充分抗结核治疗下X线上出现新病灶，特别是孤立性结节灶、肺门向外扇形放射状条索阴影、肺不张、肺门增大、胸腔积液等征象，都应该考虑合并肺癌的可能性，即使痰菌阳性亦不能失之警惕。痰液癌细胞检查和纤支镜检查具决定性意义。通过对两种病灶定位、分布和相互关系的评估，手术仍应作为首选治疗措施。放疗可能促使肺结核恶化或重新活动，故在活动性肺结核抗结核治疗同时，抗癌化疗似乎是唯一可供选择的姑息性治疗手段。</p><p>（四）肺结核与妊娠分娩</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺结核者伴妊娠的重要性通常不在于肺结核本身，是化疗药物的选择应避免对胎儿的影响。SM可通过胎盘，禁忌使用。INH+RFP或者疑有INH耐药者加用EMB对母婴均是安全的。RFP对动物有致畸作用，但在人未能证实，RFP非绝对禁忌。药物在母乳中浓度很低，故产后不禁忌母乳哺养。妊娠和分娩偶尔可因抵抗力下降，盆腔充血，引起盆腔潜伏性结核灶重新活动和播散。当产后高热而排除产褥热时，应摄胸片检查以明确有无粟粒性肺结核。分娩后横膈回降，对正规化疗中或化疗后的肺结核灶一般不会引起恶化或播散。肺结核在化疗控制下一般不需要中止妊娠。但以下情况应中止妊娠：①妊娠伴有重症肺结核包括急性全身血行播散性肺结核病、结核性脑膜炎、慢性纤维空洞肺结核、病变广泛长期排菌的损毁肺、多药耐药的结核病及伴有多种并发症，如咯血、脓胸患者以及患肺源性心脏病心功能不全者；②稳定期肺结核但伴有心脏、肝脏、肾脏等疾病的患者。</p><p>（五）肺结核与肝肾功能障碍</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">大多数抗结核药物都对肝脏有一定毒性，常成为治疗上的一大难题。INH的肝脏损害可能由于代谢产物乙酰肼的毒性作用或过敏引起。RFP引起黄疸较其他抗结核药为多，据认为可能由于胆汁淤滞和过敏所致，利福平本身对肝脏可能并无毒性，肝功能损害主要是由于它加重了联用INH的毒性作用。RFP系强力药酶诱导剂，能加速INH代谢，产生乙酰肼增加，后者与肝脏中生物大分子共价结合引起肝细胞损害。然而这种毒性增强作用主要见于原有肝病、老年人、酗酒、营养不良者。INH快型乙酰化者乙酰肼转化为无毒双乙酰肼速度亦快，故合用RFP并不比慢型乙酰化者肝脏毒性增加。PZA的肝脏毒性与剂量有关，常规剂量（1.5～2.0g/d）很少肝功能损害，不构成治疗障碍。PAS肝炎主要为过敏所致，而TB<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>、1314Th、1321Th则主要为中毒性。除肝活检有时能提供帮助，临床上常常难以区别药物性肝炎与病毒性肝炎，特别在病毒性肝炎高发地区。对抗结核药物的肝脏毒副作用，目前的临床对策包括：仔细询问病史和肝功能监测，对存在肝脏毒性危险因素的患者尽可能选择肝脏毒性低的药物联合或适当减少剂量（INH 200mg/d）。HBsAg（+）而无急慢性肝炎证据者非抗结核化疗禁忌，但需进行肝功能监测。用药过程中，轻度肝功能损害而无症状，如转氨酶升高不超过正常上限值3倍，可以在密切观察下继续用药。保肝药物能否提供保护作用虽然在理论和实践上都有争议，但有选择地适当应用仍是临床可接受的治疗。中度以上肝功能损害必须停药或更改治疗方案，但应尽可能保持联合化疗方案的完整性和有效性。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺结核与肾脏损害的关系近年来引起广泛重视。一是注意到肾功能不全患者肺结核患病率增高，二是肾脏毒性和肾功能不全时化疗药物蓄积毒性的预防和处理。慢性肾功能不全特别在血液透析者肺结核患病率数十倍于常人，尤其是男性患者。以粟粒性肺结核为多，结核菌素试验常呈无反应性，病死率高于20%。高患病率原因尚不清楚，可能与肾功能不全者免疫功能削弱、氨基酸和维生素等营养要素经透析丧失有关，亦有人推测由于血液接触透析膜，补体被激活，溶酶体蛋白水解酶释放，引起包裹性干酪灶融解。在常用的抗结核药物中，异烟肼、吡嗪酰胺、乙胺丁醇、氨基糖苷类（链霉素、卡那霉素、阿米卡星）、卷曲霉素、氟喹诺酮类均不同程度影响肾功能。主要表现为排泄缓慢、半衰期延长，加重毒性反应和肾功能损害。肾功能不全时慢乙酰化型异烟肼半衰期延长40%，乙胺丁醇半衰期延长至20小时，链霉素半衰期延长至48小时。因我国大部分人对异烟肼的代谢属于快乙酰化型，异烟肼减量将大大影响疗效，同时异烟肼容易被透析清除掉，故仍主张可采用常规剂量。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肾功能不全时药物的调整可用减量法，或延长间期法（药物剂量不变，延长用药间隔）。也可按表11-10-10建议调整药物剂量。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表11-10-10　肾衰竭时抗结核药剂量调整</p><p style=\"text-align:none\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180519-1526697966516070686.jpg\" title=\"1526697966516070686.jpg\" alt=\"1526697966516070686.jpg\" width=\"750\" height=\"405\" style=\"width: 750px; height: 405px;\"/></p><p style=\"text-align:center\"><br/></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">注：ESRD：终末期肾病；●：延长用药间期；◇：减少药量（常规剂量的%）</p><p>（六）矽肺结核的抗结核治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">矽肺致肺泡巨噬细胞功能损害，而且药物不易穿透至纤维性病灶，故矽肺结核的治疗困难。中国香港报道某花岗岩建筑工地矽肺患者中40%患活动性肺结核，应用H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>R<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>Z<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>S<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>方案，疗程8个月，有抗结核治疗史的患者在最初3个月还加用乙胺丁醇，3年和5年复发率分别为22%和33%，对照组3年复发率仅为7%。这些患者强化期后痰菌阴转率偏低（80%），而药物不良反应高达20%（链霉素和吡嗪酰胺耐受性差）。我国台湾的研究则表明矽肺结核应用2HRZS/7HR治疗成功率为95%，随访18～40个月复发率仅5%，该方案较香港方案具有更好的耐受性。</p><p>（七）支气管结核</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">指发生在气管、支气管黏膜及黏膜下层的结核病。它可以作为肺结核病的一部分，随着肺结核有效化疗的发展，其重要性曾一度被低估。由于纤维支气管镜检查的广泛开展，近年特别注意到不合并肺结核的单纯性支气管结核，长期被误诊，常导致不可逆性支气管狭窄，治疗十分困难。年轻患者特别是女性患者顽固性咳嗽、单侧哮鸣音或影像学上肺容积缩小，不论肺实质有无病灶均应考虑到支气管结核的可能性，通过纤支镜检查以确诊。据支气管镜所见，支气管结核分为浸润型（充血水肿型）、溃疡坏死型、肉芽增殖型、瘢痕狭窄型和管壁软化型。前三者具有活动性，后两者属非活动型。活动性病变患者基本治疗与肺结核相同，气管局部给药（雾化吸入经纤支镜局部灌注或多点注射）可能减少气道狭窄的发生，但缺乏严格的对照研究。在抗结核药物保护下尽早使用糖皮质激素（全身或局部）亦可能有益。对于非活动性支气管结核，外科手术仍是基本方法，特别在合并可切除的肺结核的患者。单纯管壁软化型可植入无膜覆盖金属支架。单个纤维环狭窄者可选择球囊扩张术。较广泛瘢痕狭窄者经反复球囊扩张无效者可试作覆膜金属支架或Dumon支架，一旦出现支架损坏或再狭窄需要考虑取出支架。</p><p>（八）老年肺结核的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">老年人药代动力学特点是肝脏代谢能力受限和肾排泄能力低下，致使血药浓度偏高，因此对药物耐受性低，故用药剂量必须适当减少。首先选择毒副作用小又便于观察的药物组成治疗方案：①初治患者采用HRZ为基础方案，可以E代替S，以L代替R，疗程6个月；②有条件的患者也可以选择对氨基水杨酸异烟肼复合剂替代异烟肼，左氧氟沙星替代吡嗪酰胺；③复治患者选择含2～3种敏感药组成方案，疗程8个月以上；④注意观察药物不良反应，每2周查肝功能，注意肾功能检查。用E的病例治疗前和治疗后每日做眼底、视力、视野检查。如遇必须用S的病例每月做听力检查。</p><p>（九）抗结核化疗的标准化方案与治疗个体化</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">推荐的标准化治疗方案是大量研究和实践经验的总结，具有普遍性指导意义。在制定和执行国家结核病控制计划和大规模治疗中必须贯彻标准化方案，以规范整个治疗过程。但是临床病情可以千差万别，所以在执行标准化方案时，如果治疗效果不如预期，特别是在重症（如血行播散）、严重组织破坏、存在其他危险因素等时，则应当允许临床实行个体化治疗。这还涉及疗效评价标准的掌控问题。痰菌转阴应是最基本和最有意义的疗效评价标准，但我国传统的做法是很重视X线的动态变化，需要摒弃陈旧的观点和习惯。另一方面X线影像学的疗效在重症或特殊患者同样是值得参考的指标。总之，应当一切从病情实际出发，正确理解和合理运用标准化治疗方案。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5561', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '81', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">流行性出血热（epidemic hemorrhagic fever，EHF）是由汉坦病毒引起的、经鼠传播的自然疫源性疾病。临床上以发热、低血压、出血、肾脏损害等为特征，主要病理变化是全身小血管和毛细血管广泛性损害，是我国较常见的急性病毒性传染病。1982年世界卫生组织（WHO）将具有发热、出血和肾脏损害为特征的病毒性疾病统称为肾综合征出血热（hemorrhagic fever with renal syndromes，HFRS），包括我国的流行性出血热、朝鲜半岛的朝鲜出血热、前苏联的出血性肾炎、芬兰的流行性肾病及前南斯拉夫的流行性肾炎等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5562', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '81', '病原', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病毒属布尼亚病毒科（<em style=\"box-sizing: border-box;\">Bunyaviridae</em>）汉坦病毒属<em style=\"box-sizing: border-box;\">（Hantavirus genus</em>），现统称为汉坦病毒（<em style=\"box-sizing: border-box;\">hantavirus，</em>HV）。1976年韩国学者李镐汪等首次从韩国出血热疫区的黑线姬鼠肺组织中分离到该病毒，我国学者于1981年和1982年也相继从黑线姬鼠和褐家鼠体内分离到了汉坦病毒。本病毒为有包膜、单链负股的RNA病毒，呈圆形、卵圆形或长形，直径为70～210nm。病毒基因组RNA分大（L）、中（M）、小（S）三个基因片段，分别编码RNA多聚酶、包膜糖蛋白G1和G2及核衣壳蛋白。包膜糖蛋白含中和抗原和血凝抗原，前者可诱导机体产生中和抗体，后者引起低pH依赖性细胞融合，对病毒进入细胞胞质起重要作用。核衣壳蛋白含补体结合抗原，抗原性强，可刺激机体产生强烈的体液及细胞免疫应答，且其抗体出现最早，在病程第2～3日即能检出，可用于早期诊断。汉坦病毒目前至少可分成30个血清型，不同鼠类携带不同血清型，所致出血热的临床表现轻重不一。如Ⅰ型汉滩病毒（Hantaan virus），主要宿主动物是姬鼠，又称野鼠型，所致疾病属重型；Ⅱ型汉城病毒（Seoul virus），主要宿主动物是褐家鼠，又称家鼠型，所致疾病属中型；Ⅲ型普马拉病毒（Puumala virus），主要宿主动物是欧洲棕背<img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%86%85%E7%A7%91%E5%AD%A6_%E5%85%A82%E5%86%8C(%E4%B8%8A)_978-7-117-17272-1/pics/BZ_423_829_1205_846_1222.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/>，又称普马拉型，病者属轻型；Ⅳ型希望山病毒<em style=\"box-sizing: border-box;\">（Prospect Hill virus</em>），主要宿主是美国田鼠，但迄今未见人致病。以上四型均经WHO汉坦病毒参考中心认定。其余血清型如泰国病毒（<em style=\"box-sizing: border-box;\">Thai virus</em>），主要宿主动物是泰国板齿鼠，不致病；多布拉伐-贝尔格莱德病毒（<em style=\"box-sizing: border-box;\">Dobrava-Belgrade virus</em>），主要宿主动物是斯洛文尼亚黄喉姬鼠，引起重型HFRS；而1993年在美国西南部暴发流行的汉坦病毒肺综合征（hantavirus pulmonary syndrome，HPS），是辛柏若型病毒（<em style=\"box-sizing: border-box;\">Sinvirus</em>），主要宿主动物是美国鹿鼠，病变以肺部损害为主，病死率高达50%～70%。我国主要流行Ⅰ型和Ⅱ型病毒，但最近还报告有普马拉型、沟型病毒和大别山型病毒存在。汉坦病毒可在人肺癌A549细胞、非洲绿猴肾VeroE6细胞、人胚肺二倍体细胞、地鼠肾细胞、大白鼠肺原代细胞、长爪沙鼠肾细胞、人外周血白细胞、人脐静脉血管内皮细胞等生长培养，但以VeroE6细胞最为适宜。汉坦病毒对脂溶剂敏感，如乙醚、氯仿、丙酮、苯、氟化碳、去氧胆酸盐等均可灭活该病毒。一般消毒剂及戊二醛、水浴60℃1小时及紫外线照射30分钟也可灭活病毒。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5563', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '81', '流行病学', '<p>（一）传染源</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鼠类是主要传染源，鼠密度的消长与人群发病率基本一致。黑线姬鼠和欧洲棕背<img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%86%85%E7%A7%91%E5%AD%A6_%E5%85%A82%E5%86%8C(%E4%B8%8A)_978-7-117-17272-1/pics/BZ_424_470_442_487_459.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/>分别是亚洲和欧洲地区的主要传染源。在国内农村的主要传染源是黑线姬鼠和褐家鼠。东北林区则为大林姬鼠。城市的主要传染源是褐家鼠，实验动物的主要传染源是大白鼠。此外，黄胸鼠、小家鼠、巢鼠、普通田鼠等亦可为本病的传染源。近年来已在猫、狗、猪、兔、臭鼩鼱等动物中分离出本病毒或抗原。此外，在青蛙、蛇及鸟类也检出HV，说明本病毒的宿主动物范围较广。要注意通过鸟类远距离传播本病毒的可能。由于臭鼩鼱、猫等为自然带毒动物，故在疫区不宜提倡养猫。</p><p>（二）传播途径</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病的传播途径迄今还未完全阐明。可能有如下3种：①虫媒传播：革螨、小盾恙螨为出血热疫区黑线姬鼠鼠窝和鼠体的优势螨种。早在20世纪40年代日本学者就将寄生在黑线姬鼠上的革螨制成悬液，注入人体，可产生典型的流行性出血热临床表现。螨能自然感染、叮刺传播和经卵传递HV（病毒主要定位在螨的卵巢、支肠细胞等组织内），成为病毒的储存宿主。②动物源传播：是本病的主要传播方式。人类由于接触带病毒的宿主动物或其排泄物而感染。呼吸道是传播本病的重要途径。黑线姬鼠感染后第10日，其唾液、尿和粪便开始有病毒排出，尿排毒时间较长。带病毒的排泄物以气溶胶形式通过呼吸道被吸入而使人类致病；其次是通过消化道传播，人摄入被鼠排泄物污染的食物或水后，病毒经破损的口腔黏膜进入人体而致病；另可通过与动物的接触传播，被鼠咬伤或破损伤口接触带病毒的鼠类排泄物、血液后可导致感染。秋季是黑线姬鼠繁殖季节，其带毒排泄物污染土壤和农作物，秋收农民破损皮肤接触的机会增多，病毒可经过皮肤伤口引起感染。③垂直传播：在患病孕妇所流产胎儿的肝、肾、肺等脏器内，能分离到本病毒。说明该病毒可经胎盘垂直传播。</p><p>（三）人群易感性</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">人群普遍易感，但以青壮年、农民多见。据统计，2006—2010年，我国发病人群中16～59岁者占81.87%，男女之比3.2∶1，农民占66.83%。儿童发病极少见。隐性感染较少。发病后2周血清抗体可达高峰，持续时间较长。感染Ⅰ型病毒后，中和抗体可维持1～30年，感染Ⅱ型病毒后，中和抗体只可维持2年；Ⅰ型病毒感染者对Ⅱ型病毒有一定的交叉免疫力，Ⅱ型病毒感染者对Ⅰ型病毒免疫力不强。</p><p>（四）流行特征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病分布广泛，世界5大洲78个国家的人或动物均有汉坦病毒感染，但主要分布于欧、亚两大洲，包括中国、朝鲜、日本、前苏联、芬兰、前南斯拉夫等。该病在我国20世纪30年代初现于黑龙江流域，后蔓延至除青海和新疆外的其余32个省、市。世界上90%的病例发生在中国，但自2005年以来，报告病例数逐年减少，年发病数已降至1万左右。2006—2010年中国HFRS疫情分析报告显示，发病总数为53 471例，黑龙江、吉林、辽宁、山东、陕西、浙江、湖北、河南等8省市发病率居全国前8位，发病数占全国报告病例数的80.44%。近年欧洲部分国家HFRS的流行日渐严重，如芬兰2008年报告病例数达3259例，德国2007年报告发病数1678例。俄罗斯联邦自1995年以来每年发病数均在7000～9000例间。HFRS已居俄罗斯联邦人兽共患病毒性疾病发病数的首位。流行季节呈双峰和单峰两种类型，双峰型系指5～6月份有一小峰，10～12月有流行高峰；单峰型只有10～12月一个高峰，野鼠型以秋、冬季为多，家鼠型以春、夏季为多。除季节性流行外，一年四季均可发病。在我国，家鼠型疫情逐年增多，野鼠型则相对减少，疫区逐渐由野鼠型、家鼠型趋向混合型。&nbsp;发病机制</p><p>（一）发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">流行性出血热的发病机制迄今仍未完全阐明。近年来研究提示汉坦病毒感染为本病发病的启动因子，病毒感染后激发机体的免疫反应并产生免疫病理损害，从而导致一系列复杂的病理生理过程，产生发热、低血压休克、出血和肾衰竭等临床经过。目前主要有如下学说：</p><p>1.病毒学说</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要依据是：①患者早期有病毒血症期，且有相应的症状。②不同血清型的病毒，所致症状的严重程度不同。研究者观察到机体对不同血清型病毒的易感性不同；而病情的轻重又与病毒抗原差异及其毒力强弱有关。③病毒呈泛嗜性感染，在肝、肺、肾、骨髓、胸腺、脾、淋巴结等细胞及全身器官的血管内皮细胞均能检出病毒抗原，病毒抗原分布多的脏器病理损害较重，反之较轻，提示脏器组织病变严重程度与病毒分布的数量有关。④近期研究发现，β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>整合素是致病性汉坦病毒感染的主要受体，并且可能参与了血管屏障功能的维持。致病性HV与整合素α<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">γ</span>β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>结合，抑制了β<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>整合素介导的内皮细胞迁移，也抑制了整合素αγβ<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>的调节功能，进而影响了血管内皮细胞的通透性。αⅡbβ<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>整合素是血小板表面主要受体，通过与病毒相互作用，血小板的功能受到影响，导致血小板的减少。致病性HV还可增强内皮细胞对于VEGF介导的通透性的反应性。</p><p>2.免疫学说</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要依据是：①患者早期血液特异性IgE和组胺均明显增高，嗜碱性粒细胞脱颗粒试验阳性。组胺增加可引起毛细血管扩张和血管通透性增加，产生皮肤、黏膜充血及水肿，提示Ⅰ型变态反应参与发病。②患者早期血清补体下降，血中存在特异性循环免疫复合物，免疫组化提示抗原为病毒抗原，应用IFA在镜下可见小血管、毛细血管、肾小球及肾小管基底膜等均有特异性免疫复合物沉积，同时存在补体裂解片段，表明Ⅲ型变态反应也参与发病，引起血管和肾损害；还有研究发现在血小板、红细胞表面、内皮细胞内及表面均有免疫复合物沉积，电镜观察肾组织除颗粒状IgG沉着外，肾小管基底膜存在线状IgG沉积，提示Ⅱ型变态反应参与血小板的减少和肾小管的损害。另外Ⅳ型免疫反应可能也参与发病。③研究者还观察到患者非特异性细胞免疫呈抑制状态，特异性细胞免疫则明显增强。在发热期即可发现T细胞的激活，自发性T细胞功能低下。另外，由于CD8<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>T淋巴细胞的扩增导致了急性期外周血中CD4/CD8T细胞比值下降或倒置，HFRS的严重程度与CD8<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>CTL的数量密切相关。在动物实验中发现能产生病毒特异性CD8<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>T细胞的感染小鼠可清除病毒，表明细胞免疫也参与发病，但在清除病毒的同时，也损伤了大量的靶细胞。在HFRS急性期，血浆IFN-γ、TNF-α、IL-2、IL-6、前列腺素、内皮素等水平都有所提高，而且，TNF-α的增高程度与HFRS的严重程度有关，提示细胞因子，炎症介质等大量释放也参与了发病，近期体外研究发现，静脉内皮细胞经汉滩病毒（HTNV）感染后，可上调TLR4受体表达，引起IFN-β、TNF-α、IL-6分泌增加，并通过非依赖MyD88信号通路，使核转录因子由胞浆转运到胞核，表明机体的固有免疫TLR4在宿主的抗病毒免疫中也起着重要作用。</p><p>（二）病理生理1.休克早期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由HV及免疫复合物的共同作用所致，两者引起全身小血管和毛细血管的广泛性损害，加上血管活性物质的作用，致血管扩张、通透性增加、血浆外渗和有效循环血量下降。在疾病早期，补体旁路途径先被激活，促使肥大细胞和受损血小板释出血管活性物质、凝血因子等，也加重了血管扩张和通透性增加。随着病情的发展，补体经典途径也被激活，加上红细胞表面免疫复合物的沉积以及无氧代谢等均进一步加重血管损害，有效循环血量迅速下降，引起低血压或休克。以上诸因素均有助于DIC形成，微循环淤滞加重，促使休克向纵深发展。</p><p>2.出血</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多种因素参与出血的发生。①小血管损伤：在病毒、免疫复合物及休克等因素作用下，血管内皮细胞肿胀、变性甚至坏死，导致小血管损伤而出血。②血小板减少和血小板功能障碍：因病毒侵犯骨髓使骨髓巨核细胞成熟障碍，血小板生成减少；免疫复合物沉积在血小板表面，经激活补体后导致血小板破坏；血管损伤后需大量血小板去修补，以及DIC等均消耗了大量血小板。上述因素引起出血。另外，血小板的黏附、凝聚及释放功能的降低均影响血液的凝固，使受损的毛细血管和小血管渗血或出血不止。③凝血机制的异常：由于DIC形成消耗了大量凝血因子，导致凝血因子不足和凝血障碍，从而引起出血。此外，DIC引起的继发性纤溶亢进，使纤维蛋白原降解产物增多，由于它们具有强烈的抗凝血作用而导致出血。另外，肝素的合成增加、灭活和排泄障碍，使血中游离肝素增加，引起出血。</p><p>3.急性肾衰竭</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">其原因包括：①肾血流障碍：由于血浆外渗，血容量减少和血液浓缩，使肾血流量不足，以致肾小球滤过率急剧下降，引起少尿。②肾脏的免疫损伤：肾小球和肾小管基底膜有免疫复合物沉积，补体激活后可使肾小球基底膜和肾小管上皮细胞受损，导致肾衰竭。③肾间质水肿和出血：血浆外渗引起肾间质水肿、肾髓质充血和出血，从而压迫肾小管，使尿量减少。④肾缺血性坏死：低血压休克和DIC导致肾血管微血栓形成，使肾实质细胞产生缺血性坏死。⑤肾素、血管紧张素Ⅱ的激活：使肾动脉收缩，肾皮质血流减少，肾小球滤过率减少。⑥肾小管管腔阻塞：肾小管管腔被尿蛋白、管型等阻滞或阻塞，使尿液排出受阻。</p><p>（三）病理</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病的基本病理变化是全身小血管（包括小动脉、小静脉和毛细血管）的广泛性损害，血管内皮细胞肿胀、变性，甚至坏死。重者管壁可发生纤维蛋白样坏死和破裂等，内脏毛细血管高度扩张淤血，导致血栓形成，引起各组织、器官的充血、出血、变性甚至坏死，以肾脏、垂体前叶、肾上腺皮质、右心房内膜、皮肤等处病变尤为显著。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5564', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '81', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">潜伏期8～39日，一般为2周。约10%～20%的患者有前驱症状，表现为上呼吸道卡他症状或胃肠道功能失调。临床上可分为发热期、低血压期、少尿期、多尿期、恢复期五期，但也有交叉重叠。</p><p>（一）发热期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">起病急骤，有畏寒、发热，体温一般在39～40℃之间，热型以弛张型为多，少数呈稽留型或不规则型，体温越高、热程越长，则病情越重。头痛、腰痛、眼眶痛等“三痛”症状明显，畏光、视力模糊，极度乏力。同时伴有恶心、呕吐、腹痛、腹泻等消化道症状。颜面及眼眶区有明显充血，似酒醉貌，上胸部潮红。球结膜水肿、充血，有出血点或出血斑。软腭、腋下可见散在针尖大小的出血点，有时呈条索状或抓痕样。肋椎角有叩痛，尿中含大量蛋白质，镜下可见红细胞、白细胞及管型。本期一般持续3～7日。</p><p>（二）低血压休克期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一般于病程第4～6日出现，也可出现于发热期。轻者血压略有波动，持续时间短。重者血压骤然下降，甚至不能测出。休克早期患者的皮肤潮红、温暖、出汗多，以后出现脸色苍白、发绀、四肢厥冷，口渴、呕吐加重，尿量减少，脉搏细速，可出现奔马律或心力衰竭。同时有烦躁不安、谵语、摸空等精神症状，重者有狂躁、精神错乱等。若休克长时间不能纠正，可向DIC、脑水肿、ARDS和急性肾衰竭等方向发展。本期一般持续1～3日。</p><p>（三）少尿期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多出现于病程第5～7日。尿量明显减少（24小时内少于400ml），甚至尿闭（24小时尿量少于50ml）。此期胃肠道症状、神经精神症状和出血症状最为显著。患者有口渴、呃逆、呕吐、腹痛、谵语、摸空、幻觉、抽搐、鼻出血、呕血、便血、咯血、尿血、肋椎角叩痛显著等，皮肤、黏膜出血点增多。血压大多升高，脉压增大。病情严重者可出现尿毒症、酸中毒、高钾血症等。由于尿少或尿闭加上血浆等的大量再吸收，可出现高血容量综合征而引起心力衰竭、肺水肿等。本期一般持续1～4日。</p><p>（四）多尿期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多始于病程第10～12日。由于循环血量增加，肾小球滤过功能改善，肾小管上皮细胞逐渐修复，但再吸收功能仍差；加之少尿期在体内潴留的尿素等代谢产物的排泄，构成渗透性利尿的物质基础，故出现多尿和夜尿症。此期可分为：①移行期；尿量每日由500ml增至2000ml，此期尿量虽增加，但血肌酐、尿素氮仍上升，症状加重；②多尿早期：尿量每日超过2000ml，氮质血症无改善，症状仍重；③多尿后期：每日可排出超过3000ml低比重的尿液，并逐日增加，甚至可达10 000ml以上，全身症状明显好转。尿液的大量排出可导致失水和电解质紊乱，特别是低钾血症，同时易继发细菌感染。本期一般持续数日至数周。</p><p>（五）恢复期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一般在病程的第4周开始恢复，尿量逐渐回复正常，夜尿症消失，尿浓缩功能恢复。一般情况好转，除软弱外，无明显自觉症状。整个病程约1～2个月。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">以上各期并非每一病例都有，重者可前2期或3期交叉重叠，轻者或非典型者可跃期，仅有发热期和多尿期。野鼠型临床表现较典型，病情经过较重，出现休克、出血、肾脏损害者较多见，病死率高。家鼠型临床表现多不典型，经过较轻，较少出现休克、出血、肾脏损害，病程较短，多数患者发热后直接进入多尿期或恢复期，病死率低。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床分型按病情轻重本病可分为四型。</p><p>（1）轻型：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①体温在38℃左右，中毒症状轻；②血压基本在正常范围；③除皮肤和（或）黏膜有出血点外，其他处无明显出血现象；④肾脏损害轻微，尿蛋白在+～++，没有明显少尿期。</p><p>（2）中型：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①体温39～40℃，全身中毒症状较重，有明显的球结膜水肿；②病程中收缩压90mmHg，或脉压＜26mmHg；③皮肤、黏膜及其他部位有明显出血现象；④肾脏损害明显，尿蛋白可达“+++”，有明显的少尿期。</p><p>（3）重型：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①体温≥40℃，全身中毒症状及外渗现象严重，或出现中毒性精神症状者；②病程中收缩压＜70mmHg，或脉压＜20mmHg，并呈现临床休克过程者；③出血现象较重，如皮肤瘀斑、腔道出血；④肾脏损害严重，少尿持续在5日以内，或尿闭2日以内者。</p><p>（4）危重型：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在重型基础上，出现以下任何严重症候群者：①难治性休克；②出血现象严重，有重要脏器出血；③肾脏损害极为严重，少尿期超过5日，或尿闭2日以上，或尿素氮超过42.84mmol/L；④心力衰竭、肺水肿；⑤出现脑水肿、脑出血或脑疝等中枢神经系统并发症；⑥严重继发感染。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5565', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '81', '并发症', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要有严重的腔道出血、急性心力衰竭、急性呼吸窘迫综合征、自发性肾脏破裂；脑水肿、脑出血或脑疝等中枢神经系统并发症；支气管肺炎及其他继发感染等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5566', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '81', '实验室检查', '<p>（一）血、尿常规</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">外周血白细胞总数增多，可达（15～30）×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L，分类中早期以中性粒细胞为主，以后淋巴细胞增多，并出现较多的异常淋巴细胞；从发热至低血压期因血液浓缩，红细胞总数和血红蛋白升高；血小板明显减少。尿常规中有明显的蛋白、红细胞、白细胞、管型等。</p><p>（二）血液生化</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多数患者在低血压休克期，少数患者在发热后期开始出现血肌酐、尿素氮增高，移行期末达高峰，多尿后期开始下降。部分患者血ALT、AST也有轻度升高。</p><p>（三）凝血因子</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">凝血酶时间、凝血酶原时间、纤维蛋白原、白陶土部分凝血活酶时间、鱼精蛋白副凝试验（3P试验）、纤维蛋白（原）降解产物等可有不同程度的异常。</p><p>（四）血清学检测</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要包括IgM捕获ELISA法、IgM捕获法胶体金标记试纸条快速检测法、间接ELISA法（检测特异性IgG抗体）、免疫荧光试验（IFAT，检测双份血清IgG抗体）。若患者血清中抗HV-IgM阳性（1∶20阳性）或IgG双份血清（间隔1周以上时间采集）滴度4倍以上升高有诊断意义。IgM抗体的捕获法胶体金标记试纸条快速检测法，通常在加入待检血清后5～15分钟即可获得结果，因此是当前检测时限最短的实验室诊断方法。尤其适于基层医疗单位和现场流行病学调查。在血清学检测中，传统所采用的抗原多数来自于病毒感染的鼠脑或培养细胞，产量低且安全性差。由于核衣壳蛋白抗原性强，抗体出现最早，近年来采用分子生物学技术，以在原核或真核细胞中表达的汉坦病毒重组核衣壳蛋白为抗原，提高了血清学诊断的特异性和敏感性。</p><p>（五）病毒核酸检测</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">采用RT-PCR、PCR-ELISA、实时荧光定量PCR或DNA微阵列技术等分子生物学方法检测患者血或尿中病毒核酸，具有特异性强、敏感度高等特点，有助于疾病的早期诊断。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5567', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '81', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据流行病学资料、临床表现和实验室检查结果可作出诊断。</p><p>（一）流行病学</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括流行地区、流行季节，与鼠类直接和间接接触史，进入疫区或两个月以内有疫区居住史。</p><p>（二）临床表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括早期典型的临床表现和病程的5期经过。早期典型的临床表现为起病急、发热、头痛、眼眶痛、腰痛、酒醉貌，球结膜水肿、充血、出血，软腭、腋下有出血点，肋椎角有叩击痛及肾功能损害。病程的5期经过包括发热期、低血压休克期、少尿期、多尿期及恢复期。</p><p>（三）实验室检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">外周血象白细胞总数及分类中异常淋巴细胞增多，红细胞总数和血红蛋白上升，血小板明显减少。尿变化显著，血肌酐、尿素氮增高。血特异性抗体或HV-RNA阳性。无特异性实验诊断条件的医疗单位，在流行病学、临床表现、常规实验室检查和病期经过4项中3项阳性者，也可确诊为本病。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5568', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '81', '鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病早期应与上呼吸道感染、流行性感冒、败血症、伤寒、钩体病相区别。有皮肤出血斑者应与血小板减少性紫癜区别，蛋白尿应与急性肾盂肾炎、急性肾小球肾炎相区别。腹痛应与急性阑尾炎、急性胆囊炎相区别；消化道出血应与溃疡病出血相区别，咯血应与支气管扩张、肺结核咯血相区别。本病有典型临床表现和独特的病期经过，以及血清学检测等，均有助于鉴别。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5569', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '81', '预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病的病死率一般在1%～1.5%左右，与病型轻重、治疗是否及时、得当密切相关。在我国Ⅰ型病毒感染者的病死率要高于Ⅱ型病毒感染者的病死率。重型患者主要死亡原因是难治性休克、出血（主要是脑出血和肺出血）等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5570', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '81', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早诊断、早休息、早治疗、就地或就近治疗是本病治疗的关键。</p><p>（一）发热期的治疗1.一般治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患者应卧床休息，给予高热量、高维生素半流质饮食。本病因血管损害引起血管通透性增加，血浆外渗，电解质丢失，加上高热、食欲缺乏、呕吐等导致摄入量不足，使有效循环血量减少、电解质平衡失调、血液胶体渗透压和晶体渗透压下降。应补充足够的液体，输液应以盐液为主，宜用平衡盐液、葡萄糖盐水等，每日1000～2000ml静脉滴注，疗程3～4日。早期输液可使病情减轻。在无肾功能损伤者，可适量选用20%甘露醇，具有扩容、减轻组织水肿、利尿作用。</p><p>2.抗病毒治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早期抗病毒治疗，有利于减轻病毒引起的病理损伤，阻断病程的进展。利巴韦林是广谱抗病毒药物，主要通过抑制肌苷酸6-磷酸脱氢酶，阻断肌苷酸转变为鸟苷酸，从而抑制病毒核酸合成。剂量为10～15mg/ （kg？d），分2次溶于葡萄糖液静脉滴注，疗程5～7日。</p><p>3.预防DIC</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前常用的药物有：①丹参，是活血化瘀药物之一，丹参能增加红细胞膜表面电荷，防止红细胞凝集，降低血液黏滞度，防止弥散性血管内凝血（DIC）和抑制纤溶的发生；能解除血管痉挛，提高微循环灌注量，促进血液循环。丹参注射液24g溶于葡萄糖液中静脉滴注，每日1～2次，疗程3～4日。②10%右旋糖酐40，500ml/d，静脉滴注。中毒症状重者或渗出明显者，应定期随访凝血时间，若出现高凝状态，可用小剂量肝素。</p><p>4.肾上腺皮质激素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">具有降温、抗炎、抗渗出、解除中毒症状等作用，对高热中毒症状重者，可选用氢化可的松100～300mg/d加入液体中静脉滴注，连用3～5日。</p><p>（二）低血压期的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一旦休克发生，应积极补充血容量，调整血浆胶体渗透压，纠正酸中毒，调节血管舒缩功能，防止DIC形成，提高心脏搏出量等。</p><p>1.补充血容量</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早期补充血容量是治疗低血压休克的关键性措施，常用溶液为10%右旋糖酐40，有扩充血容量、提高血浆渗透压、抗血浆外渗、减少红细胞与血小板间的聚集、疏通微循环、改善组织灌注和渗透性利尿等作用。用法：首次可用200～300ml快速滴注，维持收缩压在100mmHg左右，然后根据血压、脉压大小，血红蛋白值、末梢循环和组织灌注的动态变化，决定滴注速度和用量。一般以每日输注500～1000ml为宜。超过此数量时，可配用平衡盐液或5%葡萄糖盐水、葡萄糖液等，每日补液总量一般不超过2500～3000ml。出现下列指征时表示血容量已补足：①患者安静、清醒，症状改善，四肢温暖；②血压稳定在100mmHg上下，脉压＞30mmHg，脉搏有力，心率保持在每分钟80～100次；③末梢循环良好；④血红蛋白接近基础水平，血液浓缩现象消失；⑤尿量＞25ml/h。</p><p>2.调整血浆胶体渗透压</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">休克时，血浆胶体渗透压明显降低，血管内液体大量流向组织间隙，造成血管内血容量急剧下降，组织间隙组织液迅速增加。重型休克或血管渗出现象特别显著者，若单纯输晶体液，血浆胶体渗透压将进一步下降，大量液体又迅速渗出血管外，以致造成血压不稳和内脏、浆膜腔进行性水肿的恶性循环，还易诱发肺水肿等。对此类患者在用一般抗休克方法治疗无效时，应及时输25%白蛋白10～20g，血浆300～400ml，以提高血浆胶体渗透压，稳定血压，有利于休克的逆转，由于本期有血液浓缩，不宜输全血。</p><p>3.纠正酸中毒</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">休克时常伴有代谢性酸中毒。后者可降低心肌收缩力和血管张力，并可影响血管对儿茶酚胺的敏感性，因此纠正酸中毒是治疗休克的一项重要措施。一般首选5%碳酸氢钠，用量不宜过大（24小时内用量不超过800ml），以防钠潴留而加重组织水肿和心脏负担。近年来观察本病在发热期和低血压休克早期常以呼吸性碱中毒为主，严重休克或少尿期则以代谢性酸中毒为主，故应根据血pH或血气分析选用合适的药物。</p><p>4.血管活性药物的应用</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如休克得不到纠正，应及时加用血管活性药物，以调整血管舒缩功能，使血流重新畅通，从而中断休克的恶性循环。血管活性药物有血管收缩药和血管扩张药两类，可根据休克类型来选用。</p><p>（1）血管收缩药物：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">适用于血管张力降低的患者。出血热休克以小血管扩张为主的温暖型休克多见，故一般多采用血管收缩药。常用的有去甲肾上腺素、间羟胺等。①去甲肾上腺素：能兴奋血管的α受体，使血管收缩，以皮肤、黏膜血管收缩最为明显。冠状血管则舒张。本药尚有兴奋心脏受体的作用，使心肌收缩力加强，心搏出量增加。常用剂量为0.5～1mg静脉滴注。②间羟胺（阿拉明）：主要作用于α受体，与去甲肾上腺素相似。本药可被肾上腺素能神经末梢摄取，进入突触前膜附近囊泡，通过置换作用，促使囊泡中储存的去甲肾上腺素释放。本药不易被单胺氧化酶C（MAO）破坏，故作用较持久，但连续应用可使囊泡内去甲肾上腺素耗尽，而使效应减弱或消失。其升压作用较去甲肾上腺素弱而持久，能兴奋心脏、增加心脏搏出量。常用量为10mg静脉滴注。</p><p>（2）血管扩张药物：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">适用于冷休克病例，应在补足血容量的基础上应用。①α受体阻断药：以甲磺酸酚妥拉明（苄胺唑啉）为代表，可解除内源性去甲肾上腺素所致的微血管痉挛和微循环淤滞，亦可解除高浓度去甲肾上腺素等所致的肺微循环阻滞，使肺循环血液流向体循环，故可防止由去甲肾上腺素引起的肺水肿和肾脏并发症。本品作用时间短，易于掌握，常用量为0.1～0.2mg/kg加入100ml葡萄糖液中静脉滴注。②受体兴奋剂：常用者为多巴胺等。多巴胺为去甲肾上腺素的前身，对心脏有受体兴奋作用，对周围血管有轻度收缩作用，但对内脏如肝、胃肠道、肠系膜、肾脏等的小动脉及冠状动脉有扩张作用。用后可使心肌收缩力加强，心搏出量增多，肾血流量和尿量增加，动脉压轻度增高，并有抗心律失常作用。常用量为10～20mg静脉滴注，滴速为每分钟2～5μg/kg。</p><p>（3）血管活性药物的联合应用：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一种血管活性药物的效果不明显时，可考虑缩血管药物和扩血管药物合用，如去甲肾上腺素+酚妥拉明、间羟胺+多巴胺、去甲肾上腺素+多巴胺等，有利于疏通微循环，并增强升压效果。</p><p>5.强心药物的应用</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">适用于心功能不全而休克持续者。强心药物可增强心肌收缩力、增加心搏出量，改善微循环，促进利尿等。常用者为去乙酰毛花苷0.2～0.4mg加于葡萄糖液40ml稀释后静脉缓慢推注。</p><p>（三）少尿期的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患者出现少尿现象时，必须严格区别是肾前性抑或肾性少尿，确定肾性少尿后，可按急性肾衰竭处理。</p><p>1.一般治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">少尿期患者血液中血浆胶体渗透压仍处于较低水平，患者常伴有高血容量综合征和细胞脱水现象。出现中枢神经系统症状的患者，应作血液渗透压监测，以区别高渗性脑病抑或低渗性脑水肿。有高血容量综合征伴有低胶体渗透压的患者，若输液不当易诱发肺水肿。通常给高热量、高维生素半流质饮食，限制入液量，可根据患者排出量决定摄入量；即前一日尿量、大便与呕吐量加400ml。当发生少尿或无尿时，液体要严格控制，24小时进液量不宜超过1000ml，并以口服为主。</p><p>2.功能性肾损害阶段的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">利尿药的应用：呋塞米（速尿）是作用于肾小管的近端和远端的利尿药物，抑制钠、水的再吸收，而发挥较强的利尿作用。用法为每次20～ 200mg静脉推注。</p><p>3.肾脏器质性损害阶段的治疗（1）导泻疗法：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可使体内液体、电解质和尿素氮等通过肠道排出体外，对缓解尿毒症、高血容量综合征等有较好效果，但必须无消化道出血者可用：①20%甘露醇250～350ml一次口服，效果不显时，可加用50%硫酸镁40ml同服；②大黄30g、芒硝15g，将大黄泡水后冲服芒硝，也可与甘露醇合用。</p><p>（2）透析疗法：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">腹膜透析或血液透析，目前大多采用血液透析。透析可替代肾脏的部分排泄功能，去除血中尿素氮和过多的水分，纠正电解质和酸碱平衡失调，为肾脏修复和再生争取时间。应用指征：①无尿1日，经静脉注射呋塞米（速尿）或用甘露醇静脉快速滴注无利尿反应者；②高钾血症；③高血容量综合征；④严重出血倾向者。透析时应注意透析液的渗透压，如低于血液渗透压，可使透析液流向血液，易引起肺水肿和心力衰竭；透析脱水过快、或休克刚过、血容量不足的患者，易引起休克，应及时停止脱水，并给予输液或输血；有出血倾向患者进行血液透析时，应减少肝素的应用。</p><p>4.出血的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">少尿期出血现象最为突出，出血明显者需输给新鲜血或血小板。前者含有功能正常的血小板和凝血因子，有利于止血。血小板明显低下者，应输大量正常新鲜血小板。有鼻出血者可针刺合谷、迎香穴，强刺激，留针30分钟。消化道出血者的治疗同溃疡病出血，如反复大量出血内科疗法无效时，可考虑手术治疗。</p><p>5.抽搐的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">引起抽搐的常见原因为尿毒症和中枢神经系统并发症等。除针对病因治疗外，立即静脉缓慢推注地西泮（安定）10mg，肌内注射5%苯妥英钠5ml。抽搐持续发作者可用异戊巴比妥（阿米妥钠）0.2g，稀释后缓慢静脉推注，可使抽搐迅速停止。异戊巴比妥（阿米妥钠）止痉作用强，但可引起血压下降和呼吸抑制，故在注射过程中应密切观察血压和呼吸变化。抽搐反复发作者可加用盐酸氯丙嗪（冬眠灵）、异丙嗪（非那根）、盐酸哌替啶（度冷丁）各25mg置于葡萄糖液中静脉滴注。</p><p>6.继发感染的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多见为呼吸道和泌尿道感染，可根据病情和致病菌种类及其药敏试验而选用抗菌药物。有急性肾衰竭者应选用对肾脏无毒性或低毒的抗菌药物，剂量应予适当调整。</p><p>（四）多尿期的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多尿主要引起失水和电解质紊乱，如低钾血症等。应补充足量的液体和钾盐，以口服为主，静脉为辅，过多静脉补液易使多尿期延长。患者恢复后，需继续休息1～3个月，病情重者，休息时间宜更长。体力活动需逐步增加。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5571', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '81', '预防', '<p>（一）灭鼠和防鼠</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">灭鼠是防止本病流行的关键，在流行地区要组织群众，在规定的时间内同时进行灭鼠。灭鼠时机应选择在本病流行高峰（5～6月份和10～12月份）前进行。春季应着重灭家鼠，初冬应着重灭野鼠。灭鼠常用方法有机械法和毒饵法等。防鼠要注意床铺不靠墙，睡高铺，屋外挖防鼠沟等。</p><p>（二）灭螨和防螨</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">要保持屋内清洁、通风和干燥，经常用杀虫剂喷洒灭螨。清除室内外草堆。</p><p>（三）做好消毒工作</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对发热患者的血、尿和宿主动物尸体及其排泄物等，均应进行消毒处理，防止污染环境。</p><p>（四）疫苗接种</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">20世纪80年代以来，国内外学者进行出血热疫苗的研制。迄今研制的疫苗有灭活疫苗、基因工程疫苗（包括以痘苗病毒为表达载体的重组痘苗病毒活病毒、多肽疫苗及核酸疫苗）和减毒活疫苗。目前灭活疫苗已用于人群预防。我国研制的流行性出血热灭活疫苗有地鼠肾原代细胞疫苗（Ⅱ型和双价）、沙鼠肾原代细胞疫苗（Ⅰ型、Ⅱ型和双价）和乳鼠脑组织纯化疫苗（Ⅰ型）等，这些疫苗已在流行地区部分人群中试用，取得良好的效果，中和抗体阳转率达到90%～100%，不良反应轻。免疫程序为：根据当地流行的出血热病毒血清型选择疫苗，0、14日基础免疫2针后，第6个月强化1次。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '12', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5572', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '88', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp; &nbsp; &nbsp; &nbsp; 急性胆管炎即急性化脓性胆管炎是胆管的细菌性炎症，并合并有胆管梗阻的病理改变。是外科急腹症中死亡率较高的一种疾病，多数继发于胆管结石、胆管良性或恶性狭窄、胆管内放置支撑管、经导管胆管内造影和ERCP术后、胆道蛔虫症等。造成胆管长期梗阻或不完全性阻塞，使胆汁淤积，继发细菌感染导致急性梗阻性化脓性胆管炎。致病菌几乎都来自肠道，经乏特壶腹、经胆肠吻合的通道或经各类导管逆行进入胆道，亦可通过门静脉系统进入肝脏，然后进入胆道。致病菌主要为大肠埃希菌、克雷白杆菌属、粪链球菌和某些厌<a class=\"drugA\" style=\"box-sizing: border-box; background: transparent; color: rgb(51, 122, 183);\">氧</a>菌。</p><p style=\"text-align: right;\">&nbsp;&nbsp;&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5573', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '88', '病理变化', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp; &nbsp; &nbsp; &nbsp; 继发于胆道梗阻性疾病的急性胆管感染，均有肝内和（或）肝外胆管以及胆管周围组织的急性、亚急性和（或）慢性弥漫性化脓性炎症改变。主要表现为胆管黏膜充血，水肿，出血，加重胆管的梗阻，胆汁逐渐变成脓性，胆管内的压力不断增高，梗阻近侧的胆管逐渐扩大。在含有脓性胆汁的胆管高压的作用下，肝脏可肿大，肝内小胆管及其周围的肝实质细胞亦可发生炎性改变、肝细胞大片坏死，形成肝内多发性小脓肿。胆管也可因感染化脓造成黏膜糜烂、坏死、溃疡和胆道出血。胆管内高压造成肝内毛细胆管破溃，脓性胆汁甚至胆栓即由此经肝内血窦进入血液循环，造成菌血症和败血症。少数还可发生肺部脓性栓塞。在后期，可出现神经精神症状、发生感染性休克、肝肾功能衰竭或弥散性血管内凝血等一系列病理生理变化，此即为急性梗阻性化脓性胆管炎，又称重症型胆管炎，或称急性中毒性胆管炎。即使手术解除了胆管高压，但这些病理改变在肝实质和胆管仍会留下损害，这也是本症的严重性所在。</p><p style=\"text-align: right;\">&nbsp;&nbsp;&nbsp;&nbsp;实用外科学 (上册)</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5574', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '88', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp; &nbsp; &nbsp; &nbsp; 起病常急骤，突然发生剑突下或右上腹剧烈疼痛，一般呈持续性。继而发生寒战和弛张型高热，体温可超过40℃，常伴恶心和呕吐。约80%的患者可出现临床上显著黄疸，但黄疸的深浅与病情的严重性可不一致。当患者出现烦躁不安、意识障碍、昏睡乃至昏迷等中枢神经系统抑制表现，同时常有血压下降现象。往往提示患者已发生败血症和感染性休克，是病情危重的一种表现，已进入梗阻性化脓性胆管炎（AOSC）阶段，此时，体温升高，脉率增快可超过120次/分，脉搏微弱，剑突下和右上腹有明显压痛和肌紧张。如胆囊未切除者，常可扪及肿大和有触痛的胆囊和肝脏，血白细胞计数明显升高和左移，可达20×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/～40×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L，并可出现毒性颗粒。血清胆红素和碱性磷酸酶值升高，并常有ALT和γ-GT值增高等肝功能损害表现。血培养常有细菌生长，血培养细菌种类常与手术时所获得胆汁的细菌相同。</p><p style=\"text-align: right;\">&nbsp;&nbsp;&nbsp;&nbsp;实用外科学 (上册)</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5575', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '88', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp; &nbsp; &nbsp; &nbsp; 根据临床表现中有典型的腹痛、寒战高热和黄疸的三联症，即夏柯征（Charcot）即可诊断急性化脓性胆管炎，当病情发展中又出现中枢神经系统抑制和低血压等临床表现（即Reynold五联症），急性梗阻性化脓性胆管炎的诊断，便可成立。仅在少数患者，如肝内胆管结石并发的急性梗阻性化脓性胆管炎，可仅出现发热，而腹痛和黄疸可轻微或完全不出现，会延误诊断。化脓性胆管炎不能满足于该病的诊断，而是要确定该病所处的发展阶段、严重程度、病变范围和胆管梗阻的准确部位，以便确定治疗方案。在诊断急性梗阻性化脓性胆管炎同时，可通过某些特殊检查方法，如B超、CT、MRCP等非损伤性检查，来明确引起该病的胆道潜在性疾病。在急性梗阻性化脓性胆管炎得到控制后胆道造影是不可缺少的检查，可行PTC、ERCP或内镜超声等检查，常可显示肝内或肝外胆管扩张情况、狭窄或梗阻的部位和性质、从而推断胆管内梗阻的原因。</p><p style=\"text-align: right;\">&nbsp;&nbsp;&nbsp;&nbsp;实用外科学 (上册)</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5576', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '88', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;治疗原则是解除胆管梗阻，减压胆管和引流胆道，使感染过程完全得以控制。早期轻症胆管炎，病情不太严重时，可先采用非手术治疗方法。非手术治疗措施包括解痉镇痛和利胆药物的应用，其中50%<a class=\"drugA\" style=\"box-sizing: border-box; background: transparent; color: rgb(51, 122, 183);\">硫酸镁</a>溶液常有较好的效果，用量为30～50ml一次服用或10ml每日3次；禁食胃肠减压；大剂量广谱抗生素的联合使用，虽在胆管梗阻时胆汁中的抗生素浓度不能达到治疗所需浓度，但它能有效治疗菌血症和败血症，常用的抗生素有第二、第三代头孢菌素类药物及<a class=\"drugA\" style=\"box-sizing: border-box; background: transparent; color: rgb(51, 122, 183);\">甲硝唑</a>。新型<a class=\"drugA\" style=\"box-sizing: border-box; background: transparent; color: rgb(51, 122, 183);\">青霉素</a>如哌拉西林、美洛西林和亚胺培南也可应用，应以血或胆汁细菌培养以及药物敏感试验调整抗生素治疗。约有75%左右的患者，可获得病情稳定和控制感染。而另25%患者对非手术治疗无效，应考虑手术治疗。病程发展成急性梗阻性化脓性胆管炎患者对抗生素治疗与支持治疗反应差时，提示病情危重，应采取积极抢救治疗措施。如有休克存在，应积极抗休克治疗。非手术治疗6小时后病情仍无明显改善，休克不易纠正，可行内镜下胆道引流和减压。这已成为治疗急性梗阻性化脓性胆管炎的主要方法之一，尤其适用于年老体弱不能耐受手术或已行多次胆道手术的患者，在情况理想时还可同时取石。对病情一开始就较严重，特别是黄疸较深的病例，又不具备内镜下胆道引流和减压的条件时可直接施行剖腹手术引流，胆管切开探查和T形管引流术。手术方法应力求简单有效，应注意的是引流管必须放在胆管梗阻的近侧，因为有的胆管梗阻是多层面的，在梗阻远侧的引流是无效的，病情不能得到缓解。如病情条件允许，还可切除有结石和炎症的胆囊。待患者度过危险期后，经T形管胆道造影全面了解胆道病变的情况后，经胆道镜取石，或再作择期手术，或经内镜括约肌切开以彻底解决引起胆道梗阻的潜在病变。</p><p style=\"text-align: right;\">&nbsp;&nbsp;&nbsp;&nbsp;实用外科学 (上册)</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5577', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '94', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp; &nbsp; &nbsp; &nbsp; 肝硬化（hepatic cirrhosis）是一种由不同病因长期作用于肝脏引起的慢性、进行性、弥漫性肝病的终末阶段。是在肝细胞广泛坏死基础上产生肝脏纤维组织弥漫性增生，并形成再生结节和假小叶，导致肝小叶正常结构和血液供应遭到破坏。病变逐渐进展，晚期出现肝功能衰竭、门静脉高压和多种并发症，死亡率高。在我国肝硬化是消化系统常见病，也是后果严重的疾病。年发病率17/10万，主要累及20～50岁男性。城市男性50～60岁肝硬化患者的病死率高达112/10万。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5578', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '94', '疾病分类  ', '<p>&nbsp; &nbsp; &nbsp; 按病理形态分类可分为小结节性肝硬化、大结节性肝硬化、大小结节混合性肝硬化、不完全分隔性肝硬化(为肝内小叶结构尚未完全改建的早期硬变)。 &nbsp; &nbsp;</p><p>&nbsp; &nbsp; &nbsp; 按病因分类可分为病毒性肝炎肝硬化、酒精性肝硬化、代谢性肝硬化、胆汁淤积性肝硬化、肝静脉回流受阻性肝硬化、自身免疫性肝硬化、毒物和药物性肝硬化、营养不良性肝硬化、隐源性肝硬化。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5579', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '94', '病因与病理生理', '<p>【病因】</p><p>&nbsp; &nbsp; &nbsp; 引起肝硬化的病因很多，其中主要是病毒性肝炎(Viral hepatitis)所致，如乙肝(Hepatitis b)、丙肝(Hepatitis c)等。同时还有酒精肝(Alcohol liver)、脂肪肝(Fatty liver disease)、胆汁淤积(Cholestasis)、药物、营养等方面的因素长期损害所致。</p><p>一、病毒性肝炎：目前在中国，病毒性肝炎尤其是慢性乙型肝炎，是引起门静脉性肝硬化的主要因素。 &nbsp; &nbsp;</p><p>二、酒精中毒：长期大量酗酒，是引起肝硬化的因素之一。目前认为酒精对肝脏似有直接毒性作用，它能使肝细胞线粒体肿胀，线粒体嵴排列不整，甚至出现乙醇透明小体，是肝细胞严重损伤及坏死的表现。 &nbsp;&nbsp;</p><p>三、营养障碍：多数学者承认营养不良可降低肝细胞对有毒和传染因素的抵抗力，而成为肝硬化的间接病因。动物实验证明，喂饲缺乏胆碱或蛋氨酸食物的动物，可经过脂肪肝的阶段发展成肝硬化。 &nbsp; &nbsp;</p><p>四、工业毒物或药物：长期或反复地接触含砷杀虫剂、四氯化碳、黄磷、氯仿等，或长期使用某些药物如双醋酚汀、异烟肼、辛可芬、四环素、氨甲喋呤(mtx)、甲基多巴，可产生中毒性或药物性肝炎，进而导致肝硬化。黄曲霉素也可使肝细胞发生中毒损害，引起肝硬化。</p><p>五、循环障碍：慢性充血性心力衰竭、慢性缩窄心包炎可使肝内长期淤血缺氧，引起肝细胞坏死和纤维化，称淤血性肝硬化，也称为心源性肝硬化。 &nbsp;&nbsp;</p><p>六、代谢障碍：如血色病和肝豆状核变性(亦称wilson病)等。 &nbsp; &nbsp;</p><p>七、胆汁淤积：肝外胆管阻塞或肝内胆汁淤积时高浓度的胆红素对肝细胞有损害作用，久之可发生肝硬化，肝内胆汁淤积所致者称原发胆汁性肝硬化，由肝外胆管阻塞所致者称继发性胆汁性肝硬化。 &nbsp; &nbsp;</p><p>八、血吸虫病：血吸虫病时由于虫卵在汇管区刺激结缔组织增生成为血吸虫病性肝纤维化，可引起显著的门静脉高压，亦称为血吸虫病性肝硬化。 &nbsp;&nbsp;</p><p>九、原因不明：部分肝硬化原因不明，称为隐源性肝硬化。 &nbsp; &nbsp;</p><p>【病理生理】</p><p>&nbsp; &nbsp; &nbsp; 肝硬化的主要发病机制是进行性纤维化。正常肝组织间质的胶原(i和ⅲ型)主要分布在门管区和中央静脉周围。肝硬化时i型和ⅲ型胶原蛋白明显增多并沉着于小叶各处。随着窦状隙内胶原蛋白的不断沉积，内皮细胞窗孔明显减少，使肝窦逐渐演变为毛细血管，导致血液与肝细胞间物质交换障碍。肝硬化的大量胶原来自位于窦状隙(disse腔)的贮脂细胞(ito细胞)，该细胞增生活跃，可转化成纤维母细胞样细胞。初期增生的纤维组织虽形成小的条索但尚未互相连接形成间隔而改建肝小叶结构时，称为肝纤维化。如果继续进展，小叶中央区和门管区等处的纤维间隔将互相连接，使肝小叶结构和血液循环改建而形成肝硬化。 &nbsp;&nbsp;</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5580', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '94', '临床表现 ', '<p>&nbsp; &nbsp;</p><p>1.<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>代偿期(一般属child-pugh a级)：可有肝炎临床表现，亦可隐匿起病。可有轻度乏力、腹胀、肝脾轻度肿大、轻度黄疸，肝掌、蜘蛛痣。影像学、生化学或血液检查有肝细胞合成功能障碍或门静脉高压症(如脾功能亢进及食管胃底静脉曲张)证据，或组织学符合肝硬化诊断，但无食管胃底静脉曲张破裂出血、腹水或肝性脑病等严重并发症。 &nbsp;&nbsp;</p><p>2.失代偿期(一般属child-pugh b、c级)：肝功损害及门脉高压症候群。 &nbsp;&nbsp;</p><p>1)<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>全身症状：乏力、消瘦、面色晦暗，尿少、下肢浮肿。 &nbsp; &nbsp;</p><p>2)<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>消化道症状：纳差、腹胀、胃肠功能紊乱甚至吸收不良综合症，肝源性糖尿病，可出现多尿、多食等症状。 &nbsp; &nbsp;</p><p>3)<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>出血倾向及贫血：齿龈出血、鼻衄、紫癜、贫血。 &nbsp; &nbsp;</p><p>4)<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>内分泌障碍：蜘蛛痣、肝掌、皮肤色素沉着，女性月经失调、男性乳房发育、腮腺肿大。</p><p>5)<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>低蛋白血症(Hypoalbuminemi)：双下肢浮肿、尿少、腹水、肝源性胸水。 &nbsp; &nbsp;</p><p>6)<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>门脉高压：腹水、胸水、脾大、脾功能亢进、门脉侧支循环建立、食道胃底静脉曲张，腹壁静脉曲张。</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5581', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '94', '诊断', '<p><br/></p><p>1. 不能通过简单的血液肝功检测而排除肝硬化；</p><p>2. 建议以下患者行瞬时弹性成像检查筛查肝硬化：丙肝病毒感染者；近期（几个月内）大量饮酒者，其中男性＞50 单位 / 周，女性＞35 单位 / 周，或者已经诊断为酒精性肝病者；</p><p>3. 非酒精性肝病和进展期肝纤维化患者（纤维化检测评分 ≥ 10.51）也建议通过瞬时弹性成像或者声辐射力脉冲成像技术（ARFI）来评估肝硬化；</p><p>4. 不适合瞬时弹性成像检查的患者可考虑给予肝穿活检；</p><p>5. 除非存在非酒精性脂肪肝或进展期肝纤维化，否则肥胖（BMI ≥ 30）或 2 型糖尿病患者不适合无创肝硬化检测；</p><p>6. 建议已确诊的肝硬化患者前往肝病专科就诊；</p><p>7. 以下患者建议每 2 年用相同检查方法评估肝硬化：酒精性肝病，抗病毒治疗后未出现持续病毒学应答的丙肝病毒感染者；非酒精性脂肪肝和进展期肝纤维化者。</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5582', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '94', '鉴别诊断', '<p>1. 肝硬化的临床表现比较复杂,需与有类似表现的疾病相鉴别，腹水需与下列疾病鉴别： &nbsp;&nbsp;</p><p>&nbsp; &nbsp; &nbsp; (1)<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>结核性腹膜炎：肝硬化腹水初起，且进展较快时，可有腹部胀痛，触诊有压痛，需与结核性腹膜炎鉴别，后者有结核中毒症状，腹部可有柔韧感，压痛及反跳痛，症状及体征持续不退，腹水性质为渗出液，极少数可为血性腹水。 &nbsp; &nbsp;</p><p>&nbsp; &nbsp; &nbsp; (2)<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>癌性腹膜炎：腹腔脏器的癌瘤可转移至腹膜而产生腹水，年龄在40岁以上，起病快发展迅速，腹水可呈血性，腹水中可找到癌细胞。 &nbsp; &nbsp;</p><p>&nbsp; &nbsp; &nbsp; (3)<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>卵巢癌：特别是假黏液性囊性癌，常以慢性腹水为临床表现，病情进展缓慢，腹水呈漏出液，有时造成诊断困难，妇科及腹腔镜检查有助于诊断。 &nbsp; &nbsp;</p><p>&nbsp; &nbsp; &nbsp; (4)<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span> &nbsp;缩窄性心包炎：可有大量腹水，易误诊为肝硬化，但静脉压升高，颈静脉怒张，肝大明显，有奇脉，心音强，脉压小等表现可资鉴别。</p><p>&nbsp; &nbsp; &nbsp; (5)<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>巨大肾盂积水及卵巢囊肿：较少见，无移动性浊音，无肝病表现，前者肾盂造影，后者妇科检查可助诊断。</p><p>2. 上消化道出血需与消化性溃疡，出血性胃炎，胃黏膜脱垂，胆道出血等相鉴别： &nbsp;&nbsp;</p><p>&nbsp; &nbsp; &nbsp; (1)消化性溃疡出血：常有溃疡病史，脾不大，无脾功能亢进表现，但与肝硬化同时存在，则鉴别困难，急诊内镜有助诊断，肝硬化病人因食管静脉曲张破裂出血者占53%，其余为溃疡病或胃黏膜病变。</p><p>&nbsp; &nbsp; &nbsp; (2)出血性胃炎：可有诱因如酗酒，药物等引起，可有胃痛，与肝硬化合并存在胃黏膜病变时，鉴别困难，可靠的诊断法是急诊内镜检查。 &nbsp; &nbsp;</p><p>&nbsp; &nbsp; &nbsp; (3)胆道出血：较少见，常有上腹剧痛，发热，黄疸，胆囊肿大压痛等，呕血常在腹部剧痛后发生，胃镜检查，或止血后作逆行胰胆管造影或经皮经肝胆管造影，可发现胆道系统病变。 &nbsp; &nbsp;以上各种出血均可在必要时选择腹腔动脉造影法进行鉴别诊断，造影药在出血部位逸出而显影，根据解剖部位可以推断出血的来源。 &nbsp; &nbsp;</p><p>&nbsp; &nbsp; &nbsp; (4)脾大：需与其他原因所致的疾病鉴别，如疟疾，白血病，霍奇金病，血吸虫及黑热病等，疟疾有反复发作史，血中可查到疟原虫，慢性粒细胞性白血病末梢血白细胞可达10×109/L以上，分类中有幼稚粒细胞，骨髓检查可确诊，霍奇金病常伴淋巴结肿大，依靠淋巴结活检可确诊，黑热病在我国已少见，偶有个别病例，不规则发热，鼻出血，牙龈出血，贫血及末梢血白细胞显著减少(3.0×109/L以下)，骨髓检查或脾穿刺可找到利杜体，血吸虫病有反复疫水接触史，血吸虫环卵试验，血吸虫补体结合试验及皮肤试验等检查为阳性，直肠黏膜活检可找到血吸虫卵，可做粪便孵化试验。</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5583', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '94', '治疗', '<p style=\"text-align: center;\">肝硬化各类分型治疗流程</p><p>检查项目</p><table><tbody><tr class=\"firstRow\"><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\">检查类型</td><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\">检查项目</td><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\">检查指征</td></tr><tr><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\">实验室检查一</td><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\">血常规</td><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\">全血细胞减少，白细胞减少常在 4.0×109/L(4000)以下，血小板多在50×109/L(50000)以下。</td></tr><tr><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\">实验室检查二</td><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\">尿检</td><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\">有黄疸时尿胆红素/尿胆原阳性</td></tr><tr><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\">实验室检查三</td><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\">腹水常规检查</td><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\">腹水为漏出液，密度1.018以下，李氏反 应阴性，细胞数100/mm3以下，蛋白定量少于25g/L。</td></tr><tr><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\">实验室检查四</td><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\">肝功能试验<span class=\"Apple-tab-span\" style=\"white-space: pre;\">	</span></td><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\">肝脏功能很复杂，临床检验方法很多，但 还难以反映全部功能状态，各种化验结果需结合临床表现及其他检查综合分析。</td></tr><tr><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\">影像学检查一</td><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\">超声波检查</td><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\">肝硬化时由于纤维组织增生，超声显示均匀的，弥漫的密集点状回声，晚期回声增强，肝体积可能缩小，如有门静脉高压存在，则门静脉增宽，脾脏增厚。</td></tr><tr><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\">影像学检查二</td><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\">肝穿刺活组织检查</td><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\">用此法可以确定诊断同时可了解肝硬化 的组织学类型及肝细胞受损和结缔组织形成的程度。</td></tr><tr><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\">影像学检查三</td><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\">腹腔镜检查</td><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\">可直接观察肝表面，典型者可见肝表面结节状，腹壁静脉曲张及脾大&nbsp;</td></tr><tr><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\">影像学检查四</td><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\">食管X线钡餐检查</td><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\">食管静脉曲张时，曲张静脉高出黏膜，钡药于黏膜上分布不均出现虫蚀样或蚯蚓样充盈缺损，纵行黏膜皱襞增宽，胃底静脉曲张时，钡药呈菊花样充盈缺损。</td></tr><tr><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\">影像学检查五</td><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\">食管镜或胃镜检查</td><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid; word-break: break-all;\">可直接观察食管，胃有无静脉曲张，并了 解其曲张程度和范围，有助于对上消化道出血的鉴别诊断。</td></tr><tr><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-left-width: 1px; border-top-width: 1px; word-break: break-all;\"><br/>影像学检查六</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-left-width: 1px; border-top-width: 1px; word-break: break-all;\">放射性核素扫描&nbsp;</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-left-width: 1px; border-top-width: 1px; word-break: break-all;\">肝硬化病人肝区可见放射性普遍稀疏，不均匀或斑点状放射减低区；肝硬化时，代偿期可见肝影增大，晚期肝影缩小，脾影增大。</td></tr><tr><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all;\">影像学检查七</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all;\">计算机X线断层扫描(CT)&nbsp;</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all;\">早期呈肝大，密度低，晚期肝缩小，密度多增高，伴脾大和腹水</td></tr><tr><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all;\">影像学检查八</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all;\">选择性肝动脉造影术</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all;\">可反映肝硬化的程度，范围和类型，对与原发性肝癌的鉴别有一定意义。</td></tr><tr><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all;\">影像学检查九</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all;\">经皮脾静脉造影</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all;\">可观察脾静脉，门静脉及侧支静脉的影像，鉴别门静脉高血压系肝内抑或肝外梗阻引起，并能了解侧支循环的程度和血流方向，为分流术提供资料。</td></tr><tr><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all;\">影像学检查十</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all;\">肝静脉导管术</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all;\">可以测肝静脉压，以了解门静脉压的改变。</td></tr></tbody></table><p>治疗流程</p><table><tbody><tr class=\"firstRow\"><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">治疗分型</td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">治疗方法</td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">药物</td></tr><tr><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">肝硬化的治疗</td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">支持治疗</td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">高渗葡萄糖液、维生素C、胰岛素、氯化钾</td></tr><tr><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">肝炎活动的患者可给予保肝、降酶、 退黄等治疗</td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">肝泰乐、维生素C</td></tr><tr><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">口服降低门脉压力的药物</td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">心得安、硝酸酯类、钙通道阻滞剂</td></tr><tr><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">补充B族维生素和消化酶</td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">维康福</td></tr><tr><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">脾功能亢进的治疗</td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">利血生、鲨肝醇、氨肽素</td></tr><tr><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">腹水的治疗<span class=\"Apple-tab-span\" style=\"white-space: pre;\">	</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">双氢克尿噻、氨苯蝶啶、安体舒通、速尿剂</td></tr><tr><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">门静脉高压症的外科治疗</td><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid;\"><br/></td></tr><tr><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">肝脏移植手术<span class=\"Apple-tab-span\" style=\"white-space: pre;\">	</span></td><td width=\"233\" valign=\"top\" style=\"border-width: 1px; border-style: solid;\"><br/></td></tr><tr><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">乙肝肝硬化的抗病毒治疗</td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\"><span style=\"font-size:11px;font-family:宋体\">代偿期乙型肝炎肝硬化</span></td><td width=\"233\" valign=\"top\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">拉米夫定、阿德福韦酯、恩替卡韦 、替比夫定、干扰素</td></tr><tr><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"border-width: 1px; border-style: solid;\"><br/></td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">失代偿期乙型肝炎肝硬化</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">核苷（酸）类似物抗病毒药物</td></tr><tr><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">其他肝硬化及并发 症治疗</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">对因治疗</td><td valign=\"top\" colspan=\"1\" rowspan=\"1\" style=\"word-break: break-all; border-width: 1px; border-style: solid;\">严格按照临床用药</td></tr></tbody></table><p>并发症 &nbsp; &nbsp;</p><p>1)<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>感染：以原发性腹膜炎最常见。发生率约3~10%，腹部有压痛、反跳痛、腹水为渗出液，末梢血象增高。 &nbsp; &nbsp;</p><p>2)<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>上消化道出血：食道胃底静脉曲张破裂出血及肝源性胃肠道黏膜溃疡出血。 &nbsp;&nbsp;</p><p>3)<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>肝性脑病：在肝硬化基础上，病人摄入蛋白过量、消化道出血、感染、电解质紊乱均可诱发肝性脑病。 &nbsp; &nbsp;</p><p>4)<span class=\"Apple-tab-span\" style=\"white-space: pre;\">	</span>肝肾综合征：表现为少尿、无尿、氮质血症、低钠、高钾、肝昏迷、低血压休克。</p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5588', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '97', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp; &nbsp; &nbsp; &nbsp; 膀胱结石可分为原发性和继发性两种，主要发生于5岁以下的儿童和60岁以上的老年人。男性患者的发病率是女性的十几倍。原发性膀胱结石多由营养不良所致，偏远山区多发于婴幼儿外，已不多见。继发性膀胱结石主要继发于良性前列腺增生症或者下尿路梗阻，随着寿命的延长此病也逐渐增多。另外结石容易发生在有尿道狭窄、膀胱憩室、异物以及长期引流管和神经源性膀胱功能障碍等。</p><p style=\"text-align: right;\">&nbsp;&nbsp;&nbsp;&nbsp;来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (下册)</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5589', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '97', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp; &nbsp; &nbsp; &nbsp; 典型的膀胱结石常见于儿童，在排尿时由于结石突然阻塞在膀胱颈部，发生排尿中断，并引起剧烈疼痛，此时病孩常用手握阴茎，蹲坐哭叫，但体位变化又可引起顺利排尿。膀胱黏膜与不光滑的结石摩擦引起出血、感染、黏膜溃疡，偶可发生严重的膀胱溃疡，甚至穿破到阴道、直肠，形成尿漏。结石和炎症长期刺激可诱发膀胱鳞状上皮癌。长期梗阻可造成输尿管与肾盂扩张、积水、肾功能受损。多数患者平时有尿频、尿急、尿痛和终末血尿，常有排尿中断现象。前列腺增生引起继发性结石，可能仅有排尿困难。大的膀胱结石在直肠指检有时能摸到。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (下册)</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5590', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '97', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp; &nbsp; &nbsp; &nbsp; 根据病史、临床表现、B超和尿路平片容易确诊，但寻找引起梗阻的原因甚为重要。金属探条由尿道插入膀胱内检查，触及结石时有摩擦感和金属声。必要时行膀胱镜检查，除能明确诊断外，尚可发现结石的原因。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (下册)</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5591', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '97', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp; &nbsp; &nbsp; &nbsp; 膀胱结石治疗原则：①取出结石；②纠正形成结石的原因。治疗方法包括：内腔镜手术、开放手术和ESWL。经尿道激光碎石术是目前治疗膀胱结石有效的方法，目前使用较多的是钬激光碎石。钬激光还能同时治疗引起结石的其他疾病，如前列腺增生、尿道狭窄等，且不受结石大小的限制。此外，还可以应用经尿道气压弹道碎石术，但碎石效率差于钬激光碎石术。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp; &nbsp; &nbsp; &nbsp; 如成人的膀胱结石直径在2cm以内，也可采用经尿道碎石钳碎石术，并将碎石块冲洗干净。此法简单有效，可在门诊进行。对于有尿道狭窄和结石直径超过4cm者，如无条件行经尿道钬激光碎石术，也可行耻骨上膀胱切开取石；如有前列腺增生，应同时摘除，以免结石复发。其他亦有应用体外冲击波碎石或超声波、微爆破等碎石的报道，但目前应用较少。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp; &nbsp; &nbsp; &nbsp; 婴幼儿有足够的乳制品，即可预防发生膀胱结石。另外，去除诱发因素，如积极治疗尿道狭窄等梗阻疾病，在膀胱手术时不可用不吸收缝线穿入黏膜以免异物形成结石核心。有造瘘导管者应定期更换，并确保通畅。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (下册)</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5606', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '98', '概述', '<p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp; 尿路感染(urinary tract infection，UTI)是指病原体在尿路中生长繁殖，并侵犯泌尿道黏膜或组织而引起的炎症，是细菌感染中最常见的一种感染。UTI影响个体范围广泛，而且对机体产生的临床影响也非常广泛，从具有革兰阴性脓毒血症的急性肾盂肾炎到无症状性菌尿，甚至还有有症状的无菌尿。并且常与其他专科疾病相伴随。尿路感染按临床可分为急性和慢性，也可分为上尿路感染和下尿路感染；上尿路感染最常见的是肾盂肾炎，临床又有急性肾盂肾炎和慢性肾盂盂肾炎之分。急性肾盂肾炎可引起败血症、弥漫性血管内凝血(DIC)、成人呼吸窘迫综合征(ARDS)等，可危及生命。慢性肾盂肾炎在幼儿，尤其是5岁前的幼儿易影响肾脏的发育。成年人慢性肾盂肾炎可引起高血压和慢性肾功能衰竭。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;一般来说，肾盂肾炎是指肾盂和相邻肾组织的炎症。急性肾盂肾炎的组织病理学改变相对简单，概念明确。慢性肾盂肾炎概念比较混乱。目前认为：根据放射学及形态学证据，慢性肾盂肾炎这一概念仅限于那些有明确的肾盂肾盏的炎症、肾实质的纤维化和肾盂肾盏变形表现的患者；而感染性菌尿伴有膀胱输尿管反流(VUR)、尿路梗阻、原发性尿路解剖学异常的患者，应分别被诊断为反流性肾病、尿路梗阻并感染、“某种尿路解剖学异常”并感染等。因此对于临床符合慢性肾盂肾炎表现的患者，必须首先确定是否应为反流性肾病、尿路梗阻并感染、“某种尿路解剖学异常”并感染等疾病，不能仅仅给予慢性肾盂肾炎的诊断。只有少数经过检查排除反流、尿路梗阻、原发性尿路解剖学异常的患者，可以给予慢性肾盂肾炎的诊断，即所谓特发性慢性肾盂肾炎。在临床上，如果尿路感染引起了严重的慢性肾脏病变，常常是由于存在尿道异常或VUR等原发疾病所致。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;需要强调的是，各种致病菌除能引起尿路感染外，还能引起小管间质性肾炎。小管间质性肾炎是与肾盂肾炎不同的概念，前者是小管间质性肾病的一种，后者是尿路感染的一种。当然，两者之间存在联系，急性肾盂肾炎可进一步发展表现为急性肾功能衰竭的急性小管间质性肾炎。反流性肾病是指与VUR相关的肾脏瘢痕病变，属于慢性小管间质性肾炎的范畴，尽管通常有细菌感染参与其发病机制，或伴有细菌的感染，但也有一些反流性肾病患者没有真性菌尿的存在。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;下尿路感染包括多种疾病，其中膀胱炎是指局限于膀胱的炎症，当每毫升尿液中致病菌大于10万个/ml时，不管是否有症状均称为有意义性菌尿。无症状性菌尿是指病人存在有意义性菌尿，而没有需要内科处理的临床症状。一个更恰当的概念是隐匿性菌尿，它的定义是通过人群健康体检筛查发现的有意义性菌尿。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5607', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '98', '流行病学', '<p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;尿路感染可发生在任何年龄，但对各年龄段的女性、两个年龄极端的男性、肾移植病人和任何有泌尿系统功能异常的患者的影响尤为明显。尿路感染很显然是女性多发的疾病。从婴儿期到10岁的女孩中，尿路感染的发生率约1.2%，这些感染者中约1/3是无症状的。在开始发作细菌尿之后，约80%的学龄期女孩将会有一次以上的再发作，这些再发作的80%是由于再感染，而不是深部组织感染的再复发。估计最少有5%～6%的学龄期女孩在5～18岁，至少有一次尿路感染发作。成年妇女中，细菌尿的发病和流行与年龄、性活动的程度和避孕的方式有关，年龄15～24岁的女性1%～3%有细菌尿，每10年增加1%～2%，以后到60～70岁时发病率10%～15%；40%～50%的妇女，在其生活中至少有一次尿路感染；年龄在24～64岁的妇女每年尿异常的发生率约20%，约一半会求医，求医组中约1/3有急性尿道综合征，2/3(约6%的成年女性)为有明显的临床尿道症状的细菌尿。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;而新生儿中1%有菌尿，其中男性发生率为女性的2～4倍，这与先天性泌尿生殖道畸形、脊髓发育不良、脑脊髓膨出等导致的膀胱输尿管反流、包皮过长有关。新生儿肾盂肾炎的报道多来自新生儿监护病房。研究表明在病房中流行的新生儿肾盂肾炎是由于大肠埃希杆菌株在患者中传播所致，一旦这些尿路致病菌株发生肠性移行，则可以侵入尿路。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;学龄期男孩中细菌尿发生率在0.04%～0.14%，因尿道结构和神经性障碍的发生率在学龄期男孩比患尿路感染的学龄期女孩高，如果男孩直到10岁才发作细菌尿，则尿道结构异常发生率低，预后是好的。同性恋的男性群体尿路感染的危险明显增加，并可引起与女性一样的大肠埃希杆菌株感染。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;在50岁以前没有尿道插管的男性，无论有无临床症状，发生细菌尿是不常见的。随着年龄的增加，55岁以后男性前列腺疾患如增生、肥大、肿瘤等逐步增加，也明显增加了尿路感染发生的机会，此时男性尿路感染发生率明显升高。到70岁时，细菌尿的发生率在其他方面健康的男性中达到3.5%，而在住院的男性中则达到15%以上。随着慢性衰竭性疾病发生，两性中发生细菌尿达25%～50%的水平，这时女性的发生率仅轻微高出男性。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;有些人群中尿路感染的危险性增加，这种危险性在孕妇最明显，其细菌尿的发生率为4%～10%，是同龄非孕妇的2倍。60%早在怀孕时患有无症状性细菌尿的孕妇，如果不治疗将会发生有症状性的感染，1/4～1/3发展成肾盂肾炎；25%～30%患有与怀孕有关的细菌尿的女性，在产后随访时有感染的发生，甚至在生产后10～14年发生。相反，在同龄无怀孕相关的细菌尿的妇女中，其感染发生率仅5%。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;约30%有细菌尿病史的孕妇，其排泄性尿路造影提示有慢性肾盂肾炎，可是，这并不是说，怀孕与细菌尿有关。最近的数据提示，在怀孕时已发生感染、产后又再发感染的女性，新近的感染又被怀孕时出现的激素和机械性变化而加剧。很少有证据提示怀孕期间发生的第一次感染有长期的作用。确实，怀孕期间细菌尿的发生率，在儿童期有尿路感染病史的妇女中明显升高。另一个特殊性是孕妇发生的肾盂肾炎特别与具有P鞭毛的尿道致病菌感染有关，这种细菌可黏附于上皮细胞上。在性生活活跃的女性中，性交是症状性尿路感染病理生理中的一个重要因素。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;患有解剖异常或梗阻或排尿不完全的任何类型神经性紊乱的患者，其尿路感染和肾盂肾炎的发生率增加。特别重要的一组患者是由于脊髓损伤而致截瘫或四肢瘫痪的患者，在这组患者中出现细菌尿、尿道脓肿，最后发展成VUR和进行性的肾瘢痕形成是常见的。引起这组患者尿路感染的危险因素包括膀胱过度扩张、VUR、高压性排尿、排尿后尿液大量残留、尿道内结石、膀胱出口处梗阻、留置导尿管和尿道分流术后。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;肾移植的患者是另一组发生尿路感染的特殊危险患者。据报道，如果不预防性使用抗生素，其尿路感染的发生率为35%～79%，这组患者发生尿路感染的危险因素包括：与输尿管吻合有关的技术性并发症、移植前未根除的尿道感染、手术后留置导尿管、肾脏遭受的物理或免疫性损伤、免疫抑制药的使用。这些因素中的前两个，由于移植患者的预处理和手术技术的进展，已大大地减少了。可是，由于术后要留置导尿管1～7天，这样，给感染提供了机会。合理的推测为移植过程中，机械性损伤与免疫性损害一样，肾脏易遭感染，一旦发生感染，免疫抑制药的治疗可以扩大它的损伤。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;移植后第一个3个月内发生的尿路感染，常与异体的移植物、细菌血症和常规抗生素治疗下复发率高有关。相反，在后期发生的尿路感染，可常规使用抗生素10～14天，很少发生菌血症和需要住院，预后很好。例外的情况是要估价尿路的功能性和解剖学异常，例如，结石、梗阻性肾病，或膀胱功能极差。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5608', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '98', '病因', '<p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp; 尿路感染95%以上是由单一细菌引起的。其中90%的门诊病人和50%左右的住院病人，其病原菌是大肠埃希杆菌，此菌血清分型可达140多种，致尿感型大肠埃希杆菌与病人粪便中分离出来的大肠埃希杆菌属同一种菌型，多见于无症状菌尿或无并发症的尿感；变形杆菌、产气杆菌、克雷白肺炎杆菌、铜绿假单胞菌、粪链球菌等见于再感染、留置导尿管、有并发症之尿感者；白色念珠菌、新型隐球菌感染多见于糖尿病及使用糖皮质激素和免疫抑制药的病人及肾移植后；金黄色葡萄球菌多见于皮肤创伤及吸毒者引起的菌血症和败血症；病毒、支原体感染虽属少见，近年来有逐渐增多趋向。多种细菌感染见于留置导尿管、神经源性膀胱、结石、先天性畸形和阴道、肠道、尿道瘘等。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp; 尿路感染的细菌类型见表1。</p><p style=\"text-align:center\"><img width=\"554\" height=\"272\" src=\"http://pmmp.cnki.net/cdd/img/5.1.1%20%E5%B0%BF%E8%B7%AF%E6%84%9F%E6%9F%93.files/image001.jpg\"/></p><p style=\"line-height: 2em;\"><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5609', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '98', '发病机制', '<p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;尿路感染是由致病菌入侵所致，其发病机制与病原菌感染有关，病原菌入侵感染的途径和方式大致分以下几种：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;1.上行性感染&nbsp; 大约95%的尿路感染，其病原菌是由尿道经膀胱、输尿管而上行到肾脏的。正常情况下，尿道口上端1～2cm处有少量细菌存在，只有当机体抵抗力降低或尿道黏膜损伤时，细菌才能入侵、繁殖。尿液的冲洗，尿液中的IgA、溶菌酶、有机酸，黏膜的完整性，膀胱移行上皮分泌的抗黏附因子(Muein)均能抵制病原菌的入侵。近年来电镜证实，大肠埃希杆菌表面有许多P菌毛，它们能特异性地识别和结合于尿路上皮细胞表面的相应受体，从而使菌体紧密黏附在尿路上皮细胞上，避免被尿液冲洗掉。大肠埃希杆菌有菌体(O)抗原、鞭毛(H)抗原、荚膜(K)抗原，多糖类的K抗原能抑制吞噬细胞杀菌活性，与其致病力直接有关。变形杆菌无P菌毛和K抗原，不易黏附于膀胱的移行上皮，但能黏附于外生殖器的鳞状上皮细胞上。留置导尿管、尿路结石、刨伤、肿瘤、前列腺增生肥大、先天性尿路畸形(包括膀胱壁内输尿管、括约肌发育不全引起的膀胱输尿管反流)、神经元性膀胱等均是上行性感染的危险因素。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;2.血行性感染&nbsp; 血行性感染仅占尿路感染的3%以下。肾的血流量占心搏出量的20%～25%，败血症、菌血症时，循环血中的细菌容易到达肾皮质。糖尿病、多囊肾、移植肾、尿路梗阻、肾血管狭窄、镇痛剂或磺胺类药物的应用等增加了肾组织的易损性。常见的病原菌有金黄色葡萄球菌、沙门菌、假单胞菌属和白色念珠菌属。直接感染机会罕见，经淋巴道感染尚未证实。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;3.易感因素</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;(1)尿路梗阻：各种原因引起的尿路梗阻，如肾及输尿管结石、尿道狭窄、泌尿道肿瘤、前列腺肥大等均可引起尿液潴留，使细菌容易繁殖而产生感染。妊娠子宫压迫输尿管、肾下垂或肾盂积水等均可使尿液排泄不畅而致本病。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;(2)泌尿系统畸形或功能异常：如肾发育不全、多囊肾、海绵肾、蹄铁肾、双肾盂或双输尿管畸形及巨大输尿管等，均易使局部组织对细菌抵抗力降低。膀胱输尿管反流使尿液由膀胱反流到肾盂，因而增加了患病机会。神经元性膀胱的排尿功能失常，导致尿潴留和细菌感染。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;(3)尿道插管及器械检查：导尿、膀胱镜检查、泌尿道手术均可引起局部黏膜损伤，把前尿道的致病菌带入膀胱或上尿路而致感染。据统计，一次导尿后持续性菌尿的发生率为1%～2%；留置导尿4天以上，则持续性菌尿发生率为90%以上，并有致严重肾盂肾炎和革兰阴性菌败血症的危险。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;(4)女性尿路解剖生理特点：女性尿道长度仅3～5cm，直而宽，尿道括约肌弱，细菌易沿尿道口上升至膀胱，同时尿道口与肛门接近，为细菌侵入尿道提供条件。尿道周围的局部刺激，月经期外阴部易受细菌污染，阴道炎、宫颈炎等妇科疾患，妊娠期、产后及性生活时的性激素变化，均可引起阴道、尿道黏膜改变而利于致病菌入侵。故成年女性尿路感染的发生率高于男性8～10倍。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;(5)机体抵抗力减弱：全身疾病如糖尿病、高血压、慢性肾脏疾病、慢性腹泻、长期使用肾上腺皮质激素等使机体抵抗力下降，尿路感染的发生率明显增高。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;总之，尿路感染的发生是一个相当复杂的过程，概括起来可包括以下几个步骤：</p><p>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;①带有P菌毛的细菌菌落在肠道和尿道口周围并播散至尿道。</p><p>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;②通过尿液反流，细菌在泌尿道内逆行并与泌尿道的上皮细胞的相应受体结合，局部繁殖，产生炎症。</p><p>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;③通过输尿管中尿液的湍流，细菌上行至肾脏，如炎症没及时控制，则肾组织损伤，最终发生纤维化。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5610', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '98', '临床表现', '<p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp; 尿路感染患者根据其分型不同，临床可呈多样化表现。本病临床一般分为单纯型(原发型)和复杂型(继发型)两种。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp; 单纯型尿路感染一般无生理或解剖异常，也无泌尿道手术和插管史，女性常见，多由大肠埃希杆菌从肛门或皮肤进入尿道、阴道繁殖并传播，感染上行至肾引起急性肾盂肾炎，性生活则更有利病原体的上行感染。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;复杂型尿路感染多继发于尿路结石、尿路功能紊乱、泌尿系手术及留置尿管后。上尿路感染主要有急性肾盂肾炎、慢性肾盂肾炎。下尿路感染有细菌性尿道炎；真菌性尿道炎；衣原体尿道炎；支原体尿道炎；滴虫性尿道炎；淋病；膀胱炎等。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;临床上所说的尿路感染复发与复发性尿路感染是两个不同的概念。尿路感染复发是指治疗后菌尿转阴性，但在停药后6周内再发，且致病菌和先前感染完全相同。复发的常见原因有：尿路解剖或功能异常，引起尿流不畅；抗菌药选用不当、剂量和疗程不足；或由于病变部位瘢痕形成，血流差，病灶内抗菌药物浓度不足。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp; 复发性尿路感染是在1年内反复发作3次或3次以上者，称为复发性尿路感染。男性可因前列腺炎或增生、肿瘤引起。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp; 重新感染是指菌尿转阴后，另一种与先前不同的致病菌侵入尿路引起的感染，一般在菌尿转阴6周后再发。妇女的尿路感染再发，85%是重新感染。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;综上所述，由于尿路感染临床变化范围广泛，估价尿路感染患者的临床十分困难。从频发症状性脓尿到严重的肾盂肾炎，从无症状性细菌尿到症状性细菌尿(急性尿道综合征)。有的患者可表现为明显的寒战，体温39～40℃，剧烈的腰痛和明显革兰阴性化脓菌的体征，提示患有急性肾盂肾炎；另有患者可能无这些典型症状，但又不能排除涉及到肾脏的病变，可能为隐匿性肾盂肾炎。本病虽变化多端，但仍有其常见的临床表现。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;1.急性尿道综合征&nbsp; 急性尿道综合征(acute urethral syndrome)又称“无菌性尿频-排尿不适综合征”，是指仅有尿频、尿急和(或)尿痛症状，而中段尿细菌定量培养阴性者。目前已部分明了急性尿道综合征的原因。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;有尿路感染症状的妇女中，40%～50%患者属急性尿道综合征。患此综合征的妇女临床上可基本分为2类：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;(1)脓尿和真性尿路感染：大约70%的急性尿道综合征妇女，尿检时有脓尿和真性尿路感染存在。这类病人大部分为沙眼衣原体或常见的非致病菌如大肠埃希杆菌、腐生葡萄球菌感染，其细菌数少于有意义的细菌数(100～1万个/ml)。其他患者为尿道结核、真菌性尿道感染、或罕见的腹腔或盆腔内脓肿所致毗邻尿道的炎症。治疗可服多西环素(强力霉素)0.1g，2次/d，疗程7～14天，复发者需6周。同时需治疗其配偶。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;(2)无脓尿和致病菌存在：其余30%的急性尿道综合征妇女虽有急性尿道综合征，但无脓尿和致病菌的存在。推测这些症状的产生可能与外伤、性交损伤、局部刺激或过敏(如外用避孕药、内裤上的有机纤维、染料等过敏)、或其他尚未肯定的因素所致。但需3次清洁中段尿细菌培养阴性，并排除尿路结核、真菌、厌氧菌、衣原体、淋球菌感染的可能。本病治疗应检查并去除前述可能引起本病的因素。由于本病大多数可能是焦虑性神经官能症的部分症状，可服用安定2.5mg，3次/d，谷维素10mg，3次/d，对减轻症状有帮助。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;2.无症状性菌尿&nbsp; 无症状性菌尿(asymptomatic bacteriuria)指无泌尿道感染表现，仅偶有些轻度发热、乏力，但多次尿细菌培养阳性，且菌落数大于1万～10万/ml。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;本病多见于成年女性，发生率约为2%。以往认为此为一良性过程，无需治疗。现经大量研究证实，长期的无症状性菌尿亦会损害肾功能，故治疗应与有症状尿路感染相同。特别是在儿童，因常有膀胱-输尿管反流存在，无症状性菌尿易引起上尿路感染。孕妇无症状性菌尿常易发展为急性肾盂肾炎而导致败血症，因此在孕早期就应开始预防性治疗，性交后应即服用呋喃咀啶0.05g、或头孢立新0.25g，能有效防止尿路感染，且对母体和胎儿没有影响。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;3.复杂性的尿路感染&nbsp; 这一概念包括一系列广泛的临床综合征，如无症状性菌尿、膀胱炎、肾盂肾炎、显性尿脓毒血症。在泌尿道有结构异常(尿道或膀胱颈梗阻、多囊肾、结石梗阻、导管及其他异物的存在)、或功能异常(脊髓损伤、糖尿病或多发性硬化症所致的神经元性膀胱)、遗传性尿道肾脏疾病或某一系统性疾病过程使患者对细菌侵入高度易感等因素时，病人常有泌尿道感染的存在。在上述情况存在时，能引起感染的病原微生物比单纯性尿路感染更为广泛，并且这些细菌对抗生素的耐药性也较普遍人群要大的多。由于复杂性UTI的诊治方法不同于那些非复杂性感染，所以临床上区别对待很重要。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;4.巨大肾脓肿和肾周脓肿&nbsp; 肾脏感染的两种不常见类型是巨大肾脓肿和肾周脓肿。过去，大多数肾脓肿是继发于血行性感染的金黄色葡萄球菌或较少见的A族链球菌感染，脓肿主要位于肾的皮质；目前，大部分脓肿是继发于肾结石、肾或输尿管梗阻的情况，由常见的大肠埃希杆菌所致。典型的脓肿位于肾脏皮髓质交界处。由既往存在的肾囊肿发生感染而形成肾脓肿比较少见。邻近部位如结肠或下部肋骨脓肿等病灶局部扩散所致的肾脓肿较为罕见。肾脓肿可延伸进入肾周围组织。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;肾和肾周脓肿的临床表现常较为隐匿，有发热、体重下降、夜间盗汗、厌食、伴有腹痛和背部疼痛等慢性炎症症状。有时由于梗阻而发生与菌血症有关的急性临床表现，或表现为特异性尿路感染症状如尿痛、血尿和明显的尿潴留。体检可发现肋脊角有触痛，甚至可触及包块，但有30%～50%的病人体检可以正常。常规实验室检查可发现有白细胞升高、贫血，尿检查有炎症改变如脓尿、蛋白尿或两者均有，超过半数的病人在出现脓肿时尿中可培养到同样的细菌。要确定诊断必须依赖于排泄性尿路造影证实肾脏有包块的存在。核素扫描、超声波及CT检查也可发现肾内或肾周的炎性包块。如果脓肿未能得到及时引流或抗生素治疗，则脓肿可向腹腔、胸部或皮肤扩散引起并发症。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5611', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '98', '并发症', '<p>&nbsp; &nbsp; &nbsp; &nbsp; 常见并发症是在功能和解剖异常的尿路中出现细菌感染和解剖异常，如输尿管或膀胱颈梗阻、多囊肾、梗阻性结石，以及神经源性膀胱或多发性硬化和肾或肾周脓肿。</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5612', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '98', '实验室检查', '<p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;1.尿常规检查&nbsp; 尿常规检查是最简便而可靠的诊断尿路感染的方法。宜留清晨第1次尿液待测，凡每个高倍视野下超过5个(＞5个/HP)白细胞称为脓尿。急性尿路感染时除有脓尿外，常可发现白细胞管型、菌尿，有时可伴镜下血尿或肉眼血尿，尤其是在布鲁杆菌、奴卡杆菌、放线菌、结核杆菌感染时。偶见微量蛋白尿，如有较多蛋白尿则提示肾小球受累。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;值得一提的是，脓尿不等于表示尿路一定有感染，因为脓尿可被分为感染性脓尿和无菌性脓尿。无菌性脓尿可见于各种小管间质性肾炎。小管间质性肾炎病因广泛，常见疾病有反应性小管间质性肾炎(即系统感染引起的小管间质性肾炎)、变应性小管间质性肾炎(许多药物均可引起)、非甾体类抗炎药物相关肾病、重金属中毒性肾病、放射性肾炎、反流性肾病及各种特发性小管间质性肾炎。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp; 2.尿细菌培养&nbsp; 以往认为，清洁中段尿培养菌落计数＞10万/ml才有临床意义，＜1万/ml为污染所致。现有大量事实证明，虽然约92%革兰阴性细菌引起的尿路感染菌落计数＞10万/ml，但是仅有70%左右的革兰阳性菌引起的尿路感染菌落计数超过10万/ml，而另外20%～30%的患者其菌落计数仅有1000～10万/ml，尤其是大多数下尿路感染者。菌落计数不高的原因有：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;(1)尿频尿急等刺激症状使尿液在膀胱内逗留的时间太短，不利于细菌的繁殖。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;(2)已用抗生素治疗。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;(3)应用利尿药使细菌不易生长繁殖。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;(4)酸化尿不利于细菌生长繁殖。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;(5)有尿路梗阻(如结石并感染)，菌尿排泄受限制。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;(6)腔外感染。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;(7)病原体为厌氧菌，不能被常规培养基培养出来。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;(8)革兰阳性细菌分裂慢，且有凝集倾向，菌落计数往往偏低。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;因此，临床症状符合尿路感染，且尿菌落计数在1000～10万/ml时，也需考虑尿路感染。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;3.菌尿的化学检测方法&nbsp; 以往将尿培养细菌阳性和显微镜检查有脓尿存在作为诊断尿路感染的标准。但是考虑到UTI普遍存在于各年龄组，以及着重强调在家庭或门诊诊断并治疗UTI。现有4种方法可作为菌尿的快速诊断工具。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp; (1)硝酸盐还原法：迄今为止最为常用的仍是Griess硝酸盐还原法。这种检测方法对清晨第1次尿液的测定最为准确，而且还可相当准确地判断感染是否为大肠埃希杆菌所致。但不能用于检测革兰阳性菌和假单胞菌属所致的感染。由于尿液在膀胱中的停留时间对细菌还原硝酸盐是必需的，在饮食缺乏一定量硝酸盐或利尿时可出现假阴性结果。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp; 应用专业廉价的试纸，联合硝酸盐法和白细胞酯酶法，在2min内便可得出结果，从而极大地提高了本方法的实用价值。这种检测法对尿或脓尿中大肠埃希杆菌超过10万个/ml有诊断价值，其阴性试验结果的预期值为97%。在蛋白尿和尿中有庆大霉素或先锋霉素存在的情况下，可出现假阴性结果。据报道这种试验的敏感性为87%。特异性为67%(假阳性结果通常由阴道污物所致)。这种方法对有症状病人尿液标本的筛查比对无症状病人的筛查更为有效。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)氯化三苯四氮唑试验：本试验在摄入大量维生素C或尿的pH值＜6.5时，可出现假阳性结果。如果试剂变质或感染是由链球菌、某些肠球菌和假单胞菌属所致时，可出现假阴性结果。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(3)葡萄糖氧化酶法和过氧化物酶试验：葡萄糖氧化酶法的原理是细菌可消耗存在于非糖尿病人尿中的少量葡萄糖，过氧化物酶试验的原理是大多数尿路致病菌均有此酶，在任何疾病的炎性细胞中也有此酶。这两种方法的准确性比前述两种方法要差得多。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(4)浸玻片检查法：此方法是将琼脂涂在塑料平板的表面，并将平板浸入尿中，滴干尿液后，进行孵育，通常将对革兰阴性菌有选择作用的琼脂涂于平板或玻片的一侧，而对大多数细菌包括革兰阳性菌生长无选择作用的琼脂涂于平板或玻片的另一侧，经过一夜的孵育之后，在两侧琼脂的表面均可见许多的菌落，可将其与标准菌落图谱进行比较，即可半定量估计出尿中细菌的数量。阳性片还可进行菌种鉴定和药敏试验。这种技术常用于门诊或家庭内筛选。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(5)半自动方法：有3种半自动方法可用于UTI的诊断。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;①Bac-T-Screen法：这种方法是先将尿标本经滤纸过滤、染色、冲洗、再用比色计进行比色，这种技术能检出尿中1万个/ml细菌。其敏感性约为88%，但特异性仅为66%。其缺点是可造成仪器的堵塞，或因尿中其他有色颗粒物质的存在而影响其特异性。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;②生物发光法：细菌产生的ATP，可利用萤火虫的荧光素/荧光素酶的生物发光反应来检测，用细菌ATP的量来反映细菌的数量。这种方法可检查尿中细菌数临界值为1万个/ml，其敏感性约为97%，特异性为70%～80%，对尿检测细菌阴性患者最有价值。此方法的阴性预期值大于99%。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;③电子阻抗粒子计数法：这是一种非依赖于细菌增殖的方法，它能够单独检测白细胞数。虽然目前这种方法有较高的假阳性率(20%～25%)，但仍是一种很有前途的检测技术。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4.感染的定位检查&nbsp; 虽然上下尿路感染临床表现很相似，但对治疗的反应和致病菌的类型却有明显的差别。膀胱感染在解剖定位上是一种表浅黏膜的感染，抗生素在该部位容易到达高浓度。相反，肾脏感染(男性的前列腺感染)则是一种深部实质组织的感染。由于机体生化环境的影响，使这一组织部位的自然防御能力减弱，同时能到达该部位的抗生素浓度也很有限。由于尿路感染解剖部位不同，治疗尿路感染所需抗生素类型也不同。与膀胱感染相比，肾脏感染(和前列腺感染)需要一个更为有力或更长时间的抗菌治疗。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;由于有30%～50%隐匿性肾脏感染病人的临床症状主要是以下尿路为主，因此不能单凭临床表现进行定位诊断。尿路感染的定位检查法有以下几种：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)双侧输尿管插管法：双侧输尿管插管法是惟一直接对感染进行定位的诊断方法，虽然其损伤性较大，但与所有其他感染的定位诊断方法相比，仍最为准确。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)膀胱冲洗后尿培养法：损伤较小的方法是膀胱冲洗后尿培养法。这种方法的主要缺点是它不能区分肾脏感染是单侧还是双侧。然而与所有非侵入性方法相比较，它具有易操作、安全、廉价且无需膀胱镜专业人员的帮助，它已代替输尿管插管法而作为感染的定位诊断方法。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;这种方法是先插导尿管入膀胱，并留取尿作0号标本；然后用100ml生理盐水加入抗生素(通常用新霉素或新霉素 多黏菌素)冲洗膀胱，再用200ml生理盐水冲洗膀胱，排空后收集最后几滴尿作1号标本；以后每隔15min分别收集2～5号标本。将0～5号标本进行细菌培养，结果判断如下：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;①0号标本菌落数＞10万/ml，表明患者存在细菌尿。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;②1～5号标本无菌，表明为下尿路感染。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;③2～5号标本菌落数＞100/ml，并超过1号标本菌落数的10倍，表明为上尿路感染。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(3)尿浓缩功能的测定：通过最大尿浓缩功能的测定来评价肾髓质的功能，可用来区分肾脏和膀胱的感染。肾髓质部位的感染，可出现最大尿浓缩功能的改变。急性或慢性肾小管间质的炎症常引起尿浓缩功能的减退，因而可应用最大尿浓缩功能来对其进行最佳的评价。肾盂肾炎出现尿浓缩功能的减退是由与炎症有关的肾髓质部前列腺素的代谢紊乱所致，因为它可通过给予前列腺合成酶的抑制剂——吲哚美辛阻断。有研究证实肾性菌尿与尿的浓缩功能下降有关，而膀胱性菌尿则与此无关，并且双侧肾脏感染者尿浓缩功能的减退要明显大于单侧肾脏感染者。对于单侧肾脏感染者，他们可表现为受损侧尿浓缩功能减退，而未受损侧尿浓缩功能则正常。尿浓缩功能的恢复与感染是否根除有关。这种感染定位诊断方法的缺点是在膀胱感染、单侧肾脏及双侧肾脏感染患者之间，常有交叉重叠现象。因此这种方法除操作不便之外，还因其敏感性差而不列为常规检查。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(4)尿酶检测：尿酶的检测可反映小管炎症损伤，而肾髓质部位的感染可出现肾髓质炎症反应，因而尿酶增加。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;25%肾盂肾炎病人出现尿乳酸脱氢酶(LDH)活性的升高，但有假阴性结果，而在血尿和重度蛋白尿时也可出现假阳性结果。现已发现肾盂肾炎患者的尿。β-葡萄糖醛酸酶活性明显高于下尿路感染者。肾内感染者尿β-葡萄糖醛酸酶活性轻度高于膀胱感染者。然而，由于此酶活性在上述病人中有相当的重叠，故这种方法并非对每一患者都有定位诊断价值。测定肾小管细胞的N-乙酰-β-D-葡萄糖胺酶(NAG酶)也可对感染进行定位诊断，并认为此方法很有前途。肾盂肾炎患者尿肌酐水平为(906±236)mol/(h·mg)，而下尿路感染者尿肌酐水平为(145±23)mol/(h·mg)，正常儿童尿肌酐水平为(151.6±10)mol/(h·mg)。儿童肾盂肾炎抗生素治疗有效时，尿NAG酶水平下降。令人遗憾的是在其他研究中发现，肾盂肾炎和膀胱炎患者尿NAG酶范围也有相当的重叠现象。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;因此，虽然检测尿中肾小管细胞酶或抗原，对于UTI的解剖定位诊断很有希望，但对感染定位的最佳检测方法仍需进一步探讨。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(5)C反应蛋白的检测：有报道认为应用免疫扩散技术检测血清C反应蛋白，发现儿童肾盂肾炎患者C反应蛋白水平持续升高，而急性膀胱炎患者C反应蛋白水平则正常。动态观察肾盂肾炎患者C反应蛋白水平的变化可作为评价疗效的指标。但其诊断与膀胱冲洗的定位诊断结果不一致。由于在其他各种炎症状态下，C反应蛋白水平也可升高，因而可出现假阳性，且C反应蛋白量的变化与感染部位间无任何相关性。据我们的体会，这种方法对成人尿路感染的定位诊断，敏感性更差。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(6)细菌抗体的检测：肾脏感染常伴有直接针对病原菌抗原的特异性抗体的合成，许多研究者试图应用免疫学技术来解决UTI解剖的定位诊断问题。应用细菌黏附试验发现，有症状急性肾盂肾炎患者血清中的抗体水平升高，并且其滴度随着对抗生素的治疗反应的有效性而下降。对症状不明显的肾盂肾炎患者血清抗体水平也升高，而膀胱炎患者血清抗体滴度则正常。有研究者利用输尿管插管 凝集素抗体检测对感染进行定位研究证实，肾脏感染者凝集素抗体滴度明显高于膀胱菌尿者。然而抗体滴度的变化范围较大，且二组病人之间有相当大的重叠现象。所以，这种血清学方法的定位诊断价值也有限。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;近年来，应用最为广泛的感染定位技术是尿液抗体包裹细菌分析法(ACB法)。免疫荧光技术研究发现，来源于肾脏感染的细菌，抗体包裹试验阳性；而下尿路感染的细菌抗体包裹试验阴性。尽管随着ACB法应用的进一步推广，出现了一些问题，但其结果得到其他研究者的进一步证实，下面就有关这种方法的现状作一综合的评价：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;①尿液标本被阴道或直肠菌群污染，肾病综合征病人出现大量蛋白尿，和感染累及肾以外的尿道上皮(前列腺炎，出血性膀胱炎，膀胱肿瘤或插管所致的膀胱感染)，检查结果可出现假阳性。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;②有16%～38%的成人急性肾盂肾炎及大部分儿童急性肾盂肾炎可出现假阴性的ACB检测结果。慢性肾盂肾炎患者ACB检测准确性为≥95%。这可能与首次感染时，细菌侵入肾内10～15天后，ACB试验才阳转有关。而对重复感染者，由于其体内已有抗体反应的存在，故其ACB检测结果的阳转所需时间则要短得多。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;③急性单纯性UTI的女性，其ACB的阳性率在不同患者人群中是不同的。这些差异可能与就诊的难易程度及症状出现与接受治疗的间期长短有关。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;④ACB阳性的人群对单剂量抗生素治疗反应存在异质性。有50%～60%的ACB阳性的急性单纯性UTI女性对这种治疗有效，而对ACB阴性的急性单纯性UTI女性，大约有95%的患者对这一治疗有效。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;综上所述，ACB试验不作为尿路感染定位诊断的常规检查。故仍需继续努力寻找更好的、非创伤性的UTI定位诊断方法。</p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5613', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '98', '辅助检查', '<p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;1.影像学检查&nbsp; 对UTI影像学检查，主要目的是确定患者是否存在需内科或外科处理的泌尿道的异常。这种检查对于儿童和成年男性患者的诊断尤其有益。而对妇女，如何恰当应用这些方法则存在较多的争议。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;UTI影像学诊断检查的基本原则：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)对可疑梗阻性细菌性肾盂肾炎的住院病人，尤其是感染对恰当的治疗反应不佳者需行排泄性尿路造影或超声波检查，排除是否存在尿路梗阻的可能。而对感染性休克者则需紧急行上述检查，假如这些病人的脓肿压力不能通过引流解除梗阻而减轻，病人通常不可能得到有效的治疗。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)对首次或再次UTI的儿童，尤其是年龄＜5岁者，宜同时行静脉肾盂造影和膀胱尿路造影以检查是否有尿路梗阻，VUR和肾脏瘢痕的存在。二巯丙醇琥珀酸(DMSA)扫描技术可用于替代静脉肾盂造影检测瘢痕的存在，但不能明确瘢痕是在肾盂肾盏还是在输尿管。这些检查不仅可以明确哪些患者需要外科手术治疗，而且还可以明确哪些患者的瘢痕和轻度VUR对延长预防性抗菌治疗有效。由于活动性感染本身可导致VUR，一般推荐在感染根除后的4～8周行影像学检查。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;上述方法并不理想，原因是受检者有60%～90%为阴性结果，且费用相对较高，年龄小的儿童对放射线和膀胱插管也不适宜。但目前尚没有其他技术可用于高危泌尿道解剖异常小儿患者的诊断，尤其是非创伤性感染定位诊断技术对这组病人没有多大的诊断价值。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(3)大多数成年男性UTI均存在泌尿道解剖的异常，最常见的是前列腺增生所致膀胱颈的梗阻。因此，在进行解剖定位诊断时，首先应详细的检查前列腺，然后才考虑是否行排泄性尿路造影，或排空后泌尿道超声波检查，这对所有男性UTI病人都应认真考虑。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(4)对首次UTI女性患者多数人认为可不行影像学检查，但对感染再发的处理存在许多争议。对复发性UTI的女性患者，多数学者首先不赞成常规行膀胱镜检，而影像学和泌尿系检查结果发现有泌尿道结构异常者仅为5.5%～11%，且这种检查结果对病人的临床治疗无指导意义。因此，不主张对再发UTI女性进行常规的解剖定位诊断。这并不是说这些检查对有些病人没有意义。而是要选择那些对解剖学检查有适应证的女性进行此项检查，包括那些对治疗无效或治疗后很快复发、持续性血尿、尿素分解细菌感染、持续炎症症状如夜间盗汗、或可能有梗阻症状、虽然给予适当抗菌治疗仍有持续腰痛或下腹痛的患者。一般对抗生素治疗无效者行影像学和超声波检查最为有益。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.由于急性泌尿道感染本身容易产生膀胱输尿管反流，静脉或逆行肾盂造影宜在感染消除后4～8周后进行，急性肾盂肾炎以及无并发症的复发性泌尿道感染并不主张常规做肾盂造影。对慢性或久治不愈患者，视需要分别可作尿路平片、静脉肾盂造影、逆行肾盂造影、排空后膀胱输尿管造影，检查有无梗阻、结石、输尿管狭窄或受压、肾下垂、泌尿系先天性畸形以及膀胱输尿管反流现象等。 此外，还可了解肾盂、肾盏形态及功能，借此与肾结核、肾肿瘤等鉴别。慢性肾盂肾炎的肾盂呈轻度扩张或杵状，有瘢痕性畸形。肾功能不全时需用2倍或3倍剂量碘造影剂作静脉快速注入，并多次摄片才能使造影得到满意效果。肾血管造影可显示慢性肾盂肾炎的小血管有不同程度的扭曲。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3.核素肾图检查&nbsp; 可了解分肾功能、尿路梗阻、膀胱输尿管反流及膀胱残余尿情况。急性肾盂肾炎的肾图特点为高峰后移，分泌段出现较正常延缓0.5～1.0min，排泄段下降缓慢；慢性肾盂肾炎分泌段斜率降低，峰顶变钝或增宽而后移，排泄段起始时间延迟，呈抛物线状。但上述改变并无明显特异性。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4.超声波检查&nbsp; 是目前应用最广泛，最简便的方法，能检查出泌尿道发育不全、先天性畸形、多囊肾、肾动脉狭窄所致的肾脏大小不匀、结石、肾盂重度积水、肿瘤及前列腺疾病等。</p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5614', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '98', '诊断', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;由于尿路感染疾病范围的广泛性，从尿痛-尿频综合征到发作性肾盂肾炎，从有症状性菌尿到无症状性菌尿，因此在临床上不能仅仅只作出“尿路感染”的诊断，还必须对UTI患者进行病因诊断和定位诊断，从而使患者得到正确有效的治疗和随访措施，进而减少若干年后慢性肾功能损害的发生率。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;事实上，临床医师对尿路感染病因的准确判断以及受累部位的定位诊断能力是有限的。病人若有明显寒战、高热、剧烈腰痛、明显的革兰阴性脓毒血症征象等临床表现，容易作出肾盂肾炎的诊断。但是，如果没有上述症状和体征，也不能排除肾脏疾病的可能，如隐匿性肾盂肾炎。因此在诊治可疑UTI的病人时，应该通过以下几点综合分析诊断：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.诊断原则</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)明确产生症状的病原菌和选择理想的抗生素治疗。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)明确感染的解剖部位，即感染是侵犯上尿路还是下尿路，或者是仅限于下尿路。对男性病人，还应判定感染是否累及前列腺或膀胱。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(3)明确是否存在尿道结构或功能异常并选择合理的临床处理措施，如可对病人进行膀胱镜、排空性膀胱尿道造影、超声波等检查。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.病史和体格检查&nbsp; 虽然临床症状与尿路感染不同部位之间没有明确的相关性，但通常可从所采集的详尽病史中获得有益的资料。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;在检查一位有急性UTI症状发作患者时，首先要考虑是否有提示全身性脓毒血症或即将出现脓毒血症的症状和体征，如突起的寒战、发热、呼吸急促、腹部绞痛和剧烈的腰痛等，这类病人需要立即住院治疗。如果病人无急性脓毒血症，则应该注意病人既往是否有UTI病、肾脏病、糖尿病、多发性硬化症、其他神经性疾病、肾结石、或先前有无泌尿生殖道器械操作等情况的存在。这些情况常易引起UTI，并且影响治疗的效果。此外，仔细的神经系统检查对提示神经元性膀胱的存在尤为重要。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;对于复发性UTI患者，应特别注意询问性生活史、对治疗的反应、停止治疗与复发的时间关系：UTI复发与性交有关的女性患者，对每次性交后给予的抗生素治疗可能有效；由沙眼衣原体感染所致的急性尿道综合征女性患者，对抗衣原体治疗可能暂时有效，但她们可从未经治疗的性伴侣再次感染(即所谓乒乓感染)，只有在双方同时治疗时才能治愈。判断女性UTI的反复发作是复发还是重新感染，可参考前次治疗结束与下次出现感染症状之间的时间长短。多数女性感染的复发是在4～7天出现。女性的重新感染，如果没有膀胱功能障碍或某些其他泌尿道功能紊乱存在，两次发作之间通常有一个较长的间歇期。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;对有持续性前列腺感染病灶存在的男性患者，其感染可在相似的常规治疗之后很快复发。除此之外，应积极寻找是否存在前列腺梗阻对尿流的影响(例如：尿流变细，尿不尽感，夜尿或滴尿)。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;对可疑慢性肾盂肾炎和反流性肾病病人进行检查时，应注意询问在儿童和妊娠期间是否存在UTI病史；以及是否存在肾脏功能异常表现，如高血压、蛋白尿、多尿、夜尿和尿频等。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;尿感的诊断不能单纯依靠临床症状和体征，而要依靠实验室检查，有人曾报道对297例住院尿感患者的分析，有症状者只占66.5%。凡是有真性细菌尿者，均应诊断为尿感。真性细菌尿是指：膀胱穿刺尿定性培养有细菌生长；导尿细菌定量培养≥10万/ml；清洁中段尿定量培养≥10万/ml，且为同一菌种，才能确定为真性细菌尿。必须指明，有明显尿频、排尿不适的妇女，尿中有较多的白细胞，如中段尿含菌数＞100/ml，亦可诊为尿感，甚至在等待培养报告时，亦可先拟诊为尿感。</p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5615', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '98', '鉴别诊断', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;尿感应与下述疾病鉴别：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.发热性疾病：当急性尿感以发热等全身感染症状较突出，而尿路局部症状不明显时，易与发热性疾病混淆，如流感、疟疾、败血症、伤寒等，约占误诊病例的40%。但如能详细询问病史，注意尿感的局部症状，并作尿沉渣和细菌学检查，鉴别不难。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.腹部器官炎症：有些病例可无尿感的局部症状，而表现为腹痛、恶心、呕吐、发热、白细胞数增高等，易误诊为急性胃肠炎、阑尾炎、女性附件炎等，通过详细询问病史，及时作尿常规和尿细菌学检查，则可鉴别。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3.尿道综合征：又称无菌性尿频、排尿不适综合征。Stamm等指出，在有下尿路症状群的妇女，即有尿频、尿急、尿痛或排尿不适、膀胱区疼痛者，可分为两组。约70%的患者有脓尿和细菌尿(可仅为100/ml)，乃是真正的尿感患者；而另约30%的患者，则不是真正的尿感。尿道综合征是指仅有尿频、排尿不适的症状，而无细菌尿的患者。据我们的经验，尿道综合征在临床上很常见，常被基层医生误诊为尿感，而长期服用抗菌药物。尿道综合征患者，在确实排除尿路的结核菌、真菌和厌氧菌感染后，下一步就应确定有无尿路衣原体感染的可能。唯这些患者中常有不洁性交史和尿中有白细胞，在服用四环素7～10天后，症状会消失，其诊断不难。如能依次除外上述的可能性，则患者可诊断为非微生物引起的尿道综合征，多见于中年妇女，尿频常较排尿不适的表现更为突出，常有长期使用抗生素而无效病史。其病因尚不明了，有人认为可能与尿路局部刺激或过敏有关，如外用避孕药或工具、洗浴液、除臭喷雾剂等；亦有人认为可能是尿路动力学功能异常，特别是逼尿肌和括约肌的共济失调；还有人认为某些下尿路的非感染性非特异性炎症疾病也可引起。唯据我们的有限经验，这些患者中大部分是由焦虑性神经官能症引起，他们多有明显的心理因素，当注意力分散时，尿频的症状可明显减轻。长期服用地西泮有一定疗效。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4.肾结核：有些尿感以血尿为主要表现，膀胱刺激征明显，易误诊为肾结核。但肾结核膀胱刺激征每更突出；晨尿结核菌培养可阳性，而普通细菌培养阴性；尿沉渣可找到抗酸杆菌；静脉肾盂造影可发现肾结核X线征；部分患者可有肺、生殖器等肾外结核病灶以及抗结核治疗有效等可资鉴别。但要注意，肾结核常可与普通尿感并存。因此，如患者经积极抗菌治疗后，仍有尿频、排尿不适症状或尿沉渣异常者，应高度注意肾结核存在的可能性，宜作相应检查。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;5.慢性肾小球肾炎：如有水肿、大量蛋白尿则鉴别不难。肾盂肾炎的尿蛋白量一般在1～2g/d以下，若＞3g则多属肾小球病变。但本病与隐匿性肾炎较难鉴别，后者尿常规中有较多红细胞，而肾盂肾炎则以白细胞为主。此外，尿培养、长期观察患者有无低热、尿频等症状亦有助鉴别。晚期肾小球肾炎继发泌尿道感染时，鉴别困难，此时可详细询问病史，结合临床特点加以分析。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;6.前列腺炎：50岁以上的男性，有前列腺增生、肥大、放置导尿管、接受膀胱镜检等情形时易患此病。常表现为尿频、尿痛、尿液检查有脓细胞，与急性膀胱炎易相混淆。但是，急性前列腺炎除畏寒、发热、血白细胞总数升高外，可有腰骶部和会阴部疼痛，以致坐立不安，慢性前列腺炎除尿检异常外临床症状多不明显。前列腺按摩获得前列腺液进行检查，可见白细胞数＞10个/HP，前列腺B超有助于鉴别诊断。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;7.小管间质性肾炎：各种小管间质性肾炎，如反应性小管间质性肾炎(即系统感染引起的小管间质性肾炎)、变应性小管间质性肾炎(药物相关的急性小管间质性肾炎)、非甾体类抗炎药物相关肾病、重金属中毒性肾病、放射性肾炎、反流性肾病等，均可引起脓尿，但属于无菌性脓尿，细菌培养阴性。由血行感染引起的急性感染性小管间质性肾炎，近来有增多趋势，我科每年诊治10余例由吸毒相关性系统感染所引起的急性感染性小管间质性肾炎。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;8.高钙尿症：高钙尿症可引起尿频、尿急、尿痛，但一般无脓尿，细菌培养阴性，尿ca/Cr比值及24h尿钙增高。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;9.血尿：各种原因引起大量血尿时，可引起尿频、尿急、尿痛，但尿中白细胞显著少于红细胞，进一步检查常能发现引起血尿的原发疾病。</p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5616', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '98', '治疗', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;治疗UTI要依据某些重要的临床药理学原理，合理应用抗生素。浅表黏膜感染如膀胱炎，尿路抗生素易达到有效浓度，即易治愈，血药浓度相对不那么重要。因此，青霉素不能用于尿路以外的大肠埃希杆菌和变形杆菌感染，而对由这些细菌引起的膀胱炎有效。同样，四环素在尿路可达有效抗菌浓度，在血清及组织中却不能，可用于治疗耐药的革兰阴性杆菌的感染，包括深部组织感染，肾脏、前列腺感染，同样感染的部位也需要有效的药物浓度。另外，有效血药浓度亦有益，主张用杀菌剂效果较抑菌剂好或两药联用，而不主张单个药物治疗。这些看法是否正确仍无定论，但在研究肾盂肾炎的实验模型中证实，立即减少肾内浓度与迅速得到有效抗菌治疗，对预防肾盂瘢痕形成同样重要，应特别的重视。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;治疗UTI的目的是预防或治疗全身败血症，减轻症状，清除被隔离的感染灶，消除来自肠道及阴道菌群的尿路病原体，预防长期并发症，并应做到费用最低，副作用最少，耐药菌群产生的可能性最小。选择不同的药物治疗不同的UTI可获得达到上述目的最佳效果。常见尿路感染的治疗如下：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.年轻女性的急性非复杂性膀胱炎：健康经产妇患有症状性下尿路感染(如排尿困难、尿频、尿急、夜尿、耻骨联合上区不适)，而无阴道炎的症状及体征(阴道分泌物臭味、外阴瘙痒、性交痛、只有排尿困难而无尿频及外阴阴道炎)者，其治疗应注意两点：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)清除下尿路浅表黏膜的感染。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)清除来自阴道及下消化道的尿路病原体。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;为达此目的，可选用磺胺甲噁唑/甲氧苄啶（SMZ-TMP)或喹诺酮类的短程治疗，这两类药物均优于β-内酰胺酶。喹诺酮和甲氧苄啶(TMP)在阴道分泌物中浓度很高，超过清除常见的大肠埃希杆菌和其他主要尿感致病菌(肠球菌例外)的药物浓度。同时，这些抗生素的抗菌活性对那些能抵抗主要尿路病原体的厌氧菌群及微需氧菌群影响很小，这些菌群能保持完好。相反，β-内酰胺酶类药物，如阿莫西林，可促使尿路病原体大肠埃希杆菌在阴道中繁殖。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;短程疗法有两种方案，即单剂量疗法及3天疗法，没有有力的证据证明3天疗法优于单剂量疗法。这两种方案，如选用磺胺甲噁唑/甲氧苄啶（SMZ-TMP)或一个喹诺酮类药物(环丙沙星、氧氟沙星、洛美沙星或诺氟沙星)，治疗女性膀胱炎时效果似乎差不多。但单剂量疗法清除来自阴道或肠道菌群的尿路病原菌时，疗效不如3天疗法好，其结果是早期复发，主要是因上述病原菌所致的复发更常见。健康经产妇女其症状提示膀胱炎时，要用更长的疗程(＞5天)，这不仅费用高且副作用发生率高(皮疹、发热，尤其是使用磺胺甲噁唑/甲氧苄啶时胃肠不适)。阴道念珠菌感染时没有证据证明长疗程能提高这种特殊性UTI的治愈率。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;值得强调的是，短程疗法尤其适宜于尿路表层黏膜感染，而对确有深部组织感染的患者(如女性隐性肾盂肾炎)往往需要更长的疗程才有效，短程疗法对他们可作为治疗的指导原则。短程疗法不能用于以下高度怀疑有深部组织感染的患者：男性UTI(不能排除前列腺内感染)、任何症状明显的肾盂肾炎、症状持续7天以上有潜在泌尿系结构功能异常的患者、免疫功能抑制者、留置导尿管或高度怀疑耐药菌感染者。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;急性非复杂性UTI在其他方面健康的女性中，非常多见，致病菌范围亦很明确，对推荐使用的抗生素的敏感性也比较一致。短程疗法有效、副反应少、费用少，减少了实验室检查及就诊的需要。有排尿困难及尿频而不伴阴道炎的证据时，应及时开始短程疗法，如开始治疗前已留取了尿标本，则可作白细胞酯酶浸渍试验(报道敏感性为75%～96%)，不典型表现者应作尿培养和镜检。另外，有典型临床症状的患者，可以确诊的话，可不作尿液检查即开始短程治疗。这一疗法经济安全，大多可在无尿培养结果时根据典型表现开始进行，故费用少。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;重要的是短程疗法完成后，医生对病情做出判断和处理。如无症状不需要再作任何处理，如仍有症状，则需进一步尿液分析和培养。如有症状而尿分析及培养结果阴性，没有明确的病原菌存在的依据时，则应注意个人卫生情况、是否内裤染料过敏及是否有妇科炎症的存在等等。如为脓尿而无菌尿，则应考虑有无衣原体尿道炎，尤其是在有多个性伴侣、性生活活跃的女性中。衣原体感染的最佳方案为：服用四环素或磺胺7～14天，性伴侣亦应予以同样的治疗。如患者仍为症状性菌尿且细菌对短程疗法方案中的抗生素敏感，那可能为肾内感染，应延长疗程至14天或更长，这时最有效的药物可能是喹诺酮和磺胺甲噁唑(TMP) 甲氧苄啶(SMZ)(如药物敏感)，见图1。</p><p style=\"text-align:center\"><img height=\"322\" src=\"http://pmmp.cnki.net/cdd/img/5.1.1%20%E5%B0%BF%E8%B7%AF%E6%84%9F%E6%9F%93.files/image002.jpg\" width=\"554\"/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.年轻女性的再发尿路感染：再发细菌性UTI临床上很常见，女性第一次尿路感染后约20%会再发。已有多种治疗方案预防UTI的重新感染，且重新感染占再发的90%。但在开始治疗前仍应该采取一些简单的措施，性生活后立即排尿、不用精子杀灭剂及隔膜而改用其他的避孕措施。如这些办法无效，则应针对不同患者采取最佳的预防治疗方案。这种可接受的预防性药物，应为小剂量有效、副作用少、费用低、对肠道正常分布的菌群影响少、且对抗菌药的敏感性影响较少的药物，因为肠道菌是尿感病原菌的主要来源。口服扁桃酸乌洛托品或马尿酸乌洛托品加维生素C酸化尿液，对再发UTI有一定疗效。当尿pH值在5.5以下时，乌洛托品可释放甲醛，但这需要患者有极好的依从性和密切监测尿pH值。一组小剂量磺胺甲噁唑/甲氧苄啶（SMZ-TMP)和安慰剂的直接对照研究发现，安慰剂组女性UTI再发率为3.4患者年，扁桃酸乌洛托品加维生素C组为1.6患者年，磺胺甲噁唑/甲氧苄啶（SMZ-TMP)组为0.15患者年。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;几组前瞻性研究证实呋喃妥因(呋喃坦啶)50mg或结晶呋喃坦啶100mg睡前口服可预防UTI的再发，这一方案几乎不影响肠道菌群(如有亦极小)。推测可能是间歇性地在尿路中发挥抗菌作用。尽管有效。但瑞典有报道长期口服呋喃妥因(呋喃坦啶)预防UTI再发可产生严重的副作用，包括慢性间质性肺炎、急性肺部超敏反应、肝损害、血细胞减少、皮肤反应、神经病变。另外，呋喃妥因(呋喃坦啶)也不能用于肾功能损害的患者。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;对易再发UTI的女性最常用的预防方案可能是小剂量磺胺甲噁唑/甲氧苄啶（SMZ-TMP)，晚上临睡前半片(甲氧苄啶40mg，磺胺甲噁唑200mg)，每周3次，UTI的再发率在0.2患者年以下。其有效性可维持数年，对每年再发2次以上的女性患者来说，这一方案费用很少。除磺胺甲噁唑/甲氧苄啶（SMZ-TMP)外，喹诺酮类亦可小剂量用于预防UTI的再发。小剂量疗法在易感的肾移植受者中亦同样能预防UTI再发。另外，小剂量喹诺酮类或磺胺甲噁唑/甲氧苄啶（SMZ-TMP)对预防性交后UTI亦同样有效。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;目前，预防UTI再发的疗程长短仍难以确定，我们的经验是用6个月，如再发，再预防性治疗1～2年或更长。虽然还未发现有明显的副作用，但对女性健康方面的其他长期轻微的不良影响仍应注意；尤其是Freeman的一项男性慢性UTI的研究，磺胺与安慰剂、呋喃妥因(呋喃坦啶)或扁桃酸乌洛托品治疗25个月的对比发现，磺胺组心血管死亡率明显增加。考虑到长期预防性治疗的副作用、患者的依从性及费用等问题，最终采用的方案是对有再发感染史的女性，予以磺胺甲噁唑/甲氧苄啶（SMZ-TMP)、喹诺酮类或其他有效药物的单剂量疗法。一旦出现症状，即予以单剂量药物治疗，仅当患者服药后症状不减轻或每半年发作4次以上时，才采取其他治疗措施。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;占少数的UTI复发的治疗有所不同，有两个因素可引起女性UTI的复发：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)14天疗程仅抑制肾脏深部组织的病原菌，而未彻底清除。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)尿路结构异常(如结石)，至少一部分患者对6周疗程有效。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;治疗感染复发和重新感染的方案差别很大，医生应对每例再次感染的类型做出明确的判断，这可从病史及细菌学类型获得一些线索。复发多在停用抗生素1周内，而实际上均在1个月内出现，再感染的时间界限对诊断有帮助；分离细菌的类型及对抗生素的敏感性，有助于判断是否为首次感染的菌株。然而这些资料仍不够且难以得到，我们发现可根据女性患者对短程疗法的反应作出如下结论：如有效可能为重新感染，需要长期预防用药；如无效可能为复发，需要延长强化治疗。因此，医生可以更明确地判断出：虽然延长的强化治疗方案费用和副作用均增加，但一些患者仍可以获得最佳疗效(图2)。</p><p style=\"text-align:center\"><img height=\"331\" src=\"http://pmmp.cnki.net/cdd/img/5.1.1%20%E5%B0%BF%E8%B7%AF%E6%84%9F%E6%9F%93.files/image003.jpg\" width=\"425\"/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3.老年女性的急性非复杂性膀胱炎：绝经期后女性UTI有几个值得注意的方面，有症状性和无症状性菌尿的发生率较青年组高得多，这至少由以下两个原因引起：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)许多绝经期后女性因生育的影响，骨盆韧带松弛，排尿后膀胱残余尿量显著增多。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)雌激素分泌减少,尿路及阴道上皮对致病菌的敏感性发生明显的改变。阴道乳酸杆菌的消失等改变致pH值升高亦是原因之一。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;年轻女性的症状性下尿路感染多是尿路细菌性病原体和沙眼衣原体引起(如上述)，而老年女性还有其他原因，尤其是有尿路感染症状、脓尿，而尿培养阴性时，要考虑泌尿生殖系结核、全身真菌感染、憩室、憩室脓肿侵犯膀胱或输尿管，而不应考虑年轻女性常见的衣原体。前面讨论过的年轻女性急性膀胱炎的抗菌原则同样适应于绝经期后女性。另外，其他措施亦很重要，多项研究表明：激素替代治疗、阴道局部激素软膏或口服激素可修复泌尿生殖道萎缩的黏膜，有利于阴道菌群乳酸杆菌的再生，阴道pH值的降低，减少阴道内肠道菌的繁殖，这些生理效应可以预防绝经后女性再次UTI的发生。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4.女性急性非复杂性肾盂肾炎：有明确症状的肾盂肾炎患者，因有深部组织感染，有或将有菌血症的危险，故需要强化抗菌治疗。治疗的关键是：立即予以敏感抗生素治疗，使尿路及血液达到有效的血药浓度。为达此目的可采用不同的治疗方案，总的治疗原则如下。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)有症状性肾孟炎，抗生素的治疗目的有三：①控制或防止脓毒血症的发生和发展(细菌侵入血流)；②清除入侵的细菌；③防止再发。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)为达以上目的，可将疗程分为两个阶段：①立即控制全身性败血症，常需要胃肠外给药；②控制败血症和急性炎症后，接着口服用药清除感染的病原菌(防止早期复发)。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(3)控制全身败血症所用的抗生素应符合：①敏感性＞99%；②能迅速获得有效的血药浓度。目前没有事实证明符合以上要求能用于控制败血症的抗生素中，其中一种或一个方案从根本上优于另一种。因此当不知细菌对抗生素的敏感性及为何种细菌感染时，常不选用氨苄西林、阿莫西林或第一代头孢菌素，因为发现有20%～30%的细菌对这些药物耐药。静脉用药的优点在于其转运可靠，而不是根本上更需要静脉用药(事实上，众所周知，静脉输液亦有血管感染的并发症)。中度感染的患者，无恶心、呕吐，可口服一些抗菌谱广、生物利用度极好(如胃肠功能好，口服用药可达很高的血药浓度)的药物，如磺胺甲噁唑/甲氧苄啶(SMZ-TMP)、喹诺酮，并可作为整个疗程的用药。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(4)体温正常后24h(常在开始治疗后72h之内)，继续胃肠外给药较胃肠道给药并无根本上的优势。基于此，给予磺胺甲噁唑/甲氧苄啶（SMZ-TMP)或喹诺酮类药物完成14天疗程，可能是清除组织和胃肠残留的尿路病原菌(如不清除可致早期复发)的最有效方法。因此治疗的基本方案是，开始有效地予胃肠外给药，控制败血症及急性炎症，接着口服磺胺甲噁唑/甲氧苄啶（SMZ-TMP)或喹诺酮以清除病原菌(根治)。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;记住了这些原则，那么，该选用哪些药物胃肠外给药呢?如可能，作尿液革兰染色确定是否为肠球菌感染。如革兰阳性球菌感染或不能确定，则应静脉用以下药物：复方氨苄西林(或万古霉素) 庆大霉素，以控制肠球菌和更常见的革兰阴性病原体；如仅为革兰阴性杆菌感染，有大量可供选择的胃肠外给的药物：磺胺甲噁唑/甲氧苄啶（SMZ-TMP)、喹诺酮、庆大霉素、广谱的头孢类(头孢曲松)、氨曲南(君刻单)、β-内酰胺β-内酰胺酶抑制剂复合制剂(舒他西林、替卡西林-克拉维酸、哌拉西林)和亚胺培南-西司他丁。总之，上述的后一部分药物(从氨曲南开始)可用于病史复杂、以前曾发作过肾盂肾炎、近期有尿路器械检查史的病人。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;5.妊娠期的尿路感染：孕妇中常规筛选无症状性菌尿检查，是必须对无症状性菌尿予以控制，以免影响母亲及胎儿的发育。孕妇无症状性菌尿或无症状性下尿路感染(排尿困难、尿频、类似经产妇的非妊娠妇女的急性无并发症性膀胱炎)的治疗，与非妊娠期相同。短程疗法，单剂量疗法与3天疗法两者对孕妇的尿路感染均有效，但我们仍选择3天疗法。与非妊娠妇女相比，妊娠期尿路感染治疗有两个不同点：用药必须安全、副作用少，这使选药范围大大受限；妊娠期预防治疗必须密切随诊。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;磺胺、呋喃妥因、氨苄西林、头孢氨苄在妊娠早期相对安全；足月时禁用磺胺类药物，因该类药物可引起胆红素脑病。动物试验证实甲氧苄啶(TMP)用量大时对胎儿有毒性作用，尽管已成功地用于人类妊娠期，且并未发现毒性作用或致畸作用，但甲氧苄啶(TMP)常禁用；喹诺酮可能抑制胎儿软骨的发育也禁用；妊娠期UTI，我们选用呋喃妥因、氨苄西林或头孢氨苄，这些药物已广泛用于妊娠期无症状或症状轻的UTI。症状明显的妊娠期肾盂肾炎，应住院胃肠外给药，并予以正规的监护，β-内酰胺酶(如亚胺培南-西司他丁等)和(或)氨基苷类如阿米卡星、奈替米星(Netilmine)等是治疗的基本药物。有效地预防妊娠期UTI(包括肾盂肾炎)的措施有：妊娠期性交后预防性服呋喃妥因、头孢氨苄、氨苄西林；或者不论性交与否，睡前服以上药物。妊娠期需要预防用药的患者包括：妊娠期肾盂肾炎、妊娠期菌尿经治疗后复发、妊娠前有复发性UTI史。妊娠期除需要强化治疗外，还要预防性用药。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;6.男性UTI：50岁以下的男性UTI很少见，但无泌尿系异常时的尿感，常可发生于同性恋者、性伴侣带有尿路致病菌或AIDS患者(CD4 细胞＜200/mm3)，治疗应选择甲氧苄啶(TMP)或喹诺酮类10～14天作为标准方案，只在不能耐受或由罕见的致病菌引起时才改用其他药物。而短程疗法绝不能用于这些患者。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;50岁以上的男性UTI，即使无明显的前列腺和(或)肾脏感染的症状，亦可考虑这些部位的感染。急性细菌性前列腺炎，开始因炎症反应的存在，对用于其他人群UTI的抗生素常有很好的疗效，但传统的10～14天疗程后常易复发，反复感染常意味着前次治疗没有完全根除前列腺内的感染灶，使之得以持续存在。造成前列腺内的感染难以清除的几个因素是</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)许多抗生素不能通过前列腺上皮达到前列腺中感染灶。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)前列腺内可能有结石，阻碍前列腺液的引流或作为异物，细菌可隐匿在其周围。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(3)前列腺肿大(炎症)引起膀胱颈梗阻，导致尿潴留，膀胱内难以灭菌。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;以上因素造成的男性UTI，现认为至少要4～6周的强化治疗和进行12周的尿路清洁灭菌。为达此目的，可选用较敏感的药物有磺胺甲噁唑/甲氧苄啶（SMZ-TMP)、甲氧苄啶(TMP) (磺胺过敏时用)和喹诺酮，延长疗程清除感染灶的几率＞60%。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;除了常见的引起男性UTI的病原体外，还应注意：尿路器械检查后(大多数重复插入Foley导尿管后)出现的金黄色葡萄球菌感染，需要抗葡萄球菌治疗及清除异物才能治愈。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;治疗失败的原因多为解剖学异常；粪链肠球菌、铜绿假单胞菌感染；该类细菌感染用抗生素治疗后复发率很高。UTI复发时，可采取3种措施：①长程抑菌疗法；②每次复发时重新予以强化治疗；③外科清除妨碍抗菌疗效的前列腺炎性组织。根据年龄、性活动、患者全身情况、膀胱颈梗阻程度、前列腺癌存在的可能性来选择治疗方案。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;7.儿童尿路感染的治疗：儿童急性肾盂肾炎的治疗与成人相似，无药敏结果时予以广谱抗生素，取得药敏结果后，根据药敏选用毒性最小的窄谱抗生素。胃肠外给药至体温正常后24～48h，再口服用药1～3个月，疗程完成后1周内复查尿培养，第2年还应经常复查。儿童急性UTI，尽管短程疗法有效，但仍宜用7～14天的传统疗程。青春期女孩子可能是个例外，因其对短程疗法的合作性增加了，喹诺酮类可影响软骨的发育，故禁用。儿童复发性UTI，尤其是在肾内有瘢痕存在或可见的VUR时，可选用以下药物长期预防：磺胺甲噁唑/甲氧苄啶(SMZ-TMP)[每次2mg/kg或复方TMP 2次/d，其中含磺胺甲噁唑(SMZ)每次10mg/kg]、呋喃妥因[2mg/(kg·d)单剂量]或扁桃酸乌洛托品[50mg/(kg·d)，分3次]。磺胺耐药，疗效不佳，磺胺甲噁唑/甲氧苄啶（SMZ-TMP)和结晶呋喃妥因疗效尤佳。就保护肾功能而言，VUR的药物治疗和外科治疗相比，未发现外科治疗有明显的优势，尽管外科技术日益完善，但仍有瘢痕增大，肾脏肿大。因此，现主张延长抗菌疗程，密切观察，尽量防止瘢痕增大。外科治疗仅限于经2～4年的药物治疗失败的儿童。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;8.复杂性尿路感染：复杂性尿路感染，是指有多种尿路和肾脏结构和功能异常的患者所患有的不同的尿路感染。另外，这些患者的致病菌范围亦非常广泛，大部分对常用于其他UTI的一个或多个抗生素耐药。因此，下列总的治疗原则可能适宜于复杂性UTI患者。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)首先应治疗有症状性UTI。因为还未有事实证明，对无症状的细菌尿的治疗能改善患者的临床状况及能消除细菌尿。唯一例外的是对无症状细菌尿患者尿路器械操作时应用抗生素，此时，在操作前尿液灭菌及操作后抗菌3～7天，能防止严重UTI的发生，甚至尿路败血症所致的死亡。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)因为病原菌多，且药敏性各异，尿培养对选择用药尤为必要。如治疗必须在尿培养药敏结果前开始，则需选用较其他UTI更为广谱的抗生素。因此，在复杂性UTI患者有明显的肾盂肾炎症状或尿脓毒血症时，开始应予以下方案治疗：氨苄西林 庆大霉素、亚胺培南-西司他丁或哌拉西林/三唑巴坦钠(哌拉西林-他唑巴坦)，而亚急性感染的患者磺胺甲噁唑(TMP) 甲氧苄啶(SMZ)或喹诺酮可为首选。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(3)如有可能应尽量纠正潜在的复杂因素，同时抗菌治疗。如可行，则4～6周的“治愈”疗程联合外科矫治治疗为宜。如外科矫治手术不能施行，则用旨在控制症状的7～14天短程疗法较合适。症状频繁发作者宜试用短程抑菌疗法。</p><p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 一小部分特殊的复杂性UTI是因继发于脊椎损伤后神经性膀胱所致。这些患者，应间歇用清洁导尿管自行导尿并用磺胺预防，能减少UTI的发病。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(4)导尿管相关性尿路感染：目前，尿路感染是院内感染中最常见的一种，多与导尿有关，2%～4%的患者发展为革兰阴性杆菌败血症并可能导致死亡。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;导尿管表面形成的一层生物膜是影响导尿管相关性尿路感染抗菌疗效的重要因素。细菌黏附在导管表面形成复杂的生物性结构，由细菌、细菌多糖-蛋白质复合物、Tamm-Horsfall蛋白、磷灰石、鸟粪石等其他成分构成。这一结构可保护细菌不受抗生素的攻击，而且一旦治疗停止，尿路感染即复发。因此，当导尿管相关的UTI需要治疗时，亦应更换导尿管。</p><p style=\"text-align:center\"><img height=\"180\" src=\"http://pmmp.cnki.net/cdd/img/5.1.1%20%E5%B0%BF%E8%B7%AF%E6%84%9F%E6%9F%93.files/image004.jpg\" width=\"553\"/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;导尿管相关性尿路感染需要准确的临床判断，任何有感染症状(如发热、寒战、呼吸困难、低血压)均需立即治疗，采用前面介绍的复杂性UTI的抗菌治疗方案。无症状者不需要治疗，长期留置导尿管的患者，很少有感染症状，除非导尿管阻塞或膀胱黏膜腐蚀破坏。这一类患者一旦出现症状，应予以抗生素治疗，并密切观察，更换导尿管或改变导尿方式。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;9.尿路感染的门诊治疗：因为这一类疾病在门诊相当常见，并且十分复杂，如果患者能在门诊得到及时、正确的诊治，对提高治愈率是十分有益的。以下从门诊工作的角度，介绍尿路感染的诊断和治疗。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)尿路感染的诊断：应根据患者临床症状、体征及实验室检查，大多数门诊诊断可以成立。腰痛、寒战、发热、血尿常见于上尿路感染，尿频、尿急、尿痛、血尿、发热、耻骨上触痛常见于下尿道感染。尿液常规镜检是非常简单而有用的检查，有症状的尿路感染患者几乎100%出现脓尿，尿镜检阳性率非常高。有条件的地方，应进行尿细菌培养和药敏试验，亦须检查血肌酐和血红蛋白来鉴别急性或慢性。慢性肾盂肾炎由于引起严重的肾小管间质损害，表现出贫血和慢性肾功能不全。实际工作中，有时是只有尿镜检，而无尿培养设备，这种情况在农村很常见。当有急性肾盂肾炎的临床症状而无脓尿时，诊断是非常困难的。有时没任何检查方法，而只能单纯根据症状决定诊断和治疗。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;症状性细菌性膀胱炎的女性患者，只有1/3达到标准的尿培养菌计数(＞10万/ml)的指标。因此，尿培养的价值在急性膀胱炎不应过分强调。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)门诊尿路感染病人的处理：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;①对急性膀胱炎和急性肾盂肾炎患者应进行随诊。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;②成年女性急性膀胱炎有大约90%可口服抗生素治疗。因为这类病人尿培养只有1/3病例达到标准菌落计数(＞10万/ml)，因此不必等待培养结果即可口服抗生素。尿镜检及尿培养应在2～4周后(炎症消退后)再次进行。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;③急性单纯型膀胱炎可用下列抗生素：甲氧苄啶(三甲氧苄氨嘧啶)，磺胺甲噁唑/甲氧苄啶(三甲氧苄氨嘧啶-磺胺甲基异噁唑)或喹诺酮类药物。应口服3天，单剂量治疗复发率高，故不应推荐。如在妊娠期间发病，建议用氨苄西林或阿莫西林，疗程为7天。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;④急性单纯型肾盂肾炎患者可服用一线推荐抗生素，以喹诺酮类或氨基糖苷类药物为首选。大约90%患者1周治疗有效，剩余患者需延长疗程。应常规复查尿镜检和细菌培养，对重症患者应行血培养和肾功能检查，确定有无并发急性感染性小管间质性肾炎，后者常表现为急性肾功能衰竭。治疗失败可由于耐药菌株感染、解剖异常、尿路梗阻，包括结石等因素引起。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;急性肾盂肾炎可痊愈而不伴随明显的肾瘢痕形成或肾损害。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;⑤复杂型急性肾盂肾炎病人如为门诊病人，可用上述抗生素14天。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;⑥复杂型尿路感染可根据当地抗生素药敏特点行胃肠外抗生素治疗(如静脉、肌注等)，推荐药物包括氨苄西林、庆大霉素或喹诺酮类，疗程10～21天，根据临床调整。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;⑦复发性膀胱炎：小剂量抗生素预防可降低复发率，甚至复发率为0，且能安全地使用较长时间。首选药物包括：甲氧苄啶(三甲氧苄氨嘧啶)，10mg/d；磺胺甲噁唑/甲氧苄啶(三甲氧苄氨嘧啶-磺胺甲基异噁唑)，半片/d；呋喃妥因，100mg/d。以上药物均予口服给药。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;⑧无症状性菌尿：插尿管的患者和无插尿管的老年患者出现无症状菌尿时，无需治疗。当无症状性菌尿患者伴有中性粒细胞减少症，或为肾移植受体，或妊娠时，应当治疗。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;尿培养的抗生素药敏情况见表3。</p><p style=\"text-align:center\"><img height=\"201\" src=\"http://pmmp.cnki.net/cdd/img/5.1.1%20%E5%B0%BF%E8%B7%AF%E6%84%9F%E6%9F%93.files/image005.jpg\" width=\"553\"/></p>', null, '12', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5617', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '98', '预后', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;目前已很清楚，过去对肾盂肾炎的诊断只是随便应用了肾小管间质炎症的条件。在20世纪70年代，随着更有力的病理诊断标准的出现，若干个研究者已开始怀疑这种假设了：无并发症的尿路感染能导致进行性的肾脏损害，据我们944例的尸解材料，极少数非复杂性尿感可发展为终末期萎缩肾。Murray和Goldbery报道了1969～1972年宾夕法尼亚大学医院所有慢性肾脏疾病患者的回顾性研究结果，他们找出101例患慢性间质性肾炎的患者，约占慢性肾脏疾病的1/3，这个数字相似于以前诊断的慢性肾盂肾炎。可是，这101例慢性间质性肾炎患者中无一例是原发的感染性肾脏疾病，而绝大多数是滥用消炎止痛药和尿路解剖异常者。可是，研究提示在约1/3的这些患者中，感染起着很重要的继发性作用，但仅在有原发病如解剖异常、结石性疾病或滥用止痛药时才发生感染。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;若干在细菌尿成人的长期前瞻性研究中已经证明了这些情况。Freedman和Andriole在观察了250个尿路感染妇女，12年之后发现无肾功能损害及血压升高。同样Asscher研究了107例细菌尿妇女及88例配对的对照组5年，发现无高血压和梗阻性肾病的未治疗的细菌尿，也不会出现进行性肾功能障碍。因此，很少有证据说明成年开始的尿路感染可导致进行性的肾脏损害。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;与成人相反，细菌尿可明显损害儿童。大多数尿路感染引起的肾脏损害发生在儿童中，通常与尿路的解剖或功能性异常有关，尤其是VUR。在5～15岁儿童的研究中证明，如果在5岁时无肾脏瘢痕形成、有时有持续性的细菌尿和VUR，那么肾脏则不会留有瘢痕，肾脏发育也不会受损；5岁前已患有肾盂肾炎的儿童，不仅会有肾瘢痕形成，而且还有肾小球滤过率降低，肾脏发育不能代偿。儿童一旦发生感染，预后则取决于最初的损害程度和蛋白尿的出现，蛋白尿是预测继发性肾小球硬化程度的一种措施。继发性肾小球硬化被认为是由于残留的肾单位过分的滤过和高血压所致，这会引起选择性的高分子物质透过肾脏的变化，结果是残余的肾小球进行性损害、蛋白尿从小分子蛋白质到明确的肾病综合征和进行性加剧的氮质血症。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;慢性肾盂肾炎似乎是儿童最常见的高血压原因，约占儿童高血压中的30%，也是成人继发性高血压的常见原因。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;来自孕妇的研究已清楚地证明，未治疗的无症状的细菌尿，对妇女有很大的影响。约一半未治疗的孕妇，随后出现症状性尿路感染，25%～30%的孕妇有急性肾盂肾炎，这种肾盂肾炎可能与孕妇发生成人呼吸窘迫综合征(ARDS)和弥散性血管内凝血(DIC)有关。与贫血、高血压、肾小球滤过率降低和尿液浓缩能力降低相关的孕妇细菌尿，通过治疗可以减轻。孕妇并发细菌尿可增加毒血症、新生儿早熟、低体重和孕妇在产褥期死亡的危险性的问题，仍有很多争论。孕妇并发细菌尿可增加自动流产率，另外，细菌尿的孕妇似乎有较高的低体重、早产儿的出生率。特别是那些有高血压或未根除细菌的孕妇，除了增加早产率外，急性尿路感染还可增加胎儿的死亡率。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;关于这个问题的决定性结论来自两个55000例孕妇多中心研究的数字报道，Sever和同事报道3.5%症状性尿路感染的孕妇，其低体重儿和死胎的发生率增加。同样，Nagey报道有细菌尿的孕妇，其产褥期的病死率为40/1000，无细菌尿的孕妇则为21/1000。在分娩的15天内发生尿路感染时，会发生过量的死亡，当孕妇同时出现高血压和丙酮酸尿时，其病死率最高。接近分娩时出现脓尿和细菌尿的孕妇，其羊水感染的发生率比无脓尿的孕妇高出24%，有脓尿和细菌尿的孕妇，其高血压的发生率比那些无脓尿的孕妇高88%。另外，细菌尿也会延迟胎盘的生长，尽管有研究提示细菌的内毒素在胎盘循环血中起重要的作用，但是菌尿对孕妇影响的机制仍不清楚。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;对患有以前诊断为细菌尿和肾脏瘢痕形成学龄期女孩的长期研究表明，当她们成年和怀孕时，她们患高血压的危险性高出3倍，患子痫的危险性高出7倍。尽管有这种危险性，但是随着产科处理的熟练，保持母婴健康的怀孕结果应该是满意的。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;尿路感染对于生物学上最后考虑的问题是患者的生存。虽然很清楚尿路中革兰阴性菌感染即使经过最好的治疗也可能会致死，但是这就提出一个问题，尿路感染除直接感染作用之外的因素是否会影响患者的生存。若干报道已经提示，细菌尿，尤其是老年人的细菌尿，可增加死亡率。虽然细菌尿和死亡之间的因果关系常为推测性的，但是最近的数据已经怀疑这种关系了，细菌尿的出现似乎与肾功能损害的程度有关，似乎也是患者病情严重的一个标志。但细菌尿不是一个进展到死亡的独立因素。故针对细菌尿的抗菌治疗，对于发生细菌尿本身的长期疗效甚微。因此，对无症状性细菌尿的成人特别是老年人进行筛选或者用抗生素治疗似乎没有太大必要。</p>', null, '13', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5618', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '98', '预防', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;复发性或慢性尿路感染患者要增强体质，提高机体的防御能力，消除各种诱发因素如糖尿病、肾结石及尿路梗阻等。积极寻找并去除炎性病灶，如男性的前列腺炎、女性的尿道旁腺炎、阴道炎及宫颈炎。减少不必要的导尿及泌尿道器械操作，如必需保留导尿，应预防性应用抗菌药物。女性再发与性生活有关者，应注意性生活后立即排尿，并内服1剂SMZ-TMP。怀孕期及月经期更应注意外阴清洁。更年期服用尼尔雌醇1～2mg，每月1～2次，以增强局部抵抗力。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;另外，预防尿路感染还应注意多饮水、规则用药、合理使用清洁垫、1天中的最后1次服药需在解小便后服用。</p>', null, '14', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5625', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '102', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp; &nbsp; &nbsp; &nbsp; 肾结核（renal tuberculosis）是全身结核病的一部分，约占肺外结核的15%，系结核杆菌由肺部等原发病灶经血行播散至肾脏所引起，多在原发性结核感染后5～20年才发病。多见于成年人，儿童少见。尿频、尿急、尿痛以及血尿为常见症状。城市中的晚期肾结核病例已非常少见。如能及时发现与治疗，绝大多数患者能治愈。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5626', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '102', '发病机制', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;肾结核的原发病灶主要为肺部的初染结核灶，其次为骨、关节、附睾、女性附件、淋巴结、肠道等结核灶。结核杆菌由血行播散至两侧肾皮质，肾皮质病变初呈炎症反应，继而形成微结核病灶，该处氧张力高，和肺尖部的病灶类似，有利于结核杆菌的生存和生长。病菌可长期处于静止状态，在全身或局部免疫力削弱的情况下，病变可向肾乳头扩展，发展为肾髓质结核。肾乳头发生溃疡、坏死，病变蔓延至肾盏，肾盏可发生干酪样坏死、溃疡性空洞形成等损害，最终溃破入肾盂，结核杆菌可从尿中排出。病理损害可进一步向下蔓延累及输尿管、膀胱等。染菌的脓尿自尿路排出时，可刺激膀胱，引起膀胱黏膜和黏膜下层炎症、结核结节、干酪样坏死、溃疡，临床上出现膀胱刺激症状。在病变过程中，破坏与修复常同时进行，故在尿路各部位可出现瘢痕收缩所致的梗阻，使梗阻以上部位病变加重。肾盏颈部病变可致引流不畅的闭合性脓腔；肾盂、输尿管交接处的梗阻性病变可致肾盂积脓；输尿管呈现交替的扩张与狭窄（“串珠样改变”）；临床上偶有输尿管完全闭合，含有结核杆菌的尿不能进入膀胱，膀胱刺激症状反见缓解，尿中无明显改变，即出现所谓“肾自截”情形；输尿管、膀胱交接处病变可蔓延至整个膀胱，病变深入肌层，最后导致纤维化，膀胱发生挛缩，容积变小。晚期肾结核因膀胱挛缩引起对侧输尿管口或下段狭窄而致对侧肾盂积水（约16%），也有因单纯输尿管口狭窄而引起对侧肾盂积水但无膀胱挛缩者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;两侧肾皮质虽均可感染结核杆菌，但临床上90%的病例病理损害往往只限于一侧。双侧肾结核临床上较少见，可能由一侧肾结核经膀胱而逆行感染对侧肾脏，亦可由原存在于对侧肾的结核灶恶化所致。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;男性肾结核患者，结核杆菌可由后尿道进入生殖器官（精囊、输精管、附睾和前列腺），50%～70%并发生殖系结核。女性患者可伴发输卵管结核或盆腔结核。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5627', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '102', '临床表现', '<p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;本病多见于青壮年，男性稍多于女性。临床表现取决于病变范围，局限于肾实质时可无临床症状，因此早期多无明显症状。最早出现的症状往往是尿频，系干酪样病灶向肾盂穿破后，含有脓液和结核杆菌的尿对膀胱刺激所致。当病变累及膀胱、出现膀胱结核性溃疡时，则尿频更为严重，并可出现尿急、尿痛等症状。膀胱发生挛缩时，尿频严重而每次尿量极少（＜50ml），甚至尿失禁；若有尿道狭窄，则有排尿困难，排尿时间延长。肾绞痛不多见，发生率＜10%。</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;血尿亦常见，约60%患者可有无痛性血尿，在部分患者可作为首发症状，肉眼血尿占70%～80%。血尿可来自肾脏或膀胱，前者血尿为均匀性、整个尿程均见血尿（全程血尿），后者见于排尿终了、膀胱收缩时（终末血尿）。血尿引起血块堵塞时，可出现肾绞痛等症状。</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;发生肾盂积水、脓肾或肾周组织结核病变时可出现腰痛、腰部酸胀等局部症状。并可有发热、盗汗、全身不适、消瘦等全身中毒症状（仅10%～15%）。</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;晚期双肾结核或一侧肾结核并发对侧严重积水时则出现贫血、水肿、食欲缺乏、恶心呕吐等慢性肾功能不全症状。</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;除晚期病例外，肾结核患者多数全身情况不受影响，体格检查亦无异常发现，仅部分患者可有肾区叩痛。肾结核出现临床症状时，多数已无活动性肺结核，约半数患者存在陈旧性肺结核灶。部分可有淋巴结结核或骨结核、附睾结核，在男性患者精囊和前列腺结核也较常见。</p><p style=\"white-space: normal; text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上）</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5628', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '102', '辅助检查', '<p style=\"white-space: normal;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（一）尿常规和24小时尿沉渣找抗酸杆菌</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;尿常规呈酸性尿是肾结核尿的特点。早期尿常规的唯一异常可为无菌性脓尿和镜下血尿，分别可达46%～89%和12%～77%。蛋白尿（±～+）见于13%～80%。在治疗前多次检查尿沉渣抗酸杆菌的阳性率可达70%。</p><p style=\"white-space: normal;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（二）尿培养</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;取晨尿培养。结核杆菌间歇性向尿中排出，治疗前至少留3次晨尿作检查，结核菌培养阳性率可达80%～90%。传统结核培养需时4～6周，采用BACTEC MGIT960快速培养可缩短诊断时间至1～2周。</p><p style=\"white-space: normal;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（三）结核菌素试验</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;结核杆菌纯蛋白衍生物（PPD）试验的阳性率在88%～100%间。但PPD与卡介苗（BCG）存在交叉反应，我国是普遍接种卡介苗的国家，因此PPD皮试最大的问题是存在假阳性反应，只能作为诊断参考，而不能凭借其来诊断结核感染。</p><p style=\"white-space: normal;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（四）特异性结核抗原多肽刺激后的全血或细胞IFN-γ测定</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;系检测结核分枝杆菌特异性抗原多肽刺激全血或单个核细胞后产生的IFN-γ水平来诊断现症结核感染，目前最主要的两种方法为QuantiFERON-TB试验和TSPOT.TB试验，敏感性与特异性均较高，对于包括肾结核在内的肺外结核有诊断价值，但只能诊断有无结核感染（包括潜伏结核感染与活动性结核感染），尚不能作为确诊依据。</p><p style=\"white-space: normal;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（五）影像学检查</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;包括X线平片、静脉肾盂造影或肾盂逆行造影以及CT与放射性核素扫描等检查，可确定病变部位与程度。X线平片对肾结核诊断价值较小。胸片有时可见陈旧性肺结核。腹部平片可见肾实质钙化，呈斑点状或不规则形，晚期可见整个肾脏钙化。全肾广泛钙化时可诊断为肾结核，局限的钙化灶应与结石和肿瘤钙化相鉴别。静脉肾盂造影在病变早期可完全正常，随着病变进展，在肾实质有明显破坏时才出现改变。肾盏改变（边缘不整、扩大、变形，甚至消失）是重要的诊断依据；至病变严重时可出现输尿管狭窄，呈“腊肠样”或“串珠样”改变；晚期可见多个肾盏不显影或呈大空洞。静脉肾盂造影显示空洞形成和尿路狭窄为诊断本病的有力依据。静脉肾盂造影显影不佳或有可疑病变时，进行逆行肾盂造影将有助于诊断。双肾结核、唯一肾的结核以及肾结核对侧肾积水时，都会因肾功能低下，在静脉肾盂造影时往往发现肾显影不清或完全不显影，此时不易区别单侧肾结核并发对侧肾积水和双肾结核。作大剂量静脉滴注造影或用超声波定位后作肾穿刺造影则有助于诊断。单纯积水表现为边缘光滑的扩张肾盂及迂回扩张的输尿管，若肾盂边缘不整齐且输尿管呈僵直状，或穿刺所得尿液内有较多白细胞或找到结核杆菌，应考虑双肾结核。CT检查对本病诊断有重要意义，可提供病肾结构和功能的资料，并有助于与肾肿瘤、肾上腺瘤的鉴别诊断。可发现肾盏肾盂结构改变、空洞或者钙化。放射性核素扫描亦可提供肾实质结构和功能的情况，对估计治疗反应和肾功能改变很有帮助。</p><p style=\"white-space: normal;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（六）膀胱镜检查</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;病变累及膀胱时，膀胱镜检查常在患侧输尿管口附近见膀胱黏膜小溃疡、结节等病变。</p><p style=\"white-space: normal; text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5629', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '102', '诊断与鉴别诊断', '<p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;早期诊断肾结核并给予合理治疗都能治愈，但70%的病例在出现第一个症状一年后，才作出正确诊断。为做到早诊早治，凡遇下列情况时应考虑肾结核的可能：①无菌性脓尿和（或）血尿；②不明原因的膀胱刺激症状；③有尿路感染症状，而一般细菌培养多次阴性；④尿路感染经抗菌治疗后，尿菌阴转，但仍有膀胱刺激征或尿沉渣异常。肾实质结核，可无明显临床症状，只有累及膀胱时才出现膀胱刺激征，因此肾结核的早期诊断，不能单纯依靠临床症状，应重视实验室检查。肾结核早期，尿常规已有异常发现，如脓尿和（或）血尿，此时应反复作结核杆菌检查和影像学以及膀胱镜检查。24小时沉渣找抗酸杆菌和结核菌素试验亦有助诊断。</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;在双肾结核、唯一肾的结核以及肾结核对侧肾积水时，在静脉肾盂造影时不易区别单侧肾结核并发对侧肾积水和双肾结核，但在治疗上却有原则性的区别，因此应进一步予以鉴别。大剂量静脉肾盂造影以及肾穿刺造影亦有助于明确诊断。</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;本病应与肾盂肾炎、肾结石、肾肿瘤、肾囊肿等鉴别。</p><p style=\"white-space: normal; text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5630', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '102', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;自开展抗结核化疗以来，肾结核的预后已大为改观，病死率低于1%～2%。肾结核的药物治疗要选用敏感药物，并采取联合用药和彻底治疗的原则。除化疗外，许多病例需要手术治疗，方法包括病灶清除、部分和全肾切除。输尿管狭窄和膀胱挛缩等并发症亦需要手术。</p><p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（一）抗结核药物治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;诊断一经确定，应及早给予抗结核药物治疗。具体用药详见“肺结核病”部分。现代短程抗结核治疗对各种形式的结核均有效。一般采用2～3个月的强化治疗期，可采用如异烟肼、利福平、吡嗪酰胺以及乙胺丁醇标准联合强化治疗2～3个月，再以异烟肼与利福平联合乙胺丁醇治疗6～9个月。如为耐多药结核菌感染，则不选用已耐药的异烟肼和利福平等药，强化期至少选用5种药物联合，巩固期也至少有3种药物联合治疗，疗程多在18个月以上。具体方案可参考“肺结核病”中的“耐多药结核病的治疗”部分。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;在肾功能不全患者中用药要予以额外关注。利福平、异烟肼、吡嗪酰胺与乙硫异烟胺以及丙硫异烟胺从胆道排泄，因而可以常规剂量给予。相比之下，应用链霉素和其他氨基糖苷类以及乙胺丁醇完全从肾脏排泄，则必须谨慎。链霉素和其他氨基糖苷类最好避免使用，而乙胺丁醇则根据患者的GFR（内生肌酐清除率）调整剂量，若GFR介于50～100ml/min，剂量宜用25mg每周3次，若GFR介于30～50ml/min，则采用25mg每周2次的剂量。治疗期间，应每月复查尿结核杆菌培养，3～6个月作静脉肾盂造影一次。化疗结束后，至少随访1年，期间应定期作尿常规、尿结核杆菌培养（3次）以及静脉肾盂造影；如有复发，再按药敏结果予以联合治疗。轻者5年不复发可认为已治愈，倘若已有明显的膀胱结核，或合并肺结核、骨关节结核，随诊时间则需长达10～20年，甚至更长时间的观察。药物治疗可使肾结核病灶纤维化加重，部分病例可因纤维化而加重梗阻，从而加速肾的损害，应注意随诊。</p><p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（二）手术治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;肾外结核呈活动性或双肾病变严重，纵使有手术指征，亦应暂缓手术，待化疗至病情稳定或一侧肾脏显著好转后再行手术。手术前须进行化疗，一般用异烟肼与利福平联合乙胺丁醇治疗，每日1次（强化疗法）1～2个月，术后继续以上述方案治疗2个月，然后用异烟肼、利福平以及吡嗪酰胺联合乙胺丁醇治疗，每周3次（间歇化疗法），化疗至切除术后4个月、重建术后7个月。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;手术方法与指征：①肾脏病变切除术：全肾切除术适用于一侧肾病变严重，而对侧肾功能无明显损害者；或一侧肾病变严重，并发膀胱挛缩及对侧肾盂积水，若肾功能正常，仍可先行肾切除；对于肾结核对侧肾积水患者先行切除结核肾后，应待膀胱结核愈合后再处理对侧肾积水；若有肾功能不全或继发感染，甚至发生急性无尿时，可先行尿引流手术使肾功能有所恢复，一般情况好转后再行肾切除术。②肾部分切除术：对局限于肾脏一部分且与肾盂相沟通的病变或病灶在双肾盂之一时可行肾部分切除术，但手术复杂且易发生并发症，而且药物治疗大多能治愈，故已很少应用。③肾病灶清除术：适用于肾结核的闭合性脓腔，手术或穿刺排脓后由导管注入INH（5%）、RFP（1%）或SM（＜1g），每日1次，共2周，能最大限度地保留功能性肾组织。④纠正上尿路（肾盏或输尿管）梗阻：如经化疗梗阻持续，可行肾盂成形术或输尿管再植等。⑤挛缩膀胱的手术处理：对严重膀胱结核、愈合过程中缩小而引起明显尿频和夜尿者，可行回肠、盲肠或结肠膀胱成形术。⑥双侧肾结核、剩余肾组织已不能维持生命，并出现肾功能不全时，可作定期透析或作肾移植。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5631', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '110', '概述', '<p style=\"line-height: 2em;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); font-size: 12px;\">尿崩症（diabetes insipidus）是指抗利尿激素（antidiuretic hormone，ADH）分泌不足（又称中枢性或垂体性尿崩症），或肾脏对血管加压素反应缺陷（又称肾性尿崩症）而引起的一组症群，其特点是多尿、烦渴多饮、低比重尿和低渗尿。</span></p><p style=\"text-align: right; line-height: 2em;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5632', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '110', '病因与发病机制', '<p>（一）ADH的作用机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">ADH源自血管加压素（VP），它们在下丘脑视上核、室旁核神经元内合成，其最初产物是前激素原。进入高尔基体内形成激素原并被包裹在神经分泌囊泡内。囊泡沿神经垂体束轴突流向神经垂体，在流动过程中通过酶的作用产生活性九肽，即ADH，亦称之为精氨酸血管加压素（arginine vasopressin，AVP）和一种分子量为10 000kDa的39肽运载蛋白，又称神经垂体素（neurophysin，VNP）以及一种由39个氨基酸组成的糖肽（vasopressin glycopeptide，VGP）。AVP沿丘脑-神经垂体束下行至末梢，贮存于神经垂体中。近年来发现AVP纤维也见于正中隆起外侧带，并可以分泌到垂体门脉系统、第三脑室底部及脑干血管运动中枢等处。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">AVP的主要生理作用是促进肾集合管和远曲小管后段对水分子的重吸收，AVP通过与集合管细胞膜上的V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体结合而激活腺苷酸环化酶起作用，促进水从管腔向间质流动，而不影响溶质的排出，浓缩尿液成为高渗，维持渗透压和体液容量的恒定。其作用机制与其他蛋白质激素相同，须通过cAMP系统，AVP在血浆中的浓度很低，并无血管活性作用，但高浓度的AVP可作用于V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>受体引起血管收缩，可能是对严重低血压和低血容量的反应。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血浆和尿液中的AVP浓度可以用放免方法测定。在随意摄入液体的情况下，神经垂体含有近6单位或18nmol（20μg）的AVP，外周血AVP浓度在2.3～7.4pmol/L（2.5～8ng/L）。血浆AVP浓度具有昼夜节律变化特点，深夜及清晨最高，午后最低。正常给水时，健康人24小时从垂体释放AVP 370～1400pmol（400～1500ng），从尿中排出23～80pmol（25～90ng）。禁水24～48小时后，AVP的释放增加3～5倍，血和尿中水平持续增加。AVP主要在肝脏灭活，近7%～10%的AVP以活性形式从尿中排出。</p><p>（二）AVP释放的调节1.渗透压感受器</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">AVP的释放受多种刺激的影响。正常情况下AVP的释放主要由下视丘的渗透压感受器调节。渗透压变化刺激AVP的产生与释放。血浆渗透压变化与AVP释放的反馈调节机制使血浆渗透压维持在狭小范围内。正常人AVP释放的渗透压阈值是280～284mOsm/kg H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O。发生利尿时的AVP释放的渗透压阈值是287mOsm/kg H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O。开始口渴的血浆渗透压阈值是290～294mOsm/kg H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O，此时的AVP浓度可达到5ng/L，而肾脏也达到了最大的抗利尿效果。此后，即使AVP浓度再升高，抗利尿效果亦不再增强。</p><p>2.容量调节</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血容量下降刺激左心房和肺静脉张力感受器，通过减少来自压力感受器对下视丘的张力抑制性冲动而刺激AVP释放。除此之外，正压呼吸、直立、温热环境所致的血管舒张均可激发这一机制恢复血容量。血容量减少可以使循环AVP浓度达到高渗透压所致的AVP浓度的10倍。</p><p>3.压力感受器</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">低血压刺激颈动脉和主动脉压力感受器，可以刺激AVP释放。失血所致的低血压是最有效的刺激。此时血浆AVP浓度明显增加，同时可以导致血管收缩，起到恢复血容量、维持血压的作用。通常血容量减少10%时，就可通过反射机制促发AVP的释放，随血容量降低的程度，血中的AVP浓度可达到正常的10倍。</p><p>4.神经调节</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">下视丘许多神经递质和神经肽具有调节AVP释放的作用。如乙酰胆碱、血管紧张素Ⅱ、组胺、缓激肽、γ-神经肽等均可刺激AVP的释放。随着年龄增高，AVP对血浆渗透压增高的反应性增强，血浆AVP浓度呈进行性增高，这些生理变化可能使老年人发生水钠潴留和低钠血症的危险性增高。</p><p>5.药物影响</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">能刺激AVP释放的药物包括：烟碱、吗啡、长春新碱、环磷酰胺、氯贝丁酯、氯磺丙脲及某些三环类抗忧郁药。乙醇可以通过抑制神经垂体功能产生利尿作用。苯妥英钠、氯丙嗪可抑制AVP的释放而产生利尿作用。</p><p>（三）AVP对禁水和水负荷的反应</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">禁水可以使渗透压增高而刺激加压素释放。禁水后最大渗透压随着肾髓质渗透压的变化而改变。正常人禁水18～24小时后，血浆渗透压很少超过292mOsm/kg H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O，此时血浆AVP浓度增加到14～23pmol/L（15～25ng/L）。禁水后可抑制AVP释放，正常人饮水20ml/kg的水负荷后，血浆渗透压至281.7mOsm/kg H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O。</p><p>（四）AVP释放和渴觉的关系</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">正常情况下，AVP的释放和口渴的感觉协调一致，两者均由血浆渗透压轻度升高所引起。当血浆渗透压上升至292mOsm/kg H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O以上时，口渴感逐渐明显，直到尿浓缩达到最大限度时才刺激饮水。因此，正常情况下，失水引起的轻度高钠可以增强渴觉，增加液体摄入，以恢复和维持正常血浆渗透压。相反，当渴觉丧失时，体液的丧失不能通过饮水得到及时纠正，尽管此时AVP释放达到最大限度，仍然会导致高钠血症的发生。</p><p>（五）糖皮质激素的作用</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肾上腺皮质激素和AVP在水的排泄方面有拮抗作用。可的松可提高正常人输注高渗盐水引起的AVP释放的渗透压阈值。糖皮质激素可以防止水中毒，并且可以对抗肾上腺皮质功能减退时对水负荷的异常反应。肾上腺皮质功能减退时，尿液稀释能力下降可能部分是由于循环中AVP过多所致。但糖皮质激素在AVP缺乏时可以直接作用于肾小管，降低水的通透性，在AVP缺乏的情况下增加自由水的排泄。</p><p>（六）AVP作用的机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">AVP是一个九肽，其中六个氨基酸由一个二硫键构成环状结构，C端由三肽连接。AVP最主要的作用是调节水代谢，通过增加肾远曲小管和髓质集合管细胞对水的渗透作用而浓缩尿液。AVP缺乏时，水分子不能通过肾小管细胞进行重吸收，因而引起多尿，最大尿量可达0.2ml/（kg？min）；尿液呈最大限度稀释，最低尿比重至1.000。AVP与小管细胞浆膜面G蛋白偶联的V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体结合，激活腺苷酸环化酶，并插入小管细胞管腔面细胞膜水通道，组成水通道蛋白2（图15-2-13）。编码V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体和水通道2基因以被克隆，可特异性地在肾小管细胞腔面表达。AVP的类似物与V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体结合后可表现为激活或抑制作用（激动剂或拮抗剂），用来治疗AVP不足或AVP过量引起的不同疾病。许多离子和药物能影响AVP的作用。钙和锂抑制腺苷酸环化酶对AVP的反应，也抑制依赖cAMP的蛋白激酶。相反，氯磺丙脲增强AVP诱导的腺苷酸环化酶的激活作用。AVP在高浓度条件下还有其他作用：引起皮肤、胃肠道血管平滑肌收缩、肝脏糖原分解、通过刺激CRF促进ACTH释放导致糖皮质激素分泌增多。这些作用由AVP受体1a（V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>a）和1b（V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>b）介导，与磷脂酶C偶联。V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>受体也已被克隆和测序，并发现在多种器官内表达（血管、腺垂体、神经垂体和大脑其他部位），它们在人类不同组织表达的生理和病理生理意义尚未肯定。近年研究发现AVP的作用与集合管内皮的aquaporin-Ⅱ（AQP-Ⅱ）有关，AQP-Ⅱ是一种存在于集合管上皮细胞胞浆囊泡内的一种蛋白质，当AVP作用于上皮细胞时，AQP-Ⅱ向管腔侧细胞膜移动并开放水通道，AVP作用消失后，AQP-Ⅱ可重新返回囊泡并有部分分泌至尿液。因此认为尿AQP-Ⅱ浓度与血AVP浓度呈正相关，而中枢性尿崩症患者由于AVP的缺乏，尿AQP浓度极低。可用于尿崩症的诊断。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5633', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '110', '病因学', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据发病原因的不同目前国际上将其分为四类，其病因和治疗各不相同：①中枢性尿崩症，亦称神经源性或下丘脑、垂体性尿崩症，是由于ADH或血管紧张素缺乏所致；②肾性尿崩症，亦称血管紧张素抵抗性尿崩症，是由于肾脏对ADH作用不敏感所致；③先天性渴感异常尿崩症，由于渴感异常或水摄入过多所致；④妊娠性尿崩症，特指在妊娠期ADH缺乏所致的尿崩症。临床常见的是中枢性和肾性尿崩症，见表15-2-18。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表15-2-18　尿崩症的病因</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526612367893006079.jpg\" title=\"1526612367893006079.jpg\" alt=\"表15-2-18　尿崩症的病因.jpg\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\">图15-2-13　AVP作用示意</span><br/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><span style=\"font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526612418117036343.jpg\" title=\"1526612418117036343.jpg\" alt=\"表15-2-19　多尿症群的病因.jpg\"/></span></p><p><span style=\"font-size: 12px;\"><br/></span></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">续表</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526612457872016496.jpg\" title=\"1526612457872016496.jpg\" alt=\"表15-2-19　续表.jpg\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p><span style=\"font-size: 12px;\">1.中枢性尿崩症</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">中枢性尿崩症的主要原因是由于各种原因导致的AVP合成和释放减少，造成的尿液浓缩障碍，表现为多饮、多尿、大量低渗尿，血浆AVP水平降低，应用外源性AVP有效。引起中枢性尿崩症的因素有多种，可分为原发性或继发性，约30%的患者为原发性尿崩症（原因不明或特发性），其余的约25%与脑部、垂体-下丘脑部位的肿瘤有关（包括良、恶性肿瘤），16%继发于脑部创伤，20%发生于颅脑部手术后。一个儿童尿崩症回顾性研究资料表明：儿童发生的尿崩症中，脑部肿瘤占60%，脑部畸形占25%。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">引起尿崩症的原发性颅内肿瘤常常是颅咽管瘤和松果体瘤；最常见的转移瘤是肺癌和乳腺癌。颅内病变的其他临床表现常发生较晚，有的可在尿崩症发生10年之后才出现其他症状。因此对于诊断为原发性尿崩症的患者应该进行长期随访，找不到各种继发因素的时间越长，原发性尿崩症的诊断越肯定。另外，组织细胞病，如嗜酸性肉芽肿、韩-雪-柯氏病（Hand-Schuller-Christian Disease）脑炎或脑膜炎，肉芽肿性疾病（如结节病、Wegener’s肉芽肿），淋巴性垂体炎，脑室内出血均可引起中枢性尿崩症。</p><p>2.肾性尿崩症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肾性尿崩症与中枢性尿崩症相比，均有多尿、低渗尿的特点，但对外源性AVP缺乏反应，血浆AVP水平正常或升高。也由原发性和继发性因素所致。常见的引起肾性尿崩症的病因见表15-2-18。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">家族性尿崩症的基因变异与尿崩症的类别有关，在肾性尿崩症，基因突变可表现为X染色体的ADH受体编码突变或常染色体隐性遗传，近年还发现水通道蛋白aquaporin-Ⅱ基因突变引起的常染色体隐性遗传和肾脏V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体基因突变或缺失引起的肾性尿崩症。与中枢性尿崩症有关的基因突变多与ADH编码及其相关蛋白有关，呈染色体显性遗传。基因研究发现了几种AVP-神经垂体素基因突变（AVP-NP gene）。AVP和神经垂体素由同一个基因编码，翻译后AVP与神经垂体素分离。目前还没有发现编码AVP本身区域的基因突变，但编码信号肽区域或神经垂体素区域的突变更为常见。这些突变引起的AVP释放缺陷的机制尚不明确。ADNDI的致病基因位于20号染色体的AVP-NPⅡ前体基因，该基因编码产物包括一个信号肽，AVP和NPⅡ，NPⅡ是AVP的运输蛋白，由两个β片层组成，可以形成与AVP结合的袋状结构。由于突变引起的神经垂体素结构异常，可以损伤前体蛋白的水解，致使AVP与神经垂体素不能分离，形成AVP-神经垂体素复合物，这一前提物质异常堆积可能对大细胞神经原具有毒性作用，从而下丘脑产生AVP的细胞减少。最终导致ADNDI患者MRI神经垂体高信号消失。中枢性尿崩症可于X染色体的隐性遗传所致，只在男性发病，女性为携带者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Wolfram综合征是一种罕见和复杂的常染色体隐性遗传基因缺陷型疾病，突变位点位于第四染色体的短臂（4p16.1），该基因负责编码线粒体机构和功能蛋白，多有母系遗传。它也被称之为DIDMOAD（尿崩症-糖尿病-神经萎缩-耳聋），它属于一种进行性的神经退行性疾病。病变原发于神经系统，几乎所有的患者均伴有视神经萎缩和年幼起病的糖尿病，约75%的患者伴有尿崩症。</p><p>3.妊娠期尿崩症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">指在妊娠期发生的尿崩症，症状常在妊娠后三个月发生，多在分娩后几周消失或明显好转。发生于妊娠期的尿崩症十分少见，妊娠期尿崩症具有中枢性尿崩症和肾性尿崩症的特点。通常认为是妊娠时的ADH相对不足或胎儿血中的半胱氨酸氨基肽酶增高，使AVP降解增加所致。在某些患者，也可能是由于神经垂体的功能障碍所致。该病患者血浆AVP水平降低，但对外源性AVP无反应。半胱氨酸氨基肽酶可以降解AVP，但不能降解去氨加压素（desmopressin），因此这些患者对去氨加压素有效。较少见的一种妊娠性尿崩症是由于渴感异常所致，这种患者应用去氨加压素治疗常会导致水中毒。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5634', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '110', '病理生理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在AVP生成和释放的任何一个环节发生功能障碍均可导致发病。通过比较正常饮水、水负荷、禁水情况下血浆和尿液渗透压的变化，可以将中枢性尿崩症归纳为四型：①型：禁水时血浆渗透压明显增高时，而尿渗透压很少升高（图15-2-14），注射高渗盐水时没有AVP释放，这种类型确实存在AVP缺乏；②型；禁水时尿渗透压突然升高，但在注射高渗盐水时，没有渗透压阈值。这些患者缺乏渗透压感受机制，仅在严重脱水导致低血容量时才能够刺激AVP释放；③型：随着血浆渗透压上升，尿渗透压略有升高。这些患者AVP释放阈值升高，但仍有缓慢的AVP释放机制，或者说渗透压感受器敏感性降低；④型：血和尿渗透压曲线均移向正常的右侧，这种患者在血浆渗透压正常时即开始释放AVP，但释放量低于正常。②～④型患者对尼古丁（烟碱）、乙酰胆碱、氯磺丙脲、氯贝丁酯（安妥明）有很好的抗利尿作用。提示AVP的合成和储存是存在的，仅在适当的刺激下才释放。在极少数情况下，②～④型患者可表现为无症状的高钠血症，而尿崩症却很轻微，甚至缺乏尿崩症的依据。</p><p style=\"text-align: center;\"><span style=\"font-size: 12px;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526612517952025171.jpg\" title=\"1526612517952025171.jpg\" alt=\"图15-2-14　血浆和尿渗透压的关系.jpg\"/></span></p><p style=\"text-align: center;\"><span style=\"font-size: 12px;\">图15-2-14　血浆和尿渗透压的关系</span></p><p><span style=\"font-size: 12px;\"><br/></span></p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5635', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '110', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">中枢性尿崩症可见于任何年龄，通常在儿童期或成年早期发病，男性较女性多见，男女之比约2∶1。中枢性尿崩症症状的严重程度取决于引起AVP合成与分泌受损的部位和程度。视上核、室旁核内大细胞神经元消失90%以上时，才会出现尿崩症症状，因此，根据视上核、室旁核内大细胞神经元消失的程度，临床症状呈现从轻到重的移行过程，可以表现为亚临床尿崩症、部分性中枢性尿崩症和完全性中枢性尿崩症。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一般起病突然，日期比较明确。大多数患者均有多饮、烦渴、多尿。排尿频繁，尿色清淡，夜尿显著增多。一般尿量常大于4L/日，多在16～24L之间，最多有达到39L/日者。尿比重比较固定，呈持续低比重尿，尿比重小于1.010，部分性尿崩症在严重脱水时可以达到1.010。尿渗透压多数＜200mOsm/kg H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O。渴觉中枢正常者摄入水量和水排泄量大致相等。口渴常很严重，喜冷饮。如果饮水不受限制，可影响到睡眠、消化系统甚至引起肾脏的病理改变，患者常表现为注意力不集中、体力下降、食欲缺乏，乃至工作、学习效率降低。但智力、体格发育接近正常。烦渴、多尿在劳累、感染、月经期和妊娠期加重。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">渴感中枢的正常反应保证了患者摄入足够的水分来补偿多尿引起的水分丧失，维持体内的水分平衡，以致不会发生脱水。一般情况下，血清钠和渗透压仅轻度升高。但如果患者因病情和条件所限不能摄入足够的水分，尤其是在儿童，则会发生严重的脱水症状，如皮肤无弹性、失去光泽，患者表现为无力、食欲缺乏、精神异常、虚脱，甚至危及生命。实验室检查伴有严重的高血钠和血浆渗透压的升高。如遗传性尿崩症者常于幼年起病，因渴觉中枢发育不全，可引起严重脱水和高钠血症，常危及生命。肿瘤和颅脑外伤及手术累及渴觉中枢时，也可出现高钠血症，表现为谵妄、痉挛、呕吐等。当尿崩症合并腺垂体功能不全时，尿崩症症状会减轻，糖皮质激素替代治疗后症状再现或加重。头部损伤和颅内手术损伤垂体和下丘脑引起的尿崩症可有三种不同的临床表现：暂时性、持续性和三相性。暂时性尿崩症常在术后第一天突然发生，在几天以内可以恢复，此类型最为常见，占50%～60%。持续性者也于术后突然发生，但持续时间长，可达数周或为永久性。三相性的特征包括：急性期、中间期和持续期。急性期在损伤后发生，尿量突然增多，尿渗透压下降，约持续4～5天；中间期尿量突然减少，尿渗透压增高，约持续5～7天；接着进入持续期，表现为永久性尿崩症。对于三相性表现的病理生理机制一般认为：第一阶段是由于损伤造成神经源性休克，而不能释放AVP，或由受损神经元释放无生物学活性的前体物；第二阶段表现的少尿、尿渗透压增高，是由于AVP从变性损伤的神经元中溢出，使循环中AVP突然增多所致；持续性中枢性尿崩症的出现是产生AVP的神经元永久性损害的结果。无论先天性尿崩症还是获得性尿崩症，都可能存在不同程度的腺垂体功能异常，部分中枢性尿崩症或者可伴有泌乳素增高或泌乳。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肾性尿崩症的症状相对较轻，临床表现多变，尿量波动较大，多伴有原发的肾脏疾病引起的症状，如低血钾、高血钙症状，在原发性疾病治愈后症状会减轻或消失。某些综合征也有肾性尿崩症的表现，如Wolfram（DIDMOAD）综合征除有尿崩症的表现外，还伴有糖尿病、视神经萎缩和神经性耳聋。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5636', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '110', '辅助检查', '<p>1.尿比重</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常低于1.005，尿渗透压降低，常低于血浆渗透压。血钠增高，严重时血钠可高达160mmol/L以上。</p><p>2.血浆渗透压和尿渗透压关系的估价</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血浆和尿渗透压的关系见图15-2-14。如果一个多尿患者数次同时测定血浆和尿液渗透压值均落在阴影的右侧，则这个患者可能患有中枢性尿崩症或肾性尿崩症。如果对注射血管加压素的反应低于正常（见下述禁水加压试验）或者血或尿AVP浓度增高，则诊断为肾性尿崩症。相反，注射血管加压素后，尿渗透压明显增高、血浆渗透压下降，则诊断为中枢性尿崩症。血、尿渗透压的关系很有用处，尤其在神经外科手术后或头部外伤后，运用两者的关系可以很快鉴别尿崩症与胃肠道外给予的液体过量。对这些患者的静脉输液速度可以暂时放慢，通过反复测量血、尿渗透压，判断二者的关系是否正常。</p><p>3.禁水加压试验</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">比较禁水后与使用血管加压素后的尿渗透压的变化，是确定尿崩症及尿崩症鉴别诊断的简单可行的方法。</p><p>（1）原理：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">正常人禁水后血浆渗透压升高，循环血量减少，两者均刺激AVP释放，使尿量减少，尿渗透压增高，尿比重升高，而血浆渗透压变化不大。</p><p>（2）方法：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">禁水时间6～16小时不等。中等程度多尿患者的禁水试验可以从夜间开始，中度多尿者的禁水试验应该在白天，在医生严密观察下进行。试验前测定体重、血压、血渗透压、尿渗透压和尿比重。禁水开始后，每小时测定一次上述指标。当连续两次尿量和尿比重变化不大、尿渗透压变化＜30mOsm/kg H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O或体重下降3%时，于皮下注射水剂血管加压素5U，于注射后60分钟测定血、尿渗透压和尿量、尿比重。</p><p>（3）结果分析：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">正常人禁水后体重、血压、血浆渗透压变化不大，而尿渗透压可以超过800mOsm/kg H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O，注射水剂加压素后，尿渗透压上升不超过9%。原发性多饮（精神性烦渴）患者在禁饮后尿量可见减少，尿比重上升，但不超过1.020。尿渗透压也可上升，但由于这种患者长期多饮造成的水利尿状态，使肾髓质高渗透压梯度降低，使尿液最大浓缩受限，因此禁水后尿渗透压上升幅度较小，但仍存在最大限度内源性AVP释放，表现为应用外源性AVP后，尿渗透压可以继续上升，但上升幅度＜9%。完全性中枢性尿崩症患者于禁水后，尿渗透压上升不明显，在给予外源性AVP后，尿渗透压迅速升高，上升幅度可以超过50%。尿量明显减少，尿比重可上升至1.020。部分性中枢性尿崩症者，于禁饮后尿液有一定程度的浓缩，但注射AVP后尿渗透压上升幅度至少达到10%。部分性中枢性尿崩症患者在禁水后，尿渗透压峰值随着进一步禁水而下降，提示原有有限的内源性AVP储存在第一次禁水刺激下释放耗竭，继续禁水时没有内源性AVP释放，使尿渗透压峰值下降。肾性尿崩症患者在禁水和应用外源性AVP后尿渗透压不会升高，尿量不能减少。</p><p>（4）试验特点：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对原发性多饮患者进行禁水加压试验时，他们有可能做不到完全禁饮（可能会悄悄地饮水），如果没有注意到这种情况，在注射加压素后很容易发生水中毒。完全性尿崩症患者在禁水过程中，如体重下降＞3%、严重者出现血压下降和烦躁等表现时，应立即注射水剂加压素，尽快终止试验。</p><p>4.高渗盐水试验</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在诊断尿崩症时很少用这一试验。当需要证明AVP释放的渗透压阈值改变时，常采用该试验，并且在分析某些低钠、高钠血症时具有一定的价值。</p><p>5.血浆AVP测定</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">部分性尿崩症和精神性烦渴患者因长期多尿，肾髓质渗透梯度降低，影响肾脏对内源性AVP的反应性，故不易与部分性肾性尿崩症相鉴别，此时在作禁水试验同时，作血浆AVP测定、血渗透压、尿渗透压测定有助于鉴别诊断。</p><p>6.影像学检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">利用影像学检查对进一步确定中枢性尿崩症患者下丘脑-垂体部位有无占位性病变具有重要价值。垂体磁共振（MRI）T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>加权影像在正常人可见神经垂体部位有一个高密度信号区域，中枢性尿崩症患者该信号消失，而肾性尿崩症和原发性多饮患者中，该信号始终存在。有时垂体MRI还可见垂体柄增厚或有结节，提示原发性或转移性肿瘤。因此，MRI可作为鉴别中枢性尿崩症、肾性尿崩症和原发性多饮的有用手段。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5637', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '110', '诊断与鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据上述患者烦渴、多饮、多尿，持续低比重尿的临床表现，结合实验室检查结果，不难作出尿崩症的诊断。尿崩症确立后，必须将中枢性尿崩症、肾性尿崩症、溶质性利尿、精神性多饮和其他原因引起的多尿相鉴别，见表15-2-19。在临床上的主要问题是对部分性尿崩症与渴感异常和多发性烦渴的鉴别。有两种方法可以应用，一是通过AVP的激发试验（如禁水试验和高渗盐水试验）来测定血中AVP浓度。是否应用高渗盐水试验取决于患者对禁水试验的反应，如果尿渗透压在血渗透压改变或Na<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>浓度改变前出现升高，则给予高渗盐水后再检测血AVP。另一个方法是在24～48小时内给予足够的去氨加压素，如果患者的渴感和水分摄入减少并不出现低钠血症，则95%的患者为中枢性或部分性中枢性尿崩症，若患者对治疗无反应，则多为肾性尿崩症。如果患者出现低钠血症，则考虑患者为渴感中枢异常性尿崩症或某种程度的多发性烦渴。通常在禁水试验后给予AVP，完全性中枢性尿崩症患者的尿渗透压会升高超过50%，而部分性尿崩症或肾性尿崩症患者则少于50%，而渴感异常所致尿崩症尿渗透压的升高会少于9%。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">表15-2-19　多尿症群的病因</p><p><span style=\"font-size: 12px;\">续表</span></p><p><span style=\"font-size: 12px;\">中枢性尿崩症诊断一旦成立，应进一步明确部分性还是完全性；无论是部分性还是完全性中枢性尿崩症，都应该努力寻找病因学依据，可测定视力、视野，脑部检查包括下丘脑-垂体部位CT和MRI检查。如果确实没有确切的脑部和下丘脑-垂体部位器质性病变的依据，才可以考虑原发性中枢性尿崩症的诊断。重要的是对这部分患者进行长期随访，找不到各种继发因素的时间越长，原发性尿崩症的诊断越肯定。在绝大多数的中枢性尿崩症患者，MRI表现为神经垂体的亮点消失。但应注意，在10%～30%的正常人或其他类型的尿崩症也会出现类似表现，所以，该现象并不代表中枢性尿崩症的确诊依据。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">先天性肾性尿崩症是一种少见病，由于肾小管对AVP无反应所致，常有家族性积聚特点，女性较男性病情较轻，在禁水时可浓缩尿液，用大量去氨加压素治疗有效。其基因突变的位点位于X染色体短臂。大多数患者存在V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体异常，有些患者存在受体后缺陷，这些患者中V<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>受体功能均正常。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">当肾性尿崩症与中枢性尿崩症不能通过渗透压测定来鉴别时，与血浆渗透压相关的血或尿AVP浓度的升高可以明确肾性尿崩症的诊断。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">原发性多饮或精神性烦渴有时很难与尿崩症相鉴别，有时可能两种形式都存在。长期水摄入过多导致低渗性多尿，易与尿崩症相混淆。但这些患者多饮、多尿常常是不稳定的，且常无夜间多尿。结合血、尿渗透压之间的关系，常可作出鉴别诊断。禁水试验时，患者尿渗透压可以增高，但由于长期饮水造成的肾髓质浓缩功能障碍，使尿液浓缩受限，不能达到正常人禁饮后水平。当禁饮后，尿渗透压稳定时注射外源性血管加压素后，尿渗透压不升高或升高很少。由于长期大量饮水抑制AVP释放及长期多尿导致肾脏髓质渗透压梯度丧失，尿渗透压和血渗透压相比可以低于正常。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5638', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '110', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对各种类型症状严重的尿崩症患者，都应该及时纠正高钠血症，积极治疗高渗性脑病，正确补充水分，恢复正常血浆渗透压。纠正高渗状态不宜过快，如果原来的高渗透压下降太快，容易引起脑水肿。液体补充的速度以血清Na<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>每2小时下降1mmol/L为宜。究竟补充哪一种液体，可根据以下因素进行选择：有无循环衰竭，高钠血症发展的速度和程度。如果有循环衰竭或严重高钠血症，可输注低渗盐水，意识清醒者可经口服。如不存在循环衰竭仅有高钠血症者，可输注5%的葡萄糖溶液，输注速度应低于葡萄糖代谢速度，以避免高血糖发生和渗透性利尿。但是对于严重高钠血症伴循环衰竭逐渐发展超过24小时者，应补充等渗溶液。其原因有二：其一，等渗溶液也能相对稀释高渗状态时的细胞外液，以减少渗透压下降过快导致的脑水肿；其次，同时等渗溶液也可以有效地恢复血容量。在婴幼儿尿崩症的治疗比较困难，因他们难以摄入足够的水分且治疗会导致水中毒。因此，对于婴幼儿患者在保证足够数量的水分摄入（10～30ml/kg体重）同时，应减少加压素的应用剂量。</p><p>1.中枢性尿崩症的治疗（1）水剂加压素：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">尿崩症可用激素替代治疗。注射剂血管加压素口服无效。水剂加压素皮下注射5～10U，可持续3～6小时。该制剂常用于颅脑外伤或术后神志不清的尿崩症患者的最初治疗。因其药效短暂，可有助于识别神经垂体功能的恢复，防止接受静脉输液的患者发生水中毒。</p><p>（2）粉剂垂体后叶粉（尿崩停）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">赖氨酸加压素是一种鼻腔喷雾剂，使用一次可维持4～6小时的抗利尿作用。在呼吸道感染或过敏性鼻炎时，鼻腔黏膜水肿，对药物吸收减少而影响疗效。</p><p>（3）鞣酸加压素（长效尿崩停）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">长效尿崩停是鞣酸加压素制剂，需要深部肌肉注射。应从小剂量开始。初始剂量为每日1.5U，剂量应根据尿量逐步调整。体内24～48小时内可以维持适当的激素水平，一般每周注射两次，但有个体差异，每例应做到个体化给药，切勿过量引起水中毒。注射前适当保温、充分摇匀。</p><p>（4）人工合成DDAVP（1-脱氨-8右旋-精氨酸血管加压素desmopressin）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DDAVP增加了抗利尿作用，而缩血管作用只有AVP的1/400，抗利尿与升压作用之比为4000∶1，作用时间达12～24小时，是目前最理想的抗利尿剂。该药目前已有口服剂型（如去氨加压素片剂），0.1mg/片，口服0.1～0.2mg，对多数患者可维持8～12小时抗利尿作用。初始剂量可从每天0.1mg开始，逐步调整剂量，防止药物过量引起水中毒。该药与经鼻腔用药相比，片剂口服后的生物利用度约为5%。该药还有注射剂和鼻喷剂，1～4μg皮下注射或10～20μg鼻腔内给药，大多数患者可维持12～24小时抗利尿作用。</p><p>（5）其他口服药物：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">具有残存AVP释放功能的尿崩症患者，可能对某些口服的非激素制剂有疗效。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">氯磺丙脲可以刺激垂体释放AVP，并加强AVP对肾小管的作用，可能增加肾小管cAMP的形成，但对肾性尿崩症无效。200～500mg，每日一次，可起到抗利尿作用，可持续24小时。该药可以恢复渴觉，对渴觉缺乏的患者有一定作用。另外，因为该药是降糖药，有一定的降血糖作用，因此必须告知服药患者，服药时必须按时进餐，可以避免低血糖的发生。该药其他副作用包括：肝细胞损害、白细胞减少等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">双氢克尿噻的抗利尿机制不明。一般认为是盐利尿作用，造成轻度失盐，细胞外液减少，增加近曲小管对水分的再吸收，使进入远曲小管的初尿减少，而引起尿量减少。该药对中枢性和肾性尿崩症均有效，可使尿量减少50%左右。与氯磺丙脲合用有协同作用。剂量每日50～100mg，分3次服用。服药时用低盐饮食，忌饮用咖啡、可可类饮料。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">氯贝丁酯（安妥明）能刺激AVP释放，每日200～500mg，分3～4次口服。副作用包括：肝损害、肌炎及胃肠道反应。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">卡马西平（酰氨脒嗪）可以刺激AVP释放，产生抗利尿作用，每日400～600mg，分次服用。因副作用较多，未广泛使用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">继发性中枢性尿崩症应首先考虑病因治疗，如不能根治，可选择上述药物治疗。</p><p>2.肾性尿崩症的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肾性尿崩症对外源性AVP均无效，目前还没有特异性的治疗手段，但可采用以下方法控制症状：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）恰当地补充水分，避免高渗和高渗性脑病。儿童和成人可以口服，对婴儿应及时经静脉补充。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）非甾体类消炎药：吲哚美辛可使尿量减少。但除吲哚美辛以外的该类其他药物疗效不明显。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（3）噻嗪类利尿剂：双氢克尿噻，每日50～100mg口服，必须同时应用低盐饮食，限制氯化钠摄入，可使尿量明显减少。该药有明显排钾作用，长期服用时，应定期检测血钾浓度，防止低钾血症。阿米洛利（amiloride）与双氢克尿噻联合应用可避免低钾血症。阿米洛利（amiloride）用于锂盐诱导的肾性尿崩症时有特异疗效。</p><p>3.妊娠期尿崩症的治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">原有中枢性尿崩症的妇女妊娠时，一般应用DDAVP。如果尿崩症是由希恩综合征所致，则在治疗尿崩症的同时，补充腺垂体激素的缺乏。妊娠性尿崩症的治疗中应注意区分ADH分泌不足引起的尿崩症和渴感异常引起的尿崩症，后者应用DDAVP治疗常可引起水中毒，所以最好测定血中的AVP含量来指导治疗。在尿崩症妊娠中没有必要停用药物治疗，相反应适量增加药物剂量。哺乳期也没有必要停用药物，因乳汁中的含量极微。由于妊娠期尿崩症随分娩后自然缓解，分娩后密切注意尿量变化，及时减少剂量和停药，以防止水中毒发生。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5639', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '112', '概述', '<p style=\"line-height: 2em;\"><span style=\"font-family: 宋体;\">&nbsp; &nbsp; 前列腺炎</span>(prostatitis)<span style=\"font-family: 宋体;\">是泌尿男性生殖系统的常见病。在</span>50<span style=\"font-family: 宋体;\">岁以下的男性中为最常见的泌尿系统疾病。</span>1978<span style=\"font-family: 宋体;\">年</span>Drach<span style=\"font-family: 宋体;\">提出前列腺炎综合征的概念，将前列腺炎分为</span>4<span style=\"font-family: 宋体;\">类：①急性细菌性前列腺炎</span>(acute bacterial prostatitis<span style=\"font-family: 宋体;\">，</span>ABP)<span style=\"font-family: 宋体;\">；②慢性细菌性前列腺炎</span>(chronic bacterial prostatitis<span style=\"font-family: 宋体;\">，</span>CBP)<span style=\"font-family: 宋体;\">；③慢性非细菌性前列腺炎</span>(chronic non-bacterial prostatitis<span style=\"font-family: 宋体;\">，</span>CNP)<span style=\"font-family: 宋体;\">；④前列腺痛</span>(prostatodynia<span style=\"font-family: 宋体;\">，</span>PD)<span style=\"font-family: 宋体;\">。其中，</span>ABP<span style=\"font-family: 宋体;\">＋</span>CBP<span style=\"font-family: 宋体;\">约占</span>5%<span style=\"font-family: 宋体;\">，</span>CNP<span style=\"font-family: 宋体;\">占</span>64%<span style=\"font-family: 宋体;\">，</span>PD<span style=\"font-family: 宋体;\">占</span>31%<span style=\"font-family: 宋体;\">。</span>1995<span style=\"font-family: 宋体;\">年美国国立糖尿病、消化病和肾病研究委员会</span>(NIDDK)<span style=\"font-family: 宋体;\">推荐的关于前列腺炎的分类方法，也分为</span>4<span style=\"font-family: 宋体;\">类：Ⅰ</span>.<span style=\"font-family: 宋体;\">急性细菌性前列腺炎</span>(<span style=\"font-family: 宋体;\">前列腺急性感染</span>)<span style=\"font-family: 宋体;\">；Ⅱ．慢性细菌性前列腺炎</span>(<span style=\"font-family: 宋体;\">前列腺反复感染</span>)<span style=\"font-family: 宋体;\">；Ⅲ．慢性非细菌性前列腺炎</span>-<span style=\"font-family: 宋体;\">慢性骨盆疼痛综合征</span>(CPPS)(<span style=\"font-family: 宋体;\">无感染依据</span>)<span style=\"font-family: 宋体;\">；Ⅳ．无症状性前列腺炎</span>(AIP)<span style=\"font-family: 宋体;\">，无主观症状，在评估其他疾患时从前列腺活检中检出或前列腺液中，精液中发现有白细胞。</span>CPPS<span style=\"font-family: 宋体;\">又分为：Ⅲ</span>A.<span style=\"font-family: 宋体;\">炎症性</span>CPPS<span style=\"font-family: 宋体;\">，精液</span>/<span style=\"font-family: 宋体;\">前列腺液</span>/<span style=\"font-family: 宋体;\">膀胱尿</span>-3(VB3)<span style=\"font-family: 宋体;\">中白细胞升高；Ⅲ</span>B.<span style=\"font-family: 宋体;\">非炎症性</span>CPPS<span style=\"font-family: 宋体;\">，精液</span>/<span style=\"font-family: 宋体;\">前列腺液</span>/VB3<span style=\"font-family: 宋体;\">中无白细胞。</span><br/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;NIDDK<span style=\"font-family:宋体\">分类中Ⅰ、Ⅱ类与</span>Drach<span style=\"font-family:宋体\">分类相同，Ⅲ</span>A<span style=\"font-family:宋体\">与非细菌性前列腺炎相当，Ⅲ</span>B<span style=\"font-family:宋体\">与前列腺痛相当。在实际使用中</span>Drach<span style=\"font-family:宋体\">分类应用更广。</span></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;<span style=\"font-family:宋体\">由于其病因复杂，症状变化多样，临床上对其病因诊断和治疗一直缺乏行之有效方案和方法，治疗效果不尽人意。近年来，随着研究的进一步深入，一些新的观念、分类方法和治疗方案不断涌现，这在很大程度上改善了前列腺炎的临床诊疗水平。</span></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;<span style=\"font-family:宋体\">现在认为前列腺炎并非单一的疾病，而是几个不同类型的疾病的总称，它们的病因、临床表现以及后遗症等各不相同，尤其是慢性前列腺炎和前列腺痛。</span></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;<span style=\"font-family:宋体\">对慢性前列腺炎经常根据症状作出临床诊断，但慢性前列腺炎症状繁多，不同患者症状各不相同，作为诊断依据并不确切。有研究者为慢性前列腺炎设计前列腺炎症状指数，但仍然不能作为诊断“标准”。</span></p><p style=\"text-indent: 28px; line-height: 2em;\"><span style=\"font-family:宋体\">目前，对大多数慢性前列腺炎的病因尚不清楚。治疗效果亦不甚满意，虽然由于近几年的研究，有些混乱的问题得到解决。“前列腺炎”不是一个病，这是认识方面的重要进步。确切地说：它是具有各自独特形式的综合征，这些综合征各有独特的原因、表现和结果。对患者采取准确的临床检测，才能有准确的诊断。从而采取治疗措施。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5640', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '112', '临床表现', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.<span style=\"font-family:宋体\">急性细菌性前列腺炎</span>&nbsp; <span style=\"font-family:宋体\">发病突然，有寒战和高热，尿频、尿急、尿痛。可发生排尿困难或急性尿潴留。临床上往往伴发急性膀胱炎。前列腺肿胀、压痛、局部温度升高，表面光滑，形成脓肿则有饱满或波动感。</span></p><p style=\"line-height: 2em;\"><span style=\"text-indent: 28px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.</span><span style=\"text-indent: 28px; font-family: 宋体;\">慢性细菌性前列腺炎</span><span style=\"text-indent: 28px;\">&nbsp; </span><span style=\"text-indent: 28px; font-family: 宋体;\">有尿频、尿急、尿痛，排尿时尿道不适或灼热。排尿后和便后常有白色分泌物自尿道口流出。有时可有血精、会阴部疼痛、性功能障碍、精神神经症状。前列腺呈饱满、增大、质软、轻度压痛。病程长者，前列腺缩小、变硬、表面不完整，有小硬结。</span></p><p style=\"line-height: 2em;\"><span style=\"text-indent: 28px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3.</span><span style=\"text-indent: 28px; font-family: 宋体;\">慢性非细菌性前列腺炎及前列腺痛</span><span style=\"text-indent: 28px;\">&nbsp; </span><span style=\"text-indent: 28px; font-family: 宋体;\">临床表现类似慢性细菌性前列腺炎，但没有反复尿路感染病史。主要为尿路刺激、排尿困难症状，特别是慢性盆腔疼痛综合征的表现。某些患者的前列腺液中可培养出支原体、衣原体。</span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5641', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '112', '并发症', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.<span style=\"font-family:宋体\">急性前列腺炎容易引起的并发症主要有</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;(1)<span style=\"font-family:宋体\">急性尿潴留：急性前列腺炎引起局部充血、肿胀、压迫尿道，以致排尿困难或导致急性尿潴留。</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;(2)<span style=\"font-family: 宋体;\">急性精囊炎或附睾炎及输精管炎：前列腺的急性炎症很容易扩散至精囊，引起急性精囊炎。同时细菌可逆行经淋巴管进入输精管的壁层及外鞘导致附睾炎。</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;(3)<span style=\"font-family:宋体\">精索淋巴结肿大或有触痛：前列腺与精索淋巴在骨盆中有交通支，前列腺急性炎症时波及精索，引起精索淋巴结肿大且伴有触痛。</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;(4)<span style=\"font-family:宋体\">性功能障碍：急性炎症期前列腺充血、水肿或有小脓肿形成，可有射精痛、疼痛性勃起、性欲减退、性交痛、阳萎、血精等。</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;(5)<span style=\"font-family:宋体\">其他：急性前列腺炎严重时可伴有肾绞痛。</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;<span style=\"font-family:宋体\">上述症状并非所有病例均存在，有的早期只有发热、尿道灼感，被误为感冒。急性细菌性前列腺炎也可并发睾丸炎，精囊炎和输精管炎。</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;2.<span style=\"font-family:宋体\">慢性前列腺炎的并发症包括</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;(1)<span style=\"font-family:宋体\">对性功能和生育的影响：主要表现为性功能减退，如同房时间短或早泄，可能与前列腺受到炎性刺激有关。阳萎与前列腺炎的关系尚不肯定，慢性前列腺炎并不直接损害阴茎勃起的神经</span>-<span style=\"font-family:宋体\">血管功能。长期的不适感在患者心理上产生压力，使他们产生抑制和担心，特别是对不了解本病的患者常会认为自己的性功能有问题。久而久之可能产生精神性阳萎。前列腺炎并发精囊炎时可以出现血精。</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;<span style=\"font-family:宋体\">精液的主要成分是前列腺液，而且自睾丸、附睾排出的精子必须经精浆包括前列腺液的营养、输送，才具有与卵子结合的能力。慢性前列腺炎的患者其精液常规往往表现为精子的活力较低，死亡率偏高。前列腺炎患者的不育症的发生率明显高于正常人群。</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;(2)<span style=\"font-family:宋体\">对全身的影响：慢性前列腺炎除表现为局部泌尿系统的症状外，亦可表现为变态反应性虹膜炎、关节炎、心内膜炎、肌炎等。</span></p><p style=\"line-height: 2em;\"><span style=\"font-family:宋体\">&nbsp; &nbsp;慢性前列腺炎的患者往往表现出明显的精神症状，患者情绪紧张、精神压力大，长此以往可以导致全身乏力、失眠、多梦、容易疲劳、疑病和焦虑。这些患者常常过分地注意自己的健康状况。并多方面地寻找证据来证实，不管医师们怎样耐心解释也很难改变他们的疑病心理。虽然患者对医师的解释与治疗常常持怀疑态度，但求治心理又相当迫切。前列腺炎与精神症状的关系尚不明确，精神紧张为什么会导致前列腺炎，前列腺炎怎么又产生精神神经症状，值得进一步研究。精神神经症状与个体的人格特征有直接的内在联系，所以不同的慢性前列腺炎的个体表现出精神症状的程度可以千差万别。</span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5642', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '112', '辅助检查', '<p style=\"text-indent: 28px; line-height: 2em;\">1.<span style=\"font-family:宋体\">前列腺液检查</span>&nbsp; <span style=\"font-family:宋体\">前列腺液白细胞＞</span>10<span style=\"font-family:宋体\">个</span>/HP<span style=\"font-family:宋体\">，卵磷脂小体减少有意义。免疫球蛋白中</span>IgA<span style=\"font-family:宋体\">增高，锌含量下降，</span>pH<span style=\"font-family:宋体\">上升。</span></p><p style=\"text-indent: 28px; line-height: 2em;\">2.Meares-Stamey<span style=\"font-family:宋体\">四杯定位细菌培养法</span>&nbsp; <span style=\"font-family:宋体\">分段尿及前列腺液培养检查：检查前充分饮水，取初尿</span>10ml(VB1)<span style=\"font-family:宋体\">；再排尿</span>200ml<span style=\"font-family:宋体\">后取中段尿</span>10ml(VB2)<span style=\"font-family:宋体\">；作前列腺按摩，收集前列腺液</span>(EPS)<span style=\"font-family:宋体\">；完毕后排尿</span>10ml(VB3)<span style=\"font-family:宋体\">，均送细菌培养及菌落计数。菌落计数</span>VB3<span style=\"font-family:宋体\">＞</span>VB1 10<span style=\"font-family:宋体\">倍可诊断为慢性细菌性前列腺炎；若</span>VB1<span style=\"font-family:宋体\">及</span>VB2<span style=\"font-family:宋体\">细菌培养阴性，前列腺液和</span>VB3<span style=\"font-family:宋体\">细菌培养阳性，也可确定诊断。</span></p><p style=\"text-indent: 28px; line-height: 2em;\"><span style=\"font-family:宋体\">前列腺炎对精液的影响目前仍存在着争议。许多研究表明正常射出的新鲜精液如含微生物过多能降低精子活力，但仅在有大量细菌时</span>(<span style=\"font-family:宋体\">细菌数＞</span>106/ml)<span style=\"font-family:宋体\">才会发生这种情况，一般慢性细菌性前列腺炎患者精子很难遇到这样高浓度的细菌。慢性细菌性前列腺炎患者生育力降低可能不是致病菌对精子的直接影响。慢性细菌性前列腺炎伴随的分泌功能障碍，对精子起不利的作用，可造成生育力减低。精液检查由于很难区分未成熟的精子和白细胞而变得复杂；常规检查表现为精子总量减少，活动率降低，死亡率增高，存在多少不等的白细胞。</span></p><p style=\"text-indent: 28px; line-height: 2em;\"><span style=\"font-family:宋体\">其他辅助检查：尿动力学检查：主要表现有尿流率下降，膀胱颈</span>-<span style=\"font-family:宋体\">尿道外括肌不完全松弛，最大尿道关闭压异常增高等。</span></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5643', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '112', '诊断', '<p style=\"line-height: 2em;\"><span style=\"font-size:14px;font-family:宋体\"> </span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span style=\"font-size: 12px;\"><span style=\"font-family: 宋体;\">急性细菌性前列腺炎由于其临床表现明显和典型，易做出诊断；慢性前列腺炎综合征的临床特点变异较大，且不确切，许多症状、体征和病理学检查在慢性细菌性前列腺炎、非细菌性前列腺炎和前列腺痛中经常无法鉴别，放射学和尿道膀胱镜检查，对诊断可能有一些帮助，但也不能肯定诊断。前列腺组织学检查只在一些少见类型的前列腺炎，如肉芽肿型前列腺炎才需要。在慢性细菌性前列腺炎组织学改变对确定炎症为细菌病因并无特异性，</span><span style=\"font-family: Calibri, sans-serif;\">1</span><span style=\"font-family: 宋体;\">组连续</span><span style=\"font-family: Calibri, sans-serif;\">162</span><span style=\"font-family: 宋体;\">例前列腺增生手术切除，发现前列腺炎症发病率</span><span style=\"font-family: Calibri, sans-serif;\">98%</span><span style=\"font-family: 宋体;\">。观察到有</span><span style=\"font-family: Calibri, sans-serif;\">6</span><span style=\"font-family: 宋体;\">种明确的炎症形态学类型，但前列腺细菌感染培养阳性和阴性无明显差异。大多数病例炎症反应是局灶性的，仅累及整个前列腺的小部分，因此前列腺活检在前列腺炎处理上很少有指导意义。前列腺活检标本组织培养对慢性前列腺炎诊断价值很小。</span></span></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5644', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '112', '鉴别诊断', '<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span style=\"text-indent: 28px;\">1.</span><span style=\"text-indent: 28px; font-family: 宋体;\">急性细菌性前列腺炎的鉴别诊断</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;(1)<span style=\"font-family:宋体\">急性肾盂肾炎：也表现为急性的畏寒、发热，伴尿频、尿急和尿痛。通常还表现为患侧腰酸、腰痛；而非耻骨上、会阴部疼痛，且无排尿困难。直肠指检无前列腺压痛，前列腺液检查正常。</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;(2)<span style=\"font-family:宋体\">脓肾：也表现为急性的畏寒、发热，伴尿频、尿急和尿痛。还表现为明显的患侧腰痛；而无耻骨上、会阴部疼痛，无排尿困难，直肠指检无前列腺压痛。前列腺液检查正常。</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;(3)<span style=\"font-family:宋体\">前列腺脓肿：也表现为急性的畏寒、发热．伴尿频、尿急和尿痛，是急性前列腺炎发展的结果。经直肠</span>B<span style=\"font-family:宋体\">超、</span>CT<span style=\"font-family:宋体\">检查可见前列腺内有液性占位，穿刺抽出脓液可以明确诊断。</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;2.<span style=\"font-family:宋体\">慢性细菌性前列腺炎的鉴别诊断</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;(1)<span style=\"font-family:宋体\">前列腺癌：晚期也表现为排尿不适，可有尿频、尿急、排尿困难。直肠指检发现前列腺质地较硬，可有结节；血清</span>PSA<span style=\"font-family:宋体\">明显升高，经直肠</span>B<span style=\"font-family:宋体\">超可见前列腺内有不均质光团，前列腺穿刺活检可确诊。</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;(2)<span style=\"font-family:宋体\">前列腺结核：也表现为尿频、尿急、尿痛伴尿道滴液，有下腹及会阴部疼痛。通常有泌尿生殖系结核病史，直肠指检可发现前列腺有不规则的结节，前列腺液中可找到抗酸杆菌。</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;(3)<span style=\"font-family:宋体\">慢性无菌性前列腺炎：也表现为尿频伴尿道滴液，有下腹及会阴部疼痛。两者主要根据</span>VB1<span style=\"font-family:宋体\">、</span>EPS<span style=\"font-family:宋体\">、</span>VB3<span style=\"font-family:宋体\">的细菌培养进行鉴别，无菌性前列腺炎的</span>VB1<span style=\"font-family:宋体\">、</span>EPS<span style=\"font-family:宋体\">、</span>VB3<span style=\"font-family:宋体\">的细菌培养均为阴性。</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;(4)<span style=\"font-family:宋体\">前列腺增生症：也表现为尿频伴排尿不畅。多发生于老年男性，以排尿不畅为主，直肠指检发现前列腺明显增大，而前列腺液常规一般无白细胞。</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;(5)<span style=\"font-family:宋体\">精囊炎：也表现为尿频、尿急、尿痛伴尿道滴液，有下腹及会阴部疼痛。常有血精，且精囊液检查可见红细胞和白细胞。</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;(6)<span style=\"font-family:宋体\">慢性膀胱炎：也表现为尿频、尿急、尿痛伴有下腹及会阴部疼痛。</span>VBl<span style=\"font-family:宋体\">、</span>VB3<span style=\"font-family:宋体\">均可见白细胞，培养有细菌生长，但</span>EPS<span style=\"font-family:宋体\">检查正常。</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;3.<span style=\"font-family:宋体\">无菌性前列腺炎的鉴别诊断</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;(1)<span style=\"font-family:宋体\">慢性细菌性前列腺炎：也表现为尿频、尿急、尿痛伴尿道滴液，有下腹及会阴部疼痛。两者主要根据</span>VB1<span style=\"font-family:宋体\">、</span>EPS<span style=\"font-family:宋体\">、</span>VB3<span style=\"font-family:宋体\">的细菌培养进行鉴别。慢性细菌性前列腺炎</span>VB1<span style=\"font-family:宋体\">可有或没有细菌，</span>EPS<span style=\"font-family:宋体\">通常有细菌生长，</span>VB3<span style=\"font-family:宋体\">的细菌培养为阳性；而慢性非细菌性前列腺炎</span>VB1<span style=\"font-family:宋体\">、</span>EPS<span style=\"font-family:宋体\">、</span>VB3<span style=\"font-family:宋体\">的细菌培养均为阴性。</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;(2)<span style=\"font-family:宋体\">慢性膀胱炎：也表现为尿频、尿急、尿痛伴下腹及会阴部疼痛。但慢性膀胱炎</span>VB1<span style=\"font-family:宋体\">、</span>VB3<span style=\"font-family:宋体\">的细菌培养为阳性，而</span>EPS<span style=\"font-family:宋体\">无细菌生长。</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;(3)<span style=\"font-family:宋体\">慢性尿道炎：也表现为尿频、尿急、尿痛。</span>VB1<span style=\"font-family:宋体\">的细菌培养为阳性，而</span>VB3<span style=\"font-family:宋体\">、</span>EPS<span style=\"font-family:宋体\">的细菌培养无细菌生长。</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;4.<span style=\"font-family:宋体\">前列腺痛的鉴别诊断</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;<span style=\"font-family:宋体\">慢性细菌性前列腺炎：也表现为尿频、尿急、伴下腹及会阴部疼痛。两者主要根据</span>VB1<span style=\"font-family:宋体\">、</span>EPS<span style=\"font-family:宋体\">、</span>VB3<span style=\"font-family:宋体\">的细菌培养进行鉴别。慢性细菌性前列腺炎其</span>VB1<span style=\"font-family:宋体\">可有或没有细菌，</span>EPS<span style=\"font-family:宋体\">通常有细菌生长，</span>VB3<span style=\"font-family:宋体\">的细菌培养为阳性；而前列腺痛患者的</span>VBl<span style=\"font-family:宋体\">、</span>EPS<span style=\"font-family:宋体\">、</span>VB3<span style=\"font-family:宋体\">的细菌培养均为阴性。</span></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5645', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '112', '治疗', '<p style=\"line-height: 2em;\"><span style=\"text-indent: 28px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.</span><span style=\"text-indent: 28px; font-family: 宋体;\">急性细菌性前列腺炎</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;(1)<span style=\"font-family:宋体\">一般治疗：卧床休息，大量饮水或输液，加强全身支持疗法。</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;(2)<span style=\"font-family:宋体\">抗生素：积极应用有效的抗生素。常选用喹诺酮类如环丙沙星、氧氟沙星、左氟沙星</span>(<span style=\"font-family:宋体\">左旋氧氟沙星</span>)0.2g<span style=\"font-family:宋体\">，静脉滴注，</span>2<span style=\"font-family:宋体\">～</span>3<span style=\"font-family:宋体\">次</span>/d<span style=\"font-family:宋体\">；氨基糖甙类如阿米卡星、奈替米星</span>0.4g<span style=\"font-family:宋体\">，静脉滴注，</span>1<span style=\"font-family:宋体\">次</span>/d<span style=\"font-family:宋体\">。急性炎症症状控制后可改为口服给药，疗程应维持</span>1<span style=\"font-family:宋体\">个月。</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;(3)<span style=\"font-family:宋体\">其他治疗：可选用解热镇痛药物，如索米痛片</span>(<span style=\"font-family:宋体\">去痛片</span>)<span style=\"font-family:宋体\">，对乙酰氨基酚</span>(<span style=\"font-family:宋体\">散利痛</span>)<span style=\"font-family:宋体\">、对乙酰氨基酚</span>(<span style=\"font-family:宋体\">百服宁</span>)<span style=\"font-family:宋体\">等。有排尿困难的可用α</span>-<span style=\"font-family:宋体\">受体阻滞药，如那妥</span>25mg<span style=\"font-family:宋体\">，特拉唑嗪</span>2mg<span style=\"font-family:宋体\">或坦洛新</span>(<span style=\"font-family:宋体\">哈乐</span>)0.2mg<span style=\"font-family:宋体\">，口服，</span>1<span style=\"font-family:宋体\">次</span>/d<span style=\"font-family:宋体\">，对急性尿潴留者，不宜置导尿管，而应作耻骨上膀胱穿刺造瘘，并发前列腺脓肿时，应切开引流。</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;2.<span style=\"font-family:宋体\">慢性前列腺炎</span>&nbsp; <span style=\"font-family:宋体\">宜采取综合治疗措施。</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;(1)<span style=\"font-family:宋体\">生活调节：避免长时间骑、坐，有规律的性生活，忌饮酒及辛辣食物。</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;(2)<span style=\"font-family:宋体\">热水坐浴及理疗：可减轻局部炎症，促进吸收。</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;(3)<span style=\"font-family:宋体\">前列腺按摩：每周</span>1<span style=\"font-family:宋体\">次，以引流炎性分泌物。</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;(4)<span style=\"font-family:宋体\">植物制剂：如舍尼通、前列欣胶囊、泽桂癃爽胶囊等。</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;(5)<span style=\"font-family:宋体\">解痉止痛药物的应用：布洛芬</span>60mg<span style=\"font-family:宋体\">，口服，</span>4<span style=\"font-family:宋体\">次</span>/d<span style=\"font-family:宋体\">；吲哚美辛</span>(<span style=\"font-family:宋体\">消炎痛</span>)<span style=\"font-family:宋体\">栓剂</span>0.1g<span style=\"font-family:宋体\">，直肠内给药，</span>1<span style=\"font-family:宋体\">次</span>/d<span style=\"font-family:宋体\">。对排尿刺激症状明显者可应用托特罗定</span>2mg<span style=\"font-family:宋体\">，口服，</span>2<span style=\"font-family:宋体\">次</span>/d<span style=\"font-family:宋体\">或黄酮哌酯</span>(<span style=\"font-family:宋体\">泌尿灵</span>)0.2g<span style=\"font-family:宋体\">，口服，</span>3<span style=\"font-family:宋体\">次</span>/d<span style=\"font-family:宋体\">。</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;(6)<span style=\"font-family:宋体\">α受体阻滞药的应用：可解除患者的排尿困难症状。</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;(7)<span style=\"font-family:宋体\">抗生素的应用：</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;<span style=\"font-family:宋体\">①慢性细菌性前列腺炎：应选择脂溶性、弱碱性、与血浆蛋白结合率低的抗菌药物，如甲氧苄啶</span>(<span style=\"font-family:宋体\">甲氧苄氨嘧啶，</span>trimethoprim<span style=\"font-family:宋体\">，</span>TMP)160mg<span style=\"font-family:宋体\">，</span>1<span style=\"font-family:宋体\">次</span>/d<span style=\"font-family:宋体\">；复方磺胺甲噁唑</span>(SMZ)800mg<span style=\"font-family:宋体\">，</span>1<span style=\"font-family:宋体\">次</span>/d<span style=\"font-family:宋体\">；疗程</span>4<span style=\"font-family:宋体\">～</span>12<span style=\"font-family:宋体\">周。氟喹诺酮类药物，如氧氟沙星或左氟沙星</span>(<span style=\"font-family:宋体\">左氧氟沙星</span>)200<span style=\"font-family:宋体\">～</span>300mg<span style=\"font-family:宋体\">，口服，</span>2<span style=\"font-family:宋体\">次</span>/d<span style=\"font-family:宋体\">，疗程至少</span>6<span style=\"font-family:宋体\">周。红霉素类如罗红霉素</span>0.15g<span style=\"font-family:宋体\">，</span>2<span style=\"font-family:宋体\">次</span>/d<span style=\"font-family:宋体\">，疗程</span>6<span style=\"font-family:宋体\">周。米诺环素</span>(<span style=\"font-family:宋体\">美满霉素</span>)0.1g<span style=\"font-family:宋体\">，</span>2<span style=\"font-family:宋体\">次</span>/d<span style=\"font-family:宋体\">或多西环素等，疗程同上。</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;<span style=\"font-family:宋体\">②对慢性非细菌性前列腺炎，若检查发现支原体、衣原体感染，可先试用上述抗生素</span>2<span style=\"font-family:宋体\">周，若症状改善则继续用药；若症状无改善则停药。</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;(8)<span style=\"font-family:宋体\">适当锻炼与心理咨询。</span></p><p style=\"text-indent: 28px; line-height: 2em;\">&nbsp;(9)<span style=\"font-family:宋体\">其他治疗：射频热疗、经直肠微波治疗、后尿道药物灌注治疗、前列腺内药物注射治疗、经尿道前列腺针刺消融等。</span></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5646', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '112', '预后', '<p style=\"white-space: normal; text-indent: 14px; line-height: 2em;\"><font face=\"宋体\">&nbsp; </font>1.<span style=\"font-family: 宋体;\">急性前列腺炎的预后较好。大部分的患者能完全愈合，但也有少数的患者转为慢性。</span></p><p style=\"white-space: normal; text-indent: 28px; line-height: 2em;\">&nbsp;2.<span style=\"font-family: 宋体;\">慢性前列腺炎的预后</span>&nbsp;&nbsp;<span style=\"font-family: 宋体;\">对于药物治疗慢性前列腺炎的疗效判断较为困难，长期治疗者治愈率可达</span>50%<span style=\"font-family: 宋体;\">。症状改善率是</span>25%<span style=\"font-family: 宋体;\">。其余有超过</span>1<span style=\"font-family: 宋体;\">年不能治愈者。</span></p><p style=\"white-space: normal; text-indent: 28px; line-height: 2em;\">&nbsp;<span style=\"font-family: 宋体;\">慢性前列腺炎易反复发作，且迁延难愈，但有些患者得了前列腺炎以后并未接受系统治疗却可以自行痊愈，这主要是因为前列腺液具有一定的抗菌作用，加之定期的前列腺按摩引流。在慢性前列腺炎治疗过程中应注意以下几个问题：</span></p><p style=\"white-space: normal; text-indent: 28px; line-height: 2em;\">&nbsp;<span style=\"font-family: 宋体;\">①树立战胜疾病的信心，慢性前列腺炎并不是不治之症，只是病程较长容易复发，但只要综合治疗还是有望根治的。</span></p><p style=\"white-space: normal; text-indent: 28px; line-height: 2em;\">&nbsp;<span style=\"font-family: 宋体;\">②注意生活起居，养成良好的生活习惯；防止过分疲劳；预防感冒；禁烟酒，忌辛辣刺激饮食；少骑自行车，不坐潮湿之地；节房事，既不要过分频繁，也不要禁欲。</span></p><p style=\"white-space: normal; text-indent: 28px; line-height: 2em;\">&nbsp;<span style=\"font-family: 宋体;\">③发展自身兴趣爱好，进行适当体育锻炼以转移对慢性前列腺炎的心理负担，消除焦虑情绪，防止产生精神症状。</span></p><p style=\"white-space: normal; text-indent: 28px; line-height: 2em;\">&nbsp;<span style=\"font-family: 宋体;\">④只要注意以上问题．并与医师密切配合，采用合理的中西药物结合，并配合理疗及必要的心理治疗，慢性前列腺炎还是可以根治的。</span></p><p><br/></p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5647', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '113', '概述', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;膀胱炎与尿道炎统称为下尿路感染，可分为细菌性和非细菌性感染。急性膀胱炎(acute cystitis)是非特异性细菌感染引起的膀胱壁急性炎症性疾病，为泌尿系常见病。其特点为发病急，伴严重膀胱刺激征而全身反应轻微。正常膀胱具有尿液抗菌、黏膜抗菌、尿液机械冲洗以及膀胱颈括约肌、尿道外括约肌阻菌等防御措施，进入膀胱的细菌能否繁殖，取决于膀胱黏膜的防御能力、病菌数量和毒性以及下尿路排出的通畅性。致病菌以革兰阴性杆菌多见，常为大肠埃希杆菌、铜绿假单胞菌、产气荚膜梭菌、变形杆菌属等。革兰阳性球菌(金葡菌、链球菌属为主)少见，可为混合感染。感染途径以上行感染为主。少有下行感染，血行、淋巴感染或邻近组织感染直接蔓延极少见。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5648', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '113', '流行病学', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;膀胱炎的高发人群包括4种，学龄期少女，育龄期妇女，男性前列腺增生者和老年人。急性膀胱炎多为继发性感染或为泌尿系感染的一部分。女性多见，各年龄均可发病；男性发病少，绝大多数为继发感染。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5649', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '113', '病因', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;膀胱炎有多种因素引起：①膀胱内在因素，如膀胱内有结石、异物、肿瘤和留置导尿管等，破坏了膀胱黏膜防御能力，有利于细菌的侵犯。②膀胱颈部以下的尿路梗阻，引起排尿障碍，失去了尿液冲洗作用，残余尿则成为细菌生长的良好培养基。③神经系统损害，如神经系统疾病或盆腔广泛手术(子宫或直肠切除术)后，损伤支配膀胱的神经，造成排尿困难而引起感染。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5650', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '113', '发病机制', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;膀胱感染的途径以上行性最常见，发病率女性高于男性，因女性尿道短，尿道外口解剖异常，常被邻近阴道和肛门的内容物所污染，即粪便-会阴-尿路感染途径。性交时摩擦损伤尿道，尿道远段1/3处的细菌被挤入膀胱：也可能因性激素变化，引起阴道和尿道黏膜防御机制障碍而导致膀胱炎。另外阴道内使用杀精子剂会改变阴道内环境，致使病菌易于生长繁殖，成为尿路感染的病原菌。男性前列腺精囊炎，女性尿道旁腺炎亦可引起膀胱炎。尿道内应用器械检查或治疗时，细菌可随之进入膀胱。最近青少年男性膀胱炎发病率有增高趋势，主要危险因素是包皮过长，性伴侣患有阴道炎症，以及男性同性恋者。下行性感染是指膀胱炎继发于肾脏感染。膀胱感染亦可由邻近器官感染经淋巴传播或直接蔓延所引起，但较少见。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;浅表膀胱炎症多见，病变仅累及黏膜、黏膜下层，可见黏膜充血、水肿、多发点状或片状出血或淤血，偶见表浅溃疡或脓苔覆盖，肌层很少受侵犯，病变以尿道内口及膀胱三角最明显。镜下所见除黏膜水肿外，还有黏膜脱落，毛细血管明显扩张，多数白细胞浸润可延伸至肌层。炎症有自愈倾向，愈合后不留瘢痕。如治疗不彻底或有异物、残余尿、上尿路感染等情况，炎症可转为慢性。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5651', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '113', '临床表现', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.尿路刺激征&nbsp; 起病突然，有明显尿频、尿急、尿痛，膀胱、尿道痉挛，严重时类似尿失禁，常不能离开便器，难以忍受。排尿期尿道烧灼感，排尿终末期疼痛加剧，会阴部、耻骨上区疼痛、膀胱区轻压痛。病情严重者可并发急性前列腺炎，但一般全身症状不明显。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.尿液混浊，尿液中有脓细胞，常见终末血尿，有时为全程血尿。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;3.单纯性膀胱炎&nbsp; 炎症局限于黏膜层，常无发热，白细胞不增高，亦不伴有全身症状。当并发急性肾盂肾炎或前列腺炎、附睾炎时才能高热。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5652', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '113', '并发症', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;少数女孩患急性膀胱炎伴有膀胱输尿管反流，感染可上升而引起急性肾盂肾炎，成人中少见。少数糖尿病患者因留置尿管而引起膀胱炎的，有时可并发气性膀胱炎，膀胱内气体多为产气杆菌所引起。</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5653', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '113', '实验室检查', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span style=\"font-family: &quot;??&quot;; letter-spacing: 1.33333px; background-color: rgb(255, 255, 255);\">尿液检查：①尿常规白细胞计数(或</span><a href=\"http://pmmp.cnki.net/cdd/Laboratory/Lab_Detail.aspx?id=862\" target=\"_blank\" style=\"color: rgb(0, 0, 204); font-family: &quot;??&quot;; letter-spacing: 1.33333px; white-space: normal; background-color: rgb(255, 255, 255);\">血小板计数</a><span style=\"font-family: &quot;??&quot;; letter-spacing: 1.33333px; background-color: rgb(255, 255, 255);\">)≥10个/HP，可有红细胞，但无管型：②尿沉渣涂片革兰染色，WBC≥15～20个/HP；③中段尿培养，菌落≥10</span><sup style=\"font-family: &quot;??&quot;; letter-spacing: 1.33333px; white-space: normal; background-color: rgb(255, 255, 255);\">8</sup><span style=\"font-family: &quot;??&quot;; letter-spacing: 1.33333px; background-color: rgb(255, 255, 255);\">/L。</span></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5654', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '113', '辅助检查', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;如有尿道脓性分泌物，应行涂片检查以排除淋病奈瑟菌感染，必要时可在感染急性期后或感染控制后行膀胱镜检查，或在发病后行B超、X线检查排除尿路结石等病因或诱发和并发因素。</p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5655', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '113', '诊断', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;急性膀胱炎的诊断，除根据病史及体征外，需做中段尿液检查，尿液中有脓细胞和红细胞。为及时治疗，先将尿涂片行革兰染色检查，初步明确细菌的性质，同时行细菌培养、菌落计数和抗生素敏感试验，为以后治疗提供更准确的依据。男病人还应注意有无前列腺炎或良性前列腺增生。在女性应注意有无阴道炎、尿道炎、膀胱脱垂或憩室，检查有无处女膜及尿道口畸形，尿道旁腺感染积脓等。</p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5656', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '113', '鉴别诊断', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.急性肾盂肾炎&nbsp; 也主要表现为尿频、尿急、尿痛等尿路刺激症状，尿液检查可有脓细胞和红细胞。但常伴有发热等全身感染症状，有腰痛及肾区叩压痛。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.滴虫性膀胱炎&nbsp; 也主要表现为尿频、尿急、尿痛等尿路刺激症状。但病人常有不洁性交史。尿道多有分泌物，且分泌物检查可找到滴虫。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;3.急性前列腺炎&nbsp; 也主要表现为尿频、尿急、尿痛等尿路刺激症状，并有耻骨上疼痛。病人常有不同程度的排尿困难，且直肠指检可发现前列腺肿大伴压痛。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;4.间质性膀胱炎&nbsp; 也主要表现为尿频、尿急、尿痛等尿路刺激症状，并有耻骨上疼痛。耻骨上膀胱区疼痛与压痛尤其明显，膀胱充盈时加剧。尿常规检查多数正常，极少脓细胞。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;5.腺性膀胱炎&nbsp; 临床表现为尿频、尿急、尿痛、排尿困难和血尿，B超检查可显示为膀胱内占位性病变或膀胱壁增厚等非特异性征象，膀胱镜检查和黏膜活组织检查可有助于鉴别。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;6.输尿管下段结石&nbsp; 输尿管结石降至膀胱壁间段时也可产生膀胱刺激症状。如同时合并感染，则不易与膀胱炎鉴别。通过KUB平片及IVU可以显示结石的部位并判断有无合并梗阻。</p><p><br/></p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5657', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '113', '治疗', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;卧床休息，多饮水，避免刺激性食物，热水坐浴或耻骨上热敷可改善局部血液循环，减轻症状。口服碳酸氢钠或枸橼酸钾碱性药物碱化尿液，减少对尿路的刺激。黄酮哌酯盐(泌尿灵)、颠茄、阿托品，可解除膀胱痉挛。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;根据致病菌属，选用合适的抗菌药物。在药敏结果之前，可选用复方磺胺甲噁唑、头孢菌素类、喹诺酮类药物。经治疗后，病情一般可迅速好转，尿中脓细胞消失，细胞培养转阴。应尽量采用短程的3天疗法，避免不必要的长期用药，以免产生耐药性或增加副作用，但要加强预防复发的措施。若症状不消失，尿脓细胞继续存在，培养仍为阳性，应考虑细菌耐药和有感染诱因，要及时调整更合适的抗菌药物，延长应用时间以期达到彻底治愈。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;绝经期后妇女经常会发生尿路感染，并易重新感染。雌激素的缺乏引起阴道内乳酸杆菌减少和致病菌的繁殖增加是感染的重要因素。雌激素替代疗法以维持正常的阴道内环境，增加乳酸杆菌并清除致病菌，可减少尿路感染的发生。</p><p><br/></p>', null, '12', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5658', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '113', '预后', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;急性膀胱炎经及时而适当治疗后，都能迅速治愈。对慢性膀胱炎，如能清除原发病灶，解除梗阻，并对症治疗，大多数病例能获得痊愈，但需要较长时间。</p>', null, '13', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5659', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '113', '预防', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;要注意个人卫生，使致病细菌不能潜伏在外阴部。由于性生活后引起女性膀胱炎，建议性交后和次日晨用力排尿；若同时服磺胺药物1g或呋喃妥因(呋喃坦啶)100mg，也有预防作用。</p>', null, '14', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5660', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '145', '概述', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;失眠或称之为入睡和保持睡眠障碍，这是最为普遍的睡眠障碍。包括入睡困难、时常觉醒及(或)晨醒过早。常见临床类型有：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;1.原发性睡眠障碍&nbsp; 长期夜间睡眠障碍，无可解释失眠的诱因。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.继发性睡眠障碍&nbsp; 又称环境性失眠。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;3.假性失眠。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5661', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '145', '流行病学', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;失眠是最为普遍的睡眠障碍，是临床上最常见的主诉之一，可占人群的20%～40%，尤其常见于老年人和女性患者。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5662', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '145', '病因', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;产生睡眠问题的原因很多，如某种睡眠障碍、躯体疾病、情感因素、生活方式(过多饮用咖啡和茶叶)以及环境因素(噪声、拥挤或污染)等等。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;1.身体原因&nbsp; 躯体疾病和服用药物可以影响睡眠。如消化不良、头痛、背痛、关节炎、心脏病、糖尿病、哮喘、鼻窦炎、溃疡病，或服用某些影响中枢神经的药物。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.精神原因&nbsp; 可能的原因有压力很大、过度忧虑、紧张或焦虑、悲伤或抑郁、生气，容易出现睡眠问题。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;3.生活方式&nbsp; 由于生活方式引起睡眠问题也很常见。如饮用咖啡或茶叶、晚间饮酒、睡前进食或晚饭较晚造成满腹食物尚未消化、大量吸烟、睡前剧烈的体力活动、睡前过度的精神活动、夜班工作、白天小睡、上床时间不规律、起床时间不规律。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;4.环境因素&nbsp; 吵闹的睡眠环境、睡眠环境过于明亮、污染、过度拥挤。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5663', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '145', '临床表现', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.原发性睡眠障碍&nbsp; 长期夜间睡眠障碍，无可解释失眠的神经病学症状、抑郁或其他精神障碍和躯体疾病。部分患者可为终身性，与夜间睡眠仅需3～4h即可满足的正常人群不同，该类患者常出现部分睡眠剥夺的症状，并且不惜采取各种药物或措施以保证睡眠时间。该类患者睡眠时间短，尤其第Ⅳ期睡眠时间短，经常觉醒，唤醒阈值低，易伴发精神障碍，但精神障碍是原因还是结果不甚明确。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 2.继发性睡眠障碍&nbsp; 又称环境性失眠。常继发于疼痛或其他躯体疾病，或继发于药物滥用、抑郁。持续时间常较短暂。常见诱因为：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)躯体原因：不安腿综合征常致患者入睡困难，关节或神经受累所致的疼痛、消化性溃疡或肿瘤所致的腹部不适、心肺疾病常致觉醒次数增加，甲状腺功能亢进伴发的心悸等，均可出现失眠。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(2)环境因素：由于工作或生活上的变化，如夜班倒班、搬家、乘坐车船、航空旅行的时差，以及寝室中的亮光、噪音等均可导致失眠。一般均能在短期内适应。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(3)精神因素：兴奋和焦虑为短期失眠的主要因素，以入睡困难为主；抑郁症、焦虑症为长期失眠的主要因素，以时常觉醒、晨醒过早为主，EEG记录可见散在的觉醒期明显延长和增多；神经衰弱者因为记得各个觉醒期中听到的或看到的各种环境刺激而烦恼，而正常人多能忽略。此外，患有脑部变性疾病的老年人也常有失眠。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(4)药物因素：苯丙胺、咖啡因、麻黄碱、氨茶碱、异丙肾上腺素等均可致失眠，长期服用一般安眠药常可致REM睡眠的相对减少，停药后可因反跳而产生噩梦。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;3.假性失眠&nbsp; 患者有足够的睡眠时间，但常主诉睡眠不足。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5664', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '145', '并发症', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;长期缺睡可以引致许多神经、精神及亚健康症状。如烦躁、抑郁、警觉和活动能力下降，自主神经功能紊乱、消化功能障碍等；甚至会降低免疫功能，影响身体健康及工作效率，使生活质量下降。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5665', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '145', '实验室检查', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;了解失眠的最重要方法是应用脑电图多导联描记装置进行全夜睡眠过程的监测。因为睡眠不安和白天嗜睡的主诉有各种不同的原因，而脑电图多导联描记对于准确诊断是必不可少的。</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5666', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '145', '辅助检查', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;在询问病史和重点神经系统查体基础上，为鉴别器质性病变导致的失眠，必要的有选择性的辅助检查项目包括：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;1.CT及MRI等检查。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.血常规、血电解质、血糖、尿素氮。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.心电图、腹部B超、胸透。</p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5667', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '145', '诊断', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;诊断主要依靠病史，产生失眠问题的原因很多，寻找睡眠障碍、躯体疾病、情感因素、生活方式以及环境因素等等导致失眠的原因，也是诊断需要解决的内容。</p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5668', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '145', '鉴别诊断', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Epworth睡眠量表(ESS)；夜间多相睡眠图(nocturnal polysomnographic recording，NPSG)记录；多相睡眠潜伏期测定(Multiple Sleep Latency Test，MSLT)等，对鉴别诊断有益。MSLT可发现患者在1天的数小时中可有数次小睡，总的日间睡眠时间增加，睡眠潜伏期正常或缩短，特征性的表现为以REM为起始的睡眠(SOREMPs)，SOREMPs出现的越多，越有助于发作性睡病的诊断，发现2次以上的SOREMPs一般即可诊断为发作性睡病。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;但一次以上的SOREMPs对发作性睡病诊断的特异性不是绝对的。心律失常、无计划地变动工作、慢性睡眠剥夺、阻塞性睡眠呼吸暂停、睡眠中周期性腿动等，均可出现2次或以上的SOREMPs，临床上均应注意鉴别。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;对器质性躯体疾病导致的继发性失眠，应注意原发病的鉴别。</p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5669', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '145', '治疗', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.对继发性失眠应针对病因进行治疗&nbsp; 应设法消除或减轻导致失眠的各种原发性疾病。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.改善生活习惯，注意劳逸结合，增进全身健康，对失眠有肯定的预防作用。对患者进行适当的解释工作或心理疏导，以减少其对失眠的顾虑，对上述三类失眠均具有不同程度的疗效。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;3.镇静催眠药物&nbsp; 如地西泮对改善失眠状有肯定的疗效，但应以短期治疗为主。不宜长期使用。</p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5670', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '145', '预后', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;应用安眠药治疗失眠通常有效，但睡眠障碍可以是某些疾病的并发症状，故其预后各不相同。长期缺睡可以引致许多神经、精神及亚健康症状。</p>', null, '12', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5671', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '145', '预防', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.压力型失眠&nbsp; 入睡困难、睡眠浅、多梦、易醒，先减压，再入睡。只要方法得当，中短期就会恢复正常的睡眠。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.不良嗜好型失眠&nbsp; 咖啡因、酒精、尼古丁是直接导致失眠的三大罪魁祸首。这一类失眠者只要戒掉不良嗜好，很快就能消除失眠的困扰。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;3.焦虑型抑郁型失眠&nbsp; 焦躁、恐慌、抑郁，夜间醒后无法再次入睡。由于焦虑型失眠和抑郁型失眠的人通常需要做长期的努力才能改善睡眠，所以需要专科医生(心理医生)针对自己的作息、身体、工作情况做一个全面的解决方案。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.对于长期依赖药物入睡的人来说，应及时请教医生，改变这一习惯。</p>', null, '13', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5682', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1681', '概述', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;幽门是消化道最狭窄的部位，正常的直径约1.5cm，因此容易发生梗阻。由于幽门通过障碍，胃内容物不能顺利入肠，而在胃内大量潴留，导致胃壁肌层肥厚，胃腔扩大及胃黏膜层的炎症，水肿及糜烂。临床上因病人长期不能正常进食，并大量呕吐，导致严重的营养不良，低蛋白血症及贫血，并有严重脱水、低钾及碱中毒等水、电解质紊乱。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5683', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1681', '流行病学', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;幽门梗阻是胃十二指肠溃疡的常见并发症，占外科治疗溃疡病病人的10%～30%。在手术治疗的溃疡病人中，机械性幽门梗阻占5%～20%。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5684', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1681', '病因', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;位于幽门或幽门附近的溃疡可以因为黏膜水肿、或因溃疡引起反射性幽门环行肌收缩，更常见的原因是慢性溃疡所引起的黏膜下纤维化，形成瘢痕性狭窄，因溃疡病引起的幽门梗阻约占10%。还有的成年人也可发生幽门肌肥大而产生幽门梗阻。幽门痉挛的发作或加重常是阵发性的，可以自行解除梗阻；黏膜水肿可随炎症减轻而获得消退。惟瘢痕挛缩所致幽门狭窄，则无法缓解。且不断地加重。幽门痉挛纯属功能性，其余均属器质性病变。幽门黏膜水肿与胃的炎症有关，虽属器质性病变，但可自愈；只有瘢痕性狭窄则非手术不能解决。产生幽门梗阻往往不是单一的因素，而是多种因素并存所致。因肿瘤造成的梗阻可参见胃癌。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5685', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1681', '发病机制', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.痉挛性幽门狭窄&nbsp; 位于幽门或幽门附近的溃疡，可以因为黏膜水肿或因溃疡引起反射性幽门环行肌收缩，致使幽门通过障碍，其梗阻为间歇性。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.水肿性幽门狭窄&nbsp; 由于溃疡活动，黏膜炎症水肿，可使幽门通过受阻，但炎症水肿吸收后，即可缓解，这种梗阻为暂时性。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;3.瘢痕性幽门狭窄&nbsp; 较常见。慢性溃疡所引起的黏膜下纤维化，形成瘢痕性狭窄引起的幽门通过受阻，致使食物和胃液不能顺利地通过，这种梗阻属永久性，常需手术治疗。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5686', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1681', '临床表现', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;一般病人都有较长溃疡病史，随病变的进展，胃痛渐见加重，并有嗳气、反胃等症状。病人往往因胃胀而厌食，抗酸药亦渐无效。由于胃胀难忍，病人自己用手指伸入咽部引诱呕吐。吐出物通常为数小时以前所进的饮食，不含胆汁，有腐败酸味。逐渐呕吐频繁，病人因惧腹胀，故晚间不敢进食，但每晚仍将白天所进饮食全都吐出，然后才觉舒适。胃逐渐扩张，上腹部饱满并诉有移动性包块，病人自己和家属都能看出，由于呕吐次数增加，脱水日见严重，体重下降。病人觉头痛、乏力、口渴，但又畏食，重者可出现虚脱。由于胃液丢失过多，可发生手足搐搦，甚至惊厥。尿量日渐减少。最后可发生昏迷。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;体征：病人消瘦，倦怠，皮肤干燥、丧失弹性，而且可出现维生素缺乏征象，口唇干，舌干有苔，眼球内陷。上腹膨胀显著，能看见胃型和自左向右移动之胃蠕动波。叩诊上腹鼓音，振水音明显。能听到气过水声，但很稀少。Chvostek和Trousseau征阳性。</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5687', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1681', '并发症', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;病程较长，病人逐渐出现全身乏力，日益消瘦，体重下降，尿少、便秘，有时出现精神症状及手足搐搦等。</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5688', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1681', '实验室检查', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;血常规检查可发现因营养不良所致轻度贫血，血化学显示钠、钾、氯都低于正常，二氧化碳结合力和pH值升高，二氧化碳分压亦高，呈低钾性碱中毒。非蛋白氮或尿素氮因尿少亦高于正常。由于长期饥饿，可出现低蛋白血症。如贫血严重，大便潜血阳性，应考虑恶性溃疡之可能性。胃液检查，良性溃疡病的胃液酸度高，一般在50～l00mmol/h。如胃液中盐酸缺乏，须进一步做细胞学检查，以及其他检查以排除肿瘤。</p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5689', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1681', '辅助检查', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.X线检查&nbsp; 除透视下能见到巨大胃泡以外，应在洗胃后作X线钡剂胃肠造影。可清楚地看见扩大的胃和排空困难(图1)。如为幽门痉挛，可在较长的观察过程中见到幽门松弛时胃内容暂时排出现象。一般在注射阿托品或654-2后亦可观察到幽门松弛，因此容易鉴别，但黏膜水肿和瘢痕挛缩所引起之幽门狭窄，则难以在X线照片上区别。经一段时间内科治疗以后，再作造影，如幽门梗阻情况好转，则可以说明有水肿的因素存在。此外，还能看见溃疡的龛影或十二指肠壶腹部变形，对于鉴别良性或恶性溃疡，亦有80%～85%的可靠性。</p><p style=\"line-height: 2em; text-align: center;\"><img height=\"335\" src=\"http://pmmp.cnki.net/cdd/img/2.4.2%20%E5%B9%BD%E9%97%A8%E6%A2%97%E9%98%BB.files/image001.jpg\" width=\"388\" style=\"text-align: center; white-space: normal;\"/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.胃镜检查&nbsp; 纤维胃镜能看出幽门痉挛、黏膜水肿或黏膜脱垂，以及瘢痕性狭窄等不同的病理变化，并可以看出溃疡的大小、位置与形态。对可疑恶性的病例，须作活组织检查。因此胃镜检查能为幽门梗阻的病因提供确切的诊断依据。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;3.盐水负荷试验&nbsp; 先将胃内存积的内容物抽吸干净，然后于3～5min内注入生理盐水700ml，30min以后再吸出胃内盐水。若抽出不及200ml，说明无幽门梗阻；若抽出超出350ml以上，则认为有梗阻存在。</p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5690', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1681', '诊断', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;根据溃疡病史、典型症状以及X线和胃镜检查结果，不难作出诊断。但应进一步明确病因及病情严重程度以利治疗。</p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5691', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1681', '鉴别诊断', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.活动期溃疡所致幽门痉挛和水肿&nbsp; 患者常有溃疡病疼痛症状，梗阻为间歇性，呕吐虽然很剧烈，但胃无扩张现象，呕吐物不含宿食。经内科治疗梗阻和疼痛症状可缓解或减轻。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.胃癌所致的幽门梗阻&nbsp; 患者病程较短，胃扩张程度较轻，胃蠕动波少见。晚期上腹可触及包块。X线钡餐检查可见胃窦部充盈缺损，胃镜取活检能确诊。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;3.十二指肠壶腹部以下的梗阻性病变&nbsp; 如十二指肠肿瘤、环状胰腺、十二指肠淤滞症均可引起十二指肠梗阻，伴呕吐，胃扩张和潴留，但其呕吐物多含有胆汁。X线钡餐或内镜检查可确定梗阻性质和部位。</p><p><br/></p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5692', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1681', '治疗', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;一般幽门梗阻的病人，不宜施行紧急手术；如经过3～5天胃肠减压，病人能恢复饮食，病情逐渐好转，说明痉挛和水肿的因素得到消除，可继续观察。必要时重复钡餐检查。反之，如减压无效则说明为瘢痕性狭窄，必须采取手术治疗。如有恶性肿瘤的证据，无疑更须积极采取手术措施。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;1.内科治疗&nbsp; 矫正失水与电解质紊乱是治疗幽门梗阻的首要问题，因为丢失胃酸多，存在不同程度的碱中毒。因此入院后可以先给生理盐水2000ml，待尿量增加，便须加入氯化钾溶液40～60mmol(1g氯化钾含钾13.3mmol)，即15%氯化钾溶液20～30ml；低钾性碱中毒严重者甚至每天应补充6～8g的氯化钾。水分的补充则用5%～10%葡萄糖溶液。按每天基础需要量2500ml计算，外加每天从胃管吸出的量和失水量的一部分。因此每天输入液体量，除按血化学测定结果输入适量的电解质溶液外，不足水分以葡萄糖液补充。其次，是使扩张的胃经持续减压得到复原。炎症水肿消失，胃壁肌层的张力得以恢复。如梗阻为幽门痉挛或黏膜水肿所致，则于梗阻消除后，按溃疡病调节饮食和相应的药物。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.外科治疗&nbsp; 经短期内科治疗无效，说明瘢痕挛缩为引起幽门梗阻的主要因素。或经检查诊断为胃溃疡，尤其是有恶变可疑者，于非手术疗法使炎症水肿消失后，应择期行手术治疗。既往所采用的单纯引流术，如幽门成形术或胃空肠吻合术，不能解决溃疡病的问题。因此现在普遍施行胃切除术或迷走神经切断术，后者以选择性或高选择性迷走神经切断术为主，而迷走神经干切断术已很少应用。选择性迷走神经切断术加胃窦切除术，并作胃十二指肠吻合，曾经被认为是治疗幽门梗阻最好的手术，但有时十二指肠不易游离。则作选择性迷走神经切断术加胃窦切除术，而后行胃空肠吻合术。近来主张作高选择性迷走神经切断术而不加幽门成形术者较多。如果溃疡位于幽门部的前壁，在作幽门成形术时应将溃疡切除；但若溃疡是在后壁，则幽门成形术不能同时切除溃疡；只有行胃窦切除才能切除溃疡，或将溃疡旷置。总之，为幽门梗阻施行手术，首要任务是解决梗阻，其次是根治溃疡病，究竟那种术式效果好，主要根据病情来考虑：病人的年龄、全身情况、胃酸的高低、胃炎的程度，以及溃疡所在位置，还要考虑术者对各种术式的熟练程度。如病情不允许作复杂手术，可选择简单引流手术，以解决当务之急。</p>', null, '12', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5693', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1681', '预后', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;经短期内科治疗无效，说明瘢痕挛缩为引起幽门梗阻的主要因素。经手术治疗解除梗阻后，90%以上可获得满意疗效。</p>', null, '13', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5694', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1681', '预防', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;积极有效的治疗溃疡病，防止出现痉挛性、水肿性和瘢痕性幽门狭窄而引起的梗阻。</p>', null, '14', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5695', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '160', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;糖尿病酮症酸中毒（diabetic ketoacidosis，DKA）是由于胰岛素不足和升糖激素不适当升高引起的糖、脂肪、蛋白质和水盐与酸碱代谢严重紊乱综合征。DKA的发生与糖尿病类型有关，T1DM有发生DKA的倾向，有的T1DM患者以DKA为首发表现；T2DM患者亦可被某些诱因诱发DKA。常见的诱因有急性感染、胰岛素不适当减量或突然中断治疗、饮食不当（过量或不足、食品过甜和酗酒等）、胃肠疾病（呕吐和腹泻等）、脑卒中、心肌梗死、创伤、手术、妊娠、分娩和精神刺激等。有时可无明显诱因，严重者有神志障碍，可因并发休克和急性肾衰竭等而导致死亡。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;随着糖尿病防治水平的提高，DKA的总体发病率（total incidence）和发病密度（incidence density）逐年下降。根据医疗保险索赔的记录，台湾省DKA住院人数从1997年的6/1000人年下降到了2005年的5/1000人年，但是除了年龄是影响发病密度的重要因素外，≤35岁的年轻女性因DKA而住院者反而增加，其原因可能主要与DKA的预防不力有关。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5696', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '160', '病因与发病机制', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;DKA的发病机制主要涉及两个方面。一是胰岛素绝对缺乏（T2DM发生DKA时与T1DM一样）。有人检测T2DM和T1DM患者发生DKA时的血清C肽，均为不可检出；二是拮抗胰岛素的升糖激素（如胰高血糖素、GH和皮质醇等）分泌增多。任何诱因均可使此两种情况进一步加重。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（一） T1DM因严重胰岛素缺乏导致DKA</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;胰岛素缺乏是发生DKA的病因和发病基础。胰岛素缺乏时，伴随着胰高血糖素等升糖激素的不适当升高，葡萄糖对胰高血糖素分泌的抑制能力丧失，胰高血糖素对刺激（精氨酸和进食）的分泌反应增强，导致肝和肾葡萄糖生成增多和外周组织利用葡萄糖障碍，加剧血糖的进一步升高，并使肝脏的酮体生成旺盛，出现酮症或酮症酸中毒。除了胰高血糖素外，升高血糖的激素还包括儿茶酚胺、糖皮质激素和生长激素等，这些升糖激素在DKA的发生中起了重要作用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;T1DM和T2DM均可发生DKA，但T1DM比T2DM常见。近年来的研究及临床观察发现，成人隐匿性自身免疫性糖尿病（LADA）可能以酮症起病。但T1DM和T2DM导致胰岛素缺乏的原因有所不同。T1DM本身即有胰岛素绝对缺乏，依赖胰岛素而生存，中断胰岛素治疗、胰岛素泵使用不当、胰岛素泵发生障碍而“停止”胰岛素治疗或加上诱发因素都可诱发DKA，严重患者可在无任何诱因的情况下发生DKA。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（二） T2DM因急性应激诱发DKA</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;通常情况下，T2DM的胰岛素分泌为相对不足，一般不会发生自发性DKA。T2DM患者发生DKA时均存在1个或多个诱因，如严重外伤、手术、卒中、心肌梗死、器官移植和血液透析等，有时是因为使用了抑制胰岛素分泌或拮抗胰岛素作用的药物所致，如糖皮质激素、生长激素、二氮嗪、苯妥英钠、肾上腺素、氢氯噻嗪或奥曲肽等。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（三） 其他原因引起或诱发DKA</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;引起DKA的其他原因均属少见。糖尿病与非糖尿病均可发生酮症酸中毒，但糖尿病患者发生的酮症酸中毒（即DKA）往往更严重。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1. 酮症倾向性糖尿病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 酮症倾向性糖尿病 （ketosisprone diabetes，KPD）患者DKA发作时没有明确的诱因，主要见于T1DM。<br/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2. 糖尿病酒精性酮症酸中毒</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp; &nbsp; &nbsp; 糖尿病患者饮用过量酒精而引起酒精性酮症酸中毒（alcoholic ketoacidosis），伴或不伴DKA；而非糖尿病者亦可因饮酒过量而引起酒精性酮症酸中毒。因此，单纯的酒精性酮症酸中毒应与糖尿病患者的DKA鉴别，因为前者只需要补液即可，一般不必补充胰岛素。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3. 月经相关性DKA</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp; 女性T1DM患者在每次月经期发生DKA和高血糖危象（1965～2007年间大致有7例报道），DKA发作与月经周期一致而无诱发DKA的其他因素存在（月经性DKA/高血糖症，catamenial DKA/hyperglycemia）。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4. 药物所致的代谢性酸中毒（drug-induced metabolicacidosis）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp; 可危及生命。引起代谢性酸中毒的药物很多，如抗病毒制剂和双胍类等。根据酸中毒的病理生理特征，一般可分为以下几种类型：①肾脏排H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>障碍，如Ⅰ型与Ⅳ型肾小管酸中毒；②H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>的负荷增加，如酸性药物和静脉营养支持治疗等；③<img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%86%85%E5%88%86%E6%B3%8C%E4%BB%A3%E8%B0%A2%E7%97%85%E5%AD%A6(%E4%B8%8A%E3%80%81%E4%B8%8B%E5%86%8C)_978-7-117-15115-3/pics/BZ_1357_201_229_245_247.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/>丢失过多，如药物所致的严重呕吐与Ⅱ型肾小管性酸中毒等。药物所致的代谢性酸中毒的病因诊断主要依赖于药物摄入史，一般可根据动脉血气分析、血清阴离子隙（serum anion gap）和血清渗透隙（serum osmolar gap）等确定诊断。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;5. 恶性生长抑素瘤（malignant somatostatinoma）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 罕见，患者因大量分泌生长抑素而出现抑制综合征（inhibitory syndrome），表现为酮症酸中毒、低胃酸症（hypochlorhydria）、胆石症、脂肪泻、贫血和消瘦，酮症酸中毒的发生与肿瘤分泌大分子生长抑素有关。<br/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（四） 过度脂肪分解导致酮体堆积和代谢性酸中毒</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;由于脂肪动员和分解加速，血液和肝脏中的非酯化脂肪酸（游离脂肪酸，free fatty acid，FFA）增加。在胰岛素绝对缺乏的情况下，FFA在肝内重新酯化受阻而不能合成三酰甘油（甘油三酯，triglyceride，TG）；同时由于糖的氧化受阻，FFA的氧化障碍而不能被机体利用；因此，大量FFA转变为酮体。DKA时，酮体被组织利用减少，肾脏因失水而使酮体排出困难，从而造成酮体在体内堆积。含产酮氨基酸的蛋白质分解也增加酮体的产生。血酮升高（酮血症）和尿酮排出增多（酮尿）统称为酮症（ketosis）。酮体中的乙酰乙酸（acetoacetate，AcAc）和β-羟丁酸（β-hydroxybutyric acid，OHB）属有机酸性化合物，在机体代偿过程中消耗体内的碱储备。早期由于组织利用及体液缓冲系统和肺与肾的调节，pH可保持正常；当代谢紊乱进一步加重，血酮浓度继续升高并超过机体的代偿能力时，血pH降低，出现失代偿性酮症酸中毒（decompensated ketoacidosis）；当pH＜7.0时，可致呼吸中枢麻痹和严重肌无力，甚至死亡。另一方面，酸中毒时，血pH下降使血红蛋白与氧亲和力降低（Bohr效应），可使组织缺氧得到部分改善。如治疗时过快提高血pH，反而加重组织缺氧，诱发脑水肿和中枢神经功能障碍，称为酮症酸中毒昏迷（ketoacidosis coma）。所有以上因素均加重酮症。当酮体在体内堆积过多，血中存在的缓冲系统不能使其中和，则出现酸中毒和水、电解质代谢紊乱。</p><p style=\"text-align: right; line-height: 2em;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5697', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '160', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;酮体在体内堆积依程度的轻重分为酮症和DKA，前者为代偿期，后者为失代偿期。T1DM合并DKA的患者多较年轻，可无诱因而自发；T2DM合并DKA多为老年糖尿病患者，发病前多有诱发因素和多种合并症；酮症倾向性糖尿病和LADA患者可以DKA为首发临床表现。根据酸中毒的程度，DKA分为轻度、中度和重度3度。轻度仅有酮症而无酸中毒（糖尿病酮症）；中度除酮症外，还有轻至中度酸中毒（DKA）；重度是指酸中毒伴意识障碍（糖尿病酮症酸中毒昏迷），或虽无意识障碍，但二氧化碳结合力低于10mmol/L。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（一） DKA引起失水/电解质丢失/休克</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;DKA时，一方面使葡萄糖不能被组织利用；另一方面拮抗胰岛素作用的激素（其中主要是儿茶酚胺、胰高血糖素和糖皮质激素）分泌增多，肝糖原和肌糖原分解增多，肝内糖异生作用增强，肝脏和肌肉中糖释放增加。两者共同作用的后果是血糖升高。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1. 失水</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;大量的葡萄糖从尿中排出，引起渗透性利尿，多尿症状加重，同时引起水和血清电解质丢失。严重失水使血容量减少，可导致休克和急性肾衰竭；失水还使肾血流量减少，酮体从尿中排泄减少而加重酮症；此外，失水使血渗透压升高，导致脑细胞脱水而引起神志改变，但DKA患者的神志改变与酸中毒程度无直接关系。一般认为，DKA是由下列因素的综合作用引起的：①血糖和血酮浓度增高使血浆渗透压上升，血糖升高的mmol值与血浆渗透压的增值（Δmmol）相等；细胞外液高渗时，细胞内液向细胞外转移，细胞脱水伴渗透性利尿。②蛋白质和脂肪分解加速，渗透性代谢物（经肾）与酮体（经肺）排泄带出水分，加之酸中毒失代偿时的厌食、恶心和呕吐，使水摄入量减少，丢失增多，故患者的水和电解质丢失往往相当严重。③在一般情况下，失水多于失盐；失水引起血容量不足，血压下降甚至循环衰竭。<br/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2. 电解质平衡紊乱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 渗透性利尿、呕吐及摄入减少、细胞内外水分及电解质的转移以及血液浓缩等因素均可导致电解质平衡紊乱。血钠正常或减低，早期由于细胞内液外移引起稀释性低钠血症；进而因多尿和酮体排出致血钠丢失增加，失钠多于失水而引起缺钠性低钠血症；严重高脂血症可出现假性低钠血症。如失水超过失钠，血钠也可增高（缺钠性高钠血症）。由于细胞分解代谢增加，磷在细胞内的有机结合障碍，磷自细胞释出后由尿排出，引起低磷血症。低磷血症导致红细胞2，3-二磷酸甘油减少，使血红蛋白与氧的亲和力增加，引起组织缺氧。<br/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3. 血压下降和休克</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;多数患者的多尿、烦渴多饮和乏力症状加重，但亦可首次出现。如未及时治疗，病情继续恶化，于2～4天发展至失代偿阶段，出现食欲减退、恶心和呕吐，常伴头痛、烦躁和嗜睡等症状，呼吸深快，呼气中有烂苹果味（丙酮气味）。病情进一步发展，出现严重失水，尿量减少、皮肤黏膜干燥和眼球下陷，脉快而弱，血压下降和四肢厥冷。到晚期，除食欲降低外，多饮、多尿和体重减轻的症状加重，患者常感显著乏力。失水较明显，血容量减少和酸中毒最终导致低血容量性休克。血压下降使肾灌注量降低，当收缩压低于70mmHg时，肾滤过量减少引起少尿或无尿，严重时发生急性肾衰竭。各种反射迟钝甚至消失，终至昏迷。患者还可有感染等诱因引起的临床表现，但常被DKA的表现掩盖。<br/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（二） 其他临床表现依病情而定1. 消化道症状</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 多数患者有不同程度的消化道症状，如恶心、呕吐、腹痛或上消化道出血等。少数患者腹痛剧烈，酷似急腹症，以儿童及老年患者多见。易误诊，应予注意。其发病机制尚不明了，可能主要与酸中毒有关。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;急性食管坏死综合征（acute esophageal necrosis syndrome）少见，但后果严重。病因与DKA、酒精摄入、血栓栓塞、组织低灌注状态、胃内容物腐蚀、胃肠-食管麻痹、幽门梗阻、感染和血管病变有关。主要表现为上消化道出血、上腹部疼痛、呕吐、厌食和发热等；实验室检查可见贫血和粒细胞升高。食管镜检可见黏膜变黑和糜烂，黑色的食管与胃贲门的界线清晰。活检组织可发现坏死黏膜组织。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2. 感染表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp; 有些患者可有体温降低而潜在感染，需要警惕。如果入院时为低体温，经治疗后，体温升高，常提示合并有感染。<br/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;3. 脑水肿</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; DKA时的脑水肿（cerebral oedema）是患者死亡的主要原因之一（20%～60%），发病机制未明，主要有两种见解，一种观点认为，脑水肿是DKA本身的表现之一，可能主要与个体差异和代谢紊乱的严重程度有关；但更多的学者认为，脑水肿是DKA治疗过程中的并发症，过度使用胰岛素和补水，导致血清与脑组织的渗透压失平衡，水分随渗透压差进入脑组织。在形成DKA的过程中，脑细胞内产生了多种渗透型物质，同时下丘脑分泌的AVP亦增多，以保存脑细胞的水分，但当血清葡萄糖浓度和渗透压下降时，这些物质便成为驱使水分向脑细胞转移的主要因素。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;DKA的患者发生神志模糊和昏迷有多种可能。除DKA外，最常见的原因为脑水肿。脑水肿可分为症状性和无症状性（亚临床型）两种，症状性脑水肿见于约1%的DKA患者，而无症状性脑水肿相当常见，经MRI证实（脑室变窄）者高达50%以上，而且绝大多数是在治疗中发生的，提示目前的DKA治疗措施有促发脑水肿可能。引起脑水肿的主要原因是无溶质的自由水（osmole-free water）增加。自由水一般有3个来源，一是饮水（如入院前）使胃内潴留的自由水进入循环；二是使用了较大剂量的无电解质的葡萄糖溶液（如5%葡萄糖溶液）；三是DKA治疗后，原来依靠脂肪酸供能的脑组织突然改为葡萄糖供能，结果因代谢而产生较多的自由水。严重失水使血液黏稠度增加，在血渗透压升高、循环衰竭以及脑细胞缺氧等多种因素的综合作用下，出现神经元自由基增多，信号传递途径障碍，甚至DNA裂解和线粒体失活，细胞呼吸功能及代谢停滞，出现不同程度的意识障碍和脑水肿。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4. 急性心血管事件和器官衰竭</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 老年人和病情严重或治疗不及时者，可诱发心肌梗死、脑卒中或心衰。DKA所致的代谢紊乱和病理生理改变经及时、正确的治疗可以逆转。因此，DKA的预后在很大程度上取决于及时诊断和正确处理。但老年人、全身情况差和已有严重慢性并发症者的死亡率仍很高，主要原因为糖尿病所并发的心肌梗死、肠坏死、休克、脑卒中、严重感染和心肾衰竭等。妊娠并DKA时，胎儿和母亲的死亡率明显增高。妊娠期反复发作DKA是导致胎儿死亡或胎儿宫内发育迟滞的重要原因之一。<br/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;5. 严重低体温</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;DKA患者出现严重低体温往往提示其预后极差，死亡率极高。病理生理变化的一个显著特征是发生肾近曲小管上皮细胞糖原蓄积现象（阿-埃细胞现象，Armanni-Ebstein phenomenon），肾近曲小管上皮细胞糖原蓄积并伴有核下肾小管上皮细胞空泡变性（subnuclear renal tubular epithelial vacuolization），其发生机制未明。主要见于DKA，可能与低体温和糖代谢严重紊乱有关。<br/></p><p style=\"text-align: right; line-height: 2em;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5698', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '160', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;DKA的诊断并不困难。对昏迷、酸中毒、失水和休克的患者，要想到DKA的可能性，并作相应检查。如尿糖和酮体阳性伴血糖增高，血pH和（或）二氧化碳结合力降低，无论有无糖尿病病史，都可诊断为DKA。糖尿病合并尿毒症和脑血管意外时，可出现酸中毒和（或）意识障碍，并可诱发DKA，因此应注意两种情况同时存在的识别。</span></p><p style=\"line-height: 2em;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（一） 从应激/饮酒/呕吐/表情淡漠患者中筛查DKA</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;临床上，当糖尿病患者遇有下列情况时要想到DKA的可能：①有加重胰岛素绝对或相对缺乏的因素，如胰岛素突然减量或停用、胰岛素失效、感染、应激、进食过多高糖、高脂肪食物或饮酒等；②恶心、呕吐和食欲减退；③呼吸加深和加快；④头昏、头痛、烦躁或表情淡漠；⑤失水；⑥心率加快、血压下降，甚至是休克；⑦血糖明显升高；⑧酸中毒；⑨昏迷。</span></p><p style=\"line-height: 2em;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（二） 根据糖尿病病史/血糖-血酮明显升高/酸中毒确立DKA诊断</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;DKA临床诊断不难，诊断依据是：①糖尿病病史，以酮症为首发临床表现者则无；②血糖和血酮或血β-羟丁酸明显升高；③呼气中有酮味；④呼吸深快、有失水征和神志障碍等。DKA的诊断流程见图5-28-1。临床上遇有昏迷者要首先想到DKA可能。</span></p><p style=\"text-align: center; line-height: 2em;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526632878687052378.jpg\" title=\"1526632878687052378.jpg\" alt=\"1526632878687052378.jpg\" width=\"400\" height=\"300\" style=\"width: 400px; height: 300px;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; text-align: center; line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px;\">图5-28-1　糖尿病酮症酸中毒的诊断流程图</span></p><p style=\"line-height: 2em;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1. 血酮明显升高</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;血酮明显升高伴pH和碳酸氢根降低是DKA典型特征。酮体包括乙酰乙酸（AcAc）、β-羟丁酸（OHB）和丙酮（acetone）。正常情况下，葡萄糖无氧糖酵解的终产物为丙酮酸（pyruvic acid），在丙酮酸羧激酶的作用下，被氧化为乙酰乙酸。DKA时，三羧酸循环受阻，乙酰乙酸不能被氧化代谢，在还原型辅酶Ⅰ（NADH）的参与下被氧化为β-羟丁酸，后者在肝细胞线粒体内自动地转化为丙酮，三者合称为酮体（ketobodies），其中，乙酰乙酸和β-羟丁酸为强酸，可被血液中的缓冲系统所中和。如果所产生的酮体被全部中和，则只发生酮血症；如果不能被全部中和则引起酮症酸中毒。丙酮可经肺部排泄，使患者呼气中有酮味（烂苹果味）。血酮体升高定量检查常在5mmol/L以上，严重病例可达25～35mmol/L。特别是β-羟丁酸升高。正常时，血中β-羟丁酸与乙酰乙酸比值为1；而DKA时，则比值常在10以上。故直接测定血中β-羟丁酸比测定酮体更为可靠。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;目前DKA的诊断标准的定量指标（如血清</span><img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%86%85%E5%88%86%E6%B3%8C%E4%BB%A3%E8%B0%A2%E7%97%85%E5%AD%A6(%E4%B8%8A%E3%80%81%E4%B8%8B%E5%86%8C)_978-7-117-15115-3/pics/BZ_1358_992_1553_1035_1575.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/><span style=\"font-size: 12px;\">和pH）和定性指标（如血酮体和尿酮体）均缺乏特异性，</span><img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%86%85%E5%88%86%E6%B3%8C%E4%BB%A3%E8%B0%A2%E7%97%85%E5%AD%A6(%E4%B8%8A%E3%80%81%E4%B8%8B%E5%86%8C)_978-7-117-15115-3/pics/BZ_1359_499_143_543_164.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/><span style=\"font-size: 12px;\">18mEq/L相当于β-羟丁酸3.0mmol/L（儿童）和3.8mmol/L（成人）。如果用β-羟丁酸诊断DKA，那么其与</span><img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%86%85%E5%88%86%E6%B3%8C%E4%BB%A3%E8%B0%A2%E7%97%85%E5%AD%A6(%E4%B8%8A%E3%80%81%E4%B8%8B%E5%86%8C)_978-7-117-15115-3/pics/BZ_1359_422_199_465_221.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/><span style=\"font-size: 12px;\">、pH和血糖的不一致率（discordance rate）在20%以上。DKA患者在入院时的</span><img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%86%85%E5%88%86%E6%B3%8C%E4%BB%A3%E8%B0%A2%E7%97%85%E5%AD%A6(%E4%B8%8A%E3%80%81%E4%B8%8B%E5%86%8C)_978-7-117-15115-3/pics/BZ_1359_129_256_175_277.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/><span style=\"font-size: 12px;\">和血糖没有相关性，而血糖与β-羟丁酸的相关性也不强。由于HCO<span style=\"box-sizing: border-box; position: relative; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>、pH和血糖受许多因素（尤其是复合性酸碱平衡紊乱和高氯血症）的影响，因而只要可能，就应该用血清β-羟丁酸（儿童3.0mmol/L，成人3.8mmol/L）作为DKA的诊断切割值。但是，硝基氢氰酸盐检测酮体不能测得β-羟丁酸。急诊室一般只测β-羟丁酸。DKA时，应同时测定酮体的3种组分或血β-羟丁酸。酮症时要排除乙醇中毒可能。异丙醇中毒者的血丙酮明显升高，可致血酮体阳性反应，但患者无酮尿，β-羟丁酸和乙酰乙酸不升高，血糖正常。</span></p><p style=\"line-height: 2em;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2. 血糖升高</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;一般在16.7～33.3mmol/L（300～600mg/d1），如血糖超过33.3mmol/L时多伴有高渗性高血糖状态或有肾功能障碍。</span><br/></p><p style=\"line-height: 2em;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3. 严重酸中毒</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;血二氧化碳结合力和pH降低，剩余碱负值（＞-2.3mmol/L）和阴离子间隙增大与碳酸盐的降低程度大致相等。DKA患者偶见碱血症，多因严重呕吐、摄入利尿药或碱性物质补充过多所致。碳酸氢根（</span><img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%86%85%E5%88%86%E6%B3%8C%E4%BB%A3%E8%B0%A2%E7%97%85%E5%AD%A6(%E4%B8%8A%E3%80%81%E4%B8%8B%E5%86%8C)_978-7-117-15115-3/pics/BZ_1359_504_679_547_699.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/><span style=\"font-size: 12px;\">）常小于10mmol/L，阴离子间隙（AG）因酮体堆积或同时有高乳酸血症而增大。</span><br/></p><p style=\"line-height: 2em;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（三） 其他检查有助于DKA病情和并发症判断1. 血电解质</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;血钠降低（＜135mmol/L），但也可正常。当输入大量生理盐水后，常因高氯性酸中毒（hyperchloraemic acidosis）而加重DKA，因而建议使用平衡溶液（balanced solutions）。由于摄入不足和排出过多，DKA的钾缺乏显著，但由于酸中毒和组织分解加强，细胞内钾外移，故治疗前的血钾可正常或偏高，但在补充血容量、注射胰岛素和纠正酸中毒后，常发生严重的低钾血症，可引起心律失常或心搏骤停。糖尿病酮症酸中毒治疗前，因分解代谢旺盛、多尿和酸中毒等，虽然磷的丢失严重，但血磷多数正常。但是，在开始胰岛素治疗后至恢复饮食前的一段时间内，一方面因血磷得不到及时补充，另一方面又因血磷随葡萄糖一起进入细胞内，以及尿磷丢失，血磷可能迅速下降。血磷下降的程度与速度主要与以下因素有关：①禁食或饮食中缺乏磷的供应；②连续使用数日以上的大剂量葡萄糖液和胰岛素，如每日的胰岛素用量在50～100U以上和葡萄糖在200g/d以上；③肾功能相对较好，无肾衰并发症或严重感染等促进机体分解代谢的合并症（分解代谢时伴有软组织磷的输出）；④酸中毒纠正过于迅速；⑤伴有临床型或亚临床型急性肾衰，且尿量在2500ml/d以上。</span><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;糖尿病酮症酸中毒产生过多的β-羟丁酸、非酯化脂肪酸和乳酸等有机酸，抑制肾小管尿酸排泌，出现一过性高尿酸血症，但一般不会引起急性痛风性关节炎发作。</span></p><p style=\"line-height: 2em;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2. 血白细胞计数</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;不论有无感染的存在，因为存在应激、酸中毒和脱水等情况，故DKA患者的周围血白细胞计数常升高，特别是中性粒细胞增高很明显，如无感染存在，治疗后常迅速恢复正常。</span><br/></p><p style=\"line-height: 2em;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3. 酶活性测定</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;血清淀粉酶、谷草转氨酶和谷丙转氨酶可呈一过性增高，一般在治疗后2～3天恢复正常。如果血清淀粉酶显著升高且伴有腹痛和血钙降低，提示DKA诱发了急性胰腺炎。肥胖、糖尿病神经病、严重高甘油三酯血症和高脂肪饮食是急性胰腺炎的主要危险因素。</span><br/></p><p style=\"line-height: 2em;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4. 血尿素氮和肌酐</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;可轻至中度升高（多为肾前性）或正常。一般为肾前性，经治疗后恢复正常。原有糖尿病肾病者可因DKA而加速肾损害的速度，恶化肾功能。</span><br/></p><p style=\"line-height: 2em;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;5. 尿液检查</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;尿糖和尿酮阳性或强阳性。肾损害严重时，尿糖和尿酮阳性强度可与血糖和血酮值不相称，随DKA治疗恢复而下降，但肾脏有病变时可不下降或继续升高。此外，重度DKA缺氧时，有较多的乙酰乙酸被还原为β-羟丁酸，此时尿酮反而阴性或仅为弱阳性，DKA病情减轻后，β-羟丁酸转化为乙酰乙酸，使尿酮再呈阳性或强阳性，对这种血糖-酸中毒-血酮分离现象应予认识，以免错误判断病情。部分患者可有蛋白尿和管型尿，随DKA治疗恢复可消失。</span><br/></p><p style=\"line-height: 2em;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;6. 其他特殊检查</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;胸部X线检查有助于确定诱因或伴发的肺部疾病。心电图检查可发现低钾血症、心律失常或无痛性心肌梗死等病变，并有助于监测血钾水平。</span><br/></p><p style=\"text-align: right; line-height: 2em;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</span></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5699', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '160', '鉴别诊断', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（一） DKA与饥饿性酮症及酒精性酮症鉴别</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;DKA应与饥饿性酮症和酒精性酮症酸中毒鉴别，鉴别的要点是饥饿性酮症或酒精性酮症时，血糖不升高。饥饿性酮症者有进食少的病史，虽有酮症酸中毒，但无糖尿病史，血糖不高和尿糖阴性是其特征。酒精性酮症酸中毒有饮酒史，但无糖尿病病史，血糖不高，尿糖阴性，易于鉴别。妊娠合并DKA时的血糖水平不一，多数明显升高，少数患者的血糖稍微升高、正常甚至在发生DKA之前有过低血糖病史。鉴别的要点是血酮体（β-羟丁酸）测定。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（二） DKA与HHS/DLA/低血糖昏迷/水杨酸盐中毒/腹部急性并发症/脑卒中鉴别</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;DKA患者昏迷只占少数，此时应与低血糖昏迷、高渗性高血糖状态及乳酸性酸中毒等相鉴别（表5-28-1）。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1. 高渗性高血糖状态</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;以血糖和血渗透压明显升高及中枢神经系统受损为特征。DKA和高渗性高血糖状态（hyperglycemic hyperosmolar state，HHS）是高血糖危象（hyperglycemic crises）的两种不同表现。HHS的特点有：①血糖和血浆渗透压明显高于DKA的患者；②血酮体阴性或仅轻度升高；③临床上中枢神经系统受损症状比DKA的患者明显，故不难鉴别，应当注意的是DKA可与高渗性昏迷合并存在（如高钠性高渗性昏迷）。此种情况时，血钠升高特别明显。<br/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2. 乳酸性酸中毒</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;一般发生在服用大量苯乙双胍或饮酒后。糖尿病乳酸性酸中毒（diabetic lactic acidosis，DLA）患者多有服用大量苯乙双胍（降糖灵）病史，有的患者在休克、缺氧、饮酒或感染等情况下，原有慢性肝病、肾病和心衰史者更易发生。本病的临床表现常被各种原发病所掩盖。休克时，可见患者呼吸深大而快，但无酮味，皮肤潮红。实验室检查示血乳酸＞5mmol/L，pH＜7.35或阴离子隙＞18mmol/L，乳酸/丙酮酸（L/P）＞3.0。血清渗透压隙（osmole gap）升高提示急性酒精中毒或其他有毒渗透性物质中毒可能。<br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; text-align: center; line-height: 2em; border: 0px !important;\">表5-28-1　糖尿病并发昏迷的鉴别</p><p style=\"text-align: center; line-height: 2em;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180518-1526633564406010742.jpg\" title=\"1526633564406010742.jpg\" alt=\"1526633564406010742.jpg\" width=\"700\" height=\"500\" style=\"width: 700px; height: 500px;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3. 低血糖昏迷</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;患者有胰岛素、磺脲类药物使用过量或饮酒病史及Whipple三联症表现，即空腹和运动促使低血糖症发作、发作时血浆葡萄糖低于2.8mmol/L和供糖后低血糖症状迅速缓解。患者亦无酸中毒和失水表现。低血糖症反复发作或持续时间较长时，中枢神经系统的神经元出现变性与坏死，可伴脑水肿、弥漫性出血或节段性脱髓鞘；肝脏和肌肉中的糖原耗竭。低血糖症纠正后，交感神经兴奋症状随血糖正常而很快消失，脑功能障碍症状则在数小时内逐渐消失。但如低血糖症较重，则需要数天或更长时间才能恢复；严重而持久的低血糖昏迷（＞6小时）可导致永久性脑功能障碍或死亡。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;4. 水杨酸盐中毒伴肾损害</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;老年人常因心血管疾病及其他疾病长期服用阿司匹林类解热止痛药，有的患者可发生慢性中毒（用量不一定很大）。主要原因可能是老年人对此类药物的代谢清除作用明显下降，或伴有肾功能不全时，其慢性蓄积程度急剧增加，后者又可导致水杨酸盐性肾损害。其临床表现可类似于DKA，测定血浆药物浓度有助于诊断。治疗同DKA，活性炭可吸附胃肠道内未吸收的残存药物，严重患者或急性中毒可考虑血液透析。<br/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; &nbsp; &nbsp;5. 腹部急性并发症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;腹痛可见于1/3～1/2的DKA患者，慢性酒精中毒和麻醉药物成瘾为DKA腹痛的高危因素。DKA患者出现急性腹痛可能有多种原因，必须认真鉴别。<br/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（1） DKA所致的腹痛：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;腹痛较轻，位置不定，伴或不伴恶心、呕吐和腹泻，此可能是DKA本身（尤其是酸中毒）的一种表现，血常规检查和粪便常规检查无特殊发现，并随着DKA的缓解而消失。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（2） 腹部急性疾病：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;如急性阑尾炎、急性胰腺炎（尤其多见于高甘油三酯血症患者）、腹膜炎、肠梗阻、功能性/器质性肠套叠（functional/organic intussusception）、弧菌性胃肠炎（Vibrio gastroenteritis）和坏死性筋膜炎（necrotizing fasciitis）等；值得注意的是，DKA合并急腹症时，后者的临床表现往往很不典型，因此对任何可疑对象均需要进行必要的实验室检查（如超声、胰淀粉酶和脂肪酶等），早期确立诊断。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;6. DKA伴脑卒中</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;老年或原有高血压的糖尿病患者可因DKA而诱发脑血管意外，如果患者的酸中毒、失水与神志改变不成比例，或酸中毒已经基本纠正而神志无改善，尤其是出现神经定位体征时，要想到脑卒中可能。可有失语、神志改变和肢体瘫痪等体征，伴脑萎缩可表现智力下降、记忆力差和反应迟钝等。病史、定位检查及脑脊液检查有助于鉴别。CT和MRI有重要鉴别意义。<br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;大约10%的DKA患者合并有DKA相关性脑卒中（DKA-associated stroke），除了最常见的脑水肿（cerebral edema，DKA-CE）外，还包括动脉出血性脑梗死（hemorrhage brain infarction）和缺血性脑梗死（ischemic brain infarction）。同时，DKA因炎症和凝血机制障碍可合并弥散性血管内凝血（disseminated intravascular coagulation，DIC）。在目前报道的病例中，DKA相关性脑卒中的主要表现形式有动脉缺血性脑卒中（arterial ischemic stroke）、脑静脉血栓形成（cerebral venous thrombosis）和出血性脑卒中（hemorrhagic stroke）；临床鉴别均较困难，出凝血指标检查可提供诊断线索，影像检查以MRI为首选，其敏感性近100%。CT诊断的主要缺点是对脑水肿不敏感。</p><p style=\"text-align: right; line-height: 2em;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5700', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '160', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;DKA患者的抢救应该在专科医师的持续指导下进行。抢救的措施与病情监测项目需要做到目的明确，预见性强。DKA所引起的病理生理改变，经及时正确治疗是可以逆转的。因此，DKA的预后在很大程度上取决于早期诊断和正确治疗。对单有酮症者，仅需补充液体和胰岛素治疗，持续到酮体消失。DKA是糖尿病的一种急性并发症，一旦确诊应住院治疗，严重者应立即进行抢救。治疗措施包括：①纠正失水与电解质平衡；②补充胰岛素；③纠正酸中毒；④去除诱因；⑤对症治疗与并发症的治疗；⑥加强护理与监测。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（一） 迅速纠正失水与电解质紊乱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;DKA常有严重失水，血容量与微循环灌注不足，导致一些危及生命的并发症，故失水的纠正至关重要。首先是扩张血容量，以改善微循环灌注不足，恢复肾灌注，有助于降低血糖和清除酮体。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;1. 补液总量</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;可按发病前体重的10%估计。补液速度应先快后慢，如无心力衰竭，在开始2小时内输入1000～2000ml，以便较快补充血容量，改善周围循环和肾功能；以后根据血压、心率、每小时尿量及周围循环状况决定输液量和输液速度，在第3～6小时内输入1000～2000ml；一般第1个24小时的输液总量为4000～5000ml，严重失水者可达6000～8000ml。如治疗前已有低血压或休克，快速补液不能有效升高血压时，应输入胶体溶液，并采用其他抗休克措施。老年或伴心脏病和心力衰竭患者，应在中心静脉压监护下调节输液速度及输液量。患者清醒后鼓励饮水（或盐水）。<br/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;2. 补液种类</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;补液的原则仍是“先盐后糖、先晶体后胶体、见尿补钾”。治疗早期，在大量补液的基础上胰岛素才能发挥最大效应。一般患者的失水在50～100ml/kg，失钠在7～10mmol/kg，故开始补液阶段宜用等渗氯化钠溶液。如入院时血钠大于150mmol/L或补液过程中血钠逐渐升高（＞150～155mmol/L）时，不用或停用等渗盐溶液，患者无休克可先输或改输0.45%半渗氯化钠溶液，输注速度应放慢。绝大多数伴有低血压的DKA患者输入等渗盐水1000～2000ml后，血压上升。如果血压仍低于90/60mmHg，可给予血浆或其他胶体溶液100～200ml，可获得明显改善。如果效果仍差，可静脉给予糖皮质激素（如地塞米松10mg或氢化可的松100mg），甚至可适当予以血管活性药物（如多巴胺和多巴酚丁胺等），同时纠正酸中毒。应用糖皮质激素后，应适当增加胰岛素的剂量。当血糖降至13.8mmol/L，应改输5%葡萄糖液。DKA纠正后，患者又可口服，可停止输液。<br/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;3. 输液速度</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;脑水肿是导致患者死亡的最重要原因，输液速度过快是诱发脑水肿的重要原因之一。有心、肺疾病以及高龄或休克患者，输液速度不宜过快，有条件者可监测中心静脉压，以指导输液量和输液速度，防止发生肺水肿。如患者能口服水，则采取静脉与口服两条途径纠正失水。单纯输液本身可改善肾脏排泄葡萄糖的作用，即使在补液过程中不用胰岛素，也使血糖明显下降。在扩容阶段后，输液速度不宜过快，过快则因尿酮体排泄增快，可引起高氯性酸中毒和脑肿胀。<br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;近年来，人们主张即使在严重失水情况下，也仅仅应用生理盐水（0.9%NaCl），并尽量少用或不用碱性液体纠正酸中毒。为了防止血糖的快速波动，可使用两套输液系统对血糖的下降速度进行控制，这是预防脑水肿（cerebral edema）的主要措施。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; （二） 合理补充小剂量胰岛素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;DKA发病的主要病因是胰岛素缺乏，一般采用低剂量胰岛素治疗方案，既能有效抑制酮体生成，又可避免血糖、血钾和血浆渗透压下降过快带来的各种风险。给予胰岛素治疗前应评估患者的以下病情：①是否已经使用了胰岛素（与使用胰岛素的剂量相关）；②患者的有效循环功能和缺血缺氧状态（与胰岛素的使用途径有关）；③DKA的严重程度与血糖水平；④是否伴有乳酸性酸中毒或高渗性高血糖状态。有人用计算机系统（glucomander）来协助计算胰岛素的用量，认为有助于减少胰岛素用量和住院时间。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;1. 短效胰岛素持续静脉滴注</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;最常采用短效胰岛素持续静脉滴注。开始以0.1U/（kg·h）（成人5～7U/h）胰岛素加入生理盐水中持续静脉滴注，通常血糖可依2.8～4.2mmol/（L·h）的速度下降，如在第1小时内血糖下降不明显，且脱水已基本纠正，胰岛素剂量可加倍。每1～2小时测定血糖，根据血糖下降情况调整胰岛素用量。<br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;当血糖降至13.9mmol/L（250mg/d1）时，胰岛素剂量减至每小时0.05～0.1U/kg（3～6U/h），至尿酮稳定转阴后，过渡到平时治疗。在停止静脉滴注胰岛素前1小时，皮下注射短效胰岛素1次，或在餐前胰岛素注射后1～2小时再停止静脉给药。如DKA的诱因尚未去除，应继续皮下注射胰岛素治疗，以避免DKA反复。胰岛素持续静脉滴注前是否加用冲击量（负荷量，loading dose）无统一规定。一般情况下，不需要使用所谓的负荷量（loading dose）胰岛素，而持续性静脉滴注正规（普通，速效）胰岛素（每小时0.1U/kg）即可。如能排除低钾血症，可用0.1～0.15U/kg胰岛素静脉推注，继以上述持续静脉滴注方案治疗。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;2. 胰岛素泵治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;按T1DM治疗与教育程序（type 1 diabetes treatment and teaching programs，DTTPs）给药，以取得更好疗效，降低低血糖的发生率。儿童患者在胰岛素泵治疗过程中，如反复发作DKA，建议检查胰岛素泵系统，排除泵失效的因素（如机械故障）。这样可达到安全控制血糖，避免DKA或低血糖的发作。目前应用的胰岛素泵大多采用持续性皮下胰岛素输注（continuous subcutaneous insulin infusion，CSII）技术。使用胰岛素或超短效胰岛素类似物，并可根据患者血糖变化规律个体化地设定1个持续的基础输注量及餐前追加剂量，以模拟人体生理性胰岛素分泌。新近发展的胰岛素泵采用螺旋管泵技术，体积更小，携带方便，有多种基础输注程序选择和报警装置，其安全性更高。<br/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;3. 皮下或肌内注射胰岛素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;轻度DKA患者也可采用皮下或肌内注射胰岛素。剂量视血糖和酮体测定结果而定。采用基因重组的快作用胰岛素类似物（如诺和锐等）治疗儿童无并发症的DKA也取得很好的效果。<br/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;4. 5%葡萄糖液加胰岛素治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;在补充胰岛素过程中，应每小时用快速法监测血糖1次。如果静滴胰岛素2小时，血糖下降未达到滴注前血糖的30%，则胰岛素滴入速度加倍，达到目标后再减速。血糖下降也不宜过快，以血糖每小时下降3.9～6.1mmol/L为宜，否则易引起脑肿胀。当血糖下降到13.8mmol/L时，则改输5%葡萄糖液。在5%葡萄糖液中，按2∶1［葡萄糖（g）∶胰岛素（U）］加入胰岛素。酮体消失或血糖下降至13.8mmol/L时，或患者能够进食即可停止输液，胰岛素改为餐前皮下注射。根据血糖监测结果以调整胰岛素剂量。<br/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; （三） 酌情补钾和补磷</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;DKA时的机体钾丢失严重，但血清钾浓度高低不一，经胰岛素和补液治疗后可加重钾缺乏，并出现低钾血症。一般在开始胰岛素及补液治疗后，只要患者的尿量正常，血钾低于5.5mmol/L即可静脉补钾，以预防低钾血症的发生。在心电图与血钾测定监护下，最初每小时可补充氯化钾1.0～1.5g。若治疗前已有低钾血症，尿量≥40ml/h时，在胰岛素及补液治疗同时必须补钾。严重低钾血症（＜3.0mmol/L）可危及生命，此时应立即补钾，当血钾升至3.5mmol/L时，再开始胰岛素治疗，以免发生心律失常、心脏骤停和呼吸肌麻痹。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;1. 补钾</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;在输液中，只要患者没有高钾血症，每小时尿量在30ml以上，即可在每500ml液体中加入氯化钾（10%）溶液10ml。每日补钾总量为4～6g。在停止输液后还应口服钾制剂，每日3g，连服1周以上，以完全纠正体内的缺钾状态。<br/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;2. 补磷</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;DKA时，体内有磷缺乏，但血清磷可能降低、正常甚至升高。当血磷浓度＜1.0mg/dl时，可致心肌、骨骼肌无力和呼吸阻抑。如果患者的病情重，病史长且血磷明显降低应考虑补磷。补磷的方法主要是迅速恢复自然进食，尤其是及时进食富含无机磷的食物，如牛奶和水果等；如果血磷在0.4mmol/L以下，可能诱发溶血和严重心律失常，应紧急口服中性磷制剂或静脉滴注无机磷。<br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;国外有人主张补充磷酸钾，特别是儿童和青少年DKA患者。DKA患者的红细胞中因磷缺乏而有2，3-二磷酸甘油酸（2，3-DPG）缺乏，从而使红细胞氧离曲线右移，不利于组织获得氧供，但在DKA时存在的酸中毒可使血pH降低以代偿，一旦酸中毒被纠正，这种代偿功能即不存在而使组织缺氧加重。不过补磷未列为DKA的常规治疗。血磷显著降低，且在治疗过程中仍不上升者可一般每小时给予12.5mmol/L的缓冲性磷酸钾（buffered potassium phosphate），由于磷酸盐可明显降低血钙。应在补磷过程中监测血清钙和磷，以免引起低钙血症或严重的高磷血症。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; （四） 严重酸中毒时小量补碱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;酮体产生过多可发生酸中毒。轻度酸中毒（血pH＞7.0）时，一般不需补充碱性药物。经补液和胰岛素治疗后即可自行纠正，不必补碱。重度酸中毒时，外周血管扩张，心肌收缩力降低，可导致低体温和低血压，并降低胰岛素敏感性，当血pH低至7.0时，可抑制呼吸中枢和中枢神经功能，诱发脑损伤和心律失常，应予以抢救。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;1. 补碱原则和方法</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;补碱宜少、宜慢。符合前述补碱标准者，可静脉滴注5%碳酸氢钠200ml，当血渗透压很高时，可考虑配用1.25%碳酸氢钠等渗溶液（3份注射用水加1份5%碳酸氢钠溶液）输注。补碱过多和过快易发生不良结果：①增加尿钾丢失；②二氧化碳透过血-脑脊液屏障比<img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%86%85%E5%88%86%E6%B3%8C%E4%BB%A3%E8%B0%A2%E7%97%85%E5%AD%A6(%E4%B8%8A%E3%80%81%E4%B8%8B%E5%86%8C)_978-7-117-15115-3/pics/BZ_1362_548_1384_596_1405.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/>快，二氧化碳与水结合后形成碳酸，使脑细胞发生酸中毒；③补碱过多，可使脑细胞内外渗透压失衡而引起脑水肿；④补碱后，红细胞释氧功能因血pH升高而下降，使组织缺氧加重；⑤治疗后酮体消失，原来与酮体结合血液中的缓冲系统特别是碳酸/碳酸氢钠缓冲系统重新释放，加上所补的碳酸氢钠，故可引起反跳性碱中毒。如果DKA患者在治疗前神志不清，经治疗后神志恢复，而在补碱过程中又出现神志不清，要考虑补碱过多过快而引起的脑水肿可能；⑥补液治疗容易发生高氯性酸中毒（hyperchloraemic acidosis），其原因与大量生理盐水引起氯负荷和高氯性酸中毒有关，高氯性酸中毒可能进一步加重原有的酸中毒。<br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;当血pH降至6.9～7.0时，50mmol碳酸氢钠（约为5%碳酸氢钠84m1）稀释于200ml注射用水中（pH＜6.9时，100mmol碳酸氢钠加400ml注射用水），以200ml/h的速度静脉滴注。此后，以30分钟～2小时的间隔时间监测血pH，pH上升至7.0以上停止补碱。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;2. 过多过快补碱的危害</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;过多过快补充碱性药物可产生不利影响：①二氧化碳透过血-脑屏障的弥散能力快于碳酸氢根，快速补碱后脑脊液pH呈反常性降低，引起脑细胞酸中毒，加重昏迷；②血pH骤然升高，而红细胞2，3-二磷酸甘油降低和高糖化血红蛋白状态改变较慢，使血红蛋白与氧的亲和力增加，加重组织缺氧，有诱发和加重脑水肿的危险；③促进钾离子向细胞内转移，可加重低钾血症，并出现反跳性碱中毒，故补碱需十分慎重。<br/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; （五） 抢救和处理其他并发症1. 休克、心力衰竭和心律失常</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;如休克严重且经快速输液后仍不能纠正，应考虑合并感染性休克或急性心肌梗死的可能，应仔细查找，给予相应处理。年老或合并冠状动脉病（尤其是急性心肌梗死）、输液过多等可导致心力衰竭和肺水肿，应注意预防，一旦出现，应予相应治疗。血钾过低和过高均可引起严重心律失常，应在心电监护下，尽早发现，及时治疗。<br/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;2. 脑水肿</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;DKA性脑水肿可以发生于新诊断的T2DM治疗之前，但绝大多数的脑水肿是DKA的最严重并发症，病死率高，可能与脑缺氧、补碱过早过多过快、血糖下降过快和补液过多等因素有关。脑水肿易发生于儿童及青少年糖尿病并发DKA者。这些并发症在治疗过程中是可以避免的，如严密监测血糖、血钾、心电图以及观察神志改变等。关于脑水肿发生的原因及机制目前尚不清楚。临床有作者观察到儿童发生脑水肿与基础状态的酸中毒、血钠和血钾的异常以及氮质血症有关。DKA经治疗后，高血糖已下降，酸中毒改善，但昏迷反而加重，应警惕脑水肿的可能。可用脱水剂、呋塞米和地塞米松治疗。<br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;严重的弥漫性脑水肿（diffuse cerebral edema；恶性脑水肿，malignant cerebral edema）因最终形成脑疝而死亡。这些患者即使幸存，也多遗留广泛而严重的神经-精神-躯体并发症，如运动障碍、视力下降、健忘或植物人状态（persistent vegetative states）。因此，如果临床表现能确认存在严重的弥漫性脑水肿，并经CT证实，应该施行减压式双额颅骨切除术（bifrontal decompressive craniectomy），紧急降低颅内压。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;3. 肾衰竭</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;DKA时失水和休克，或原来已有肾病变，以及治疗延误等，均可引起急性肾衰竭。强调预防，一旦发生，及时处理。<br/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; （六） 防治和监测DKA合并症1. 对症治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;酸中毒可引起急性胃扩张，用5%碳酸氢钠液洗胃，清除残留食物，以减轻呕吐等消化道症状，并防止发生吸入性肺炎和窒息。护理是抢救DKA的重要环节，按时清洁口腔和皮肤，预防褥疮和继发性感染与院内交叉感染，必须仔细观察和监测病情变化，准确记录生命体征（呼吸、血压和心率）以及神志状态、瞳孔大小、神经反应和水出入量等。<br/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;2. 抗感染</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;感染常为DKA的诱因，也可以是其伴发症；呼吸道及泌尿系感染最常见，应积极治疗。因DKA可引起低体温和白细胞升高，故不能单靠有无发热或血象来判断感染。DKA的诱因以感染最为常见，且有少数患者可以体温正常或低温，特别是昏迷者，不论有无感染的证据，均应采用适当的抗生素以预防和治疗感染。鼻-脑毛霉菌病虽罕见，但十分严重，应早期发现，积极治疗。<br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;存在免疫缺陷的DKA患者可能发生致命的接合菌（zygomycetes）感染，早期受累的软组织主要是鼻、眼球和脑组织，继而扩散至肺部及全身，两性霉素B、卡泊芬净（caspofungin）和泊沙康唑（posaconazole）有较好疗效，配合高压氧治疗（hyperbaric oxygen therapy）和免疫调节剂可增强疗效。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;3. 输氧</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;DKA患者有组织缺氧，应给予输氧。如并发休克、急性肾衰竭或脑水肿，应采取措施进行治疗。在治疗过程中需避免发生低血糖症或低钾血症。少见的并发症有横纹肌溶解症，可导致急性肾衰竭。<br/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;4. 护理及监测</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;在治疗DKA的同时，应积极控制感染、降低颅内压和防治脑功能障碍。如果并发了脑卒中，除了大量出血患者需要手术治疗外，急性（24～36小时内）缺血性脑梗死采用溶栓剂（thrombolytics）治疗可取得很好效果，但动脉出血性脑卒中患者属于禁忌。急性期后，动脉缺血性脑卒中和脑静脉栓塞的儿童患者应长期使用抗凝治疗，一般建议首选低分子量肝素，继而口服华法林3个月。成年患者应控制高血压，重组的人Ⅶa因子（recombinant factor Ⅶa）可能降低复发率。一般DKA病例不建议进行预防性抗凝治疗。<br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; line-height: 2em; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;昏迷者应监测生命体征和神志改变，注意口腔护理，勤翻身，以防褥疮。定时监测血糖、酮体、血钾、CO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>CP和经皮二氧化碳分压（transcutaneous carbon dioxide）的变化，以便及时调整治疗措施。</p><p style=\"text-align: right; line-height: 2em;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5701', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '160', '参考文献', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px;\">1. Liu CC，Chen KR，Chen HF，et al. Trends in hospitalization for diabetic ketoacidosis in diabetic patients in Taiwan：analysis of national claims data，1997-2005. J Formos Med Assoc，2010，109（10）：725-34.</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px;\">2. No authors listed. Diabetes and alcohol：distinctive interactions. Prescrire Int，2008，17（95）：118-20.</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px;\">3. Ovalle F，Vaughan TB 3rd，Sohn JE，et al. Catamenial diabetic ketoacidosis and catamenial hyperglycemia：case report and review of the literature. Am J Med Sci，2008，335（4）：298-303.</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px;\">4. Theodoraki A，Khoo B，Hamda A，et al. Malignant somatostatinoma presenting with diabetic ketoacidosis and inhibitory syndrome：pathophysiologic considerations. Endocr Pract，2010，16（5）：835-7.</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px;\">5. Gurvits GE. Black esophagus：acute esophageal necrosis syndrome. World J Gastroenterol，2010，16（26）：3219-25.</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px;\">6. Carlotti AP，St George-Hyslop C，Guerguerian AM，et al. Occult risk factor for the development of cerebral edema in children with diabetic ketoacidosis：possible role for stomach emptying. Pediatr Diabetes，2009，10（8）：522-33.</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px;\">7. Zhou C，Byard RW. Armanni-Ebstein phenomenon and hypothermia. Forensic Sci Int，2011，206（1-3）：e82-4.</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px;\">8. Handy JM，Soni N. Physiological effects of hyperchloraemia and acidosis. Br J Anaesth，2008，101（2）：141-50.</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px;\">9. Bismuth E，Laffel L. Can we prevent diabetic ketoacidosis in children？Pediatr Diabetes，2007，Suppl 6：24-33.</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px;\">10. Levin DL. Cerebral edema in diabetic ketoacidosis. Pediatr Crit Care Med，2009，9（3）：320-9.</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px;\">11. Hom J，Sinert R. Evidence-based emergency medicine/critically appraised topic. Is fluid therapy associated with cerebral edema in children with diabetic ketoacidosis？Ann Emerg Med，2008，52（1）：69-75. e1.</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px;\">12. Piva JP，Czepielewskii M，Garcia PC，et al. Current perspectives for treating children with diabetic ketoacidosis. J Pediatr（Rio J），2007，83（5 Suppl）：S119-27.</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px;\">13. Fort A，Narsinghani U，Bowyer F Evaluating the safety and efficacy of Glucommander，a computer-based insulin infusion method，in management of diabetic ketoacidosis in children，and comparing its clinical performance with manually titrated insulin infusion. J Pediatr Endocrinol Metab，2009，22（2）：119-25.</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px;\">14. Ponder SW，Skyler JS，Kruger DF，et al. Unexplained hyperglycemia in continuous subcutaneous insulin infusion：evaluation and treatment. Diabetes Educ，2008，34（2）：327-33</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px;\">15. Mazer M，Chen E. Is subcutaneous administration of rapid-acting insulin as effective as intravenous insulin for treating diabetic ketoacidosis？Ann Emerg Med，2009，53（2）：259-63.</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px;\">16. Maahs DM，Horton LA，Chase HP. The use of insulin pumps in youth with type 1 diabetes. Diabetes Technol Ther，2010，12 Suppl 1：S59-65.</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px;\">17. Handy JM，Soni N. Physiological effects of hyperchloraemia and acidosis. Br J Anaesth，2008，101（2）：141-50.</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px;\">18. Morales AE，Daniels KA. Cerebral edema before onset of therapy in newly diagnosed type 2 diabetes. Pediatr Diabetes，2009，10（2）：155-7.</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px;\">19. Nguyen HS，Callahan JD，Cohen-Gadol AA. Life-saving decompressive craniectomy for diffuse cerebral edema during an episode of new-onset diabetic ketoacidosis：Case report and review of the literature. Childs Nerv Syst，2011 27（4）：657-64.</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px;\">20. Tragiannidis A，Groll AH. Hyperbaric oxygen therapy and other adjunctive treatments for zygomycosis. Clin Microbiol Infect，2009，15 Suppl 5：82-6.</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px;\">21. Tobias JD. Transcutaneous carbon dioxide monitoring in infants and children. Paediatr Anaesth，2009，19（5）：434-44.</span></p><p style=\"text-align: right; line-height: 2em;\"><span style=\"font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</span></p><p><br/></p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5709', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '180', '概述', '<p style=\"line-height: 2em;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;由于鞘膜精索、睾丸解剖发育不良及提睾肌剧烈收缩引起精索扭转，睾丸随精索一起扭转致精索内供应睾丸的血液循环发生障碍，睾丸急性缺血，甚至坏死，称睾丸扭转，又叫精索扭转。隐睾本身就有解剖发育异常，也可发生扭转。此病从新生儿到老年人均见有报道，但主要发生于青少年。在青少年中，本病并不少见，加上一旦睾丸扭转，可在数小时内造成睾丸不可逆的坏死，因此要引起首诊医师的高度重视，避免误诊或漏诊，及时正确诊断，及早予以处理。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5710', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '180', '病因', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;正常情况下，鞘膜在睾丸、附睾附着阴囊肉膜处返折，在该处的睾丸和附睾无鞘膜覆盖，直接附着于阴囊壁的肉膜上，仅有一定的活动度。睾丸扭转发生的原因和机制尚未完全清楚，下列情况与睾丸扭转发生有关。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（1）由于发育异常，睾丸、附睾和远段精索完全被脏层鞘膜所包绕，睾丸、附睾悬挂在精索上，在壁层鞘膜囊内可自由活动及旋转。这种发育异常多为双侧性的。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（2）睾丸下降不全致睾丸、附睾呈水平位，或睾丸系膜过长，睾丸与阴囊附着处发育不全也是睾丸扭转的解剖基础。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（3）提睾肌呈螺旋形包绕于精索上，在剧烈收缩时可以发生扭转。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（4）由于外伤、异常活动或阴囊内容物手术时不慎而扭转，较少见。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（5）由于睡眠时迷走神经兴奋，提睾肌随阴茎勃起收缩加剧，可致睾丸扭转，故在睡眠中常可发生睾丸扭转。</span></p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5711', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '180', '分型', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 根据扭转的部位，睾丸扭转可分为两种类型。</span></p><p style=\"line-height: 2em;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.鞘膜内型</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 多见，好发于青少年。其发病基础是脏层鞘膜完全包绕睾丸、附睾和远端精索，在壁层鞘膜囊内睾丸、附睾悬挂于精索上，活动度大，从而发生扭转。</span></p><p style=\"line-height: 2em;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.鞘膜外型</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 少见，主要发生于新生儿和1岁以内的婴儿。其因睾丸和附睾与阴囊附着部位发育不全所致。</span></p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5712', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '180', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;<span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;睾丸扭转主要发生于青春期，12～18岁约占65%。</span></span></p><p><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1.阴囊剧痛</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;突发的一侧阴囊剧烈持续性疼痛，常发生于夜间睡眠之中，疼痛可向腹股沟及下腹部放射，伴有恶心、呕吐，开始不伴发热。</span></p><p><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; &nbsp; 2.阴囊红肿、触痛</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;扭转早期阴囊皮肤可无红肿，发生时间较长者，整个阴囊红肿，触痛明显。</span></p><p><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.精索缩短、睾丸上移</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">　&nbsp;&nbsp;&nbsp;&nbsp;由于提睾肌收缩精索扭转，使得阴囊部精索缩短，精索粗厚，睾丸上移到阴囊上部，甚至移到腹股沟外环口。</span></p><p><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;4.Roche’s征阳性</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;因扭转后静脉回流<span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">受阻，睾丸、附睾肿大，阴囊肿胀严重，</span>触诊不能区分阴囊内结构。</span></p><p><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.阴囊托高试验（Prehn’s test）阳性</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\"><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;由于精索已呈麻绳样扭转，抬高阴囊，使扭转加重，睾丸疼痛加剧。</span></p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5713', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '180', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;对于青少年突发阴囊剧痛，尤其是在睡眠中痛醒，体格检查发现阴囊肿胀，触痛，精索缩短、粗厚，睾丸上移以及Roche’s征和Prehn’s试验阳性，诊断不困难。值得一提的是，任何一个以阴囊疼痛就诊的患者，均要疑有睾丸扭转的可能，这样才不至于漏诊和误诊，不会错失治疗的时机。对于诊断有困难的病例，可借助多普勒超声和放射性核素<span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; box-sizing: border-box; position: relative; line-height: 0; vertical-align: baseline; top: -0.5em;\">99m</span>锝阴囊睾丸扫描检查。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;多普勒超声检查：可检测睾丸和精索的血流量。扭转的睾丸血流量明显减少或消失。该检查对睾丸扭转的诊断正确率达80%左右。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;放射性核素<span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">99m</span>锝睾丸扫描：测定睾丸的血流量，显示扭转侧血流灌注减少，呈放射性冷区，与健侧比较，其血流差异显著，诊断率达90%以上。</span></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5714', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '180', '鉴别诊断', '<p style=\"line-height: 2em;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; color: rgb(120, 123, 125); background-color: rgb(255, 255, 255);\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;主要鉴别诊断是急性附睾炎。急性附睾炎也表现为阴囊疼痛，但多见于成年人，发病较缓慢，疼痛较轻，伴发热和血白细胞增加。体检见阴囊皮肤肿胀不明显，触诊发现附睾肿大，与睾丸的界限清楚，且睾丸和附睾往往呈下垂状，托高阴囊时，睾丸疼痛减轻。彩色多普勒超声和放射性核素</span><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; box-sizing: border-box; position: relative; line-height: 0; vertical-align: baseline; top: -0.5em; color: rgb(120, 123, 125); background-color: rgb(255, 255, 255);\">99m</span><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; color: rgb(120, 123, 125); background-color: rgb(255, 255, 255);\">锝扫描均显示睾丸血流灌注增加。</span></span></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5715', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '180', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;睾丸扭转是最重要的外科急症之一，应及时诊断处理。治疗目的是挽救睾丸功能，因为睾丸的长时间缺血将导致不可逆的功能损害，故首诊医师对突发睾丸疼痛的患者一定要想到睾丸扭转的可能性，迅速作出诊断，也不应做过多而费时的辅助检查，尽快行手术探查。</span></p><p style=\"line-height: 2em;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;1.手术治疗（1）手术指征：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;已诊断睾丸扭转，应手术复位；阴囊疼痛，不能明确诊断，不能排除睾丸扭转，应行手术探查。</span></p><p style=\"line-height: 2em;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（2）手术方法：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;当有手术指征时应急症手术复位，特别是应在发病后6小时内完成手术。术中明确睾丸扭转，即在直视下睾丸复位，如睾丸色泽由紫蓝色变为粉红色，表明睾丸仍有功能，应予保留。如对睾丸活力有怀疑时，可在白膜上作小切口观察睾丸出血情况，也可用温湿纱布包绕睾丸，观察15分钟。如见睾丸仍有新鲜出血或色泽变为红润，也应保留，并将睾丸与壁层鞘膜缝合固定，防止将来再次扭转。否则应将患睾切除。睾丸扭转多有基础的解剖发育不良的缺陷存在，且这种缺陷常为双侧同时存在，故术中应同时行对侧睾丸固定术。不过，术前应让患者或家属知情并同意。</span></p><p style=\"line-height: 2em;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;2.手法复位</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">　&nbsp; &nbsp; &nbsp;部分病例在手术探查之前，尤其是在发病后2小时之内，可试行手法复位。方法：在精索内阻滞麻醉下，如为左睾丸扭转先以顺时针方向试复位，右睾丸扭转先以逆时针方向试复位，若疼痛立即缓解或不加重，即可慢慢转动睾丸360°，睾丸位置下移并可直腰行走，继续观察，若睾丸肿胀较前缩小，无触痛，手法复位成功。但即使复位成功，也应尽早行睾丸探查固定，防止再次扭转。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;附：睾丸附件扭转</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;正常男性90%有睾丸附件，33%有附睾附件。睾丸附件是苗勒管（副中肾管）上端退化的残留物，一般为直径0.1～1.0cm有蒂的卵圆形小件，附着于睾丸或附睾表面。附件扭转也常发生于青少年，突然发生睾丸疼痛，睾丸本身无变化，如未发生阴囊水肿，可触摸到扭转附件的痛性结节。透光试验呈暗蓝色或黑色小体时为附件梗死表现。如明确为附件扭转，保守治疗10天左右疼痛缓解，无后遗症。如可疑睾丸扭转，应行手术探查切除扭转附件，不必行对侧睾丸探查。</span></p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5716', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1661', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胆管炎是胆道炎症性疾病的总称，包括感染性和非感染性。非感染性胆管炎包括原发性硬化性胆管炎（primary sclerosing cholangitis，PSC）、原发性胆汁性肝硬化（primary biliary cirrhosis，PBC）、先天性胆道囊性病变等。我们通常所说的胆管炎是感染性胆管炎。</p><p>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; 来源&nbsp;&nbsp;:&nbsp;&nbsp;胃肠病学</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5717', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1661', '病因学', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性胆管炎的发病需要两个条件：①胆汁中存在细菌；②胆道梗阻。</p><p>（一） 胆汁中存在细菌</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于肝细胞和胆管细胞的缝隙连接可以阻止细菌由血液进入胆汁中，Oddi括约肌、胆汁的不断排出、胆汁酸和胆汁中的免疫球蛋白的杀菌作用可以阻止细菌由肠道进入胆汁中，所以通常情况下胆汁中无细菌存在。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">细菌进入胆道的高危因素包括：胆总管结石、胆道狭窄、内镜下乳头肌切开术和胆道支架置入。其他可能会引起细菌性胆汁的危险因素还有：梗阻性黄疸、近期感染史、70岁以上高龄、糖尿病、既往胆道手术史。急性胆管炎早期，体温升高时采集血液和胆汁进行细菌培养，结果往往呈阳性。30%～80%的急性胆管炎和&gt; 80%的急性化脓性胆管炎患者存在多种细菌感染。常见的细菌是革兰阴性菌，大肠埃希菌、克雷伯杆菌和肠球菌，也可见到肠杆菌、柠檬酸杆菌、变形杆菌和厌氧菌如拟杆菌等，但比较少见。对胆道进行内镜下和手术操作，会增加多种细菌感染的概率。胆道置入支架常常会导致细菌入侵胆汁，胆道支架梗阻常常会进一步引起胆管炎。目前普遍认为在以上病理情况下细菌是通过十二指肠入侵胆道的，但尚未得到证实。</p><p>（二） 胆道梗阻</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胆管炎最常见的病因是胆总管结石。10%～15%的胆囊结石患者会因结石进入胆总管出现胆总管结石，老年人发病率增高会达到25%。因此对于有临床症状的胆囊结石患者一定要检测是否合并胆总管结石。胆囊结石行胆囊切除术后的患者中大约有1%～5%的患者仍会存在胆总管结石。来自胆囊的胆总管结石通常是胆固醇结石。但是胆囊切除术后胆道内原发的结石，或者继发于慢性复发性胆管炎、胆道寄生虫感染和胆道先天性畸形的胆道结石往往是胆色素结石。大约10%的胆总管结石患者会出现胆管炎。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;胃肠病学</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5718', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1661', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性梗阻性化脓性胆管炎是一个严重的可危及生命的急症。临床表现通常为Reynold五联征，即发热、黄疸、腹痛、意识障碍和低血压。90%的胆管炎患者会出现发热，2/3的患者会出现黄疸，不到一半的患者会出现右上腹痛。如果病情进展，可能会出现弥散性血管内凝血（DIC）、肾衰竭和血小板降低。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;胃肠病学</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5719', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1661', '辅助检查', '<p>（一） 实验室检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">大多数患者会出现白细胞增高，但是极危重症患者会出现白细胞减少。C反应蛋白增高10～20倍。80%患者血清胆红素水平&gt; 34μmol/L，75%患者碱性磷酸酶（ALP）水平升高2～5倍。少部分患者转氨酶水平会明显升高。60%患者血培养阳性。胆汁培养阳性率高达75%～100%。但是不推荐在应用抗生素之前行胆汁培养。</p><p>（二） 超声检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胆道扩张，如果临床高度疑似本病，即使超声检查未见异常，也推荐进行内镜下胆道造影检查。如果临床上可疑本病，可进行磁共振胰胆管造影（magnetic resonance cholangiography，MRCP）。本病最常见病因是胆总管结石，因此诊断胆总管结石非常重要。腹部超声诊断胆管结石的敏感性为50%。对于无胆囊切除术病史的患者，胆总管直径&gt; 6mm诊断胆总管结石的敏感性高达75%。CT检查诊断胆总管结石的敏感性类似于腹部超声。内镜下超声诊断肝外胆管结石的敏感性和特异性非常高，分别为95%～100%和97%～98%，对于有条件的医院，这已经成为确诊的手段。MRCP检查和CT胆道造影检查诊断胆总管结石的敏感性和特异性也非常好，达到85%～100%。MRCP检查属于无创性操作，且不用暴露于放射线。相比之下，CT胆道造影检查有以下缺点：暴露于放射线、造影剂可能引起副作用。ERCP是诊断胆总管结石的金标准，敏感性和特异性分别高达90%～100%和&gt; 90%。同时内镜逆行胰胆管造影（ERCP）也可达到很好的治疗目的，可以行取石治疗，在狭窄处置入支架，并且还可以行鼻胆管引流。ERCP的副作用有胰腺炎、乳头肌切开术后出血等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;胃肠病学</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5720', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1661', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">治疗的主要目的是去除病因、治疗感染、解除梗阻。因此主要的治疗措施是：充分的抗感染治疗、胆道解压和引流、静脉补液。</p><p>（一） 抗感染治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">经验性用药，应用广谱强效抗生素。选择抗生素的原则是：针对最常见的细菌；抗生素在胆汁内浓度高。美洛西林和哌拉西林对革兰阴性菌作用效果好，在胆汁内浓度高。加入β-内酰胺酶抑制剂可以增加美洛西林和哌拉西林的抗菌谱，减少耐药。头孢菌素类抗生素在胆汁内含量高，可以口服，针对革兰阴性菌和铜绿假单胞菌有效，但耐药率有所增加。新一代氟喹诺酮类抗生素莫西沙星对革兰阴性菌和厌氧菌均有效，胆汁内浓度高。亚胺培南和美罗培南是非常强效的抗生素，对引起胆管炎的所有细菌包括革兰阴性菌和厌氧菌在内均有效，但是一般患者不需要应用，仅用于危重症患者。抗生素疗程一般为1周，尤其是存在胆结石时。当胆汁引流通畅时，只需要短暂应用抗生素，疗程一般为3天。</p><p>（二） 胆道减压</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本病大多数是由胆总管结石引起，需要立即进行胆道减压处理。临床上出现以下任一情况时往往提示需要立即采取干预措施：①心率&gt; 100次/分；②血清白蛋白&lt; 30g/L；③血清胆红素&gt; 50μmol/L；④PT &gt; 14秒。ERCP是治疗的最佳手段，可以在乳头肌切开后取石，在胆管狭窄处置入支架，或者行鼻胆管引流，如果患者有严重的凝血功能障碍，且结石非常小时，可用球囊扩张乳头肌代替乳头肌切开术。妊娠、高龄患者同样适合行ERCP。出现以下情况时，如Billroth Ⅱ氏和其他胃肠道手术术后，不适合行ERCP，可考虑行经皮经肝胆道引流。手术治疗死亡率高，不作为首选。胆道减压治疗后，毒血症可迅速减轻，否则，应检查引流管道是否通畅以及是否合并其他感染灶，如肝脓肿、脓胸等。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp; 胃肠病学</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5725', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '183', '概述', '<p style=\"line-height: 2em;\"><span style=\"color: rgb(120, 123, 125); background-color: rgb(255, 255, 255); font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;输尿管结石是一种常见病，占泌尿系结石的28.8%，绝大多数来源于肾，包括肾结石或体外震波后结石碎块下落所致。由于尿盐晶体易随尿液排入膀胱，故原发性输尿管结石少见。输尿管结石大多为单个，左右侧发病大致相似，双侧输尿管结石约占2%～6%。临床多见于青壮年，20～40岁发病最高，男与女之比为4.5∶1，结石位于输尿管下段最多，约占50%～60%。输尿管结石均能引起上尿路梗阻和扩张积水，并危害患肾，严重时可使肾功能逐渐丧失。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5726', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '183', '临床表现', '<p style=\"line-height: 2em;\"><span style=\"color: rgb(120, 123, 125); background-color: rgb(255, 255, 255); font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;输尿管结石和肾结石的症状基本相似。结石的大小与梗阻、血尿和疼痛程度不一定成正比。在输尿管中、上段部位的结石嵌顿阻塞或结石在下移过程中，常引起典型的患肾绞痛和镜下血尿。疼痛可向大腿内侧、睾丸或阴唇放射。常伴有恶心、呕吐，有时血尿为肉眼可见。输尿管膀胱壁间段最为狭小，结石容易停留。由于输尿管下段的肌肉和膀胱三角区相连，并且直接附着于后尿道，故常伴发尿频、尿急和尿痛的特有症状。在不影响尿流通过的大结石，可仅有隐痛，血尿也较轻。在孤立肾的输尿管结石阻塞或双侧输尿管阻塞，或一侧输尿管结石阻塞使对侧发生反射性无尿等情况，都可发生急性无尿，甚至肾功能不全。</span></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5727', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '183', '诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;输尿管结石的正确诊断不仅是肯定有无结石，还有确定结石的大小、位置、两侧肾的功能和肾积水的程度、有无感染等。典型的肾绞痛与血尿是诊断的重要线索。在疼痛发作时肋脊区有压痛、叩击痛。女性输尿管下端较大的结石能在阴道穹隆处触及。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;90%以上的输尿管结石在KUB平片上可被显示，草酸钙显示最佳，但需与腹腔淋巴结钙化、盆腔内静脉石、阑尾内粪石等相鉴别。IVU主要了解结石的部位和肾功能及有无积水，必要时行大剂量尿路造影及放射性核素肾图检查，均能进一步了解肾功能情况。膀胱镜检查与输尿管插管在结石处受阻，并拍平片显示钙化影在导管的同一平面，即能肯定输尿管结石的诊断。阴性结石用空气对比剂行逆行造影摄片，则可显示结石的存在。另外CT及B型超声检查有助于对X线平片不显影的阴性结石的诊断。对于KUB平片未能显示结石，IVU有充盈缺损而不能确诊时，输尿管镜检查可以明确诊断和进行治疗。</span></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5728', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '183', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;输尿管结石的治疗旨在解除疼痛、去除结石、改善肾功能和预防复发。输尿管结石的治疗包括对症治疗、药物排石治疗、药物溶石治疗、ESWL、PCNL、输尿管镜碎石、腹腔镜取石和开放手术取石等。</span></p><p style=\"line-height: 2em;\"><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;1.对症治疗</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;主要是控制肾绞痛，在明确诊断后可用阿托品0.5mg与哌替啶50mg肌注，痛区亦可热敷或行针刺，腰部敏感区可行皮下普鲁卡因封闭（先作皮试）。亦可用硝苯地平或吲哚美辛栓剂塞肛。有恶心、呕吐、腹胀者可适当输液。</span></p><p style=\"line-height: 2em;\"><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;2.药排石治疗</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;适用于直径＜0.6cm、表面光滑、结石以下无明显梗阻的结石。可选用中药清热利湿：如金钱草、海金砂等；清热解毒：如黄柏、银花、连翘等；活血化瘀、软坚化湿：如三棱、羲术等；补肾：如肉桂、附子、肉苁蓉等；补气补血：如党参、黄芪等。还有各种排石冲剂，应用方便。近年来，研究表明，口服α-受体阻滞剂（坦索罗辛）或钙离子通道拮抗剂，有较好的排石作用。坦索罗辛是一种高选择性α-肾上腺素能受体阻滞剂，使输尿管下段平滑肌松弛，促进输尿管结石排出，特别是对于输尿管下段结石效果更明显。</span></p><p style=\"line-height: 2em;\"><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;3.药物溶石治疗</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;只有纯尿酸结石才能通过口服溶石药物溶石，而那些含有尿酸铵或尿酸钠的结石则效果差。尿酸结石在行逆行输尿管插管进行诊断及引流治疗时，如插管成功到达结石上方，可在严密观察下用碱性药物局部灌注溶石，较口服溶石药溶石速度更快。</span></p><p style=\"line-height: 2em;\"><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;4.ESWL</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;早期ESWL只限于治疗输尿管上段结石。随着治疗经验的积累和碎石机的改进，目前输尿管全长任何部位的结石都可以用ESWL治疗。由于输尿管结石在尿路管腔内往往处于相对嵌顿状态，周围缺少一个有利结石粉碎的水环境，与同等大小的肾结石相比，粉碎难度较大，治疗的成功率较低，结石排净率为53%～97%，再次治疗率10%～30%。因此，ESWL治疗输尿管结石通常需要较高的冲击波能量和更多的冲击次数。同时必须加强震波时的定位准确性，有困难者同时行排泄性尿路造影或做膀胱镜逆行插管造影，以协助定位。目前认为，输尿管上段结石宜采用仰卧位加稍向患侧倾斜，这种体位一方面可以减轻脊柱阻挡X线而有利于结石的观察与定位，另一方面可使冲击波避开椎体的阻挡而减少衰减，提高碎石效率。中段结石采用侧俯卧位，患侧向上，这种体位可使肠管挤向对侧，减少了肠道气体对冲击波的干扰。下段输尿管结石宜采用斜侧半卧位，对于髂骨翼重叠部位的结石应采用俯卧位，不能俯卧位者可改用坐位或者半坐位，适当提高电压，均可取得一定的成功率。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;ESWL疗效与结石的大小、结石被组织包裹程度及结石成分有关，停留时间过长、或者结构致密的结石（如胱氨酸结石）的碎石效果较差。对于复杂结石（结石过大或包裹很紧）常需多次碎石或者需联合应用ESWL和其他微创治疗方式（如输尿管支架或输尿管镜碎石术等）。对直径≤1cm上段输尿管结石首选ESWL，＞1cm的结石可选择ESWL、输尿管镜（URS）和PCNL取石/碎石；对中下段输尿管结石可首选输尿管镜碎石术。目前，对于患输尿管结石特别是输尿管下段结石的妊娠妇女，ESWL是唯一绝对禁忌证。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;大多数输尿管结石原位碎石治疗即可获得满意疗效，而有些输尿管结石（如阴性结石、需要协助定位的小结石、体积巨大结石等）需放置输尿管支架管，通过结石或者留置于结石下方行原位碎石，对治疗有一定的帮助；也可以将输尿管结石逆行推入肾盂后再行碎石治疗</span></p><p style=\"line-height: 2em;\"><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;5.输尿管镜取石术</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;自20世纪80年代输尿管镜应用于临床以来，输尿管结石的治疗发生了根本性的变化。新型小口径硬性、半硬性和软性输尿管镜的应用，与新型碎石设备如超声碎石、液电碎石、气压弹道碎石和激光碎石的广泛结合，以及输尿管镜直视下套石篮取石等方法的应用，使得整个输尿管结石都能得到高效、微创治疗，极大地提高了输尿管结石微创治疗的成功率。目前认为，半硬性输尿管镜下钬激光碎石术是治疗输尿管结石特别是中、下段结石首选的治疗方法，具有微创、高效、安全、恢复快等优点。综合文献报道，碎石成功率为 100%，结石排净率为87%～100%。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;输尿管镜下取石或碎石方法的选择，应根据结石的部位、大小、成分（密度）、合并感染情况、可供使用的仪器设备、泌尿外科医师的技术水平和临床经验以及患者本身的条件和意愿等综合考虑。</span></p><p style=\"line-height: 2em;\"><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（1）适应证和禁忌证</span></p><p style=\"line-height: 2em;\"><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1）目前输尿管镜取石术的适应证包括：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ①输尿管下段结石；②输尿管中段结石；③ESWL失败后的输尿管上段结石；④ESWL或者PCNL后形成的“石街”；⑤结石并发可疑的尿路上皮肿瘤；⑥透X线的输尿管结石，ESWL定位困难；⑦体型肥胖、坚硬、停留时间长的嵌顿性结石而ESWL困难。</span></p><p style=\"line-height: 2em;\"><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2）禁忌证：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp; ①不能控制的全身出血性疾病；②严重的心肺功能不全，无法耐受手术；③未控制的泌尿道感染；④严重尿道狭窄，腔内手术无法解决；⑤严重髋关节畸形，截石位困难。</span></p><p style=\"line-height: 2em;\"><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（2）治疗方法</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;1）先在直视下将输尿管镜由尿道插入膀胱，然后在安全导丝（guide wire）引导下，向输尿管开口导入输尿管镜。输尿管口是否需要扩张，取决于输尿管镜的粗细和输尿管腔的大小。输尿管硬镜或半硬性输尿管镜均可以在直视下逆行插入上尿路。输尿管软镜需要借助输尿管镜镜鞘或通过接头导入一根安全导丝，在其引导下插入输尿管。对于采用逆行输尿管镜途径困难、梗阻明显的输尿管中上段结石患者，可通过PCN通道行顺行输尿管镜取石术。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;2）在进境过程中，利用注射器或者液体灌注泵调节灌洗液体的压力和流量，保持手术视野清晰。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;3）经输尿管镜窥见结石后，利用碎石设备（如钬激光、气压弹道、超声、液电等）将结石粉碎成3mm以下的碎片。而对于那些小结石以及直径≤5mm的碎片也可用套石篮或取石钳直接取出。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4）手术结束时，并非所有患者都需常规放置双J管，但遇有下列情况，宜放置双J管引流：①较大的嵌顿性结石（＞1cm）；②输尿管黏膜明显水肿或有出血；③输尿管损伤或穿孔；④伴有息肉形成；⑤伴有输尿管狭窄，有/无同时行输尿管狭窄内切开术；⑥较大结石碎石后碎块负荷明显，需待术后排石；⑦碎石不完全或碎石失败，术后需行ESWL治疗；⑧伴有明显的上尿路感染。一般放置双J管1～2周，如同时行输尿管狭窄内切开术，则需放置4～6周。</span></p><p style=\"line-height: 2em;\"><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（3）并发症：</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;输尿管镜取石术并发症的发生率与所用的设备、术者的技术水平和患者本身的条件等有明显关系。据报道发生率为5%～9%，较为严重的并发症发生率为0.6%～1%。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;近期并发症及其处理包括：①感染：应用敏感抗生素积极抗感染治疗。②黏膜下损伤：放置双J支架管引流1～2周。③假道：放置双J支架管引流4～6周。④穿孔：为主要的急性并发症之一。小的穿孔可放置双J支架管引流2～4周，如穿孔严重，应进行手术修补（输尿管端端吻合术等）。⑤输尿管黏膜撕脱：为最严重的急性并发症之一。应积极手术重建（自体肾移植、输尿管膀胱吻合术或回肠代输尿管术等）。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;输尿管狭窄为主要的远期并发症之一，其发生率约为0.6%～1%。输尿管黏膜损伤、假道形成或者穿孔、输尿管结石嵌顿伴息肉形成、多次ESWL致输尿管黏膜破坏等是输尿管狭窄的主要危险因素。远期并发症及其处理如下：①输尿管狭窄：输尿管狭窄内切开或狭窄段切除端端吻合术；②输尿管闭塞：狭窄段切除端端吻合术或输尿管膀胱再植术；③输尿管反流：轻度：随访；重度：行输尿管膀胱再植术。</span></p><p style=\"line-height: 2em;\"><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;6.腹腔镜输尿管取石术</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;仅用于ESWL和输尿管镜碎石、取石治疗失败以及输尿管镜取石或ESWL存在禁忌证的情况下，例如存在输尿管狭窄等。手术途径有经腹腔和后腹腔两种，腹腔镜下的输尿管切开取石可以作为开放手术的另一种选择。</span></p><p style=\"line-height: 2em;\"><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;7.开放手术取石</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; border: 0px !important;\"><span style=\"font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;随着ESWL、PCNL及输尿管镜取石术等微创技术的不断应用与发展，使得95%以上的患者免于开放手术的痛苦，取得满意效果。输尿管结石的开放性手术取石仅用于：ESWL和输尿管镜碎石、取石治疗失败、严重并发症以及输尿管镜取石或ESWL存在禁忌证的情况下，例如：输尿管严重穿孔、撕脱、存在输尿管狭窄等。手术前2小时须拍尿路平片定位。</span></p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5729', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '164', '概述', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;痔是肛垫病理性肥大、移位以及肛周皮下血管丛血流淤滞形成的团块。现代概念与痔的传统定义有较大差别。传统认为痔是直肠下端黏膜下、肛管和肛缘皮肤下层的静脉丛淤血、扩张和迂曲所形成的柔软静脉团。痔在任何年龄都可发生，当其不伴出血、疼痛或脱垂等症状时，不能认为是病，只有当肛垫肥大合并上述症状时，才被认为是一种疾病。</p><p><br/></p><p style=\"text-align: right; line-height: 2em;\">&nbsp; &nbsp; 实用外科学 (上册)</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5730', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '164', '病因', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;痔的病因尚未完全清楚，可以由多种因素引起，目前有下列几种学说。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.肛垫下移学说</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;肛管血管垫是位于肛管、直肠的一种组织垫，又称“肛垫”，系出生后就存在的解剖结构。肛垫的主要结构包括黏膜上皮、血管、Treitz平滑肌、弹力纤维和结缔组织。在协助括约肌维持肛管的正常闭合以及精细控便等方面起着重要的作用。Treitz肌由Treitz（1853）首先描述，起自肛管内括约肌内侧面，该肌是介于肛门衬垫和肛管内括约肌之间的平滑肌，其功能是防止肛垫滑脱。随着年龄增长退行性变加重，肛垫松弛、肥大而易损伤出血，后期Treitz肌肥厚或断裂，肛垫下移脱出肛门。肛垫充血程度除受便秘、妊娠等肛管压力影响外，还与内分泌、精神等因素有关。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.静脉曲张学说</p><p style=\"line-height: 2em;\">已知痔静脉扩张、回流受阻是内痔成因之一。在解剖上，门静脉系统及其属支直肠静脉丛无静脉瓣，血液易于淤积而使静脉扩张、迂曲，加之直肠上、下静脉丛壁薄、位置浅、抵抗力弱及末端直肠黏膜下组织松弛，都不利于静脉回流而导致其扩张。屏气时腹内压增高、便秘、妊娠和盆腔内巨大肿瘤等因素，可使直肠静脉回流受阻而曲张成痔。慢性感染亦可损伤肛管、直肠静脉壁而导致静脉曲张。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3.遗传、地理及饮食因素</p><p style=\"line-height: 2em;\">患痔者常有家族史，可能与饮食、排便习惯和环境等因素有关，但遗传是否与痔的发生有关，目前尚无明确证据。在我国山区和农村居民的痔发生率低，可能与其高纤维素饮食结构有关。</p><p><br/></p><p style=\"text-align: right; line-height: 2em;\">&nbsp; &nbsp; 实用外科学 (上册)</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5731', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '164', '病理和分类', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;根据所在的解剖部位不同，可将痔分为三类(图2)：</p><p style=\"text-align: center;\"><img width=\"390\" height=\"250\" src=\"http://pmmp.cnki.net/cdd/img/15.3%20%E7%97%94.files/image002.jpg\"/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;内痔：位于齿状线上方，表面为黏膜覆盖，是肛垫的病理性肥大及移位，包括血管丛扩张、纤维支持结构松弛或断裂。常见于直肠下端的左侧、右前和右后三处。初起内痔突向肠腔，日久可逐渐突出肛门外，表现为便血和脱垂。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;外痔：位于齿状线下方，表面由肛周皮肤覆盖，皮下血管丛扩张，表现为隆起的软团块，常指血管性外痔。另有血栓性外痔、结缔组织外痔（皮垂）和炎性外痔。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;混合痔：在齿状线附近，为皮肤黏膜交界组织覆盖，是内痔和相应部位的外痔相融合而成，兼有内痔和外痔的两种特点。</p><p><br/></p><p style=\"text-align: right; line-height: 2em;\">&nbsp; &nbsp; 实用外科学 (上册)</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5732', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '164', '常用处方', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;一、外痔</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;处方一</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;地骨皮、地榆、槐花各60g，升麻9g，桃仁12g，野菊花、败酱草、五倍子各30g。用法:将上药水煎后去除药渣，趁热熏洗肛门数十分钟，2~3次/日，可连续使用1周。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;处方二</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;硫黄94g，红枣12枚。用法:将硫黄放入砂锅中，加热熔化，放入红枣。待硫黄化尽、红枣成炭时，取下研为细末，分为12份，每晨前服1份，开水冲下。1~2年的患者服1剂，3~5年的患者服2剂，6年以上的患者服3~ 4剂。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;二、内痔</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;处方三</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;党参30g，茯苓12g，黄芪15g，白术、当归、白及、槐花炭各9g，黄芩炭、阿胶(烊化冲服)各6g，三七末3g (冲服)。水煎服，1剂/日。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;处方四</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;生地黄15g，赤芍、枳壳、黄芩、黄连、荆芥、牡丹皮各9g，槐花、地榆各12g，甘草、防风各6g。水煎服，1剂/日。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;注意事项</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.长期吃中药有副作用，不但对胃有影响，更主要的是对肝、肾的损坏，因为大部分的药物代谢都是通过这两个主要的脏器进行的。胃的吸收功能会影响药物的吸收，而肝、肾的代谢功能直接影响疗效甚至危及生命。在服用重要期间注意自己的身体情况，及时进行全方位的调理。 2.经相关药物治疗，内外痔其症状可治愈，但应改变不良的大便习惯，保持大便通畅，防止便秘和腹泻；防止其复发。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5733', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '170', '概述', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;溃疡性结肠炎(ulcerative colitis，UC)，简称溃结，1875年首先由Willks和Moxon描述，1903年Willks和Boas将其命名为溃疡性结肠炎，1973年世界卫生组织(WHO)医学科学国际组织委员会正式命名为慢性非特异性溃疡性结肠炎。病因尚未完全阐明，主要是侵及结肠黏膜的慢性非特异性炎性疾病，常始自左半结肠，可向结肠近端乃至全结肠，以连续方式逐渐进展。临床症状轻重不一，可有缓解与发作相交替，患者可仅有结肠症状，也可伴发全身症状。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5734', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '170', '流行病学', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;溃疡性结肠炎的发病率有明显的地理分布特征，它的发生与该地区的经济发达程度密切相关。发病率最高的地区是斯堪地那维亚国家和苏格兰，其次为英格兰和北美国家。本病在这些国家中的发病率为(2～10)人/10万人口，女性比男性1∶0.8，高发年龄为30～60岁，而在亚洲及发展中国家，本病的发病率较低。我国目前尚无大宗有关发病情况的统计资料。据1986年在全国慢性腹泻学术会议上的报告，全国12所大医院在20年内确诊的溃疡性结肠炎病例仅581例，少于美国1家医院同期内的病例数。发病率之低可见一般。另据北京协和医院的报告从1974～1984年间经纤维结肠镜检查1428例病人中，检查出80例溃疡性结肠炎，检出率为5.6%。且77.5%的病人为21～50岁的中青年人。随着诊断技术设备的改进，本病的发病率近年来有升高趋势。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5735', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '170', '病因', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;溃疡性结肠炎确切病因还不明确。目前关于本病的病因学有以下几个学说。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;1.感染学说&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;已经证明某些细菌和病毒在溃疡性结肠炎的发病过程中起重要作用。因本病的病理变化和临床表现与细菌痢疾非常相似，某些病例粪便中培养出细菌，部分病例应用抗生素治疗有效，似乎提示细菌性感染与本病有关。1973年Fakmer从6例溃疡性结肠炎中培养出巨细胞病毒(cytomegalovirus，CMV)，1977年Cooper也从中毒性结肠扩张病人体内分离出巨细胞病毒。近年来的有些研究发现结核分枝杆菌(mycobacterium&nbsp; paratuberculosis)、副黏液病毒(麻疹病毒paramyxovirus)、单核细胞增多性利斯特菌(Listeria moncytogenes)等也可能与溃疡性结肠炎及克罗恩病的发病有关。因此提出某些细菌或病毒可能在溃疡性结肠炎的发病过程中起重要作用。但究竟哪种病原体感染引起本病，感染性病原体是本病的原因还是结果还需要进一步的研究才能确定。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.免疫学因素&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;持此观点的人认为自身免疫介导的组织损伤是溃疡性结肠炎发病的重要因素之一。有作者发现某些侵犯肠壁的病原体(如大肠杆菌等)与人体大肠上皮细胞存在着交叉抗原，当机体感染这些病原体以后，循环中的自身抗体不仅与肠壁内的病原体作用也同时杀伤了自身的上皮细胞。近年来从溃疡性结肠炎患者结肠上皮内发现了一种40KD的抗原，可在激活机体产生抗结肠上皮抗体的同时也激活结肠上皮表面的补体及抗原抗体复合物。溃疡性结肠炎患者的免疫淋巴细胞和巨噬细胞被激活后，可释放出多种细胞因子和血管活性物质，促进并加重组织的炎症反应。有报告CD95(TNF类)所介导的结肠上皮细胞凋亡在溃疡性结肠炎的发病机制中的作用。发现在溃疡性结肠炎患者结肠炎症区域及其相邻的非炎症区域均发生了CD95-CD95L所介导的细胞凋亡，推论其可能是溃疡性结肠炎蔓延的可能原因之一。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;此外，近年来也有报告指出，机体循环中的抗体和T淋巴细胞与溃疡性结肠炎患者肠上皮细胞内的热休克蛋白(heat shock protein，HSP)相作用，产生了肠上皮的损伤。在溃疡性结肠炎患者有关T、B淋巴细胞计数测定结果、血白细胞、巨噬细胞及淋巴细胞转化率测定结果均提示本病与细胞免疫学方面的改变有关。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;3.遗传因素&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;一些资料表明，溃疡性结肠炎与遗传因素密切相关。种族差异表现在白种人的发病率明显高于黑种人，亚洲人的发病率最低。其中白种人的犹太人发病率比非犹太人高2～4倍，而在有色人种大约少50%。单卵双生双胞胎发病率比双卵双生者高。同时有作者报告在溃疡性结肠炎患者的组织相关抗原HLA-DR2较正常人增多。日本学者近来报告在溃疡性结肠炎患者体内发现了与之有关的特异基因表现型P-ANCA(peinuclear antineutrophil cytoplasmic antibody)明显高于正常人群。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;4.精神因素&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;精神因素在溃疡性结肠炎发病中的作用可能与精神障碍引起自主神经功能失调，导致肠壁炎症及溃疡形成有关。但有作者将溃疡性结肠炎患者与正常人群进行对照研究发现在疾病发作时并没有明显的精神诱因。相反，因溃疡性结肠炎而行结肠切除术后，病人原有的精神上的病态如抑郁症、焦虑、紧张多疑等症状有显著改善。似乎说明精神因素不是引起本病的原因，更像是本病引起的后果。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5736', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '170', '发病机制', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.病变部位&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;溃疡性结肠炎可发生在结直肠的任何部位，以直肠和乙状结肠多见，也可累及升结肠和结肠的其他部位，或累及整个结肠。少数全结肠受累并可侵及末端回肠，受累的肠管多限于距回盲瓣10cm以内的末端回肠。北京医科大学人民医院外科1组78例溃疡性结肠炎资料中，累及全结肠者38例，占48.7%；直肠和乙状结肠32例(41%)；回肠、盲肠及升结肠受累8例，占10.2%；单独侵及回肠者5例(6.4%)。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.病理形态</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)大体形态：溃疡性结肠炎是以黏膜为主的炎症，其并发症较克罗恩病少，所以溃结因并发症手术切除的标本没有克罗恩病多。浆膜层一般完整，外观光滑、光泽，血管充血，肠管缩短，以远端结肠和直肠最明显，一般看不到纤维组织增生；肠管黏膜表面有颗粒感、质脆，广泛充血和出血，有多个浅表性溃疡，沿结肠带呈线状分布或呈斑块状分布。严重者可见黏膜大片剥脱，甚至暴露出肌层，黏膜病变呈连续性，从直肠或乙状结肠开始，常常远段重，近段轻；左半结肠重，右半结肠轻。黏膜表面还可见到许多大小不等、形态各异的炎性息肉，以结肠多见，直肠则较少见。有时可见到炎性息肉相互粘连而形成的黏膜桥。&nbsp;</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (2)组织形态：黏膜和黏膜下层高度充血、水肿，炎性细胞弥漫性浸润，主要为中性粒细胞、淋巴细胞、浆细胞和巨噬细胞。初起炎症限于黏膜，在上皮和腺体受损后炎症可发展到黏膜下层，一般不累及肌层和浆膜层。中性粒细胞浸润肠上皮，可导致隐窝炎和隐窝脓肿，上皮细胞增殖，杯状细胞减少或消失。小溃疡多位于黏膜层，呈弥漫性分布，底部可达黏膜下层，极少累及全层；溃疡底仅见薄层肉芽组织。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;肉眼观察经过修复达到完全缓解的病例，其结肠黏膜难与正常黏膜区别，但病理学检查仍有异常改变，表现为腺管不规则，且有分支；杯状细胞增多，细胞增大，潘氏细胞化生。因而，溃疡性结肠炎最主要的病理变化为：①弥漫性连续性黏膜炎症；②黏膜溃疡；③隐窝脓肿；④假性息肉；⑤特殊细胞变化，潘氏细胞增生、杯状细胞减少。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5737', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '170', '临床表现', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.类型&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;按临床表现和过程可分4型。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)初发型：症状轻重不一，既往无溃结史，可转变为慢性复发型或慢性持续型。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (2)慢性复发型：症状较轻，临床上最多见，治疗后常有长短不一的缓解期。复发高峰多在春秋季，而夏季较少。在发作期结肠镜检查，有典型的溃结病变，而缓解期检查仅见轻度充血、水肿，黏膜活检为慢性炎症，易误为肠易激综合征。有的患者可转为慢性持续型。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(3)慢性持续型：起病后常持续有轻重不等的腹泻、间断血便、腹痛及全身症状，持续数周至数年，其间可有急性发作。本型病变范围较广，结肠病变呈进行性，并发症多，急性发作时症状严重，需行手术治疗。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(4)急性暴发型：国内报道较少，约占溃结的2.6%，国外报道占20%。多见于青少年，起病急骤，全身及局部症状均严重，高热、腹泻每天20～30次，便血量多，可致贫血、脱水与电解质紊乱、低蛋白血症，衰弱消瘦，并易发生中毒性结肠扩张，肠穿孔及腹膜炎，常需紧急手术，病死率高。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.主要症状&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;腹泻或便秘，病初症状较轻，粪便表面有黏液，以后便次增多，重者每天排便10～30次，粪中常混有脓血和黏液，可呈糊状软便。便血是较常见的症状，主要由于结肠黏膜局部缺血及溶解纤维蛋白的活力增加所致。一般为小量便血，重者可呈大量便血或血水样便。腹痛多局限左下腹或下腹部，轻症者亦可无腹痛，随病情发展腹痛加剧，排便后可缓解。里急后重系由于炎症刺激直肠所致，并常有骶部不适。消化不良时常表现厌食、饱胀、嗳气、上腹不适、恶心、呕吐等。全身表现多见于急性暴发型重症患者，出现发热、水电解质失衡、维生素、蛋白质丢失、贫血、体重下降等。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;3.体征&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;左下腹或全腹压痛，可扪及降结肠特别是乙状结肠呈硬管状，并有压痛，有时腹肌紧张，肛诊可发现肛门括约肌痉挛，指套有黏液或血性黏液分泌物，直肠有触痛。有者可触到肝大，此与脂肪肝有关。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5738', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '170', '并发症', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.中毒性巨结肠，是严重并发症。见于急性暴发型溃疡性结肠炎及急性重症型病人。其发生率约2%，常在服用可待因、苯乙哌啶以及阿托品等抗胆碱能药物或服用泻剂如蓖麻油后诱发，也可在对急性期或腹泻严重病人行钡剂灌肠检查时诱发。扩张结肠多在横结肠和脾曲。病人出现间歇性高热，精神萎糜呈重症中毒状态，腹部很快膨隆，有压痛，肠鸣音减弱或消失。由于结肠快速扩张，肠壁变薄，血运障碍，易发生肠坏死穿孔，病死率极高，可达30%～50%。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.结肠穿孔，多在中毒性巨结肠扩张基础上发生。穿孔后导致弥漫性腹膜炎或局限性脓肿，穿孔部位多在乙状结肠或结肠脾曲处。患者多出现高热及感染中毒症状，腹胀、左侧腹部广泛肌紧张。X线透视或平片检查膈下常有游离气体。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;3.下消化道出血，直肠、结肠可广泛渗血，绝大多数表现为血便、脓血便。国内统计2077例的下消化道出血病例中，溃疡性结肠炎占8.3%，有时少数病例(约占4%)可出现下消化道反复大出血，1次出血量很多，可达数千毫升，甚至出现休克，需紧急手术治疗。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;4.直、结肠癌，癌变发生率为0.7%～8%，甚至可高达13%，比一般人口高5～20倍。病程在10年以上、全结肠有广泛病变以及青少年、儿童期发病者，其癌肿发病率明显增高。癌肿可发生在全结肠的任何部位，5%～42%为多中心癌，且分化程度较低，多为低分化黏液癌，呈皮革状浸润肠壁生长，所以预后差。应定期行肠镜检查，对整个结肠作多处活检，以期尽早发现。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;5.直肠和结肠绞窄，是晚期并发症，但很少造成肠梗阻。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;6.内瘘，肠腔与肠腔或肠腔与其他空腔脏器(如膀胱、阴道等)互相粘连，形成内瘘；肠腔与皮肤相通形成外瘘，虽较少，但偶有发生。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;7.肛门及肛周疾病，如肛裂、直肠周围脓肿、肛瘘、痔脱出等。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;8.其他系统并发症，如非特异性关节炎、结节性红斑、坏疽性脓皮病、虹膜炎、虹膜睫状体炎、角膜炎、口炎及腮腺炎，以及脂肪肝、小胆管周围炎等。</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5739', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '170', '实验室检查', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.粪便检查</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;活动期以糊状黏液、脓血便最为常见，镜下检查有大量的红细胞、脓细胞，其数量变化常与疾病的病情相关。涂片中常见到大量的多核巨噬细胞。溃疡性结肠炎患者大便隐血试验可呈阳性。为了避免因口服铁剂或饮食引起大便隐血试验呈假阳性，可以采用具有较高特异性的抗人血红蛋白抗体作检查。粪便病原学检查有助于排除各种感染性结肠炎，容易混淆的病原体包括痢疾杆菌、结核杆菌、空肠弯曲杆菌、沙门菌、贾兰鞭毛虫等，其次为阿米巴原虫、难辨梭状杆菌、沙眼衣原体、巨细胞病毒、性病性淋巴肉芽肿病毒、单纯性疱疹病毒、Norwalk病毒、组织胞浆菌、芽生菌、隐球菌、耶尔森小肠结肠炎杆菌等。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.血沉(ESR)</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;溃疡性结肠炎患者在活动期时，ESR常升高，多为轻度或中度增快，常见于较重病例。但ESR不能反应病情的轻重。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;3.白细胞计数</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;大多数患者白细胞计数正常，但在急性活动期，中、重型患者中可有轻度升高，严重者出现中性粒细胞中毒颗粒。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;4.血红蛋白</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;50%～60%患者可有不同程度的低色素性贫血。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;5.C反应蛋白(CRP)</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;正常人血浆中仅有微量C反应蛋白，但轻度炎症也能导致肝细胞合成和分泌蛋白异常，因此，CRP可鉴别功能性与炎症性肠病。损伤16h CRP可先于其他炎性蛋白质升高，而纤维蛋白原和血清黏蛋白则在24～48h后才升高。在Crohn患者，CRP较溃疡性结肠炎患者高，提示两者有着不同的急性反应相。IBD有活动时，CRP能反应患者的临床状态。需要手术治疗的患者CRP常持续升高；在病情较严重的患者，若CRP高时，对治疗的反应则缓慢。该试验简单易行、价廉，较适合在基层医院使用。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;6.免疫学检查</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;一般认为免疫学指标有助于对病情活动性进行判断，但对确诊本病的意义则有限。在活动期，血清中IgG、IgA和IgM可升高，T/B比率下降。在Crohn病和一些溃疡性结肠炎患者中，白介素-1(IL-1)和白介素-1受体(IL-1R)的比值较正常人和其他炎症患者为高。炎症性肠病的组织中IL-1含量增加，而且其含量与病变的活动性成正比。有资料表明，炎症性肠病中巨噬细胞处于高度活跃状态，并分泌TNF-α，而测定TNF对了解IBD患者病变的程度与活动度具有重要意义。</p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5740', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '170', '辅助检查', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.X线检查&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;X线检查一直是诊断溃疡性结肠炎的重要方法，即使结肠镜应用后，其在诊断和鉴别诊断方面仍具有独有的价值，是溃疡性结肠炎诊断的重要措施。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)腹部平片：在临床上已很少应用腹部平片诊断溃疡性结肠炎，其最重要的价值在于诊断中毒性巨结肠。对中毒性巨结肠患者应每隔12～24h作一次腹部平片检查，以监测病情变化。X线表现为结肠横径超过5.5cm，轮廓可不规则，可出现“指压迹”征。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(2)钡剂灌肠检查：钡灌肠检查是溃疡性结肠炎诊断的主要手段之一，但X线检查对轻型或早期病例的诊断帮助不大。气钡双重对比造影明显优于单钡剂造影，有利于观察黏膜水肿和溃疡。X线主要表现为：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;①黏膜皱襞粗乱或有细颗粒变化，有人形象地描述为“雪花点”征，即X线示肠管内充满细小而致密的钡剂小点。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;②多发性浅龛影或小的充盈缺损。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;③肠管缩短，结肠袋消失呈管状。初期所见为肠壁痉挛收缩，结肠袋增多，黏膜皱襞增粗紊乱，有溃疡形成时，可见肠壁边缘有大小不等的锯齿状突起，直肠和乙状结肠可见细颗粒状改变。后期由于肠壁纤维组织增生以致结肠袋消失，管壁变硬，肠腔变窄，肠管缩短，呈水管状。有假息肉形成时，可见肠腔有多发的圆形缺损。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(3)肠系膜上或肠系膜下动脉选择性血管造影：血管造影可使病变部位的细小血管显影，对本病的诊断可提供有力帮助。典型表现可见肠壁动脉影像有中断、狭窄及扩张，静脉像早期则显示高度浓染，而毛细血管像显示中度浓染。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.CT和MRI检查&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;以往CT很少用于肠道疾病的诊断，而近几年随着技术的提高，CT可模拟内镜的影像学改变用于溃疡性结肠炎的诊断。表现有：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)肠壁轻度增厚。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(2)增厚的肠壁内可显示有溃疡。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(3)增厚的结肠壁内、外层之间呈环状密度改变，似“花结”或“靶征”。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(4)可显示溃疡性结肠炎的并发症，如肠瘘、肛周脓肿。但CT所示肠壁增厚为非特异性改变，且不能发现肠黏膜的轻微病变和浅表溃疡，对溃疡性结肠炎的诊断存在有一定的局限性。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; MRI检查费用昂贵，对肠道疾病诊断效果差，但在诊断溃疡性结肠炎的肠腔外病变和并发症方面可能有一定价值。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;3.结肠镜检查&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;结肠镜检查是诊断溃疡性结肠炎最重要的手段之一，既可直接观察结肠黏膜的变化，可确定病变的基本特征和范围，又能进行活组织检查，因此，可以大大提高诊断溃疡性结肠炎的准确率，对本病的诊断有重要价值。此外，在溃疡性结肠炎癌变监测过程中也起着十分重要作用。但病变严重并疑将穿孔、中毒性结肠扩张、腹膜炎或伴有其他急腹症时，应列为结肠镜检查的禁忌证。内镜下黏膜形态改变主要表现为糜烂、溃疡和假息肉形成，表现为：黏膜多发性浅表溃疡，伴充血、水肿，病变多从直肠开始，呈弥漫性分布；黏膜粗糙呈细颗粒状，黏膜血管模糊，质脆易出血；病变反复发作者可见到假息肉，结肠袋消失、肠壁增厚等表现。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)在活动期，受累的同一肠段的改变几乎均匀一致。初期主要是黏膜充血、水肿，血管纹理紊乱、模糊，半月襞增厚，肠管常呈痉挛状态；随后黏膜面变粗糙，出现弥漫分布、大小较一致的细颗粒，组织变脆，有自然出血或接触出血，腔内有黏液性分泌物；进一步发展则黏膜出现糜烂，伴有许多散在分布的黄色小斑，乃隐窝脓肿形成后脓性分泌物附于腺管开口所致；而后黏膜面形成许多溃疡，溃疡较小而表浅，针头样、线形或斑片状，形态不规则，排列无规律，围绕肠管纵轴和横轴相互交错，这是溃疡性结肠炎内镜下的重要特征。周围黏膜亦有明显充血糜烂等炎性反应，几乎无正常残存黏膜可见。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(2)在缓解期，内镜的主要表现为黏膜萎缩和炎症性假息肉。因本病的病理改变一般不超过黏膜下层，所以不形成纤维化和瘢痕，可完全恢复正常。病情较轻者，炎症消退后肠黏膜充血、水肿也逐渐消失，溃疡缩小呈细线状或愈合消失，渗出物吸收；慢性持续型或复发缓解型病例，肠黏膜出现萎缩性改变，色泽变得苍白，血管纹理紊乱，黏膜正常光泽丧失，略显干燥，残存黏膜小岛可因上皮和少量纤维组织增生可形成假性息肉，假性息肉多少不定，大小不等，可有蒂或无蒂。黏膜桥是溃疡反复发作向下掘进，而边缘上皮不断增生，在溃疡上相对愈合连接，两端与黏膜面连接而中间悬空的桥状形态而形成的，并非溃疡性结肠炎所特有。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(3)在晚期，严重且反复发作的溃疡性结肠炎者，可出现结肠袋消失，肠管缩短，肠腔狭窄，黏膜面粗糙呈虫咬样，形成X线上所谓铅管样结肠。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;暴发性溃疡性结肠炎是引起中毒性巨结肠最常见的原因。内镜检查可见病变累及全结肠，正常形态消失，肠腔扩大，结肠袋和半月襞均消失，黏膜明显充血、糜烂、出血并见溃疡形成，大片黏膜剥脱。因肠壁菲薄，必须指出爆发性溃疡性结肠炎并中毒性巨结肠时应禁忌内镜检查，否则极易引起穿孔或使病变进一步加重。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 结肠镜下活体组织学检查呈炎性反应，可根据隐窝结构、固有层内的炎症细胞浸润程度及炎症的分布，来区分急性与慢性病变，以糜烂、溃疡、隐窝脓肿、腺体异常排列、杯状细胞减少及上皮的变化较常见。隐窝形状不规则、扩张或分支是慢性溃疡性结肠炎的表现，也可有隐窝萎缩，使黏膜面变形。固有层中可见中性粒细胞、单核细胞、浆细胞等炎症细胞浸润，也可见帕内特细胞（潘氏细胞）化生。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;依内镜所见，对溃疡性结肠炎活动性分级方法颇多，其中Miner分级法为较多学者所采用。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;0级：黏膜苍白，血管网清晰，呈分支状。黏膜下见细小结节，其表面黏膜正常。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;Ⅰ级：黏膜尚光滑，但充血、水肿，折光增强。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;Ⅱ级：黏膜充血、水肿，呈颗粒状，黏膜脆性增加，接触易出血或散在自发性出血点。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;Ⅲ级：黏膜明显充血、水肿、粗糙，明显自发性出血和接触性出血。有较多炎性分泌物，多发性糜烂与溃疡形成。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;4.超声显像&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;因肠腔内气体和液体的干扰，超声显像难以得到满意的结果，因此，超声显像被认为不适合于胃肠疾病的检查，但仍有学者致力于超声在胃肠疾病诊断中应用价值的探索。研究者提出溃疡性结肠炎的主要超声征象是肠壁增厚，范围在4～10mm(正常为2～3mm)；同时可显示病变的部位、范围和分布特点。</p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5741', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '170', '诊断', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.诊断标准&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;由于溃疡性结肠炎是一种非特异性炎性疾病，临床表现多种多样，难以找到典型的临床特征作出诊断，我国1993年举行的全国慢性非感染性肠道疾病学术研讨会上，根据国际诊断标准结合我国具体情况提出了溃疡性结肠炎的诊断标准：①排除细菌性痢疾、阿米巴性结肠炎、血吸虫病、肠结核、Crohn病、放射性肠炎等原因明确的结肠炎症；②具有典型的临床表现，并至少有内镜或X线的特征性改变中的1项；③临床症状不典型，但有典型的肠镜或X线表现或经病理活检证实。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.严重性判断&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Truelove和Witts根据临床表现及实验室测定结果将溃疡性结肠炎分为轻、中、重3型(表1)。此评估有助于临床医生估计病情，为治疗提供依据。</p><p style=\"line-height: 2em; text-align: right;\"><img height=\"376\" alt=\"\" src=\"http://pmmp.cnki.net/cdd/img/pic0801/%E8%A1%A81(27).jpg\" width=\"594\" style=\"text-align: center; white-space: normal;\"/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;据Edwards报道一般轻型溃疡性结肠炎占54%，病变仅涉及直肠和乙状结肠；27%的溃疡性结肠炎病人的病变程度为中型；19%的病人表现为重型溃疡性结肠炎，除腹泻、血便、贫血、消瘦等症状外，还因发生急性中毒性巨结肠。国内1组117例溃疡性结肠炎报告轻型占21%，中型占52%，重型占27%。</p><p><br/></p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5742', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '170', '鉴别诊断', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;本病常需与下列疾病进行鉴别诊断。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.克罗恩病：鉴别要点见表2。</p><p style=\"line-height: 2em; text-align: center;\"><img height=\"509\" alt=\"\" src=\"http://pmmp.cnki.net/cdd/img/pic0801/%E8%A1%A82(15).jpg\" width=\"554\" style=\"text-align: center; white-space: normal; width: 554px; height: 509px;\"/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.肠易激综合征：发病与精神、心理障碍有关，常有腹痛、腹胀、腹鸣，可出现便秘与腹泻交替，伴有全身神经官能症症状。粪便有黏液但无脓血，显微镜检查偶见少许白细胞，结肠镜等检查无器质性病变。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;3.直肠结肠癌：多见于中年以上人群，直肠癌指诊检查时常可触及肿块，粪隐血试验常呈阳性。结肠镜和钡灌肠检查对鉴别诊断有价值，但须和溃疡性结肠炎癌变相鉴别。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;4.慢性阿米巴痢疾：病变常累及大肠两端，即直肠、乙状结肠和盲肠、升结肠。溃疡一般较深，边缘潜行，溃疡与溃疡之间黏膜多为正常，粪便检查可找到溶组织阿米巴滋养体或包囊，通过结肠镜采取溃疡面渗出物或溃疡边缘组织查找阿米巴，阳性率较高；抗阿米巴治疗有效。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;5.结肠血吸虫病：有血吸虫疫水接触史，常有肝脾肿大，慢性期直肠可有肉芽肿样增生，可有恶变倾向；粪便检查可发现血吸虫卵，孵化毛蚴呈阳性结果。直肠镜检查在急性期可见黏膜有黄褐色颗粒，活检黏膜压片或组织病理学检查可发现血吸虫卵。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;6.慢性细菌性痢疾：一般有急性痢疾的病史，多次新鲜粪便培养可分离出痢疾杆菌，抗生素治疗有效。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;7.缺血性结肠炎：多见于老年人，由动脉硬化而引起，突然发病，下腹痛伴呕吐，24～48h后出现血性腹泻、发热、白细胞增高。轻者为可逆性过程，经l～2周至1～6个月的时间可治愈；重症者发生肠坏死、穿孔、腹膜炎。钡灌肠X线检查时，可见指压痕征、假性肿瘤、肠壁的锯齿状改变及肠管纺锤状狭窄等。内镜下可见由黏膜下出血造成的暗紫色隆起，黏膜的剥离出血及溃疡等，与正常黏膜的明显分界。病变部位多在结肠脾曲。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;8.其他：还须鉴别的疾病有肠结核、假膜性肠炎、放射性肠炎、结肠息肉病、结肠憩室等。</p><p style=\"line-height: 2em;\"><br/></p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5743', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '170', '治疗', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.内科治疗&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;由于本病病因及发病机制尚未阐明，内科治疗的目的是控制急性发作、缓解病情、减少复发、防止并发症。目前尚不能使疾病根治，其治疗依病变范围和严重程度而定，主要包括一般治疗、营养支持治疗、对症治疗和药物治疗。药物治疗包括氨基水杨酸类，如柳氮磺吡啶和美沙拉秦(5-氨基水杨酸)、糖皮质激素、免疫抑制药和中医中药。近年来内科治疗新进展主要包括以下方面：肠道内营养即要素饮食的应用；新型5-氨基水杨酸制剂的应用；其他新剂型的应用；免疫抑制药的应用。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (1)一般治疗：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ①由于本病与胃肠道营养的关系密切，患者可能存在多种营养物质的缺乏，如蛋白质、维生素、电解质和微量元素等，而营养不良反过来又影响药物治疗的效果。因此，近年来无脂无渣的要素饮食已成为其重要的辅助治疗方法，应给以易消化、少纤维、富营养的食物，避免牛奶及乳制品。发作期给以流汁饮食，严重者应禁食，通过静脉给予营养治疗，使肠道获得休息。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ②暴发型和急性发作期患者应卧床休息，精神过度紧张者可适当给予镇静药；腹痛或腹泻明显者可给予少量阿托品、山莨菪碱(654-2)等药物，但大剂量使用有引起急性结肠扩张的危险。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;③有贫血、失水、营养不良等重症或久病患者，应酌情输血、补液及全身性支持治疗。应用蛋白合成激素能改善一般状况，增进食欲，加速溃疡愈合。尤应注意水及电解质平衡，补充多种维生素，有利于病变恢复和改善全身状况。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(2)药物：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;①磺胺类：首选胃肠道不易吸收的磺胺类药，其中以柳氮磺吡啶(水杨酸偶氮磺胺吡啶)效果最佳。本药在肠内经细菌分解为磺胺吡啶及美沙拉秦，后者是主要有效成分，对结肠壁组织有特殊亲和力，具有消炎作用。新型5-氨基水杨酸制剂主要有两种：一种含肠溶包膜，可使药物延迟释放，如美沙拉秦(艾迪莎)；另一种为缓释剂型，如美沙拉秦(颇得斯安)，其在胃肠道释放呈时间依赖性，从十二指肠开始一直到结肠。无论是控释剂型还是缓释剂型，其结肠内药物浓度均明显高于小肠内药物浓度。美沙拉秦(5-氨基水杨酸)主要用于轻、中度溃疡性结肠炎的活动期和缓解期的治疗。特别可用于对柳氮磺吡啶不能耐受或过敏的患者。氨基水杨酸类药物的疗效取决于病变部位的药物浓度，因此近年来对远端溃疡性结肠炎患者主张采用局部药物治疗，如药物灌肠或者栓剂治疗，可取得较好的疗效而副作用明显降低。特别是美沙拉秦(5-氨基水杨酸)栓剂对直肠肛门炎症具有良好的疗效而副作用轻微。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;②抗生素：有继发感染者可用青霉素、氯霉素、庆大霉素、头孢菌素等，为了避免加重胃肠道症状，一般选择静脉用药。甲硝唑或替硝唑可抑制肠道厌氧菌，并有免疫抑制、影响白细胞趋化等作用。认为该药可明显减轻里急后重症状，对有肛周疾病和瘘管的患者疗效明显。每次0.4g，3次/d，口服，疗程3～6个月，病程1年以上者有效率在60%～70%。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;③糖皮质激素和促皮质素(促肾上腺皮质激素)：近期疗效较好，有效率可达90%，能抑制炎症和免疫反应，缓解中毒症状。一般适用于磺胺类药物治疗无效、急性发作期或暴发型病例，但并发腹膜炎或有腹腔内脓肿形成者不宜应用。一般可用泼尼松(强的松)40～60mg/d，分3～4次口服。病情控制后逐渐减量至10～15mg/d，通常维持半年左右后停药，为减少停药后的复发，在减量过程中或停药后给以美沙拉秦(5-ASA)口服。暴发型和严重发作期，可静脉滴注促肾上腺皮质激素或糖皮质激素，一般前者疗效较佳，用量为25～50U/d；氢化可的松的用量是200～300mg/d，或甲泼尼龙(甲基强的松龙琥珀酸钠)40～80mg/d，疗程一般为10～14天，在病情控制后逐渐减量，以后可口服泼尼松(强的松)等制剂维持。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;④免疫调节药：对少数糖皮质激素治疗不敏感或对糖皮质激素产生依赖的患者，可考虑使用免疫抑制药。免疫调节药巯嘌呤(6-巯基嘌呤)和硫唑嘌呤均可选择性地作用于T淋巴细胞，但发挥作用缓慢，通常在用药3～6个月后出现疗效，但副作用较大。对磺胺药和皮质激素治疗无效者可谨慎试用。6-巯基嘌呤的用量为1.5mg/(kg·d)，分次口服；硫唑嘌呤1.5～2.5mg/(kg·d)，分次口服，疗程约1年。若与糖皮质激素联合应用，两者剂量应相应减少。环孢素对骨髓无抑制作用，对重度活动性溃疡性结肠炎效果较好，多用于皮质激素治疗失败者，初始剂量为2～4mg/(kg·d)，静脉持续滴注，或8mg/(kg·d)口服。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;⑤其他药物：如色甘酸(色甘酸二钠)可阻止肥大细胞、嗜酸细胞脱颗粒，从而抑制5-羟色氨、慢反应物质释放，减少抗原-抗体反应，可减轻症状；钙通道阻滞药，如维拉帕米(异博定)、硝苯地平、桂利嗪等能减少肠道分泌，缓解腹泻；中药小檗碱（黄连素）、苦参、白芨、云南白药、锡类散等做局部治疗有一定疗效。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(3)不同部位或类型的溃疡性结肠炎的治疗：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;①溃疡性直肠炎：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;A.起始治疗：病变局限于直肠，症状多较轻，可采用美沙拉秦(5-氨基水杨酸)栓剂，2～3次/d，或可的松泡沫剂1～2次/d，每次1个栓剂。若出现栓剂不耐受，如下腹不适、直肠激惹，可改用柳氮磺吡啶(偶氮磺胺吡啶)片或美沙拉秦(5-ASA)口服，2周内常可见效，以后改为维持量。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;B.维持治疗：美沙拉秦(5-ASA)栓剂用作长期维持治疗较好，每晚1粒，可减少复发。栓剂不耐受者可用柳氮磺吡啶(SASP)或美沙拉秦(5-ASA)口服维持，推荐维持量为柳氮磺吡啶(SASP )2g/d。注意监测血药浓度、血红蛋白及网织红细胞。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;②左半溃疡性结肠炎：起始治疗常用美沙拉秦(5-ASA)灌肠剂，每晚4g，若3～4周后症状无缓解，可增量为早、晚各1次。或加用氢化可的松100mg/100ml灌肠，仍无效或患者难以耐受，可加用或改用柳氮磺吡啶(SASP)或美沙拉秦(5-ASA)口服，先从小剂量开始，若可耐受则逐渐加量，如柳氮磺吡啶(SASP) 1g/d或美沙拉秦(5-ASA) 1～1.2g/d，逐渐增至柳氮磺吡啶(SASP)4～6g/d或美沙拉秦(5-ASA )4.8g/d。一旦症状缓解，应逐渐减量。维持治疗常用5-ASA灌肠剂，每次4g，每晚1次或每3晚1次，或用SASP 1～2g/d、5-ASA 1.2～2.4g/d口服维持。长期用SASP者，应补充叶酸。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;③右半溃疡性结肠炎和全结肠炎：起始治疗常用柳氮磺吡啶(SASP) 4～6g/d或美沙拉秦 2.0～4.8g/d口服，急性发作期可加用美沙拉秦(5-ASA)灌肠剂或皮质类固醇灌肠。一旦症状缓解，应逐渐停用灌肠剂，并将口服柳氮磺吡啶(SASP)或美沙拉秦(5-ASA)减至维持量。若无效，可改用泼尼松40～60mg/d口服。注意补充铁剂，亦可适当加止泻剂缓解症状。维持治疗用柳氮磺吡啶(SASP) 1～2g/d，或美沙拉秦(5-ASA)1.2～2.4g/d。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;④重型或爆发型溃疡性结肠炎：该型患者常有全身症状，易并发中毒性巨结肠、肠穿孔，需住院观察治疗。迄今为止的主要治疗药物是皮质类固醇，重症病例还可点滴免疫抑制药或行结肠切除术，主要措施为胃肠外营养以便肠道休息和静脉用皮质类固醇。静脉营养同常规方法，皮质类固醇可用氢化可的松100mg静脉输注，每8小时1次，或泼尼松龙30mg静脉输注，每12小时1次或甲泼尼龙(甲基泼尼松龙)16～20mg每8小时静脉输注1次。后两种药物较少有钠潴留和钾丢失的副作用。效果不明显时可联用美沙拉秦(5-ASA)灌肠或氢化可的松灌肠，2次/d，亦可联用抗生素。对皮质类固醇无效者，用小剂量环孢素2mg/(kg·d)持续静滴，可缓解病情，避免紧急结肠切除术，并可适当减少皮质类固醇用量。此外，有人采用粒细胞吸附疗法取得较好的疗效。粒细胞吸附疗法指从血中除去粒细胞、单核细胞、杀伤性T淋巴细胞等活化的白细胞，从而抑制炎症的疗法。粒细胞吸附器是一种血液滤过器，内部为充填乙酸纤维素的小珠，患者静脉血由此流过后，约60%的活化粒细胞、单核细胞被吸附。该疗法每周1次，每次1h，5次为一疗程，由于这是对症疗法，需定期维持治疗。粒细胞吸附疗法可适用于多种炎症性疾患，其有效率达58.5%，较皮质类固醇疗效44.2%高，且不良反应发生率仅8.5%，而皮质类固醇达42.9%。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; ⑤慢性活动性溃疡性结肠炎：部分患者对柳氮磺吡啶(SASP)、美沙拉秦(5-ASA)、皮质类固醇无效，但又不愿手术治疗时，可用硫唑嘌呤治疗，从50mg/d开始，逐渐加量，最大量为2mg/(kg·d)。虽有效率达60%～70%，但起效需3～6个月，因此，常在治疗初期需用泼尼松维持治疗至少2个月才减量。若用巯嘌呤(6-巯基嘌呤)或硫唑嘌呤6个月后仍无效，可改用甲氨蝶呤(氨甲喋呤)2.5mg/周口服，逐渐加量至10～15mg/周，亦可25mg/周肌注。需8～10周才见效。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.外科治疗&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;溃疡性结肠炎多数经内科治疗收到较好效果，但仍有20%～30%病例需要外科手术治疗，切除病变肠段而获得根本性治愈。手术适应证包括：①内科治疗无效，长期持续或反复发作，患者营养状态差、丧失劳动力，儿童生长发育受到严重影响者。②结肠纤维瘢痕狭窄造成梗阻或失去功能而持续腹泻者。③发生或可能发生癌变者。④UC暴发性发作或中毒性巨结肠经短时(2～3天)内科治疗无效者。⑤出现急性并发症者，如结肠穿孔或将要穿孔，大量便血。⑥肠外并发症尤其关节炎不断加重者。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;近10多年来，由于外科技术和设备的不断发展和完善，尤其是腹腔镜和吻合器的广泛应用，外科治疗有较大发展，在治疗观念上有较多的更新，术后功能不断改善，患者的生存质量提高。手术方式目前主要包括：回肠、结肠造口术；结肠全切除、回直肠吻合术；结直肠全切除、回肠造口术；结直肠全切除、回肠肛管吻合术。但术前应充分估计病情，明确病变范围，合理选用手术方式。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)回肠结肠造口术：主要用来治疗中毒性巨结肠、一般情况极差、不能耐受肠段切除的病例。单纯回结肠造口术使扩张结肠减压，待病情好转后行二期肠切除术。但中毒性巨结肠肠壁脆弱，缝合极为困难，所以近期该手术多为一期肠切除术取代。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(2)全结肠切除、回直肠吻合术(total colectomy and ileorectal anastomosis)：此手术适用于直肠未发现病变者，操作简便，术后排便功能好，是回肠袋肛管吻合术(ileac pouch-anal anastomosis,IPAA)问世前惟一可避免永久回肠造口的手术。但保留的直肠存在疾病复发甚至癌变的可能，故须术后经常随访内镜检查。目前回直肠吻合术临床应用较少。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(3)结直肠全切除、回肠造口术(total proctocolectomy with ileostomy)：是最彻底最传统的手术。切除了有病变的全部肠管后，虽无病变复发和癌变的后顾之忧，但存在粪便和粪袋处理困难等诸多问题，给患者会带来长期生活上和精神上的负担。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(4)IPAA：近年被广泛用于治疗UC、家族性息肉病及某些直肠良性疾病，是较理想的手术。IPAA术是在切除病变的全部直肠黏膜和结肠，防止疾病复发和癌变的基础上，经直肠肌鞘内拉出回肠袋与肛管吻合，保留肛门括约肌和自制排粪功能。盆腔内贮存袋的建立是回肠肛管直接吻合的巨大进步，大大减少了排便次数，从而取代了回肠肛管直接吻合术。</p>', null, '12', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5744', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '170', '预后', '<p style=\"line-height: 2em;\"><span style=\"font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;国内溃疡性结肠炎以慢性复发型、慢性持续型为多，轻症及缓解期长者预后较好，病变只局限于直肠者预后良好。年过60岁或20岁以下者，病情往往较严重，常有并发症，低血钾、低蛋白血症、病变范围又广者，预后差。伴关节炎和强直性脊椎炎并不影响预后。并发结肠穿孔或大出血时，预后较差；病程超过10年者，癌变率较高。</span></p>', null, '13', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5745', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '170', '预防', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;减少过敏食物及损伤肠道药物的摄入，减少精神负担和精神创伤，避免感染疾病发生，保持较长的维持治疗，可减少复发。</p>', null, '14', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5746', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '174', '概述', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;肠套叠是指一段肠管套入与其相连的肠腔内，并导致肠内容物通过障碍。肠套叠占肠梗阻的15%～20%。有原发性和继发性两类。原发性肠套叠多发生于婴幼儿，继发性肠套叠则多见于成人。绝大数肠套叠是近端肠管向远端肠管内套入，逆性套叠较罕见，不及总例数的10%。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5747', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '174', '流行病学', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;本病大多见于小儿，成人病例也不罕见。新奥尔良Charity医院报道432例肠套叠，其中小儿287例，占84%；成人55例，占16%。国内诸多报道，差别较大，成人肠套叠占全部肠套叠的20.3%～88.2%。儿童肠套叠多发生于2岁以下儿童，成人多见于40～60岁人群。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5748', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '174', '病因', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;按肠套叠发生部位、有无明显的器质性病变，将其分为原发性肠套叠和继发性肠套叠。继发性肠套叠多见于肿瘤、创伤及手术后和肠道的炎症性病变等。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;1.原发性&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;发生套叠的肠段及其附近找不出明显的器质性因素，占小儿肠套叠数的75%～90%，成人仅10%～15%为原发性。婴幼儿肠套叠发病年龄多在1岁以下，5～9个月乳儿的发病率最高，2岁以上逐渐减少，多发于气候变化较大的季节，特别多见于春秋季节。此季节上呼吸道和淋巴结的病毒感染较多，可能致肠蠕动失去正常的节律性，或形成痉挛。此外婴幼儿的食物性质突然改变，食物过敏、腹泻等，都可能成为肠套叠的促发因素。新生儿回盲部系膜常不固定，一般要在生后数年内才逐渐固定附着于后腹壁；因系膜过长、松弛，致使回盲部游动过大，是该部位肠套叠发病的主要解剖因素。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.肿瘤&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;是成人肠套叠最常见的原因。肠道的息肉、平滑肌瘤、脂肪瘤、纤维瘤及癌肿等，均可引起继发性肠套叠。这是因为回盲部或其他肠段如有肿瘤存在，常会导致肠蠕动失常，而成为引起套叠的诱套点。Felix分析1214例肠套叠，小肠套叠668例，其中383例(57%)为肿瘤，116例(30%)为恶性；结肠套叠546例中379例(69.4%)为肿瘤，其中261例(69%)为恶性。Nagomey统计2/3结肠套叠和1/3小肠套叠为癌肿，后者70%为转移癌。小肠套叠以绒毛状腺瘤、脂肪瘤、平滑肌瘤和各种息肉包括Pentzjeghers综合征等良性病变为多见。十二指肠良性肿瘤引起套叠较为罕见。Orenstein曾报道1例绒毛状腺瘤致十二指肠空肠套叠并发胰腺炎，Jennings亦报道过1例脂肪瘤引起十二指肠套叠。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;3.创伤与手术&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;腹部创伤及手术后发生肠套叠的报道日渐增多。Duncan因腹部创伤行剖腹术586例中，21例发生术后肠梗阻，其中6例(28.6%)为肠套叠。值得注意的是此6例原无小肠损伤，但多伴有休克和肝损伤。咸阳市第二医院曾收治1例锐器所致的多发性小肠损伤，剖腹后见损伤邻近肠管形成多部位套叠，实属罕见。腹部手术后的肠套叠常见于部分胃切除，毕Ⅱ式或Roux-Y胃空肠吻合术后，治疗肥胖症的空回肠短路分流和各种肠造瘘术后。Cooperman报道阑尾切除术后残端套叠多在术后2周发生，也有至术后6年出现症状者，对创伤或腹部手术后发生肠套叠的原因尚不清楚，推测可能与肠壁血肿、水肿、粘连，肠道功能紊乱，电解质失衡，肠腔内置管及慢性肠扩张、肠吻合口对位不良有关。腹部创伤和手术后多为小肠型套叠。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;4.其他原因&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;肠道炎症引起肠蠕动紊乱，主要有局限性回肠炎、非特异性回盲部溃疡、急性回盲瓣炎、急慢性阑尾炎等，此外肠结核、菌痢性或伤寒性溃疡者可引起肠套叠。先天性畸形如Meckel憩室、盲肠缺如、回结肠成直线连接及肠蛔虫病、小肠气囊肿、特发性过敏性紫癜肠壁血肿等都是继发性肠套叠的少见病因。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5749', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '174', '发病机制', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;促发肠套叠有两个基本条件：局部器质性诱因和肠蠕动反常。其发病机制大多认为是由于肠蠕动失去其正常的节律性，肠环肌发生持续性局部痉挛，其近端则有剧烈的蠕动，逐步将痉挛段推入远端肠腔内。在小儿，能引起肠蠕动紊乱的因素有肠炎、饮食改变、高烧等。鉴于1岁以下的乳儿发病率最高，此时往往是幼儿断乳及改变食物的年龄，有人认为随着食物的改变，肠道内细菌也起变化，易引起黏膜下Peyer斑炎症肿胀而诱发肠套叠。婴幼儿肠套叠大多数发生在回肠末段50cm，该处Peyer斑也最多。蛔虫所产生的毒素能刺激肠道引起肠蠕动紊乱。腺病毒感染时，回盲部肠壁淋巴组织发生炎性增殖，在肠腔内形成一个环状或隆凸的突起。邻近肠系膜淋巴结也发生肿大，并可压迫肠管；同时腺病毒感染者肠运动机能常易发生紊乱。同样机制，当肠壁存在有肿瘤或其他器质性病变时，蠕动波将肿瘤及病变肠管推向远端时，牵拉该段肠管一起套入远侧肠腔而引起肠套叠(图1，2)。</p><p style=\"text-align: center;\"><img height=\"288\" src=\"http://pmmp.cnki.net/cdd/img/13.4.4%20%E8%82%A0%E5%A5%97%E5%8F%A0.files/image001.jpg\" width=\"304\"/></p><p style=\"text-align: center;\"><img height=\"173\" src=\"http://pmmp.cnki.net/cdd/img/13.4.4%20%E8%82%A0%E5%A5%97%E5%8F%A0.files/image002.jpg\" width=\"372\"/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;肠套叠大多为近侧肠管套入远侧肠管内，远侧肠管逆行套入近侧肠管者罕见，占0.2%～0.5%，多处同时发生的肠套叠称为多发性肠套叠。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;肠套叠的解剖结构，由鞘部和套入部组成，套入部分又分为头部与颈部。由3层肠壁组成的肠套叠称为单式套叠，单套全部套入相连的远端肠管形成5层肠壁的套叠为复式套叠。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;肠套叠可发生在小肠或大肠的任何部位，按套入肠的顶端和外鞘、颈部肠段的不同分为5型(图3)：①小肠型，多为小肠顺行套入小肠(空—空、空—回、回—回肠套叠)；②回盲型，从回盲瓣端起套入结肠；③回结型，末端回肠套入结肠；④结肠型，结肠套入结肠。⑤空肠胃套叠，是一种逆行性套叠，指胃手术后发生的空肠逆行套入胃腔内。上述类型中，回盲型肠套叠发病率最高，据统计成人可达60%，小儿高达90%以上。</p><p style=\"text-align:center\"><img height=\"291\" src=\"http://pmmp.cnki.net/cdd/img/13.4.4%20%E8%82%A0%E5%A5%97%E5%8F%A0.files/image003.jpg\" width=\"267\"/>&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;肠套叠的病理变化：①肠梗阻：肠套叠的基本病理改变是肠管的梗阻。肠套叠初期，肠管中央通道仍然存在，成人由于肠腔较大很少引起完全性肠梗阻。而婴儿肠套叠发生24h后则可出现完全性肠梗阻，易致脱水、电解质失衡、感染、中毒、休克及肠穿孔、腹膜炎等。②肠壁坏死：肠套叠的套入部进入鞘部后，肠系膜同时被牵入，肠系膜血管受压。如果未能早期复位，肠管可能发生坏死，其严重程度与肠壁血供受阻时间呈正相关。按其血液循环障碍的性质，可分为静脉性坏死和动脉性坏死。A.静脉性坏死：多见，主要发生在套入部。系膜血管受压迫，首先导致静脉回流受阻，肠管发生淤血、水肿和渗出，肠壁增厚、色泽变紫。随着静脉压增高，进而影响动脉血供或发生血管栓塞，血运停止，造成套入部完全坏死，亦谓之淤血性坏死(黑色坏死)。B.动脉性坏死：较少见。因鞘部及颈部长时间持续性痉挛，鞘部内容物不断水肿、渗出、增厚，致使鞘部肠壁高度扩张，末梢动脉的血运发生障碍，肠壁出现条纹状或斑点状灰白色缺血区，极易穿破，又称为缺血性坏死(白色坏死)。临床上必须密切注意鞘部灶性动脉性坏死，灌肠复位时极易穿孔，手术复位时也常因肠管颜色和蠕动似已恢复正常而忽略小灶状白色坏死致术后发生穿孔。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5750', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '174', '临床表现', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;小儿肠套叠的临床典型的表现为阵发性腹痛、呕吐、血便和腹内肿块四联征及全身情况改变。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;1.腹痛　</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;肠套叠的主要症状。以典型的痉挛性腹痛就诊者为90%以上。腹痛突然发生，阵发性疼痛。患儿表现为突然性剧烈哭闹、尖叫，面色苍白，出冷汗，下肢屈曲或腹部翻挺。多于数分钟内平静，短时间隔后再次发作。间歇期内，神志自如。多次发作后间隔缩短，间歇期嗜睡，24h以后则发作频繁度可能下降，腹痛剧烈程度也可因嗜睡而掩盖。发生肠坏死、肠麻痹后，腹痛可失去阵发性发作特征。对晚期就诊患儿要仔细询问阵发性哭闹病史。此外，约有不足10%的婴儿可表现为无痛型肠套叠，就诊时即已精神萎糜、嗜睡、多因疼痛刺激剧烈或大出血引起休克所致。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.呕吐　</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;为肠套叠的早期症状。多因肠系膜被牵拉而产生的反射性呕吐。吐出物为胃内容物或肠内容物。患儿常常拒绝哺乳或饮食。较晚期发生呕吐物为粪臭性液体，此说明肠套叠引起梗阻已十分严重。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;3.便血　</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;是婴儿肠套叠的一个特征。起病24h内可有便血出现，多为暗红色果酱样便。有时为深红色血水，也有时仅为少许血丝。回结肠型肠套叠早期就有血便。小肠型肠套叠血便出现较晚，无自行排便者，肛管直肠指诊指套可见染血。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;4.腹部包块　</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;约80%的病例腹部可触及肠套叠所形成的肿块，肿块多沿结肠区分布。表面光滑、可活动，形状为腊肠或香蕉状，中等硬无压痛，略带弹性。此为确立肠套叠诊断最有意义的体征。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;5.全身情况　</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;随着肠套叠病情的进展，患儿逐渐出现精神萎靡，表情淡漠，呈重病容。48h后可出现肠坏死，产生明显的腹膜炎体征。全身情况恶化，表现出发高热，严重脱水以及电解质失衡的明显中毒症状与休克征象。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;成人肠套叠多表现为慢性反复发作。83%～90%的病例具有导致肠套叠发生的器质性病变。由于成人肠腔较大，很少引起完全性的肠梗阻。而且往往可以自行复位。故慢性、间歇性、不完全性肠梗阻为其临床表现的主要特征。痉挛性腹痛、腹部肿块、恶心呕吐、腹胀、便血为其临床的主要表现。文献报告，伴有腹痛者占75%，半数以上的病例有恶心呕吐、腹部肿块以及血便。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5751', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '174', '并发症', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;急性肠套叠未能及时处理则导致嵌顿肠管坏死、穿孔、急性弥漫性腹膜炎，病儿可并发脱水、电解质失衡和中毒性休克等。</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5752', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '174', '实验室检查', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;急性肠套叠时，粪便检查可见暗红色黏液血便，镜下以红细胞为主；慢性肠套叠，大便隐血试验可呈阳性反应。</p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5753', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '174', '辅助检查', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.肛门指诊&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;为本病的常规检查。可见指套染血或排出血便，个别肠套叠严重时套入顶点可达直肠，此时直肠指检可扪及子宫颈样肿块。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.X线检查</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)腹部平片：肠套叠多无可靠征象。完全性梗阻时腹部平片可见部分肠管积气积液和持续扩张的小肠袢。并发肠坏死、腹膜炎者，有肠麻痹、腹腔积液征象。偶可在腹部平片见到肠套叠直接征象，如在右下或右腹部见到一段充气结肠内有腊肠样软组织肿块，肿块近侧结肠影缺如，有时肿块影四周有一薄层壳样气体包围(图4)。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;Rigler曾以“自行车坐垫”来描述小肠套叠的平片所见，意即在小肠气胀积液及肠壁增厚基础上见到圆锥形透亮肠段，形如自行车坐垫。该圆锥顶部即为套入部顶端形成，手术为回-回型套叠。</p><p style=\"text-align:center\"><img height=\"301\" src=\"http://pmmp.cnki.net/cdd/img/3.1.4%20%E8%82%A0%E5%A5%97%E5%8F%A0.files/image004.jpg\" width=\"383\"/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)钡餐检查：用于诊断小肠套叠、成人慢性和空肠-胃吻合口套叠，以及少见的十二指肠套叠。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;①小肠套叠的X线影像特征为：A.服稀钡剂300ml后，钡剂下行至肠套叠附近肠管后前行速度缓慢，钡首在套叠顶端略有停滞，套叠以上的肠管轻度扩张，并有逆蠕动出现。B.钡首至套叠处肠管时，肠腔呈鸟嘴状或锥形狭窄并延长呈线状，为钡剂进入狭窄之套入部所致。狭窄最显著处，黏膜皱襞呈纵行排列。C.狭窄肠段的远端可见钡剂逆入套鞘部，显示扩张的套鞘呈新月状、半环形或弹簧样外观。D.套叠部水肿的肠壁形成平行的半透明影或软组织样充盈缺损。E.偶尔可见到小肠内原发肿瘤在套入部呈充盈缺损状，或炎症所致的套叠近端瘢痕性狭窄区，或系膜嵌入所形成的侧方充盈缺损区。F.病变的位置和形态在不同时间复查可有改变，甚至消失。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;②成人慢性肠套叠：成人肠套叠多发生在回盲部，且继发于肿瘤、息肉等。其X线影像有：A.钡剂在套叠部，先入套入部，或称套叠中央管，其表现较具特征，即该套入部肠腔明显变窄，由于该套入部充盈钡剂度不同，表现各异，充盈多时，可见皱襞呈纵形平整的索条，充盈不足时，仅呈窄细的线形，远端肠扩大，呈杯口状或螺旋状环绕套入中央管(图5)。B.由于成人慢性肠套叠以回盲结型多见。回肠末端及其系膜被卷入升结肠内，受系膜的牵拉，使整个套叠部向内下移位，遇有局部痉挛、激惹等使上述套叠结构显示不清时，如果见升结肠、肝曲有向内、下移位现象，应考虑回盲部套叠所致，并排除回盲部结核和肿瘤。C.钡剂通过套叠部时间延长呈半梗阻状态。D.套叠头部常呈分叶状，钡剂仅从其中之一通过至远端结肠。</p><p style=\"text-align:center\"><img height=\"265\" src=\"http://pmmp.cnki.net/cdd/img/3.1.4%20%E8%82%A0%E5%A5%97%E5%8F%A0.files/image005.jpg\" width=\"213\"/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(3)空气灌肠检查：空气灌肠检查肠套叠，是随着水压灌注进行整复成功的基础上发展而来，由于空气灌肠是借透亮气体，把套入部衬托为密度高的软组织包块影。不仅能早期确诊，且有整复作用，因而具有双重临床意义。以空气灌肠器做结肠注气，压力为6～8kPa，在萤光透视下由肛门缓慢注入空气，开始时空气注入肠腔比较容易，到达套叠头部时突然停滞不前。由于套叠头部向充气结肠内突出，气柱前端形成明显之杯口状影。在无空气灌肠器时，亦可采用低压钡灌肠方法。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3.内镜检查</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;胃部分切除术后，胃空肠吻合口套叠可行纤维胃镜检查确诊。内镜可见充血水肿的小肠黏膜经吻合口向胃内突出。慢性小肠型套叠可采用纤维小肠镜来诊断，同时可取活检，有助于确定病理性质。累及结肠的套叠根据情况可选用直肠镜、乙状结肠镜或纤维结肠镜检查诊断。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;4.超声检查</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;肠套叠声像主要为肠梗阻、套叠局部和肠壁缺血等特征表现。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)肠梗阻的表现：套叠部位以上的肠管扩张，内充满液性或半液性内容物。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(2)套叠部位的表现：套叠部位超声呈现一实质性团块，横切面时表现由多层叠肠壁形成的“同心圆”征，纵切面时呈“套筒”征。当套叠靠近腹壁或小儿患者肠套叠时，应用5～7.5MHz的高分辨率探头，可使该征象显示更清晰(图6)。</p><p style=\"text-align: center;\"><img height=\"725\" src=\"http://pmmp.cnki.net/cdd/img/3.1.4%20%E8%82%A0%E5%A5%97%E5%8F%A0.files/image006.jpg\" width=\"412\"/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(3)肠壁缺血坏死表现：①腹腔积液，腹腔内出现游离无回声区，可在肝肾间隙，肠管间探及。②套叠内积液，表现为套叠反折处两层肠管浆膜层之间出现新月形液性暗区。③套叠附近肠管运动减弱，动态观察无蠕动或极少蠕动，肠内容物静止不动。④彩色多普勒检查：如肠管内血流信号缺少或消失，尤其是动脉信号，消失时提示肠壁缺血。&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;5.CT&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;肠套叠表现为腹腔内分层状软组织肿块，其形态因层面与肿块呈平行、垂直或斜行关系而不同。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;套叠肠段与层面平行时，典型的套叠有3层靶环状结构，最外层为扩张增粗的套鞘部，肠壁增厚，中层为伴随套入的肠系膜呈脂肪样低密度，常偏于一侧，其中可见扩张的静脉，呈点状或条状，套叠肠段与层面垂直时，常能清楚显示套入的剖面图，内层系套头为软组织密度。口服造影剂后，套鞘内和中心管道内均有造影剂充填，其黏膜皱襞显影呈“弹簧”样改变。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;重复套叠即已形成的套叠再套入远端肠管，致靶环增为6层(图7)，套入部可居套鞘的中心或一侧，仔细观察肠系膜的改变非常重要，水肿肠系膜套入分2层。套头则偏于套鞘的一侧。</p><p style=\"text-align:center\"><img height=\"199\" src=\"http://pmmp.cnki.net/cdd/img/3.1.4%20%E8%82%A0%E5%A5%97%E5%8F%A0.files/image007.jpg\" width=\"503\"/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;多发性肠套叠多见相邻数个肠腔内发生在套叠靶环周围或上下层面出现，如见到增粗的系膜血管扭曲、纠集并伸向其它肠管，即使未见另一“靶环”，也可作为多发套叠征象之一。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;肠系膜水肿，肠系膜静脉则显示粗大，提示有肠系膜绞窄，静脉回流不畅。如肠壁间或周围脂肪间隙有气体影，表明有穿孔。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;回结型肠套叠位置恒定，形态特异。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;CT可依据套叠内的密度，或CT值测定判断套叠的性质，如脂肪密度肿块多为脂肪瘤水样密度的阑尾多为黏液囊肿。如不规则的实性肿块多为恶性肿瘤等，均可引起套叠。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;6.MRI&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;应用报道较少。表现为套叠近端肠管明显扩张、积气及气-液平面，套叠肠管区可见同心圆状长/短T1长/等T2软组织肿块信号。腹腔内可有少量游离液体呈长T1长T2信号(图8)。</p><p style=\"text-align:center\"><img height=\"264\" src=\"http://pmmp.cnki.net/cdd/img/3.1.4%20%E8%82%A0%E5%A5%97%E5%8F%A0.files/image008.jpg\" width=\"336\"/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;7.其他&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Lande介绍采用腹腔血管造影诊断肠套叠，Duszynski报道用核素99Tc诊断本症，目前尚未广泛应用。</p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5754', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '174', '诊断', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.儿童肠套叠&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2岁以下的儿童突然发生的阵发性剧烈腹痛，阵发性哭闹不安伴呕吐、果酱样血便，可疑为本病。腹部检查可于脐右上方扪及腊肠样、光滑、活动较好有一定压痛的包块；肛门指诊指套上有血迹，有助于诊断。空气或钡灌肠X线检查，可见套叠头部之肿块影和呈杯口形的充盈缺损，可明确诊断。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.成人肠套叠&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;40～60岁成人，遇有下列情况时应考虑本病：①突发腹部绞痛，伴有可消散的腹部包块；②不明原因和反复发作的不完全性肠梗阻；③急腹症病人伴有腹部包块或黏液便、黏液性血便；④腹部手术或外伤后恢复期出现慢性肠梗阻。对症状、体征不典型的可疑病人，X线检查有较大的诊断价值。钡剂灌肠、纤维结肠镜检查则对回结型和结结型肠套叠具有诊断价值。</p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5755', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '174', '鉴别诊断', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;肠套叠的临床表现因人因病而异，症状体征多样化。诊断时应注意与下列疾病相鉴别。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;1.细菌性痢疾&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;发病急，伴有呕吐和腹痛，同时大便可带血而与肠套叠相混淆。但细菌性痢疾大便次数频繁，含大量黏液和脓血，早期体温即可高达39℃以上，腹痛不及肠套叠剧烈，腹部无肿块扪及，大便镜检可见大量白细胞和吞噬细胞。而肠套叠大便镜检以红细胞为主。偶尔有肠套叠继发于菌痢之后，应加以注意。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.阑尾炎&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2岁以下的婴儿患急性阑尾炎者少见，且阑尾炎一般无血便，其腹部肿块发生较肠套叠为迟，多在阑尾炎未及时手术形成包裹性阑尾炎或阑尾周围脓肿。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;3.蛔虫性肠梗阻&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;病儿多有排虫史，表现为腹痛、腹胀、呕吐，有时可吐出蛔虫。多数可在脐周或右下腹部扪及条索状或香肠样肿块，指压有高低不平感或有窜动感。X线检查，平片可在肿块处见多条蛔虫影；钡剂灌肠常可见蛔虫团在扩张的肠袢内呈典型的面条状或丛集小圆形充盈缺损。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;4.腹型紫癜&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;表现为腹痛、呕吐、便血等症状。多见于5岁以上儿童。粪便暗红色或血红色，腹部有压痛，但无肿块，可并发皮疹、关节痛或血尿。值得警惕的是，腹型紫癜由于肠功能紊乱，可并发肠套叠，必要时可做X线检查加以鉴别。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;5.出血坏死性肠炎&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;临床上多表现为便血、腹痛、呕吐。大便呈洗肉水样，伴特殊腐败腥臭味，早期即有高热和全身中毒症状。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;6.其他&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;尚有绞窄性内疝、肠扭转、结肠息肉等肠道出血性疾病，有时亦可误诊为肠套叠，均可经查体和必要的辅助检查进行仔细鉴别。</p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5756', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '174', '治疗', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;小儿肠套叠的治疗以非手术疗法为主。发病后24h以内及时诊断和治疗，效果颇佳，常不再复发或很少复发。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;1.非手术治疗　</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;常用方法有钡灌肠和气灌肠两种。在X线监视下向直肠内加压灌气或灌钡浆，或在B型超声监视下灌盐水，将套入部压回使其复位。早期病例90%可以复位。晚期肠坏死有穿孔危险者应开腹手术复位和肠切除吻合。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;结肠镜对肠套叠复位治疗亦有效，但尚未广泛开展，有待积累经验。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;复位成功的标准：患儿安静入睡；腹部肿块消失；大便由血性转为黄色；X线检查证明肠梗阻消失，套叠肠袢已复位。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.手术治疗</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)手术指征</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;①回结肠型肠套叠非手术治疗无效者。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;②非手术治疗过程中出现了严重的并发症者，如肠穿孔、腹膜炎或疑有绞窄性肠坏死。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ③小肠型肠套叠以手术治疗为宜。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(2)手术疗法</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;①需要手术的患儿，术前应做好充分准备，如补充血容量、配血、纠正水电解质紊乱等。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;②开腹复位注意保暖，避免肠管痉挛加重。复位时轻柔捏挤套叠鞘部近端，使套入的头部后退，切忌牵拉颈部，以防拉断肠管或系膜血管。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;③切除吻合。凡不能复位后，肠管坏死，甚至肠管颜色转红，而浆膜损伤严重或肠蠕动不恢复者，均应行肠切除术，并且应切除到肠管完全正常的部位，再行端端吻合。患儿一般情况不良或肠壁活动能力不肯定者宜暂行造瘘术。以后二期吻合。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;成人肠套叠多属继发，一般主张行手术治疗。即使非手术治疗复位成功，也应对进一步手术持积极态度，以免遗漏恶性肿瘤而延误了早期根治的机会。应当警惕非手术治疗的复位有促恶性肿瘤扩散之虞。手术中根据不同的病因采取相应的手术方法。如恶性肿瘤为诱因时应行根治性切除术，同时应行扩清引流区的淋巴系统。病变肠袢应原位切除，无须手术复位，如此不会因挤压而导致肿瘤的扩散。良性肿瘤以局部肠段切除为主。若肠袢有明显的广泛坏死，也不必复位，应迅速行原位切除。防止加重及诱发中毒性休克的危险。对于回结肠型肠套叠，如手术复位后未发现其他病变，以切除阑尾为宜。盲肠过长者则应行盲肠固定术。手术后近期发生的肠套叠多为肠道动力功能紊乱所致，如肠无坏死，宜行手法复位，并应常规对原肠吻合进行检查。</p>', null, '12', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5757', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '174', '预后', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;近年肠套叠病死率已明显下降，文献报道为5%～10%。不可复位的肠套叠病死率较高，范围为40%～90%。</p>', null, '13', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5758', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '175', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;子宫肌瘤是由增生的子宫平滑组织和少量结缔组织形成的良性肿瘤，它是女性生殖器官中最常见的肿瘤。据报道，30岁以上妇女中，约20%可发现有子宫肌瘤。由于子宫肌瘤患者绝大多数无症状或症状不显著，常被忽略，往往在妇科检查或因其他疾病剖腹探查及尸检中发现，因此其准确的发病率很难确定。近年来，由于妇科普查工作的广泛开展，广大妇女对妇科疾病重视程度的提高，使得子宫肌瘤的发病率有所升高。子宫肌瘤好发于卵巢功能较旺盛的30～45岁的妇女，50岁以后，由于卵巢功能明显衰退，肌瘤大多自行缩小。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5759', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '175', '流行病学', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.发病率&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;子宫肌瘤发生率因研究方法、统计资料来源不同而差异很大，一般其统计资料来源可分为4种情况：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)因子宫肌瘤引起临床症状而住院治疗的临床统计资料，这是目前文献中最常见的有关子宫肌瘤发病率的资料来源。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(2)在普查中通过妇科检查、B超发现的资料，这部分资料目前报道较少，却包含了很大部分无症状和小型子宫肌瘤的患者。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(3)因其他疾病剖腹探查或尸检中发现的资料。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(4)病理组织学诊断或连续切片所发现的资料。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;因子宫肌瘤引起的各种临床症状而住院治疗的临床统计资料显示子宫肌瘤发生率约占育龄妇女的20%～25%.子宫肌瘤多见于30～50岁的妇女，其中40～50岁妇女发生率高达51.2%～60%。在我国，临床统计肌瘤发生率仅为4%～11%。目前在总体女性人群中，子宫肌瘤的患病率仅能反映与症状有关的子宫肌瘤的百分数，有症状者范围为10%～40%，而肌瘤大部分是无症状的，故很多患者因无症状或肌瘤较小，临床不易发现而被遗漏。尸检中统计30岁以上妇女子宫肌瘤占20%。常规病理检查亦有遗漏，曾有人将常规病理检查后的100份标本，再用连续切片的方法对每份子宫标本以2mm间隔做连续平行切片，肉眼观察切面的子宫肌瘤数目及大小，子宫肌瘤检出率远高于常规病理检出率。故根据临床诊断和常规病理检查得出的子宫肌瘤发病率与实际存在的肌瘤有较大的出入。近年来，在妇女普查中发现很多无症状肌瘤患者。在美国，通过盆腔检查、B超及子宫切除术或肌瘤剥除术而诊断的全部子宫肌瘤的妇女发生率为每年12.8/1000，仅通过手术而诊断的子宫肌瘤发生率大约为每年2/1000妇女(Marshall LM，1997，Brett KM，1997)，而且近20年来，通过子宫切除术确诊的子宫肌瘤发病率是稳定的。生育年龄妇女随着年龄的增长，子宫肌瘤发病率在增加。绝经后子宫肌瘤发病率降低。亚洲妇女和西班牙妇女其发病率与美国白人妇女相似。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.子宫肌瘤的流行病学&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;不同地区和种族子宫肌瘤的发病率不同，非洲起源的妇女比其他种族妇女子宫肌瘤发病率高3～9倍，在美国，在校正年龄后黑人比白人子宫肌瘤发病率高2～3倍，黑人明显高的发病率包括所有年龄组，发病率的峰值年龄黑人(35～39岁)比白人(40～44岁)早(Marshall LM，1997)。在随机接受阴道B超检查妇女中，发现子宫肌瘤的黑人妇女占73%，白人妇女为48%(Baird DD，1998)。这些均提示黑人妇女对子宫肌瘤的易患性倾向。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;子宫肌瘤的发病常有家族聚集现象，2000年Schwartz等进行了子宫肌瘤家族聚集研究，638位妇女年龄在18～59岁，经手术或B超确认为子宫肌瘤和617位年龄相匹配没有肌瘤妇女做对照，其子宫肌瘤的优势比为2.5，当这些病例按年龄段和亲属分层时，在年龄＜45岁发病患者中，肌瘤优势比增至5.7。在俄罗斯，子宫肌瘤发生的平均危险对姐妹是26.06%，对女儿是19.73%。在我国也有家族中母亲、女儿以及姐妹同患子宫肌瘤而行手术的报道。这些研究证实家族所特有的肌瘤聚集现象，特别是在年轻发病的患者中更明显。澳大利亚还证实单卵双胎比双卵双胎患者的子宫肌瘤双胎配对性状相关性高2倍。种族的易患性、双胎和家族聚集的表现均明显的提示子宫肌瘤有潜在的遗传学倾向。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;有关子宫肌瘤多项流行病学的研究还提出初潮早的妇女与子宫肌瘤的危险性增加有关，这可能与较长期的暴露于生物激素环境中有关。子宫肌瘤的危险随分娩数目的增加而降低。不孕历史曾被认为是子宫肌瘤的危险因素，但从流行病学的观点出发要了解不孕、分娩史的特点和子宫肌瘤的危险性之间真正病因学的关系是复杂的，仅有1份研究提供了证据指出子宫黏膜下肌瘤可损害生育功能(Faerstein E，2001)。有报道避孕药的应用可随服用时间的增加而降低子宫肌瘤的危险。激素替代治疗和肌瘤之间可能有正相关性，但多为应用单纯雌激素及持续时间在8年以上者。此外，肥胖、吸烟、饮食习惯及盆腔感染与子宫肌瘤的相关性也有过报道，但因资料来源关系，尚无定论。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5760', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '175', '病因', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.子宫肌瘤的组织发生&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;子宫肌瘤的组织起源目前意见尚未一致，有人认为是由未成熟的子宫壁平滑肌细胞增生所产生，也有学者认为是发生于子宫血管壁的平滑肌组织。早在20世纪70年代初，Townsend通过X连锁的葡萄糖-6-磷酸脱氢酶(glucose-6-phosphatedehydrogenase，G6PD)的同工酶分析发现从同一子宫而来的随机分布的不同肌瘤的平滑肌细胞都具有完全相同的G6PD电泳类型，这提示这些肿瘤起源于一个单个的肌瘤平滑肌细胞，即每一个子宫肌瘤都是以单细胞起源的。随后的研究(Mashal RD，1994)是在X染色体上，在雄激素受体基因中，包含三脱氧核苷酸重复的克隆试验，这个基因座比G6PD同工酶基因座具有高度多态性，这种单克隆试验与多数肌瘤是单一起源的结果是一致的，故认为子宫肌瘤是衍生于单个肌瘤平滑肌细胞的单克隆肿瘤。多发性子宫肌瘤可能是由于在子宫肌层内多灶性潜伏的细胞所形成的多源性单克隆肿瘤。组织学研究发现生长时期不长的微小子宫肌瘤不但富有含肌丝的成熟平滑肌细胞，而且也发现有似孕18～20周胎儿子宫中见到的未成熟平滑肌细胞，推测人类子宫肌瘤的发生可能是来自子宫内未分化的间叶细胞，在某些病理条件下增生，分化为平滑肌细胞而形成子宫肌瘤的。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.子宫肌瘤的遗传学&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;早在20世纪90年代初Rein就指出体细胞突变是肌瘤形成中的起始事件，体细胞突变包括从点突变到染色体丢失和增多的多种染色体畸变，首先是单克隆起源的体细胞突变，并对突变肌细胞提供一种选择性生长优势，其次是多种与肌瘤有关的染色体的重排。细胞遗传学一致证实子宫肌瘤具有染色体的结构异常，一般认为在子宫肌瘤组织培养中有53.9%～65.6%为正常核型，有34.4%～46.1%为非随机的染色体异常核型。子宫肌瘤所涉及的畸变染色体常见者为6，7，10，12，14，还有1，2，3，4，5，13，15，22和X，这些染色体或为单一改变或与其他染色体一起改变。常见的畸变区域为7q21-22；12q14-15；14q21-24和6p21。最常见的染色体畸变类型为t(12；14)(q14-q15；q23-24)；Tri(12)；t(6；10)(p21；q)；del(7)(q22q32)；del(3)(q)，此外还有del(X)；rea(X) (p11-p22)；r(1)；t(5；12)；INV (5；12) INS(3)。子宫肌瘤发现的多种不同类型的染色体重排中，常见的包括易位(t)；三体(Tri)和缺失(del)，易位能阻断基因序列或引起融合基因的形成，可能完全取消蛋白的功能或者转化成功能新颖的嵌合体蛋白。三体多通过增加基因量来增加基因表达，而染色体丢失通常引起基因功能的丢失。存在于子宫肌瘤中不同类型的染色体异常可能预示着肿瘤生长和发展的异质的遗传学途径(Gross KL and Morton CC，2001)。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;子宫肌瘤中最常见的染色体易位t(12；14)(q14-15；q23-24)，在有核型重排的肌瘤中约占20%，12号染色体长臂14-15区(12q14-15)包含着肿瘤形成的关键基因，通过对子宫肌瘤易位研究发现子宫肌瘤存在高速泳动族蛋白(High-mobility Group protein，HMG)基因家族中成员HMGI-C，它定位于12q13-15，动物实验证实HMGI-C是一个涉及间质组织细胞增殖和分化的DNA-结合蛋白，它在哺乳动物生长和发育中起着重要作用，在子宫肌瘤细胞中HMGI-C频繁重排提示这些基因直接包含在这些肌瘤的畸变生长调控中，一系列间质肿瘤的荧光原位杂交确认HMIGI-C在涉及12号染色体易位中是一个关键性基因。分子学研究也证实在子宫肌瘤中有HMGIC表达，而在相邻的正常平滑肌组织中则无表达。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;一个与HMGIC相关的高速泳动族蛋白-HMGIY定位于6号染色体短臂上，在具有6p21重排的肌瘤中发挥着作用，荧光原位杂交研究确认HMGIY包含在这些重排中，并在带有6p21重排的肌瘤中发现有HMGIY的表达(Williams AJ，1997)。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;HMGIC和HMGIY均从属于不均质的高速泳动族蛋白家族，它们直接调节各种不同的DNA决定族的活性，HMG蛋白分担不同的化学的和电泳的性能，它们的表达类型不同故反映在调节和功能上也有区别，在子宫肌瘤中12号染色体易位的研究显示HMGIC功能失调的各种各样的发病机制包括融合的mRNAs，HMGIC的缩短和HMGIC调节序列的瓦解等(Gross KIJ and Morton OC，2001)。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;带有t(12；14)的子宫肌瘤中，14号染色体有一定意义，雌激素受体β基因(Estrogen receptorβ gene，ESR2)定位于14号染色体长臂(14q22-24)。由于子宫肌瘤的生长是对雌激素的应答，故雌激素受体β基因是引人关注的，ESR2与t(12；14)断裂点位置的靠近，在构成肌瘤发病机制和病理学基础的分子学机制中可能有一定意义(Enmark E，1997)。7号染色体丢失del(7)(q22q32)存在于大约17%核型异常的子宫肌瘤中(Ish-wad CS，1995)，但也有报道del(7)发生率为35.6%，在子宫肌瘤中这种丢失比任何其他实体瘤中更常见，del(7)(q)肌瘤通常是具有正常46XX细胞的嵌合体，其基因最终定位于7号染色体长臂22区(7q22)，由于该区含有高密度的基因，从而使肌瘤基因的识别工作复杂化。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;在肌瘤中其他细胞遗传学异常包括rea(X；13)、rea(10；13)、Tri(12)，涉及X染色体畸变包括del(X)、t(X，5)、t(X，12)、INV(X，5)、INV(X，12)，其中X染色体短臂11-短臂22(Xpll-p22)优先受累。1号染色体重排主要表现为环状染色体形成。3号染色体以多种不同形式重排包括INS、del(q；p)、t(3；7)，其重排或单一发生或在其他染色体上与重排相伴随(Gross K1 and Morton，2001)。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;在染色体异常的子宫肌瘤中，许多都是带有染色体正常细胞的嵌合体，这些异常核型与正常46XX相连，这种嵌合体核型能准确反映体内这些肿瘤的遗传学状况，这与大部分肌瘤是染色体正常的观点均提示肌瘤中细胞遗传学畸变是肿瘤形成过程中的重要改变(Morton CC，1998)。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;子宫肌瘤的肿瘤基因型与临床表现型之间的研究表明核型重排的存在与肌瘤大小以及解剖定位相关联，Rein等(1998)对92例患者的114个肌瘤标本进行染色体核型与肌瘤大小相关性分析指出，在总体肌瘤标本中，73个(64%)核型正常，20个(18%)核型异常但无嵌合体，21个(18%)为嵌合体核型。核型异常无嵌合体者比核型正常者肌瘤平均直径明显增大(10.2±5.9cm∶5.9±4.2cm)，核型异常无嵌合体者中，肌瘤直径＞6.5cm者比＜6.5cm者有明显高的核型异常比率(75%比34%)，同时指出具有7号染色体丢失的肌瘤del(7)平均比具有12号染色体重排的肌瘤小(5.0cm∶8.5cm)，但与核型正常的肌瘤大小相同。Brosens I等(1998)发现黏膜下肌瘤的重排率(12%)比浆膜下肌瘤(29%)和壁间肌瘤(35%)要少，这提示黏膜下肌瘤由于它们有比较低的染色体重排率而临床表型较小。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;染色体畸变与组织学相比，染色体异常病例中全部组织学均显示为良性肿瘤，同为良性肿瘤但染色体却表现了一定程度的异质性，具有特殊组织学类型的子宫肌瘤发现有80%核型异常，而组织学典型病例染色体核型异常者相对较少。细胞遗传学的多相性提示在子宫肌瘤发生中可能涉及许多不同的体细胞突变，而在个体肌瘤中单一的体细胞突变可能是个体肌瘤对不同生长促进因素的不同反应的生物学基础。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;3.性甾体激素在子宫肌瘤病因学中的作用&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;目前认为从子宫肌层细胞到肌瘤形成的转化过程可能涉及正常子宫肌层的体细胞突变和性激素及局部生长因子间复杂的相互作用，性激素包括雌激素和孕激素及许多肽类生长因子均被视为肌瘤生长的调节因子，在肌瘤的病因学中占有重要地位。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;雌激素是肌瘤生长的主要促进因素，在临床上青春期前极少发生肌瘤，肌瘤随妊娠长大，随绝经后而缩小等现象所证实。生物化学研究证实肌瘤比其相邻的正常肌层组织中的雌二醇浓度有明显增高，肌瘤中雌二醇向雌酮的转化浓度明显低于正常肌层组织，肌瘤中雌激素受体浓度明显高于周边肌层组织，上述这些观察虽然都提示了肌瘤局部激素环境是高雌激素状态，但没有证明雌激素直接刺激肌瘤的生长。近年来分子生物学研究证实肌瘤比正常肌组织中雌、孕激素受体均明显增高(Viville B，1997)，在肌瘤组织中芳香化酶P450的表达也增加(Sumitani H，2000)，雌二醇可刺激子宫平滑肌细胞增殖，使子宫肌瘤的平滑肌细胞比相邻的平滑肌细胞显示较高的细胞核分裂活性并降低凋亡(Burroughs KD，2000)，雌激素的致有丝分裂作用可能是通过其他因子及其受体来调节，表现在雌激素上调孕激素受体，上皮生长因子及胰岛素样生长因子而使肌瘤生长。雌激素也表现对肌瘤细胞外基质的调节，子宫肌瘤的细胞外基质主要是间质胶原蛋白，多糖蛋白及纤连蛋白，雌激素直接刺激Ⅰ型和Ⅲ型胶原蛋白mRNA以及裂隙连接蛋白连接子-43。雌激素也刺激甲状旁腺激素相关肽的局部产生。这些雌激素调节基因的表达在肌瘤中均比在其毗邻的肌层组织中高，据此Anderson提出在肌瘤组织局部对雌激素的高敏感性在肌瘤的发病机理中是重要的(Rein MS，1995)。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;自20世纪80年代以来，有愈来愈多的研究发现孕激素在肌瘤发病中有重要作用，组织学和生物化学的研究证实用醋酸甲孕酮治疗子宫肌瘤，其组织切片上每高倍视野有丝分裂相明显高于未治疗组。181份子宫肌瘤标本中，分泌期有丝分裂数(12.7/100HP)明显高于增殖期(3.8/100HP)和月经期(8.3/100HP)，这种分泌期所增加的肌瘤内有丝分裂活性显示子宫肌瘤的生长受孕酮的影响，取自子宫肌瘤和正常肌层组织的平滑肌细胞培养后，超微结构显示在雌、孕激素条件下较单用雌激素或对照组培养的平滑肌细胞增生活跃，肌瘤细胞具有致密体的肌丝数目增加，这提示孕酮与肌瘤的分化有关。分子生物学技术证实肌瘤组织比其相邻近肌层中孕激素受体mRNA和孕激素受体蛋白表达均有增加，增殖抗原Ki-67明显升高提示这些被增强的孕激素受体介导的信号与肌瘤生长有关。在月经周期的分泌期，肌瘤中的表皮生长因子mRNA含量增加，这提示是孕激素而不是雌激素作为产生肌瘤表皮生长因子的调节者。分子生物学研究还显示在子宫肌瘤中，凋亡调控基因bcl-2蛋白表达增加，bcl-2蛋白能防止细胞程序化死亡(即凋亡)的正常过程，它受性激素及生长因子等多种因素的调节，正是通过孕激素的上调作用，子宫肌瘤的平滑肌细胞中bcl-2蛋白产物显著增加表明孕激素通过延迟或阻止子宫肌瘤中细胞程序化死亡，影响细胞增殖率(Matsao H，1997)。20世纪80年代后期，有更多的临床实践证实孕激素在子宫肌瘤发病机制中的作用，采用GnRHa加孕激素治疗子宫肌瘤，体积无改变，而GnRHa加安慰剂组则肌瘤体积缩小，诱导肌瘤平滑肌细胞的凋亡可能是GnRHa治疗子宫肌瘤的分子学机制之一。应用米非司酮治疗子宫肌瘤，50mg/d，共3个月，B超显示肌瘤体积缩小49%，血中激素及受体测定显示E1、E2为卵泡期水平，孕激素降低，孕激素受体水平降低，而雌激素受体无改变，故认为肌瘤萎缩可能是通过直接对抗孕激素，而不是通过抑制雌激素而发挥作用(Murphy AA，1993)。孕酮、孕激素和孕激素受体促进肌瘤增殖，它调节着肌瘤的有丝分裂活动，明显地影响着体细胞的繁衍，因而孕酮很可能以周期性方式增加体细胞的突变和刺激肌瘤的生长，这有助于肌瘤的形成(Rein MS，1995)。有人在转化子宫肌瘤细胞株研究中证实孕激素受体表达依赖于雌激素，从而证实雌激素诱导的孕激素受体表达是肌瘤生长的机理之一(Sadovsky Y，1993)。雌激素有上调雌激素受体和孕激素受体的作用，而孕激素仅下调雌激素受体。孕激素受体的激活可能刺激局部生长因子和(或)增加生长因子受体的含量。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;子宫肌瘤患者循环中孕激素和雌二醇水平均没有增加，这反映肌瘤的生长均来源于末端器官对这些性激素敏感性的增加。子宫肌瘤中雌激素信息传导途径可能增强，通过分子杂交手段检测了雌激素受体mRNA水平以及蛋白的数量和功能，发现雌激素受体基因表达增强和雌激素受体水平增加，进一步证实在子宫肌瘤中，雌激素受体基因的转录和蛋白的翻译是增强的。肌瘤中孕激素受体mRNA和蛋白表达增加可能是功能性雌激素受体超表达导致末稍器官对雌激素敏感性增加的结果。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;在子宫肌瘤的发病机理中，卵巢甾体激素及其受体起着关键性作用，Shimomura Y(1998)研究了卵巢甾体激素对增殖细胞核抗原(PCNA)在肌瘤中表达的影响，表明正常子宫肌层细胞中雌二醇可增加PCNA表达，孕激素则不能，而在肌瘤细胞中，雌激素和孕激素均能显著增加PCNA表达，这表明肌瘤细胞中，雌激素和孕激素对细胞增殖活性都有上调作用，而正常子宫平滑肌细胞中仅雌激素对其有上调作用，由此可知子宫肌层细胞转变成肌瘤细胞受雌激素和孕激素的双重影响，雌激素和孕激素之间通过自分泌和旁分泌作用互相调节，雌激素可增加肌瘤细胞孕激素受体含量，孕激素反过来又可进一步促进和维持雌激素的变化，二者互相影响共同促进肌瘤的生长。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;在肢端肥大症患者中，子宫肌瘤发生率较高，这提示生长激素(growth hormone，GH)与肌瘤的生长有关。原位杂交方法证实生长激素受体mRNA定位于子宫肌层和子宫肌瘤细胞核和胞浆，生长激素可以通过增加胰岛素样生长因子-Ⅰ的间接途径或与子宫生长激素受体相互作用的直接途径在子宫上发挥作用，生长激素受体mRNA的存在提示人类子宫是生长激素作用的靶器官，生长激素可能促进和维持肌瘤的生长。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;近年来研究还发现子宫肌瘤患者血清中PRL水平高于正常人群，子宫肌瘤组织局部PRL浓度、PRL受体及PRL mRNA水平均显著高于正常子宫肌组织。此外还发现子宫肌瘤组织中存在LH受体、雄激素受体(AR)、性激素结合球蛋白(SHBG)以及催产素受体、HCG受体，其中LH受体和催产素受体含量低于周围正常子宫肌组织，而SHBG含量高于周围正常子宫肌组织。上述各种因素在肌瘤发生、发展中的具体生物学作用还有待进一步研究。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;4.生长因子在子宫肌瘤病因学中的作用&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;最近几年的研究表明性甾体激素在细胞增殖和分化中的作用是通过生长因子的产物调节。生长因子对雌激素诱导细胞的生长和分化以自分泌和旁分泌的方式在组织局部起作用。在子宫肌瘤中，许多异常表达的生长因子在其他间质衍生的疾病中也有异常表达，因此提出许多肽类生长因子及其受体是肌瘤生长和其他纤维组织生成性疾病的调节因子(Nowak RA，2001)，近年来大量研究发现与肌瘤生成和发展有关的生长因子共有3类。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;第一类是转化生长因子-β(Transforming GrowthFactorβ，TGF-β)，它与创伤修复和各种纤维生成性疾病有关，TGF-β以五种同工型存在，其中1，2，3已在哺乳动物细胞和组织中识别，TGF-β在它们靶组织中的生物活性通过3个特异细胞表面受体调节，定为受体Ⅰ、Ⅱ、Ⅲ型(Massague J，1996)。子宫肌瘤和子宫肌组织标本以及从这些组织建立的细胞系的研究指出在子宫肌瘤和自体平滑肌中通过TGFβ-3对TGFβ-1稳态信使RNA(mRNA)水平的分析显示子宫肌瘤比对照组TGFβ-3mRNA水平高3.5～5倍，子宫肌瘤有较低的(60%)TGFβⅡ型受体表达，Ⅱ型受体与细胞增殖变化紧密相关。正常子宫肌的平滑肌细胞增殖受TGFβ-1和TGFβ-3抑制，而子宫肌瘤的平滑肌细胞不被TGFβ-1生长抑制，表现为在TGFβ-3反应中增加增殖(Lee BS，2001)。在子宫肌瘤的平滑肌细胞中，TGF-β也增加细胞外基质纤连蛋白、胶原蛋白Ⅰ和Ⅲ型的产物(Arici A，2000；Lee BS，2001)。肌瘤的平滑肌细胞对TGF-β的抗增殖反应的丢失与所观察的在动脉粥样硬化病变的血管平滑肌的反应相似，这些平滑肌细胞也有TGFβⅡ型受体的明显降低和TGFβ-1表达的增加(McCaffrey TA，1995)。TGF-β配体受体系统中的改变涉及许多其他纤维组织生成性疾病，如糖尿病性肾炎、肺纤维化及肝硬化，在这些病变的细胞中都有TGFβ-1水平的增加及细胞外基质胶原蛋白、纤连蛋白产物的增加。由于子宫肌瘤在TGF-β配体受体系统的改变与其他纤维生成性疾病相似，故有人把子宫肌瘤作为一种纤维组织生成性疾病。据此，一些已知的抗纤维生成的药物可能为子宫肌瘤的药物治疗提供了新的途径。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;第二类在肌瘤的生长和发展中有重要作用的生长因子是肝素结合生长因子(heparin-binding growth factors，HBGF)，这些生长因子包括碱性成纤维细胞生长因子(Basic Fibroblast Growth Factors，BFGF)、肝素结合表皮生长因子(heparin-binding epidermal growth factors，HBEGF)、血管内皮生长因子(vascular endothelial growth factors，VEGF)和血小板衍化生长因子(platelet-derived growth factors，PDGF)，它们其中一些是血管基因，刺激血管内皮细胞的增生和(或)迁移，一些也是促平滑肌有丝分裂的(Klags Drun M，1993)。子宫肌瘤是带有复杂血管网能形成血管腔的肿瘤，它们的生存取决于是否能形成足够的血液供给。子宫肌瘤也好像是血管结构和功能异常的疾病，故又有人称子宫肌瘤是一个血管生成的肿瘤。许多研究指出许多肝素结合生长因子是通过肌瘤和正常肌层细胞产生，另一组研究也指出正常肌细胞和子宫肌瘤二者也产生血管内皮生长因子，这些生长因子对子宫肌细胞和肌瘤细胞有促有丝分裂作用(Rauk PN，1995)。肝素结合生长因子能够促进肌瘤细胞生长是通过2个机制：第一是增加位于肿瘤中的平滑肌细胞的增殖，第二是通过刺激血管形成。此外这些生长因子与子宫肌瘤的出血有关，通常是增加血管的密度，对子宫内膜血管起作用(Nowak RA，2001)。在许多人类组织和癌细胞系中都证明干扰素(Interferon，IFN)有降调和阻断BFGF产物的作用(Singh RK，1995)。实验室证明IFN-α是子宫平滑肌细胞增殖有效的抑制剂。周身性给予IFN-α或-β能引起血管肿瘤的退化。一份临床报告支持IFNs可能作为子宫肌瘤的治疗药物，一位患者因肝炎用IFNs治疗，持续6个月，在IFN治疗前发现有一个大的子宫肌瘤，治疗6个月后，肌瘤直径缩小50%，而且在治疗停止17个月后子宫肌瘤大小没有增加，同时血清BFGF水平也降低(Minakuchi K，1999)。这为IFN用于子宫肌瘤的治疗提供了依据。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;第三类生长因子是胰岛素样生长因子(insuline-like growth factors，IGF)，IGF是小的单链多肽类因子，IGF-Ⅰ由70个氨基酸组成，IGF-Ⅱ由67个氨基酸组成，传统认为只有肝脏产生，现证实许多非肝脏组织也含有免疫反应性IGFs和IGF mRNA，动物实验证明子宫肌细胞可产生这2种生长因子，它们的表达是通过卵巢甾体激素控制。IGF-Ⅰ对正常的子宫肌细胞和肌瘤的平滑肌细胞均能促进有丝分裂和分化，特别是在与EGF和PDGF联合时更明显(Strawn JrEY，1995)。人类的子宫肌和子宫肌瘤都表达IGF-Ⅰ和IGF-Ⅱ的mRNA，一些研究曾对比了这二种生长因子在2种组织类型中的表达水平，但结果不肯定，部分研究报道IGF-Ⅰ mRNA和蛋白表达水平在肌瘤和自体平滑肌之间是相同的，而另一部分报道IGF-Ⅰ和蛋白的表达在子宫肌瘤比自体平滑肌要明显的高，但2组研究的一致结论是绝经后和使用GnRHa治疗的妇女，在子宫肌瘤中IGF-Ⅰ表达降低，支持了卵巢甾体激素调节着IGF-Ⅰ表达的观点(Englund K，2000)。IGF-ⅡmRNA和IGF-Ⅰ受体表达在子宫肌瘤和子宫肌中都有增加。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;了解卵巢甾体激素调节子宫平滑肌细胞的生长，卵巢甾体激素配体受体系统在子宫肌瘤中的变化以及被子宫肌瘤平滑肌细胞产生的诸多生长因子不仅调节平滑肌细胞的增殖、凋亡和细胞外基质的产物，而且也调节血管内皮细胞的增殖和迁移作用，将对子宫肌瘤和一些间质衍化细胞增生所形成的疾病提出新的治疗途径。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;总之，子宫肌瘤的发生和生长是一个多步骤的过程，肌瘤细胞的初始肿瘤的形成涉及体细胞的突变，孕激素的致有丝分裂作用可能增进体细胞突变的繁衍，肌瘤增殖是无性繁殖的扩大，在此过程中可能是雌激素、孕激素和诸多生长因子间复杂的相互作用的结果，作为肌瘤生长的促进因素雌激素和孕激素占有同等重要的地位。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5761', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '175', '发病机制', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.大体&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;子宫肌瘤是实性肿瘤，可单个或多个生长在子宫任何部位。大小悬殊，甚至几十至百个肌瘤同时生长，一般小肌瘤多为圆球形，但长大或多个肌瘤互相融合时，则成为不规则的形状。肌瘤组织质地较子宫为硬，在直视下，从子宫外极易触摸到子宫肌瘤存在的部位。肌瘤并无包膜，肌瘤压迫周围的肌壁纤维而形成假包膜，二者界限分明，肌瘤与子宫肌壁间有一层疏松的网状间隙，切开肌壁，肌瘤多会从肌壁间跃出，且极易从假包膜将肌瘤剥出。肌瘤血液供应多来自假包膜。肌瘤表面色淡，光泽，切面呈灰白色，可见旋涡状或编织状结构，排列致密。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.镜下&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;子宫肌瘤主要由梭形平滑肌细胞和不等量纤维结缔组织构成。平滑肌细胞大小均匀，排列呈栅栏状或旋涡状结构，纵切面细胞呈梭形，大小较一致，杆状核；横切面细胞呈圆形、多边形，圆形核位于中央，胞浆丰富。肌瘤中平滑肌细胞和纤维结缔组织含量多少与子宫肌瘤的硬度有关。突向宫腔的黏膜下肌瘤由于对子宫内膜有机械性压迫，使内膜变薄，腺体压扁，互相靠近，腺上皮呈立方形或扁平状，排卵后分泌期反应不明显或内膜残缺不全。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;3.变性&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;主要为各种原因引起的退行性变，退行性变的主要原因为子宫肌瘤局部血液供给不足所致，多与临床症状无关。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)各类变性：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;①玻璃样变：玻璃样变又称透明变性，是最常见的肌瘤变性，肌瘤组织水肿变软，肌纤维退变，旋涡状或编织状结构消失，融合成玻璃样透明体，由于玻璃样变多发生于肌瘤的结缔组织，因此这种变性在纤维结缔组织成分较多的肌瘤更明显。镜下可见肌瘤内有宽带状透明结缔组织，并可出现区域性囊性变；也可见到组织的坏死，组织无结构。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;②囊性变：子宫肌瘤玻璃样变继续发展，肌细胞液化即可发生囊性变，此时子宫肌瘤变软，很难与妊娠子宫或卵巢囊肿区别。肌瘤内出现大小不等的囊腔，数个囊腔也可融合为一大腔，内有胶冻样和黏液样物质积聚，囊壁内层无上皮覆盖，切面变性区呈棉絮状，大小不等，囊腔囊内液分为无色或血性。镜下可见囊性变区染色呈淡蓝色云雾状，也可见到有小簇肌细胞残留，在变性肌细胞周围也可有肌细胞增生。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;③红色变性：多见于妊娠期或产后期，红色变性实为肌瘤一种特殊类型的坏死，发生机制不清。可能是肌瘤内小血管发生退行性变，引起血栓或溶血，血红蛋白渗入肌瘤内，切面为暗红色如半熟的牛肉，有腥臭味，质软，旋涡状结构消失。镜下可见组织高度水肿，瘤体内小静脉有血栓形成，血管扩张充血，广泛出血并有溶血，肌细胞质淡染，轮廓不清，肌细胞减少，细胞核常溶解消失，并有较多脂肪小球沉积。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;④脂肪变性：一般病灶较小，少数可见到脂肪小颗粒，主要为肌瘤细胞内脂肪颗粒增多。镜下见肌细胞内有空泡，脂肪染色阳性，其发生原因可能是肌瘤间质化生为脂肪组织，也可能是脂肪组织浸润。肌瘤内全部变为黄色脂肪时称脂肪瘤，但极罕见。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;⑤钙化：多见于蒂部细小血供不足的浆膜下肌瘤以及绝经后妇女的肌瘤，多见于脂肪变性后进一步皂化，分解成甘油三酯，再与钙盐结合，故肌瘤钙化是以磷酸及磷酸盐的形式在肌瘤内沉积，坚硬如石。X线摄片可清楚看到钙化阴影。镜下可见钙化区为层状沉积，呈圆形，有深蓝色微细颗粒。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;⑥感染及化脓：子宫肌瘤感染多见于黏膜下肌瘤脱出子宫口或阴道口者，浆膜下肌瘤感染见于血源性或邻近器官感染蔓延。肌壁间肌瘤感染多见于囊性变性后。黏膜下肌瘤感染伴有局部坏死、溃疡及黏膜脱落。细菌逆行进入宫腔而与子宫内膜炎，输卵管炎合并存在。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;⑦恶性变：肌瘤恶变主要为肉瘤样变，发生率为0.4%～1.25%，肉瘤样变多见于肌壁间肌瘤，40～50岁妇女较多，30岁以下较少见。肌瘤在短期内迅速长大或伴有不规则出血者应首先考虑恶变。肌瘤恶变后，组织变软而且脆，切面呈灰黄色，细腻，似生鱼肉状，与周围组织界限不清。镜下可见平滑肌细胞增生，排列紊乱，旋涡状结构消失，细胞有异型性。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(2)临床类型：子宫肌瘤可发生在子宫任何部位，按肌瘤所在部位不同可分为子宫体肌瘤和子宫颈肌瘤，前者约占子宫肌瘤90%～96%，后者仅占2.2%～8%，宫颈和宫体同时存在肌瘤占1.8%(连利娟，2000；张惜阴，1992)，子宫肌瘤开始时仅为肌壁内的单一瘤细胞所形成，以后随着肌瘤的增大逐渐从子宫肌壁内向不同的方向生长，根据其与子宫肌壁的关系将其分为3类(图1)：</p><p style=\"text-align:center\"><img width=\"387\" height=\"397\" src=\"http://pmmp.cnki.net/cdd/img/15.1%20%E5%AD%90%E5%AE%AB%E8%82%8C%E7%98%A4.files/image001.jpg\"/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;①肌壁间肌瘤：肌壁间肌瘤(intramural myoma)又称子宫肌层内肌瘤。肌瘤位于子宫肌层内，周围有正常的肌层包绕，肌瘤与肌壁间界限清楚，常将围绕肌瘤被挤压的子宫肌壁称为假包膜。此类肌瘤最多见，占肌瘤总数的60%～70%，肌瘤常为单个或多个，大小不一，小者如米粒或黄豆大小，不改变子宫形状；大者可使子宫增大或使子宫形状改变呈不规则突起，往往宫腔也随之变形。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;②浆膜下肌瘤：浆膜下肌瘤(subserous myoma)当子宫肌壁间肌瘤向子宫表面的浆膜层生长，以致肌瘤表面仅覆盖着少许肌壁及浆膜层时称为浆膜下肌瘤。当肌瘤继续向浆膜下生长，形成仅有一蒂与子宫壁相连时称为带蒂浆膜下肌瘤(pedunculated myoma)。肌瘤生长在子宫两侧壁并向两宫旁阔韧带内生长时称为阔韧带肌瘤(intraligamentary myoma)，此类肌瘤常可压迫附近输尿管，膀胱及髂血管而引起相应症状和体征。带蒂浆膜下肌瘤可发生扭转，由于血运受阻，肌瘤蒂断裂并脱落于盆腹腔内，肿瘤发生坏死。若脱落肌瘤与邻近器官如大网膜，肠系膜等发生粘连，并从而获得血液供应而生长称为寄生性肌瘤(parasitic myoma)或游走性肌瘤，浆膜下肌瘤占肌瘤总数20%～30%，由于肌瘤外突多使子宫增大，外形不规则，表面凹凸不平，呈结节状，带蒂浆膜下肌瘤则可在子宫任何部位触及，为可活动的实性肿物，阔韧带肌瘤则于子宫旁触及，活动受限。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;③黏膜下肌瘤：黏膜下肌瘤(submucous myoma)为贴近于宫腔的肌壁间肌瘤，向宫腔方向生长，表面覆以子宫内膜称为黏膜下肌瘤。这种肌瘤突出于宫腔，可以改变宫腔的形状，有些肌瘤仅以蒂与宫壁相连称为带蒂黏膜下肌瘤，这种肌瘤在宫腔内如异物引起反射性子宫收缩，由于重力关系，肌瘤逐渐下移至宫颈内口，最终蒂被拉长，肌瘤逐渐被推挤于宫颈外口或阴道口。此类肌瘤占总数10%左右。由于肌瘤位于宫腔内，子宫多为一致性增长。由于肌瘤的牵拉和肌瘤蒂的血液供应不足，可使子宫有轻度内翻及肌瘤表面内膜的出血、坏死、感染而引起阴道不规则出血及分泌物增多。子宫肌瘤常为多个，上述肌瘤可2种甚至3种同时发生在同一子宫上，称为多发性子宫肌瘤。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;子宫颈肌瘤可生长在子宫颈前唇或后唇黏膜下，宫颈肌瘤突向颈管内可形成带蒂宫颈肌瘤，宫颈肌壁间肌瘤，可随肌瘤逐渐长大，使宫颈拉长，或突向于阴道或嵌顿充满盆腔，此时正常大小的子宫体位于巨大的宫颈上，将子宫或膀胱上推至下腹部，并使两侧的盆腔解剖关系发生变异，增加了手术的危险度。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5762', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '175', '临床表现', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.症状&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;子宫肌瘤有无症状及其轻重，主要决定于肌瘤的部位、大小、数目以及并发症。有的肌瘤小、生长缓慢、无症状，可以终生未被发现。近年由于B型超声检查的广泛应用，不少患者是因常规查体，经B超检查发现有子宫肌瘤，而其本人并无症状。多数患者是因有症状而来就医。子宫肌瘤常见的症状有子宫出血、腹部肿块、阴道溢液、压迫症状等。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)子宫出血：子宫出血是子宫肌瘤最常见的症状。临床可表现为月经过多，出血有周期性，经量增多，往往伴有经期延长，此种类型出血最多见；月经频多，月经周期缩短，月经量增多；不规则出血，月经失去正常周期性，持续时间长，时多时少且淋漓不断，多见于黏膜下肌瘤。子宫出血以黏膜下肌瘤及肌间肌瘤为多见，浆膜下肌瘤很少引起子宫出血。根据文献报道黏膜下肌瘤、肌间肌瘤及浆膜下肌瘤的子宫出血发生率分别为89.5%～100%、74%～77.7%、33.3%～36%。子宫出血的原因有多种解释：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;①大的肌间肌瘤或多发性肌间肌瘤随着子宫的增大宫腔内膜面积也必然随之增加，行经时子宫内膜脱落面大，修复时间相应较长以致出血多，经期长。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;②由于肌壁间有肌瘤的存在妨碍子宫以有效的宫缩来控制出血，因而造成大量出血。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;③子宫肌瘤多发生于生育年龄的晚期，时值更年期，有些患者肌瘤并不大而有月经过多，可能由于伴发功能失调性子宫出血而引起，经刮宫检查子宫内膜便可确定。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;此外，临床也见到一些患者肌间肌瘤并不大，诊刮的子宫内膜病理报告为分泌期子宫内膜，但有出血症状，或者浆膜下子宫肌瘤也有部分患者有子宫出血症状，这些以子宫内膜面积增大，宫缩不利，或功能失调性子宫出血均难以解释，而愈来愈受到重视的子宫内膜静脉丛充血、扩张的提法对此颇具说服力。该提法是子宫浆膜下、肌壁间、子宫内膜均有较丰富的血管分布，无论黏膜下，肌间或浆膜下生长的肌瘤均可能使肿瘤附近的静脉受挤压，导致子宫内膜静脉丛充血与扩张，从而引起月经过多。黏膜下子宫肌瘤临床最突出的症状是子宫出血，其所以引起出血有认为是由于肌瘤表面溃疡所致，然而黏膜下肌瘤伴有溃疡者并不多见，而临床发生异常出血者却是常见。因此，以子宫内膜静脉丛充血、扩张来解释更为有力。有时子宫黏膜下肌瘤表面怒张的静脉破裂出血可直接导致大出血。上述中解释均有一定道理，并不矛盾，结合具体患者其子宫出血原因可能是以某一因素为主或者由几个因素协同作用的结果。近年，有认为子宫肌瘤及肌壁组织所产生的碱性成纤维细胞生长因子(bFGF)、血管内皮生长因子VEGF)、表皮生长因子(EGF)等生长因子或其受体的调节障碍对血管功能及生成有直接影响，造成子宫血管结构异常，而导致月经过多。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(2)腹部肿块：子宫位于盆腔深部，肌瘤初起时腹部摸不到肿块。当子宫肌瘤逐渐增大，使子宫超过了3个月妊娠大小，或位于子宫底部的浆膜下肌瘤较易从腹部触及。肿块居下腹正中部位，实性、可活动但活动度不大、无压痛、生长缓慢，如果患者腹壁厚，子宫增大，或超出盆腔甚至达4～5个月妊娠大小，患者仍难自己发现。因此，子宫肌瘤患者因腹部肿块就诊者少。巨大的黏膜下肌瘤脱出阴道外，患者可因外阴脱出肿物来就医。肿瘤多伴有感染坏死，近年这种患者很少见。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(3)阴道溢液：子宫黏膜下肌瘤或宫颈黏膜下肌瘤均可引起白带增多。一旦肿瘤感染可有大量脓样白带，若有溃烂、坏死、出血时可有血性或脓血性有恶臭的阴道溢液。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(4)压迫症状：子宫肌瘤可产生周围器官的压迫症状。子宫前壁肌瘤贴近膀胱者可产生膀胱刺激症状，表现为尿频、尿急；宫颈肌瘤向前长到相当大时，也可以引起膀胱受压而导致耻骨上部不适、尿频、尿潴留或充溢性尿失禁(overflow incontinence)；巨型宫颈前唇肌瘤充满阴道压迫尿道可以产生排尿困难以至尿闭，患者可因泌尿系统症状就诊。子宫后壁肌瘤特别是峡部或宫颈后唇巨型肌瘤充满阴道内，向后压迫直肠，可产生盆腔后部坠胀，大便不畅。阔韧带肌瘤或宫颈巨型肌瘤向侧方发展嵌入盆腔内压迫输尿管使上泌尿道受阻，形成输尿管扩张甚至发生肾盂积水。由于肌瘤压迫盆腔淋巴及静脉血流受阻产生下肢水肿者少见。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(5)疼痛：一般子宫肌瘤不产生疼痛症状，若出现疼痛症状多因肌瘤本身发生病理性改变或合并盆腔其他疾病所引起。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;①子宫肌瘤本身发生的病理变化：子宫肌瘤红色变性，多见于妊娠期，表现为下腹急性腹痛，伴呕吐、发热及肿瘤局部压痛；浆膜下子宫肌瘤蒂扭转，或宫底部巨型浆膜下子宫肌瘤在个别情况下可引起子宫扭转均可发生急腹痛；子宫黏膜下肌瘤由宫腔向外排出时也可引起腹痛，但一般其排出的过程是缓慢渐近，而宫颈松软，由于肌瘤刺激引起子宫收缩可有阵发性下腹不适，很少引起急腹痛；黏膜下子宫肌瘤感染坏死引起盆腔炎者可致腹痛，但少见；文献曾有5例报道，患有子宫肌瘤妇女因服避孕药发生肌瘤内灶性出血而引起剧烈腹痛。肌瘤经组织学检查有多灶性出血，而称为肌瘤卒中(apoplectic leiomyomas)。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;②合并盆腔其他疾病：最常见的是子宫腺肌病或子宫内膜异位症，其疼痛具有特点，为周期性，进行性逐渐加重的痛经，常伴有肛门坠、性交痛而不是急腹痛。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(6)不孕与流产：子宫肌瘤患者多数可以受孕，妊娠直到足月。然而有些育龄妇女不孕，除肌瘤外找不到其他原因，而作肌瘤切除术后即怀孕，说明不孕与肌瘤有一定关系。肌瘤的部位、大小、数目可能对受孕与妊娠结局有一定影响。宫颈肌瘤可能影响精子进入宫腔；黏膜下肌瘤可阻碍孕卵着床；巨型原发性子宫肌瘤使宫腔变形特别是输卵管间质部被肌瘤挤压不通畅，妨碍精子通过；有人认为子宫肌瘤引起的肌壁、子宫内膜静脉充血及扩张特别是子宫内膜，其结果导致子宫内环境不利于孕卵着床或对胚胎发育供血不足而致流产。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(7)贫血：子宫肌瘤的主要症状为子宫出血。由于长期月经过多或不规则出血可导致失血性贫血。临床出现不同程度的贫血症状。重度贫血多见于黏膜下肌瘤。严重贫血尤其时间较长者可致心肌营养障碍。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(8)红细胞增多症：子宫肌瘤伴发红细胞增多症(erythrocytosis)者罕见。患者多无症状，主要的诊断依据是血红蛋白与红细胞计数增高，除子宫肌瘤外找不到其他引起红细胞增多症的原因，肿瘤切除后血红蛋白与红细胞均降至正常。国内吴葆桢于1964年报道一例子宫肌瘤合并红细胞增多症。患者35岁，腹部胀大如足月妊娠，剖腹探查全腹为一巨大的分叶状实质肿物充满，表面静脉迂曲扩张。肿瘤来自子宫左后壁，双侧附件正常，作子宫次全及双附件切除。病理报告为平滑肌瘤。术前血红蛋白为201g/L，红细胞为6.5×1012/L，术后一周降至正常，术后3个月随访血红蛋123g/L，红细胞为4.32×1012/L。多年来对其病因学有种种解释，现已清楚子宫肌瘤伴发红细胞增多症其原因是由于平滑肌细胞自分泌产生的红细胞生成素所引起。红细胞生成素本由肾脏产生，平滑肌不产生红细胞生成素。此种由非内分泌组织的肿瘤产生或分泌激素或激素类物质并由此引起内分泌功能紊乱的临床症状称为异位激素综合征(ectopic hormone syndrome)。除子宫肌瘤外已知有不少肿瘤如肝癌、肾上腺皮质癌、卵巢癌、乳腺癌、肺燕麦细胞癌等均可因肿瘤细胞产生红细胞生成素而临床出现红细胞增多症。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(9)低糖血症：子宫肌瘤伴发低糖血症(hypoglycemia)亦属罕见。主要表现为空腹血糖低，意识丧失以致休克，经葡萄糖注射后症状可以完全消失。肿瘤切除后低血糖症状即完全消失。国内张丽珠于1980年报道1例子宫肌瘤并发低糖血症。患者39岁，未婚，因间歇性发作嗜睡、头晕、出汗，1个多月前先住内科，住院后发作6次，轻时头晕、心悸、全身无力、出汗、神志清楚；重时有嗜睡、全身出汗，每次发作均在早晨，静脉注射50%葡萄糖症状迅速好转，神智随即恢复。共测空腹血糖8次，未发作及发作各4次。未发作的血糖除一次为3.7mmol/L(66mg%)以外其余均在5.4～7.8mmol/L(97～140mg%)范围，发作时血糖分别为3.16mmol/L(57mg%)、1.6mmol/L(28mg%)、1.8mmol(35mg%)、1.9mmol/L(35mg%)。后经妇科会诊检查子宫增大如孕4个月大小，质硬，表面光滑，活动受限，右卵巢鸡蛋大囊肿，作子宫次全切除及右附件切除术，术时探查胰腺无异常发现，术后低血糖症消失。病理诊断为子宫肌间平滑肌纤维瘤，右卵巢滤泡囊肿。术后随访16个月未再发作，每隔4个月测空腹血糖1次，分别为5.8mmol/L(104mg%)，5.9mmol/L(106mg%)，6.1mmol/L(110mg%)，均为正常。子宫肌瘤发生低血糖也是异位激素综合征的一种，其发生机制还未完全清楚。近年文献报道非胰岛细胞肿瘤患者出现低血糖症，当低血糖发作时，血中胰岛素、胰岛素样生长因子-Ⅰ(IGF-1)和生长激素(GH)的水平降低甚至测不到，而胰岛素样生长因子-Ⅱ(IGF-Ⅱ)浓度正常或轻度增高，肿瘤切除后低血糖发作消失，上述参数也恢复正常，认为非胰岛素细胞肿瘤引起的低血糖与肿瘤细胞自分泌产生过多的IGF-Ⅱ有关。非胰岛素细胞肿瘤患者发生低血糖症，多数肿瘤是来自间叶组织或纤维组织，肿瘤可以是良性肿瘤，也可以是恶性，如纤维瘤、纤维肉瘤、平滑肌肉瘤等。肿瘤一般较大，通常见于胸腔、腹腔、腹膜后及盆腔肿瘤。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.体征</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)腹部检查：小子宫肌瘤从腹部摸不到肿块，如子宫增大超过3个月妊娠大小或宫底部有肌瘤易于触及。于耻骨联合上方或下腹部正中触及肿物、实性，若为多发性子宫肌瘤则其外形不规则，肿物可活动、无压痛，若为阔韧带肌瘤则其活动受限制。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(2)阴道检查：注意阴道是否通畅，有无肿物堵塞；宫颈大小、外观有无变形、肿物、有无移位，是否易于暴露，颈管有无变形，阴道穹隆是否饱满。子宫体部肌瘤则子宫呈不同程度增大，肌瘤局部向外突起，子宫表面凹凸不平，肿瘤硬度与子宫肌壁一致，若肌瘤含纤维组织成分较多者则触之较硬，若肌瘤有退行性变则变软甚至呈囊性，若肌瘤有钙化则触之坚硬如石。移动宫颈时肿瘤也随之移动。带蒂浆膜下肌瘤位于子宫表面，若蒂长，移动宫颈则肿瘤不随之移动，此时与卵巢肿瘤易混淆。子宫黏膜下肌瘤位于宫腔内者子宫呈一致性增大，表面平滑，硬度正常而活动，若带蒂黏膜下肌瘤脱出于宫颈外口处，则张开窥器即可看到子宫颈口处有肿物，粉红色，表面光滑，宫颈四周边缘清楚，软，肌瘤有时可缩回宫腔形成时隐时现。若肌瘤大，一旦脱出于宫颈外口即不易退缩回去，若时间长，肿瘤表面充血、水肿伴有感染，甚至形成溃疡、坏死而有脓性溢液排出。宫颈肌瘤则宫颈局部增大可触及圆形瘤核，若为带蒂黏膜下肌瘤脱出于宫颈口处，则与子宫黏膜下肌瘤外观相似，用探针探测蒂根位于颈管内则为宫颈黏膜下肌瘤。宫颈肌瘤多是单发的，若为巨型宫颈肌瘤，肌瘤可达3～4个月妊娠子宫大小，盆腔改变较复杂，宫颈有明显的移位及变形。肌瘤可来自前唇或后唇而以后唇为多见。后唇被增大的肿物所代替，前唇则被肿物扩张变薄，宛如临产后近开全的宫颈，而子宫则被推到肿物之上如高山上的小庙；有时位于宫颈上方近峡部的巨型肌瘤向子宫直肠陷凹处嵌入，宫颈向上移位于耻骨联合的后方，呈扁片状而无法暴露，子宫则被高举于肿瘤之上方。来自前唇的巨型肌瘤使宫颈口移到后下方，亦难以暴露，前唇被巨大的肿瘤代替，子宫被高举于肿物之上。有时宫颈肌瘤向侧方发展而形成阔韧带底部的肿瘤。三合诊可协助了解盆腔内的改变。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;3.特殊类型子宫肌瘤&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;子宫肌瘤是最多见的妇科良性肿瘤，每位妇科医师都治疗过若干例子宫肌瘤，所见病例绝大多数为普通型子宫肌瘤。在极少的情况下可以遇到某些特殊型子宫肌瘤。这些肌瘤或为显微镜下组织形态学具有特征或是临床所见肌瘤的生物学行为不同于普通平滑肌瘤，但其共同点是病理组织学属良性肿瘤。为了对子宫平滑肌瘤有一较全面的了解，对此类少见的特殊型肌瘤加以叙述，以期有助于临床处理，以避免将良性误认为恶性或将恶性误诊为良性而给予过多或不足的治疗，造成不良后果。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)富细胞型平滑肌瘤(cellular leiomyoma)：其临床表现和大体观与普通型平滑肌瘤无区别。光镜下见到的肿瘤有丰富的平滑肌细胞，密集排列，缺乏纤维组织，血管也明显减少。瘤细胞胞浆相对减少，但仍具有平滑肌细胞梭形，杆状核两端较钝的特点，细胞大小形态较一致。无异形或仅有个别细胞有异形。偶见核分裂，属良性，光镜下易于辨认(图2)。与恶性鉴别的标准是对富细胞型平滑肌瘤的诊断须将核分裂象、细胞异型、肌瘤与周围组织间有无浸润及出血、坏死等综合判断，核分裂象5～10个/10HPF且细胞轻度异型应诊断为潜在恶性；若核分裂象＞10个/10HPF则诊断为肉瘤。王有志等曾报道子宫特殊型平滑肌瘤110例，其中富细胞型平滑肌瘤最多见，为105例：此105例中93例肌瘤细胞无异型，其中核分裂象≤2个/10HPF者85例，3～4个/10HPF者8例，另12例平滑肌瘤细胞有轻度异型，核分裂象0～4个/10HPF，其中4例作了子宫肌瘤切除术，分别于术后18～23个月内妊娠，获足月分娩，余8例均行子宫切除术，7例随访1～5年情况良好，1例失访。</p><p style=\"text-align:center\"><img height=\"287\" src=\"http://pmmp.cnki.net/cdd/img/15.1%20%E5%AD%90%E5%AE%AB%E8%82%8C%E7%98%A4.files/image002.jpg\" width=\"319\"/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)高分裂象平滑肌瘤(leiomyoma with high mitotic figures)：与普通子宫平滑肌瘤之不同点为镜下见较多的核分裂象，核分裂象增多达5～15个/10HPF，但无异常核分裂，无瘤细胞坏死、细胞过多、细胞多形性、间变或巨细胞，此种肌瘤属良性但必须严格掌握此诊断标准(图3)。如果患者作了肌瘤切除术，只要肌瘤已被完全切除，对希望生育的妇女可以不必再作子宫切除术。</p><p style=\"text-align:center\"><img height=\"275\" src=\"http://pmmp.cnki.net/cdd/img/15.1%20%E5%AD%90%E5%AE%AB%E8%82%8C%E7%98%A4.files/image003.jpg\" width=\"346\"/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(3)奇异型平滑肌瘤或称非典型平滑肌瘤(bizarre，atypical leiomyoma)：临床表现与大体标本与普通平滑肌瘤无区别，仅镜下表现不同。瘤细胞为多边形或圆形，可见多形性，细胞核大而浓染，有多核巨细胞，但核分裂象极少，0～1个/10HPF，妊娠期或服用大剂量黄体酮酮类药物，肌瘤可以出现类似的奇异型细胞。此种奇异型瘤细胞通常呈局灶性出现于肌瘤，往往在退行性变区的附近，但有时可有多数奇异型细胞弥散于肌瘤的大部分，但很少是整个肌瘤全为此类细胞所构成。若遇此情况诊断奇异型平滑肌瘤须慎重。主要须与平滑肌肉瘤鉴别，要多作切片，仔细检查，注意核分裂象。核分裂象＜2个/10HPF无病理核分裂，无肿瘤坏死，属良性，可以诊断为奇异型平滑肌瘤；核分裂象2～5个/10HPF为潜在恶性；＞5个/10HPF为平滑肌肉瘤(图4)。</p><p style=\"text-align:center\"><img height=\"334\" src=\"http://pmmp.cnki.net/cdd/img/15.1%20%E5%AD%90%E5%AE%AB%E8%82%8C%E7%98%A4.files/image004.jpg\" width=\"374\"/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(4)血管型平滑肌瘤(vascular leiomyoma)：巨检肿瘤像普通肌瘤，切面色较红。镜下见血管性平滑肌瘤中血管很丰富，血管内皮细胞很明显，瘤细胞围绕血管排列，与血管平滑肌紧密相连，可见血管壁的平滑肌细胞与肌瘤细胞之间有移行过渡。核分裂象极少(图5)。</p><p style=\"text-align:center\"><img height=\"375\" src=\"http://pmmp.cnki.net/cdd/img/15.1%20%E5%AD%90%E5%AE%AB%E8%82%8C%E7%98%A4.files/image005.jpg\" width=\"383\"/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(5)上皮样平滑肌瘤(epithelioid leiomyoma)：是一种罕见的子宫肌瘤。瘤细胞失去普通平滑肌瘤细胞的梭形而呈圆形或多角形，排列成群或索条状类似上皮细胞，因而得名。平滑肌瘤部分或全部由上述细胞所组成即诊断为上皮样平滑肌瘤。有多种不同的细胞类型。平滑肌母细胞型细胞是多角形或圆形平滑肌细胞，胞浆丰富，有不等量嗜伊红颗粒，核周有透明晕，胞核圆形或卵圆形位于细胞中央，其细胞形态与胚胎平滑肌母细胞相似，故又称平滑肌母细胞瘤(leiomyoblastoma)，见图6。在这些细胞间常掺杂典型平滑肌细胞并可见两种细胞的过渡形态，此类型很少发生于子宫而多见于消化道平滑肌瘤。透明细胞上皮样平滑肌瘤(clear cell epithelioid leiomyoma)，其细胞体积大，界限清楚，呈圆形或多角形细胞，胞浆丰富，透明和出现空泡，核居中或在边缘。病变可呈灶性分布或累及整个肌瘤。肿瘤中可见平滑肌细胞的移行过渡。透明细胞型很少是恶性。丛型肿瘤(plexiform tumor)非常少见，体积小，多半是在显微镜下检查时偶然被发现的，近年超微结构确定其来源为平滑肌细胞。多位于肌层内，少数也可发生于黏膜下或浆膜下。镜下可见1～3层小细胞紧密排列成直的或分支的索条状细胞束，细胞之间有较丰富透明变性的胶原组织，其间可见散在的毛细血管。单个细胞为小的多边形，有少量嗜伊红的胞浆，胞核较小深染或泡状，核仁小，瘤细胞形态一致，无多形性和异型，无核分裂象，为良性，无转移或复发。上皮样平滑肌瘤大多数为良性，核分裂象为0～1个/10HPF；若核分裂象为2～5个/10HPF为潜在恶性；若核分裂象5个＞10HPF为上皮样平滑肌肉瘤，可以找到肿瘤细胞坏死，异常核分裂象及核异型。</p><p style=\"text-align:center\"><img height=\"335\" src=\"http://pmmp.cnki.net/cdd/img/15.1%20%E5%AD%90%E5%AE%AB%E8%82%8C%E7%98%A4.files/image006.jpg\" width=\"367\"/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(6)静脉内平滑肌瘤病(intravenous leiomyonmtosis)：极罕见，是一种由子宫肌瘤向脉管内生长或由脉管壁本身的平滑肌组织增生后突向管腔内的肿瘤，除静脉外淋巴管也可受累，所以又称脉管内平滑肌瘤病(intravascular leiomyomatosis)。静脉内平滑肌瘤病可以超出子宫，若未完全取净，可以在静脉内沿静脉延伸达下腔静脉，甚至到心脏(极少)。叶永清等(1996)报道1例子宫颈残端及下腔静脉平滑肌瘤，瘤栓延伸至右心房及右心室。由血管外科、心脏外科和妇科联合手术，成功地将下腔静脉及宫颈残端平滑肌瘤取出，术后2年随访患者健康。组织学是良性平滑肌瘤。绝大多数患者同时有子宫肌瘤或过去有子宫肌瘤手术史。临床症状无何特殊，可有月经过多或腹部肿块，检查子宫增大，一般术前不易诊断。彩超显示肌瘤有多个结节且瘤体内血供丰富，此为子宫脉管内平滑肌瘤的声像特点，对术前诊断很有价值。手术时如见到子宫表面有一种特殊的静脉形态或暗红色结节，或阔韧带内有结节或暗紫色包块，或膀胱腹膜反折处静脉、宫旁静脉、卵巢静脉增粗并触之变硬，则应提高警惕。病变主要在子宫肌壁或盆腔静脉内，子宫肌壁剖面内可见到多个灰白色大小不等的结节0.1～2cm，四周有明显的腔隙，此腔隙即为扩大的脉管，将腔隙内肿瘤分离可见有蒂与管壁相连，肿瘤呈蠕虫样，条索状和分支状，取出后留下圆形腔隙内壁光滑；也可在肌间肌瘤边缘或黏膜下肌瘤蒂根附着处有扩张的脉管，肌瘤似栓子样突入脉管内。子宫外盆腔静脉内平滑肌瘤可在阔韧带见到结节，宫旁或卵巢静脉内有条索状肿块，静脉切断后可将肿瘤从静脉腔内拉出来，有时静脉腔被充满，继续增大可成为圆形，外观灰白色或紫褐色，质地可以从软、海绵状到橡皮样或硬。镜下肿瘤由形态学良性的平滑肌瘤所组成，长在衬有内皮细胞的脉管中，大多数为静脉少数为淋巴管，表面为扁平内皮细胞所覆盖，肿瘤内有厚壁的小血管，可见透明变性，细胞形态正常，无核分裂象或仅有少量分裂象，肿瘤可以游离存在于管腔内也可以与管壁相连。镜检时应注意核分裂象以鉴别良恶，核分裂象＜2个/10HPF为脉管内平滑肌瘤；2～5个/10HPF为脉管内平滑肌瘤具潜在恶性；＞5个/10HPF为平滑肌肉瘤侵入脉管内。静脉内平滑肌瘤病治疗后易复发，于子宫切除术时病变未超出子宫或将子宫外病变已完全切净，日后还可以在其他脉管内发生。有时是在子宫切除若干年后发生。复发与保留卵巢的内源性雌激素有关，主张作全子宫、双附件及子宫外肿瘤切除，可减少复发，改善预后。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(7)播散性腹膜平滑肌瘤病(leiomyomatosis peritonealis disseminata)：较罕见，近年国内相继见有报道。其特点是多发性平滑肌瘤小结节播散分布于腹膜、大网膜、肠系膜、子宫直肠陷凹以及盆腹腔脏器表面，如膀胱、子宫、卵巢、肠管、肝被膜等，结节为灰白色，实性，大小不等，小者1～8mm，大者可达8cm或更大，酷似恶性肿瘤的种植，多在术时发现，患者同时有子宫肌瘤或过去有子宫肌瘤手术史。肿瘤为良性，对周围组织无浸润或破坏，镜下结节由梭形的平滑肌细胞组成，肌束交织呈旋涡状排列，瘤细胞大小一致，无异型，无巨细胞，核圆形或两端钝圆的长核，无核分裂或偶见，无血管侵犯，组织学为良性。镜检须注意核分裂象以助鉴别良恶性。核分裂象＜5个/10HPF为播散性腹膜平滑肌瘤；5～9个/10HPF为潜在恶性；核分裂象＞10个/10HPF为平滑肌肉瘤。此病的组织学发生与病因还不十分清楚，有多种说法，而以病变来自腹膜下结缔组织化生的平滑肌较为合理。许多患者是在妊娠期发现的，病变内也可见到蜕膜细胞，说明此病的发生与性激素水平增高有关。很多患者于妊娠后病灶自然消退。播散型腹膜平滑肌瘤治疗后易复发。作全子宫、双附件及子宫外肿瘤切除。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(8)良性转移性平滑肌瘤(benign metastasizing leiomyoma)：子宫平滑肌瘤患者伴发肺或淋巴结转移。有关子宫平滑肌瘤的良性转移问题曾有争论，近年来认为在罕见情况下，无核分裂象或仅有极少核分裂象的良性子宫平滑肌瘤可以扩散到盆腔或腹膜后淋巴结或肺，有些患者是在良性子宫肌瘤术后几年出现肺转移。经检查子宫与转移的肿瘤均为分化良好的平滑肌所构成，无细胞异型性、多形性、无肿瘤细胞坏死或异常分裂象，并在消化道、腹膜后或其他部位均未找到其他原发性平滑肌瘤可以解释其转移的来源。即或如此，对此种子宫肌瘤的检查应充分取材，至少每隔1cm取一块组织，并计数核分裂象，每张切片至少数40HPF，子宫肌瘤及转移肌瘤的核分裂象需＜5个/10HPF。此病进展缓慢，其预后难以估计，有的患者用激素治疗可消退，但有的病情进展影响肺功能则须采用手术治疗，切除肺部病变。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5763', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '175', '并发症', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;子宫肌瘤生长缓慢，无疼痛，一旦临床出现疼痛症状多因肌瘤并发症所引起，有些患者初次就医即因疼痛而来，应结合其临床症状与体征，找出其原因。肌瘤的并发症有红色变性、感染、扭转。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;1.红色变性&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;子宫肌瘤红色变性多见于妊娠期或产后，亦可发生于绝经期妇女。肉眼见肌瘤剖面呈暗红色，无光泽，质软如变质的牛肉。多发生于妊娠中期，以浆膜下肌瘤为常见。患者出现严重的腹痛，伴发热，一般在38℃左右，白细胞增高。检查肿瘤局部有明显的压痛。一般经对症治疗，症状逐渐好转，1周左右即可恢复，不需要手术,但有时因缺血与坏死的症状加重，对症治疗无效或不能排除其他可能时，最后需行剖腹探查，作子宫肌瘤切除术。一般妊娠期不主张作肌瘤切除术，因为增加流产的风险同时手术也极易发生出血。若发生在非孕妇女则其临床过程较缓和，通常不那么急剧，症状持续1～2天或持续加重，有指征行剖腹探查时，根据情况决定作肌瘤切除术或子宫切除术。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.感染&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;子宫肌瘤感染多发生于子宫黏膜下肌瘤或宫颈黏膜下肌瘤脱出于阴道内，由于阴道内的致病菌感染所致。一旦感染则有大量阴道溢液流出，混有血性或脓性，有臭味。检查见肌瘤表面水肿，覆有白膜或坏死组织，呈灰黑色，甚至有腐烂组织脱落。肿瘤触之软，宫颈软，穹隆软。子宫如无其他肿瘤则为正常大小，可活动，两侧宫旁组织软，无压痛。黏膜下肌瘤感染一般引流通畅，很少发生盆腔炎，以至引起临床出现发热、腹痛等全身症状。浆膜下肌瘤因红色变性或扭转血运不良或肌间肌瘤囊性变等原因造成肿瘤中心部坏死，发生继发感染时，患者表现为急性腹痛、发热，妇科检查肌瘤有压痛。处理上积极控制感染，采取手术治疗。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;3.扭转&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;子宫肌瘤扭转主要发生于浆膜下肌瘤。一般肌瘤多蒂短而较粗，虽可发生扭转，但其发病远不如卵巢囊肿蒂扭转那么常见。偶见巨大的浆膜下子宫肌瘤可并发子宫扭转。肌瘤蒂扭转后患者发生突然下腹痛，拧痛。若扭转后肿瘤嵌顿于盆腔内，可有下腹憋坠感，检查下腹部可触及肿物，有压痛而其压痛最明显是在近子宫侧的蒂根部。阴道检查子宫正常或增大。子宫表面可触及肿物有压痛，有时肌瘤偏于子宫的一侧与卵巢肿瘤蒂扭转难以鉴别。B超检查可协助分辨肿瘤的来源。一般无发热，如日久有继发感染可有发热。一经诊断需手术治疗。</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5764', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '175', '实验室检查', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;诊断性刮宫是妇科最常用的简便易行的辅助诊断方法。探查了解宫腔情况，并刮取内膜作病理化验是其基本要求。行诊断性刮宫时探查宫腔深度、方向、有无变形及黏膜下肌瘤，协助阴道检查确定肌瘤位置及其对宫腔的影响。前壁肌瘤突向宫腔时子宫探针进入方向先偏后，反之若来自后壁的肌瘤则探针进入先向前，前进时有爬坡感，越过突起部分才能达到宫底部。刮宫时应体会宫壁是否平滑，宫底部有无突起及肿物滑动，但小的黏膜下肌瘤却易被滑过而漏诊，这是诊断性刮宫的不足。巨型宫颈肌瘤宫颈部被拉长，可达10cm以上，子宫被高举，虽宫腔大小无改变，有时探针须进入15cm方可达宫底，这类子宫肌瘤探查宫腔不容易，需要有一定经验的医师来操作，边探边分析方可得到正确的判断。诊断性刮宫另一要求是了解子宫内膜病理性质。对年轻妇女的子宫内膜癌往往是在常规诊断性刮宫后发现。因此，子宫肌瘤术前应将诊断性刮宫列为常规。</p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5765', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '175', '辅助检查', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.B型超声检查&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;B超检查问世以来，对盆腔肿块的鉴别大有帮助。B超检查无损伤，可重复，现已广泛应用于临床，成为子宫肌瘤的主要辅助诊断方法。协助鉴别盆腔肿物之来源如子宫肌瘤与卵巢实性肿瘤、巧克力囊肿以及附件炎性肿块的鉴别；对增大的子宫不能肯定为肌瘤，需要排除妊娠或妊娠有关的疾病如葡萄胎或肌瘤合并妊娠；肌瘤切除术前明确肌瘤所在部位、大小及数目作为术时参考以及术后随诊检查的依据；对突出宫颈口的较大黏膜下肌瘤，了解其蒂根部位以及子宫其他部位有无肌瘤；肌瘤合并妊娠了解胎儿情况；肌瘤红色变性病情变化的随诊等。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.子宫输卵管造影&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;子宫输卵管造影是一个古老的检查方法，可以显示宫腔有无变形、占位性病变同时可显示输卵管是否通畅，若不通畅亦可显示其阻塞部位，主要用于不孕患者。单纯为排除子宫黏膜下肌瘤或了解肌瘤在子宫腔内的部位，则采用B超检查或宫腔镜检查，已较少采用子宫输卵管造影。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;3.宫腔镜检查&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;子宫肌瘤一般诊断不困难。通常临床遇到困难的是小型黏膜下肌瘤，诊断性刮宫往往被漏诊，而在子宫切除的术后标本中方发现有黏膜下子宫肌瘤。宫腔镜可以在直视下观察宫腔内病变性质，确定病变部位并能准确地取材活检，对小的黏膜下肌瘤也可以同时切除。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;4.腹腔镜检查&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;随着腹腔镜技术在妇产科的广泛应用，目前腹腔镜不仅作为检查手段，而且常与手术同时进行，并日益受到重视。子宫肌瘤临床可以检查清楚一般不需要作腹腔镜检查。有些盆腔肿块有手术指征者可直接剖腹探查。偶有子宫旁发现的实性小肿块难以确定其来源与性质，而其处理方法又不同，尤其B超检查也难以确定时可作腹腔镜检查，明确诊断以便治疗，如小型浆膜下肌瘤、卵巢肿瘤、结核性附件包块等。腹腔镜应仔细地观察盆腔肌瘤大小、位置、与周围脏器的关系，需手术者便可立即进行手术治疗。因此，在决定作腹腔镜检查时须作好有可能随即手术的一切准备。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;5.其他影像学检查&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;子宫肌瘤通过上述手段可以明确诊断。一般很少采用其他影像学检查，如电子计算机X线断层照相(CT)或磁共振显像(MRI)，若有需要可用CT或MRI作进一步检查。MRI对诊断子宫肌瘤尤为得力，无论是黏膜下、浆膜下或肌壁间肌瘤都能显示出边界清楚的肿瘤，并能确定其所在部位及数目，对小肌瘤(0.5～1.0cm)也可辨认清楚，肌瘤退行变如玻璃样变、钙化均可显示。超声检查和CT可因子宫位置和形态的影响而难以确诊。MRI价格昂贵，尚难以推广。</p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5766', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '175', '诊断', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;根据病史与检查结果，结合起来分析判断，不难作出诊断。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;1.病史与一般妇科检查是诊断肌瘤的基本方法&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;绝大多数子宫肌瘤可以借此得到正确诊断。过去子宫肌瘤的辅助诊断方法只有诊断性刮宫与子宫输卵管造影，对某些特殊病例在诊断与处理上确有些感到束手无策。当今有B超检查、宫腔镜、腹腔镜，使过去一些疑难病例一般可以迎刃而解，即或如此，临床诊断的基本功仍不容忽视，而且采用辅助诊断须有指征。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.妇科检查&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;子宫肌瘤为妇科的常见病，多发生于中年妇女，以月经过多，不规则子宫出血及膀胱、直肠的压迫症状为主诉，多伴发贫血、下腹部肿块或不孕等。对就诊的患者须问清病史，通过腹部、阴道检查结合病史进行分析一般即可做出正确诊断。检查患者时须注意一般情况及有无贫血貌，腹部检查若为大肌瘤可触及肿块，质硬，居下腹中部；若肌瘤刚超出盆腔可触及耻骨联合稍向上处有饱满感。阴道检查：子宫体部肌瘤子宫呈不同程度的增大，肌瘤所在部位表面隆起，肿物较硬，若为浆膜下肌瘤则子宫表面可触及结节状肿物与子宫关系密切。带蒂浆膜下肌瘤可有一定的活动度。子宫体部肌瘤往往为多发，肌间、浆膜下肌瘤混合存在，致使子宫外形不规则；若为阔韧带肌瘤，则肿瘤活动受限制，而子宫被挤向对侧；若为黏膜下肌瘤则子宫一致性增大，一般为8～10周妊娠大小，过大者少见。带蒂黏膜下肌瘤脱出于宫颈口外者触之肿物可以自由转动，宫口松软，周围一圈完整，肿物表面为粉红色，若有感染可见脓苔、溃疡、坏死并有脓血性溢液；宫颈肌瘤多为单发的小型肌间肌瘤，宫颈增粗，若宫口松，一指进入颈管可触及瘤核，颈管弯曲有变形。宫颈黏膜下肌瘤若突出于宫颈口外，其外观与子宫黏膜下肌瘤相同，但其蒂根附着于颈管内。巨型宫颈肌瘤盆腔变异较大，肿瘤增大可充满盆腔，宫体被高举于肿瘤之上，阴道内触及巨型肿物，若肿瘤来自后唇，则前唇被撑薄呈一窄片，深居于穹隆部而难以暴露。若来自前唇则宫口移向后下方，巨型宫颈肌瘤往往嵌入盆腔活动受限。</p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5767', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '175', '鉴别诊断', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;子宫肌瘤的诊断一般不困难，有时因为病史不清楚或体征表现不典型，会给诊断带来一定困难。鉴别诊断的要点是把握住各有关疾病的特点，将所得病史与检查结果结合起来进行周密分析，作出鉴别。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;1.妊娠子宫&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;妊娠子宫与子宫肌瘤均有子宫增大，但两者从病史与妇科检查所见又有其不同，一般不易误诊。前者患者有停经史，早孕反应，而且子宫增大与停经月份一致，子宫质软，阴道壁，宫颈外观有着色，质软，而子宫肌瘤虽有子宫增大但质地较硬，而且无停经及早孕反应，相反往往有子宫出血病史，两者容易区分。对有月经不规律的更年期妇女，或婚后年久不育的妇女可有意想不到的妊娠，若未问清病史可将增大妊娠子宫误诊为子宫肌瘤。因此，对育龄妇女子宫增大者首先要排除妊娠，注意问清有关月经史。有时早孕子宫因胚囊着床于宫底的一侧，子宫可呈不对称增大也不要误诊为子宫肌瘤。当前辅助诊断方法多而且灵敏，临床若有怀疑或诊断不清，可作妊娠试验及B超检查。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.卵巢肿瘤&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;卵巢囊肿不易与子宫肌瘤混淆，因为两者硬度不同，前者为囊性而后者为实性，同时前者与子宫中间有分界，可与之分开，而子宫肌瘤则与子宫关系密切不能与之分开，移动宫颈则随之活动。诊断遇到困难较多的是卵巢实性肿瘤与浆膜下子宫肌瘤，两者均为实性肿物。如果肌瘤在子宫的一侧，尤其带蒂浆膜下肌瘤有时鉴别困难，须借B超检查协助。卵巢恶性肿瘤也为实性肿块，与子宫牢固粘在一起融成一个团块时，虽属子宫外在肿块但与之不能分开，有时被误诊为子宫肌瘤。年龄是一个重要的线索，肌瘤多见于中年妇女，有月经不调，而卵巢癌多见于老年妇女。若患者为绝经后妇女首先要考虑为卵巢恶性肿瘤，结合其他卵巢恶性肿瘤的体征如子宫直肠陷凹结节或肿块、子宫固定不动等均有鉴别价值。诊断性刮宫了解宫腔大小，方位以及内膜有无病变有帮助。B超检查若见到双侧卵巢即可排除卵巢肿瘤，从子宫肌瘤与卵巢恶性肿瘤B型超声的声像图之不同亦可鉴别。阔韧带内巨大子宫肌瘤触之为实性肿物，居子宫的一侧，有时被误诊为卵巢实性肿瘤。卵巢实性肿瘤若不是恶性一般活动度好，而阔韧带子宫肌瘤则活动受限。少见的情况下，巨大子宫肌瘤囊性变可被误为卵巢囊肿。阴道检查：若为大肌瘤囊性变，摸不到宫体，而卵巢囊肿，除囊肿外可触及子宫体。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;3.子宫内膜异位症&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;子宫内膜异位症是妇科常见病，而其临床表现也是多种多样。子宫内膜异位症往往宫骶韧带增粗或有结节，病史上有痛经，经期肛门坠痛，腹泻等症状有助于与子宫肌瘤鉴别，子宫肌瘤有月经过多或经期紊乱，但无痛经。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;4.子宫腺肌病&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;子宫腺肌病也表现为子宫增大，月经过多，好发于中年妇女。与子宫肌瘤，从病史与阴道检查所见颇有类似之处，重要的鉴别点是子宫腺肌病的临床症状特点突出是进行性加重的痛经，并伴有肛门下坠感；阴道检查子宫呈一致性增大，一般为10～12周妊娠大小，很少大于12周妊娠大小，其质地坚硬，有时经前及经后子宫大小可有变化。经前、经期子宫略增大而于经后较前略小，可能与肌壁间病灶内经期积血有关。子宫肌瘤的子宫多呈不规则增大、质韧，虽有月经过多症状但无痛经。有时两者可以并存，子宫肌瘤合并子宫腺肌病，病史可以出现痛经症状。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;5.子宫内膜癌&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;子宫内膜癌常见症状是不规则阴道出血，并有子宫增大，从临床症状与体征均有相似之处。发病年龄不同，子宫内膜癌好发于老年妇女以绝经后出血为多见，同时有白带增多而子宫肌瘤则多见于中年妇女。阴道检查两者均有子宫增大，子宫内膜癌子宫为一致性增大，质较软。对更年期妇女应警惕子宫肌瘤合并子宫内膜癌。因此子宫肌瘤患者术前常规作诊断性刮宫可以排除子宫内膜癌。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;6.子宫颈癌&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;宫颈癌症状有不规则阴道出血，白带增多或流恶臭的阴道溢液而子宫黏膜下肌瘤脱出于宫颈口或宫颈黏膜下肌瘤伴有感染均可产生同样的症状。窥器看阴道内肿物表面有溃烂、坏死，外观似菜花状宫颈癌。阴道检查可协助鉴别。子宫颈癌宫颈增大、硬，肿物表面脆，极易出血，穹隆部往往也被累及变硬；而黏膜下肌瘤表面光滑、不硬、不脆，子宫颈质软，穹隆完整质软，带蒂黏膜下肌瘤可以转动。宫颈刮片及组织活检可确诊宫颈癌。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;7.盆腔炎性肿块&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;结核附件炎性肿块，触之实性较硬，与子宫紧密粘连，包块不活动，子宫边界不清，易与子宫肌瘤混淆。但两者的病史与症状均不同。结核包块患者有结核史，特别是肠结核及腹膜炎史，不育史，月经量少甚至闭经，若为活动性结核则有低热，体弱，血沉快，而子宫肌瘤以月经过多为主诉。诊断性刮宫若为子宫内膜结核即可确诊为结核性包块，子宫肌瘤一般宫腔增大。B超也可协助鉴别包块的来源。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;8.慢性子宫内翻&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;慢性子宫内翻阴道内脱出肿物，其表面为子宫内膜，可误诊为黏膜下子宫肌瘤脱出于阴道。仔细检查于肿物下方两侧可见到外翻的输卵管内口，进一步双合诊检查盆腔内空虚，触不到宫体即可鉴别。追问患者曾有急性子宫内翻的病史。现在此病已很少见。临床须注意的是在检查脱出于阴道外的黏膜下子宫肌瘤时应警惕是否同时伴有子宫内翻。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;9.子宫肉瘤&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;子宫肉瘤与子宫肌瘤均有子宫增大，阴道出血，有其相似之处。临床往往将子宫肉瘤误诊为子宫肌瘤。子宫肌瘤发生于育龄妇女，生长缓慢，绝经后逐渐萎缩为其特点，而子宫肉瘤好发生于老年妇女，生长迅速，若子宫肿瘤增长迅速，特别是绝经后妇女子宫增大首先应考虑子宫肉瘤，并须注意是否有肿瘤侵犯周围组织出现腰腿痛等压迫症状。阴道检查肉瘤子宫增大、质软或硬，有时从宫口有息肉样赘生物脱出，暗红色，或粉色，质脆，触之易出血，诊刮可有帮助，若未侵及内膜则得不到阳性结果。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;10.子宫肥大症&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;子宫肌壁组织平滑肌细胞肥大，肌层增厚，子宫一致性增大。发生于育龄妇女，往往伴有月经过多。一般子宫孕8～10周大小，多见于经产妇，B超无瘤核，诊刮内膜无异常发现。</p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5768', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '175', '治疗', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.子宫肌瘤治疗方法的选择应遵照以下原则</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)症状：根据症状选择治疗方法，在子宫肌瘤可能比其他疾病(特别是肿瘤)更重要。子宫肌瘤是良性肿瘤，不少妇女患有肌瘤，但并未接受过治疗，而长期健康生存。因其他原因死亡而进行的尸检中，往往发现死者子宫上长有肌瘤，而他们生前从未有过子宫肌瘤的病史记载。因此，肌瘤患者有无症状是决定处理方针的主要根据。事实上对肌瘤患者是否进行治疗，以及进行什么样的处理，或进行何种手术，在很大的程度上决定于症状的有无和严重程度。由于子宫肌瘤常伴有子宫内膜病变，如单纯性子宫内膜增长过长、腺囊型子宫内膜增生过长、腺瘤型子宫内膜增生过长，甚至子宫内膜不典型增生，常伴有不规则阴道出血，所以处理子宫肌瘤时必须了解月经情况，对有出血症状者应作诊断性刮宫以了解内膜情况，有助于治疗。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(2)肌瘤的大小与部位：肌瘤的大小与部位在决定处理方针上也有重要意义。对于没有症状或症状很轻的患者，肌瘤长到多大仍属安全范围，是很难肯定的。不过绝大多数学者主张，以肌瘤相当于12周妊娠子宫大小为标准，接近或超过这个标准，即应进行手术。因为肿瘤太大，手术野暴露差，手术困难，出血不易控制，对于子宫颈或子宫下段肌瘤，宁可提早手术，应该在肌瘤直径大于3cm时即行手术，否则手术会更加困难。此外，应注意肌瘤的生长速度及有无盆腔合并病变，如合并有盆腔病变或肌瘤生长快者，则宜及时进行手术治疗。估计手术困难者，可考虑术前进行药物治疗，以降低手术的难度及减少术中出血。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(3)年龄与生育状态：对年轻、希望生育的患者，应保留子宫。无症状的患者，经观察一段时期后，仍不能怀孕时，可作肌瘤摘除术。有症状者，应及时进行肌瘤摘除。年轻患者虽然已有子女，亦可考虑进行子宫肌瘤摘除而保留子宫。50岁左右的患者，症状较明显时，应积极治疗，除手术治疗外，尚可考虑进行药物治疗；症状或症状轻者，可以不进行特殊治疗。中年妇女已有子女者，一般认为子宫已“不必要”而例行子宫切除，这对需要进行手术治疗的患者来说，是无可非议的。然而随着科学的发展，切除子宫(保留卵巢)是否会对生理上及精神上带来影响，尚值得进一步研究。因此，对这一年龄段的患者，如对切除子宫有顾虑，要求保留子宫，亦可考虑仅作子宫肌瘤摘除术。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(4)全身情况：一般讲，患者全身情况只能作为决定子宫肌瘤处理方针的参考。如全身情况不良由于肌瘤本身造成的(如严重贫血等)，则应积极处理，包括输血等全身支持治疗，或同时给予子宫肌瘤药物治疗后再进行手术治疗。如主要由其他疾病所致的全身情况不良，则应权衡利弊，选择合适的处理方案。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.保守治疗</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)期待疗法：期待疗法即为定期随诊观察，而不需要特殊处理。主要适于无症状的子宫肌瘤，尤其＜10～12周妊娠子宫大小者，若为近绝经妇女，期待绝经后肌瘤可以自然萎缩。此外临床常见一些经健康查体发现的无症状的小肌瘤，患者往往带着焦虑的心情来就医，这些患者经过仔细检查确诊为子宫肌瘤者，可采用期待疗法，无必要行手术治疗。每3～6个月复查1次，随诊期间注意有无症状出现，子宫是否增大。每次随诊需做妇科检查并辅以B超检查。随诊过程中若出现月经过多压迫症状或肌瘤增大尤其速度较快者，则改用手术治疗。在有规律的定期随诊监护下，对无症状的子宫肌瘤行期待疗法是妥当的。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(2)药物治疗：子宫肌瘤是性激素依赖性肿瘤，临床采用激素药物治疗，历时已逾半个世纪，曾试过多种药物，但根治肌瘤的药物仍处于探索过程中。近年陆续问世的新药，临床应用收到明显缩小肌瘤的疗效，颇受重视。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;①促性腺激素释放激素激动剂(GnRHa)：GnRHa是下丘脑GnRH的衍生物，在GnRH(10肽)分子的第6、10位氨基酸结构被取代，其活性可为天然10肽LHRH的40～200倍。我国试制的LHRHa约为天然10肽的15倍。LHRH及其类似物激动剂作用的特点是因给药方式和疗程长短的不同而对下丘脑-垂体-性腺轴功能起双向调节作用。模拟内源性LHRH生理释放的方式以脉冲式间断给药能激活垂体-性腺轴功能称为升调节(up regulation)，可以诱发排卵。若大剂量连续或长期非脉冲式给药则产生抑制作用，称为降调节(down regulation)。抑制垂体FSH和LH的分泌，并进一步降低卵巢分泌的雌二醇水平。治疗子宫肌瘤是通过连续给GnRHa使雌二醇抑制到绝经水平，造成假绝经状态或称药物性卵巢切除，借此抑制肌瘤生长并使其缩小。此药因能被胃多肽酶灭活，不能口服。常用的给药方式为鼻腔喷洒、皮下注射、肌内注射或植入。长效制剂可每月用药1次，方便患者。兹将常用GnRHa药品名称、剂量及给药方法列于表1以供参考。</p><p style=\"text-align:center\"><img height=\"416\" src=\"http://pmmp.cnki.net/cdd/img/15.1%20%E5%AD%90%E5%AE%AB%E8%82%8C%E7%98%A4.files/image007.jpg\" width=\"348\"/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;20世纪80年代初期首次报道应用GnRHa治疗子宫肌瘤获得成功。用药3个月，肌瘤体积缩小77%，月经过多停止，血红蛋白增加，贫血得以纠正。此后陆续有文献报道，其有效率达87%，用药3～6个月，肌瘤体积缩小50%(30%～60%)，但完全消失者仅见于小的肌瘤。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;用药4～8周即可看出效果，12～16周效果最佳，继续用药其效果即不显著，肌瘤体积不再缩小或缩小很少。子宫及肌瘤体积缩小的程度与体内雌激素下降水平有关。肥胖患者效果较差，可能与其皮下脂肪腺外转化的雌激素增多有关。然而有少数患者即使雌激素水平降至绝经水平，肌瘤缩小仍不明显，多见于年龄较大的妇女，其原因还不太清楚。这些肌瘤可能是非雌激素依赖性；也有认为与肌瘤成分的异质性有关，肌瘤内的钙化或纤维组织对激素治疗反应差或无反应。尽管报道中所用的GnRHa药物有所不同，其疗效基本一致。用药的时间不等，一般为12～24周。多普勒脉冲波超声检查显示用药后随着子宫与肌瘤体积的缩小，子宫血流也相应减少。患者在用药期间闭经，停药后4～10周月经恢复。随着月经的恢复肌瘤在不同的时间后又开始增大，在6个月内多数又重新恢复到原来的大小。在近绝经期的患者中，有的停药后继续闭经而过渡到绝经，肌瘤不再长大。国内张俊惠等(1995)报道应用国产GnRHa治疗34例有症状的子宫肌瘤也取得满意疗效。每天肌注GnRHa 200µg或500µg共3个月，肌瘤体积平均缩小49%，临床症状明显改善。5例原发不孕患者治疗后2例妊娠，均为足月分娩。1例为近绝经期患者用药后诱发绝经而免除了手术治疗。Nakamura(1993)报道25例围绝经期子宫肌瘤患者应用GnRHa治疗16周，肌瘤均缩小。停药后有8例绝经，肌瘤未见再增大，此组年龄平均为51岁(47～54岁)，而未绝经组在停药后12周内肌瘤又增大，恢复到原来大小，此组年龄平均为47岁(36～59岁)。进一步分析两组治疗前血清LH、FSH水平相似，停药后绝经组LH、FSH平均水平高于未绝经组，值得注意的是绝经组治疗前E2平均水平200pmol/L，低于未绝经组E2平均水平550pmol/L，两组治疗前血清E2水平有差别。因此，提示患者年龄及其治疗前的血清E2水平可能有助于预测GnRHa治疗后是否会诱发绝经的问题。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;GnRHa的副反应主要是由于低雌激素水平所引起的绝经期综合征及骨质丢失。患者出现程度不同的潮热，燥汗，阴道干涩，情绪不稳定，而令人顾虑最大的是骨质丢失。用药24周，骨质可丢失6%(4%～12%)，一般停药后可以恢复，但也不是所有患者停药后都可以恢复，因而限制了其长期使用(＞6个月)。为了避免由于长期使用GnRHa造成低雌激素状态带来的副作用，采用GnRHa与性激素联合用药以期达到能减轻或制止潮热等绝经期症状及防止骨质丢失又能保持GnRHa对子宫肌瘤的疗效，经过多年摸索取得了临床效果。于20世纪80年代后期提出的反加添加疗法(add back)，已得到临床肯定，先用GnRHa 12周，收到子宫缩小的效果后，再加用相当于绝经后激素替代治疗所用的低剂量雌激素与孕激素，与之联合。文献中所选用的药物与剂量不尽相同，根据临床效果，须因人而异，至今还没有成熟的方案。现提供两个方案供临床参考。先GnRHa 3个月使肌瘤缩小后，再与天然结合雌激素(倍美力)0.3～0.625mg＋醋酸甲羟孕酮(安宫黄体酮)2.5mg 1次/d联合应用；从治疗开始即采用GnRHa与替勃龙(利维爱)2.5mg 1次/d联合应用。一般应用GnRHa 12周的患者不需反加疗法。</p><p>子宫肌瘤采用GnRHa治疗的适应证根据临床应用的情况归纳如下：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;A.术前辅助治疗，这是目前应用最多的适应证，大肌瘤伴有严重子宫出血，术前用药使肌瘤缩小后手术，则术中出血减少而且操作容易尤其是肌瘤切除术。严重贫血者用药后闭经，不再出血，术前可使贫血得到纠正，术中不必输血，可避免因输血带来的并发症。有些患者用药后由于肌瘤缩小，原定为子宫切除者可改为肌瘤切除，得以保留子宫，也有原拟行腹部子宫切除者由于子宫缩小可有条件行阴道子宫切除或行宫腔镜或腹腔镜下切除，这样便使患者对术式的选择有了更多的余地。值得注意的是若行肌瘤切除术，有些肌瘤因术前应用GnRHa而缩小，可使术者术中难以发现而被遗漏，因而会增加肌瘤切除术后“复发”的机会。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;B.子宫肌瘤合并不孕患者，经药物治疗后肌瘤缩小，为受孕改善了条件，停药后有的患者可以获得自然受孕的机会。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;C.近绝经期患者采用GnRHa治疗后，有些患者可以提前过渡到绝经，肌瘤随之自然萎缩。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;D.子宫肌瘤患者有严重合并症暂不能接受手术者可以采用GnRHa药物治疗，控制肌瘤生长，暂缓手术。GnRHa药价较昂贵，副作用大，尚难以推广或长期使用。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;②米非司酮：又称RU486，是19-去甲睾酮的衍生物，具抗孕激素、抗糖皮质激素的作用，前者的作用强于后者。20世纪80年代研究成功的药物，最初临床主要用于抗生育，近年逐渐扩大了其应用范围。Murphy等(1993)首次报道应用米非司酮治疗10例有症状的子宫肌瘤患者，使子宫肌瘤体积缩小。最初是每天服50mg，连续服用3个月。其后又作了每天25mg及5mg不同剂量的观察，治疗3个月，25mg组用药3个月，肌瘤缩小49%，收到与50mg组同样的效果，5mg组的疗效差。三组用药期间均出现闭经，部分患者出现轻度潮热。国内杨幼林等(1996)报道34例子宫肌瘤，用两种不同剂量米非司酮治疗，剂量分别为每天10mg及20mg，从月经第1～3天开始服用，连续3个月，治疗期间均闭经，症状消失，无阴道干涩症状。停药后4周左右月经恢复。有5例48岁以上的患者停药后3个月仍继续闭经，肌瘤体积持续缩小。20世纪90年代后期国内陆续有较多的米非司酮治疗子宫肌瘤的报道。用量为每日服12.5～25mg不等，连服3个月为一疗程，均收到肌瘤缩小的效果，体积缩小50%左右。有效率(缩小＞20%)达85%～90%，服药期间闭经。副反应轻，少数患者出现轻度潮热，个别转氨酶轻度增高，停药后即恢复正常。停药后15～40天恢复月经，个别延迟。月经恢复后子宫肌瘤体积的变化也因人而异。有的患者停药后3个月内肌瘤未见增大，随后逐渐见增大。月经恢复后的经量也不尽相同，张娟(1999)报道47.2%与平素月经相同，33.3%多于平素月经，13.8%少于平素月经。50岁左右近绝经期患者可诱发绝经，停药后继续闭经，肌瘤持续缩小，此点与GnRHa有相同作用。为了延长控制肌瘤生长也有采用间断用药的方法，给药1～2个疗程，停药一阶段，再用药。米非司酮的抗孕激素作用对缩小肌瘤体积控制其发展是有效的，但长期使用其抗孕激素的作用对子宫内膜是否会产生不利影响，这也是临床关注的问题。据米非司酮治疗功血的总结报道，用药后子宫内膜变薄或萎缩。韩克(2001)报道28例功能性子宫出血患者服米非司酮治疗，当月闭经，服药3～6个月后再次诊刮或手术，其子宫内膜极少，病理报告为增生期改变，米非司酮可以控制内膜增殖，未发现致癌危险。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;③孕三烯酮(三烯高诺酮)：商品名内美通(nemestran)。孕三烯酮(三烯高诺酮)是合成的19-去甲睾酮的衍生物，具有强抗孕激素、抗雌激素及中度抗促性腺激素及轻度雄激素作用。服用后患者血中LH、FSH、E、P均降低，对性激素依赖性疾病如子宫肌瘤、子宫内膜异位症治疗有效。Coutinho等1986年报道97例子宫肌瘤用孕三烯酮(gestrinone)治疗有效。与GnRHa不同GnRHa须达到人工绝经而产生肌瘤缩小，孕三烯酮(Gestrenone)可以延长使用月数而不引起绝经期综合征。该作者于1989年又报道100例子宫肌瘤治疗结果，用3种给药方法：A组每次2.5mg，每周3次；B组每次5mg，每周2次；C组阴道用药，每次5mg，每周2次，结果全部有效。三组都在最初6个月子宫缩小最明显。用药半年的患者，89%在停药后18个月，子宫仍比治疗前小。阴道用药效果较口服更好。作者认为效果可与GnRHa相媲美，而不引起由于人工绝经带来的不良反应。有患者用药长达2年，其副反应可以耐受。孕三烯酮(Gestrinone)的副反应主要为体重增加、痤疮、皮脂增多症和潮热等。副反应与剂量有关，肝功能异常少见，对血脂和血糖无明显影响，用药半年后骨密度未见明显变化。停药后副反应一般于2个月内消退。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;④中医治疗：子宫肌瘤属于祖国医学“癓瘕”范畴。因气滞、血瘀、痰湿凝滞而生，因此，辨证施治当围绕气、血、痰湿来进行，病在气则理气行滞；病在血则活血化瘀；病为痰，则化痰消癓。在兼顾元气状况的情况下，正盛则克伐为主，正衰则攻补兼施。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;中医治疗的适应证为：除子宫肌瘤过大，(超过3个月妊娠子宫大小)或有明显压迫症状：黏膜下肌瘤出血、坏死、感染伴重度贫血者；合并心血管、肝、肾及造血系统等严重疾病；妊娠期及哺乳期妇女以及对中药过敏者，不宜采用中医治疗外，其余均可考虑采用中医治疗。此外，子宫肌瘤小或无明显症状的患者只需进行定期随访而不必进行治疗，也包括不必进行中医治疗。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;对本病的治疗，可采用药物和非药物疗法两种，新病、气病，应以行气活血的方法治疗；久病、血病或痰凝，病情轻微，包块尚小，宜用活血化瘀消癍的方法治疗；病情较重，且包块较大，正气渐衰，应采用手术切除的办法，去除病邪再行调补。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;A.辨证：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.气滞治法：行气导滞，活血消癓瘕。方药：香棱丸加减。木香10g，丁香15g，三棱25g，枳壳15g，莪术25g，青皮10g，川楝子15g，小茴香15g，可水煎服，也可共为细末，制成水丸内服。月经不调加丹参20g，香附15g。带下过多加茯苓15g，苡仁15g，白芷10g；腹痛剧烈加延胡索15g，田七15g。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;b.血瘀治法：活血破瘀，消癍散结。方药：桂枝茯苓丸加减。桂枝15g，云苓20g，丹皮20g，芍药15g，桃仁15g。可水煎内取，可共为细末，制成水丸内服。月经过多或崩漏不止，加蒲黄15g，五灵脂20g；带下过多加苡仁15g，白芷10g；腹痛剧烈加延胡索15g，乳香15g，没药15g；月经过少或闭经者加牛膝20g，泽兰15g；包块明显，推之不移可加逐瘀破坚药如水蛭、心肝疳虫等。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;c.痰湿治法：理气、化痰、消癍。方药：二陈汤加味。制半夏20g，陈皮15g，茯苓15g，青皮10g，香附10g，川芎15g，三棱25g，莪术25g，木香10g，苍术10g，甘草lOg；脾虚者加党参15g，白术10g；带下色黄去香附，苍术，加败酱草15g，红藤15g。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;B.中成药：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.桂枝茯苓胶囊：活血化瘀，缓消包块。主治妇人小腹宿有包块，按之痛、腹挛急，或经闭腹胀痛，白带多等证，对子宫肌瘤有良好的治疗作用。3次/d，1次3粒，口服。3个月为一疗程。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;b.宫瘤清胶囊：活血逐瘀，消症破积，养阴清热。用法为口服，3次/d，每次3粒，经期停服。3个月为一疗程。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;⑤其他疗法：针灸疗法：气滞为主，痛无定处，包块推之可移，运用体针疗法，行气活血，祛瘀止痛。取穴：中极、三阴交、内庭、关元。毫针直刺，用泻法，捻转提插，留针20min，1次/d，10次为1疗程。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;3.子宫动脉栓塞治疗(uterine arterial embolization，UAE)&nbsp; 属于介入治疗中的血管性介入治疗。UAE是近年来国内外兴起的一种治疗子宫肌瘤的新技术。其治疗子宫肌瘤的优点有：①疗效好，特别是以出血症状为主者疗效较好；栓塞后肿瘤明显缩小，且保持稳定；②与手术治疗相比，UAE创伤小，技术操作简单，术后并发症发生率低；③ UAE可以保留子宫功能和正常生育能力；④UAE后不影响其他治疗。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)UAE的治疗原理：子宫肌瘤患者动脉造影显示子宫动脉明显增粗，子宫肌瘤局部的血供非常丰富，主要来自子宫动脉，双侧子宫动脉供血约占93%，两条动脉在肌瘤部位相互交织形成杂乱的血管网，团状或不规则形，染色均匀，正常子宫螺旋动脉呈弧形推移。子宫动脉的粗细与肌瘤的大小有关，肌瘤愈大，动脉愈粗，血管亦丰富。通过放射介入的方法，经皮行股动脉穿刺，可直接将动脉导管插至子宫动脉，并注入一种永久性的栓塞微粒，阻断子宫肌瘤的血供，使之发生缺血性改变而逐渐萎缩，甚至完全消失，从而达到治疗目的。肌瘤有双侧动脉供血者，治疗时一定要栓塞左右两条子宫动脉，以确保阻断肌瘤血供。子宫动脉栓塞后，肌瘤部位的血管征象完全消失。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(2)UAE的适应证和禁忌证：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;①适应证：子宫肌瘤的发病率虽高，但引起临床症状的患者只占10%～20%，即真正需要临床治疗的子宫肌瘤所占比例并不高。UAE的适应证基本与手术治疗指征相同，包括：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;A.经专科检查，确属子宫肌瘤引起的出血(月经过多，经期延长)。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;B.子宫肌瘤引起的慢性下腹部疼痛，腰腿痛。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;C.子宫肌瘤引起的膀胱、输尿管压迫症状。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;D.子宫肌瘤切除术后症状复发。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;要强调的是，许多其他妇科疾病可产生类似子宫肌瘤的症状，因而行UAE之前应系统检查，排除子宫肌瘤以外的疾病，对于希望保持生育能力的病人，除非急诊止血的需要，一般不宜首选UAE</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;②禁忌证：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;A.存在血管造影检查的禁忌证，包括心、肝、肾等重要器官功能障碍，凝血机制异常。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;B.妇科急、慢性炎症，未能得到控制者。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;C.碘过敏阳性者不再是血管造影的绝对禁忌证。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;D.其他相对禁忌证，包括绝经后(存在出血症状者例外)、严重动脉硬化及高龄患者。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;一般情况下，子宫肌瘤在绝经后可自行缩小，部分症状可消失；严重动脉硬化及高龄患者盆腔动脉迂曲明显，插管难度大，难以彻底栓塞肿瘤血管。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;③UAE的术前准备：血管造影前的术前检查包括心、肝、肾功能检查，血、尿常规检查，凝血机制检查等。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;妇科检查以除外怀孕及盆腔其他疾病。对以出血症状为主者，应在治疗前3个月内行子宫内膜活检，以除外肿瘤及内膜不典型增生导致的出血。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;术前常规超声波检查测量子宫的大小(包括纵径、横径、前后径)、子宫肌瘤的大小，便于与术后比较。有条件者可行MRI检查。CT检查虽对诊断有帮助，但由于存在X线辐射，连续复查有困难，故不列为常规检查。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;应用抗生素。术前1天给予广谱抗生素，肌内注射或静脉滴注。术前30min给予镇静剂。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;④UAE的方法和步骤：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;A.栓塞时间：除急症止血外，一般应避开月经期，以月经前1～2周为宜，住院治疗。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;B.栓塞剂：以止血为目的者多用钢丝圈和吸收性明胶海绵碎片，亦可用高分子微球聚乙烯醇(ivalonoror PVA)；以治疗子宫肌瘤为目的者用PVA，亦有用真丝线段，混合白芨微粒(白芨加入造影剂omnipaque制成混悬栓塞剂)作栓塞剂者，效果较理想。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;C.栓塞步骤：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.用猪尾型导管行腹主动脉下段造影，观察髂内动脉起源，肿瘤的优势供血动脉，以正位为主，必要时辅以侧位。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;b.超选择性子宫动脉插管栓塞：一般应先栓塞优势供血侧。由于子宫动脉行程较长，走行迂曲，行超选择性插管有一定的难度。应用起滑导丝和术中采用多角度造影(包括Road-map技术)有助于提高插管成功率，必要时可用同轴微导管。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;c.双侧UAE技术，一般是从左侧股动脉穿刺入路，用眼镜蛇型或类似类型导管栓塞左侧子宫动脉，栓塞同时可用Simens导管。少数插管困难的病例可用双侧股脉穿刺入路。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;d.栓塞后重复造影，确认无残留血管后拔管，结束手术。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;⑤UAE的疗效：根据美国SCVIR(心血管放射学会)1998年年会资料统计，在全世界范围内采用UAE治疗的800余例患者中，总的有效率为90%，肿瘤体积缩小可达50%，子宫体积缩小可达40%～60%。Worthington等报道53例中，治疗出血症状的有效率为88%，其中显效者(包括出血停止及显著减少)占75%，肿瘤压迫症状改善的有效率为94%，其中显效(压迫症状完全消失或显著改善)者占58%，术后3个月超声波随访复查的32例中，子宫体积平均缩小46%，远期疗效尚待观察。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;⑥术后处理与随访观察：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;A.术后观察不少于24h，用抗生素3～5天，酌情给予止痛剂。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;B.临床随访内容包括出血是否停止、月经周期改变、肿瘤压迫症状有无改善、下腹疼痛有无减轻等。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;C.术后2～3个月B超复查，了解子宫和肌瘤大小的改变，以后每半年复查一次。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;⑦副反应和并发症：术后副反应有下腹疼痛、恶心、低热等，多为一过性，对症处理后2～3天消失。疼痛是UAE后最突出的反应，发生率为90%，与肿瘤缺血和累及部分正常组织、PVA引起的无菌性炎症有关。如使用止痛剂无效或疼痛时间超过1周，应寻找其他原因。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;UAE的并发症发生率约1%，有化脓性子宫内膜炎、肿瘤梗死、子宫不可逆性坏死、误栓其他器官的动脉等，应高度警惕。虽然UAE后对怀孕、分娩无明显不良影响，但对希望保持生育者仍应慎重。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;4.射频治疗</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)射频的生物学效应及治疗原理：射频属于一种高频电磁波，医用物理学把频率高于100KHz的交流电称为高频电，一种频率很高的正弦交流电。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;将射频电流通过治疗刀介入人体病变部位，通过其生物高热效应，使病变局部温度升高，肌瘤发生不可逆的凝固、变性、坏死，最后被机体吸收和排出。同时避免了对正常组织的额外损伤。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(2)射频治疗子宫肌瘤的可行性及优点：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;①可行性：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;A.病变相对局限和独立：子宫肌瘤多数为局部单发，球形状，周围有假包膜包裹，肌瘤与正常肌层组织间有一层疏松网状间隙，分界比较清楚。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;B.多为良性：子宫肌瘤多为良性增生性病变，其恶变率占0.4%～1.25%。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;C.外周性血液供应：子宫肌瘤核心部位一般无较大血管分布，其血液供应主要靠肌瘤周围假包膜血管呈冠状垂直供给，因此假包膜内的单位体积血流量明显高于肌瘤组织。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;D.热耐受性能差：肌瘤为致密的结缔组织和肌纤维组织，含水量少、血流缓慢、增生活跃，因此受高热后易发生凝固变性。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;E.超声影像清晰，易早期诊断：子宫位于膀胱之后，当膀胱充盈后，不同于正常子宫肌组织的肌瘤的大小、形态及部位可经B超清晰显示，较小的肌瘤也易明确诊断。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;F.经自然腔道与外界相接，有利于介入治疗。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;②优点：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;A.射频治疗仪含独特的治疗器(消融器可在刮除子宫内膜功能层的同时消融基底层；自凝器可凝固各部位不同大小的子宫肌瘤)。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;B.治疗介入无创伤，治疗器可经阴道及宫颈等自然腔道送人病变部位，不需穿刺损伤其他正常组织。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;C.定位直观，在B超监视下可准确显示治疗器置入病变的部位。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;D.高选择性治疗，通过B超动态观察和仪器自动控制，在治疗过程中只毁损子宫内膜，对正常组织和女性内分泌无影响。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;E.病变组织在自凝器发出的电磁波作用下，自凝自消，然后被吸出和排出。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;F.智能化程度高，子宫肌瘤被凝固到理想程度和范围后，治疗仪自动报警并停止治疗。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;G.副反应轻微，患者无明显的疼痛，无需住院或住院时间短。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;H.操作过程简单，经短期培训的妇产科医生就能在B超监视下将治疗刀准确置入肌瘤内进行治疗，花费时间短，一般仅需20min左右。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;I.围治疗期无需特殊辅助处理，花费少、疗效好。(对宫颈、黏膜下肌瘤及直径≤4cm的肌壁间肌瘤，治愈率达96%)，病人易于接受。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(3)治疗禁忌：合并心血管及血液系统疾病；月经来潮者，不能接受射频治疗。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(4)操作方法：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;①黏膜下肌瘤及息肉：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;A.术前准备：无明显心血管疾病、B超确诊为黏膜肌瘤或息肉、肌瘤直径小于5cm者，可术前10min肌注哌替啶(度冷丁)60mg，山莨菪碱(654-2 )10mg，肌瘤大于5cm又未脱出宫颈内口者，最好在硬膜外麻醉下进行，以便操作；手术时间最好选择月经干净后3～7天内，如有子宫出血时间长者，先吸刮内膜再行凝固术；常规妇科检查是否合并其他盆腔疾病；有节育环应先取出。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;B.手术操作：患者取截石位，将电极板置腰骶部，功率参数预置到50W，外阴消毒铺巾；暴露并消毒阴道和宫颈，膀胱保留尿液，在B超监视下进行操作；钳夹宫颈，用探针探及肌瘤或息肉的大小及蒂附着的部位；宫内口较小，艾的钳或凝固刀不易进入宫腔时，可先用7-8号扩张器扩张宫颈；钳夹肌瘤或息肉下极，在B超监视下将治疗刀探置蒂部近腔壁，接上治疗刀柄，按压手柄开关，绕蒂部凝切一周，旋转肌瘤体数周，如蒂仍不易断离，再进行凝切，到完全断离为止，取出肌瘤息肉，用宫内膜刮凝刀在残端刮凝2～3次，B超检查无明显残蒂为准。如同时要行内膜凝固术，其操作同前。清除阴道血液。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;C.注意事项：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.蒂部附着部位要探及准确，凝固刀前缘不应向腔壁内推进。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;b.不带蒂的黏膜下肌瘤，应按壁间肌瘤处理。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;c.操作时一定要让宫颈内口松弛，否则影响操作。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;d.肌瘤较大者取出后应用缩宫素(催产素)时间可延长到5天。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;e.蒂较宽或残留蒂较深时，应按壁间肌瘤处理。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;②宫壁间肌瘤及肌腺瘤：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;A.术前准备：常规妇科检查，排除盆腔其他疾病；B超确诊为肌瘤或肌腺瘤，直径在5cm以内；取出宫内环；月经干净后3～7天内进行；可在硬膜外麻醉下或肌注哌替啶(度冷丁)后进行；术前保持膀胱适量充盈；除外心血管及血液系统疾病。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;B.手术操作：截石位，消毒外阴，铺消毒巾，暴露并消毒阴道和宫颈；将电极板置腰骶部，将功率参数预置30W；钳夹宫颈，在B超监视下，用探针探及肌腺瘤或肌瘤的部位及与子宫腔的关系；取壁间肌瘤治疗刀，在B超监视下，缓慢进入宫腔达肌瘤或肌腺瘤近腔内膜缘，在B超引导下将治疗刀插入肌瘤中心或偏向一侧。B超垂直及纵切面观察刀在肌瘤内的位置，确定好部位后，再连接手柄，按压开关，直至自动报警为止，然后将刀退出凝固好的肌瘤部位，再在B超引导下同样凝固其他部分，至整个肌瘤或肌腺瘤完全凝固为止，B超图像为肌瘤由低回声光团变为强回声光团。用5号吸刮头吸刮宫腔一周，以免内膜受干扰而造成长时间出血。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;C.注意事项：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.治疗刀插入部位要准确，其尖端距浆膜层要有0.5～0.1cm。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;b.肌瘤有时较硬不易插入时，可边凝固边进入，但要注意其深度不能穿过浆膜层。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;c.子宫侧壁及宫颈前壁的肌瘤，治疗刀一定要准确，不宜过深，以免损伤膀胱和血管。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;d.肌腺瘤最好在硬膜外麻醉下进行，而且一定要凝固完全，否则受激惹而又未凝固完全的组织会出现严重疼痛。必要时再次凝固治疗。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;D.术后处理：肌注缩宫素(催产素)10U，3次/d，连用5天；术中或术后一般无明显腰痛等不适，如有应及时B超检查；桂枝茯苓胶囊，常规用10天；疗效观察时用B超测量大小、CT观察肌瘤密度变化。术后2～4周阴道又有少许血性液体流出，要注意卫生，必要时服用消炎药，禁房事2个月。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;③浆膜下肌瘤或浆膜肌腺瘤：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;A.术前准备：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.B超确诊为肌瘤或肌腺瘤并确定位置和个数。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;b.时间最好选在月经干净后。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;c.常规妇科检查。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;d.选硬膜外麻醉。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;B.手术操作Ⅰ(开腹手术)：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.麻醉见效后，将电极板置腰骶、腹部消毒铺巾。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;b.逐层横形切开下腹壁各层，开腹后探查子宫、附件，确定肌瘤个数和位置。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;c.将子宫固定或娩出切口外，用肌瘤治疗刀插入肌瘤或肌腺瘤内，用50W功率，凝至自行报警为止，视情况逐渐完成整个肌瘤或肌腺瘤的凝固，在子宫两侧的肌瘤应避开血管，在子宫前后的肌瘤或肌腺瘤要避开肠管和膀胱。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;d.凝固完毕后逐层关腹。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;C.手术操作Ⅱ(在腹腔镜下手术)：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.硬膜外麻醉见效后，经阴道放子宫固定器并固定于宫颈。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;b.腹壁消毒铺巾。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;c.常规脐下1cm切一小口置腹腔镜，直视了解子宫及附件情况，在台下人员操作子宫固定器的配合下，于下腹正中中下三分之一处先切开皮肤0.5cm小口，将肌瘤凝固刀直接刺透腹壁，在腹腔镜直视下，再将治疗刀刺入肌瘤或肌腺瘤内，按压手柄开关，凝固完毕后，分别缝合切口，取出子宫固定器。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;D.术后处理：常规输液及抗生素3天；桂枝茯苓胶囊，服10～15天，用甲睾酮(甲基睾丸素)5天；术后每月B超检查；盆腔浆膜面有散在的异位结节时，术后最好服用达那唑或孕三烯酮(内美通)1～3个月。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;E.注意事项：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.直肠凹处有子宫内膜异位结节时，最好选开腹手术凝固。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;b.肌瘤较多时，术前应做B超照片，以免术时遗漏治疗。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;c.凝固刀进腹腔后，一定要避免损伤其他器官。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;d.凝固完毕后，观察伤口无出血时，方可关腹。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(5)疗效评价标准：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;A.有效：治疗时肌瘤反光由弱回声就变成强回声，直径有缩小；一月后B超复查直径无增大或有缩小：CT检查肌瘤密度增大，直径无增大；出血明显减少。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;B.治愈：肌瘤完全消失，临床无任何不适症状。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;C.好转：肌瘤有缩小，临床症状有好转，但均未完全消失。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;D.无效：治疗当时或术后一个月，B超或CT检查其直径有增加、密度无变化，临床症状无好转。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(6)副作用：除轻度腰骶痛和下腹痛外，无其他明显副作用。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;5.超声引导下经皮无水乙醇注射治疗(PEIT)&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;在超声引导下，将22号穿刺针经腹壁刺入最大肌瘤的中部，根据肌瘤大小注入无水乙醇2～10ml。中山医大谢红宁等治疗25例子宫肌瘤患者，注射后2、6个月复查二维及彩色超声，肌瘤内部血流明显减少，肌瘤体积在注射后2个月内可明显缩小，6个月后无再增大。注射治疗后，15例患者的症状、体征均有不同程度地改善。该方法的机制是无水乙醇直接的组织蛋白凝固作用，杀瘤效果确切。该法操作简便，易掌握，无严重副作用，有望成为新的替代手术的子宫肌瘤治疗方法。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;6.放射治疗&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;子宫肌瘤患者月经过多，严重贫血，需要作子宫切除，过去对有些患者有严重合并症不能耐受手术者而采用放射治疗。放射治疗用于子宫肌瘤主要是以射线照射卵巢，达到人工绝经即放射去势，随着卵巢功能丧失，体内雌激素降低，子宫肌瘤萎缩，子宫出血等症状也随之消失，从而达到治疗目的。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;卵巢为放射敏感性高的器官，卵巢因照射剂量的不同，可以引起暂时性闭经或永久性闭经(绝经)。永久性闭经所需的剂量又因年龄而不同。20～30岁妇女约需1300cGy，40岁以上妇女仅照射600～800cGy就会引起永久性闭经。若剂量低，于照射后的不同时间内月经复潮又发生出血。卵巢在盆腔的位置变化较大，故主张用全盆照射，前后两野对穿照射，用60Co或直线加速器，剂量2000cGy，分5～10次给。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;照射前需作诊断性刮宫排除子宫内膜癌。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;当今由于医疗技术进步，对控制合并症、麻醉方法以及妇科手术技术的熟练，远较过去提高，需要采用放射去势来治疗子宫肌瘤的机会极少，而且，文献有报道过去因良性或恶性肿瘤，曾接受过盆腔放射治疗的患者，于数年后发生子宫肉瘤或子宫内膜癌的报道。因此，盆腔照射与子宫恶性肿瘤发生的关系也应予以注意。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;7.手术治疗&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;迄今为止，手术仍是子宫肌瘤主要的治疗方法。其术式大体可分为两大类：子宫切除术和肌瘤剔除术。随着妇科手术学的发展，近年来，在以上两类术式的基础上，又派生出新的术式，为子宫肌瘤的治疗提供了更多的术式选择。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)术式选择的原则：应根据患者的症状、肌瘤的部位、大小、病人年龄、对生育的要求、经济状况以及医师的手术技能等因素综合考虑做出决定，力图通过最佳术式、最佳效果使病人得到最满意的康复。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(2)手术治疗适应证：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;①肌瘤引起月经过多或不规则出血导致贫血，或虽出血症状较轻，但保守治疗无效者。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;②肿瘤充满盆腔，压迫邻近器官如膀胱、直肠，引起排尿、排便困难，尿路感染。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;③肌瘤生长迅速，变软、疼痛，疑有退变或恶变时。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;④子宫与肌瘤体积超过3个月妊娠子宫大小。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;⑤确诊的黏膜下肌瘤。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;⑥年轻妇女如发现子宫肌瘤，需要生育者。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;⑦绝经后肌瘤不但不缩小，反而增大。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(3)手术方式和步骤：子宫切除术有全子宫切除、次全子宫切除术之分。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;①全子宫切除术，即将子宫连同阴道的子宫颈一并切除，全子宫切除术包括经腹全子宫切除术(trans-abdominal hysterectomy，TAH)、经阴道全子宫切除术(transvaginal hysterectomy，TVH)、腹腔镜下全子宫切除术(total 1aparoscpiclly hysterectomy，TLH)、腹腔镜协助下的阴式子宫切除术(1aparoscpiclly&nbsp; assisted vaginal hysterectomy，LAVH，即Roich式)。其优点是可以全部完整地切除病变的子宫。缺点是：A.断扎附件后，卵巢的血循环可能受影响而导致卵巢早衰可能；B.破坏了盆底的完整性；C.由于术后阴道缩短，可能影响性生活。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;A.腹式全子宫切除术：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;优点与缺点：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.优点：经腹手术术野暴露清楚；腹壁切口可依病情需要延长，术中可探查腹腔，操作相对容易，手术时间短。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;b.缺点：恢复慢，住院时间长。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;B.适应证：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.肌瘤超过3个月妊娠子宫大小。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;b.月经过多，保守治疗无效。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;c.肌瘤增大引起压迫症状，如尿频、尿急、排尿困难、尿潴留、肾盂积液等。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;d.肌瘤迅速增大，怀疑恶变，或伴坏死，感染者。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;e.肌瘤合并子宫颈疾病如宫颈严重裂伤、糜烂，CIN及原位癌。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;f.肌瘤合并子宫腺肌症、子宫内膜癌。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;g.肌瘤合并附件包块。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;C.手术步骤：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.做下腹正中切口，逐层进腹。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;b.探查盆腹腔后，用2把弯血管钳自子宫角部提起子宫。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;c.如要切除一侧附件，则提起切除侧输卵管，打开阔韧带前后叶，暴露卵巢动静脉，用3把血管钳依次钳夹，保留端双重缝扎或结扎。继续向前暴露圆韧带，于中段切断，残端用7号丝线结扎。向前打开膀胱反折腹膜，向后打开直肠反折腹膜。如需切除一侧输卵管而保留该侧卵巢者，则需分次处理系膜，处理卵巢固有韧带。如保留附件，用2把弯血管钳靠近子宫角部平行夹住输卵管峡部及卵巢固有韧带，切断，用7号线缝扎2次。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;d.分离膀胱：将反折腹膜提起，下推膀胱至相当于宫颈前穹隆处。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;e.处理子宫骶骨韧带：用2把长弯血管钳自宫颈后壁子宫骶骨韧带附着处钳夹、切断并用7号丝线缝扎。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;f.处理子宫血管及主韧带：缩减宫旁结缔组织，暴露子宫血管，紧贴宫颈将其钳夹、切断，并用7号丝线双重缝扎。按同样的方法，处理其下的主韧带及部分阴道组织，达侧穹隆部。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;g.切除子宫：用干纱布环绕子宫颈周围，自穹隆部环形切下子宫体，切缘用4把组织钳提起。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;h.缝合阴道残端：用碘酒、酒精、干纱布依次处理阴道切缘后，用O号合成线自一侧阴道角部起作连续或间断缝合。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;i.缝合盆腔腹膜，检查创面无渗血后，用4号丝线连续缝合后腹膜，将各韧带残端包埋在腹膜外。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; j.缝合腹壁各层。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;D.脏器损伤的预防：在对曾有多次腹部手术中及盆腔广泛粘连患者施行子宫切除术时，应充分考虑腹壁、子宫及附件可能发生粘连而造成手术中的困难，且易导致脏器损伤。粘连部位可发生在腹壁与肠管之间、肠管与子宫及附件之间、膀胱与子宫及附件之间、大网膜与子宫附件之间、阔韧带后叶及盆腔腹膜与子宫附件之间等。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;此类手术首先可能遇到开腹困难。若腹腔内广泛粘连无法切开腹膜时，可将腹壁切口向上腹延长，在无粘连处将腹膜切开，进入腹腔再向下紧靠腹壁分解粘连。分解粘连时，首先要将粘连的器官解剖辨认清楚，切勿盲目分离，造成损伤。分离程序可由表及里，先易后难，即先由粘连较少而松、估计容易分离的部位开始，逐渐向粘连较重及盆腔深部。分离粘连的方法可用剪刀或刀刃锐性分离，亦可用手指、纱布、刀柄作钝性分离，如人工剥离胎盘样。如系子宫及附件与肠管或膀胱粘连，且组织较脆者，应分清其间界限，用湿纱布包手指牵拉膀胱或肠管，使之与子宫之间尽量伸张，再作分离；在分离过程中可能引起创面渗血，可用湿热纱布压迫，遇有活动出血经压迫无效时可用细丝线8字缝合止血。注意缝合组织不宜过宽过深，以免打结时拉脱或缝穿肠管及膀胱壁，造成损伤；亦不应遇出血时，未看清解剖部位即慌忙钳夹，造成脏器损伤。若子宫与肠管或膀胱粘连较牢不易分离时，则应在与肠管或膀胱粘连的子宫侧切除部分子宫组织而切勿损伤肠管或膀胱，估计肠管损伤不可避免者，可考虑切除部分肠管后吻合，以免肠内容外漏污染腹腔，增加感染机会。若大网膜与子宫附件粘连者，可在靠子宫端游离大网膜后分段钳夹、切断并双重结扎，特别注意其间血管应扎牢，否则回缩后将引起严重出血。如子宫及附件粘连于盆腔深部或直肠子宫凹时，应在直视下紧靠子宫锐性分离粘连，必要时可让少量子宫组织保留于肠壁上，逐步扩大分离范围，游离出子宫，或作鞘内子宫切除，而勿损伤直肠或输尿管。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;预防输尿管损伤&nbsp; 首先术者要熟悉输尿管的解剖行径，困难手术应先暴露出输尿管，或术前插入输尿管导管。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.骨盆漏斗韧带处损伤的预防：在较大的子宫附件炎性肿块、子宫内膜异位症等与盆侧壁粘连，辨不清组织关系时，骨盆漏斗韧带不能扎断，可先切除子宫，然后再行附件肿块切除。如不能分离出输尿管时，可保留部分组织让其黏于输尿管上。亦可采用高位打开骨盆漏斗韧带的腹膜，从髂内血管进入盆腔侧壁处寻找输尿管，然后追踪至病变部位分离粘连，分清解剖关系，明确输尿管走行，再高位游离卵巢动、静脉，并再检查输尿管确未在其中，方可钳夹切断结扎。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;b.阔韧带内部分损伤的预防：阔韧带内肿瘤、后腹膜肿瘤使输尿管移位，有时输尿管贴于肿瘤上。为避免损伤可先切断圆韧带，打开阔韧带前后两叶，如肿瘤影响视野，可将肌瘤从假包膜内挖出。如系阔韧带囊肿，解剖关系不清者，可抽出部分囊液，使输尿管暴露，见其蠕动。在炎性肿块粘连时，可在肿块上方无病变处打开后腹膜，将输尿管游离。亦可先处理对侧附件，以扩大视野，再设法切除肿块。在缝合阔韧带后叶时，缝扎时应浅表，以免缝扎或刺伤输尿管。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;c.子宫动脉交叉处损伤的预防：正常情况下，输尿管在宫颈内口水平1.5～2.0cm处与子宫动脉交叉，因此在宫颈内口1.5cm内暴露子宫动脉切断较为安全。在病态时，如宫颈肌瘤、宫颈肥大、盆腔炎等，使输尿管接近宫颈，可将宫颈肌瘤挖出后再切断子宫动脉。钳夹主韧带应紧靠宫颈或在宫颈筋膜内钳夹，亦可在子宫骶骨韧带上方切开腹膜，暴露输尿管后钳夹则不易损伤。在阴道手术时，应在切开膀胱腹膜反折，在膀胱下方插入拉钩抬起膀胱，可推开输尿管下段。当钳夹主韧带时，可用手触摸输尿管，为中等硬、无搏动、能滑动的圆索状物，同时牵拉宫颈，可使输尿管向上移动，切断、缝扎主韧带时应紧贴宫颈，可避免损伤。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;d.子宫骶骨韧带处损伤的预防：输尿管在子宫骶骨韧带处较靠近宫颈，所以在施行子宫根治术时，钳夹子宫骶骨韧带应先充分游离直肠侧窝及向外侧推开输尿管，以防损伤。如盆腔肿块底部与后腹膜粘连，无法直接暴露时，切忌锐性分离，可用手指在两者间隙行钝性剥离。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;e.输尿管位于膀胱壁间部分损伤的预防：经阴道子宫全切术时，充分显露膀胱角(即膀胱底两侧角)是一个重要步骤，其上方及侧方是输尿管末端进入膀胱处。最安全的方法是切断、结扎膀胱脚部筋膜，可使输尿管远离手术野，预防损伤。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;f.减少输尿管血运障碍：输尿管盆腔段是骨盆界线以下的输尿管部分，沿盆侧壁阔韧带后叶及卵巢窝、阔韧带的基底部，穿过膀胱宫颈韧带的深浅两层间进入膀胱。其主要血供来自髂内动脉，子宫动脉、膀胱下动脉、痔中动脉，这些动脉与邻近组织的营养血管进入输尿管的肌层直到黏膜。因此，在手术中应尽可能保留输尿管外膜，以保证输尿管血供。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;在子宫根治术中，不应在髂内动脉处切断子宫动脉，而在输尿管内侧切断子宫动脉，以保留输尿管营养血管的存活，且可避免损伤膀胱动脉，以保证子宫动脉输尿管支的血液供应，防止输尿管瘘的发生。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;E.传统子宫全切应注意的问题：提子宫时&nbsp; 用两把止血钳在距宫角1.5cm处分别夹住两侧子宫角，注意钳夹勿过分靠近子宫角部，以免将该处组织撕裂损伤血管，发生出血；或于宫底部用10号丝线贯穿肌层作8字缝合，用血管钳拉线尾，提起子宫体及附件，拉出盆腔，以便操作。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.处理圆韧带时：用两把止血钳钳夹一侧圆韧带距子宫附着端1.5～2.5cm处，注意不应过于靠近子宫角，钳夹圆韧带根部避开其下方血管，以免损伤，造成出血，在其间切断，以圆针7号丝线缝合圆韧带近骨盆壁的断端浆膜层并将其断端结扎，结扎线尾用止血钳夹住，置于同侧手术野，对侧圆韧带同法操作。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;b.处理阔韧带时：将子宫向骨盆腔入口及出处来回活动后，膀胱反折腹膜即显露，用无齿镊在子宫下段提起膀胱子宫腹膜反折处，剪开腹膜并钝性分离至两侧圆韧带断端。注意剪开腹膜时深浅应适当，如过深达筋膜时则不易剥离，且甚易出血，过浅则易撕破腹膜。用组织钳夹住膀胱子宫间隙，再将子宫体向耻骨方向牵拉，由宫旁钝性分离阔韧带后叶，将阔韧带内疏松结缔组织及血管充分游离，即可见透明阔韧带后叶，沿宫旁剪开至子宫骶骨韧带处，注意此处有子宫动脉上行支沿途分支，切勿损伤，以免出血。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;c.处理附件：若需保留附件，则在圆韧带切断处，术者用手指提起附件，于子宫动脉上行支输卵管支下方，用血管钳穿破阔韧带后叶透亮无血管区域，直接用两把弯止血钳沿子宫体旁钳夹住输卵管峡部和骨盆漏斗韧带，注意两钳之间不要过分靠近子宫边缘，以免断端滑脱退缩，引起血管丛出血，在两钳间切断，用7号丝线贯穿缝合断端处腹膜，靠骨盆壁断端结扎2次，以防其中血管退缩；此外，注意一次钳夹切断组织不宜过宽、过厚，以免血管钳尖端动脉滑脱；缝扎时血管断端应距线结0.5cm以上；剪断线尾前，结扎线应放松，观察血管断端有无活动性出血，如有出血则用血管钳夹住断端再缝扎一次。若不保留附件，则由圆韧带断端子宫下段处提起附件后，将阔韧带后叶向前顶起，于透亮无血管区剪开1cm小洞，用两指尖触捏该韧带内有无较粗之肌性管道，防止输尿管入盆部混于其中造成误伤。用3把长弯血管钳夹由外向内靠近卵巢钳夹骨盆漏斗韧带，使钳夹超过阔韧带后叶的造洞边缘，以防断端部分滑脱，在近子宫附件端钳间切断骨盆漏斗韧带，保留两把血管钳于盆侧。用7号丝线贯穿缝扎骨盆漏斗韧带断端2次。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;d.处理子宫动、静脉时：剪开子宫体旁韧带内无血管区的疏松结缔组织，暴露子宫动脉，用有齿止血钳斜向子宫体峡部夹住子宫动脉上行支或子宫动脉。因宫颈内口侧方1.5～2cm水平处有输尿管交叉于子宫动脉下方，故应检查注意其中有无肌性管道，确认系血管后方可在两钳间切断子宫动脉，断端用7号或10号丝线双重缝扎，贯穿缝扎时，注意不应贯穿缝入血管中或遗漏断端边缘血管，造成出血，遇此情况时，可于缝线下方超过遗漏或贯穿的血管，再缝扎一次。检查确已将遗漏的血管扎妥，方剪断结扎线尾。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;e.处理子宫骶骨韧带：若系子宫全切，将子宫向耻骨联合方向牵拉，暴露子宫骶骨韧带，如遇粘连则应仔细分离，避开直肠、输尿管及子宫动脉，用两把长弯钳近子宫骶骨韧带附着部钳夹，剪断或切断。以7号丝线于韧带下方浆膜处(注意勿损伤直肠)贯穿8字缝扎，同法处理对侧。剪开两侧子宫骶骨韧带间腹膜，并稍向下推开直肠，显露阴道后穹隆，以防切除宫颈后穹隆时伤及直肠。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;f.处理主韧带：缝扎子宫动脉升支后，继续分离宫颈周围结缔组织，将子宫拉向一侧，宫颈侧方主韧带及子宫动脉降支显露，用拇、示二指揉捏韧带是否有输尿管样组织，证实确无输尿管夹带其中后，用2把弯血管钳沿宫颈侧方平行向下钳夹主韧带，达宫颈外口下1cm，切断、褥式缝扎；若宫颈较长者可分数段处理，直到阴道侧穹隆及阴道动脉下行支，同法处理对侧主韧带。处理主韧带时，不可贸然大块钳夹，应分离认清解剖部位，尤其输尿管与大血管的走行方向、交叉关系，避免误伤输尿管及损伤、遗漏大血管。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;正常情况下子宫动脉与输尿管交叉处位于宫颈内口旁2cm水平，但在多发性肌瘤者尤其是子宫下段、宫颈肌瘤向阔韧带内生长时，可使其解剖位置发生变化，甚至输尿管由瘤体前方或侧壁走行，故遇以上情况时，应先从阔韧带后叶寻找输尿管，沿其走行方向证实其去向，术中予以避开，以免误伤。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;g.切除子宫：将子宫向骨盆外牵拉，用手指紧贴宫颈再次将膀胱下推至子宫颈外口下1～2cm水平，侧方推离宫颈旁1cm处，以免切开阴道前壁时损伤膀胱及输尿管；并用示指将两侧子宫骶骨韧带断端之间腹膜下疏松结缔组织推离直肠，达宫颈外口下2cm。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;暴露阴道后穹隆，以防切开阴道后壁时伤及直肠。用两手指触摸宫颈外口，检查游离是否充分，在宫颈周围用干纱布填围，以防阴道分泌物污染腹腔，紧贴宫颈切开阴道前或后穹隆直至见紫蓝色或咖啡色黏液流出，用两把弯血管钳钳夹阴道两侧壁组织，包括阴道动脉，再用弯组织剪沿宫颈前后唇周围阴道穹隆剪开阴道壁，直至子宫全部游离，取出子宫。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;h.处理阴道断端：用数把组织钳将阴道断端全层钳夹，提起阴道壁，擦净由阴道内流出的黏液及分泌物，以免污染腹腔。分别以3%碘酊、75%乙醇及生理盐水涂抹切缘。若阴道切缘上有活动性出血，可用4号丝线缝扎止血，以防术后残端出血；再用肠线或可吸收合成线8字缝合两侧阴道角的断端，同时将主韧带一并缝入，检查膀胱附着处，避免缝合阴道前壁时，将膀胱壁或输尿管下段缝入其中。其下阴道切缘及子宫骶骨韧带做连续锁边或间断缝合，封闭阴道残端。检查创面，发现出血处做加强缝合。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;i.缝合盆腔反折腹膜：用4号丝线分别于两侧盆腔腹膜角部作荷包缝合，将圆韧带附件断端及骨盆漏斗韧带包埋于腹膜外，注意缝腹膜时不宜过深，以免缝穿血管，造成血肿；若已造成血肿应及时清除，并找到损伤的血管，缝扎止血。然后连续缝合前后反折腹膜，使其腹膜化。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;F.简便腹式全子宫切除术：对常规腹式全子宫切除术进行改进，具有手术简便、快速、术中出血少、损伤小、恢复快、能预防术后附件和阴道脱垂(将附件和圆韧带残端一并缝合，把附件固定在圆韧带上)，伤口美观，住院时间短等优点。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;简便手术方法如下：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.横形小切口：采用下腹部皮皱处横弧形小切口长4～8cm，仅切开皮肤及中线处皮下组织，剪开筋膜，沿切口方向钝性拉开皮下组织及腹直肌，钝性撕开腹膜进入腹腔，只需l～3min。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;b.集束法处理圆韧带及附件：提起子宫或切口内操作，3把中弯钳靠近子宫两侧一并钳夹、切断、缝扎圆韧带，卵巢固有韧带及输卵管峡部，保留附件。切除附件者于卵巢外侧钳夹漏斗韧带及圆韧带。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;c.筋膜下脱袖式切除子宫：处理子宫血管后于血管断端上方环形切开子宫筋膜层2～4cm，用刀尖及刀把锐性加钝性分离下推宫颈筋膜达宫颈下方，主韧带及宫骶韧带随剥离的筋膜下移与宫颈分离，不需钳夹处理，紧贴宫颈环切阴道穹隆一周切除子宫。用组织钳将阴道残端和宫颈筋膜一并提起，用可吸收合成线连续锁边缝合一层。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;d.间断缝合盆腔后腹膜，细丝线分别于中部及两侧8字或半荷包缝合盆腔后腹膜，包埋阴道残端和附件断端。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;e.简便关腹：荷包缝合腹膜、连续缝合前鞘、间断一并缝合皮肤下组织1～3针或间断缝合皮下组织2～3针，组织钳钳夹对合皮缘3min。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;G.小开腹子宫切除术：该术式是近年来在传统腹式子宫切除的基础上稍加改进形成的，小切口指皮肤切口(纵或横向)长度≤6cm，而筋膜切口长度大于皮肤切口，每端超过约1～3cm，子宫外置于腹壁上，用Z型宫旁组织钳切除子宫。适于患者不很胖，子宫活动良好，且≤12周妊娠，同时合并以下一条或更多条件者；阴式子宫切除在解剖上无可行性，需行附件切除。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;H.腹腔外子宫颈锥切式子宫切除术：其优点是进一步简化了手术步骤，减小手术创伤，因保留子宫颈外环，从而保持了宫骶韧带、主韧带的功能。此法与子宫颈筋膜内全子宫切除术不同，后者是必须切断宫颈各韧带后切除子宫，损伤了盆底的正常结构，并且不能留子宫颈，而本术式不损伤盆底的正常结构，不但明显减少输尿管的损伤，也保留了阴道的完整性和后穹隆的深度，避免了传统手术阴道缩短4cm以上的现象，又能预防残端癌的发生，并达到了患者在心理和生理上需要保留子宫颈的目的。将卵巢固有韧带，圆韧带和输卵管峡部一并集束贯穿缝扎，可使附件悬吊在圆韧带残端上，避免卵巢下垂盆底而引起的慢性盆腔疼痛。采用子宫颈外环残端及其筋膜侧对侧缝合法，使两侧主韧带靠近形成桥状结构，起到悬吊宫颈及阴道，防止脱垂的作用。对子宫韧带及血管的处理较传统方法更简便、安全可靠。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.适应证：本术式适应于各种因子宫良性病变需子宫切除者，因为是腹膜外手术，要求子宫小于妊娠13周且无盆腔急性炎症。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;b.手术步骤：牵拉子宫至腹膜外，连续硬膜外麻醉下，取下腹正中切口，切开腹壁各层至腹膜外腔，以顶侧结合分离法，将腹膜与膀胱完全分离后，剪开子宫膀胱腹膜反折，把子宫及附件牵至腹膜外。将卵巢固有韧带、输卵管峡部和圆韧带一次钳夹、切断、结扎。剪开并分离阔韧带后叶及子宫下段后壁脏腹膜，使其与子宫膀胱反折腹膜切缘在子宫下段后方相对，用7号丝线连续缝合关闭腹腔。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;处理子宫血管：进一步下推膀胱，暴露子宫动、静脉，相当于子宫颈内口水平下钳夹而不切断子宫动、静脉，用7号丝线“8”字缝合法结扎。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;切除宫颈：切断子宫动、静脉，同时，于缝扎的子宫动、静脉上方0.5cm处，水平环绕子宫颈峡部环切子宫颈，边提拉边环形、螺旋状方式锥行向下环切子宫颈内环，大约到达宫颈外口处时，于两侧主韧带与宫颈交界处，用7号丝线“8”字各缝合1针作为牵引线，也可防止残端出血，缝合时不需钳夹，并注意靠近宫颈外环，以防输尿管损伤。继续环切子宫颈管，连同子宫颈外口移行带区及子宫体一并切除。注意：在环切子宫颈时应避免锥形过小而使宫颈组织保留过多，致使未能将宫颈外口移行带区切除，不但使缝合子宫颈外环时费时费力，而且不能达到防止残端癌发生的目的。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;处理宫颈外环口：用组织钳上提子宫外环口，常规消毒后“1-0”肠线先将残留的子宫颈外环内缘作荷包缝合，再由前至后连续锁边侧缝合子宫颈残端及子宫颈筋膜。用甲硝唑注射液冲洗手术野，常规缝合腹壁切口。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;②经阴道全子宫切除术：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;A.优点：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.阴道子宫切除术系经阴道进行，无腹腔干扰，可减少盆腹腔污染，术后病人恢复快，住院时间短。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;b.可消除病人日后子宫发生良、恶性病变之忧。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;c.术后病率低。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;d.腹壁无瘢痕等。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;B.缺点：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.阴道手术视野小，术时所暴露的范围受到一定限制，操作不如腹式主动，易损伤膀胱、直肠和输尿管。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;b.子宫与附件病变体积较大，如子宫体积大于孕3个月大小，或附件块物的直径＞6cm，或盆腔有广泛炎症粘连等均不能经阴道切除子宫。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;c.由于术野离肛门近，易于污染，阴道寄生的细菌较多，手术操作会增加逆行感染的机会。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;d.该术式技术上要求较高，不宜在基层医院推广。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;C.适应证：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.盆腔无炎症，粘连，附件无肿块者。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;b.为了腹部不留瘢痕或个别腹壁肥胖者。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;c.子宫与肌瘤体积不超过3个月妊娠子宫大小。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;d.无子宫脱垂也可经阴道切除子宫同时作盆腔底修补术。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;e.无前次盆腹腔手术史，不需探查或切除附件者。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;f.子宫肌瘤伴有糖尿病、冠心病、高血压、肥胖等内科合并症不能耐受开腹手术。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;D.手术步骤：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.体位：膀胱截石位，会阴、阴道常规消毒，用丝线将两侧小阴唇分别固定在大阴唇外侧皮肤上。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;b.导尿：用金属导尿管导尿，了解膀胱在宫颈的附着部位。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;c.注射药物：用丝线将小阴唇固定于外阴皮肤上。宫颈钳夹住子宫，向外下方牵引。向阴道前后壁黏膜下注入无菌生理盐水，或内加适量肾上腺素(100盐水内加5～6滴)以减少出血，便于分离。无膀胱、直肠膨出者，阴道黏膜下不必注入药液。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;d.切除阴道前壁黏膜：在阴道前壁作一个三角形切口，深达阴道黏膜下，自三角尖端开始将阴道黏膜剥下，暴露耻骨膀胱宫颈筋膜。无膀胱膨出者免去此步骤。游离膀胱，自膀胱宫颈间隙开始，用剪刀分离膀胱附着宫颈的组织，用手指向上推移膀胱直到膀胱子宫腹膜反折处。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;e.环切和分离宫颈侧壁及后壁黏膜：将宫颈向前牵引，沿宫颈两侧切开，向后壁延长，至整个宫颈环形切开，并用刀柄或手指分离阴道侧、后壁黏膜，暴露子宫骶骨韧带。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;f.切断及缝扎子宫骶骨韧带：用血管钳钳夹、切断，7号丝线缝扎，保留丝线以作标志。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;g.切断及缝扎主韧带：将宫颈向下及对侧牵引，用血管钳紧贴子宫颈钳夹、切断并用7号丝线缝扎主韧带，如子宫颈管较长可分次处理。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;h.处理子宫血管：将宫颈向下及对侧牵引，用血管钳紧贴宫颈钳夹、切断、7号丝线缝扎子宫血管，同法处理对侧主韧带及子宫血管。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;i.切开膀胱子宫反折腹膜：将膀胱反折腹膜提起，证实无误后剪开一小口，然后向两侧扩大切口，于腹膜中点处可缝以丝线作牵引，以作标志。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;g.切开子宫直肠反折腹膜：将膀胱直肠反折腹膜提起，证实无误后剪开一小口，然后扩大切口，同样也可用丝线作牵引和标志。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; k.处理附件：将子宫体自子宫直肠陷凹切口向外牵出(如为前位子宫也可自膀胱子宫反折腹膜切口处牵出)，如保留附件，则在子宫角部用2把血管钳夹住输卵管峡部、卵巢固有韧带及圆韧带，切断并用7号丝线缝扎2次，近端留线作标志。同法处理对侧。如需切除附件，则应将子宫体较多牵出，暴露骨盆漏斗韧带，钳夹、切断、双重缝扎骨盆漏斗韧带。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;l.缝合盆腔腹膜：将腹膜前后切缘提起，检查创面无渗血后，用4号丝线从一侧前腹膜缘开始，经圆韧带和附件缝线内侧的腹膜，然后由后腹膜穿出，打结。同法处理对侧角，然后连续缝合腹膜，关闭盆腔。这样便将子宫附件及各韧带断端置于腹膜外。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;m.对应缝合各韧带：将各韧带的保留线分别与对侧同名韧带结扎，剪除结扎线。用O号合成线自阴道后壁黏膜穿入，绕缝各韧带断端，仍从阴道后壁黏膜穿出，结扎，用以重建盆底支柱，加强盆底托力，悬吊阴道残端。如两侧距离较远。可不必缝合。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;n.缝合阴道黏膜：自尿道口开始用0号合成线间断缝合阴道黏膜，至接近边缘时，改为前后缝合。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;E.脏器损伤的防治：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.术中出血：阴道子宫切除术通常比腹式子宫切除术出血要多些，阴道切口出血或渗血与腹部手术相比较，是比较突出的问题。防治方法有：可用电刀切开宫颈阴道黏膜，还可以在宫颈两侧注射缩宫素(催产素)10U或1/24万肾上腺素溶液0.25ml，以减少手术局部切口的出血和渗血，但高血压或冠心病患者禁用。另外，在处理主韧带、子宫骶骨韧带、子宫动脉和骨盆漏斗韧带时，均可发生出血。其预防方法要求手术者解剖层次要清楚，每个操作步骤要准确，随时谨防钳子滑脱或结扎线的线结滑脱，并努力缩短手术时间。在缝合阴道壁时，阴道两侧端的缝合止血尤为重要，谨防留有无效腔；在关闭腹腔之前，要注意检查全部缝扎残端，彻底止血；在关闭腹腔时，要将腹膜与阴道壁一并缝合，可防止腹膜与阴道壁之间出现无效腔而致创面渗血。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;b.膀胱损伤：多发生在分离进入膀胱宫颈间隙时，由于解剖层次不清而损伤或者盲目分离造成损伤。要求术者在做阴道前穹隆切开时注意膀胱位置，认清宫颈筋膜及膀胱腹膜反折，一般在切开阴道前穹隆之前应该用金属导尿管探查膀胱附着最低位置后再作切口，可预防膀胱损伤，若遇到极个别困难病例，可以先打开直肠子宫腹膜反折，切断子宫骶骨韧带与主韧带后，再打开前面腹膜反折，这样可防止膀胱损伤。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;在阴式子宫切除的手术操作过程中，为了上推膀胱，不论是钝性分离还是锐性分离，若术者对盆腔生殖器官的局部解剖层次与泌尿道的解剖关系不熟悉，如对尿道、膀胱、输尿管、卵巢、子宫、宫颈、子宫骶骨韧带、主韧带的毗邻关系缺乏足够的认识，尤其是曾有生殖器官慢性炎症造成的组织粘连，使盆腔器官的解剖关系出现变异，遇上无实践经验的医师，在手术分离过程中，对局部器官，组织缺乏识别，或因炎症粘连造成分离困难而又强行分离，引起膀胱损伤。此外，还可能是盲目操作，或是不规范、不仔细操作引起；或术中因结扎线滑脱发生出血，由于止血而忙乱钳夹引起膀胱损伤。一旦膀胱发生穿通损伤，则术时可有少量水样液体持续流出，此时术者应立即用金属导尿管通过尿道口插入膀胱导尿，若为血尿即可初步诊断；接着用金属导尿管轻轻仔细探查损伤部位及破口大小、部位，或用稀释的亚甲蓝生理盐水200～300ml试漏，确定破口的部位、大小和是否有多处损伤，然后用1号丝线间断缝合膀胱黏膜下组织，但应注意缝针不能穿过膀胱黏膜层，以免因缝线形成膀胱异物，导致修补失败。此层缝合的作用是让已损伤的膀胱壁向膀胱腔内的黏膜层翻入(第一层)也可以用3-0的肠线间断缝合穿破口。接着，仍用1号丝线间断褥式缝合膀胱肌层和膀胱周围的筋膜，目的是加强创口的合拢(第二层)。在此层缝合完毕后，用稀释的亚甲蓝生理盐水200～300ml注入膀胱，让膀胱充分充盈，同时严密观察阴道里有无蓝色液体流出，若有蓝色液体流出，则修补未成功。再次检查蓝色液体是从修补缝合处流出，则可能缝合方法不妥，或是损伤的部位有遗漏缝合的可能。应立即拆除缝线，再次检查核实损伤部位和大小后，按上述办法修补。术者对膀胱部位修补应持慎重态度，应谨慎、精细缝合，力求当时修补成功，否则会给病人带来尿瘘和日后需要承受再次手术的痛苦和加重病人的经济负担。若在修补术后注入稀释有的亚甲蓝生理盐水(200ml)时，阴道未见蓝色液体流出，则为修补成功，最后用1-0肠线间断缝合阴道壁黏膜层。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;在膀胱修补术后应注意如下事项：留置导尿管持续引流5～7天，若引流为血尿时，则要用生理盐水冲洗膀胱，2次/d，每次用200ml，直到血尿停止。保留导尿管的目的是让膀胱处于空虚状态，以利修补后的膀胱创口愈合；合理应用广谱抗生素或泌尿系抗菌药预防感染；注意会阴部的清洁护理，每天用1/1000苯扎溴铵或0.25%聚吡咯酮碘棉球擦洗会阴部；切实注意加强营养，术后应以高蛋白、高维生素食物为主，还可以适当补充九维他、脂肪乳、氨基酸等，以利伤口愈合。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;c.直肠损伤：在盆腔后穹隆，若有没估计到的粘连时，手术在打开穹隆时易损伤直肠。如遇到少数病例因穹隆暴露不满意时，不必急于先打开，应先处理子宫骶骨韧带，然后进一步牵拉宫颈，分离出直肠子宫腹膜反折再打开腹膜，可以避免直肠损伤。如果有极个别困难病例，可以在子宫骶骨韧带、主韧带处理后再从子宫膀胱腹膜反折切口向两侧延伸。弄清后穹隆处解剖关系后再剪开腹膜，可以防止直肠损伤。若有直肠损伤，应用示指肛查，证实破口大小和部位，并立即用1号丝线间断缝合肠黏膜下层，最后用1号肠线间断缝合阴道壁的黏膜层。饮食方面，术后禁食3天，自第4天起可进流质2～3天，再进无渣饮食，继之进普通饮食。在药物方面，要用肠道消炎药，如甲硝唑片0.2g，3次/d，庆大霉素片8万U，2次/d及其他肠道消炎的中西药亦可；同时在术后3天要用肠道收敛药物，如阿片酊0.5ml，3次/d，复方樟脑酊2ml，3次/d；术后第5天可用缓泻药物防止大便干结，如果导片1～2片，每晚1次，还可以应用中药麻仁丸等。除上述用药外，还要应用抗生素预防感染和局部会阴部清洁护理。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;d.输尿管损伤：多发生在钳夹切断子宫动脉处，因两者在解剖位置上十分靠近，这要求手术者在处理子宫动脉时要使用拉钩，将膀胱向上牵拉，宫颈向下牵拉。如果遇到阔韧带底部有粘连时，可以将粘连略加分离，并用手摸子宫动脉搏动后再钳夹，可以避开输尿管。在处理盆腔骨盆漏斗韧带时，若有粘连，应分离后再钳夹，以防发生损伤。若已发生损伤，应立即开腹修复。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;在阴式子宫切除时，若损伤了输尿管，会有两种表现：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;钳夹、剪断、缝扎而致输尿管梗阻，一般在术后24～48h内会出现损伤侧剧烈腰痛，病人在床上翻转、出汗、脉快等。检查肾区叩痛加剧，若行B型超声检查，可见损伤侧的输尿管扩张和肾盂积水。还可以作膀胱检查，在行膀胱镜检查时，可见输尿管损伤侧的膀胱三角区底部开口处不喷尿，输尿管导管插入输尿管膀胱内开口处不喷尿，输尿管导管插入输尿管膀胱内开口处仅2～3cm即受阻。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;输尿管损伤常在术后24～48h内出现腹胀、腹痛，或尿液性腹膜炎，并呈进行加重，当出现阴道流水样液体时，腹胀腹痛明显减轻。对输尿管损伤的检查，除了上述方法外，还可以用靛胭脂静脉注射，在做此项检查之前，先用稀释的亚甲蓝液体约200～300ml注入膀胱内，若无蓝色液体从阴道流出时，则用靛胭脂针剂5ml静脉推注，1h内若有蓝色液体从阴道流出，则可以确诊为输尿管阴道瘘。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;在阴式子宫切除术所致输尿管损伤，绝大多数为输尿管下段，一般可采用输尿管膀胱吻合术，吻合能否成功的技术关键有两点：A.输尿管与膀胱吻合处组织应无张力，血供要良好。B.其吻合方法有，膀胱内黏膜下隧道式输尿管吻合术、输尿管膀胱吻合术，输尿管膀胱角吻合术。临床上通常所见阴道子宫全切术损伤输尿管多数是靠近膀胱，故手术以输尿管膀胱角吻合为好。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;F.阴式子宫切除术新观念：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.适应证的变迁：传统的TVH的适应证多限于经产妇；子宫≤12孕周；子宫脱垂；无前次盆腹腔手术史；无附件病变；不需探查或切除附件者。但近来随着手术方法的改进，适宜器械的使用，手术技巧的提高及医师经验的积累，其适应证发生了明显的改变。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;大子宫TVH：综合文献，大子宫TVH的报道日益增多。国外TVH子宫最大达20孕周，重1290g。国内近年已有多家医院对大子宫TVH进行了尝试。众多经验说明，TVH对于切除12～14孕周中等大小的子宫是容易的对于切除＞14～20孕周的子宫在一定条件下也是可行的。大子宫经阴道切除的方法有：子宫对半切开(bisection)；肌瘤剜出(myomectomy)；粉碎(morcellation)；去核(coring)。应用时可根据实际情况将几种方法结合应用。还可术前应用缩小子宫肌瘤的药物如GnRHa、Ru486等。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;有前次盆腔手术史的TVH：既往将有盆腹腔手术史列为TVH的禁忌证。但近年来国内外许多报道，已改变了这一观念。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;常见手术种类依次为：输卵管结扎术、剖宫产、附件手术、阑尾切除术、肌瘤剔除术等。能否进行，TVH主要取决于目前盆腔的状态，而非前次手术的种类。实践经验证明，大多数有盆腹腔手术史者，并没有明显的盆腔粘连，临床检查不能确定者可先行腹腔镜检查或镜下分离粘连后行TVH。C.TVH同时行附件切除：以往大多认为TAH更容易切除双侧附件(bilateral salpingooophorectomy，BSO)，而TVH则认为难以施行。但近年的报道中TVH行BSO的比例逐渐升高。如Ballard等1996年138例TVH中，90例(65%)施行了BSO。对有熟悉阴道手术经验的妇科医师来说，只要周围无粘连，附件包块＜6cm，TVH同时行附件探查或切除是可行的。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;b.禁忌证：盆腔恶性病变(早期原位癌除外)，有广泛盆腔粘连的子宫内膜异位症和盆腔炎，较大和位置较低的宫颈肌瘤、阔韧带肌瘤，伴有较大的和有粘连的附件包块(＞6cm直径)，宫底高度超过脐部，阴道极度狭窄仍被公认为TVH的禁忌证。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;c.手术方法要点(新式非脱垂子宫TVH)环切宫颈阴道交界处黏膜：于准备切开之宫颈阴道交界处黏膜下注入生理盐水(含1∶25缩宫素或1∶250肾上腺素)。于膀胱横沟水平横行切开阴道黏膜，深达宫颈筋膜，并向两侧及宫颈后方延长切口。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;锐性加钝性分离膀胱宫颈间隙和宫颈直肠间隙：用组织钳提起阴道前后壁黏膜切缘，用弯组织剪尖端向宫颈，紧贴宫颈筋膜向上推进，撑开分离两间隙达腹膜反折。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;处理子宫骶、主韧带：紧靠宫颈用一把中弯钳一并钳夹、切断，缝扎残端，近宫颈侧无需缝扎。于腹膜反折处剪开子宫前后腹膜，缝“4”号丝线作牵引、标记。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;处理子宫动、静脉：在子宫峡部水平紧靠子宫钳夹子宫血管及周围阔韧带，切断后双重缝扎。此步骤因在阴道深部操作，缝合时比较困难，用经特殊设计的宫颈压板和阴道压板及带有冷光的阴道拉钩扩大术野，便于操作。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;处理圆韧带、卵巢固有韧带及输卵管：非脱垂子宫很难将子宫底翻出，如按传统方法处理比较困难。使用特制的卵巢固有韧带钩形钳可使该步骤变得简单易行。用左手食中指扪及子宫后壁，右手持钩形钳置于手指与子宫后壁之间，钳尖向内，缓慢伸入，钳尖越过宫角后转向前方，将固有韧带、圆韧带、输卵管一并钩住向下牵拉，撑开钳柄，于钩形钳两叶间错夹、切断后取出钩形钳，双重缝扎残端，同法处理对侧，子宫已完全游离。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;取出子宫＜10孕周的子宫可直接牵出，＞10孕周的子宫常难以完整经阴道取出。采用粉碎法，或将子宫对半剖开、去核，肌瘤剔除等方法使子宫体积缩小后可顺利取出。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;采用一层缝合法。将盆腔前后腹膜和阴道断端前后壁四层上次连续缝合。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;③腹腔镜全子宫切除(laparcpiclly hysterectomy，LH)是指完全在腹腔镜下完成子宫切除，子宫从阴道或不从阴道取出，阴道残端在腹腔镜下缝合关闭。即子宫切除的全过程均在腹腔镜下完成。目前，腹腔镜子宫切除术尚不能完全替代经腹子宫切除术和阴式子宫切除术，是一种可能使大部分需子宫切除患者避免开腹的微创手术。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;A.优点：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.手术对患者的损伤小，手术中出血少，术后患者痛苦少，恢复快，住院时间短。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;b.不破坏腹壁的正常完整性，对盆腔内环境干扰极小，胃肠道功能恢复快。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;B.缺点：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.手术费用较剖腹手术高。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;b.平均腹腔镜手术时间较剖腹子宫切除时间长。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;c.手术医师需要一段时间的培训。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;C.适应证：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.子宫肌瘤患者，增大子宫＜10～12周妊娠子宫大小。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;b.子宫肌瘤患者存在异常子宫出血。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;D.禁忌证：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.合并全身其他脏器疾病，如严重心血管疾病、呼吸系统疾病、出血性疾病等不能耐受麻醉者。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;b.子宫过大。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;E.手术步骤：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.患者取膀胱截石位，置导尿管，放入举宫器。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; b.脐孔及腹壁两侧分别作5mm、10mm穿刺孔。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;c.处理子宫圆韧带和输卵管、卵巢固有韧带(不保留卵巢则切断骨盆腔漏斗韧带)。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;d.打开阔韧带前后叶及膀胱腹膜反折，下推膀胱。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;e.处理子宫血管：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;切断子宫血管的方法有：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;钛夹法：应用钛夹前必须将子宫动脉分离出来，近盆壁侧紧靠着上两个钛钉，子宫侧上一个钛钉，然后剪断子宫动脉。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 切割吻合器法：沿子宫施行切割吻合器，当需切割的组织在钳内后，紧闭吻合器切割(亦可用于附件切除)。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;缝扎法：用2/0可吸收线，普通缝针或腹腔镜专用雪橇针于子宫峡部穿过子宫血管进行缝扎，腔内或腔外打结。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;超声刀应用法：用超声剪钳夹子宫血管，以超声振动产生的热能凝固组织蛋白后切断。超声刀能凝切5mm的血管。超声刀可用于手术的全过程。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; f.切断主韧带，可用电凝或超声刀处理。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;g.切开阴道前后壁游离子宫，自阴道取出子宫，将举宫器放入阴道穹隆，向盆腔上顶，术者在镜下沿穹隆电凝切开阴道壁。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; h.阴道内堵塞后重新向腹腔充气，在镜下缝合阴道壁。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; i.冲洗盆腔止血关闭穿刺孔。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; F.并发症及处理：一般腹腔镜手术可能发生的并发症，都有可能在LH中出现。主要并发症有血管损伤、膀胱、输卵管损伤、肠管损伤、切口疝等，其他包括气肿、感染、中转开腹、小肠梗阻、深静脉血栓性静脉炎、肺炎等，较少见。有资料表明，LH的并发症总发生率为5.8%～16%，明显低于TAH、TVH。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 血管损伤：以腹壁穿刺引起的小血管损伤多见，有时出血沿套管往下滴，污染术野，影响手术操作，此时可将套管压向出血部位，压迫止血无效时可用肾上腺素生理盐水向腹壁内注射，仍无效者可贯通腹壁缝扎止血。对止血仍困难，出血影响操作者，应术中转为开腹手术。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;大血管损伤是腹腔镜手术中少见而严重的并发症，若不能及时发现和处理，可危及病人的生命。损伤多发生在腹主动脉及其分支和下腔静脉及其属支部位。一旦发现大血管损伤，应立即开腹。首先用手或纱布压迫止血，然后查找损伤部位，行单纯缝合即可，对较大范围的血管损伤，应行血管修补。必要时请外科医师协助处理。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 泌尿系损伤：包括膀胱损伤和输尿管损伤。其发生率高于经腹和经阴道子宫切除术，一般为1.35%～2.8%。膀胱损伤是LH中最常见的泌尿系损伤，多发生于分离膀胱附近粘连，分离宫颈膀胱间隙或膀胱附近电凝止血过程中，对有盆腔手术史、盆腔炎、宫颈肌瘤患者，应加倍小心，万一发生膀胱损伤，应争取及时发现并处理，这是避免二次腹腔镜手术或二次开腹手术的重要保证。一旦发现膀胱损伤，应及时在腹腔镜下修补，对修补困难者应开腹手术。对损伤程度轻、范围小的病例，可在术后安置Fo-1ey导管保守治疗。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 输尿管损伤的发生率较低，但不易及时发现。损伤原因有：电凝损伤，多发生于宫旁止血困难者，为止血过度电凝误伤输尿管；子宫颈肌瘤导致输尿管移位误伤；子宫内膜异位粘连或盆腔炎纤维挛缩导致误伤异位输尿管；处理子宫动脉时使用钛夹不当，导致输尿管损伤。一旦发现损伤，应及时处理。对轻度挫伤者，可逆行插入输尿管支架；重度灼伤或切断者，应行端端吻合术或输尿管膀胱吻合术，对发现较晚、肾脏已丧失功能者，应考虑切除患侧肾脏。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 肠管损伤：发生率约为0.4%，与经腹(0.3%)和经阴道(0.6%)子宫切除术中肠管损伤的发生率近似。LH术中小肠损伤的主要原因是电凝损伤，包括小肠壁部分或全层灼伤。一旦发现损伤，应及时进行修补术，必要时中转开腹。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;切口疝：Kadan等1993年报道，腹壁镜切口疝的发生率为0.12%。近年来其发生率呈上升趋势。可能与以下因素有关：使用了多个辅助性切口；手术切下的标本取出时需要较大的切口；新仪器的使用需要10～12mm甚至14mm的切口；多个切口及仪器性能不足增加了手术时间；套针固定装置的应用增加了切口长度，一般切口疝多发生于脐及脐外≥10mm的切口部位，少数患者可能多个切口同时发生。预防措施为：术者尽可能使用小的套针(5mm)；套针固定装置如筋膜栓可延长筋膜切口1～2mm；对切口在10mm以上者，术毕应行切口缝合；切下标本的取出常需较大切口，可将12mm套针切口取在耻骨上部位；气腹放气应缓慢，待腹壁扁平后再将套针取出；术后1个月内不宜屏气或负重；手术麻醉尽可能不用全麻，一旦术后出现恶心、呕吐应积极寻找原因，有可疑症状者应及时摄平卧位及站立位腹部X光平片及CT或B超检查。对已发生切口疝者，应根据疝入肠管情况行切口修补或肠段切除术。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;感染：LH术后感染，包括不明原因的发热、切口感染、泌尿系统感染、盆腔蜂窝织炎、盆腔脓肿、肺炎等。其发生率明显较经腹腔和经阴道为低，此乃LH的优点之一。预防措施为术后积极应用抗生素预防感染，对已形成盆腔或阴道残端脓肿者，应及时切开引流。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;④腹腔镜辅助阴式子宫切除术(LAVH)：LAVH是目前采用较多的一种术式，该术式的适应证较广，如子宫肌瘤合并附件包块、盆腔粘连、内异症等，可在腹腔镜下处理附件、子宫血管后转入阴式手术。由于它扩大了阴式子宫切除术的适应证，使以往很多需要剖腹子宫切除的病人避免了开腹手术；LAVH镜下操作步骤少，而阴道手术操作又为妇产科医师所熟悉，因此手术时间短。LAVH比TLH更易掌握。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;对LAVH具体定义的限制目前尚未统一，有人认为只需在腹腔镜下处理附件即可，有人认为镜下需处理子宫血管，然后转阴道手术才称LAVH。现一般认为LAVH是广义的，即手术从腹腔镜开始，附件应在镜下处理，以后转为阴道手术的都可称为LAVH。至于在腹腔镜下能够做到哪一步，则主要取决于手术医师的技术熟练程度及使用何种手术器械。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;手术步骤：第1～5步骤同TLH；第6步打开阴道前后壁；第7步阴道直视下切断余下的主韧带，游离子宫，缝合阴道壁；第8步冲洗盆腔止血，关闭穿刺孔；其中5、6步骤亦可经阴道完成。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;⑤次全子宫切除术(subtotal hysterectomy)又名阴道上子宫切除术，即将子宫颈阴道部以上的子宫切除，根据手术途径不同分为腹式次全子宫切除术和阴式次全子宫切除术两种。此外还包括腹腔镜次全子宫切除术(laparoscopic superaccervical hysterectomy，LSH)。经腹创伤大，腹部留下瘢痕；经阴道创伤小，对腹腔干扰少，腹部不留瘢痕，但术前应做充分阴道准备，否则术后易感染。与全子宫切除相比，其优点是手术操作简单，并发症少，可以避免子宫全切术的大部分缺点。其缺点是存在子宫颈残端癌的可能性。术前应仔细检查宫颈，行细胞学检查及必要时作宫颈活检与诊断性刮宫，以预防其发生。有影响卵巢功能的问题存在。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;A.腹式次全子宫切除术：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.优点：手术操作简单，不必切开阴道，减少感染机会；不影响盆底的支持力，能防止阴道膨出及脱垂；保存阴道正常长度，不影响术后性生活。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;b.适应证：年龄在35～40岁以下的年轻且宫颈无病变、有手术指征的子宫肌瘤患者；施行全子宫切除术异常困难的患者；伴有全身性严重合并症，如心、肝、肾等严重损害，对手术耐受性差，或紧急情况必须切除子宫者。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;c.手术步骤：作下腹正中切口；探查盆腹腔后，用2把弯血管钳自子宫角部提起子宫；如要切除一侧附件，则提起切除侧输卵管，打开阔韧带前后叶，暴露卵巢动静脉，用3把血管钳依次钳夹，保留端双重缝扎或结扎。继续向前暴露圆韧带，并于中部切断，残端用7号丝线结扎。向前打开膀胱反折腹膜，如需切除一侧输卵管而保留该侧卵巢者，则需分次处理其系膜，切断结扎卵巢固有韧带。如保留附件，同用2把弯血管钳靠近子宫角平行夹住输卵管峡部及卵巢固有韧带后切断，用7号丝线缝扎2次。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;分离并稍下推膀胱至子宫峡部下约1cm处，不必过多游离膀胱；处理子宫血管：缩减宫旁疏松组织后，在子宫峡部水平用3把弯血管钳垂直钳夹子宫血管后，切断，用7号丝线缝扎2次；切除子宫沿子宫峡部环行切下子宫体，用0号合成线间断缝合子宫颈残端；缝合盆腔腹膜；缝合腹膜。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;B.腹腔镜次全子宫切除术(LSH)：LSH是指在腹腔镜下切除子宫体而保留子宫颈的手术。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.优点：与TLH、LAVH、TAH三种术式相比，LSH具有手术时间短、术中出血少、术后病率低、恢复快的优点，是目前临床上有现实意义的一种术式。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;b.适应证：年龄在35～40岁以下的年轻，宫颈无病变，肌瘤子宫体一般小于10～12周妊娠子宫大小，有子宫切除适应证者。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;c.手术步骤：患者取膀胱截石位，置导尿管，放入举宫器；脐孔及腹壁两侧分别作5mm、10mm穿刺孔；处理子宫圆韧带和输卵管、卵巢固有韧带(不保留卵巢则切断骨盆漏斗韧带)；打开阔韧带前后叶及膀胱腹膜反折，下推膀胱；处理子宫血管。切断子宫血管的方法有：钛夹法：应用钛夹前必须将子宫动脉分离出来，近盆壁侧紧靠着上两个钛钉，子宫侧上一个钛钉，然后剪断子宫动脉；切割吻合器法：沿子宫施行切割吻合器，当需切割的组织在钳内后，紧闭吻合器切割(亦可用于附件切除)；缝扎法：用2/0可吸收线，普通缝针或腹腔镜专用雪橇针于子宫峡部穿过子宫血管进行缝扎，腔内或腔外打结；超声刀应用法：用超声剪夹子宫血管，以超声振动产生的热能凝固组织蛋白后切断，超声刀能凝切5mm的血管，可用于手术全过程。切除宫体：于子宫血管上方子宫峡部处、用电凝钩或超声钩切除子宫体。宫颈残端电凝止血。取出宫体：用筒状旋切刀将宫体组织粉碎成条状取出。如没有筒状旋切刀，可切开后穹隆取出标本；也可在腹壁作一小切口，取出标本。冲洗盆腔止血，关闭穿刺孔。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;C.三角形子宫次全切除术：近年来，有学者认为对于子宫良性病变，为尽少破坏盆腔解剖结构，保存较好血供，在生理和心理上对患者进行支持，提出“三角形子宫切除术”的术式，该术式采用倒三角形楔形切除宫体，保留部分宫体组织，不切断子宫动脉，术毕形成一“小子宫”的术式，可显著减少术后并发症的产生。该术式适合患子宫肌瘤的年轻患者。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;筋膜内子宫切除术(intrafascial hysterecomy)是指游离子宫体，切断子宫血管后，子宫颈峡部以下的操作在子宫颈筋膜内进行的子宫切除。可以经腹式经阴道途径完成，亦可在腹腔镜下完成(即Semm术式)。腹腔镜下阴式筋膜内子宫切除术有两种术式，一种是盆腔镜筋膜内、宫颈上子宫切除术(pelviseopic classical intrafscial suprcervical hysterectomy，CISH)，另一种是在腹腔镜下施行的同经腹手术术式相同的宫颈筋膜内子宫切除术(total laparoscopic intrafascial hysterectomy，TLIH)。保留了宫颈筋膜、主韧带、骶骨韧带及宫旁组织，既达到全子宫切除的目的，又有次全子宫切除的优点。由于长期以来对宫颈筋膜认识的局限性，使筋膜内子宫切除难以得到推广。通过组织学观察发现，宫颈主要由纤维结缔组织构成，仅含少量平滑肌与宫体肌肉组织相移行，界限明显。宫颈壁的纤维细胞由内向外逐渐排列紧密，染色由浅变深，其外层可见1～2mm不规则致密成纤维细胞排列，子宫和阴道筋膜实际上是延续的致密成纤维细胞形成的纤维鞘，来源于盆膈的筋膜，在宫体较薄而不明显，在宫颈周围变厚而强有力，其两翼向外增厚延续为子宫主韧带及骶骨韧带。合并慢性宫颈炎的子宫肌瘤患者不宜用此术式。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.腹式筋膜内子宫切除术：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;优点：术中减少了对子宫主韧带、骶韧带及宫旁和阴道旁组织的处理。避免了输尿管损伤，同时不需充分分离膀胱，一般术中不会损伤膀胱。因此使手术步骤简化，缩短了手术时间；保持了盆底组织结构和功能的完整性，术后无阴道松弛和脱垂；未切断子宫动脉下行支，盆底神经丛损伤小，有利于残端愈合，保障阴道完整供血；切除宫颈内膜，避免宫颈残端癌的发生。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;适应证：适于无慢性宫颈炎的子宫肌瘤患者，年龄≤40岁，要求术后不影响阴道长度者。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;手术步骤：按传统全子宫切除术步骤切断结扎圆韧带、卵巢固有韧带与输卵管或漏斗韧带，分离剪开阔韧带间组织至子宫峡部水平，剪开腹膜反折，向下略推膀胱，切断结扎子宫动脉上行支。在该切缘稍高处做一环形深约2～3mm切口，向上牵引子宫，钝性锐性结合分离宫颈筋膜达宫颈阴道部。沿阴道穹隆环形切除子宫。常规消毒后用0号可吸收合成线或肠线间断缝合阴道残端，然后用0号肠线连续缝合宫颈筋膜以包埋阴道残端。盆腔腹膜按一般常规缝合。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;术中注意事项：因宫颈管筋膜层次无明显标志，要求术者应熟悉宫颈组织结构及与膀胱直肠的解剖关系；正确分离宫颈筋膜是术式成败的关键，操作要点是牵拉子宫，环形切割筋膜厚约2～3mm，尽量用刀柄下推筋膜，必要时可将刀片与宫颈垂直下刮筋膜，避免斜行或平行切割，以免残留宫颈组织，同时也避免操作不当而致出血及损伤膀胱，或阴道后壁血肿；缝合残端时有两种方式：一是将阴道壁与筋膜一次性连续缝合，另一种是先缝合阴道壁，然后再连续缝合筋膜以包埋阴道残端，无论哪种方式，都不应漏缝阴道残端，以免出血。同时应将阴道残端与筋膜紧贴，不留无效腔，以免形成血肿；术中保留子宫颈的“外壳”不宜太厚，否则缝合止血较困难。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;b.阴式筋膜内子宫切除术：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;优点：阴式筋膜内子宫切除术与腹式筋膜内子宫切除术相比，创伤小、无腹腔干扰、术后恢复快、住院时间短、腹壁无瘢痕、住院费用低等优点，符合微创手术的原则。尤其对伴有肥胖、糖尿病、冠心病、高血压等内科合并症不能耐受开腹手术者，更是一种较理想的术式。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;适应证：子宫增大不超过12周妊娠子宫大小的子宫肌瘤患者；无盆腔恶性病变，盆腔无粘连；</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;手术步骤：宫颈两侧结缔组织内注入缩宫素(催产素)10U；在宫颈后唇与阴道壁交界处3～9点间切开后穹隆黏膜，分离达子宫直肠腹膜后开腹，缝线作标志；在宫颈移行带外0.5cm处环切宫颈筋膜，从后腹膜翻出子宫；靠近子宫依次切断圆韧带、卵巢固有韧带及输卵管峡部(不保留卵巢切断漏斗韧带)、子宫动静脉；切除子宫后用鼠齿钳将宫颈筋膜对合后用可吸收线间断缝合3针，各残端缝合于腹膜两侧；将宫颈复位后腹膜阴道黏膜一层缝合。阴道内以凡士林纱卷填塞24h，留置尿管24h。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;c.腹腔镜筋膜内宫颈上子宫切除术(CISH)：CISH为不切开阴道穹隆，保持了阴道生理解剖完整，又切除了子宫颈移行带达到全子宫切除目的的手术，是一种新的受欢迎的子宫切除术式。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;优点：创伤小、出血少、恢复快，在切除病灶的同时最大限度地保持了盆底、阴道和子宫颈外鞘的完整性，防止子宫颈残端癌的发生。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;适应证同LAVH适应证。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;手术步骤：1～4步骤同TLH；第5步放入圈套器于子宫峡部；第6步在腹腔镜下将子宫校正棒经宫颈穿入宫腔穿透宫底；第7步筒状旋切器以校正棒为中心经阴道从宫颈处将子宫中心部削空(不同大小的宫颈选择不同直径的筒状旋切器)；第8步取出条状子宫组织后，立即将圈套器在子宫峡部收紧，结扎，闭塞血管；第9步在子宫峡部结扎线上方切除子宫体；第10步经腹壁穿刺套管放入大抓钳，钳夹子宫体，用筒状旋切器，将子宫粉碎成条状取出；第11步冲洗盆腔止血；第12步关闭穿刺孔。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;改良CISH：广东楼宝阳等尝试的改良CISH特点有：将经典的CISH式4孔穿刺(脐部、左右下腹部、耻骨联合上正中)改进为3孔穿刺，两操作孔下移至耻骨联合上毛发边际，使切口更加隐蔽；膀胱的分离是CISH的操作难点，用自制的纱块卷钝性下推膀胱来取代传统的剪、钝锐性分离膀胱，操作简捷，组织层次清楚，不易损伤膀胱；子宫动、静脉的处理是手术成功的关键，传统的Semm术式直接采用3套圈套扎，易滑脱出血，而且套圈费用昂贵。选用双极电凝子宫动静脉，再用特制的套圈加固套扎颈管外鞘，使子宫动静脉的处理达到较理想的效果。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;广东李权辉等采用的改良方式有：鉴于目前国内腹腔镜筋膜内子宫切除术(CISH)，多用单、双极电切术。电凝后组织破坏大，容易损伤周围组织，引起严重的并发症。尤其是单极电凝在闭合腹腔内产生不可预见的电流回路，导致腹腔脏器的损伤。另外，电凝产生的表面碳化组织术后脱落，暴露肉芽组织，引起肠粘连等远期并发症。术者用Cat-Gut线套扎术，安全可靠，目前没有并发症发生。用加热凝固法封闭宫颈管创面的小血管，而不缝合残端，可预防内出血及血肿形成，没有发生大出血，一般1个月后完全愈合。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;标准CISH时，通常按腹式子宫切除术的顺序来处理子宫血管：处理子宫圆韧带后，先行结扎两侧输卵管峡部及卵巢固有韧带，一侧结扎6次(至少4次)在第3～4道线中间离断附件，然后向下处理子宫血管，再切除子宫，仅单纯在两侧宫角缝合次数已达12次，既费时又浪费昂贵的Cat-Gut线，并且卵巢固有韧带较短、张力大，结扎线容易滑脱，引起大量出血。此时镜下缝合止血麻烦，遇到出血多时容易污染镜头使术野不清，止血更困难，只好开腹止血，手术失败。改良法是两侧输卵管峡部、卵巢固有韧带套扎3次后，其内侧宫角不再缝扎，亦不离断附件，先用子宫切除器切去宫颈筋膜内组织及宫体的内膜、部分子宫肌层组织，取出组织物后立即套扎子宫动脉上行支，待子宫切除时一并离断附件以及峡部。此时，已结扎供应子宫的全部血管，子宫创面几乎无出血。这样，简化了手术程序，节省了昂贵的缝合线(只需一条缝合线)和最耗时间的镜下缝合术。出血明显减少，宫颈管创面仅有几十毫升的出血，手术安全性明显提高。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;切除宫颈管内组织后，每次均用内凝器加热宫颈管内创面至120℃，使宫颈管内组织蛋白变性坏死，即使术中切除宫颈筋膜组织后仍有少量腺体残留，最后亦会被破坏掉；对残留的宫颈筋膜外组织，不主张缝合，将宫颈口开放。其目的有：创面引流作用，将渗出引流干净，减少感染机会；有利于及早发现术后残端癌。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;D.腹腔镜宫颈筋膜内子宫切除术(TLIH)：也是腹腔镜下新的子宫切除术式。与CISH不同之处在于，宫颈完全被切除，阴道残端缝合在直视下进行。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;手术步骤：自子宫峡部以下的手术步骤同经腹手术。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;子宫体中心切除术：与香港周基杰教授开展的子宫三角形切除术类似。该手术保留了子宫浆肌层，切除子宫中心部分，亦可保留部分子宫内膜。术中可设法使子宫血循环暂时断流避免出血。该术式的优点是不断扎子宫附件、操作简单化，创伤减少，无泌尿道损伤的危险。不足之处是仍存在子宫颈残端癌的可能性，因此术前应认真检查。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;⑥子宫肌瘤的保守性手术&nbsp; 其优点是保留了子宫，不影响卵巢功能，并对有生育要求者有妊娠的机会。缺点是日后在妊娠和分娩时存在可能发生子宫破裂的危险性。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.经腹子宫肌瘤切除术：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;优点：特别适用于子宫壁间肌瘤，可免除切除子宫的痛苦。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;缺点：创伤面大，易于出血，出血多时可能需切除子宫；多发性肌瘤有遗留、肌瘤导致术后复发的可能性。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;适应证：35岁以下渴望生育的子宫肌瘤患者；40岁以上强烈要求保留子宫者；需要纠正肌瘤引起的月经失调、疼痛等症状者；黏膜下肌瘤、浆膜下肌瘤及单个或3个以内壁间肌瘤实施保守性手术较好。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;手术步骤：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;术式之一：了解肌瘤的位置、数目、大小以及附件情况。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;子宫体肌瘤割除术探查：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;注射子宫收缩药：切开子宫浆肌层之前，可先在瘤体周围注射0.2mg麦角新碱，使子宫收缩减少出血，而且切开肌层后肌瘤往往突出于切口表面，剥离方便，出血也少。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;剥出肌瘤：如果肌瘤位于子宫顶部或其前方，底部宽大，直径大于5cm，则在肌瘤表面做椭圆形切口，或绕瘤周围切开“包膜”。如果肌瘤直径小于5cm，则在浆膜层做一纵行切口。以2把鼠齿钳分别夹住切口边缘，向外牵拉，以暴露浆膜下肌瘤，再用血管钳或手指或刀柄伸入浆膜层，作钝性分离，逐步分离肌瘤。在分离过程中，如遇出血，应钳夹、结扎止血，有渗血时，可用生理盐水纱布压迫止血。剥离到瘤底部或近宫腔时，应尽量不破入宫腔，多保留肌层。以避免术后发生感染或子宫内膜异位症。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;肌瘤较大者为防止术中出血，可用胶管或橡皮导尿管从两侧阔韧带基底部相当于峡部水平穿过环绕，拉紧后用血管钳夹住。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;缝合残腔：用0～1号铬制肠线缝合剥离后残腔，依据残腔大小可缝合l～2层，勿留无效腔，缝线不要穿过黏膜层。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;缝合子宫浆肌层 ：用00号肠线结节或褥式缝合子宫浆肌层。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;缝合腹壁：清理腹腔后，逐层缝合腹壁。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;带蒂浆膜下肌瘤摘除术时，沿蒂之根部在子宫表面作纵形的梭形切口，切除瘤蒂后同上法缝合子宫表面。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 术式之二：子宫颈肌瘤剜除术。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; 剥离肌瘤：如肌瘤起自宫颈前唇，则应先找到覆盖于其上的膀胱腹膜反折，以止血钳夹住其中央，切开，推开膀胱，将子宫向病人头侧上方牵拉，暴露肌瘤，用手指或刀柄作钝性分离，边分离边向两侧扩大切口，直至肌瘤完全剥出，对较大肌瘤在剥离过程中，用鼠齿钳钳夹肌瘤，并向上牵拉，有利于肌瘤剥出。注意勿损坏膀胱及输尿管。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 子宫壁肌瘤在推开膀胱后，将子宫向耻骨联合前方牵拉，在肌瘤与子宫体后壁分界线稍下方做一弧形横切口，达肌层与肌瘤表面。用同样方法剥离出肿瘤。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; 关闭残腔：用0～1号肠线作l或2层的纵行间断“8”字缝合残腔，避免渗血、渗液。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; 缝合膀胱反折腹膜。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; 缝合腹壁各层。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 术式之三：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 阔韧带肌瘤剜除术：阔韧带肌瘤绝大多数是由于子宫体或宫颈侧壁肌瘤向外生长而形成的，也可以来自阔韧带的肌肉成分。随着肌瘤的生长，其周围组织的解剖关系也会发生改变。子宫往往被挤向对侧或被拉长挤扁，输尿管及血管也可能受到挤压而发生移位。如果肌瘤起自子宫峡部侧壁或略靠后，就有可能将输尿管挤压入盆腔深处或侧壁。当挤压过紧时，可导致该侧肾盂积水，当淋巴、静脉回流受阻时，就会出现下肢肿胀及腿痛。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 探查：开腹后详细查明肿瘤部位、大小，与子宫、宫颈的关系，辨认输卵管、圆韧带的位置，以及肌瘤与膀胱、肠管等有无粘连。注意输尿管及子宫动、静脉位置的变化。有时输尿管被肌瘤顶起附着在肌瘤壁上或肌瘤侧壁与盆壁之间，有时输尿管被压在肌瘤后方。输尿管因受压而变得粗大或细小，子宫动、静脉也常变得粗大而异位。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 切断圆韧带：打开覆盖肌瘤表面的阔韧带前叶，再切开子宫肌层达肌瘤表面，以手指插入，将它自瘤壁上游离。如为巨大阔韧带肌瘤，可再切开阔韧带后叶，以同样手法将肌瘤从后方剥离。注意不要损伤附着在瘤壁上变形、变位的输尿管。以鼠齿钳钳夹肌瘤最高部位，试行牵拉，如牵出比较松动即可自前往子宫方向或盆腔侧壁作进一步剥离。在剥离时尽量保持卵巢及输卵管的完整性，不要损伤或结扎漏斗韧带内的血管及子宫动脉上行支，以保留卵巢及输卵管的完整性。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 如果肌瘤突向前下方，应将膀胱反折腹膜打开，推离膀胱，仍以钝性分离为主。一般分离到阔韧带底部或近子宫侧壁时比较困难，一定要边剥离，边注意辨认输尿管及血管。如遇到条索状组织，应追踪其走向、软硬，辨认清楚再做处理。因为在肌瘤上方的输尿管，可能被伸展成为一细而薄的纤维索，如不仔细辨认，可能会误伤。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; 剥离肌瘤前、后、侧壁之后，可用双鼠齿钳钳夹住肌瘤顶部，并提出盆腔，再次探查其底部，显露输尿管。再自上而下依次剥离肌瘤与子宫交界处，应尽可能贴近肌瘤侧。由于子宫动脉的上行支有很多小分支横行分布于子宫侧壁，肌瘤大时，血管也可能相应增粗。因此，一定要边牵引，边移动，边钳夹，边结扎，以免出血。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 关闭残腔、缝合圆韧带&nbsp; 肌瘤取出后，再次仔细检查各重要器官，注意创面有无渗血，酌情剪去多出的阔韧带前、后叶，用00铬制肠线作间断或荷包缝合原肌瘤残腔。尽量将卵巢输卵管放回原处，将切断圆韧带缝合。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 缝合腹壁：清理腹腔后，逐层缝合腹壁。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;术中注意事项：切口的选择：剜除肌瘤选择的切口应与血管走向平行，尽可能选择子宫前壁纵向切口，以减少出血和有利于腹膜被覆。不要靠近子宫输卵管交界处做切口，以免损伤输卵管间质部。对于多发性子宫肌瘤，应尽量减少子宫切口。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 肌瘤的剜除及残腔的处理：较大的肌壁间肌瘤在剥离操作时应仔细，当接近宫腔黏膜时，尽量不破入宫腔，缝合残腔时，缝线应紧贴黏膜下层，避免进入宫腔。以防术后发生感染或子宫内膜异位症。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; 损伤：肌瘤切除出现损伤多见于宫颈肌瘤及阔韧带肌瘤，由于肿瘤在此处逐渐增大，可使子宫血管及输尿管移位。根据肿瘤发生部位及其生长的方向，输尿管可被推向尾侧、外侧，甚至头侧，且被拉长而扁，与正常的输尿管大不相同，如不注意，易误伤。应特别注意这一点。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; 出血：在肌瘤的假性包膜内的结缔组织中有营养肌瘤的血管，剜出肌瘤后，仔细缝扎假包膜内的出血点。如果创面渗血，可以用热盐水纱布压迫止血，或肌壁内注射缩宫素(催产素)10U，以减少出血。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;预防术后粘连：缝合子宫创面时，尽可能减少裸露创面数量，做好腹膜被覆。缝合腹壁腹膜时，也应使腹腔面保持光滑，以防术后粘连。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;术式之四：黏膜下肌瘤切除术。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;依次切开腹壁各层、暴露子宫。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;注射子宫收缩药，切开子宫肌层前，先在子宫前壁注射0.2mg麦角新碱使子宫收缩以减少术中出血。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 纵行剖开前壁子宫肌层，取出肌瘤并缝合瘤蒂；</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;缝合子宫肌层：以0～1号可吸收肠线分两层缝合子宫切口，缝合第一层时避免将内膜卷入。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;此乃传统的黏膜下肌瘤手术方法，近年来由于宫腔电切镜的问世，现已取代了剖宫取瘤的方法。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;优点：此术式的优点是操作简单易行，创伤小，出血少，术后恢复快。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; b.经阴道子宫肌瘤摘除术：适于子宫颈带蒂黏膜下肌瘤或子宫体有蒂的黏膜下肌瘤且瘤蒂附着较低者。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;手术步骤：膀胱截石位，外阴及阴道常规消毒，导尿；单叶拉钩扩张阴道，暴露肿瘤；用手扪清瘤蒂，以子宫双爪钳夹住瘤体，轻轻向外牵拉；瘤蒂较细者，可扭转瘤体，直至瘤蒂自然脱落；瘤蒂较粗者，可用有齿止血钳，在瘤蒂根部夹住切断瘤蒂，取出肌瘤，再以0号肠线缝扎瘤蒂。亦可将止血钳留下24h后松除。注意同时留置导尿管，直至止血钳取出。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; c.腹腔镜下子宫肌瘤切除术(laparoscopic hysteromyomec tomy，LSHM)：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 优点：创伤小，术后恢复快，住院时间短。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 缺点：手术费用高，需经训练后的医生方能完成。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;适应证：有症状或不育的患者，子宫肌瘤≥3cm。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;禁忌证：多发性子宫肌瘤；直径≥5cm的3个以上子宫肌瘤；增大的子宫体积超过妊娠16周；单个子宫肌瘤直径≥15cm。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;手术步骤：全麻、心电监护下，患者取头低脚高位，形成满意的CO2气腹；以3个穿刺器分别于脐下10cm、左下腹5cm及右下腹5cm处穿刺，并用举宫器，以便术中更好地暴露子宫肌瘤；于子宫肌瘤最明显处，以单极电针切开子宫及假包膜至子宫肌瘤处，该处与子宫肌层分界明显；牵引子宫肌瘤，沿假包膜以电铲、电凝分离子宫肌瘤。创面出血活跃处以双极电凝止血；有蒂的浆膜下肌瘤以双极先电凝瘤蒂部，再以单极电针或剪刀切除子宫肌瘤；单发肌壁间肌瘤切除后均以可吸收线间断缝合全层，体外打结；浆膜下肌瘤切除后则根据创面是否出血，瘤体切除后子宫浆膜的张力进行缝合，用钛夹钳夹关闭浆膜。有蒂的浆膜下肌瘤如蒂部＜1cm，瘤体切除后又无出血，则不处理；如＜4cm则采取体内肌瘤分碎术，从右下腹切口处取出；较大的肌瘤则根据术者的经验采取耻上小切口，阴道后穹隆切开或腹腔镜下行分碎术取出；如合并附件病变，则根据病变性质行囊肿切除，附件切除或较输卵管切除术。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;术中注意事项：LSHM的关键步骤是缝合，无论是浆膜下或肌壁间肌瘤，均应缝合局部子宫切口，术中应避免使用电刀切开子宫及止血，因用电刀可引起组织坏死、子宫瘢痕及妊娠期子宫破裂，由于钛夹钳夹的组织太少，组织对合及止血效果均不理想，仅适用于肌层缺损少时。该法简单易行，特别适合未掌握缝合技术的术者。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;子宫肌瘤的取出方式很多，有腹腔镜下电刀或剪刀切开后自穿刺孔吸出，耻上小切口或阴道后穹隆切开取出，有条件者可用特制的肌瘤粉碎钻粉碎后取出。采取何种方式取决于器械及术者经验。一般ISHM吸出者适用于较小的肌瘤，较大的肌瘤取出则很费时，而且肌瘤的碎片可以在切口部位继续生长，引起切口疼痛及包块。其他方式适合较大肌瘤。对于子宫直肠窝封闭者，则不宜采用后穹隆切开法。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; d.宫腔镜子宫肌瘤切除术：也称经宫颈子宫肌瘤切除术(transcervical resection of myoma，TCRM)。1976年由Neuwirth和Amin首次将在泌尿外科应用的前列电切镜行子宫肌瘤切除术。如今TCRM已发展为妇科的成熟新技术。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; 优点：与传统的子宫切除和经腹剔除肌瘤相比，TCRM免除了开腹的繁琐，患者痛苦少，术后恢复更快；通常可在门诊进行，更方便患者和医护人员；子宫无切口，极大地减少了日后剖宫产几率；手术的预后可与传统的开腹手术媲美。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 适应证：任何有症状的黏膜下肌瘤，内突壁间肌瘤和宫颈肌瘤的患者，肌瘤直径≤5cm；深埋于肌层内的黏膜下肌瘤和内突壁间肌瘤需做两次。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; 禁忌证：急性盆腔炎或心、肺、肾功能衰竭急性期及其他不能胜任手术者；宫颈瘢痕、不能充分扩张者及宫颈裂伤或松弛，灌流液大量外漏者；未引起宫腔变形的壁间肌瘤和浆膜下肌瘤。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 术前准备：术前需做全面检查，以确定黏膜下肌瘤和(或)内突壁间肌瘤和宫颈肌瘤的存在、数目、大小、位置、有无变性，应评估宫腔镜手术的可能性；术前准备：手术应安排在月经周期的增殖期进行，对肌瘤≥3cm者，应在术前给予激素抑制剂，以缩小子宫肌瘤体积，抑制子宫内膜增生和血管再生，使术中出血减少，视野清晰，减少灌流液的回吸收。可用药物有：GnRHa：术前应用2个月，具体用量随不同类型GnRHa而定；达那唑(danazol)：400～600mg/d，共6周，可替代GnRHa；米非司酮：25mg/d，共3个月，用药期间闭经，可减轻贫血，改善全身状况是较有前途的TCRM的术前预处理药物。术前纠正贫血，如病人为未产妇或宫颈口较小，于手术前晚宫颈管插放海藻棒或其他吸水物质。一般术后均用预防性抗生素。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 器械和技术：微型摄像机可与目镜连接，将图像呈现在电视屏幕上，大大提高了图像的清晰度，缓解了术者操作时通过目镜观察物像的疲劳感。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 辅助器械和设备导尿管、阴道窥器、重锤、阴道牵拉器、宫颈钳、宫颈扩张器、肌瘤抓钳、卵圆钳、刮匙、B超、腹腔镜等。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 以高频电为动力者，用25～27Fr的标准连续灌流手术镜，12°光学视管。有数种电极可以用于子宫肌瘤切除术：单极电极中的90°环形电极最适于切削肌瘤，0°环形电极适于分割大的肌瘤，功率70～120W；针状电极适于划开子宫内膜和肌层，开窗切除壁间肌瘤；滚球电极用于电凝止血，功率50～70W；气化电极可气化小的腔内肌瘤，功率200～275W。以激光为动力者，用带有蓝宝石的钕钇铝石榴石固体激光(Nd：YAG)的光纤，经手术宫腔镜的光纤孔道气化肌瘤。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;常用的灌流液有5%葡萄糖、1.5%甘氨酸或3%山梨醇等低黏度液体，为了有良好的手术视野，最好用自动膨宫泵和大口径的管子进行膨宫和灌流，入水压不超过80～100mmHg(10.64～13.3kPa)，出水可与负压吸引瓶相连接，进行低压吸引(100mmHg即13.3kPa)</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;手术步骤：有蒂黏膜下肌瘤：体积小者可用环形电极、气化电极或Nd：YAG激光等切断瘤蒂，然后将瘤体夹出。3cm直径者应先切除肌瘤组织，使体积缩小后再切断瘤蒂挟出，并需B超和(或)腹腔镜监护。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;有蒂黏膜下肌瘤：肌瘤在肌壁间有较宽的基底，切除无蒂黏膜下肌瘤需B超和(或)腹腔镜监护。切除腔内部分肌瘤的技术同有蒂黏膜下肌瘤，切除肌壁内部分时必须识别肌瘤和包膜的界面，肌瘤组织为白色结节状，而包膜组织色灰且平滑。肌瘤应自包膜内完全切除，或切除至与邻近的子宫肌壁平，残留在肌层内的肌瘤组织日后可坏死而消融，或因宫缩而排入宫腔，后者需行第二次切除。以上技术只适用于埋藏在肌层部分＜50%者，若＞50%需边切边用缩宫素，将肌瘤挤入宫腔，再行切除，并常需多次手术。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;内突壁间肌瘤：酷似无蒂的黏膜下肌瘤，惟其腔内表面被覆有薄层的肌壁组织。手术常需分期进行，第一步为开窗，先用针状电极划开被覆肌瘤表面的肌肉组织，形成窗口。若肌瘤向宫腔内突出，即进行第二步：切割和(或)气化，技术同无蒂黏膜下肌瘤；若肌瘤保持原位不动，则停止手术，术后选用GnRH-a或达那唑，2～3个月后再行第二次切除。国外报道有行4次手术将肌瘤切净者，即使有少量残存肌瘤，使用GnRH-a或达那唑后有些可自然消融。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;多发黏膜下及壁间肌瘤：对患有多发黏膜下及壁间肌瘤的未育妇女，可行宫腔镜肌瘤切除术，切除和气化的方法同前，一次尽可能多地切除肌瘤，术毕放置宫内节育器，2个月后取出。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;宫颈黏膜下肌瘤：以环形电极切断瘤蒂，完整取出或切开包膜将肌瘤完整拧出。埋入宫颈组织间的肌瘤，只要能扪清其轮廓，用环形电极从包埋组织最薄处进刀，切抵肌瘤后，适当延长切口，自包膜内将肌瘤完整剥出。肌瘤取出后瘤窝一般不出血，如瘤窝较大或宫颈外形不整齐。可用吸收肠线缝合。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;同时子宫内膜切除的问题：对出血严重又不要求再生育的妇女，可考虑同时去除子宫内膜，应用滚球电极或Nd：YAG激光均可。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;宫腔镜手术的并发症：子宫穿孔：是宫腔镜手术最常见和最严重的并发症，发生率0.25%～25%，平均1.3%，2.25%合并肠管损伤。术者无经验，不正确的使用作用电极，切除较薄峡部、子宫角，行经宫颈宫腔粘连切除术(TCRA)、经宫颈子宫中隔切除术(TCRS)，子宫有手术创伤史等是子宫穿孔的高危因素。因此术中应采用B超或腹腔镜加强监护。B超监护时，电切环的高温使切面基底部受热、脱水，在B超声像图上出现强回声光带，此特殊图像可提示切割范围和深度。当强回声光带接近浆膜层时，提示如继续向此方向切割，有穿透子宫壁的可能，故B超监护对切除较大肌瘤的定位和切割有导向作用。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;一旦发生穿孔，B超见子宫周围有游离液体，宫腔镜见腹腔、肠管或网膜，腹腔镜见腹腔内液体迅速增多，子宫浆膜出血、血肿或创面均提示子宫穿孔。B超和(或)腹腔镜监护有助于预防子宫穿孔，但不能完全避免。经过宫腔镜手术后的子宫有妊娠子宫破裂的危险。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;腹腔镜监护时可拨开肠管，避免损伤邻近脏器。当电切或电凝宫壁较深，接近浆膜层时，局部组织受热，浆膜面可起水泡，或自腹腔镜可看到宫腔镜的亮光，提示子宫即将穿孔，可以立即发现子宫穿孔，还可进行腹腔镜下缝合，但腹腔镜不能监护子宫后壁。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;TCRM子宫较大或TCRM肌瘤较大，或有多量组织碎屑存留于宫腔时，B超宫内回声杂乱，超声探头难以追踪电切环的声影，仍可发生子宫穿孔。腹腔镜监护的局限性在于只能观察子宫前壁和底部，不能监护子宫后壁，不能预报没有预兆的子宫穿孔，但腹腔镜肯定可以立即发现子宫穿孔，从而防止进一步损伤相邻器官。此外，对发现的损伤还可进行腹腔镜下电凝止血及缝合。这些优点均为B超监护所不及。因此，对一些有子宫穿孔高危因素的宫腔镜手术，有必要进行腹腔镜监护，如果穿孔同时造成邻近器官如肠管、膀胱或输尿管损伤，则应立即剖腹探查，酌情治疗。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;过度水化综合征(the syndrom of transurethal resection of the prostate，TURP)：由于大量灌流液吸收入血液循环，导致血容量过多及低钠血症引起的全身一系列症状，重者可致死亡。其预防措施有：严密监护高危患者，尤其是大的肌瘤，术前未做药物预处理及子宫穿孔者；确切测定灌流液入量与出量的差值。差值达1000ml时，可能会有轻度低钠血症，应尽快结束手术；＞2000ml时，多有低钠血症发生，甚至严重的低钠血症及酸中毒；尽量采取低压灌注。Bennett等指出，术时灌流液压力的设置应低于平均动脉压；Baskett提出子宫灌流系统的出水管连接负压，可降低灌流液吸收的危险性；尽量缩短手术时间，最好在1h之内。一旦发生TURP，应立即停止手术并给予相应处理，包括利尿、补钠、纠正酸碱平衡及电解质紊乱。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;空气栓塞：气体可来源于入水管和组织气化所产生的气泡。故术中应加强监护，包括连续心前区多普勒监护、呼气末CO2压力监测(其数值下降为空气栓塞最重要的早期征象)及血氧饱和度测定等，术时预防方面应正压通气，避免头低臀高位，小心扩张宫颈管，不能将宫颈和阴道暴露在空气中，注意排空入水管内的气体。复苏措施为立即防止气体进入，将患者转为左侧卧位，尽可能抽出气体，注入大量生理盐水，促进血液循环。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 盆腔感染：宫腔镜术后盆腔脓肿、巴氏腺脓肿、肝脓肿、输卵管卵巢脓肿的报道，但少见。术后应常规应用抗生素。一旦发现感染，应及时给予抗感染治疗，必要时行脓肿穿刺或引流。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;周期性腹痛：子宫粘连；宫底残留内膜增殖导致宫腔积血；子宫内膜基底层被瘢痕覆盖导致医源性腺肌病和进行性痛经；术时子宫内压将有活性的子宫内膜细胞挤入肌层，引起腺肌病；子宫角部内膜未完全破坏。一旦发生周期性腹痛，可应用镇痛剂治疗。对少数症状严重者，可行子宫切除术。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;子宫恶性病变：若切除的子宫肌瘤病理检查结果为子宫肉瘤，应再行全子宫加双附件切除术，并根据手术病理分期给予继续治疗；手术完毕后，如留有少量肌瘤组织，发生子宫肉瘤的几率不变，应随访。故强调宫腔镜切除的组织应全部送病理组织学检查。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;巨大宫颈瘤子宫切除术：宫颈肌瘤是子宫肌瘤的一种特殊类型，由于缺少临床症状，较小时不易诊断，发现时肌瘤常较大，直径达10cm以上，嵌顿于盆腔或阴道内，给手术带来困难。由于宫颈周围解剖关系复杂，术中易造成膀胱、输尿管或直肠损伤。其手术步骤如下：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;开腹及圆韧带处理：同一般腹式子宫全切术，但巨大宫颈肌瘤膀胱向上移位，打开腹膜时要注意避免损伤膀胱。圆韧带应于子宫角部与腹股沟管之间附件前方寻找。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;处理卵巢血管：由于宫颈肌瘤将宫体上推，使骨盆漏斗韧带变短。其中的卵巢动、静脉和输尿管均迂曲，互相靠近，所以在处理卵巢动、静脉时要打开骨盆漏斗韧带，外侧尽量靠近侧腹膜上下分离卵巢动、静脉并游离输尿管，充分暴露卵巢血管，直视下钳夹并仔细检查所提起的组织中确认无输尿管时再切断、缝扎。如保留卵巢应打开阔韧带前后叶，用手指分离卵巢血管，切断卵巢`固有韧带后即可暴露肿瘤再寻找输尿管。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 打开膀胱子宫反折腹膜下推膀胱：宫颈前唇肌瘤膀胱往往处于较高位置，但其与宫颈间组织疏松易于分离。推开膀胱暴露出瘤体，沿瘤体将周围组织推开至肿瘤下极。位于宫颈后唇的肌瘤要先推离直肠，使肌瘤与周围组织全部游离。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;处理子宫血管：正常情况下子宫血管位于子宫峡部外侧2cm与输尿管交叉处。宫颈肌瘤时向上推移输尿管，尤其向两侧突出的宫颈肌瘤输尿管常附着于肌瘤表面，多发性肌瘤时输尿管甚至穿越肌瘤间隙而过，输尿管与子宫血管明显移位，由于子宫动、静脉也移位不易辨认，所以在处理子宫血管时应沿已暴露出的输尿管向下游离，充分下推膀胱，特别是膀胱脚处必须彻底游离，可暴露出一个三角形组织薄弱区，正常情况下三角区的内侧为子宫壁，下侧为主韧带，外侧为子宫动、静脉，输尿管从中穿过，用小直角钳沿输尿管上方分离，很容易将子宫动、静脉和输尿管分开，直视下钳夹、切断子宫血管，双重缝扎。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;处理主韧带：此时应自输尿管、子宫动脉交叉处继续向下游离输尿管达膀胱入口处。输尿管往往附着于肿瘤表面，组织较疏松，以拉钩将膀胱、输尿管向侧下方牵拉，在其内侧钳夹，切断主韧带。有时主韧带被肌瘤牵拉组织变得菲薄、疏松，很容易被推开，可不处理主韧带即自穹隆部环形切除子宫，主韧带如有出血时再止血。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;处理阴道：宫颈肌瘤时阴道上段常过度扩张，瘤体下界低于阴道穹隆部，达阴道中段，应纵向切开阴道前壁，沿穹隆环形切除子宫，切不可沿瘤体下界环切，易过多切除阴道，使阴道缩短。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;8.子宫肌瘤患者绝经后的雌激素替代治疗&nbsp; 为了提高绝经后妇女的生活质量，防止心血管疾病及骨质疏松等症，激素替代疗法(hormone replacement therapy，HRT)已愈来愈成为必不可少的治疗方法。但临床上对有子宫肌瘤患者进行HRT后，有患者出现了异常出血、肌瘤增大、贫血加重等问题，因此医生对子宫肌瘤患者是否使用HRT感到棘手，患者也忧心忡忡，此即成为HRT终止进行的原因之一。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;鉴于子宫肌瘤的发生、发展与性激素有密切关系，有关对绝经期子宫肌瘤患者实施HRT对肌瘤的影响，已有了一系列研究。结果表明用HRT后，子宫肌瘤并未明显增大，即使有增大，停止使用HRT后，肌瘤增大即可停止。虽然有出血增多的可能，但与其优点相比，利大于弊，且HRT在绝经后补充激素的量很小，因此大多数学者认为对肌瘤患者可使用HRT。但应用时应注意以下几点：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (1)定期进行超声波检查，观察治疗后肌瘤变化，特别是在最初6个月内。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (2)定期进行宫颈癌、子宫体癌筛除检查，必要时可用子宫镜进行子宫内膜组织学检查。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (3)注意异常出血情况，对有出血的患者：要充分说明情况，争取配合，定期检查。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; (4)注意HRT使用药物的种类和剂量，因为肌瘤的增大与雌、孕激素均有关，建议甲羟孕酮少量，周期性使用，当有肌瘤增大或异常出血时，可停止使用HRT或换用对子宫作用较小的药物，如雌三酮(E3)制剂。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 9.子宫肌瘤合并妊娠&nbsp; 子宫肌瘤好发年龄虽然在30～50岁，但发生在于21～40岁也不罕见。王世阆(2000)报道占29.32%，Bayekal(2000)也认为子宫肌瘤通常发生在生育年龄妇女。故子宫肌瘤可与妊娠同时存在。妊娠合并肌瘤的发病率约占肌瘤患者的0.5%～1%，占妊娠的0.3%～1.2%。由于肌瘤小，又无临床症状，产前未作B超等特殊检查，不少病人在妊娠及分娩过程中被忽略，因此，肌瘤合并妊娠的确切发病率不清楚，实际发病率远远超过以上数字。其发病年龄大于30岁多见。子宫肌瘤合并妊娠，无论对妊娠、分娩均有影响。妊娠对肌瘤及其处理有时也发生困难。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (1)肌瘤与妊娠的关系：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ①不孕：子宫肌瘤患者发生不孕的约占20%～30%，不孕的肌瘤患者摘除肌瘤后，50%～70%左右发生了妊娠。如Duhuissou(2000)报道91例不孕的肌瘤患者，摘除肌瘤后53.1%怀了孕；Vescellini(1999)报道为71%。可见肌瘤与不孕有密切关系。肌瘤患者发生不孕的原因，可能与多种因素有关。如肌瘤的部位、大小、数量以及有无出血、坏死、继发感染等。若肌瘤生长在子宫颈或子宫角，它可直接影响子宫颈管或输卵管的通畅，肌瘤若在子宫黏膜下，肌瘤表面的宫内膜可出现供血不足，影响受精卵着床；若肌瘤较大、较多、可使子宫腔变形，从而影响精子运行与孕卵着床；若肌瘤出血、坏死、常引起继发感染，使输卵管阻塞而不孕。此外，肌瘤患者常伴有卵巢能失调，出现子宫内膜增生延长，也可导致不孕。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;②流产与早产：子宫肌瘤合并妊娠最常见为流产，其发病率高达50%～70%，是无肌瘤患者的2～3倍。Benson(2001)报道，有肌瘤患者比无肌瘤患者的流产率为14.0∶7.4%，且多发性肌瘤比单个肌瘤患者流产率高(23.6%比8.0%)。发生流产的原因，在黏膜下肌瘤可能因为孕卵着床后，子宫内膜供血不足而导致流产；较大的肌瘤造成子宫腔变形及机械性压迫障碍而发生流产；妊娠期，由于肌瘤生长迅速，易于发生肌瘤退行性变及催产素酶的活性改变，导致子宫兴奋性和子宫平滑肌收缩力增强，也引起流产。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;③产科并发症：一般合并肌瘤的孕妇，在妊娠和分娩过程中，都比较正常。若子宫体部肌瘤较大，可使胎儿宫内生长发育迟缓、胎盘低置、前置胎盘等。子宫下段肌瘤可导致产道梗阻、胎先露下降困难，从而出现难产。肌瘤亦可引起子宫平滑肌收缩乏力，导致产程延长，产后出血。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(2)妊娠对肌瘤的影响：妊娠期由于子宫血循环增加，肌瘤组织充血、水肿、肌细胞肥大、表现为子宫迅速长大，尤其妊娠4个月前更为明显；而分娩后，多数肌瘤可以缩小。但是，部分患者可因妊娠、分娩及产后，肌瘤周围环境的改变，血流发生障碍，引起一些不良变化。如透明性变、囊性变及红色退变等。其中红色退变较为常见，最具有临床意义。红色退变多发生于直径大于6cm肌瘤，在妊娠中、晚期常见。一般认为红色退变是因肌瘤迅速长大，肌肉内的血循环受阻，引起肌瘤充血、水肿、进而缺血、梗死，血栓形成及溶血等变化，血液溢入瘤体，剖视瘤体呈红色，似半生半熟牛肉状。患者可出现发烧、腹痛、呕吐、局部压痛及白细胞增多等症状体征。此外，有蒂的浆膜下肌瘤可出现慢或急性蒂扭转，从而肌瘤发生坏死，感染、化脓等，形成急腹症。也曾偶见因肌瘤重心改变而引起子宫扭转，出现剧烈腹痛，恶心呕吐等症状。黏膜下肌瘤可因手术或胎头压迫造成创伤，感染坏死，也可肌瘤随胎儿、胎盘脱出宫腔后发生感染。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (3)肌瘤合并妊娠的诊断：肌瘤合并子宫妊娠的诊断，一般并不困难，国内外报道其准确率高达70%～80%。主要根据肌瘤患者有停经史、早孕反应，妊娠试验阳性，超声波检查既见肌瘤回声也见胚囊、胎心等影像；妇科检查子宫长大超过孕龄，部分变软，部分质硬，宫颈着色。随着停经月份的增加，子宫逐渐长大，肌瘤也随之上升至盆腔外，腹部可扪及较软的妊娠子宫，子宫上可触及较硬的节结或实性块物。孕4月以后，患者可自觉有胎动，听诊可闻及胎心。若以往无肌瘤病史、或未曾作过妇科检查、或肌瘤过小难以体检发现者，诊断有时会遇到困难，尤其是当肌瘤发生变性时，易与其他急腹症混淆，应注意区别，可借助B超加以鉴别。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(4)妊娠合并肌瘤的处理：在妊娠期若无症状，一般不需特殊处理，定期产前检查即可。若肌瘤出现红色变性，无论在妊娠期或产褥期，采用姑息治疗，不作手术，几乎都能缓解。若浆膜下肌瘤出现蒂扭转，经保守治疗无效，可手术干预。若肌瘤嵌顿于盆腔，影响妊娠继续进行，或肌瘤压迫临近器官，出现严重症状，都应手术治疗。手术时是否终止妊娠，应结合病人具体情况而定。在妊娠晚期，分娩方式宜根据肌瘤大小、部位、胎儿和母体具体情况而定。在分娩期，若因肌瘤而出现胎位异常、产力异常、压迫阻塞，或胎先露下降困难时，应及时采取剖宫产结束分娩，术中及术后应防止子宫出血。剖宫产时是否同时切除肌瘤或子宫，亦应根据肌瘤大小、部位及患者情况而定。若在阴道分娩过程中，黏膜下肌瘤排入阴道，可待胎儿娩出后经阴道切除脱出的带蒂的肌瘤，但要注意不要切破子宫壁。</p>', null, '12', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5769', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '175', '预后', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;术后复发率一般在20%～30%。复发率与术后随访时间的长短有关，随访的时间长其复发率也逐渐升高，与所用的检查方法也有关系。Tedele(1995)对子宫肌瘤切除术后用阴道超声作随查，5年累积的复发率逐年升高，到5年达51%。多发性子宫肌瘤的术后复发率高于单发肌瘤，此外文献报道肌瘤切除术后有过妊娠分娩者的复发率(15%)低于术后未妊娠者(30%)。复发的原因有两个可能：手术时有小的肌瘤被漏掉，术后在卵巢性激素的作用下逐渐长大；另一可能是患者本身存在肌瘤致病的因素，若干年后又有新的肌瘤发生。</p>', null, '13', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5770', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '175', '预防', '<p style=\"line-height: 2em;\"><span style=\"font-family: &quot;??&quot;; letter-spacing: 1.33333px; background-color: rgb(255, 255, 255);\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;定期体检、及时治疗。</span></p>', null, '14', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5771', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '191', '概述', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;急性心肌梗死(acute myocardial infarction，AMI)是指因持久而严重的心肌缺血所致的部分心肌急性坏死。在临床上常表现为胸痛、急性循环功能障碍以及反映心肌损伤、缺血和坏死等一系列特征性的心电图改变。临床表现常有持久的胸骨后剧烈疼痛、急性循环功能障碍、心律失常、心功能衰竭、发热、白细胞计数和血清心肌损伤标记酶的升高以及心肌急性损伤与坏死的心电图进行性演变。按梗死范围，心肌梗死可分为透壁性心肌梗死(也称为Q波性心肌梗死)和心内膜下心肌梗死(也称为无Q波性心肌梗死)两类。透壁性心肌梗死的坏死灶自心内膜下心肌向心室游离壁或室间隔延伸至少一半厚度以上，有时可累及一个区域的心室壁整个厚度。心内膜下心肌梗死则限于心内膜下心肌薄层或散在的坏死灶，心电图表现无Q波。按病变发展过程，心肌梗死可分为急性心肌梗死与陈旧性心肌梗死。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5772', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '191', '流行病学', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;急性心肌梗死的发病率随年龄增长而逐渐增高。在男性，发病高峰为51～60岁，女性为61～70岁。在35～55岁之间，男性患MI的危险性是女性的6倍。在老年，女性的“雌激素保护”已不存在，发病的性别差异消失。有动脉粥样硬化“四大诱因”(即高血压、高胆固醇血症、吸烟和糖尿病)的患者，在青年期即可发生MI。AMI的病死率和致残率相当高，已成为西方发达国家的主要死亡原因。如在美国，每年有近150万人患AMI，其中有1/3左右的病人不治而亡。50%的死亡发生在发病后的1h内。我国AMI的发病率低于西方国家，但国内北方AMI的发病率一般高于南方，城市高于农村。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;在过去40年里AMI的防治已取得了非常显著的进展，尤其是西方发达国家AMI的发病率正在稳定的下降。这种下降的原因可能与AMI发生率减少(部分为不稳定心绞痛所代替)和发生AMI后病死率减少有关。另外，临床医师现在对于识别处理高度危险的AMI病人的经验较前丰富，对于非心脏手术的病人采取了更积极的心血管治疗方法以预防AMI的发生。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;降低AMI病死率的治疗手段有几项具有划时代意义的突破。20世纪60年代中叶发展起来的CCU概念，使得后10年在心律失常的详细分析和有效的处理方面有显著的进展；其后，肺动脉球囊漂浮导管的引入建立了AMI病人床边血流动力学监测，有助于更精确地处理心力衰竭和心源性休克；从冠状动脉内发展到静脉内的溶栓治疗，加用阿司匹林和经皮冠状动脉腔内成形术(PTCA)开辟了AMI治疗的现代再灌注时代。药物治疗仍然是AMI病人治疗的重要组成部分，有价值的进展包括抗血栓治疗系列方案、硝酸酯制剂、β受体阻滞药、血管紧张素转换酶抑制药(ACEI)和他汀类降脂药的应用等。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;尽管在AMI的治疗上取得了令人满意的进展，仍然有许多有待进一步提高疗效的问题。随机研究提示，采用积极的再灌注治疗的AMI病人短期病死率为6.5%，而不采用再灌注治疗的病死率为13%。虽然老年病人(＞65岁)心肌梗死后的生存率已经显著改善，但是年龄增加仍旧是决定AMI病死率的主要因素之一。目前老年AMI病人住院期间比以往更多地采用了导管检查和其他创伤性措施。尽管如此，研究表明，在发病后最初24h的治疗方式可以使老年病人病死率得到最大程度的下降，在这段时间里，迅速、恰当的药物疗法具有最重要的意义。溶栓治疗、阿司匹林和β受体阻滞药等减少AMI病人病死率的药物尽管正在不断增加使用，但是仍然应用不够，尤其是老年病人。反之，钙拮抗药的应用却有过多之虑。在具体处理AMI病人时，每个病人有其特殊性，因而有相当大的差异。这种差异不仅存在于不同的国家之间，甚至也存在于同一国家内部的不同地区和不同的医生之间。AMI后病人的转归不同与这些医疗实践差异有关。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5773', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '191', '病因', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.基本病因&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;绝大多数(95%以上)是冠状动脉粥样硬化，偶为冠状动脉血栓、炎症、先天性畸形、痉挛和冠状动脉口阻塞，造成管腔严重狭窄和心肌供血不足，而侧支循环未充分建立。在此基础上，一旦发生下列情况心肌供血进一步急剧减少或中断，使心肌严重而持久地急性缺血达1h以上，即可发生心肌梗死。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)冠状动脉管腔内血栓形成：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;①心肌梗死前无心绞痛病史者：冠状动脉粥样硬化使管腔狭窄一般都在70%以下，原管腔较为通畅，该动脉供血的区域无有效的侧支循环，血栓使管腔突然完全堵塞，受此血管供血的心肌急性坏死。此类病人发病急骤，症状严重，心肌坏死常自心内膜下至心外膜下贯通心室壁全层。其梗死部位室壁常变薄向外扩张，在发病1周内易并发心脏破裂，血栓堵塞在冠状动脉大分支近端，贯通性梗死累及范围较广，常发生急性左心衰、心源性休克及室壁瘤形成。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ②原有心绞痛史或陈旧性心肌梗死史者：急性血栓堵塞另一支冠状动脉，不仅使其供血部位发生急性心肌坏死，并阻断了提供原缺血和陈旧心肌梗死部位的侧支循环，使病情较前更为严重。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;③多支冠状动脉粥样硬化：在某支冠脉斑块已使管腔极为狭窄处发生急性血栓堵塞者，一般既往多有心绞痛史，可因存在一定数量的侧支循环对心外膜下心肌起了保护作用，急性堵塞所致的心肌坏死可能仅限于心内膜下心肌，呈多发灶性坏死，梗死范围较小，故不易发生心脏破裂及室壁瘤形成。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;④在冠脉斑块处血栓形成不完全堵塞：病人常出现不稳定性心绞痛，也可导致心内膜下急性心肌梗死，心电图无异常Q波，此时应进行血清心肌酶学检查，以助诊断。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(2)冠状动脉痉挛：有的作者在一组急性心肌梗死病人发病后12h内做冠脉造影，显示有冠脉痉挛者占40%，向闭塞冠脉注入硝酸甘油能使闭塞的管腔开放或部分开放，说明该组急性心肌梗死是由冠脉痉挛造成。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(3)粥样硬化斑块内或斑块下出血：富含脂质的软斑块表面的纤维覆盖帽较薄，加上斑块的外形，其中脂肪灶处于偏心位置，受血流冲击易于破裂。除这些易损斑块的结构以外，由冠状动脉腔内压力急性改变；冠状动脉张力改变；随着每次心搏冠状动脉弯曲及扭转等外界因素都可使易损的斑块破裂或内膜下出血，诱发血小板聚集血栓形成，使冠状动脉阻塞，导致心肌梗死。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(4)心排血量骤降：休克、脱水、出血、外科手术或严重心律失常，致心排血量骤降，冠状动脉灌流量锐减。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(5)心肌需氧量猛增：重体力活动、血压升高或情绪激动，致左心室负荷明显增加，儿茶酚胺分泌增多，心肌需氧量猛增，冠状动脉供血明显不足，导致心肌细胞缺血、坏死。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.发病因素&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;对于心肌梗死的发病，与所有冠心病一样，高胆固醇血症(或低密度脂蛋白增多)、高血压和吸烟是重要危险因素。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)性别与年龄：男性病人多于女性，男女比例为2∶1～3∶1。绝大多数急性心肌梗死发生于40岁以上的中年和老年人，按国外文献所载约占总数的95%，个别病人不到30岁，发病率随年龄而明显增高。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(2)发病前原有的有关疾病：我国各地报道心肌梗死病例中合并有高血压占50%～90%，在北京地区1972～1983年有53.1%～70.2%，一般较国外记载的合并率稍高。伴发糖尿病的病例有3.9%～7.5%，较国外大多数报道的稍低。将近半数的病人以往有心绞痛史。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(3)诱发因素：按国内的资料，约1/2～2/3的病例有诱因可寻，其中以过度劳累、情绪激动或精神紧张最为多见，其次是饱餐及上呼吸道或其他感染，少数为手术大出血或其他原因的低血压，休克与蛛网膜下腔出血等。亦有一部分病人是在睡眠或完全休息中发作。北京一组医院收住的急性心肌梗死病例数有明显的季节性变化规律，每年11月～次年1月和3～4月有两个发病高峰，提示发病与气候变化有关。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5774', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '191', '发病机制', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.发病机制&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;在冠状动脉粥样硬化病变的基础上并发粥样斑块破裂出血、血管内血栓形成、动脉内膜下出血或动脉持续性痉挛，使管腔发生持久而完全的闭塞，就会导致急性心肌梗死。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)冠状动脉内血栓形成与心肌梗死：绝大多数的急性心肌梗死，是在冠状动脉狭窄性粥样硬化病变的基础上并发管腔急性闭塞所致，而这种闭塞的原因，主要是动脉血栓形成。近年来的研究也肯定了冠状动脉急性血栓堵塞是导致急性透壁性心肌梗死的主要原因。当冠状动脉粥样斑块破裂，其内容物暴露，诱发血小板聚集，血栓形成及血管痉挛，使冠状动脉血流急剧减少时发生心肌缺血，严重而持久的缺血引起心肌坏死。急性心肌梗死时，冠状动脉内血栓形成可高达90%。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(2)冠状动脉痉挛与心肌梗死：北京阜外医院对290例心肌梗死病人行冠状动脉造影，发现6.8%病人显示冠状动脉正常，考虑心肌梗死由于冠状动脉痉挛所引起，但不排除原有冠脉血栓自然溶解。持久的冠状动脉痉挛可造成急性心肌梗死。冠状动脉痉挛也可因挤压粥样斑块使之破裂或内膜下出血，诱发血小板聚集及释放血栓素A2和5-羟色胺。进一步血小板聚集和血管痉挛可导致血栓形成，造成急性心肌梗死。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(3)粥样斑块内出血及溃疡与心肌梗死：据新近研究，斑块破裂后血栓形成有两种方式：一种为斑块表面糜烂，破裂处发生血栓即附着于斑块表面而阻塞血管，导致心肌缺血坏死；而另一种血栓形成是在斑块深部破裂出血形成血栓逐渐扩大而阻塞血管，引起急性心肌梗死。另外粥样斑块物质可堵塞远端的冠状动脉分支，引起心肌坏死。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(4)交感神经兴奋与心肌梗死：应激、过度劳累、精神紧张等可刺激交感神经兴奋，释放儿茶酚胺，诱发心肌梗死。儿茶酚胺诱发心肌梗死的可能机制如下：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;①心肌细胞钙离子内流增加：心肌收缩力增强，心肌耗氧量增加，使缺氧心肌进一步损害。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;②儿茶酚胺可损害心肌细胞线粒体：使ATP生成减少。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ③儿茶酚胺使α受体兴奋：冠脉血管收缩，β受体兴奋，心率增加，结果使心肌细胞耗氧量增加，供氧量减少。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;④血浆游离脂肪酸浓度增高：促使血小板聚集，导致血管闭塞。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.病理生理&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;急性心肌梗死的病理生理改变主要表现为心室受累的一些血流动力学改变、电生理不稳定性以及晚期发生的心室重构等。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)血流动力学改变：心室受累的血流动力学改变的严重程度主要取决于梗死范围和部位。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ①左室功能：冠状动脉发生前向性血流中断，阻塞部位以下血管供血的心肌即丧失收缩能力，无法完成收缩，心肌依次发生四种异常的收缩形式：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; A.运动同步失调，即相邻心肌节段收缩时间不一致。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; B.收缩减弱，即心肌收缩范围减少。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;C.无收缩，即心肌收缩中止。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;D.反常，出现收缩期膨出。与梗死部位发生功能异常同时，残余正常心肌在早期出现过度运动，此为急性代偿结果，包括交感神经系统活力增加和Frank-Starling机制。由于非梗死节段心肌收缩使梗死区发生反常运动，所以部分代偿性过度运动为无效做功。非梗死区的过度运动在梗死2周内逐渐消失，同时在梗死部位出现某种程度的收缩恢复，尤其在梗死部位有再灌注、心肌顿抑减轻时，这些情况就出现得越快、越明显。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;AMI病人的非梗死区也常有收缩功能的减退。这可能与本来已经存在的供应心室的非梗死区冠状动脉狭窄，以及新发生的梗死相关动脉闭塞使非梗死区的侧支血供丧失有关。后种情况又称之为“远距离部位缺血”。相反，在MI发生前存在侧支循环能够更好地防止闭塞动脉供血区的局部收缩功能减退，在梗死后早期左室射血分数改善。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;若心肌缺血损伤严重，则左室泵功能下降；心排血量、每搏输出量、血压和dp/dt峰值减少；收缩末期容积增加。后者是预测AMI后病死率高低最有价值的指标。心室肌某一部位的收缩期反常扩展，进一步减少左室每搏出量。但坏死的心肌细胞相互滑动时，梗死区被牵拉而变薄变长，尤其是在广泛前壁梗死病人，导致梗死区伸展。梗死后的最初数小时至数天，局部以及整个心室肌根据Laplace定律而张力增加。在有些病人，出现左室进一步扩张的恶性循环。心室扩张的程度与梗死范围、梗死相关血管开放的早晚和心室非梗死区的局部肾素-血管紧张素系统的激活程度有关。使用ACEI治疗可以有效地缓解心室扩张，甚至在无左室功能不良的症状时也有效。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;随着时间的推移，缺血坏死部位发生水肿、细胞浸润和纤维化，这种变化能增加心肌的硬度。梗死区硬度的增加可防止收缩期室壁矛盾运动，因此有助于改善心室功能。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;除非发生极其严重的心肌梗死，在愈合期里，由于顿抑细胞功能的逐渐恢复，室壁运动能够得以改善。不管梗死发生有多长时间，左室的20%～25%有运动异常的病人，就可表现出左室衰竭的血流动力学征象。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;梗死和坏死心肌可改变左室舒张功能，使左室顺应性先增加后降低。左室舒张末期压最初上升经过几周后，舒张末期容积增加，舒张压开始下降而趋于正常。正如心肌坏死伴随有收缩功能损害一样，舒张功能异常的程度也与梗死范围有关。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;②循环功能的调节：AMI时循环调节功能出现异常，并始发于冠状动脉血管床发生解剖或功能性狭窄时。狭窄可以导致区域性心肌缺血，如持续发展则可形成MI。若梗死范围达到一定程度，将抑制整个左室功能，以致左室搏出量减少和充盈压上升。左室每搏量明显下降最终会降低主动脉压和冠状动脉灌注压。这种情况可加重心肌缺血而引起恶性循环。左室排空能力受损增加前负荷，使灌注良好功能正常的那部分左室得以扩张。这种代偿机制可使每搏量恢复到正常水平，但使射血分数下降。扩张的左室也升高后负荷，后负荷增加不仅抑制左室每搏量，也加剧心肌缺血。当功能不良的心肌区域较小而左室其余部分功能正常时，代偿机制可维持整个左室功能。一旦左室大部分坏死，尽管心室其余存活部分扩张，也会使整个左室功能受抑制而不能维持正常的循环，发生泵衰竭。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(2)电生理改变：梗死区心肌细胞水肿、坏死、炎性细胞浸润等可引起心电不稳定。由缺血坏死组织引起心房、心室肌内受体的激活，会增加交感神经的活动，增加循环血液中的儿茶酚胺浓度和心脏内神经末梢局部释放的儿茶酚胺量。儿茶酚胺释放也可能是交感神经元的缺血损伤直接引起。而且，缺血的心肌可能对去甲肾上腺素的致心律失常作用呈过敏反应，而在缺血心肌的不同部位对不同浓度儿茶酚胺产生的效应有很大的变异。心脏的交感神经刺激也可增加浦肯野纤维的自律性，而且儿茶酚胺加快由钙介导的慢离子流反应传导，儿茶酚胺对缺血心肌的刺激依靠这些电流可以诱发心律失常。此外，透壁性MI会阻断支配梗死区心肌远端交感神经的传入支和传出支。而且，自主神经除了能协调各种心血管反射的变化外，其调节的不平衡会促使心律失常发生。这可以解释为何β阻滞药在治疗室性心律失常时同样有效，在室性心律失常同时伴有肾上腺素活性过度增高的其他表现时疗效尤其明显。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;AMI后的心室扩大、重构容易造成心室除极不一致而产生折返，导致致命性心律失常。电解质紊乱如低血钾、低血镁、酸中毒会提高血液中游离脂肪酸的浓度，产生的氧自由基也可引起心律失常发生。这些病变的严重程度、梗死面积的大小和梗死相关动脉灌注的状态决定患者发生严重心律失常的危险性-原发性心室颤动(即心室颤动出现在无充血性心力衰竭或心源性休克时)。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(3)心室重构：心肌梗死后，梗死和非梗死节段的左室大小、几何形态和厚度发生了改变，这些改变总称为心室重构。重构过程包括梗死扩展和心室扩大，二者均能影响心室功能和预后。心室负荷状态和梗死相关动脉通畅程度是影响左室扩张的重要因素。心室压力升高可导致室壁张力增加和梗死扩展的危险；而梗死相关动脉的通畅可加快瘢痕形成、增加梗死区组织充盈，减少梗死的扩展和心室扩张的危险。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;①梗死扩展：不能以另外追加的心肌坏死解释的梗死区急性扩张、变薄使梗死区范围的增加称之为梗死扩展。其原因有：肌束之间的滑动减少了整个厚度的室壁心肌细胞数目；正常心肌细胞破裂；坏死区里组织丧失。其特征为梗死区不成比例地变薄和扩张，然后形成牢固的纤维化瘢痕。梗死扩展的程度与梗死以前的室壁厚度有关。先前的心肌肥大可防止心肌变薄。心尖部室壁最薄，是最易受到梗死扩展损伤的区域。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;梗死扩展的发生，不仅增加了病死率，且心力衰竭和室壁瘤等非致命性并发症的发生率也明显升高。在死于AMI的病人中3/4以上有心肌梗死扩展，1/3～2/3是前壁ST段抬高型梗死。超声心动图是诊断梗死扩展的最好手段，可以查见心室的无收缩区延长。当扩展严重到一定程度时，最典型的临床表现是出现响亮的奔马律，以及出现肺淤血或原先的肺淤血恶化。心室破裂是梗死扩展最严重的后果。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;②心室扩张：除了梗死扩展外，心室存活部分的扩张也与重构有重要关联。心室扩张在梗死发生后立即开始，并在以后持续数月，甚至数年。非梗死区的扩张可视为面向大范围梗死维持心搏量的代偿机制，对残余有功能的心肌的额外负担可能是引起心肌肥厚的原因。肥厚的心肌有助于代偿梗死产生的功能损害。某些病人在MI后数月所见到的血流动力学改善就因于此。存活的心肌最后也受损，导致心肌进一步扩张，心肌整体功能障碍，最后心力衰竭。非梗死区这种球形扩张虽能部分代偿维持心功能，但也使心肌除极趋于不一致，使病人容易发生致命性心律失常。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;心肌重构的基础是表型的改变，这主要是由病理性刺激引起的胚胎基因的重新表达导致的，后者导致了心肌快速生长以代偿心肌梗死后心肌负荷的增加。心肌质量增加的部分是由于心肌细胞肥大。然而，这些蛋白的质量并不能满足对成人心肌的要求，最终导致心肌功能障碍。基因表达改变的另一后果是胶原沉积，引起弥漫性间质纤维化、血管周围纤维化和局灶性修复性纤维化。这导致心肌顺应性下降并出现舒张功能障碍。血管周围性纤维化影响了冠状动脉顺应性，降低了冠状动脉储备，而造成心肌缺血的加重。另外，纤维化还可能促发室性心律失常。纤维化组织是生命组织并含有活的细胞。因此，成纤维细胞能够持续分泌胶原，而巨噬细胞能够持续吞噬这些胶原。这些细胞消耗了大量的氧、能量和营养，从而导致做功心肌中相应物质的缺乏。这些因素导致了心肌的不断死亡和心室收缩功能的障碍。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;在重构的心肌中存在着血管缺乏，进一步减少了对存活心肌细胞的氧和养分供应，并促使进行性的细胞死亡和重构。心肌细胞肥大还导致了线粒体密度的相对下降，造成能量生成不足和心肌功能障碍。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;重构的心肌还存在Ca2 转运障碍，这是由于肌质网、Ca2 通道和Ca2 泵相对减少造成的。由于基因表达的改变，Ca2 转运蛋白的质量也有所下降，也促进了心肌功能障碍。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;心肌重构的一个特征是肌动蛋白向运动缓慢的异构体的转换，这造成心肌收缩减缓并引起心肌功能障碍；其另一个重要特征是心肌细胞坏死和凋亡，它们能导致纤维化从而加重重构，这是由于损失的细胞被胶原代替以避免在心肌中出现间隙。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;总而言之，心室重构是复杂的过程，开始于急性发病后，可于数月或数年仍继续在进行。如早期使闭塞的冠状动脉再通，减少梗死范围，硝酸酯类以及血管紧张素转化酶抑制药的应用，在梗死早期降低心室膨胀的压力，都能对心室扩张起到有益的作用。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;3.病理</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)冠状动脉病变：心肌梗死的大小、范围及严重程度，主要取决于冠状动脉闭塞的部位、程度、速度和侧支循环的建立。冠状动脉粥样硬化最多发生于左冠状动脉的前降支，较少发生于左冠状动脉的回旋支和右冠状动脉。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;①左冠状动脉前降支闭塞：引起左心室前壁、心尖部、下侧壁、前间隔和二尖瓣前乳头肌梗死。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;②左冠状动脉回旋支闭塞：左心室高侧壁、膈面(左冠状动脉占优势时)和左心房梗死，可能累及房室结。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;③右冠状动脉闭塞：引起左心室膈面(右冠状动脉占优势时)、下壁、后壁、下间壁、后间隔和右室梗死，并可累及窦房结和房室结。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;④冠状动脉主干闭塞：引起广泛前壁梗死和室内左右束支坏死，致房室传导阻滞。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(2)急性心肌梗死中冠状动脉侧支循环：冠状动脉侧支血流的幅度为梗死范围的主要决定因素之一。实际上，冠状动脉完全闭塞而其供应区没有梗死证据但有丰富侧支循环是较为常见的。因此，阻塞远端心肌的存活必须依靠侧支血流。即使在冠状动脉阻塞侧支血流不能有效地改善收缩功能，因为可以防止形成室壁瘤而仍然产生有益的效应。在急性全阻塞病人中大约40%病人有些侧支循环，并在全阻塞之后即刻侧支循环增加。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(3)心肌大体标本改变：心肌大体解剖的改变很难辨认，至少需要发生坏死后6～12h肉眼才能见到心肌变性坏死改变，起始时，受损心肌苍白，轻度水肿。梗死8～36h之后，心肌呈褐色或紫红色。透壁性梗死中心外膜还有浆液纤维素性渗出。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;大体标本上心肌梗死可分3型：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;①透壁性心梗死：病变累及心室壁的全层或大部分，病灶较大，直径在2.5 cm以上，常见冠状动脉内有血栓形成。病变波及心包引起心包炎症，波及心内膜致心室腔内附壁血栓形成。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;②心内膜下心肌梗死：梗死灶仅累及心室壁的内层，不到心室壁厚度的一半。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;③灶性心肌梗死：梗死范围较小，呈灶性分布于心室壁的一处或多处。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (4)组织学及超微结构改变：冠状动脉闭塞20～30min，受其供血的心肌细胞即开始了坏死的病理过程。1～2h绝大部分心肌呈凝固性坏死。坏死组织1～2周后开始吸收，并逐渐纤维化，在6～8周形成瘢痕愈合，称为陈旧性心肌梗死。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;①电镜检查：实验性梗死中心肌最早超微结构改变出现在冠状动脉被结扎后20min内，包括糖原颗粒变小，数量减少，细胞内水肿，直管系统肌浆网线粒体肿胀和扭曲。这种早期变化是可逆的。在冠状动脉阻塞60min后的变化，包括心肌细胞肿胀，线粒体肿胀及内部断裂，以及发生无定形絮状凝聚及核染色质边缘深染，肌原纤维松懈。缺血20min到2h后，有些细胞中的改变成为不可逆，并进行性恶化。这些不可逆损害的细胞通常肿胀，肌浆间隙增大，肌纤维膜可能离开细胞，可出现浆膜缺陷及线粒体分节状。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ②光镜检查：过去认为梗死心肌在血流中断8h后才能见到光镜改变。但近来研究，在某些梗死1～3h后可见到波浪式心肌纤维，特别在梗死周缘。假设认为这种波浪式心肌纤维是由于邻近存活心肌纤维的收缩力量传递过来引起不能收缩纤维的伸长和颤动所致。8h后，间质水肿明显，肌纤维中脂肪沉着并有中性多形核白细胞及红细胞浸润。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5775', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '191', '临床表现', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.先兆症状&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;急性心肌梗死约2/3病人发病前数天有先兆症状，最常见为心绞痛，其次是上腹疼痛、胸闷憋气、上肢麻木、头晕、心慌、气急、烦躁等。其中心绞痛一半为初发型心绞痛，另一半原有心绞痛，突然发作频繁或疼痛程度加重、持续时间延长，诱因不明显，硝酸甘油疗效差，心绞痛发作时伴有恶心、呕吐、大汗、心动过速、急性心功能不全、严重心律失常或血压有较大波动，同时心电图示ST段一时性明显抬高或压低，T波倒置或增高，应警惕近期内发生心肌梗死的可能。发现先兆，及时积极治疗，有可能使部分病人避免发生心肌梗死。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.急性心肌梗死临床症状</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)疼痛：是急性心肌梗死中最先出现和最突出的症状，典型的部位为胸骨后直到咽部或在心前区，向左肩、左臂放射。疼痛有时在上腹部或剑突处，同时胸骨下段后部常憋闷不适，或伴有恶心、呕吐，常见于下壁心肌梗死。不典型部位有右胸、下颌、颈部、牙齿、罕见头部、下肢大腿甚至脚趾疼痛。疼痛性质为绞榨样或压迫性疼痛，或为紧缩感、烧灼样疼痛，常伴有烦躁不安、出汗、恐惧，或有濒死感。持续时间常大于30min，甚至长达10余小时，休息和含服硝酸甘油一般不能缓解。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;少数急性心肌梗死病人无疼痛，而是以心功能不全、休克、猝死及心律失常等为首发症状。无疼痛症状也可见于以下情况：①伴有糖尿病的病人；②老年人；③手术麻醉恢复后发作急性心肌梗死者；④伴有脑血管病的病人；⑤脱水、酸中毒的病人。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(2)全身症状：主要是发热，伴有心动过速、白细胞增高和红细胞沉降率增快等，由于坏死物质吸收所引起。一般在疼痛发生后24～48h出现，程度与梗死范围常呈正相关，体温一般在38℃上下，很少超过39℃，持续1周左右。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (3)胃肠道症状：疼痛剧烈时常伴有频繁的恶心、呕吐和上腹胀痛，与迷走神经受坏死心肌刺激和心排血量降低，组织灌注不足等有关。肠胀气亦不少见。重症者可发生呃逆。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(4)心律失常：见于75%～95%的病人，多发生在起病1～2周内，而以24h内最多见，可伴乏力、头晕、昏厥等症状。室性心律失常最为多见，尤其是室性过早搏动，若室性过早搏动频发(5次/min以上)，成对出现或呈短阵室性心动过速，多源性或落在前一心搏的易损期(RonT)时，常预示即将发生室性心动过速或心室颤动。一些病人发病即为心室颤动，可引起心源性猝死。加速性室性自主心律也时有发生。各种程度的房室传导阻滞和束支传导阻滞也较多见，严重者可为完全性房室传导阻滞。室上性心律失常则较少见，多发生在心力衰竭者中。前壁心肌梗死易发生室性心律失常；下壁心肌梗死易发生房室传导阻滞；前壁心肌梗死若发生房室传导阻滞时，说明梗死范围广泛，且常伴有休克或心力衰竭，故情况严重，预后较差。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(5)低血压和休克：疼痛期中常见血压下降，若无微循环衰竭的表现仅能称之为低血压状态。如疼痛缓解而收缩压仍低于80mmHg，病人烦躁不安、面色苍白、皮肤湿冷、脉细而快、大汗淋漓、尿量减少(＜20ml/h)、神志迟钝、甚至昏厥者则为休克的表现。休克多在起病后数小时至1周内发生，见于20%的病人，主要是心源性，为心肌广泛(40%以上)坏死，心排血量急剧下降所致，神经反射引起的周围血管扩张为次要因素，有些病人尚有血容量不足的因素参与。严重的休克可在数小时内死亡，一般持续数小时至数天，可反复出现。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(6)心力衰竭：发生率30%～40%，此时一般左心室梗死范围已＞20%，为梗死后心肌收缩力明显减弱，心室顺应性降低和心肌收缩不协调所致。主要是急性左心衰竭，可在发病最初数天内发生或在疼痛、休克好转阶段出现，也可突然发生肺水肿为最初表现。病人出现胸部压闷，窒息性呼吸困难，端坐呼吸、咳嗽、咳白色或粉色泡沫痰、出汗、发绀、烦躁等，严重者可引起颈静脉怒张、肝大、水肿等右心衰竭的表现。右心室心肌梗死者可一开始即出现右心衰竭表现，伴血压下降。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;3.急性心肌梗死的体征&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;根据梗死大小和有无并发症而差异很大。梗死范围不大无并发症者常无异常体征，而左室心肌细胞不可逆性损伤＞40%的病人常发生严重左心衰竭、急性肺水肿和心源性休克。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)生命体征：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;①神志：小范围心肌梗死病人，或无痛型心肌梗死，神志可清晰；剧痛者有烦躁不安，恐惧等；并发休克的病人神志可迟钝，甚至昏厥；并发肺梗死者可出现意识模糊、嗜睡、谵妄；并发脑血管意外或心跳骤停者，可出现昏迷。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;②血压：发病后半小时内，病人呈现自主神经失调，前壁梗死多表现为交感神经亢进，心率增快至100次/min，血压可升高到＜160/100mmHg(21.28/13.3 kPa)；心排血量明显降低者，则血压明显降低。下壁梗死多为副交感神经亢进，如心率减慢，＜60次/min，血压降低，收缩压＜100mmHg(13.3 kPa)。以后随着心肌广泛坏死和(或)血管扩张剂的应用，几乎所有病人均有血压降低。心动过缓、心动过速、心源性休克或右室梗死及同时并脑血管意外者，血压会降得更低。这种血压降低以后多不能再恢复到梗死前水平。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;③体温：梗死后多数病人出现低热(38℃左右)。此为心肌坏死物质吸收所致的全身反应，多持续3～4天，一般在1周内自行消退。1周后体温仍高者可能为：A.再梗死或梗死延伸；B.并发感染。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;④呼吸：急性心肌梗死病人多数呼吸较快，主要是由于疼痛、焦虑和紧张刺激交感神经活动亢进所致。有急性左心衰竭伴肺水肿时，或心肌梗死并发急性肺栓塞、休克时，呼吸可达40～50次/min；并发脑血管意外可见潮式呼吸、陈施呼吸或Biot呼吸。应用吗啡、哌替啶时可有呼吸抑制。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;⑤脉搏：心肌梗死病人脉搏可正常、增快或减慢，节律多整齐，严重左心衰竭时可出现交替脉，期前收缩时可有间歇，休克时脉搏细速触不到，出现心室扑动、心室颤动或电机械分离时，脉搏消失。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (2)心脏体征：主要取决于心肌梗死范围以及有无并发症。梗死范围不大，无并发症时可无阳性体征。望诊见心前区饱满时，提示有大量的心包积液，颈静脉间歇性巨大搏动波提示一度或三度房室传导阻滞，如梗死范围大、室壁扩大、多次梗死，并有高血压或心力衰竭者，心脏向左扩大。心尖搏动弥散，常可触到收缩期前充盈波(A波)，与听诊第4心音(S4)时间一致，早期左室舒张期快速充盈波，与第3心音(S3)时间一致，不常能触到。大的前壁透壁性梗死常在心尖搏动最明显的上内侧触到早期、中期或晚期收缩期搏动，此动力异常区域如持续至梗死发病后8周，表明可能存在心尖前部室壁瘤。若触及胸骨左缘新近出现的收缩期震颤，提示室间隔穿孔，触及心前区摩擦感，提示心包炎。叩诊心界可正常或轻至中度扩大。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;听诊心尖第1心音(S1)减低，约见于1/4的病人，可能由于存在一度房室传导阻滞或大范围梗死降低了左室dp/dt。并有高血压者常有主动脉区第2心音(S2)亢进，主动脉瓣钙化明显者S2可呈金属音。S2反向分裂，提示完全性左束支传导阻滞或左心衰竭；S2宽分裂，提示完全性右束支传导阻滞；大炮音，提示出现三度房室传导阻滞。房性或收缩期前奔马律在发病24h内几乎绝大多数病人均能听到。由于急性心肌缺血和梗死，使心室顺应性降低。左侧卧位，钟形听诊器听诊最清楚，但过于肥胖的病人或并有慢性阻塞性肺气肿的病人，不易听清楚。心室奔马律较房性或收缩期前奔马律为少见，它常是心肌严重受损，心力衰竭的指征，预示肺动脉舒张压或左室舒张末压升高。前壁梗死有室性奔马律较无此舒张期额外音者，病死率增高1倍。室性奔马律大多在数天内消失。有的病人同时有S4和S3呈四音律。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;心包摩擦音出现于发病2～5天内。由于梗死处外有纤维蛋白性心包炎，常不伴有明显的心包积液，见于10%～15%的病人，多是较广泛的透壁心肌梗死。用膜式听诊器稍加压、病人坐位稍向前倾听得最清楚。摩擦音受呼吸的影响，有的是在吸气时加强，有的则在呼气时加强，似皮革擦刮音或嘎吱声，易与乳头肌功能不全引起的二尖瓣关闭不全相混淆。摩擦音有时在广泛心前区听到，有时仅在胸骨左缘处听到，有时可持续数天，或很短暂即消失。摩擦音的出现需与肺栓塞相鉴别。如心包摩擦音在发病后10天开始出现，应考虑为梗死后综合征的可能性。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;心尖部新近出现的粗糙的收缩期杂音，或伴有收缩中晚期喀喇音，提示乳头肌功能不全或腱索断裂，多为乳头肌功能不全引起二尖瓣关闭不全所致，约见于55%的病人。由于乳头肌缺血或坏死引起，杂音响度多变，时强时弱或消失。乳头肌功能不全的杂音呈喷射状，常为全收缩期杂音，在心尖部最为明显，如后瓣受累放射到胸骨左缘或主动脉区，易与室间隔穿孔或主动脉瓣狭窄杂音混淆，如前瓣显著受累杂音常向背部、胸椎或颈椎处放射。前瓣乳头肌因有双支冠状动脉供血，后瓣乳头肌仅单支冠状动脉供血，因而后者受累多于前者。乳头肌功能不全引起二尖瓣关闭不全，大多数无血流动力学的重要性。乳头肌断裂发生相似的杂音则立即发生肺水肿。胸骨左缘3～4肋间新出现的收缩期粗糙杂音，提示室间隔穿孔。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(3)肺部体征：最初观察时即应注意两肺有无湿性啰音。有些老年人或有慢性支气管炎的病人平时即有湿性啰音，在病程中密切观察对比，以便及时发现病情的变化。心功能不全时，肺部出现湿性啰音，继发于肺静脉压增高，漏出液进入肺间质或肺泡内，随体位而改变，侧卧时肺底侧啰音增多，向上的一侧肺啰音减少或消失。若单侧肺部局限性湿性啰音或双肺湿性啰音不对称，且不随体位的改变而变化，但因咳嗽而改变，则可能是由于呼吸原因引起。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5776', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '191', '并发症', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;急性心肌梗死可出现心力衰竭、休克、乳头肌功能失调或断裂、心律失常、心脏破裂、心室室壁瘤、血栓形成与栓塞、梗死后综合征、梗死延展等并发症。下面分别进行介绍：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;1.心力衰竭&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;是急性心梗常见而重要的并发症之一。在急性心肌梗死的发生率为20%～40%，住院期总的病死率在10%～17%。可见急性左心衰、急性右心衰。自推广应用溶栓治疗急性心肌梗死后，急性左心衰的发生率已逐渐减少，占心肌梗死患者的10%～20%。 19:43:56</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.休克&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;心源性休克系指直接由心室泵功能损害而导致的休克综合征，是急性心肌梗死中最严重的并发症。AMI时由于丧失大块具有收缩功能的心肌而引起心肌收缩力减弱，心排血供能显著降低，可并发心源性休克。国外文献报道，急性心肌梗死并发心源性休克的发生率为6%～8%。近些年来，在急性心肌梗死的治疗中，由于可及时发现致命性心律失常并给予有效的治疗，死于心律失常者大大减少，心泵衰竭已成为最重要的死亡原因。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;3.乳头肌功能失调或断裂&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;乳头肌功能失调或断裂总发生率可高达50%，但乳头肌整体断裂极少见，这主要因为乳头肌的血液供应差，常有慢性缺血小梗死灶，存在较多的纤维瘢痕，故不易发生完全断裂。多数发生在急性心肌梗死后1周内。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;4.心律失常&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;在急性心肌梗死(AMI)的各种并发症中，以心律失常发生率最高。按起病后3天监测结果，发生率高达90%以上，多发生于起病24h内。室性心律失常最多见，尤以左冠状动脉前降支病变为突出。窦性心动过缓、房室传导阻滞在下壁或老年AMI时发生率高。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;5.心脏破裂&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;心脏破裂最常发生于心室游离壁，其次是室间隔穿孔，而乳头肌断裂极少见。在AMI患者中发生心室游离壁破裂同时并发室间隔穿孔或乳头肌断裂情况非常罕见。心脏破裂是AMI早期死亡的主要原因之一。心室游离壁破裂是心脏破裂中最常见的一种，约占心脏破裂的90%。常见于AMI发病后5天内，尤以第1天内最为多见。常发生于初次急性透壁心肌梗死，尤其是前壁心肌梗死。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;6.心室室壁瘤&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;心室室壁瘤是ST段抬高性AMI中较常见的并发症之一。室壁瘤见于12%～15%的AMI存活的患者。近年来，随着对心血管检查技术的飞速发展，如无创二维超声心动图、放射性核素心室造影、磁共振成像术及有创性左心室造影技术的应用，提高了对心肌梗死并发室壁瘤的临床检出率。其发生率因检查方法的不同而异，从3.5%～38%差别较大。心室室壁瘤就是梗死区坏死的心室壁呈瘤样的向外膨出，在心脏收缩期更为明显。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;7.血栓形成与栓塞&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;血栓形成是急性心肌梗死并发症之一，主要指左心室附壁血栓。血栓在Q波性心肌梗死中，尤其是前壁心肌梗死伴室壁瘤的患者中常常发生。未用抗凝疗法的AMI患者中约20%有附壁血栓。前壁心肌梗死的血栓发生率高至40%，累及左心室心尖部的大面积心肌梗死患者血栓发生率高达60%。据多个研究资料显示有附壁血栓形成的患者，其体循环栓塞的几率为4%～6%。栓塞最常见的部位是脑血管和肢体血管。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;8.梗死后综合征&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;梗死后综合征是急性心肌梗死的一种少见的并发症，发生率为3%～4%。早在1956年就由Dressier所描述。梗死后综合征可能是机体对坏死心肌组织的一种自身免疫反应。其多发生在AMI后2～3周或几个月内，并可反复发作，偶见于心肌梗死后1年以后的患者。典型的临床症状为突然起病，发热，体温一般在38～39℃，偶有低热或高热达40℃者，发热持续1～2周，同时伴有胸骨后疼痛或心前区疼痛，疼痛可放射至双侧颈部、下颚、肩臂及后背或上腹部，疼痛轻重程度不等，重者为压榨样、刀割样剧痛，易误认为梗死延展或再梗死；轻者为钝痛或胸部不适感。胸痛可因深呼吸、咳嗽、吞咽等动作而加重，或坐位前倾而减轻。胸痛一般持续数天，短者数小时，长者可达数周，常伴有出汗。查体可闻及心包摩擦音，有时还同时闻及胸膜摩擦音。摩擦音可持续2周以上。心包积液多时，叩诊心界向双侧扩大，同时伴有奇脉。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;9.梗死延展&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;梗死延展是急性心肌梗死后常见的临床问题，发生率约为10%～20%。是急性心肌梗死患者近期内病情恶化或此后病死率增加的原因之一，具有较为重要的临床意义。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;与梗死扩展不同，梗死延展是指心肌梗死之后重新又发生的心肌坏死。而梗死扩展是由于梗死区心肌变薄和拉长所致的心室扩张，整个心肌梗死范围的大小并未增加。相反，梗死延展则具有心肌梗死范围真正增加。再梗死是指心肌梗死发生后再次发生新的心肌梗死。从病理学的角度看，梗死延展的新梗死区常与原来的梗死区相毗邻，可处于同一病变血管支配的危险之内，梗死延展是初步愈合的心肌组织被新近发生的心肌坏死灶所包绕，在同一血管支配区内，梗死心肌呈现不同的年龄。而再梗死可以发生在毗邻原梗死区或远离梗死区的部位，如系前者，临床尚无特殊的诊断标准使梗死延展与再梗死区别开来。梗死延展就是早期再梗死的一种类型。不过，梗死延展发生在新近有急性心肌梗死的情况下，而再梗死也可以是一次新的心肌梗死。</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5777', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '191', '实验室检查', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.心肌损伤标志物的检查&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;心肌细胞中含有多种酶及其他心肌结构蛋白，当急性心肌梗死时，这些物质自坏死的心肌细胞大量逸入血液循环中，使其在血清中的活性显著增加，且在急性心肌梗死病程中各有动态变化规律，对心肌梗死的诊断具有一定程度的敏感性、特异性和定量性，为心肌梗死提供了方便的诊断时间窗(表1)，这些物质即心肌损伤的标志物。</p><p style=\"text-align:center\"><img height=\"323\" src=\"http://pmmp.cnki.net/cdd/img/13.4.1%20%E6%80%A5%E6%80%A7%E5%BF%83%E8%82%8C%E6%A2%97%E6%AD%BB.files/image001.jpg\" width=\"469\" style=\"width: 430px; height: 286px;\"/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;心肌损伤的标志物的问题被认为是心肌梗死的实验室诊断的本质问题。WHO诊断急性心肌梗死的标准包括三要素：病史与症状、ECG表现和心肌损伤标志物。这三要素在急性心肌梗死时都有很大的变异，在急性心肌梗死诊断时相互依赖。心肌酶学检查是诊断急性心肌梗死、监测其进程及评价预后的重要手段之一，被公认为心肌损伤标志物，但其测定有一定的局限性。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;近年来心肌结构蛋白的测定对急性心肌梗死的诊断、病情监测及预后判断亦具有重要价值，且其中部分结构蛋白作为心肌损伤标志物具有更高的敏感性和特异性。在心肌梗死的诊断治疗过程中，心肌损伤标志物至少有以下几个方面的作用：①早期诊断急性心肌梗死；②观察心肌梗死的进程及有无梗死延展、再梗死；③估计心肌梗死范围及心肌梗死的预后；④判断溶栓治疗冠状动脉的血液再灌注；⑤监测冠状动脉成形术(PTCA)、冠状动脉旁路移植术(CABG)等心脏围术期心肌损伤情况等。常用的血清心肌损伤的标志物如下：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)血清酶学检查：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;①肌酸激酶及其同工酶：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;A.肌酸激酶：肌酸激酶(creatine kinase，CK)或肌酸磷酸激酶(creatine phosphokinase，CPK)主要存在于心肌和骨骼肌中。CK在胸痛发作后3～60h左右开始升高，12～24h达到峰值，3～4天恢复正常。CK值高于正常参考值的上限对心肌梗死即有诊断价值，且特异性和敏感性均较高。其阳性结果对急性心肌梗死肯定诊断价值可达92%以上，阴性否定价值也可达85%。因此，CK是急性心肌梗死早期诊断的一项良好指标。但CK升高有一定的假阳性率，除急性心肌梗死外，还可见于：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.非心脏病变：如肌肉损伤、肌肉病变，包括横纹肌的损伤及溶解、肌营养不良、肌萎缩、甲状腺功能过低等。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;b.与心脏有关的病变：心脏电复律、PFCA、CABG后及心肌炎、心包炎等，也偶见于心动过速发作后。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;B.CK同工酶：CK有3个同工酶，即CK-MM、CK-BB和CK-MB。其中CK-MB大量存在于心肌，仅少量存在于横纹肌中，为诊断早期心肌梗死的主要酶学依据。正常血清CK-MB活性很低，心肌梗死后血清CK-MB迅速升高，其升高时间及峰值时间略早于总CK。CK-MB于胸痛发作后2～4h开始升高，1O～18h达峰值，1～2天恢复正常。CK-MB诊断早期心肌梗死的特异性可达95%以上，优于总CK。在所有急性心肌梗死病人在发病48h内CK-MB均有升高，若24h内仍无CK-MB活性升高者，大致可排除急性心肌梗死。同样，CK-MB也可出现假阳性，主要见于横纹肌病变及和心脏有关的一些病变或损伤。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;急性心肌梗死后由坏死心肌细胞释入血清的CK量及CK-MB量与心肌坏死量有直接定量关系。在较大面积梗死时，酶峰的峰值及升高持续时间增加；早期成功冠状动脉再灌注(溶栓、PTCA或血栓自溶)时，由于阻塞的冠脉重新开放，大量的CK及CK-MB释放入血，故峰值提前出现；梗死延展时，酶峰可出现再次显著升高，即出现第2峰或2次以上的酶峰。因此，CK、CK-MB除对急性心肌梗死作早期诊断外，还对梗死范围的估计、冠状动脉再灌注和梗死延展的判断有重要价值。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;急性心肌梗死病人血清总CK值和CK-MB同工酶往往同时升高，偶尔可出现CK-MB升高而总CK值正常，总CK值的动态变化及临床表现符合心肌梗死，这种情况的病人预后的危险性增加，其基础CK总值往往位于正常范围低限，通常多见于老年人。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;②乳酸脱氢酶及基同工酶：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;A.乳酸脱氢酶：乳酸脱氢酶(lactic dehydrogenase，LDH)主要存在于肝和骨骼肌，其次为肾和心肌。LDH在胸痛发作的20～48h才开始升高，3～5天达到高峰，持续8～14天后恢复正常，因此，LDH对急性心肌梗死早期诊断价值较小。它适用于发病后延迟就诊的病人，如诊断病程已超过2～3天的病例。血清LDH活性升高无特异性，亦见于肝、肾、胰等疾病以及各种贫血、肺栓塞、心力衰竭、心肌炎、骨骼肌病及休克等，需要鉴别。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;B.LDH同工酶：LDH含5个同工酶，即LDH1～5，正常血清中其含量为LDH2＞LDHl＞LDH3＞LDH4＞LDH5，心肌中主要含有LDH1，即LDH1含量高于LDH2。血清LDH1升高出现在总LDH升高之前，常胸痛发作后8～24h开始升高，故血清LDH1升高是新近心肌损伤的标志，LDH1/LDH2≥1或LDHl/LDH＞0.5，可作为心肌梗死的早期诊断指标。LDHl心肌特异性较总LDH高，LDHl/LDH2≥l或LDHl／LDH＞0.5的假阳性诊断率极低。另外，由于LDH1分子量大，半衰期长，故LDHl/LDH2持续时间较长，在心肌梗死发病后2周，仍有60%的阳性率，少数病人可持续4～5周，故LDHl/LDH2更适于检出就诊较晚的心肌梗死病人。由于红细胞中含有相当数量的LDH1,采血时应避免溶血。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;③α-羟丁酸脱氢酶：α-羟酸脱氢酶(α-hydroxy-butyric dehydrogenase，α-HBDH)主要存在于心肌，其次于肝、肾等。α-HBDH在胸痛发作后12～24h开始升高，2～3天到达峰值，10～14天恢复正常。HBDH不是一个独立的酶，它是与α-羟丁酸有高度亲和力的LDH的一部分，其活性变化与LDH活性变化相平行，其诊断急性心肌梗死的敏感性较LDH高，假阳性较少，持续时间也较长。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;④天冬氨酸氨基转移酶：天冬氨酸氨基转移酶(aspartic transaminase，AST)主要存在于心肌和肝脏，其次为肾脏和骨骼肌等。AST在胸痛发作后6～12h开始升高，18～36h达到峰值，3～5天后恢复正常。AST为心脏的非特异性酶，其增高还可见于心肌炎、心力衰竭、肝病、肌肉病、肌内注射、肺栓塞、休克等，在急性心肌梗死诊断中应用较少。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(2)血清心肌结构蛋白检查：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;①心肌肌钙蛋白：心肌肌钙蛋白(cardiac troponin，CTn)是心肌肌原纤维的调节蛋白，为心脏的特异性蛋白。当心肌细胞损伤时，CTn在血中出现早、持续时间长。CTn包括CTnI、CTnT及CTnC三个亚单位，其中，CTnT和CTnI是近期受关注的心肌损伤标志物。由于肌钙蛋白在心肌和心肌外组织的形式不同，即CTn在心外组织无表达，这与传统的CK-MB、LDH等心肌酶不同。与传统的心肌酶相比，它更具有高度特异性，加之，CTn在发病早期即在血清中出现，持续时间长，即敏感性很高，故CTn被认为是较心肌酶更优秀的心肌损伤标志物。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;A.CTnT：CTnT在胸痛发作后3～6h开始升高，2～5天达到峰值，可持续升高10～15天。CTnT在急性心肌梗死发生后，从坏死心肌中逸出，其变化主要与梗死的时间、冠脉再灌注及梗死面积等有关。与CK-MB相比较，其对急性心肌梗死的早期诊断价值与CK-MB相似，但对急性心肌梗死的晚期诊断有明显优势，其敏感性达100%，特异性达96%，且可能检测到目前CK-MB检测不到的心肌坏死事件。如在微小心肌梗死时，CK-MB正常，而CTnT升高。很多学者认为急性心肌梗死时，CK-MB正常、CTnT升高提示预后差，死亡危险性增加。CTnT在急性心肌梗死冠脉再通后迅速释放，可使CTnT在血清中峰值前移，并呈现双峰变化，首峰出现于12～15h，第2峰出现于1～5天，CTnT首峰前移(≤15h)、CTnT呈双峰，且双峰比值＞1.0可作为判断溶栓成功的指标，其敏感性、特异性均与CK-MB相似。血清CTnT峰值反映了心肌结构蛋白持续分解的最大值和分解程度，其高低主要与心肌坏死的程度有关，急性心肌梗死24h后，血清CTnT峰值与心肌梗死范围呈显著正相关，因此，CTnT可为判断梗死范围的大小及其预后的指标。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;B. CTnI：CTnI在胸痛发作后3～6h开始升高，15～24h达到峰值，持续时间6～10天；冠脉再通后，高峰前移至8～16h，升高持续时间减少至3～7天。因此，CTnI不仅可诊断急性心肌梗死，而且可判断冠脉再通。与传统的心肌酶CK、CK-MB、LDH等相比，CTnI是更敏感、更特异的心肌损伤标志物。CTnI在发病12～72h内的敏感性达100%，由于心肌肌钙蛋白在心外组织无表达，它更适于一些特殊情况下的急性心肌梗死诊断，如围术期、终末肾衰、骨骼肌外伤、横纹肌溶解症、溶血等，并且它还可诊断微小的心肌梗死。CTnI特异性较CTnT更优越，可达100%，但是，也有一定的局限性，如急性心肌梗死早期，其敏感度仅为25%，故有学者认为联合肌红蛋白可以可靠地诊断急性心肌梗死，并在治疗中监测心肌损伤情况。CTnI在发病后的60～80h内可出现第2高峰，其峰值与急性Q波型心肌梗死的左室射血分数密切相关，加之CTnI浓度升高在30天内还与病死率有密切相关性，故CTnI还可作为急性心肌梗死的一个独立的危险预测指标。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;由于心肌肌钙蛋白升高期长，故CTnT、CTnI不适用于梗死延展的诊断。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;②肌红蛋白：肌红蛋白(myoglobin，Mb)是心肌和骨骼肌的胞浆蛋白。Mb在胸痛后1～4h开始升高，4～8h达高峰，24h内恢复正常，是急性心肌梗死的早期诊断指标。Mb可预测心肌梗死的预后，其测定值越高，说明心肌损伤、坏死得越广泛、越严重，预后也就越差。由于其具有升高早、变化幅度大、持续时间短的特点，在其他标志物还正常时可出现再次异常升高，因此也可作为梗死延展及再梗死的有效指标。近来的研究还发现Mb是一种灌注开始后迅速释放的心肌蛋白，在溶栓治疗中具有早期预测冠脉再通的重要作用。与CK-MB相比，Mb可能会更早地对急性心肌诊断，其敏感性与CK-MB相似，特异性较CK-MB差，诊断时间窗较CK-MB短。Mb增加也见于肾功能衰竭、骨骼肌损伤、酒精中毒、重度心衰或高电能心脏复律等，因此，在胸痛后4～8h单独测定Mb不能诊断急性心肌梗死，需测联合其他心肌损伤标志物，如CK-MB、CTnI、CTnT等来诊断。最近有学者报道，同时测定碳酸酐酶Ⅲ(该酶只存在于骨骼肌内)，将碳酸酐酶Ⅲ与Mb的比值作为诊断指标，可改善Mb诊断急性心肌梗死的特异性。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(3)心肌损伤标志物的进展：除上述已被确认的心肌损伤标记物外，近年来一些生化指标正在研究中，有望成为新的心肌损伤标志物。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;①心肌肌凝蛋白轻链：心肌肌凝蛋白轻链(Iight chain cardiacmyosin，CM-LC)是心肌肌原纤维的收缩蛋白，在急性心肌梗死后4～6h开始升高，1～5天达到峰值，并持续1～2周。CM-LC被认为是迄今诊断急性心肌梗死最特异、最敏感的生化指标。CM-LC的释放代表着心肌不可逆的损伤，可在一定程度上反映心肌梗死的范围及严重程度，它的升高与射血分数呈负相关。它不仅可用于急性心肌梗死的早期诊断，也可用于晚期诊断，且在早期再灌注治疗中估计梗死范围优于CK。但测定技术复杂，未能全面推广应用。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;②脂肪酸结合蛋白：脂肪酸结合蛋白(fatty acid binbing pro-tein，FABP)同Mb一样都是心肌和骨骼肌的胞浆蛋白，但其在心肌的含量比骨骼肌高得多。FABP在急性心肌梗死后1～3h内开始升高，5～10h达到高峰，12～24h恢复正常，是早期评价急性心肌梗死的一个有价值的标志物。FABP对急性心肌梗死诊断的敏感性优于CK-MB和Mb，通常在CK-MB和Mb活性升高的病人中，99%的病人也表现有FABP浓度的升高。FABP在再灌注的1h内即出现高峰，远在于CK-MB和CTnT之前，可望是判断溶栓治疗成功、冠脉再灌注的良好指标。FABP还可以用作围术期心肌损伤的指标。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ③糖原磷酸化酶同工酶BB(glyc-ogen phosphorylase BB，GPBB)：主要存在心肌和脑，于胸痛后发作后1～4h开始升高，峰值通常出现在CK、CK-MB之前，1～2天恢复正常；GPBB可能为急性心肌梗死早期诊断的重要标志物，在急性心肌梗死初的4h内，其敏感性明显优于CK、CK-MB、Mb和CT-nT，心肌特异性与CK-MB相似。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;④肌动蛋白：肌动蛋白(alpha-actin) 是最近较受关注的心肌结构蛋白，其特点是心肌含量高，有希望查出微小的心肌损伤。它在胸痛发作的1h即升高，并持续5～10天。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(4)心肌损伤标志物联合应用：理想心肌损伤的标志物应具备：①在心肌中高浓度出现，在其他组织不出现或微量出现；②在心肌损伤后迅速释放；③其释放量与心肌损伤的范围直接呈比例；④在血液中可持续一定时间等特性，以提供常规诊断的时间窗。而上述的各种标志物皆不能完全具备这些条件，其敏感性和特异性各不相同，加之其测定受多种因素影响，如技术敏感性、器官特异性、病情和治疗等。因此，单纯测定一种心肌标志物对急性心肌梗死诊断的敏感性或特异性相对较差，在急性心肌梗死的不同时期，应同时连续测定多种血清标志物，或选定几种标志物组合，以增加诊断敏感性和特异性。常用的各种血清标志物，按升高的时间顺序可分两大组：CK、CK-MB、CK-MB1、CK-MB2、GPBB、Mb、FABP为一组，因其升高出现较早，消失也快，对急性心肌梗死的早期诊断价值较大；LDH及其同工酶、CTnT或CTnI为另一组，因其升高开始较晚，但持续时间长，尤其是CTnT和CTnI，对急性心肌梗死发病3天以后的病例有较大诊断意义。临床证明，CK、CK-MB、CTnT再加LDH1/IDH2活性比值是一种较优的组合，可兼顾急性心肌梗死不同病期，并估计预后。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.其他实验检查</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)白细胞：心肌坏死溶解物质吸收后，白细胞计数升高常与体温升高相平行发展，多在发病后1～2天增高至(10～20)×l09/L，持续2～4天。分类计数多见中性粒细胞增高至0.75～0.90，增高的白细胞可于数天后恢复正常。有时可见核左移，杆状增加，持续1周。如果心肌梗死后，发热伴白细胞升高持续1周以上常提示合并感染或梗死延展。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(2)红细胞沉降率：红细胞沉降率可较准确的反映坏死组织的吸收过程，它在急性心肌梗死发病后1～2天后开始增快，常呈中度或轻度的增快，持续2～3周。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(3)血糖：有65%～100%的心肌梗死病人在心肌梗死的早期伴有糖代谢紊乱，出现血糖升高，尿糖阳性，尤其表现在并发心源性休克时，糖尿病病人急性心肌梗死时常见血糖显著升高，甚至出现尿酮体，此现象也可见于糖耐量异常或非糖尿病的病人。血糖升高的程度与心肌梗死的面积及程度有相关性。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(4)血脂：血脂是急性心肌梗死常观察的指标之一，入院初期影响因素较多，如食物的摄入、葡萄糖的输注和休息状态等，可使总胆固醇及高密度脂蛋白胆固醇下降，故测定值不能正确反映危险因素评估的真实面貌，应在梗死后8周测定。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (5)儿茶酚胺：急性心肌梗死后1h内血浆儿茶酚胺迅速升高，以后升高速度减慢，于24h到高峰，持续40h后逐渐恢复正常。儿茶酚胺升高程度与心律失常的发生率有呈正相关性。</p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5778', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '191', '辅助检查', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.心电图&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;心电图(electrocardiogram)是诊断急性心肌梗死最有价值的检查方法之一，具有其他诊断技术不可取代的作用。其在心肌梗死的主要应用价值为：①诊断心肌梗死，尤其是早期临床症状不典型的心肌梗死；②判断心肌梗死的病程、部位、范围，并能反映左心功能状况及合并的心律失常；③估计心肌梗死的预后。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;心肌梗死完整的心电图表现有以下几点：①心肌梗死的心电图典型特征性改变：坏死性Q波、损伤性ST段的改变和缺血性T波的改变。②上述改变的动态演变。③根据上述改变所反映的导联以确定梗死的部位。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 但并非所有急性心肌梗死病人都具有典型的特征性心电图改变，60%～70%的急性心肌梗死病人心电图有典型的表现，且有一定的演变规律；20%～40%的病人无典型的心电图改变；10%～20%的病人心电图表现正常。这可能与心肌梗死的面积、程度、部位或记录时间的早晚等有关。以往以心电图有无异常Q波将急性心肌梗死分为透壁性和非透壁性(心内膜下)心肌梗死，但大量的尸检及动物实验证实许多有明确Q波的心肌梗死并非为透壁性心肌坏死，异常Q波可见于65%的透壁性心肌梗死及53%的心内膜下心肌梗死；而心电图上无异常Q波者却可见自心内膜下心肌至心外膜下心肌全层坏死。故近来多数学者主张，心电图诊断应采用Q波型心肌梗死与无Q波型心肌梗死来分型，病理诊断仍采用传统的透壁性心肌梗死与心内膜下心肌梗死来分型。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)急性心肌梗死的心电图特征：当冠状动脉的某一分支发生闭塞，严重、持久的急性心肌缺血可产生一系列的特征性改变，即受损伤区域的心内膜下心肌发生坏死，呈坏死型改变；靠近坏死区周围损伤相对较轻，呈损伤型改变；再外边的心肌，受损的程度更轻，呈缺血型改变。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;①坏死型改变：急性心肌梗死时心室起始0.03～0.04s除极向量背离坏死区域，在梗死区的导联上出现负向起始波——异常Q波。一般说来，Q波宽度和深度反映了心肌梗死的深度，Q波愈深，心肌坏死层愈深，Q波愈小，心肌坏死层愈浅。如果在不应该出现q波的导联上出现了q波，或在原有q波的导联上而出现了Q波或呈QS波，除外其他可能引起的异常Q波原因，即可诊断为心肌梗死。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; A.透壁性心肌梗死：自心内膜下到心外膜下的穿通性心肌坏死，称为透壁性心肌梗死。透壁性心肌梗死的心电图在相应的导联上可以表现为以下几种坏死型波形：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; a.QS型：当部位心室肌全层坏死，在梗死区的导联上原来向上的r波消失变为QS波。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;b.QR、Qr或qR型：透壁性心肌梗死合并束支阻滞时，或坏死区外围形成局灶性周围阻滞时，在透壁性梗死区的导联上表现为QR型、Qr型或qR型，Q波时限＞0.04s，振幅比Q/R＞1/4。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; c.rS型：在前壁心肌梗死尚未累及室间隔时，室间隔除极向量仍指向右前方，在V1、V2导联上形成小r波。r波时限很短，振幅并不一定很小，在心电图上表现为几乎直上直下。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;d.正常q波消失：当室间隔心肌梗死时，室间隔起始指向右上方的向量消失，使Ⅰ、V5、V6导联上原有的q波随之消失。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;e.R波振幅异常升高：正后壁透壁性心肌梗死时，V1～V2或V3导联可出现异常增高的R波，此为正后壁心肌坏死的对应性改变。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;f.R波递增不良：前间壁心尖部梗死时，出现R波递增不良(指正常情况下V1～V5导联R波振幅逐导联递增的顺序发生改变)，如RV4＜RV3、RV5＜RV4等。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;B.非透壁性心肌梗死：非透壁性心肌梗死心电图主要表现为以下几种坏死型波形：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.qR型：梗死厚度较深时，心电图上可出现qR、QR波或Qr波，后继的R波代表梗死外周心外膜下心肌产生的电位变化，其振幅随心肌坏死程度而变，坏死的心肌层愈深，Q波大，后继的R波愈小。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;b.Qrs型：心肌梗死区有存活的岛状心肌组织，由于其电位变化，梗死区的导联上出现Qrs波。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;c.QRs振减小：小面积心内膜下心肌梗死时，在梗死区的导联无异常Q波，表现为QRS振幅减小。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;d.R波递增不良：前壁心肌梗死时，V3、V4导联R波振幅减小，可低于V2导联的R波。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 心电图上根据心肌梗死的范围不同表现出不同的改变，其变化可循以下规律。梗死局限于心内膜下心肌层时，心电图仅表现ST-T的改变而无Q波变化，但位于前间壁的梗死可呈QS型；梗死局限于心外膜下心肌层时，心电图可无Q波变化出现，表现为R波振幅减小，梗死程度愈深，R波减小愈明显；梗死区有岛状心肌存活时，梗死区的导联上出现Qrs波，其中的r波代表岛状存活的心肌组织的电位变化；梗死位于心肌中层时，原有的负向波加深，后继R波振幅减小。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(2)损伤型段改变：严重的急性心肌缺血使心肌发生损伤时ST段发生的损伤型改变，其特点主要表现为ST段的移位及其形态改变。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;①损伤型ST段移位：损伤型ST移位的方向有抬高和压低两种形式：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; A.外膜下心肌损伤时，损伤区导联ST段抬高；透壁性心肌损伤时，ST段则进一步抬高。急性心肌梗死造成的损伤型ST段抬高通常在0.1mV以上。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;B.心内膜下心肌损伤时，损伤区导联表现为ST段压低，此时若解除损伤因素，ST段尚可回至基线。急性心肌梗死造成的损伤型ST段压低通常在0.05mV以上。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ②损伤型ST段的形态改变：损伤型ST段抬高的形态与部分QRS波群和T波的形态有关。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; A.超急性ST段抬高：ST段“拉直”或“烫平”，呈斜形向上抬高，与高耸直立的T波相连，但不对称。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; B.急性期单向曲线：ST段向上抬高的呈弓背状，并光滑地移行为T波，二者无明显界限，凸面光滑，形成一个凸面向上、光滑的对称的抛物线，即单向曲线。这种单向曲线是急性心肌梗死最具有诊断意义的心电图特征。损伤型ST段抬高于心肌缺血损伤即刻出现，并迅速达到最高幅度，异常Q波出现之后，抬高的ST段开始逐渐下降，逐渐回复至基线，这一过程大约持续数小时至数周不等。若在溶栓治疗中，冠状动脉早期获得再通，则抬高的ST段可于治疗后数十分钟或1～2h内迅速降至基线。合并室壁瘤者，抬高的ST段可持续抬高而不再回至基线。临床上变异型心绞痛发作时也可出现损伤型ST段抬高，但此种ST段改变持续时间较短暂，症状缓解以后可迅速回至基线。损伤型改变多在发病后3h左右出现。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;③缺血型T波改变：心肌梗死后，由于梗死区周围心肌处于缺血状态，使T波发生改变，其变化主要表现为T波的形态、方向及振幅三个方面。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;A.T波的形态改变：升支与降支对称、顶端尖耸，呈帐顶状。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; B.T波的方向变化：由与QRS主波同向的直立逐渐变为与QRS主波反向的倒置。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; C.振幅变化：在缺血早期，T波振幅一过性增大，随着缺血加重，直立T波振幅的逐渐减小；急性期后倒置T波的振幅又逐渐变浅。有部分心肌梗死病人可始终不出现T波倒置。缺血型改变多发生在发病后的数分钟内。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (3)急性心肌梗死心电图演变：心肌梗死的心电图演变的过程(图1)通常分为4期，即超急性期、急性期、亚急性期及陈旧性期。</p><p style=\"text-align:center\"><img height=\"236\" src=\"http://pmmp.cnki.net/cdd/img/13.4.1%20%E6%80%A5%E6%80%A7%E5%BF%83%E8%82%8C%E6%A2%97%E6%AD%BB.files/image002.jpg\" width=\"461\" style=\"width: 416px; height: 203px;\"/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;①超急性期：发生在发病后的数分钟至数小时，是急性心肌梗死最早期阶段。此期由于冠状动脉急性供血不足，心肌尚未坏死，处于可逆阶段，心电图尚未有异常Q波。但此期电活动极不稳定，易发生室性期前收缩、室性心动过速，甚至室颤。典型的心电图改变表现为T波高尖、ST段损伤型抬高、急性损伤阻滞。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; A.T波高尖：T波高尖是最早期的心电图改变，易被忽略。其特点为T波振幅增大，顶端变尖呈帐顶状；原来平坦或倒置的T波可“正常化”变为直立；常出现于发病后数分钟至数小时。此改变见于心内膜下缺血损伤的导联上。通常在高耸的T波未下降之前，很少会出现典型的异常Q波。如随后发展成为急性心肌梗死，Q波出现于T波高耸的导联上。此期是溶栓治疗的最佳时期。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;B.ST段损伤型抬高：随着T波增高，出现向着心外膜导联的ST段改变，ST段由凹面向上被“烫平”或“拉直”，随后变直的ST段明显抬高，呈斜形与直立T波的前升支融合在一起。与此同时，背向梗死区的导联表现为ST段压低。ST段变化较快，在数分钟或数十分钟内ST段变化差值可达1.0～2.0mV。ST段抬高的导联标志着将要发生梗死的部位。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;C.急性损伤阻滞：急性损伤的心肌组织出现传导延迟，即为急性损伤阻滞。它是超急性期的重要表现之一，心电图表现为：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.向着梗死区导联的R波上升速度缓慢，室壁激动时间延长≥0.45s。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;b.QRS时间延长，为0.11～0.12s。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;c.QRS波的振幅增大，但持续时间较短，当异常Q波出现时，R波振幅反而减少。急性损伤阻滞出现于心肌梗死早期的异常Q波和T波倒置出现之前，为一过性表现，Q波与深倒T波出现时其表现即消失。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;超急性损伤期的心电图改变通常持续数小时，个别可持续1～2天。由于其出现早，时间短暂而常被忽略。而此期损伤区心肌处于严重的电生理紊乱状态，心室自律性增高和心室内存在着显著不同的舒张期极化状态，导致室性心律失常极易发生，甚至发展为心室颤动引起猝死。新近研究表明，在超急性期积极进行治疗十分重要。因为心肌梗死的缺血区与正常心肌之间存在边缘区，即是缺血区也不均匀缺血，此时虽然冠状动脉有严重的供血不足，但持续时间短，心肌仍处于可逆阶段，如果早期采取措施，处理迅速有效，则可保护边缘区，减少缺血区，缩小梗死面积，甚至可避免发生心肌梗死。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;②急性期：心肌梗死急性期开始于发病后的数小时或数天，可持续数天至数周。它的心电图可表现为心肌坏死、损伤和缺血的特征同时存在，反映了心电图从超急性期以损伤为主的状态，转变为以缺血与坏死为主的状态。急性期原发性室颤的发生率较超急性期减低。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;A.异常Q波：开始出现异常Q波，异常Q波后，可有正向波，如呈Qr型，或无正向波而呈QS型。若异常Q波宽达0.04s以上，尤其是稍有顿挫且其后的R波含糊者，更为直观。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; B.ST段呈弓背状抬高：ST段呈弓背状抬高，与T波形成单向曲线，抬高的ST段并随后向等电位线恢复。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;C.T波倒置：高耸的T波逐渐下降、倒置并逐渐加深呈对称性倒置。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 由于急性心肌梗死超急性期持续时间短暂，多数病人尚未能来得及描记心电图便已经发展成为心肌梗死的急性期。在从超急性期到急性期的演变过程中，高耸的T波演变为倒置的T波之前，可表现为T波的明显正常化，这是演变过程中的某一中间阶段，高耸T波将会恰好降至正常范围，出现“伪性改善”，应高度警惕。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;③亚急性期：发生在发病后的数周到数月。此期的心电图以坏死与缺血图形为主要特征。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; A.相对稳定的异常Q波：异常Q波持续存在，通常在发病后1个月左右，大片心肌梗死中形成致密瘢痕组织而范围缩小，Q波随之逐渐缩小。部分病人Q波无明显改变。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; B.ST段由抬高降至基线：抬高的ST段逐渐回落恢复至基线，ST段未回至基线但呈稳定状态者，为梗死区膨出或室壁瘤形成。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; C.倒置T波由深变浅到直立：对称性倒置的T波逐渐变浅，经数月后可恢复到心肌梗死前的直立状态。但部分病人由于发生了慢性冠状动脉供血不足，其倒置的T波经久不变，一直呈低平或倒置。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ④陈旧期：发生在心肌梗死后数月至数年。通常在心肌梗死发病的6～8周后，坏死的心肌组织已被瘢痕组织取代，缺血消失或固定存在。此期反映了从急性期最大限度的恢复。通常非透壁性急性心肌梗死恢复后，心电图多可完全恢复正常。但是，绝大多数的透壁性心肌梗死恢复后都会在心电图上遗留有异常的改变，即异常Q波。陈旧期心肌梗死心电图的主要特征如下：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;A.异常Q波持续存在：异常Q波多持续存在，部分病人的Q波可以变浅变窄，少数病人也可消失。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; B.ST段正常：ST段多正常，若出现单向曲线状态，持续抬高达6个月以上者，提示有室壁瘤形成；若仍持续存在慢性心肌缺血，ST段可呈现水平型或下斜型下降。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; C.T波直立恢复正常：T波多直立，恢复正常。如存在倒置、低平持续无演变的T波，则提示有慢性心肌缺血的存在。急性心肌梗死的心电图具有一定的演变过程，根据QRS、ST-T改变可以判断心肌梗死的病程。QRS波群及ST段改变，而无T波倒置者，多见于心肌梗死发生后24h以内；QRS波群及T波改变而无ST段变化者，多见于梗死发生后数天至数周；只有异常Q波而无ST段及T波变化为陈旧性心肌梗死。个别病例可以不符合上述变化规律，冠脉再通的病人可大大缩短心肌梗死的进程。</p><p style=\"text-align:center\"><img height=\"316\" src=\"http://pmmp.cnki.net/cdd/img/13.4.1%20%E6%80%A5%E6%80%A7%E5%BF%83%E8%82%8C%E6%A2%97%E6%AD%BB.files/image003.jpg\" width=\"320\" style=\"width: 281px; height: 288px;\"/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(4)急性心肌梗死的心电图定位诊断：心电图可较为准确反映不同部位心肌梗死。心肌梗死的心电图定位是根据面向梗死区的几个导联或成组的导联上出现特征性改变作出诊断的。临床上常用的心肌梗死的定位，左室可根据圆锥状的3个方面、5个区及其不同组合(图2)来分类，右室及心房梗死相对少见。前间壁、前壁、前侧壁、后壁及右室梗死可以在横面导联上反映出来，高侧壁、下壁及心房梗死可在额面导联上显示出来，各个梗死区有各自的指示导联(表2)。从冠状动脉各分支病变与发生梗死部位之间的关系来看，左前降支病变可引起左室前间隔(V1～V3导联上出现特征性改变)、前壁(V3～V5导联上出现特征性改变)或前侧壁(V5、V6、Ⅰ、aVL导联上出现特征性改变)梗死；左回旋支病变可引起侧壁、后壁或下壁梗死；右冠状动脉病变可引起下壁(Ⅱ、Ⅲ、aVF导联上出现特征性改变)、后壁(V7～V9导联上出现特征性改变)或右室(V3R～V6R导联上出现特征性改变)梗死。</p><p style=\"text-align:center\"><img height=\"280\" src=\"http://pmmp.cnki.net/cdd/img/13.4.1%20%E6%80%A5%E6%80%A7%E5%BF%83%E8%82%8C%E6%A2%97%E6%AD%BB.files/image004.jpg\" width=\"482\" style=\"font-family: &quot;??&quot;; letter-spacing: 1.33333px; white-space: normal; background-color: rgb(255, 255, 255); width: 407px; height: 231px;\"/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;心肌梗死时，通常心肌坏死的影响比损伤和缺血的影响更为局限，只限于少数导联，而心肌损伤和缺血的影响则较为广泛。心肌梗死的定位主要是以出现异常Q波的导联为依据的，即根据出现异常Q波导联的位置和导联数目，来判断心肌梗死的部位。但心肌各梗死区的划分只是一个粗略的轮廓，各指示导联也仅是相对其他导联敏感性较高而已，有时梗死位于现有导联指示范围以外或两区之间，其心电图表现通常不易显示或达不到诊断标准，此时须通过动态观察或回顾性分析才能判断。 对于无Q波心肌梗死的定位，主要是根据ST-T改变来进行诊断。由于无Q波心肌梗死没有QRS波群改变，单凭ST-T改变常难以对心肌梗死做出可靠的定位诊断。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;急性Q波心肌梗死心电图定位的主要表现如下：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;①前间壁心肌梗死：前间壁心肌梗死在临床上最常见，典型的坏死波形主要反映在V1～V3导联上，主要表现为V1～V3导联中起始r波消失，呈QS型或出现小q波，V5、V6导联q波消失(图3)。因梗死范围不同，V1～V3导联中可出现不同的心电图表现。</p><p style=\"text-align:center\"><img height=\"442\" src=\"http://pmmp.cnki.net/cdd/img/13.4.1%20%E6%80%A5%E6%80%A7%E5%BF%83%E8%82%8C%E6%A2%97%E6%AD%BB.files/image005.jpg\" width=\"554\" style=\"width: 447px; height: 395px;\"/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;②前壁心肌梗死：前壁心肌梗死的心电图改变主要表现在V3～V5导联出现异常Q波。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;③前侧壁心肌梗死：前侧壁心肌梗死的心电图改变主要表现为V5、V6、Ⅰ、aVL导联上出现异常Q波，呈QR、Qr或QS型，在与V5、V6导联相对应的V1、V2导联中，R波常明显增高、增宽，并且QV5＞QV6。若梗死图形仅出现于V5、V6导联是梗死范围较小的表现。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;④高侧壁心肌梗死：高侧壁心肌梗死的心电图改变主要表现为Ⅰ、aVL导联出现异常Q波，呈QR、Qr、QS或QrS型。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;⑤广泛性前壁心肌梗死：广泛前壁心肌梗死的心电图改变主要表现为V1～V6、Ⅰ、aVL导联上均出现异常的Q波，呈QS、QrS或Qr型，下后壁导联Ⅱ、Ⅲ、aVF及V7～V9可有对应性改变。广泛性前壁心肌梗死常合并QRS低电压、束支阻滞及其分支阻滞。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;⑥下壁心肌梗死：下壁心肌梗死又称隔面心肌梗死，心电图改变主要反映在Ⅱ、Ⅲ、aVF导联(图4，5)，其表现特点如下。</p><p style=\"text-align:center\"><img height=\"335\" src=\"http://pmmp.cnki.net/cdd/img/13.4.1%20%E6%80%A5%E6%80%A7%E5%BF%83%E8%82%8C%E6%A2%97%E6%AD%BB.files/image006.jpg\" width=\"410\"/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;A.Ⅱ、Ⅲ、aⅦ导联出现异常的Q波。Ⅱ导联多呈qR或QR型，Ⅲ导联多呈QS型，aVF导联也可为QS型。如果Ⅱ、Ⅲ、aVF均呈QR型，则Ⅱ导联R波最高。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;B.异常Q波有QⅢ＞QaVF＞QⅡ的倾向。通常QⅢ≥0.04s，QaVF≥0.02s，Ⅱ导联亦有Q波，其时间不限。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;C.下壁心肌梗死的异常Q波较前壁的浅、窄。若Ⅲ、aⅦ或Ⅱ导联的Q波均为0.03s，并伴有ST段升高或T波倒置而深，亦同样具有诊断意义。</p><p style=\"text-align:center\"><img height=\"359\" src=\"http://pmmp.cnki.net/cdd/img/13.4.1%20%E6%80%A5%E6%80%A7%E5%BF%83%E8%82%8C%E6%A2%97%E6%AD%BB.files/image007.jpg\" width=\"422\"/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Ⅲ导联单独呈QS型，不能诊断下壁心肌梗死。</p><p style=\"text-align:center\"><img height=\"424\" src=\"http://pmmp.cnki.net/cdd/img/13.4.1%20%E6%80%A5%E6%80%A7%E5%BF%83%E8%82%8C%E6%A2%97%E6%AD%BB.files/image008.jpg\" width=\"554\" style=\"width: 467px; height: 380px;\"/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(5)心肌梗死Q波的形成：异常Q波的形成基础某部位心肌坏死，其产生的除极向量消失，其对应部位的正常心肌原应有的对抗电势即消失，导致综合心室除极向量背离该梗死部位，若心肌坏死部位于QRS起始除极部位，且心肌坏死面积足够大，则可能在面向坏死心肌的导联出现起始负向波，即异常Q波，其宽度＞0.04 s，深度＞后继导联R波的1.4。近年的研究表明心肌梗死时异常Q波的形成需要具备以下三个条件。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;①心肌梗死的范围：一般认为心肌梗死范围在直径＞20～25mm时，才可能出现异常Q波。但约有20%左右的心肌梗死病人中，其梗死直径虽在20～30mm之间，但累及左室壁范围仅在10%左右，这类小梗死一般不形成典型的异常Q波。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;②心肌梗死的深度：心肌梗死深度在＞5～7mm以上时，才可能出现异常Q波。如心肌梗死厚度不足，一般不产生宽大的Q波，仅引起QRS波形的改变，如顿挫、切迹、R波丢失等。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;③心肌梗死的部位：心肌梗死的部位在心肌梗死Q波的形成中也很重要。即使梗死面积足够大，梗死区的除极还必须是在QRS波起始0.04s内，才会引起典型的Q波，这些部位包括室间隔、左室前壁、侧壁及下壁等。部分梗死发生左室高侧壁、正后壁或基底部，这些部位的除极是在QRS波起始0.04s之后，故只引起QRS中段或终末0.04s部分改变；发生在左室中部和心尖部的梗死，可引起QRS中间部位向量丢失，而形成R波丢失和(或)S波加大。但位于QRS波起始O.04s的梗死，如面积不够大，则不能形成典型的异常Q波，形成QRS波只表现为向上部分的有切迹、顿挫、模糊或出现小q波。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;通常大多数较大范围的心肌梗死，多累及左室起始O.04s内除极部位，故均能引起异常Q波。但多支冠状动脉闭塞的较大面积梗死存在有梗死部位相对时，梗死向量可相互抵消，而不产生异常Q波；多部位小灶性心肌梗死，也不产生异常Q波；室内传导异常，特别是左束支传导阻滞时，由于QRS起始向量异常，也影响心肌梗死的QRS向量表达。因此，单纯依靠QRS变化来诊断心肌梗死较困难。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(6)无Q波心肌梗死的诊断：无Q波心肌梗死是指心电图上无异常Q波，仅有ST-T改变的心肌梗死。它见于25%～35%的急性心肌梗死病人，老年人相对多。由于无Q波心肌梗死的心电图改变特异性及敏感性均较低，临床上常易漏诊。无Q波心肌梗死者冠状动脉病变范围、程度与Q波心肌梗死者并无明显不同。冠状动脉造影显示无Q波心肌梗死冠状动脉内的血栓栓塞为不完全性阻塞，而Q波心肌梗死冠状动脉内血栓栓塞呈完全性闭塞。无Q波心肌梗死冠脉不完全性阻塞可能是由于机体自发性血栓溶解发生较早所致。与典型的Q波心肌梗死相比较，无Q波心肌梗死的病人，冠状动脉血栓形成较少，侧支循环较丰富，心肌损伤标志物水平升高幅度较低，心肌灌注缺损不均匀较轻，引起的室壁异常运动程度也较轻，故心力衰竭发生率较低，近期病死率较低，但其病情演变过程在某种程度上类似经溶栓治疗的急性心肌梗死，由于梗死区周围心肌仍处于缺血状态，梗死区冠状动脉仍存在狭窄等因素的影响，故其病变极不稳定，再梗死与梗死后心绞痛发生率高，第1年病死率与Q波型心肌梗死相似。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;①无Q波心肌梗死的心电图变化：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;A.ST段改变：其改变形式为：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.ST段呈水平或下垂型压低，程度≥0.1mV，持续时限≥O.08s。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;b.ST段呈弓背状抬高，肢导联≥0.1mV，胸导联≥0.2mV。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;B.T波改变：T波倒置深度≥0.1mV。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;C.ST-T有演变过程。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;②无Q波心肌梗死的心电图分型：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;A.ST段压低型：以ST段压低为主。部分或大部分导联出现ST段压低，可伴或不伴T波倒置，通常持续在24h以上。见于40%～50%的无Q波心肌梗死病例，多为冠状动脉严重硬化，其中，有近90%的病人为多支病变，大约40%的病人可并发心力衰竭，出院后病死率高，可达24%。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;B.ST段抬高型：以ST段抬高为主。部分导联出现ST段抬高和T波倒置，并有ST-T演变过程。见于35%～40%的无Q波心肌梗死病例，其中大约90%以上的病变为多支病变，其多见于发病起始，并发症少，病死率较低，可仅为3%左右。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;C.T波倒置型：以T波为主。部分或大部分导联出现宽、深而倒置的T波，常与ST段压低并存，并有梗死T波的演变过程。约见于10%的无Q波心肌梗死病例，其中仅5%左右的病人有多支病变，很少发生并发症，病死率极低。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;无Q波心肌梗死的心电图分型有助于急性心肌梗死的病变程度和预后的估计判断。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;③无Q波心肌梗死的诊断：多数学者认为，ST段压低和T波倒置至少应持续24h以上方可诊断无Q波心肌梗死；而ST段抬高可持续时间较短，可仅数小时，但其应有符合心肌梗死的演变过程。无Q波心肌梗死的心电图的ST-T改变特异性较差，故必须结合临床症状和心肌损伤标志物水平等以确立诊断，必要时可行冠状动脉造影、放射性核素显像等检查。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;通常认为，无Q波心肌梗死不适宜溶栓治疗，Q波心肌梗死选择性适宜溶栓治疗，但近来有学者研究显示无Q波心肌梗死的心电图上两个相邻导联的ST段抬高可作为溶栓的指征，而ST段压低或其他改变不适合溶栓。</p><p style=\"text-align:center\"><img height=\"391\" src=\"http://pmmp.cnki.net/cdd/img/13.4.1%20%E6%80%A5%E6%80%A7%E5%BF%83%E8%82%8C%E6%A2%97%E6%AD%BB.files/image009.jpg\" width=\"451\" style=\"width: 379px; height: 361px;\"/></p><p style=\"text-align:center\"><img height=\"412\" src=\"http://pmmp.cnki.net/cdd/img/13.4.1%20%E6%80%A5%E6%80%A7%E5%BF%83%E8%82%8C%E6%A2%97%E6%AD%BB.files/image010.jpg\" width=\"470\" style=\"width: 358px; height: 338px;\"/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.心向量图&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;急性心肌梗死时心肌出现缺血、损伤及坏死，心电向量图如同体表心电图一样，可对心肌梗死作出定性及定位诊断，并可证实、补充体表心电图所见。一般认为，心电向量图对急性心肌梗死的诊断较心电图更敏感，但并不更具特异性，须结合临床资料综合考虑。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;3.放射性核素&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;利用缺血的心肌对放射性核素及其标记的化合物可选择性摄取之特点，放射性核素心肌显像可以发现梗死，确定梗死的范围和程度，测定侧支血流、心肌损伤和心室功能，并可估计预后。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;目前，应用价值较大的热区心肌显像包括和99mTc-焦磷酸盐(99mTc-PyP)显像111lh标记抗肌球蛋白单克隆抗体(99mIn-McAb)显像等。显像剂进入血流后，在急性心肌梗死后6～12h开始浓集于坏死心肌部位，3～4天达峰值，一般持续14天左右消失。热区显像的核素主要浓集于坏死的心肌组织内，缺血心肌不摄取，它有助于不典型或疑难急性心肌梗死的诊断，如伴有束支传导阻滞或预激综合征的心肌梗死及再梗死等。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;目前极早期溶栓治疗已成为急性心肌梗死的重要治疗手段，快速的明确诊断至关重要。对于不典型的心肌梗死病人，心电图动态变化与酶学检查的快速诊断有困难时，核素心肌显像可以较好地解决快速诊断问题。国外条件较好的急诊室大都配有核素心肌显像的设备，对疑有急性心肌梗死的病人立即注射201Tl(冷区心肌显像)，10min后显像，即可对心梗作出判断，决定溶栓治疗的实施与否。利用99mTc标记的新型心肌显像剂，如99mTc-MIBI、99mTc-Tetrofosmin、99mTc-Teboroxime等进行急性心肌梗死快速诊断的研究正在进行中，具有很大潜力。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;4.二维超心动图&nbsp; <br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;利用超声波的反射特性，二维超声心动图(two dimensional echo cardiography)可在体表观测心脏各部位的解剖结构及其在心动周期中的活动状态，通过测定心室容量、室壁运动和左心室射血分数等情况，有助于确立急性心肌梗死的梗死部位、梗死范围及左、右室功能障碍程度，提供的预后信息。二维超声心动图检查在几乎全部透壁性急性心肌梗死病人中均显示区域性室壁运动异常，约20%左右的非透壁性急性心肌梗死的病人也可出现室壁运动异常。急性心肌梗死二维超声心动图的表现如下。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)节段性室壁运动异常：急性心肌梗死时，局部室壁出现明显矛盾运动，短轴及长轴切面均可见室壁扭动及局部心肌张力明显减退，周围为室壁运动减弱区，其敏感性为60%～80%。但急性非梗死性心肌缺血，如心绞痛时，超声也可检出局部室壁运动异常，心绞痛消失后，室壁运动可恢复正常。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(2)心室腔扩大：这也是心肌梗死二维超声心动图的表现。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (3)室壁回声变化：急性心肌梗死早期局部室壁回声减弱，以后回声逐渐增强。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(4)局部心功能明显异常：若梗死范围极小，整体收缩心功能可正常；若射血分数＜40%，则预示病情严重，且多有伴并发症。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;二维超声心动图亦可诊断和鉴别诊断心肌梗死的并发症，包括乳头肌断裂、室间隔穿孔、室壁瘤、心室附壁血栓、心包积液等。此外，二维超声心动图还有评估心肌组织特性、冠状动脉腔影像及检测再灌注后室壁运动的恢复，对再梗死、梗死延展的判断以及心肌梗死的预后估计均有重要意义。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;5.磁共振成像&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;自1984年Higgins等首先开展心肌梗死病人的磁共振成像(magnetic resonance imagery，MRI)研究以来，该技术发展迅速，目前可用于确定心肌梗死的位置、范围及其合并症。心脏MRI应用心电门控或心电触发多层面自旋回波法成像技术，通过横轴面、矢状面和冠状面的断层扫描，将3个成像平面上的左心室又分若干段进行测量，可正确确定心室容量、整体及区域性室壁运动和心窒质量，区分梗死心肌与存活心肌并估计梗死范围。急性心肌梗死的MRI表现如下。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)弛豫时间明显延长：急性梗死的心肌在发病后的2～3h即可出现异常信号，即Tl、T2弛豫时间明显延长，这主要是由于受损心肌组织水肿，含水量增多所致。异常信号与正常心肌界限较清楚，梗死区心肌变薄，运动减弱，邻近心腔内因血流减慢而出现血流信号。在急性心肌梗死收缩期局部心肌变薄的阳性率在65%左右。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(2)梗死区信号增高：注射顺磁性对比剂二乙三胺五乙酸钆(Gd-DTPA)行增强扫描，T1弛豫时间缩短，梗死区信号增高，特别在冠状动脉闭塞1周内最为明显。这种异常信号增高可持续6周。通常认为用Gd-DTPA增强检查心梗最适宜的时间为发病后1周以内。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(3)室壁运动障碍：心电门控梯度回波快速成像序列可显示梗死部位室壁运动障碍。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;心肌梗死再灌注的心肌在MRI上也可表现为Tl、T2弛豫时间明显延长，但其程度与幅度均大于急性心肌梗死，且出现时间更长。陈旧性心肌梗死与急性心肌梗死的MRI有明显区别，表现为梗死区信号强度减弱、T2弛豫时间明显缩短及室壁明显变薄的阳性率高达90%以上。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;对于心肌的显像，MRI比超声心动图更清楚，但由于目前MRI价格贵，扫描时间长，一般不作为首选检查手段。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;6.胸部X线&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;对发病初期评定急性心肌梗死病人时有一定价值，在发病的起初3天可及时发现左心衰的征象，有利于早期控制。但其价值也有限，在各类心肌梗死中，接近半数的病人心脏无阳性发现，半数以上的病人可见以下X线征象。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)心影扩大：心脏外形多呈“主动脉型”，心脏扩大较显著，呈轻至中度以上扩大，以左室增大为主；心功能不全时，左房及右室亦有相应的增大。心肌梗死心脏扩大者，大多伴有心衰或心衰病史。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(2)梗死区运动异常：节段性心肌矛盾运动、运动减弱或消失，以正位及轻度右前斜位观察较易发现，左室下壁、心尖部及室间隔等处的心肌梗死不易被发现。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(3)主动脉屈曲延长：可出现不同程度的主动脉屈曲延长，并可伴存在不同程度的钙化。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(4)肺循环改变：肺内有不同程度的肺静脉高压征象，显示肺淤血、间质性肺水肿等X线征象。虽然X线所见很重要，但存在肺充血或肺水肿时，其并不与病人当时血流动力学状态相一致，当骤然发生心力衰竭时，放射学所见晚于临床表现可达12h，并在心力衰竭治疗后持续数天。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 7.冠状动脉造影&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;冠状动脉造影(coronary arteriography)是临床上确定冠状动脉病变的部位及程度最可靠的方法，是目前公认的“金标准”。但冠状动脉造影通常不作为急性心肌梗死的诊断手段，尤在急性心肌梗死的4周内。冠脉造影于心肌梗死的应用主要在于：①在急性心肌梗死早期(6h内)拟行紧急冠状动脉再通术时，了解冠脉病变程度；②诊断、鉴别诊断不典型或疑难的心肌梗死。其应用的前提条件是必须排除可能引起猝死危险的禁忌证的存在。急性心肌梗死冠状动脉造影的基本改变是冠状动脉的闭塞性病变。心肌梗死后6h内急诊冠状动脉造影的闭塞性病变在85%以上，且冠状动脉多支病变较多见，有二支及二支以上病变的可达60%。急性心肌梗死冠脉造影的特征性形态学改变表现在心肌梗死的急性期，梗阻之断端呈杯口状充盈缺损，造影剂可在血栓周围渗透、滞留，形成弥漫性斑块阴影。冠状动脉病变部位决定着心肌梗死的部位，梗阻冠状动脉的远端分布区域即为心肌梗死部位。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;8.动态心电图及心率变异分析</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)动态心电图：动态心电图(dynamic electrocardiogram)可连续检测、记录人体24～48h或72h的心电变化，不受距离、体位及活动的限制，故异常检出率远远高于普通心电图。但动态心电图为回放式显示已过去的心电图，不能及时反馈心脏的急性心电变化，故不作为急性心肌梗死的诊断手段。目前，它对急性心肌梗死的主要应用价值在于检出恶性室性心律失常，发现心肌梗死病人猝死的预示信号，并可为急性心肌梗死病人作梗死后的劳力鉴定。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(2)心率变异性分析：心率变异性(heart rate variability)通常是指窦性心律不齐的程度。通过连续记录、测量正常QRS波群的周期及其变化，统计分析其中变异程度，即为心率变异性分析。它主要应用于评价心脏自主神经平衡状态的研究，对心肌梗死的无诊断价值。急性心肌梗死时，心肌坏死、缺血对心室壁机械、化学感受器是一种强有力的刺激作用，这种作用可通过心-心反射活动改变心脏自主神经调节的均衡性，导致心肌电不稳定，室颤阈降低，进而促使恶性心律失常及心脏猝死的发生。因此，心率变异分析作为一种无创伤性测量急性心肌梗死病人交感、迷走神经活动水平及其均衡性变化的有效方法，对急性心肌梗死的治疗和预后均有重要意义。心率变异缩小，随后的猝死率升高，并且心率变异缩小的程度与心室射血分数呈正相关，同肺部啰音、节段性室壁运动异常以及室性心律失常呈负相关，心率变异周期变化与急性心肌梗死后心肌缺血、心律失常和猝死等事件发生时间周期密切相关。目前认为，急性心肌梗死导致心率变异缩小的原因在于心迷走神经活动水平的降低以及交感神经活动水平的增强，二者调控心脏电活动的均衡性发生了改变。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;9.频谱心电图&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;频谱心电图(frequency-domain correlative cardiogram)是应用生物控制论及人体工程学方法，对心电信号进行频率域、时间域和空间域处理及相关分析的无创性心电检测技术。虽然频谱心电图应用于临床时间不长，但根据国内外大量的临床研究显示其对冠心病和心肌梗死的诊断率可高达85%以上，表明频谱心电图对冠心病、心肌梗死的辅助诊断有一定价值。频谱心电图诊断心肌梗死的敏感性较高，但特异性较差。目前而言，频谱心电图虽然突破了传统心电图时间域分析的概念，但其技术尚未十分成熟，还有待去逐步完善。心肌梗死的主要频谱心电图特征是：传导函数相频QXY在6～20Hz范围内曲线大幅度波动或平坦曲线远离基线。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;10.心室晚电位&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;心室晚电位(ventricular potential)是指发生于心室除极末期及舒张期开始的QRS波群终末部和ST段的高频、低幅度的多性复合波。心室晚电位可在外科手术中自心外膜和心内膜直接记录，临床上限仅于介入治疗时应用；利用平均信号技术可自体表无创伤的记录心室晚电位，应用不受创伤性检查的限制。心室晚电位的发生提示心室舒张期内有延迟出现的电活动，有潜在的折返径路，可能发生折返性室性心动过速，尤其对心肌梗死的病人，心室晚电位阳性，持续性室性心动过速发生率高，猝死几率大。心室晚电位的最大价值在于对心肌梗死的预后诊断，其敏感性及特异性分别为80%和76%。</p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5779', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '191', '诊断', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;急性心肌梗死可根据肯定的心电图演变、血清酶升高、胸痛等临床症状进行诊断。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;1.病史&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;典型的临床症状是出现严重而持久的胸痛。有时病史不典型，疼痛可以轻微或缺如，可以主要为其他症状。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.心电图&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;肯定性改变为出现异常、持久的Q波或QS波，以及持续24h以上的演进性损伤电流，这些肯定性改变出现时，仅依据心电图即可作出诊断。不肯定性心电图改变包括：①静止的损伤电流；②T波对称性倒置；③一过性病理性Q波；④传导障碍。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;3.血清酶&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;肯定性改变包括血清酶浓度的序列变化，开始升高和继后降低。这种变化必须与特定的酶以及症状发作和采取血样的时间间隔相联系。心脏特异性同工酶(CPK-MB、LDH)的升高亦认为是肯定性变化。不肯定改变为开始浓度升高，但不伴有随后的降低，不能取得酶活力曲线。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)明确的急性心肌梗死：如出现肯定性心电图演变和(或)肯定性血清酶变化，无论病史典型或不典型，都可诊断为明确的急性心肌梗死。心电图有肯定性改变者，心肌梗死常属于透壁性类型。急性<a href=\"http://pmmp.cnki.net/cdd/Disease/Dis_Detail.aspx?id=41958\" target=\"_blank\" style=\"color: rgb(0, 0, 204);\">心内膜下心肌梗死</a>由于不伴有Q波，甚至ST段与T波改变也不很明显，故主张依靠血清酶以肯定诊断。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(2)可疑的急性心肌梗死：对有典型或不典型病史的病例、不肯定性心电图改变持续24h以上，伴有或不伴有酶的不肯定性变化，都可诊断为可能急性心肌梗死。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;心肌灌注显像有助于急性心肌梗死的明确诊断。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;根据以上典型的临床表现，特征性的心电图改变，以及实验室检查发现，诊断本病并不困难。但自开展再灌注治疗(即溶栓治疗、冠状动脉腔内成形术)以来，应争取早诊断、早治疗以取得好的治疗效果。由于冠状动脉血栓急性堵塞导致的急性心肌梗死，往往发病急骤，症状严重，但不一定为典型胸痛，病人因症状重来院就诊早，心电图可发现超急性期高尖T波或明显ST段抬高，含服硝酸甘油后，ST段不下降，排除非一过性冠状动脉痉挛所致，虽然血清酶尚未到升高时间，即可根据临床症状和最初心电图进行再灌注治疗。一些病人原有心绞痛病史，近期症状加重，可有典型胸疼，疼痛持续时间较心绞痛持续时间长或程度重，心电图表现为ST段下降，无典型的心肌梗死表现。这类病人可能见于严重冠状动脉粥样硬化狭窄病变或斑块破裂形成不完全堵塞性血栓，引起不<a href=\"http://pmmp.cnki.net/cdd/Disease/Dis_Detail.aspx?id=41951\" target=\"_blank\" style=\"color: rgb(0, 0, 204);\">稳定性心绞痛</a>或<a href=\"http://pmmp.cnki.net/cdd/Disease/Dis_Detail.aspx?id=41958\" target=\"_blank\" style=\"color: rgb(0, 0, 204);\">心内膜下心肌梗死</a>，也可进展为Q波性心肌梗死。故对此类病人应严密观察症状，动态观察心电图、血清心肌损伤标记酶的变化，以免漏诊。对突然出现上腹部、颈部、咽部、下颌或牙齿疼痛，而无局部相应的病症者也应警惕本病。特别是老年病人突然发病，原因不明的休克、严重的<a href=\"http://pmmp.cnki.net/cdd/Disease/Dis_Detail.aspx?id=41985\" target=\"_blank\" style=\"color: rgb(0, 0, 204);\">心律失常</a>、<a href=\"http://pmmp.cnki.net/cdd/Disease/Dis_Detail.aspx?id=41143\" target=\"_blank\" style=\"color: rgb(0, 0, 204);\">晕厥</a>、心衰或较重的持续性胸痛或胸闷伴有恶心、呕吐、出汗者，应考虑本病的可能。对以上病人均应密切观察心电图及血清心肌损伤标记酶的改变，以免漏诊。心电图为<a href=\"http://pmmp.cnki.net/cdd/Disease/Dis_Detail.aspx?id=42036\" target=\"_blank\" style=\"color: rgb(0, 0, 204);\">左束支传导阻滞</a>、预激综合征和安装永久起搏器者，易掩盖心肌梗死的图形，或出现假梗死图形，此时应仔细观察ST-T的动态演变，结合临床及血清心肌损伤标记酶升高，可做出急性心肌梗死的诊断。青年人患急性心肌梗死者虽少见，但近年来有上升趋势，并且起病急，亦应警惕该病的发生。</p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5780', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '191', '鉴别诊断', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.主动脉夹层&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;主动脉夹层常产生类似MI的胸痛。其胸痛的部位常较高，近胸的出口处；呈撕裂状；起病常较AMI更为突然；疼痛迅速达高峰且范围广泛，常反射到背、腰、腹和小腿；疼痛多持续不缓解，虽可有休克症状，但病程中常伴有高血压。主动脉夹层可产生压迫症状，致使双侧上肢的血压不一致，单或双侧脉搏、颈动脉搏动减弱等。X线和超声心动图检查可发现主动脉明显增宽，无AMI心电图及血清酶学的特征性改变。为肯定主动脉夹层，常需做超声波检查主动脉造影和(或)磁共振检查。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;如主动脉夹层侵及冠状动脉时可出现MI，但很少见。大约5%～10%的主动脉夹层患者没有胸痛。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.不稳定型心绞痛&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;其疼痛部位和性质虽与AMI相似，但心绞痛发作时间一般不超过半小时；多不伴有恶心、呕吐、休克等；无血清酶学的特征性变化(心肌肌钙蛋白T可以增高)；发作时虽有ST段和T波改变，但为一过性，心绞痛发作时ST段明显下降，或伴有T波倒置，应注意与非ST段抬高型MI鉴别。变异性心绞痛发作时，ST段明显抬高，T波直立，并可伴有室性心律失常或缓慢性心律失常，对应导联ST段明显下降，类似AMI早期图形，但发作缓解后，ST段很快回到等电位线上。心绞痛发作时一般不出现病理性Q波。动态观察血清酶学及心肌肌钙蛋白T的变化是鉴别诊断的要点之一。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;3.肺动脉栓塞&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;肺动脉栓塞起病突然，有胸痛、气急、发绀、咯血或休克等表现，如无咯血症状有时极似AMI。但前者的发热与白细胞增高多在24h内出现；心脏体征方面可发现肺动脉瓣区第2心音亢进；肺动脉栓塞心电图改变较AMI快速而短暂，其心电图呈急性电轴右偏，右室扩大及SⅠQⅢTⅢ，Ⅰ导联新出现S波，异常Q波在Ⅲ导联甚或aVF导联伴有T波倒置，但Ⅱ导联不出现Q波，有明显顺钟向转位；血清乳酸脱氢酶总值可增加，但其同工酶(LDH1)和磷酸肌酸激酶同工酶(cPK-MB)不升高。放射性核素肺灌注扫描有助于确诊。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;4.急性心包炎&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;本病常急性起病，伴有较剧烈而持久的心前区疼痛和ST段抬高。但心包炎病人在胸痛发生前或同时常有发热、白细胞增高，胸痛于咳嗽、深呼吸时加重，在坐位并前倾时减轻，AMI时疼痛与呼吸和体位无关；前者在发病当天甚至数小时内即可听到心包摩擦音，AMI引起的心包摩擦音多出现于发病后2～5天，有时持续时间很短；急性心包炎引起的心电图改变为普遍导联ST段呈弓背向下抬高，它不引起Q波，伴有心包积液时出现低电压；急性心包炎无血清酶学的特征性变化；超声心动图可观察心包积液的情况，AMI并有心包炎很少有积液，常见其梗死区室壁运动异常。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;5.急腹症&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;急性胆囊炎与胆石症、溃疡病穿孔、急性胰腺炎等常有上腹疼痛伴恶心、呕吐或休克，易与疼痛部位不典型的AMI相混淆而引起误诊。可根据病史、腹部体征(急腹症常有上腹明显压痛或反跳痛)、心电图和(或)血清酶学检查加以鉴别。需注意的是，冠心病患者常并有胆石症，当发作胆绞痛时，易诱发心绞痛和心肌缺血的心电图改变。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;6.食管破裂&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;食管穿孔或破裂可引起严重的胸痛，常很快致死。紧急手术治疗可将病死率降低到30%。食管破裂的75%是由器械操作引起，此外也可因异物或存留导管、钝器伤或穿刺伤、胃溃疡或食管癌产生压迫性坏死所致。饱餐后干呕或呕吐也可引起食管自动破裂。病人的疼痛多位于剑突下且反射到肩胛间区，常伴有呼吸困难、大汗和发绀。接着出现苍白、心动过速和休克以及纵隔气体的体征(在胸壁、颈部和锁骨上窝触及捻发音)。心前区听诊可发现纵隔听诊摩擦音，即所谓Hamman征。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;食管破裂的诊断基于呕吐或食管机械操作后的症状和体征。站立位胸部X线检查可发现纵隔气体和胸腔积液。吞钡X线检查可肯定破裂的位置。有时破裂处可被封闭而不能由X线发现，此时做胸腔穿刺抽出酸性液体可说明有食管破裂。</p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5781', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '191', '治疗', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;AMI的治疗原则是保护和维持心脏功能，挽救濒死的心肌，防止梗死面积的扩大，缩小心肌缺血范围，及时处理严重心律失常、泵衰竭和各种并发症，防止猝死，使病人不但能渡过急性期，而且康复后还能保存有尽可能多的心肌，维持较有效的生活。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;AMI的临床处理应包括以下几个方面：及时而积极地治疗AMI的前驱症状；入院前的处理；AMI的监护和一般治疗；抗血小板和抗凝治疗；限制梗死面积和早期再灌注治疗；增加和改善侧支循环的治疗；AMI并发症的治疗；调节血脂和防治梗死后心肌重构。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;1.前驱症状的治疗&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;前驱症状的出现可能为濒临心肌梗死的表现。此时宜建议病人住院，及时而积极地按治疗不稳定型心绞痛的措施处理，可减少这些病人发生MI的机会。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.入院前的处理&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;AMI病人约2/3的死亡发生在院外，而且通常死于心室颤动。因此，缩短起病至住院之间的这一段时间，并在这期间进行积极的治疗，对挽救这部分病人的生命有重要意义。对病情严重的患者，发病后宜就地进行抢救，待患者情况稳定允许转院时才转送医院继续治疗。转送病人的救护车上，应配备心电监护和必要的抢救设备，以便在运送途中也能继续监护病情的变化并及时进行处理。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;住院前的诊治效果取决于几个因素，包括：及时除颤；早期解除疼痛和稳定病人的情绪；降低自主神经系统的过度活动和消除致命性心律失常，如室速、室颤等。但是，此时的治疗措施不应影响迅速转送病人到医院。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;3.监护和一般治疗</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)加强监护：本病早期易发生心律失常，且心率、血压也不稳定，应尽早开始行心电和血压监测，必要时还应监测血流动力学变化。应注意观察神志、呼吸、出入量、出汗和末梢循环情况，建立静脉通道，监测心肌酶，为适时作出治疗措施提供客观依据。监护的意义是不放过任何有意义的变化，但注意要保证病人安静和休息。一般心电、血压监测时间为3～5天，有严重心律失常、心衰和休克者则可根据病情监测时间相应延长。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(2)活动和饮食：患者应在冠心病监护室里卧床休息，保持环境安静，减少探视，防止不良刺激。治疗照顾AMI的医护人员必须密切观察注意病人意识变化，宁静、设备完善的环境，亲切周到的解释，有助于减轻AMI给病人带来的心理压力。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;第1周完全卧床休息，加强护理。病人进食不宜过饱，应少食多餐。食物以易消化、含较少脂肪而少产气者为宜，限制钠的摄入量，要给予必需的热量和营养。保持大便通畅，大便时不宜用力，如便秘可给予缓泻剂。第2周可在床上坐起，逐渐离床，在床旁站立和在室内缓步走动。近年来多主张早期活动，因为它可解除患者的紧张与焦虑情绪，减少梗死后的并发症，有利于后期心功能的恢复。发达国家AMI病人多在1周后出院，我国的住院期略长，一般为2～4周，如病重或有并发症，应适当延长卧床及住院时间。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(3)吸氧：在AMI的早期，即使无合并症往往也有不同程度的低氧血症。当合并心功能不全和休克时，低氧血症会更严重。因此，在最初2～3天内，通常间断或持续地通过鼻管或面罩吸氧，氧流量为3～5L/min。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(4)镇痛和消除精神紧张：剧烈疼痛可使病人烦躁不安，使交感神经过度活动，引起循环高动力状态，心动过速、血压升高等使心肌耗氧量进一步增加，如通过吸氧、使用硝酸酯类药物和(或)β阻滞药(对血压较高、心率较快的前壁梗死者)不能迅速缓解疼痛，应尽快采用镇痛药。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;常用镇痛药有吗啡和哌替啶。吗啡是解除AMI疼痛最有效的药物，除中枢镇痛作用外，它能减轻患者焦虑及自主神经系统的活性从而减轻患者的不安，并可扩张外周血管，使得心脏的前后负荷降低，这两方面的作用均能降低心脏的代谢需求。此外，吗啡对肺水肿的病人也有明确的有益作用。吗啡的常规用量是5～10mg皮下注射或2～5mg静脉注射，必要时5～30min重复1次，直至疼痛消失或出现毒性反应(即低血压、呼吸抑制、或严重呕吐)阻止药物进一步使用。疼痛较轻者可用可待因或罂粟碱0.03～0.06g肌内注射或口服。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;如使用硝酸甘油和吗啡引起的收缩压降低到100mmHg以下，维持患者于仰卧位和抬高下肢能减轻低血压反应。虽然有肺水肿出现时不宜采取平卧体位，但在肺水肿情况下吗啡很少产生低血压。静脉注射阿托品0.5～1.5mg有助于减少吗啡的过度迷走神经作用，尤其在用吗啡前存在低血压和心动过缓时。有严重疼痛或肺水肿的病人应用吗啡时，呼吸抑制并发症不常见，但是在其心血管功能状态改善后，吗啡引起的通气受损可能随即发生，必须注意观察。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;4.抗血小板和抗凝治疗&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;现已明确血栓形成在AMI的发病中起重要作用，故在AMI早期就应该应用抗血小板和抗凝治疗。这种治疗的首要目的是建立和维持与梗死相关动脉的通畅，第二个目的是减少病人血栓形成的趋势，因而减少附壁血栓形成和深静脉血栓形成的可能性。抗血小板和抗凝治疗的疗效部分表现为减少了AMI病人的病死率。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;常用的抗血小板药是阿司匹林，它对各种类型的急性冠脉综合征都有效。阿司匹林通过多个途径而起到抗血小板血栓形成的作用：抑制血小板的环氧化酶快速阻断血小板中血栓素A2的形成；削弱凝血酶原生成途径；阿司匹林的水杨酸部分能阻断血小板花生四烯酸代谢中的脂氧化酶途径和两种环氧化酶。由于小剂量阿司匹林(50～100mg)需摄入数天才达到完全的抗血小板作用，故首次服用至少需150～300mg。为了迅速达到治疗性血液中的药物浓度，病人应咀嚼药片，促进口腔颊部黏膜吸收。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;噻氯匹定、氯吡格雷也是近几年使用较多的抗血小板药物。它们是噻乙吡啶(thienpyridine)衍生物，在体外呈失活状态，在体内则为高效的抗聚集药物，是ADP诱导血小板聚集的选择性而非竞争性阻滞药，它们能特异性阻断ADP途径中的GPⅡb/Ⅲa活化，抑制ADP触发纤维蛋白原与Ⅱb/Ⅲa形成复合物。它们的治疗作用已经在短暂脑缺血发作、中风患者、外周动脉性或缺血性心脏病患者中得到确认。有研究显示，对于减少这些患者的病死率或非致死性中风，噻氯匹定和氯吡格雷的作用均比阿司匹林更明显。噻氯匹定用量为250～500mg/d；氯吡格雷为75mg/d。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;噻氯匹定最严重的问题是骨髓抑制(引起白细胞减少、血小板减少或全血细胞减少)，故在治疗期间应严密监测。临床研究证明，氯吡格雷对血小板的抑制作用不仅比噻氯匹定强6倍，且骨髓抑制的副作用也要小得多，因而显示了其优越的应用前景。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;近几年国外还开发出其他一些抑制血小板功能的药物，并已试用于临床，如血栓素合成酶抑制剂、血栓素和五羟色胺受体拮抗药等。其中，最有希望的一类药物是糖蛋白Ⅱb/Ⅲa受体拮抗药。糖蛋白Ⅱb/Ⅲa受体的激活是血小板聚集的最后共同通道，该受体存在于血小板表面，被激活后与凝血酶结合导致血小板聚集，糖蛋白Ⅱb/Ⅲa受体拮抗药可阻断血小板聚集的最后共同途径。现已证实，冠心病高危患者做介入治疗时应用糖蛋白Ⅱb/Ⅲa受体拮抗药可降低重大临床事件发生率；AMI早期应用此类药物有可能使部分病人尽早达到再通，克服介入治疗需运送或等候所造成的时间延迟；介入治疗前达到再灌注最大限度保护心功能，提高疗效；此外，应用糖蛋白Ⅱb/Ⅲa受体拮抗药可降低介入术后的缺血事件。因此，有学者提出促进性经皮冠脉成形术(facilitated PCI)的概念，即通过联合使用糖蛋白Ⅱb/Ⅲa受体拮抗药和PCI，以达到最佳疗效。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;抗凝药物多选用肝素。普通肝素静脉用法为500～1000U/h，3～5天，凝血时间应保持在正常值的1～1.5倍。由于普通肝素用药繁琐，且出血的发生率高，近年来逐渐被低分子量肝素所取代。低分子肝素通过与普通肝素相同的高亲和力戊糖序列与抗凝血酶Ⅲ结合，发挥巨大的抗凝作用。与普通肝素相比，低分子量肝素具有较多的长处：抗凝作用更强；生物利用度高；血浆清除率低；半衰期长；对抗凝药物反应的个体差异小；用药简便。此外，由于它与Von Willebrand因子的亲和力较小，增强血管通透性的能力和对血小板功能的影响也较普通肝素小，故其出血和血小板减少发生率也低。由于其半衰期较长、体重调整剂量时可预测抗凝效果，故每天只需皮下注射1次，每次0.3m1左右，无需实验室指标监测。5～7天为一疗程。有报道称，延长疗程不仅不能使患者受益，还会增加出血的危险性。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;5.限制梗死面积及早期再灌注治疗</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)硝酸酯类的应用：硝酸酯类可扩张动、静脉血管，降低心脏前后负荷，降低心肌耗氧量；同时，它还可以扩张冠状动脉，改善心肌供血，改善侧支循环以及有一定的抗血小板聚集作用等。因而对AMI病人，硝酸酯类可缓解疼痛，减少缺血和梗死面积，减少机械性并发症的发生。早期静脉给药具有重要意义。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;硝酸甘油是最常用的硝酸酯类药物，发病后可先含服0.3～0.6mg，继以静脉点滴，先从5～10μg/min，直至平均压下降10%(但不低于80mmHg)，高血压病人可下降30%(但不低于140/90mmHg)；心率增快在10次/min之内。静脉用药3～4天后可改为长效硝酸酯类口服。静脉用药也可选用硝酸异山梨酯(消心痛)静脉点滴。下壁和右室MI或血容量不足时，硝酸甘油易导致血压下降和反射性心动过速，应慎用或调整血容量后才用。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(2)β受体阻滞药：β受体阻滞药治疗AMI的效应可分成两个方面：即刻效应(指在梗死早期用药)和远期效应(指二级预防)。AMI后早期予以β受体阻滞药治疗可缓解疼痛及减少镇痛药的应用，并能限制梗死面积，减少梗死并发症的产生。此外，还可使其住院期间病死率、非致死性再梗死和非致死性心脏骤停的发生率明显减少。研究表明，AMI第1天使用β受体阻滞药做早期治疗可减少心脏破裂和心电，机械分离的发生。由于β受体阻滞药的抗心律失常作用(预防心源性死亡)和预防再梗死作用，故能明显降低AMI的远期病死率。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;高血流动力状态的病人(如窦性心动过速、无心衰或支气管痉挛表现的高血压)和MI发病4h内就诊的病人，不论是否采用溶栓治疗都适合应用β阻滞药治疗。如MI合并持续的或再发性缺血性胸痛、进行性或反复血清酶升高(提示梗死面积扩展)、梗死后早期的心动过速等，也是选用β受体阻滞药治疗的指征。只要无禁忌证存在，AMI病人应尽早使用β受体阻滞药，并继以长期治疗。虽然拮抗交感神经对心脏的刺激可诱发隐性心力衰竭患者的肺水肿，但通常AMI病人使用这类药物时仅引起肺毛细血管楔压的轻度改变。如选用的病人合适，充血性心力衰竭或完全性心脏传导阻滞的发生率仅为3%，心源性休克的发生率约为2%。如AMI患者合并有中至重度的心衰、传导阻滞或心动过缓、严重慢性阻塞性肺部疾患等则应停用或禁用β受体阻滞药。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;由于β受体阻滞药降低AMI病死率与减慢心率有关，故应选择无内在拟交感神经作用的制剂。临床研究表明，有内在拟交感神经作用的β受体阻滞药对AMI的即刻效应不仅有限，且在其二级预防中具有不利影响，故对于AMI的治疗，不选用具有内在拟交感神经作用的β受体阻滞药。美托洛尔和阿替洛尔因选择作用于心脏，不增加周围血管阻力和影响后负荷，且不增加支气管阻力，故临床上较常选用。为挽救缺血心肌，静脉注射能更快发挥作用，大约在15s内起最大作用。美托洛尔静脉注射5mg，每5分钟间隔，再予用1～2次，共15mg(参考剂量，应通过实践掌握合适剂量)，继以口服每6小时25～50mg；阿替洛尔静脉注射5mg(参考剂量)，继以口服6.25～25mg，1～2次/d。这两种药物均应根据心率和血压调整剂量。也可试用半衰期极短的艾司洛尔以了解患者对β受体阻滞药的耐受性。美托洛尔急性心肌梗死试验(MIAMI)发现合并糖尿病的患者发病时心率较快，获得的效果最明显，病死率在治疗组和对照组分别为7.8%和15.2%。lSIS-I协作研究发现，阿替洛尔静脉注射因能减慢心率、降低心肌收缩力、减少对急死坏死心肌的冲击应力而明显减少了心脏破裂的发生率。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(3)血管紧张素转化酶抑制药(ACEI)：ACEI是治疗AMI的重要药物。它在心室重建、改善血流动力学及治疗心力衰竭等方面均具有较好的作用。它不仅能降低住院期病死率，而且显著减少充血性心力衰竭的发生。AMI后长期服用ACEI，还可减少心肌再梗死和冠脉搭桥手术的需要，提高远期存活率。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;ACEI降低AMI病人病死率的效应，与阿司匹林和β受体阻滞药起相加作用。由于AMI病死率及病残率的降低为几种药物的共同结果，ACEI的疗效仅占其中的一部分，故它不能替代其他有效的药物，而是作为一种辅助用药。在服用阿司匹林，开始再灌注治疗方案并给予合适的病人用β受体阻滞药后，全部病人均应考虑使用ACEI治疗。对高危AMI病人，如老年人、前壁MI、既往有MI、病情在KillipⅡ级以上以及虽无临床症状，但检查发现有左室整体、心功能减退表现的病人等，应终身服用ACEI。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;ACEI的主要禁忌证包括：妊娠、过敏和前负荷适当时的低血压。副作用有：低血压(尤其发生在首次服药后)，长期服药可引起严重咳嗽，血管性水肿较少见。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(4)钙拮抗药：尽管实验和临床研究证明钙拮抗剂具有抗缺血功能，但无证据显示其对降低MI病死率和改善长期预后有任何益处。甚至有研究发现，短效的硝苯地平并不能有效地缩小MI范围或防止MI的扩展和控制缺血的再发，且有使AMI病死率升高的趋势。在AMI急性期使用维拉帕米(异搏定)和地尔硫卓(硫氮唑酮)虽可控制室上性心律失常，但却没有减少梗死范围的效果。有研究认为，维拉帕米(异搏定)和地尔硫卓(硫氮唑酮)的早期使用有防止再梗死的益处，但仍缺乏足够的资料。目前，有许多学者提议：在治疗AMI时不宜常规使用钙拮抗药。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (5)镁：AMI时，儿茶酚胺诱发脂肪分解，自由脂肪释放。脂肪细胞内自由镁与自由脂肪酸形成皂，因而可利用的镁短缺，加上病人的心肌及尿中镁丢失增多，使机体对镁的需求量增加。镁离子作为一种重要的辅助因子，参与细胞内300多种酶的活动，并对维持线粒体功能及能量产生、维持跨膜离子梯度、控制细胞体积、维持静息时膜电位起重要的作用。MI早期镁的缺乏可引起多种心律失常。有研究证明，在AMI早期补充镁不仅可防治心律失常，且可减少MI范围，预防心肌再灌注损伤引起的心肌顿抑。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;对所有收治的AMI病人均应检测血清镁浓度。补镁后血清镁浓度应维持在1.0mmol/L或更高。早期给予镁剂治疗(最好在胸痛出现后6h内)对于高危病人，尤其是老年患者或不适于再灌注治疗的患者，有一定的益处。对于无并发症、无电解质缺乏的AMI患者，若补镁的时间过晚(＞6h)，则没有什么益处。收缩压如低于80～90mmHg的患者，不能使用镁制剂；肾功能衰竭者，由于镁不能正常排出，也不在使用镁范围之内。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(6)早期再灌注治疗：冠心病患者狭窄血管内不稳定斑块的破裂，产生与梗死相关的冠状动脉完全性闭塞，虽然有些AMI病人能自发地再灌注，多数病人的冠状动脉血栓性闭塞持久存在，接着发生心肌坏死，从而产生左室扩张、泵功能衰竭及心电不稳定，最终可引起死亡。早期再灌注可缩短冠状动脉闭塞时间，减少左室功能减退和扩张，减少AMI病人发生泵衰竭或急性室性快速性心律失常的可能性。晚期再灌注(冠状动脉闭塞发作6h后恢复再灌注)对梗死愈合过程以及减少左室重构、降低泵功能异常和电不稳定性的发生，都产生有益的作用。再灌注治疗是当代AMI治疗的重大进展，使AMI的住院病死率进一步下降至10%左右，极大地改善了患者长期预后及生活质量。AMI后的早期再灌注治疗包括以下3种：溶栓治疗、急诊经皮冠状动脉腔内成形术(急诊PCI)和急诊冠状动脉搭桥术(急诊CABG)。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ①溶栓治疗：由于绝大多数AMI是由冠状动脉内血栓形成引起，并且在冠脉阻塞初期，心肌坏死的范围并不固定，迅速的血管再通会使受损心肌得到挽救。大规模临床研究已证实，AMI发病早期进行溶栓治疗，可使血栓溶解，梗死血管再通，从而挽救濒死心肌，缩小梗死范围，改善心功能，使AMI病死率显著下降。因此，对有溶栓适应证者应立即给予溶栓治疗。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ②急诊冠脉介入治疗(PCI)：急诊PCI可使梗死相关的血管迅速再通并能消除固有的狭窄，也可用于溶栓失败或溶栓成功后遗留的严重狭窄病变。没有溶栓治疗的出血危险是急诊PCI的另一重要优点。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ③急诊CABG：急诊PCI是实现早期再灌注的方法之一。这些年来由于采用心脏停搏、低温保护心肌等技术进行心内手术以及手术操作已有很大的改进，AMI施行再灌注手术的短期和长期病死率均明显降低。在有经验的医院，手术后的住院死亡率大约为2%；10年病死率为25%。如能在急性发病的最初4～6h施行手术，则濒死心肌的抢救可获得最大的成功。但由于多数患者是院外发病而不能及时到达医院，且临床检查、冠脉造影、术前准备等需花费许多时间，故目前尚不能将其作为AMI的常规治疗方法。如AMI患者出现下述指征可考虑行急诊CABG：施行了溶栓治疗或PCI后仍有持续的或反复的胸痛；冠脉造影显示高危冠状动脉解剖病变(如左主干病变)；有MI并发症如室间隔穿孔或乳头肌功能不全引起严重的二尖瓣反流。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;6.增加侧支循环的治疗&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;近年来，基础和临床研究已证明，心肌缺血和坏死可促使冠状动脉侧支循环的形成。有动物实验证明，某些血管形成因子如成纤维细胞生长因子、血管内皮生长因子等可显著促进MI后侧支循环的形成，但尚待临床上进一步研究。有研究认为，肝素是成纤维细胞生长因子的低亲和力受体，肝素治疗MI的部分作用与其增加侧支循环的作用有关。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;7.并发症及其治疗&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;AMI的常见并发症有：心律失常、心力衰竭、心源性休克、乳头肌功能不全和断裂、室间隔穿孔和心室游离壁破裂、室壁瘤形成、血栓形成与栓塞以及梗死后综合征等。及时诊断和治疗并发症是降低住院病死率及改善预后的重要环节之一。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(1)心律失常：治疗这些心律失常不仅包括抗心律失常药物的应用，而且要注意纠正血浆电解质浓度异常、酸碱平衡的失调、低氧血症、贫血和洋地黄中毒等。而且，必须治疗心包炎、肺栓塞、肺炎或其他感染等。AMI的心律失常若引起明显的血流动力学改变、心肌耗氧量增加或恶性心律失常如室速、室颤和心脏骤停等则应迅速积极治疗。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ①快速型室上性心律失常：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;A.窦性心动过速：窦性心动过速的治疗首先应针对诱发因素给予镇静、镇痛、补充血容量等。对无明显心功能不全者，可给予β受体阻滞药降低心率，多选用美托洛尔或阿替洛尔。如窦速是继发于心功能不全，治疗上应以处理心力衰竭(如给予利尿药或血管扩张药等，发病最初1～2天不宜用洋地黄制剂)为主。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; B.房性过早搏动：房早和其他的房性快速性心律失常多由左心室舒张末压升高导致继发性心房扩张或心包炎合并心房外膜炎引起。其本身不会增加病死率，心输出量亦不受影响，一般无需特殊治疗。需注意的是，频发房早常提示过度的自主神经刺激或心力衰竭的存在，后者可通过体检、胸片和超声检查发现。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; C.阵发性室上性心动过速：其发生率低于10%。因其心室率太快，一旦发生，则需紧急处理。通过按压颈动脉窦提高迷走神经张力可恢复窦性心律。如此法无效，可试用药物来纠正：如患者没有低血压，静脉注射腺苷常迅速有效、且安全；用药前无明显心衰者，静脉注射美托洛尔(美多心安)(5～10mg)或维拉帕米(5～10mg)都是合适的治疗方法。有心衰和低血压的患者可用直流电击复律或经静脉心房快速调搏。虽然洋地黄甙可增加迷走神经张力从而终止心动过速，但起效时间较迟。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; D.心房扑动和心房颤动：治疗选择取决于临床病情及心室率的快慢。首先应注意处理诱发心律失常的基础病因，通常是心力衰竭，然后才决定是否应用抗心律失常治疗以恢复和维持窦性节律。心室率不快而无症状者一般无需特殊处理。如心室率较快，但没有明显血流动力学异常及左室功能不全者，首先应降低心室率，理想的方法是用β受体阻滞药，即美托洛尔5mg缓慢静脉注射，如病情需要5～10s重复静注1次，总量一般不超过10mg，继之以口服，12.5～25mg，2次/d；也可选用短效的艾司洛尔，10～20mg静脉注射；胺碘酮不仅可减慢心室率，还可纠颤、扩张冠状动脉及改善冠脉循环，也可作为治疗AMI合并房扑、房颤的首选药物，其静脉用量和用法见室性心动过速治疗；维拉帕米因能迅速降低心室率，故也是重要的替代药物，可5～10mg缓慢静脉注射，使用时应注意其负性肌力作用。若房扑、房颤并有左室功能不全者，洋地黄是降低心室率的首选药物。一般常用毛花苷C(西地兰)0.2～0.4mg静脉注射，心室率控制后，可改用地高辛0.125～0.25mg/d口服维持。由于洋地黄制剂起效较迟，且其增强迷走神经张力和延长房室结不应期的效应常被急性期常伴有的交感神经兴奋性增高所减弱，应用洋地黄时加小量β受体阻滞药分次静脉注射(即使有轻度心衰，也可小心使用)，能延长房室结的绝对不应期，常能有效地降低心室率。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 在心室率较快、药物治疗无效、影响到心功能或引起血流动力学恶化时宜选用同步电复律治疗。治疗房扑时开始可用25～50J，而治疗房颤时开始可用50～100J，若首次电击失败，可逐渐增加能量。复律后可用奎尼丁维持窦性心律。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;E.加速性交界区自主心律：它常出现在AMI发病后48h内，典型的是逐渐出现和逐渐终止，心率一般为70～130次/min，多为一过性，一般无需特殊处理。加速性交界区自主心律常出现于急性下壁心肌梗死伴窦房结功能低下时，如出现于前壁MI时则提示预后较差。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ②快速型室性心律失常：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;A.室性期前收缩：曾认为，以下室性期前收缩是心室颤动的先兆：频发室早(＞5次/min)；多源性室早；RonT型室早；成对或连续的室早。现已清楚，所谓“先兆”性室早在发生心室颤动和不发生心室颤动的患者中出现机会相同。原发性心室颤动可出现于事先并无“先兆”性室早患者，甚至可发生在“先兆”性室早已经控制的病人；而有“先兆”性室早者，也多没有心室颤动的发生。在缺乏心肌应激性时，这种“先兆”性室早可以是无害的。所以，用心电图上的所谓“先兆”性室早来预测心室颤动的发生危险，其敏感性和特异性是很低的。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;当AMI患者出现室性期前收缩时，首先应确定患者是否存在反复的心肌缺血、电解质紊乱或代谢性异常，并作相应处理。在AMI早期并有窦性心动过速时，见到的室性期前收缩常由拟交感肾上腺素能刺激增加诱发，可用β受体阻滞药治疗。而且，在AMI早期应用β受体阻滞药能有效地减少心室颤动的发生率。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;B.加速性室性自主心率：多数发作持续时间短暂，可被基础心率加速抑制，一般不影响预后。治疗上可不作特殊处理，如少数加速性室性自主心率引起明显的血流动力学异常或反复心绞痛发作时，可用阿托品提高窦性节律或利多卡因消除心室异位起搏点。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;C.室性心动过速：AMI中室速的发生率约为10%～40%，多发生在发病初的24h内，晚期发生的室速多见于有室壁瘤或左室功能不全的患者。持续性室速在心电图上有单形性和多形性两种表现，其重要性在于：前者可能是由心肌瘢痕引起，需积极处理以防再发；后者用改善心肌供血的治疗措施有效。持续性室速能明显增加住院期病死率和远期病死率。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;由于低血钾能增加室速的发生率，AMI患者入院后应立即检查有无低血钾，并及时给予补钾、补镁的治疗。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;持续性室速常引起明显的血流动力学异常，并可导致室颤，因此，应迅速消除。当心室率很快(＞150次/min)和(或)血压呈下降趋势，可先用拳重击心前区，如室速未转复，应迅速选用直流电击复律。快速多形性室速可选择200J的非同步电击除颤；单形性室速用100J甚至更低的能量同步除颤即可。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;若血流动力学指标相对稳定，心室率也不快(＜150次/min)，可首选药物治疗。常用的药物是利多卡因、胺碘酮和普罗帕酮(心律平)。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;利多卡因首剂为50～75mg静脉注射，无效时5～10min可重复50mg，室速控制后，以1mg/min的速度静脉点滴维持。如控制不满意，可加大至3mg/min。值得注意的是，利多卡因不仅在心衰和低血压患者的代谢缓慢，而且由于其他药物如普萘洛尔(心得安)可使肝内血流减少，故也可使利多卡因的代谢延缓。所以，应仔细调整给药速度以避免药物毒性。利多卡因的毒性主要表现在中枢神经系统的活动亢进、室内和房室传导阻滞以及心肌收缩力减弱。一般连续滴注3h后血管外池中药物饱和。尽管此时静脉给药速度不变，血药浓度还会上升，此时应考虑调低给药速度。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;几项较大规模的临床试验证明，胺碘酮不仅能有效地控制AMI后的室性心律失常，还能降低病死率，故这几年胺碘酮在AMI并发快速性心律失常的治疗中应用较为普遍。胺碘酮的常用剂量为首剂50mg静脉注射，然后以0.75～1.0mg/min静脉维持，用药2～3天后改为口服制剂。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;普罗帕酮(心律平)首剂为35～7mg，静脉注射无效时10～15s可重复1次，室速控制后，以1～1.5mg/min速度维持。口服维持量为150mg/次，3～4次/d。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;D.心室颤动：AMI室颤的发生率约为7%～11%。它可分为原发性和继发性两种。原发性室颤发生突然，常难以预料，大多数均发生在AMI起病的12h内，病人可没有或仅有轻微的心功能不全表现。在AMI起病48h后发生的心室颤动称为继发性室颤，它常常是左心衰竭和心源性休克进行性恶化的最终结果。病人如表现有广泛前壁AMI、并发有室内传导阻滞、持续性窦性心动过速、心房扑动或病程早期心房颤动等，均为继发性室颤的高危病人。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;电击除颤仍是公认的最有效的治疗措施，进行越早，成功率越高。由于AMI心脏骤停90%由室颤所致，对突发神志失常、没有大血管搏动且抽搐的病人可立即进行盲目电除颤以争取时间。日电击除颤的能量首次为200～300J。若室颤波细小，可给予肾上腺素0.5～1.0mg，使室颤波变大，将有利于除颤成功。有报道，静脉注射托西溴苄铵(溴苄胺)250mg后，也可提高除颤成功率。当心脏代谢环境处于严重或长期的低氧血症、酸中毒、电解质紊乱或洋地黄中毒时，室颤会迅速复发。此时持续的心肺复苏、快速的药物应用和人工通气设备能纠正上述异常，并迅速重复电击除颤可能会有效。再次除颤能量可加大到300～400J。除颤同时及成功后，可用利多卡因维持一段时间以巩固心律的恢复。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;③缓慢型心律失常：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; A.窦性心动过缓、窦房阻滞和窦性静止：在发病6h内出现的窦性心动过缓多半与迷走神经张力升高有关。而在6h以后出现，则常是窦房结和心房缺血引起的窦房结功能低下所致。窦性心动过缓常为一过性，少数患者可遗留持续性窦性心动过缓。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 单纯窦性心动过缓，不伴发低血压或室性期前收缩，应先予观察而不必特殊处理。如心率很慢(＜40～50次/min)和(或)伴有低血压，则应给予积极治疗。药物治疗常选用阿托品、异丙肾上腺素。对严重的窦性心动过缓而不伴血压低者，可静脉注射阿托品0.5～1.0mg，如30min内无效，可重复1～2次，使心率增加至60次/min，通常能消除由窦性心动过缓引起的室性期前收缩。如窦性心动过缓伴低血压，不论其心率为多少，均应使用阿托品，它常能恢复动脉血压和冠状动脉灌注，并可使升高的ST段回落。若阿托品不能显著增加心率，可将异丙肾上腺素0.5mg加入葡萄糖中缓慢静脉滴注，使心率维持在60～70次/min。患者有症状和(或)低血压，且药物治疗无效，是应用心脏起搏器治疗的指征。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 窦房传导阻滞和窦性静止也可见于AMI的病人。其治疗与窦性心动过缓相似。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; B.房室传导阻滞和室内传导阻滞：缺血性损伤能够造成房室或室内传导系统任何水平的阻滞，因而可出现房室、束支和室内传导阻滞。各种传导阻滞可同时合并存在。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 一度房室传导阻滞在AMI的发生率不到15%。它一般不需特殊处理。如阻滞是因迷走神经张力升高所致，并伴有窦性心动过缓和低血压，给予阿托品可能有效。β受体阻滞药延长房室传导，故可引起一度房室传导阻滞。由于在AMI情况下停用这类药物有加重心肌缺血和损伤的可能，除非患者的PR间期大于0.24s，否则不能减低β受体阻滞药的剂量。持续心电监测对可能进展为较高度房室传导阻滞的患者是非常重要的。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 二度房室传导阻滞在AMI时的发生率不到10%，其中，90%为二度Ⅰ型房室传导阻滞。二度Ⅰ型传导阻滞的特点是：通常发生在房室结内；QRS波形一般较窄；多继发于心肌缺血性损伤；较多发生于下壁MI；持续时间不长，MI后持续一般不超过72h；很少发展成完全性房室传导阻滞。二度Ⅰ型房室传导阻滞不影响预后，如其心室率不低于50次/min，且无心室应激性增高、心力衰竭或束支阻滞时，一般不需特殊治疗。必要时可选择阿托品、异丙肾上腺素等。这类患者几乎均不需要临时起搏。二度Ⅱ型房室传导阻滞在AMI时少见，仅占二度房室传导阻滞的10%。其特点为：阻滞部位多在希氏束以下；伴宽大QRS波形；多为三束支阻滞；较常见于前壁MI时；常突然转变成完全性房室传导阻滞。这类患者常需起搏治疗。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 在AMI时有5%～15%的患者可发生完全性房室传导阻滞，其预后取决于传导系统阻滞的解剖部位和梗死面积的大小。下壁MI患者的完全性房室传导阻滞通常由房室结内或结上损害引起，多由一度或二度Ⅰ型房室传导阻滞进展而来；逸搏节律一般较稳定而不会发生心脏停搏，多为交界性逸搏节律，心室率超过40次/min，70%的病人心电图上QRS波形不宽，其阻滞持续时间不长；无右心室梗死者的病死率约为15%，而有右心室梗死者的病死率可达30%以上。前壁MI患者的完全性房室传导阻滞常在MI后12～24h内突然出现，阻滞部位在希氏束以下，常先有室内阻滞和二度Ⅱ型房室传导阻滞；其逸搏节律不稳定，常小于40次/min，伴宽QRS波群；心室停搏可很快突然发生；此类病人的病死率极高，约70%～80%。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;AMI患者中室内传导阻滞(即浦肯野纤维系统的三个分支中的一支或多支阻滞)的发生率约为5%～10%。右束支和左后分支有来自左前降支和右冠状动脉的双重血液供应，而左前分支由左前降支起始部的间隔支供血。右束支常引起完全性传导阻滞，而单一的左前或左后分支进展为完全性传导阻滞少见。AMI时有束支阻滞者的病死率显著升高，尽管左前分支阻滞的病死率也增高，但明显要好于其他分支阻滞者。室内传导阻滞(尤其是右束支传导阻滞)的AMI患者的高病死率与心力衰竭及大面积MI有关，而与传导障碍的关系较小。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;AMI合并传导阻滞除了可采用阿托品、异丙肾上腺素等药物治疗外，及时安装临时心脏起搏器也是一个常用的重要手段。起搏可避免发生暂时性低血压，减少梗死范围扩大、降低诱发恶性心律失常的危险，防止心脏停搏。尽管目前对这类缓慢性心律失常治疗中起搏器的使用指征尚存有一些争论，但一般认为，有以下情况可考虑安装心脏起搏器：严重的心动过缓经药物治疗无效且有低血压、心绞痛、心衰或晕厥者；持续较长时间的窦性停搏；二度Ⅱ型房室传导阻滞或三度房室传导阻滞；左束支传导阻滞及右束支传导阻滞伴左前分支或左后分支阻滞；心脏停搏。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(2)心力衰竭和心源性休克：AMI病人可只有收缩功能不全或同时有收缩功能不全和舒张功能不全。左室舒张功能不全导致肺静脉高压和肺充血，而收缩功能不全主要引起心输出量和射血分数下降。左室功能不全的程度是判断AMI病死率的重要预测指标。AMI后的心力衰竭和心源性休克又称泵衰竭，它是当今AMI死亡的主要原因。因此，有效地防治泵衰竭是进一步降低其病死率的关键。AMI后，由于大量心肌坏死可导致心室收缩和舒张功能障碍，AMI的并发症如乳头肌功能不全或断裂、室间隔穿孔、心室游离壁破裂以及梗死的扩展、室壁瘤形成、左室重构等均可导致和加重左心功能不全。此外，AMI的泵衰竭也常被心律失常、电解质紊乱、酸碱平衡失调、低氧血症和使用负性肌力药物所诱发和加重。决定心脏功能状态的最重要因素是坏死和缺血损伤心肌面积的大小。当梗死范围占整个左心室的20%时，即可引起心力衰竭；大于40%时，就常会造成心源性休克。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ①AMI时心功能状态的临床分级和血流动力学分型：Killip根据临床查体所见将AMI病人心功能状态的临床分级和Forrester的血流动力学分型见表4。</p><p style=\"text-align:center\"><img height=\"211\" src=\"http://pmmp.cnki.net/cdd/img/13.4.1%20%E6%80%A5%E6%80%A7%E5%BF%83%E8%82%8C%E6%A2%97%E6%AD%BB.files/image011.jpg\" width=\"553\"/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;这两种分类方法相互之间有重叠，但在临床上非常有用。Killip的临床分级简单而实用，在临床工作中已广泛采用；ForTester的血流动力学分型虽有一定的创伤性，但这些血流动力学指标可供临床医生制订更合理的治疗方案。创伤性血流动力学监测对有严重左心衰竭的病人治疗是必需的。血流动力学治疗的目标就是维持左室功能和血压，保护受损害的心肌。由于达到这些目标的措施有时会产生相反效果，因此，在选择最适当的介入性治疗措施时，要根据全面的血流动力学监测资料和临床情况。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;②心力衰竭的治疗：对AMI并发泵衰竭的病人应按其临床表现和血流动力学状况的分类制订相应的治疗。一般治疗包括吸氧、注射吗啡、解除支气管痉挛、消除诱发因素以及对AMI并发症的处理等。然后应根据不同情况给予利尿药、血管扩张药、正性肌力药物、扩容、血管再灌注治疗等。心源性休克应及时应用主动脉内球囊反搏。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;A.一般治疗：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.吸氧：泵衰竭时，由于肺淤血、肺活量减少以及麻醉镇痛药抑制呼吸，均可导致不同程度的低氧血症。缺氧可使已处于梗死边缘的心肌进一步损害，加重心力衰竭而导致恶性循环。因此，应给予吸氧。吸氧的方式通常使用鼻导管和面罩吸氧，经吸氧后PaO2若仍不能达到60mmHg以上者，需考虑气管插管和辅助呼吸。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;b.吗啡的应用：吗啡可以镇静、镇痛、扩张小支气管和周围血管，减轻心脏前后负荷，特别对急性肺水肿引起的呼吸困难尤为有效。常用剂量为3～5mg，静脉注射。用此药时，也要注意它对呼吸的抑制作用。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; c.解除支气管痉挛：当病人出现哮鸣音时，应选用主要作用于β2-受体的支气管扩张剂，如异丙肾上腺素(喘息定)等，以解除气道痉挛。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;d.消除诱因及AMI并发症：如治疗心律失常、纠正电解质紊乱及酸碱平衡失调。AMI的并发症如室间隔穿孔、乳头肌断裂等均应积极处理。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;B.急性肺水肿的治疗：急性肺水肿不伴休克者属较重的KillipⅢ级和ForresterⅡ型患者。其治疗原则是：采取有效措施维持适当的血氧浓度，迅速降低PCWP，缓解肺水肿症状，减轻心脏前后负荷，保证心肌灌注，有效地去除心衰的诱发因素。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; a.利尿药：AMI并发心衰的患者常对利尿药如呋塞米有良好的反应。利尿药能使PCWP降低，从而减轻呼吸困难；它通过减少左室舒张末期容量，降低左室壁张力而使心肌耗氧减少，结果使心肌收缩力改善，射血分数、每搏量和心输出量增加；升高的左室充盈压降低导致冠状动脉灌注阻力降低，结果使心肌氧供增加；肺淤血的减轻使动脉血氧饱和度得以改善。此外，利尿药对容量血管有一定的扩张作用，在利尿作用发挥前即已产生有益的血流动力学效果。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;常用的利尿药为呋塞米，10～40mg，静脉注射，如有需要，可间隔3～4h重复使用。呋塞米在静脉给药后5s见效，30min作用达高峰，持续约2h。用药时注意，利尿勿过度，避免造成低血压和心排血量的下降。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; b.血管扩张剂的应用：AMI患者使用血管扩张剂的指征如下：利尿药治疗无效的心衰；高血压；二尖瓣反流；室间隔穿孔。这些病人用血管扩张剂治疗可使其静、动脉血管扩张，回心血流量减少和血管阻力下降，从而减轻了心脏的前后负荷，降低了PCWP和心肌氧耗量，增加了心输出量，改善了心肌供血。对泵衰竭的病人使用血管扩张剂，作血流动力学监测是非常重要的。心脏做功和能量改善需要三方面因素同时作用：左室后负荷减少；为了维持足够的冠状动脉灌注，避免低血压；避免左室充盈压过低使心输出量减少。在AMI发病前血压正常者，PCWP应该维持在约20mmHg，动脉血压维持在90/60mmHg以上。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 血管扩张剂治疗对AMI并发二尖瓣反流或室间隔穿孔时最尤为适用。由于AMI患者的病况不稳定，药物剂量需仔细调节，开始最好选用能静脉使用的短效药物，如硝酸甘油、硝普钠等，在血流动力学稳定后逐渐减量至停用，改为口服制剂治疗，首选ACEI。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 虽然硝酸甘油和硝普钠都能使血压、体循环阻力和心率下降，但硝酸甘油使心率、收缩压乘积和左室充盈压下降更为突出，且很少引起“冠状动脉窃血”现象。尽管硝酸甘油使左室充盈压下降，但对严重左心衰病人，其心输出量仍然是增加的。硝酸甘油开始用10～15μg/min静脉滴注，每5分钟可增加10μg/min，直到：血流动力学改善或胸痛缓解；收缩压下降到90mmHg，或下降幅度大于15mmHg，有持续性心力衰竭的AMI病人应长期使用ACEI，此药可减轻心室负荷，减少MI后的心室重构，减少心衰的进展和死亡危险。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; d.正性肌力药物：对AMI患者来说，正性肌力药物是有用的，但不作为首选用药。治疗心衰最有效方法首先是降低前负荷，然后，如有可能再降低后负荷。正性肌力药物可增加非缺血心肌的收缩力使心输出量增加，左室收缩期残留血量减少，降低左室舒张末压，如使用得当，血流动力学效应的改善可抵消由于心肌收缩力增强所增加的心肌耗氧量。常用的药物有洋地黄、β受体兴奋剂类和磷酸二酯酶抑制剂。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;洋地黄：洋地黄能增加心肌收缩力和正常心肌的氧耗量，但在AMI并心力衰竭早期，由于缺血心肌对洋地黄无反应，或循环血液中神经系统释放的儿茶酚胺已对正常心肌的收缩力给以最大的刺激，故洋地黄并不能立即改善心室功能，只有在使用数天后，才显现其强心效果。此外，在MI发作后最初几小时内，尤其有低血钾时，洋地黄会增加心律失常的发生率。所以，在MI后24h内多不主张选用洋地黄类。对明显肺水肿或心源性休克病人，洋地黄的正性肌力作用太弱，也不能作为主要的心脏兴奋剂。因此，洋地黄只能用作血管扩张剂的辅助治疗药物，用于心衰同时并快速性室上性心律失常或经利尿药和ACEI治疗无效的心力衰竭病人。常用药物为毛花苷C(西地兰)，O.2～0.4mg静脉注射。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; β受体激动药：尽管用了利尿药治疗，如果AMI病人的左心衰竭仍很严重，CI＜2L/(min·<span style=\"font-family: &quot;??&quot;; letter-spacing: 1.33333px; background-color: rgb(255, 255, 255);\">m</span><sup style=\"font-family: &quot;??&quot;; letter-spacing: 1.33333px; white-space: normal; background-color: rgb(255, 255, 255);\">2</sup>)，PCWP适当(18～24mmHg)或＞24mmHg，就有指征使用β受体激动药。常用药物有多巴胺和多巴酚丁胺。二者用于心输出量减少、左室充盈压增加、肺淤血和低血压的AMI病人非常有效。多巴胺是一种内源性儿茶酚胺，是去甲肾上腺素的前体，可作用于β1、α1和多巴胺受体，它对血管阻力和动脉压的作用是剂量依赖性的，剂量小于2μg/(kg·min)时，主要作用是减少肾脏、肠系膜和冠状血管床的阻力；剂量为2～5μg/(kg·min)时，则能增强心肌收缩力，增加心排血量而心率、外周阻力变化不大；剂量达5～10μg/(kg·min)时，会使血压、外周阻力和心率增加，肾血流量减少。治疗心衰的常用剂量为2～6μg/(kg·min)。多巴酚丁胺是人工合成的儿茶酚胺衍生物，主要作用于β1受体，正性肌力作用较强，对血压和心率影响较小，用于AMI病人，能改善从酶学指标评价的心肌梗死面积，对血压正常的心衰尤适用。常用剂量为2～10μg/(kg·min)。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;磷酸二酯酶抑制剂：常用药物有氨力农和米力农。二者属非儿茶酚胺、非糖甙类的磷酸二酯酶抑制剂，具有正性肌力和扩血管作用。此类药物应用于AMI病人的经验较少。有报道，磷酸二酯酶抑制剂对利尿药无效、血压正常的心衰病人有效，可使其心肌收缩力增加和后负荷降低，如氨力农用于AMI并发心衰时，能减少病人PCWP和体循环血管阻力，使心输出量增加。只有在剂量相对高时才加快心率。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; C.以单纯肺淤血为主要表现的心力衰竭：此型除常规的一般治疗外，常需应用利尿药和血管扩张剂。其选用方法同肺水肿的治疗。口服制剂常选用ACEI类药物。由于本型心功能不良的情况较轻，经上述治疗常可取得良好效果，很少需要使用正性肌力药物。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; E.不伴肺淤血的低血压状态：此型为ForresterⅢ型。临床表现为皮肤湿冷、尿少、血压低等。这种低血压状态并非是真正的心源性休克。常见原因有：迷走神经张力过高、低血容量和右室梗死。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.迷走神经张力过高：常见于下壁MI。迷走神经张力过高可导致周围血管扩张、心动过缓、心排血量减少等，出现低血压状态。治疗应给予阿托品1mg静脉注射，同时，应抬高下肢，促进静脉血回流。随着心率加快，这种低血压状态常可以逆转。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; b.低血容量：常由于AMI后出汗、呕吐、过度利尿等引起。治疗上通过补液，调整血容量，就可安全、迅速地使循环血压动力学得到改善。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 在临床上，上述两种情况常可合并存在。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; E.心源性休克：心源性休克是左心衰竭最严重的临床表现，属Killip分型Ⅳ级和Forrester分型Ⅳ型。大面积的心肌坏死或伴有机械并发症，常是AMI合并休克的主要原因。AMI并发心源性休克的病人多为年老、有MI史或心力衰竭史、或有前壁MI。病人在AMI过程中发生休克，通常意味着梗死扩展。病人的休克状态多是恶性循环的结果。冠状动脉阻塞导致心肌缺血，影响心肌收缩力和心室做功，因而依次减少了心房压力和冠状动脉灌注压，随即导致心肌缺血加重和坏死范围扩大，以致左室收缩功能不足以维持生命。心肌遭受缺血性损害的本质是进行性加重的，反映心肌损伤的特异酶浓度断续或进行性升高。恶性循环也包括低血容量性低血压。任何原因引起的低血压都会降低冠状动脉灌注血量，尤其是在闭塞的冠状动脉灌注区域，结果加重坏死。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;如AMI病人的收缩压持续＜80mmHg、CI＜1.8L/(min·<span style=\"font-family: &quot;??&quot;; letter-spacing: 1.33333px; background-color: rgb(255, 255, 255);\">m</span><sup style=\"font-family: &quot;??&quot;; letter-spacing: 1.33333px; white-space: normal; background-color: rgb(255, 255, 255);\">2</sup>)、PCWP＞18mmHg，则心源性休克的诊断即可成立。在诊断左室功能损害引起心源性休克时，必须排除机械性并发症，如二尖瓣反流、室间隔穿孔和室壁瘤等，其重要性在于这些并发症的主要治疗是立即外科手术。所以，给心源性休克病人做紧急的血流动力学测定、冠状动脉造影和超声心动图检查是很有必要的。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;治疗心源性休克除了前述的一般治疗外，还应采取如下措施：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;a.联合使用正性肌力药物和血管扩张剂：这样既可改善心脏做功，减轻肺淤血，增加心排血量，又可保证重要脏器的灌注，而且不增加血管阻力。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; b.纠正血容量不足：血容量的绝对或相对不足均可诱发或加重心源性休克，故应及时纠正，特别是在应用血管活性药物时。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; c.主动脉内球囊反搏(IABP)：AMI时出现机械性并发症或严重的左心衰引起心源性休克，经其他内科治疗无效时，就应使用IABP。将气囊导管从股动脉逆行送入降主动脉，用体外控制系统和心电图同步装置，在心室舒张期向气囊内充气30～40ml，在左室射血之前放出气体。气囊充气时，可提高舒张期冠状动脉灌注压，增加冠脉血流量；气囊放气时，降低左室后负荷，减少心肌耗氧，增加心排出量。有报道IABP可使心源性休克病人心排出量增加10%～40%，冠脉血流可增加30%。IABP在部分功能受损但仍存活的心肌以及AMI合并机械并发症，如二尖瓣反流、室间隔穿孔者受益最大。需注意的是，心源性休克病人的血流动力学改善常是暂时的，常出现“气囊依赖性”。单独IABP不能提高心源性休克病人的存活率，IABP与溶栓治疗、急诊PCI和(或)急诊CABG等再灌注疗法联合使用，则明显比单独使用效果为好，它可使休克患者的血流动力学稳定，为尽早行血管再通和外科治疗机械并发症赢得一定的时间，使休克抢救成功率明显提高。IABP的优点是施行迅速、操作简便、并发症少。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;d.血管再通治疗：单纯用药和使用IABP是暂时性应急措施，而只有早期急诊血管再通治疗可明显降低病死率。急诊血管再通治疗有冠脉内溶栓、急诊PCI和急诊CABG。外科手术治疗心源性休克，除了纠正机械性并发症外，还包括给闭塞的和严重狭窄的血管搭桥。这样，既纠正了异常的血流动力学，又能使缺血缓解，从而明显改善心功能。有报道，早期作PCI或CABG，可使心源性休克的病死率下降35%。所以，对心源性休克患者，应在药物和IABP治疗的同时，尽快施行血管再通治疗。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(3)急性乳头肌功能不全和断裂：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ①急性乳头肌功能不全：它是由乳头肌和邻近的左室肌缺血或梗死发展而来。由它引起的二尖瓣反流量多较小，故一般不导致严重的血流动力学异常。轻度二尖瓣反流患者可无任何症状，体检可于二尖瓣听诊区闻及收缩期反流性杂音。乳头肌缺血所致的反流可呈间断性，缺血缓解后可消失。此并发症的预后较好。治疗以内科为主，旨在减少反流量，增加前向排血量，尽快改善心肌的缺血状态。药物治疗对血压不低者首选血管扩张剂，视病情加以利尿药和(或)正性肌力药物等。如条件许可，尽早用溶栓治疗和(或)PCI进行再灌注治疗也至关重要。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ②乳头肌断裂：乳头肌部分或全部断裂虽较少见，但可产生严重的二尖瓣关闭不全，可致肺水肿、休克和死亡。左室有前外和后内两组乳头肌。前外乳头肌由左前降支的对角支和回旋支的缘支双重供血，后内乳头肌多由右冠状动脉单支供血，故临床上左室后内乳头肌断裂最常见，多由下壁MI所致。其次为左室前外乳头肌，常见于前、侧壁MI。右心室乳头肌断裂极为罕见，但能产生大量的三尖瓣反流和右心室衰竭。乳头肌断裂常发生在AMI后第1周。临床特点是：二尖瓣听诊区新近出现的全收缩期杂音及逐渐恶化的心衰、甚至心源性休克，动脉血压下降时，杂音可以减轻或消失。急诊超声心动图检查非常必要，它可及时发现由于部分或完全性乳头肌断裂而引起的二尖瓣反流，并有助于与室间隔穿孔的鉴别。对所有乳头肌断裂的病人均应考虑早期手术，手术治疗是最有效的，虽然内科用血管扩张剂、利尿药加IABP可稳定病情，但改善常是暂时性的。手术方式是二尖瓣成形或瓣膜置换术。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (4)室间隔穿孔和心室游离壁破裂：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ①室间隔穿孔：室间隔穿孔是AMI的一种严重并发症，其发生率约为1%～2%。穿孔部位常在间隔肌部，靠近心尖区并累及左心室壁。室间隔穿孔后即发生心室水平左至右的分流，分流量与穿孔面积成正比。穿孔多发生于AMI后第1周内，可在有AMI或无AMI症状的情况下发病，患者常突感胸痛加重、心悸、气促或不能平卧，约5%的患者迅速出现严重心衰以致心源性休克。查体可在胸骨左缘第三、四肋间闻及新的全收缩期杂音，半数可伴有震颤，常可出现颈静脉怒张、肝大及休克表现。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 超声心动图检查不但可明确诊断穿孔大小及部位，测定各心腔扩张程度、二尖瓣异常活动，还可发现有无室壁瘤形成，测定心脏功能等。左室造影可明确穿孔部位、大小、分流量，并可鉴别是否存在室壁瘤和二尖瓣关闭不全。冠脉造影可显示冠状动脉狭窄部位、程度等，为CABG创造条件。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 室间隔穿孔预后较差，一般保守治疗病死率超过80%。对分流量大且血流动力学不稳定者，应在给予药物治疗的同时，立即给予IABP支持治疗，并迅速行急诊外科修补术。对分流量小、病情稳定的患者，可尽可能延期至4～6周后再行择期手术治疗，此时病人处于稳定期，穿孔边缘也已充分纤维化，易于直接缝合或补片。室间隔修补术通常与CABG一起进行。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ②心室游离壁破裂：心室游离壁破裂是AMI少见但极严重的并发症，占AMI住院期病死率的10%以上。它在临床上具有如下特征：常发生在老年病人，女性发生率明显高于男性；高血压患者比血压正常者常见；左室破裂发生率高于右室7倍；通常累及冠状动脉左前降支的终末血供区域的心肌，即左室前壁或侧壁；其发生与相对大面积的透壁性MI有关，梗死面积至少占左室心肌的20%；多见于MI起病后的1～4天；最常见的病因是心室壁局部撕裂或夹层血肿穿破到心肌坏死区；通常发生在梗死范围扩大前，在心肌坏死软化区，有心肌变薄，心腔不成比例地扩张；很少发生在梗死区的中心部位，通常发生在正常心肌与梗死组织交界处；很少发生在增厚的心肌部位或有广泛侧支循环血管的区域；最常发生在无MI史的病人。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 左室游离壁破裂时，患者常表现为心前区撕裂样疼痛，任何镇痛药均不能缓解，随之血压下降或测不出，意识模糊或丧失。查体见颈静脉怒张，心界于短时间内扩大，听不到心音，有心包填塞的表现。心电图多表现为过缓型心律失常，如窦缓、房室传导阻滞、结性或室性逸搏等。心室游离壁破裂的病程经过变化很大，大多数患者常来不及抢救，多在数分钟内迅速死亡。也有的患者呈亚急性经过，其临床表现有恶心、低血压和像心包炎的心前区不适等。病人的存活率取决于对心室壁破裂的及时诊断和血流动力学状况。对亚急性起病者，应迅速行超声心动图确诊，补充血容量的同时迅速抽出心包积血，使心包压力降低，改善循环状态，为手术争取时间。心室游离壁破裂最重要的治疗方法是迅速进行外科修补。深圳市孙逸仙心血管医院曾在1999年底成功救治了一例AMI起病后3h发生左室前壁破裂的危重病人，当时诊断确立后，即对病人做了上述处理及IABP，并马上进行了急诊外科左心室壁修补和CABG，该病人一直存活至今。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;③假性室壁瘤：机化血栓和血肿与心包一起封住左室壁的破裂口时，心脏发生不完全性破裂，阻止了大量心包积血的发生。随着时间的推移，机化血栓区域和心包形成一个假性室壁瘤，可维持与左室心腔的交通。假性室壁瘤的壁是由机化的血肿和心包组成，缺乏原来的心肌壁。假性室壁瘤可相当大，甚至相当于真的心室腔，通过狭窄的颈部与心腔相通。假性室壁瘤常含有大量陈旧和新鲜的血栓，血栓的外表部分可脱落，引起动脉栓塞。假性室壁瘤在心室每次收缩时容纳部分血液，使心射血功能下降。这类病人常有亚急性心脏破裂的临床经过。超声心动图和心血管造影(如病人条件许可)有助于诊断。由于假性室壁瘤易发生破裂，一经诊断，应及时外科手术。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(5)左室室壁瘤：它又称真性室壁瘤，是指梗死区坏死的心室壁呈瘤样向外膨出，在收缩期更为明显。它是AMI较常见的并发症之一，发生率约为5%～10%。其产生多由于相关血管完全阻塞而又缺乏侧支循环引起。室壁瘤多位于左室前侧壁和心尖部，约占80%。室壁瘤按病理可分为急性和慢性两种。急性室壁瘤是由于MI早期急性心肌坏死部位的心肌收缩力降低或丧失，正常心室壁的心肌收缩代偿性增强，致使收缩期坏死的心肌室壁反而向外膨出。透壁性MI后24h即可形成急性室壁瘤。慢性室壁瘤多见于MI愈合期，瘤壁为致密的薄的纤维瘢痕，故很少会发生破裂。室壁瘤的主要危害有：由于室壁瘤向外膨出，心腔结构改变，室壁矛盾运动等使心脏射血功能下降，造成心功能不全；室壁瘤周围岛状存活的心肌是恶性心律失常的基础，可反复出现室性心律失常；室壁瘤易形成附壁血栓，脱落后可造成体循环栓塞。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;临床表现视瘤体大小而异。较小的室壁瘤可以既无症状又无体征，而较大的室壁瘤常引起顽固性心衰、反复发作的心绞痛、难治的致命性心律失常以及体循环栓塞的临床表现。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;心电图在原有Q波MI导联上若ST段持续抬高3个月以上，传统认为提示室壁瘤形成，实际上提示大范围梗死，不一定有室壁瘤存在。胸部X线可见在左室外缘凸出，其特异性高，但敏感性低。超声心动图、放射性核素心室造影及左室导管检查加左室造影是诊断室壁瘤的最好方法，前两种方法具有无创、患者易于接受的优点，后者具有一定的创伤性，但可直接显示室壁瘤的大小、部位及有无附壁血栓，精确估测残余有功能的心肌量等。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; AMI早期给予积极有效的处理包括冠状动脉溶栓治疗，可以降低左室壁瘤的发生率。对临床上无症状的小室壁瘤，无需手术治疗。对伴有顽固性心衰、严重心绞痛、难以控制的心律失常及反复发生周围动脉栓塞的室壁瘤，内科治疗效果不佳，应择期手术。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (6)血栓栓塞：血栓形成是指左心室附壁血栓和静脉血栓形成，附壁血栓脱落后可引起体循环栓塞，而静脉血栓脱落后可造成肺动脉栓塞。MI急性期的心内膜炎症为左心室提供了致血栓形成的表面，梗死面积大、室壁运动不良或有室壁瘤者更易形成附壁血栓。左心室附壁血栓多见于前壁和心尖部透壁性MI，广泛室间隔透壁性MI的附壁血栓可以覆盖在左右两心室的梗死心肌表面。有报道，前壁及心尖部AMI的附壁血栓发生率可高达30%～60%。附壁血栓本身不产生临床症状，但发生附壁血栓的AMI患者，其中有10%的患者的血栓会脱落，可造成心、脑、肾、肠系膜和四肢的栓塞，从而产生相应的临床表现。超声心动图是诊断左心室附壁血栓最好的无创性方法，具有以下特征的附壁血栓容易脱落造成栓塞：血栓的活动度高；突入心室腔；在超声心动图的多个切面可见到血栓；位于心室壁收缩减弱区和增强区的交界处血栓。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 抗凝治疗可减少血栓的发生率，溶栓治疗对有附壁血栓者有增加致命性栓塞的风险。对有附壁血栓的患者，多数学者提倡用阿司匹林和华法林合用作为长期治疗方法。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;有静脉曲张、既往有静脉血栓栓塞史、充血心力衰竭、休克、肥胖和大于70岁的AMI患者较易发生静脉血栓形成。大多数病人的静脉血栓局限在腓肠肌处。静脉血栓脱落后常造成肺栓塞。早期活动可减少静脉血栓形成的发生率。药物治疗多采用抗凝和抗血小板治疗。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(7)心肌梗死后综合征：又称Dressler综合征。一般于AMI后1～8周出现，可持续数天、数周或数月，其发生率低于4%。其病因尚不清楚，可能与自身免疫反应有关。临床表现有：发热，周身不适，与呼吸和体位有关的胸痛。查体有心包摩擦音，有时伴有胸膜摩擦音。心包摩擦音可持续2周以上。常有白细胞增多和血沉加快。超声心动图可发现小量的心包积液。胸部X线检查可发现胸腔积液。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;MI后综合征有别于前述的AMI后早期心包炎。后者一般发生于AMI后1周内，持续2～3天，一般无明显心包积液，也不伴发肺炎。该综合征还应与再发的AMI鉴别，前者在心电图上不出现新的Q波及新的ST-T变化，血液中CK-MB也无明显升高。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; MI后综合征一般呈良性过程，一次发作常可自愈，亦可反复发作。大剂量阿司匹林有效。由于糖皮质激素或非类固醇抗炎药物可损害MI后的愈合过程，引起心室破裂和增加冠脉阻力，故最好不要在AMI后4周内使用。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(8)调节血脂和防治梗死后心肌重构：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ①调节血脂：晚近MIRACL随机对照临床试验对不稳定型心绞痛和非ST段抬高型急性心肌梗死早期强化调脂治疗发现，阿托伐他汀早期快速降低总胆固醇和LDL-C可明显降低16周内再发缺血事件，且服药安全。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;②防治梗死后心肌重构：在正常情况下，间歇性的生理刺激如运动锻炼所诱发的心肌重构过程是适应性的。然而在心肌梗死后，刺激持续存在并且为病理性。重构失调并导致进行性心肌功能障碍。即使心肌梗死范围很小而且并未造成即刻的心肌功能障碍，它仍然会触发重构过程。在很长时间内，心肌结构的改变和心肌功能的损害可以在无任何症状的情况下逐步进行。因此，即使没有临床心肌缺血事件的再次发生，在心肌梗死后数年仍会发生明显的心力衰竭。由于实际上所有的心梗患者均会发生重构过程，因此在梗死后立即采取针对该过程的治疗措施以减轻左室重构过程，能够对心脏功能和临床症状产生有益的作用并延长生命。当心衰发生时，重构过程已经进展到相当严重的程度，如果在重构晚期才开始给予治疗，那么要从根本上改善患者的预后是非常困难的。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;引起重构的主要刺激因素是梗死范围、力学超载和神经激素系统的激活，如血管紧张素和交感肾上腺素能系统。心肌的坏死和力学超载激发了神经激素系统的激活及其他重构相关细胞介质。他们协同作用导致了重构事件的发生。因此，梗死范围、力学超载和重构介质是延缓或可能阻断重构过程发展的治疗靶点。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;急性再灌注和其他减少心肌坏死程度的措施可以限制AMI后心室容积的增加。即使闭塞的冠脉重新开放较晚，也能减轻心室的扩大。在MI早期给予血管紧张素转换酶抑制剂(ACEI)治疗有助于梗死区的瘢痕形成，可以减轻心室扩大。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;去甲肾上腺素能够诱导重构事件的发生，如诱导胚胎基因的重新表达、心肌细胞的生长、心肌成纤维细胞的DNA和蛋白合成增加、钙调基因的下调、肿瘤生长因子的表达和细胞凋亡。β受体阻滞药可通过对抗肾上腺素的这些作用而抑制重构。COPERNICUS表明，用β受体阻滞药治疗无症状性左室收缩功能障碍的梗死后患者，其病死率和病残率均显著下降，而这种下降与β受体阻滞药改善心肌重构的作用有关。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;除循环中的肾素-血管紧张素-醛固酮系统外，心肌中还存在着局部的旁分泌/自分泌血管紧张素系统。心肌梗死时该系统被进一步激活，出现血管紧张素转化酶、血管紧张素原和血管紧张素受体的上调。血管紧张素Ⅱ能够通过多种机制导致重构，包括促进心肌细胞蛋白合成、心肌成纤维细胞中DNA合成及细胞凋亡。ACEI和血管紧张素受体阻断剂可以分别通过对抗血管紧张素Ⅱ的合成和阻断血管紧张素Ⅱ对血管紧张素Ⅰ型受体的作用，抑制这些事件的发生。在对发生了重构的大鼠心脏的研究中发现ACEI卡托普利和血管紧张素受体阻断药氯沙坦确实能够预防基因表达的改变及随后的亚细胞水平的重构。在临床治疗中，ACEI能够减轻心肌梗死后的重构。另外，ACEI能够降低慢性心衰、心肌梗死后心衰和无症状性左室收缩功能障碍的患者的病死率和病残率。然而，尽管抑制了血管紧张素转化酶活性，依然发现还存在着一些血管紧张素Ⅱ的合成和有害作用的表现。因此有人提出，单独应用血管紧张素受体阻断剂或与ACEI合用可能更加有效，但尚需临床研究的进一步证实。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;醛固酮在心肌纤维化发展中起了非常重要的作用。通过抑制醛固酮的合成和(或)通过在受体水平阻断醛固酮的作用能够对抗心肌纤维化的发展。ACEI的一些有益作用很可能是由于抑制了醛固酮的作用。然而，尽管应用了治疗剂量的ACEI，仍然有相当数量的醛固酮合成。研究表明，在ACEI的基础上添加一种醛固酮受体阻断药螺内酯(安体舒通)能够进一步降低慢性心衰患者的病死率。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;目前，还有一些药物经试验证明也有一定的减轻心肌重构的作用，如内皮素-l受体阻断药、抗氧化剂、细胞因子拮抗药和肽类生长因子抑制剂等，但临床疗效如何，尚须进一步研究。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;代谢抗缺血治疗也是AMI后防治左室重构的一个新的途径。曲美他嗪对所有的冠心病患者都是有效而安全的，它能减轻左室的重构过程，改善AMI患者的预后。</p>', null, '12', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5782', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '191', '预后', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;急性心肌梗死的总病死率在5%～30%之间，主要取决于患者的发病特点，其中半数死亡是由于心室颤动，而且往往发生在得到治疗前。到达医院后的患者中约有25%的死亡发生于最初的48h内。由于基础和临床研究的进展，心肌梗死的诊治水平有了日新月异的飞速发展，尤其是现代处理方法如直接血管成形术、溶栓疗法以及药物治疗(如应用阿司匹林、β受体阻滞药)等措施的综合应用，住院患者病死率由原30%下降到10%左右。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;20世纪60年代以前对急性心肌梗死的治疗是消极防御。一般认为急性心肌梗死主要损伤器官是心脏，应禁止活动，卧床休息，给予镇痛药、吸氧等，预防心脏并发症，让心脏自行恢复为主；对血管扩张剂硝酸甘油口含治疗心绞痛，一度禁用于急性心肌梗死，认为可导致血压下降；抗凝剂肝素的应用，有出血危险性，认为不能防止栓塞，也不主张常规用于急性心肌梗死。此阶段对上述治疗方法有争论，急性心肌梗死病死率高达30%；出院后生活受到限制，15%患者死于1年内。进入20世纪60年代末至70年代初出现了冠心病监护病房(coronary care unit)。经过培训的医护人员能熟练地进行心电监护，其最大的优点是可以及时发现急性心肌梗死的并发症，最重要的是可以及时发现急性心肌梗死患者早期因心电不稳定所致的室性期前收缩和心室颤动及其先兆RonT等，以便及时应用抗心律失常药物如利多卡因、普鲁卡因胺等防治致命性心室颤动，显著地提高了急性心肌梗死者的生存率；此外心肺复苏技术的广泛普及提高了闭胸条件下对心脏骤停的心肺复苏的成功率；床旁血流动力学监护使用Swan-Ganz漂浮导管测定肺毛细血管楔压、心排血量和中心静脉压，了解左心室功能，为临床提供有关重要信息以协助决定对泵功能衰竭作出及时有效的防治决策，有利于心功能不全和心源性休克的药物防治和抢救。此阶段，急性心肌梗死住院病死率下降至15%左右，但心源性休克的病死率仍高达80%左右。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;在20世纪70年代中期至1980年之间，有许多研究表明了心肌丧失多少与左心室功能密切相关。当左心室心肌梗死面积＞20%，左心室可发生扩大；＞30%可发生心力衰竭；＞40%可引起心源性休克。因此，“缩小急性心肌梗死面积，保护缺血心肌”的治疗方针直接影响着心肌梗死患者的预后．此阶段开展了动态心电图、核素心肌显影和超声心动图评价左心室功能，在心血管药物方面应用极化液静脉滴注；由于血流动力学监护的开展，硝酸酯类药物的静脉滴注、新的抗心肌缺血药物如钙拮抗剂、β受体阻滞药、肠溶阿司匹林、肝素等的应用均可限制心肌梗死的发展。目前已肯定用β受体阻滞药(美托洛尔、阿替洛尔等)可降低耗氧量、保护受损心肌，缩小急性心肌梗死面积，降低病死率。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;20世纪80年代以后，血栓学说的确立为大规模开展溶栓治疗奠定了理论基础，开创了溶栓时代；1980～1983年欧美等国对急性心肌梗死患者进行了冠状动脉内溶栓疗法，证实了溶栓药物确实可开通阻塞相关冠脉，保护了左心室功能。1983～1987年国际大规模的前瞻性双盲安慰剂对照的静脉溶栓多中心临床试验，证明溶栓疗法可降低住院急性心肌梗死患者的病死率，改善预后。GISSI结果显示了急性心肌梗死患者在发病后1h内溶栓疗法与安慰剂比较可使住院病死率下降47%。近年国内也开展了多中心静脉内溶栓研究，国家“八五”攻关课题中急性心肌梗死1800例，以尿激酶(UK)不同剂量静脉溶栓后，冠状动脉再通率67.3%～67.8%，病死率下降为8.7%～9.5%，出血等不良反应6.7%～8.1%。但在急性心肌梗死后最佳溶栓时间(4～6h)溶栓者仅占急性心肌梗死患者的20%左右，溶栓后还有粥样斑块造成的冠状动脉狭窄问题有待解决。可以肯定，在急性心肌梗死后的最佳溶栓时间窗(4～6h)内的溶栓治疗，抢救、保存了左心室功能，显著地降低了急性心肌梗死的病死率。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;至1990年以后，在对冠心病溶栓治疗基础上开展了对急性心肌梗死的介入治疗，包括对不稳定型心绞痛和急性心肌梗死的经皮冠状动脉腔内球囊扩张成形术(PTCA)、支架术、动脉粥样斑块旋切术和冠状动脉旁路移植术等。PTCA可使冠状动脉再通率达90%～95%，挽救了大量急性心肌梗死患者的生命和心功能，尤其是急性心肌梗死合并泵衰竭者病死率可达80%，急诊PTCA使冠脉再通，可挽救濒危严重缺血心肌者免于死亡，近期临床研究证明了在急性心肌梗死急性期的急诊介入(PTCA等)，治疗效果显著优于溶栓治疗，直接PTCA冠脉再通率高于溶栓治疗(＞90%∶55%～65%)。在急性心肌梗死时冠脉闭塞造成严重心肌坏死、泵衰竭，抢救时机十分重要，时间就是生命，建立生命抢救的绿色通道，争取尽早作PTCA使冠脉再通应争分夺秒，但由于条件要求高，危险性大，不易在一般医院推广应用。冠心病的介入治疗已部分替代了冠状动脉旁路移植术，美国1年作PTCA 30万例以上。急性心肌梗死介入性治疗标志着急性心肌梗死治疗的高科技划时代的里程碑，显著地改善了急性心肌梗死的预后，为冠心病患者带来了希望与生机。</p>', null, '13', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5783', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '191', '预防', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;流行病学研究表明，冠心病是一种受多因素影响的疾病，甚至有研究将影响因素列有246种。许多流行病学家将影响冠心病发病的主要危险因素分为：①致动脉粥样硬化的因素，包括高血压、高血糖、脂肪代谢紊乱以及纤维蛋白原升高。②一些易患冠心病的生活习惯包括过量进食、缺乏体力活动、吸烟以及A型性格。③冠状动脉循环受累的临床指征，包括休息、运动或监测时心电图异常以及心肌灌注不良等。这些指征并非致冠状动脉病变的危险因素，但可预示冠状动脉已有相当程度的病变。④其他先天易患因素，如早期患冠心病的家族史。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 由于流行病学的资料显示出冠心病是造成人类死亡的最重要的疾病之一，而临床上尚缺乏根治性措施，因此对冠心病的积极预防有着十分重要的意义。冠心病的预防包含着一级预防和二级预防两方面。一级预防是指对尚未患上冠心病的人群采取措施控制或减少冠心病的危险因素，以防止患病，减少发病率。二级预防是指对已患上冠心病的患者采取药物或非药物措施，以预防病情复发或防止病情加重。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;1.一级预防措施&nbsp; 冠心病的一级预防措施包括两种情况：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (1)健康教育：对整个人群进行健康知识教育，提高公民的自我保健意识，避免或改变不良习惯，如戒烟、注意合理饮食、适当运动、保持心理平衡等，从而减少冠心病的发生。</p><p style=\"line-height: 2em;\">(2)控制高危因素：针对冠心病的高危人群，如高血压病、糖尿病、高脂血症、肥胖、吸烟以及有家族史等情况，给予积极处理。当然，这些危险因素中有些是可以控制的，如高血压、高脂血症、糖尿病、肥胖、吸烟、少活动的生活方式等；而有些是无法改变的，如冠心病家族史、年龄、性别等。处理方法包括选用适当药物持续控制血压、纠正血脂代谢异常、戒烟限酒、适当体力活动、控制体重、控制糖尿病等。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.二级预防措施&nbsp; 冠心病患者的二级预防内容也包括两个方面，第一方面包含了一级预防的内容，也即要控制好各种冠心病的危险因素；第二方面，采用已经验证过有效的药物，预防冠心病的复发和病情加重。目前已肯定有预防作用的药物有：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (1)抗血小板药：已有多项临床试验结果证实了阿司匹林可减少心肌梗死的发生和再梗死率，急性心肌梗死后应用阿司匹林可使再梗死率下降大约25%；如有阿司匹林不能耐受或过敏者，可选用氯吡格雷。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (2)β受体阻滞药：只要无禁忌证(如重度心力衰竭、严重心动过缓或呼吸系统疾病等)，冠心病患者均应使用β受体阻滞药，尤其在发生过急性冠状动脉事件后；有资料显示急性心肌梗死后患者应用β受体阻滞药，可使病死率和再梗死率降低20%～25%。可采用的药物有美托洛尔、普奈洛尔、噻吗洛尔等。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (3)ACEI：多应用于伴有左心室功能严重受损或心力衰竭者。已有许多临床试验(如SAVE、AIRE、SMILE以及TRACE等)结果证实了ACEI降低急性心肌梗死后的病死率；因此急性心肌梗死后，射血分数＜40%或室壁运动指数≤1.2，且无禁忌证的患者，均应使用ACEI。常用的有卡托普利、依那普利、贝那普利和福辛普利等。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;(4)他汀类降脂药：从4S、CARE以及新近的HPS等研究的结果显示出冠心病患者的长期调脂治疗，不但使总病死率降低，生存率提高；而且需要行冠脉介入治疗或CABG的患者数量减少。这得益于他汀类药物降脂作用以外的改善内皮功能、抗炎作用、影响平滑肌细胞增殖以及干扰血小板聚集、凝血、纤溶过程等功能。辛伐他汀、普伐他汀、氟伐他汀以及阿托伐他汀等均有此作用。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 另外，针对冠状动脉造影有冠状动脉粥样硬化轻度狭窄性病变而临床上尚未出现缺血症状者，尽管还不能明确诊断为冠心病，但应视为冠心病的高危人群，给予积极预防，也可给予小剂量阿司匹林长期服用，并祛除血脂异常、高血压等危险因素。</p>', null, '14', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5813', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '223', '概述', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;肺栓塞是静脉系统血栓性或其他性质的栓子，顺静脉血液回流堵塞肺动脉引起的临床综合征。造成肺栓塞的栓子最常见的是脱落的静脉血栓，此外脂肪、空气、羊水、肿瘤细胞群、组织碎片、细菌性赘生物、寄生虫卵、医源性异物（如导管和封堵器）等也可以造成栓塞。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;肺栓塞在我国的发病率逐年增加，一方面由于对该疾病的认识和诊断水平提高，另一方面和生活水平提高、生活方式西化有关。肺栓塞多见于中老年人，随年龄增大而发病率增加，男性可能多于女性。凝血因子ⅤLeiden基因突变、抗凝血酶ⅢS蛋白及C蛋白缺乏、前凝血酶20210A因子突变、长期卧床、长途飞行旅行、心力衰竭、妊娠、长期口服避孕药、恶性肿瘤、血栓静脉炎、肺功能不全、糖尿病、高血压、体型肥胖、脑血管意外、骨折、创伤、外科大手术、静脉导管留置、睡眠呼吸暂停和抗磷脂抗体综合征等均为发生肺栓塞的危险因素。肺栓塞的流行病学特点是漏诊率高、误诊率高和死亡率高。约1/3的患者在发病后1～2小时内死亡，3个月死亡率＞15%，在欧美国家，死亡率一度在心脑血管疾病和恶性肿瘤之后，列第三位。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1819年Laennec首次描述了急性肺栓塞的病理改变，认识到该疾病和深静脉血栓形成有关联。1846年Virchow提出血液淤积、血管壁损伤和高凝状态作为血栓形成及发病的三联症。1908年Trendelenberg对一例濒死的急性肺栓塞病例施行肺动脉切开取栓术。1961年Cooley和1962年Sharp在体外循环辅助下行肺动脉切开取栓术治疗急性肺栓塞，其后该技术成为外科治疗急性肺栓塞的标准方案。由于认识不足，对慢性肺栓塞的诊治比急性肺栓塞迟了差不多一个世纪。1928年Lungdahl对两例死于右心衰女性尸检时发现肺动脉内慢性血栓形成。1951年Boucher对一例怀疑肺动脉瘤病例行肺叶切除，术后病理发现肺动脉内慢性血栓形成。该疾病误诊率和漏诊率高，到1956年全球报道不到200例。1958年Allison在中度低温下行肺动脉切开取栓术。1964年Scannell在体外循环辅助下行肺动脉内膜剥脱术治疗慢性肺栓塞。1980年Daily在体外辅助深低温停循环下行肺动脉内膜剥脱术。直到20世纪末，国内才在少数几个心脏中心开展深低温停循环下行肺动脉内膜剥脱术。</p><p style=\"line-height: 2em; text-align: right;\">来源：实用外科学 (下册)</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5814', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '223', '发病机制', '<p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;急性肺栓塞引起的病理生理改变和病情轻重与血栓大小和位置有密切关系，对人体造成的危害取决于肺动脉被血栓阻塞的范围和患者心肺储备功能的大小。肺栓塞常累及两侧肺动脉，右侧肺动脉及其分支比左侧多见，下叶比上叶多见。大块肺栓塞病例肺动脉主干或左右肺动脉突然被血栓阻塞，立即产生右心室排血机械梗阻，肺循环血流量减少，右心室压力升高，严重者可在舒张期将心室间隔推向左心室，影响左心室舒张期充盈。肺泡通气量虽未受影响而且往往因过度换气而有所增多，但因肺血流灌注量明显减少，在肺泡内未能进行正常的气体交换，于是动脉血O2分压明显降低，CO2分压也降低。心脏排血量急剧减少，造成组织缺血、缺氧及重要内脏器官功能障碍。肺栓塞还将诱致反射性肺小动脉痉挛，表现为心率增快、肺动脉高压和体循环低血压。血栓中聚集的血小板释放出5-羟色胺等生物活性物质还可导致肺血管和支气管痉挛，患者在很短时间内即可发生循环衰竭而死于休克。大块肺栓塞病例肺动脉阻塞范围50%以上，老年及心肺功能不全的病例肺动脉阻塞范围即便少于50%，亦可导致死亡。体积较小的血栓造成肺栓塞的范围仅局限于肺叶动脉或其分支者，可以不产生明显的生理功能障碍。经过一定时间后，血栓可被溶解或机化，在临床不易被发现。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;慢性肺栓塞是继发性重度肺动脉高压的主要病因之一，传统观念认可“下肢深静脉血栓形成-急性肺栓塞-慢性肺栓塞-慢性阻塞性肺动脉高压”这一疾病进程，长期肺动脉高压可导致肺源性心脏病和右心衰竭。2%～4%的急性肺栓塞存活病例经一次或多次发病2年内发展成慢性肺栓塞。年轻、有肺栓塞史、红细胞异常增生症行脾切除术史、肺动脉压＞50mmHg和原发性肺栓塞（无静脉血栓形成史）都是急性肺栓塞发展成慢性栓塞性肺高压的高危因素。未阻塞的肺血管床长期承受高血流量高血压，血管壁重建内膜增厚导致肺小血管病变。约50%慢性阻塞性肺动脉高压病例没有明确的静脉血栓形成和急性肺栓塞病史，其可能原因有：没有症状的静脉血栓形成和肺栓塞史；在原发性肺小动脉病变或内皮功能不全基础上血栓形成。栓塞的肺组织淤血实变、色暗红、稍隆起，边界清晰呈锥形，尖端指向肺门。肺组织可发生坏死或肺泡内充满血液，常伴有局部纤维化胸膜炎和少量胸腔积液。梗死肺组织可纤维化、感染或破裂。慢性肺栓塞病理改变主要有腔内血栓机化、内膜增生、纤维性狭窄阻塞肺动脉。慢性肺栓塞根据手术标本病理分4型：①Ⅰ型：新鲜血栓位于叶及叶以上肺动脉主干；②Ⅱ型：内膜增厚纤维化在段以上肺动脉；③Ⅲ型：血栓或内膜增厚局限于段以下肺动脉；④Ⅳ型：肺动脉病变已没有明显血栓可见。Ⅰ型和Ⅱ型病变手术疗效最佳，Ⅲ型病变需要手术技术较高，Ⅳ型病变无手术指征，预后较差。</p><p style=\"line-height: 2em; text-align: right;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;来源：实用外科学 (下册)</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5815', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '223', '临床表现', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;急性肺栓塞的临床表现多种多样，可以从无症状到猝死。大块肺栓塞起病急，常见于长期卧床或手术后患者在起坐、站立或用力排便时突然发病。呈现呼吸困难，胸骨后剧烈胸痛、心悸、哮喘、焦虑、烦躁不安、咳嗽、咯血、虚脱、休克等症状，严重者可在很短时间内来不及急救已死于循环衰竭。慢性肺栓塞有阻塞性肺动脉高压表现，活动后胸闷气急，咯血和（或）右心衰表现（疲劳、心悸、晕厥、水肿等）。在急性肺栓塞发作和慢性栓塞性肺动脉高压之间大多有一个“蜜月期”，多由于急性血栓阻塞再通或血栓溶解之故，一般有几个月到几年。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;体格检查可查到明显发绀、呼吸快速、肺部湿啰音或哮鸣音、胸膜摩擦音、胸膜腔积液、颈静脉怒张、心率增速、心前区奔马律和肺动脉第二音亢进，肝大、有压痛等体征。</p><p style=\"line-height: 2em; text-align: right;\">来源：实用外科学 (下册)</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5816', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '223', '诊断', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;肺栓塞的临床表现不典型，容易和其他心肺疾病相混淆而延误诊断。临床上有典型肺梗死三联症（呼吸困难、胸痛及咯血）的患者仅占1/3，因此若患者有不明原因呼吸困难和低氧血症时要高度怀疑肺栓塞。一般来讲，急性起病、严重的呼吸困难、发绀、晕厥提示大块中央肺栓塞；而胸痛、咳嗽、咯血提示小的边缘肺栓塞。急性肺栓塞的改良Well临床诊断规则是：心率＞100次/分（1.5分）；近期有制动或外科手术（1.5分）；有深静脉血栓形成史（1.5分）；咯血（1.0分）；近6个月有恶性肿瘤接受治疗（1.0分）。有4分以上者被认为是高度怀疑病例，应直接行胸部CT检查；而低于4分者则为中低度怀疑病例，如果血浆D-二聚体浓度异常，则再进行胸部CT检查。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.实验室检查</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;血清乳酸脱氢酶、胆红素、纤维蛋白裂解产物（D-二聚体）升高，血清谷草转氨酶正常。动脉血气分析，O2和CO2分压均降低。肺泡O2分压降低，肺泡-动脉氧压差值增大，反映肺泡气体交换效能降低。血浆D-二聚体是交联纤维蛋白特异性的降解产物，其含量增高，常提示体内的高凝状态及微血栓的形成。急性肺栓塞时其在血浆中的含量常＞500μg/L，对肺栓塞诊断有重要参考价值。手术、外伤、肿瘤及肺部感染时也可增高，若含量＜500μg/L，大多可排除急性肺栓塞的诊断。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.心电图检查</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;肺栓塞病例不一定都有心电图改变，而且心电图改变常不具有特征性。肺栓塞病例常见的心电图改变为窦性心动过速、室性期前收缩、P波增宽、ST段和T波异常以及不完全性右束支传导阻滞。所谓肺栓塞典型心电图改变是心电轴右偏、顺钟向转位，呈S1Q3T3，但这些改变也可见于其他右心室功能不全疾病者。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3.X线检查</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;肺栓塞者X线检查可能正常。肺动脉主干或左右肺动脉栓塞病例胸部X线检查可显示肺动脉主干凸出增宽，肺血管纹理显著减少或缺失（Westermark征），肺野透亮度增高，患侧膈肌抬高。并发肺梗死时可显示三角形肺实变影，底边面向胸壁，并可伴有局部胸膜反应及少量积液。也可出现盘状肺不张及Hampton驼峰征（膈上外周楔形致密影），Palla征（右下肺动脉增宽），但均少见。栓塞范围仅限于肺动脉的肺叶分支以下者，胸部X线检查可无异常发现。反复发生肺栓塞导致肺动脉高压或肺心病者则可显示右心室增大、肺动脉段凸出、肺门区动脉扩大和肺动脉外围分支纤细等。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4.肺动脉血管造影术</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;是诊断肺栓塞的“金标准”，右心导管进入肺动脉及其分支注入造影剂并连续拍片。有价值的征象为：肺动脉内充盈缺损；肺动脉分支完全阻塞（截断现象）；肺野内无血流灌注；肺动脉分支充盈和排空延迟。该技术为有创性检查，虽并发症较低，但仍有一定的致残率和死亡率（死亡率为1%），故应慎重。随着其他无创性检查的发展，其在临床应用渐少，但对高度怀疑肺栓塞病例，无创性检查表现为阴性，仍应进行肺动脉造影。右心导管可以测量肺动脉周围血管阻力（PVR），对于外科治疗的病例选择和手术预后评估均有重要意义。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;5.高速螺旋CT</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;随着CT技术不断提高，高速螺旋CT可以清晰显示肺段甚至亚段肺动脉，其灵敏度75%～100%，特异度80%～100%，在诊断肺栓塞中已逐步取代肺动脉血管造影术而成为首选方法。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;6.磁共振成像检查</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;磁共振是诊断肺栓塞的有效方法之一。对于较大的血栓可以显示肺动脉充盈缺损。该检查属无创技术，比较安全。对主肺动脉和右肺动脉主干的栓塞诊断有一定价值，段以下水平肺动脉分辨率低于高速螺旋CT，优点是可以评价心室功能。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;7.心脏超声</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;心脏超声对肺栓塞诊断特异性不高，但对已明确诊断的肺栓塞病例的风险评估和术后随访有重要意义。心脏超声可直接或间接发现肺动脉内的血栓，前者是指可发现肺动脉主干及其左右分支栓塞；后者是指可发现右心室扩大、室间隔扑动、左室变小呈D字形、右室运动减弱，肺动脉增宽、三尖瓣反流及肺动脉压升高等异常。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;8.放射性核素肺扫描</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;静脉注射<span style=\"box-sizing: border-box; position: relative; line-height: 0; vertical-align: baseline; top: -0.5em;\">131</span>碘（<span style=\"box-sizing: border-box; position: relative; line-height: 0; vertical-align: baseline; top: -0.5em;\">131</span>I），<span style=\"box-sizing: border-box; position: relative; line-height: 0; vertical-align: baseline; top: -0.5em;\">99m</span>锝（<span style=\"box-sizing: border-box; position: relative; line-height: 0; vertical-align: baseline; top: -0.5em;\">99m</span>Tc），<span style=\"box-sizing: border-box; position: relative; line-height: 0; vertical-align: baseline; top: -0.5em;\">113</span>铟（<span style=\"box-sizing: border-box; position: relative; line-height: 0; vertical-align: baseline; top: -0.5em;\">113</span>In）标记的微粒，聚合白蛋白或<span style=\"box-sizing: border-box; position: relative; line-height: 0; vertical-align: baseline; top: -0.5em;\">133</span>氙（<span style=\"box-sizing: border-box; position: relative; line-height: 0; vertical-align: baseline; top: -0.5em;\">133</span>Xe）后作肺灌注显像，可以显示两肺血流分布情况。在肺栓塞的早期即可呈现栓塞部位的放射性核素不显影。肺灌注显像正常可以排除肺栓塞的诊断。灌注显像不正常尚需与肺炎、肺大疱、肺癌、慢性阻塞性肺部疾病相鉴别。吸入气体<span style=\"box-sizing: border-box; position: relative; line-height: 0; vertical-align: baseline; top: -0.5em;\">133</span>氙（<span style=\"box-sizing: border-box; position: relative; line-height: 0; vertical-align: baseline; top: -0.5em;\">133</span>Xe）后作肺扫描，肺栓塞病例通气显像大多无异常，对比肺灌注显像与通气显像对肺栓塞的诊断有一定意义。对于明确有肺高压的病例，通气-血流灌注扫描可以有效辨别肺高压的病因是大血管阻塞还是小血管病变。</p><p style=\"white-space: normal; text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (下册)</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5817', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '223', '预防', '<p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;治疗体静脉和肺动脉血栓的最佳方法是预防。由于肺栓塞的绝大多数血栓来源于下肢静脉，因此应着重预防下肢静脉血栓形成。具体措施有：抬高下肢，加速静脉血液回流，防止血流淤滞；穿弹性袜压瘪浅静脉可增加深静脉血流量和流速；经常锻炼小腿肌肉，作伸屈脚和踝部运动，可明显降低腓肠肌静脉血栓形成的发病率；保持水分平衡，防止血液黏稠度和凝固性增大，以及术后早期起床活动等。对于明确有下肢静脉血栓形成的患者，应预防性安置下腔静脉滤器。早期预防性应用抗凝药可以减少深静脉血栓形成，促进肺血管局部小血管形成的微栓溶解，尤其对肺栓塞高危病例，如曾有血栓栓塞病史、长期卧床、老年、体型肥胖、肿瘤、心血管病，以及拟施行腹部、盆腔、妇科、髋、膝部骨科手术等。小剂量抗凝治疗很少发生出血性并发症，可有效防止围术期并发血栓形成和肺栓塞。禁忌抗凝药物的患者，静脉滴注低分子右旋糖酐或口服双嘧达莫、阿司匹林等抗血小板聚集药物，亦可降低下肢深静脉血栓形成和肺栓塞的发生率。</p><p style=\"white-space: normal; text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (下册)</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5818', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '223', '治疗', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.急性肺栓塞的治疗</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（1）基础治疗：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;肺栓塞病例应绝对卧床。缺氧及低碳酸血症在肺栓塞中很常见，且多伴有血流动力学不稳定，给予纠正和支持等对症治疗非常重要。给予鼻导管或面罩吸氧，严重者需呼吸机支持。胸痛剧烈者应皮下注射吗啡或哌替啶。血压下降及休克可静脉滴注多巴胺，注意静脉补液速度和总量。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（2）溶栓治疗：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;溶栓治疗可迅速溶解血栓和恢复肺动脉血流，逆转右心衰竭，增加肺毛细血管血容量及降低病死率和复发率，有效率在80%以上。溶栓治疗越早越好，时间窗是2周内的新鲜血栓栓塞，2周以上也可能有效。目前大多数学者的看法是：肺栓塞一经确诊，不论栓子大小、栓塞的范围大小或有无血流动力学改变，都应毫不迟疑地进行溶栓治疗；疑为严重肺栓塞，即使是在接近垂死状态的病例，也应毫不迟疑地进行溶栓治疗。我国常用的成人治疗方案是：①尿激酶2万IU/kg，2小时静脉滴注；②rt-PA 50～100mg/2小时，静脉滴注。溶栓治疗结束后，常规继以肝素和华法林治疗。溶栓治疗的绝对禁忌证有：活动性胃肠道出血；2个月内的颅内出血；颅、脊柱术后；血小板＜50× 109/L或INR＞2.0。相对禁忌证主要有：10天内外科大手术；分娩；近期严重胃肠道出血；肝、肾衰竭；严重创伤及高血压病例收缩压≥200mmHg，舒张压≥110mmHg。次要的有心肺复苏；左房血栓；感染性心内膜炎；肝、肾疾病；出血性疾病；妊娠及糖尿病；出血性视网膜炎等。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（3）抗凝治疗：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;可防止肺栓塞的发展和再发。单纯抗凝治疗的效果不如抗凝和溶栓治疗联合应用。常用的抗凝药物有肝素和华法林。肝素常用持续静脉滴注，负荷剂量为2000～3000IU/h，继之750～1000IU/h或15～20IU/（kg·h）维持。根据部分凝血酶原激酶激活时间（APTT）调整剂量，亦可应用低分子肝素。肝素一般需用至病情平稳，通常7～10天。肝素达到有效治疗水平后，加用口服抗凝剂（华法林），INR达到2.5～3.5之间，然后停用肝素治疗。口服抗凝药的疗程通常为6个月至1年，根据INR调节剂量。并发肺动脉高压和肺心病的病例，疗程延长或终身抗凝。低分子肝素在抗凝治疗方面开辟了一个新的领域，与传统肝素相比，具有剂量易于掌握、皮下注射方便、对血小板的作用轻微，可用于血小板异常病例及不需要实验室监测等优点。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（4）介入治疗：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;目前肺栓塞的介入治疗包括：导管内溶栓、导丝引导下导管血栓捣碎术、局部机械消散术、球囊血管成形术、导管内溶栓术与血栓捣碎术联合应用等。介入治疗多用于溶栓和外科手术治疗禁忌或疗效不佳的病例，配合抗凝药物使用可以有效提高远期疗效。一般而言，介入溶栓对肺栓塞症状发作5天内的新鲜血栓疗效最佳。急性肺栓塞介入治疗的指征是：血流动力学不稳定，动脉收缩压＜90mmHg，在15分钟内下降＞40mmHg，需应用儿茶酚胺提高体循环压；CT或肺动脉造影提示左和（或）右肺动脉完全或次全缺损；有肺栓塞溶栓治疗禁忌证者。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;对于安装下腔静脉滤器的指征尚无统一标准。目前倾向在接受治疗时如果同期下肢深静脉没有血栓形成，则不需安装滤器，因为该类病例大多需要终身服用抗凝药，可以有效预防血栓形成，而滤器本身有增加血栓形成之可能。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（5）外科治疗：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;肺动脉切开取栓术治疗急性肺栓塞的适应证为：用于伴有休克的大块肺栓塞，收缩压低于100mmHg，中心静脉压增高，肾衰竭，内科治疗失败或不宜内科治疗者。对于循环呼吸衰竭患者，术前可行体外膜肺（ECMO）支持。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;手术在体外循环下进行，无论术前CT是否提示有双侧肺栓塞，均应探查主肺动脉和双侧肺动脉。上、下腔静脉套带阻断，主动脉通过横窦套带。上腔静脉、主动脉套带分别向两侧牵引，充分解剖右肺动脉至右侧肺门，沿右肺动脉长轴中线切开肺动脉。主动脉套带向右侧牵拉，同法暴露、切开左肺动脉。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.慢性阻塞性肺动脉高压的治疗</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（1）药物治疗：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;对有手术禁忌证或在等待手术的病例，药物治疗可以有效提高生存率和手术成功率。行肺动脉内膜剥脱术者，术后10%～15%的病例仍持续肺动脉高压，此类病例亦需要药物治疗。主要药物有抗凝剂、利尿剂、钙离子拮抗剂和洋地黄等。近年来，新型抗肺高压药物如类前列腺素（依前列醇）、内皮素拮抗剂（波生坦）和磷酸二酯酶抑制剂（昔多芬，西地那非）在临床应用中取得较好疗效。肺动脉内膜剥脱术后终身抗凝已成为标准治疗模式。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（2）肺动脉内膜剥脱术</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1）适应证和禁忌证：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;预期术后肺动脉压力下降50%为手术适应证，主要适用于Ⅰ型和Ⅱ型肺动脉栓塞。术前正确评估周围肺小血管的病变对预后有重要意义，而客观评估周围肺小血管病变的指标是肺血管周围阻力，肺动脉漂浮导管能更精确评估周围血管阻力。肺周围血管阻力高而影像学检查没有明显肺动脉狭窄，提示合并有肺小血管病变，术后肺动脉压力下降不明显，远期预后差。肺血管阻力超过900dyn·s· cm-5，手术死亡率明显增加。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2）手术方式：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;经典手术方式是在体外循环深低温停搏状态下，在相对无血的手术野内完成。左右肺动脉暴露技术同急性肺栓塞的外科治疗。手术关键是剥脱增厚内膜而不仅取出机化血栓，寻找内膜和中膜的合适间隙对手术成功有重要意义。在剥脱过程中要不断评估间隙的深度，过浅不能完全剥离增厚的内膜和血栓，过深有肺动脉破裂的危险。肺动脉破裂往往发生在肺动脉段分支，修补困难，可以在破口近端缝闭该分支，严重有需行肺叶切除可能。由于深低温停循环后脑肾功能不全发生率仍有一定比例，近年来已改进在常温或浅低温体外循环下完成该手术。笔者单位在常温并行循环下完成内膜剥脱，无手术死亡。慢性阻塞性肺动脉高压较多合并三尖瓣反流，对是否需要同期处理三尖瓣反流仍有争议。因为梗阻解除后肺动脉压力明显下降，三尖瓣反流可以明显改善。若术前心脏超声发现有房缺，则术中关闭房缺或未闭卵圆窝可以有效防止术后肺动脉高压导致的右向左分流。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3）手术结果：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;随着体外循环技术的成熟和外科技术的完善，手术死亡率已明显下降，从30%下降到4.5%。肺动脉内膜剥脱能使绝大部分患者康复，但仍有少数患者术后持续肺动脉高压，主要原因是存在周围肺小血管壁增厚和远端血栓栓塞性病变。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（3）终末期肺高压</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;对于Ⅳ型病变或反复肺栓塞者，肺移植或心肺移植是唯一治疗方案，但供体缺乏是主要问题。</p><p style=\"line-height: 2em; text-align: right;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;来源&nbsp; :&nbsp; 实用外科学 (下册)</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5819', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '225', '概述', '<p style=\"line-height: 2em;\"><span style=\"text-indent: 28px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;左心衰竭是指左心室代偿功能不全而发生的心力衰竭，临床上极为常见，以肺循环淤血为主要特征。左心衰竭分为急性左心衰竭和慢性左心衰竭。</span></p><p style=\"line-height: 2em;\"><span style=\"text-indent: 28px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;慢性左心衰竭（CHF）是大多数心血管疾病的最终归宿，也是最主要的死亡原因。急性左心衰竭（AHF）是由于突然发生心脏结构和功能的异常，导致短期内心排血量显著，急剧降低，组织器官灌注不足和急性淤血综合征。</span></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5820', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '225', '临床表现', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.慢性左心衰竭主要临床表现</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（1）程度不同的呼吸困难</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1）劳力性呼吸困难：劳力性呼吸困难是左心衰竭最早出现的症状，运动使回心血量增加，左心房压力增高，加重肺淤血。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2）端坐呼吸:肺淤血达到一定程度，平卧时回心血量增加且横膈上抬，使呼吸更加困难。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3）夜间阵发性呼吸困难：患者熟睡后因憋气突然惊醒，被迫采取坐位，可伴呼吸急促，阵咳，咯泡沫样痰，可伴有哮鸣音，又称“心源性哮喘”。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（2）急性肺水肿</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;是“心源性哮喘”的进一步进展，是左心衰竭呼吸困难最严重的形式。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（3）咳嗽、咳痰和咯血</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;咳痰是肺泡和支气管黏膜充血所致，开始常夜间发生，坐位或立位时减轻，白色浆液性泡沫痰为主要特点，偶可见痰中带血。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（4）其他</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;心脏排出量不足，器官、组织灌注不足及代偿性心率加快所致的乏力、疲倦、头昏、心慌等症状；随着外周循环血容量的减少，肾的血流量会明显减少，患者可出现少尿或者肾功能的异常。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.急性左心衰竭的临床表现</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;急性左心衰竭主要表现为肺循环淤血，突然出现的严重的呼吸困难，呼吸频率可达30-40次/分钟，强迫体位，面色灰白，发绀、大汗、烦躁，同时频繁咳嗽、咳痰、咯粉红色泡沫样痰。严重者可因缺氧导致意识模糊；发病开始血压有过一过性升高，病情如不缓解，血压可持续下降甚至休克。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5821', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '225', '辅助检查', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.心电图：最为常用，除了心率外，可以诊断心衰患者是否合并有心律失常，因为心衰患者常伴有期前收缩、房颤等心律失常；心电图还可以判断患者是否合并有心肌梗死、心肌肥厚、心包积液等情况心电图也会有异常发现。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.胸片：即胸部X线片，心影大小和形态可以为心脏病的病因诊断提供参考，心脏扩大的程度和动态改变也可以间接反映心脏的功能状态。左心衰竭时存在肺淤血，通过胸片会呈现出不同程度的改变，可出现肺门血管影增强，上肺纹理增多与下肺纹理密度相仿。此外，还可见胸腔有无积液和叶间隙增厚等情况。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3.超声心动图：是一项无损伤的检查，可以评价心脏内腔大小、室壁厚薄及运动有无异常、心瓣膜结构以及心脏泵血功能，是诊断心力衰竭最主要的检查。估计心脏功能，如收缩功能，左心室射血分数反应心脏收缩功能，虽不精确，但是很方便，正常情况下左室射血分数&gt;50%,左室射血分数&lt;或=40%为收缩期心力衰竭的诊断标准。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4.血脑钠肽：临床上常用BNP及NT-proBNP，其水平有助于心力衰竭的诊断，当未经治疗者BNP水平正常时，可基本排除心衰的诊断。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;5.其他：心肌核素扫描、冠状动脉造影、运动试验等检查可以了解心脏血流供应情况。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5822', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '225', '治疗', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（一）慢性左心衰竭</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;治疗目的是减缓或阻止心衰的发生，缓解临床心衰患者的症状，延缓其长期预后及降低死亡率。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.病因治疗</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（1）基本病因的治疗：对所有可能导致心脏受损的常见病因进行治疗，如高血压、冠心病、糖尿病、代谢综合征等。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（2）诱因治疗：如感染、各种心律失常、避免过度劳累及情绪紧张激动等</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.一般治疗</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（1）休息：控制体力活动，避免精神紧张，降低心脏负荷，有利于心功能的恢复。同时，警惕长期卧床导致静脉血栓形成、肌肉萎缩等</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（2）控制钠盐摄入：心衰患者血容量增加，且体内存在水钠储留，因此应减少钠盐摄入，有利于减轻水肿。另外应注意易消化、高维生素饮食，休息、吸氧，避免情绪激动，保持大便通畅。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3.药物治疗</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（1）利尿剂：可选用氢氯噻嗪、呋塞米、丁脲胺、利尿酸钠、氨苯喋啶、螺内酯等交替使用。用时注意毒性反应及副作用(如低钠血症、低氯血症、低钾血症等)。应用利尿剂应关注尿量变化。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（2）血管扩张剂：常用硝酸异山梨醇酯、硝酸甘油、肼屈嗪(肼苯达嗪)口服。静脉常用酚妥拉明或硝普钠。用药过程中注意血压变化。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（3）洋地黄制剂：用药过程中，应密切观察病情，注意心律、心率(宜在70～80次/min)、绌脉、尿量，有无毒性反应(如呕吐、黄视、频发早搏、二联律及心动过缓等)。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（4）血管紧张素转换酶抑制剂：常用卡托普利或依拉普利。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（5）心衰伴心率增快或快速性心律失常者，选用抗心律失常药物控制室率，有助于改善心功能。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4.手术治疗</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;心脏移植。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（二）急性左心衰竭竭</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.一般治疗</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（1）静息时明显呼吸困难者应半卧位或端坐位，双腿下垂以减少回心血量，降低心脏前负荷。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（2）吸氧。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.药物治疗</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（1）镇静：主要应用吗啡，应密切观察疗效和呼吸抑制的不良反应。伴明显和持续低血压、休克、意识障碍、COPD 等患者禁忌使用。老年患者慎用或减量。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（2）支气管解痉剂：一般应用氨茶碱，此类药物不宜用于冠心病如急性心肌梗死或不稳定性心绞痛所致的急性心衰患者，不可用于伴心动过速或心律失常的患者。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（3）利尿剂：适用于急性心衰伴肺循环和/或体循环明显淤血以及容量负荷过重的患者。呋塞米、托塞米、布美他尼静脉应用可以在短时间里迅速降低容量负荷，应列为首选。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（4）血管扩张剂：此类药可应用于急性心衰早期阶段。收缩压水平是评估此类药是否适宜的重要指标。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（5）正性肌力药物：此类药物适用于低心排血量综合征，如伴有症状性低血压或心排血量降低伴有循环淤血的患者，可缓解组织低灌注所致的症状，保证重要脏器的血流供应。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3.非药物治疗</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;病情严重、血压持续降低（&lt;90mmHg）甚至心源性休克者，应监测血流动力学，并采用IABP、机械通气支持、血液净化、心室机械辅助装置以及外科手术等各种非药物治疗方法。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5823', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '226', '概述', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;右心衰竭主要表现为体循环淤血为主的综合征。右心衰竭主要是右心室搏出功能障碍，见于肺心病、三尖瓣或肺动脉瓣的疾病，并常继发于左心衰竭。此时心输出量减少，体循环淤血，静脉压增高，常伴有下肢水肿，严重时可发生全身性水肿。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5824', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '226', '原因', '<p style=\"text-align: left; line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;右室心肌损害：大面积右室梗死。</p><p style=\"text-align: left; line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;右室后负荷增高：大片肺梗死。</p><p style=\"text-align: left; line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;右室前负荷增高：如大量快速静脉输血、输液。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5825', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '226', '诊断', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)胃肠道症状：长期胃肠道淤血，可引起食欲不振、腹胀、恶心、呕吐、便秘及上腹疼痛症状。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)肾脏症状：肾脏淤血引起肾功能减退，白天尿少，夜尿增多。可有少量蛋白尿、少数透明或颗粒管型和红细胞。血尿素氮可升高。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(3)肝区疼痛：肝淤血肿大，肝包膜被扩张，右上腹饱胀不适，肝区疼痛，重者可发生剧痛而误诊为急腹症等疾病。长期肝淤血的慢性心衰，可发生心源性肝硬化。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(4)呼吸困难：单纯右心衰竭时通常不存在肺淤血，气喘没有左心衰竭明显。在左心衰竭基础上或二尖瓣狭窄发生右心衰竭时，因肺淤血减轻，故呼吸困难较左心衰竭时减轻。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5826', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '226', '鉴别诊断', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.左心衰竭</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)呼吸困难：呼吸困难是左心衰竭较早出现的主要症状。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1)劳力性呼吸困难：呼吸困难最先仅发生在重体力活动时，休息时可自行缓解。正常人和心衰病人劳力性呼吸困难之间主要差别在于后者在正常人活动量时也会出现呼吸困难的加重。随左室功能不全加重，引起呼吸困难的劳力强度逐步下降。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2)夜间阵发性呼吸困难：阵发性呼吸困难常在夜间发作。病人突然醒来，感到严重的窒息感和恐怖感，并迅速坐起，需30min或更长时间后方能缓解。通常伴有两肺哮鸣音，称为心源性哮喘。其发生的可能机制与卧床后间质液体重吸收和回心血量增加、睡眠时迷走神经张力增高，使小支气管痉挛及卧位时膈肌抬高，肺活量减少等因素有关。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3)端坐呼吸：卧位时很快出现呼吸困难，常在卧位1-2min出现，需用枕头抬高头部。卧位时回心血量增加，左心衰竭使左室舒张末期压力增高，从而肺静脉和肺毛细血管压进一步升高，引起间质性肺水肿，降低肺顺应性，增加呼吸阻力而加重呼吸困难。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4)急性肺水肿：是心源性哮喘的进一步发展。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)咳嗽、咳痰和咯血：咳嗽是较早发生的症状，常发生在夜间，坐位或立位时咳嗽可减轻或停止。痰通常为浆液性，呈白色泡沫状，有时痰内带血丝，如肺毛细血管压很高，或有肺水肿时，血浆外渗进入肺泡，可有粉红色泡沫样痰。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(3)体力下降、乏力和虚弱：是几乎都有的症状，最常见原因是肺淤血后发生呼吸困难，以及运动后心排血量不能正常增加，心排血量降低导致组织器官灌注不足有关。老年人可出现意识模糊、记忆力减退、焦虑、失眠、幻觉等精神症状。动脉压一般正常，但脉压减小。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(4)泌尿系统症状：左心衰竭血流再分配时，早期可以出现夜尿增多。严重左心衰竭时心排血量重度下降，肾血流减少而出现少尿，或血尿素氮、肌酐升高并有肾功能不全的相应表现。(1)一般体征：活动后呼吸困难，重症出现发绀、黄疸、颧部潮红、脉压减小、动脉收缩压下降、脉快。外周血管收缩，表现为四肢末梢苍白、发冷及指趾发绀及窦性心动过速、心律失常等交感神经系统活性增高伴随征象。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(5)水肿：发生于颈静脉充盈及肝肿大之后，是右心衰竭的典型体征。首先出现在足、踝、胫骨前较明显，向上延及全身，发展缓慢。早期白天出现水肿，睡前水肿程度最重，睡后消失。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;晚期可出现全身性、对称性凹陷性水肿。当伴有营养不良或肝功损害，血浆白蛋白过低时，出现颜面水肿，常预示预后不良。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(6)胸水和腹水：主要与体静脉和肺静脉压同时升高及胸膜毛细血管通透性增加有关。一般以双侧胸水多见，常以右侧胸水量较多。如为单侧，多见于右侧。腹水多发生在病程晚期，多与心源性肝硬化有关。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(7)其他：发绀多为周围性，或呈混合性，即中心性与周围性发绀并存;严重而持久的右心衰竭可有心包积液、脉压降低或奇脉等。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.全心衰竭</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;可同时存在左、右心衰竭的临床表现，也可以左或右心衰竭的临床表现为主。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)胃肠道症状：长期胃肠道淤血，可引起食欲不振、腹胀、恶心、呕吐、便秘及上腹疼痛症状。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)肾脏症状：肾脏淤血引起肾功能减退，白天尿少，夜尿增多。可有少量蛋白尿、少数透明或颗粒管型和红细胞。血尿素氮可升高。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(3)肝区疼痛：肝淤血肿大，肝包膜被扩张，右上腹饱胀不适，肝区疼痛，重者可发生剧痛而误诊为急腹症等疾病。长期肝淤血的慢性心衰，可发生心源性肝硬化。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(4)呼吸困难：单纯右心衰竭时通常不存在肺淤血，气喘没有左心衰竭明显。在左心衰竭基础上或二尖瓣狭窄发生右心衰竭时，因肺淤血减轻，故呼吸困难较左心衰竭时减轻。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5827', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '226', '治疗和预防方法', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1、避免诱因：感染是诱发心衰的常见原因，所以慢性心衰患者无论何种感染，均需早期应用足量的抗生素。有些体弱患者感染时症状不典型，体温不一定很高，仅表现为食欲不佳、倦怠等，应密切观察病情变化，预防心衰发生。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2、合理饮食：饮食在心功能不全的康复中占重要地位，其原则为低钠、低热量、清淡易消化，足量维生素、碳水化合物、无机盐，适量脂肪，禁烟、酒。还应少食多餐，因饱餐可诱发或加重心衰。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3、合理用药：应严格按医嘱用药，切忌自作主张更改或停用药物，以免发生严重后果。并应熟悉常用药物的毒副作用，这样有利于不良反应的早发现、早就医、早处理。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4、合理休息：休息是减轻心脏负担的重要方法，可使机体耗氧明显减少，急性期和重症心衰时应卧床休息，待心功能好转后应下床做一些散步、气功、太极拳等活动，但要掌握活动量，当出现脉搏&amp;gt;110次/min，或比休息时加快20次/min，有心慌、气急、心绞痛发作或异搏感时，应停止活动并休息。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;5、心理护理：慢性心衰患者常年卧床，易产生“累赘”感，对生活信心不足，同时又惧怕死亡。因此，家属应多关心体贴，生活上给予必要的帮助，使患者保持良好的情绪。患者自己也应保持平和的心态，各种活动要量力而行，既不逞强，也不过分依赖别人。对自己的疾病不能忽视，也不要过分关注，因为过分紧张往往更易诱发急性心衰。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;6、皮肤护理：慢性心衰患者常被迫采取右侧卧位，所以应加强右侧骨隆突处皮肤的护理，预防褥疮。可为患者定时按摩、翻身，护理动作应轻柔，防止皮肤擦伤。对水肿严重者的皮肤更应加强保护。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;7、自我监测：心衰患者应学会自我监测，以便对出现的各种症状和所用药物的毒副作用及时发现，如出现气短、乏力、夜间憋醒、咳嗽加重、泡沫状痰、倦怠、嗜睡、烦躁等，可能为心衰的不典型表现，应及时就医。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;8、定期复查：应定期抽血复查地高辛浓度和血钾、钠、镁及尿素氮、肌酐等。并定期复查心电图，心功能测定可每3个月检查1次。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5828', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '229', '概述', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;消化道出血（gastrointestinal bleeding）根据出血部位分为上消化道出血和下消化道出血。上消化道出血是指Treitz韧带以上的食管、胃、十二指肠和胰胆等病变引起的出血，包括胃空肠吻合术后的空肠上段病变。Treitz韧带以下的肠道出血称为下消化道出血。临床根据失血量与速度将消化道出血分为慢性隐性出血、慢性显性出血和急性出血。短时间内消化道大量出血称急性大出血常伴有急性周围循环障碍，死亡率约占10%。80%的上消化道出血具有自限性，下消化道出血死亡率一般不超过5%。不明原因消化道出血（obscure gastrointestinal bleeding，OGIB），占消化道出血的3%～5%，指常规消化内镜检查（包括上消化道内镜、结肠镜）和X线小肠钡剂检查（口服钡剂或钡剂灌肠造影）不能明确病因的持续或反复发作的出血。</p><p style=\"line-height: 2em; text-align: right;\">&nbsp;&nbsp;&nbsp;&nbsp;来源&nbsp; :&nbsp; 实用内科学:全2册(下)</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5829', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '229', '病因与分类', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;消化道出血可因消化道本身的炎症、机械性损伤、血管病变、肿瘤等因素引起，也可因邻近器官的病变和全身性疾病累及消化道所致。现按消化道解剖位置分述如下。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（一）上消化道出血的病因</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;临床上最常见的出血病因是消化性溃疡、食管胃底静脉曲张破裂、急性糜烂出血性胃炎和胃癌，这些病因约占上消化道出血的80%～90%。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.食管疾病 食管炎、食管溃疡、食管肿瘤、食管贲门黏膜撕裂症、物理/化学性损伤。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.胃、十二指肠疾病 消化性溃疡、急性出血糜烂性胃炎、胃血管异常（动静脉畸形如Dieulafoy病等）、胃癌和胃其他肿瘤、急性胃扩张、十二指肠炎和憩室炎、膈疝、胃扭转、钩虫病、胃肠吻合术后的空肠溃疡和吻合口溃疡。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3.门静脉高压、食管胃底静脉曲张破裂出血、门脉高压性胃病。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4.上消化道邻近器官或组织的疾病 ①胆道出血；②胰腺疾病累及十二指肠；③胸或腹主动脉瘤破入消化道；④纵隔肿瘤或脓肿破入食管。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;5.全身性疾病在胃肠道表现出血 ①血液病：白血病、再生障碍性贫血、血友病等；②血管性疾病；③结缔组织病：血管炎；④应激相关性胃黏膜损伤；⑤急性感染性疾病：流行性出血热、钩端螺旋体病；⑥尿毒症。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（二）下消化道出血病因</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.大肠癌和大肠息肉最常见。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.肠道炎症性疾病：细菌性感染、寄生虫感染、非特异性肠炎、抗生素相关性肠炎、缺血性肠炎、放射性肠炎等。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3.血管病变：作为下消化道出血病因的比例在上升，如毛细血管扩张症、血管畸形、异位静脉曲张、肠血管瘤及血管畸形。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4.肠壁结构异常：如Meckel憩室、肠套叠等。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;5.肛管疾病：痔疮、肛裂、肿瘤等。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（三）不明原因消化道出血的常见病因</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.上消化道：Cameron糜烂、血管扩张性病变、静脉曲张、Dieulafoy病变、胃窦血管扩张症、门静脉高压性胃病。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.中消化道：年龄＜40岁者，以肿瘤、美克尔（Meckel）憩室、Dieulafoy损害、克罗恩病、腹腔疾病多见；年龄＞40岁者，以血管扩张性病变、非甾体类抗炎药性肠病、腹腔疾病多见。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3.下消化道出血：以血管扩张性病变、新生物为常见病因。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4.其他：如胆道出血、胰性出血，主动脉肠瘘也需要考虑。</p><p style=\"line-height: 2em; text-align: right;\">来源：实用内科学:全2册(下)</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5830', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '229', '临床表现', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;消化道出血的临床表现取决于出血病变的性质、部位、失血量与速度，与患者的年龄、心肾功能等全身情况也有关。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（一）呕血、黑便和便血</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;是消化道出血特征性临床表现。上消化道急性大量出血多数表现为呕血，如出血速度快而出血量多，呕血的颜色呈鲜红色。少量出血则表现为黑便、柏油样便或粪便隐血试验阳性。出血速度过快，在肠道停留时间短，解暗红色血便。下消化道出血一般为血便或暗红色大便，不伴呕血。右半结肠出血时，粪便颜色为暗红色；左半结肠及直肠出血，粪便颜色为鲜红色。在空回肠及右半结肠病变引起小量渗血时，也可有黑便。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（二）失血性周围循环衰竭</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;消化道出血因循环血容量迅速减少可致急性周围循环衰竭，多见于短时期内出血量超过1000ml者。临床上可出现头昏、乏力、心悸、出冷汗、黑矇或晕厥、皮肤湿冷；严重者呈休克状态。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（三）贫血</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;慢性消化道出血在常规体检中发现小细胞低色素性贫血。急性大出血后早期因有周围血管收缩与红细胞重新分布等生理调节，血红蛋白、红细胞和血细胞压积的数值可无变化。此后，大量组织液渗入血管内以补充失去的血浆容量，血红蛋白和红细胞因稀释而降低。平均出血后32小时，血红蛋白可稀释到最大限度。失血会刺激骨髓代偿性增生，外周血网织红细胞增多。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（四）氮质血症</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;在大量消化道出血后，血液蛋白的分解产物在肠道被吸收，以致血中氮质升高，称肠源性氮质血症。一般出血后1～2天达高峰，出血停止后3～4日恢复正常。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（五）发热</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;大量出血后，多数患者在24小时内常出现低热，持续数日至1周。发热的原因可能由于血容量减少、贫血、血分解蛋白的吸收等因素导致体温调节中枢的功能障碍。分析发热原因时要注意寻找其他因素，例如有无并发肺炎等。</p><p style=\"line-height: 2em; text-align: right;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;来源：实用内科学:全2册(下)</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5831', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '229', '诊断', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（一）临床表现</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.消化道出血的识别</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;一般情况下呕血和黑便，呕吐物或粪便隐血强阳性，血红蛋白、红细胞计数下降常提示有消化道出血，但必须排除消化道以外的出血因素。首先应与口、鼻、咽部出血区别；也需与呼吸道和心脏疾病导致的咯血相区别。此外，口服动物血液、骨炭、铋剂和某些中药也可引起粪便发黑，应注意鉴别。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;判别消化道出血的部位。呕血和黑便多提示上消化道出血，血便大多来自下消化道。上消化道大出血可表现为暗红色血便，如不伴呕血，常难以与下消化道出血鉴别。而慢性下消化道出血也可表现为黑便，常难以判别出血部位，应在病情稳定后急诊内镜检查。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.出血严重程度的估计和周围循环状态的判断</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;每日出血量＞5～10ml时，粪隐血试验可呈现阳性反应；每日出血量达50～100ml以上，可出现黑便。胃内积血量达250ml时，可引起呕血。短时间出血量超过1000ml，可出现周围循环衰竭表现。对于上消化道出血的估计，主要动态观察周围循环状态，特别是血压、心率。如果患者由平卧位改为坐位血压下降（＞15～20mmHg）、心率加快（＞10bpm），提示血容量明显不足，是紧急输血的指征。患者血红细胞计数、血红蛋白及血细胞比容测定，也可作为估计失血程度的参考。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3.出血是否停止的判断</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;有下列临床表现应认为有继续出血或再出血，须及时处理：①反复呕血，黑便次数增多，粪便稀薄，伴有肠鸣音亢进；②周围循环衰竭的表现经积极补液输血后未见明显改善，或虽有好转而又恶化；③红细胞计数、血红蛋白测定与血细胞比容持续下降，网织红细胞计数持续增高；④补液与尿量足够的情况下，血尿素氮再次增高。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4.出血病因和部位诊断</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;消化性溃疡患者多有慢性、周期性、节律性上腹疼痛或不适史。服用非甾体类抗炎药（NSAID）或肾上腺皮质激素类药物或处于严重应激状态者，其出血可能为急性胃黏膜病变。有慢性肝炎、酗酒史、血吸虫等病史，伴有肝病、门脉高压表现者，以食管胃底静脉曲张破裂出血为最大可能。应当指出的是，肝硬化患者出现上消化道出血，有一部分患者出血可来自于消化性溃疡、急性糜烂出血性胃炎、门脉高压性胃病。45岁以上慢性持续性粪便隐血试验阳性，伴有缺铁性贫血、持续性上腹痛、厌食、消瘦，应警惕胃癌的可能性。50岁以上原因不明的肠梗阻及便血，应考虑结肠肿瘤。60岁以上有冠心病、心房颤动病史的腹痛及便血者，缺血性肠病可能大。突然腹痛、休克、便血者要立即考虑动脉瘤破裂。黄疸、发热及腹痛伴消化道出血时，胆源性出血不能除外。儿童便血以Meckel憩室、感染性肠炎、血液病多见。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（二）辅助检查</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.内镜检查</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;内镜检查是消化道出血定位、定性诊断的首选方法，其诊断正确率达80%～94%，可解决90%消化道出血的病因诊断。内镜检查见到病灶后，应取活组织检查或细胞刷检，以提高病灶性质诊断的正确性，并根据病变特征判别是否继续出血或再出血的危险性，并行内镜下止血治疗。一般主张在出血24～48小时内进行检查，称急诊内镜。急诊胃镜最好在生命体征平稳后进行，尽可能先纠正休克、补足血容量，改善贫血。胃镜检查可在直视下观察食管、胃、十二指肠球部直至降部，从而判断出血的病因、部位。结肠镜是诊断大肠及回肠末端病变的首选检查方法。重复内镜检查可能有助于发现最初内镜检查遗漏的出血病变。超声内镜、色素放大内镜等均有助于明确诊断，提高对肿瘤、癌前期病变等的诊断准确率。胶囊内镜具有安全、创伤小的优点，主要用于小肠疾病的诊断，对不明原因消化道出血的检出率约47.3%～76.1%。小肠镜具有可活检、可提供治疗（病灶标记、止血、息肉切除）等特点，如操作人员技术熟练，理论上能检查整个肠道，可用于怀疑小肠出血的患者，对不明原因消化道出血的检出率在48.9%～62.1%。对于胶囊内镜检查阳性的患者，再行小肠镜检查，将提高检出率至60%～90%。但若对胶囊内镜检查阴性的消化道出血患者，再次进行小肠镜检查，病变检出率仅为16.7%～37.8%。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.X线钡剂检查</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;仅适用于出血已停止和病情稳定的患者，对急性消化道出血病因诊断的阳性率不高，多被内镜检查所代替。插管的小肠钡灌肠造影较通常的口服钡餐检查，其诊断小肠疾病的正确性在一定程度上有所提高，目前多被小肠CT取代。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3.放射性核素显像</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;多用于活动性消化道出血，内镜和X线钡剂无法确诊或无法进行内镜检查者。应用放射性核素显像检查法可发现0.05～0.1ml/min活动性出血的部位，其方法是静脉注射99mTc标记的自体红细胞后作腹部扫描，以探测标记物从血管外溢的证据，创伤小，可起到初步的定位作用，对Merkel憩室合并出血有较大诊断价值。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4.血管造影</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;选择性血管造影对活动性大消化道出血或者血管性病变的诊断及治疗具有重要作用，检出率40%～60%。根据脏器的不同可选择腹腔动脉、肠系膜动脉造影，出血速率＞0.5ml/min时，可发现造影剂在出血部位外溢，定位价值较大。对确定下消化道出血的部位（特别是小肠出血）及病因更有帮助，也是发现血管畸形、血管瘤所致出血的可靠方法。但该检查是有创性操作；且有可能发生造影剂过敏、急性肾衰、血栓栓塞等并发症。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;5.CT相关检查</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;CT多期增强扫描（multiphasic CT enterography）与以往单期增强扫描相比在发现小血管病变更具优势；多排CT（multiple-detector CT，MDCT）在大量出血时检出准确率及阳性预测值均接近90%；并可显示小肠黏膜及黏膜外病变；CT血管造影（CTA）可准确检出并定位出肠道血管性疾病。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;6.剖腹探查</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;各种检查均不能明确原因时应剖腹探查。术中内镜是明确诊断不明原因消化道出血，尤其是小肠出血的可靠方法，成功率达83%～100%。另外，可在术中行选择性血管造影或注射亚甲蓝（美蓝），以帮助明确诊断。</p><p style=\"line-height: 2em; text-align: right;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;来源：实用内科学:全2册(下)</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5832', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '229', '治疗', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（一）一般治疗</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;卧床休息，严密监测患者生命体征，必要时行中心静脉压测定。观察呕血及黑便情况。定期复查血红蛋白浓度、红细胞计数、血细胞比容与血尿素氮。对老年患者视情况实施心电监护。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（二）补充血容量</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;及时补充和维持血容量，改善周围循环，防止微循环障碍引起脏器功能障碍，酌情输血，在配血同时可先用葡萄糖酐或其他血浆代用品。紧急输血指征：改变体位出现血压下降、心率增快、晕厥；失血性休克；Hb＜70g/L，血细胞比容＜25%。但要避免输血、输液量过多而引起急性肺水肿，以及对肝硬化门静脉高压的患者门静脉压力的增加诱发再出血，肝硬化患者宜用新鲜血。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（三）上消化道大出血的止血处理</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.急性非静脉曲张上消化道大出血的处理</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;以消化性溃疡多见。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（1）抑制胃酸分泌和保护胃黏膜：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;急性期静脉给予质子泵抑制药，使胃内pH＞6.0，有助于消化性溃疡和急性胃黏膜病变的止血。无效时可加用生长抑素及其类似物，收缩内脏血管，控制急性出血。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（2）内镜直视下止血治疗：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;经内镜直视下局部喷洒5%孟氏液（碱式硫酸铁溶液）、8%去甲肾上腺素液、凝血酶。也可在出血病灶注射1%乙氧硬化醇、1∶10 000肾上腺素或血凝酶。内镜直视下应用高频点灼、激光、热探头、微波、止血夹等。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（3）手术和介入治疗：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;内科积极治疗仍有大量出血危及患者生命时，需考虑外科手术治疗。少数患者严重消化道出血，无法进行内镜治疗，又不能耐受手术治疗时，可考虑选择性肠系膜动脉造影并血管栓塞治疗。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.食管、胃底静脉曲张破裂出血的非外科治疗</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;参见“肝硬化”。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（四）下消化道大量出血的处理</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;基本措施是输血、输液、纠正血容量不足引起的休克。再针对下消化道出血的定位及病因诊断而作出相应治疗。如有条件内镜下止血治疗。对弥漫性血管扩张病变所致的出血，内镜下治疗或手术治疗有困难，或治疗后仍反复出血，可考虑雌激素/孕激素联合治疗。选择性动脉造影术后动脉内输注血管加压素可以控制90%的憩室和血管发育不良的出血，但有心血管方面的不良反应。动脉内注入栓塞剂可能引起肠梗死，对拟进行肠段手术切除的病例，可作为暂时止血用。内科保守治疗无效，危及生命，有急诊手术指征。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（五）OGIB的治疗</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.支持治疗，及早病因治疗。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.药物治疗：病变部位不明或病变弥漫，不适用内镜治疗、手术治疗、血管造影栓塞治疗及治疗无效者，可考虑药物治疗。①性激素，如炔雌醇和炔诺酮等，但其预防消化道血管扩张出血复发的疗效仍存在争议，心血管不良反应较大。②生长抑素及其类似物（如奥曲肽），对胃肠道毛细血管扩张和蓝色橡皮大疱痣综合征引起的OGIB有一定的治疗作用，其机制可能与抑制血管生成和内脏血流有关。③沙利度胺，为谷氨酸衍生物，对血管扩张引起的OGIB有效，可能与其抗血管生成作用有关。但存在一定的不良反应，如周围神经病变、深静脉血栓等。④促红细胞生成素，有病例报告发现其能控制消化道黏膜弥漫性出血。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3.内镜下治疗：对DBE检查发现病变者，可同时治疗小肠血管损害病变且维持缓解时间较长。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4.血管造影下栓塞等治疗：主要用于OGIB急性大量出血。方法主要包括选择性动脉内加压素治疗、超选择性微线圈栓塞或合用明胶海绵或聚乙烯醇栓塞等。</p><p style=\"line-height: 2em; text-align: right;\">来源：实用内科学:全2册(下)</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5833', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '246', '概述', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;痛风(gout)是一种嘌呤核苷酸代谢紊乱所致的疾病，表现为；①血尿酸浓度增高；②反复发作关节炎；③尿酸钠盐沉积在关节周围引起严重关节损害；④肾病，可累及肾小球、肾小管、间质组织和血管；⑤尿路结石。痛风合并有肾病者极多见，肾损害程度可重可轻。 发病机制痛风的先决条件是血尿酸增高。尿酸为核酸或嘌呤碱代谢的终末产物，可出现于血和尿液中。在pH＜5.75时，体液中以尿酸为主；在pH5.75时，体液中尿酸钠和尿酸的比例相等；在pH＞5.75时，体液中尿酸主要以钠盐形式存在。血清尿酸盐浓度达6.4mg/dl(377.6μmol/L)即达饱和，也有人测得人血浆中尿酸钠盐浓度到7mg/dl(413μmol/L)左右才达到饱和，因此将7mg/dl(413μmol/L)定为人体的正常值。当血浆中尿酸钠盐浓度超过饱和时，它就可以在关节中析出成结晶并沉积下来，形成痛风石，也可以沉积在肾脏中，于是尿路中有尿酸结石，造成肾脏损害。尿酸钠盐沉积在关节会发作急性关节炎，这就是痛风性关节炎，反复发作会使关节变形。血尿酸如何会增高，主要原因只有两个：①尿酸生成过多；②肾脏排泄尿酸能力低下。在嘌呤核苷酸代谢过程中，有许多酶参与，因酶的缺乏或酶的活性增高，都可以使尿酸生成过多。已知磷酸核糖焦磷酸合成酶、次黄嘌呤鸟嘌呤转磷酸核糖基酶(HGPRT)和次黄嘌呤鸟嘌呤转磷酸核糖基酶等酶的缺乏或活性过高，都能激发痛风发作。而尿酸生成过多的临床病例中，找不到原因的占99%以上，而因肾脏排泄尿酸能力低下所致的痛风较少见，大都为继发性，系由于药物、毒素或内源性代谢产物的影响，使肾排泄尿酸能力低下，或因再吸收增加所致。有关尿酸钠结晶如何出现于关节滑液中的来源问题，在大多情况下，尿酸以钠盐形式从过饱和的关节滑液中自行析出。也有先以尿酸钠盐形式沉积在滑膜上，由于病灶破溃，大量尿酸钠盐结晶出现在关节滑液中。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5834', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '246', '临床表现', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;痛风的全过程可以分成四个阶段：无症状高尿酸血症，急性痛风性关节炎，痛风缓解期和有痛风石形成的慢性痛风。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)无症状高尿酸血症：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;此期血尿酸值增高，但无症状。男性可在青春期即已有血尿酸增高，而女性则可延迟至绝经后才出现。因酶缺乏的高尿酸血症则于出生时便有。高尿酸血症可持续终身而无症状，但潜伏着发作急性关节炎与尿路结石的危险。一般无症状高尿酸血症大约要维持20～30年之久才出现症状。有先发作肾绞痛后再有第1次关节炎发作，甚至有相隔10年以上才有第1次关节炎发作。没有发作过关节炎的高尿酸血症者出现肾结石，不应诊断为痛风。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)急性痛风性关节炎：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;在发生率方面，以男性为主，女性很少见。在年龄方面，大都在30～50岁之间，女性主要为绝经后妇女。30岁以前发病的要提高警惕，恐怕是特殊性酶缺乏，或为一种罕见的肾实质疾病。急性痛风性关节炎发作往往有诱因，常见的诱因为创伤、饮酒、药物与手术。往往小外伤后可诱发，引起急性发作往往在夜间，数小时内局部即出现红、热及明显压痛，关节迅速肿胀，并伴有发热、白细胞增多与血沉增快等全身性症状。疼痛往往十分剧烈，轻轻按压便可有剧烈疼痛，患者往往在夜间痛醒，捧着脚趾而彻夜不眠。轻型急性痛风性关节炎数小时内即可自行缓解，中度的也可维持1～2天，重型的可连续数天至数周。缓解后即进入缓解期。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(3)痛风缓解期：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;有些病例终身只发1次便不再发作，也有两次发作间隔很久，可达5～10年，一般在6个月至2年内便会有第二次发作。通常病程愈长，发病愈勤。多次发作的大都为多关节型，病情更重，病程更长，并出现了X线变化。多次发作关节就不能再恢复到像原来一样。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(4)慢性痛风：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;该期特征为有痛风石形成，从痛风第1次发作到形成痛风石所需时间不一，可达3～40余年，也有只发作一次便形成痛风石的。痛风石的出现是尿酸钠盐沉积在软骨、滑膜、肌腱和软组织的结果。出现痛风石的典型部位为耳轮，也可发生在手指、手掌、足趾与足底，发生在尺骨鹰嘴、滑囊和跟腱内也不少见。痛风石虽然不痛，但形成过多会毁损关节而造成手足畸形。痛风石表面皮肤可以变得十分菲薄并有色素沉着，甚至溃破，挤出牙膏样物质，内含许多细针状结晶，此时病变已到后期。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5835', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '246', 'X线表现', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;诊断痛风主要取决于临床而不能依赖X线片。X线检查的主要价值为除外其他疾病和有无并发症。痛风的X线表现主要有下列数种：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)腐蚀：痛风的特征性X线表现为边缘清晰的圆凿状骨缺损，直径约5mm或更大些，最典型的部位为趾跖趾关节第一跖骨头部的内侧，双侧对称，状如梅花；指(趾)骨的基底部出现腐蚀也很常见。腐蚀可呈进行性，使整块跖骨或跖骨头部蛀空成蜂窝状，甚至溶解消失。至后期，关节破坏极为广泛，软骨毁损，关节间隙变窄，畸形十分严重。腐蚀虽为痛风的早期X线征象，但却发生在疾病的后期。必须多次急性发作才会出现腐蚀性改变。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)软组织肿胀：痛风急性发作时有液体渗出至关节腔内，因此最早期的X线征象是软组织肿胀影，其密度与软组织相同，但肿块附近的骨骼必然有骨腐蚀存在。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(3)钙化：痛风石形成较久的其内部可以钙化，使肿块密度增高并隐约可见钙化阴影。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(4)尿路结石。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5836', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '246', '诊断和鉴别诊断', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;诊断痛风主要依靠典型的临床表现与实验室检查有高尿酸血症。X线片表现出现较迟，不能帮助作出早期诊断。在肿胀关节内抽出关节液，并在滑液中找到细针状尿酸结晶是诊断痛风的有力佐证。晚期病例也可以从溃破伤口内挤出牙膏样物质找到尿酸结晶。以往认为国内痛风很少见，目前看来并不少见。痛风与许多疾病混淆不清。首先痛风必须与外翻滑囊炎相鉴别。痛风者常可伴有外翻，而外翻滑囊炎并非一定就是痛风。外翻滑囊炎不会发热，实验室检查有助于鉴别。痛风常于夜间发作，疼痛十分剧烈，必须与血栓闭塞性脉管炎区别，检查足背动脉搏动有无改变可以很快作出区别。痛风还必须与蜂窝织炎、足癣继发感染等疾病作区别。晚期病例必须与类风湿关节炎鉴别。类风湿关节炎的远端指关节不会出现骨腐蚀，而痛风却好发于这个部位。足部有慢性痛风石者还必须与多发性神经纤维瘤区别。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5837', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '246', '治疗', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;痛风的治疗必须从两个方面着手：控制高尿酸血症和治疗因结晶沉积所引起的炎症。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)控制高尿酸血症：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;有四个途径可以降低血尿酸浓度：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1)控制饮食，减少尿酸的生成：饮食中限制富有嘌呤类食物，如动物内脏，特别是肾、肝等，富含嘌呤的食物如菠菜、芹菜等也应限制。饮酒可以激发痛风急性发作应该限制。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2)促进肾脏加快排泄尿酸：以丙磺舒(probenecid，又名羧苯磺胺)最为常用。首次剂量0.25g口服，每12小时1次；3～4天后剂量增至0.5g，每12小时1次。每周查血尿酸1次，并随时调整剂量，可每次添加0.5g，直到满意控制为止。治疗期间应多饮水，并每天口服碳酸氢钠2～6g以提高小便的pH值。丙磺舒的失败率可达27%～50%，特别是肾功能不好者效果更差。磺吡酮(sulfinpyrazone)为保泰松的代谢衍化物，为有力的加快排泄尿酸药物之一，它可以降低血尿酸，防止痛风石形成，还能消除已生成的痛风石，在某些方面它比丙磺舒优越，特别是肾功能不好的患者。最初剂量为50mg 1日2次，共3～4天；然后增至100mg，1日2次；再每周增加100mg，最大量可达每天800mg，直至尿酸降至理想水平。维持量为每天200～400mg，分3～4次服用。用药期间亦需碱化尿液。属于这类药物的还有苯溴马隆(benzbromarone)，每天剂量25～100mg，毒性反应很低。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3)抑制尿酸的生成：尿酸生成的最后一个步骤为次黄嘌呤转换成黄嘌呤，黄嘌呤再转换成尿酸，这个过程需黄嘌呤酶参与。别嘌醇(allopurinol)及其代谢产物别嘌二醇(oxipurinol)具有抑制黄嘌呤酶的作用，可以抑制尿酸的生成。由于别嘌二醇的半衰期长，一次性用药和将药物分成3次服用其效果完全一样。轻型病例每天300mg，中度病例每天400～600mg，极重病例每天700～1000mg。别嘌醇控制血尿酸是有效的，肾功能正常者在使用后24～48小时内即可降低血及尿中尿酸浓度，4天至2周内达到最佳水平。最好能将血尿酸水平降至2～3mg/dl更为相宜。别嘌醇对消除痛风石也是有效的。随着血尿酸持续维持正常，痛风石可以逐渐吸收，如果6～12个月内没有急性发作，痛风石可有显著缩小。肾功能不良者恢复甚慢。将别嘌醇与促进排泄尿酸的药物合用可以加速沉积的尿酸盐吸收。对有广泛性痛风石形成而肾功能良好者，联合疗法特别有效。别嘌醇延长了丙磺舒的半衰期加强了其排泄功能，但另一方面，丙磺舒却又加速了别嘌二醇的排泄，因此又降低了对黄嘌呤氧化酶的抑制作用。所以两种药物合用的结果是血尿酸浓度比单用丙磺舒的低，比单用别嘌醇的高些，两种药物都在按其自身的药理作用发挥其力量。别嘌醇的重度反应少见，有反应者往往是肾功能不良者。属于这类的药物还有thiopurinol和乳清酸(orotic acid)，效果都不及别嘌醇。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4)加速尿酸的破坏：静脉输入纯净的尿酸酶可以暂时性降低血尿酸，主要用于肾源性高尿酸血症。应用后迅速产生抗体，降低疗效。在选用降低血尿酸的药物中目前偏向于促进排泄类药物或抑制黄嘌呤氧化酶类药物。促进排泄类药物的失败率比别嘌醇高，因此应以别嘌醇为首选药物，不适宜用别嘌醇的，以选用丙磺舒或磺吡酮比较适宜。有广泛性痛风石者可以联合应用两类药物，无症状的高尿酸血症可不予处理。尿中尿酸排泄量可供参考。如果24小时尿中尿酸排泄量大于1100mg，肾结石发生率可高达50%，因此尿中尿酸排泄量高者，应考虑治疗。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)控制结晶性炎症：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;这是对症处理，目的是消除疼痛，保全关节功能。秋水仙素(colchicine)对缓解痛风症状很有效，机制不明。发作时每小时口服0.5g，一般12～24小时内疼痛已缓解，以后每天用0.5～2g，平均为1g，可预防急性发作。不能口服的急性病例，可静脉内给药，每次3mg，6～8小时便可见效。保泰松与非甾体类抗炎药物(NSAIDs)对缓解症状也有效，单关节发作病例在关节内抽液后注入少量肾上腺糖皮质激素，对消除炎症很有效。ACTH对控制痛风急性发作也有效。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(3)手术治疗：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;目前有药物可以有效地控制血尿酸水平，对大型痛风石可以切除或刮除。手术可以激发痛风急性发作，术前用药必须充足。对关节完全损毁者可施行矫形手术，一般施行关节融合术以消除症状。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5838', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '251', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;糖尿病性多发性周围神经病（diabetic polyneuropathy）又称对称性多发性末梢神经病（distal symmetric neuropathy），是最常见的糖尿病性神经系统并发症，病变通常为对称性，下肢重于上肢，以感觉神经和自主神经症状为主，而运动神经症状较轻。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;神经病学</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5839', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '251', '临床表现', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.慢性起病，逐渐进展。多数对称发生，不典型者可以从一侧开始发展到另一侧，主观感觉明显而客观体征不明显。有些神经症状明显但无明显糖尿病症状，甚至空腹血糖正常糖耐量异常，此时需通过神经传导速度检测才能明确诊断。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.感觉症状通常自下肢远端开始，主要表现为烧灼感、针刺感及电击感，夜间重，有时疼痛剧烈难以忍受而影响睡眠。还可以出现肢体麻木感、蚁走感等感觉异常，活动后好转，可有手套—袜套状感觉减退或过敏。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3.自主神经症状较为突出。可出现体位性低血压。此外，皮肤、瞳孔、心血管、汗腺和周围血管、胃肠、泌尿生殖系统均可受累。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4.肢体无力较轻或无，一般无肌萎缩。查体时可见下肢深、浅感觉和腱反射减弱或消失。</p><p style=\"line-height: 2em; text-align: right;\">&nbsp;&nbsp;&nbsp;&nbsp;来源&nbsp; :&nbsp; 神经病学</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5840', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '251', '诊断与鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;诊断主要依据感觉和自主神经症状、血糖异常、肌电图显示神经传导速度减慢。需注意与农药、重金属和一些有机化合物中毒引起的多发性周围神经病相鉴别，仔细询问病史有助于诊断。此外还应注意与癌性周围神经病、亚急性联合变性、慢性炎症性脱髓鞘性多发性周围神经病及遗传性周围神经病鉴别。值得一提的是，有些年轻患者应与晚发的遗传性周围神经病，特别是遗传性运动感觉性神经病的Ⅰ型和Ⅱ型鉴别。后者部分患者合并糖尿病，其运动神经也同样受累并可出现肌肉萎缩，检查常有家族遗传史，神经活检和基因检测等有时可帮助鉴别。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;神经病学</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5841', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '251', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;以控制血糖、改善循环、营养神经治疗为主，给予维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">1</span>、维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">6</span>、维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">12</span>、ATP等药物，也有人认为神经节苷脂-1（GM1）能促进周围神经再生。自发性疼痛可给予卡马西平、苯妥英钠，情绪不稳可用抗焦虑和抗抑郁药物。自主神经症状治疗比较困难，可对症治疗。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;神经病学</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5842', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '251', '预后', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;糖尿病性周围神经病治疗效果不佳，有些患者可发展成厌食、体重下降、抑郁及焦虑，甚至恶病质状态。部分患者出现顽固性肢端溃疡、坏死及反复感染导致败血症。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;神经病学</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5843', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1652', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">高渗性高血糖状态（hyperosmolar hyperglycemic state，HHS）又称为高渗性非酮症高血糖性昏迷（hyperosmolar nonketotic hyperglycemic coma，HNKHC）综合征、高渗性昏迷（hyperosmolar coma）、非酮症高渗性糖尿病昏迷（non-ketotic hyperosmolar diabetic coma）、高渗性非酮症酸中毒糖尿病昏迷（hyperosmolar non-ketoacidosis diabetic coma）和糖尿病高渗性昏迷（diabetic hyperosmolar coma）等。HHS是糖尿病的严重急性并发症之一。最早于1886年被描述，但直到1957年Sament和Schuarty报道后才有大系列病例报告见诸于医学文献。国内在1973年由中科院首都医院内分泌组首次报告了3例。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HHS以严重高血糖、高血浆渗透压、严重失水和中枢神经系统症状，而无酮症酸中毒为特征。以老年T2DM患者多见，偶见于儿童T2DM患者，无性别差异。约1/3的患者病前无糖尿病病史或只有糖耐量异常，少数与糖尿病酮症酸中毒（DKA）合并存在。HHS和DKA属于急性糖代谢紊乱谱的两极，两极之间有许多中间型。值得注意的是，虽然从1985～2002年，美国的成年急性高血糖危象（DKA和HHS）死亡率有所下降（每年下降4.4%），但全球范围内的儿童糖尿病（最小年龄为11岁）并发HHS较以前反而增多。&nbsp;发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HHS患者一般丢失水分100～200ml/kg，钠7～13mmol/kg，氯化物3～7mmol/kg，钾5～15mmol/kg，无机磷70～140mmol/kg，钙50～100mEq/kg，镁50～100mEq/kg。</p><p>严重失水和脑细胞脱水造成HHS</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">大多数患者胰岛β细胞残留一定的功能。Henry等测定了2例HHS患者的血浆胰岛素分别为5μU/ml和12μU/ml，胰岛残留多少功能才会发生HHS并无截然分界线，其共同点是胰岛β细胞残留的功能能抑制脂肪分解，但不能使葡萄糖被组织正常利用。因此，大多数患者只有血糖明显升高，而无DKA。与DKA一样，HHS的发生还有诱因的参与，常见诱因有：①各种应激：应激时有儿茶酚胺和糖皮质激素分泌增多，前者可促进肝糖原分解，释放葡萄糖增加，并抑制胰岛素释放；后者有拮抗胰岛素的作用并促使肝糖异生。因此，两种激素都可使血糖升高。常见的应激为急性感染（如肺炎、胃肠炎和胰腺炎等）、严重外伤、大手术、中暑、脑血管意外和心肌梗死等。②水摄入不足或失水。③糖负荷（如摄取大量糖）可诱发HHS的发生。④某些抑制胰岛素分泌或拮抗胰岛素作用的药物，如二氮嗪、奥曲肽、利尿剂、苯妥英钠、糖皮质激素、氯丙嗪、甲氰米胍和普萘洛尔等。⑤肾功能减退（病前存在或病后发生）对HHS的发生有明显促进作用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HHS的发病机制可能主要涉及3个因素：①血钠明显增高：因口渴中枢不敏感，饮水欲望降低，失水相当严重，致血钠明显增高。②升糖激素和胰岛素抵抗：在感染、外伤、脑血管意外和手术等应激状态下，儿茶酚胺和糖皮质激素分泌增加，进一步抑制胰岛素的分泌，加重胰岛素抵抗，使血糖和血渗透压显著升高。失水和低血钾既刺激皮质醇、儿茶酚胺和胰高血糖素分泌，又进一步抑制胰岛素分泌。③失水与脑细胞脱水：严重高血糖致渗透性利尿，失水多于失盐，低血容量又引起继发性醛固酮增多，使尿钠排出进一步减少。以上病理生理改变导致高血糖、高血钠和高血浆渗透压，以及低血容量和细胞内脱水。脑细胞脱水和脑供血不足使HHS的神经精神症状远比DKA明显。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p><p><br/></p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5844', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1652', 'HHS和DKA的病理生理与临床表现相差悬殊', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰岛素不足导致HHS与DKA，但两者的病理生理和临床表现差别显著的解释是：①HHS时胰岛素不足相对较轻，足以抑制脂肪分解和酮体生成，但不能阻止诱因作用下的血糖升高。②升糖激素（胰高血糖素、儿茶酚胺、生长激素和糖皮质激素等）升高血糖的程度明显，而促进脂肪分解及生酮作用较弱，加上严重失水，不利于酮体生成；部分HHS患者的血浆非酯化脂肪酸（FFA）水平很高而无酮症，提示肝脏还存在酮体生成缺陷；另一方面，高血糖加重失水，不利于糖从肾脏排出又进一步升高血糖。③严重高血糖与酮体生成之间可能存在拮抗作用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HHS不发生酮症的机制除有残余的胰岛素分泌外，可能还有其他原因，如：①严重失水抑制酮体的产生；②严重高血糖拮抗酮体的产生。在DKA与HHS之间有中间型。究竟胰岛素的残余量多少时，才会发生DKA或HHS，至今尚无定论。HHS与DKA可合并存在。不少HHS患者同时有酮症和DKA，也有不少DKA患者的血浆渗透压明显升高。HHS的病理生理和发病机制见图5-28-2。</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527128472199022126.jpg\" title=\"1527128472199022126.jpg\" alt=\"P5-28-2_132996.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 670px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图5-28-2　高渗性非酮症性高血糖昏迷的病理生理与发病机制</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p><p><br/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5845', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1652', '临床表现', '<p>（一） HHS的起病和发展较缓慢</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床表现为严重失水。患者有口唇及口腔黏膜干燥，眼球凹陷，少尿，体重减轻，皮肤弹性差，脉细弱而快，血压偏低，严重者出现休克，甚至可引起急性肾衰竭而少尿或无尿。尽管失水严重，失水体征明显，但患者饮水不多，口渴多不明显。因脑细胞功能受损的主要原因是血浆渗透压增高，患者神志可表现为意识模糊、浅昏迷和深昏迷，还可有失语、幻觉、定向力减退或完全丧失。特征性症状和体征为局灶性抽搐、上肢拍击样震颤、偏盲和锥体束征阳性等。这些中枢神经系统的症状和体征在本综合征治疗后可完全消失，不留后遗症。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">任何类型的急性应激（如感染、中毒、过高热、手术和产科意外等）均可诱发HHS，而神经抑制剂（neuroleptic agents，如氟哌啶醇和利培酮）可能诱发神经抑制剂恶性综合征（neuroleptic malignant syndrome，NMS），并可伴有HHS。因此，引起HHS的诱因大致与DKA相同；个别T2DM可以HHS为首发表现。引起HHS的诱因可分为6类：①各种感染，尤其是革兰阴性细菌感染（如肺炎、泌尿道、胆道和败血症等）：②药物；③糖尿病治疗不规范或治疗的依从性差；④糖尿病的诊疗延迟与遗漏；⑤药物与毒物滥用；⑥非糖尿病合并症。成年HHS的主要病因是未诊断的2型糖尿病、感染和药物；儿童HHS的突出病因是急性胃肠炎和糖皮质激素（表5-28-2）。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表5-28-2　引起HHS的主要诱因</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527128503576063392.jpg\" title=\"1527128503576063392.jpg\" alt=\"T5-28-2_133001.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 509px; table-layout: fixed;\"/></p><p>（二） HHS以严重高血糖/高渗状态/严重失水/中枢神经受损为特征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HHS起病隐匿，一般从开始发病到出现意识障碍需1～2周，偶尔急性起病。常先出现口渴、多尿和乏力等糖尿病症状，或原有的症状进一步加重，多食不明显，有的甚至厌食。反应迟钝，表情淡漠。病情日益加重，逐渐出现典型的HHS表现，主要有严重失水和神经系统两组症状体征：①全部患者有明显失水表现，唇舌干裂；大部分患者血压下降，心率加速；少数呈休克状态；更严重者伴少尿或无尿。②中枢神经系统的损害明显，且逐日加重，最终出现不同程度的意识障碍；当血浆渗透压＞350mOsm/L时，可有定向障碍、幻觉、上肢拍击样粗震颤、癫痫样抽搐、失语、偏盲、肢体瘫痪、昏迷及锥体束征阳性等表现；病情严重者可并发脑血管意外或遗留永久性脑功能障碍。</p><p>（三） HHS并发休克/急性肾衰/血栓栓塞/脑血管意外/横纹肌溶解</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">文献中各家报道的死亡率相差悬殊，但总的来看，死亡率较以前有明显下降，死亡率相差悬殊的原因与病情轻重、诊断和治疗是否及时及病前患者身体状态和其他疾病有关。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">大多数HHS患者不是死于高渗状态，而是死于并发症。HHS患者由于失水致血液浓缩以及高血糖使血液黏滞度增高，血流缓慢，如未得到及时的合理治疗，患者易并发血管栓塞。HHS抢救失败的主要原因是高龄、肾衰竭、感染及败血症、消化道出血、休克、大动脉血栓栓塞、心肌梗死、脑水肿、垂体出血或横纹肌溶解（rhabdomyolysis）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">横纹肌溶解是一种常见的严重并发症。患者表现为肌肉疼痛、乏力、发热和肾功能损害，血肌酸和肌酸激酶明显升高，尿中可检测出肌红蛋白。糖尿病患者出现横纹肌溶解时，有以下可能原因：①暴发性糖尿病和酮症倾向性糖尿病；②HHS；③合并血脂谱异常患者使用他汀类药物，偶尔见于贝特类药物或胰岛素增敏剂；④其他合并症，如大型手术、感染和水电解质平衡紊乱等；⑤严重低钾血症。HHS患者并发横纹肌溶解往往存在多种病因，应注意鉴别。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p><p><br/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5846', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1652', '根据意识障碍伴明显脱水和血糖显著增高诊断HHS', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">下列情况强烈提示HHS可能：①多饮、口渴和多尿等较前明显加重；②进行性意识障碍伴明显脱水；③在大量服糖、静脉输糖或应用糖皮质激素、苯妥英钠和普萘洛尔后出现多尿和意识障碍；④在感染、心肌梗死、严重创伤和外科手术等应激下出现多尿；⑤水摄入不足、失水或应用利尿剂、脱水治疗及透析治疗者；⑥无其他原因可解释的中枢神经系统的症状和体征；⑦尿糖强阳性，尿比重增高；⑧血糖显著增高。对上述可疑者，应立即做相应的实验室检查，包括血糖、血电解质、血尿素氮、血肌酐、血气分析、血酮体、尿糖和心电图等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">确诊HHS的根据主要是：①血糖大于33.3mmol/L；②有效血浆渗透压≥320mOsm/L，血浆渗透压大于350mOsm/kg·H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O；③血清碳酸氢根≥15mmol/L，或动脉血pH≥7.30，血酮体和尿酮阴性或轻度升高；④尿糖呈强阳性，而尿酮阴性或为弱阳性。至于好发于老年T2DM，临床上有严重失水、中枢神经系统的症状和体征以及意识障碍可作为诊断参考，但不具特异性。由于HHS可与DKA或乳酸酸中毒并存，当上述诊断标准中的①、③和④缺乏或不完全符合时，不能否定HHS的诊断。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">必须注意，当血糖显著升高时，实验室报告的血清钠水平应予校正，否则可误导治疗。血钠校正的公式是：血钠（mmol/L） +［1.65×（血糖mg/dl）-100］/100；例如，如果实验室报告的血清钠为145mmol/L，血糖为1100mg/dl（61.1mmol/L），那　么　校　正　的　血　清　钠=145+［1.65×（1100-100）］ /100=（145+16.5）mmol/L=161.5mmol/L。有些人在计算渗透压时还包括了血钾，但美国ADA未将血钾作为校正渗透压的因素。例如，报告的血钠为150mmol/L，血糖为1100mg/dl，那么计算的渗透压=（2×150）+1100/18=300+51=351mOsm/L（kg）。</p><p>1. 显著高血糖</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血糖显著升高，一般超过33.3mmol/L，最高可达267mmol/L（4800mg/dl）。血钠多升高，可达155mmol/L以上，但由于HHS同时存在使血钠及血钾升高和降低的多种病理生理改变，未经治疗HHS的血钠和血钾高低不一。血尿素氮、肌酐和酮体常增高，多为肾前性（失水所致），也可能是肾脏病变所致；如尿素氮和血肌酐不随HHS治疗好转而下降或进一步升高，提示预后不良。血酮正常或略高，一般不超过4.8mmol/L（50mg/dl）。</p><p>2. 显著高血渗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是HHS的重要特征性依据，一般在350mOsm/L以上，血浆总渗透压是指血浆有效渗透压（包括葡萄糖）与能自由通过细胞膜的尿素氮形成的渗透压之和。血浆总渗透压可直接测定，也可用公式计算，即血浆总渗透压（mOsm/L）=2（Na<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>+K<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>）（mmol/L） +血糖（mmol/L） +BUN（mmol/L），因BUN能自由通过细胞膜，不构成细胞外液的有效渗透压，略去之值即为有效血浆渗透压。上述公式内各项指标均以mmol/L表示。如除Na<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>和K<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>以mmol/L表示外，血糖和尿素氮以mg/dl表示，则计算公式为：血浆渗透压mOsm/kg·H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O= 2（Na<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>+K<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>） +血糖（mg/dl）/18+尿素氮（mg/dl）/2.8。绝大多数患者的血浆总渗透压在350mOsm/kg·H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O以上，有效渗透压在320mOsm/kg·H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O以上。</p><p>3. 血渗透压隙升高</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血清渗透压可以直接用渗透压仪测定，这种渗透压称为测量的渗透压（measured osmolality）；不能直接测定时，可以根据血清的阴离子与阳离子之差进行计算，所获得的渗透压称为计算的渗透压（calculated molarity）；而测量的渗透压减去计算的渗透压之差称为血清渗透压隙（osmole gap）。在临床上，血清渗透压隙主要用于下列情况的诊断和病情评价：①根据病史和临床表现，血清渗透压隙（正常者＜10）增高主要见于DKA、循环衰竭、休克、急性酒精中毒、乳酸性酸中毒、脱水剂（尿素、甘露醇和山梨醇等）和急性有毒醇类中毒；如果能够排除内源性因素，那么提示患者摄入了外源性渗透物质（如乙醇或有毒醇类），对于DKA和HHS患者来说，血清渗透压隙可用于与酒精性酮症酸中毒或乳酸性酸中毒的鉴别；②当不能直接检测外源性有毒渗透物质（如乙二醇和甲醇等）时，血清渗透压隙有助于这些有毒物质急性中毒的诊断和鉴别；③血清渗透压隙存在特异性较低的缺点，一般仅作为初筛方法，必要时应当直接测定有毒的渗透物质、血气指标、乳酸、乙醇和酮体。</p><p>4. 血尿素氮/尿比重和黏滞度升高</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一般血尿素氮呈轻至中度升高，尿比重较高而固定，或尿比重不升而固定于1.010左右时，提示肾损害严重。血浆容积减少，血细胞比容增大，血和血浆黏滞度明显增高。血清钠可升高，也可正常。血钾在治疗前多在正常范围内。尿糖呈强阳性，常规检查有尿糖常在4+以上，虽然肾损害使肾糖阈升高，但尿糖阴性者罕见。尿酮阴性或弱阳性，常伴有蛋白尿和管型尿。尿量减少。尿比重升高，尿蛋白可为阳性。镜检可见少数红细胞及管型。</p><p>5. 其他指标</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血浆pH＞7.30，血酮体正常或轻度升高，部分伴有阴离子隙升高的代谢性酸中毒（anion-gap metabolic acidosis，10～12）；如果阴离子隙＞12或更高，必须考虑乳酸性酸中毒和其他有机酸酸中毒可能。有些患者因为严重呕吐和使用较多噻嗪类利尿剂而出现代谢性碱中毒，从而使原有的酸中毒被掩盖或“减轻”，而事实上这种病例的病情更为严重。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p><p><br/></p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5847', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1652', '鉴别诊断', '<p>（二） HHS与糖尿病并发昏迷的其他情况鉴别</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">只要检测血糖就可以鉴别HHS与低血糖昏迷；只要检测血乳酸即可鉴别乳酸性酸中毒与HHS，虽然DKA和HHS均可合并高乳酸血症，但血乳酸均小于5mmol/L；只要检测血浆渗透压即可鉴别DKA与HHS。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">其他疾病引起的昏迷可根据病史、临床原发病特征以及无血糖和血浆渗透压升高进行鉴别。例如，DKA的特点是有明确糖尿病病史（以酮症为首发者无），血糖和血酮或血β-羟丁酸明显升高，呼气中有酮味，呼吸深快，神志障碍等。乳酸性酸中毒主要发生于长期或过量服用苯乙双胍（降糖灵）并伴有心、肝、肾疾病的老年糖尿病患者，血糖可偏低或正常，血酮体及尿酮体正常，血乳酸≥5mmol/L，严重时可高达20～40mmol/L，血乳酸/丙酮酸≥30。低血糖昏迷患者在昏迷前有Whipple三联症表现，血糖低于2.8mmol/L（50mg/dl）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HHS与DKA的鉴别要点是血糖、血酮体、血浆渗透压和代谢性酸中毒（表5-28-3）。</p><p>（三） HHS诱发脑血管意外与脑血管意外并应激性高血糖鉴别</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">两种情况的鉴别要点是起病和神志障碍发展缓急、血糖和血浆渗透压，见表5-28-4。</p><p>（四） HHS与其他高渗状态鉴别</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HHS是许多疾病发展过程中的一种临床状态，可见于许多疾病。据报道，可引起HHS的其他疾病有高龄患者失水、恶性高热（malignant hyperthermia）、产科意外与产科并发症、静脉营养治疗、大量摄入高糖饮料、过度饮酒、药物（如抗生素和利哌酮等）、严重感染（如鼻-眼毛霉菌病，rhinoorbital mucormycosis）、急性坏死性胰腺炎（acute necrotizing pancreatitis）、晚期肝硬化、进展型肌营养不良性侧索硬化（advanced amyotrophic lateral sclerosis）、缺血性肠炎、气肿性肾盂肾炎（emphysematous pyelonephritis）、Takotsubo心肌病（Takotsubo cardiomyopathy）和急性肾损伤等。因而，必须进行仔细鉴别。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表5-28-3　高渗性非酮症高血糖昏迷与糖尿病酮症酸中毒的鉴别</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527128563602077882.jpg\" title=\"1527128563602077882.jpg\" alt=\"T5-28-3_133024.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1030px; table-layout: fixed;\"/></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">注：+：阳性，随“+”的增加，阳性的程度越高；-：阴性</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表5-28-4　HHS并发脑血管意外与单纯性脑血管意外的鉴别</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527128585451092531.jpg\" title=\"1527128585451092531.jpg\" alt=\"T5-28-4_133025.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1029px; table-layout: fixed;\"/></p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p><p><br/></p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5848', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1652', '治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HHS的病情危重，病死率高达40%以上，故需特别强调有效预防、早期诊断和积极治疗。本综合征一旦确诊，应积极抢救：①尽早补液；②补液后开始持续胰岛素补充；③补钾；④去除诱因；⑤治疗并发症和加强监护。</p><p>（一） 及早和足量补液</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">及早和足量补液是成功抢救HHS的关键。补液治疗的原则是早期、积极、足量和防止发生严重的水中毒，特别是要早期预防因严重低钠血症导致的中枢脑桥脱髓鞘综合征（central pontine myelinolysis syndrome）。</p><p>1. 补液总量和速度</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HHS患者丢失体内水可达体重的12%。补液总量可按患者病前体重的10%～12%估算，或根据公式计算：补液量=病前体重（kg）×0.6×0.25×1000，补液速度应先快后慢。如患者无心肺疾病，一般头2小时内静脉输入2000ml生理盐水。生理盐水渗透压相对于患者血浆渗透压而言是低渗液。输液中监测尿量和心功能，必要时进行中心静脉压及血浆渗透压监测下调整补液量和补液速度。一般当血钠降至150mmol/L后或血渗透压降至330mOsm/kg·H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O后，输液速度应减慢，并根据血渗透压的下降速度进行调整，禁忌一次性或持续输入大量低渗液体。</p><p>2. 生理盐水和低渗盐水</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一般先静脉输入生理盐水。如果补液2小时后，血浆总渗透压仍大于350mOsm/kg·H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O，血钠＞150mmol/L，而血压正常，可改输低渗盐水（0.45%或0.6%的氯化钠溶液）；如果血清钠很高，可在快速补液保持血压不下降的同时，给予静滴或肌注排钠利尿剂，如呋塞米等，每次注射20mg，并根据尿排出量调整输液速度。如果补液2小时后，血浆总渗透压仍大于350mOsm/kg·H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O，血钠＞150mmol/L，而同时血压低或有休克，则仍以输生理盐水为首选，或补充血浆等胶体溶液（100～200ml）。</p><p>3. 5%葡萄糖液和5%葡萄糖盐液</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">当血糖降到16.7mmol/L，则改输5%葡萄糖液，其中按2∶1［葡萄糖（g）∶胰岛素（U）］加入短效胰岛素。5%葡萄糖液的渗透压为278mmol/L，虽为等渗，但糖浓度约为正常血糖的50倍，5%葡萄糖盐液的渗透压为586mmol/L。因此，在治疗早期两者均不适用。生理盐水的渗透压为308mmol/L，当属首选。当血糖降到16.7mmol/L时，则改输等渗的5%葡萄糖液。在补给外源性胰岛素（每3～4g葡萄糖加短效胰岛素1U）时，应当注意的是：①当治疗后4小时，每小时血糖下降少于2mmol/L时，胰岛素剂量应加倍；②治疗头2小时每小时血糖下降大于5.6mmol/L时，胰岛素剂量应减半。患者高渗状态已解除，可进食，则可停止从静脉滴注胰岛素，改用皮下注射，或者恢复发病前所用的口服降糖药。如果发病前无糖尿病，治疗后血糖及口服糖耐量也正常，则停止一切降糖药并追踪观察。</p><p>4. 口服生理盐水或水溶液</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如果患者可口服，则可经口摄入生理盐水或水，可减少静脉输液量，特别适用于有心肺疾病和输液速度不可很快的患者。文献报道，用常规补液仍不能使本综合征患者的血浆渗透压降低，而经右锁骨下静脉将导管插入到上腔静脉滴注无菌蒸馏水可使患者血浆渗透压降低，但临床需要采用此种输液方法者罕见，而且也存在极大的风险（如溶血等）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在12小时内输入总量的一半，其余一半在24小时内补给。在输液总量中，除按估计失水量外，还应加入患者每日尿量及不可见的失水量。应当注意的是输液过程中，应监测血浆渗透压。血浆渗透压下降过快，易并发脑水肿。</p><p>（二） 适时补充胰岛素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HHS患者胰岛素补充的基本原则是：①胰岛素补充必须在补充液体和纠正循环衰竭有效后进行；如果胰岛素补充过早，可因大量液体进入细胞内而诱发低血压、循环衰竭甚至死亡；②与DKA不同，HHS患者应该先给予速效胰岛素（每小时0.1U/kg）静脉注射，直至血糖降至250～300mg/dl（13.9～16.7mmol/L），继而用葡萄糖-胰岛素-钾盐溶液维持；③控制血糖下降的速度在每小时50～70mg/dl，如果血糖的下降速度慢于每小时70mg/dl，液体和胰岛素的补充量应适当增加；④当患者能进食后，胰岛素的给药途径改为皮下，或是过渡到HHS前的治疗方案。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">导致HHS血浆渗透压升高的主要原因是高血糖，尽管患者有残余的胰岛素分泌，但不足以使葡萄糖的利用正常。因此必须补充一定量的外源性胰岛素，一般采用小剂量（约5U/h）胰岛素静脉持续滴注，也有作者主张持续静脉滴注前，静脉推注胰岛素20U。同样，对HHS患者也可采用胰岛素泵治疗。</p><p>（三） 合理补钾</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HHS患者的血钾水平和机体钾缺乏程度受病情、病期、肾脏合并症、治疗状况等因素的影响，有时血钾波动大且变化迅速，因此一般应在心电图监护下决定钾的输入速度和剂量，并随时进行调整。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于高血糖所引起的渗透性利尿使肾脏排钾增多可机体蛋白质消耗，故缺钾可能相当严重，但血钾水平可降低、正常或升高。估计一般患者的失钾量可达400～1000mmol。如无高钾血症，每小时尿量达30ml，在开始补液时即需补钾，否则在补液和滴注胰岛素过程中会发生低钾血症。可将10%氯化钾溶液20～30ml加入到1000ml生理盐水中静脉滴入，并每天监测血钾或用心电图监护。如患者可口服，则可经口补钾。每日口服钾盐4～6g，在停止静脉补钾后连服1周。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HHS患者的体内钾丢失一般为5～10mmol/kg（总量400～1000mmol），但因失水和高渗状态，血钾可正常甚或升高，而在输注生理盐水过程中常出现严重低钾血症，故应及时补充，其方法与用量见DKA的治疗。</p><p>（四） 处理其他并发症与合并症1. 脑水肿治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HHS或DKA患者的脑水肿症状往往不明显，但从脑电图和CT扫描上看，多数患者在起病24小时后存在无症状性脑水肿，其原因有：①补充液体后，渗透分子的扩散缓慢，并在细胞外和细胞内形成渗透压梯度，促进水分进入细胞内；②胰岛素促进渗透压分子进入细胞内和细胞间液；③补充钠盐。因此必须控制水盐的输注速度。</p><p>2. 成人呼吸窘迫综合征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">成人呼吸窘迫综合征（adult respiratory distress syndrome）是DKA过程中的一种非心源性肺水肿表现，其特点是患者的动脉氧分压呈进行性下降，其发生机制与脑水肿相似，处理的要点是，缩减输液量，并减慢输液速度，同时给予相应的对症治疗。</p><p>3. 血管栓塞</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血管栓塞（vascular thrombosis）可见于HHS和DKA患者，主要原因是失水和血管充盈不足，如果患者原有高凝状态和高脂血症，则更易于发生。低分子量肝素是否有效未明。如果患者的高凝状态很明显，其并发静脉血栓栓塞的风险很高，应该进行预防性抗凝治疗。</p><p>4. 低血糖症和低钾血症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">应在开始胰岛素治疗时即重视预防，一旦发生，应尽快纠正，使用过大量胰岛素的患者，其低血糖症和低钾血症需要治疗和严密监测数日，否则病情容易反弹。</p><p>5. 对症支持治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HHS可并发休克和急性肾衰竭。如果是由于失水所致，则在补液过程中可自行纠正；如为其他原因所致，则应按病因进行治疗。如为横纹肌溶解症（rhabdomyolysis）或心源性休克，则应按该并发症的原发性疾病进行治疗。HHS发生血栓栓塞（venous thromboembolism），大血管栓塞可导致死亡，应采用抗凝等治疗，但抗凝剂不作为常规预防血栓栓塞的药物。其他并发症均应采取相应治疗措施。昏迷患者不论有无感染，均应选用适当抗生素以预防或治疗感染。如合并DKA，应按DKA治疗原则纠正酸中毒；有时可伴发乳酸酸中毒，应注意识别，随着失水的纠正和胰岛素的应用，乳酸酸中毒多可自行恢复。但是，高龄、严重感染、重度心衰、肾衰、急性心肌梗死和脑梗死患者常导致抢救失败。患者即使存活，其预后不良。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p><p><br/></p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5849', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1652', '参考文献', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1. Kitabchi AE，Nyenwe EA. Hyperglycemic crises in diabetes mellitus：diabetic ketoacidosis and hyperglycemic hyperosmolar state. Endocrinol Metab Clin North Am，2006，35（4）：725-51，viii.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2. Chen HF，Wang CY，Lee HY，et al.Short-term case fatality rate and associated factors among inpatients with diabetic ketoacidosis and hyperglycemic hyperosmolar state：a hospital-based analysis over a 15-year period. Intern Med，2010，49（8）：729-37.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3. Rosenbloom AL. Hyperglycemic crises and their complications in children.J Pediatr Endocrinol Metab，2007，20（1）：5-18.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4. Bhowmick SK，Levens KL，Rettig KR. Hyperosmolar hyperglycemic crisis：an acute life-threatening event in children and adolescents with type 2 diabetes mellitus. Endocr Pract，2005，11（1）：23-9.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5. Rosenbloom AL. Hyperglycemic hyperosmolar state：an emerging pediatric problem. J Pediatr，2010，156（2）：180-4.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">6. Rosenbloom AL. Hyperglycemic crises and their complications in children. J Pediatr Endocrinol Metab，2007，20（1）：5-18.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">7. Gonzalez JM，Edlow AG，Silber A，et al. Hyperosmolar hyperglycemic state of pregnancy with intrauterine fetal demise and preeclampsia. Am J Perinatol，2007，24（9）：541-3.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">8. Rock W，Elias M，Lev A，et al. Haloperidol-induced neuroleptic malignant syndrome complicated by hyperosmolar hyperglycemic state. Am J Emerg Med，2009，27（8）：1018.e1-3.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">9. Cerimele JM. Hyperosmolar hyperglycemic state in a patient taking risperidone. Prim Care Companion J Clin Psychiatry，2008，10（3）：255.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">10. Baluch AR，Oommen SP. Malignant hyperthermia associated with diabetic hyperosmolar hyperglycemic nonketotic state in a young man. J Clin Anesth，2007，19（6）：470-2.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">11. Lin PY，Wang CY，Wang JY. Hyperosmolar hyperglycemic state induced myocardial infarction：a complex conjunction of chronic and acute complications with diabetes mellitus. J Cardiovasc Med（Hagerstown），2010，11（2）：127-9.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">12. Izumi T，Shimizu E，Imakiire T，et al. A successfully treated case of hyperosmolar hyperglycemic state complicated with rhabdomyolysis，acute kidney injury，and ischemic colitis. Intern Med，2010，49（21）：2321-6. Epub 2010 Nov 1.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">13. Huang Z，Xu L，Li F，Deng W，Li Y. Fulminant type 1 diabetes mellitus with rhabdomyolysis：have we overlooked the situation？Diabetes Res Clin Pract，2010，90（3）：e47-9.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">14. da Silva PM. Are all statins the same？focus on the efficacy and tolerability of pitavastatin. Am JCardiovasc Drugs，2011，11（2）：93-107.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">15. Koro CE，Sowell MO，Stender M，Qizilbash N. Clin Ther，2008，30 （3）：535-42.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">16. Lynd LD，Richardson KJ，Purssell RA，et al. An evaluation of the osmole gap as a screening test for toxic alcohol poisoning. BMC Emerg Med，2008，8：5.</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">17. Keenan CR，Murin S，White RH. High risk for venous thromboembolism in diabetics with hyperosmolar state：comparison with other acute medical illnesses. J Thromb Haemost，2007，5（6）：1185-90</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">18. Park J，Kim DJ，Kim HY，et al. Extensive venous thrombosis of the upper extremity in a diabetic patient with a hyperosmolar hyperglycemic state. Korean J Intern Med，2006，21（4）：244-7.</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p><p><br/></p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5850', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '279', '概述', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;偏头痛是一种临床常见的慢性神经血管性疾患,各国报道的年患病率,女性为3.3%~32.6%,男性为0.7%~16.1%。偏头痛可发生于任何年龄,首次发病多于青春期。青春期前的儿童患病率约为4%,男女相差不大。青春期后,女性患病率增高远较男性为著,约40岁前后达到高峰。偏头痛对生活质量的影响很大,超过1/2的患者的头痛会影响工作或学习,近1/3的患者可因头痛而缺工或缺课。世界卫生组织(WHO)发布的2001年世界卫生报告将常见疾病按健康寿命损失年(YearsLivedwithDisability,YLD)进行排列,偏头痛位列前20位,并将严重偏头痛定为最致残的慢性疾病,类同于痴呆、四肢瘫痪和严重精神病。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;偏头痛者发生缺血性卒中、不稳定心绞痛和短暂性脑缺血发作(transientischemicattack,TIA)均高于无偏头痛者。尤其是有先兆偏头痛者发生卒中的风险更高,还与冠心病的高风险有关。此外,偏头痛还可以导致亚临床的脑白质病变,偏头痛者后循环无症状性脑梗死的发病率升高,偏头痛者头颅MRI出现脑白质病变的风险比无偏头痛者升高,即使没有脑血管危险因素的年轻偏头痛者,该风险也升高。偏头痛的反复发作还可导致认知功能下降,主要为言语能力的下降。偏头痛还可与多种疾病共患,如癫痫、抑郁症及情感性精神障碍。女性有先兆偏头痛患者出现抑郁以及抑郁伴发焦虑的比例较无先兆偏头痛者高。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5851', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '279', '临床表现', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;偏头痛发作可分为前驱期、先兆期、头痛期和恢 复期,但并非所有患者或所有发作均具有上述四期。同一患者可有不同类型的偏头痛发作。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(一)前驱期：头痛发作前,患者可有激惹、疲乏、活动少、食欲改变、反复哈欠及颈部发硬等不适症状,但常被患者忽略,应仔细询问。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(二)先兆期先兆指头痛发作之前出现的可逆的局灶性脑功能异常症状,可为视觉性、感觉性或语言性。视觉先兆最常见,典型的表现为闪光性暗点,如注视点附近出现!之∀字形闪光,并逐渐向周边扩展,随后出现!锯齿形∀暗点。有些患者可能仅有暗点,而无闪光。其次是感觉先兆,表现为以面部和上肢为主的针刺感、麻木感或蚁行感。先兆也可表现为言语障碍,但不常发生。先兆通常持续5~30分钟,不超过60分钟。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(三)头痛期约60%的头痛发作以单侧为主,可左右交替发生,约40%为双侧头痛。头痛多位于颞部,也可位于前额、枕部或枕下部。偏头痛的头痛有一定的特征,程度多为中至重度,性质多样但以搏动性最具特点。头痛常影响患者的生活和工作,行走、登楼、咳嗽或打喷嚏等简单活动均可加重头痛,故患者多喜卧床休息。偏头痛发作时,常伴有食欲下降,约2/3的患者伴有恶心,重者呕吐。 头痛发作时尚可伴有感知觉增强,表现为对光线、声音和气味敏感,喜欢黑暗、安静的环境。其他较为少见的表现有头晕、直立性低血压、易怒、言语表达困难、记忆力下降、注意力不集中等。部分患者在发作期会出现由正常的非致痛性刺激所产生的疼痛(allodynia)。&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(四)恢复期头痛在持续4~72小时的发作后可自行缓解,但患者还可有疲乏、筋疲力尽、易怒、不安、注意力不集中、头皮触痛、欣快、抑郁或其他不适。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5852', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '279', '分类', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;一、国际头痛及偏头痛的分类 2004年,IHS推出了第二版!头痛疾患的国际分类,将头痛疾患分成:原发性头痛,继发性头痛,脑神经痛、中枢和原发性颜面痛及其他头 痛。偏头痛属原发性头痛,分6个亚型,亦可再行细分(见表2)。最常见的为无先兆偏头痛(以前称为普通型偏头痛)和有先兆偏头痛(以前称为典型偏头痛)。</p><p style=\"text-align: left;\"><span style=\"font-family:宋体\">表</span>1 <span style=\"font-family:宋体\">偏头痛常见的诱发因素</span></p><table width=\"568\"><tbody><tr class=\"firstRow\"><td width=\"127\" valign=\"top\" style=\"border-width: 1px; border-color: windowtext; padding: 0px 7px; border-style: solid;\"><p><span style=\"font-family:宋体\">内分泌因素</span></p></td><td width=\"441\" valign=\"top\" style=\"border-width: 1px; border-top-color: windowtext; border-right-color: windowtext; border-bottom-color: windowtext; border-style: solid; border-left-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">月经来潮、排卵、口服避孕药、激素替代治疗</span></p></td></tr><tr><td width=\"127\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">饮食因素</span></p></td><td width=\"441\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">酒精、富含亚硝酸盐的肉类、味精、天冬酰苯丙氨酸甲酯、巧克力、干酪、饮食不规律</span></p></td></tr><tr><td width=\"127\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">心理因素</span></p></td><td width=\"441\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">紧张、应激释放</span>(<span style=\"font-family:宋体\">周末或假期</span>)<span style=\"font-family:宋体\">、焦虑、烦恼、抑郁</span></p></td></tr><tr><td width=\"127\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">自然环境因素</span></p></td><td width=\"441\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">强光、闪烁等视觉刺激、气味、天气变化、高海拔</span></p></td></tr><tr><td width=\"127\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">睡眠相关因素</span></p></td><td width=\"441\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">睡眠不足、睡眠过多</span></p></td></tr><tr><td width=\"127\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">药物作用</span></p></td><td width=\"441\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">硝酸甘油、西洛他唑、利血平、肼苯达嗪、雷尼替丁等</span></p></td></tr><tr><td width=\"127\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">其他因素</span></p></td><td width=\"441\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">头部创伤、强体力活动、疲劳等</span></p></td></tr></tbody></table><p style=\"text-align: left;\">表2 ICHD II偏头痛分型</p><table width=\"568\"><tbody><tr class=\"firstRow\"><td width=\"284\" valign=\"top\" style=\"border-width: 1px; border-color: windowtext; padding: 0px 7px; border-style: solid;\"><p><span style=\"font-family:宋体\">无先兆偏头痛</span></p></td><td width=\"284\" valign=\"top\" style=\"border-width: 1px; border-top-color: windowtext; border-right-color: windowtext; border-bottom-color: windowtext; border-style: solid; border-left-color: initial; padding: 0px 7px;\"><br/></td></tr><tr><td width=\"284\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">有先兆偏头痛</span></p></td><td width=\"284\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">伴典型先兆的偏头痛性头痛</span></p><p><span style=\"font-family:宋体\">伴典型先兆的非偏头痛性头痛</span></p><p><span style=\"font-family:宋体\">典型先兆不伴头痛</span></p><p><span style=\"font-family:宋体\">家族性偏瘫性偏头痛</span></p><p><span style=\"font-family:宋体\">散发性偏瘫性偏头痛</span></p><p><span style=\"font-family:宋体\">基底型偏头痛</span> &nbsp;</p></td></tr><tr><td width=\"284\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">常为偏头痛前驱的儿童周期性综合征</span></p></td><td width=\"284\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">周期性呕吐</span></p><p><span style=\"font-family:宋体\">腹型偏头痛</span></p><p><span style=\"font-family:宋体\">儿童良性发作性眩晕</span></p></td></tr><tr><td width=\"284\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">视网膜性偏头痛</span></p></td><td width=\"284\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><br/></td></tr><tr><td width=\"284\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">偏头痛并发症</span></p></td><td width=\"284\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">慢性偏头痛</span></p><p><span style=\"font-family:宋体\">偏头痛持续状态</span></p><p><span style=\"font-family:宋体\">无梗死的持续先兆</span></p><p><span style=\"font-family:宋体\">偏头痛性脑梗死</span></p><p><span style=\"font-family:宋体\">偏头痛诱发的痫样发作</span></p></td></tr><tr><td width=\"284\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">很可能的偏头痛</span></p></td><td width=\"284\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">很可能的无先兆偏头痛</span></p><p><span style=\"font-family:宋体\">很可能的有先兆偏头痛</span></p><p><span style=\"font-family:宋体\">很可能的慢性偏头痛</span></p></td></tr></tbody></table><div style=\"width: 15px; height: 15px; background-image: url(&quot;http://192.168.2.201:5080/icssmanager-web/icssmanager/plugins/utf8-jsp/dialogs/table/dragicon.png&quot;); position: absolute; cursor: move; top: 258px; left: 8px; user-select: none;\"></div>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5853', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '279', '诊断', '<p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; (一) 病史采集详细可靠的病史对诊断至关重要。多数患者并不会对症状做出主动细致的描述,故医生应注意与患者保持良好的沟通,对患者进行耐心的引导,要求患者着重描述最受困扰的、未经治疗的典型头痛的发作情况,同时兼顾其他的头痛症状。必要时可使用问卷或要求患者记录头痛日记(参见附录1)以获取准确病史。应要求患者着重描述典型的、未接受止痛治疗的发作情况,同时兼顾其他的症状。 首先,应询问头痛的疼痛特征,包括头痛的部位、性质、严重程度、持续时间、诱发因素、伴随症状,对工作、学习及日常活动的影响。头痛的伴随症状对头痛的诊断十分重要。是否伴有恶心、呕吐、畏光、畏声及其他自主神经症状是鉴别原发性头痛的关键,发热、抽搐、偏瘫、意识障碍等症状常提示继发性头痛的可能。头晕、睡眠、精神状况等亦需关注。要注意探寻头痛的诱因、前驱症状、加重或缓解因素。帮助患者回忆头痛是否与月经、劳累、紧张、饮食、气候等因素有关;头痛前有无疲乏、情绪波动、身体不适、视觉模糊、感觉运动异常等症状;头痛是否会因用力、咳嗽、打喷嚏、头部转动、行走、爬楼等日常体力活动而加重,头痛时患者是否会不愿进行这些日常活动。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; 此外,要留意患者的家族史、既往病史、外伤尤其颅脑外伤)史、药物治疗史,要了解患者的工作、家庭生活、心理压力等情况。&nbsp;</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; (二)体格检查体格检查应全面而有重点。除体温、血压等生命体征外,着重检查头面部、颈部和神经系统。注意查看有无皮疹,有无颅周、颈部、副鼻窦压痛以及颞动脉、颞颌关节异常。对每个患者,特别是初诊患者,均应进行眼底检查明确有无视盘水肿并检查脑膜刺激征。通过意识、言语、脑神经、运动、感觉和反射检查,明确是否存在神经系统受损的体征。注意评价患者有无抑郁、焦虑等情况。 虽然偏头痛患者的体格检查往往没有异常发现,但医生认真的体检会给患者以宽慰,这对头痛患者尤为重要。&nbsp;</p><p style=\"line-height: 2em;\"><span style=\"font-size: 12px;\">&nbsp; &nbsp; &nbsp; (三)预警信号有些患者的病程短或临床表现不典型,应在询问病史和体格检查时,特别注意一些!预警信号∀即由某些特殊病因所引起的特别症状和体征,包括:(1)伴有视盘水肿、神经系统局灶症状和体征(除典型的视觉、感觉先兆外)或认知障碍;(2)突然发生的、迅速达到高峰的剧烈头痛(霹雳样头痛);(3)伴有发热;(4)成年人尤其是50岁后的新发头痛;(5)有高凝风险的患者出现的头痛;(6)有肿瘤或艾滋病史者出现的新发头痛;(7)与体位改变相关的头痛。一旦出现,应引起警惕,及时进行相应的辅助检查。&nbsp;</span></p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; (四) 偏头痛的诊断标准无先兆和有先兆偏头痛诊断标准</p><p>1. 无先兆偏头痛的诊断标准：</p><table width=\"568\"><tbody><tr class=\"firstRow\"><td width=\"568\" valign=\"top\" style=\"border-width: 1px; border-color: windowtext; padding: 0px 7px; border-style: solid;\"><p style=\"margin-left:42px;text-indent:0\">A. <span style=\"font-family:宋体\">符合</span>B-D<span style=\"font-family:宋体\">项特征的至少</span>5<span style=\"font-family:宋体\">次发作</span> &nbsp;</p><p style=\"margin-left:42px\">B.&nbsp; <span style=\"font-family:宋体\">头痛发作</span>(<span style=\"font-family:宋体\">未经治疗或治疗无效</span>)<span style=\"font-family:宋体\">持续</span>4~72<span style=\"font-family:宋体\">小时</span></p><p style=\"margin-left:42px\">C.&nbsp; <span style=\"font-family:宋体\">至少有下列中的</span>2<span style=\"font-family:宋体\">项头痛特征</span> &nbsp;</p><p style=\"margin-left:56px;text-indent:0\">1.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">单侧性</span> </p><p style=\"margin-left:56px;text-indent:0\">2.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">搏动性</span> </p><p style=\"margin-left:56px;text-indent:0\">3.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">中或重度疼痛</span>&nbsp;</p><p style=\"margin-left:56px;text-indent:0\">4.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">日常活动</span>(<span style=\"font-family:宋体\">如走路或爬楼梯</span>)<span style=\"font-family:宋体\">会加重头痛或头痛时避免此类活动</span></p><p style=\"margin-left:42px\">D.&nbsp; <span style=\"font-family:宋体\">头痛过程中至少伴随下列</span>1<span style=\"font-family:宋体\">项</span> &nbsp;</p><p style=\"margin-left:56px;text-indent:0\">1.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">恶心和</span>(<span style=\"font-family:宋体\">或</span>)<span style=\"font-family:宋体\">呕吐</span> &nbsp;</p><p style=\"margin-left:56px;text-indent:0\">2.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">畏光和畏声</span>E.<span style=\"font-family:宋体\">不能归因于其它疾病</span></p><p>&nbsp;</p></td></tr></tbody></table><p>2. <span style=\"font-family:宋体\">有先兆偏头痛的诊断标准</span>:<span style=\"font-family:宋体\">有先兆偏头痛的</span> <span style=\"font-family:宋体\">诊断主要根据先兆特征</span>,<span style=\"font-family:宋体\">需要有</span>2<span style=\"font-family:宋体\">次以上的先兆发作并排除继发性头痛的可能。符合表</span>4<span style=\"font-family:宋体\">中</span>B-D<span style=\"font-family:宋体\">特征的先兆为典型先兆</span>,<span style=\"font-family:宋体\">如果典型先兆后</span><span style=\"font-size: 12px;\">1</span><span style=\"font-size: 12px; font-family: 宋体;\">小时内出现偏头痛性头痛发作</span><span style=\"font-size: 12px;\">,</span><span style=\"font-size: 12px; font-family: 宋体;\">即可诊断为伴典型先兆的偏头痛性头痛</span><span style=\"font-size: 12px;\">(</span><span style=\"font-size: 12px; font-family: 宋体;\">见表</span><span style=\"font-size: 12px;\">4)</span><span style=\"font-size: 12px; font-family: 宋体;\">。如果典型先兆后的头痛不符合偏头痛性头痛的特点</span><span style=\"font-size: 12px;\">,</span><span style=\"font-size: 12px; font-family: 宋体;\">则诊断为伴典型先兆的非偏头痛性头痛</span><span style=\"font-size: 12px;\">(</span><span style=\"font-size: 12px; font-family: 宋体;\">见表</span><span style=\"font-size: 12px;\">5)</span><span style=\"font-size: 12px; font-family: 宋体;\">。典型先兆后也可以没有头痛发作</span><span style=\"font-size: 12px;\">,</span><span style=\"font-size: 12px; font-family: 宋体;\">此时诊断为典型先兆不伴头痛</span><span style=\"font-size: 12px;\">(</span><span style=\"font-size: 12px; font-family: 宋体;\">见表</span><span style=\"font-size: 12px;\">6)</span><span style=\"font-size: 12px; font-family: 宋体;\">。一旦先兆期出现肢体无力表现</span><span style=\"font-size: 12px;\">,</span><span style=\"font-size: 12px; font-family: 宋体;\">须考虑偏瘫性偏头痛</span><span style=\"font-size: 12px;\">,</span><span style=\"font-size: 12px; font-family: 宋体;\">若患者的一、二级亲属中有类似发作</span><span style=\"font-size: 12px;\">,</span><span style=\"font-size: 12px; font-family: 宋体;\">则诊断为家族性偏瘫性偏头痛</span><span style=\"font-size: 12px;\">(</span><span style=\"font-size: 12px; font-family: 宋体;\">见表</span><span style=\"font-size: 12px;\">7),</span><span style=\"font-size: 12px; font-family: 宋体;\">否则诊断为散发性偏瘫性偏头痛</span><span style=\"font-size: 12px;\">(</span><span style=\"font-size: 12px; font-family: 宋体;\">见表</span><span style=\"font-size: 12px;\">8)</span><span style=\"font-size: 12px; font-family: 宋体;\">。如果先兆明显地表现出起源于脑干和</span><span style=\"font-size: 12px;\">(</span><span style=\"font-size: 12px; font-family: 宋体;\">或</span><span style=\"font-size: 12px;\">)</span><span style=\"font-size: 12px; font-family: 宋体;\">双侧大脑半球同时受累的症状</span><span style=\"font-size: 12px;\">,</span><span style=\"font-size: 12px; font-family: 宋体;\">且不伴肢体无力时</span><span style=\"font-size: 12px;\">,</span><span style=\"font-size: 12px; font-family: 宋体;\">诊断为基底型偏头痛</span><span style=\"font-size: 12px;\">(</span><span style=\"font-size: 12px; font-family: 宋体;\">见表</span><span style=\"font-size: 12px;\">9),</span><span style=\"font-size: 12px; font-family: 宋体;\">确诊需要下列</span><span style=\"font-size: 12px;\">2</span><span style=\"font-size: 12px; font-family: 宋体;\">项以上的症状</span><span style=\"font-size: 12px;\">:</span><span style=\"font-size: 12px; font-family: 宋体;\">构音障碍、眩晕、耳鸣、听力下降、复视、双鼻侧或双颞侧视野同时出现的视觉症状、共济失调、意识改变、双侧感觉异常等。偏瘫性偏头痛和基底型偏头痛在先兆症状同时或在先兆出现的</span><span style=\"font-size: 12px;\">60</span><span style=\"font-size: 12px; font-family: 宋体;\">分钟内有偏头痛性头痛发作。</span></p><p>&nbsp;<span style=\"font-size: 12px; font-family: 宋体;\">表</span><span style=\"font-size: 12px;\">4 </span><span style=\"font-size: 12px; font-family: 宋体;\">伴典型先兆的偏头痛性头痛的诊断标准</span></p><table width=\"568\"><tbody><tr class=\"firstRow\"><td width=\"568\" valign=\"top\" style=\"border-width: 1px; border-color: windowtext; padding: 0px 7px; border-style: solid;\"><p style=\"margin-left:0;text-indent:0\">A.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">符合</span>B-D<span style=\"font-family:宋体\">特征的至少</span>2<span style=\"font-family:宋体\">次发作</span> &nbsp;</p><p>B.&nbsp; &nbsp; <span style=\"font-family:宋体\">先兆至少有下列的</span>1<span style=\"font-family:宋体\">种表现</span>,<span style=\"font-family:宋体\">没有运动无力症状</span>:</p><p style=\"margin-left:28px;text-indent:0\">1.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">完全可逆的视觉症状</span>,<span style=\"font-family:宋体\">包括阳性表现</span>(<span style=\"font-family:宋体\">如闪光、亮点、亮线</span>) <span style=\"font-family:宋体\">和</span>(<span style=\"font-family:宋体\">或</span>)<span style=\"font-family:宋体\">阴性表现</span>(<span style=\"font-family:宋体\">如视野缺损</span>)</p><p style=\"margin-left:28px;text-indent:0\">2.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">完全可逆的感觉异常</span>,<span style=\"font-family:宋体\">包括阳性表现</span>(<span style=\"font-family:宋体\">如针刺感</span>)<span style=\"font-family:宋体\">和</span>(<span style=\"font-family:宋体\">或</span>) <span style=\"font-family:宋体\">阴性表现</span>(<span style=\"font-family:宋体\">如麻木</span>)</p><p style=\"margin-left:28px;text-indent:0\">3.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">完全可逆的言语功能障碍</span></p><p>C.&nbsp; &nbsp; <span style=\"font-family:宋体\">至少满足下列的</span>2<span style=\"font-family:宋体\">项</span>&nbsp;</p><p style=\"margin-left:28px;text-indent:0\">1.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">同向视觉症状和</span>(<span style=\"font-family:宋体\">或</span>)<span style=\"font-family:宋体\">单侧感觉症状</span>&nbsp;</p><p style=\"margin-left:28px;text-indent:0\">2.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">至少</span>1<span style=\"font-family:宋体\">个先兆症状逐渐发展的过程<a>≥</a></span>5<span style=\"font-family:   宋体\">分钟</span>,<span style=\"font-family:宋体\">和</span>(<span style=\"font-family:宋体\">或</span>)<span style=\"font-family:宋体\">不同</span> &nbsp; <span style=\"font-family:宋体\">先兆症状接连发生</span>,<span style=\"font-family:宋体\">过程≥</span>5<span style=\"font-family:宋体\">分钟</span> &nbsp;</p><p style=\"margin-left:28px;text-indent:0\">3.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">每个症状持续</span>5~60<span style=\"font-family:宋体\">分钟</span> </p><p>D.&nbsp; &nbsp; <span style=\"font-family:宋体\">在先兆症状同时或在先兆发生后</span>60<span style=\"font-family:宋体\">分钟内出现头痛</span>,<span style=\"font-family:宋体\">头痛符合无先兆偏头痛诊断标准</span>B D<span style=\"font-family:宋体\">项</span></p><p>E.&nbsp; &nbsp; <span style=\"font-family:宋体\">不能归因于其它疾病</span></p><p>&nbsp;</p></td></tr></tbody></table><p><span style=\"font-family:宋体\">表</span>5 <span style=\"font-family:宋体\">伴典型先兆的非偏头痛性头痛的诊断标准</span> </p><p><span style=\"font-family:宋体\"></span></p><table width=\"568\"><tbody><tr class=\"firstRow\"><td width=\"568\" valign=\"top\" style=\"border-width: 1px; border-color: windowtext; padding: 0px 7px; border-style: solid;\"><p style=\"margin-left:0;text-indent:0\">A.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">至少</span>2<span style=\"font-family:宋体\">次发作符合标准</span>B~D</p><p style=\"margin-left:0;text-indent:0\">B.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">先兆包括至少以下一条</span>,<span style=\"font-family:宋体\">但是没有运动障碍</span>:&nbsp;</p><p style=\"margin-left:0;text-indent:0\">1.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">完全可恢复的视觉症状</span>,<span style=\"font-family:宋体\">包括阳性症状</span>(<span style=\"font-family:宋体\">如闪烁的光、斑点</span> &nbsp; <span style=\"font-family:宋体\">或线</span>)<span style=\"font-family:宋体\">和</span>/<span style=\"font-family:宋体\">或阴性症状</span>(<span style=\"font-family:宋体\">如视野缺损</span>)</p><p style=\"margin-left:0;text-indent:0\">2.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">完全可恢复的感觉症状</span>,<span style=\"font-family:宋体\">包括阳性症状</span>(<span style=\"font-family:宋体\">如针刺感</span>)<span style=\"font-family:宋体\">和</span>/<span style=\"font-family:宋体\">或</span> &nbsp; <span style=\"font-family:宋体\">阴性症状</span>(<span style=\"font-family:宋体\">如麻木</span>)</p><p style=\"margin-left:0;text-indent:0\">3.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">完全可恢复的言语障碍</span></p><p>C.<span style=\"font-family:宋体\">至少符合以下</span>2<span style=\"font-family:宋体\">条</span>:</p><p style=\"margin-left:28px;text-indent:0\">1.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">双侧视觉症状和</span>/<span style=\"font-family:宋体\">或单侧感觉症状</span>&nbsp;</p><p style=\"margin-left:28px;text-indent:0\">2.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">至少一个先兆症状逐渐发展时间<a>≥</a></span>5<span style=\"font-family:宋体\">分钟和</span>/<span style=\"font-family:宋体\">或不同的先</span> &nbsp; <span style=\"font-family:宋体\">兆症状接连出现∋</span>5<span style=\"font-family:宋体\">分钟</span></p><p style=\"margin-left:28px;text-indent:0\">3.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span>.<span style=\"font-family:宋体\">每个症状<a>≥</a></span>5<span style=\"font-family:   宋体\">分钟并且</span>(60<span style=\"font-family:宋体\">分钟</span> </p><p>D.<span style=\"font-family:宋体\">在先兆期或先兆症状随后</span>60<span style=\"font-family:宋体\">分钟之内出现不符合无先兆偏头痛的</span>B-D<span style=\"font-family:宋体\">标准的头痛</span></p><p>E.<span style=\"font-family:宋体\">不归因于其他疾患</span></p><p>&nbsp;</p></td></tr></tbody></table><p><span style=\"font-family:宋体\"></span></p><p><span style=\"font-family:宋体\">表</span>6 <span style=\"font-family:宋体\">典型先兆不伴头痛的诊断标准</span></p><table width=\"568\"><tbody><tr class=\"firstRow\"><td width=\"568\" valign=\"top\" style=\"border-width: 1px; border-color: windowtext; padding: 0px 7px; border-style: solid;\"><p style=\"margin-left:0;text-indent:0\">A.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">至少</span>2<span style=\"font-family:宋体\">次发作符合标准</span>B~D</p><p style=\"margin-left:0;text-indent:0\">B.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">先兆包括至少以下一条</span>,<span style=\"font-family:宋体\">伴或不伴语言障碍</span>,<span style=\"font-family:宋体\">但是没有运动障碍</span>:</p><p style=\"margin-left:28px;text-indent:0\">1.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">完全可恢复的视觉症状</span>,<span style=\"font-family:宋体\">包括阳性症状</span>(<span style=\"font-family:宋体\">如闪烁的光、斑点</span> &nbsp; <span style=\"font-family:宋体\">或线</span>)<span style=\"font-family:宋体\">和</span>/<span style=\"font-family:宋体\">或阴性症状</span>(<span style=\"font-family:宋体\">如视野缺损</span>)</p><p style=\"margin-left:28px;text-indent:0\">2.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">完全可恢复的感觉症状</span>,<span style=\"font-family:宋体\">包括阳性症状</span>(<span style=\"font-family:宋体\">如针刺感</span>)<span style=\"font-family:宋体\">和</span>/<span style=\"font-family:宋体\">或</span> &nbsp; <span style=\"font-family:宋体\">阴性症状</span>(<span style=\"font-family:宋体\">如麻木</span>)</p><p>C.<span style=\"font-family:宋体\">至少符合以下</span>2<span style=\"font-family:宋体\">条</span>:&nbsp;</p><p style=\"margin-left:28px;text-indent:0\">1.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">双侧视觉症状和</span>/<span style=\"font-family:宋体\">或单侧感觉症状</span>&nbsp;</p><p style=\"margin-left:28px;text-indent:0\">2.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">至少一个先兆症状逐渐发展时间∋</span>5<span style=\"font-family:宋体\">分钟和</span>/<span style=\"font-family:宋体\">或不同的先</span> &nbsp; <span style=\"font-family:宋体\">兆症状接连出现∋</span>5<span style=\"font-family:宋体\">分钟</span></p><p style=\"margin-left:28px;text-indent:0\">3.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">每个症状<a>≥</a></span>5<span style=\"font-family:宋体\">分钟并且≤</span>60<span style=\"font-family:宋体\">分钟</span> &nbsp;</p><p>D.<span style=\"font-family:宋体\">在先兆期或先兆症状随后</span>60<span style=\"font-family:宋体\">分钟之内不出现头痛</span></p><p>E.<span style=\"font-family:宋体\">不归因于其他疾患</span> </p><p>&nbsp;</p></td></tr></tbody></table><p><span style=\"font-family:宋体\">表</span>7 <span style=\"font-family:宋体\">家族性偏瘫性偏头痛的诊断标准</span></p><table width=\"568\"><tbody><tr class=\"firstRow\"><td width=\"568\" valign=\"top\" style=\"border-width: 1px; border-color: windowtext; padding: 0px 7px; border-style: solid;\"><p style=\"margin-left:0;text-indent:0\">A.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">至少</span>2<span style=\"font-family:宋体\">次发作符合标准</span>B~D</p><p>B.&nbsp; &nbsp; <span style=\"font-family:宋体\">先兆包括至少以下一条</span>,<span style=\"font-family:宋体\">但是没有运动障碍</span>:&nbsp;</p><p style=\"margin-left:28px;text-indent:0\">1.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">完全可恢复的视觉症状</span>,<span style=\"font-family:宋体\">包括阳性症状</span>(<span style=\"font-family:宋体\">如闪烁的光、斑点</span> &nbsp; <span style=\"font-family:宋体\">或线</span>)<span style=\"font-family:宋体\">和</span>/<span style=\"font-family:宋体\">或阴性症状</span>(<span style=\"font-family:宋体\">如视野缺损</span>)</p><p style=\"margin-left:28px;text-indent:0\">2.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span>2.<span style=\"font-family:宋体\">完全可恢复的感觉症状</span>,<span style=\"font-family:宋体\">包括阳性症状</span>(<span style=\"font-family:宋体\">如针刺感</span>)<span style=\"font-family:宋体\">和</span>/<span style=\"font-family:宋体\">或</span> &nbsp; <span style=\"font-family:宋体\">阴性症状</span>(<span style=\"font-family:宋体\">如麻木</span>)</p><p style=\"margin-left:28px;text-indent:0\">3.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span>3.<span style=\"font-family:宋体\">完全可恢复的言语障碍</span></p><p>C.<span style=\"font-family:宋体\">至少符合以下</span>2<span style=\"font-family:宋体\">条</span>:&nbsp;</p><p style=\"margin-left:28px;text-indent:0\">1.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">双侧视觉症状和</span>/<span style=\"font-family:宋体\">或单侧感觉症状</span>&nbsp;</p><p style=\"margin-left:28px;text-indent:0\">2.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">至少一个先兆症状逐渐发展时间<a>≥</a></span>5<span style=\"font-family:宋体\">分钟和</span>/<span style=\"font-family:宋体\">或不同的先</span> &nbsp; <span style=\"font-family:宋体\">兆症状接连出现≥</span>5<span style=\"font-family:宋体\">分钟</span> &nbsp;</p><p style=\"margin-left:28px;text-indent:0\">3.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">每个症状≥</span>5<span style=\"font-family:宋体\">分钟并且</span>(60<span style=\"font-family:宋体\">分钟</span> &nbsp;</p><p>D.<span style=\"font-family:宋体\">在先兆期或先兆症状随后</span>60<span style=\"font-family:宋体\">分钟之内出现不符合无先兆偏</span> &nbsp; <span style=\"font-family:宋体\">头痛的</span>B-D<span style=\"font-family:宋体\">标准的头痛</span></p><p>E.<span style=\"font-family:宋体\">不归因于其他疾患</span></p><p>&nbsp;</p></td></tr></tbody></table><p><span style=\"font-family:宋体\">表</span>8 <span style=\"font-family:宋体\">散发性偏瘫性偏头痛的诊断标准</span></p><table width=\"568\"><tbody><tr class=\"firstRow\"><td width=\"568\" valign=\"top\" style=\"border-width: 1px; border-color: windowtext; padding: 0px 7px; border-style: solid;\"><p style=\"margin-left:0;text-indent:0\">A.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">至少</span>2<span style=\"font-family:宋体\">次发作符合标准</span>B~C</p><p style=\"margin-left:0;text-indent:0\">B.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">先兆包括完全可恢复的活动力弱</span>,<span style=\"font-family:宋体\">至少以下一条</span>:</p><p style=\"margin-left:28px;text-indent:0\">1.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">完全可恢复的视觉症状</span>,<span style=\"font-family:宋体\">包括阳性症状</span>(<span style=\"font-family:宋体\">如闪烁的光、斑点</span> &nbsp; <span style=\"font-family:宋体\">或线</span>)<span style=\"font-family:宋体\">和</span>/<span style=\"font-family:宋体\">或阴性症状</span>(<span style=\"font-family:宋体\">如视野缺损</span>)</p><p style=\"margin-left:28px;text-indent:0\">2.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span>2.<span style=\"font-family:宋体\">完全可恢复的感觉症状</span>,<span style=\"font-family:宋体\">包括阳性症状</span>(<span style=\"font-family:宋体\">如针刺感</span>)<span style=\"font-family:宋体\">和</span>/<span style=\"font-family:宋体\">或</span> &nbsp; <span style=\"font-family:宋体\">阴性症状</span>(<span style=\"font-family:宋体\">如麻木</span>)</p><p style=\"margin-left:28px;text-indent:0\">3.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span>3.<span style=\"font-family:宋体\">完全可恢复的言语障碍</span></p><p>C.<span style=\"font-family:宋体\">至少符合以下</span>2<span style=\"font-family:宋体\">条</span>:&nbsp;</p><p style=\"margin-left:28px;text-indent:0\">1.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">至少一个先兆症状逐渐发展时间≥</span>5<span style=\"font-family:宋体\">分钟和</span>/<span style=\"font-family:宋体\">或不同的先</span> &nbsp; <span style=\"font-family:宋体\">兆症状接连出现≥</span>5<span style=\"font-family:宋体\">分钟</span> &nbsp;</p><p style=\"margin-left:28px;text-indent:0\">2.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">每个症状<a>≥</a></span>5<span style=\"font-family:宋体\">分钟并且</span>(24<span style=\"font-family:宋体\">小时</span>&nbsp;</p><p style=\"margin-left:28px;text-indent:0\">3.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">在先兆期或先兆症状随后</span>60<span style=\"font-family:宋体\">分钟之内出现符合</span>1.1<span style=\"font-family:宋体\">无先</span> &nbsp; <span style=\"font-family:宋体\">兆偏头痛的</span>B-D<span style=\"font-family:宋体\">标准的头痛</span>D.<span style=\"font-family:宋体\">符合标准</span>A-E<span style=\"font-family:宋体\">的发作没有一度或二度的相关性</span></p><p>E.&nbsp; &nbsp; <span style=\"font-family:宋体\">不归因于其他疾患</span></p><p>&nbsp;</p></td></tr></tbody></table><p><span style=\"font-family:宋体\">表</span>9 <span style=\"font-family:宋体\">基底型偏头痛的诊断标准</span></p><table width=\"568\"><tbody><tr class=\"firstRow\"><td width=\"568\" valign=\"top\" style=\"border-width: 1px; border-color: windowtext; padding: 0px 7px; border-style: solid;\"><p style=\"margin-left:28px;text-indent:0\">A.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">至少</span>2<span style=\"font-family:宋体\">次发作符合标准</span>B~D</p><p style=\"margin-left:28px;text-indent:0\">B.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">先兆包括以下完全可恢复的症状中至少</span>2<span style=\"font-family:宋体\">条</span>,<span style=\"font-family:宋体\">但是没有活动力弱</span>:</p><p style=\"margin-left:70px\">1.<span style=\"font-family:宋体\">构音障碍</span> &nbsp;</p><p style=\"margin-left:70px\">2.<span style=\"font-family:宋体\">眩晕</span> &nbsp;</p><p style=\"margin-left:70px\">3.<span style=\"font-family:宋体\">耳鸣</span> &nbsp;</p><p style=\"margin-left:70px\">4.<span style=\"font-family:宋体\">听觉迟钝</span> &nbsp;</p><p style=\"margin-left:70px\">5.<span style=\"font-family:宋体\">复视</span>&nbsp;</p><p style=\"margin-left:70px\">6.<span style=\"font-family:宋体\">同时在双眼颞侧和鼻侧区域的视觉症状</span> &nbsp;</p><p style=\"margin-left:70px\">7.<span style=\"font-family:宋体\">共济失调</span> &nbsp;</p><p style=\"margin-left:70px\">8.<span style=\"font-family:宋体\">意识水平的下降</span> &nbsp;</p><p style=\"margin-left:70px\">9.<span style=\"font-family:宋体\">同时双侧感觉异常</span></p><p style=\"margin-left:28px\">C.<span style=\"font-family:宋体\">至少符合以下</span>1<span style=\"font-family:宋体\">条</span>:&nbsp;</p><p style=\"margin-left:56px;text-indent:0\">1.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">至少一个先兆症状逐渐发展时间≥</span>5<span style=\"font-family:宋体\">分钟和</span>/<span style=\"font-family:宋体\">或不同的先</span> &nbsp; <span style=\"font-family:宋体\">兆症状接连出现≥</span>5<span style=\"font-family:宋体\">分钟</span> &nbsp;</p><p style=\"margin-left:56px;text-indent:0\">2.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span>2.<span style=\"font-family:宋体\">每个症状≥</span>5<span style=\"font-family:宋体\">分钟并且</span>(60<span style=\"font-family:宋体\">分钟</span> &nbsp;</p><p style=\"margin-left:28px\">D.&nbsp; <span style=\"font-family:宋体\">在先兆期或先兆症状随后</span>60<span style=\"font-family:宋体\">分钟之内出现符合</span>1.1<span style=\"font-family:宋体\">无先兆偏头痛的</span>B-D<span style=\"font-family:宋体\">标准的头痛</span></p><p style=\"margin-left:28px\">E.&nbsp; <span style=\"font-family:宋体\">不归因于其他疾患</span></p></td></tr></tbody></table><p>比对诊断标准如果只差一项,且又不符合其他头痛的诊断标准,可诊断为很可能的偏头痛。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5854', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '279', '辅助检查', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;辅助检查与鉴别继发性头痛目前尚缺乏偏头痛特异性诊断手段,辅助检查的目的是为了排除继发性头痛或了解偏头痛患者合并的其他疾病。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.&nbsp; 血液检查:&nbsp; 血液检查主要用于排除颅内或系统性感染、结缔组织疾病、内环境紊乱、遗传代谢性疾病等引起的头痛,如对50岁后新发头痛,需排除巨细胞动脉炎,则应进行红细胞沉降率和C反应蛋白的检查。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.&nbsp; 脑电图:偏头痛患者发作间期脑电图可有轻异常。15%的患者可有局灶性慢波,0.2%~9% 的患者可见棘波活动,但明确的异常脑电活动发生率不高,与正常人相当。 推荐:脑电图无助于头痛的日常评估,但是可用于头痛伴有意识障碍或不典型先兆疑为痫性发作的情况。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3.&nbsp; 经颅多普勒超声:经颅多普勒超声在偏头痛发作时可以观察到血流速度增快或减慢、血流速度不稳定、血流速度两侧不对称等种种表现。各个研究的报道结果相当不一致。 推荐:经颅多普勒超声检查不能帮助偏头痛的诊断。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4.&nbsp; 腰椎穿刺:腰椎穿刺主要用于排除蛛网膜下腔出血、颅内感染、脑膜癌病及异常颅压所导致的头痛。突然发生的严重头痛,如果CT正常,仍应进一步行腰椎穿刺以排除蛛网膜下腔出血的可能。 5.CT和MRI检查:CT和MRI检查是了解头痛是否源于颅内器质性病变的主要手段。对1876例连续到神经科就诊的病程超过4周的非急性患者进行CT或MRI检查,结果仅1.2%患者的存在!有意义∀的影像学发现,神经系统检查正常者的&quot;有意义&quot;的影像学异常率为0.9%,而临床符合偏头痛表现的患者仅为0.4%。系统分析11项研究发现,偏头痛或神经系统检查正常的非急性患者的!有意义∀的影像学异常仅占0.2%。我国一项研究回顾性调查338例无神经功能异常、病程超过3月的患者,MRI发现重要异常仅7例(2.1%),而在偏头痛及合并紧张型头痛的患者中未发现重要异常。一些研究表明,偏头痛患者MRI上出现白质异常信号的风险高,但其临床意义有待进一步研究。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;许多情况下,MRI较CT有更高的敏感性,然而尚无证据表明MRI较CT能检测到更多的有意义的影像学发现。如再考虑经济因素,CT和MRI在头痛诊断中孰优孰劣更无定论。临床中可以根据具体情况加以选择:CT在急性颅内出血、脑外伤、颅骨病变方面有优势,MRI则在后颅窝及颅颈交界病变、垂体病变、白质病变、缺血性病变、静脉窦血栓形成、动静脉畸形、硬膜外及硬膜下血肿、肿瘤、脑膜病变(包括低颅压引起的弥漫性脑膜增强)、小脑炎症、脑脓肿等方面更胜一筹。疑有静脉窦血栓时还应行DSA检查或磁共振静脉血管造影检查。 凡具有典型的偏头痛症状、长期头痛发作基本相似且神经系统体检正常的患者,不推荐常规进行CT或MRI检查。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5855', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '279', '鉴别诊断', '<p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;<span style=\"font-size: 12px; font-family: 宋体;\">（一）</span><span style=\"font-size: 12px;\"> </span><span style=\"font-size: 12px; font-family: 宋体;\">与其他原发性头痛的鉴别诊断如果病</span><span style=\"font-size: 12px;\"> </span><span style=\"font-size: 12px; font-family: 宋体;\">史典型</span><span style=\"font-size: 12px;\">,</span><span style=\"font-size: 12px; font-family: 宋体;\">多数患者在首次就诊时就能得到确诊。但仅根据</span><span style=\"font-size: 12px;\">1</span><span style=\"font-size: 12px; font-family: 宋体;\">、</span><span style=\"font-size: 12px;\">2</span><span style=\"font-size: 12px; font-family: 宋体;\">次的发作则难以与紧张型头痛或丛集性头痛相鉴别</span><span style=\"font-size: 12px;\">,</span><span style=\"font-size: 12px; font-family: 宋体;\">但多次发作则易于诊断</span><span style=\"font-size: 12px;\">(</span><span style=\"font-size: 12px; font-family: 宋体;\">见表</span><span style=\"font-size: 12px;\">10)</span><span style=\"font-size: 12px; font-family: 宋体;\">。临</span><span style=\"font-size: 12px;\"> </span><span style=\"font-size: 12px; font-family: 宋体;\">床上</span><span style=\"font-size: 12px;\">,</span><span style=\"font-size: 12px; font-family: 宋体;\">患者同时具有偏头痛与紧张型头痛的情况不少见</span><span style=\"font-size: 12px;\">,</span><span style=\"font-size: 12px; font-family: 宋体;\">可以同时诊断。</span></p><table width=\"568\"><tbody><tr class=\"firstRow\"><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-color: windowtext; padding: 0px 7px; border-style: solid;\"><br/></td><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-top-color: windowtext; border-right-color: windowtext; border-bottom-color: windowtext; border-style: solid; border-left-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">偏头痛</span></p></td><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-top-color: windowtext; border-right-color: windowtext; border-bottom-color: windowtext; border-style: solid; border-left-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">紧张型头痛</span></p></td><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-top-color: windowtext; border-right-color: windowtext; border-bottom-color: windowtext; border-style: solid; border-left-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">丛集型头痛</span></p></td></tr><tr><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">家族史</span></p></td><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">多有</span></p></td><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">可有</span></p></td><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">多无</span></p></td></tr><tr><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">性别</span></p></td><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">女性远多于男性</span></p></td><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">女性多于男性</span></p></td><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">男性远多于男性</span></p></td></tr><tr><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><br/></td><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">多无</span></p></td><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">多无</span></p></td><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">多有</span></p></td></tr><tr><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">周期性</span></p></td><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">部分女性与月经有关</span></p></td><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><br/></td><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">有丛集发作期</span>,<span style=\"font-family:宋体\">期间发作</span>,<span style=\"font-family:宋体\">频率为隔天</span>1<span style=\"font-family:宋体\">次到每日</span>8<span style=\"font-family:宋体\">次</span></p></td></tr><tr><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">持续时间</span></p></td><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">头痛持续</span>4~72<span style=\"font-family:宋体\">小时</span></p></td><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">不定</span></p></td><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">头痛持续</span>15~180<span style=\"font-family:宋体\">分钟</span></p></td></tr><tr><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">头痛部位</span></p></td><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">多单侧</span></p></td><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">多双侧</span></p></td><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">固定单侧眶部、眶上、颞部</span></p></td></tr><tr><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">头痛性质</span></p></td><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">搏动性</span></p></td><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">压迫、紧缩、钝痛</span></p></td><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">锐痛、钻痛、难以言表</span></p></td></tr><tr><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">头痛程度</span></p></td><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">中重度</span></p></td><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">轻中度</span></p></td><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">重度或极重度</span></p></td></tr><tr><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">重度或极重度</span></p></td><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">多有</span></p></td><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">多无</span></p></td><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">多无</span></p><p><span style=\"font-family:宋体\">常躁动不安</span></p></td></tr><tr><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">伴随症状</span></p></td><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">多有恶心、呕吐、畏光、畏声</span></p></td><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">多无</span>,<span style=\"font-family:宋体\">可伴食欲不振</span>,<span style=\"font-family:宋体\">对光线、声</span> &nbsp; <span style=\"font-family:宋体\">音可觉轻度不适</span></p></td><td width=\"142\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">同侧结膜充血和</span>/<span style=\"font-family:宋体\">或流泪、鼻塞和</span>/<span style=\"font-family:宋体\">或流涕、眼睑水肿、额面部出汗、瞳孔缩小及</span>/</p><p><span style=\"font-family:宋体\">或眼睑下垂</span></p></td></tr></tbody></table><p style=\"line-height: 2em;\"><span style=\"font-family:宋体\">&nbsp; &nbsp; &nbsp; （二）其它类型偏头痛的诊断临床上还存在一些偏头痛类型</span>,<span style=\"font-family:宋体\">如儿童偏头痛、月经性偏头痛等</span>, <span style=\"font-family:宋体\">只被纳入</span>ICHD II<span style=\"font-family:宋体\">的附录中。</span> </p><p style=\"margin-left: 0px; text-indent: 0px; line-height: 2em;\">1.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;</span><span style=\"font-family:宋体\">儿童偏头痛</span>:<span style=\"font-family:宋体\">儿童偏头痛具有一些特点</span>:<span style=\"font-family:宋体\">多为无先兆偏头痛发作类型</span>;<span style=\"font-family:宋体\">头痛的持续时间短</span>,<span style=\"font-family:宋体\">可仅数十分钟</span>;<span style=\"font-family:宋体\">头痛位于双侧较单侧常见</span>;<span style=\"font-family:宋体\">畏光或畏声情况多于成人</span>;<span style=\"font-family:宋体\">约</span>20%<span style=\"font-family:宋体\">的患儿在头痛之前或头痛时</span>,<span style=\"font-family:宋体\">逐渐出现视觉先兆</span>,<span style=\"font-family:宋体\">表现为双眼经常可见到光点、色彩、亮点或光线</span>,<span style=\"font-family:宋体\">偶尔也可发生在单眼。通常视觉症状持续不超过</span>30<span style=\"font-family:宋体\">分钟。</span> </p><p style=\"line-height: 2em;\"><span style=\"font-family:宋体\">可能为偏头痛前驱的儿童周期综合征包括</span>:</p><p style=\"margin-left: 28px; text-indent: 0px; line-height: 2em;\">(1)<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;</span><span style=\"font-family:宋体\">周期性呕吐</span>:<span style=\"font-family:宋体\">呈反复发作性的刻板性症状</span>,<span style=\"font-family:宋体\">恶心和剧烈呕吐</span>,<span style=\"font-family:宋体\">发作时伴有面色苍白和嗜睡</span>,<span style=\"font-family:宋体\">发作间期症状完全缓解。此综合征的临床特点与偏头痛头痛的伴随症状相似。</span> </p><p style=\"margin-left: 28px; text-indent: 0px; line-height: 2em;\">(2)<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;</span><span style=\"font-family:宋体\">腹型偏头痛</span>:<span style=\"font-family:宋体\">反复发作性腹部中线处疼痛</span>,<span style=\"font-family:宋体\">发作持续</span>1~72<span style=\"font-family:宋体\">小时</span>,<span style=\"font-family:宋体\">发作间期正常。腹痛程度为中重度</span>,<span style=\"font-family:宋体\">常伴恶心和呕吐。腹痛具有以下特征</span>:<span style=\"font-family:宋体\">位于中线、脐周或难以定位</span>;<span style=\"font-family:宋体\">性质为钝痛或</span>!<span style=\"font-family:宋体\">就是痛∀</span>;<span style=\"font-family:宋体\">程度为中重度。腹痛期间</span>,<span style=\"font-family:宋体\">至少伴随</span>2<span style=\"font-family:宋体\">项其他症状</span>,<span style=\"font-family:宋体\">如食欲减退、恶心、呕吐或面色苍白。诊断须排除其它疾病。</span> </p><p style=\"margin-left: 28px; text-indent: 0px; line-height: 2em;\">(3)<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span><span style=\"font-family:宋体\">儿童期良性发作性眩晕</span>:<span style=\"font-family:宋体\">反复短暂性眩晕发作</span>,<span style=\"font-family:宋体\">眩晕可突然发生和迅速缓解。神经系统检查、听力检查和前庭功能检查均正常。眩晕持续时间短暂</span>,<span style=\"font-family:宋体\">可伴有眼震或呕吐</span>,<span style=\"font-family:宋体\">有些患儿可伴单侧博动性头痛。</span></p><p style=\"margin-left: 0px; text-indent: 0px; line-height: 2em;\">2. &nbsp;<span style=\"font-family:宋体\">月经性偏头痛</span>:<span style=\"font-family:宋体\">多为无先兆偏头痛</span>,<span style=\"font-family:宋体\">发作通常持续时间较长</span>,<span style=\"font-family:宋体\">可达</span>4~5<span style=\"font-family:宋体\">天</span>,<span style=\"font-family:宋体\">与月经持续时间相当。可分为单纯性月经性无先兆偏头痛和月经相关性无先兆偏头痛。</span> </p><p style=\"margin-left: 28px; text-indent: 0px; line-height: 2em;\">(1)<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;</span><span style=\"font-family:宋体\">单纯性月经性无先兆偏头痛</span>:<span style=\"font-family:宋体\">偏头痛发作发生于月经期女性</span>,<span style=\"font-family:宋体\">符合无先兆偏头痛的诊断标准。头痛发作应该在</span>3<span style=\"font-family:宋体\">个月经周期中至少有</span>2<span style=\"font-family:宋体\">个周期头痛发作</span>,<span style=\"font-family:宋体\">而且</span>,<span style=\"font-family:宋体\">仅仅发生在月经第</span>1)2<span style=\"font-family:宋体\">天</span>,<span style=\"font-family:宋体\">即月经期的</span>-2<span style=\"font-family:宋体\">到</span>+3<span style=\"font-family:宋体\">天</span>,<span style=\"font-family:宋体\">而在月经周期的其它时间不发生。</span> </p><p style=\"margin-left: 28px; text-indent: 0px; line-height: 2em;\">(2)<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;</span><span style=\"font-family:宋体\">月经相关性无先兆偏头痛</span>:<span style=\"font-family:宋体\">发生于月经期女性</span>,<span style=\"font-family:宋体\">头痛发作在月经第</span>1)2<span style=\"font-family:宋体\">天</span>,<span style=\"font-family:宋体\">即月经期的</span>-2<span style=\"font-family:宋体\">到</span>+3<span style=\"font-family:宋体\">天</span>,<span style=\"font-family:宋体\">并且这种情况在</span>3<span style=\"font-family:宋体\">个月经周期中至少有</span>2<span style=\"font-family:宋体\">个周期发生</span>,<span style=\"font-family:宋体\">在月经周期的其他时间亦有发作。也就是说</span>,<span style=\"font-family:宋体\">这些患者既有围月经期偏头痛</span>,<span style=\"font-family:宋体\">又有月经周期其他时间的偏头痛。</span> </p><p style=\"margin-left: 0px; text-indent: 0px; line-height: 2em;\">3. &nbsp;<span style=\"font-family:宋体\">慢性偏头痛</span>:<span style=\"font-family:宋体\">根据</span><a>ICHD-II</a><span style=\"font-family:宋体\">的定义</span>,<span style=\"font-family:宋体\">慢性偏头痛是指在没有药物过度使用的情况下</span>,<span style=\"font-family:宋体\">至少</span>3<span style=\"font-family:宋体\">个月偏头痛发作每月达到或超过</span>15<span style=\"font-family:宋体\">天。</span> <span style=\"font-family:宋体\">由于对慢性偏头痛的界定存在较大争议</span>,2006<span style=\"font-family:宋体\">年国际头痛分类委员会对慢性偏头痛的诊断标准进行了修改</span>(<span style=\"font-family:宋体\">见表</span>11),<span style=\"font-family:宋体\">并将其放入</span>ICHD-II<span style=\"font-family:宋体\">的附录以备进一步的研究完善。</span></p><p>&nbsp;<span style=\"font-size: 12px; font-family: 宋体;\">表</span><span style=\"font-size: 12px;\">11 </span><span style=\"font-size: 12px; font-family: 宋体;\">慢性偏头痛的诊断标准</span></p><table width=\"568\"><tbody><tr class=\"firstRow\"><td width=\"568\" valign=\"top\" style=\"border-width: 1px; border-color: windowtext; padding: 0px 7px; border-style: solid;\"><p style=\"margin-left:28px;text-indent:0\">A.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">至少</span>3<span style=\"font-family:宋体\">个月头痛</span>(<span style=\"font-family:宋体\">紧张型头痛和</span>/<span style=\"font-family:宋体\">或偏头痛</span>)<span style=\"font-family:宋体\">每月<a>≥</a></span>15<span style=\"font-family:宋体\">天</span></p><p style=\"margin-left:28px;text-indent:0\">B.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">至少有</span>5<span style=\"font-family:宋体\">次发作符合无先兆偏头痛的诊断标准</span> &nbsp;</p><p style=\"margin-left:28px;text-indent:0\">C.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">至少</span>3<span style=\"font-family:宋体\">个月每月有≥</span>8<span style=\"font-family:宋体\">天头痛符合下列</span>C1<span style=\"font-family:宋体\">和</span>/<span style=\"font-family:宋体\">或</span>C2<span style=\"font-family:宋体\">项</span>,<span style=\"font-family:宋体\">即</span> &nbsp; <span style=\"font-family:宋体\">符合无先兆偏头痛的疼痛及伴随症状标准</span> &nbsp;</p><p style=\"margin-left:42px;text-indent:0\">1.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp; </span><span style=\"font-family:宋体\">至少符合</span>a-d<span style=\"font-family:宋体\">中的两项</span></p><p style=\"margin-left:70px;text-indent:0\">(a)<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">单侧性</span></p><p style=\"margin-left:70px;text-indent:0\">(b)<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">搏动性</span></p><p style=\"margin-left:70px;text-indent:0\">(c)<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">中或重度疼痛</span> </p><p style=\"margin-left:70px;text-indent:0\">(d)<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">日常活动</span>(<span style=\"font-family:宋体\">如走路或爬楼梯</span>)<span style=\"font-family:宋体\">会加重头痛或头痛时避</span> &nbsp; <span style=\"font-family:宋体\">免此类活动</span></p><p style=\"margin-left:70px;text-indent:42px\"><span style=\"font-family:宋体\">且符合</span>a<span style=\"font-family:宋体\">或</span>b<span style=\"font-family:宋体\">中的至少一项</span>(a)<span style=\"font-family:宋体\">恶心和</span>(<span style=\"font-family:宋体\">或</span>)<span style=\"font-family:宋体\">呕吐</span>(b)<span style=\"font-family:宋体\">畏光和畏声</span></p><p style=\"margin-left:14px;text-indent:42px\">2.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">在觉得要发生符合以上</span>C1<span style=\"font-family:宋体\">项头痛前使用了曲普坦类或麦</span> &nbsp; <span style=\"font-family:宋体\">角胺类药物</span>,<span style=\"font-family:宋体\">头痛缓</span></p><p style=\"margin-left:42px\">D.<span style=\"font-family:宋体\">没有药物过度使用</span>,<span style=\"font-family:宋体\">且不能归因于其他疾病</span></p></td></tr></tbody></table><p><span style=\"font-size: 12px;\">4. </span><span style=\"font-size: 12px; font-family: 宋体;\">偏头痛持续状态</span><span style=\"font-size: 12px;\">:</span><span style=\"font-size: 12px; font-family: 宋体;\">偏头痛持续状态是指一次使人心力交瘁的偏头痛发作持续</span><span style=\"font-size: 12px;\">72</span><span style=\"font-size: 12px; font-family: 宋体;\">小时以上</span><span style=\"font-size: 12px;\">,</span><span style=\"font-size: 12px; font-family: 宋体;\">具体诊断标准</span><span style=\"font-size: 12px;\">(</span><span style=\"font-size: 12px; font-family: 宋体;\">见表</span><span style=\"font-size: 12px;\">12)</span><span style=\"font-size: 12px; font-family: 宋体;\">。</span></p><p>表12 偏头痛持续状态的诊断标准</p><table width=\"568\"><tbody><tr class=\"firstRow\"><td width=\"568\" valign=\"top\" style=\"border-width: 1px; border-color: windowtext; padding: 0px 7px; border-style: solid;\"><p style=\"margin-left:28px;text-indent:0\">A.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">除了持续时间</span>,<span style=\"font-family:宋体\">无先兆偏头痛患者的此次发作与既往的典型发作相似</span></p><p style=\"margin-left:28px;text-indent:0\">B.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">头痛符合以下全部特征</span></p><p style=\"margin-left:56px;text-indent:0\">1.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">持续不间断超过</span>72<span style=\"font-family:宋体\">小时</span></p><p style=\"margin-left:56px;text-indent:0\">2.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span>2.<span style=\"font-family:宋体\">重度疼痛</span> </p><p style=\"margin-left:28px;text-indent:0\">C.<span style=\"font-variant-numeric: normal;font-stretch: normal;font-size: 9px;line-height: normal;font-family: &#39;Times New Roman&#39;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; </span><span style=\"font-family:宋体\">不能归因于其它疾病</span></p></td></tr></tbody></table><p><br/></p><div style=\"width: 15px; height: 15px; background-image: url(&quot;http://192.168.2.201:5080/icssmanager-web/icssmanager/plugins/utf8-jsp/dialogs/table/dragicon.png&quot;); position: absolute; cursor: move; top: 1225px; left: 8px; user-select: none;\"></div>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5856', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '279', '评估 ', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;偏头痛常对患者的日常生活带来严重影响。在 作出偏头痛诊断后,进一步评估其严重程度,不仅有助于医患双方全面了解疾病对患者生理、心理和社会生活等方面的影响,更有助于选择治疗方式,随访判断疗效。 偏头痛对患者日常生活的影响是多方面的,因此对其严重程度进行评估也有很多方法。临床上具体采用何种评估工具取决于医疗及科研的具体需要。目前常用的偏头痛评估工具包括:视觉模拟评分法(Visual Analogue Scale,VAS)、数字评分法(Numeric Rating Scale)、偏头痛残疾程度评估问卷(Migraine Disability Assessment Questionnaire,MI DAS)和头痛影响测评量表(Headache Impact Tes, tHIT)、头痛影响测评量表6(HIT6)、IDMigraine等。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(一) 对头痛程度的评估视觉模拟评分法(VAS)是一种简单、有效的表达疼痛的方法,可以迅速获得疼痛程度的数量值。通常采用10cm长的直线,两端分别标有!无疼痛(0)和!最严重的疼痛(10)(或类似的描述性词语)。患者根据自己的感受,在直线上的某一点作一记号,以表达疼痛的相对强度。从起点至记号处的距离长度也就是疼痛强度的分值。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;更为简便的方法是数字评分法,可让患者直接用某一具体数字来表达疼痛的强度,根据需要可采用11点或101点数字评分法。0表示不痛,10或 100表示最严重的痛。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(二) 偏头痛残疾程度评估问卷MIDAS是一种简单的、定量3个月期间偏头痛相关残疾的自助式问卷。该问卷包括5个问题,分别了解因为头痛而造成工作或上学、家务劳动、家庭及社会活动三类活动的时间损失。将因头痛而导致的三类活动效率下降一半以上的天数累计起来计算分值,并根据分值高低将头痛的严重程度分为4级。该问卷对偏头痛的病情变化较为敏感,可用作观察疗效的工具。&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(三) 头痛影响测定HIT和HIT 6都是根据基于过去四周患者体验的回顾性问卷。 HIT是一种基于因特网的动态问卷,患者需到指定的网站进行测试。第一个问题是固定的,以后电脑会根据不同的回答给出不同的问题,直到获得评分。多数患者一般在5个问题内便能获得评分。HIT的问题库来自多个常用的头痛问卷,覆盖面较广,开发者使用数学模型对这些问题进行逻辑分析、分值处理,从而使得通过回答不同问题得到的评分能较好地反映头痛对日常生活的影响程度。HIT 6是HIT的纸质版,6个问题分别覆盖疼痛、社会角色功能、认知功能、心理异常及活力等 方面。虽然6个问题并不完全取自HIT的问题库,但是通过校正,其评分与HIT较为一致。HIT和HIT-6可较好地评价各种头痛相关的生命质量,也可以用作观察疗效的工具。 (四) 偏头痛筛选问卷IDMigraine是国际上推荐的一种简易筛查量表,适用于门诊或非专科医师对偏头痛的筛查。</p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5857', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '279', '治疗和预防治疗', '<p style=\"line-height: 2em;\"><span style=\"font-size: 12px;\">一、防治原则&nbsp;</span></p><p style=\"line-height: 2em;\">(一)<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>基本原则</p><p style=\"line-height: 2em;\">(1)<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>积极开展患者教育;</p><p style=\"line-height: 2em;\">(2)<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>充分利用各种非药物干预手段,包括按摩、理疗、生物反馈治疗、认知行为治疗和针灸等;</p><p style=\"line-height: 2em;\">(3)<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>药物治疗包括头痛发作期治疗和头痛间歇期预防性治疗,注意循证地使用。&nbsp;</p><p style=\"line-height: 2em;\">(二)<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>患者教育 &nbsp;偏头痛是目前无法根治但可以有效控制的疾患,应该积极地开展各种形式的患者教育,以帮助其确立科学和理性的防治观念与目标;应教育患者保持健康的生活方式,学会寻找并注意避免各种头痛诱发因素;应教育并鼓励患者记头痛日记,对帮助诊断和评估预防治疗效果有重要意义。&nbsp;</p><p style=\"line-height: 2em;\">(三)<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>非药物预防识别和避免偏头痛诱发因素很重要。逐步放松训练、生物反馈、音乐疗法及应对应激的认知行为治疗对患者均有益。&nbsp;</p><p style=\"line-height: 2em;\">(四)<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>头痛门诊(中心)的建立及转诊国际已有的成熟经验及我国初步的经验均提示建立头痛门诊(中心)能显著地提高对偏头痛的诊治水平,有益于开展大规模的临床研究,也有益于建立头痛专业队伍。将诊治不够理想的患者及时转诊到头痛门诊(中心),可极大地减少偏头痛的危害、减少医疗资源的浪费。</p><p style=\"line-height: 2em;\">二、急性期药物治疗&nbsp;</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; (一)<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>急性期治疗目的对患者头痛发作时的急性治疗目的是:快速止痛;持续止痛,减少本次头痛再发;恢复患者的功能;减少医疗资源浪费。&nbsp;</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; (二)<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>急性期治疗有效性指标多数大型随机、双盲、对照试验采用的急性期治疗有效性标准包括以下方面:2小时后无痛;2小时后疼痛改善,由中重度转为轻度或无痛(或VAS评分下降50%以上);疗效具有可重复性,3次发作中有2次以上有效;在治疗成功后的24小时内无头痛再发或无须再次服药。 对多次发作的疗效评估包括头痛对患者功能损害的评估,如MIDAS和HIT 6。&nbsp;</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; (三)<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>急性期治疗药物及评价偏头痛急性期的治疗药物分为非特异性药物和特异性药物两类。&nbsp;</p><p style=\"line-height: 2em;\">1.非特异性药物:非特异性药物包括:∗非甾体抗炎药(NSAIDs,解热镇痛药),包括对乙酰氨基酚、阿司匹林、布洛芬、萘普生等及其复方制剂;+巴比妥类镇静药;,可待因、吗啡等阿片类镇痛药及曲马多。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; (1)非甾体抗炎药:大量研究表明,解热镇痛药及其咖啡因复合物对于成人及儿童偏头痛发作均有效,故对于轻、中度的偏头痛发作和既往使用有效的重度偏头痛发作,可作为一线药物首选。这些药物应在偏头痛发作时尽早使用。&nbsp;</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; 可单选阿司匹林(ASA)300~1000mg,或布洛芬200~800mg,或萘普生250~1000mg,或双氯芬酸50~100mg,或安替比林1000mg,或托芬那酸200mg。对乙酰氨基酚口服、静脉注射或皮下注射均有效,但不推荐单独使用(B级)。上述药物与其他药合用,如ASA与甲氧氯普胺合用、对乙酰氨基酚与利扎曲坦合用、对乙酰氨基酚与曲马多合用等,效果优于单用。另有研究发现,伐地昔布20~40mg和罗非昔布25~50mg治疗偏头痛急性发作有效。常用非甾体抗炎药的效果及副反应(见表13)。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; 阿司匹林(acetylsalicylicacid,ASA):剂型有口服剂、肛门栓剂及注射制剂。口服:1次300~1000mg。呕吐的患者可使用栓剂,直肠给药,1次300~600mg。口服本药1000mg2小时后头痛有效缓解率为52%(I级证据),疗效与口服50mg舒马曲坦相当。泡腾片是近年来开发应用的一种新型片剂,每片0.3、0.5g,服用时放入温水150~250ml中溶化后饮下,特别适用于儿童、老年人以及吞服药丸困难的患者。阿司匹林赖氨酸盐(赖安匹林),可用于静脉或肌肉注射,剂量有0.9g(相当于阿司匹林0.5g)及0.5g(相当于阿司匹林0.28g),肌内注射或静脉滴注每次0.9~1.8g。静脉注射赖安匹林2小时后,头痛消除率为43.7%,疗效低于皮下注射舒马曲坦6mg,但二者用药24小时后,头痛复发率无差异,而赖安匹林耐受性更好。阿司匹林的常见不良反应有胃肠道症状,过敏反应,耳鸣、听力下降,肝肾功能损害及出血危险等,损害多是可逆性的;与食物同服可减少对胃肠道的刺激,这样尽管会降低药物吸收的速率,但不影响吸收量。对本药或同类药过敏者、活动性溃疡、血友病或血小板减少症、哮喘、出血体质者,孕妇及哺乳期妇女禁用。本品使布洛芬等非甾体抗炎药血浓度明显降低,二者不宜合用。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; 布洛芬(ibuprofen):治疗偏头痛以口服为主(I级证据)。口服:1次200~800mg。对于轻中度头痛患者,口服200mg或400mg,用药2小时后头痛有效缓解率无差异,但对于重度头痛患者,口服400mg更有效,且能有效缓解畏光、畏声等症状。用药2小时后头痛有效缓解率与口服舒马曲坦50mg基本相当。与安慰剂相比,本药能有效缓解头痛,缩短头痛持续时间,但24小时持续消除头痛方面并不优于安慰剂。常见的不良反应及禁忌证同ASA。萘普生(naproxen):有口服剂、肛门栓剂及注射液。口服:250~1000mg或直肠1次给药250mg或静脉给药275mg,均可缓解头痛及其伴随症状(I级证据),疗效与口服舒马曲坦50mg类似。若头痛无缓解,可与舒马曲坦50mg合用,二者合用不增加不良反应。本药常见的禁忌证及不良反应同ASA,但不良反应的发生率及严重程度均较低,较适用于不能耐受ASA、吲哚美辛等解热镇痛药的患者。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; 双氯芬酸(diclofenac):有口服剂、肛门栓剂及注射液。口服吸收迅速且完全,起效较快,最好于饭前吞服。服用胶囊起效更快,且胶囊疗效优于片剂(I级证据)。本品疗效与口服舒马曲坦100mg类似,且改善恶心等偏头痛伴随症状优于后者,而发生不良反应更少。直肠1次给药50mg或肌内注射,10分钟后起效,30分钟后头痛消除率达88%,2小时后头痛缓解率与肌肉注射曲马多100mg类似。本药引起的胃肠道不良反应少于ASA、吲哚美辛等药物。但应注意肝损伤及粒细胞减少等不良反应。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; 对乙酰氨基酚(paracetamol):有口服剂、肛门栓剂及注射液。1000mg或15mg/kg口服或静脉注射或皮下注射治疗偏头痛发作有效(I级证据),但镇痛作用弱于ASA,不推荐单独使用,可与利扎曲坦、曲马多等合用。本药可用于对ASA过敏、不耐受或不适于应用者。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; 上述药物可与其他药联用,后者明显优于单用,包括ASA与甲氧氯普胺合用、对乙酰氨基酚与利扎曲坦合用、对乙酰氨基酚与曲马多合用等。为了防止药物过度应用性头痛(medicationoverusehead ache,MOH),服用单一的解热镇痛药时,应该限制在每月不超过15天,服用联合镇痛药应该限制在每月不超过10天。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; 布洛芬可用于6月大以上的儿童。双氯芬酸可用于体重大于16Kg的儿童。萘普生可用于6岁以上或体重25Kg以上的儿童。10岁以上的儿童可单用ASA或对乙酰氨基酚或两者与甲氧氯普胺合用,也可单用麦角胺。</p><p>表13 非甾体抗炎药治疗偏头痛发作的效果及不良反应</p><table width=\"568\"><tbody><tr class=\"firstRow\"><td width=\"114\" valign=\"top\" style=\"border-width: 1px; border-color: windowtext; padding: 0px 7px; border-style: solid;\"><p><span style=\"font-family:宋体\">解热镇痛药</span></p></td><td width=\"114\" valign=\"top\" style=\"border-width: 1px; border-top-color: windowtext; border-right-color: windowtext; border-bottom-color: windowtext; border-style: solid; border-left-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">剂量</span><a>(mg)</a></p></td><td width=\"82\" valign=\"top\" style=\"border-width: 1px; border-top-color: windowtext; border-right-color: windowtext; border-bottom-color: windowtext; border-style: solid; border-left-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">证据级别</span></p></td><td width=\"103\" valign=\"top\" style=\"border-width: 1px; border-top-color: windowtext; border-right-color: windowtext; border-bottom-color: windowtext; border-style: solid; border-left-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">推荐强度</span></p></td><td width=\"156\" valign=\"top\" style=\"border-width: 1px; border-top-color: windowtext; border-right-color: windowtext; border-bottom-color: windowtext; border-style: solid; border-left-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">不良反应及禁忌症</span></p></td></tr><tr><td width=\"114\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">阿司匹林</span></p></td><td width=\"114\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>300-1000</p></td><td width=\"82\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">Ⅰ</span></p></td><td width=\"103\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><a>A</a></p></td><td width=\"156\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">不良反应</span>:<span style=\"font-family:宋体\">主要有胃肠道的副反应及出血危险禁忌症</span>:<span style=\"font-family:宋体\">对本药或同类药过敏者、活动性溃疡、血友病或血小板减少症、哮喘、出血体质者</span>,<span style=\"font-family:宋体\">孕妇及哺乳期妇女</span></p></td></tr><tr><td width=\"114\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">布洛芬</span></p></td><td width=\"114\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>200-800</p></td><td width=\"82\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><a><span style=\"font-family:宋体\">Ⅰ</span></a></p></td><td width=\"103\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>A</p></td><td width=\"156\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">同</span>ASA</p></td></tr><tr><td width=\"114\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">萘普生</span></p></td><td width=\"114\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>250-1000</p></td><td width=\"82\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><a><span style=\"font-family:宋体\">Ⅰ</span></a></p></td><td width=\"103\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>A</p></td><td width=\"156\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">同</span>ASA<span style=\"font-family:宋体\">。</span>2<span style=\"font-family:宋体\">岁以下儿童禁用</span></p></td></tr><tr><td width=\"114\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">双氯芬酸</span></p></td><td width=\"114\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>500-1000</p></td><td width=\"82\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\";font-family:宋体;color:#333333;background:white\">Ⅱ</span></p></td><td width=\"103\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>A</p></td><td width=\"156\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">不良反应主要有胃肠道的副反应、肝损伤及粒细胞减少等</span></p></td></tr><tr><td width=\"114\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">对乙酰氨基酚</span></p></td><td width=\"114\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>1000</p></td><td width=\"82\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\";font-family:宋体;color:#333333;background:white\">Ⅱ</span></p></td><td width=\"103\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>A</p></td><td width=\"156\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">警惕肝肾功能衰竭</span></p></td></tr><tr><td width=\"114\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">阿司匹林、对乙酰氨</span> &nbsp; <span style=\"font-family:宋体\">基酚、咖啡因复合剂</span></p></td><td width=\"114\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>250</p><p>200~250</p><p>50</p></td><td width=\"82\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">Ⅰ</span></p></td><td width=\"103\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>A</p></td><td width=\"156\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">同</span>ASA</p><p><span style=\"font-family:宋体\">和对乙酰氨基酚</span></p></td></tr></tbody></table><p style=\"line-height: 2em;\">(2)<span class=\"Apple-tab-span\" style=\"white-space: pre;\">	</span>其他药物:甲氧氯普胺、多潘立酮等止吐和促进胃动力药物不仅能治疗伴随症状,还有利于其他药物的吸收和头痛的治疗,单用也可缓解头痛(见表14)。 苯二氮卓类、巴比妥类镇静剂可促使镇静、入睡,促进头痛消失。因镇静剂有成瘾性,故仅适用于其他药物治疗无效的严重患者。 阿片类药物有成瘾性,可导致MOH并诱发对其他药物的耐药性,故不予常规推荐。仅对仅适用于其他药物治疗无效的严重头痛者,在权衡利弊后 使用。肠外阿片类药物,如布托啡诺,可作为偏头痛发作的应急药物,即刻止痛效果好(III级证据).</p><p>表14 止吐和促胃动力药治疗偏头痛发作的效果及不良反应</p><table width=\"568\"><tbody><tr class=\"firstRow\"><td width=\"114\" valign=\"top\" style=\"border-width: 1px; border-color: windowtext; padding: 0px 7px; border-style: solid;\"><p><span style=\"font-family:宋体\">药物</span></p></td><td width=\"76\" valign=\"top\" style=\"border-width: 1px; border-top-color: windowtext; border-right-color: windowtext; border-bottom-color: windowtext; border-style: solid; border-left-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">证据级别</span></p></td><td width=\"150\" valign=\"top\" style=\"border-width: 1px; border-top-color: windowtext; border-right-color: windowtext; border-bottom-color: windowtext; border-style: solid; border-left-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">剂量</span>(mg)</p></td><td width=\"99\" valign=\"top\" style=\"border-width: 1px; border-top-color: windowtext; border-right-color: windowtext; border-bottom-color: windowtext; border-style: solid; border-left-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">不良反应</span></p></td><td width=\"129\" valign=\"top\" style=\"border-width: 1px; border-top-color: windowtext; border-right-color: windowtext; border-bottom-color: windowtext; border-style: solid; border-left-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">禁忌症</span></p></td></tr><tr><td width=\"114\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">甲氧氯普胺</span></p></td><td width=\"76\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><a><span style=\"font-family:宋体\">Ⅰ</span></a></p></td><td width=\"150\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>10~20<span style=\"font-family:   宋体\">口服</span> </p><p>20<span style=\"font-family:宋体\">直肠</span></p></td><td width=\"99\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">锥体外系症状</span></p></td><td width=\"129\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>&lt;10<span style=\"font-family:   宋体\">岁儿童</span>,<span style=\"font-family:宋体\">肌张力障碍</span></p></td></tr><tr><td width=\"114\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><br/></td><td width=\"76\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\";font-family:宋体;color:#333333;background:white\">Ⅱ</span></p></td><td width=\"150\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>10<span style=\"font-family:宋体\">肌注或静脉注射</span></p></td><td width=\"99\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><br/></td><td width=\"129\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">癫痫</span>,<span style=\"font-family:宋体\">妊娠</span>,<span style=\"font-family:宋体\">哺乳期</span></p></td></tr><tr><td width=\"114\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">多潘立酮</span></p></td><td width=\"76\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">Ⅰ</span></p></td><td width=\"150\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>20~30<span style=\"font-family:   宋体\">口服</span></p></td><td width=\"99\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">同甲氧氯普胺</span></p></td><td width=\"129\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>&lt;10</p><p><span style=\"font-family:宋体\">岁儿童</span></p></td></tr></tbody></table><p style=\"line-height: 2em;\"><span style=\"font-size: 12px;\">2. 特异性药物&nbsp;</span></p><p style=\"line-height: 2em;\">&nbsp; &nbsp; (1)<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>曲坦(triptan)类药物:曲坦类药物为5羟色胺1B/1D受体激动剂,能特异地控制偏头痛的头痛。目前国内有舒马曲坦、佐米曲坦和利扎曲坦,那拉曲坦、阿莫曲坦、依来曲坦和夫罗曲坦国内尚未上市。曲坦类的疗效和安全性均经大样本、随机安慰剂对照试验证实。药物在头痛期的任何时间应用均有效,但越早应用效果越好。出于安全考虑,不主张在先兆期使用。与麦角类药物相比,曲坦类治疗24小时内头痛复发率高(15%~40%),但如果首次应用有效,复发后再用仍有效,如首次无效,则改变剂型或剂量可能有效。患者对一种曲坦类无效,仍可能对另一种有效。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; 舒马曲坦:有口服剂(片剂、速释剂)、皮下注射剂、鼻喷剂及肛门栓剂,其中100mg片剂是所有曲坦类的疗效参照标准。皮下注射舒马曲坦6mg,10分钟起效,2小时头痛缓解率达80%。疗效明显优于ASA1000mg皮下注射,但不良反应亦多。鼻喷剂20mg较片剂起效快,有效率与口服50mg或100mg相当,鼻喷剂疗效可能存在种族差异。在伴有呕吐的患者中应使用栓剂,其效果与口服50mg或100mg相当。应用25或50mg无效者中,超过半数可对100mg速释剂有效。口服舒马曲坦50mg与ASA泡腾片1000mg疗效相当,口服100mg则与口服ASA900mg加甲氧氯普胺10mg合剂疗效相似。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; 佐米曲坦:有2.5mg和5mg的口服和鼻喷剂。药物亲脂性,可透过血脑屏障,生物利用度高。口服40~60分钟后起效,鼻喷剂比口服剂起效快,35mg起效更快并可维持6小时。口服2.5mg与口服ASA900mg加甲氧氯普胺10mg合剂疗效相似或稍优。偏头痛发作早期,鼻喷5mg,1小时内可明显减轻头痛。口服2.5mg后,2小时的头痛消失率与阿莫曲坦12.5mg、依来曲坦40mg、舒马曲坦50mg相当,优于那拉曲坦2.5mg;2小时的疼痛减轻和消失率与利扎曲坦10mg相当。口服5mg后,2小时的疼痛消失率与舒马曲坦50mg或100mg相当。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; 利扎曲坦:有5mg和10mg的普通和糯米纸囊口服剂型。推荐10mg为起始剂量,若头痛持续,2小时后可重复一次。口服作用快速,头痛消失与疗效维持在所有曲坦类药物中最显著,头痛复发率较舒马曲坦、佐米曲坦和那拉曲坦低。10mg疗效略优于舒马曲坦100mg,但副作用随剂量增大而增加。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; 其他:那拉曲坦和夫罗曲坦均为2.5mg的口服剂。在所有曲坦类药物中,二者的起效时间最长,约需4小时,且疗效不如舒马曲坦50mg或100mg,但不良反应较少,药物的半衰期长达6小时。阿莫曲坦有6.25mg和12.5mg两种片剂,口服40~60分钟起效,量效关系明显。6.25mg和12.5mg副作用无差异。阿莫曲坦12.5mg较麦角胺咖啡因合剂治疗有效,与利扎曲坦10mg、舒马曲坦100mg疗效相似,但副作用更低。阿莫曲坦与醋氯芬酸100mg合用比单用有效,疗效不受有无allodynia的影响。依来曲坦有20mg和40mg两种口服剂型,40mg无效可增至80mg,但副作用与剂量相关。在所有曲坦类药物制剂中,依来曲坦80mg效果最强,但不良反应也最大。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; (2) 麦角胺类药物:麦角胺类药物治疗偏头痛急性发作的历史很长,但判断其疗效的随机对照试验却不多。试验多使用麦角胺咖啡因合剂(分别2mg和200mg或1mg和100mg合剂)。一项研究对比其与ASA联合甲氧氯普胺,发现其对头痛、恶心、呕吐症状的缓解不及后者。与卡马匹林合用甲氧氯普胺的对照研究也显示麦角胺咖啡因用药2小时后的头痛及恶心的缓解率低于后者。与曲坦的对比观察证实其疗效不及曲坦类。麦角胺具有药物半衰期长、头痛的复发率低的优势,适用于发作持续时间长的患者。另外,极小量的麦角胺类即可迅速导致MOH,因此应限制药物的使用频度,不推荐常规使用。麦角胺类的主要不良反应及禁忌症(见表15)</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; (3) 降钙素基因相关肽(CGRP)受体拮抗剂:CGRP受体拮抗剂(gepant类药物)通过将扩张的脑膜动脉恢复至正常而减轻偏头痛症状,且该过程不导致血管收缩。部分对曲坦类无效或者对曲坦类不能耐受的患者可能对gepant类药物有良好的反应。</p><p style=\"line-height: 2em;\">2项大规模随机双盲安慰剂(或曲坦)对照试验显示telcagepant(MK 0974)有良好的临床疗效,300mg口服后2小时的头痛缓解率与利扎曲坦10mg、佐米曲 坦5mg相当,不良反应的发生率略高于安慰剂。</p><p><span style=\"font-size: 12px;\">表15 偏头痛特异性药物剂量及推荐</span><br/></p><table width=\"568\"><tbody><tr class=\"firstRow\"><td width=\"90\" valign=\"top\" style=\"border-width: 1px; border-color: windowtext; padding: 0px 7px; border-style: solid;\"><p><span style=\"font-family:宋体\">药物</span></p></td><td width=\"145\" valign=\"top\" style=\"border-width: 1px; border-top-color: windowtext; border-right-color: windowtext; border-bottom-color: windowtext; border-style: solid; border-left-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">剂量</span>(mg)</p></td><td width=\"106\" valign=\"top\" style=\"border-width: 1px; border-top-color: windowtext; border-right-color: windowtext; border-bottom-color: windowtext; border-style: solid; border-left-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">证据级别</span></p></td><td width=\"52\" valign=\"top\" style=\"border-width: 1px; border-top-color: windowtext; border-right-color: windowtext; border-bottom-color: windowtext; border-style: solid; border-left-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">推荐等级</span></p></td><td width=\"175\" valign=\"top\" style=\"border-width: 1px; border-top-color: windowtext; border-right-color: windowtext; border-bottom-color: windowtext; border-style: solid; border-left-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">副作用和禁忌症</span></p></td></tr><tr><td width=\"90\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">曲坦类</span></p></td><td width=\"145\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><br/></td><td width=\"106\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><br/></td><td width=\"52\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><br/></td><td width=\"175\" rowspan=\"2\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">副作用</span>:<span style=\"font-family:宋体\">疲劳</span>,<span style=\"font-family:宋体\">恶心</span>,<span style=\"font-family:宋体\">头痛</span>,<span style=\"font-family:宋体\">头晕</span>,<span style=\"font-family:宋体\">眩晕</span>,<span style=\"font-family:宋体\">嗜睡</span>,<span style=\"font-family:宋体\">骨痛</span>,<span style=\"font-family:宋体\">胸痛</span>,<span style=\"font-family:宋体\">无力</span>,<span style=\"font-family:宋体\">口干</span>,<span style=\"font-family:宋体\">呕吐</span>,<span style=\"font-family:宋体\">感觉异常</span>,<span style=\"font-family:宋体\">胃肠道反应</span>,<span style=\"font-family:宋体\">精神异常</span>,<span style=\"font-family:宋体\">神经系统疾病等</span>,<span style=\"font-family:宋体\">严重不良事件包括心肌梗死、心律失常、卒中。禁忌症</span>:<span style=\"font-family:宋体\">未控制的高血压、冠心病、</span>Raynaud<span style=\"font-family:宋体\">病、缺血性卒中史、妊娠、哺乳、严重的肝功或肾功不全、</span>18<span style=\"font-family:宋体\">岁以下和</span>65<span style=\"font-family:宋体\">岁以上者</span></p></td></tr><tr><td width=\"90\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">舒马曲坦</span></p></td><td width=\"145\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>25,50,100(<span style=\"font-family:   宋体\">口服</span>,<span style=\"font-family:宋体\">包括速释剂</span>)</p><p>25(<span style=\"font-family:宋体\">栓剂</span>)</p><p>10<span style=\"font-family:宋体\">和</span>20(<span style=\"font-family:宋体\">鼻腔喷剂</span>)</p><p>6(<span style=\"font-family:宋体\">皮下注射</span></p></td><td width=\"106\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>&nbsp;</p><p>&nbsp;</p><p><span style=\"font-family:宋体\">Ⅰ</span></p></td><td width=\"52\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>A</p><p>&nbsp;</p><p>A</p><p>A</p><p>A</p></td></tr><tr><td width=\"90\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">佐米曲坦</span></p></td><td width=\"145\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>2.5,5(<span style=\"font-family:   宋体\">口服</span>,<span style=\"font-family:宋体\">包括崩解剂</span>,<span style=\"font-family:宋体\">鼻腔喷剂</span>)</p></td><td width=\"106\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">Ⅰ</span></p></td><td width=\"52\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>A</p></td><td width=\"175\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><br/></td></tr><tr><td width=\"90\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">那拉曲坦</span></p></td><td width=\"145\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>2.5(<span style=\"font-family:宋体\">口服</span>)</p></td><td width=\"106\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><br/></td><td width=\"52\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>A</p></td><td width=\"175\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><br/></td></tr><tr><td width=\"90\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">利扎曲坦</span></p></td><td width=\"145\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>5,10(<span style=\"font-family:   宋体\">口服</span>,<span style=\"font-family:宋体\">包括糯米纸囊剂型</span>)</p></td><td width=\"106\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">Ⅰ</span></p></td><td width=\"52\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>A</p></td><td width=\"175\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><br/></td></tr><tr><td width=\"90\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">阿莫曲坦</span></p></td><td width=\"145\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>12.5(<span style=\"font-family:   宋体\">口服</span>)</p></td><td width=\"106\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">Ⅰ</span></p></td><td width=\"52\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>A</p></td><td width=\"175\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><br/></td></tr><tr><td width=\"90\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">依来曲坦</span></p></td><td width=\"145\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>20,40(<span style=\"font-family:   宋体\">口服</span>)</p></td><td width=\"106\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">Ⅰ</span></p></td><td width=\"52\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><br/></td><td width=\"175\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><br/></td></tr><tr style=\";height:15px\"><td width=\"90\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">夫罗曲坦</span></p></td><td width=\"145\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>2.5(<span style=\"font-family:宋体\">口服</span></p></td><td width=\"106\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">Ⅰ</span></p></td><td width=\"52\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>A</p></td><td width=\"175\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><br/></td></tr><tr><td width=\"90\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">麦角胺类</span></p><p><span style=\"font-family:宋体\">麦角胺咖啡因</span></p></td><td width=\"145\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><br/></td><td width=\"106\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><a><span style=\";font-family:宋体;color:#333333;background:white\">Ⅱ</span></a></p></td><td width=\"52\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>B</p></td><td width=\"175\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">副作用</span>:<span style=\"font-family:宋体\">恶心、呕吐、眩晕、嗜睡、胸痛、焦虑、感觉异常、精神萎靡和麦角胺类中毒禁忌症</span>:<span style=\"font-family:宋体\">心血管和脑血管病、</span>Raynaud<span style=\"font-family:宋体\">病、高血压、肾功能不全、妊娠期、哺乳期等</span></p></td></tr><tr><td width=\"90\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">降钙素基因相关肽受体拮抗剂</span>Telcagepant(MK0974)</p></td><td width=\"145\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>300(<span style=\"font-family:宋体\">口服</span>)</p></td><td width=\"106\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">Ⅰ</span></p></td><td width=\"52\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>B</p></td><td width=\"175\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">恶心、呕吐、头晕、眼花、嗜睡、口干、疲劳无力、感觉异常、</span></p><p><span style=\"font-family:宋体\">胸闷不适等</span></p></td></tr></tbody></table><p style=\"line-height: 2em;\"><span style=\"font-size: 12px;\">3.</span><span class=\"Apple-tab-span\" style=\"font-size: 12px; white-space: pre;\">	</span><span style=\"font-size: 12px;\">复方制剂&nbsp;</span></p><p style=\"line-height: 2em;\">&nbsp; &nbsp; 麦角胺咖啡因合剂可治疗某些中重度的偏头痛 发作(Ⅱ级证据)。其它常用的复方制剂有:ASA、对乙酰氨基酚及咖啡因的复方制剂,对乙酰氨基酚与咖啡因的复方制剂,双氯酚酸与咖啡因的复方制剂,咖啡因、异丁巴比妥和(或)颠茄的复方制剂等。其中合用的咖啡因可抑制磷酸二酯酶,减少cAMP的分解破坏,使细胞内的cAMP增加,从而发挥广泛的药理 作用,包括收缩脑血管减轻其搏动幅度,加强镇痛药的疗效等。要注意,合用的咖啡因会增加药物依赖、成瘾及MOH的危险。&nbsp;</p><p style=\"line-height: 2em;\">(四)<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>成人偏头痛急性期治疗药物推荐(见表16)。&nbsp;</p><p style=\"line-height: 2em;\">(五)<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>急性期治疗药物的选择和使用原则 急性期治疗药物的选择应根据头痛严重程度、伴随症状、既往用药情况和患者的个体情况而定。药物选择有2种方法:∗阶梯法,即每次头痛发作时均首选NSAIDs类药物,若治疗失败再改用偏头痛特异性治疗药物。+分层法,基于头痛程度、功能损害程度及之前对药物的反应,若为严重发作则使用特异性治。</p><p style=\"line-height: 2em;\">疗药物,否则使用NSAIDs类药物。不同治疗策略的致残性(thedisabilityinstrategiesofcare,DISC)研究对上述不同治疗策略进行比较后发现,分层治疗在2小时止痛率及每次残疾时间方面均优于阶梯法,且事后分析证明其最具经济性。</p><p style=\"line-height: 2em;\">药物使用应在头痛的早期足量使用,延迟使用可使疗效下降、头痛复发及不良反应的比例增高。有严重的恶心和呕吐时,应选择胃肠外给药。甲氧氯普 胺、多潘立酮等止吐和促进胃动力药物不仅能治疗伴 随症状,还有利于其他药物的吸收和头痛的治疗。</p><p style=\"line-height: 2em;\">不同曲坦类药物在疗效及耐受性方面略有差异。对某一个体患者而言,一种曲坦无效,可能另一曲坦有效;一次无效,可能另一次发作有效。由于曲坦类 药物疗效和安全性优于麦角类,故麦角类药物仅作为二线选择。麦角类有作用持续时间长、头痛复发率低的特点,故适于发作时间长或经常复发的患者。</p><p style=\"line-height: 2em;\">为预防MOH,单纯NSAIDs制剂不能超过15天/月,麦角碱类、曲坦类、NSAIDs复合制剂则不超过10天/月。</p><p>表16 成人偏头痛急性期治疗药物推荐</p><table width=\"568\"><tbody><tr class=\"firstRow\"><td width=\"91\" valign=\"top\" style=\"border-width: 1px; border-color: windowtext; padding: 0px 7px; border-style: solid;\"><p><span style=\"font-family:宋体\">药物</span></p></td><td width=\"145\" valign=\"top\" style=\"border-width: 1px; border-top-color: windowtext; border-right-color: windowtext; border-bottom-color: windowtext; border-style: solid; border-left-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">推荐剂量</span>(mg)</p></td><td width=\"92\" valign=\"top\" style=\"border-width: 1px; border-top-color: windowtext; border-right-color: windowtext; border-bottom-color: windowtext; border-style: solid; border-left-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">推荐等级</span></p></td><td width=\"240\" valign=\"top\" style=\"border-width: 1px; border-top-color: windowtext; border-right-color: windowtext; border-bottom-color: windowtext; border-style: solid; border-left-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">注意事项</span></p></td></tr><tr><td width=\"568\" colspan=\"4\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p>NSD</p></td></tr><tr><td width=\"91\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">阿司匹林</span></p></td><td width=\"145\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>1000<span style=\"font-family:宋体\">口服</span>;1000<span style=\"font-family:宋体\">静脉</span></p></td><td width=\"92\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>A</p></td><td width=\"240\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">胃肠道不良反应</span>,<span style=\"font-family:宋体\">出血风险</span></p></td></tr><tr><td width=\"91\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">布洛芬</span></p></td><td width=\"145\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>200-800</p></td><td width=\"92\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>A</p></td><td width=\"240\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">胃肠道不良反应</span>,<span style=\"font-family:宋体\">出血风险</span></p></td></tr><tr><td width=\"91\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">萘普生</span></p></td><td width=\"145\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>500-1000</p></td><td width=\"92\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>A</p></td><td width=\"240\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">胃肠道不良反应</span>,<span style=\"font-family:宋体\">出血风险</span></p></td></tr><tr><td width=\"91\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">双氯芬酸</span></p></td><td width=\"145\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><br/></td><td width=\"92\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>A</p></td><td width=\"240\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">包括双氯芬酸钠和双氯芬酸钾</span></p></td></tr><tr><td width=\"91\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">对乙酰氨基酚</span></p></td><td width=\"145\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>1000<span style=\"font-family:宋体\">口服或肛栓剂</span></p></td><td width=\"92\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>A</p></td><td width=\"240\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">肝功能及肾功能衰竭者慎用</span></p></td></tr><tr><td width=\"91\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">阿司匹林</span>+<span style=\"font-family:宋体\">对乙酰</span> &nbsp; <span style=\"font-family:宋体\">氨基酚</span>+<span style=\"font-family:宋体\">咖啡因复合制剂</span></p></td><td width=\"145\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>250+200 250+50</p></td><td width=\"92\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>A</p></td><td width=\"240\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">同</span>ASA<span style=\"font-family:宋体\">和对乙酰氨基酚</span>:<span style=\"font-family:宋体\">胃肠道不良反应</span>,<span style=\"font-family:宋体\">出血风险</span>;<span style=\"font-family:宋体\">肝功能及肾功能衰竭者慎用</span></p></td></tr><tr><td width=\"91\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">安乃静</span></p></td><td width=\"145\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>1000<span style=\"font-family:宋体\">口服</span></p><p>1000<span style=\"font-family:宋体\">静脉</span></p></td><td width=\"92\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>B</p></td><td width=\"240\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">粒细胞缺乏症风险低血压风险</span></p></td></tr><tr><td width=\"91\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">安替比林</span></p></td><td width=\"145\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>1000<span style=\"font-family:宋体\">口服</span></p></td><td width=\"92\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>B</p></td><td width=\"240\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">肝功能及肾功能衰竭者慎用</span></p></td></tr><tr><td width=\"91\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">托芬那酸</span></p></td><td width=\"145\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>200<span style=\"font-family:宋体\">口服</span></p></td><td width=\"92\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><a>B</a></p></td><td width=\"240\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">胃肠道不良反应</span>,<span style=\"font-family:宋体\">出血风险</span></p></td></tr><tr><td width=\"568\" colspan=\"4\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">曲坦类</span></p></td></tr><tr><td width=\"91\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">舒马曲坦</span></p></td><td width=\"145\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>25<span style=\"font-family:宋体\">、</span>50<span style=\"font-family:宋体\">、</span>100<span style=\"font-family:宋体\">口服</span>,<span style=\"font-family:宋体\">包括速释制剂</span>;25<span style=\"font-family:宋体\">肛栓剂</span>;10<span style=\"font-family:宋体\">或</span>20<span style=\"font-family:宋体\">鼻喷剂</span>;6<span style=\"font-family:宋体\">皮下制剂</span></p></td><td width=\"92\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>A</p></td><td width=\"240\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">禁忌症</span>:<span style=\"font-family:宋体\">高血压、冠心病、心绞痛、心肌梗死、雷诺综合征、周围动脉粥样硬化性疾病、</span>TIA<span style=\"font-family:宋体\">或卒中、妊娠、哺乳期、</span>12<span style=\"font-family:宋体\">岁以下儿童、严重肝、肾功能不全、存在多种血管危险因素。不能与麦角类或</span>MAO<span style=\"font-family:宋体\">抑制剂</span>(<span style=\"font-family:宋体\">停用未满</span>2<span style=\"font-family:宋体\">周</span>)<span style=\"font-family:宋体\">同服</span></p></td></tr><tr><td width=\"91\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">佐米曲坦</span></p></td><td width=\"145\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>2.5<span style=\"font-family:宋体\">、</span>5<span style=\"font-family:宋体\">口服</span>,<span style=\"font-family:宋体\">包括口腔崩解片</span>; 2.5<span style=\"font-family:宋体\">、</span>5<span style=\"font-family:宋体\">鼻喷剂</span></p></td><td width=\"92\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>A</p></td><td width=\"240\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">禁忌症同舒马坦</span></p></td></tr><tr><td width=\"91\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">那拉曲坦</span></p></td><td width=\"145\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>2.5<span style=\"font-family:宋体\">口服</span></p></td><td width=\"92\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>A</p></td><td width=\"240\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">禁忌症同舒马曲坦</span>;<span style=\"font-family:宋体\">较舒马坦效弱但持续时间长</span></p></td></tr><tr><td width=\"91\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">利扎曲坦</span></p></td><td width=\"145\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>10<span style=\"font-family:宋体\">口服</span>,<span style=\"font-family:宋体\">包括膜片</span></p></td><td width=\"92\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>A</p></td><td width=\"240\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">禁忌症同舒马曲坦</span>;<span style=\"font-family:宋体\">此外服普萘洛尔时</span>,<span style=\"font-family:宋体\">使用</span>5mg</p></td></tr><tr><td width=\"91\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">阿莫曲坦</span></p></td><td width=\"145\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>12.5<span style=\"font-family:宋体\">口服</span></p></td><td width=\"92\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>A</p></td><td width=\"240\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">禁忌症同舒马曲坦</span> &nbsp; <span style=\"font-family:宋体\">可能较舒马曲坦不良反应少</span></p></td></tr><tr><td width=\"91\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">依来曲坦</span></p></td><td width=\"145\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>20<span style=\"font-family:宋体\">、</span>40<span style=\"font-family:宋体\">口服</span></p></td><td width=\"92\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>A</p></td><td width=\"240\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">禁忌症同舒马曲坦</span> &nbsp; <span style=\"font-family:宋体\">若</span>40mg<span style=\"font-family:宋体\">无效</span>,<span style=\"font-family:宋体\">可用</span>80mg</p></td></tr><tr><td width=\"91\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">夫罗曲坦</span></p></td><td width=\"145\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><a>2.5</a><span style=\"font-family:宋体\">口服</span></p></td><td width=\"92\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>A</p></td><td width=\"240\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">禁忌症同舒马曲坦</span> &nbsp; <span style=\"font-family:宋体\">较舒马曲坦效弱但持续时间长</span></p></td></tr><tr><td width=\"568\" colspan=\"4\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">麦角类</span></p></td></tr><tr><td width=\"91\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">酒石酸麦角胺</span></p></td><td width=\"145\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>2<span style=\"font-family:宋体\">口服</span></p></td><td width=\"92\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>B</p></td><td width=\"240\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">禁忌症</span>:<span style=\"font-family:宋体\">妊娠、哺乳期、</span>12<span style=\"font-family:宋体\">岁以下儿童、控制不良的高血压、冠心病、心绞痛、心梗、雷诺综合征、周围血管粥样硬化性疾病、</span>TIA<span style=\"font-family:宋体\">或卒中、严重肝、肾功能不全、存在多种血管危险因素</span></p></td></tr><tr><td width=\"91\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">双氢麦角胺</span></p></td><td width=\"145\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>2<span style=\"font-family:宋体\">口服或肛栓剂</span></p></td><td width=\"92\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>B</p></td><td width=\"240\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">同上</span></p></td></tr><tr><td width=\"568\" colspan=\"4\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">止吐剂</span></p></td></tr><tr><td width=\"91\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">甲氧氯普胺</span></p></td><td width=\"145\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>10~20<span style=\"font-family:   宋体\">口服</span>;20<span style=\"font-family:宋体\">肛栓剂</span>;10<span style=\"font-family:宋体\">肌注、静脉或皮下使用</span></p></td><td width=\"92\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>B</p></td><td width=\"240\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">禁忌症</span>:<span style=\"font-family:宋体\">运动障碍、</span>14<span style=\"font-family:宋体\">岁以下儿童及妊娠期妇女、癫痫、催乳素瘤</span></p></td></tr><tr><td width=\"91\" valign=\"top\" style=\"border-width: 1px; border-right-color: windowtext; border-bottom-color: windowtext; border-left-color: windowtext; border-style: solid; border-top-color: initial; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">多潘立酮</span></p></td><td width=\"145\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>20~30<span style=\"font-family:   宋体\">口服</span></p></td><td width=\"92\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p>B</p></td><td width=\"240\" valign=\"top\" style=\"border-width: 1px; border-style: solid; border-top-color: initial; border-left-color: initial; border-bottom-color: windowtext; border-right-color: windowtext; padding: 0px 7px;\"><p><span style=\"font-family:宋体\">禁忌症</span>:10<span style=\"font-family:宋体\">岁以下儿童</span> &nbsp; <span style=\"font-family:宋体\">其他不良反应类似甲氧氯普胺</span>,</p><p><span style=\"font-family:宋体\">但较甲氧氯普胺轻微</span></p></td></tr></tbody></table><p style=\"line-height: 2em;\">（六）部分特殊情况的急性期药物治疗&nbsp;</p><p style=\"line-height: 2em;\">1.<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>严重偏头痛发作或偏头痛持续状态:严重偏头痛发作或偏头痛持续状态的患者通常需要在院治疗。首先应评估以排除继发性头痛,了解加重或诱发因素,包括是否存在药物滥用、情感障碍等。支持治疗具有重要意义,包括安置于安静黑暗环境、治疗严重呕吐导致的脱水及电解质紊乱、使用氯丙嗪或甲氧氯普胺止吐、予以苯二氮卓类镇静处理等。 可选择静脉、直肠或皮下使用曲坦类或麦角类,安乃近和乙酰水杨酸有效,但对乙酰氨基酚无效。 虽然皮质激素(如50~100mg强的松或10mg地塞米松)被广泛使用,但相应的临床试验未能证实其有效。前瞻性双盲对照试验及回顾研究提示静脉用丙戊酸钠有效,且安全性佳。硫酸镁的各项随机对照研究结果不一,亚组分析提示硫酸镁可能对有先兆偏头痛效果较好,而对无先兆偏头痛无效。</p><p style=\"line-height: 2em;\">2.<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>偏头痛缓解后再发:对一次发作头痛持续时间较长的患者而言,容易出现在治疗后头痛再次出现(头痛再发)。一般定义为在首次有效治疗药物使用后的2~24小时内头痛的严重程度发生恶化,由无痛或轻度头痛转为中 重度头痛。与麦角胺或ASA等比较,曲坦类更易出现上述问题。首次曲坦治疗有效后,约15%~40%的患者会出现头痛再发。若首次曲坦治疗无效则无需同一次头痛发作时重复使用同一种曲坦药物。麦角类药物适于偏头痛发作时间长或经常复发的患者。</p><p style=\"line-height: 2em;\">3.<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>儿童偏头痛:布洛芬(10mg/kg)、对乙酰氨基酚(15mg/kg)被证明对儿童及青少年的偏头痛急性期有效。双氯芬酸(体重&gt;16kg)、萘普生(年龄&gt;6岁或体重&gt;25kg)、ASA也被某些指南推荐使用。唯一可用于12岁以下儿童的止吐药是多潘立酮。在大于11岁儿童的安慰剂对照研究中,舒马曲坦鼻喷剂5~20mg(推荐用量为10mg)有效。在儿童及青少年中,口服曲坦类药物无显著疗效。麦角类药物不能用于儿童及青少年。应指导家长在头痛开始后尽早使用药物。若有较严重的恶心呕吐,可选择肛栓剂。若对乙酰氨基酚、ASA或其他NSAIDs无效,方可用舒马曲坦鼻喷剂。</p><p style=\"line-height: 2em;\">4.<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>妊娠、哺乳期偏头痛:妊娠及哺乳期间,多数治疗药物均受到限制。在启用任何治疗之前,需要评估利弊,并与患者进行详细的沟通。对乙酰氨基酚(1g口服或肛栓剂)可在整个妊娠期使用,其他的NSAID仅可在妊娠第二阶段后使用。对于难治性头痛,可在产科会诊的前提下,使用甲基强的松龙静滴治疗。曲坦类药物及麦角碱类均为禁忌。大型妊娠期登记中,未见归因于舒马曲坦的不良事件或并发症。</p><p style=\"line-height: 2em;\">【预防性药物治疗】</p><p style=\"line-height: 2em;\">(一)<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>预防性治疗目的对患者进行预防性治疗目的是降低发作频率、减轻发作程度、减少功能损害、增加急性发作期治疗的疗效。&nbsp;</p><p style=\"line-height: 2em;\">(二)<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>预防性治疗有效性指标预防性治疗的有效性指标包括偏头痛发作频率、头痛持续时间、头痛程度、头痛的功能损害程度及急性期对治疗的反应。&nbsp;</p><p style=\"line-height: 2em;\">(三)<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>预防性药物治疗指征总的来说,何时开始预防性治疗并没有明确的指征,最重要的因素是患者生活质量受影响的程度,而非刻板地根据发作频率或严重程度来决定。通常,存在以下情况时应与患者讨论使用预防性治疗:∗患者的生活质量、工作或学业严重受损(须根据患者本人的判断);+每月发作频率在2次以上;,急性期药物治疗无效或患者无法耐受;−存在频繁、长时间或令患者极度不适的先兆,或为偏头痛性脑梗死、偏瘫性偏头痛、基底型偏头痛亚型;.连续3月每月使用急性期治疗6~8次以上;/偏头痛发作持续72小时以上;0患者的意愿(尽可能少的发作)。</p><p style=\"line-height: 2em;\">(四)<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>预防性治疗药物及评价目前应用于偏头痛预防性治疗的药物主要包括:受体阻滞剂、钙离子通道阻滞剂、抗癫痫剂、抗抑郁剂、NSAID及其他种类的药物。&nbsp;</p><p style=\"line-height: 2em;\">1.<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>受体阻滞剂:受体阻滞剂在偏头痛预防性治疗方面效果明确,有多项随机对照试验结果支持。其中证据最为充足的是非选择性受体阻滞剂普萘洛尔和选择性受体阻滞剂美托洛尔。另外,比索洛尔、噻吗洛尔和阿替洛尔可能有效,但证据强度不高受体阻滞剂的禁忌症包括反应性呼吸道疾病、糖尿病、体位性低血压及心率减慢的某些心脏疾病。不适于运动员,可发生运动耐量减低。有情感障碍患者在使用受体阻滞剂可能会发生心境低落、甚至自杀倾向。</p><p style=\"line-height: 2em;\">2.<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>钙离子通道阻滞剂:非特异性钙离子通道阻滞剂氟桂利嗪对偏头痛预防性治疗证据充足,剂量为每日5mg~10mg,女性所需的有效剂量低于男性。环扁桃酯的研究结果不一致,设计较好的研究结果为阴性,因此不推荐。多项尼莫地平预防偏头痛的研究,结果均未能显示其疗效优于安慰剂,不值得推荐。</p><p style=\"line-height: 2em;\">3.<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>抗癫痫药:丙戊酸(至少每日600mg)的随机对照试验结果证实其对偏头痛预防有效。需定时检测血常规、肝功能和淀粉酶,对于女性患者更需注意体重增加及卵巢功能异常(如多囊卵巢综合症)。托吡酯(每日25~100mg)是另一个有试验证据支持的抗癫痫药物。托吡酯对慢性偏头痛有效,并可能对MOH有效。 拉莫三嗪不能降低偏头痛发作的频率,但可能降低先兆发生的频率。加巴喷丁在一项随机双盲安慰剂对照试验中显示有效。开放性、非对照的试验结果提示左乙拉西坦可能有助于降低头痛频率。奥卡西平试验证明无效。</p><p style=\"line-height: 2em;\">4.<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>抗抑郁药:唯一在所有研究中均被证实有效的药物是阿米替林,4项较早的安慰剂对照试验结果均为阳性,使用剂量为每日10mg~150mg。但这 些试验的样本量均较小,且副作用明显。阿米替林对偏头痛的预防作用有限,但特别适用于合并有紧张型头痛或抑郁状态(常存在慢性疼痛)的患者。主要不良反应为镇静作用。每日1次用法可增加患者的依从性。大剂量使用时需进行心电图检查。</p><p style=\"line-height: 2em;\">两项小样本对照试验显示选择性血清素重摄取抑制剂(SSRI)非莫西汀有效。3项氟西汀的试验显示有效,1项则显示无效。氯米帕明及舍曲林的对照试验结果显示无效。其他抗抑郁剂仅有开放性或非对照性试验。文拉法辛与阿米替林的双盲对照试验结果证实疗效相当,另有2项开放性研究结果阳性。</p><p style=\"line-height: 2em;\">5.<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>NSAIDs:ASA对偏头痛预防治疗的研究结果不一。两项大型队列研究发现每日200~300mg的ASA可降低偏头痛发作的频率。ASA与有确定疗效药物的对比试验显示其效果相当或较差,而在与安慰剂的对照试验中却从未被证实有效。3项对照试验证明萘普生每日1000mg优于对照。另外,2项安慰剂对照试验显示托芬那酸有效。其他曾做过试验的药物包括酮洛芬、甲芬那酸、吲哚布芬、氟比洛芬和罗非考昔,但试验均有样本量过小且设计不足之嫌。</p><p style=\"line-height: 2em;\">6.<span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>其他药物:抗高血压药物赖诺普利及坎地沙坦各有一项对照试验结果显示对偏头痛预防治疗有效,但仍需进一步证实。 大剂量核黄素(每日400mg)及辅酶Q10的对照试验结果显示有效。口服镁盐的结果矛盾,1项结果阴性,另1项结果为阳性。款冬根的提取物(Petasiteshybridus)经2项对照试验显示有效,剂量为每日75mg。野甘菊提取物(Tanacetumpartheni um)有数项对照试验,结果不一,但最近完成的设计良好的试验显示其无效,系统分析结果亦为阴性。但由于存在阳性对照研究结果,故只能作为三线药物。</p><p style=\"line-height: 2em;\">早期的可乐定、苯噻啶及二甲麦角新碱的试验提示能预防偏头痛发作。但近期设计较好的试验未能证明可乐定有效。二甲麦角新碱有效,但因严重的不良作用,仅推荐作为短期使用(治疗期最长6个月),经4~6周的洗脱期后可重新使用。苯噻啶的头晕及增加体重的不良作用明显妨碍了其临床应用。麦角类也被用于偏头痛预防治疗,双氢麦角碱的证据较弱,几项试验结果相左。双氢麦角隐亭在1项小样本对照试验中显示有效,且耐受性好,但效果仍需进一步证实。基于以上证据不推荐此三类药物用于预防偏头痛治疗。</p><p style=\"line-height: 2em;\">早期一些试验提示肉毒毒素A注射可能对偏头痛有预防性作用,但对所有7项对照研究的系统分析却未能显示其较安慰剂具有显著疗效。然而,针对慢性偏头痛的预防性研究结果却提示其对慢性偏头痛有效。近期1项随机双盲对照试验显示肉毒毒素A较安慰剂疗效显著。多中心的随机双盲安慰剂对照试验也取得了阳性结果。比较肉毒毒素A注射与托吡酯、丙戊酸预防慢性偏头痛的随机双盲试验均认为其效果相当,且肉毒毒素的耐受性更好。</p><p style=\"line-height: 2em;\">随机双盲安慰剂对照试验证明无效的其他治疗包括半胱氨酸白三烯受体拮抗剂孟鲁司特、乙酰唑胺(50mg/d)及神经激肽1受体拮抗剂拉奈匹坦。</p><p style=\"line-height: 2em;\">(五) 预防性治疗药物选择和使用原则医师在使用预防性治疗药物之前须与患者进行充分的沟通,根据患者的个体情况进行选择,注意药物的治疗效果与不良反应,同时注意患者的共病、与其他药物的相互作用、每日用药次数及经济情况。通常首先考虑证据确切的一线药物,若一线药物治疗失败、存在禁忌症或患者存在以二、三线药物可同时治疗的合并症时,方才考虑使用二线或三线药物。避免使用患者其他疾病的禁忌药,及可能加重偏头痛发作的治疗其他疾病的药物。长效制剂可增加患者的顺应性。</p><p style=\"line-height: 2em;\">药物治疗应小剂量单药开始,缓慢加量至合适剂量,同时注意副作用。对每种药物给予足够的观察期以判断疗效,一般观察期为4~8周。患者需要记头痛日记来评估治疗效果,并有助于发现诱发因素及调整生活习惯。偏头痛发作频率降低50%以上可认为预防性治疗有效。有效的预防性治疗需要持续约6月,之后可缓慢减量或停药。若发作再次频繁,可重新使用原先有效的药物。若预防性治疗无效,且患者没有明显的不良反应,可增加药物剂量;否则,应换用第二种预防性治疗药物。若数次单药治疗无效,才考虑联合治疗,也应从小剂量开始。</p><p style=\"line-height: 2em;\">(六) 部分特殊情况的偏头痛预防治疗</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;1. 儿童偏头痛:与成人启动预防性治疗的原则相仿,若患儿偏头痛的频率或严重程度严重影响生活或导致大量使用急性期药物,可考虑预防性治疗。&nbsp;</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; (1) 非药物治疗:非药物治疗与成人相仿,放松、生物反馈、音乐疗法及应对应激的认知行为治疗对儿童同样适宜。更有证据证明这些治疗方法可能比受体阻滞剂更为有效。特别注意的是睡眠对患儿极为重要。儿童需要每天8~10小时睡眠,并按时作息,周末可适当放宽要求,但周日晚必须恢复正常睡眠要求。青少年于周末可以睡得晚些,但最好能在平时起床的时间起床,适当进食后再小睡,避免进食不规律。推荐患儿保持规律作息,避免紧张,养成良好的睡眠习惯。约1/3患儿有确切的诱发食物(如巧克力、柑桔、奶酪、腌肉、酸奶、油炸食品、谷氨酸钠等),同时应避免咖啡因摄取。发作时应注意避免脱水。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; (2) 药物治疗:钙离子通道阻滞剂:仅氟桂利嗪有严格设计的随机双盲对照研究证明有效性。其它药物均证据不足。总之,儿童偏头痛预防治疗急需设计良好的试验证据。专家对于在儿童中预防性治疗的使用时间长短仍有争议,有推荐于患儿的学期内使用,到假期逐渐停药;有推荐短期内使用(6~8周)。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; 受体阻滞剂:普奈洛尔有三项随机双盲对照研究,结果相左,三者的缺点都在于样本量较小。一项在7~16岁青少年中进行的双盲交叉对照研究显示,普萘洛尔60~120mg/d(0.5~1mg/kg/day,分三次)可显著降低头痛发作频率;但另一项使用80~120mg/d的研究未发现有效性,且普萘洛尔组的平均头痛持续时间反而较基线延长。比较普萘洛尔 及自我催眠治疗的研究亦未发现普萘洛尔(3mg/kg/day)有助于预防头痛发作。但由于存在阳性研究结果,普萘洛尔可作为二线用药,一般起始剂量1~2mg/kg/d,若能耐受,可缓慢加量至3mg/kg/d,通常2~3周调整剂量。另一非选择性 受体阻滞剂噻吗洛尔在一项随机对照研究中未显示显著有效性。其它选择性 受体阻滞剂,包括阿替洛尔、美托洛尔、nadolol无证据。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; 抗癫痫药物:抗癫痫药物在儿童中应用的证据不足,主要为回顾性研究。托吡酯有3项回顾性研究结果显示有效,但托吡酯的前瞻性随机对照研究显示有效趋势,但无显著性。丙戊酸有2项回顾性研究证据(最小年龄9岁),治疗剂量较抗癫痫的剂量小(10mg/kg/d或500mg/日)。比较丙戊酸和普萘洛尔的随机双盲对照研究显示两者的治疗效果相当。与成人一样,使用丙戊酸时需要注意血常规、肝功能,对于女性患儿需要考虑到体重及卵巢功能。有小样本回顾研究评估了左乙拉西坦(125~250mg)、加巴喷丁(15mg/kg)的作用,均显示有效,不良作用小。&nbsp;</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; 抗抑郁剂:抗抑郁药物在儿童或青少年中使用的证据少。阿米替林有两项研究结果,一项为开放性亚组分析结果,另一项为回顾性研究结果,总体不良反应少。阿米替林起始剂量为每晚5~10mg,可每4~6周缓慢加量至25~50mg。曲唑酮的对照研究未显示有效性。SSRI无试验证据。有专家意见对于同时伴有焦虑或抑郁的患儿可选择SSRIs,但近期美国FDA提出对使用此类药物的青少年需注意自杀倾向的警告,故需慎重。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; NSAIDs:萘普生有1项小样本双盲对照交叉队列研究显示有效性,主要不良作用为胃肠道反应,故专家推荐预防治疗限制在2个月内。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; 其它药物:款冬根提取物(Petadolex)虽有开放性研究提示有效,但在随机双盲安慰剂对照研究未显示有效性。辅酶Q10仅有开放性研究证据。苯噻啶1mg/d的对照研究未显示有效性。赛庚啶仅有1项回顾性研究显示其有效性,在国外使用较广泛,有效剂量从2~4mg/晚,每日三次。主要副作用为镇静及食欲增加。</p><p style=\"line-height: 2em;\">2. 月经期及月经相关性偏头痛</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; 月经性偏头痛的预防性治疗包括短期预防性治疗及持续性预防性治疗。前者仅于头痛易发作期用药,时间短,更易为患者接受。有短期预防性治疗证据的药物包括NSAIDs、曲普坦类、镁剂及激素替代治疗。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; 萘普生钠(550mg,每日2次)可降低急性期疼痛程度,包括经前综合征中的头痛。已有研究评估了其对于月经性偏头痛的特别作用。1项研究中,患者月经前1周的头痛频率更少、程度更轻,但仅头痛程度的下降较对照有显著意义。另2项对照研究中,于月经第1天的前后1周内使用萘普生可减少围月经期的头痛频率,1项研究未能降低头痛严重程度。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; 曲普坦类也被用作短期预防治疗。那拉曲坦(1mg,每日2次,自预计的月经前2天开始,共5天)、夫罗曲坦(2.5mg,每日2次,经期用6天)及口服舒马曲坦均有小样本的前瞻性对照研究,结果显示较对照剂有效。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; 小样本的镁盐对照研究结果阳性,研究使用焦谷氨酸镁(Magnesiumpyrrolidonecarboxylicacid)每日360mg,月经周期第15天至该月经周期结束期间使用,患者头痛日显著下降。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; 若短期预防性治疗无效或不适合可考虑长期预防性治疗。但目前无针对这方面的研究证据。可考虑使用偏头痛一线预防性药物,也可选择同时使用长期及短期预防性治疗。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; 另一类预防性治疗为雌激素替代治疗。最佳证据为经皮雌二醇(凝胶或贴剂,至少100 g,经期用6天),效果不如 受体阻滞剂或其他一线预防性治疗药物。但近期的一项研究并未显示有效性。由于激素替代治疗可增加缺血性心脏病、缺血性卒中等疾病的发病率,对伴先兆性偏头痛的患者风险明显增高,一般不推荐此疗法。</p><p style=\"line-height: 2em;\">3. 妊娠及哺乳期偏头痛</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; 没有特别的临床试验评估妊娠期偏头痛治疗,多数偏头痛治疗药物均为禁忌。所幸多数偏头痛患者在妊娠期发作减少甚至无发作。若妊娠期间不得不启动预防性治疗,必须向患者及家属告知风险及获益程度。对于预防性药物,仅镁盐(300mg/d,用2天)及美托洛尔被推荐用于妊娠期(B级推荐)。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; 若患者计划妊娠,推荐采用非药物治疗方法。哺乳期间,须采用不经乳汁分泌或分泌极少量的药物。已证明丙戊酸在此情况下适用。受体阻滞剂可经乳汁分泌,可能会引起婴儿心动过缓。</p><p style=\"line-height: 2em;\">4. 慢性偏头痛</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; 首先须控制头痛诱因,包括饮食、睡眠、运动及心理因素,避免易加重头痛的食物及药物,包括咖啡因、酒精、烟草。评估患者急性期药物的使用情况,对药物过量性头痛患者首先减少使用相应的药物。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; 治疗药物中证据最充分的是为托吡酯。也可根据患者的合并症等具体情况选择其他预防性治疗药物。肉毒毒素A可能对慢性偏头痛有效:一项随机双盲对照研究使用100单位肉毒毒素A较安慰剂疗效显著;待发表的多中心随机双盲安慰剂对照研究PREEMPT也取得了阳性结果。比较肉毒毒素A与托吡酯、丙戊酸预防慢性偏头痛的随机双盲研究均认为效果相当,且肉毒毒素的耐受性更好。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; 应注重对合并的精神情感疾患进行行为和药物综合治疗。Mathew等对200例患者的观察发现综合治疗较纯药物治疗有效(72 86%比58%)。Blan chard等报道,治疗一年后仍可观察到头痛发作降低50%以上。Grazzi的研究中,相比纯药物治疗的患者,接受综合治疗的存在药物过量性头痛的偏头痛患者3年后头痛天数、药物使用及复发率均更少。然而总体而言,行为治疗对药物过量性头痛的慢性头痛患者的疗效不如发作性偏头痛者(症状缓解率13%比52%)。对药物过量性头痛患者疗效也不如非MOH者(29%比52%)。枕神经刺激(ONS)可能对预防慢性偏头痛有效。</p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5858', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '285', '概述', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;急性胆囊炎（acute cholecystitis），顾名思义就是胆囊的急性炎症，典型表现是右上腹强烈绞痛，阵发性加重，常伴有右肩背部痛、恶心、呕吐、发热寒战等等。检查时右上腹部有压痛，常可以摸到肿大的胆囊。查血常规发现血液中白细胞明显升高，行胆囊超声检查常会发现胆囊增大，壁增厚，胆囊内结石。治疗需根据情况而定，可选手术治疗或非手术治疗。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5859', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '285', '临床表现', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;突发性右上腹持续性绞痛，向右肩胛下区放射，伴有恶心、呕吐。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;发冷、发热、纳差、腹胀。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;10％病人可有轻度黄疸。胆囊炎一般可以使胆囊管的阻塞，而没有肝总管或胆总管的堵塞，所以一般情况不会出现黄疸，除非肝总管或胆总管出现阻塞，便可出现黄疸。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;过去曾有类似病史，脂餐饮食易诱发。胆囊结石引起者，夜间发病为一特点。 5.右上腹肌紧张，压痛或反跳痛，莫菲征（Murphy）阳性。30%-50％病人可触及肿大胆囊有压痛。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5860', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '285', '诊断依据', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;结合病史、临床表现、辅助检查一般可确诊。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;病史：在病史中常有因食油腻食物后诱发胆绞痛史，和过去有经常反复发作史。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;临床表现：腹痛：位于右上腹，突然发作，为剧烈绞痛，或持续疼痛阵发性加剧，可放射至右肩背部。同时伴有发热、恶心、呕吐等。右上腹部胆囊区有程度不同的压痛，叩击痛和肌紧张。有时可扪到肿大的胆囊。可伴有轻度黄疸。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;辅助检查：白细胞计数常增高，中性白细胞也增高。如总数超过每立方毫米20000时，应考虑总胆管内感染严重或有积脓，甚至胆囊有坏死或穿孔的可能。B超检查示胆囊增大，壁厚＞3．5mm，内有强光团伴声影.静脉胆道造影胆囊不显影.CT或MR显示胆囊结石。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5861', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '285', '治疗', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;急性胆囊炎是指局限在胆囊的病理过程，但引起急性胆囊炎的原因并非是单一的，治疗方法的选择和手术治疗的时机，应根据每个人的具体情况，区别对待。结石性急性胆囊炎在一般非手术治疗下，60%-80%的病人，病情缓解，需要时可择期手术。非结石性急性胆囊炎病情较为复杂，一般认为应该尽早手术。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;病情较轻的急性胆囊炎主要进行保守治疗，主要包括禁食、输液、抗生素等等。病情危重或 出现其他并发症时则宜手术治疗。一般的手术方法是直接切除胆囊，但病情危重，患者体质不能耐 受复杂手术时也可暂时不切除胆囊，而行胆囊造口术，防止胆囊坏死穿孔，待到患者情况好转后再次手术切除胆囊。胆囊切除后由于散失了胆汁储备功能，一次进食较多油腻性食物将会导致消化不良腹泻，因此患 者应注意规律清淡饮食，同时也应注意定期复查。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;低脂饮食或禁食，纠正水电解质和酸碱 平衡失调。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;抗感染：一般采用</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;解痉：可以阿托品、间苯三酚、山莨菪碱、硫酸镁等。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;利胆。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;病情危重者可酌情应用激素。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;手术治疗：手术指征有：药物治疗无效、症状加重者；有寒战、高热、白细胞20×10的9次／L以上，胆囊肿大，明显压痛者；胆囊坏疽穿孔或有腹膜炎者；老年病人，症状重，可能发生穿孔者。手术方法有腹腔镜胆囊切除术；开腹胆囊切除术；胆囊造瘘术。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5862', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '286', '概述', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;慢性胆囊炎(chronic cholecystitis)系指胆囊慢性炎症性病变,大多为慢性结石性胆囊炎，占85%～95%，少数为非结石性胆囊炎，如伤寒带菌者。本病可由急性胆囊炎反复发作迁延而来,也可慢性起病。临床表现无特异性，常见的是右上腹部或心窝部隐痛，食后饱胀不适，嗳气，进食油腻食物后可有恶心，偶有呕吐。在老年人，可无临床症状，称无症状性胆囊炎。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5863', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '286', '临床表现', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;在不同患者可有甚大区别，且与实际的病理变化也常不一致；大多数病人合并有胆囊结石，过去多有胆绞痛发作史。患者症状可以明显地继急性胆囊炎首次发作后即不断出现，也有发病隐匿，症状轻微，甚至诊断确定后才注意有症状存在。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.消化不良 &nbsp;表现为上腹饱闷、不适、饱食后上腹不适。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.对脂肪性食物不耐受。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3.右上腹痛 &nbsp;患者还常感右肩胛骨下或右腰部隐痛，有时和胆绞痛相仿。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4.体检除右上腹轻度触痛外，常无阳性体征。偶可扪及肿大的胆囊，亦可在第8～10胸椎右侧有压痛。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5864', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '286', '辅助检查', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;实验室检查：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;十二指肠引流收集胆汁进行检查，可发现胆汁内有脓细胞、胆固醇结晶、胆红素钙沉淀、寄生虫卵等。胆汁培养可发现致病菌。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;影像学检查：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;1.B超检查 &nbsp;最有诊断价值，可显示胆囊大小、囊壁厚度、囊内结石和胆囊收缩情况。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;2.放射学检查 &nbsp;腹部X线平片可显示阳性结石、胆囊钙化及胆囊膨胀的征象；胆囊造影可显示结石、胆囊大小、形状、胆囊收缩和浓缩等征象。</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;3.口服、静脉胆管造影除可显示结石、胆囊大小、胆囊钙化、胆囊膨胀的征象外，还可观察胆总管形态及胆总管内结石、蛔虫、肿瘤等征象，对本病有很大诊断价值。有条件时以逆行胰胆管造影为好，不仅结果可靠，并可行十二指肠镜下治疗。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5865', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '286', '诊断', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;慢性胆囊炎患者一般诊断并不困难，因多数患者有右上腹部一次或多次的绞痛病史和消化不良症状。但有时症状不典型者，可与慢性阑尾炎、慢性溃疡病、慢性胃炎、结肠癌、慢性胰腺炎及肾盂肾炎等症混淆。正确的诊断有赖于：①胆囊部X线平片摄影；②胆囊造影；③B超或CT、MRI等。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5866', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '286', '鉴别诊断', '<p style=\"white-space: normal; line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;慢性胆囊炎应与以下疾病相鉴别。</p><p style=\"white-space: normal; line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.反流性食管炎 &nbsp;</p><p style=\"white-space: normal; line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;因有胃-食管酸性或碱性液体的反流，故胸骨后烧灼感或疼痛是主要症状，部分患者同时伴上腹部隐痛或不适，故易与慢性胆囊炎相混淆。胃镜检查及24h食管内pH值动态监测对反流性食管炎有重要诊断价值。如系碱性反流，则测定食管内胆汁酸含量对诊断有帮助(Bilitec-2000胆汁监测仪)。而B超检查可确定慢性胆囊炎的诊断。</p><p style=\"white-space: normal; line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.慢性胃炎及消化性溃疡 &nbsp;</p><p style=\"white-space: normal; line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;多为上腹部的隐痛与饱胀等，常无慢性胆囊炎急性发作时的右上腹绞痛。消化性溃疡的上腹部疼痛常具有节律性，疼痛与饮食关系更加密切。十二指肠溃疡除有饥饿痛外，还常有夜间痛，同时常伴有反酸症状。胃镜检查对慢性胃炎及消化性溃疡的诊断有重要帮助。必须指出，少数患者慢性胆囊炎可与慢性胃炎或消化性溃疡并存。</p><p style=\"white-space: normal; line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3.慢性胰腺炎 &nbsp;</p><p style=\"white-space: normal; line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;慢性胰腺炎的上腹部疼痛等症状常与慢性胆囊炎、胆石症相类似(但需注意，慢性胆囊炎者有时可并存有慢性胰腺炎)。慢性胰腺炎还常有左侧腰背部的疼痛，疼痛常与体位有关，即平卧位时疼痛加重，躯体前倾时疼痛可减轻。B超、CT或MRI、EPCP及胰腺外分泌功能检查等均有利于慢性胰腺炎与慢性胆囊炎的鉴别。</p><p style=\"white-space: normal; line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4.右侧结肠病变 &nbsp;</p><p style=\"white-space: normal; line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;升结肠或肝曲部癌可引起右上腹疼痛不适，易误诊为慢性胆囊炎(有时两者也可并存)。但升结肠或肝曲癌多有大便习惯的改变。钡剂灌肠或结肠镜检查可发现肿瘤。B超检查对结肠癌的诊断也有重要的辅助价值。</p><p style=\"white-space: normal; line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;5.心绞痛 &nbsp;</p><p style=\"white-space: normal; line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;有少数心绞痛患者的疼痛可位于剑突下，与慢性胆囊炎的疼痛部位与性质相类似。但前者的疼痛持续时间比胆绞痛要短，多数患者休息后疼痛可缓解。心电图、血清肌酸磷酸激酶等测定有利于心绞痛的诊断。少数慢性结石性胆囊炎患者可出现早搏等心脏病症状，但其心脏本身并无病变，在行胆囊切除术后，早搏等心脏症状也随之消失。这种因胆囊病变而引起的心脏症状，称之为“胆心综合征”。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5867', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '286', '治疗', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.内科治疗</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (1)一般治疗：低脂饮食，可减少发病机会。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)解痉、镇痛：一般情况下可给予33%硫酸镁10～30ml口服利胆，或单用抗胆碱能药物，如阿托品0.5mg，或山莨菪碱10mg肌内注射解除Oddi括约肌痉挛。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(3)驱虫治疗：如十二指肠引流物发现有梨形鞭毛虫或华支睾吸虫感染者，应进行驱虫治疗。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(4)溶石疗法：口服熊去氧胆酸、鹅去氧胆酸溶石，但疗效不肯定。近年来，通过逆行胰胆管造影放置鼻胆管，鼻胆管内直接将溶石药物注入胆管及胆囊内，可提高疗效，但疗程较长，费用也较昂贵。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(5)抗菌治疗：对于感染性胆囊炎或其他类型胆囊炎合并细菌感染者，应给予抗生素抗感染治疗，抗生素应用方案与急性胆囊炎基本相同。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.外科治疗 &nbsp;一些非结石的慢性胆囊炎可通过饮食控制及内科治疗而维持不发病，但疗效不可靠。对伴有结石者，由于其反复急性发作的可能性大，且可引发一系列并发症，因而目前普遍认为手术仍是慢性胆囊炎的最佳治疗方案。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)有症状的患者，尤其是反复发作伴有胆囊结石的慢性胆囊炎患者，手术切除胆囊，根本去除感染病灶，防止一切并发症，是首选的治疗方案。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)对临床症状轻微、不典型或诊断不确定的患者，手术切除胆囊疗效可能较差，所以手术时应注意适应证的选择。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(3)对于全身情况较差而不利于手术的患者，应先给予积极的内科治疗，待全身情况好转后再行手术治疗。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3.内镜治疗</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)腹腔镜下胆囊切除术：对于与周围组织无明显粘连的慢性胆囊炎或合并胆囊结石的胆囊炎，尤其是全身一般情况不宜实施普通外科手术者，可通过该方案切除胆囊。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)十二指肠镜下Oddi括约肌切开术：对于伴有胆管结石的慢性胆囊炎患者，有条件的情况下必须在手术前作ERCP及乳头括约肌切开取石术，再根据情况决定是否手术切除胆囊。</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5868', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '294', '概述', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;尿石症(urolithiasis)的发生率、结石成分和部位以及年龄分布各地区及时代有显著差异，但总的方面，小儿尿石症比成人发生率低多。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;根据1983年全国各省市部分医院成人泌尿外科住院患儿统计:广西、广东、贵州、湖南、江西省的尿石症的发病数最高，占30%以上，而内蒙古、山西、黑龙江、河北、青海、甘肃和宁夏诸省及自治区尿石症较少。近年青海、甘肃和宁夏结石患儿数量增加，可能与医疗条件改善有关。一般结石是在肾和膀胱内形成，经过管腔狭小的输尿管和尿道时就停留于该处。由于女孩尿道短宽，遇有细小结石易于排出，故膀胱及尿道结石绝大多数发生在男孩，而上尿路结石性别差异较小。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5869', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '294', '病因', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;结石形成的有关因素:尿石由尿液中所含的晶体与胶体沉积、集聚而成。结石形成的因素可能是综合性的，不同成分和不同部位结石的形成显然不尽相同。有些与外界环境有关，有些则与患儿内在因素有关，如营养不良、维生素A缺乏、地理环境、饮食习惯、遗传趋向、代谢改变和尿路局部改变均为重要因素。例如，甲状旁腺功能亢进、尿路梗阻、感染、异物等与尿石形成的关系已完全肯定。营养不良与结石相关，但近年发达国家儿童特别是婴幼儿泌尿系结石发病率有上升趋势，可能与人工喂养有关。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;结石的性质:结石成分多是混合性的，但以一种为主。以下分别叙述:</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.钙性结石</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;小儿尿石症中最常见的是草酸钙，可能找不出任何原因，也可能并发于高钙血症，如甲状旁腺功能亢进、类肉瘤病、长期卧床和维生素D过高等。血钙正常而有高尿钙症可见于给呋塞米(在新生儿可形成结石)或未能控制的远端肾小管酸中毒，完全胃肠道外营养或碱中毒。在绝大多数患儿，高尿钙症导致结石形成是原因不明。有时，小儿有高尿钙症在第一块结石检出以前，常已有数年的反复肉眼血尿及腰痛，故小儿有反复肉眼血尿时须检查尿钙量。正常的最高限度是4mg/(kg·24h)或尿钙/肌酐比值＞0.25。草酸钙结石可发生于患小肠病变及肠道吸收障碍的小儿，因结肠再吸收过多的草酸盐所致。原发性高草酸尿症常始于4～5岁前可形成肾结石及肾钙化，呈进行性病程，以致发生肾衰。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.胱氨酸结石</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;胱氨酸结石约占泌尿系结石的1%，是先天遗传性的肾小管功能缺陷性疾病。因肾小管对胱氨酸、赖氨酸、精氨酸和鸟氨酸的重吸收不良，以致尿内的浓度过高，仅胱氨酸能形成结石。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3.感染性结石</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;能分解尿素的细菌(如革兰阳性的变形杆菌、铜绿假单胞菌和克雷伯杆菌)所引起的泌尿系感染，造成尿碱化及产生过多的氨导致积坠成磷酸钙胺和磷酸钙结石。该结石作用以异物引起梗阻，结石也常与细菌密切相关，致使持续出现尿路感染。患儿有感染性结石也可有代谢异常，易罹患结石。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4.尿酸结石</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;尿酸结石约占泌尿系结石的5%～10%。高尿酸、尿量少和持久性酸性尿是促进尿酸结石形成的因素。结石是透X线的，如尿持续酸性并有尿酸盐结晶应考虑尿酸结石。高尿酸是由于嘌呤代谢异常产生过多的尿酸。小儿有Lesch-Nyhan综合征及患儿有葡萄糖-6-磷酸酶缺乏(G-6-PD)也可形成尿酸结石。小儿有短肠综合征(尤以带回肠造口)，慢性脱水及酸中毒有时并发尿酸结石。尿酸结石最常见原因之一是有些肿瘤及骨髓增殖性病并发嘌呤快速过多转化的情况。治疗尿酸结石时有引起核蛋白迅速破坏，充满全集合系统导致肾衰甚至无尿的危险。此外，尿酸也可存在含钙结石内，则结石的形成是多因素的。近期才认识的一个相关病变是2，8-双羟腺嘌呤(dihydroxyadenine)结石，是由于腺嘌呤磷酸核糖合成转化酶(adenine phosphoribosyl transferase)缺乏所致。该结石也是透X线的，易溶于碱性尿。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;5.三聚氰胺相关结石</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2008年三聚氰胺污染奶粉事件中的婴幼儿结石属于特例。污染奶粉作为主要营养素人工喂养的婴幼儿，按体重或体表面积计算摄入了更多的三聚氰胺，三聚氰胺在肾小管对原尿浓缩的过程中析出结晶，与尿酸形成砂砾样结石。三聚氰胺相关的婴幼儿泌尿系结石已经被流行病学调查、相关奶粉的三聚氰胺含量检测、结石患儿尿三聚氰胺检测和结石成分分析证实。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5870', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '294', '临床表现', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;小儿尿石症主要是膀胱及尿道结石，多见于4岁以下，肾及输尿管结石无明显年龄差异。肾结石可是单发，但多发也不少见，尤以继发于肾盂输尿管连接部梗阻的病例，双侧肾结石约占20%。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;血尿是肾结石的主要症状，多于剧烈活动后出现，有时血尿较轻，只能在显微镜下见到多数红细胞。腰或腹股沟疼痛是肾结石的重要表现，在乳幼儿不会申诉时则可哭闹，甚至呕吐、颜面苍白，并出冷汗。有一部分病例以全身症状就诊如低热、食欲缺乏、消瘦、生长发育迟滞等，尿检查可有多数白细胞，即尿路感染症状。偶见肾结石以急性无尿为首发症状，这是由于肾-肾反射所致。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;输尿管结石的症状与肾结石基本相同，只是输尿管膀胱壁段结石可引起尿频、尿急、尿痛等膀胱刺激症状。双侧输尿管结石梗阻可致尿闭，造成急性肾衰竭，在三聚氰胺相关婴幼儿泌尿系结石患儿中较常见。三聚氰胺污染婴幼儿奶粉事件已经结束，但目前仍可见到类似形态的砂砾样结石梗阻输尿管造成急性肾衰竭的患儿，有人认为与头孢类抗菌药物与钙剂使用有关，循证角度尚未得到证实。膀胱结石的主要症状是排尿困难和排尿疼痛。排尿困难和疼痛时轻时重，痛重时小儿异常痛苦，以手牵拉或揉摩阴茎和会阴部。有时有尿中断现象，改变体位后才能继续排尿。小儿可有慢性尿潴留、尿滴沥以及排尿极度困难以致脱肛。由于小儿牵拉阴茎使其经常处于半勃起状态，故常比同年龄小儿阴茎大。膀胱结石都伴感染，因之也都有脓尿，并常见终末血尿。尿道结石一般是单发，如嵌顿于前尿道，可在阴茎部触及结石，并有急性尿潴留。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5871', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '294', '诊断', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;如考虑到尿路结石时，腹部X线平片可检出含钙的不透X线结石。胱氨酸及感染性结石可呈淡或不透X线。三聚氰胺结石绝大部分是透X线的阴性结石。透X线结石则可经超声和CT扫描检出。如诊断有结石须做全套尿路功能及影像检查，检查明确有无尿路滞留、梗阻及感染。超声对泌尿系结石诊断特异性和敏感性均高，影像学特点是强回声伴声影。作为病因追查，应检查结石的理化性质，进行成分分析。也须注意代谢异常的因素。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5872', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '294', '治疗', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;治疗尿路结石从两方面考虑:一是治疗原发病如代谢紊乱、感染或已存在的解剖因素;另一方面是处理结石的并发症即梗阻和感染。最简单而有效的是大量饮水，稀释尿可延缓尿石生长及防止尿石再发，有感染时大量饮水多可促进引流。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;改变尿pH也可防止结石复发，胱胺酸更易溶于pH在7.5以上的尿液中，苏打及枸橼酸钠可碱化尿液。别嘌呤醇口服可减少尿酸及2，8-双羟腺嘌呤的产生，故对控制该类结石复发有效。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;既往手术适应证为:①结石过大，估计不能从尿路排出者;②伴发肾积水、感染，引起肾功能减退者;③经常发生严重疼痛及大量血尿，影响健康者;④急性梗阻性无尿或少尿;⑤经长期施用非手术疗法无效者。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;小儿泌尿系管道弹性较好，有较高的排石率，对于输尿管结石可试用针刺和中药治疗。结石梗阻严重或感染较重的病例以及结石较大不能排出时，仍应考虑手术干预。近年随内腔镜技术和设备的改进，经皮肾镜、输尿管镜、输尿管软镜、钬激光碎石和超声碎石清石系统在小儿越来越广泛应用，严格培训和严格掌握适应证的前提下可以取得良好效果，一定程度上已经替代开放手术。近年来，小儿肾结石多可经体外震波碎石也证明其安全性和有效性。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5873', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '288', '概述', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;克罗恩病于1932年由Crohn、Ginzterg和Oppenheime最早描述，故得此名。本病又曾被称为“局限性肠炎”、“节段性肠炎”、“慢性肠壁全层炎”等。1973年，世界卫生组织医学科学国际组织委员会将本病定名为Crohn病。其特点为病因未明，多见于青年人，表现为肉芽肿性炎症病变，合并纤维化与溃疡。可侵及全胃肠道的任何部位，包括口腔、肛门，病变呈节段性或跳跃性分布，并可侵及肠道以外，特别是皮肤。临床表现因病变部位、范围及程度不同而多样化，病程缓慢，易复发。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5874', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '288', '流行病学', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;本病在欧美发病率较高。在美国，Crohn病的发病率大约为5/10万人口，患病率估计为90/10万人口。种族差异较明显，黑人发病仅为白人的1/5。我国发病数较少，1950～1982年国内文献报道经手术证实的Crohn病仅523例。1980年北京几所大医院共同统计分析历年病理确诊的Crohn病145例，认为本病在1960年以后似有增多的趋势。此后的文献报道确有增多。1987～1993年6年间报道达625例。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5875', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '288', '病因', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;迄今为止尚未确定。近年来的研究趋向认为本病可能是遗传易感性和多种外源性因素共同相互作用的结果。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.遗传易感性</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)遗传因素：大量资料表明，Crohn病与遗传因素有关。研究发现单卵发育的孪生子之间患Crohn病的一致性比率明显升高，为67%，而双合子的孪生子，其一致性比率仅为8%。同时发现Crohn病患者与配偶之间表现为不一致性，且与普通人群无差别。以上表明本病有家族聚集性。另有报道，犹太人与非犹太人相比，犹太人家族中此病的发病率高，并发现主要是那些阿斯肯纳兹(Ash Kenazi)人种。对散居在世界各地的阿斯肯纳兹人的调查，其Crohn病的发病率高于那些同一地区居住的非阿斯肯纳兹人的居民，可能阿斯肯纳兹犹太人代表着人类中具有遗传易感性的人群。也有报道表明，Crohn病患者多与HLA-DR4型血清抗原有关。遗传因素究竟如何影响本病的发生尚不清楚。有人认为遗传基因决定机体的免疫反应，炎症性肠病患者的遗传因素决定其对一些肠腔内的抗原物质具有过强的免疫应答反应。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)易感性的改变：目前多数学者认为，Crohn病的发生可能与机体对肠道内多种抗原刺激的免疫应答反应异常有关。越来越多的证据表明，Crohn病患者固有膜的T细胞激活增强，包括T细胞激活的表面标志表达增加，T细胞细胞活素生成增加，以及细胞毒T细胞功能增加。这种T细胞激活的增加导致了效应细胞(如中性白细胞)的聚集。并随后合成破坏性物质(如蛋白酶和反应性氧代谢产物)，由此造成Crohn病肠损伤。T细胞激活的触发机制尚不清楚。过去曾有人坚信是慢性分枝杆菌感染所致，但无可靠证据。目前认为可能不是单一的，更可能由一些广为存在的触发物质所激活。 Crohn病的根本缺陷导致了T细胞永久处于激活状态，这种缺陷是目前探索的课题，它可能是外源的抗原、增加的抗原传递(肠渗透性增加)以及有遗传倾向的黏膜免疫障碍之间复杂的相互作用的结果。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;目前研究表明，关于本病曾被认为是一种自身免疫紊乱性疾病的观点是不准确的。实际上，尚无可信的证据表明存在有直接与任何自身抗原(这种抗原可引起Crohn病中所观察到的炎症过程)相关的免疫应答。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.外源性因素</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)感染因素：早年因Crohn病的病理表现与非钙化的结核病变相似，曾怀疑本病由结核杆菌引起，但用各种方法均未能分离出此病菌。20世纪70年代末80年代初有从Crohn病切除的肠段和肠系膜淋巴结中培养出Kansasii分枝杆菌或与结核杆菌类似的分枝杆菌的报道。研究发现，这些分枝杆菌接种于小鼠腹腔中可在其肝、脾中发生肉芽肿并出现抗酸杆菌。再把这些抗酸杆菌给乳羊口服，数月后羊的回肠末端可发生非干酪性肉芽肿。从而认为分枝杆菌可能是Crohn病的病因。但有作者观察到这些分枝杆菌在一些非炎症性肠病或正常人的肠组织中也存在，且曾有报道粪链球菌可引起兔肠壁的局部肉芽肿，所以还不能肯定这些分枝杆菌是本病的确切致病因素。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;也曾有人怀疑Crohn病的病因是病毒。1970年Mitchell和Rees将Crohn病病人的肠系膜淋巴结和组织匀浆通过220nm过滤筛后接种于大鼠脚趾，经过6～24个月后，大鼠脚趾上发生上皮样细胞肉芽肿和巨细胞肉芽肿，用同样方法可使兔回肠出现肉芽肿。免疫抑制药对病变的发生不产生影响，证明可能存在一种可传染的微生物，其大小可能是病毒。但这一实验结果未能得到重复。还有认为Crohn病与麻疹、流感等病毒感染有关。但迄今为止未能从Crohn病患者的肠组织中分离出真正的病毒颗粒，故本病病因还不能确认为病毒。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)环境因素：城区居民较农村人群的发病率高，这种差异在乡村保健水平很高的瑞典也存在，这可能与社会、经济地位有关。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;一些研究表明，口服避孕药使炎症性肠病的发病危险增加。但另一些研究未能证实。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;大量研究证明吸烟者患Crohn病的危险增加。而且吸烟可以增加Crohn病复发的可能性。其机制尚不清楚。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;一些潜在的环境因素可激发Crohn病的发生。食用精制糖增加已被确认是一不利因素。一个普通的产期也可作为一种刺激因素而使一些孕妇于产后发生Crohn病。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5876', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '288', '发病机制', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.病变的分布&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;本病从口至肛门的全胃肠道的任何部位均可受累，病变呈跳跃式或节段性分布。小肠和结肠同时受累最为常见，占40%～60%；限于小肠，主要是末端回肠发病的占30%～40%；单独发生在肛门或直肠的病变少见，约占3%，多与小肠和结肠病变合并存在；结肠单独发病者较少，占5%～20%。胃或十二指肠、食管、口部病变总共约占10%以下。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.大体病理&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;早期病变呈口疮样小溃疡，大小不等。最小者如针尖，伴有出血；较大者边界清楚浅表，底为白色。手术切除时如遗漏小的病变，可从该处复发。典型溃疡呈纵行或匐行性，不连续，大小不等。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;鹅卵石样改变约在1/4病例中存在。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;肠壁增厚、肠腔狭窄较多见。手术病例中95%左右存在狭窄。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;有些Crohn病可见多发炎症性息肉。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3.显微镜所见&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;显微镜下病变见于肠黏膜层、黏膜下层和浆膜层，主要是黏膜下层。常见淋巴细胞聚集，可有生发中心。淋巴细胞聚集的部位与血管和扩张的淋巴管有密切关系。浆膜层的淋巴细胞聚集可形成玫瑰花环样。也可见到浆细胞、多核细胞和嗜酸性粒细胞。黏膜层可见到陷窝脓肿。非干酪性肉芽肿为本病的重要特征之一，由上皮样细胞和巨细胞组成，中心无干酪性坏死，并不常见，仅见于50%左右的病例。需要注意的是肉芽肿也可在耶尔森菌属感染或衣原体感染时发现，有经验的病理学家可通过组织切片加以鉴别。5%病例中可见玻璃样变和甲介状的包涵体，与结节病和结核病所见相同。肉芽肿常常很不典型，有由淋巴细胞形成的明显边界。可见于肠壁的全层，但以黏膜下层和浆膜层最易出现。除肠壁外，局部淋巴结中也可发现肉芽肿。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;肠壁的裂隙溃疡深达固有肌层。跨壁性的穿透是形成内瘘管和皮肤瘘管以及脓肿的基础。肉眼下裂隙呈线状，可有分支，周围为水肿和岛状黏膜。横断面上，裂隙分支表现为壁内脓肿。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;由于水肿和淋巴管扩张及胶原纤维数量增加，黏膜下层增宽，肠壁增厚。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5877', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '288', '临床表现', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Crohn病的临床表现多种多样，千变万化。多数病人(2/3以上)起病隐匿，初起症状不明显，可延误诊治；少数病人(不足1/3)起病急骤，易误诊为急性阑尾炎、肠梗阻等。其病程长短不一，有者发病后经治痊愈，不再复发；有者可达数年或数十年。症状持续存在，经久不愈或复发与缓解交替出现。随炎症病变的进展，最终导致肠管纤维化，肠腔狭窄、梗阻或穿透肠壁形成瘘管或侵入附近脏器、组织。临床常见的症状，可概括为3类：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.消化道症状&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;表现为腹痛、腹泻、腹部肿块、腹胀、恶心、呕吐、血便等。约80%以上的病人以腹痛为起始病症，发病较急，一般腹痛位于脐周和右下腹，为间歇性的阵发性疼痛，有时可累及全腹；约80%的病例有腹泻，大便隐血试验阳性，常带有恶臭，但少有脓血便。但在急性期，小肠病变广泛或结肠有溃疡性病变时可出现明显的血便，甚至发生消化道大出血和休克。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.全身症状&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;多数病人有较长时间的持续性的低热，少数急性期的病例和并发急性穿孔者可出现高热；由于长时期的腹痛、腹泻、肠道功能减退，病人可有营养不良，表现为消瘦、贫血、低蛋白血症等；儿童可有发育迟缓等。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3.消化道外症状&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;如关节炎、杵状指、结节性红斑、虹膜睫状体炎、泌尿系结石等。这些症状虽不具特异性．但有时某一或某些征象表现突出，可为诊断提供线索，并区分不同类型，诸如：①肠炎型，以腹泻为主，大便次数增多，呈糊状或半流体，可伴脂肪泻、黏液便或血便，较少有脓血便或里急后重感；②阑尾炎型，呈现酷似阑尾炎的征象；③腹膜炎型，伴肠穿孔时出现腹膜炎的症状与体征；④肠梗阻型，病程早期多因肠壁水肿、痉挛等引起；也可因脓肿压迫、炎症性粘连所致，多呈现慢性梗阻，间歇性反复发作；随病程进展，终致肠管纤维化狭窄、梗阻；⑤肠出血型，以血便为主，大出血少见(1%～2%)；⑥假瘤型，以腹部肿块为突出表现；⑦瘘管型，瘘管可在腹内脏肠管间或穿出腹壁(肠管皮肤瘘)或于肛门周围形成，也可发生泌尿生殖系(膀胱、阴道)。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5878', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '288', '并发症', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.肠梗阻&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;为Crohn病较为常见的并发症，北京一组病例中占66%。肠梗阻的原因多见于纤维性狭窄的形成，也可由于急性炎症水肿所致。少数由于脓肿或粘连包块压迫引起。肠梗阻开始为不完全性梗阻，经保守治疗可迅速缓解。可反复出现，最终出现完全性肠梗阻。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.瘘管形成&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;病变侵及肌层及浆膜层，如进一步发展，与另一小肠肠段、结肠或邻近的内脏粘连穿透则形成内瘘。如瘘管通向膀胱、阴道，则尿道及阴道中排出肠内容物。肠瘘管可无症状或大量的腹泻(这取决于消化道中的流通量)。瘘管可向外延伸至皮肤，称为外瘘。往往发生于术后吻合口,也可能发生于无手术患者，常在肛门周围，偶尔在鼠蹊部或腰部出现。外瘘说明有广泛的肠周围炎，常被认为是手术治疗指征。瘘管发生率国外报道多为40%左右，北京一组病例中瘘管发生率为11.7%。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3.腹腔脓肿&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;腹腔内瘘，如窦道继发感染则形成腹腔脓肿。好发部位多在相当于末段回肠的右下腹，其次是肝脾曲部位。临床表现为发热和腹痛，可出现具有压痛的包块。伴白细胞增高。CT、B超有助诊断，脓液培养多为革兰阴性菌属。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4.消化道出血&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;上下消化道均可出血。以结肠病变所致便血较为多见。隐匿性慢性出血多于可见性出血。有报道可见性出血占17%～25%，少数病例可发生严重失血。常致缺铁性贫血。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;5.肠穿孔&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Crohn病发生肠穿孔是较少见的，这是因为受累肠管的浆膜面往往与邻近的结构粘连。北京1组病例中肠穿孔占10%。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;6.癌变&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Crohn病癌变发生率较正常人群高，西方国家报道为1%～3%。长期活动的患者，病变部位的肠段发生癌变的风险大。Crohn病患者患小肠癌的危险高于正常人群的100倍，但由于正常人群中小肠癌很少见，所以Crohn病小肠癌变的绝对危险还是相当低的。结肠型Crohn病患者结肠癌的危险仍在争论中。有证据表明，当病变范围较大时，其癌变的危险性较高。</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5879', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '288', '实验室检查', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;不同程度的贫血可见于70%的病例。活动性病变时，末梢血白细胞可增高。约半数病例血沉增快，大便潜血阳性，血清免疫球蛋白增高，清蛋白降低。</p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5880', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '288', '辅助检查', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.X线检查&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;口服钡剂小肠造影可显示小肠壁深部慢性炎症表现，如狭窄、瘘管、深的纵行溃疡以及跳跃式或节段性分布，有时可见钡剂进入窦道与邻接的肠袢相通或进入瘘管深入到腹腔。用小肠气钡双重造影。早期病变的浅小黏膜溃疡可以显出。钡灌肠造影，尤其是气钡双重造影对诊断最有价值。应设法使钡剂通过回盲瓣进入小肠末端。从而发现肠壁的纵行溃疡、裂隙状溃疡，溃疡之间为正常黏膜，但由于正常黏膜的黏膜下层炎症、水肿及纤维化，使正常黏膜隆起，在X线下形成卵石征。回肠末端与盲肠内侧可发现小瘘管。后期由于肠腔狭窄，X线下失去正常形态，肠管呈管状。狭窄区长短不一，1～2cm至10余厘米不等，单发或多发，呈节段性分布。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Crohn病需与回盲部结核相鉴别。肠结核常伴有回盲瓣病变，因结核病变使回盲瓣变形、开放，造影剂自由通过，而Crohn病使回盲部形成狭窄，可助鉴别。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.内镜检查&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;上消化道内镜可观察到食管、胃和十二指肠的病变，表现为多发性的口疮样溃疡或纵行的溃疡。后期黏膜呈颗粒状，胃窦和十二指肠形成狭窄，可结合活检进行诊断。但有时远侧有病变，上消化道也可伴有一般的口疮样溃疡，而不是Crohn病改变。需靠活检来鉴别。儿童较成人Crohn病变在上消化道更为多见。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;结肠镜对结肠和末端回肠的Crohn病变有重要的诊断价值，内镜可看到黏膜的病变并可确定病变的范围，可取活组织进行检查，但瘘管则易被遗漏。镜下可见散在的、大小不一的口疮样溃疡，周围发红。溃疡之间黏膜正常。随着病变的进展，口疮样溃疡融合为纵行溃疡。溃疡之间由于黏膜下层炎症、水肿及纤维组织增生可呈现铺路卵石样改变。也可形成炎性息肉。肠腔狭窄较常见。病变呈节段性分布，病变肠段之间的黏膜正常。活检病理如能发现肉芽肿，中心无干酪坏死，则对诊断极有帮助。但活检中能找到肉芽肿者不到50%，有人报道只有l0%。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3.X线计算机体层摄影(CT)及B型超声检查&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;有辅助诊断作用，能显示肠系膜炎症或脓肿形成。CT优于B型超声。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4.磁共振成像(MRI)&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;能显示组织不同层次的平面图和准确的解剖位置。据报道，可显示上、下肛提肌间隔，能将肛周瘘管轮廓显示清楚。临床使用价值尚待观察。</p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5881', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '288', '诊断', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Crohn病临床诊断比较困难，以往确诊往往在手术后。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.术后病理确诊标准&nbsp; 必须具备显微镜下5项特点中4项方可确诊：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)节段性全壁炎。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)裂隙状溃疡。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(3)黏膜下层高度增宽(水肿、淋巴管、血管扩张等所致)。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(4)淋巴细胞聚集。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(5)结节病样肉芽肿(非干酪性上皮样肉芽肿)，并且肠壁及肠系膜淋巴结无干酪样坏死。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.临床诊断标准&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;目前尚不统一。具有典型的临床表现，符合以下情况者应考虑小肠Crohn病：小肠节段性慢性炎症表现，X线钡剂造影有典型的Crohn病征象或病理组织(包括活检取材或手术取材)有肉芽肿，中心无干酪坏死。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;有以下情况者，应考虑结肠Crohn病：结肠节段性慢性炎症表现，伴有小肠Crohn病者，X线或结肠镜下有典型Crohn病表现，组织病理有肉芽肿，中心无干酪坏死。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;关于具体诊断标准，国内、国外均有各种不同的建议，现推荐以下两种供参考。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)北京协和医院提出以下标准：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;①临床症状典型者。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;②X线表现有胃肠道裂隙状溃疡、鹅卵石征、假息肉、多发性狭窄、瘘管形成等。病变呈节段分布。CT可显示肠壁增厚的肠襻，盆腔或腹腔的脓肿。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;③内镜下见到跳跃式分布的纵形或匐行性溃疡，周围黏膜正常或增生呈卵石样或病变活检有非干酪样坏死性肉芽肿或大量淋巴细胞聚集。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;若同时具备①和②或③临床上拟诊为Crohn病。鉴别诊断有困难时应手术探查获取病理诊断。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)日本消化病学会建议的标准：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;①非连续性区域性病变。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;②铺路石样表现或纵行溃疡。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;③全壁炎</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;④非干酪性上皮样肉芽肿。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;⑤裂隙状溃疡。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;⑥肛门病变。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;具备①②③者为疑诊，加上④或⑤或⑥可确诊。或具备④，加上①②③中任何两项为确诊。</p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5882', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '288', '鉴别诊断', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;表1归纳了Crohn病的鉴别诊断。</p><p style=\"text-align: center;\"><img height=\"688\" src=\"http://pmmp.cnki.net/cdd/img/13.5.1%20%E5%85%8B%E7%BD%97%E6%81%A9%E7%97%85.files/image001.jpg\" width=\"490\"/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.小肠及回盲部疾病</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)急性阑尾炎：一般腹泻少见，右下腹痛比较严重，压痛及肌紧张更明显。发病急，病程短，有发热，血白细胞增加。但有些病例仍难准确地鉴别。当可疑急性阑尾炎，病情重且持续时，应剖腹探查，以免阑尾坏死或穿孔造成更严重后果。腹部CT扫描有助于两者的鉴别。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)肠结核：与本病不易鉴别，X线表现也很相似。在其他部位如肺部或生殖系统有结核病灶者，多为肠结核。结肠镜检查及活检有助鉴别，如仍不能鉴别，可试用抗结核治疗。如疗效不显著，常需开腹探查，经病理检查才能诊断。病理检查中，结核病可发现干酪性肉芽肿，而Crohn病则为非干酪性肉芽肿。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(3)小肠淋巴瘤：腹泻、腹痛、发热，体重下降，疲劳感更为明显，更易发生肠梗阻。症状多为持续性，恶化较快。腹部肿块与Crohn病比边界较清楚，较硬，一般无压痛。可有浅表淋巴结和肺门淋巴结肿大以及肝、脾明显肿大。X线及小肠镜检查可发现肠腔内肿物及溃疡。小肠活检有助于诊断。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(4)十二指肠壶腹后溃疡：十二指肠Crohn病常与消化性溃疡的症状和X线表现相似。但Crohn病的疼痛不如十二指肠溃疡有规律。纤维内镜检查及活检有助于诊断。制酸剂治疗对消化性溃疡有效，而对Crohn病则无效。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(5)非肉芽肿性溃疡性空肠回肠炎：腹痛和腹泻是此病的突出表现。体重下降，吸收不良和低蛋白血症更为明显。小肠活检病变为弥漫性，绒毛变平和增厚，基底膜炎症浸润，黏膜溃疡。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.结肠疾病</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)溃疡性结肠炎见表2。</p><p style=\"text-align:center\"><img height=\"441\" src=\"http://pmmp.cnki.net/cdd/img/13.5.1%20%E5%85%8B%E7%BD%97%E6%81%A9%E7%97%85.files/image002.jpg\" width=\"554\"/></p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)缺血性结肠炎：为血管供血障碍所致。多见于老年人。起病较急骤，多先有腹痛，继之腹泻便血。病程为急性过程。结肠镜及钡灌肠造影有助于诊断。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(3)结、直肠结核：较回盲部少见。其特点见回肠、小肠结核。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(4)阿米巴肠炎：寻找阿米巴原虫有助于诊断，但慢性阿米巴肠炎难以找到阿米巴原虫。据报道，血凝试验是诊断阿米巴肠炎的有用方法。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(5)结肠淋巴瘤：参见小肠淋巴瘤。通过结肠镜及其活检一般可明确诊断。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(6)放射性结肠炎：与放射部位相一致，病变程度与放射量有关。</p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5883', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '288', '治疗', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;迄今为止对本病仍无根治方法。其处理应以非手术治疗为主，在发生某些并发症时需采用外科治疗，这种处理原则可使多数病人获得临床症状缓解或有较好的生活质量。但复发率高，甚或是终生的，即使是手术切除病变肠段者也难幸免。病人遭遇疾病缠绵，承受明显的压力和负担。因此，心理治疗绝不可忽视，并应予以强调。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.非手术治疗&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;包括减少对消化道的刺激，营养支持治疗，药物治疗和对症处理。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)药物治疗：于急性活动期适当用药，可有控制炎症缓解症状，改善全身状况的作用；在采用外科治疗时，可为手术创造条件。临床上常用的药物有3类：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;①抗菌药物：水杨酰偶氮磺胺吡啶即柳氮磺吡啶(SASP)。主要用于轻、中型小肠或结肠病变活动期。剂量可以1～2g/d开始口服，每天或隔天增加1g逐渐增量至4～6g/d。通常在用药3～4周后，症状可改善缓解，则减量至2～3g/d维持治疗，疗程可达1年。维持期症状复发可将剂量增加为3～4g/d。用药期间应注意副作用(发生率为10%～45%)，可出现恶心、呕吐、头痛、支气管痉挛、皮疹、肝、肾功能损伤、白细胞减少、溶血性贫血、周围神经病等。近年来，已有多种新型口服水杨酸类药物应用，如美沙拉秦(5-氨基水杨酸,5-ASA)等。常用药物有：美沙拉秦(1.5g/d)、Asacol(1.6g/d)、Salofalk(1.5g/d)以及奥沙拉秦(偶氮二水杨酸)等。这类药物，其疗效与柳氮磺吡啶(SASP)相似，多用于不耐受柳氮磺吡啶(SASP)或对其过敏者。也有用甲硝唑效果或更好些，尤其是合并肛周瘘管者。剂量为0.8～2g/d，可维持3～4个月。如腹痛、发热明显可加用泼尼松等治疗。合并腹膜炎或腹腔感染者，应合理选用三代头孢类、氨基糖甙类、喹诺酮类等抗生素药物。结肠Crohn病，如腹泻严重者可加用止泻药如可待因，Anticholinergics，Siphenocylate，Leperamide或Cholestyramine。但需注意结肠极度扩张或中毒性巨结肠的可能性。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;②皮质类固醇类药：主要用于柳氮磺吡啶(SASP)，5-ASA疗效不佳和重症急性发作期或暴发型者。但有需外科治疗的并发症者，应用需慎重。常用药物有：泼尼松(Prednisone)45～60mg/d口服，病情控制后逐渐减量至10～15mg/d，维持2～3个月或半年并需配用柳氮磺吡啶(SASP)类药物。其他如：泼尼松龙20～40mg/d或甲基泼尼松龙40～60mg/d等；病情较重者也可用氢化可的松200～300mg/d，或促肾上腺皮质激素25～50U/d静滴，疗程一般为7～14天，病情控制(发热消退、食欲改进、腹泻减少)后改用口服制剂。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;③免疫抑制剂。这类药物副作用多且也较为严重，如骨髓抑制、白细胞血小板减少等。因此只适用于柳氮磺吡啶(SASP)、甲硝唑、皮质类固醇类药物等治疗无效的慢性活动性病变者。常用药物有硫唑嘌呤2.5mg/(kg•d)或巯嘌呤(6-MP)，开始剂量为0.5～2mg/(kg•d)，3～6个月无效可改用甲氨蝶呤(Methotraxate，MTX)，每周1次，10～25mg肌注或静脉；也可用环孢素(Cyclosporine A)，5mg/(kg•d)，静脉，7天后改为口服制剂。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Crohn病手术治疗后，联合或单一用甲硝唑(灭滴灵)、美沙拉秦(5-ASA)等药物，维持2年或可有延缓或预防疾病复发的作用。伴瘘管(内脏皮肤瘘或肛周瘘管)者，试用非手术处理，可用甲硝唑、环氟哌酸(1g)或硫唑嘌呤，6MP或环孢霉素A等。中医中药治疗有助于扶正祛邪，在适宜的病例可酌情选用。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)营养支持治疗：虽不能根治本病，但对改善营养状况，控制腹泻等有重要作用。胃肠外营养支持(PN)可使胃肠道得以休息；胃肠内营养支持(EN)，尤其是给予低纤维素的要素食可减少粪便量对本病的治疗都是有益的，尤其是重型者不可缺少的内容，可根据病情选用。营养支持治疗需提供适宜的热量和足够的蛋白质，纠正负氮平衡、营养不良、贫血、低蛋白血症、维生素和微量元素的缺乏、以及水电解质紊乱。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.手术治疗&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;对一些非手术治疗无效或反复发作的病人，以及有严重并发症的病人，常常需要外科手术治疗。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)手术适应证：①非手术治疗较长时期的系统治疗效果不好或反复发作；②患者因长期腹泻营养不良或长期使用激素，影响生活及生长发育者；③已有内瘘或外瘘者；④存在肠腔狭窄和肠梗阻者；⑤急、慢性肠穿孔者；⑥并发非手术治疗不能控制的消化道出血者；⑦疑有癌变者；⑧肛门部病变。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)手术方式：宜根据病人全身情况和肠道局部病变决定具体手术方式。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;①捷径手术或造瘘术：本手术操作简单，术后并发症少，相对比较安全，对病情严重，病变范围广泛，全身情况差，不能耐受较大的肠切除手术的患者是恰当的，有利于病情的稳定和病变肠段的修复。但是捷径手术后被旷置的肠段可形成盲袢或形成循环肠袢，局部病变复发率高，且易发生穿孔和癌变，因此在肠外营养和抗生素研究获得长足进展的今天，更多的主张在病情允许的情况下应尽可能行一期肠切除术，对捷径手术后的病例仍应争取行二期切除手术。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;②肠段切除术：肠段切除的范围尚存在争议。有人认为应切除包括相应肠系膜及淋巴结在内的所有病变，而有的人认为没有必要为防止或延缓复发而切除过多的看来正常的肠管，只要切除至大致正常的部位即可。对于小肠的跳跃性病变行广泛小肠切除时要慎重，应尽可能保留更多的肠管，必要时可采取病变肠段分段切除吻合。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;③狭窄肠段成形术：近年有学者提出对Crohn病狭窄肠段采取成形术的手术新方法，可以充分保留肠管长度而避免短肠综合征的发生，安全有效。为防止成形术后形成盲袢，对回肠狭窄行回肠-回肠侧侧成形，对回盲部受累者采用回肠-结肠侧侧成形术。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;要明确Crohn病的诊断是困难的，因为没有特异性的有价值的诊断手段。绝大部分病人是因并发症发生经手术治疗时，术中发现与病理检查而作出诊断。外科手术治疗更是一个棘手的问题，手术效果并不令人十分满意，因此一定要根据患者的全身与局部情况，权衡利弊，而且确实经内科积极治疗无明显效果时才考虑手术。</p>', null, '12', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5884', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '288', '预后', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Crohn病病死率为5%～10%；手术病死率为4%。其死亡原因，多数是由于腹腔内感染、脓肿、腹膜炎、肠瘘等并发症、慢性消耗衰竭以及癌变等引起。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;本病有自行缓解的可能，尤其是轻、中型者。据报道安慰剂对照研究，随诊4个月自行缓解率为30%；1年、2年病情稳定者分别为20%和10%。在缓解的病人中，继续应用安慰剂，其1年和2年后病情仍稳定者分别为70%和50%。因此，在评价药物疗效时，应考虑本病自行缓解的因素。但需强调为较好地控制和稳定病情药物治疗的作用绝不可忽视。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Crohn病经内、外科治疗，多数病人虽可获得病情缓解和稳定并有较好的生活质量和健康状况，切除病变组(经长期随诊，临床痊愈和症状改善者占73.2%)，但均有较高的复发率(总复发率在50%以上)。手术治疗者，术后每年复发率8%～10%。但应指出，影响病变复发的因素较多，仍需进一步探讨。在复发率的统计上，采用的检查方法和确诊标准，亦有明显的影响。诸如：①以内镜检查为标准，其复发率术后1年和3年分别为70%和85%；②以临床症状、X线检查、内镜或病理为标准，其术后2、3、4年复发率分别为20%、30%和40%～50%；③以需行再手术为标准，术后5年复发率为25%～30%，术后20年为40%～50%。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;本病是一个慢性疾病，病变可呈进行性发展或反复急性发作。对其处理，可能需多次手术。据报道，第1次手术后需行第2次手术者为45%；第2次术后需行第3次手术者为25%。病变位于末段回肠，随诊10年约30%需行多于一次肠管切除术；约5%需行3次以上肠管切除术。多次手术，尤其是多次肠管切除术后，约有1.5%者发生短肠综合征，处理颇为棘手，是仍需继续研究和解决的课题。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;本病癌变发生率较高，与普通人群比较回肠和大肠癌发生率高出90～100倍；Crohn病人发生会阴、肛管鳞癌，Hodgkin’s disease和Non-Hodgkin’s lymphoma等也较多。行短路和旷置术后，有5.3%发生肠癌在旷置肠袢内。腺癌是最常见的类型，较多见于年轻人。癌变通常都发生在有长期病史者。Crohn病起病距发生癌变平均时间为27年；距短路手术时间为13年。迄今为止，已报道Crohn病小肠癌变约100例。虽病例不多，但其癌变无明显特异性症状，发现较晚，预后差，应提高警惕并作必要的检查，及早诊断，及时处理。</p>', null, '13', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5897', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '289', '概述', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;脑梗死(cerebral infarction，CI)是缺血性卒中(ischemic stroke)的总称，包括脑血栓形成、腔隙性梗死和脑栓塞等，约占全部脑卒中的70%，是脑血液供应障碍引起脑部病变。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;脑梗死是由于脑组织局部供血动脉血流的突然减少或停止，造成该血管供血区的脑组织缺血、缺氧导致脑组织坏死、软化，并伴有相应部位的临床症状和体征，如偏瘫、失语等神经功能缺失的症候。脑梗死发病24～48h后，脑CT扫描可见相应部位的低密度灶，边界欠清晰，可有一定的占位效应。脑MRI检查能较早期发现脑梗死，表现为加权图像上T1在病灶区呈低信号，T2呈高信号，MRI能发现较小的梗死病灶。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5898', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '289', '流行病学', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;我国1986～1990年大规模人群调查显示，脑卒中发病率为109.7/10万～217/10万，患病率为719/10万～745.6/10万，死亡率为116/10万～141.8/10万。男性发病率高于女性，男∶女约为1.3∶1～1.7∶1。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;脑卒中发病率、患病率和死亡率随年龄增加，45岁后均呈明显增加，65岁以上人群增加最明显，75岁以上者发病率是45～54岁组的5～8倍。存活者中50%～70%病人遗留瘫痪、失语等严重残疾，给社会和家庭带来沉重的负担。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1990年张葆樽等进行的580多万人口全国性流行病学调查显示，重症脑血管病的发病率为115.61/10万，患病率为256.94/10万，死亡率为81.33/10万，我国每年新发生脑卒中病人近150万人，年死亡数近100万人。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;脑梗死病人约占全部脑卒中的70%。</p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5899', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '289', '病因', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;脑血管病是神经科最常见的疾病，病因复杂，受多种因素的影响，一般根据常规把脑血管病按病因分类分为血管壁病变，血液成分改变和血流动力学改变。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;另外，临床上许多人即使具备脑血管病的危险因素，却未发生脑血管病，而一些不具备脑血管病危险因素的人却发生脑血管病，说明脑血管病的发生可能还与其他因素有关，如遗传因素和不良嗜好等。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;流行病学研究证实，高血脂和高血压是动脉粥样硬化的两个主要危险因素，吸烟、饮酒、糖尿病、肥胖、高密度脂蛋白胆固醇降低、三酰甘油增高、血清脂蛋白增高均为脑血管病的危险因素，尤其是缺血性脑血管病的危险因素。</p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5900', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '289', '发病机制', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.血管壁病变&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;正常血管内皮细胞是被覆血管内膜的一层光滑的细胞群，它不仅仅是血液和组织的屏障，还具有其他多种功能。一般认为是血管内皮细胞功能的变化和损害可使内皮细胞剥离，血浆成分主要是脂类物质的浸润和巨噬细胞的浸润，内膜内平滑肌细胞增殖，最终导致动脉粥样硬化的发生、发展。随着年龄的增加，这一过程更容易发生。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;持续的高血压能加速动脉粥样硬化的形成。高血压可通过直接作用于直径50～200μm的脑小动脉，如脑底部的穿通动脉和基底动脉的旁中央支，导致这些小动脉发生血管透明脂肪样变、微栓塞或微动脉瘤形成，亦可通过机械性刺激和损伤直径大于200μm的较大血管或大血管的内皮细胞，发生动脉粥样硬化。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;动脉粥样硬化时，动脉内膜增厚容易出现溃疡面，在溃疡处内膜下层分泌一些物质如胶原及凝血因子促使凝血酶形成，凝血酶、纤维蛋白与黏附在溃疡面的血小板共同作用导致血栓形成，即动脉粥样硬化板块形成，使动脉管腔狭窄或闭塞，或动脉粥样硬化斑块脱落阻塞脑血管，导致脑组织局部动脉血流灌注减少或中止。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.血液成分的改变&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;血液有形成分中，尤其血小板极易黏附在病变血管内膜处，黏附聚集的血小板，能释放出多种生物活性物质，加速血小板的再聚集，极易形成动脉附壁血栓。血液成分中脂蛋白、胆固醇、纤维蛋白等含量的增加，可使血液黏度增高和红细胞表面负电荷降低，导致血流速度减慢，以及血液病如红细胞增多症、血小板增多症、白血病、严重贫血等，均易促使血栓形成。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;血液流变学改变是急性脑梗死发病的一个重要因素，动物实验模型发现红细胞比容增高可降低脑血流量，如果同时降低动脉压则容易发生脑梗死。也有人认为低切黏度升高对脑血栓形成影响较大，且多发生在熟睡与刚醒时，这与脑梗死发生时间相吻合。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3.血流动力学异常&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;血压的改变是影响脑血流量的重要因素之一，血压过高或过低都可影响脑组织的血液供应。当平均动脉压低于9.33kPa(70mmHg)和高于24kPa(180mmHg)时，或心动过速、心功能不全时可引起脑灌注压下降，随灌注压下降，脑小动脉扩张，血流速度更缓慢。若同时伴有动脉粥样硬化，更易导致血栓形成。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;高血压是脑血管病的独立危险因素。高血压时血流动力学的改变比较复杂，不但决定于高血压的发生原因和机制，还决定于高血压的发展速度、程度和发展阶段。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4.栓塞性脑梗死&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;是人体血液循环中某些异常的固体、液体或气体等栓子物质随血流进入脑动脉或供应脑的颈部动脉，这些栓子随血流流动堵塞脑血管。引起局部脑血流中断，造成局部脑组织缺血、缺氧甚至软化、坏死，而出现急性脑功能障碍的临床表现。脑栓塞常发生于颈内动脉系统，椎-基底动脉系统相对少见。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;5.其他</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)饮食营养与脑血管病：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;①总热能的摄入：“要想身体安，耐得三分饥和寒”，中青年在有足够营养的前提下，限制热能摄入会降低发生动脉粥样硬化、冠状动脉和脑血管疾病的危险性。实验证明限制热能是降低血脂和载脂蛋白的主要因素，所以在脑血管病一、二级预防时应注意适当控制每天总热能的摄入。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;②饮食钙摄入量：有文献报道，饮食中钙摄入量与人体血压水平呈负相关，提示摄钙量不足可能是高血压潜在的危险因素之一。而高血压又是脑血管病的危险因素已肯定，因此饮食钙摄入量不足不但是高血压的危险因素，而且可能与脑血管病的发病有关，故中老年人合理补钙不仅可防治骨质疏松，也应作为脑血管病一、二级预防的措施。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)不良生活习惯与脑血管病：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;①吸烟、酗酒：在脑血管病患者中吸烟人数显著高于非脑血管病患者的对照组。并且每天吸烟与脑血管病的发生呈正相关。酗酒肯定是不良生活习性，酗酒是高血压显著的危险因素，而高血压是最重要的脑血管病的危险因素。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;②便秘：中医认为，脑血管病的发病具有一定的规律性，与便秘可能相关，应通过饮食结构调整及养成规律性排便习惯，有助于降低脑血管病发生的可能性。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;③体育锻炼、超重与脑血管病：在脑血管病患者中平时进行体育锻炼的人数比例显著低于非脑血管病对照组，而脑血管病超重人数显著高于非脑血管病对照组。因此平衡饮食、控制体重与体育锻炼相结合，可以降低发生脑血管病的发病率。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;④高盐饮食：一般认为高盐饮食是高血压的危险因素，高血压是最重要的脑血管病的危险因素，故提倡低盐饮食，饮食中可适当增加醋的摄入量以利于钙的吸收。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(3)糖尿病与脑血管病：糖尿病患者合并脑血管病已受到人们的高度重视。糖尿病被列为脑血管病的危险因素。糖尿病患者的血液黏稠度增加，红细胞积聚速度加快，血小板在血管壁上的粘着功能和相互间的凝集功能增强，血液凝血因子Ⅰ、Ⅴ、Ⅶ、Ⅷ增加，纤维蛋白原增高等，这些都容易引起脑梗死。糖尿病并发脑血管病主要发生在老年Ⅱ型糖尿病患者。病理发现糖尿病患者脑实质内小动脉常表现为弥漫性内皮损害，内膜肥厚，还发生局灶性脂肪样或透明变性。糖尿病患者脑梗死发生率是非糖尿病患者群的4.2倍，而脑出血的发生率与非糖尿病患者群差异无显著性。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(4)遗传家族史与脑血管病：临床上许多人即使具备上述脑血管病危险因素却没有发生脑血管病，而另外一些不具备上述脑血管病危险因素的人却患了脑血管病，说明脑血管病的发生还与其他因素有关，尤其是遗传因素有关。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;脑血管病家族史可能是脑血管病的危险因素，有实验也证明有高血压、糖尿病病史者的发病率和有脑血管病家族史的，发病人数均显著高于对照组。一般认为多数的脑血管病的发病是多因素的，是遗传与环境因素共同作用的结果。如脑血管病的发病率有一定的种族差异，黑种人脑血管病发病率高于白种人。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;由于脑血管病本身或其危险因素如高血压、高血脂及高血糖等均与遗传因素有密切关系，故遗传在脑血管病的发病中起了重要作用。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;6.脑梗死的主要病理改变</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)急性脑梗死灶的中央区为坏死脑组织，周围为水肿区。在梗死的早期脑水肿明显，梗死面积大者，水肿也明显，相反梗死面积小者，水肿面积相对较小，水肿区脑回变平、脑沟消失。当梗死面积大，整个脑半球水肿时，中线结构移位，严重病例可有脑疝形成。后期病变组织萎缩，坏死组织由格子细胞清除，留下有空腔的瘢痕组织。陈旧的血栓内可见机化和管腔再通。动脉硬化性脑梗死一般为白色梗死，少数梗死区的坏死血管可继发性破裂而引起出血，称出血性梗死或红色梗死。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)病生理变化：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;①血管活性物质的含量变化：脑梗死者肿瘤坏死因子含量明显增高，此外NO、内皮素、降钙素基因相关肽、神经肽Y也均随之增高。神经肽Y和神经降压素是对心脑血管系统具有重要调控作用的神经内分泌多肽。急性脑血管病发病过程中，肿瘤坏死因子、一氧化氮、内皮素、神经肽Y、降钙素基因相关肽和神经降压素发生变化，这种变化与急性脑血管病的疾病性质、病情有密切关系，积极控制这些物质之间的平衡紊乱，将有助于降低急性脑血管病的病死率和致残率。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;②下丘脑-垂体激素的释放：神经与内分泌两大系统各有其特点又密切相关，共同调控和整合内、外环境的平衡。脑血管病患者下丘脑-垂体激素的释放增强，这种释放可能直接侵犯至下丘脑、垂体等组织，或与脑水肿压迫血管使有关组织循环障碍有关。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;③血浆凝血因子的变化：凝血因子Ⅶ(FⅦ)活性增高为缺血性脑血管病的危险因子，甚或与心肌梗死及猝死相关。有人认为，通过测定血浆FⅦa水平预估高凝状态，并作为缺血性脑血管病的危险因子更为恰当。FⅦa的上升，存在于缺血性脑血管病的各类型之中，能反映高凝状态的实际情况。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;④一氧化氮的变化：一氧化氮(NO)的作用与其产生的时间、组织来源及含量等有关，内皮细胞上有组织型一氧化氮合成酶(cNOS)，在脑梗死早期它依赖于钙/钙调素(Ca2 /CaM)激活，引起NO短期释放，使血管扩张，产生有益作用。另外，在巨噬细胞、胶质细胞上的诱生型NOS(iNOS)，它不依赖于Ca2 /CaM，在生理状态下不激活，脑梗死后1～2天，iNOS被激活，一旦被激活，则不断产生NO。持续性NO产生可引起细胞毒性作用，所以在脑梗死急性期，iNOS被激活，可能加重缺血性损害。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;⑤下丘脑-垂体-性腺轴的改变：急性脑血管病可导致下丘脑-垂体-性腺轴的功能改变。不同的性别、不同的疾病类型其性激素的变化是不相同的。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;急性脑血管病导致机体内分泌功能紊乱的因素主要表现为：①与神经递质的调节障碍有关的性腺激素类：多巴胺、去甲肾上腺素和5-羟色胺分泌增加，单胺代谢出现紊乱，导致性激素水平变化，使雌激素水平降低。②应激反应：机体处于应激状态能通过自身对内分泌进行调节。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5901', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '289', '临床表现', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;脑梗死好发者为50～60岁以上的人群，常有动脉粥样硬化、高血压、风心病、冠心病或糖尿病，以及吸烟、饮酒等不良嗜好的患者。约25%的患者病前有短暂性脑缺血发作病史。起病前多有前驱症状，表现为头痛、头晕、眩晕、短暂性肢体麻木、无力。起病一般较缓慢，患者多在安静和睡眠中起病。多数患者症状经几小时甚至1～3天病情达到高峰。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;脑梗死发病后多数患者意识清醒，少数可有程度不同的意识障碍，一般生命体征无明显改变。如果大脑半球较大面积梗死、缺血、水肿，可影响间脑和脑干的功能，起病后不久出现意识障碍，甚至脑疝、死亡。如果发病后即有意识不清，要考虑椎-基底动脉系统脑梗死。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.主要临床症状&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;脑梗死的临床症状复杂，它与脑损害的部位、脑缺血性血管大小、缺血的严重程度、发病前有无其他疾病，以及有无合并其他重要脏器疾病等有关，轻者可以完全没有症状，即无症状性脑梗死；也可以表现为反复发作的肢体瘫痪或眩晕，即短暂性脑缺血发作；重者不仅可以有肢体瘫痪，甚至可以急性昏迷、死亡。如病变影响大脑皮质，在脑血管病急性期可表现为出现癫痫发作，以病后1天内发生率最高，而以癫痫为首发的脑血管病则少见。常见的症状有：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)主观症状：头痛、头昏、头晕、眩晕、恶心呕吐、运动性和(或)感觉性失语，甚至昏迷。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)脑神经症状：双眼向病灶侧凝视、中枢性面瘫及舌瘫、假性延髓性麻痹如饮水呛咳和吞咽困难。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(3)躯体症状：肢体偏瘫或轻度偏瘫、偏身感觉减退、步态不稳、肢体无力、大小便失禁等。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.脑梗死部位临床分类&nbsp; 脑梗死的梗死面积以腔隙性梗死最多，临床表现为：亚急性起病、头昏、头晕、步态不稳、肢体无力，少数有饮水呛咳，吞咽困难，也可有偏瘫，偏身感觉减退，部分患者没有定位体征。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;中等面积梗死以基底核区、侧脑室体旁、丘脑、双侧额叶、颞叶区发病多见，临床表现为：突发性头痛、眩晕、频繁恶心呕吐、神志清楚，偏身瘫痪，或偏身感觉障碍、偏盲、中枢性面瘫及舌瘫、假性延髓性麻痹、失语等。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;大面积梗死患者起病急骤，临床表现危重，可以有偏瘫、偏身感觉减退，甚至四肢瘫、脑疝、昏迷等。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)颈内动脉闭塞：颈内动脉闭塞可以没有症状。有症状的闭塞可以引起类似于大脑中动脉闭塞的表现如病灶对侧偏瘫、偏身感觉减退、同向偏盲，优势半球受累可产生失语。颅内或颅外颈内动脉闭塞占缺血性脑血管病的1/5。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;在颈内动脉动脉硬化性闭塞的病例中，近15%的病例有先兆，包括TIA和同侧视网膜动脉缺血引起的单眼盲。由于颅底动脉环的作用，使颈内动脉闭塞的症状复杂，有时颈内动脉闭塞也可不出现局灶症状，这取决于前后交通动脉、眼动脉、脑浅表动脉等侧支循环的代偿功能。也可伴有一过性失明和Horner征。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)大脑中动脉闭塞：由于大脑中动脉供血区是缺血性脑血管病最常累及的地方，发生的临床征象取决于累及的部位。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;①大脑中动脉主干闭塞：发生在大脑中动脉发出豆纹动脉的近端。因为整个大脑中动脉供血区域全部受累，此为该动脉闭塞发生脑血管病中最为严重的一种。主干闭塞的临床表现是引起病灶对侧偏瘫、偏身感觉障碍和偏盲，优势半球侧动脉主干闭塞可有失语、失写、失读。如梗死面积大时，病情严重者可引起颅内压增高、昏迷、脑疝，甚至死亡。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;②大脑中动脉深支或豆纹动脉闭塞：可引起病灶对侧偏瘫，一般无感觉障碍或同向偏盲，优势半球受损，可有失语。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;③大脑中动脉各皮质支闭塞：可引起病灶对侧偏瘫，以面部及上肢为重，优势半球可引起运动性失语、感觉性失语、失读、失写、失用，非优势半球可引起对侧偏侧忽略症等体象障碍。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;③大脑中动脉各皮质支闭塞：可引起病灶对侧偏瘫，以面部及上肢为重，优势半球可引起运动性失语、感觉性失语、失读、失写、失用，非优势半球可引起对侧偏侧忽略症等体象障碍。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;①皮质支闭塞：产生病灶对侧下肢的感觉及运动障碍，伴有尿潴留。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;②深穿支闭塞：可致病灶对侧中枢性面瘫、舌肌瘫及上肢瘫痪，亦可发生情感淡漠、欣快等精神障碍及强握反射。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(4)大脑后动脉闭塞：大脑后动脉闭塞引起影响对侧视野的同向偏盲，但黄斑视觉保留，因为双支动脉(大脑中、后动脉)供应支配黄斑的皮质，同大脑中动脉区域的梗死引起的视觉缺损不同，大脑后动脉引起的更加严重。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;①皮质支闭塞：主要为视觉通路缺血引起的视觉障碍，病灶对侧同向偏盲或上象限盲。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;②深穿支闭塞：出现典型的丘脑综合征，病灶对侧半身感觉减退伴丘脑性疼痛，对侧肢体舞蹈样徐动症等。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;此外，在中脑水平的大脑后动脉闭塞可引起的视觉障碍，包括垂直凝视麻痹、动眼神经麻痹、核间型眼肌麻痹和垂直眼球分离。当大脑后动脉闭塞累及优势半球枕叶皮质时，患者表现为命名性失语。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(5)基底动脉闭塞：由于基底动脉主要供应脑干、小脑、枕叶等的血液，所以该动脉发生闭塞的临床症状较复杂。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;常见症状为眩晕、眼球震颤、复视、交叉性瘫痪或交叉性感觉障碍、肢体共济失调。若基底动脉主干闭塞则出现四肢瘫痪、眼肌麻痹、瞳孔缩小，常伴有面神经、展神经、三叉神经、迷走神经及舌下神经的麻痹及小脑症状等，严重者可迅速昏迷、中枢性高热、去脑强直、消化道出血，甚至死亡。椎-基底动脉因部分阻塞引起脑桥腹侧广泛软化，则临床上可产生闭锁综合征，表现为患者四肢瘫痪，面无表情，缄默无声，不能讲话，但神志清楚，能听懂人们的讲话，并以眼球活动示意理解。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(6)小脑后下动脉闭塞：小脑后下动脉主要供应延髓背外侧血液，当闭塞时可引起延髓外侧部综合征(Wallenberg综合征)，表现为眩晕，恶心，呕吐，眼震，同侧面部感觉缺失，同侧霍纳(Horner)征，吞咽困难，声音嘶哑，同侧肢体共济失调，对侧面部以下痛、温觉缺失。小脑后动脉的变异性较大，故小脑后下动脉闭塞所引起的临床症状较为复杂和多变，但必须具备2条基本症状即：一侧后组脑神经麻痹，对侧痛、温觉消失或减退，才可诊断。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3.临床表现类型&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;根据脑梗死发生的速度、程度，病情是否稳定以及严重程度，将脑梗死分为以下5种类型。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)完全型脑梗死：指脑缺血6h内病情即达到高峰，常为完全性偏瘫，一般病情较重。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)进展型脑梗死：指缺血发作6h后，病情仍在进行性加重，此类患者占40%以上。造成进展原因很多，如血栓的扩展、其他血管或侧支血管阻塞、脑水肿、高血糖、高温、感染、心肺功能不全、电解质紊乱，多数是由于前两种原因引起。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(3)缓慢进展型脑梗死：起病2周内症状仍在进展。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(4)稳定型脑梗死：发病后病情无明显变化者，倾向于稳定型脑卒中，一般认为颈内动脉系统缺血发作24h以上，椎-基底动脉系统缺血发作72h以上者，病情稳定，可考虑稳定型脑卒中。此类型脑卒中，脑CT扫描所见与临床表现相符的梗死灶机会多，提示脑组织已经有了不可逆的病损。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(5)可逆性缺血性神经功能缺损(RIND)：是指缺血性局灶性神经动能障碍在24～72h才恢复，最迟在4周之内完全恢复者，不留后遗症，脑CT扫描没有相应部位的梗死病灶。</p>', null, '6', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5902', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '289', '并发症', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.肺部感染&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;肺部感染是主要并发症之一。重症卧床患者常合并肺部感染。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.上消化道出血&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;是脑血管病的严重并发症之一，即应激性溃疡。发生机制为下视丘和脑干病变所致，现在认为与视丘下前部、后部、灰白结节及延髓内迷走神经核有关。自主神经中枢在视丘下部，但其高级中枢在额叶眶面、海马回及边缘系统，消化道出血的机制与上述部位原发或继发的病灶有关。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3.褥疮&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;主要是躯体长期不变动体位，而致局部皮肤及组织受到压迫时间过长而发生缺血、坏死的一系列表现。脑血管病患者，由于高龄患者较多，肢体瘫痪，长期卧床，活动不便，容易对于骨隆起等部位压迫，使局部组织缺血及缺氧。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4.脑血管病后抑郁症和焦虑反应：脑血管病后抑郁是脑血管病较为常见的情感障碍，临床应予以高度重视。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)抑郁反应的特征性症状：①心情不好，心境悲观，自我感觉很坏。②睡眠障碍，失眠、多梦或早醒。③食欲减退，不思饮食。④兴趣和愉快感丧失，对任何事情均动力不足，缺乏活力。⑤生活不能自理，自责自罪，消极想死。⑥体重迅速下降。⑦性欲低下，甚至没有性欲。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)焦虑反应的特征性症状：①持续性紧张不安和忧虑的心境。②同时有心理症状，如注意力不集中、记忆力下降，对声音敏感和容易激惹。③同时有躯体症状，包括交感神经兴奋症状，如血压升高、心跳加快、胸闷、呼吸加快、烦躁、坐卧不宁等和副交感神经兴奋的症状，如多尿、胃肠活动增加而致腹泻。</p>', null, '7', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5903', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '289', '实验室检查', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.脑脊液检查&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;目前一般不做脑脊液检查，同时脑脊液检查也不作为缺血性脑血管病的常规检查。多数脑梗死患者脑脊液正常，如梗死面积大、脑水肿明显者压力可增高，少数出血性梗死者可出现红细胞增多，后期可有白细胞及细胞吞噬现象。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.血尿便常规及生化检查&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;主要与脑血管病危险因素如高血压、糖尿病、高血脂、心脏病、动脉粥样硬化等相关。</p>', null, '8', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5904', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '289', '辅助检查', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.脑CT扫描&nbsp; &nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;脑梗死的脑CT扫描的主要表现为：①病灶的低密度：是脑梗死重要的特征性表现，此征象可能系脑组织缺血性水肿所致。②局部脑组织肿胀：表现为脑沟消失，脑池、脑室受压变形，中线结构向对侧移位，即脑CT扫描显示有占位效应。此征象可在发病后4～6h观察到。③致密动脉影：为主要脑动脉密度增高影，常见于大脑中动脉。发生机制是由于血栓或栓子较对侧或周围脑组织密度高而衬托出来。部分患者在缺血24h内可出现。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.脑MRI检查&nbsp; &nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;能较早期发现脑梗死，特别是脑干和小脑的病灶。T1和T2弛豫时间延长，加权图像上T1在病灶区呈低信号，T2呈高信号，脑MRI检查能发现较小的梗死病灶，脑MRI弥散成像能反映新的梗死病变。MRI在缺血性脑梗死早期诊断和鉴别诊断的评价中已显示出优势，近年来超导高档磁共振设备投入临床应用，基于平面回波(EPI)技术的磁共振弥散加权成像(DWI)及血流灌注加权成像(PWI)的应用，对脑梗死的早期诊断，甚至在急性脑梗死区血流灌注变化以及病理生理过程的相关性研究，都取得了一定进展。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3.DSA、MRA、经颅多普勒超声检查&nbsp; &nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;此3项检查的主要目的是寻找脑血管病的血管方面的病因。经颅多普勒超声检查价格便宜、方便，能够及早发现较大的血管(如大脑前动脉、大脑中动脉、大脑后动脉及基底动脉等)的异常。脑MRA检查简单、方便，可以排除较大动脉的血管病变，帮助了解血管闭塞的部位及程度。DSA能够发现较小的血管病变，并且可以及时应用介入治疗。</p>', null, '9', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5905', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '289', '诊断', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;中老年人既往有高血压、糖尿病、心脏病史等，于安静休息时出现神经系统定位体征如偏瘫、失语等局灶性神经功能障碍，或其他脑局灶性症状，一般无明显的意识障碍，应考虑脑梗死的可能，需及时做脑CT扫描或脑MRI检查，有助于确诊。</p>', null, '10', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5906', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '289', '鉴别诊断', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.脑出血&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;多在活动时或情绪激动时发病，多数有高血压病史而且血压波动较大，起病急，头痛、呕吐，意识障碍较多见，脑CT扫描可见高密度出血灶。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.脑肿瘤&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;缓慢进展型脑梗死，注意与脑肿瘤鉴别，原发脑肿瘤发病缓慢，脑转移肿瘤发病有时与急性脑血管病相似，应及时做脑CT扫描，如果脑肿瘤与脑梗死不能鉴别，最好做脑MRI检查，以明确诊断。</p>', null, '11', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5907', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '289', '治疗', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.急性脑梗死的治疗原则是：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;①综合治疗及个体化治疗：在疾病发展的不同时间，针对不同病情、病因采取有针对性的综合治疗和个体化治疗措施。②积极改善和恢复缺血区的血液供应，促进脑微循环，阻断和终止脑梗死的病理进程。③预防和治疗缺血性脑水肿。④急性期应早用脑细胞保护治疗，可采取综合性措施，保护缺血周边半暗带的脑组织，避免病情加重。⑤加强护理和防治并发症，消除致病因素，预防脑梗死再发。⑥积极进行早期规范的康复治疗，以降低致残率。⑦其他：发病后12h内最好不用葡萄糖液体，可用羟乙基淀粉(706代血浆)或林格液加三磷腺苷(ATP)、辅酶A及维生素C等，避免在急性期用高糖液体加重酸中毒和脑损害。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.急性期一般治疗&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;急性期应尽量卧床休息，加强皮肤、口腔、呼吸道及大小便的护理。注意水、电解质的平衡，如起病48～72h后仍不能自行进食者，应给予鼻饲流质饮食以保障营养供应。应当把患者的生活护理、饮食、其他合并症的处理摆在首要的位置。另外，大多数患者、患者亲友及部分医务人员期望的是有更好的药物使患者早日康复，而忽视了其他治疗方面，如患者的饮食。由于部分脑梗死患者在急性期，生活不能自理，甚至吞咽困难，若不给予合理的营养，能量代谢会很快出现问题，这时，即使治疗用药再好，也难以收到好的治疗效果。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3.脑水肿的治疗</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)甘露醇：临床常用20%的甘露醇高渗溶液。甘露醇是最常用的、有效的脱水剂之一。脑梗死范围大或伴有出血时，常有病灶周围的脑水肿，近年来发现甘露醇还有较强的自由基清除作用。依病情选用20%的甘露醇125～250ml，快速静注，每6～8小时1次，静滴的速度要快，最好是静脉推注，要求在15～30min内注完250ml 20%的甘露醇，太慢起不到降颅压的作用。甘露醇用量不宜过大，一般控制在1000ml/d以下，对于老年患者或肾功能欠佳的患者，应控制在750ml/d以下，并分4～6次给药。一般应用3～5天后应减少剂量，使用时间以7～10天为宜。近年来多数学者认为，除用于抢救脑疝外，快速小剂量输入(125ml)可获得与一次大剂量输入类似的效果。应用甘露醇期间要密切监控患者的肾功能变化，注意监控水、电解质变化。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)10%甘果糖(甘油果糖)：可通过高渗脱水而发生药理作用，还可将甘油代谢生成的能量得到利用，进入脑代谢过程，使局部代谢改善，通过上述作用，能降低颅内压和眼压，消除脑水肿，增加脑血容量和脑耗氧量，改善脑代谢。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;用量：一般为10%甘果糖(甘油果糖)250～500ml缓慢静点。甘果糖(甘油果糖)注射液降颅压高峰出现时间比甘露醇晚，故在抢救急性颅内高压如脑疝的情况下，首先还是推荐使用甘露醇。但是甘果糖(甘油果糖)降压持续时间比甘露醇长约2h，并具有无反跳现象、对肾功能损害少和对电解质平衡干扰少的特点，更适用于慢性高颅压、肾功能不全或需要较长时间脱水的患者。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(3)利尿性脱水剂：如呋塞米(速尿)、利尿酸钠，可间断肌内或静脉注射。对于脑水肿引起颅内压增高的利尿药，要求作用迅速、强效，在各类利尿药中以髓襻利尿药如呋塞米(呋喃苯胺酸)应用最多。常用呋塞米(速尿)20～40mg，肌注或缓慢静脉滴注，1～1.5h后视情况可重复给药。注意水和电解质紊乱和对其他代谢的影响。另外注意速尿能抑制肾脏排泄庆大霉素、头孢菌素和地高辛，当与前两者合用时，可增加其肾脏和耳毒性，在肾功能衰弱时，此相互作用更易发生。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(4)肾上腺皮质激素：主要是糖皮质激素，如氢化可的松、可的松等，其分泌和生成受促皮质素(ACTH)调节。具有抗炎作用、免疫抑制作用、抗休克作用。其中地塞米松抗脑水肿作用最强，特别对血管源性脑水肿，属于长效糖皮质激素，半衰期＜300min，半效期36～54h，常用量10～15mg，加入葡萄糖液中或甘露醇中静点。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(5) 人血白蛋白(白蛋白)：人血白蛋白是一种中分子量的胶体，在产生胶体渗透压中起着重要作用，有利于液体保留在血管腔内。具有增加循环血容量和维持血浆渗透压的作用。每5g人血白蛋白在维持机体内的胶体渗透压方面，约相当于100ml血浆或200ml全血的功能。急性脑血管病用人血白蛋白治疗提高了人体胶体渗透压，提高胶体渗透压可以作为治疗脑梗死和脑出血的中间环节，同时又有降低颅内压的作用。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4.急性期溶栓治疗&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;血栓和栓塞是脑梗死发病的基础，因而理想的方法是使缺血性脑组织在出现坏死之前，恢复正常的血流。脑组织获得脑血流的早期重灌注，可减轻缺血程度，限制神经细胞及其功能的损害。近年来，通过国内外大量的临床研究认为，在血液稀释、血管扩张、溶栓等治疗中，溶栓治疗成为急性脑梗死最理想的治疗方法。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;选择溶栓的时间窗和适应证等是目前重点研究的课题之一。动物实验大鼠为4h左右，猴为3h，人也应该是3h左右，提出发病后6h的疗效可疑。一般文献报道用于发病后6h内是溶栓的时间窗。另外，由于溶栓药物的应用带来了严重出血的危险，是否具备有经验的专科医生、良好的影像学设备及监护抢救措施亦非常重要。北京医科大学第一医院用尿激酶(UK)经静脉对43例急性脑梗死患者进行了观察，并制订了一个初步的入选标准，结果表明，静脉溶栓治疗急性脑梗死是较安全的，但此项治疗仍在研究探索阶段。无论是动脉溶栓还是静脉溶栓，要严格掌握适应证和禁忌证。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)适应证： ①尽早开始溶栓治疗，至少在症状发生的4～6h内可以预防大面积脑梗死，挽救缺血半暗区和低灌注状态。②年龄＜75岁。③无意识障碍，但对基底动脉血栓，由于预后差即使昏迷也不禁忌。④脑CT扫描排除脑出血，且无神经功能缺损相对应的低密度区。⑤溶栓治疗可以在发病后6h以内进行，若是进展性卒中可以延长到12h以内进行。⑥患者家属需签字同意。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)禁忌证：①单纯性共济失调或感觉障碍。②临床神经功能缺损很快恢复。③活动性内出血，或出血性素质和出血性疾病，凝血障碍性疾病，低凝状态。④口服抗凝药物及凝血酶原时间＞15s者，或48h内用过肝素，且部分凝血活酶时间延长，低蛋白血症。⑤颅内动脉瘤、动静脉畸形、颅内肿瘤、蛛网膜下隙出血、脑出血。⑥6个月内有过脑血管病史，但无明显肢体瘫痪的腔隙性梗死不受影响。6周内做过大手术或有严重创伤。⑦治疗前血压明显增高，收缩压＞24kPa(180mmHg)，或者舒张压＞14.66kPa(110mmHg)。⑧其他：曾发生过脑出血或出血性脑梗死者；3周内有胃肠道及泌尿系出血，或活动性肺结核者；月经期、妊娠期、产后10天以内；严重的肝、肾功能障碍者；血小板数＜10万者；溶栓药物过敏者；急性、亚急性细菌性心内膜炎患者。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(3)溶栓常用的药物：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;①尿激酶(UK)：目前临床试验结果证实尿激酶是一种有效、安全的溶栓制剂。尿激酶用量各地报道不一致，急性溶栓常用量一般报道50万～75万U的较多，加入生理盐水250ml中静滴。用药期间应做凝血功能的监测，以防出血。也有报道静脉给药：50万～150万U加生理盐水100～200ml，静脉滴注，2h内滴完。最初半小时可快速给予50万～100万U，临床症状明显改善时，放慢静滴速度。动脉给药一般为50万～75万U。对严重高血压(Bp＞180/110mmHg)、消化道溃疡、活动性肺结核、出血性疾病、手术及外伤史患者禁用。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;②蛇毒治疗：现临床应用的蛇毒制剂很多，有安克洛酶(Ancrod)、巴曲酶(Batroxobin)、蝮蛇抗栓酶、蛇毒抗栓酶3号、去纤酶(降纤酶)和蝮蛇抗栓酶(清栓酶)等。本类药物副作用甚微，使用相对安全。去纤酶(降纤酶)为新型强力单成分溶血栓微循环治疗剂，具有增强纤溶系统活性、降低血浆纤维蛋白原浓度、降低血液黏度、减少血小板聚集作用，能快速溶栓，使心、脑缺血部位恢复功能，达到治疗和防止复发的效果。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;常用去纤酶(降纤酶)注射剂首次10U加生理盐水250ml。静滴90min以上，以后隔天或每天静滴1次，5U/d，连用2次，1个疗程5天，不合并应用其他抗凝、溶栓、抑制血小板聚集药物。能溶解血栓，改善梗死灶周围缺血半暗区的血液供应，减轻神经细胞的损伤过程，从而使临床症状与体征好转或消失。同时还具有降低血黏度，抑制红细胞聚集，抑制红细胞沉降，增强红细胞的血管通透性及变形能力，降低血管阻力，改善微循环作用。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;③阿替普酶(tissue plasminogen activator，t-PA)：阿替普酶(t-PA)溶栓治疗，3个月后的总疗效为30%～50%，痊愈者为12%，颅内出血的并发症约6%。目前认为溶栓治疗加上脑保护剂是急性缺血性卒中的最佳治疗方案。阿替普酶(rt-PA)溶栓治疗应在神经科医师的指导下于发病后3h内在急诊监护条件下进行。一些慎重选择的病例可以延长到12h以内，基底动脉梗死治疗时间窗可以适当延长。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;欧洲最新推出的脑保护剂lubeluzole被认为是疗效可靠的药物。动物实验证实lubeluzole有细胞内一氧化氮调节作用、钠/钙通道调节作用、γ-氨酪酸(GABA)激动剂和N-甲基-D-天门冬氨酸(NMDA)受体拮抗药作用。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(4)并发出血的主要因素有：①溶栓治疗的时间较晚，超过6～12h。②溶栓治疗前有明显的高血压，一般收缩压＞24kPa(180mmHg)或者舒张压＞14.66kPa(110mmHg)。③脑CT扫描显示有与神经功能缺损相对应的低密度区。④溶栓药物剂量过大。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;5.抗凝治疗&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;抗凝剂对早期的脑梗死具有一定的治疗作用，可用于不完全性缺血性卒中，尤其是椎-基底动脉血栓。抗凝治疗是通过抗凝血药物干扰凝血过程中的某一个或某些凝血因子而发挥抗凝作用。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;对于动脉性血栓形成目前试用抗血小板药进行预防，对于刚形成的血栓，还可用纤维蛋白溶解药进行治疗。凡有出血倾向、溃疡病史、严重高血压、肝肾疾患及年龄过大者忌用。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;常用药有：肝素钙(低分子肝素)，皮下注射，1～2次/d。双香豆素，前2天与肝素合用，第1天用100～200mg，分2～3次口服，以后维持量为25～75mg，1次/d。肠溶阿司匹林50～75mg，1次/d。其他药物尚有华法林(华法令)、醋硝香豆素(新抗凝片)等。原则上使用这类药物应使凝血酶原时间保持在正常值的2～2.5倍，每疗程不应少于3～6个月。治疗期间如发生出血时，应即停用，并予维生素K治疗。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;6.脑梗死和颈内动脉狭窄的介入疗法&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;脑血管病的介入治疗又称为神经外科疾病的血管内治疗。它是借助于具有高清晰、高分辨力的数字减缩造影机(DSA)，在电视导向下，将小导管送至脑内病变处，进行检查、诊断及治疗，目前应用的导管可细微到直径0.4mm，称之微导管，通过导管进行栓塞、溶解、扩张等各项治疗。随着该项技术的应用，开辟了对脑血管及脊髓血管病诊治的新途径。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;介入治疗具有不开颅、创伤小、痛苦少、恢复快的特点，并且，对一些疾病可以达到外科手术难以达到的治疗效果，因此，越来越受到医生的重视和患者的欢迎。同时，随着新技术、新材料的不断发展，介入医学的应用范围愈来愈广，同时也更安全更可靠。对于闭塞性脑血管病，如急性脑梗死引起的偏瘫、颈动脉或椎-基底动脉狭窄所致短暂性脑缺血发作(TIA)及可逆性神经功能障碍(RIND)、视网膜中央动脉或中央静脉闭塞引起的视力减退、静脉窦血栓性形成引起的颅内压增高等，均可通过血管内的介入治疗得以改善，介入治疗的方法分溶栓、血管成形术或支架置入，根据病变选择不同的治疗方法。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;7.其他治疗措施</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)急性期血压的调控：脑梗死急性期的血压调控并非一个简单的问题，必须认真对待。对血压严密的监测，适度、慎重的调控，合理的个体化治疗，对于降低脑梗死患者的死亡率，减轻致残和防止复发均有重要意义。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;有关脑梗死急性期的血压调控，虽然目前没有统一的标准，大多主张应遵循慎重、适度的原则。梗死急性期的血压增高，对于大部分患者无须急于进行降血压治疗，应严密观察病情变化。对于血压高首先要分清血压是持续性增高还是暂时性的改变。主要通过：①询问病史了解患者是否既往有高血压病史。②临床上寻找有无靶器官损害的依据，包括高血压性视网膜病变、心电图或超声心动图提示左心室肥大、肾功能损害导致的蛋白尿等。对于无高血压病的患者，短暂性血压增高无需采取干预血压的措施，主要是对症处理。如果存在明显颅内压增高的情况，可以通过积极脱水降颅压的方法治疗。适当给予镇静药，松弛患者紧张情绪，对于部分紧张性高血压有效。一般情况下，这类患者的血压只要能维持在21.33～12kPa(160/90mmHg)以内即可。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)血管扩张药的使用：一般认为发病后24h内，即脑水肿出现前应用血管扩张药能改善局部缺血，防止梗死的发展。但多数学者认为血管扩张药物反而使脑内盗血现象加重，故不主张急性期应用，仅用于脑梗死的恢复期。但对症状轻微，梗死灶小，无明显脑水肿或起病3周以后的病例可以应用。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;常用药物有：烟酸200～300mg或盐酸罂粟碱30～90mg加入葡萄糖或低分子右旋糖肝中静脉滴注，1次/d，约1周为1疗程。其他尚有曲克芦丁(维脑路通)、己酮可可碱、倍他司汀(培他定)等。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(3)神经保护剂</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;①钙通道阻滞药：脑梗死发生后由于脑组织缺血、缺氧，病灶内神经细胞处于钙超载状态，应用钙通道拮抗药能阻止过多的钙流入胞浆和线粒体，能减轻超载状态防止细胞死亡，可以减轻脑血管平滑肌的痉挛，改善脑微循环，增加脑血流供应。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;常用的药物如尼莫地平，发病12～18h内开始应用，4～8mg加入5%葡萄糖500ml中静滴，1次/d。尼莫地平(尼莫通)50ml与5%葡萄糖500ml或生理盐水500ml，以1∶4的速度静点，1次/d。或者尼莫地平，20～40mg，3～4次/d口服。桂利嗪(脑益嗪)，25mg，3次/d口服。氟桂利嗪(氟桂嗪)5～10mg，每晚1次口服。低血压、颅内压增高者慎用。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;②兴奋性氨基酸受体拮抗药：有报道镁盐可减少缺血性脑梗死的范围。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;③γ-氨酪酸(GABA)受体激动药：γ-氨酪酸(GABA)是脑内主要的抑制性神经递质，与主要的兴奋性递质谷氨酸相抗衡，即缺血时γ-氨酪酸(GABA)能抑制机体受损，而刺激GABAA受体激动药Muscimol或与地佐环平(MK-801)合用均能有效对抗脑缺血损伤。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;④自由基清除剂：自由基超氧化物、过氧化氢和羟自由基的形成将导致脂质膜的过氧化损伤、蛋白质氧化和DNA损伤。所以自由基清除剂理论上可保护脑缺血损伤。动物实验证实有效的自由基清除剂有：谷胱甘肽过氧化酶、过氧化氢酶、维生素E、甘露醇、CuZn-SOD、Mn-SOD等。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;⑤神经营养因子：脑缺血损伤后大量神经保护因子的基因表达增加。如神经营养因子(NTF)、NGF转生长因子(TGFS)等，它们在缺血的自我保护中起保护作用。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(4)血液稀释疗法：血液稀释治疗缺血性脑血管病的治疗机制：主要在于迅速增加局部脑血流量，促进缺血区功能恢复。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;临床上血液稀释可以分为高容积(用扩容剂)及等容积(放血及补液)两种方法。过去常用的右旋糖酐40(低分子右旋糖酐)静滴属高容稀释，可增加脑血流量，缺点是可增加颅内压及心输出量，有颅内压增高者及心功能不全者禁用。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;8.康复治疗&nbsp;&nbsp;</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;宜早期开始，病情稳定后，积极进行康复知识和一般训练方法的教育，并注意患肢体位。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)卧位：上肢应处于轻外展位，肘轻屈，肩胛处、前臂和手用枕头支托，掌心向上，使前臂保持旋后位，防止肩胛骨后撤。下肢骨盆、臂部用枕头支托，防止下肢外旋和骨盆后坠，下肢伸肌张力高的患者，应采取侧卧位。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)患侧卧位时：患侧肩部向前伸，肘伸展，掌心向上，如果手指屈曲，肌张力高，大拇指与其他4指用布卷或纸卷隔开。下肢稍屈曲，脚掌与小腿尽量保持垂直。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(3)健侧卧位时：患侧上肢下垫一枕头，上肢伸直，掌心向下，手腕略微抬起。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;鼓励患者树立恢复生活自理的信心，配合医疗和康复工作，争取早日恢复，同时辅以针灸、按摩、理疗等，以减轻病残率提高生存质量。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;关于康复锻炼的实施，可以在医生的指导下尽早适度进行瘫痪肢体等神经功能缺损的康复锻炼，即对患肢近端和远端进行按摩，帮助患肢关节做被动关节活动训练。根据病情鼓励患者多用患肢，并鼓励患者用健手帮助患手锻炼。逐渐进行翻身训练，坐位训练，站立训练，行走训练。手的功能训练，借助于运动器械训练，反复练习。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;研究表明康复锻炼患者明显优于没有进行康复锻炼的患者。说明脑血管患者早期康复治疗可以明显提高治愈、好转率，疗效以轻、中型为显著，重型患者也较康复前有明显进步。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;9.脑血管病的卒中单元治疗模式</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)什么是卒中单元：卒中单元(stroke unit)是一种卒中治疗的管理模式，是指为卒中病人提供相关的系统性药物治疗、肢体康复、语言训练、心理康复和健康教育。卒中单元的核心工作人员包括临床医生、专业护士、物理治疗师、职业治疗师、语言训练师和社会工作者。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;从以上概念可以把卒中单元的特点概括为：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;①针对住院的卒中病人，因此它不是急诊的绿色通道，也不是卒中的全程管理，只是病人住院期间的管理。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;②卒中单元不是一种疗法，而是一种病房管理系统，在这个系统中并不包含新的治疗方法。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;③这个新的病房管理体系应该是一种多元医疗模式(multidisciplinary care system)，也就是多学科的密切合作。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;④病人除了接受药物治疗，还应该接受康复和健康教育。但是，卒中单元并不等于药物治疗加康复治疗，它是一种整合医疗(integrated care)或组织化医疗(organized care)的特殊类型。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;⑤卒中单元体现了对病人的人文关怀，体现了以人为本，它把病人的功能预后以及病人和家属的满意度作为重要的临床目标，而不像传统病房的治疗只强调神经功能的恢复和影像学的改善。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)卒中单元可分为以下4种基本类型：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;①急性卒中单元(acute stroke unit)：收治急性期的病人，通常是发病1周内的病人，在这种卒中单元中强调监护，病人住院数天，一般不超过1周。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;②康复卒中单元(rehabilitation stroke unit)：收治发病1周后的病人，由于病情稳定，更强调康复。病人住院数周，甚至数月。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;③联合卒中单元(combined acute and rehabilitation stroke unit)：也称完善卒中单元(comprehensive stroke unit)，联合急性和康复的共同功能。收治急性期病人，但住院数周，如果需要，可延长至数月。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;④移动卒中单元(mobile stroke unit)：也称移动卒中小组(mobile stroke team)，此种模式中没有固定的病房，病人收治到不同病房，一个多学科医疗小组去查房和制定医疗方案，因此没有固定的护理队伍。也有作者认为，此种形式不属于卒中单元，只是卒中小组(stroke team)。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(3)所有卒中病人都应该接受卒中单元治疗：</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;卒中单元是卒中医疗的常见方式，建立卒中单元不是一件困难的事情，因此有必要强调所有的病人都必须收治到卒中单元进行治疗。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;为了推行卒中单元，各个国家的卒中指南都强调了急性期病人应该收入卒中单元，其中近年出版的英国皇家医学会指南(2000)、欧洲卒中促进会指南(2000)、美国卒中协会指南(2003)尤其强调收治(如卒中单元、康复早期介入、多元医疗小组)的必要性。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2002年我国启动的北京组织化卒中医疗工程(Beijing organized stroke care system，BOSCS)项目的运行，将会极大促进我国卒中医疗水平的提高和向国际体系靠近。</p>', null, '12', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5908', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '289', '预后', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;脑梗死比脑出血的病死率低而致残率高。随年龄增长病死率明显上升，平均病死率为25%左右(10%～47%)。常见死因是脑疝、多脏器衰竭、继发感染及心肺功能不全。幸存者中病残率亦较高，大约20%的幸存者在1～2年内再次复发。</p>', null, '13', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5909', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '289', '预防', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;针对可能的病因，积极预防。加强对动脉粥样硬化、高脂血症、高血压、糖尿病等疾病的防治。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.对于高血压患者，应将血压控制在一个合理水平。因为血压过高，易使脑内微血管瘤及粥样硬化的小动脉破裂出血；而血压过低，脑供血不全，微循环淤滞时，易形成脑梗死。所以应防止引起血压急骤降低，脑血流缓慢，血黏度增加，以及血凝固性增高的各种因素。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.积极治疗短暂性脑缺血发作。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3.讲究精神心理卫生，许多脑梗死的发作，都与情绪激动有关。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4.注意改变不良生活习惯，适度的体育活动有益健康。避免不良嗜好如吸烟、酗酒、暴饮、暴食。要以低脂肪低热量，低盐饮食为主，并要有足够优质的蛋白质、维生素、纤维素及微量元素。饮食过饱不利于健康，霉变的食品、咸鱼、冷食品，均不符合食品卫生的要求，要禁食。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;5.当气温骤变，气压、温度明显变化时，由于中老年人特别是体弱多病者，多半不适应而患病，尤其是严寒和盛夏时老年人适应能力差，免疫能力降低，发病率及死亡率均比平时高，所以要特别小心。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;6.及时注意脑血管病的先兆，如突发的一侧面部或上、下肢突然感到麻木，软弱乏力，嘴歪，流口水；突然感到眩晕，摇晃不定；短暂的意识不清或嗜睡等。</p>', null, '14', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5914', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '48', '快速评估流程', '<p><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180905-1536143982378057146.png\" title=\"1536143982378057146.png\" alt=\"image.png\" width=\"756\" height=\"1393\" style=\"width: 756px; height: 1393px;\"/></p>', null, '3', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5915', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '48', '处理流程', '<p><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180906-1536196368636054531.png\" title=\"1536196368636054531.png\" alt=\"image.png\" width=\"756\" height=\"1353\" style=\"width: 756px; height: 1353px;\"/></p>', null, '4', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5916', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '48', '引起呼吸困难的原因', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（1）上呼吸道疾病：气道梗阻-气管异物、会厌炎、喉气管支气管炎、咽后脓肿、过敏、遗传性血管性水肿。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（2）肺源性疾病：肺炎，支气管炎，哮喘，慢性阻塞性肺病急性发作、急性呼吸窘迫综合征、急性肺损伤、肺水肿；肺部肿瘤；肺间质病变；肺血管疾病（如肺栓塞、肺动脉高压）；胸廓变形；胸腔积液、气胸。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（3）心源性疾病：心源性哮喘、心力衰竭、心律失常、心脏压塞、心内分流。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（4）血液循环源性疾病：大出血、严重贫血。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（5）化学性疾病：糖尿病酮症酸中毒、尿毒症、代谢性酸中毒。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（6）神经肌肉病变：吉兰-巴雷综合征、急性脊髓炎、重症肌无力、大脑损伤。精神源性-过度通气综合征、叹息样呼吸。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（7）其他：肥胖：大量腹水、甲状腺功能亢进。</p>', null, '2', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5917', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '48', '呼吸困难患者的处理', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（1）院前急救：保持气道通畅、吸氧；建立静脉通路；心电监护、监测血氧饱和度等；注意生命体征变化。必要时气管插管，人工通气。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（2）院内处置：首先给予吸氧，在没有判断出呼吸困难原因之前，先给予低浓度吸氧，一般不超过40%。大多数情况下需要将患者安排在设有监护仪的观察病房，检测生命体征（包括SpO<sub>2</sub>），建静脉通路。所有呼吸困难患者都应查心电图、心肌酶谱、胸部X线片，必要时考虑进行胸部增强CT、心脏彩超以及D-二聚体检查等。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（3）如呼吸困难是由肺炎、支气管炎、哮喘或慢性阻塞性肺病急性发作引起的，除吸氧、抗感染处理外，还应给予支气管解痉药物，如氨茶碱、β<sub>2</sub>激动剂。必要时可静脉给予糖皮质激素。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（4）如考虑呼吸困难是心源性的，在排除急性心肌梗死后，可给予洋地黄类强心药物，同时给予利尿。也可给予正性肌力药物，如多巴酚丁胺。如果血压不低，可小剂量应用硝酸酯类药物，如硝酸甘油，微量泵泵入，以减轻心脏后负荷，改善呼吸困难症状。必要时可请专科会诊指导治疗。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（5）如考虑患者存在急性呼吸窘迫综合征，同时排除心源性呼吸困难的可能时，可给予机械通气治疗，多采用呼吸末正压（positive end expiratory pressure，PEEP）通气方式，压力在3～10cmH<sub>2</sub>O。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（6）如疑诊肺栓塞，应进行CT肺动脉成像（CTPA）检查，并尽早开始抗凝治疗，通常给予肝素皮下注射，同时加用华法林口服。如发现患者是大面积或次大面积肺栓塞造成血流动力学不稳定时，可考虑溶栓。溶栓时间窗可达14天。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（7）对于异物阻塞大气道，可采用Heimlich手法。如失败立即行直接喉镜检查，取出异物，解除梗阻。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（8）若患者出现张力性气胸表现，如低氧血症、呼吸窘迫、血压下降、烦躁不安、冷汗等，须立即用大号消毒针头从患侧锁骨中线第二肋间隙刺入排气，或采用闭式引流，立即减压治疗。</p>', null, '5', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5918', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '50', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胸膜腔由胸膜壁层和脏层构成，是不含空气的密闭的潜在性腔隙。正常情况下，胸膜腔内为负压。任何原因使胸膜破损，气体进入胸膜腔造成积气状态，称为气胸（pneumothorax）。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5919', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '224', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5920', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '252', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5921', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1339', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5922', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '321', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病肾病（diabetes nephropathy，DN）是糖尿病最常见的并发症之一，也是导致终末期肾衰竭最主要的原因。2007年KDOQI提出“糖尿病肾病”应当被“糖尿病肾脏疾病”（diabetic kidney disease，DKD）所替代。DKD是指临床上考虑由糖尿病引起的肾脏病变，如果肾脏穿刺活检病理检查证实则称为糖尿病肾小球病变（diabetic glomerulopathy）。在美国，透析和移植的患者中超过30%的患者患有糖尿病。近年来，我国糖尿病和糖尿病肾病的发病率也呈现上升的趋势。无论是1型还是2型糖尿病，30%～40%的患者可出现肾脏损害，而2型糖尿病中约5%的患者在被诊断为糖尿病的同时就已存在糖尿病的肾脏损害。</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5923', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1626', '摘要', '<p><span style=\"font-size: 13.3333px;\">糖尿病足是常见的糖尿病慢性并发症之一，也是导致糖尿病患者截肢的主要原因。15%的糖尿病患者会并发糖尿病足，其中10%～14.5%的患者会因此截肢，截肢后30天内死亡率为10%。而因血管病变导致肢端坏死的男性糖尿病患者是非糖尿病患者的53倍，女性则为71倍。截至2002年的统计，在发展中国家，中国糖尿病足的发病率仅次于印度，名列第二。</span></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5924', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '600', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鼻咽癌 (nasopharyngeal carcinoma)为我国多发肿瘤之一，系恶性程度较高的肿瘤。鼻咽癌这一病名最早由Durand-Fardel于1873年提出。我国程玉麟 (1935)，秦光煜 (1940)先后报道了本病。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5925', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '148', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰腺癌（pancreatic carcinoma）主要指胰外分泌腺腺癌，是胰腺恶性肿瘤中最常见的一种，占消化道恶性肿瘤的8%～10%。近年来在世界范围内有明显增多趋势。胰腺癌早期症状隐匿，当出现典型症状时多已属晚期，治疗效果不理想，5年生存率仅为4%。是恶性程度高、进展迅速、严重危害人类健康的肿瘤之一。</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5926', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '508', '摘要', '<p style=\"white-space: normal;\">&nbsp; &nbsp;当高血压患者已经接受合理的联合降压药物治疗，且具有度好的治疗依从性.而血压仍然高于靶目标时.临床医师应该考虑该患者存在继发性高血压的可能。继发性高血压亦称症状性高血压，此种高血压存在明确的病因，高血压仅为临床表现之一。继发性高血压在所有高血压患者中约占5%-10%.继发性高血压本身的临床表现与高血压甚相似，因此，当原发病的其他症状不多或不太明显时，容易被误认为高血压；但是由于继发性高血压和高血压的治疗方法不尽相同；某些继发性高血压的基础疾病，如库欣病、嗜铬细胞瘤等伴发代谢异常或血压变异性增加等.故此类患者的心血管性致残率和致死率明显升高；并且有些继发性高血压的病因是可以根除的，因此在临床工作中，两者的鉴别关系到是否能及时正确地进行治疗，甚为重要。</p><p style=\"white-space: normal; text-align: right;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5927', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '509', '摘要', '<p><span style=\"font-size: 13.3333px;\">皮质醇增多症（hypercortisolism），又称库欣综合征（Cushing syndrome），是肾上腺皮质疾病中最常见的一种，系由多种原因引起肾上腺皮质分泌过多糖皮质激素（主要是皮质醇）所致。主要临床表现有满月脸、多血质、向心性肥胖、紫纹、痤疮、糖尿病倾向、高血压、骨质疏松等。本病多见于女性，男女之比约为1∶2～1∶3。以20～40岁居多，约占2/3。肾上腺病变可为双侧增生（最为多见）、腺瘤或癌。儿童患者癌较多。</span></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5928', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '570', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">过敏性鼻炎（allergic rhinitis）是一种由IgE介导的，针对环境过敏原的鼻黏膜炎症反应；临床上主要表现为流涕、鼻塞、鼻痒、喷嚏等。过敏性鼻炎是一个全球性的健康问题，在世界各地均很常见，其全球发病率达10%～25%，并且患病人数仍在逐渐增加。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5929', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1478', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5930', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '493', '摘要', '<p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">酒精性肝病（alcoholic liver disease，ALD）是由于长期大量饮酒导致的中毒性肝损害，包括酒精性脂肪肝、酒精性肝炎、酒精性肝纤维化和肝硬化。ALD是发达国家肝硬化的主要病因，在我国有日趋增多的趋势，目前居肝硬化病因的第二位。&nbsp;发病机制</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">乙醇进入肝细胞后，主要经过肝乙醇脱氢酶（ADH）代谢为乙醛，再通过乙醛脱氢酶（ALDH）代谢为乙酸，进入三羧酸循环。也可通过肝微粒体乙醇氧化酶（MEOS）、过氧化氢酶（H<span style=\"box-sizing: border-box; position: relative; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O<span style=\"box-sizing: border-box; position: relative; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>酶）降解。MEOS中细胞色素P<span style=\"box-sizing: border-box; position: relative; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">450</span>CYP2E1是代谢限速酶，可由酒精诱导而加速乙醇降解，是酗酒量增加的原因之一。</p><p style=\"white-space: normal;\">1.肝细胞代谢紊乱</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">乙醇通过ADH代谢为乙醛和进一步氧化时，还原型辅酶I/辅酶I（NADH/NAD）比例增加，肝内氧化还原状态异常。目前认为，NADH/NAD比例增高以及乙醛所致代谢紊乱是酒精性肝病主要原因。乙醛毒性有以下几点：①与肝细胞内蛋白质分子共价结合，引起肝脏代谢障碍；②肝细胞内谷胱甘肽含量下降，肝细胞变性坏死；③自由基产生过多、清除降低，细胞膜脂质过氧化损伤；④影响线粒体功能，抑制氧化磷酸化及脂肪酸氧化，甘油三酯在肝内大量堆积；⑤肝星状细胞活化，胶原合成增加。</p><p style=\"white-space: normal;\">2.免疫损伤</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">乙醛选择性与细胞器上的蛋白质结合为乙醛-蛋白质复合物作为抗原，刺激机体产生抗体导致体液免疫损伤；各种促炎因子如TNF-α、PDGF、TGF<span style=\"box-sizing: border-box; position: relative; line-height: 0; vertical-align: baseline; top: -0.5em;\">-</span>β、IL-6等表达增加，促进肝纤维化。</p><p style=\"white-space: normal;\">3.遗传多态性</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">CYP2E1有2种不同转录活性的基因型（c1，c2），不同基因型与CYP2E1的诱导程度相关，酒精性肝损的进展可能和c2基因有关。ADH遗传多态性由7个基因位点决定，ADH2与酒精依赖有关。汉族人群ALD易感基因ADH2、ADH3、ALDH2等的等位基因频率及基因型分布不同于西方国家，可能是造成我国嗜酒人群ALD发病率低于西方国家的原因之一。</p><p style=\"white-space: normal;\">4.其他危险因素</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">ALD病死率的上升与营养不良程度相关，维生素A或E缺乏可潜在加速ALD进展；肥胖或超重有增加ALD进展的风险。女性对酒精所致的肝损伤更为敏感，与男性相比，较小剂量和较短的饮酒年限即可导致严重的ALD，发生肝硬化的概率增高，且预后较差。肝炎病毒和酒精在造成肝损伤的过程中起协同作用。在感染肝炎病毒的基础上饮酒，或在ALD基础上并发HBV或HCV感染，均可加速肝脏疾病的发生和发展。</p><p style=\"white-space: normal; text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p style=\"white-space: normal;\"><br/></p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5931', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '492', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5932', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '181', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5933', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '500', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5934', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '874', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5935', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1479', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5936', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '567', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5937', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '357', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5938', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1520', '摘要', '<p>1.定义</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胃十二指肠溃疡是一种局限性圆形或椭圆形的局限性黏膜缺损，累及黏膜、黏膜下层和肌层，治愈后不留瘢痕。因溃疡的形成与胃酸-蛋白酶的消化作用有关，也称为消化性溃疡（peptic ulcer）。胃十二指肠是好发部位，近年来认为病因是多因素的，是全身疾病的局部表现。</p><p>2.流行病学</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">消化性溃疡是常见的消化系慢性疾病。据估计，一般人群中，约5%～10%的人在人生中某一时期曾患过胃或十二指肠溃疡。近40年来，欧美及亚洲等地区的消化性溃疡发病率、死亡率、住院率和外科手术率均有下降的趋势。然而溃疡并发症的患病率却相对稳定，甚至有上升的趋势。同时老年人消化性溃疡，尤其是老年妇女的消化性溃疡的死亡率和住院率都有增高的趋势。这可能同人口老龄化，非甾体类抗炎药的广泛应用有关。十二指肠溃疡（duodenal ulcers，DU）发病率明显高于胃溃疡（gastric ulcer，GU），但在一些西方国家这种差异有逐渐减小的倾向。十二指肠溃疡发病年龄多为35～45岁，胃溃疡年龄多为50～60岁，男性发病率高于女性。</p><p>3.好发部位</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胃溃疡好发于胃小弯，尤其是胃角处，其中90%发生在胃窦部（属Ⅰ型胃溃疡，约占胃溃疡的57%）。溃疡的直径一般＜2.5cm，但直径＞2.5cm的巨大溃疡并非少见。溃疡底部常超越黏膜下层，深达肌层甚至浆膜，溃疡下层可完全被肉芽组织及瘢痕组织所代替。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胃溃疡根据其部位和胃酸分泌量可分为四型：Ⅰ型最为常见，约占50%～60%，低胃酸，溃疡位于胃小弯角切迹附近；Ⅱ型约占20%，高胃酸，胃溃疡合并十二指肠溃疡；Ⅲ型约占20%，高胃酸，溃疡位于幽门管或幽门前，与长期应用非甾体类抗炎药物有关；Ⅳ型约占5%，低胃酸，溃疡位于胃上部1/3，胃小弯高位接近贲门处，常为穿透性溃疡，易发生出血或穿孔，老年患者相对多见。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">同胃溃疡相似，十二指肠溃疡约95%发生于球部，直径一般＜1cm。球部以下者称为球后溃疡（约占5%）。当球部前后壁或胃大、小弯侧同时有溃疡存在时，称对吻溃疡。胃和十二指肠均有溃疡者，称复合性溃疡（属Ⅱ型胃溃疡，约占胃溃疡的22%）。发生于幽门管溃疡或近幽门2cm以内的胃溃疡属Ⅲ型胃溃疡，约占胃溃疡的20%。距食管胃连接处4cm以内的胃溃疡属Ⅳ型胃溃疡，在2cm以内者则称为近贲门溃疡（juxtacardial ulcer）。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5939', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '153', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性胃炎（acute gastritis）是由多种原因引起的急性胃黏膜非特异性炎症，病理上以中性粒细胞浸润为主要特点。根据黏膜损害程度，分为急性单纯性胃炎（acute simple gastritis）、急性腐蚀性胃炎（acute erosive gastritis）、急性化脓性胃炎（acute suppurative gastritis）和急性胃黏膜病变（acute gastric mucosal lesions，AGML），后者是以胃黏膜发生不同程度糜烂、浅溃疡和出血为特征的病变。以急性黏膜糜烂病变为主者称急性糜烂性胃炎（acute erosive gastritis）；以黏膜出血改变为主者称急性出血性胃炎（acute hemorrhagic gastropathy）；发生于应激状态、以多发性溃疡为主者可称为应激性溃疡。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5940', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '69', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺脓肿（pulmonary abscess）是由一种或多种病原体所引起的肺组织化脓性感染，早期为化脓性肺炎，继而坏死、液化，脓肿形成。临床上以急骤起病的高热、畏寒、咳嗽、咳大量脓臭痰，X线显示一个或数个含气液平的空洞为特征。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5941', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '452', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">不稳定型心绞痛（unstable angina，UA）指介于稳定型心绞痛和急性心肌梗死之间的临床状态，包括了除稳定型劳力性心绞痛以外的初发型、恶化型劳力性心绞痛和各型自发性心绞痛。它是在粥样硬化病变的基础上，发生了冠状动脉内膜下出血、斑块破裂、破损处血小板与纤维蛋白凝集形成血栓、冠状动脉痉挛以及远端小血管栓塞引起的急性或亚急性心肌供氧减少所致。它是ACS中的常见类型。若UA伴有血清心肌坏死标志物明显升高，此时可确立非ST段抬高型心肌梗死（NSTEMI）的诊断。&nbsp;发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">ACS有着共同的病理生理学基础，即在冠状动脉粥样硬化的基础上，粥样斑块破裂或糜烂、溃疡，并发血栓形成，导致病变血管完全性或非完全性闭塞。ACS是否发生主要取决于斑块的稳定性，与斑块的大小无直接关系。不稳定斑块具有如下特征：脂质核较大，纤维帽较薄，含大量的巨噬细胞和T淋巴细胞，血管平滑肌细胞含量较少。它在外因如情绪激动、剧烈运动或寒冷刺激作用下，由于血流动力学改变，使纤维帽破裂，脂核溢出，基质暴露，血小板和内皮下的黏附因子发生黏附和聚集，形成富含血小板的白血栓，使管腔不完全闭塞，血流突然减少或间断性中断，血小板激活并释放活性物质，使血管收缩加剧，造成不同的心肌缺血事件，临床表现为UA/NSTEMI。其他原因还包括动力性阻塞（冠状动脉痉挛或收缩）、进行性机械性阻塞、炎症和（或）感染、继发性UA即心肌氧耗增加或氧输送障碍的情况包括贫血、感染、甲状腺功能亢进、心律失常、血液高黏稠状态或低血压等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年来的研究发现，导致粥样斑块破裂的机制如下：①斑块内T-淋巴细胞通过合成细胞因子γ干扰素（interferon-γ）能抑制平滑肌细胞分泌间质胶原使斑块纤维帽结构变薄弱；②斑块内巨噬细胞、肥大细胞可分泌基质金属蛋白酶（metalloproteinase），加速纤维帽胶原的降解，使纤维帽变得更易受损；③冠脉管腔内压力升高、冠脉血管张力增加或痉挛、心动过速时心室过度收缩和扩张所产生的剪切力以及斑块滋养血管破裂均可诱发与正常管壁交界处的斑块破裂。由于收缩压、心率、血液黏稠度、内源性组织纤溶酶原激活剂（t-PA）活性、血浆肾上腺素和皮质激素水平的昼夜节律性变化一起，使每天晨起后6时至11时最易诱发冠脉斑块破裂和血栓形成，由此产生了每天凌晨和上午MI高发的规律。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5942', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '510', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">冠状动脉粥样硬化性心脏病（coronary atherosclerotic heart disease）简称冠状动脉性心脏病或冠心病（coronary heart disease，CHD），有时又被称为冠状动脉病（coronary artery disease，CAD）或缺血性心脏病（ischemic heart disease）。指由于冠状动脉粥样硬化使管腔狭窄或阻塞导致心肌缺血、缺氧而引起的心脏病，为动脉粥样硬化导致器官病变的最常见类型。由于冠状动脉的完全阻塞常为血栓形成所致，近年又被称为冠状动脉粥样硬化血栓性心脏病（coronary atherothrombotic heart disease）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">冠状动脉性心脏病或冠心病这一简称，目前虽被普遍应用，但它未表达出动脉粥样硬化这一病因，而使其含义广泛。因可以导致心肌缺血、缺氧的冠状动脉病，除冠状动脉粥样硬化外，还有炎症（风湿性、梅毒性、川崎病和血管闭塞性脉管炎等）、痉挛、栓塞、结缔组织疾病、创伤和先天性畸形等多种，冠状动脉性心脏病一词其实应包括所有这些情况所引起的心脏病变。但由于绝大多数（95%～99%）是由冠状动脉粥样硬化引起，因此用冠状动脉性心脏病或冠心病一词来代替冠状动脉粥样硬化性心脏病，虽然不甚确切，在临床上还是可行的。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5943', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '307', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺内正常的解剖和生理机制保持肺间质水分恒定和肺泡处于理想的湿润状态，以利于完成肺的各种功能。任何原因引起肺血管外液体量过度增多和渗入肺泡，引起生理功能紊乱，称之为肺水肿（pulmonary edema）。临床主要表现为呼吸困难、发绀、咳嗽、咳白色或血性泡沫痰，两肺散在湿啰音，影像学表现为以肺门为中心的蝶状或片状模糊阴影。深入理解肺液体和溶质转运的基本原理有助于有效地治疗肺水肿。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5944', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '316', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心脏规律、协调地收缩和舒张活动均由心脏的电活动所激发。心脏的电活动起源于窦房结，其冲动先扩布到右、左心房，然后到达房室结，沿房室束及左右束支、普肯耶纤维网传导激动心室肌，使得心房和心室顺序收缩和舒张，此为窦性心律。凡由于心脏内冲动的发生与传播不正常而使整个心脏或其一部分的活动变为过快、过慢或不规则，或者各部分活动的顺序发生紊乱时，即形成心律失常（cardiac arrhythmia）。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5945', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '66', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性阻塞性肺疾病（chronic obstructive pulmonary disease，COPD，以下简称慢阻肺）是一种持续气流受限特征的疾病。气流受限不完全可逆，呈进行性发展，与肺对有害气体或有害颗粒的异常炎症反应有关。急性加重和合并症影响疾病严重程度。全球患病率约为4%～20%，是第4位死因。我国40岁以上人群中患病率为8.2%，预计到2020年将上升至第3位，年死亡率高达128万。如能及早防治，可有效控制病情，减缓疾病进展，改善生活质量。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5946', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '70', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">支气管扩张（bronchiectasis）在形态上是指支气管不可逆扩张和管壁增厚，它通常是一个解剖上的定义，用于指由于感染、理化、免疫或遗传等原因引起终末支气管的病理损害，包括支气管壁肌肉和弹力支撑组织的破坏。临床表现为慢性咳嗽、大量脓痰，可反复咯血。在“前抗生素时代”，支气管扩张在儿童和青少年是一个常见和致命的疾病，但近半个世纪以来，随着抗菌药物的早期有效应用、卫生条件改善和营养加强、儿童期麻疹和百日咳疫苗接种的普及，支气管扩张的发病呈逐年下降的趋势。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5947', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '82', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性支气管炎(chronic bronchitis)指反复多次的支气管感染，病程超过2年，每年发作时间超过3个月，有咳、喘、炎、痰四大症状，X线胸片显示间质性慢性支气管炎、肺气肿等改变。慢性支气管炎的认识来源于成人，在儿童其作为一独立的疾病存在是有争议的。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.上册</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5948', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '713', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5949', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1630', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">简称绒癌，卵巢绒癌是罕见而高度恶性的肿瘤，多发生于青春期前，约半数发生于儿童。卵巢绒癌可分为妊娠性及非妊娠性两类，前者来自卵巢妊娠，后者系由生殖细胞演变而来。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5950', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '246', '摘要', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;痛风(gout)是一种嘌呤核苷酸代谢紊乱所致的疾病，表现为；①血尿酸浓度增高；②反复发作关节炎；③尿酸钠盐沉积在关节周围引起严重关节损害；④肾病，可累及肾小球、肾小管、间质组织和血管；⑤尿路结石。痛风合并有肾病者极多见，肾损害程度可重可轻。 发病机制痛风的先决条件是血尿酸增高。尿酸为核酸或嘌呤碱代谢的终末产物，可出现于血和尿液中。在pH＜5.75时，体液中以尿酸为主；在pH5.75时，体液中尿酸钠和尿酸的比例相等；在pH＞5.75时，体液中尿酸主要以钠盐形式存在。血清尿酸盐浓度达6.4mg/dl(377.6μmol/L)即达饱和，也有人测得人血浆中尿酸钠盐浓度到7mg/dl(413μmol/L)左右才达到饱和，因此将7mg/dl(413μmol/L)定为人体的正常值。当血浆中尿酸钠盐浓度超过饱和时，它就可以在关节中析出成结晶并沉积下来，形成痛风石，也可以沉积在肾脏中，于是尿路中有尿酸结石，造成肾脏损害。尿酸钠盐沉积在关节会发作急性关节炎，这就是痛风性关节炎，反复发作会使关节变形。血尿酸如何会增高，主要原因只有两个：①尿酸生成过多；②肾脏排泄尿酸能力低下。在嘌呤核苷酸代谢过程中，有许多酶参与，因酶的缺乏或酶的活性增高，都可以使尿酸生成过多。已知磷酸核糖焦磷酸合成酶、次黄嘌呤鸟嘌呤转磷酸核糖基酶(HGPRT)和次黄嘌呤鸟嘌呤转磷酸核糖基酶等酶的缺乏或活性过高，都能激发痛风发作。而尿酸生成过多的临床病例中，找不到原因的占99%以上，而因肾脏排泄尿酸能力低下所致的痛风较少见，大都为继发性，系由于药物、毒素或内源性代谢产物的影响，使肾排泄尿酸能力低下，或因再吸收增加所致。有关尿酸钠结晶如何出现于关节滑液中的来源问题，在大多情况下，尿酸以钠盐形式从过饱和的关节滑液中自行析出。也有先以尿酸钠盐形式沉积在滑膜上，由于病灶破溃，大量尿酸钠盐结晶出现在关节滑液中。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5951', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '56', '摘要', '<p>&nbsp; &nbsp; &nbsp; 心绞痛是指冠状动脉供血不足、心肌暂时的缺血、缺氧所致的发作性胸痛，可放射至心前区与左上肢，多因各种劳累引发，一般持续3-5分钟，休息或用硝酸酯制剂后消失。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5952', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '714', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5953', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '73', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5954', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1403', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5955', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1628', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5956', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '86', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5957', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1424', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">原发性支气管肺癌（primary bronchogenic lung cancer）起源于支气管黏膜或腺体，简称肺癌（lung cancer）。肺癌是严重危害人类健康的疾病，根据世界卫生组织（WHO）2008年公布的资料显示，肺癌无论是发病率（160 万/年）还是死亡率（140万/年），均居全球癌症首位。在我国，肺癌也是癌症死亡的首要病因，过去30年登记的肺癌死亡率已增加了464.8%，且发病率及死亡率还在增长。英国著名肿瘤学家R.Peto预言：如果我国不及时控制吸烟和空气污染，到2025年我国每年肺癌患者将超过100万，成为世界第一肺癌大国。肺癌预后很差，2/3的患者确诊时已无手术机会。要改善肺癌生存率，需依靠规范有序的诊断、分期，以及根据其临床行为制订多学科治疗（综合治疗）方案，为患者提供可能治愈或有效缓解的优选方法。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5958', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '477', '摘要', '<p><span style=\"font-size: 13.3333px;\">胃泌素瘤（gastrinoma）是一种具有分泌胃泌素功能的肿瘤，常位于胰和十二指肠。其临床表现主要是由于高胃泌素血症所致的胃液、胃酸分泌过多而引起的多发、难治、非典型部位的消化性溃疡和（或）腹泻等综合征群。此病在1955年由Zollinger和Ellison首先报道，故曾命名为卓-艾综合征（Zollinger-Ellison syndrome）。分为两种类型：①单发型，较多见，倾向于恶性腺癌；②Ⅰ型多发性内分泌瘤综合征（multiple endocrine neoplasia type I，MEN-1）组成中的胃泌素瘤，常染色体显性遗传，多为良性腺瘤，占胃泌素瘤的20%左右。</span></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5959', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1629', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5960', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '396', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">妊娠期间通常发生输尿管扩张，从妊娠第6～10周开始到第26～28周时，输尿管扩张的比率达90%。输尿管受增大子宫的压迫和黄体酮介导尿路平滑肌松弛是妊娠期输尿管扩张的协同原因。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">妊娠妇女可有恶心、呕吐、背痛、尿频和排尿困难。这些症状也可因为输尿管梗阻引起。对泌尿外科医师来说鉴别妊娠期肾积水和妊娠本身引起的症状是一个复杂的问题。患者尿常规和尿培养可帮助鉴别梗阻性肾绞痛和肾盂肾炎。对输尿管结石引起梗阻的患者先采用静脉补液解痉利尿并合理使用抗生素。如果保守治疗仍然症状加重，则需要更积极的治疗措施如放置输尿管支架，经皮肾穿刺引流等。检查可采用超声和MRI，避免辐射胎儿。</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5961', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '731', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5962', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '717', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">吸入性肺炎(aspiration pneumonitis)是指吸入酸性物质、食物、胃内容物或碳氢化合物或其他刺激性液体后，引起的肺损伤。严重者可导致低氧血症或急性呼吸衰竭(ARDS)。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;呼吸病学</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5963', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '74', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心力衰竭(heart failure)，简称心衰，为儿科常见急症，严重危害儿童健康。心衰是心室收缩和(或)舒张功能障碍导致心输出量不足，组织的血液灌注减少，不能满足机体需要，造成神经-内分泌系统过度激活，导致一系列病理生理改变，是各种心脏病的严重阶段。心衰是一个综合征，由四部分组成:心功能障碍，运动耐力减低，肺、体循环充血，以及后期出现心律失常。心功能障碍是构成心衰的必备条件，其他三部分是心功能不全代偿机制的临床表现。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.下册</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5964', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '226', '摘要', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;右心衰竭主要表现为体循环淤血为主的综合征。右心衰竭主要是右心室搏出功能障碍，见于肺心病、三尖瓣或肺动脉瓣的疾病，并常继发于左心衰竭。此时心输出量减少，体循环淤血，静脉压增高，常伴有下肢水肿，严重时可发生全身性水肿。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5965', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '229', '摘要', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;消化道出血（gastrointestinal bleeding）根据出血部位分为上消化道出血和下消化道出血。上消化道出血是指Treitz韧带以上的食管、胃、十二指肠和胰胆等病变引起的出血，包括胃空肠吻合术后的空肠上段病变。Treitz韧带以下的肠道出血称为下消化道出血。临床根据失血量与速度将消化道出血分为慢性隐性出血、慢性显性出血和急性出血。短时间内消化道大量出血称急性大出血常伴有急性周围循环障碍，死亡率约占10%。80%的上消化道出血具有自限性，下消化道出血死亡率一般不超过5%。不明原因消化道出血（obscure gastrointestinal bleeding，OGIB），占消化道出血的3%～5%，指常规消化内镜检查（包括上消化道内镜、结肠镜）和X线小肠钡剂检查（口服钡剂或钡剂灌肠造影）不能明确病因的持续或反复发作的出血。</p><p style=\"line-height: 2em; text-align: right;\">来源&nbsp; :&nbsp; 实用内科学:全2册(下)</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5966', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '225', '摘要', '<p style=\"white-space: normal; line-height: 2em;\"><span style=\"font-family: 宋体; text-indent: 28px;\"><span style=\"text-indent: 28px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;左心衰竭是指左心室代偿功能不全而发生的心力衰竭，临床上极为常见，以肺循环淤血为主要特征。左心衰竭分为急性左心衰竭和慢性左心衰竭。</span></span></p><p style=\"white-space: normal; line-height: 2em;\"><span style=\"font-family: 宋体; text-indent: 28px;\"><span style=\"text-indent: 28px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;慢性左心衰竭（CHF）是大多数心血管疾病的最终归宿，也是最主要的死亡原因。急性左心衰竭（AHF）是由于突然发生心脏结构和功能的异常，导致短期内心排血量显著，急剧降低，组织器官灌注不足和急性淤血综合征。</span></span></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5967', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1641', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5968', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1586', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5969', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1585', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5970', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '247', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5971', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '998', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5972', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1631', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5973', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1633', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5974', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1587', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5975', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '702', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5976', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1004', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5977', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '999', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5978', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1002', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5979', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1005', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5980', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1006', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5981', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '112', '摘要', '<p style=\"box-sizing: content-box; margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-variant-east-asian: inherit; font-stretch: inherit; font-family: 微软雅黑, 宋体; color: rgb(51, 71, 95); text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em;\"><span style=\"box-sizing: content-box; margin: 3px 0px 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体; width: 12px; height: 12px;\">&nbsp; &nbsp; 前列腺炎</span>(prostatitis)<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">是泌尿男性生殖系统的常见病。在</span>50<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">岁以下的男性中为最常见的泌尿系统疾病。</span>1978<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">年</span>Drach<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">提出前列腺炎综合征的概念，将前列腺炎分为</span>4<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">类：①急性细菌性前列腺炎</span>(acute bacterial prostatitis<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">，</span>ABP)<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">；②慢性细菌性前列腺炎</span>(chronic bacterial prostatitis<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">，</span>CBP)<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">；③慢性非细菌性前列腺炎</span>(chronic non-bacterial prostatitis<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">，</span>CNP)<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">；④前列腺痛</span>(prostatodynia<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">，</span>PD)<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">。其中，</span>ABP<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">＋</span>CBP<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">约占</span>5%<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">，</span>CNP<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">占</span>64%<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">，</span>PD<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">占</span>31%<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">。</span>1995<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">年美国国立糖尿病、消化病和肾病研究委员会</span>(NIDDK)<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">推荐的关于前列腺炎的分类方法，也分为</span>4<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">类：Ⅰ</span>.<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">急性细菌性前列腺炎</span>(<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">前列腺急性感染</span>)<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">；Ⅱ．慢性细菌性前列腺炎</span>(<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">前列腺反复感染</span>)<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">；Ⅲ．慢性非细菌性前列腺炎</span>-<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">慢性骨盆疼痛综合征</span>(CPPS)(<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">无感染依据</span>)<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">；Ⅳ．无症状性前列腺炎</span>(AIP)<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">，无主观症状，在评估其他疾患时从前列腺活检中检出或前列腺液中，精液中发现有白细胞。</span>CPPS<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">又分为：Ⅲ</span>A.<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">炎症性</span>CPPS<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">，精液</span>/<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">前列腺液</span>/<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">膀胱尿</span>-3(VB3)<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">中白细胞升高；Ⅲ</span>B.<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">非炎症性</span>CPPS<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">，精液</span>/<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">前列腺液</span>/VB3<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">中无白细胞。</span><br/></p><p style=\"box-sizing: content-box; margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-variant-east-asian: inherit; font-stretch: inherit; font-family: 微软雅黑, 宋体; color: rgb(51, 71, 95); text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em;\">&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;NIDDK<span style=\"box-sizing: content-box; margin: 3px 0px 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体; width: 12px; height: 12px;\">分类中Ⅰ、Ⅱ类与</span>Drach<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">分类相同，Ⅲ</span>A<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">与非细菌性前列腺炎相当，Ⅲ</span>B<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">与前列腺痛相当。在实际使用中</span>Drach<span style=\"box-sizing: content-box; margin: 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体;\">分类应用更广。</span></p><p style=\"box-sizing: content-box; margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-variant-east-asian: inherit; font-stretch: inherit; font-family: 微软雅黑, 宋体; color: rgb(51, 71, 95); text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span style=\"box-sizing: content-box; margin: 3px 0px 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体; width: 12px; height: 12px;\">由于其病因复杂，症状变化多样，临床上对其病因诊断和治疗一直缺乏行之有效方案和方法，治疗效果不尽人意。近年来，随着研究的进一步深入，一些新的观念、分类方法和治疗方案不断涌现，这在很大程度上改善了前列腺炎的临床诊疗水平。</span></p><p style=\"box-sizing: content-box; margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-variant-east-asian: inherit; font-stretch: inherit; font-family: 微软雅黑, 宋体; color: rgb(51, 71, 95); text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span style=\"box-sizing: content-box; margin: 3px 0px 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体; width: 12px; height: 12px;\">现在认为前列腺炎并非单一的疾病，而是几个不同类型的疾病的总称，它们的病因、临床表现以及后遗症等各不相同，尤其是慢性前列腺炎和前列腺痛。</span></p><p style=\"box-sizing: content-box; margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-variant-east-asian: inherit; font-stretch: inherit; font-family: 微软雅黑, 宋体; color: rgb(51, 71, 95); text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span style=\"box-sizing: content-box; margin: 3px 0px 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体; width: 12px; height: 12px;\">对慢性前列腺炎经常根据症状作出临床诊断，但慢性前列腺炎症状繁多，不同患者症状各不相同，作为诊断依据并不确切。有研究者为慢性前列腺炎设计前列腺炎症状指数，但仍然不能作为诊断“标准”。</span></p><p style=\"box-sizing: content-box; margin-top: 0px; margin-bottom: 0px; padding: 0px; border: 0px; font-variant-numeric: inherit; font-variant-east-asian: inherit; font-stretch: inherit; font-family: 微软雅黑, 宋体; color: rgb(51, 71, 95); text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); text-indent: 28px; line-height: 2em;\"><span style=\"box-sizing: content-box; margin: 3px 0px 0px; padding: 0px; border: 0px; font-style: inherit; font-variant: inherit; font-weight: inherit; font-stretch: inherit; line-height: inherit; font-family: 宋体; width: 12px; height: 12px;\">目前，对大多数慢性前列腺炎的病因尚不清楚。治疗效果亦不甚满意，虽然由于近几年的研究，有些混乱的问题得到解决。“前列腺炎”不是一个病，这是认识方面的重要进步。确切地说：它是具有各自独特形式的综合征，这些综合征各有独特的原因、表现和结果。对患者采取准确的临床检测，才能有准确的诊断。从而采取治疗措施。</span></p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5982', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '408', '摘要', '<p style=\"text-indent: 2em;\"><span style=\"font-family: 宋体;\">前列腺增生症</span>(BPH)<span style=\"font-family: 宋体;\">，旧称前列腺肥大，是老年男子常见疾病之一，为前列腺的</span>&nbsp;<span style=\"font-family: 宋体;\">一种良性病变。其发病原因与人体内雄激素与雌激素的平衡失调有关。病变起源于后尿道黏膜下的中叶或侧叶的腺组织、结缔组织及平滑肌组织，形成混合性圆球状结节。以两侧叶和中叶增生为明显，突入膀胱或尿道内，压迫膀胱颈部或尿道，引起下尿路梗阻。前列腺增生引起梗阻时，膀胱逼尿肌增厚，黏膜出现小梁、小室和憩室。长期的排尿困难使膀胱高度扩张，膀胱壁变薄，膀胱内压增高，输尿管末端丧失其活瓣作用，产生膀胱输尿管反流。梗阻和反流可引起肾积水和肾功能损害。还可并发结石、感染、肿瘤等。</span></p><p></p><p style=\"text-align: right; text-indent: 2em;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;内分泌代谢病学(上、下册)</p><p style=\"text-indent: 2em;\"><span style=\"font-family: 宋体;\"></span><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5983', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1491', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5984', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '83', '摘要', '<p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); font-size: 12px;\">正常人的胸膜腔每24小时有500～1000ml液体形成和再吸收，两者处于动态平衡。任何因素造成其生成增多和（或）再吸收减少，出现胸膜腔内液体增多时即称为胸腔积液。</span></p><p style=\"text-align: right;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5985', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1590', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5986', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '777', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5987', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1617', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5988', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1627', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5989', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1636', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5990', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1637', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5991', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1619', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5992', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '506', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5993', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1615', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">丙型病毒性肝炎，简称为丙型肝炎，是由丙型肝炎病毒（<em style=\"box-sizing: border-box;\">Hepatitis C virus，HCV</em>）引起的肝脏疾病。1974年Prince首先报道了一种非甲非乙型肝炎，经输血途径可传播给黑猩猩和人。Bradley等在美国CDC进行的一系列实验，提示该致病因子为病毒，但采用当时的常规病毒学和免疫学技术始终未分离到病毒。1989年，美国Chiron公司和日本的科学家从大量感染血清中提取病毒核酸（包括DNA 和RNA），采用重组技术构造了cDNA文库。在筛选100万个克隆之后，发现5个克隆的编码产物可与非甲非乙型肝炎患者的血清起反应，其中1个克隆还可与实验感染的黑猩猩的血清起反应。1989年9月在东京召开了非甲非乙型肝炎国际会议，将此病毒命名为丙型肝炎病毒，它导致的肝炎称为丙型肝炎。由此，丙型肝炎的研究翻开了新的一页。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5994', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '507', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">高血压是最常见的心血管疾病之一，也是导致人类死亡的常见疾病，如脑卒中、冠心病、心力衰竭等的重要危险因素。各国医学界和卫生管理部门都高度重视高血压的防治，1998年我国卫生部将10月8日定为我国“高血压日”，旨在推动和强化我国的高血压防治工作。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5995', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1610', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5996', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '149', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5997', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '90', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5998', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '863', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('5999', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1605', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6000', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '285', '摘要', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;急性胆囊炎（acute cholecystitis），顾名思义就是胆囊的急性炎症，典型表现是右上腹强烈绞痛，阵发性加重，常伴有右肩背部痛、恶心、呕吐、发热寒战等等。检查时右上腹部有压痛，常可以摸到肿大的胆囊。查血常规发现血液中白细胞明显升高，行胆囊超声检查常会发现胆囊增大，壁增厚，胆囊内结石。治疗需根据情况而定，可选手术治疗或非手术治疗。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6001', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1612', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6002', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '286', '摘要', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;慢性胆囊炎(chronic cholecystitis)系指胆囊慢性炎症性病变,大多为慢性结石性胆囊炎，占85%～95%，少数为非结石性胆囊炎，如伤寒带菌者。本病可由急性胆囊炎反复发作迁延而来,也可慢性起病。临床表现无特异性，常见的是右上腹部或心窝部隐痛，食后饱胀不适，嗳气，进食油腻食物后可有恶心，偶有呕吐。在老年人，可无临床症状，称无症状性胆囊炎。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6003', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1613', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6004', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '187', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6005', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '186', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6006', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1616', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6007', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '314', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6008', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '491', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6009', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '875', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6010', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '472', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6011', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1472', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6012', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '94', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp; &nbsp; &nbsp; &nbsp; 肝硬化（hepatic cirrhosis）是一种由不同病因长期作用于肝脏引起的慢性、进行性、弥漫性肝病的终末阶段。是在肝细胞广泛坏死基础上产生肝脏纤维组织弥漫性增生，并形成再生结节和假小叶，导致肝小叶正常结构和血液供应遭到破坏。病变逐渐进展，晚期出现肝功能衰竭、门静脉高压和多种并发症，死亡率高。在我国肝硬化是消化系统常见病，也是后果严重的疾病。年发病率17/10万，主要累及20～50岁男性。城市男性50～60岁肝硬化患者的病死率高达112/10万。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6013', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1634', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6014', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '270', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6015', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1502', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性呼吸道感染通常分为急性上呼吸道感染(acute upper respiratory infections)和急性下呼吸道感染(acute lower respiratory infections)。急性上呼吸道感染是指鼻腔、咽或喉部急性炎症的总称。亦常用“感冒”、“鼻炎”、“急性鼻咽炎”、“急性咽炎”、“急性扁桃体炎”等名词诊断，统称为上呼吸道感染，简称“上感”。是小儿最常见的急性感染性疾病。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鼻咽部感染常出现并发症，可累及邻近器官如喉、气管、支气管、肺、口腔、鼻窦、中耳、眼以及颈部淋巴结等，有时鼻咽部症状已经好转或消失，而其并发症可以迁延或加重。对上呼吸道感染及其并发症的临床特点应作全面的观察和分析，早诊断，早治疗，提高疗效，避免贻误病情。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用内科学.上册</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6016', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '494', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6017', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1473', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6018', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '490', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6019', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '488', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6020', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '489', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6021', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '873', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6022', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1470', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6023', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1471', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6024', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '216', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性胰腺炎（chronic pancreatitis，CP）是由不同因素造成的胰腺组织和功能的持续性和进行性损害，其病理特征为胰腺纤维化，最终导致胰腺内、外分泌功能永久性丧失。临床症状无特异性，但以反复发作的上腹疼痛和胰腺外分泌功能不全为主要症状，可伴有胰腺内分泌功能不全、胰腺实质钙化、胰管结石和假性囊肿形成。很多患者都有急性胰腺炎的间断性发作。急性复发性胰腺炎与慢性胰腺炎临床鉴别可能不易，前者在非发作期胰腺功能和组织结构仍能恢复正常，故不做组织和功能检查，较难区分。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6025', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1476', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">体内的碳水化合物代谢产生两种乳酸同分异构体（enantiomers），即左旋乳酸（L-乳酸，L-lactate，levolatic acid）和右旋乳酸（D-乳酸，dextrorotary lactate，dextrolatic acid）（图5-28-3）。因此，乳酸性酸中毒应分为L-乳酸性酸中毒（L-lactic acidosis）和D-乳酸性酸中毒（D-lactic acidosis）两类。但是，一般情况下的乳酸性酸中毒仅指L-乳酸性酸中毒。机体乳酸产生过多和（或）其清除减少引起血L-乳酸明显升高（≥5mmol/L），导致代谢性酸中毒（血碳酸氢盐≤10mmol/L，动脉血气pH≤7.35），称为L-乳酸性酸中毒（简称乳酸性酸中毒），而D-乳酸性酸中毒是指血清D-乳酸≥3mmol/L的临床状态。血乳酸增高而无血pH降低称为高乳酸血症（hyperlactacidemia）。在糖尿病基础上发生的乳酸性酸中毒称为糖尿病乳酸性酸中毒（diabetic lactic acidosis，DLA），亦应包括糖尿病L-乳酸性酸中毒（常见）和糖尿病D-乳酸性酸中毒（少见）两种。DLA的发病率在0.25%～4%，多发生于服用大量苯乙双胍伴肝肾功能不全和心衰等的糖尿病患者，虽不常见，但后果严重，死亡率高。</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6026', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '251', '摘要', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;糖尿病性多发性周围神经病（diabetic polyneuropathy）又称对称性多发性末梢神经病（distal symmetric neuropathy），是最常见的糖尿病性神经系统并发症，病变通常为对称性，下肢重于上肢，以感觉神经和自主神经症状为主，而运动神经症状较轻。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6027', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '62', '摘要', '<p style=\"text-indent: 2em; text-align: left;\">概述：</p><p style=\"text-indent: 2em; text-align: left;\">&nbsp; &nbsp; &nbsp; &nbsp;上呼吸道感染是指上呼吸道（鼻、咽、喉）的感染。</p><p style=\"text-indent: 2em; text-align: left;\">&nbsp; &nbsp; &nbsp; &nbsp;90%由病毒引起，细菌感染常继发于病毒后。</p><p style=\"text-indent: 2em; text-align: left;\">&nbsp; &nbsp; &nbsp; &nbsp;任何年龄和季节均可发生，病毒通过飞沫、雾或污染的用具传播。</p><p style=\"text-indent: 2em; text-align: left;\">&nbsp; &nbsp; &nbsp; &nbsp;该病有自限性，一般5-7天痊愈。</p><p style=\"text-indent: 2em; text-align: left;\">症状：</p><p style=\"text-indent: 2em; text-align: left;\"><span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>局部症状：喷嚏、鼻塞、水样鼻涕，咽喉干、痒、灼热感。</p><p style=\"text-indent: 2em; text-align: left;\"><span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>感染症状：全身乏力，恶寒，高热，肌肉酸痛，头痛。</p><p style=\"text-indent: 2em; text-align: left;\">体征：</p><p style=\"text-indent: 2em; text-align: left;\"><span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>鼻咽喉粘膜充血、水肿、分泌物增多（早期为卡他性）、扁桃体肿大等，</p><p style=\"text-indent: 2em; text-align: left;\"><span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>肺部无异常体征。</p><p style=\"text-indent: 2em; text-align: left;\">辅检：</p><p style=\"text-indent: 2em; text-align: left;\"><span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>病毒感染：可有血白细胞总数正常或降低、淋巴细胞增高；</p><p style=\"text-indent: 2em; text-align: left;\"><span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>细菌感染：可有白细胞总数增高、中性白细胞增高、核左移；</p><p style=\"text-indent: 2em; text-align: left;\"><span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>血分泌物培养：可分离病毒、细菌；</p><p style=\"text-indent: 2em; text-align: left;\"><span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>胸片：无气管以下的病变。</p><p style=\"text-indent: 2em; text-align: left;\">治疗：</p><p style=\"text-indent: 2em; text-align: left;\"><span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>对症治疗：休息、戒烟、多饮水、防止交叉感染。</p><p style=\"text-indent: 2em; text-align: left;\"><span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>病毒感染：抗病毒；</p><p style=\"text-indent: 2em; text-align: left;\"><span class=\"Apple-tab-span\" style=\"white-space:pre\">	</span>细菌感染：抗菌素。</p><p style=\"text-indent: 2em; text-align: left;\">预防：平时要坚持有规律的体育运动、避免过度劳累等。</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6028', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1475', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6029', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1469', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6030', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1477', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6031', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '300', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6032', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1662', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">缺血性结肠炎（ischemic colitis，IC）是由于肠壁血液灌注不良或回流受阻所致结肠缺血性疾病，可占肠系膜缺血者的近50%。本病多见于50岁以上的老年人，女性患者相对多见。动脉粥样硬化狭窄、血栓形成闭塞IMA或其分支、各种原因引起肠血流灌注不足是缺血性结肠炎的病因。相对少见的病因包括高凝状态、医源性地结扎IMA（如主动脉手术时）、栓塞、血管炎以及能引起结肠梗阻的各种病因。更少见的相关因素包括长途奔跑、腹腔内的炎症或感染性疾病。药物也可导致与缺血性结肠炎相同或类似的损伤。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6033', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '299', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性阑尾炎(acute appendicitis)是小儿最常见的急腹症。一般病势比成人严重。因此，小儿急性阑尾炎及时诊断和正确治疗是很重要的。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">小儿阑尾炎多见于6～12岁儿童，男性发病率略高于女性。5岁以后，随着年龄的增长，发病率亦增高，2岁以下婴儿则相当少见。北京儿童医院平均每年收治急性阑尾炎患儿400余例，其中3岁以下者约占5%，1岁以下较为罕见。患儿年龄越小，症状越不典型，且婴幼儿患儿因大网膜发育不完全，局限炎症能力相对较弱，感染易扩散，表现为病情进展迅速，短时间内即发生化脓、穿孔、坏死、弥漫性腹膜炎。若诊断治疗不及时，则会带来严重的并发症，甚至死亡，故应加以重视。到目前为止，国内外报道婴幼儿急性阑尾炎的误诊率约35%～50%，新生儿达90%以上。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.上册</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6034', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '824', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6035', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '826', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6036', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '825', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6037', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '188', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6038', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1643', '摘要', '<p><span style=\"font-size: 13.3333px;\">糖尿病心血管病属于糖尿病慢性大血管病变的范畴，主要涉及糖尿病性心脏病（diabetic cardiopathy，DCP）、脑血管病（cerebrovascular disorder，CVD）及外周血管病（peripheral vascular disorder，PVD）三个领域。糖尿病性心脏病（diabetic cardiopathy）是指由于糖尿病所引起的，在糖和脂肪等多代谢紊乱长期得不到纠正的基础上发生的心脏大血管病变、微血管病变以及自主神经病变。其中，大血管病变主要位于心脏表面的冠状动脉，即糖尿病性冠心病；微血管病变是指心肌内的微小血管病变，即糖尿病心肌病（diabetic cardiomyopathy）；支配并调控心脏活动的自主神经形态与功能异常主要引起心律失常。糖尿病心脏病与非糖尿病患者相比，其起病更早，糖尿病患者伴冠心病常表现为无痛性心肌梗死，梗死面积比较大，穿壁梗死多，病情更严重，预后更差，病死率更高。男性糖尿病心脑血管病的发生率约为非糖尿病患者群的2.5倍，女性则高达3.5～4.5倍。如冠状动脉造影和临床排除冠状动脉病变，糖尿病患者出现严重的心律失常、心脏肥大、肺淤血和充血性心力衰竭，尤其是难治性心力衰竭，临床可考虑糖尿病心肌病变。流行病学资料表明，约50%的初诊2型糖尿病患者已有冠脉病变；70%以上的糖尿病患者死于心血管并发症或伴随症，心肌梗死是2型糖尿病的首要致死病因。</span></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6039', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '67', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">支气管哮喘（bronchial asthma，简称哮喘）是由多种细胞（如嗜酸性粒细胞、肥大细胞、T淋巴细胞、中性粒细胞、气道上皮细胞等）和细胞组分参与的气道慢性炎症性疾患。这种慢性炎症导致气道高反应性增加，常伴广泛多变的可逆性气流受限，引起反复发作的喘息、气急、胸闷或咳嗽等症状，常在夜间和（或）清晨发作、加剧，多数患者可自行或经治疗后缓解。哮喘的合理防治至关重要，目前不断更新的全球哮喘防治创议（Global Initiative for Asthma，GINA）已成为哮喘防治的重要指南，2011年GINA科学委员会再次修订了哮喘的管理和预防全球策略。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6040', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1609', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6041', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '212', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &#39;Helvetica Neue&#39;, Helvetica, Arial, sans-serif; white-space: normal; border: 0px !important; background-color: rgb(255, 255, 255);\">血压是指血管内的血液对于血管壁的侧压。通常以毫米汞柱（mmHg）为单位。动脉血压的形成是在循环系统平均充盈压的基础上，心室射血和外周阻力两者相互作用的结果。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &#39;Helvetica Neue&#39;, Helvetica, Arial, sans-serif; white-space: normal; border: 0px !important; background-color: rgb(255, 255, 255);\">目前高血压诊断标准：18岁以上成年人高血压定义为：在未服抗高血压药物情况下收缩压≥140mmHg和（或）舒张压≥90mmHg。患者既往有高血压史，目前正服用抗高血压药物，即使血压已低于140/90mmHg，仍诊断为高血压。如患者的收缩压和舒张压属于不同的级别，应按两者中较高的级别分类。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &#39;Helvetica Neue&#39;, Helvetica, Arial, sans-serif; white-space: normal; border: 0px !important; background-color: rgb(255, 255, 255);\">目前高血压在世界各地都是一种比较常见的疾病，大多数患者年龄在40岁以上，但也有青年人或儿童罹病。男女性别差异不显著。</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6042', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '109', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病（diabetes mellitus，DM）是一组常见的以葡萄糖和脂肪代谢紊乱、血浆葡萄糖水平增高为特征的代谢内分泌疾病，比较复杂，但由于篇幅有限，本文糖尿病重点叙述最常见的2型DM，简要叙述妊娠与糖尿病，部分节段提及1型糖尿病和某些较少见的类型。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病的基本病理生理为绝对或相对胰岛素分泌不足和胰高血糖素活性增高所引起的代谢紊乱，包括糖、蛋白质、脂肪、水及电解质等，严重时常导致酸碱平衡失调；其特征为高血糖、糖尿、葡萄糖耐量减低及胰岛素释放试验异常。临床上早期无症状，至症状期才有多食、多饮、多尿、烦渴、善饥、消瘦或肥胖、疲乏无力等症群，久病者常伴发心脑血管、肾、眼及神经等病变。严重病例或应激时可发生酮症酸中毒、高渗性昏迷、乳酸性酸中毒而威胁生命，常易并发化脓性感染、尿路感染、肺结核等。自从胰岛素及抗生素问世后酮症及感染已少见，病死率明显下降。如能及早防治，严格和持久控制高血糖、高血压、高血脂可明显减少慢性并发症，有些患者病情是可以逆转的，患者体力可接近正常。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6043', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '778', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6044', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '800', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6045', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '503', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6046', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '504', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6047', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '505', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6048', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1608', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6049', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '279', '摘要', '<p style=\"white-space: normal; line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;偏头痛是一种临床常见的慢性神经血管性疾患,各国报道的年患病率,女性为3.3%~32.6%,男性为0.7%~16.1%。偏头痛可发生于任何年龄,首次发病多于青春期。青春期前的儿童患病率约为4%,男女相差不大。青春期后,女性患病率增高远较男性为著,约40岁前后达到高峰。偏头痛对生活质量的影响很大,超过1/2的患者的头痛会影响工作或学习,近1/3的患者可因头痛而缺工或缺课。世界卫生组织(WHO)发布的2001年世界卫生报告将常见疾病按健康寿命损失年(YearsLivedwithDisability,YLD)进行排列,偏头痛位列前20位,并将严重偏头痛定为最致残的慢性疾病,类同于痴呆、四肢瘫痪和严重精神病。</p><p style=\"white-space: normal; line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;偏头痛者发生缺血性卒中、不稳定心绞痛和短暂性脑缺血发作(transientischemicattack,TIA)均高于无偏头痛者。尤其是有先兆偏头痛者发生卒中的风险更高,还与冠心病的高风险有关。此外,偏头痛还可以导致亚临床的脑白质病变,偏头痛者后循环无症状性脑梗死的发病率升高,偏头痛者头颅MRI出现脑白质病变的风险比无偏头痛者升高,即使没有脑血管危险因素的年轻偏头痛者,该风险也升高。偏头痛的反复发作还可导致认知功能下降,主要为言语能力的下降。偏头痛还可与多种疾病共患,如癫痫、抑郁症及情感性精神障碍。女性有先兆偏头痛患者出现抑郁以及抑郁伴发焦虑的比例较无先兆偏头痛者高。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6050', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1632', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6051', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1591', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6052', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1642', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6053', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1597', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6054', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '701', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6055', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '177', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">癫痫（epilepsy）是一组由于脑部神经元异常过度放电所引起的突然、短暂、反复发作的CNS功能失常的慢性疾病和综合征。按照异常放电神经元涉及部位和放电扩散范围的不同，临床上可表现为不同的运动、感觉、意识、自主神经等不同的功能障碍，或兼而有之。一次神经元的突然异常放电所致短暂过程的神经功能障碍称为癫痫发作（tpileptic seizure），是脑内神经元过度和（或）超同步化异常电活动的临床表现。2005年国际抗癫痫联盟（ILAE）对癫痫的定义作了修订：癫痫是一种脑部疾病，其特点是持续存在能产生癫痫发作的脑部持久性改变，并出现相应的神经生物认知、心理学以及社会学等方面的后果。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6056', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1635', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6057', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '54', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主动脉夹层（aortic dissection，AD）是指主动脉内膜破裂，血液从内膜破裂口进入血管中层，使主动脉壁分离，形成真假两腔的一种病理改变。Morgani（1761）首次描述了主动脉夹层的特点，Lacnnce（1820）命名为主动脉夹层动脉瘤（aortic dissection aneurysm）。随后研究发现，动脉瘤是部分夹层慢性期的表现，并非所有夹层都有动脉瘤变。虽然之后有胸主动脉夹层、主动脉夹层分离等命名，但都不能概括疾病的全部，目前统一称为主动脉夹层。Shenan（1934）全面复习并分析了300例主动脉夹层的尸检结果，对主动脉夹层的概念作出了明确定义。Gurin等（1935）首次报道通过右髂动脉开窗治疗主动脉夹层；DeBakey等（1955）首次成功地施行人工血管替换术治疗主动脉夹层；Wheat阐明了主动脉夹层发病的血流动力学机制，并建立了将抗高血压药物和β-受体阻滞剂用于主动脉夹层的治疗学模式；Dake等（1994）首先尝试用人工血管内支架腔内修复主动脉夹层，目前已在全世界范围广泛开展，极大地革新了主动脉夹层的治疗状况，改善了治疗效果。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6058', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '57', '摘要', '<p style=\"text-indent: 2em;\">心肌梗死是指营养心肌的血流持续梗阻而引起的心肌坏死。随着病情进展伴有血清心肌酶活性增高、进行性心电图变化，并发心律失常、休克或心力衰竭，常危及生命。</p><p style=\"text-indent: 2em;\">临床表现为剧烈、持久的胸骨后疼痛，休息及硝酸酯类药物不能完全缓解为特点，疼痛也可出现在上腹、颈、下颌、咽部及牙等部位，可伴心悸、不适、发热，出汗，烦躁不安、恐惧或濒死感等。</p><p style=\"text-indent: 2em;\">其体征有心律失常、心音减弱等改变。</p><p style=\"text-indent: 2em;\">辅助检查主要是肌酸激酶同工酶（CK-MB）和肌钙蛋白（T或I）升高。心电图出现Q波及ST段抬高和ST-T动态演变；放射性核素检查可显示心肌梗死的部位和范围。</p><p style=\"text-indent: 2em;\">治疗主要有改善心肌供血（手术建立心肌血液循环），防止进一步坏死、促进心肌再生，纠正心律失常、缺氧、疼痛及纠正休克等对症治疗。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6059', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '467', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">霍乱（cholera）是由霍乱弧菌（<em style=\"box-sizing: border-box;\">Vibrio cholerae</em>）所致的烈性肠道传染病，临床表现轻重不一，典型病例病情严重，有剧烈吐泻、脱水、微循环衰竭、代谢性酸中毒和急性肾衰竭等。治疗不及时常易死亡，属甲类传染病。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"text-align: right;\"><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6060', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '200', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">贫血（anemia）是指人体循环红细胞容量减少而言。临床上常以外周血单位容积内血红蛋白（Hb）量、红细胞（RBC）数及（或）血细胞比容（Hct）代替红细胞容量来反映贫血程度，一般都以Hb量低于正常参考值95%的下限作为贫血的诊断标准。血红蛋白浓度的降低一般都伴有相应红细胞数量或血细胞比容的减少，但也有不一致。个别轻型缺铁性贫血或珠蛋白生成障碍性贫血可仅有血红蛋白减少，而红细胞数量和血细胞比容都在正常范围内。单位容积血液中血红蛋白量因地区、年龄、性别以及生理性血浆容量的变化而异。婴儿和儿童的血红蛋白量约比成人低15%。男女之间的差异在青春期后才逐渐明显。妊娠时血容量增加，血红蛋白和红细胞数可因被稀释而相对减少。男性65岁以后Hb测定值较65岁以前为低，但女性无差异。为制定贫血合理的诊断标准，首先需要建立有代表性的健康人群，包括不同性别、年龄、民族和地区血红蛋白浓度的正常参考值。按照WHO规定，所测定的代表人群应当除外有营养缺乏症的患者。美国第二次全国卫生与营养调查（NHANESⅡ）就是采用标准方法获得的血红蛋白的正常参考值，我国尚缺乏类似的普查资料。国外掌握贫血诊断的Hb标准较统一，都以1972年WHO制定的诊断标准为依据。在海平面地区Hb低于以下水平可诊断为贫血：6个月到6岁儿童110g/L，6～14岁儿童120g/L，成年男性130g/L，成年女性（非妊娠）120g/L，妊娠女性110g/ L。而国内诊断贫血的标准都参照下述标准：在海平面地区，成人男性Hb低于120g/L，成年女性低于110g/L，孕妇低于100g/L。选用某一血红蛋白值来划分有无贫血，要做到非常合理是相当困难的。因为正常人群血红蛋白分布曲线和贫血人群血红蛋白分布曲线之间互有重叠。事实上Hb正常值的个体差异较大，如某患者一周前Hb 155g/L，现Hb降低为140g/L，虽然在正常范围，但应认为是有意义的。决定患者是否有贫血时尚须注意Hb测定的标准化，以及采血的部位，指端血、耳垂血、静脉血其测定值可略有不同。WHO规定的标准方法为静脉血氰化高铁Hb法。此外，血浆容量的生理和病理变化，如妊娠后3个月、全身水肿、充血性心力衰竭、低蛋白血症以及某些细胞因子的作用，因血浆容量增加血液被稀释，Hb量下降，可误认为贫血，也称为稀释性假性贫血；血浆容量的丢失如失水、腹泻、呕吐、重度烧伤或大量使用利尿剂后血液浓缩，Hb量可上升，即使有贫血检测值也可正常。急性大量失血，红细胞和血浆同时丢失，虽然红细胞丢失过多，但贫血可不明显。贫血按严重程度可分为：极重度贫血，Hb量≤30g/L；重度贫血，Hb量在31～60g/L；中度贫血，Hb量在61～90g/L；轻度贫血，Hb量在＞90g/L与低于正常参考值的下限之间。</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6061', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '474', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">败血症（septicemia）是指病原菌侵入血流并快速繁殖后，其组分、毒素及代谢产物等所引起的全身炎症反应综合征（systemic inflammatory response syndrome，SIRS）。病原菌通常指细菌，也可为真菌、分枝杆菌等。血培养多为一种病原菌，但也可以有两种或两种以上病原菌。临床表现一般为急性起病，寒战、高热，呼吸急促，心动过速，以及皮疹、关节肿痛、肝脾大等。严重者可出现急性器官功能障碍，称之为重型败血症。病情进一步加重后可发展为感染性休克、弥散性血管内凝血（DIC）和多器官功能衰竭。败血症是一种严重的血流感染（blood stream infection，BSI），即使给予合理的抗菌药物治疗，病死率仍较高。关于败血症、菌血症、SIRS、脓毒症有关分类及诊断标准详见“感染性休克”。</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6062', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '195', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">甲状腺功能减退症（hypothyroidism），简称甲减，是指组织的甲状腺激素作用不足或缺如的一种病理状态，即是指甲状腺激素的合成、分泌或生物效应不足所致的一组内分泌疾病。甲减的发病率有地区及种族的差异。碘缺乏地区的发病率明显较碘供给充分地区高。女性甲减较男性多见，且随年龄增加，其患病率上升。新生儿甲减发生率约为1/4000，青春期甲减发病率降低，随着年龄的增加，其患病率上升，在年龄大于65岁的人群中，显性甲减的患病率约为2%～5%。甲减为较常见的内分泌疾病，且常首先求治于非专科医生。</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6063', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '261', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">伤寒（typhoid fever）是由伤寒杆菌引起的急性传染病，以持续菌血症、单核-吞噬细胞系统受累、回肠远端微小脓肿及小溃疡形成为基本病理特征。典型的临床表现包括持续高热、表情淡漠、腹部不适、肝脾大和周围血象白细胞低下，部分患者有玫瑰疹和相对缓脉。肠出血和肠穿孔为其严重并发症。</p><p style=\"text-align: right;\"><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6064', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '256', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">狂犬病（rabies）乃狂犬病病毒所致的急性传染病，人兽共患，多见于犬、狼、猫等肉食动物，人多因被病兽咬伤而感染。临床表现为特有的恐水怕风、咽肌痉挛、进行性瘫痪等。因恐水症状比较突出，故本病又名恐水症（hydrophobia）。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6065', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1535', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">甲状腺结节又称 (结节性甲状腺肿，nodular goiter)是单纯性甲状腺肿的一个自然病程阶段。由于多种原因甲状腺素分泌不足，通过神经-体液调节机制，垂体前叶分泌过多的促甲状腺素，造成代偿性的甲状腺增生，即为单纯性甲状腺肿。这种肿大一般不伴有甲状腺功能的异常。在病程初期，扩张的滤泡较均匀地分布在腺体各部，表现为弥漫性甲状腺肿；而在后期，若未经及时治疗，病变继续发展，扩张的滤泡集成多个大小不等的结节，则表现为甲状腺结节。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6066', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '869', '摘要', '<p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">胆囊癌的症状隐蔽且不典型，不易为患者所关注，因此待诊断明确时，其病情已多属中、晚期，根治机会不多，故应加强本病的早期诊治。</span></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6067', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '423', '摘要', '<p>丹毒（erysipelas）是由溶血性链球菌感染所致的皮肤和皮下组织的急性炎症。面部丹毒常易累及眼睑，上下眼睑均可发病，并向周围组织蔓延。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6068', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '218', '摘要', '<p style=\"margin-top:0;margin-right:0;margin-bottom:10px;margin-left:0;text-indent:0;padding:0 0 0 0 ;line-height:25px;background:rgb(255,255,255)\"><span style=\"letter-spacing: 0;font-size: 12px\"><span style=\"font-family:微软雅黑\">甲状腺功能亢进症</span>(hyperthyroidism，简称甲亢)是由于甲状腺激素产生或分泌过多所致，常伴有甲状腺肿大、眼球外突及基础代谢率(basal metabolic rate，BMR)增高等表现。致甲亢的原因很多，儿童时期甲亢主要指弥漫性甲状腺肿型甲亢，即Graves病，又称Bsedow病。</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:10px;margin-left:0;text-indent:0;padding:0 0 0 0 ;line-height:25px\"><br/></p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6069', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '663', '摘要', '<p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">甲状腺炎（thyroiditis）是由自身免疫异常、感染、药物、放射线等各种原因所致甲状腺组织损伤的一组异质性疾病。按发病急缓可分为急性、亚急性、慢性甲状腺炎。按病理可分为化脓性、肉芽性、纤维性甲状腺炎等。按症状则有疼痛性、无痛性甲状腺炎。再是特殊时期如分娩后发病的则为产后甲状腺炎等。</span></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6070', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '664', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">亚急性甲状腺炎（subacute thyroiditis，SAT）或又称de Quervain甲状腺炎、肉芽肿甲状腺炎。本病为非化脓性甲状腺炎，是疼痛性甲状腺疾病中发病率最高的疾病。</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6071', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '81', '摘要', '<p style=\"line-height: 2em;\"><span style=\"color: rgb(51, 71, 95); font-family: 微软雅黑, 宋体; text-align: justify; background-color: rgb(255, 255, 255);\">&nbsp; &nbsp; &nbsp; &nbsp;流行性出血热（epidemic hemorrhagic fever，EHF）是由汉坦病毒引起的、经鼠传播的自然疫源性疾病。临床上以发热、低血压、出血、肾脏损害等为特征，主要病理变化是全身小血管和毛细血管广泛性损害，是我国较常见的急性病毒性传染病。1982年世界卫生组织（WHO）将具有发热、出血和肾脏损害为特征的病毒性疾病统称为肾综合征出血热（hemorrhagic fever with renal syndromes，HFRS），包括我国的流行性出血热、朝鲜半岛的朝鲜出血热、前苏联的出血性肾炎、芬兰的流行性肾病及前南斯拉夫的流行性肾炎等。</span></p><p><span style=\"color: rgb(51, 71, 95); font-family: 微软雅黑, 宋体; text-align: justify; background-color: rgb(255, 255, 255);\"><br/></span></p><p style=\"text-align: right;\"><span style=\"color: rgb(51, 71, 95); font-family: 微软雅黑, 宋体; text-align: justify; background-color: rgb(255, 255, 255);\"><span style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</span></span></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6072', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '160', '摘要', '<p style=\"line-height: 2em;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;糖尿病酮症酸中毒（diabetic ketoacidosis，DKA）是由于胰岛素不足和升糖激素不适当升高引起的糖、脂肪、蛋白质和水盐与酸碱代谢严重紊乱综合征。DKA的发生与糖尿病类型有关，T1DM有发生DKA的倾向，有的T1DM患者以DKA为首发表现；T2DM患者亦可被某些诱因诱发DKA。常见的诱因有急性感染、胰岛素不适当减量或突然中断治疗、饮食不当（过量或不足、食品过甜和酗酒等）、胃肠疾病（呕吐和腹泻等）、脑卒中、心肌梗死、创伤、手术、妊娠、分娩和精神刺激等。有时可无明显诱因，严重者有神志障碍，可因并发休克和急性肾衰竭等而导致死亡。</span></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6073', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '468', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病毒性肝炎是由多种肝炎病毒引起的，以肝脏损害为主的全身性传染病。临床上以食欲下降、乏力、肝脾肿大伴压痛、肝功能异常为主要表现，部分病例有发热、黄疸。病毒性肝炎具有传染性强，传播途径复杂，流行面广，发病率高及一些患者慢性化特点。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6074', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1474', '摘要', '<p><span style=\"font-size: 13.3333px;\">糖尿病是复杂的代谢性疾病，早期小血管受累，逐渐引起全身许多组织、器官的广泛损害。国内近年资料表明，20岁以上人群中男性和女性糖尿病患病率分别达10.6%和8.8%，总体患病率已达9.7%。幼年即患胰岛素依赖型的糖尿病患者，约10%在起病后5～9年便可发生视网膜病变，15年后约50%的人发生，25年后有80%～90%的人出现视网膜病变。成年型或非胰岛素依赖型糖尿病患者的糖尿病视网膜病变发病情况与此相似，但因不少患者发病日期较难确定，病程也更难估计。在经济发达的国家，糖尿病视网膜病变是一种主要的致盲眼病。一般说来，约四分之一糖尿病患者有糖尿病视网膜病变，约5%有增殖性糖尿病视网膜病变。</span></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6075', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '283', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胃癌（carcinoma of stomach）是起源于胃上皮的恶性肿瘤，是最常见的恶性肿瘤之一，居全球癌症死亡原因的前列。2008年统计全球新发癌症患者，胃癌发病率在男性中居第4位，在女性中居第6位。死亡率排位，胃癌在男性居第2位，在女性居第6位。东亚、南美、东欧为高发区，而北美、澳大利亚、新西兰为低发区。我国属胃癌较高发病区，男女人口调整死亡率（男性是女性的1.9倍）是欧美发达国家的4～8倍；40～60岁多见，发病率农村是城市的1.6倍。近30年欧美国家以及我国部分地区胃癌发病率呈下降趋势，近端胃癌发病率升高。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6076', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '150', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">发病率高居胃肠道恶性肿瘤的第三位，40岁以后高发，男女性发病的比例为2～3∶1，欧美人群的发病率高于亚太地区。2011年美国NCCN指南（National Comprehensive Cancer Network）报道，2010年全美新发病例数为102 900例，但近年来我国的发病率有明显上升。大量的研究显示：膳食纤维、叶酸和维生素C摄入过少，缺乏体育运动、高脂肪饮食、便秘、口服避孕药以及恶性肿瘤家族史等是结肠癌发病的危险因素。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6077', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '348', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">发病率高居消化道恶性肿瘤的第2位，2011年美国NCCN指南上的数据显示，2010年全美新发患者39 670例，其中女性患者为17 050例，男性为22 620例，预计死亡患者为51 370例。近30年来，直肠癌在我国的发病率以平均每年4. 2%的速度上升。高发年龄为30～60岁，男性多于女性。发病高危因素同结肠癌，有5%～10%的患者有明显的肿瘤家族史，统称为遗传性非家族息肉病性结直肠癌（hereditary nonpolyposis colorectal cancer，HNPCC），又称Lynch综合征。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6078', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1649', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">低血糖症（hypoglycemia）是一组由多种病因引起的血中葡萄糖浓度过低（通常＜2.8mmol/L）、临床以交感神经兴奋和（或）神经缺糖症状为主要表现的综合征。</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6079', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1648', '摘要', '<p><span style=\"font-size: 13.3333px;\">糖尿病心血管病属于糖尿病慢性大血管病变的范畴，主要涉及糖尿病性心脏病（diabetic cardiopathy，DCP）、脑血管病（cerebrovascular disorder，CVD）及外周血管病（peripheral vascular disorder，PVD）三个领域。糖尿病性心脏病（diabetic cardiopathy）是指由于糖尿病所引起的，在糖和脂肪等多代谢紊乱长期得不到纠正的基础上发生的心脏大血管病变、微血管病变以及自主神经病变。其中，大血管病变主要位于心脏表面的冠状动脉，即糖尿病性冠心病；微血管病变是指心肌内的微小血管病变，即糖尿病心肌病（diabetic cardiomyopathy）；支配并调控心脏活动的自主神经形态与功能异常主要引起心律失常。糖尿病心脏病与非糖尿病患者相比，其起病更早，糖尿病患者伴冠心病常表现为无痛性心肌梗死，梗死面积比较大，穿壁梗死多，病情更严重，预后更差，病死率更高。男性糖尿病心脑血管病的发生率约为非糖尿病患者群的2.5倍，女性则高达3.5～4.5倍。如冠状动脉造影和临床排除冠状动脉病变，糖尿病患者出现严重的心律失常、心脏肥大、肺淤血和充血性心力衰竭，尤其是难治性心力衰竭，临床可考虑糖尿病心肌病变。流行病学资料表明，约50%的初诊2型糖尿病患者已有冠脉病变；70%以上的糖尿病患者死于心血管并发症或伴随症，心肌梗死是2型糖尿病的首要致死病因。</span></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6080', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1650', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">至今手术切除仍是原发性肝癌（以下简称肝癌）最有效的治疗方法。肝癌外科的发展大致经历了以下三个阶段：20世纪50～60年代，由于肝外科解剖学基础和生化基础的确立，规则性肝切除成为肝癌根治性治疗的可能手段。但由于手术者多为大肝癌，手术死亡率较高，5年生存率较低。70～80年代，由于AFP用于普查和临床诊断，以及影像学技术的发展。使肝癌的早期发现、早期诊断和早期治疗成为可能。使肝癌的病程、诊断、治疗概念得以更新，小肝癌的发现和局部切除是小肝癌外科治疗取得较好远期疗效的主要原因。使肝癌手术切除率提高，手术死亡率明显下降，小肝癌术后5年生存率可达60%～70%。80年代以来，随着现代科技的进步，使肝癌治疗新技术不断出现，其中尤以局部治疗的发展更为突出。提高了部分无法手术切除肝癌的疗效，而“不能切除肝癌的综合治疗与二期切除”的出现使肝癌的外科治疗出现新的转机，亦使切除以外的各种姑息性外科治疗如肝动脉插管（HAI）、结扎（HAL）、冷冻、微波、术中瘤内无水乙醇注射等以及肝癌局部治疗的地位有所上升；同时由于对肝癌复发、转移问题的重视，使亚临床复发、转移的早期发现和再手术成为可能；肿瘤外科生物学概念的进展和肝癌综合治疗的广泛应用，扩大了临床治疗的范围，均使肝癌的治疗疗效和总体预后获得了明显的改善。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6081', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1651', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肝脏血源丰富，其他癌肿可转移至肝脏。上海医科大学病理解剖资料，继发性肝癌（secondary liver cancer）为原发性肝癌的1.2倍，而西方国家多在20倍以上。其中以继发于胃癌的最多，其次为结直肠癌、肺癌、乳腺癌、胰腺癌等癌肿，原发癌在消化系统的最为多见，占35%～50%。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6082', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1652', '摘要', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;高渗性高血糖状态（hyperosmolar hyperglycemic state，HHS）又称为高渗性非酮症高血糖性昏迷（hyperosmolar nonketotic hyperglycemic coma，HNKHC）综合征、高渗性昏迷（hyperosmolar coma）、非酮症高渗性糖尿病昏迷（non-ketotic hyperosmolar diabetic coma）、高渗性非酮症酸中毒糖尿病昏迷（hyperosmolar non-ketoacidosis diabetic coma）和糖尿病高渗性昏迷（diabetic hyperosmolar coma）等。HHS是糖尿病的严重急性并发症之一。最早于1886年被描述，但直到1957年Sament和Schuarty报道后才有大系列病例报告见诸于医学文献。国内在1973年由中科院首都医院内分泌组首次报告了3例。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;HHS以严重高血糖、高血浆渗透压、严重失水和中枢神经系统症状，而无酮症酸中毒为特征。以老年T2DM患者多见，偶见于儿童T2DM患者，无性别差异。约1/3的患者病前无糖尿病病史或只有糖耐量异常，少数与糖尿病酮症酸中毒（DKA）合并存在。HHS和DKA属于急性糖代谢紊乱谱的两极，两极之间有许多中间型。值得注意的是，虽然从1985～2002年，美国的成年急性高血糖危象（DKA和HHS）死亡率有所下降（每年下降4.4%），但全球范围内的儿童糖尿病（最小年龄为11岁）并发HHS较以前反而增多。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6083', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '478', '摘要', '<p>胆管癌的发病率在逐年上升。患者的年龄大多在50～70岁，男性与女性的比例为2～2.5∶1。其病因尚不清楚。文献报道，先天性胆管扩张症、溃疡性结肠炎、家族性结肠息肉病、中华分支睾吸虫病患者的胆管癌发生机会比一般人群高得多。口服亚硝胺类化学物质可诱发仓鼠的胆管癌，如同时伴有胆道不完全性梗阻，则胆管癌发生率更高。甚至在行胆管空肠Roux-Y吻合术、Oddi括约肌成形术后，由于肠内容物及细菌逆流入胆管内，长期反复感染和机械性损害亦可导致胆管黏膜上皮增生、癌变。另外，胆管腺瘤亦可癌变。据上海市胆道癌临床流行病学调查资料，既往有胆囊炎病史者胆管癌的危险性升高，调整的比数比（OR）为1.9（95%CI=1～3.3）。肝硬化者胆管癌的危险性明显增加，OR为3（95%CI=1～9.1）。在我们的另一项研究中发现，胆管癌与乙型肝炎病毒感染密切相关。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6084', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1647', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">甲型病毒性肝炎（简称甲型肝炎）是一种由甲型肝炎病毒（<em style=\"box-sizing: border-box;\">Hepatitis A virus</em>，HAV）引起的急性肠道传染病。甲型肝炎是一种古老的疾病，公元前8世纪就有类似甲型肝炎临床表现的病例记载，但长期以来，病因始终不明。及至1973年，Feinstone等用免疫电镜技术从实验感染的志愿者粪便中观察到HAV病毒颗粒。1979年，Provost和Hilleman在原代狨猴肝细胞和传代恒河猴胚肾细胞株（FRhk6）培养HAV获得成功。20世纪80年代，HAV灭活疫苗研制成功，并于90年代初应用于临床，是一个重要的标志。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6085', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1654', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">结核性脑膜炎（tuberculous meningitis，结脑）是由结核杆菌引起的脑膜非化脓性炎症，结核性脑膜炎可继发于粟粒性结核及其他器官的结核病灶。结核性脑膜炎在我国常见，病死率高、致残率高，发病特点为儿童高于成年人，农村高于城市，北方高于南方，我国结核性脑膜炎中约半数患者有结核病接触史。&nbsp;发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">中枢神经系统的结核感染也是由于吸入含有结核菌的微粒所致，在感染的最初2～4周，人体并不产生免疫反应，这时几乎每个患者都存在血行播散，结核杆菌可以不同程度地播散到全身各个器官，肺脏、肝脏、脾脏和骨髓，脑和脑脊膜的细菌存留则较少。偶可发生睾丸附睾炎。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">感染2～4周后，机体开始出现细胞介导的免疫反应。细胞抗原刺激T淋巴细胞产生淋巴因子，后者激活单核吞噬细胞，部分吞噬细胞可被病原体及其产生的毒性产物杀死，而部分吞噬细胞则仍具活力，由吞噬细胞、淋巴细胞和其他细胞包绕干酪样坏死物质，形成结核结节。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">感染后的炎症反应程度取决于宿主的免疫能力和其他一些尚未阐明的遗传因素，最佳结果为小干酪样中心被周围的吞噬细胞完全吞噬，不残留任何感染灶；若宿主免疫反应不够强，则易形成大的干酪样中心并不断扩大，外有纤维包囊。但其内藏匿具有活力的结核杆菌，如果机体免疫力下降，干酪样中心中的病原会继续增殖，导致结核结节破裂，释放出的结核杆菌和有毒性的抗原产物可以进入周围组织。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">当这些过程发生在脑或脑脊膜时，释放出很少的病原体就可致病，则产生结核性脑膜炎。极少数情况下，感染源为邻近脊柱的非神经系统感染灶或内耳、乳突的结核感染。颅内结核结节常形成于感染初的血行播散期。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">结核性脑膜炎的病理变化有三种。</p><p>（一）脑膜脑炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">结核性脑膜炎的病理变化实际上是脑膜脑炎，因为它不仅影响脑膜，而且累及脑实质和脑血管。其最初的病理变化是在蛛网膜下腔产生黏稠的结核性渗出物，以脑底部为多，渗出物可围绕脚间窝，包裹视神经交叉且扩散到脑桥和小脑，并经常伸入侧裂，但很少包绕大脑半球。在侧脑室中，类似的分泌物经常覆盖脉络丛。渗出物为凝胶状且常呈结节样，显微镜下可见多核细胞、红细胞、吞噬细胞和纤维组织。继而以淋巴细胞取代多核细胞，病程后期出现成纤维细胞。渗出物可为典型的结核结节或大片的干酪样坏死，渗出物中分枝杆菌数量不一。</p><p>（二）结核性血管内膜炎</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">结核渗出物可以影响流经的血管，小动脉和中动脉最易受累，毛细血管和静脉也可受累。血管外膜的变化与附近结核渗出物的变化相同：含类上皮细胞、结核结节及干酪样坏死，有时可见成簇结核杆菌。血管内层也有类似改变，可发生纤维蛋白样透明变性，反应性内皮下细胞增生可以堵塞管腔。因此，缺血性脑梗死是常见并发症，流经颅底的大脑中动脉和外纹动脉最易累及。</p><p>（三）脑积水</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于脑脊液循环不畅引起脑积水是结核性脑膜炎的另一病理特征，也是慢性感染的常见并发症之一，这在儿童比成人常见。阻塞性脑积水可因渗出物阻塞导水管或孟氏孔所致，也可因脑实质水肿阻塞脑脊液的流出通道引起。碘核素标记的脑池造影显示脑脊液有再吸收，为大多数脑积水的原因，即通常所称的交通性脑积水。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">炎症渗出、血管内膜炎和脑积水都会影响到脑实质。渗出物附近的组织反应包括脑组织的软化、星形细胞、小神经胶质细胞的炎症反应，而附近形成血栓后易引起邻近的脑组织片状出血和梗死。若不及时治疗，慢性脑积水可以引起脑白质和灰质的萎缩。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6086', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '851', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">细菌性痢疾（bacillary dysentery），简称菌痢，是由志贺菌（<em style=\"box-sizing: border-box;\">Genus shigella</em>）引起的常见急性肠道传染病，以结肠黏膜化脓性溃疡性炎症为主要病变，以发热、腹泻、腹痛、里急后重、黏液脓血便为主要临床表现，可伴全身毒血症症状，严重者可有感染性休克和（或）中毒性脑病。</p><p style=\"text-align: right;\"><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6087', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1614', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">乙型病毒性肝炎（viral hepatitis type B）是由乙型肝炎病毒（Hepatitis B Virus，HBV）引起的、主要通过血液途径传播的肝脏疾病，简称乙型肝炎。由于受病毒因素（入侵HBV量的多少、HBV复制能力的高低、是否为免疫逃逸株等）、宿主因素（受染时的年龄、易感或拮抗基因多态性、对HBV免疫力等）、环境因素（酗酒、合并HCV或HIV感染等）影响，HBV感染后可出现不同的结局或临床类型。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6088', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '716', '摘要', '<p><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病毒性肺炎（viral pneumonia）是由各种不同种类病毒侵犯肺实质而造成的炎症，常由上呼吸道病毒感染向下蔓延发展引起，亦可由体内潜伏病毒或各种原因如输血、器官移植等引起病毒血症进而导致肺部病毒感染。病毒性肺炎好发于冬春季节，暴发或散在流行，免疫低下患者全年均可发病。在社区获得性肺炎中病毒性肺炎约占5%～15%，而非细菌性肺炎中约25%～50%为病毒性肺炎所致。多见于儿童，成人相对少见。近年来由于免疫抑制药物的广泛应用，以及艾滋病的发病人数逐年增多，单纯疱疹病毒、水痘-带状疱疹病毒，尤其是巨细胞病毒（CMV）引起的成人严重肺炎有所增加。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6089', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '447', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">乳腺癌（carcinoma of breast）是女性最常见的恶性肿瘤之一，发病率位居女性恶性肿瘤发病率之首位。</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6090', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '407', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">前列腺癌是世界上最常见的男性恶性肿瘤之一。美国的前列腺癌发病率占男性恶性肿瘤首位。发达国家发病率高于发展中国家，我国前列腺癌发病率远低于西方国家，但近年呈显著增长趋势。</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6091', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '355', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肾细胞癌是起源于肾实质泌尿小管上皮系统的恶性肿瘤，又称肾腺癌，简称为肾癌，占肾恶性肿瘤的80%～90%。包括起源于泌尿小管不同部位的各种肾细胞癌亚型，但不包括来源于肾间质以及肾盂上皮系统的各种肿瘤。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6092', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '892', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">膀胱癌是泌尿系统中最常见的恶性肿瘤，发病率占泌尿道上皮肿瘤的90%以上。2011年美国NCCN指南资料显示2010年美国新发膀胱肿瘤70 530例，其中女性18 170例，约为男性的1/3。死亡14 680例，其中女性为4270例。发病率随年龄增长而增加。＜40岁的患者少见，高发年龄为65岁，美国39岁以下女性膀胱癌发病率为0. 01%；40～59岁为0. 12%；60～69岁为0. 25%；70岁以上为0. 96%。本病好发于膀胱侧壁及后壁，其次为膀胱三角区和顶部，可多中心发生，也可与肾盂、输尿管和尿道肿瘤同时发病。病因尚未完全清楚，已知的高危因素有长期接触芳香族类化合物或产品、吸烟、长期慢性刺激、某些食物添加剂和药物等能增加膀胱癌发病的风险。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6093', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '68', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺结核病（pulmonary tuberculosis）是结核分枝杆菌复合群（<em style=\"box-sizing: border-box;\">Mycobacterium tuberculosis complex</em>，简称结核杆菌或结核菌），引起的慢性肺部感染性疾病，占各器官结核病总数的80%～90%，其中痰中排菌者称为传染性肺结核病。我国是全球22个结核病流行严重的国家之一，同时也是全球27个耐多药结核病流行严重的国家之一。目前我国结核病年发病人数约为130万，占全球发病的14.3%，位居全球第2位。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: right;\"><span style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</span></p><p style=\"text-align: right;\"><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6094', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '451', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">各类急性白血病（AL）的共同临床表现可由于正常造血细胞生成减少，导致感染、发热、出血和贫血；也可由于白血病细胞浸润导致肝、脾、淋巴结肿大及其他器官病变。症状的缓急主要取决于白血病细胞在体内的积蓄增长速率和程度。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6095', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1409', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">国际上结核性胸膜炎（tuberculous pleuritis）归为肺外结核，在肺外结核中占第2位，仅次于淋巴结核。1999年中华医学会结核病分会制定的结核病分类把结核性胸膜炎列为独立于肺结核和肺外结核的第Ⅳ型，主要是基于该病在国内有较高的发病率。结核分枝杆菌侵犯胸膜有两种不同的方式，两者在临床过程、诊断和处理上都不相同。一类是由于少量结核分枝杆菌通过淋巴、血行或胸膜下肺部结核病灶直接蔓延至胸膜，引起细胞介导的免疫反应，产生胸腔积液，通常称为结核性胸膜炎。另一类是由于靠近胸膜的干酪样结核病灶、纵隔支气管淋巴结核、椎旁脓肿破溃进入胸腔，造成大量的结核杆菌在胸腔内繁殖生长，产生稠厚的脓性积液，称为结核性脓胸。偶见胸膜包裹性结核干酪病变，称为胸膜结核球。本文主要论述结核性胸膜炎。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6096', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '102', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp; &nbsp; &nbsp; &nbsp; 肾结核（renal tuberculosis）是全身结核病的一部分，约占肺外结核的15%，系结核杆菌由肺部等原发病灶经血行播散至肾脏所引起，多在原发性结核感染后5～20年才发病。多见于成年人，儿童少见。尿频、尿急、尿痛以及血尿为常见症状。城市中的晚期肾结核病例已非常少见。如能及时发现与治疗，绝大多数患者能治愈。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: right;\"><span style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</span></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6097', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1653', '摘要', '<p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">肺炎链球菌是大叶性肺炎的主要病原菌，但在婴幼儿更常引起支气管肺炎(详见上节)，本文主要论述大叶性肺炎。其特点是肺泡炎，年长儿多见。近年来儿科大叶性肺炎已较少见到。</p><p style=\"white-space: normal; text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.上册</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6098', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '475', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肠结核（tuberculosis of intestine）是结核杆菌侵犯肠道引起的慢性特异性感染，绝大多数继发于肺结核，特别是开放性肺结核。近年，西方国家HIV感染率增高，或使用免疫抑制剂，这类人群免疫力低下，本病发病率有所增加，我国也不例外。发病年龄多为青壮年，40岁以下占91.7%，女性多于男性，约为1.85∶1。&nbsp;发病机制<span style=\"font-size: 12px;\">90%以上肠结核由人型结核杆菌引起。少数由牛型结核杆菌所致，系饮用未经消毒的带菌牛奶或乳制品而感染。开放性肺结核或喉结核患者，因经常吞下含结核杆菌的痰液而感染或经常和开放性肺结核患者共餐而忽视餐具消毒，结核菌进入消化道。由于结核菌系抗酸菌，在胃内较少受胃酸影响，顺利到达回盲部。此时含结核菌的肠内容物已形成食糜，由于回盲瓣的作用，食糜在回盲部停留较久，结核菌有机会与肠黏膜密切接触，增加了肠黏膜的感染机会；同时回盲部有丰富的淋巴组织，是结核菌最易侵犯的组织。因此，回盲部成为肠结核的好发部位。</span></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6099', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '63', '摘要', '<p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">急性气管支气管炎（acute tracheobronchitis）是气管为主并可累及支气管的自限性急性气道炎症（acute airway inflammation）（1～3周），主要表现为咳嗽，诊断前提是临床和影像没有肺炎证据。中华医学会呼吸病学分会《咳嗽的诊断与治疗指南》内定义急性气管支气管炎是由于生物性或非生物性因素引起的气管支气管黏膜的急性炎症。2011年欧洲呼吸病学会将其定义为：急性气管支气管炎指没有慢性肺部疾病的患者出现以咳嗽为主的急性症状，可以伴有咳痰或其他临床征象提示是下呼吸道感染，而不能以其他原因来解释（如鼻窦炎和哮喘）。可以认为这是迄今对本病比较准确的界定。</p><p style=\"white-space: normal; text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6100', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '484', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">重症肌无力（myasthenia gravis，MG）是一种神经-肌肉接头传递障碍的自身免疫性疾病。主要临床特征为受累骨骼肌极易疲劳，短期收缩后肌力减退明显，休息和使用抗胆碱酯酶药物后肌无力可部分和暂时恢复。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6101', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '257', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">破伤风（tetanus）是破伤风杆菌及其所产毒素所致的急性疾病，其临床特征为牙关紧闭、强直性痉挛（tonic spasm）、阵挛性痉挛（clonic spasm），累及的肌群主要有咬肌、背棘肌、腹肌、四肢肌等。</p><p style=\"text-align: right;\"><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6102', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '110', '摘要', '<p style=\"line-height: 2em;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;尿崩症（diabetes insipidus）是指抗利尿激素（antidiuretic hormone，ADH）分泌不足（又称中枢性或垂体性尿崩症），或肾脏对血管加压素反应缺陷（又称肾性尿崩症）而引起的一组症群，其特点是多尿、烦渴多饮、低比重尿和低渗尿。</span></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6103', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '85', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">风湿性心脏病通常侵犯二尖瓣，其次是主动脉瓣。风湿性主动脉瓣关闭不全也常合并二尖瓣病变，临床称之为联合瓣膜病（combined valvular disease）。梅毒性主动脉炎可发展为梅毒性主动脉关闭不全或主动脉瘤。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;中华眼科学:全3册（下）</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6104', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '175', '摘要', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;子宫肌瘤是由增生的子宫平滑组织和少量结缔组织形成的良性肿瘤，它是女性生殖器官中最常见的肿瘤。据报道，30岁以上妇女中，约20%可发现有子宫肌瘤。由于子宫肌瘤患者绝大多数无症状或症状不显著，常被忽略，往往在妇科检查或因其他疾病剖腹探查及尸检中发现，因此其准确的发病率很难确定。近年来，由于妇科普查工作的广泛开展，广大妇女对妇科疾病重视程度的提高，使得子宫肌瘤的发病率有所升高。子宫肌瘤好发于卵巢功能较旺盛的30～45岁的妇女，50岁以后，由于卵巢功能明显衰退，肌瘤大多自行缩小。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6105', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1297', '摘要', '<p><span style=\"font-size: 13.3333px;\">肥胖症（obesity）是一组常见的、古老的代谢性疾病。当人体进食热量多于消耗热量时，多余热量以脂肪形式储存于体内，其量超过正常生理需要量，且达一定值时遂演变为肥胖症。随年龄增长，体脂所占比例相应增加。肥胖症的实质是体内脂肪绝对量增加。</span></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6106', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1656', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性细支气管炎(acute bronchiolitis)是指管径＜2mm的细支气管的急性炎症，可以是特发的，但更常见于感染后、药物反应、结缔组织病、吸入毒气烟雾和器官移植等，临床上也称为细支气管综合征(bronchiolar syndrome)。既往急性细支气管炎的命名与分类非常混乱，目前临床上的急性细支气管炎常特指下呼吸道感染后的细支气管炎。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;呼吸病学</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6107', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '290', '摘要', '<p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">大多数二尖瓣狭窄（mitral stenosis，MS）是由风湿性心脏病（风心病）所致，60%的单纯MS的患者有风湿热病史，而40%的风湿性心脏病患者最终发展为MS，女∶男为2∶1。主要病理改变是瓣膜交界粘连，瓣叶增厚，瓣口变形和狭窄，腱索缩短融合，病程后期出现钙化，瓣叶活动受限。病变分为：①隔膜型：瓣体无病变或病变较轻，弹性及活动尚可；②漏斗型：瓣叶增厚和纤维化，腱索和乳头肌明显粘连和缩短，整个瓣膜变硬呈漏斗状，活动明显受限。常伴不同程度的关闭不全。瓣叶钙化进一步加重狭窄，甚至呈孔隙样，可引起血栓形成和栓塞。</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">退行性MS的发生呈上升趋势，主要病变为瓣环钙化，多见于老年人，常合并高血压、动脉粥样硬化或主动脉瓣狭窄。单纯瓣环钙化导致二尖瓣反流较为多见；当累及瓣叶增厚和（或）钙化时瓣叶活动受限导致MS；但无交界粘连，且瓣叶增厚和（或）钙化以瓣叶底部为甚，不同于风湿性MS以瓣缘为主。先天性MS较少见，主要是瓣下狭窄。其他少见病因如结缔组织病（系统性红斑狼疮等）、浸润性疾病、心脏结节病、药物相关性瓣膜病等，表现为瓣叶增厚和活动受限，极少有交界粘连。</p><p style=\"white-space: normal; text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6108', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1655', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">二尖瓣脱垂综合征（mitral valve prolapse，MVP）是指二尖瓣一个或两个瓣叶收缩期膨向LA，闭合线超过瓣环2mm及以上，以后叶脱垂多见。瓣叶可增厚或正常，可伴或不伴MR。其确切病因未明，可见于各年龄组，以年轻女性多见。曾被称为收缩期喀喇音杂音综合征、Barlow病、瓣膜松弛综合征等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">原发性MVP综合征可为家族性或非家族性。三分之一患者无其他器质性心脏病；马方综合征等遗传性胶原病变、von Willebrand’s病及其他凝血异常、原发性乳腺发育不良、多种结缔组织疾病（系统性红斑狼疮、强直性脊柱炎、结节性多动脉炎）、漏斗胸等常合并MVP。病理改变包括二尖瓣黏液样变性，海绵层增生伴蛋白多糖堆积，并侵入纤维层，瓣叶心房面局限性增厚，表面纤维素和血小板沉积。电镜下可见Ⅲ型胶原纤维生成减少和断裂，结缔组织中的胶原纤维变性，纤维素沉积；弹力纤维离断和溶解。瓣叶冗长累赘，在腱索间形成皱褶，收缩期向LA膨出呈半球状；腱索纤细冗长，扭曲，继之纤维化而增厚，以瓣叶受累最重处为显著；腱索异常使二尖瓣受力不匀，导致瓣叶受牵拉和松弛；黏液变性可致腱索断裂。瓣环扩大和钙化进一步加重反流的程度。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">继发性MVP多见于风湿或病毒感染、冠心病、心肌病、先天性心脏病、甲状腺功能亢进等；多因对侧瓣叶关闭受限，使得正常关闭的瓣叶呈现“相对性”或“假性”脱垂，以前叶脱垂多见。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6109', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '464', '摘要', '<p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">二尖瓣装置包括瓣叶、瓣环、腱索、乳头肌及LV，任何部分的缺陷均可导致二尖瓣关闭不全（mitral regurgitation，MR）。MR分为原发/器质性的（由于二尖瓣结构异常引起）和继发/功能性的（继发于LV扩张和功能减退）。根据病程，可分为急性MR和慢性MR。</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">原发性的慢性MR在我国以风湿性最多见，常合并MS，病理特点为瓣叶增厚，挛缩变形，交界粘连，以游离缘为显著；腱索缩短融合导致瓣叶尤其后叶活动受限，而前叶呈假性脱垂样。瓣膜变性（Barlow病/二尖瓣脱垂综合征、弹性纤维变性、马方综合征、Ehler’s-Danlos综合征）和老年性瓣环钙化是欧美国家最常见的病因；其他病因还包括感染性心内膜炎、心肌梗死后乳头肌断裂、先天性畸形（二尖瓣裂缺、降落伞型二尖瓣畸形等，多见于幼儿或青少年）、结缔组织病（如系统性红斑狼疮、类风湿关节炎、强直硬化性脊椎炎）、心内膜弹力纤维增生症、药物性等；继发性MR的病因包括任何可引起LV明显扩大的病变，如缺血性心脏病及心肌病，机制包括二尖瓣瓣环的扩张变形；乳头肌向外向心尖方向移位；瓣叶受牵拉而关闭受限；LV局部及整体功能的异常；LV重构和变形；LV运动不同步等。</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">急性MR多因腱索断裂，瓣膜毁损或破裂，乳头肌坏死或断裂以及人工瓣膜异常引起，可见于感染性心内膜炎、急性心肌梗死、穿通性或闭合性胸外伤及自发性腱索断裂。</p><p style=\"white-space: normal; text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6110', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1480', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">帕金森病以前又称“震颤麻痹”，但患者一般并无麻痹（肌力减退），部分患者在整个病程中亦可不出现震颤，因此“震颤麻痹”这一称谓并不贴切。为了纪念James Parkinson的重要贡献，将此疾病称为帕金森病。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6111', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '495', '摘要', '<p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">血脂异常症（dyslipidemia）是指血浆脂蛋白紊乱血症（dyslipoproteinemia），是脂质代谢障碍的表现，属于代谢性疾病，其对健康的危害主要是导致心血管疾病，包括冠心病及其他动脉粥样硬化性疾病。</span></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6112', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '419', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主动脉瓣狭窄（aortic stenosis，AS）最常见的病因是先天性主动脉瓣畸形、老年性主动脉瓣钙化和风湿性AS。欧美国家以前两者为主，我国仍以风湿性多见。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">单纯风湿性AS罕见，几乎都合并二尖瓣病变及主动脉瓣关闭不全。病理变化为瓣叶交界粘连，瓣膜增厚，纤维化钙化，以瓣叶游离缘尤为突出。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">三叶瓣的钙化性AS（即所谓的“老年退行性”狭窄）多见于老龄患者，近年来发生率呈上升趋势。发病机制可能与主动脉瓣应力和剪切力异常升高、湍流致血管内皮损伤、慢性炎症、RAS系统激活、脂蛋白沉积、钙磷代谢紊乱、同型半胱氨酸水平、遗传等因素有关；与冠心病有相似的危险因子，如老龄、男性、肥胖、高血压、高血脂、吸烟、糖尿病等。一旦发生，病变呈进行性发展直至最终需要进行瓣膜置换。病理表现为瓣体部的钙化，很少累及瓣叶交界。钙化程度是临床转归的预测因子之一。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">先天性AS可为单叶式、二叶式或三叶式，其中二叶式主动脉瓣（bicuspid aortic valve，BAV）最多，约占50%。普通人群中BAV的发生率为1%～2%，部分有家族史（染色体显性遗传）。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6113', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1427', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Alois Alzheimer在1907年报道一名56岁女性病例，表现为快速进展性的记忆丧失、存在被害妄想，住院后出现定向障碍、言语困难（说、写和命名）、也无法学习。尽管存在严重的认知缺损，患者的神经系统体征基本正常，尸体解剖发现脑萎缩、神经纤维缠结改变以及神经元老年斑的病理改变。以后人们将这类疾病命名为阿尔茨海默病（Alzheimer’s disease，AD）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">随着人均寿命的增加，AD已成为常见的痴呆类型，约占全部痴呆患者中的50%。65岁以上老年人中，AD的年发病率约为1%，随着年龄的增加患病率增高，年龄每增加5岁，AD的患病率约增加1倍。尽管不同国家地区的流行病学结果有差异，但AD作为老年期多发疾病却是不争的事实。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">AD的病因和发病机制复杂，目前并不十分清楚。通常认为与基因突变、Aβ的沉积、胆碱能缺陷、tau蛋白过度磷酸化、线粒体缺陷、神经细胞凋亡、氧化应激、自由基损伤及感染、中毒、脑外伤和低血糖等有关。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">AD的危险因素包括年龄、性别（女性高于男性）、受教育程度、脑外伤，AD也与遗传、甲状腺功能减退、接触重金属、有毒化学物质和有机溶剂等有关。其他如脑血管病、糖尿病以及老年期首发的抑郁症也是AD的危险因素。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6114', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '568', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性鼻炎 (acute rhinitis)是由病毒感染引起的鼻黏膜急性炎性疾病，俗称“伤风”，“感冒”。四季均可发病，但冬季更为多见。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用耳鼻咽喉头颈外科学</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6115', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1657', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">据记载，早在公元前200年，战国时代秦越人所著《难经》中曾有“按之至骨，举指来疾者，肾也”。公元200—250年间，魏晋时王叔和在《脉经》中也写有“脉火而坚病在肾”。虽然古代肾的概念与现代医学肾有区别，但不难看出古人已认识到高血压与肾之间存在关联。近代，英国医师Bright（1827年）首次提出蛋白尿、脉搏强而硬与肾硬化有关。Traube（1856年）从分析描记的脉搏提出异常脉搏可能为高血压所致。Mohomed（1874年）指出动脉系统的高张力与肾疾病有关。对肾血管病变引起的高血压，有报道 Janeway（1906年）曾缩窄犬的一侧肾动脉后产生高血压持续了105天；Goldbatt（1934年）用特制的夹子钳夹犬的肾动脉主干产生高舒张压，开放肾动脉后高血压消失，从而建立了肾动脉狭窄型高血压的动物模型。之后，Leadbatter和Burkland（1938年）首次临床病例报道一名5岁半男孩患肾动脉狭窄经肾切除后血压恢复正常。但是，采用肾切除的治疗方法因其疗效常会令人失望，而有必要进一步研究肾病变引起的高血压病因。20世纪50年代，Smith（1952年）经皮血管腔内腹主动脉造影观察肾动脉病变；Howad（1954年）发明了通过逆行双侧输尿管插管的分肾功能测定法，从而将本病从形态和功能两个方面由高血压患者中筛选出来，并为开展肾血管成形术提供了影像学的依据。关于肾血管性高血压的基础理论和临床研究从20世纪60年代至今从未间断，赢得相关学科学者的极大关注和兴趣。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">文献报道肾血管性高血压的发病率差异较大。一般文献指出肾血管性高血压占所有高血压患者的5%～10%，美国Franklin等（1989年）报道为3%～6%，我国有报道为2%左右。熊汝成等分析复旦大学附属中山医院1950—1975年25年间患高血压的住院患者总人数为3365例，其中肾性高血压患者占19.5%，而肾血管性高血压为1.84%。近年来由于对此病的认识水平提高，诊断技术改进，筛选方法的敏感性和特异性增强，越来越多的高血压患者被证实为肾血管性高血压。美国15个医疗机构“肾动脉性高血压协作研究”报道的2442例高血压患者中，肾动脉性高血压占27.75%。我国北京阜外医院1964—1982年住院的1372例高血压患者中，经肾动脉造影证明有明显肾动脉狭窄者占12.4%。据统计，中山医院近5年（2003年1月至2007年12月底）10种常见的肾疾病共6324例，发现824例并发高血压，占13.03%，其中肾动脉狭窄283例，占肾性高血压的34.34%，比较该院以前25年间（1950—1975年）的分析资料，同样10种常见的肾疾病3145例，发现655例并发高血压，占上述各种肾病总数的20.8%，包括肾动脉狭窄62例，仅占肾性高血压9.47%。由此可见，目前肾血管性高血压在肾性高血压中所占的比例已大大上升，值得引起重视和研究。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">此病可以发生于任何年龄，尤应注意小于25岁及大于55岁患严重高血压患者。在欧美国家50岁以上的患者以动脉粥样硬化引起此病最为普遍，男∶女为2∶1，吸烟及高脂血症患者更多见；年轻的患者则以纤维肌性发育异常为多见，女性多于男性。在我国由大动脉炎引起的肾血管性高血压较西方多见，年轻女性多发。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">近年来，由于医学影像学技术的发展、新型抗高血压药物的出现和血管外科手术技术的改进，使肾血管性高血压在诊断和治疗方面有很大的进展。</p><p style=\"text-align: right;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (下册)</span></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6116', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '371', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">短暂性脑缺血发作（transient ischemic attack，TIA）是由于局部脑或视网膜缺血引起的短暂性神经功能缺损，临床症状一般不超过1小时，最长不超过24小时，且无责任病灶的证据。凡神经影像学检查有神经功能缺损对应的明确病灶者不宜称为TIA。传统的TIA定义，只要临床症状在24小时内消失，不遗留神经系统体征，而不管是否存在责任病灶。近来研究证实，对于传统TIA患者，如果神经功能缺损症状超过1小时，绝大部分神经影像学检查均可发现对应的脑部梗死小病灶。因此，传统的TIA许多病例实质上是小卒中。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;神经病学</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6117', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '511', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">即稳定型劳力性心绞痛，亦称普通型心绞痛，是最常见的心绞痛。指由心肌缺血缺氧引起的典型心绞痛发作，其临床表现在1～3个月内相对稳定，即每日和每周疼痛发作次数大致相同，诱发疼痛的劳力和情绪激动程度相同，每次发作疼痛的性质和疼痛部位无改变，疼痛时限相仿，用硝酸甘油后也在相近时间内发生疗效。&nbsp;发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是心肌缺血与缺氧所引起的疼痛。心肌氧耗的多少由心肌张力、心肌收缩强度和心率所决定，故常用“心率×收缩压”（即二重乘积）作为估计心肌氧耗的指标。心肌能量的产生要求大量的氧供。心肌细胞摄取血液氧含量的65%～75%，而身体其他组织则仅摄取10%～25%。因此心肌平时对血液中氧的摄取已接近于最大量，对心肌氧供应的增加更多依靠增加冠状动脉的血流量来实现。在正常情况下，冠状循环有很大的储备，其血流量可随身体的生理情况而有显著的变化；在剧烈运动心率加快的同时，小冠状动脉扩张，冠状循环阻力下降，冠脉循环血流量可增加到休息时的6～7倍。当大的心外膜冠状动脉管径狭窄超过50%时，对血流量产生相当的阻力，以至于其传输血流的功能受损，此时冠脉循环的最大储备量下降。然而由于缺血可激活自动调节机制，造成小冠状动脉扩张，使总的冠状动脉阻力趋于正常，静息血流量仍可保持正常；但当心脏负荷加重及其心肌耗氧量增加超过小冠状动脉的扩张储备能力所能代偿时，则发生相对的心肌供血不足。这种由心肌需氧量的增加最终超过固定狭窄的冠状动脉最大代偿供血能力所引起的心肌缺血是稳定型心绞痛最常见的机制。而冠状动脉痉挛（如吸烟过度或神经体液调节障碍）或暂时性血小板聚集、一过性血栓形成以及狭窄局部血液流变学异常所致的血流淤滞等冠状动脉血流的动力性阻塞因素，可导致心肌供血的突然减少，这是产生心绞痛的又一重要因素。此外，突然发生循环血流量减少的情况下（如休克、极度心动过速等），心肌血液供求之间的矛盾加深，心肌血液供给不足，也可引起心绞痛。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">产生疼痛的直接因素，可能是在缺血缺氧的情况下，心肌内积聚过多的代谢产物，如乳酸、丙酮酸、磷酸等酸性物质；或类似激肽的多肽类物质，刺激心脏内自主神经的传入纤维末梢，经上颈神经节至第5胸交感神经节和相应的脊髓段，传至大脑，产生疼痛感觉。这种痛觉常投射到与自主神经进入水平相同脊髓段的脊神经所分布的皮肤区域，称为“牵涉痛”，故心绞痛常表现为胸骨后疼痛并放射至左肩、臂和手指。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6118', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1551', '摘要', '<p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">传统的感染理论，将感染视为疾病或病理生理状态，视感染和炎症反应为同一个病理生理过程，并且把感染引起的局部炎症反应(如红肿热痛)和发热、白细胞增高等全身的炎症反应直接视为感染性疾病的证据。临床实践中一些诊断术语常互换应用，如“感染和炎症”、“感染、感染性疾病和炎症性疾病”、“败血症和脓毒症”、“感染性休克、败血症休克和脓毒性休克”等。1991年第一届国际脓毒症共识会首次提出了系统性炎症反应综合征(systemic inflammatory response syndrome，SIRS)假说，更新了脓毒症(sepsis)概念，并将多脏器衰竭(MOF)改为多脏器功能障碍综合征(multiple organ dysfunction syndrome MODS)</span><span style=\"box-sizing: border-box; position: relative; font-size: 10.5px; line-height: 0; vertical-align: baseline; top: -0.5em; color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255);\">1</span><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">。20余年来，对脓毒症进行了一系列基础研究和临床实践，在历次国际会议上，先后几次修正术语定义、制定脓毒症管理指南。目前脓毒症理论体系正在日趋完善(以下简称“脓毒症理论”)</span></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6119', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1573', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">睡眠呼吸暂停低通气综合征（sleep apnea hypopnea syndrome，SAHS）是一种常见的睡眠呼吸紊乱疾病，睡眠呼吸暂停指睡眠过程中口鼻呼吸气流消失或明显减弱。包括阻塞性睡眠呼吸暂停低通气综合征（obstructive sleep apnea hypopnea syndrome，OSAHS）、中枢性睡眠呼吸暂停综合征（central sleep apnea syndrome，CSAS）和混合性睡眠呼吸暂停综合征（mixed sleep apnea syndrome，MSAS）。OSAHS最常见，国外资料显示成年人中男性患病率达4%～24%，女性达2%～9%，肥胖者高达50%以上。CSAS一般不超过呼吸暂停的10%，起病隐匿，可出现与OSAHS相同的临床损害，危害较大。鉴于SAHS是多种全身性疾病独立危险因素，易发生夜间猝死，需高度重视和积极应对。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6120', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '271', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">三叉神经痛（trigeminal neuralgia TN）又称“痛性痉挛”（tic douloureux，painful tic）是指在三叉神经分布区域内出现阵发性、针刺样、电击样剧烈疼痛，历时数秒至数分钟，疼痛呈周期性发作，间歇期无症状。任何刺激口腔颌面部的“扳机点”可引起疼痛。多发生于中老年，女性多见，多数为单侧。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床上通常将三叉神经痛分为原发性（真性或特发性）和继发性（症状性）两种。原发性三叉神经痛系指无神经系统体征，如三叉神经分布区的感觉、运动正常，而且应用各种检查并未发现明显与发病有关的器质性病变。而继发性者则是指由于机体的其他病变如炎症、外伤、肿瘤、颅骨的畸形以及多发性硬化等疾病侵犯三叉神经所致，此型有明确病因可查，其特点是除表现疼痛症状外，一般尚有神经系统体征，如在三叉神经分布区内存在感觉减退、麻木、角膜反射迟钝或消失、疼痛呈持续性等，并常合并其他脑神经病变症状。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;口腔颌面外科学</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6121', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '512', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">若冠状动脉管腔急性完全闭塞，血供完全停止，导致所供区域心室壁心肌透壁性坏死，临床上表现为典型的STEMI，即传统的Q波型MI。在冠状动脉闭塞后20～30分钟，受其供血的心肌即有少数坏死，开始了AMI的病理过程。1～2小时后绝大部分心肌呈凝固性坏死。坏死组织约1～2周后开始吸收，并逐渐纤维化，在6～8周后进入慢性期形成瘢痕而愈合，称为陈旧性或愈合性MI。瘢痕大者可逐渐向外凸出而形成室壁膨胀瘤。梗死区附近心肌的血供随侧支循环的建立而逐渐恢复。病变可波及心包出现反应性心包炎，波及心内膜引起附壁血栓形成。在心腔内压力的作用下，坏死的心壁可破裂（心脏破裂），破裂可发生在心室游离壁、乳头肌或心室间隔处。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病理学上，MI可分为透壁性和非透壁性（或心内膜下）。前者坏死累及心室壁全层，多由冠脉持续闭塞所致；后者坏死仅累及心内膜下或心室壁内，未达心外膜，多是冠脉短暂闭塞而持续开通的结果。不规则片状非透壁MI多见于STEMI在未形成透壁MI前早期再灌注（溶栓或PCI治疗）成功的患者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">STEMI发生后数小时所作的冠状动脉造影显示，90%以上的MI相关动脉发生完全闭塞。少数AMI患者冠状动脉正常，可能为血管腔内血栓的自溶、血小板一过性聚集造成闭塞或严重的持续性冠状动脉痉挛的发作使冠状动脉血流减少所致。左冠状动脉前降支闭塞最多见，可引起左心室前壁、心尖部、下侧壁、前间隔和前内乳头肌梗死；左冠状动脉回旋支闭塞可引起左心室高侧壁、膈面及左心房梗死，并可累及房室结；右冠状动脉闭塞可引起左心室膈面、后间隔及右心室梗死，并可累及窦房结和房室结。右心室及左、右心房梗死较少见。左冠状动脉主干闭塞则引起左心室广泛梗死。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">MI时冠脉内血栓既有白血栓（富含血小板），又有红血栓（富含纤维蛋白和红细胞）。STEMI的闭塞性血栓是白、红血栓的混合物，从堵塞处向近端延伸部分为红血栓。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6122', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '223', '摘要', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;肺栓塞是静脉系统血栓性或其他性质的栓子，顺静脉血液回流堵塞肺动脉引起的临床综合征。造成肺栓塞的栓子最常见的是脱落的静脉血栓，此外脂肪、空气、羊水、肿瘤细胞群、组织碎片、细菌性赘生物、寄生虫卵、医源性异物（如导管和封堵器）等也可以造成栓塞。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;肺栓塞在我国的发病率逐年增加，一方面由于对该疾病的认识和诊断水平提高，另一方面和生活水平提高、生活方式西化有关。肺栓塞多见于中老年人，随年龄增大而发病率增加，男性可能多于女性。凝血因子ⅤLeiden基因突变、抗凝血酶ⅢS蛋白及C蛋白缺乏、前凝血酶20210A因子突变、长期卧床、长途飞行旅行、心力衰竭、妊娠、长期口服避孕药、恶性肿瘤、血栓静脉炎、肺功能不全、糖尿病、高血压、体型肥胖、脑血管意外、骨折、创伤、外科大手术、静脉导管留置、睡眠呼吸暂停和抗磷脂抗体综合征等均为发生肺栓塞的危险因素。肺栓塞的流行病学特点是漏诊率高、误诊率高和死亡率高。约1/3的患者在发病后1～2小时内死亡，3个月死亡率＞15%，在欧美国家，死亡率一度在心脑血管疾病和恶性肿瘤之后，列第三位。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1819年Laennec首次描述了急性肺栓塞的病理改变，认识到该疾病和深静脉血栓形成有关联。1846年Virchow提出血液淤积、血管壁损伤和高凝状态作为血栓形成及发病的三联症。1908年Trendelenberg对一例濒死的急性肺栓塞病例施行肺动脉切开取栓术。1961年Cooley和1962年Sharp在体外循环辅助下行肺动脉切开取栓术治疗急性肺栓塞，其后该技术成为外科治疗急性肺栓塞的标准方案。由于认识不足，对慢性肺栓塞的诊治比急性肺栓塞迟了差不多一个世纪。1928年Lungdahl对两例死于右心衰女性尸检时发现肺动脉内慢性血栓形成。1951年Boucher对一例怀疑肺动脉瘤病例行肺叶切除，术后病理发现肺动脉内慢性血栓形成。该疾病误诊率和漏诊率高，到1956年全球报道不到200例。1958年Allison在中度低温下行肺动脉切开取栓术。1964年Scannell在体外循环辅助下行肺动脉内膜剥脱术治疗慢性肺栓塞。1980年Daily在体外辅助深低温停循环下行肺动脉内膜剥脱术。直到20世纪末，国内才在少数几个心脏中心开展深低温停循环下行肺动脉内膜剥脱术。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6123', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '282', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性肺源性心脏病（chronic cor pulmonale）简称肺源性心脏病，是指由肺组织、胸廓或肺动脉系统病变引起的肺动脉高压，伴或不伴有右心衰竭的一类疾病。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺源性心脏病在我国是常见病、多发病，平均患病率为0.48%，病死率在15%左右。我国北部及中部地区15岁以上人口患病率为3%，估计全国有2500万人罹患此病，与吸烟密切相关。但约有30%为非吸烟人群，而且以农村女性多见，个体易感因素、遗传、气道高反应性、环境因素、职业粉尘和化学物质、空气污染等与本病的发病密切相关。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6124', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '77', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺动脉高压（pulmonary arterial hypertension，PAH）是以肺血管阻力进行性升高为主要特征，进而右心室肥厚扩张的一类恶性心脏血管性疾病，其发病率、致残率及病死率高，可致难治性右心衰竭。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6125', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '743', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病毒性心肌炎（viral myocarditis，VMC）系由病毒感染所致的局限性或弥散性心肌炎性病变。大多数可以自愈，部分可迁延而遗留有各种心律失常，少数可演变为扩张型心肌病（dilated cardiomyopathy，DCM），导致心力衰竭甚至心源性猝死。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6126', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '259', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">感染性心内膜炎（infective endocarditis，IE）指因细菌、真菌和其他病原微生物（如病毒、立克次体、衣原体、支原体、螺旋体等）直接感染而产生心瓣膜或心室壁内膜的炎症，有别于由于风湿热、类风湿、系统性红斑狼疮等所致的非感染性心内膜炎。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年来随着抗生素广泛应用和病原微生物的变化，本病临床表现变得不典型。由于人口老年化流行情况也发生了变化，发生感染性心内膜炎的平均年龄有所增加，大于40岁的患者明显增加。且发病率随年龄增长而增长，在70～80岁时达最高，男女的比例约为2∶1，女性患者预后较差。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">葡萄球菌感染位居首位，草绿色链球菌感染已退至第二位，再次为肠球菌。由于对本病的警惕性提高和积极防治，使本病的发生率有所降低。随着内外科治疗水平的提高，初发IE患者的存活率有了明显的提高。风湿性心脏瓣膜病所占比例降低，退行性瓣膜病变以及静脉药物滥用已替代了风湿性心脏病，成为感染性心内膜炎最常见的致病因素。心血管疾病介入性检查和治疗的日益增多、心脏瓣膜置换术和各种呼吸道、胃肠道和泌尿生殖道内镜检查等诊断技术的应用，使医源性获得性IE越发常见。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">因细菌感染而产生的动脉内膜炎，如未闭动脉导管所并发的细菌性动脉内膜炎，通常亦包括在本病的范围内。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6127', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1550', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">溃疡穿透浆膜层而达游离腹腔即可致急性穿孔，是胃十二指肠溃疡严重并发症，也是外科常见的急腹症。急性穿孔的发生率约为消化性溃疡病的5%～10%。其中男性占90%。通常十二指肠溃疡急性穿孔比胃溃疡多见。一旦溃疡穿孔，就有致命的危险，十二指肠溃疡穿孔的死亡率为5%～13%，胃溃疡为10%～40%。并且随着年龄的增加和穿孔时间的延长，死亡率也相应增高。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6128', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '742', '摘要', '<p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); font-size: 12px;\">心肌病（cardiomyopathy）是由各种病因引起的一组非均质的心肌病变，包括心脏机械和电活动的异常，表现为心室不适当的肥厚或扩张。心肌病可以单纯局限于心脏，也可以是全身系统性疾病的一部分，最终导致心力衰竭或死亡。先天性心脏病、瓣膜病、高血压、冠心病等心血管疾病所引起的心肌异常不包括在心肌病的范畴。</span></p><p style=\"text-align: right;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); font-size: 12px;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</span></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6129', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '207', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">脑出血（intracerebral hemorrhage，ICH）分外伤性和非外伤性两种，后者又称原发性或自发性脑出血，系颅内或全身疾病引起脑实质内出血。高血压性脑出血最常见，占总数的40%～50%。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6130', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1658', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">颅内血管破裂后，血液流入蛛网膜下腔称为蛛网膜下腔出血（subarachnoid hemorrhage，SAH），临床上将SAH分为外伤性与非外伤性两大类，非外伤性SAH又称为自发性SAH，是一种常见且致死率极高的疾病。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6131', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '400', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">扩张型心肌病（dilated cardiomyopathy，DCM），其特征为单侧或双侧心室扩大，心室收缩功能减退，伴或不伴充血性心力衰竭。室性或房性心律失常多见。病情呈进行性加重，死亡可发生于疾病的任何阶段。DCM是临床诊断中最常见的心肌病，也是造成心力衰竭和心脏移植的最主要原因。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6132', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1659', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">高血压脑病是指突然、严重的高血压促发的一种急性大脑综合征，是平均动脉压迅速升达150mmHg以上，脑小动脉发生过强的自动调节反应，即普遍的脑血管痉挛，使脑部缺血缺氧而导致脑水肿、毛细血管破裂（点状出血）和组织坏死（微梗死）而产生的症状、体征。主要表现为头痛、抽搐和意识障碍，并可伴有短暂的局灶性神经功能缺失。&nbsp;发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">健康成人平均动脉压约为90mmHg，自动调节的范围在60～150mmHg之间。血压升高的速度和程度是决定高血压脑病发生的最重要因素。在正常情况下，血压升高，脑小动脉舒张，以保证脑内血液供应，使颅内压维持在正常范围内。但当血压急剧升高时，脑血管自动调节功能失调，脑小动脉发生持续而强烈的收缩后，继之出现被动和强制性舒张，脑部过度灌注而发生脑水肿，颅内压升高而产生一系列症状。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6133', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '317', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肥厚型心肌病（hypertrophic cardiomyopathy，HCM）的特征为心室肌肥厚，典型者在左心室，以室间隔为甚，可呈向心性肥厚。左心室腔容积正常或减小。偶尔有病变发生于右心室。通常为常染色体显性遗传。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6134', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '403', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">限制型心肌病（restrictive cardiomyopathy，RCM）的特征为原发性心肌和（或）心内膜纤维化，或是心肌的浸润性病变，引起心脏充盈受阻，发生舒张功能障碍。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6135', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '839', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6136', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '838', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">外痔位于齿状线以下，表面为肛管皮肤覆盖。外痔可分为血栓性外痔、结缔组织外痔（皮垂）、血管性外痔及炎性外痔四种，常见的为血栓性外痔和结缔组织外痔。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6137', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '209', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心概房激述动向心室传导延迟或完全不能传至心室称为房室传导阻滞（atrioventricular block）。房室传导过程中（心房内、房室结、房室束及束支、普肯耶系统）任何部位的传导障碍都能引起房室传导阻滞。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6138', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1455', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">窦房结产生的冲动不能使心房除极或使心房除极延迟，称为窦房传导阻滞（sinoatrial block）。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6139', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '55', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺炎（pneumonia）指肺实质（呼吸单位）的炎症，由感染、理化刺激和免疫损伤等所致，以感染最常见，非特指者通常即是感染性的。肺炎在影像学上至少见有一处浸润性阴影，区别于气道感染。感染性病原引起的肺炎常与下呼吸道感染或肺部感染一词混用是不恰当的，后者尚包括气道等部位感染（如急性气管支气管炎、慢性支气管炎急性加重、细支气管炎、支气管扩张，甚至胸膜炎），它们在病原体分布、临床表现和治疗上存在显著不同。据WHO估计全球每年有近4.5亿肺炎患者，约400万人死于本病，大概占年总死亡率的7%，5岁以下儿童和75岁以上老年人病死率最高，发展中国家5倍于发达国家。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">几乎所有致病微生物和寄生虫都可以引起肺炎。细菌性病原体最为常见；近年来病毒性肺炎在增加；由于免疫缺陷人群增多，真菌、原虫和疱疹病毒等所致肺炎日益常见。肺炎发病源于宿主防御机制缺陷、病原体毒力强和入侵量大，或者三者皆有。病原体入侵途径包括误吸（aspiration）、吸入（inhalation）和血源性播散或毗邻器官感染的蔓延与扩散。以误吸最为常见，其致病分为3个过程：①上呼吸道黏附和定植；②入侵下呼吸道直至肺泡；③诱发肺组织炎症反应。许多复杂的理化和生物学机制调控参与这些过程。按不同依据肺炎有多种分类。抗生素时代肺炎分类从以X线形态学为基础的解剖分类转为按病原体分类，这是肺炎历史上的重要进步。近年来尽管抗菌治疗不断发展，但肺炎病原学诊断仍然存在诸多困难和诊断滞后，经验性治疗成为现实的和相当有效的方法。而流行病学研究表明，不同途径感染获得方式以及不同宿主的肺炎在病原学上具有不同分布规律，临床亦各具特点，故现在多主张按发病场所和宿主状态分类，如社区获得性肺炎、医院获得（相关）性肺炎、免疫损害宿主肺炎、儿童肺炎、老年人肺炎等，一旦获得责任病原体诊断当按病原学分类。介于社区和医院获得性肺炎曾经分出护理院获得性肺炎（nursing home acquired pneumonia，NHAP），近年来有研究提示其病原体分布和耐药与医院获得性肺炎接近或相似，抗菌治疗需要针对耐药菌广谱覆盖。提倡用卫生保健相关性肺炎（healthcare-associated pneumonia，HCAP），将涵盖范围扩展到近90天内曾住院≥2次、近30天内接受过静脉治疗（抗生素、化疗药物）、伤口处理（换药）、在医院或血液透析门诊部接受透析治疗以及免疫抑制者。是否有必要划分出HCAP目前国际上尚存争议，我国也没有正式接受HCAP的概念，关键之一是担心过度抗菌治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">当前肺炎临床诊治面临的挑战主要是：①新病原体和原有病原体变异株的出现。自2003年以来，SARS冠状病毒（SARS-CoV）、高致病性或新变异流感病毒等使我们付出了沉重的生命代价，承受了巨大的经济损失。经过多年努力我国已建立起应对突发公共卫生事件的应急体系，卓有成绩。但是如何在研究和技术以及管理上探索更科学、更有实效的手段或办法仍然需要努力。②病原学诊断效率低，时间滞后。临床微生物发展不能适应和满足临床诊疗需要是一个世界性的普遍问题，但是国际上近年来还是有不少进展，特别是非培养诊断技术。国内诊断试剂研发几乎是空白。除了采取措施促进国内研发外，引进当是解决目前需要的捷径。引进诊断试剂不同于药品，它不进入体内，理应不必重新进行临床试验。③抗生素使用不合理，耐药增加。由于病原学诊断滞后，现在一致主张以下策略：参考指南，结合本地区耐药资料，及时实施经验性治疗。在获得病原检测结果后，对临床治疗反应和病原检测结果的临床意义进行综合评估，以决定转为目标治疗或作必要调整继续经验性治疗。④医疗费用增长过快。已有一些研究表明实行临床路径可以降低费用，但仍有待更多的研究和实践。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6140', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1660', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">军团菌肺炎（legionella pneumonia）是军团菌感染引起的细菌性肺部炎症。起病急骤，以肺炎为主要表现，常伴多系统损害。我国自1982年在南京发现首例以来，已有不少散发及小规模暴发流行的报道。军团菌肺炎病情常发展迅速，不易诊断，常需与其他病原体所致的重症肺炎作鉴别诊断。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6141', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '173', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肠扭转指一段肠曲以其系膜的纵向为轴旋转180°以上甚至几转而造成肠梗阻，约占肠梗阻的2.6%～13%。&nbsp;发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">腹腔内各游离的肠段均可发生扭转，但以小肠和乙状结肠为多，盲肠少见。肠扭转大多是按顺时钟方向旋转。肠段扭转时造成肠系膜血管受压，是为绞窄性肠梗阻，当肠段扭转超过360°后静脉血流就停止，再进一步扭转，动脉血流也停止；肠段扭转还导致肠段两端均受压，形成闭袢性肠梗阻，因此肠扭转容易造成肠坏死穿孔。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肠扭转的发生首先须具有解剖因素，如肠系膜过长和根部较窄或盲肠过分游离。除此外，肠粘连也可使肠曲以此粘连点为轴心而扭转。肠扭转的发生还需要一定诱因。一段肠曲重量增加，如有些儿童肠道内大量蛔虫聚集成团或有些老年人患习惯性便秘甚或饱餐后，易使此段肠曲发生扭转。剧烈运动时由于体位突然改变，充盈的肠曲随体位变动的惯性作用而发生扭转。另有部分患者并无明显原因可见，扭转可能与肠动力改变有关。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6142', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '155', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肠梗阻（intestinal obstruction）指由于病理因素发生肠内容物在肠道中通过受阻，为临床常见急腹症之一。起病之初，梗阻肠段先有解剖和功能性改变，继而发生体液和电解质的丢失、肠壁循环障碍、坏死和继发感染，最后可致毒血症、休克、死亡。如能及时予以诊疗，大多能逆转病情的发展，最终治愈。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6143', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1671', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">假膜性肠炎（pseudomembranous colitis，PMC）是一种主要发生于结肠，也可累及小肠的急性肠黏膜坏死、纤维素渗出性炎症，黏膜表面覆有黄白或黄绿色假膜。临床常见于应用抗生素治疗之后，故有“抗生素相关性肠炎（antibiotic-associated colitis）”之称。现已证实假膜性肠炎主要是由难辨梭状芽胞杆菌（clostridium difficile，Cd）的外毒素所致，故又称为难辨梭状芽胞杆菌相关疾病（clostridium difficile associated disease，CDAD）。病情轻重不一，严重病例可致死亡。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6144', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '154', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性胃炎（chronic gastritis）是指多种病因引起的胃黏膜慢性炎症，病理上以淋巴细胞浸润为主要特点，部分患者在后期可出现胃黏膜固有腺体萎缩和化生，继而出现上皮内瘤变，与胃癌发生密切相关。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6145', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '162', '摘要', '<p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">便秘一般即指慢性便秘，主要是指粪便干结、排便困难或不尽感以及在不用通便药时完全排空粪便的次数明显减少等。上述症状若同时存在2种以上时，可诊断为症状性便秘。便秘的病因包括功能性和器质性两种。如能排除便秘的器质性病因，如由胃肠道疾病、累及消化道的系统性疾病如糖尿病、神经系统疾病等引起，即可诊断为功能性便秘（functional constipation）。</p><p style=\"white-space: normal; text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6146', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1661', '摘要', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;胆管炎是胆道炎症性疾病的总称，包括感染性和非感染性。非感染性胆管炎包括原发性硬化性胆管炎（primary sclerosing cholangitis，PSC）、原发性胆汁性肝硬化（primary biliary cirrhosis，PBC）、先天性胆道囊性病变等。我们通常所说的胆管炎是感染性胆管炎。</p><p style=\"text-align: right; line-height: 2em;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;胃肠病学</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6147', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1663', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">原发性胆汁性肝硬化（primary biliary cirrhosis，PBC）是一种成年人慢性进行性胆汁淤积性肝疾病，1857年首次由Addison和Gull描述。它以肝内进行性非化脓性小胆管破坏伴门静脉炎症和肝纤维化为特点，绝大多数PBC患者抗线粒体抗体（antimitochondrial antibodies，AMA）阳性。最终进展为肝硬化和肝衰竭。是肝移植的主要适应证之一。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">PBC主要发生在40～60岁的中年女性，女性和男性患者比例约为9∶1。发病年龄可在20～90岁，但平均年龄为50岁。PBC发病不受地区和人种的限制。每年的发病率和患病率为2～24/100万和19～240/100万。PBC有家族因素，在患者的一级亲属中患病率远远高于普通人群。近年来国外及国内报道PBC的患病率均显著增加，其原因除发病率可能增加以外，人们对该病的广泛的认识和检查手段的提高可能也是原因之一。&nbsp;发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">PBC至今病因不明。由于它以选择性肝内胆管上皮细胞破坏和肉芽肿形成为特点，几乎所有患者均有针对非器官、非种属特异的存在于线粒体内膜的自身抗原的特异性自身抗体和自身反应性T细胞反应，此外常常合并其他器官特异性自身免疫性疾病如硬皮病和自身免疫性甲状腺疾病，并常有唾液腺上皮细胞受损，因此被认为是一种器官特异性的自身免疫性疾病。PBC与抗线粒体抗体，特别是线粒体内膜丙酮酸脱氢酶的E2成分有密切关系。AMA 为PBC的重要血清标志。除AMA外，一部分（约50%）的PBC患者可同时或单独出现抗核抗体（antinuclear antibody，ANA），如抗核孔膜蛋白的gp-210及抗核小体蛋白sp-100抗体。胆管上皮细胞异常表达线粒体抗原、T细胞介导的异常免疫反应、细菌和异生物素有关的分子模拟（molecular mimicry）和宿主自身抗原发生变化等机制可能参与PBC的发生。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6148', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '156', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">急性胰腺炎（acute pancreatitis，AP）是胰腺的急性炎症和细胞损害过程，在不同程度上波及邻近组织和其他脏器系统，AP可分为轻症急性胰腺炎（mild acute pancreatitis，MAP）和重症急性胰腺炎（severe acute pancreatitis，SAP）两型。SAP中病情极其凶险者又冠名为暴发性胰腺炎（fulminate pancreatitis）。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6149', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1664', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6150', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1665', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6151', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '807', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">下消化道出血是指十二指肠悬韧带（Treitz韧带）以下肠道的出血，包括空肠、回肠、结肠和直肠。痔与肛裂是临床常见的下消化道出血疾病，国内国外部分学者也将其纳入下消化道出血的范畴，而本文则不予纳入。根据出血速度，临床上将下消化道出血分为急性出血与慢性出血。急性出血部位结肠占75%，空回肠15%，部位不明占10%；依据出血量，临床上将下消化道出血分为显性出血与隐性出血。急性大量出血可引起重度贫血及循环衰竭。持续性慢性出血也常出现轻重不同的贫血症状。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (上册)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6152', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1666', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">荨麻疹的损害是迅速出现及消退的风疹块，临床称为风团，是由于皮肤、黏膜小血管扩张及渗透性增加而出现的一种局限性水肿反应，通常在2～24小时内消退，但反复发生新的皮疹。迁延数日至数月。有15%～20%的人一生中至少发作过一次荨麻疹。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;朱德生皮肤病学</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6153', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1667', '摘要', '<p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">心源性休克（cardiogenic shock）是指由各种原因引起的心脏泵血功能障碍，导致急性组织灌注不足而产生的临床综合征。心源性休克的血流动力学改变包括持续性低血压（收缩压＜90mmHg，或收缩压较基线水平下降＞30mmHg、持续30分钟以上）、肺动脉楔压（pulmonary artery wedge pressure，PAWP）大于18mmHg、心脏指数小于2.2L/（min<span style=\"color: rgb(51, 51, 51); font-family: arial; font-size: 13px; line-height: 13.3467px; background-color: rgb(255, 255, 255);\">・</span>m<span style=\"box-sizing: border-box; position: relative; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>）。其临床表现包括低血压伴随组织灌注不足（少尿、意识障碍、四肢湿冷等）以及一系列心肌功能障碍的体征。</p><p style=\"white-space: normal; text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p style=\"white-space: normal;\"><br/></p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6154', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1668', '摘要', '<p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">细菌性肝脓肿是一种严重感染，其发病率为15/10万～44.9/10万接诊患者。此前一系列研究显示，男性发病率更高，但最近的报道性别分布无差异。好发年龄在60～70岁。在一系列相关研究中，单发和多发脓肿发生率分别为58%和42%，66%在右叶，8%在左叶，26%在两叶。孤立的肝脓肿常位于右叶，而多发性脓肿常发生在两叶。</p><p style=\"white-space: normal; text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;胃肠病学</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6155', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1669', '摘要', '<p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">阿米巴肝脓肿（amebic liver abscess）多继发于肠道阿米巴病，是阿米巴肠病最常见的并发症，以长期发热、右上腹或右下胸痛、全身消耗及肝脏肿大压痛、血白细胞增多等为主要临床表现，且易导致胸部并发症。&nbsp;发病机制</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">阿米巴肝脓肿的发病与阿米巴肠病有密切关系。阿米巴肠病死亡者病理检查见肝脓肿者占36.6%～60%。临床上阿米巴肠病有肝脓肿者占1.8%～46%，一般约10%。半数以上肝脓肿患者病前有腹泻或痢疾的既往史。阿米巴肠病时常伴发非特异性门静脉周围炎，临床有右上腹痛、发热、肝大、白细胞增高等，但此时并无阿米巴原虫侵入肝脏。阿米巴肝脓肿一般发生在腹泻发作后1个月，亦有发生于数月至数年，甚至数十年后。多见于中年男性，纵酒、饮食不当、营养障碍、肝区外伤及其他感染削弱人体抵抗力时，均可诱发本病。</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">阿米巴原虫通常经门静脉到达肝脏，但亦可通过肠壁直接侵入肝脏或经淋巴系统进入肝内。大多数原虫抵达肝内后即被消灭，仅少数可存活并侵入肝脏繁殖。阿米巴原虫在肝内，从一开始便引起灶性损害，炎症反应轻微为其特点。原虫在门静脉分支内因栓塞、溶组织及分裂作用，造成局部液化性坏死而形成脓肿。自原虫侵入肝脏至脓肿形成，平均需时1个月以上。脓肿中央为一大片坏死区，呈巧克力酱样，含有溶解和坏死的肝细胞、红白细胞、脂肪、夏科-雷登晶体及残余组织，质黏稠或稀薄。脓肿初起无明显的壁，其边缘碎屑中可查见滋养体。为时较久的脓肿有多少不一的结缔组织形成的壁。脓肿以外的肝脏正常。阿米巴病从不导致肝硬化。慢性脓肿常招致大肠埃希菌、葡萄球菌、肺炎克雷伯菌、肠球菌、产气肠杆菌、产碱杆菌等继发感染。如有穿破，则感染率更高。感染后脓液呈黄色或黄绿色，具臭味，白细胞及脓细胞数量增多。脓肿形成使肝脏肿大，包膜受牵张而引起肝区疼痛。</p><p style=\"margin-top: 0px; margin-bottom: 10px; white-space: normal; box-sizing: border-box; line-height: 25px; padding: 10px; border: 0px !important;\">脓肿部位以肝右叶顶部居多，因阿米巴肠病好发于右侧结肠，该处血流进入肝脏右叶，尤其是右叶顶部。肝脓肿向上增大，往往与膈肌粘连，使右侧横膈抬高，运动受阻，反应性胸膜炎及右下肺受压，故疼痛每随呼吸或咳嗽增剧，并可放射至右肩部。脓肿亦可发生于肝脏其他部位。脓肿数目各家报道不一，因原虫经门静脉血行播散，故早期以多发性小脓肿较为常见，以后互相融合而形成单个大脓肿。如不及时治疗，脓肿可逐渐增大，并向周围器官或组织穿破而引起相应的症状。</p><p style=\"white-space: normal; text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p style=\"white-space: normal;\"><br/></p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6156', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1670', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺念珠菌病（pulmonary candidiasis）亦称念珠菌肺炎（candida pneumonia）是由念珠菌引起的急性、亚急性或慢性肺部感染。通常也包括支气管念珠菌病，统称支气管肺念珠菌病（bronchopulmonary candidiasis）。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6157', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '569', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鼻腔黏膜或黏膜下的炎症持续数月以上或炎症反复发作，间歇期内亦不能恢复正常，且无明确的致病微生物感染，伴有不同程度的鼻塞，分泌物增多，鼻黏膜肿胀或增厚等功能障碍者，称为慢性鼻炎 (chronic rhinitis)。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用耳鼻咽喉头颈外科学</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6158', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '152', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性咽炎 (chronic pharyngitis)为咽部黏膜、黏膜下及其淋巴组织的慢性炎症。弥漫性炎症常为上呼吸道慢性炎症的一部分；而局限性炎症则多为咽淋巴组织的炎症。本病极为常见，多见于成年人。病程长，症状易反复发作，往往给人们不易治愈的印象。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用耳鼻咽喉头颈外科学</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6159', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '453', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胸膜腔受化脓性病原体感染，早期产生胸膜炎，当大量脓性渗出液积聚，称为脓胸（empyema）。本文主要讨论成人细菌性脓胸，不包括结核性脓胸及继发于胸部手术后的脓胸。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6160', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1672', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">轮状病毒（<em style=\"box-sizing: border-box;\">Rotavirus</em>）肠炎主要发生在婴幼儿，常由A组轮状病毒引起，发病高峰在秋季，故名婴儿秋季腹泻。B组轮状病毒可引起成人腹泻，首先在中国报道。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6161', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1673', '摘要', '<p style=\"text-indent: 2em;\">高原肺水肿（high altitude pulmonary edema,HAPE)是一种严重的急性高原病，起病急、进展快、对机体的危害大，如果救治不及时，可在较短的时间(12h内）发展至昏迷，甚至死亡。</p><p style=\"text-align:right\">来源:《高原肺水肿的发病机制及防治》指南</p><p style=\"text-indent: 2em; text-align: right;\"><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6162', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '884', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">急性肾盂肾炎是指肾盂黏膜及肾实质的急性感染性疾病。急性肾盂肾炎多由于下尿路感染上行感染引起。病变往往发生于一侧。致病菌主要为非特殊性细菌，其中以大肠埃希杆菌为最多（占60%～80%），其次为变形杆菌、葡萄球菌、粪链球菌、产碱杆菌、少数为铜绿假单胞菌；偶为真菌、原虫、衣原体或病毒感染。尽管肾盂肾炎是指肾脏和肾盂的炎症，其实该诊断的性质更偏重于临床。确诊只能够通过对输尿管、膀胱的置管引流所得尿液进行检测才能够成立。但在临床上对于大多数急性肾盂肾炎的患者来说，该方法可操作性不高，而且也没有这个必要。所以，目前还没有完全可靠的区分肾和膀胱的非侵袭性检查手段。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">有报道一些肾盂肾炎，特别是慢性期病灶和肾瘢痕组织中，存在某些病原体的抗原成分，有些还可寻到免疫复合物沉积，结合致病菌有抗体包裹以及肾组织中有淋巴细胞和单核细胞浸润等事实，表明肾盂肾炎的发病机制中存在着免疫反应性损害。</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6163', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '325', '摘要', '<p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">坐骨神经痛（sciatica）是指沿坐骨神经分布的从腰、臀部经大腿后、小腿外侧引至足部外侧的疼痛。按病损部位可分为根性和干性坐骨神经痛。</span></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6164', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1674', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">2002年，在美国肾脏病基金会(NKF)组织撰写KDOQI中首次正式提出了CKD的定义及分期。目前CKD已被录入国际疾病分类代码(ICD)第9版，成为正式疾病的分类名词，基本取代了慢性肾衰竭(CRF)、慢性肾损伤(CRI)等名称。KDOQI的CKD的诊断标准为:①肾脏损伤(包括尿成分、影像学或病理学检查异常)≥3个月;②GFR＜60ml/(min· 1.73m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>)，≥3个月，有或无肾脏损伤证据。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">对于CKD的定义在儿科临床实际应用中会有一些概念不明确、界定困难之处。如:CKD的病程界定为3个月以上。但一些我国儿童常见的肾脏病如急性感染后肾小球肾炎、药物过敏性间质性肾炎、急性肾小管坏死等部分并不能在3个月内完全恢复，这些患儿应定义为CKD还是急性病恢复期或迁延性肾炎?对没有其他肾脏损伤仅表现单纯血尿的儿童能否诊断CKD?又如:影像学检查发现肾脏孤立囊肿、马蹄肾等也不能诊断CKD;还有部分有明确疾病如IgAN、紫癜肾炎等仅伴有轻微肾脏损害如镜下血尿者，如诊断CKD儿童家长心理接受程度不一。因此，对于儿童肾脏病患儿，我们主张结合患儿临床具体分析，对既往有明确诊断定义的疾病目前仍然沿用既往临床诊断，仅对确定伴有肾功能损害、CKDⅢ期及以下患儿基本应用该诊断标准，CKDⅣ期、Ⅴ期患儿多逐渐出现尿毒症症状，与既往慢性肾衰分期相对应。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">慢性肾脏病的分期:</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">1期:肾损伤，GFR正常或升高。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">2期:肾损伤，GFR轻度降低。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">3期:GFR中度降低。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">4期:GFR严重降低。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">5期:肾衰竭。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">慢性肾衰竭(chronic renal failure，CRF)是由于慢性持久性肾受损、肾单位受到破坏功能减退致使肾脏排泄调节功能和内分泌代谢功能严重受损而造成含氮代谢废物在体内潴留、水与电解质、酸碱平衡紊乱出现一系列综合征。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">随着对儿童肾小球疾病防治水平的提高、诊断手段的不断完善以及对儿童先天性泌尿系统畸形的重视，目前由获得性肾小球疾病引起的慢性肾功能不全逐渐减少，而先天性肾脏和尿路畸形(CAKUT)、遗传性肾脏疾病、反流性肾病等逐渐成为引起的慢性肾衰的主要原因。&nbsp;发病机制&nbsp;不论肾损害的原发病因如何，一旦肾功能损害达到危险水平时则难于避免进展到终末期肾衰。肾功能进行性恶化的确切机制不详，但与多种因素有关。包括:肾小球高滤过使残存肾小球硬化;肾小球基膜通透性改变、持续的蛋白尿及高血压、脂质代谢紊乱、系膜细胞增殖基质增多、肾小管间质损伤、RAS系统的作用及饮食因素等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">肾小球硬化肾小球毛细血管血流动力学，特别是由于高灌注、高压力、高过滤的损伤是造成最终肾小球破坏的常见过程。任何原因引起的肾单位丢失可引起剩余肾单位的功能及结构改变，如肥大、肾小球血流量增加。增加的血流量增加肾单位内肾小球的过滤，此种存活肾小球的高过滤虽可以保持肾功能但同时也可损害这些肾小球。损害的机制包括增高的静水压力直接作用于毛细血管的完整性，导致蛋白质通过毛细血管增多或兼有两者。最终引起肾小球系膜及上皮细胞的改变，发生肾小球硬化。当硬化进展时，剩余的肾单位排泄负担增加，形成肾小球血流量增多和高过滤的恶性循环。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">肾间质纤维化(renal interstitial fibrosis，RIF)是各种原因引起的慢性肾脏病进展为终末期肾衰的共同途径。特征是正常肾小管和肾间质结构被大量聚集的细胞外基质(extracellular matrix，ECM)所替代，其程度与肾功能的相关性比肾小球硬化与肾功能的相关性更为密切，RIF的发生机制及防治研究目前被认为是延缓和防治CKD进展的关键。肾间质纤维化形成的分子机制主要分4个阶段:第一阶段是炎症损伤诱发细胞的活化和受损。第二阶段是促纤维化因子的释放。包括细胞因子、生长因子、血管活性因子和趋化黏附因子等。第三阶段是基质蛋白在肾间质沉积导致纤维化的形成。第四阶段是肾脏结构和功能受损，主要是ECM在肾脏的沉积所致。此阶段肾小管周围毛细血管堵塞、有效肾单位大量减少、肾小球滤过率也进一步降低。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">肾素-血管紧张素(RAAS)系统可通过多种机制引起或加重肾脏病的进展。AngⅡ是RAAS系统最主要的效应分子，目前研究认为除传统RAS系统外，在其他许多器官包括肾脏、心脏、血管、脑、脂肪组织、胰腺、眼底、睾丸等亦产生局部组织RAS系统，其调节机制与传统RAS也不完全一致。AngⅡ不仅通过改变肾小球血流动力学促进肾小球硬化，还可促进系膜细胞、内皮细胞和肾小管上皮细胞增生、生长因子表达及细胞外基质积聚等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; color: rgb(120, 123, 125); line-height: 25px; font-size: 14px; padding: 10px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); border: 0px !important;\">贫血、高血脂、慢性炎症、蛋白尿、高尿酸及半胱氨酸血症等均是肾功能恶化进展的危险因素。贫血是CRF进展的一个独立的危险因素，贫血时低氧血症，刺激肾小管产生转化生长因子B(TGF-B)或内皮素而合成细胞外基质，由于氧消耗增加促进CKD进展。血脂异常可致肾小球毛细血管内皮细胞、系膜细胞、足突受累，系膜细胞增生、系膜基质沉着;细胞因子、生长因子增加，氧化应激也增高;血脂异常与肾功损伤程度常是平行的。CKD时氧化应激增高，是由于ROS(reactive oxygen species)与抗氧化物质水平失调，可使肾功恶化;细胞外基质与成纤维细胞增生，促进了CKD发展。贫血、高血脂、慢性炎症可进一步促进氧化应激。持续蛋白尿或高血压可直接损害肾小球毛细血管壁，导致肾小球硬化及高过滤损伤。</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6165', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '897', '摘要', '<p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">尿道结石较少见，常见于男孩。大多数来自膀胱结石，排出时停留在尿道的前列腺部、球部或舟状窝处，并有发生于尿道狭窄及尿道憩室者。女性尿道结石多发生在尿道憩室内。尿道结石可引起局部疼痛、排尿困难、感染，导致尿道炎，甚至脓肿、溃疡，形成尿道瘘。前尿道结石可扪及结石。尿道探查有摩擦感。X线平片可证实诊断。停留在前尿道不大的结石，可扩大或切开尿道外口，用钳夹法、钩出法或挤压法取石，取石前应先注入润滑剂以利取石。如结石较大，经努力不能移动时，可行尿道切开取石术。后尿道结石主张用探杆将结石推回到膀胱，再按膀胱结石处理，也可在直视下尿道镜取石或者碎石。有尿道狭窄或憩室并发结石者，在取石的同时应予处理。</span></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6166', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '404', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">预激综合征（pre-excitation syndrome）是指在房室传导系统之外存在附加连接组织（房室旁路束），使部分或全部心室或心房肌在正常房室传导系统顺传或逆传的激动传抵心室或心房之前，提早出现心电激动，是一种房室间传导异常的现象。在一定条件下无论是房室旁路呈前向传导或是逆向传导，均可导致房室折返性心动过速的发作，是临床上一种常见的心律失常类型。</p><p style=\"text-align: right;\">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6167', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '183', '摘要', '<p style=\"line-height: 2em;\"><span style=\"color: rgb(120, 123, 125); background-color: rgb(255, 255, 255); font-size: 12px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;输尿管结石是一种常见病，占泌尿系结石的28.8%，绝大多数来源于肾，包括肾结石或体外震波后结石碎块下落所致。由于尿盐晶体易随尿液排入膀胱，故原发性输尿管结石少见。输尿管结石大多为单个，左右侧发病大致相似，双侧输尿管结石约占2%～6%。临床多见于青壮年，20～40岁发病最高，男与女之比为4.5∶1，结石位于输尿管下段最多，约占50%～60%。输尿管结石均能引起上尿路梗阻和扩张积水，并危害患肾，严重时可使肾功能逐渐丧失。</span></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6168', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '180', '摘要', '<p style=\"line-height: 2em;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;由于鞘膜精索、睾丸解剖发育不良及提睾肌剧烈收缩引起精索扭转，睾丸随精索一起扭转致精索内供应睾丸的血液循环发生障碍，睾丸急性缺血，甚至坏死，称睾丸扭转，又叫精索扭转。隐睾本身就有解剖发育异常，也可发生扭转。此病从新生儿到老年人均见有报道，但主要发生于青少年。在青少年中，本病并不少见，加上一旦睾丸扭转，可在数小时内造成睾丸不可逆的坏死，因此要引起首诊医师的高度重视，避免误诊或漏诊，及时正确诊断，及早予以处理。</span></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6169', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '97', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp; &nbsp; &nbsp; &nbsp; 膀胱结石可分为原发性和继发性两种，主要发生于5岁以下的儿童和60岁以上的老年人。男性患者的发病率是女性的十几倍。原发性膀胱结石多由营养不良所致，偏远山区多发于婴幼儿外，已不多见。继发性膀胱结石主要继发于良性前列腺增生症或者下尿路梗阻，随着寿命的延长此病也逐渐增多。另外结石容易发生在有尿道狭窄、膀胱憩室、异物以及长期引流管和神经源性膀胱功能障碍等。</p><p style=\"text-align: right;\">&nbsp;&nbsp;&nbsp;&nbsp;来源&nbsp;&nbsp;:&nbsp;&nbsp;实用外科学 (下册)</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6170', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '184', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; font-variant-numeric: inherit; font-variant-east-asian: inherit; font-stretch: inherit; line-height: 25px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; text-align: justify; white-space: normal; color: rgb(120, 123, 125); background-color: rgb(255, 255, 255); text-indent: 2em; border: 0px !important;\">盆腔炎症性疾病（pelvic inflammatory disease，PID）是由女性内生殖道炎症引起的一组疾病，包括子宫内膜炎、输卵管炎和输卵管卵巢脓肿，以及扩散后产生的盆腔腹膜炎和肝周围炎，以急性输卵管炎最常见。PID的远期后遗症主要包括盆腔炎再次急性发作、输卵管性不孕、异位妊娠和慢性盆腔疼痛。既往PID多因产后、剖宫产后、流产后以及妇科手术后细菌进入创面感染而得病，近年来则多由下生殖道的性传播疾病（sexually transmitted diseases，STD）上行感染至上生殖道而造成。PID多数是以疼痛为主要表现，由于盆腔器官多由内脏神经支配，疼痛感觉常定位不准确。严重的PID可因败血症、脓毒血症和感染性休克而危及生命，其后遗症可导致不育，增加异位妊娠的危险，影响患者的身心健康及工作。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; font-variant-numeric: inherit; font-variant-east-asian: inherit; font-stretch: inherit; line-height: 25px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; text-align: justify; white-space: normal; color: rgb(120, 123, 125); background-color: rgb(255, 255, 255); text-indent: 2em; border: 0px !important;\">盆腔结缔组织炎是指盆腔结缔组织初发的炎症，不是继发于卵管、卵巢的炎症，是初发于子宫旁的结缔组织，然后再扩展至其他部位。本病多由于分娩或刮宫产时宫颈或阴道上端的撕裂，困难的宫颈扩张术时宫颈撕伤，经阴道的子宫全切除术时阴道断端周围的血肿以及人工流产术中误伤子宫及宫颈侧壁等情况时细菌进入发生感染，也属于PID的范畴。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; padding: 10px; font-variant-numeric: inherit; font-variant-east-asian: inherit; font-stretch: inherit; line-height: 25px; font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; text-align: right; white-space: normal; color: rgb(120, 123, 125); background-color: rgb(255, 255, 255); text-indent: 2em; border: 0px !important;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">来源&nbsp;&nbsp;:&nbsp;&nbsp;中华妇产科学.中册</span></p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6171', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1675', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6172', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1676', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6173', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '322', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6174', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1677', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6175', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1678', '摘要', '<p><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 14px; background-color: rgb(255, 255, 255);\">卵子在输卵管壶腹部受精后，受精卵因某些因素在输卵管内运行受阻，而停留在输卵管的某一部位着床、发育，发生输卵管妊娠。其发生部位以输卵管壶腹部最为常见，约占50%～70%，其次为峡部，占20%～25%，输卵管及伞部占17%，间质部较少，约占2%～4%。</span></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6176', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '737', '摘要', '', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6177', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '294', '摘要', '<p style=\"white-space: normal; line-height: 2em;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;尿石症(urolithiasis)的发生率、结石成分和部位以及年龄分布各地区及时代有显著差异，但总的方面，小儿尿石症比成人发生率低多。</p><p style=\"white-space: normal; line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;根据1983年全国各省市部分医院成人泌尿外科住院患儿统计:广西、广东、贵州、湖南、江西省的尿石症的发病数最高，占30%以上，而内蒙古、山西、黑龙江、河北、青海、甘肃和宁夏诸省及自治区尿石症较少。近年青海、甘肃和宁夏结石患儿数量增加，可能与医疗条件改善有关。一般结石是在肾和膀胱内形成，经过管腔狭小的输尿管和尿道时就停留于该处。由于女孩尿道短宽，遇有细小结石易于排出，故膀胱及尿道结石绝大多数发生在男孩，而上尿路结石性别差异较小。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6178', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '288', '摘要', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;克罗恩病于1932年由Crohn、Ginzterg和Oppenheime最早描述，故得此名。本病又曾被称为“局限性肠炎”、“节段性肠炎”、“慢性肠壁全层炎”等。1973年，世界卫生组织医学科学国际组织委员会将本病定名为Crohn病。其特点为病因未明，多见于青年人，表现为肉芽肿性炎症病变，合并纤维化与溃疡。可侵及全胃肠道的任何部位，包括口腔、肛门，病变呈节段性或跳跃性分布，并可侵及肠道以外，特别是皮肤。临床表现因病变部位、范围及程度不同而多样化，病程缓慢，易复发。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6179', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '734', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">过早搏动(premature contraction)简称早搏、期外收缩(extrasystole)或期前收缩(presystole)，是小儿最常见的心律失常，占各种心律失常的37.7%。按其起搏点的部位，可分为房性、房室交接性(交结区)及室性，其中以室性最多，房性次之，交接性较少见。常规心电图检查健康学龄儿童2.2%发生期前收缩，而心脏病患儿为4.3%。24小时动态心电图检查18%～50%健康儿童有室性期前收缩，新生儿期及少年期(13～15岁)最多见。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心电图可区分房性、交接性及室性期前收缩。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;诸福棠实用儿科学.下册</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6180', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1680', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心房扑动（简称房扑）是一种起源于心房的异位性心动过速，是心房快速而规律的电活动，频率在250～350次/分之间，至少在一个体表心电图导联上心房波间无明确的等电位线。它导致快而协调的心房收缩，心室律多数呈规则（房室传导比例多为2∶1～4∶1），少数呈不规则比例传导（房室传导比例不匀），心室率常在140～160次/分之间，房扑分为阵发性和持久性两种类型，其临床发生率较房颤少。房扑的发生常提示合并有器质性心脏病。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6181', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '88', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">&nbsp; &nbsp; &nbsp; &nbsp; 急性胆管炎即急性化脓性胆管炎是胆管的细菌性炎症，并合并有胆管梗阻的病理改变。是外科急腹症中死亡率较高的一种疾病，多数继发于胆管结石、胆管良性或恶性狭窄、胆管内放置支撑管、经导管胆管内造影和ERCP术后、胆道蛔虫症等。造成胆管长期梗阻或不完全性阻塞，使胆汁淤积，继发细菌感染导致急性梗阻性化脓性胆管炎。致病菌几乎都来自肠道，经乏特壶腹、经胆肠吻合的通道或经各类导管逆行进入胆道，亦可通过门静脉系统进入肝脏，然后进入胆道。致病菌主要为大肠埃希菌、克雷白杆菌属、粪链球菌和某些厌<a class=\"drugA\" style=\"box-sizing: border-box; background: transparent; color: rgb(51, 122, 183);\">氧</a>菌。</p><p style=\"text-align: right;\">&nbsp;&nbsp;&nbsp;&nbsp;实用外科学 (上册)</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6182', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '98', '摘要', '<p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp; 尿路感染(urinary tract infection，UTI)是指病原体在尿路中生长繁殖，并侵犯泌尿道黏膜或组织而引起的炎症，是细菌感染中最常见的一种感染。UTI影响个体范围广泛，而且对机体产生的临床影响也非常广泛，从具有革兰阴性脓毒血症的急性肾盂肾炎到无症状性菌尿，甚至还有有症状的无菌尿。并且常与其他专科疾病相伴随。尿路感染按临床可分为急性和慢性，也可分为上尿路感染和下尿路感染；上尿路感染最常见的是肾盂肾炎，临床又有急性肾盂肾炎和慢性肾盂盂肾炎之分。急性肾盂肾炎可引起败血症、弥漫性血管内凝血(DIC)、成人呼吸窘迫综合征(ARDS)等，可危及生命。慢性肾盂肾炎在幼儿，尤其是5岁前的幼儿易影响肾脏的发育。成年人慢性肾盂肾炎可引起高血压和慢性肾功能衰竭。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6183', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '113', '摘要', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;膀胱炎与尿道炎统称为下尿路感染，可分为细菌性和非细菌性感染。急性膀胱炎(acute cystitis)是非特异性细菌感染引起的膀胱壁急性炎症性疾病，为泌尿系常见病。其特点为发病急，伴严重膀胱刺激征而全身反应轻微。正常膀胱具有尿液抗菌、黏膜抗菌、尿液机械冲洗以及膀胱颈括约肌、尿道外括约肌阻菌等防御措施，进入膀胱的细菌能否繁殖，取决于膀胱黏膜的防御能力、病菌数量和毒性以及下尿路排出的通畅性。致病菌以革兰阴性杆菌多见，常为大肠埃希杆菌、铜绿假单胞菌、产气荚膜梭菌、变形杆菌属等。革兰阳性球菌(金葡菌、链球菌属为主)少见，可为混合感染。感染途径以上行感染为主。少有下行感染，血行、淋巴感染或邻近组织感染直接蔓延极少见。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6184', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '145', '摘要', '<p style=\"line-height: 2em;\"><span style=\"color: rgb(120, 123, 125); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; background-color: rgb(255, 255, 255); font-size: 12px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;失眠症（insomnia）是以入睡和（或）睡眠维持困难所致的睡眠质量或数量达不到正常生理需求而影响白天社会功能的一种主观体验，是最常见的睡眠障碍性疾患。失眠症的患病率很高，欧美等国家患病率在20%~30%，在中国香港进行的一项研究发现，失眠的发病率在5.9%左右。</span></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6185', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1681', '摘要', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;幽门是消化道最狭窄的部位，正常的直径约1.5cm，因此容易发生梗阻。由于幽门通过障碍，胃内容物不能顺利入肠，而在胃内大量潴留，导致胃壁肌层肥厚，胃腔扩大及胃黏膜层的炎症，水肿及糜烂。临床上因病人长期不能正常进食，并大量呕吐，导致严重的营养不良，低蛋白血症及贫血，并有严重脱水、低钾及碱中毒等水、电解质紊乱。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6186', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '164', '摘要', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;痔是肛垫病理性肥大、移位以及肛周皮下血管丛血流淤滞形成的团块。现代概念与痔的传统定义有较大差别。传统认为痔是直肠下端黏膜下、肛管和肛缘皮肤下层的静脉丛淤血、扩张和迂曲所形成的柔软静脉团。痔在任何年龄都可发生，当其不伴出血、疼痛或脱垂等症状时，不能认为是病，只有当肛垫肥大合并上述症状时，才被认为是一种疾病。</p><p><br/></p><p style=\"text-align: right; line-height: 2em;\">&nbsp; &nbsp; 实用外科学 (上册)</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6187', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '170', '摘要', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;溃疡性结肠炎(ulcerative colitis，UC)，简称溃结，1875年首先由Willks和Moxon描述，1903年Willks和Boas将其命名为溃疡性结肠炎，1973年世界卫生组织(WHO)医学科学国际组织委员会正式命名为慢性非特异性溃疡性结肠炎。病因尚未完全阐明，主要是侵及结肠黏膜的慢性非特异性炎性疾病，常始自左半结肠，可向结肠近端乃至全结肠，以连续方式逐渐进展。临床症状轻重不一，可有缓解与发作相交替，患者可仅有结肠症状，也可伴发全身症状。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6188', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '174', '摘要', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;肠套叠是指一段肠管套入与其相连的肠腔内，并导致肠内容物通过障碍。肠套叠占肠梗阻的15%～20%。有原发性和继发性两类。原发性肠套叠多发生于婴幼儿，继发性肠套叠则多见于成人。绝大数肠套叠是近端肠管向远端肠管内套入，逆性套叠较罕见，不及总例数的10%。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6189', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '191', '摘要', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;急性心肌梗死(acute myocardial infarction，AMI)是指因持久而严重的心肌缺血所致的部分心肌急性坏死。在临床上常表现为胸痛、急性循环功能障碍以及反映心肌损伤、缺血和坏死等一系列特征性的心电图改变。临床表现常有持久的胸骨后剧烈疼痛、急性循环功能障碍、心律失常、心功能衰竭、发热、白细胞计数和血清心肌损伤标记酶的升高以及心肌急性损伤与坏死的心电图进行性演变。按梗死范围，心肌梗死可分为透壁性心肌梗死(也称为Q波性心肌梗死)和心内膜下心肌梗死(也称为无Q波性心肌梗死)两类。透壁性心肌梗死的坏死灶自心内膜下心肌向心室游离壁或室间隔延伸至少一半厚度以上，有时可累及一个区域的心室壁整个厚度。心内膜下心肌梗死则限于心内膜下心肌薄层或散在的坏死灶，心电图表现无Q波。按病变发展过程，心肌梗死可分为急性心肌梗死与陈旧性心肌梗死。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6190', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '289', '摘要', '<p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;脑梗死(cerebral infarction，CI)是缺血性卒中(ischemic stroke)的总称，包括脑血栓形成、腔隙性梗死和脑栓塞等，约占全部脑卒中的70%，是脑血液供应障碍引起脑部病变。</p><p style=\"line-height: 2em;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;脑梗死是由于脑组织局部供血动脉血流的突然减少或停止，造成该血管供血区的脑组织缺血、缺氧导致脑组织坏死、软化，并伴有相应部位的临床症状和体征，如偏瘫、失语等神经功能缺失的症候。脑梗死发病24～48h后，脑CT扫描可见相应部位的低密度灶，边界欠清晰，可有一定的占位效应。脑MRI检查能较早期发现脑梗死，表现为加权图像上T1在病灶区呈低信号，T2呈高信号，MRI能发现较小的梗死病灶。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6191', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '48', '摘要', '<p><img src=\"http://192.168.2.157:80/icssmanager/upload/image/20180906//1536196910340037910.png\" title=\"1536196910340037910.png\" alt=\"image.png\" width=\"756\" height=\"1287\" style=\"width: 756px; height: 1287px;\"/></p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6196', 'N', '2018-12-18 12:00:00', '2018-12-18 12:00:00', '0', '0', '85', '一般治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">风湿性心脏病通常侵犯二尖瓣，其次是主动脉瓣。风湿性主动脉瓣关闭不全也常合并二尖瓣病变，临床称之为联合瓣膜病（combined valvular disease）。梅毒性主动脉炎可发展为梅毒性主动脉关闭不全或主动脉瘤。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;中华眼科学:全3册（下）</p><p><br/></p>', '', '4', '3', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6197', 'N', '2018-12-18 12:00:00', '2018-12-18 12:00:00', '0', '0', '85', '手术治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">风湿性心脏病通常侵犯二尖瓣，其次是主动脉瓣。风湿性主动脉瓣关闭不全也常合并二尖瓣病变，临床称之为联合瓣膜病（combined valvular disease）。梅毒性主动脉炎可发展为梅毒性主动脉关闭不全或主动脉瘤。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;中华眼科学:全3册（下）</p><p><br/></p>', '', '5', '4', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6202', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '67', '诊断依据', '<p style=\"white-space: normal;\">\r\n    <span style=\"font-family: &quot;Microsoft YaHei&quot;, arial, tahoma, sans-serif; font-size: 12px; background-color: rgb(255, 255, 255);\">1.症状：咳嗽，伴有脓痰或非脓痰；&nbsp;</span>\r\n</p>\r\n<p style=\"white-space: normal;\">\r\n    <span style=\"font-family: &quot;Microsoft YaHei&quot;, arial, tahoma, sans-serif; font-size: 12px; background-color: rgb(255, 255, 255);\">2.症状：发热，体温一般不超过38度；&nbsp;</span>\r\n</p>\r\n<p style=\"white-space: normal;\">\r\n    <span style=\"font-family: &quot;Microsoft YaHei&quot;, arial, tahoma, sans-serif; font-size: 12px; background-color: rgb(255, 255, 255);\">3.症状：咳嗽可能伴发喘鸣和轻度呼吸困难；</span>\r\n</p>\r\n<p style=\"white-space: normal;\">\r\n    <span style=\"font-family: &quot;Microsoft YaHei&quot;, arial, tahoma, sans-serif; font-size: 12px; background-color: rgb(255, 255, 255);\">4.体征：湿罗音，可能闻及哮鸣音和干啰音；</span>\r\n</p>\r\n<p style=\"white-space: normal;\">\r\n    <span style=\"font-family: &quot;Microsoft YaHei&quot;, arial, tahoma, sans-serif; font-size: 12px; background-color: rgb(255, 255, 255);\">5.除外肺炎；</span>\r\n</p>\r\n<p style=\"white-space: normal;\">\r\n    <span style=\"font-family: &quot;Microsoft YaHei&quot;, arial, tahoma, sans-serif; font-size: 12px; background-color: rgb(255, 255, 255);\">6.急性时间≤3周；</span>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', null, '0', '1,2', '1');
INSERT INTO `icss_introduce_detail` VALUES ('6203', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '154', '一般治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性胃炎（chronic gastritis）是指多种病因引起的胃黏膜慢性炎症，病理上以淋巴细胞浸润为主要特点，部分患者在后期可出现胃黏膜固有腺体萎缩和化生，继而出现上皮内瘤变，与胃癌发生密切相关。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', '', '12', '3', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6204', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '154', '手术治疗', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">慢性胃炎（chronic gastritis）是指多种病因引起的胃黏膜慢性炎症，病理上以淋巴细胞浸润为主要特点，部分患者在后期可出现胃黏膜固有腺体萎缩和化生，继而出现上皮内瘤变，与胃癌发生密切相关。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(下)</p><p><br/></p>', '', '13', '4', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6205', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1688', '成分', '<p>本品活性成分为多索茶碱，其化学名为1，3-二甲基-7-（1，3-二氧环戊基-2-基）甲基-3，7-二氢-1H-嘌呤-2，6-二酮。</p><p>化学结构式为：分子式：C11H14N4O4，分子量：266.26</p>', null, '1', '5', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6206', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1688', '性状', '<p>本品为白色或类白色片。</p>', null, '2', '5', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6207', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1688', '适应症', '<p>支气管哮喘、喘息性慢性支气管炎及其他支气管痉挛引起的呼吸困难。</p>', null, '3', '5', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6208', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1688', '规格', '<p>0.2g</p>', null, '4', '5', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6209', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1688', '用法用量', '<p>口服，通常成人每次0.2-0.4g,每日2次，饮前或饭后3小时服用，重症哮喘患者应遵医嘱用药。儿童使用本品时剂量为每天12-18mg/kg，或遵医嘱。</p>', null, '5', '5', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6210', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1688', '不良反应', '<p>少数患者服药后有心悸、窦性心动过速、上腹不适、纳差、恶心、呕吐、兴奋、失眠等症状。如过量服用可出现严重心律不齐、阵发性痉挛危象。</p>', null, '6', '5', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6211', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1688', '禁忌', '<p>凡对多索茶碱或黄嘌呤衍生物类药物过敏者，急性心肌梗塞患者，哺乳期妇女禁用。</p>', null, '7', '5', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6212', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1688', '注意事项', '<p>1.茶碱类药物个体差异性较大，多索茶碱剂量亦要视个体病情变化选择最佳剂量和用药方法。 必要时监测血药浓度。</p><p>2.患有甲亢、窦性心动过速、心率失调者，请遵医嘱用药。&nbsp;</p><p>3.严重心、肺、肝、肾功能异常者以及活动性胃、十二指肠溃疡患者慎用。</p><p>4.本品不得与其他黄嘌呤类药物同时服用，建议不要同时饮用含咖啡因的饮料或食品。</p>', null, '8', '5', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6213', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1688', '孕妇及哺乳期妇女用药', '<p>孕妇及哺乳期妇女尽量避免使用。</p>', null, '9', '5', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6214', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1688', '\r\n儿童用药', '<p>尚无儿童有效及安全性资料。</p>', null, '10', '5', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6215', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1688', '老年用药', '<p>老年人患者对本品清除率可能会不同，应进行血药浓度检测。</p>', null, '11', '5', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6216', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1688', '药物相互作用', '<p>1 巴比妥类药物对本品代谢影响不明显。</p><p>2 动物试验，大环内酯类（如红霉素）对本品代谢影响不明显。与氟喹酮类药物如伊诺沙星、环丙沙星合用，宜减量。</p>', null, '12', '5', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6217', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1688', '药物过量', '<p>未进行该项实验且无可靠参考文献。</p>', null, '13', '5', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6218', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1688', '药理毒理', '<p>多索茶碱是甲基黄嘌呤的衍生物，它是一种支气管扩张剂，通过抑制平滑肌细胞内的磷酸二脂酶等作用，松弛平滑肌，从而达到抑制哮喘的作用。</p>', null, '14', '5', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6219', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1688', '药代动力学', '<p>吸收迅速，健康成人一次口服本品0.4g，血药浓度达峰时间(tmax )为1.22小时，血药浓度峰(Cmax )为1.9μg/ml。本品广泛分布于各脏器，其中以肺的含量为最高。本品以原形和代谢物形式从尿中排泄，主要代谢物为β-羟乙基茶碱，本品半衰期(t1/2 )为7.42小时。进食可使峰浓度(Cmax )降低，达峰时(tmax )延迟，宜增加本剂量。</p>', null, '15', '5', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6220', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1688', '贮藏', '<p>密封保存。</p>', null, '16', '5', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6221', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1688', '包装', '<p>铝塑泡罩包装，10片*1板/盒。</p>', null, '17', '5', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6222', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1688', '有效期', '<p>暂定36个月</p>', null, '18', '5', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6223', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1688', '执行标准', '<p>WS-498（X-439)-99(1)</p>', null, '19', '5', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6224', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1689', '推荐依据', '<p>支气管扩张剂可松弛支气管平滑肌、扩张支气管、缓解气流受限，是控制慢阻肺症状的主要治疗措施。短期按需应用可缓解症状，长期规则应用可预防和减轻症状、增加运动耐力，但不能使所有患者的FEVl（用力呼气容积）得到改善。</p>', null, '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6225', 'Y', '2019-01-03 13:54:14', '2019-01-03 14:01:09', '53', '53', '1690', 'title1', 'content1', 'text1', '1', '2', '0');
INSERT INTO `icss_introduce_detail` VALUES ('6226', 'Y', '2019-01-03 13:54:14', '2019-01-04 16:34:38', '53', '53', '1690', 'title2', 'content2', 'text2', '2', '2', '0');

-- ----------------------------
-- Table structure for icss_introduce_info
-- ----------------------------
DROP TABLE IF EXISTS `icss_introduce_info`;
CREATE TABLE `icss_introduce_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(50) NOT NULL COMMENT '名称',
  `remark` varchar(50) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1691 DEFAULT CHARSET=utf8 COMMENT='提示信息';

-- ----------------------------
-- Records of icss_introduce_info
-- ----------------------------
INSERT INTO `icss_introduce_info` VALUES ('48', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '1', '0', '呼吸困难', '呼吸困难处理流程');
INSERT INTO `icss_introduce_info` VALUES ('50', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '气胸', '气胸参考资料');
INSERT INTO `icss_introduce_info` VALUES ('54', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '主动脉夹层', '');
INSERT INTO `icss_introduce_info` VALUES ('55', 'N', '2018-12-04 12:00:00', '2018-12-10 12:00:00', '1', '3', '肺炎', '肺炎指南');
INSERT INTO `icss_introduce_info` VALUES ('56', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心绞痛', '心绞痛参考资料');
INSERT INTO `icss_introduce_info` VALUES ('57', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心肌梗死', '心肌梗死参考资料');
INSERT INTO `icss_introduce_info` VALUES ('62', 'N', '2018-12-04 12:00:00', '2018-12-03 12:00:00', '2', '2', '上呼吸道感染', '上呼吸道感染参考资料');
INSERT INTO `icss_introduce_info` VALUES ('63', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '急性气管支气管炎', '急性气管支气管炎指南');
INSERT INTO `icss_introduce_info` VALUES ('66', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '慢性阻塞性肺疾病', '慢性阻塞性肺疾病参考资料');
INSERT INTO `icss_introduce_info` VALUES ('67', 'N', '2018-12-04 12:00:00', '2018-12-10 12:00:00', '3', '1', '支气管哮喘', '支气管哮喘参考资料');
INSERT INTO `icss_introduce_info` VALUES ('68', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肺结核', '肺结核参考资料');
INSERT INTO `icss_introduce_info` VALUES ('69', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肺脓肿', '肺脓肿参考资料');
INSERT INTO `icss_introduce_info` VALUES ('70', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '支气管扩张', '支气管扩张指南');
INSERT INTO `icss_introduce_info` VALUES ('73', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尘肺', '尘肺参考资料');
INSERT INTO `icss_introduce_info` VALUES ('74', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心力衰竭', '心力衰竭参考资料');
INSERT INTO `icss_introduce_info` VALUES ('77', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肺动脉高压', '肺动脉高压指南');
INSERT INTO `icss_introduce_info` VALUES ('81', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '流行性出血热', '流行性出血热指南');
INSERT INTO `icss_introduce_info` VALUES ('82', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '慢性支气管炎', '慢性支气管炎参考资料');
INSERT INTO `icss_introduce_info` VALUES ('83', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸腔积液', '胸腔积液参考资料');
INSERT INTO `icss_introduce_info` VALUES ('85', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心脏瓣膜病', '心脏瓣膜病指南');
INSERT INTO `icss_introduce_info` VALUES ('86', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胆囊炎', '胆囊炎参考资料');
INSERT INTO `icss_introduce_info` VALUES ('88', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '急性胆管炎', '急性胆管炎指南');
INSERT INTO `icss_introduce_info` VALUES ('90', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝炎', '肝炎参考资料');
INSERT INTO `icss_introduce_info` VALUES ('94', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝硬化', '肝硬化参考资料');
INSERT INTO `icss_introduce_info` VALUES ('97', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '膀胱结石', '膀胱结石指南');
INSERT INTO `icss_introduce_info` VALUES ('98', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿路感染', '尿路感染指南');
INSERT INTO `icss_introduce_info` VALUES ('102', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肾结核', '肾结核指南');
INSERT INTO `icss_introduce_info` VALUES ('109', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖尿病', '糖尿病参考资料');
INSERT INTO `icss_introduce_info` VALUES ('110', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿崩症', '尿崩症指南');
INSERT INTO `icss_introduce_info` VALUES ('112', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '前列腺炎', '前列腺炎参考资料');
INSERT INTO `icss_introduce_info` VALUES ('113', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '急性膀胱炎', '急性膀胱炎指南');
INSERT INTO `icss_introduce_info` VALUES ('145', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '失眠症', '失眠症指南');
INSERT INTO `icss_introduce_info` VALUES ('148', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰腺癌', '胰腺癌参考资料');
INSERT INTO `icss_introduce_info` VALUES ('149', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝癌', '肝癌参考资料');
INSERT INTO `icss_introduce_info` VALUES ('150', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '结肠癌', '结肠癌指南');
INSERT INTO `icss_introduce_info` VALUES ('152', 'N', '2018-12-04 12:00:00', '2018-12-10 12:00:00', '4', '2', '慢性咽炎', '慢性咽炎指南');
INSERT INTO `icss_introduce_info` VALUES ('153', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '急性胃炎', '急性胃炎参考资料');
INSERT INTO `icss_introduce_info` VALUES ('154', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '慢性胃炎', '慢性胃炎指南');
INSERT INTO `icss_introduce_info` VALUES ('155', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肠梗阻', '肠梗阻');
INSERT INTO `icss_introduce_info` VALUES ('156', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '急性胰腺炎', '');
INSERT INTO `icss_introduce_info` VALUES ('160', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖尿病酮症酸中毒', '糖尿病酮症酸中毒参考资料');
INSERT INTO `icss_introduce_info` VALUES ('162', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '功能性便秘', '功能性便秘指南');
INSERT INTO `icss_introduce_info` VALUES ('164', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痔疮', '痔疮指南');
INSERT INTO `icss_introduce_info` VALUES ('170', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '溃疡性结肠炎', '溃疡性结肠炎指南');
INSERT INTO `icss_introduce_info` VALUES ('173', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '概述', '');
INSERT INTO `icss_introduce_info` VALUES ('174', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肠套叠', '肠套叠指南');
INSERT INTO `icss_introduce_info` VALUES ('175', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '子宫肌瘤', '子宫肌瘤指南');
INSERT INTO `icss_introduce_info` VALUES ('177', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '癫痫', '癫痫参考资料');
INSERT INTO `icss_introduce_info` VALUES ('180', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '睾丸扭转', '睾丸扭转指南');
INSERT INTO `icss_introduce_info` VALUES ('181', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阑尾炎', '阑尾炎参考资料');
INSERT INTO `icss_introduce_info` VALUES ('183', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '输尿管结石', '输尿管结石指南');
INSERT INTO `icss_introduce_info` VALUES ('184', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '盆腔炎', '盆腔炎指南');
INSERT INTO `icss_introduce_info` VALUES ('186', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃溃疡', '胃溃疡参考资料');
INSERT INTO `icss_introduce_info` VALUES ('187', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '十二指肠溃疡', '十二指肠溃疡参考资料');
INSERT INTO `icss_introduce_info` VALUES ('188', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰腺炎', '胰腺炎参考资料');
INSERT INTO `icss_introduce_info` VALUES ('191', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '急性心肌梗死', '急性心肌梗死指南');
INSERT INTO `icss_introduce_info` VALUES ('195', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺功能减退', '甲状腺功能减退指南');
INSERT INTO `icss_introduce_info` VALUES ('200', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '贫血', '贫血指南');
INSERT INTO `icss_introduce_info` VALUES ('207', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑出血', '脑出血指南');
INSERT INTO `icss_introduce_info` VALUES ('209', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '房室传导阻滞', '房室传导阻滞指南');
INSERT INTO `icss_introduce_info` VALUES ('212', 'N', '2018-12-04 12:00:00', '2018-12-01 12:00:00', '5', '5', '高血压', '基层高血压防治管理指南');
INSERT INTO `icss_introduce_info` VALUES ('216', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '慢性胰腺炎', '');
INSERT INTO `icss_introduce_info` VALUES ('218', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺功能亢进', '甲状腺功能亢进指南');
INSERT INTO `icss_introduce_info` VALUES ('223', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肺栓塞', '肺栓塞指南');
INSERT INTO `icss_introduce_info` VALUES ('224', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '张力性气胸', '张力性气胸参考资料');
INSERT INTO `icss_introduce_info` VALUES ('225', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '左心衰竭', '左心衰竭参考资料');
INSERT INTO `icss_introduce_info` VALUES ('226', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '右心衰竭', '右心衰竭参考资料');
INSERT INTO `icss_introduce_info` VALUES ('229', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '上消化道出血', '上消化道出血指南');
INSERT INTO `icss_introduce_info` VALUES ('246', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痛风', '痛风参考资料');
INSERT INTO `icss_introduce_info` VALUES ('247', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '骨质疏松', '骨质疏松参考资料');
INSERT INTO `icss_introduce_info` VALUES ('251', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖尿病神经病变', '糖尿病神经病参考资料');
INSERT INTO `icss_introduce_info` VALUES ('252', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖尿病高渗性昏迷', '糖尿病高渗性昏迷参考资料');
INSERT INTO `icss_introduce_info` VALUES ('256', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '狂犬病', '狂犬病指南');
INSERT INTO `icss_introduce_info` VALUES ('257', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '破伤风', '破伤风指南');
INSERT INTO `icss_introduce_info` VALUES ('259', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '感染性心内膜炎', '感染性心内膜炎指南');
INSERT INTO `icss_introduce_info` VALUES ('261', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '伤寒', '伤寒指南');
INSERT INTO `icss_introduce_info` VALUES ('270', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '高血压性脑病', '高血压性脑参考资料');
INSERT INTO `icss_introduce_info` VALUES ('271', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '三叉神经痛', '三叉神经痛指南');
INSERT INTO `icss_introduce_info` VALUES ('279', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '偏头痛', '偏头痛参考资料');
INSERT INTO `icss_introduce_info` VALUES ('282', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '慢性肺源性心脏病', '慢性肺源性心脏病指南');
INSERT INTO `icss_introduce_info` VALUES ('283', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃癌', '胃癌指南');
INSERT INTO `icss_introduce_info` VALUES ('285', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '急性胆囊炎', '急性胆囊炎参考资料');
INSERT INTO `icss_introduce_info` VALUES ('286', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '慢性胆囊炎', '慢性胆囊炎参考资料');
INSERT INTO `icss_introduce_info` VALUES ('288', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '克罗恩病', '克罗恩病指南');
INSERT INTO `icss_introduce_info` VALUES ('289', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑梗塞', '脑梗塞指南');
INSERT INTO `icss_introduce_info` VALUES ('290', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '二尖瓣狭窄', '二尖瓣狭窄指南');
INSERT INTO `icss_introduce_info` VALUES ('294', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿路结石', '尿路结石指南');
INSERT INTO `icss_introduce_info` VALUES ('299', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '急性阑尾炎', '急性阑尾炎参考资料');
INSERT INTO `icss_introduce_info` VALUES ('300', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '慢性阑尾炎', '慢性阑尾炎参考资料');
INSERT INTO `icss_introduce_info` VALUES ('307', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肺水肿', '肺水肿指南');
INSERT INTO `icss_introduce_info` VALUES ('314', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '右心功能不全', '右心功能不全参考资料');
INSERT INTO `icss_introduce_info` VALUES ('316', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心律失常', '心律失常指南');
INSERT INTO `icss_introduce_info` VALUES ('317', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肥厚型心肌病', '肥厚型心肌病指南');
INSERT INTO `icss_introduce_info` VALUES ('321', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖尿病性肾病', '糖尿病性肾病参考资料');
INSERT INTO `icss_introduce_info` VALUES ('322', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '室性心动过速', '室性心动过速指南');
INSERT INTO `icss_introduce_info` VALUES ('325', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '坐骨神经痛', '坐骨神经痛指南');
INSERT INTO `icss_introduce_info` VALUES ('348', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '直肠癌', '直肠癌指南');
INSERT INTO `icss_introduce_info` VALUES ('355', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肾癌', '肾癌指南');
INSERT INTO `icss_introduce_info` VALUES ('357', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大叶性肺炎', '大叶性肺炎参考资料');
INSERT INTO `icss_introduce_info` VALUES ('371', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '短暂性脑缺血发作', '短暂性脑缺血发作指南');
INSERT INTO `icss_introduce_info` VALUES ('396', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '妊娠状态', '妊娠状态参考资料');
INSERT INTO `icss_introduce_info` VALUES ('400', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '扩张型心肌病', '扩张型心肌病指南');
INSERT INTO `icss_introduce_info` VALUES ('403', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '限制型心肌病', '限制型心肌病指南');
INSERT INTO `icss_introduce_info` VALUES ('404', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '预激综合征', '预激综合征指南');
INSERT INTO `icss_introduce_info` VALUES ('407', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '前列腺癌', '前列腺癌参考资料');
INSERT INTO `icss_introduce_info` VALUES ('408', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '前列腺增生', '前列腺增生指南');
INSERT INTO `icss_introduce_info` VALUES ('419', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '主动脉瓣狭窄', '主动脉瓣狭窄指南');
INSERT INTO `icss_introduce_info` VALUES ('423', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '丹毒', '丹毒指南');
INSERT INTO `icss_introduce_info` VALUES ('447', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳腺癌', '乳腺癌指南');
INSERT INTO `icss_introduce_info` VALUES ('451', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '急性白血病', '急性白血病指南');
INSERT INTO `icss_introduce_info` VALUES ('452', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '不稳定型心绞痛', '不稳定型心绞痛指南');
INSERT INTO `icss_introduce_info` VALUES ('453', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脓胸', '脓胸指南');
INSERT INTO `icss_introduce_info` VALUES ('464', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '二尖瓣关闭不全', '二尖瓣关闭不全指南');
INSERT INTO `icss_introduce_info` VALUES ('467', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '霍乱', '霍乱指南');
INSERT INTO `icss_introduce_info` VALUES ('468', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '病毒性肝炎', '病毒性肝炎指南');
INSERT INTO `icss_introduce_info` VALUES ('472', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肾病综合征', '肾病综合征参考资料');
INSERT INTO `icss_introduce_info` VALUES ('474', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '败血症', '败血症指南');
INSERT INTO `icss_introduce_info` VALUES ('475', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肠结核', '肠结核指南');
INSERT INTO `icss_introduce_info` VALUES ('477', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃泌素瘤', '胃泌素瘤参考资料');
INSERT INTO `icss_introduce_info` VALUES ('478', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胆管癌', '胆管癌指南');
INSERT INTO `icss_introduce_info` VALUES ('484', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '重症肌无力', '重症肌无力指南');
INSERT INTO `icss_introduce_info` VALUES ('488', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1型糖尿病', '1型糖尿病参考资料');
INSERT INTO `icss_introduce_info` VALUES ('489', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2型糖尿病', '2型糖尿病参考资料');
INSERT INTO `icss_introduce_info` VALUES ('490', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '妊娠糖尿病', '妊娠糖尿病参考资料');
INSERT INTO `icss_introduce_info` VALUES ('491', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脂肪肝', '脂肪肝参考资料');
INSERT INTO `icss_introduce_info` VALUES ('492', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '酒精性脂肪肝', '酒精性脂肪肝参考治疗');
INSERT INTO `icss_introduce_info` VALUES ('493', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '酒精性肝病', '酒精性肝病参考资料');
INSERT INTO `icss_introduce_info` VALUES ('494', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '酒精性肝硬化', '酒精性肝硬化参考资料');
INSERT INTO `icss_introduce_info` VALUES ('495', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '高脂血症', '高脂血症指南');
INSERT INTO `icss_introduce_info` VALUES ('500', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '普通感冒', '普通感冒参考资料');
INSERT INTO `icss_introduce_info` VALUES ('503', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '高血压1级(低危)', '高血压1级(低危)参考资料');
INSERT INTO `icss_introduce_info` VALUES ('504', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '高血压2级(中危)', '高血压2级(中危参考资料');
INSERT INTO `icss_introduce_info` VALUES ('505', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '高血压3级(高危)', '高血压3级(高危)参考资料');
INSERT INTO `icss_introduce_info` VALUES ('506', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '单纯收缩期高血压', '单纯收缩期高血压参考资料');
INSERT INTO `icss_introduce_info` VALUES ('507', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '原发性高血压', '原发性高血压参考资料');
INSERT INTO `icss_introduce_info` VALUES ('508', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '继发性高血压', '继发性高血压参考资料');
INSERT INTO `icss_introduce_info` VALUES ('509', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '库欣综合征', '库欣综合征指南');
INSERT INTO `icss_introduce_info` VALUES ('510', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '冠状动脉粥样硬化性心脏病', '冠状动脉粥样硬化性心脏病参考资料');
INSERT INTO `icss_introduce_info` VALUES ('511', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '稳定型心绞痛', '稳定型心绞痛指南');
INSERT INTO `icss_introduce_info` VALUES ('512', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'ST段抬高型心肌梗死', 'ST段抬高型心肌梗死指南');
INSERT INTO `icss_introduce_info` VALUES ('567', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻炎', '鼻炎参考资料');
INSERT INTO `icss_introduce_info` VALUES ('568', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '急性鼻炎', '急性鼻炎指南');
INSERT INTO `icss_introduce_info` VALUES ('569', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '慢性鼻炎', '慢性鼻炎指南');
INSERT INTO `icss_introduce_info` VALUES ('570', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过敏性鼻炎', '过敏性鼻炎参考资料');
INSERT INTO `icss_introduce_info` VALUES ('600', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻咽癌', '鼻咽癌参考资料');
INSERT INTO `icss_introduce_info` VALUES ('663', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺炎', '甲状腺炎指南');
INSERT INTO `icss_introduce_info` VALUES ('664', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '亚急性甲状腺炎', '亚急性甲状腺炎指南');
INSERT INTO `icss_introduce_info` VALUES ('701', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过敏性哮喘', '过敏性哮喘参考资料');
INSERT INTO `icss_introduce_info` VALUES ('702', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咳嗽变异性哮喘', '咳嗽变异性哮喘参考资料');
INSERT INTO `icss_introduce_info` VALUES ('713', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '葡萄球菌性肺炎', '葡萄球菌性肺炎参考资料');
INSERT INTO `icss_introduce_info` VALUES ('714', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肺炎支原体性肺炎', '肺炎支原体性肺炎参考资料');
INSERT INTO `icss_introduce_info` VALUES ('716', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '病毒性肺炎', '病毒性肺炎指南');
INSERT INTO `icss_introduce_info` VALUES ('717', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '吸入性肺炎', '吸入性肺炎参考资料');
INSERT INTO `icss_introduce_info` VALUES ('731', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '室上性心动过速', '室上性心动过速指南');
INSERT INTO `icss_introduce_info` VALUES ('734', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '早搏', '早搏指南');
INSERT INTO `icss_introduce_info` VALUES ('737', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心房颤动', '心房颤动指南');
INSERT INTO `icss_introduce_info` VALUES ('742', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心肌病', '心肌病指南');
INSERT INTO `icss_introduce_info` VALUES ('743', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '病毒性心肌炎', '病毒性心肌炎指南');
INSERT INTO `icss_introduce_info` VALUES ('777', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '妊娠高血压综合征', '妊娠高血压综合征参考资料');
INSERT INTO `icss_introduce_info` VALUES ('778', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'H型高血压', 'H型高血压参考资料');
INSERT INTO `icss_introduce_info` VALUES ('800', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '老年高血压', '老年高血压参考资料');
INSERT INTO `icss_introduce_info` VALUES ('807', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '下消化道出血', '下消化道出血指南');
INSERT INTO `icss_introduce_info` VALUES ('824', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '急性单纯性阑尾炎', '急性单纯性阑尾炎参考资料');
INSERT INTO `icss_introduce_info` VALUES ('825', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '急性化脓性阑尾炎', '急性化脓性阑尾炎参考资料');
INSERT INTO `icss_introduce_info` VALUES ('826', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '急性穿孔性阑尾炎', '急性穿孔性阑尾炎参考资料');
INSERT INTO `icss_introduce_info` VALUES ('838', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '外痔', '外痔指南');
INSERT INTO `icss_introduce_info` VALUES ('839', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '内痔', '内痔指南');
INSERT INTO `icss_introduce_info` VALUES ('851', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '细菌性痢疾', '细菌性痢疾指南');
INSERT INTO `icss_introduce_info` VALUES ('863', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝肿瘤', '肝肿瘤参考资料');
INSERT INTO `icss_introduce_info` VALUES ('869', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胆囊癌', '胆囊癌指南');
INSERT INTO `icss_introduce_info` VALUES ('873', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胆源性胰腺炎', '胆源性胰腺炎参考资料');
INSERT INTO `icss_introduce_info` VALUES ('874', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰头癌', '胰头癌参考资料');
INSERT INTO `icss_introduce_info` VALUES ('875', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '慢性肾病', '慢性肾病参考资料');
INSERT INTO `icss_introduce_info` VALUES ('884', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '急性肾盂肾炎', '急性肾盂肾炎指南');
INSERT INTO `icss_introduce_info` VALUES ('892', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '膀胱癌', '膀胱癌指南');
INSERT INTO `icss_introduce_info` VALUES ('897', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿道结石', '尿道结石指南');
INSERT INTO `icss_introduce_info` VALUES ('998', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '急性前列腺炎', '急性前列腺炎参考资料');
INSERT INTO `icss_introduce_info` VALUES ('999', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '慢性前列腺炎', '慢性前列腺炎参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1002', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '慢性细菌性前列腺炎', '慢性细菌性前列腺炎参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1004', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '慢性非细菌性前列腺炎', '慢性非细菌性前列腺炎-概述');
INSERT INTO `icss_introduce_info` VALUES ('1005', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '前列腺结石', '前列腺结石参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1006', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '前列腺囊肿', '前列腺囊肿参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1297', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肥胖', '肥胖指南');
INSERT INTO `icss_introduce_info` VALUES ('1339', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '闭经', '闭经参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1403', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '传染性非典型肺炎', '传染性非典型肺炎参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1409', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '结核性胸膜炎', '结核性胸膜炎指南');
INSERT INTO `icss_introduce_info` VALUES ('1424', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '原发性支气管肺癌', '原发性支气管肺癌指南');
INSERT INTO `icss_introduce_info` VALUES ('1427', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阿尔茨海默病', '阿尔茨海默病指南');
INSERT INTO `icss_introduce_info` VALUES ('1455', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '窦房传导阻滞', '窦房传导阻滞指南');
INSERT INTO `icss_introduce_info` VALUES ('1469', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '儿童糖尿病', '儿童糖尿病参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1470', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '非增殖性糖尿病性视网膜病变', '非增殖性糖尿病性视网膜病变参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1471', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '增殖性糖尿病性视网膜病变', '增殖性糖尿病性视网膜病变参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1472', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1.5型糖尿病', '1.5型糖尿病参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1473', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖尿病合并妊娠', '糖尿病合并妊娠参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1474', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖尿病性视网膜病变', '糖尿病性视网膜病变参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1475', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖尿病性胃轻瘫', '糖尿病性胃轻瘫参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1476', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖尿病乳酸性酸中毒', '糖尿病乳酸性酸中毒参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1477', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '急性水肿型胰腺炎', '急性水肿型胰腺炎参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1478', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '急性出血坏死型胰腺炎', '急性出血坏死型胰腺炎参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1479', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '自身免疫性胰腺炎', '自身免疫性胰腺炎参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1480', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '帕金森病', '帕金森病指南');
INSERT INTO `icss_introduce_info` VALUES ('1491', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心源性哮喘', '心源性哮喘参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1502', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '急性上呼吸道感染', '');
INSERT INTO `icss_introduce_info` VALUES ('1520', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃十二指肠溃疡', '胃十二指肠溃疡参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1535', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺结节', '甲状腺结节指南');
INSERT INTO `icss_introduce_info` VALUES ('1550', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃十二指肠溃疡急性穿孔', '胃十二指肠溃疡急性穿孔指南');
INSERT INTO `icss_introduce_info` VALUES ('1551', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脓毒症', '脓毒症指南');
INSERT INTO `icss_introduce_info` VALUES ('1573', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '睡眠呼吸暂停低通气综合征', '睡眠呼吸暂停低通气综合征指南');
INSERT INTO `icss_introduce_info` VALUES ('1585', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '创伤性气胸', '创伤性气胸指南');
INSERT INTO `icss_introduce_info` VALUES ('1586', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '闭合性气胸', '闭合性气胸参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1587', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '开放性气胸', '开放性气胸参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1590', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血气胸', '血气胸参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1591', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脓气胸', '脓气胸参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1597', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '高血压性心脏病', '高血压性心脏病参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1605', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '急腹症', '急腹症参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1608', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '感染性胆囊炎', '感染性胆囊炎参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1609', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胆囊炎伴胆石症', '胆囊炎伴胆石症参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1610', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胆石症', '胆石症参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1612', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '急性肝炎', '急性肝炎参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1613', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '慢性肝炎', '慢性肝炎参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1614', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙型病毒性肝炎', '乙型病毒性肝炎指南');
INSERT INTO `icss_introduce_info` VALUES ('1615', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '丙型病毒性肝炎', '丙型病毒性肝炎指南');
INSERT INTO `icss_introduce_info` VALUES ('1616', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '戊型病毒性肝炎', '戊型病毒性肝炎参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1617', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '高脂血症性胰腺炎', '高脂血症性胰腺炎参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1619', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '单纯舒张期高血压', '单纯舒张期高血压参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1626', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖尿病性足病', '糖尿病性足病参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1627', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '初发型心绞痛', '初发型心绞痛参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1628', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '恶化劳力型心绞痛', '恶化劳力型心绞痛参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1629', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静息型心绞痛', '静息型心绞痛参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1630', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '绒毛膜癌', '绒毛膜癌参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1631', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '急性细菌性前列腺炎', '急性细菌性前列腺炎参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1632', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '创伤后骨质疏松', '创伤后骨质疏松参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1633', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '绝经后骨质疏松', '绝经后骨质疏松参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1634', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '废用性骨质疏松', '废用性骨质疏松参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1635', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '药物性骨质疏松', '药物性骨质疏松参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1636', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '老年性骨质疏松', '老年性骨质疏松参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1637', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '内分泌骨质疏松症', '内分泌骨质疏松症参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1641', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阿司匹林哮喘', '阿司匹林哮喘参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1642', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '高血压性肾病', '高血压性肾病参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1643', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖尿病性心肌病', '糖尿病性心肌病参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1647', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲型病毒性肝炎', '甲型病毒性肝炎指南');
INSERT INTO `icss_introduce_info` VALUES ('1648', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖尿病性脑血管病', '');
INSERT INTO `icss_introduce_info` VALUES ('1649', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '低血糖症', '低血糖症');
INSERT INTO `icss_introduce_info` VALUES ('1650', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '原发性肝癌', '原发性肝癌指南');
INSERT INTO `icss_introduce_info` VALUES ('1651', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '继发性肝癌', '继发性肝癌指南');
INSERT INTO `icss_introduce_info` VALUES ('1652', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '高渗高血糖综合征', '高渗高血糖综合征参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1653', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肺炎链球菌肺炎', '肺炎链球菌肺炎指南');
INSERT INTO `icss_introduce_info` VALUES ('1654', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '结核性脑膜炎', '');
INSERT INTO `icss_introduce_info` VALUES ('1655', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '二尖瓣脱垂综合征', '');
INSERT INTO `icss_introduce_info` VALUES ('1656', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '急性细支气管炎', '急性细支气管炎指南');
INSERT INTO `icss_introduce_info` VALUES ('1657', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肾血管性高血压', '');
INSERT INTO `icss_introduce_info` VALUES ('1658', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '蛛网膜下腔出血', '');
INSERT INTO `icss_introduce_info` VALUES ('1659', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '高血压脑病', '');
INSERT INTO `icss_introduce_info` VALUES ('1660', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '军团菌肺炎', '');
INSERT INTO `icss_introduce_info` VALUES ('1661', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '急性梗阻性化脓性胆管炎', '急性梗阻性化脓性胆管炎参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1662', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '缺血性结肠炎', '');
INSERT INTO `icss_introduce_info` VALUES ('1663', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '原发性胆汁性肝硬化', '');
INSERT INTO `icss_introduce_info` VALUES ('1664', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '急性肠系膜上动脉闭塞', '');
INSERT INTO `icss_introduce_info` VALUES ('1665', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肠系膜下动脉闭塞', '');
INSERT INTO `icss_introduce_info` VALUES ('1666', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '荨麻疹指南', '');
INSERT INTO `icss_introduce_info` VALUES ('1667', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心源性休克', '');
INSERT INTO `icss_introduce_info` VALUES ('1668', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '化脓性肝脓肿', '');
INSERT INTO `icss_introduce_info` VALUES ('1669', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阿米巴肝脓肿', '');
INSERT INTO `icss_introduce_info` VALUES ('1670', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '念珠菌性肺炎', '念珠菌性肺炎指南');
INSERT INTO `icss_introduce_info` VALUES ('1671', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '假膜性肠炎', '假膜性肠炎指南');
INSERT INTO `icss_introduce_info` VALUES ('1672', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '轮状病毒肠炎', '轮状病毒肠炎指南');
INSERT INTO `icss_introduce_info` VALUES ('1673', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '高原肺水肿的发病机制及防治', '高原肺水肿的发病机制及防治');
INSERT INTO `icss_introduce_info` VALUES ('1674', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '慢性肾衰竭', '慢性肾衰竭指南');
INSERT INTO `icss_introduce_info` VALUES ('1675', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝脏破裂', '肝脏破裂指南');
INSERT INTO `icss_introduce_info` VALUES ('1676', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脾脏破裂', '脾脏破裂指南');
INSERT INTO `icss_introduce_info` VALUES ('1677', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝脾破裂', '');
INSERT INTO `icss_introduce_info` VALUES ('1678', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '输卵管妊娠', '');
INSERT INTO `icss_introduce_info` VALUES ('1680', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心房扑动', '心房扑动指南');
INSERT INTO `icss_introduce_info` VALUES ('1681', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '幽门梗阻', '幽门梗阻参考资料');
INSERT INTO `icss_introduce_info` VALUES ('1688', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '多索茶碱', '多索茶碱');
INSERT INTO `icss_introduce_info` VALUES ('1689', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '支气管扩张剂', '药品分类');
INSERT INTO `icss_introduce_info` VALUES ('1690', 'Y', '2019-01-03 13:54:14', '2019-01-03 14:01:09', '53', '53', 'introduce1', '');

-- ----------------------------
-- Table structure for icss_introduce_map
-- ----------------------------
DROP TABLE IF EXISTS `icss_introduce_map`;
CREATE TABLE `icss_introduce_map` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `question_id` bigint(20) NOT NULL COMMENT '标签id',
  `introduce_id` bigint(20) NOT NULL COMMENT '提示信息id',
  `type` int(11) DEFAULT NULL COMMENT '类型（参照icss_question_info）',
  `remark` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8 COMMENT='标签与提示信息映射表';

-- ----------------------------
-- Records of icss_introduce_map
-- ----------------------------
INSERT INTO `icss_introduce_map` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '95', '62', '7', '呼吸道感染');
INSERT INTO `icss_introduce_map` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '98', '67', '7', '支气管哮喘');
INSERT INTO `icss_introduce_map` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '55', '7', '肺炎');
INSERT INTO `icss_introduce_map` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '100', '152', '7', '咽炎');
INSERT INTO `icss_introduce_map` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '103', '152', '7', '慢性咽炎');
INSERT INTO `icss_introduce_map` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '105', '212', '7', '高血压');
INSERT INTO `icss_introduce_map` VALUES ('7', 'N', '1970-01-01 12:00:00', '2018-12-19 11:32:46', '0', '53', '131', '85', '7', '心脏病');
INSERT INTO `icss_introduce_map` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '169', '154', '7', '慢性胃炎');
INSERT INTO `icss_introduce_map` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '137', '1688', '8', '多索茶碱');
INSERT INTO `icss_introduce_map` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '132', '1689', '9', '支气管扩张剂');
INSERT INTO `icss_introduce_map` VALUES ('15', 'Y', '2019-01-03 13:54:14', '2019-01-03 14:01:09', '53', '53', '184', '1690', '7', null);

-- ----------------------------
-- Table structure for icss_lis_mapping
-- ----------------------------
DROP TABLE IF EXISTS `icss_lis_mapping`;
CREATE TABLE `icss_lis_mapping` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `meal_name` varchar(100) DEFAULT NULL COMMENT '套餐名',
  `item_name` varchar(100) DEFAULT NULL COMMENT '项目名',
  `unique_name` varchar(100) DEFAULT NULL COMMENT '公表名',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1024 DEFAULT CHARSET=utf8 COMMENT='化验项目公表映射';

-- ----------------------------
-- Records of icss_lis_mapping
-- ----------------------------
INSERT INTO `icss_lis_mapping` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规', '白细胞', '白细胞(脑脊液)');
INSERT INTO `icss_lis_mapping` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规', '红细胞', '红细胞(脑脊液)');
INSERT INTO `icss_lis_mapping` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规', '蛋白质定量', '蛋白质(脑脊液)');
INSERT INTO `icss_lis_mapping` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规', 'PH值', '酸碱度(脑脊液)');
INSERT INTO `icss_lis_mapping` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规', '比重', '比重(脑脊液)');
INSERT INTO `icss_lis_mapping` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规', '透明度', '透明度(脑脊液)');
INSERT INTO `icss_lis_mapping` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规', '细胞计数', '细胞计数(脑脊液)');
INSERT INTO `icss_lis_mapping` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规', '压力', '压力(脑脊液)');
INSERT INTO `icss_lis_mapping` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规', '颜色', '颜色(脑脊液)');
INSERT INTO `icss_lis_mapping` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规', '尿酸', '尿酸(脑脊液)');
INSERT INTO `icss_lis_mapping` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规', '乳酸脱氢酶', '乳酸脱氢酶(脑脊液)');
INSERT INTO `icss_lis_mapping` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规', '脑脊液IgM', 'IgM(脑脊液)');
INSERT INTO `icss_lis_mapping` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规', '脑脊液IgG', 'IgG(脑脊液)');
INSERT INTO `icss_lis_mapping` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规', '脑脊液IgA', 'IgA(脑脊液)');
INSERT INTO `icss_lis_mapping` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规', '乳酸', '乳酸(脑脊液)');
INSERT INTO `icss_lis_mapping` VALUES ('16', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规', '葡萄糖', '葡萄糖(脑脊液)');
INSERT INTO `icss_lis_mapping` VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规', '谷氨酰胺', '脑脊液谷氨酰胺');
INSERT INTO `icss_lis_mapping` VALUES ('18', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规', '氯化物', '氯化物(脑脊液)');
INSERT INTO `icss_lis_mapping` VALUES ('19', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规', '脑脊液肌酸激酶同工酶', '肌酸激酶同工酶(脑脊液)');
INSERT INTO `icss_lis_mapping` VALUES ('20', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规', '环磷酸腺苷', '环磷酸腺苷(脑脊液)');
INSERT INTO `icss_lis_mapping` VALUES ('21', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规', '胆红素', '胆红素(脑脊液)');
INSERT INTO `icss_lis_mapping` VALUES ('22', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规', '天门冬酸氨基转移酶', '天门冬酸氨基转移酶(脑脊液)');
INSERT INTO `icss_lis_mapping` VALUES ('23', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规', '清蛋白', '清蛋白(脑脊液)');
INSERT INTO `icss_lis_mapping` VALUES ('24', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规', '溶菌酶', '溶菌酶(脑脊液)');
INSERT INTO `icss_lis_mapping` VALUES ('25', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规', '色氨酸试验', '色氨酸试验(脑脊液)');
INSERT INTO `icss_lis_mapping` VALUES ('26', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '白细胞计数', '白细胞计数');
INSERT INTO `icss_lis_mapping` VALUES ('27', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '红细胞分布宽度', '血红细胞分布宽度');
INSERT INTO `icss_lis_mapping` VALUES ('28', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '红细胞计数', '红细胞计数');
INSERT INTO `icss_lis_mapping` VALUES ('29', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '血小板计数', '血小板计数');
INSERT INTO `icss_lis_mapping` VALUES ('30', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '大型血小板比例', '大型血小板比例');
INSERT INTO `icss_lis_mapping` VALUES ('31', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '血小板体积分布宽度', '血小板体积分布宽度');
INSERT INTO `icss_lis_mapping` VALUES ('32', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '血小板压积', '血小板压积');
INSERT INTO `icss_lis_mapping` VALUES ('33', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '血小板平均体积', '血小板平均体积');
INSERT INTO `icss_lis_mapping` VALUES ('34', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '单核细胞百分比', '单核细胞百分比');
INSERT INTO `icss_lis_mapping` VALUES ('35', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '单核细胞计数', '单核细胞计数');
INSERT INTO `icss_lis_mapping` VALUES ('36', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '平均红细胞体积', '平均红细胞体积');
INSERT INTO `icss_lis_mapping` VALUES ('37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '血红蛋白平均浓度', '血红蛋白平均浓度');
INSERT INTO `icss_lis_mapping` VALUES ('38', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '血红蛋白平均含量', '血红蛋白平均含量');
INSERT INTO `icss_lis_mapping` VALUES ('39', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '淋巴细胞计数', '淋巴细胞计数');
INSERT INTO `icss_lis_mapping` VALUES ('40', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '淋巴细胞百分比', '淋巴细胞百分比');
INSERT INTO `icss_lis_mapping` VALUES ('41', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '血红蛋白', '血红蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('42', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '红细胞压积', '红细胞压积');
INSERT INTO `icss_lis_mapping` VALUES ('43', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '中性粒细胞计数', '中性粒细胞计数');
INSERT INTO `icss_lis_mapping` VALUES ('44', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '中性粒细胞百分比', '中性粒细胞百分比');
INSERT INTO `icss_lis_mapping` VALUES ('45', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '嗜酸性粒细胞百分比', '嗜酸性粒细胞百分比');
INSERT INTO `icss_lis_mapping` VALUES ('46', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '嗜酸性粒细胞计数', '嗜酸性粒细胞计数');
INSERT INTO `icss_lis_mapping` VALUES ('47', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '嗜碱性粒细胞百分比', '嗜碱性粒细胞百分比');
INSERT INTO `icss_lis_mapping` VALUES ('48', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '嗜碱性粒细胞计数', '嗜碱性粒细胞计数');
INSERT INTO `icss_lis_mapping` VALUES ('49', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿常规', '尿白细胞', '尿白细胞');
INSERT INTO `icss_lis_mapping` VALUES ('50', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿常规', '尿胆原定量', '尿胆原定量');
INSERT INTO `icss_lis_mapping` VALUES ('51', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿常规', '尿胆原定性', '尿胆原定性');
INSERT INTO `icss_lis_mapping` VALUES ('52', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿常规', '尿红细胞', '尿红细胞');
INSERT INTO `icss_lis_mapping` VALUES ('53', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿常规', '尿蛋白定量', '尿蛋白定量');
INSERT INTO `icss_lis_mapping` VALUES ('54', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿常规', '尿蛋白定性', '尿蛋白定性');
INSERT INTO `icss_lis_mapping` VALUES ('55', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿常规', 'PH值', '尿酸碱度');
INSERT INTO `icss_lis_mapping` VALUES ('56', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿常规', '尿糖定量', '尿糖定量');
INSERT INTO `icss_lis_mapping` VALUES ('57', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿常规', '尿糖定性', '尿糖定性');
INSERT INTO `icss_lis_mapping` VALUES ('58', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿常规', '胆红素', '尿胆红素');
INSERT INTO `icss_lis_mapping` VALUES ('59', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿常规', '比重', '尿比重');
INSERT INTO `icss_lis_mapping` VALUES ('60', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿常规', '酮体', '尿酮体');
INSERT INTO `icss_lis_mapping` VALUES ('61', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿常规', '隐血', '尿隐血');
INSERT INTO `icss_lis_mapping` VALUES ('62', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿常规', '上皮细胞', '尿上皮细胞');
INSERT INTO `icss_lis_mapping` VALUES ('63', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿常规', '渗透压', '尿渗透压');
INSERT INTO `icss_lis_mapping` VALUES ('64', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿常规', '透明度', '尿透明度');
INSERT INTO `icss_lis_mapping` VALUES ('65', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿常规', '颜色', '尿颜色');
INSERT INTO `icss_lis_mapping` VALUES ('66', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿常规', '维生素C', '尿维生素C');
INSERT INTO `icss_lis_mapping` VALUES ('67', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能', 'α-L-岩藻糖苷酶', 'α-L-岩藻糖苷酶');
INSERT INTO `icss_lis_mapping` VALUES ('68', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿常规', '亚硝酸盐', '尿亚硝酸盐');
INSERT INTO `icss_lis_mapping` VALUES ('69', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿白蛋白及肌酐测定', '尿白蛋白/肌酐比值', '白蛋白/肌酐比值');
INSERT INTO `icss_lis_mapping` VALUES ('70', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过敏原检查', '总IgE(定性)', '免疫球蛋白E');
INSERT INTO `icss_lis_mapping` VALUES ('71', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过敏原检查', '矮豚草/葎草', '矮豚草/葎草(过敏原检查)');
INSERT INTO `icss_lis_mapping` VALUES ('72', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过敏原检查', '粉尘', '粉尘(过敏原检查)');
INSERT INTO `icss_lis_mapping` VALUES ('73', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过敏原检查', '狗皮屑', '狗皮屑(过敏原检查)');
INSERT INTO `icss_lis_mapping` VALUES ('74', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过敏原检查', '花生', '花生(过敏原检查)');
INSERT INTO `icss_lis_mapping` VALUES ('75', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过敏原检查', '黄豆', '黄豆(过敏原检查)');
INSERT INTO `icss_lis_mapping` VALUES ('76', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过敏原检查', '鸡蛋白', '鸡蛋白(过敏原检查)');
INSERT INTO `icss_lis_mapping` VALUES ('77', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过敏原检查', '猫皮屑', '猫皮屑(过敏原检查)');
INSERT INTO `icss_lis_mapping` VALUES ('78', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过敏原检查', '霉菌组合(点青/分枝/烟曲/交链)', '霉菌(过敏原检查)');
INSERT INTO `icss_lis_mapping` VALUES ('79', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过敏原检查', '牛奶', '牛奶(过敏原检查)');
INSERT INTO `icss_lis_mapping` VALUES ('80', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过敏原检查', '牛肉', '牛肉(过敏原检查)');
INSERT INTO `icss_lis_mapping` VALUES ('81', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过敏原检查', '屋尘', '屋尘(过敏原检查)');
INSERT INTO `icss_lis_mapping` VALUES ('82', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过敏原检查', '虾', '虾(过敏原检查)');
INSERT INTO `icss_lis_mapping` VALUES ('83', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过敏原检查', '蟹', '蟹(过敏原检查)');
INSERT INTO `icss_lis_mapping` VALUES ('84', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过敏原检查', '羊肉', '羊肉(过敏原检查)');
INSERT INTO `icss_lis_mapping` VALUES ('85', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过敏原检查', '腰果', '腰果(过敏原检查)');
INSERT INTO `icss_lis_mapping` VALUES ('86', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过敏原检查', '鱼(鲤鱼/鲈鱼/鲑鱼)', '鱼(过敏原检查)');
INSERT INTO `icss_lis_mapping` VALUES ('87', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过敏原检查', '榆树/梧桐树/柳树/杨树', '榆树/梧桐树/柳树/杨树(过敏原检查)');
INSERT INTO `icss_lis_mapping` VALUES ('88', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过敏原检查', '蟑螂', '蟑螂(过敏原检查)');
INSERT INTO `icss_lis_mapping` VALUES ('89', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精液常规', '白细胞', '白细胞(精液)');
INSERT INTO `icss_lis_mapping` VALUES ('90', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精液常规', '红细胞', '红细胞(精液)');
INSERT INTO `icss_lis_mapping` VALUES ('91', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精液常规', 'PH值', '酸碱度(精液)');
INSERT INTO `icss_lis_mapping` VALUES ('92', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精液常规', '比重', '比重(精液)');
INSERT INTO `icss_lis_mapping` VALUES ('93', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精液常规', '精液量', '精液量');
INSERT INTO `icss_lis_mapping` VALUES ('94', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精液常规', '精子存活率', '精子存活率');
INSERT INTO `icss_lis_mapping` VALUES ('95', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精液常规', '精子活动力', '精子活动力');
INSERT INTO `icss_lis_mapping` VALUES ('96', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精液常规', '精子密度', '精子密度');
INSERT INTO `icss_lis_mapping` VALUES ('97', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精液常规', '精子正常形态', '精子正常形态');
INSERT INTO `icss_lis_mapping` VALUES ('98', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精液常规', '精子总数', '精子总数');
INSERT INTO `icss_lis_mapping` VALUES ('99', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精液常规', '外观', '外观(精液)');
INSERT INTO `icss_lis_mapping` VALUES ('100', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精液常规', '未成熟生殖细胞', '未成熟生殖细胞(精液)');
INSERT INTO `icss_lis_mapping` VALUES ('101', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精液常规', '嗅味', '嗅味(精液)');
INSERT INTO `icss_lis_mapping` VALUES ('102', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精液常规', '液化时间', '液化时间(精液)');
INSERT INTO `icss_lis_mapping` VALUES ('103', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精液常规', '精子乳酸脱氢酶-X', '乳酸脱氢酶-X(精液)');
INSERT INTO `icss_lis_mapping` VALUES ('104', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精液常规', '果糖', '果糖(精液)');
INSERT INTO `icss_lis_mapping` VALUES ('105', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精液常规', '抗精子抗体', '抗精子抗体(精液)');
INSERT INTO `icss_lis_mapping` VALUES ('106', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精液常规', '精子低渗胀试验', '精子低渗胀试验');
INSERT INTO `icss_lis_mapping` VALUES ('107', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精液常规', '顶体酶', '精子顶体酶');
INSERT INTO `icss_lis_mapping` VALUES ('108', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃液常规', '白细胞', '白细胞(胃液)');
INSERT INTO `icss_lis_mapping` VALUES ('109', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃液常规', '红细胞', '红细胞(胃液)');
INSERT INTO `icss_lis_mapping` VALUES ('110', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃液常规', '酸碱度', '酸碱度(胃液)');
INSERT INTO `icss_lis_mapping` VALUES ('111', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃液常规', '癌细胞', '癌细胞(胃液)');
INSERT INTO `icss_lis_mapping` VALUES ('112', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃液常规', '比重', '比重(胃液)');
INSERT INTO `icss_lis_mapping` VALUES ('113', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃液常规', '黏液', '黏液(胃液)');
INSERT INTO `icss_lis_mapping` VALUES ('114', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃液常规', '气味', '气味(胃液)');
INSERT INTO `icss_lis_mapping` VALUES ('115', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃液常规', '上皮细胞', '上皮细胞(胃液)');
INSERT INTO `icss_lis_mapping` VALUES ('116', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃液常规', '细菌', '细菌(胃液)');
INSERT INTO `icss_lis_mapping` VALUES ('117', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃液常规', '颜色', '颜色(胃液)');
INSERT INTO `icss_lis_mapping` VALUES ('118', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃液常规', '高峰泌酸量(PAO)', '高峰泌酸量');
INSERT INTO `icss_lis_mapping` VALUES ('119', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃液常规', '最大泌酸量(MAO)', '最大泌酸量');
INSERT INTO `icss_lis_mapping` VALUES ('120', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃液常规', '乳酸', '乳酸(胃液)');
INSERT INTO `icss_lis_mapping` VALUES ('121', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃液常规', 'BAO/MAO', 'BAO/MAO');
INSERT INTO `icss_lis_mapping` VALUES ('122', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃液常规', '基础泌酸量(BAO)', '基础泌酸量');
INSERT INTO `icss_lis_mapping` VALUES ('123', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃液常规', '潜血', '潜血(胃液)');
INSERT INTO `icss_lis_mapping` VALUES ('124', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃液常规', '胃液分泌总量', '胃液分泌总量');
INSERT INTO `icss_lis_mapping` VALUES ('125', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃液常规', '空腹胃液量', '胃液量');
INSERT INTO `icss_lis_mapping` VALUES ('126', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规', '白细胞', '白细胞(粪便)');
INSERT INTO `icss_lis_mapping` VALUES ('127', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规', '红细胞', '红细胞(粪便)');
INSERT INTO `icss_lis_mapping` VALUES ('128', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规', 'PH值', '酸碱度(粪便)');
INSERT INTO `icss_lis_mapping` VALUES ('129', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规', '隐血', '粪便隐血');
INSERT INTO `icss_lis_mapping` VALUES ('130', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规', '虫卵', '虫卵(粪便)');
INSERT INTO `icss_lis_mapping` VALUES ('131', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规', '革兰阴性稍弯曲弧菌', '霍乱弧菌(粪便涂片)');
INSERT INTO `icss_lis_mapping` VALUES ('132', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规', '脓球', '脓球(粪便)');
INSERT INTO `icss_lis_mapping` VALUES ('133', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规', '上皮细胞', '上皮细胞(粪便)');
INSERT INTO `icss_lis_mapping` VALUES ('134', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规', '性状', '性状(粪便)');
INSERT INTO `icss_lis_mapping` VALUES ('135', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规', '颜色', '颜色(粪便)');
INSERT INTO `icss_lis_mapping` VALUES ('136', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规', '脂肪球', '脂肪球(粪便)');
INSERT INTO `icss_lis_mapping` VALUES ('137', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规', '志贺氏菌', '志贺氏菌(粪便涂片)');
INSERT INTO `icss_lis_mapping` VALUES ('138', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规', '蛋白质定量', '蛋白质(粪便)');
INSERT INTO `icss_lis_mapping` VALUES ('139', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规', '粪卟啉', '粪卟啉');
INSERT INTO `icss_lis_mapping` VALUES ('140', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规', '胆红素', '粪胆红素');
INSERT INTO `icss_lis_mapping` VALUES ('141', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规', '粪胆素', '粪胆红素');
INSERT INTO `icss_lis_mapping` VALUES ('142', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规', '胆原定量', '粪胆原');
INSERT INTO `icss_lis_mapping` VALUES ('143', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗凝血', '血浆纤溶酶-抗纤溶酶复合物', '纤溶酶-抗纤溶酶复合物');
INSERT INTO `icss_lis_mapping` VALUES ('144', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗凝血', '血浆蛋白C活性', '蛋白C活性');
INSERT INTO `icss_lis_mapping` VALUES ('145', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗凝血', '狼疮抗凝物质', '狼疮抗凝物质');
INSERT INTO `icss_lis_mapping` VALUES ('146', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗凝血', '纤维蛋白(原)降解产物', '纤维蛋白降解产物');
INSERT INTO `icss_lis_mapping` VALUES ('147', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗凝血', '血清纤维蛋白降解产物', '纤维蛋白降解产物');
INSERT INTO `icss_lis_mapping` VALUES ('148', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗凝血', '优球蛋白溶解时间', '优球蛋白溶解时间');
INSERT INTO `icss_lis_mapping` VALUES ('149', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗凝血', '血浆纤维蛋白肽Bβ1-42', '纤维蛋白肽Bβ1-42');
INSERT INTO `icss_lis_mapping` VALUES ('150', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗凝血', '血浆纤维蛋白肽BP15-42', '纤维蛋白肽BP15-42');
INSERT INTO `icss_lis_mapping` VALUES ('151', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗凝血', '抗凝血酶Ⅲ抗原', '抗凝血酶Ⅲ抗原');
INSERT INTO `icss_lis_mapping` VALUES ('152', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗凝血', '血浆抗凝血酶Ⅲ活性', '抗凝血酶Ⅲ活性');
INSERT INTO `icss_lis_mapping` VALUES ('153', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗凝血', '血浆抗凝血酶活性', '抗凝血酶活性');
INSERT INTO `icss_lis_mapping` VALUES ('154', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗凝血', '抗心磷脂抗体', '抗心磷脂抗体');
INSERT INTO `icss_lis_mapping` VALUES ('155', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗凝血', '血浆α2纤溶酶抑制物活性', 'α2纤溶酶抑制物活性');
INSERT INTO `icss_lis_mapping` VALUES ('156', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗凝血', '血浆凝血酶-抗凝血酶复合物', '凝血酶-抗凝血酶复合物');
INSERT INTO `icss_lis_mapping` VALUES ('157', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗凝血', '血浆游离蛋白S抗原', '游离蛋白S抗原');
INSERT INTO `icss_lis_mapping` VALUES ('158', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗凝血', '血浆鱼精蛋白副凝试验', '鱼精蛋白副凝试验');
INSERT INTO `icss_lis_mapping` VALUES ('159', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗凝血', '血浆总蛋白S抗原', '总蛋白S抗原');
INSERT INTO `icss_lis_mapping` VALUES ('160', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿液其他成分检查', '尿酸', '尿尿酸');
INSERT INTO `icss_lis_mapping` VALUES ('161', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿液其他成分检查', '尿卟啉', '尿卟啉');
INSERT INTO `icss_lis_mapping` VALUES ('162', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿液其他成分检查', '总氮', '尿总氮');
INSERT INTO `icss_lis_mapping` VALUES ('163', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿液其他成分检查', '肌红蛋白定量', '尿肌红蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('164', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿液其他成分检查', '肌红蛋白定性', '尿肌红蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('165', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿液其他成分检查', '免疫球蛋白', '尿免疫球蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('166', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿液其他成分检查', '血红蛋白定性', '尿血红蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('167', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿液其他成分检查', '含铁血黄素', '尿含铁血黄素');
INSERT INTO `icss_lis_mapping` VALUES ('168', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿液其他成分检查', '纤维蛋白降解产物', '尿纤维蛋白降解产物');
INSERT INTO `icss_lis_mapping` VALUES ('169', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿液其他成分检查', '肌酸', '尿肌酸');
INSERT INTO `icss_lis_mapping` VALUES ('170', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿液其他成分检查', '肌酐', '尿肌酐');
INSERT INTO `icss_lis_mapping` VALUES ('171', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿液其他成分检查', '补体C3', '尿C3');
INSERT INTO `icss_lis_mapping` VALUES ('172', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿液其他成分检查', '尿素氮', '尿尿素氮');
INSERT INTO `icss_lis_mapping` VALUES ('173', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿液其他成分检查', '溶菌酶', '尿溶菌酶');
INSERT INTO `icss_lis_mapping` VALUES ('174', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿液其他成分检查', '乳糜尿试验', '乳糜尿试验');
INSERT INTO `icss_lis_mapping` VALUES ('175', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿液其他成分检查', '粘蛋白', '尿粘蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('176', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿液其他成分检查', '尿清蛋白排泄率', '清蛋白排泄率');
INSERT INTO `icss_lis_mapping` VALUES ('177', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆肾素活性', '肾素活性(卧位)', '肾素活性(卧位)');
INSERT INTO `icss_lis_mapping` VALUES ('178', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能', 'γ-谷氨酰转移酶', 'γ-谷氨酰转移酶');
INSERT INTO `icss_lis_mapping` VALUES ('179', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能', '总蛋白', '总蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('180', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能', '总胆红素', '总胆红素');
INSERT INTO `icss_lis_mapping` VALUES ('181', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能', '总胆汁酸', '总胆汁酸');
INSERT INTO `icss_lis_mapping` VALUES ('182', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能', '乳酸脱氢酶', '乳酸脱氢酶');
INSERT INTO `icss_lis_mapping` VALUES ('183', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能', '间接胆红素', '间接胆红素');
INSERT INTO `icss_lis_mapping` VALUES ('184', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能', '谷氨酸脱氢酶', '谷氨酸脱氢酶');
INSERT INTO `icss_lis_mapping` VALUES ('185', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能', '球蛋白', '球蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('186', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能', '直接胆红素/总胆红素', '直接胆红素/总胆红素');
INSERT INTO `icss_lis_mapping` VALUES ('187', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能', '直接胆红素', '直接胆红素');
INSERT INTO `icss_lis_mapping` VALUES ('188', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能', '谷草/谷丙', '谷草/谷丙');
INSERT INTO `icss_lis_mapping` VALUES ('189', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能', '谷丙转氨酶', '谷丙转氨酶');
INSERT INTO `icss_lis_mapping` VALUES ('190', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能', '碱性磷酸酶', '碱性磷酸酶');
INSERT INTO `icss_lis_mapping` VALUES ('191', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能', '白蛋白', '白蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('192', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能', '白蛋白/球蛋白比值', '白蛋白/球蛋白比值');
INSERT INTO `icss_lis_mapping` VALUES ('193', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿沉渣分析', '白细胞', '白细胞(尿沉渣分析)');
INSERT INTO `icss_lis_mapping` VALUES ('194', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿沉渣分析', '尿白细胞(高倍)', '白细胞(尿沉渣分析)');
INSERT INTO `icss_lis_mapping` VALUES ('195', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿沉渣分析', '红细胞', '尿红细胞');
INSERT INTO `icss_lis_mapping` VALUES ('196', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿沉渣分析', '尿红细胞(高倍)', '红细胞(尿沉渣分析)');
INSERT INTO `icss_lis_mapping` VALUES ('197', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿沉渣分析', '电导率', '电导率(尿沉渣分析)');
INSERT INTO `icss_lis_mapping` VALUES ('198', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿白蛋白及肌酐测定', '尿白蛋白排泄率', '白蛋白排泄率');
INSERT INTO `icss_lis_mapping` VALUES ('199', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿白蛋白及肌酐测定', '肌酐', '尿肌酐');
INSERT INTO `icss_lis_mapping` VALUES ('200', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿沉渣分析', '管型', '尿管型');
INSERT INTO `icss_lis_mapping` VALUES ('201', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿沉渣分析', '结晶数量', '结晶(尿沉渣分析)');
INSERT INTO `icss_lis_mapping` VALUES ('202', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿沉渣分析', '类酵母样细胞', '类酵母样细胞(尿沉渣分析)');
INSERT INTO `icss_lis_mapping` VALUES ('203', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿沉渣分析', '上皮细胞', '上皮细胞(尿沉渣分析)');
INSERT INTO `icss_lis_mapping` VALUES ('204', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿沉渣分析', '上皮细胞(高倍)', '上皮细胞(高倍)(尿沉渣分析)');
INSERT INTO `icss_lis_mapping` VALUES ('205', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿沉渣分析', '细菌', '细菌(尿沉渣分析)');
INSERT INTO `icss_lis_mapping` VALUES ('206', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿沉渣分析', '细菌(高倍)', '细菌(高倍)(尿沉渣分析)');
INSERT INTO `icss_lis_mapping` VALUES ('207', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿沉渣分析', '小圆上皮细胞', '小圆上皮细胞(尿沉渣分析)');
INSERT INTO `icss_lis_mapping` VALUES ('208', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血培养及鉴定', '结核分枝杆菌', '结核分枝杆菌(血培养及鉴定)');
INSERT INTO `icss_lis_mapping` VALUES ('209', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血培养及鉴定', '结核杆菌', '结核杆菌(血培养及鉴定)');
INSERT INTO `icss_lis_mapping` VALUES ('210', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血培养及鉴定', '埃肯菌', '埃肯菌(血培养及鉴定)');
INSERT INTO `icss_lis_mapping` VALUES ('211', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血培养及鉴定', '草绿色链球菌', '草绿色链球菌(血培养及鉴定)');
INSERT INTO `icss_lis_mapping` VALUES ('212', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血培养及鉴定', '肠球菌', '肠球菌(血培养及鉴定)');
INSERT INTO `icss_lis_mapping` VALUES ('213', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血培养及鉴定', '放线杆菌', '放线杆菌(血培养及鉴定)');
INSERT INTO `icss_lis_mapping` VALUES ('214', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血培养及鉴定', '艰难梭状杆菌', '艰难梭状杆菌(血培养及鉴定)');
INSERT INTO `icss_lis_mapping` VALUES ('215', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血培养及鉴定', '金黄色葡萄球菌', '金黄色葡萄球菌(血培养及鉴定)');
INSERT INTO `icss_lis_mapping` VALUES ('216', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血培养及鉴定', '金氏菌', '金氏菌(血培养及鉴定)');
INSERT INTO `icss_lis_mapping` VALUES ('217', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血培养及鉴定', '军团菌', '军团菌(血培养及鉴定)');
INSERT INTO `icss_lis_mapping` VALUES ('218', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血培养及鉴定', '立克次体', '立克次体(血培养及鉴定)');
INSERT INTO `icss_lis_mapping` VALUES ('219', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血培养及鉴定', '牛链球菌', '牛链球菌(血培养及鉴定)');
INSERT INTO `icss_lis_mapping` VALUES ('220', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血培养及鉴定', '伤寒杆菌', '伤寒杆菌(血培养及鉴定)');
INSERT INTO `icss_lis_mapping` VALUES ('221', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血培养及鉴定', '嗜血杆菌', '嗜血杆菌(血培养及鉴定)');
INSERT INTO `icss_lis_mapping` VALUES ('222', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血培养及鉴定', '心杆菌', '心杆菌(血培养及鉴定)');
INSERT INTO `icss_lis_mapping` VALUES ('223', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '电解质', '锌', '锌');
INSERT INTO `icss_lis_mapping` VALUES ('224', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '电解质', '铅', '血铅');
INSERT INTO `icss_lis_mapping` VALUES ('225', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '电解质', '磷(无机磷)', '血磷');
INSERT INTO `icss_lis_mapping` VALUES ('226', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '电解质', '钠离子', '钠离子');
INSERT INTO `icss_lis_mapping` VALUES ('227', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '电解质', '镁', '血镁');
INSERT INTO `icss_lis_mapping` VALUES ('228', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '电解质', '钾离子', '钾离子');
INSERT INTO `icss_lis_mapping` VALUES ('229', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '电解质', '汞', '汞');
INSERT INTO `icss_lis_mapping` VALUES ('230', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '电解质', '碳酸氢根', '碳酸氢根');
INSERT INTO `icss_lis_mapping` VALUES ('231', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '电解质', '铁', '铁');
INSERT INTO `icss_lis_mapping` VALUES ('232', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '电解质', '铜', '铜');
INSERT INTO `icss_lis_mapping` VALUES ('233', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '电解质', '氯离子', '氯离子');
INSERT INTO `icss_lis_mapping` VALUES ('234', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '电解质', '总钙', '总钙');
INSERT INTO `icss_lis_mapping` VALUES ('235', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '电解质', '游离钙', '游离钙');
INSERT INTO `icss_lis_mapping` VALUES ('236', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血气分析', '血氧饱和度', '血氧饱和度');
INSERT INTO `icss_lis_mapping` VALUES ('237', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血气分析', '动脉血氧分压', '动脉血氧分压');
INSERT INTO `icss_lis_mapping` VALUES ('238', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血气分析', '血PH值', '酸碱度(血)');
INSERT INTO `icss_lis_mapping` VALUES ('239', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血气分析', '动脉血二氧化碳分压', '动脉血二氧化碳分压');
INSERT INTO `icss_lis_mapping` VALUES ('240', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血气分析', '丙酮酸', '血丙酮酸');
INSERT INTO `icss_lis_mapping` VALUES ('241', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血气分析', '乳酸/丙酮酸', '乳酸/丙酮酸');
INSERT INTO `icss_lis_mapping` VALUES ('242', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血气分析', '血乳酸', '乳酸');
INSERT INTO `icss_lis_mapping` VALUES ('243', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血气分析', '碳酸氢根', '碳酸氢根');
INSERT INTO `icss_lis_mapping` VALUES ('244', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血气分析', '二氧化碳结合率', '二氧化碳结合率');
INSERT INTO `icss_lis_mapping` VALUES ('245', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血气分析', '剩余碱', '剩余碱');
INSERT INTO `icss_lis_mapping` VALUES ('246', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血气分析', '全血缓冲碱', '缓冲碱');
INSERT INTO `icss_lis_mapping` VALUES ('247', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血气分析', '阴离子间隙', '阴离子间隙');
INSERT INTO `icss_lis_mapping` VALUES ('248', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血气分析', '血浆渗透压', '渗透压(血)');
INSERT INTO `icss_lis_mapping` VALUES ('249', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白带常规', '白细胞', '白细胞(白带)');
INSERT INTO `icss_lis_mapping` VALUES ('250', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白带常规', '红细胞', '红细胞(白带)');
INSERT INTO `icss_lis_mapping` VALUES ('251', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白带常规', '酸碱度', '酸碱度(白带)');
INSERT INTO `icss_lis_mapping` VALUES ('252', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白带常规', '滴虫', '滴虫(白带)');
INSERT INTO `icss_lis_mapping` VALUES ('253', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白带常规', '加特纳杆菌', '加特纳杆菌(白带)');
INSERT INTO `icss_lis_mapping` VALUES ('254', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白带常规', '霉菌', '霉菌(白带)');
INSERT INTO `icss_lis_mapping` VALUES ('255', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白带常规', '清洁度', '清洁度(白带)');
INSERT INTO `icss_lis_mapping` VALUES ('256', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白带常规', '乳酸杆菌', '乳酸杆菌(白带)');
INSERT INTO `icss_lis_mapping` VALUES ('257', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白带常规', '上皮细胞', '上皮细胞(白带)');
INSERT INTO `icss_lis_mapping` VALUES ('258', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白带常规', '外观', '外观(白带)');
INSERT INTO `icss_lis_mapping` VALUES ('259', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白带常规', '线索细胞', '线索细胞(白带)');
INSERT INTO `icss_lis_mapping` VALUES ('260', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白带常规', '杂菌', '杂菌(白带)');
INSERT INTO `icss_lis_mapping` VALUES ('261', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血因子', '可溶性纤维蛋白单体复合物', '可溶性纤维蛋白单体复合物');
INSERT INTO `icss_lis_mapping` VALUES ('262', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血因子', '凝血因子Ⅱ', '凝血因子Ⅱ');
INSERT INTO `icss_lis_mapping` VALUES ('263', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血因子', '血浆纤维蛋白原(FG)', '纤维蛋白原');
INSERT INTO `icss_lis_mapping` VALUES ('264', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血因子', '凝血因子Ⅷ', '凝血因子Ⅷ');
INSERT INTO `icss_lis_mapping` VALUES ('265', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血因子', '凝血因子Ⅴ', '凝血因子Ⅴ');
INSERT INTO `icss_lis_mapping` VALUES ('266', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血因子', '凝血因子Ⅶ', '凝血因子Ⅶ');
INSERT INTO `icss_lis_mapping` VALUES ('267', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血因子', '凝血因子Ⅷ抑制物', '凝血因子Ⅷ抑制物');
INSERT INTO `icss_lis_mapping` VALUES ('268', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血因子', '凝血因子Ⅸ', '凝血因子Ⅸ');
INSERT INTO `icss_lis_mapping` VALUES ('269', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血因子', '凝血因子Ⅹ', '凝血因子Ⅹ');
INSERT INTO `icss_lis_mapping` VALUES ('270', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血因子', '凝血因子Ⅺ', '凝血因子Ⅺ');
INSERT INTO `icss_lis_mapping` VALUES ('271', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血因子', '凝血因子Ⅻ', '凝血因子Ⅻ');
INSERT INTO `icss_lis_mapping` VALUES ('272', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '前列腺液常规', '白细胞', '白细胞(前列腺液)');
INSERT INTO `icss_lis_mapping` VALUES ('273', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '前列腺液常规', '红细胞', '红细胞(前列腺液)');
INSERT INTO `icss_lis_mapping` VALUES ('274', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '前列腺液常规', 'PH值', '酸碱度(前列腺液)');
INSERT INTO `icss_lis_mapping` VALUES ('275', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '前列腺液常规', '滴虫', '滴虫(前列腺液)');
INSERT INTO `icss_lis_mapping` VALUES ('276', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '前列腺液常规', '淀粉样体', '淀粉样体(前列腺液常规)');
INSERT INTO `icss_lis_mapping` VALUES ('277', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '前列腺液常规', '精子', '精子(前列腺液)');
INSERT INTO `icss_lis_mapping` VALUES ('278', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '前列腺液常规', '颗粒细胞', '颗粒细胞(前列腺液)');
INSERT INTO `icss_lis_mapping` VALUES ('279', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '前列腺液常规', '卵磷脂小体', '卵磷脂小体(前列腺液)');
INSERT INTO `icss_lis_mapping` VALUES ('280', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '前列腺液常规', '上皮细胞', '上皮细胞(前列腺液)');
INSERT INTO `icss_lis_mapping` VALUES ('281', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '前列腺液常规', '性状', '性状(前列腺液)');
INSERT INTO `icss_lis_mapping` VALUES ('282', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '前列腺液常规', '液化时间', '液化时间(前列腺液)');
INSERT INTO `icss_lis_mapping` VALUES ('283', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸水常规', '酸碱度', '酸碱度(胸水)');
INSERT INTO `icss_lis_mapping` VALUES ('284', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸水常规', '比重', '比重(胸水)');
INSERT INTO `icss_lis_mapping` VALUES ('285', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸水常规', '黏蛋白定性', '黏蛋白(胸水)');
INSERT INTO `icss_lis_mapping` VALUES ('286', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸水常规', '凝固性', '凝固性(胸水)');
INSERT INTO `icss_lis_mapping` VALUES ('287', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸水常规', '透明度', '透明度(胸水)');
INSERT INTO `icss_lis_mapping` VALUES ('288', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸水常规', '细胞计数', '细胞计数(胸水)');
INSERT INTO `icss_lis_mapping` VALUES ('289', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸水常规', '颜色', '颜色(胸水)');
INSERT INTO `icss_lis_mapping` VALUES ('290', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸水常规', '异型细胞', '异型细胞(胸水)');
INSERT INTO `icss_lis_mapping` VALUES ('291', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸水常规', '蛋白定量', '蛋白质(胸水)');
INSERT INTO `icss_lis_mapping` VALUES ('292', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸水常规', '乳酸脱氢酶', '乳酸脱氢酶(胸水)');
INSERT INTO `icss_lis_mapping` VALUES ('293', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸水常规', '葡萄糖定量', '葡萄糖(胸水)');
INSERT INTO `icss_lis_mapping` VALUES ('294', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血功能常规', '凝血酶时间(TT)', '凝血酶时间');
INSERT INTO `icss_lis_mapping` VALUES ('295', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血功能常规', '凝血酶原时间比', '凝血酶原时间比');
INSERT INTO `icss_lis_mapping` VALUES ('296', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血功能常规', '凝血酶原活动度', '凝血酶原活动度');
INSERT INTO `icss_lis_mapping` VALUES ('297', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血功能常规', '凝血酶原时间(PT)', '凝血酶原时间');
INSERT INTO `icss_lis_mapping` VALUES ('298', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血功能常规', '国际标准化比值', '国际标准化比值');
INSERT INTO `icss_lis_mapping` VALUES ('299', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血功能常规', '纤维蛋白原(FIB)', '纤维蛋白原');
INSERT INTO `icss_lis_mapping` VALUES ('300', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血功能常规', 'D-二聚体', 'D-二聚体');
INSERT INTO `icss_lis_mapping` VALUES ('301', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血功能常规', '凝血时间(CT)', '凝血时间');
INSERT INTO `icss_lis_mapping` VALUES ('302', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血功能常规', '部分活化凝血活酶时间(APTT)', '部分活化凝血活酶时间');
INSERT INTO `icss_lis_mapping` VALUES ('303', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血功能常规', '活化凝血时间(ACTH)', '活化凝血时间');
INSERT INTO `icss_lis_mapping` VALUES ('304', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心肌酶谱', 'α-羟丁酸脱氢酶', 'α-羟丁酸脱氢酶');
INSERT INTO `icss_lis_mapping` VALUES ('305', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心肌酶谱', '乳酸脱氢酶', '乳酸脱氢酶');
INSERT INTO `icss_lis_mapping` VALUES ('306', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心肌酶谱', '肌酸激酶同工酶CK-MM', '肌酸激酶同工酶CK-MM');
INSERT INTO `icss_lis_mapping` VALUES ('307', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心肌酶谱', 'CK-MB/CK', 'CK-MB/CK');
INSERT INTO `icss_lis_mapping` VALUES ('308', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心肌酶谱', '肌酸激酶同工酶CK-MB', '肌酸激酶同工酶CK-MB');
INSERT INTO `icss_lis_mapping` VALUES ('309', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心肌酶谱', '肌酸激酶同工酶CK-BB', '脑型肌酸激酶同工酶');
INSERT INTO `icss_lis_mapping` VALUES ('310', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心肌酶谱', '血清肌酸激酶CK', '肌酸激酶');
INSERT INTO `icss_lis_mapping` VALUES ('311', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心肌酶谱', '缺血修饰白蛋白', '缺血修饰白蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('312', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心肌酶谱', '肌钙蛋白T(cTnT)', '肌钙蛋白T');
INSERT INTO `icss_lis_mapping` VALUES ('313', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心肌酶谱', '肌钙蛋白Ⅰ(cTnI)', '肌钙蛋白Ⅰ');
INSERT INTO `icss_lis_mapping` VALUES ('314', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '优生优育', '风疹病毒抗体IgM', '风疹病毒抗体IgM');
INSERT INTO `icss_lis_mapping` VALUES ('315', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '优生优育', '风疹病毒抗体IgG', '风疹病毒抗体IgG');
INSERT INTO `icss_lis_mapping` VALUES ('316', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '优生优育', '单纯疱疹病毒II型抗体IgM', '单纯疱疹病毒II型抗体IgM');
INSERT INTO `icss_lis_mapping` VALUES ('317', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '优生优育', '单纯疱疹病毒II型抗体IgG', '单纯疱疹病毒II型抗体IgG');
INSERT INTO `icss_lis_mapping` VALUES ('318', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '优生优育', '单纯疱疹病毒I型抗体IgM', '单纯疱疹病毒I型抗体IgM');
INSERT INTO `icss_lis_mapping` VALUES ('319', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '优生优育', '单纯疱疹病毒I型抗体IgG', '单纯疱疹病毒I型抗体IgG');
INSERT INTO `icss_lis_mapping` VALUES ('320', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '优生优育', '弓形虫抗体IgG', '弓形虫抗体IgG');
INSERT INTO `icss_lis_mapping` VALUES ('321', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '优生优育', '弓形虫抗体IgM', '弓形虫抗体IgM');
INSERT INTO `icss_lis_mapping` VALUES ('322', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '优生优育', '巨细胞病毒抗体IgG', '巨细胞病毒抗体IgG');
INSERT INTO `icss_lis_mapping` VALUES ('323', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '优生优育', '巨细胞病毒抗体IgM', '巨细胞病毒抗体IgM');
INSERT INTO `icss_lis_mapping` VALUES ('324', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肾功能', '尿酸', '尿酸');
INSERT INTO `icss_lis_mapping` VALUES ('325', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肾功能', '血清胱抑素', '胱抑素');
INSERT INTO `icss_lis_mapping` VALUES ('326', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肾功能', '肌酐', '肌酐');
INSERT INTO `icss_lis_mapping` VALUES ('327', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肾功能', '尿素氮/肌酐', '尿素氮/肌酐');
INSERT INTO `icss_lis_mapping` VALUES ('328', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肾功能', '血尿素氮', '尿素氮');
INSERT INTO `icss_lis_mapping` VALUES ('329', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肾功能', '尿α1微量球蛋白', '血α1微量球蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('330', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肾功能', '肾小球滤过率', '肾小球滤过率');
INSERT INTO `icss_lis_mapping` VALUES ('331', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿白蛋白及肌酐测定', '尿微量白蛋白', '尿微量白蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('332', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肾功能', '血清转铁蛋白', '转铁蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('333', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹水常规', '抗酸杆菌', '抗酸杆菌(腹水)');
INSERT INTO `icss_lis_mapping` VALUES ('334', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹水常规', '黏蛋白定性', '黏蛋白(腹水)');
INSERT INTO `icss_lis_mapping` VALUES ('335', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹水常规', '透明度', '透明度(腹水)');
INSERT INTO `icss_lis_mapping` VALUES ('336', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹水常规', '细胞计数', '细胞计数(腹水)');
INSERT INTO `icss_lis_mapping` VALUES ('337', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹水常规', '颜色', '颜色(腹水)');
INSERT INTO `icss_lis_mapping` VALUES ('338', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹水常规', '蛋白定量', '蛋白质(腹水)');
INSERT INTO `icss_lis_mapping` VALUES ('339', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹水常规', '乳酸脱氢酶', '乳酸脱氢酶(腹水)');
INSERT INTO `icss_lis_mapping` VALUES ('340', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹水常规', '葡萄糖定量', '葡萄糖(腹水)');
INSERT INTO `icss_lis_mapping` VALUES ('341', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '宫颈TCT', '人乳头瘤病毒', '人乳头瘤病毒(宫颈TCT)');
INSERT INTO `icss_lis_mapping` VALUES ('342', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '宫颈TCT', '标本满意度', '标本满意度(宫颈TCT)');
INSERT INTO `icss_lis_mapping` VALUES ('343', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '宫颈TCT', '滴虫感染', '滴虫(宫颈TCT)');
INSERT INTO `icss_lis_mapping` VALUES ('344', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '宫颈TCT', '化生细胞', '化生细胞(宫颈TCT)');
INSERT INTO `icss_lis_mapping` VALUES ('345', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '宫颈TCT', '颈管细胞', '颈管细胞(宫颈TCT)');
INSERT INTO `icss_lis_mapping` VALUES ('346', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '宫颈TCT', '霉菌', '霉菌(宫颈TCT)');
INSERT INTO `icss_lis_mapping` VALUES ('347', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '宫颈TCT', '疱疹病毒', '疱疹病毒(宫颈TCT)');
INSERT INTO `icss_lis_mapping` VALUES ('348', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '宫颈TCT', '细胞量', '细胞量(宫颈TCT)');
INSERT INTO `icss_lis_mapping` VALUES ('349', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液免疫学检查', '血清特异性IgM抗体', '免疫球蛋白M');
INSERT INTO `icss_lis_mapping` VALUES ('350', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液免疫学检查', '血清特异性IgG抗体', '免疫球蛋白G');
INSERT INTO `icss_lis_mapping` VALUES ('351', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液免疫学检查', '血清特异性IgE抗体', '免疫球蛋白E');
INSERT INTO `icss_lis_mapping` VALUES ('352', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液免疫学检查', '血清特异性IgA抗体', '免疫球蛋白A');
INSERT INTO `icss_lis_mapping` VALUES ('353', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液免疫学检查', '血清总补体活性', '总补体活性');
INSERT INTO `icss_lis_mapping` VALUES ('354', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液免疫学检查', '补体C4', '血清补体C4');
INSERT INTO `icss_lis_mapping` VALUES ('355', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液免疫学检查', '补体C3', '血清补体C3');
INSERT INTO `icss_lis_mapping` VALUES ('356', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液免疫学检查', '补体旁路B因子', '补体旁路B因子');
INSERT INTO `icss_lis_mapping` VALUES ('357', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血脂', '甘油三酯', '甘油三酯');
INSERT INTO `icss_lis_mapping` VALUES ('358', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血脂', '总胆固醇', '总胆固醇');
INSERT INTO `icss_lis_mapping` VALUES ('359', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血脂', '脂蛋白A', '脂蛋白A');
INSERT INTO `icss_lis_mapping` VALUES ('360', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血脂', '低密度脂蛋白胆固醇', '低密度脂蛋白胆固醇');
INSERT INTO `icss_lis_mapping` VALUES ('361', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血脂', '高密度脂蛋白胆固醇', '高密度脂蛋白胆固醇');
INSERT INTO `icss_lis_mapping` VALUES ('362', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血脂', '载脂蛋白B', '载脂蛋白B');
INSERT INTO `icss_lis_mapping` VALUES ('363', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血脂', '载脂蛋白A1', '载脂蛋白A1');
INSERT INTO `icss_lis_mapping` VALUES ('364', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血脂', '载脂蛋白A/B', '载脂蛋白A/B');
INSERT INTO `icss_lis_mapping` VALUES ('365', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '外周血涂片', '单核细胞百分比', '单核细胞百分比');
INSERT INTO `icss_lis_mapping` VALUES ('366', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '外周血涂片', '淋巴细胞百分比', '淋巴细胞百分比');
INSERT INTO `icss_lis_mapping` VALUES ('367', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '外周血涂片', '中性粒细胞百分比', '中性粒细胞百分比');
INSERT INTO `icss_lis_mapping` VALUES ('368', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '外周血涂片', '嗜酸性粒细胞百分比', '嗜酸性粒细胞百分比');
INSERT INTO `icss_lis_mapping` VALUES ('369', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '外周血涂片', '嗜碱性粒细胞百分比', '嗜碱性粒细胞百分比');
INSERT INTO `icss_lis_mapping` VALUES ('370', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '外周血涂片', '红细胞分布宽度标准差', '血红细胞分布宽度标准差');
INSERT INTO `icss_lis_mapping` VALUES ('371', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '外周血涂片', '红细胞体积分布宽度变异系', '血红细胞体积分布宽度变异系');
INSERT INTO `icss_lis_mapping` VALUES ('372', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心包积液检查', '白细胞', '白细胞(心包积液)');
INSERT INTO `icss_lis_mapping` VALUES ('373', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心包积液检查', '酸碱度', '酸碱度(心包积液)');
INSERT INTO `icss_lis_mapping` VALUES ('374', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心包积液检查', '比重', '比重(心包积液)');
INSERT INTO `icss_lis_mapping` VALUES ('375', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心包积液检查', '透明度', '透明度(心包积液)');
INSERT INTO `icss_lis_mapping` VALUES ('376', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心包积液检查', '颜色', '颜色(心包积液)');
INSERT INTO `icss_lis_mapping` VALUES ('377', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心包积液检查', '乳酸脱氢酶', '乳酸脱氢酶(心包积液)');
INSERT INTO `icss_lis_mapping` VALUES ('378', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心包积液检查', '葡萄糖定量', '葡萄糖(心包积液)');
INSERT INTO `icss_lis_mapping` VALUES ('379', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙肝三系定性', '乙肝病毒DNA', '乙肝病毒DNA');
INSERT INTO `icss_lis_mapping` VALUES ('380', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙肝三系定性', '乙肝表面抗原(HBsAg)', '乙肝表面抗原(定性)');
INSERT INTO `icss_lis_mapping` VALUES ('381', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙肝三系定性', '乙肝表面抗体(HBsAb)', '乙肝表面抗体(定性)');
INSERT INTO `icss_lis_mapping` VALUES ('382', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙肝三系定性', '乙肝e抗原(HBeAg)', '乙肝e抗原(定性)');
INSERT INTO `icss_lis_mapping` VALUES ('383', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙肝三系定性', '乙肝e抗体(HBeAb)', '乙肝e抗体(定性)');
INSERT INTO `icss_lis_mapping` VALUES ('384', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙肝三系定性', '乙肝核心抗原(HBcAg)', '乙肝核心抗原(定性)');
INSERT INTO `icss_lis_mapping` VALUES ('385', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙肝三系定性', '乙肝核心抗体(HBcAb)', '乙肝核心抗体(定性)');
INSERT INTO `icss_lis_mapping` VALUES ('386', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肿瘤标志物', '总前列腺特异性抗原(TPSA)', '总前列腺特异性抗原');
INSERT INTO `icss_lis_mapping` VALUES ('387', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肿瘤标志物', '铁蛋白(Ferritin)', '铁蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('388', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肿瘤标志物', '癌胚抗原(CEA)', '癌胚抗原');
INSERT INTO `icss_lis_mapping` VALUES ('389', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肿瘤标志物', '糖链抗原19-9(CA199)', '糖链抗原19-9');
INSERT INTO `icss_lis_mapping` VALUES ('390', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肿瘤标志物', '癌抗原15-3(CA153)', '癌抗原15-3');
INSERT INTO `icss_lis_mapping` VALUES ('391', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肿瘤标志物', '癌抗原125(CA125)', '癌抗原125');
INSERT INTO `icss_lis_mapping` VALUES ('392', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肿瘤标志物', '甲胎蛋白(AFP)', '甲胎蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('393', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肺部肿瘤标志物', '鳞状细胞癌抗原(SCC)', '鳞状细胞癌抗原');
INSERT INTO `icss_lis_mapping` VALUES ('394', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肺部肿瘤标志物', '胃泌素释放肽前体(ProGRP)', '胃泌素释放肽前体');
INSERT INTO `icss_lis_mapping` VALUES ('395', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肺部肿瘤标志物', '神经元特异性烯醇化酶(NSE)', '神经元特异性烯醇化酶');
INSERT INTO `icss_lis_mapping` VALUES ('396', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肺部肿瘤标志物', '细胞角蛋白片段19(CYFRA21-1)', '细胞角蛋白片段19');
INSERT INTO `icss_lis_mapping` VALUES ('397', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肺部肿瘤标志物', '癌胚抗原(CEA)', '癌胚抗原');
INSERT INTO `icss_lis_mapping` VALUES ('398', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肺部肿瘤标志物', '癌抗原125(CA125)', '癌抗原125');
INSERT INTO `icss_lis_mapping` VALUES ('399', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节液常规', '白细胞', '白细胞(关节液)');
INSERT INTO `icss_lis_mapping` VALUES ('400', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节液常规', '单核细胞百分比', '单核细胞百分比(关节液)');
INSERT INTO `icss_lis_mapping` VALUES ('401', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节液常规', '尿酸盐结晶', '结晶(关节液)');
INSERT INTO `icss_lis_mapping` VALUES ('402', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节液常规', '黏蛋白凝固试验', '黏蛋白凝固试验(关节液)');
INSERT INTO `icss_lis_mapping` VALUES ('403', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节液常规', '透明度', '透明度(关节液)');
INSERT INTO `icss_lis_mapping` VALUES ('404', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节液常规', '颜色', '颜色(关节液)');
INSERT INTO `icss_lis_mapping` VALUES ('405', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺功能常规', '血清总甲状腺素(TT4)', '总甲状腺素');
INSERT INTO `icss_lis_mapping` VALUES ('406', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺功能常规', '总三碘甲状腺原氨酸(TT3)', '总三碘甲状腺原氨酸');
INSERT INTO `icss_lis_mapping` VALUES ('407', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺功能常规', '促甲状腺激素', '促甲状腺激素');
INSERT INTO `icss_lis_mapping` VALUES ('408', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙肝三系定量检测', '乙肝表面抗体(HBsAb)', '乙肝表面抗体(定量)');
INSERT INTO `icss_lis_mapping` VALUES ('409', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺功能常规', '血清游离甲状腺素(FT4)', '游离甲状腺素');
INSERT INTO `icss_lis_mapping` VALUES ('410', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺功能常规', '游离三碘甲状腺激素(FT3)', '游离三碘甲状腺激素');
INSERT INTO `icss_lis_mapping` VALUES ('411', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '类风湿因子(RF)', '类风湿因子IgM', '类风湿因子IgM');
INSERT INTO `icss_lis_mapping` VALUES ('412', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '类风湿因子(RF)', '类风湿因子IgG', '类风湿因子IgG');
INSERT INTO `icss_lis_mapping` VALUES ('413', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '类风湿因子(RF)', '类风湿因子IgE', '类风湿因子IgE');
INSERT INTO `icss_lis_mapping` VALUES ('414', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '类风湿因子(RF)', '类风湿因子IgD', '类风湿因子IgD');
INSERT INTO `icss_lis_mapping` VALUES ('415', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '类风湿因子(RF)', '类风湿因子IgA', '类风湿因子IgA');
INSERT INTO `icss_lis_mapping` VALUES ('416', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '卵巢肿瘤标志物', '血绒毛膜促性腺激素', '血绒毛膜促性腺激素');
INSERT INTO `icss_lis_mapping` VALUES ('417', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '卵巢肿瘤标志物', '癌胚抗原(CEA)', '癌胚抗原');
INSERT INTO `icss_lis_mapping` VALUES ('418', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '卵巢肿瘤标志物', '癌抗原72-4(CA724)', '癌抗原72-4');
INSERT INTO `icss_lis_mapping` VALUES ('419', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '卵巢肿瘤标志物', '糖链抗原19-9(CA199)', '糖链抗原19-9');
INSERT INTO `icss_lis_mapping` VALUES ('420', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '卵巢肿瘤标志物', '癌抗原125(CA125)', '癌抗原125');
INSERT INTO `icss_lis_mapping` VALUES ('421', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '卵巢肿瘤标志物', '甲胎蛋白(AFP)', '甲胎蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('422', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痰培养', '结核杆菌', '结核分枝杆菌(痰培养)');
INSERT INTO `icss_lis_mapping` VALUES ('423', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痰培养', '肺炎球菌', '肺炎双球菌(痰培养)');
INSERT INTO `icss_lis_mapping` VALUES ('424', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痰培养', '金黄色葡萄球菌', '金黄色葡萄球菌(痰培养)');
INSERT INTO `icss_lis_mapping` VALUES ('425', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痰培养', '军团菌', '军团菌(痰培养)');
INSERT INTO `icss_lis_mapping` VALUES ('426', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痰培养', '葡萄球菌', '葡萄球菌(痰培养)');
INSERT INTO `icss_lis_mapping` VALUES ('427', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痰培养', '念珠菌', '痰培养念珠菌(痰培养)');
INSERT INTO `icss_lis_mapping` VALUES ('428', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '微量元素', '锌(Zn)', '锌');
INSERT INTO `icss_lis_mapping` VALUES ('429', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '微量元素', '硒(Se)', '硒');
INSERT INTO `icss_lis_mapping` VALUES ('430', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '微量元素', '铅(Pb)', '血铅');
INSERT INTO `icss_lis_mapping` VALUES ('431', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '微量元素', '碘(I)', '血碘');
INSERT INTO `icss_lis_mapping` VALUES ('432', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '微量元素', '铁(Fe)', '铁');
INSERT INTO `icss_lis_mapping` VALUES ('433', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '微量元素', '铜(Cu)', '铜');
INSERT INTO `icss_lis_mapping` VALUES ('434', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽拭子培养', '结核杆菌', '结核杆菌(咽拭子培养)');
INSERT INTO `icss_lis_mapping` VALUES ('435', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽拭子培养', '肺炎克雷伯氏菌', '肺炎克雷伯氏菌(咽拭子培养)');
INSERT INTO `icss_lis_mapping` VALUES ('436', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽拭子培养', '肺炎双球菌', '肺炎双球菌(咽拭子培养)');
INSERT INTO `icss_lis_mapping` VALUES ('437', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽拭子培养', '酵母菌', '酵母菌(咽拭子培养)');
INSERT INTO `icss_lis_mapping` VALUES ('438', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽拭子培养', '军团菌', '军团菌(咽拭子培养)');
INSERT INTO `icss_lis_mapping` VALUES ('439', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽拭子培养', '葡萄球菌', '葡萄球菌(咽拭子培养)');
INSERT INTO `icss_lis_mapping` VALUES ('440', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'EB病毒', 'EB病毒DNA酶抗体', 'EB病毒DNA酶抗体');
INSERT INTO `icss_lis_mapping` VALUES ('441', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'EB病毒', 'EB病毒DNA酶抗体', 'EB病毒IgA/EA');
INSERT INTO `icss_lis_mapping` VALUES ('442', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'EB病毒', 'EB病毒IgA/VCA', 'EB病毒IgA/VCA');
INSERT INTO `icss_lis_mapping` VALUES ('443', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'EB病毒', 'EB病毒抗体IgG/VCA', 'EB病毒抗体IgG/VCA');
INSERT INTO `icss_lis_mapping` VALUES ('444', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'EB病毒', 'EB病毒抗体IgM/VCA', 'EB病毒抗体IgM/VCA');
INSERT INTO `icss_lis_mapping` VALUES ('445', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝纤维化', 'Ⅲ型胶原', 'Ⅲ型胶原');
INSERT INTO `icss_lis_mapping` VALUES ('446', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝纤维化', '层粘连蛋白', '层粘连蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('447', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝纤维化', 'Ⅳ型胶原', 'Ⅳ型胶原');
INSERT INTO `icss_lis_mapping` VALUES ('448', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝纤维化', '透明质酸', '透明质酸');
INSERT INTO `icss_lis_mapping` VALUES ('449', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝纤维化', '甘胆酸', '甘胆酸');
INSERT INTO `icss_lis_mapping` VALUES ('450', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '消化道肿瘤标志物', '癌胚抗原(CEA)', '癌胚抗原');
INSERT INTO `icss_lis_mapping` VALUES ('451', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '消化道肿瘤标志物', '癌抗原72-4(CA724)', '癌抗原72-4');
INSERT INTO `icss_lis_mapping` VALUES ('452', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '消化道肿瘤标志物', '癌抗原242(CA242)', '癌抗原242');
INSERT INTO `icss_lis_mapping` VALUES ('453', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '消化道肿瘤标志物', '糖链抗原19-9(CA199)', '糖链抗原19-9');
INSERT INTO `icss_lis_mapping` VALUES ('454', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '消化道肿瘤标志物', '甲胎蛋白(AFP)', '甲胎蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('455', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清免疫球蛋白', '免疫球蛋白M', '免疫球蛋白M');
INSERT INTO `icss_lis_mapping` VALUES ('456', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清免疫球蛋白', '免疫球蛋白G', '免疫球蛋白G');
INSERT INTO `icss_lis_mapping` VALUES ('457', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清免疫球蛋白', '免疫球蛋白E', '免疫球蛋白E');
INSERT INTO `icss_lis_mapping` VALUES ('458', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清免疫球蛋白', '免疫球蛋白D', '免疫球蛋白D');
INSERT INTO `icss_lis_mapping` VALUES ('459', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清免疫球蛋白', '免疫球蛋白A', '免疫球蛋白A');
INSERT INTO `icss_lis_mapping` VALUES ('460', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'T淋巴细胞亚群', 'CD8', 'CD8(T淋巴细胞亚群)');
INSERT INTO `icss_lis_mapping` VALUES ('461', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'T淋巴细胞亚群', 'CD4/CD8', 'CD4/CD8(T淋巴细胞亚群)');
INSERT INTO `icss_lis_mapping` VALUES ('462', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'T淋巴细胞亚群', 'CD4', 'CD4(T淋巴细胞亚群)');
INSERT INTO `icss_lis_mapping` VALUES ('463', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'T淋巴细胞亚群', 'CD3', 'CD3(T淋巴细胞亚群)');
INSERT INTO `icss_lis_mapping` VALUES ('464', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便培养', '结核杆菌', '结核杆菌(粪便培养)');
INSERT INTO `icss_lis_mapping` VALUES ('465', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便培养', '霍乱弧菌', '霍乱弧菌(粪便培养)');
INSERT INTO `icss_lis_mapping` VALUES ('466', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便培养', '艰难梭状杆菌', '艰难梭状杆菌(粪便培养)');
INSERT INTO `icss_lis_mapping` VALUES ('467', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便培养', '志贺氏菌', '志贺氏菌(粪便培养)');
INSERT INTO `icss_lis_mapping` VALUES ('468', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝脏肿瘤标志物', '铁蛋白(Ferritin)', '铁蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('469', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝脏肿瘤标志物', '癌胚抗原(CEA)', '癌胚抗原');
INSERT INTO `icss_lis_mapping` VALUES ('470', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝脏肿瘤标志物', '糖链抗原19-9(CA199)', '糖链抗原19-9');
INSERT INTO `icss_lis_mapping` VALUES ('471', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝脏肿瘤标志物', '甲胎蛋白(AFP)', '甲胎蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('472', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体系列', '抗胰岛素抗体', '抗胰岛素抗体');
INSERT INTO `icss_lis_mapping` VALUES ('473', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体系列', '抗线粒体抗体(AMA)', '抗线粒体抗体');
INSERT INTO `icss_lis_mapping` VALUES ('474', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体系列', '抗ds-DNA抗体', '抗ds-DNA抗体');
INSERT INTO `icss_lis_mapping` VALUES ('475', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体系列', '抗ss-DNA抗体', '抗ss-DNA抗体');
INSERT INTO `icss_lis_mapping` VALUES ('476', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰岛细胞抗体', '抗胰岛细胞抗体', '抗胰岛细胞抗体');
INSERT INTO `icss_lis_mapping` VALUES ('477', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰岛细胞抗体', '胰岛素自身抗体', '胰岛素自身抗体');
INSERT INTO `icss_lis_mapping` VALUES ('478', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰岛细胞抗体', '蛋白酪氨酸磷酸酶抗体', '蛋白酪氨酸磷酸酶抗体');
INSERT INTO `icss_lis_mapping` VALUES ('479', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰岛细胞抗体', '谷氨酸脱羧酶抗体', '谷氨酸脱羧酶抗体');
INSERT INTO `icss_lis_mapping` VALUES ('480', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '子宫肿瘤标志物', '鳞状细胞癌抗原(SCC)', '鳞状细胞癌抗原');
INSERT INTO `icss_lis_mapping` VALUES ('481', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '子宫肿瘤标志物', '血绒毛膜促性腺激素', '血绒毛膜促性腺激素');
INSERT INTO `icss_lis_mapping` VALUES ('482', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '子宫肿瘤标志物', '癌胚抗原(CEA)', '癌胚抗原');
INSERT INTO `icss_lis_mapping` VALUES ('483', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '子宫肿瘤标志物', '癌抗原125(CA125)', '癌抗原125');
INSERT INTO `icss_lis_mapping` VALUES ('484', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '丙肝抗体(HCVAb)', '丙肝病毒RNA(HCV-RNA)', '丙肝病毒RNA');
INSERT INTO `icss_lis_mapping` VALUES ('485', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '丙肝抗体(HCVAb)', '丙肝病毒抗体IgM', '丙肝病毒抗体IgM');
INSERT INTO `icss_lis_mapping` VALUES ('486', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '丙肝抗体(HCVAb)', '丙肝病毒抗体IgG', '丙肝病毒抗体IgG');
INSERT INTO `icss_lis_mapping` VALUES ('487', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '快速BV检测', 'H2O2', 'H2O2(阴道分泌物)');
INSERT INTO `icss_lis_mapping` VALUES ('488', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '快速BV检测', '白细胞酯酶', '白细胞酯酶(阴道分泌物)');
INSERT INTO `icss_lis_mapping` VALUES ('489', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '快速BV检测', '唾液酸酐酶活性', '唾液酸酐酶活性(阴道分泌物)');
INSERT INTO `icss_lis_mapping` VALUES ('490', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '利钠肽检查', 'NT-proBNP', 'N端-B型钠尿肽前体');
INSERT INTO `icss_lis_mapping` VALUES ('491', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '利钠肽检查', '脑利钠肽', '脑利钠肽');
INSERT INTO `icss_lis_mapping` VALUES ('492', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '利钠肽检查', '心房利钠肽 ', '心房利钠肽');
INSERT INTO `icss_lis_mapping` VALUES ('493', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '流行性出血热病毒测定', '流行性出血热病毒RNA', '流行性出血热病毒RNA');
INSERT INTO `icss_lis_mapping` VALUES ('494', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '流行性出血热病毒测定', '流行性出血热病毒IgM', '流行性出血热病毒IgM');
INSERT INTO `icss_lis_mapping` VALUES ('495', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '流行性出血热病毒测定', '流行性出血热病毒IgG', '流行性出血热病毒IgG');
INSERT INTO `icss_lis_mapping` VALUES ('496', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '梅毒检测', '梅毒荧光抗体IgM吸附试验', '梅毒螺旋体抗体IgM');
INSERT INTO `icss_lis_mapping` VALUES ('497', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '梅毒检测', '梅毒荧光抗体IgG吸附试验', '梅毒螺旋体抗体IgG');
INSERT INTO `icss_lis_mapping` VALUES ('498', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '梅毒检测', '梅毒特异性抗体', '梅毒特异性抗体');
INSERT INTO `icss_lis_mapping` VALUES ('499', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '泌尿系统脱落细胞学检查', '恶性细胞', '恶性细胞(泌尿系统脱落细胞学检查)');
INSERT INTO `icss_lis_mapping` VALUES ('500', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '泌尿系统脱落细胞学检查', '可疑恶性细胞', '可疑恶性细胞(泌尿系统脱落细胞学检查)');
INSERT INTO `icss_lis_mapping` VALUES ('501', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '泌尿系统脱落细胞学检查', '异型细胞', '异型细胞(泌尿系统脱落细胞学检查)');
INSERT INTO `icss_lis_mapping` VALUES ('502', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '人巨细胞病毒检测', '巨细胞病毒DNA', '巨细胞病毒DNA');
INSERT INTO `icss_lis_mapping` VALUES ('503', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '人巨细胞病毒检测', '巨细胞病毒抗体IgG', '巨细胞病毒抗体IgG');
INSERT INTO `icss_lis_mapping` VALUES ('504', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '人巨细胞病毒检测', '巨细胞病毒抗体IgM', '巨细胞病毒抗体IgM');
INSERT INTO `icss_lis_mapping` VALUES ('505', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痰涂片', '结核杆菌', '结核分枝杆菌(痰涂片)');
INSERT INTO `icss_lis_mapping` VALUES ('506', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痰涂片', '肺炎球菌', '肺炎双球菌(痰涂片)');
INSERT INTO `icss_lis_mapping` VALUES ('507', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痰涂片', '金黄色葡萄球菌', '金黄色葡萄球菌(痰涂片)');
INSERT INTO `icss_lis_mapping` VALUES ('508', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清酶原检测', '乳酸脱氢酶', '乳酸脱氢酶');
INSERT INTO `icss_lis_mapping` VALUES ('509', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清酶原检测', '肌酸磷酸激酶', '肌酸激酶');
INSERT INTO `icss_lis_mapping` VALUES ('510', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清酶原检测', '谷丙转氨酶', '谷丙转氨酶');
INSERT INTO `icss_lis_mapping` VALUES ('511', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'C肽测定', '血清C肽', 'C肽');
INSERT INTO `icss_lis_mapping` VALUES ('512', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'C肽测定', '空腹C肽', '空腹C肽');
INSERT INTO `icss_lis_mapping` VALUES ('513', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'Tau蛋白', '总Tau蛋白', 'Tau蛋白(脑脊液)');
INSERT INTO `icss_lis_mapping` VALUES ('514', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'Tau蛋白', '磷酸化Tau蛋白', '脑脊液磷酸化Tau蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('515', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '氨基己糖酶同工酶', '氨基己糖酶同工酶A', '氨基己糖酶同工酶A');
INSERT INTO `icss_lis_mapping` VALUES ('516', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '氨基己糖酶同工酶', '氨基己糖酶同工酶B', '氨基己糖酶同工酶B');
INSERT INTO `icss_lis_mapping` VALUES ('517', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '单纯疱疹病毒Ⅰ型抗体', '单纯疱疹病毒I型抗体IgM', '单纯疱疹病毒I型抗体IgM');
INSERT INTO `icss_lis_mapping` VALUES ('518', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '单纯疱疹病毒Ⅰ型抗体', '单纯疱疹病毒I型抗体IgG', '单纯疱疹病毒I型抗体IgG');
INSERT INTO `icss_lis_mapping` VALUES ('519', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '单纯疱疹病毒Ⅱ型抗体', '单纯疱疹病毒II型抗体IgM', '单纯疱疹病毒II型抗体IgM');
INSERT INTO `icss_lis_mapping` VALUES ('520', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '单纯疱疹病毒Ⅱ型抗体', '单纯疱疹病毒II型抗体IgG', '单纯疱疹病毒II型抗体IgG');
INSERT INTO `icss_lis_mapping` VALUES ('521', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '风疹病毒抗体', '风疹病毒抗体IgM', '风疹病毒抗体IgM');
INSERT INTO `icss_lis_mapping` VALUES ('522', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '风疹病毒抗体', '风疹病毒抗体IgG', '风疹病毒抗体IgG');
INSERT INTO `icss_lis_mapping` VALUES ('523', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝脓肿穿刺液培养', '阿米巴滋养体', '阿米巴滋养体(肝脓肿穿刺液)');
INSERT INTO `icss_lis_mapping` VALUES ('524', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝脓肿穿刺液培养', '细菌', '细菌(肝脓肿穿刺液)');
INSERT INTO `icss_lis_mapping` VALUES ('525', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '弓形虫抗体', '弓形虫抗体IgG', '弓形虫抗体IgG');
INSERT INTO `icss_lis_mapping` VALUES ('526', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '弓形虫抗体', '弓形虫抗体IgM', '弓形虫抗体IgM');
INSERT INTO `icss_lis_mapping` VALUES ('527', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '军团菌抗原抗体检测', '军团菌抗体', '军团菌抗体(血)');
INSERT INTO `icss_lis_mapping` VALUES ('528', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '军团菌抗原抗体检测', '军团菌抗原', '军团菌抗原(血)');
INSERT INTO `icss_lis_mapping` VALUES ('529', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '柯萨奇病毒检测', '柯萨奇病毒IgG', '柯萨奇病毒IgG');
INSERT INTO `icss_lis_mapping` VALUES ('530', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '柯萨奇病毒检测', '柯萨奇病毒IgM', '柯萨奇病毒IgM');
INSERT INTO `icss_lis_mapping` VALUES ('531', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '轮状病毒检测', '轮状病毒RNA', '轮状病毒RNA');
INSERT INTO `icss_lis_mapping` VALUES ('532', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '轮状病毒检测', '轮状病毒抗体', '轮状病毒抗体');
INSERT INTO `icss_lis_mapping` VALUES ('533', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '麻疹病毒', '麻疹病毒抗体IgG', '麻疹病毒抗体IgG');
INSERT INTO `icss_lis_mapping` VALUES ('534', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '麻疹病毒', '麻疹病毒抗体IgM', '麻疹病毒抗体IgM');
INSERT INTO `icss_lis_mapping` VALUES ('535', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿培养加菌落计数', '大肠杆菌菌落数', '大肠杆菌菌落数(尿培养)');
INSERT INTO `icss_lis_mapping` VALUES ('536', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿培养加菌落计数', '菌落计数', '菌落计数(尿培养加菌落计数)');
INSERT INTO `icss_lis_mapping` VALUES ('537', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '疟原虫检测', '疟原虫抗体', '疟原虫抗体');
INSERT INTO `icss_lis_mapping` VALUES ('538', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '疟原虫检测', '疟原虫抗原', '疟原虫抗原');
INSERT INTO `icss_lis_mapping` VALUES ('539', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '全血丙酮酸测定', '丙酮酸', '血丙酮酸');
INSERT INTO `icss_lis_mapping` VALUES ('540', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '全血丙酮酸测定', '乳酸/丙酮酸', '乳酸/丙酮酸');
INSERT INTO `icss_lis_mapping` VALUES ('541', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '沙眼衣原体抗体检测', '沙眼衣原体抗体IgG', '沙眼衣原体抗体IgG');
INSERT INTO `icss_lis_mapping` VALUES ('542', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '沙眼衣原体抗体检测', '沙眼衣原体抗体IgM', '沙眼衣原体抗体IgM');
INSERT INTO `icss_lis_mapping` VALUES ('543', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '小剂量地塞米松抑制试验', '尿皮质醇', '尿皮质醇(小剂量地塞米松抑制试验)');
INSERT INTO `icss_lis_mapping` VALUES ('544', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '小剂量地塞米松抑制试验', '血皮质醇', '血皮质醇(小剂量地塞米松抑制试验)');
INSERT INTO `icss_lis_mapping` VALUES ('545', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸水培养', '结核分枝杆菌', '结核分枝杆菌(胸水培养)');
INSERT INTO `icss_lis_mapping` VALUES ('546', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸水培养', '军团菌', '军团菌(胸水培养)');
INSERT INTO `icss_lis_mapping` VALUES ('547', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血型', 'Rh血型', 'Rh血型');
INSERT INTO `icss_lis_mapping` VALUES ('548', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血型', 'ABO血型', 'ABO血型');
INSERT INTO `icss_lis_mapping` VALUES ('549', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '支原体抗体', '支原体抗体IgG', '支原体抗体IgG');
INSERT INTO `icss_lis_mapping` VALUES ('550', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '支原体抗体', '支原体抗体IgM', '支原体抗体IgM');
INSERT INTO `icss_lis_mapping` VALUES ('551', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17α羟孕酮测定', '17α羟孕酮', '17α羟孕酮');
INSERT INTO `icss_lis_mapping` VALUES ('552', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24小时尿蛋白定量检测', '24小时尿蛋白', '尿蛋白定量');
INSERT INTO `icss_lis_mapping` VALUES ('553', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25羟维生素D', '25羟维生素D', '血25羟维生素D');
INSERT INTO `icss_lis_mapping` VALUES ('554', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'ABO血型', 'ABO血型', 'ABO血型');
INSERT INTO `icss_lis_mapping` VALUES ('555', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'Aβ蛋白', 'Aβ蛋白', '血Aβ蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('556', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'C反应蛋白', 'C反应蛋白', 'C反应蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('557', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'Rh血型', 'Rh血型', 'Rh血型');
INSERT INTO `icss_lis_mapping` VALUES ('558', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'T3摄取率', 'T3摄取率', 'T3摄取率');
INSERT INTO `icss_lis_mapping` VALUES ('559', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'TSPOT.TB试验', 'TSPOT', 'TSPOT.TB试验');
INSERT INTO `icss_lis_mapping` VALUES ('560', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'β2-微球蛋白', 'β2-微球蛋白', '血β2-微球蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('561', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '癌抗原125(CA125)', '癌抗原125(CA125)', '癌抗原125');
INSERT INTO `icss_lis_mapping` VALUES ('562', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '癌抗原15-3(CA153)', '癌抗原15-3(CA153)', '癌抗原15-3');
INSERT INTO `icss_lis_mapping` VALUES ('563', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '癌抗原242(CA242)', '癌抗原242(CA242)', '癌抗原242');
INSERT INTO `icss_lis_mapping` VALUES ('564', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '癌抗原50(CA50)', '癌抗原50(CA50)', '癌抗原50');
INSERT INTO `icss_lis_mapping` VALUES ('565', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '癌抗原72-4(CA724)', '癌抗原72-4(CA724)', '癌抗原72-4');
INSERT INTO `icss_lis_mapping` VALUES ('566', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '癌胚抗原(CEA)', '癌胚抗原(CEA)', '癌胚抗原');
INSERT INTO `icss_lis_mapping` VALUES ('567', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '丙肝病毒RNA(HCV-RNA)', '丙肝病毒RNA(HCV-RNA)', '丙肝病毒RNA');
INSERT INTO `icss_lis_mapping` VALUES ('568', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '补体C3测定', '补体C3', '血清补体C3');
INSERT INTO `icss_lis_mapping` VALUES ('569', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '补体C4测定', '补体C4', '血清补体C4');
INSERT INTO `icss_lis_mapping` VALUES ('570', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '补体旁路B因子检测', '补体旁路B因子', '补体旁路B因子');
INSERT INTO `icss_lis_mapping` VALUES ('571', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '部分活化凝血活酶时间(APTT)', '部分活化凝血活酶时间(APTT)', '部分活化凝血活酶时间');
INSERT INTO `icss_lis_mapping` VALUES ('572', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '餐后2小时血糖', '餐后2小时血糖', '餐后血糖(2h)');
INSERT INTO `icss_lis_mapping` VALUES ('573', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '餐后2小时胰岛素', '胰岛素2hINS', '餐后胰岛素(2h)');
INSERT INTO `icss_lis_mapping` VALUES ('574', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '超敏C反应蛋白', '超敏C反应蛋白', '超敏C反应蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('575', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '出血热病毒抗体检测', '出血热病毒抗体IgM', '出血热病毒抗体IgM');
INSERT INTO `icss_lis_mapping` VALUES ('576', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '出血时间(BT)', '出血时间(BT)', '出血时间');
INSERT INTO `icss_lis_mapping` VALUES ('577', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '雌二醇(E2)测定', '雌二醇(E2)', '雌二醇');
INSERT INTO `icss_lis_mapping` VALUES ('578', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '雌三醇(E3)测定', '雌三醇(E3)', '雌三醇');
INSERT INTO `icss_lis_mapping` VALUES ('579', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '雌酮测定', '雌酮', '雌酮');
INSERT INTO `icss_lis_mapping` VALUES ('580', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促红细胞生成素(EPO)', '促红细胞生成素(EPO)', '促红细胞生成素');
INSERT INTO `icss_lis_mapping` VALUES ('581', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促黄体生成素', '促黄体生成素', '促黄体生成素');
INSERT INTO `icss_lis_mapping` VALUES ('582', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促甲状腺激素(TSH)', '促甲状腺激素', '促甲状腺激素');
INSERT INTO `icss_lis_mapping` VALUES ('583', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促甲状腺激素释放激素(TRH)', '促甲状腺激素释放激素(TRH)', '促甲状腺激素释放激素');
INSERT INTO `icss_lis_mapping` VALUES ('584', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺自身抗体检测', '促甲状腺素受体抗体(TRAb)', '促甲状腺素受体抗体');
INSERT INTO `icss_lis_mapping` VALUES ('585', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促卵泡激素', '促卵泡激素', '促卵泡激素');
INSERT INTO `icss_lis_mapping` VALUES ('586', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促肾上腺皮质激素(ACTH)', '促肾上腺皮质激素(ACTH)', '促肾上腺皮质激素');
INSERT INTO `icss_lis_mapping` VALUES ('587', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '催产素', '催产素', '催产素');
INSERT INTO `icss_lis_mapping` VALUES ('588', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '催乳激素', '催乳激素', '催乳激素');
INSERT INTO `icss_lis_mapping` VALUES ('589', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '多巴胺', '多巴胺', '尿多巴胺');
INSERT INTO `icss_lis_mapping` VALUES ('590', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '反三碘甲腺原氨酸(rT3)', '反三碘甲腺原氨酸(rT3)', '反三碘甲腺原氨酸');
INSERT INTO `icss_lis_mapping` VALUES ('591', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '分枝杆菌培养及鉴定', '结核杆菌', '结核杆菌(分枝杆菌培养及鉴定)');
INSERT INTO `icss_lis_mapping` VALUES ('592', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便结核杆菌', '结核杆菌', '结核杆菌(粪便结核杆菌)');
INSERT INTO `icss_lis_mapping` VALUES ('593', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便隐血试验', '隐血', '粪便隐血');
INSERT INTO `icss_lis_mapping` VALUES ('594', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹水培养', '抗酸杆菌', '抗酸杆菌(腹水培养)');
INSERT INTO `icss_lis_mapping` VALUES ('595', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '睾酮(T)测定', '睾酮(T)', '睾酮');
INSERT INTO `icss_lis_mapping` VALUES ('596', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '宫颈碘试验', '宫颈碘试验', '宫颈碘试验');
INSERT INTO `icss_lis_mapping` VALUES ('597', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '骨钙素', '骨钙素', '骨钙素');
INSERT INTO `icss_lis_mapping` VALUES ('598', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过夜地塞米松抑制试验', '血皮质醇', '血皮质醇(过夜地塞米松抑制试验)');
INSERT INTO `icss_lis_mapping` VALUES ('599', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲肝抗体测定(HAVIgM)', '甲肝抗体测定(HAVIgM)', '甲肝抗体IgM');
INSERT INTO `icss_lis_mapping` VALUES ('600', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲胎蛋白(AFP)', '甲胎蛋白(AFP)', '甲胎蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('601', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状旁腺激素(PTH)测定', '甲状旁腺激素(PTH)', '甲状旁腺激素');
INSERT INTO `icss_lis_mapping` VALUES ('602', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺自身抗体检测', '抗甲状腺过氧化物酶抗体', '抗甲状腺过氧化物酶抗体');
INSERT INTO `icss_lis_mapping` VALUES ('603', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺球蛋白(TG)', '甲状腺球蛋白(TG)', '甲状腺球蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('604', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺自身抗体检测', '甲状腺球蛋白抗体(TGAb)', '甲状腺球蛋白抗体');
INSERT INTO `icss_lis_mapping` VALUES ('605', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺素结合球蛋白(TBG)', '甲状腺素结合球蛋白(TBG)', '甲状腺素结合球蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('606', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '降钙素(CT)测定', '降钙素(CT)', '降钙素');
INSERT INTO `icss_lis_mapping` VALUES ('607', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '降钙素原(PCT)测定', '降钙素原(PCT)', '降钙素原');
INSERT INTO `icss_lis_mapping` VALUES ('608', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '结核杆菌基因检测', '结核杆菌DNA', '结核分枝杆菌DNA(血)');
INSERT INTO `icss_lis_mapping` VALUES ('609', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '结核杆菌抗体检测', '结核杆菌抗体', '结核分枝杆菌抗体(血)');
INSERT INTO `icss_lis_mapping` VALUES ('610', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '结核杆菌抗原检测', '结核杆菌抗原', '结核分枝杆菌抗原(血)');
INSERT INTO `icss_lis_mapping` VALUES ('611', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '结核菌素试验', '结核菌素', '结核菌素试验');
INSERT INTO `icss_lis_mapping` VALUES ('612', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '巨细胞病毒抗原血症', '巨细胞病毒抗原血症', 'CMV-PP65抗原');
INSERT INTO `icss_lis_mapping` VALUES ('613', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗M蛋白抗体', '抗M蛋白抗体', '抗M蛋白抗体');
INSERT INTO `icss_lis_mapping` VALUES ('614', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺自身抗体检测', '抗甲状腺球蛋白抗体', '抗甲状腺球蛋白抗体');
INSERT INTO `icss_lis_mapping` VALUES ('615', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺自身抗体检测', '抗甲状腺微粒体抗体', '抗甲状腺微粒体抗体');
INSERT INTO `icss_lis_mapping` VALUES ('616', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗狂犬病毒抗体IgG', '抗狂犬病毒抗体IgG', '抗狂犬病毒抗体IgG');
INSERT INTO `icss_lis_mapping` VALUES ('617', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗利尿激素', '血浆抗利尿激素', '抗利尿激素');
INSERT INTO `icss_lis_mapping` VALUES ('618', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗链球菌激酶(ASK)', '抗链球菌激酶(ASK)', '抗链球菌激酶');
INSERT INTO `icss_lis_mapping` VALUES ('619', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗链球菌菌酶', '抗链球菌菌酶', '抗链球菌菌酶');
INSERT INTO `icss_lis_mapping` VALUES ('620', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗链球菌溶血素O测定(ASO)', '抗链球菌溶血素O测定(ASO)', '抗链球菌溶血素O');
INSERT INTO `icss_lis_mapping` VALUES ('621', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗平滑肌抗体', '抗平滑肌抗体', '抗平滑肌抗体');
INSERT INTO `icss_lis_mapping` VALUES ('622', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗透明质酸酶(AH)', '抗透明质酸酶(AH)', '抗透明质酸酶');
INSERT INTO `icss_lis_mapping` VALUES ('623', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗脱氧核糖核酸酶B(ADNA-B)', '抗脱氧核糖核酸酶B(ADNA-B)', '抗脱氧核糖核酸酶B');
INSERT INTO `icss_lis_mapping` VALUES ('624', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗系统性硬化症抗体', '抗系统性硬化症抗体', '抗系统性硬化症抗体');
INSERT INTO `icss_lis_mapping` VALUES ('625', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗乙酰胆碱受体抗体', '抗乙酰胆碱受体抗体', '抗乙酰胆碱受体抗体');
INSERT INTO `icss_lis_mapping` VALUES ('626', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '空腹血糖', '空腹血糖', '空腹血糖');
INSERT INTO `icss_lis_mapping` VALUES ('627', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '空腹胰岛素', '空腹胰岛素', '空腹胰岛素');
INSERT INTO `icss_lis_mapping` VALUES ('628', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '类胰岛素样生长因子-1(IGF-1)', '类胰岛素样生长因子-1', '类胰岛素样生长因子-1');
INSERT INTO `icss_lis_mapping` VALUES ('629', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '类胰岛素样生长因子结合蛋白-3(IGF-BP3)', '类胰岛素样生长因子结合蛋白-3', '类胰岛素样生长因子结合蛋白-3');
INSERT INTO `icss_lis_mapping` VALUES ('630', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鳞状细胞癌抗原(SCC)', '鳞状细胞癌抗原(SCC)', '鳞状细胞癌抗原');
INSERT INTO `icss_lis_mapping` VALUES ('631', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '流行性乙型脑炎病毒抗体检测', '流行性乙型脑炎病毒抗体IgM', '柯萨奇病毒IgG');
INSERT INTO `icss_lis_mapping` VALUES ('632', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿17-羟皮质类固醇', '尿17-羟皮质类固醇', '尿17-羟皮质类固醇');
INSERT INTO `icss_lis_mapping` VALUES ('633', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿17-酮皮质类固醇', '尿17-酮皮质类固醇', '尿17-酮皮质类固醇');
INSERT INTO `icss_lis_mapping` VALUES ('634', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿淀粉酶', '尿淀粉酶', '尿淀粉酶');
INSERT INTO `icss_lis_mapping` VALUES ('635', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿儿茶酚胺', '尿儿茶酚胺', '尿儿茶酚胺');
INSERT INTO `icss_lis_mapping` VALUES ('636', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿高香草酸', '尿高香草酸', '尿高香草酸');
INSERT INTO `icss_lis_mapping` VALUES ('637', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿甲氧基去甲肾上腺素(NMN)', '尿甲氧基去甲肾上腺素(NMN)', '尿甲氧基去甲肾上腺素');
INSERT INTO `icss_lis_mapping` VALUES ('638', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿甲氧基肾上腺素(MN)', '尿甲氧基肾上腺素(MN)', '尿甲氧基肾上腺素');
INSERT INTO `icss_lis_mapping` VALUES ('639', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿醛固酮', '尿醛固酮', '尿醛固酮');
INSERT INTO `icss_lis_mapping` VALUES ('640', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿绒毛膜促性腺激素(尿HCG)', '尿绒毛膜促性腺激素(尿HCG)', '尿绒毛膜促性腺激素');
INSERT INTO `icss_lis_mapping` VALUES ('641', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿香草扁桃酸(VMA)', '尿香草扁桃酸(VMA)', '尿香草扁桃酸');
INSERT INTO `icss_lis_mapping` VALUES ('642', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血酶时间(TT)', '凝血酶时间(TT)', '凝血酶时间');
INSERT INTO `icss_lis_mapping` VALUES ('643', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血酶原时间(PT)', '凝血酶原时间(PT)', '凝血酶原时间');
INSERT INTO `icss_lis_mapping` VALUES ('644', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血时间(CT)', '凝血时间(CT)', '凝血时间');
INSERT INTO `icss_lis_mapping` VALUES ('645', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮质醇测定', '皮质醇', '血皮质醇');
INSERT INTO `icss_lis_mapping` VALUES ('646', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '前列腺特异抗原', '前列腺特异抗原', '总前列腺特异性抗原');
INSERT INTO `icss_lis_mapping` VALUES ('647', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '前列腺特异性抗原(PSA)', '前列腺特异性抗原(PSA)', '总前列腺特异性抗原');
INSERT INTO `icss_lis_mapping` VALUES ('648', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '醛固酮(ALD)', '血醛固酮(立位)', '血醛固酮(立位)');
INSERT INTO `icss_lis_mapping` VALUES ('649', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '人附睾蛋白4(HE4)', '人附睾蛋白4(HE4)', '人附睾蛋白4');
INSERT INTO `icss_lis_mapping` VALUES ('650', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '人免疫缺陷病毒抗原抗体联合检测(HIVAb)', '人免疫缺陷病毒抗原抗体联合检测(HIVAb)', '人免疫缺陷病毒抗体');
INSERT INTO `icss_lis_mapping` VALUES ('651', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '人乳头瘤病毒(HPV)核酸', '人乳头瘤病毒(HPV)核酸', '人乳头瘤病毒核酸');
INSERT INTO `icss_lis_mapping` VALUES ('652', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '三碘甲腺原氨酸摄取率', '三碘甲腺原氨酸摄取率', 'T3摄取率');
INSERT INTO `icss_lis_mapping` VALUES ('653', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '神经元特异性烯醇化酶测定(NSE)', '神经元特异性烯醇化酶(NSE)', '神经元特异性烯醇化酶');
INSERT INTO `icss_lis_mapping` VALUES ('654', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '生长激素', '生长激素', '生长激素');
INSERT INTO `icss_lis_mapping` VALUES ('655', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '瘦素测定', '瘦素', '瘦素');
INSERT INTO `icss_lis_mapping` VALUES ('656', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '双氢睾酮(DHT)测定', '双氢睾酮(DHT)', '双氢睾酮');
INSERT INTO `icss_lis_mapping` VALUES ('657', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '随机血糖', '随机血糖', '血糖');
INSERT INTO `icss_lis_mapping` VALUES ('658', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖化血红蛋白', '糖化血红蛋白', '糖化血红蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('659', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖化血清蛋白', '糖化血清蛋白', '糖化血清蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('660', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖链抗原19-9(CA199)', '糖链抗原19-9(CA199)', '糖链抗原19-9');
INSERT INTO `icss_lis_mapping` VALUES ('661', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖耐量试验', '糖耐量试验(2h)', '2h葡萄糖(糖耐量试验)');
INSERT INTO `icss_lis_mapping` VALUES ('662', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '铁蛋白(Ferritin)', '铁蛋白(Ferritin)', '铁蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('663', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '同型半胱氨酸', '同型半胱氨酸', '同型半胱氨酸');
INSERT INTO `icss_lis_mapping` VALUES ('664', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃泌素释放肽前体(ProGRP)', '胃泌素释放肽前体(ProGRP)', '胃泌素释放肽前体');
INSERT INTO `icss_lis_mapping` VALUES ('665', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '戊肝病毒抗体(HEVAb)', '戊肝病毒抗体(HEVAb)', '戊肝病毒抗体');
INSERT INTO `icss_lis_mapping` VALUES ('666', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '细胞角蛋白片段19(CYFRA21-1)', '细胞角蛋白片段19(CYFRA21-1)', '细胞角蛋白片段19');
INSERT INTO `icss_lis_mapping` VALUES ('667', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '纤维蛋白原(FIB)', '纤维蛋白原(FIB)', '纤维蛋白原');
INSERT INTO `icss_lis_mapping` VALUES ('668', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '新斯的明试验', '新斯的明试验', '新斯的明试验');
INSERT INTO `icss_lis_mapping` VALUES ('669', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '性激素结合球蛋白(SHBG)', '性激素结合球蛋白(SHBG)', '性激素结合球蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('670', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸水结核分枝杆菌核酸测定', '胸水结核分枝杆菌核酸', '结核分枝杆菌DNA(胸水)');
INSERT INTO `icss_lis_mapping` VALUES ('671', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '雄烯二酮(A2)测定', '雄烯二酮(A2)', '雄烯二酮');
INSERT INTO `icss_lis_mapping` VALUES ('672', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血沉(ESR)', '血沉(ESR)', '红细胞沉降率');
INSERT INTO `icss_lis_mapping` VALUES ('673', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血淀粉酶', '血淀粉酶', '淀粉酶');
INSERT INTO `icss_lis_mapping` VALUES ('674', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血儿茶酚胺', '血儿茶酚胺', '儿茶酚胺');
INSERT INTO `icss_lis_mapping` VALUES ('675', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血管紧张素Ⅰ', '血管紧张素Ⅰ', '血管紧张素Ⅰ');
INSERT INTO `icss_lis_mapping` VALUES ('676', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血管紧张素Ⅱ', '血管紧张素Ⅱ', '血管紧张素Ⅱ(立位)');
INSERT INTO `icss_lis_mapping` VALUES ('677', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血管紧张素转化酶(ACE)', '血管紧张素转化酶(ACE)', '血管紧张素转化酶');
INSERT INTO `icss_lis_mapping` VALUES ('678', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆D-二聚体(D-Dimer)', 'D-二聚体', 'D-二聚体');
INSERT INTO `icss_lis_mapping` VALUES ('679', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆肾素', '血浆肾素', '肾素活性(立位)');
INSERT INTO `icss_lis_mapping` VALUES ('680', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆肾素活性', '血浆肾素活性', '肾素活性(立位)');
INSERT INTO `icss_lis_mapping` VALUES ('681', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆胰多肽(PP)', '血浆胰多肽(PP)', '胰多肽');
INSERT INTO `icss_lis_mapping` VALUES ('682', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清胆囊收缩素(CCK)', '血清胆囊收缩素(CCK)', '胆囊收缩素');
INSERT INTO `icss_lis_mapping` VALUES ('683', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清脱氢表雄酮及硫酸酯测定', '血清脱氢表雄酮及硫酸酯', '脱氢表雄酮及硫酸酯');
INSERT INTO `icss_lis_mapping` VALUES ('684', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清胰高血糖', '血清胰高血糖', '胰高血糖素');
INSERT INTO `icss_lis_mapping` VALUES ('685', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清游离甲状腺素(FT4)', '血清游离甲状腺素(FT4)', '游离甲状腺素');
INSERT INTO `icss_lis_mapping` VALUES ('686', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清脂肪酶(LPS)', '血清脂肪酶(LPS)', '脂肪酶');
INSERT INTO `icss_lis_mapping` VALUES ('687', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清总补体活性', '血清总补体活性', '总补体活性');
INSERT INTO `icss_lis_mapping` VALUES ('688', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清总甲状腺素(TT4)', '血清总甲状腺素(TT4)', '总甲状腺素');
INSERT INTO `icss_lis_mapping` VALUES ('689', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血绒毛膜促性腺激素(血HCG)', '血绒毛膜促性腺激素', '血绒毛膜促性腺激素');
INSERT INTO `icss_lis_mapping` VALUES ('690', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血酮', '血酮', '酮体');
INSERT INTO `icss_lis_mapping` VALUES ('691', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血吸虫抗体', '血吸虫抗体', '血吸虫抗体');
INSERT INTO `icss_lis_mapping` VALUES ('692', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '厌氧菌培养及鉴定', '破伤风梭菌', '破伤风梭菌(厌氧菌培养及鉴定)');
INSERT INTO `icss_lis_mapping` VALUES ('693', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '叶酸测定', '叶酸', '叶酸');
INSERT INTO `icss_lis_mapping` VALUES ('694', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '衣原体检测（CT）', '衣原体', '衣原体(白带)');
INSERT INTO `icss_lis_mapping` VALUES ('695', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰岛素原', '胰岛素原', '胰岛素原');
INSERT INTO `icss_lis_mapping` VALUES ('696', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙肝e抗体(HBeAb)', '乙肝e抗体(HBeAb)', '乙肝e抗体(定性)');
INSERT INTO `icss_lis_mapping` VALUES ('697', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙肝e抗原(HBeAg)', '乙肝e抗原(HBeAg)', '乙肝e抗原(定性)');
INSERT INTO `icss_lis_mapping` VALUES ('698', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙肝表面抗体(HBsAb)', '乙肝表面抗体(HBsAb)', '乙肝表面抗体(定性)');
INSERT INTO `icss_lis_mapping` VALUES ('699', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙肝表面抗原(HBsAg)', '乙肝表面抗原(HBsAg)', '乙肝表面抗原(定性)');
INSERT INTO `icss_lis_mapping` VALUES ('700', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙肝病毒DNA', '乙肝病毒DNA', '乙肝病毒DNA');
INSERT INTO `icss_lis_mapping` VALUES ('701', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙肝核心抗体(HBcAb)', '乙肝核心抗体(HBcAb)', '乙肝核心抗原(定性)');
INSERT INTO `icss_lis_mapping` VALUES ('702', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '幽门螺旋杆菌抗体检测', '幽门螺旋杆菌抗体', '幽门螺旋杆菌抗体');
INSERT INTO `icss_lis_mapping` VALUES ('703', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '游离β-绒毛膜促性腺激素(β-HCG)', '游离β-绒毛膜促性腺激素(β-HCG)', '游离β-绒毛膜促性腺激素');
INSERT INTO `icss_lis_mapping` VALUES ('704', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '游离三碘甲状腺激素(FT3)', '游离三碘甲状腺激素(FT3)', '游离三碘甲状腺激素');
INSERT INTO `icss_lis_mapping` VALUES ('705', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '孕酮(P)测定', '孕酮(P)', '孕酮');
INSERT INTO `icss_lis_mapping` VALUES ('706', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '支原体检测（UU）', '支原体', '支原体(白带)');
INSERT INTO `icss_lis_mapping` VALUES ('707', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '总三碘甲状腺原氨酸(TT3)', '总三碘甲状腺原氨酸(TT3)', '总三碘甲状腺原氨酸');
INSERT INTO `icss_lis_mapping` VALUES ('708', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '维生素VB12', '维生素VB12', '维生素B12');
INSERT INTO `icss_lis_mapping` VALUES ('709', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '类风湿因子(RF)', '类风湿因子', '类风湿因子');
INSERT INTO `icss_lis_mapping` VALUES ('710', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能', '谷草转氨酶', '谷草转氨酶');
INSERT INTO `icss_lis_mapping` VALUES ('711', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清酶原检测', '谷草转氨酶', '谷草转氨酶');
INSERT INTO `icss_lis_mapping` VALUES ('712', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '外周血涂片', '异淋细胞', '异淋细胞(外周血)');
INSERT INTO `icss_lis_mapping` VALUES ('713', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'I131摄取率', '3h摄取率', '3h摄取率(I131碘摄取试验)');
INSERT INTO `icss_lis_mapping` VALUES ('714', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'I131摄取率', '24h摄取率', '24h摄取率(I131碘摄取试验)');
INSERT INTO `icss_lis_mapping` VALUES ('715', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿磷测定', '尿磷', '尿磷');
INSERT INTO `icss_lis_mapping` VALUES ('716', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿钙测定', '尿钙', '尿钙');
INSERT INTO `icss_lis_mapping` VALUES ('717', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '醛固酮(ALD)', '血醛固酮(卧位)', '血醛固酮(卧位)');
INSERT INTO `icss_lis_mapping` VALUES ('718', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '催乳激素', '催乳激素', '泌乳素');
INSERT INTO `icss_lis_mapping` VALUES ('719', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '骨源性碱性磷酸酶测定', '骨源性碱性磷酸酶', '骨源性碱性磷酸酶');
INSERT INTO `icss_lis_mapping` VALUES ('720', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃蛋白酶原检测(PG)', 'PG I', '胃蛋白酶原I');
INSERT INTO `icss_lis_mapping` VALUES ('721', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃蛋白酶原检测(PG)', 'PG II', '胃蛋白酶原II');
INSERT INTO `icss_lis_mapping` VALUES ('722', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃蛋白酶原检测(PG)', 'PG I/II', '胃蛋白酶原比值');
INSERT INTO `icss_lis_mapping` VALUES ('723', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙肝三系定量检测', '乙肝e抗体(HBeAb)', '乙肝e抗体(定量)');
INSERT INTO `icss_lis_mapping` VALUES ('724', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙肝三系定量检测', '乙肝e抗原(HBeAg)', '乙肝e抗原(定量)');
INSERT INTO `icss_lis_mapping` VALUES ('725', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙肝三系定量检测', '乙肝核心抗体(HBcAb)', '乙肝核心抗体(定量)');
INSERT INTO `icss_lis_mapping` VALUES ('726', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙肝三系定量检测', '乙肝表面抗原(HBsAg)', '乙肝表面抗原(定量)');

-- ----------------------------
-- Table structure for icss_lis_unique
-- ----------------------------
DROP TABLE IF EXISTS `icss_lis_unique`;
CREATE TABLE `icss_lis_unique` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(100) NOT NULL COMMENT '名称',
  `unit` varchar(100) DEFAULT NULL COMMENT '单位',
  `min_value` decimal(20,6) DEFAULT NULL COMMENT '最小值',
  `max_value` decimal(20,6) DEFAULT NULL COMMENT '最大值',
  `remark` varchar(100) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='化验项公表';

-- ----------------------------
-- Records of icss_lis_unique
-- ----------------------------

-- ----------------------------
-- Table structure for icss_module_detail
-- ----------------------------
DROP TABLE IF EXISTS `icss_module_detail`;
CREATE TABLE `icss_module_detail` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `module_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '名称',
  `flag` varchar(255) NOT NULL DEFAULT '' COMMENT '特殊标识(1：插入选择症状 2：现病史整体模板截取末尾标识,处理主诉多个病情变化复制功能 3：打开模板(病程变化) 4：插入主诉的主|伴症状业务 5：从主诉-现病史的症状起始位置)',
  `prefix` varchar(100) NOT NULL DEFAULT '' COMMENT '模板前缀内容',
  `suffix` varchar(100) NOT NULL DEFAULT '' COMMENT '模型后置内容',
  `question_id` bigint(20) DEFAULT NULL COMMENT 'questionId',
  `relation_module` bigint(20) DEFAULT NULL COMMENT '关联模板',
  `order_no` int(11) NOT NULL DEFAULT '0' COMMENT '排序号',
  `remark` varchar(300) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=147 DEFAULT CHARSET=utf8 COMMENT='模型明细表';

-- ----------------------------
-- Records of icss_module_detail
-- ----------------------------
INSERT INTO `icss_module_detail` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '', '', '', '7', null, '2', '主诉通用特征描述');
INSERT INTO `icss_module_detail` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '1', '', '', '8', null, '4', '添加症状');
INSERT INTO `icss_module_detail` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '', '', '', '11', null, '6', '主诉时间');
INSERT INTO `icss_module_detail` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '3', '', '', null, '6', '8', '添加病情变化');
INSERT INTO `icss_module_detail` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '11', null, '3', '主诉时间');
INSERT INTO `icss_module_detail` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '57', null, '7', '诱因');
INSERT INTO `icss_module_detail` VALUES ('10', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '7', null, '11', '主诉通用特征描述');
INSERT INTO `icss_module_detail` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '4', '', '', '21', null, '13', '添加其他症状');
INSERT INTO `icss_module_detail` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '2', '', '', '23', null, '15', '有无治疗');
INSERT INTO `icss_module_detail` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '3', '', '', null, '3', '17', '病程变化');
INSERT INTO `icss_module_detail` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '32', null, '23', '精神状态');
INSERT INTO `icss_module_detail` VALUES ('16', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '60', null, '25', '意识情况');
INSERT INTO `icss_module_detail` VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '61', null, '27', '食欲');
INSERT INTO `icss_module_detail` VALUES ('18', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '62', null, '29', '睡眠');
INSERT INTO `icss_module_detail` VALUES ('19', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '63', null, '31', '二便情况');
INSERT INTO `icss_module_detail` VALUES ('20', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '64', null, '33', '体重情况');
INSERT INTO `icss_module_detail` VALUES ('21', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '', '', '', '11', null, '1', '主诉时间');
INSERT INTO `icss_module_detail` VALUES ('22', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '', '', '', '57', null, '3', '诱因');
INSERT INTO `icss_module_detail` VALUES ('23', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '', '', '', '66', null, '6', '上诉');
INSERT INTO `icss_module_detail` VALUES ('24', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '', '', '', '21', null, '8', '添加其他症状');
INSERT INTO `icss_module_detail` VALUES ('25', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '', '', '', '23', null, '10', '有无治疗');
INSERT INTO `icss_module_detail` VALUES ('26', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '', '', '', '45', null, '1', '既往史');
INSERT INTO `icss_module_detail` VALUES ('27', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '', '', '', '53', null, '3', '过敏史');
INSERT INTO `icss_module_detail` VALUES ('28', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '', '', '', '75', null, '5', '个人史');
INSERT INTO `icss_module_detail` VALUES ('29', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '', '', '', '79', null, '7', '月经史');
INSERT INTO `icss_module_detail` VALUES ('30', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '', '', '', null, null, '9', '婚育史');
INSERT INTO `icss_module_detail` VALUES ('32', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '', '', '', '11', null, '3', '主诉时间');
INSERT INTO `icss_module_detail` VALUES ('33', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '', '', '', '57', null, '7', '诱因');
INSERT INTO `icss_module_detail` VALUES ('35', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '', '', '', '8', null, '13', '添加症状');
INSERT INTO `icss_module_detail` VALUES ('36', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '', '', '', '23', null, '15', '有无治疗');
INSERT INTO `icss_module_detail` VALUES ('37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '3', '', '', null, '3', '9', '病程变化');
INSERT INTO `icss_module_detail` VALUES ('38', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '', '', '', '119', null, '5', '，_文字');
INSERT INTO `icss_module_detail` VALUES ('39', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '', '', '', '119', null, '7', '，_文字');
INSERT INTO `icss_module_detail` VALUES ('40', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '123', null, '1', '患者');
INSERT INTO `icss_module_detail` VALUES ('41', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '124', null, '5', '前');
INSERT INTO `icss_module_detail` VALUES ('42', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '125', null, '9', '出现');
INSERT INTO `icss_module_detail` VALUES ('43', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '126', null, '19', '遂来就诊');
INSERT INTO `icss_module_detail` VALUES ('44', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '127', null, '21', '自病以来');
INSERT INTO `icss_module_detail` VALUES ('45', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '119', null, '20', '。_文字');
INSERT INTO `icss_module_detail` VALUES ('46', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '119', null, '24', '，_文字');
INSERT INTO `icss_module_detail` VALUES ('47', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '119', null, '26', '，_文字');
INSERT INTO `icss_module_detail` VALUES ('48', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '119', null, '28', '，_文字');
INSERT INTO `icss_module_detail` VALUES ('49', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '119', null, '30', '，_文字');
INSERT INTO `icss_module_detail` VALUES ('50', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '119', null, '32', '，_文字');
INSERT INTO `icss_module_detail` VALUES ('54', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '', '', '', '129', null, '2', '，前_文字');
INSERT INTO `icss_module_detail` VALUES ('55', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '', '', '', '119', null, '4', '，_文字');
INSERT INTO `icss_module_detail` VALUES ('56', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '', '', '', '125', null, '5', '出现_文字');
INSERT INTO `icss_module_detail` VALUES ('57', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '', '', '', '119', null, '7', '，_文字');
INSERT INTO `icss_module_detail` VALUES ('58', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '', '', '', '119', null, '9', '，_文字');
INSERT INTO `icss_module_detail` VALUES ('59', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '', '', '', '123', null, '1', '患者');
INSERT INTO `icss_module_detail` VALUES ('60', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '', '', '', '124', null, '5', '前');
INSERT INTO `icss_module_detail` VALUES ('61', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '', '', '', '125', null, '11', '出现');
INSERT INTO `icss_module_detail` VALUES ('105', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '', '', '', '7', null, '10', '主诉通用特征描述');
INSERT INTO `icss_module_detail` VALUES ('106', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '1', '', '', '8', null, '20', '添加症状');
INSERT INTO `icss_module_detail` VALUES ('107', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '', '', '', '119', null, '30', '，_文字');
INSERT INTO `icss_module_detail` VALUES ('108', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '', '', '', '11', null, '40', '主诉时间');
INSERT INTO `icss_module_detail` VALUES ('109', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '', '', '', '119', null, '50', '，_文字');
INSERT INTO `icss_module_detail` VALUES ('144', 'Y', '2019-01-03 13:33:03', '2019-01-03 13:36:04', '80', '80', '23', '', '', '', '2', null, '1', null);
INSERT INTO `icss_module_detail` VALUES ('145', 'Y', '2019-01-03 13:36:04', '2019-01-03 13:38:47', '80', '80', '23', '', '', '', '2', null, '1', null);
INSERT INTO `icss_module_detail` VALUES ('146', 'N', '2019-01-07 10:21:09', '2019-01-07 10:21:09', '80', '80', '24', '', '', '', '206', null, '1', null);

-- ----------------------------
-- Table structure for icss_module_info
-- ----------------------------
DROP TABLE IF EXISTS `icss_module_info`;
CREATE TABLE `icss_module_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(100) NOT NULL DEFAULT '' COMMENT '名称',
  `type` int(11) NOT NULL DEFAULT '1' COMMENT '类型(1：主诉模板 2：现病史模板 3：现病史空模板 4 : 其他史模板 5：嵌套模板 6：慢病模板)',
  `disease` bigint(20) NOT NULL DEFAULT '0' COMMENT '慢病',
  `remark` varchar(300) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=25 DEFAULT CHARSET=utf8 COMMENT='模型表';

-- ----------------------------
-- Records of icss_module_info
-- ----------------------------
INSERT INTO `icss_module_info` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '1', '1', '主诉模板', '1', '0', null);
INSERT INTO `icss_module_info` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '1', '1', '现病史模板', '2', '0', null);
INSERT INTO `icss_module_info` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '1', '1', '病程变化', '5', '0', '现病史-病程变化');
INSERT INTO `icss_module_info` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '1', '1', '其他史模板', '4', '0', null);
INSERT INTO `icss_module_info` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '1', '1', '现病史空模板', '3', '0', null);
INSERT INTO `icss_module_info` VALUES ('6', 'N', '1970-01-01 12:00:00', '2018-12-05 14:23:33', '1', '1', '添加病情变化', '5', '0', '主诉-添加病情变化');
INSERT INTO `icss_module_info` VALUES ('23', 'Y', '2019-01-03 09:41:49', '2019-01-03 13:38:47', '80', '80', '接口测试1', '2', '0', null);
INSERT INTO `icss_module_info` VALUES ('24', 'N', '2019-01-07 10:21:09', '2019-01-07 10:21:09', '80', '80', '测试002301', '1', '0', null);

-- ----------------------------
-- Table structure for icss_print_record
-- ----------------------------
DROP TABLE IF EXISTS `icss_print_record`;
CREATE TABLE `icss_print_record` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(300) DEFAULT NULL COMMENT '名称',
  `hospital_id` bigint(20) DEFAULT NULL COMMENT '医院id',
  `hospital_dept_id` bigint(20) DEFAULT NULL COMMENT '部门id',
  `doctor_id` bigint(20) DEFAULT NULL COMMENT '医生id',
  `patient_id` bigint(20) DEFAULT NULL COMMENT '患者id',
  `inquiry_code` varchar(50) DEFAULT NULL COMMENT '就诊号',
  `content` longtext COMMENT '文本内容',
  `data_json` longtext COMMENT '内容JSON字符串(打印页面展示)',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=48 DEFAULT CHARSET=utf8 COMMENT='打印记录表';

-- ----------------------------
-- Records of icss_print_record
-- ----------------------------
INSERT INTO `icss_print_record` VALUES ('12', 'N', '2018-12-27 15:02:42', '1970-01-01 12:00:00', '0', '0', 'string', '0', '0', '0', '0', 'string', '{\"chief\":\"string\",\"present\":\"string\",\"other\":\"string\",\"vital\":\"string\",\"lis\":\"string\",\"pacs\":\"string\",\"diag\":\"string\",\"advice\":\"string\"}', 'string', null);
INSERT INTO `icss_print_record` VALUES ('13', 'N', '2018-12-27 15:27:09', '1970-01-01 12:00:00', '1', '0', '呼吸道感染', '1', '1', '1', '1', '44', '{\"chief\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[]\",\"lis\":\"空腹血糖,空腹血糖,90 mmol/L升高4.74;血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"腹部B超,硕大的,报告日期,2018-12-27;\",\"diag\":\"呼吸道感染(初诊); \",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"uniqueName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"value\":\"前加重\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-27\",\"value\":\"硕大的\"}],\"diag\":[{\"id\":95,\"name\":\"呼吸道感染\",\"tagName\":\"呼吸道感染\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":9,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_print_record` VALUES ('14', 'N', '2018-12-27 15:36:06', '1970-01-01 12:00:00', '1', '0', '呼吸道感染', '1', '1', '1', '1', '44', '{\"chief\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[]\",\"lis\":\"空腹血糖,空腹血糖,90 mmol/L升高4.74;血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"腹部B超,硕大的,报告日期,2018-12-27;\",\"diag\":\"呼吸道感染(初诊); \",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"uniqueName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"value\":\"前加重\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-27\",\"value\":\"硕大的\"}],\"diag\":[{\"id\":95,\"name\":\"呼吸道感染\",\"tagName\":\"呼吸道感染\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":9,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_print_record` VALUES ('15', 'N', '2019-01-03 16:33:45', '1970-01-01 12:00:00', '1', '0', '支气管哮喘', '1', '1', '1', '1', '44', '{\"chief\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[null,null,null,null,null,\\\"血压：左上肢,,mmHg\\\"]\",\"lis\":\"空腹血糖,空腹血糖,90 mmol/L升高4.74;血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;-血常规,隐血,阴性 ;\",\"pacs\":\"腹部B超,的撒打算\\n委屈,报告日期,2018-12-28;腹部B超,是的撒大所,报告日期,2018-12-28;\",\"diag\":\"支气管哮喘(初诊); 心脏病(初诊); \",\"advice\":\"肾功能常规检查，\"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阴性\"}],\"show\":true,\"time\":\"2018-12-28\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"uniqueName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-28\",\"value\":\"的撒打算\\n委屈\"},{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-28\",\"value\":\"是的撒大所\"}],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"type\":1},{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"assay\":\"肾功能常规检查，\",\"check\":\"\"},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_print_record` VALUES ('16', 'N', '2019-01-04 14:35:04', '1970-01-01 12:00:00', '1', '0', '支气管哮喘', '1', '1', '1', '1', '44', '{\"chief\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[null,null,null,null,null,\\\"血压：左上肢,,mmHg\\\"]\",\"lis\":\"血常规,隐血,阴性 ;-空腹血糖,空腹血糖,90 mmol/L升高4.74;血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"腹部B超,的撒打算\\n委屈报告描述或意见,报告日期,2018-12-28;腹部B超,是的撒大所报告描述或意见,报告日期,2018-12-28;\",\"diag\":\"支气管哮喘(初诊); 心脏病(初诊); \",\"advice\":\"肾功能常规检查，\"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阴性\"}],\"show\":true,\"time\":\"2018-12-28\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"uniqueName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-28\",\"value\":\"的撒打算\\n委屈报告描述或意见\"},{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-28\",\"value\":\"是的撒大所报告描述或意见\"}],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"type\":1},{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"assay\":\"肾功能常规检查，\",\"check\":\"\"},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_print_record` VALUES ('17', 'N', '2019-01-04 14:35:52', '1970-01-01 12:00:00', '1', '0', '支气管哮喘', '1', '1', '1', '1', '44', '{\"chief\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[null,null,null,null,null,\\\"血压：左上肢,,mmHg\\\"]\",\"lis\":\"空腹血糖,空腹血糖,90 mmol/L升高4.74;血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;-血常规,隐血,阴性 ;\",\"pacs\":\"腹部B超,的撒打算\\n委屈报告描述或意见,报告日期,2018-12-28;腹部B超,是的撒大所报告描述或意见,报告日期,2018-12-28;\",\"diag\":\"支气管哮喘(初诊); 心脏病(初诊); \",\"advice\":\"肾功能常规检查，\"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阴性\"}],\"show\":true,\"time\":\"2018-12-28\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"uniqueName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-28\",\"value\":\"的撒打算\\n委屈报告描述或意见\"},{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-28\",\"value\":\"是的撒大所报告描述或意见\"}],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"type\":1},{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"assay\":\"肾功能常规检查，\",\"check\":\"\"},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_print_record` VALUES ('18', 'N', '2019-01-04 17:36:23', '1970-01-01 12:00:00', '1', '0', '支气管哮喘', '1', '1', '1', '1', '44', '{\"chief\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[null,null,null,null,null,\\\"血压：左上肢,,mmHg\\\"]\",\"lis\":\"血常规,隐血,阴性 ;-空腹血糖,空腹血糖,90 mmol/L升高4.74;血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"腹部B超,的撒打算\\n委屈报告描述或意见,报告日期,2018-12-28;腹部B超,是的撒大所报告描述或意见,报告日期,2018-12-28;\",\"diag\":\"支气管哮喘(初诊); 心脏病(初诊); \",\"advice\":\"肾功能常规检查，\"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阴性\"}],\"show\":true,\"time\":\"2018-12-28\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"uniqueName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-28\",\"value\":\"的撒打算\\n委屈报告描述或意见\"},{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-28\",\"value\":\"是的撒大所报告描述或意见\"}],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"type\":1},{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"assay\":\"肾功能常规检查，\",\"check\":\"\"},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_print_record` VALUES ('19', 'N', '2019-01-04 17:41:21', '1970-01-01 12:00:00', '1', '0', '支气管哮喘', '1', '1', '1', '1', '44', '{\"chief\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[null,null,null,null,null,\\\"血压：左上肢,,mmHg\\\"]\",\"lis\":\"血常规,隐血,阴性 ;-空腹血糖,空腹血糖,90 mmol/L升高4.74;血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"腹部B超,的撒打算\\n委屈报告描述或意见,报告日期,2018-12-28;腹部B超,是的撒大所报告描述或意见,报告日期,2018-12-28;\",\"diag\":\"支气管哮喘(初诊); 心脏病(初诊); \",\"advice\":\"肾功能常规检查，\"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阴性\"}],\"show\":true,\"time\":\"2018-12-28\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"uniqueName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1,\"value\":\"咳嗽\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"pos\":1},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":6,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"pos\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"pos\":1},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":6,\"questionId\":11,\"flag\":\"\",\"relationModule\":null,\"pos\":1},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":6,\"questionId\":119,\"flag\":\"\",\"relationModule\":null,\"pos\":1},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-28\",\"value\":\"的撒打算\\n委屈报告描述或意见\"},{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-28\",\"value\":\"是的撒大所报告描述或意见\"}],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"type\":1},{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"assay\":\"肾功能常规检查，\",\"check\":\"\"},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{},\"mainsuitIds\":[]}', null);
INSERT INTO `icss_print_record` VALUES ('20', 'N', '2019-01-04 17:42:26', '1970-01-01 12:00:00', '1', '0', '支气管哮喘', '1', '1', '1', '1', '44', '{\"chief\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[null,null,null,null,null,\\\"血压：左上肢,,mmHg\\\"]\",\"lis\":\"空腹血糖,空腹血糖,90 mmol/L升高4.74;血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;-血常规,隐血,阴性 ;\",\"pacs\":\"腹部B超,的撒打算\\n委屈报告描述或意见,报告日期,2018-12-28;腹部B超,是的撒大所报告描述或意见,报告日期,2018-12-28;\",\"diag\":\"支气管哮喘(初诊); 心脏病(初诊); \",\"advice\":\"肾功能常规检查，\"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阴性\"}],\"show\":true,\"time\":\"2018-12-28\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"uniqueName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-28\",\"value\":\"的撒打算\\n委屈报告描述或意见\"},{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-28\",\"value\":\"是的撒大所报告描述或意见\"}],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"type\":1},{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"assay\":\"肾功能常规检查，\",\"check\":\"\"},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_print_record` VALUES ('21', 'N', '2019-01-04 17:42:43', '1970-01-01 12:00:00', '1', '0', '支气管哮喘', '1', '1', '1', '1', '44', '{\"chief\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[null,null,null,null,null,\\\"血压：左上肢,,mmHg\\\"]\",\"lis\":\"空腹血糖,空腹血糖,90 mmol/L升高4.74;血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;-血常规,隐血,阴性 ;\",\"pacs\":\"腹部B超,的撒打算\\n委屈报告描述或意见,报告日期,2018-12-28;腹部B超,是的撒大所报告描述或意见,报告日期,2018-12-28;\",\"diag\":\"支气管哮喘(初诊); 心脏病(初诊); \",\"advice\":\"肾功能常规检查，\"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阴性\"}],\"show\":true,\"time\":\"2018-12-28\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"uniqueName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-28\",\"value\":\"的撒打算\\n委屈报告描述或意见\"},{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-28\",\"value\":\"是的撒大所报告描述或意见\"}],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"type\":1},{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"assay\":\"肾功能常规检查，\",\"check\":\"\"},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_print_record` VALUES ('22', 'N', '2019-01-04 17:43:22', '1970-01-01 12:00:00', '1', '0', '呼吸道感染', '1', '1', '1', '2', '44', '{\"chief\":\"[\\\"患者\\\",\\\"3,天\\\",\\\"前\\\",\\\"因淋雨后\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"伴\\\",\\\"发热\\\",\\\"最高温度度\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"3,天\\\",\\\"前\\\",\\\"因淋雨后\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"伴\\\",\\\"发热\\\",\\\"最高温度度\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[]\",\"vital\":\"[]\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"呼吸道感染(初诊); \",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":10,\"name\":\"伴\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":4,\"name\":\"发热\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":72,\"name\":\"咽喉痛\",\"tagName\":\"咽喉痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":106,\"name\":\"咳痰\",\"tagName\":\"咳痰\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":107,\"name\":\"咳痰性状\",\"tagName\":\"咳痰性状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":108,\"name\":\"\",\"tagName\":\"初为后为\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":115,\"name\":\"初为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":1,\"code\":3,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":116,\"name\":\"后为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":2,\"code\":4,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":109,\"name\":\"\",\"tagName\":\"咳痰颜色\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":117,\"name\":\"白色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":118,\"name\":\"绿色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":119,\"name\":\"黄色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":120,\"name\":\"红色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":121,\"name\":\"铁锈色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":110,\"name\":\"\",\"tagName\":\"咳痰性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":122,\"name\":\"粘痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":123,\"name\":\"脓痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":124,\"name\":\"泡沫痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":125,\"name\":\"浆液痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":126,\"name\":\"脓臭痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":127,\"name\":\"胶冻样痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":111,\"name\":\"痰量\",\"tagName\":\"痰量\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":128,\"name\":\"痰量少\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":129,\"name\":\"痰量中等\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":130,\"name\":\"痰量大\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":4,\"name\":\"发热\",\"tagName\":\"发热\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":5,\"name\":\"（填写）\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"度\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":203,\"name\":\"鼻塞\",\"tagName\":\"鼻塞\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":200,\"name\":\"气促\",\"tagName\":\"气促\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":195,\"name\":\"头痛\",\"tagName\":\"头痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"3\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"天\"}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null,\"value\":\"因淋雨后\"},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"伴\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":4,\"name\":\"发热\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":5,\"name\":\"（填写）\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"度\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[],\"vital\":[],\"pacs\":[],\"diag\":[{\"id\":95,\"name\":\"呼吸道感染\",\"tagName\":\"呼吸道感染\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":9,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_print_record` VALUES ('23', 'N', '2019-01-04 17:47:03', '1970-01-01 12:00:00', '1', '0', '支气管哮喘', '1', '1', '1', '1', '44', '{\"chief\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[null,null,null,null,null,\\\"血压：左上肢,,mmHg\\\"]\",\"lis\":\"空腹血糖,空腹血糖,90 mmol/L升高4.74;血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;-血常规,隐血,阴性 ;\",\"pacs\":\"腹部B超,的撒打算\\n委屈报告描述或意见,报告日期,2018-12-28;腹部B超,是的撒大所报告描述或意见,报告日期,2018-12-28;\",\"diag\":\"支气管哮喘(初诊); 心脏病(初诊); \",\"advice\":\"肾功能常规检查，\"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阴性\"}],\"show\":true,\"time\":\"2018-12-28\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"uniqueName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-28\",\"value\":\"的撒打算\\n委屈报告描述或意见\"},{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-28\",\"value\":\"是的撒大所报告描述或意见\"}],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"type\":1},{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"assay\":\"肾功能常规检查，\",\"check\":\"\"},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_print_record` VALUES ('24', 'N', '2019-01-04 17:48:56', '1970-01-01 12:00:00', '1', '0', '肺部感染', '1', '1', '1', '2', '44', '{\"chief\":\"[\\\"患者\\\",\\\"3,天\\\",\\\"前\\\",\\\"因淋雨后\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"伴\\\",\\\"发热\\\",\\\"最高温度度\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"3,天\\\",\\\"前\\\",\\\"因淋雨后\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"伴\\\",\\\"发热\\\",\\\"最高温度度\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[]\",\"vital\":\"[]\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"肺部感染(初诊); \",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":10,\"name\":\"伴\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":4,\"name\":\"发热\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":72,\"name\":\"咽喉痛\",\"tagName\":\"咽喉痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":106,\"name\":\"咳痰\",\"tagName\":\"咳痰\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":107,\"name\":\"咳痰性状\",\"tagName\":\"咳痰性状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":108,\"name\":\"\",\"tagName\":\"初为后为\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":115,\"name\":\"初为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":1,\"code\":3,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":116,\"name\":\"后为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":2,\"code\":4,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":109,\"name\":\"\",\"tagName\":\"咳痰颜色\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":117,\"name\":\"白色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":118,\"name\":\"绿色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":119,\"name\":\"黄色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":120,\"name\":\"红色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":121,\"name\":\"铁锈色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":110,\"name\":\"\",\"tagName\":\"咳痰性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":122,\"name\":\"粘痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":123,\"name\":\"脓痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":124,\"name\":\"泡沫痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":125,\"name\":\"浆液痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":126,\"name\":\"脓臭痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":127,\"name\":\"胶冻样痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":111,\"name\":\"痰量\",\"tagName\":\"痰量\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":128,\"name\":\"痰量少\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":129,\"name\":\"痰量中等\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":130,\"name\":\"痰量大\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":4,\"name\":\"发热\",\"tagName\":\"发热\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":5,\"name\":\"（填写）\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"度\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":203,\"name\":\"鼻塞\",\"tagName\":\"鼻塞\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":200,\"name\":\"气促\",\"tagName\":\"气促\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":195,\"name\":\"头痛\",\"tagName\":\"头痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"3\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"天\"}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null,\"value\":\"因淋雨后\"},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"伴\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":4,\"name\":\"发热\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":5,\"name\":\"（填写）\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"度\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[],\"vital\":[],\"pacs\":[],\"diag\":[{\"id\":104,\"name\":\"肺部感染\",\"tagName\":\"肺部感染\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":9,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_print_record` VALUES ('25', 'N', '2019-01-04 17:56:14', '1970-01-01 12:00:00', '1', '0', '支气管哮喘', '1', '1', '1', '1', '44', '{\"chief\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[null,null,null,null,null,\\\"血压：左上肢,,mmHg\\\"]\",\"lis\":\"血常规,隐血,阴性 ;-空腹血糖,空腹血糖,90 mmol/L升高4.74;血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"腹部B超,的撒打算\\n委屈报告描述或意见,报告日期,2018-12-28;腹部B超,是的撒大所报告描述或意见,报告日期,2018-12-28;\",\"diag\":\"支气管哮喘(初诊); 心脏病(初诊); \",\"advice\":\"肾功能常规检查，\"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阴性\"}],\"show\":true,\"time\":\"2018-12-28\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"uniqueName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-28\",\"value\":\"的撒打算\\n委屈报告描述或意见\"},{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-28\",\"value\":\"是的撒大所报告描述或意见\"}],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"type\":1},{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"assay\":\"肾功能常规检查，\",\"check\":\"\"},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_print_record` VALUES ('26', 'N', '2019-01-04 17:57:39', '1970-01-01 12:00:00', '1', '0', '支气管哮喘', '1', '1', '1', '1', '44', '{\"chief\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[null,null,null,null,null,\\\"血压：左上肢,,mmHg\\\"]\",\"lis\":\"空腹血糖,空腹血糖,90 mmol/L升高4.74;血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;-血常规,隐血,阴性 ;\",\"pacs\":\"腹部B超,的撒打算\\n委屈报告描述或意见,报告日期,2018-12-28;腹部B超,是的撒大所报告描述或意见,报告日期,2018-12-28;\",\"diag\":\"支气管哮喘(初诊); 心脏病(初诊); \",\"advice\":\"肾功能常规检查，\"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阴性\"}],\"show\":true,\"time\":\"2018-12-28\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"uniqueName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-28\",\"value\":\"的撒打算\\n委屈报告描述或意见\"},{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-28\",\"value\":\"是的撒大所报告描述或意见\"}],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"type\":1},{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"assay\":\"肾功能常规检查，\",\"check\":\"\"},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_print_record` VALUES ('27', 'N', '2019-01-07 10:54:50', '1970-01-01 12:00:00', '1', '0', '慢性咽炎', '1', '1', '1', '1', '4456', '{\"chief\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[]\",\"lis\":\"血常规,红细胞计数,1212 L;血常规,白细胞计数,12 10^12/L;血常规,隐血,阴性 ;\",\"pacs\":\"腹部B超,12312312,报告日期,2019-01-07;\",\"diag\":\"慢性咽炎(初诊); \",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1212\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"12\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阴性\"}],\"show\":true,\"time\":\"2019-01-07\"}],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2019-01-07\",\"value\":\"12312312\"}],\"diag\":[{\"id\":103,\"name\":\"慢性咽炎\",\"type\":1}],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_print_record` VALUES ('28', 'N', '2019-01-07 11:04:36', '1970-01-01 12:00:00', '1', '0', '支气管哮喘', '1', '1', '1', '1', '44', '{\"chief\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[null,null,null,null,null,\\\"血压：左上肢,,mmHg\\\"]\",\"lis\":\"血常规,隐血,阴性 ;-空腹血糖,空腹血糖,90 mmol/L升高4.74;血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"腹部B超,的撒打算\\n委屈报告描述或意见,报告日期,2018-12-28;腹部B超,是的撒大所报告描述或意见,报告日期,2018-12-28;\",\"diag\":\"支气管哮喘(初诊); 心脏病(初诊); \",\"advice\":\"肾功能常规检查，\"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阴性\"}],\"show\":true,\"time\":\"2018-12-28\"},{\"name\":\"尿常规\",\"questionId\":116,\"showType\":1,\"retrievalName\":\"尿常规\",\"details\":[{\"id\":117,\"name\":\"尿糖定性\",\"tagName\":\"尿糖定性\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":134,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":117,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":135,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":117,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null},{\"id\":118,\"name\":\"PH值\",\"tagName\":\"PH值\",\"type\":5,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"L\",\"labelSuffix\":\"L\",\"minValue\":1,\"maxValue\":2,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}]}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"uniqueName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"value\":\"前左\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-28\",\"value\":\"的撒打算\\n委屈报告描述或意见\"},{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-28\",\"value\":\"是的撒大所报告描述或意见\"}],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"type\":1},{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"assay\":\"肾功能常规检查，\",\"check\":\"\"},\"mainSuitSelecteds\":{\"1\":{\"exists\":[{\"id\":14,\"name\":\"前\",\"listIndex\":\"10\"},{\"id\":16,\"name\":\"左\",\"listIndex\":\"20\"}],\"existsName\":\"前左\",\"ikey\":\"1\"}},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_print_record` VALUES ('29', 'N', '2019-01-07 14:11:28', '1970-01-01 12:00:00', '1', '0', '心脏病', '1', '1', '1', '1', '455', '{\"chief\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[null,null,null,\\\"体温：37℃\\\"]\",\"lis\":\"血液,WBC,20 mg/L升高4.00;血液,RBC,80 mg/L升高5.00;血液,HGB,15 g/L正常;血液,血色,黑色 异常;空腹血糖,空腹血糖,5 mmol/L正常;血常规,红细胞计数,1 10^12/L降低0.25;血常规,白细胞计数,15 10^9/L升高1.50;血常规,红细胞压积,1 %降低0.03;血常规,平均红细胞体积,1 FL降低0.01;血常规,红细胞分布宽度,80 %升高5.00;血常规,血红蛋白,1 g/L降低0.01;血常规,血红蛋白平均含量,1 pg降低0.04;血常规,血红蛋白平均浓度,1 g/L降低0.00;血常规,单核细胞计数,1 10^9/L异常;血常规,单核细胞百分比,1 %降低0.33;血常规,中性粒细胞计数,1 10^9/L降低0.50;血常规,中性粒细胞百分比,1 %降低0.02;血常规,嗜酸性粒细胞计数,1 10^9/L升高Infinity;血常规,嗜酸性粒细胞百分比,1 %正常;血常规,嗜碱性粒细胞计数,1 10^9/L升高Infinity;血常规,嗜碱性粒细胞百分比,1 %正常;血常规,淋巴细胞计数,1 10^9/L正常;血常规,淋巴细胞百分比,1 %降低0.06;血常规,血小板计数,1 10^9/L降低0.01;血常规,血小板体积分布宽度,1 %降低0.10;血常规,血小板平均体积,1 fl降低0.14;血常规,大型血小板比例,1 %降低0.10;血常规,血小板压积,1 %升高Infinity;血酮,血酮,10 mg/L升高5.00;\",\"pacs\":\"腹部B超,2322342323232,报告日期,2019-01-07;\",\"diag\":\"心脏病(初诊); \",\"advice\":\"二羟丙茶碱\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"血液\",\"lisExcelItem\":[{\"mealName\":\"血液\",\"itemName\":\"WBC\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血液\",\"itemName\":\"RBC\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"80\",\"max\":\"16\",\"min\":\"1\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血液\",\"itemName\":\"HGB\",\"uniqueName\":null,\"unit\":\"g/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血液\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"uniqueName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"5\",\"max\":\"6\",\"min\":\"4\",\"time\":\"2018-11-28\",\"type\":\"0\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"红细胞计数\",\"uniqueName\":\"红细胞计数\",\"unit\":\"10^12/L\",\"value\":\"1\",\"max\":\"6\",\"min\":\"4\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白细胞计数\",\"uniqueName\":\"白细胞计数\",\"unit\":\"10^9/L\",\"value\":\"15\",\"max\":\"10\",\"min\":\"4\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞压积\",\"uniqueName\":\"红细胞压积\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"50\",\"min\":\"36\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"平均红细胞体积\",\"uniqueName\":\"平均红细胞体积\",\"unit\":\"FL\",\"value\":\"1\",\"max\":\"100\",\"min\":\"80\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞分布宽度\",\"uniqueName\":\"血红细胞分布宽度\",\"unit\":\"%\",\"value\":\"80\",\"max\":\"16\",\"min\":\"10\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血红蛋白\",\"uniqueName\":\"血红蛋白\",\"unit\":\"g/L\",\"value\":\"1\",\"max\":\"160\",\"min\":\"110\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血红蛋白平均含量\",\"uniqueName\":\"血红蛋白平均含量\",\"unit\":\"pg\",\"value\":\"1\",\"max\":\"38\",\"min\":\"26\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血红蛋白平均浓度\",\"uniqueName\":\"血红蛋白平均浓度\",\"unit\":\"g/L\",\"value\":\"1\",\"max\":\"360\",\"min\":\"300\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"单核细胞计数\",\"uniqueName\":\"单核细胞计数\",\"unit\":\"10^9/L\",\"value\":\"1\",\"max\":\"1\",\"min\":\"0\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"单核细胞百分比\",\"uniqueName\":\"单核细胞百分比\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"10\",\"min\":\"3\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"中性粒细胞计数\",\"uniqueName\":\"中性粒细胞计数\",\"unit\":\"10^9/L\",\"value\":\"1\",\"max\":\"8\",\"min\":\"2\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"中性粒细胞百分比\",\"uniqueName\":\"中性粒细胞百分比\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"70\",\"min\":\"50\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"嗜酸性粒细胞计数\",\"uniqueName\":\"嗜酸性粒细胞计数\",\"unit\":\"10^9/L\",\"value\":\"1\",\"max\":\"0\",\"min\":\"0\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"嗜酸性粒细胞百分比\",\"uniqueName\":\"嗜酸性粒细胞百分比\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"5\",\"min\":\"0\",\"time\":\"2019-01-04\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"嗜碱性粒细胞计数\",\"uniqueName\":\"嗜碱性粒细胞计数\",\"unit\":\"10^9/L\",\"value\":\"1\",\"max\":\"0\",\"min\":\"0\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"嗜碱性粒细胞百分比\",\"uniqueName\":\"嗜碱性粒细胞百分比\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"1\",\"min\":\"0\",\"time\":\"2019-01-04\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"淋巴细胞计数\",\"uniqueName\":\"淋巴细胞计数\",\"unit\":\"10^9/L\",\"value\":\"1\",\"max\":\"4\",\"min\":\"1\",\"time\":\"2019-01-04\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"淋巴细胞百分比\",\"uniqueName\":\"淋巴细胞百分比\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"50\",\"min\":\"17\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血小板计数\",\"uniqueName\":\"血小板计数\",\"unit\":\"10^9/L\",\"value\":\"1\",\"max\":\"300\",\"min\":\"100\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血小板体积分布宽度\",\"uniqueName\":\"血小板体积分布宽度\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"18\",\"min\":\"10\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血小板平均体积\",\"uniqueName\":\"血小板平均体积\",\"unit\":\"fl\",\"value\":\"1\",\"max\":\"13\",\"min\":\"7\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"大型血小板比例\",\"uniqueName\":\"大型血小板比例\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"50\",\"min\":\"10\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血小板压积\",\"uniqueName\":\"血小板压积\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"0\",\"min\":\"0\",\"time\":\"2019-01-04\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"2\",\"min\":\"1\",\"time\":\"2018年12月1号\",\"type\":\"1\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第7行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"37\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2019-01-07\",\"value\":\"2322342323232\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"scheme\":[{\"name\":\"心脏病\",\"treatment\":[{\"id\":132,\"showInfo\":\"1\",\"drugsName\":\"支气管扩张剂\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"94%\"},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"92%\",\"selected\":true}],\"treatmentStr\":\"二羟丙茶碱\"},{\"id\":133,\"showInfo\":\"0\",\"drugsName\":\"抗生素类(喹诺酮类)\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"85%\"},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"82%\"}],\"treatmentStr\":\"\"},{\"id\":134,\"showInfo\":\"0\",\"drugsName\":\"化痰药(粘液溶解药)\",\"medicitionsList\":[{\"id\":141,\"medicitionName\":\"氨溴索\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"80%\"},{\"id\":null,\"medicitionName\":\"农夫沙星\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"},{\"id\":135,\"showInfo\":\"0\",\"drugsName\":\"糖皮质激素类\",\"medicitionsList\":[{\"id\":143,\"medicitionName\":\"甲泼尼龙\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"63%\"},{\"id\":null,\"medicitionName\":\"安乃近\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"34%\"}],\"treatmentStr\":\"\"},{\"id\":136,\"showInfo\":\"0\",\"drugsName\":\"抗胃酸药(质子泵抑制剂)\",\"medicitionsList\":[{\"id\":145,\"medicitionName\":\"泮托拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"61%\"},{\"id\":null,\"medicitionName\":\"维C银翘片\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"58%\"},{\"id\":null,\"medicitionName\":\"奥美拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"},{\"id\":null,\"medicitionName\":\"兰索拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"}]}]},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{},\"mainsuitIds\":[1]}', null);
INSERT INTO `icss_print_record` VALUES ('30', 'N', '2019-01-07 14:11:46', '1970-01-01 12:00:00', '1', '0', '慢性咽炎', '1', '1', '1', '1', '4456', '{\"chief\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[]\",\"lis\":\"血常规,红细胞计数,1212 L;血常规,白细胞计数,12 10^12/L;血常规,隐血,阴性 ;\",\"pacs\":\"腹部B超,12312312,报告日期,2019-01-07;\",\"diag\":\"慢性咽炎(初诊); \",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1212\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"12\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阴性\"}],\"show\":true,\"time\":\"2019-01-07\"}],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2019-01-07\",\"value\":\"12312312\"}],\"diag\":[{\"id\":103,\"name\":\"慢性咽炎\",\"type\":1}],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_print_record` VALUES ('31', 'N', '2019-01-07 14:57:20', '1970-01-01 12:00:00', '1', '0', '心脏病', '1', '1', '1', '1', '44', '{\"chief\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[]\",\"lis\":\"血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"腹部B超,萨达\\n阿打算是,报告日期,2019-01-07;\",\"diag\":\"心脏病(初诊); \",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]},{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"value\":\"前反复\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2019-01-07\",\"value\":\"萨达\\n阿打算是\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"assay\":\"电解质测定\",\"check\":\"\"},\"mainSuitSelecteds\":{\"1\":{\"exists\":[{\"id\":14,\"name\":\"前\",\"listIndex\":\"10\"},{\"id\":6,\"name\":\"反复\",\"listIndex\":\"30\"}],\"existsName\":\"前反复\",\"ikey\":\"1\"}},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{},\"mainsuitIds\":[1]}', null);
INSERT INTO `icss_print_record` VALUES ('32', 'N', '2019-01-07 15:03:45', '1970-01-01 12:00:00', '1', '0', '心脏病', '1', '1', '1', '1', '44', '{\"chief\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[]\",\"lis\":\"血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"腹部B超,萨达\\n阿打算是,报告日期,2019-01-07;\",\"diag\":\"心脏病(初诊); \",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]},{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"value\":\"前反复\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2019-01-07\",\"value\":\"萨达\\n阿打算是\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"assay\":\"电解质测定\",\"check\":\"\"},\"mainSuitSelecteds\":{\"1\":{\"exists\":[{\"id\":14,\"name\":\"前\",\"listIndex\":\"10\"},{\"id\":6,\"name\":\"反复\",\"listIndex\":\"30\"}],\"existsName\":\"前反复\",\"ikey\":\"1\"}},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{},\"mainsuitIds\":[1]}', null);
INSERT INTO `icss_print_record` VALUES ('33', 'N', '2019-01-07 15:04:10', '1970-01-01 12:00:00', '1', '0', '心脏病', '1', '1', '1', '1', '44', '{\"chief\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[]\",\"lis\":\"血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"腹部B超,萨达\\n阿打算是,报告日期,2019-01-07;\",\"diag\":\"心脏病(初诊); \",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]},{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"value\":\"前反复\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2019-01-07\",\"value\":\"萨达\\n阿打算是\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"assay\":\"电解质测定\",\"check\":\"\"},\"mainSuitSelecteds\":{\"1\":{\"exists\":[{\"id\":14,\"name\":\"前\",\"listIndex\":\"10\"},{\"id\":6,\"name\":\"反复\",\"listIndex\":\"30\"}],\"existsName\":\"前反复\",\"ikey\":\"1\"}},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{},\"mainsuitIds\":[1]}', null);
INSERT INTO `icss_print_record` VALUES ('34', 'N', '2019-01-07 15:04:46', '1970-01-01 12:00:00', '1', '0', '心脏病', '1', '1', '1', '1', '44', '{\"chief\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[]\",\"lis\":\"血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"腹部B超,萨达\\n阿打算是,报告日期,2019-01-07;\",\"diag\":\"心脏病(初诊); \",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]},{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"value\":\"前反复\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2019-01-07\",\"value\":\"萨达\\n阿打算是\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"assay\":\"电解质测定\",\"check\":\"\"},\"mainSuitSelecteds\":{\"1\":{\"exists\":[{\"id\":14,\"name\":\"前\",\"listIndex\":\"10\"},{\"id\":6,\"name\":\"反复\",\"listIndex\":\"30\"}],\"existsName\":\"前反复\",\"ikey\":\"1\"}},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{},\"mainsuitIds\":[1]}', null);
INSERT INTO `icss_print_record` VALUES ('35', 'N', '2019-01-07 15:06:48', '1970-01-01 12:00:00', '1', '0', '心脏病', '1', '1', '1', '1', '44', '{\"chief\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[]\",\"lis\":\"血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"腹部B超,萨达\\n阿打算是,报告日期,2019-01-07;\",\"diag\":\"心脏病(初诊); \",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]},{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"value\":\"前反复\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2019-01-07\",\"value\":\"萨达\\n阿打算是\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"assay\":\"电解质测定\",\"check\":\"\"},\"mainSuitSelecteds\":{\"1\":{\"exists\":[{\"id\":14,\"name\":\"前\",\"listIndex\":\"10\"},{\"id\":6,\"name\":\"反复\",\"listIndex\":\"30\"}],\"existsName\":\"前反复\",\"ikey\":\"1\"}},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{},\"mainsuitIds\":[1]}', null);
INSERT INTO `icss_print_record` VALUES ('36', 'N', '2019-01-07 15:18:51', '1970-01-01 12:00:00', '1', '0', '心脏病', '1', '1', '1', '1', '44', '{\"chief\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[]\",\"lis\":\"血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"腹部B超,萨达\\n阿打算是,报告日期,2019-01-07;\",\"diag\":\"心脏病(初诊); \",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]},{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"value\":\"前反复\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2019-01-07\",\"value\":\"萨达\\n阿打算是\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"assay\":\"电解质测定\",\"check\":\"\"},\"mainSuitSelecteds\":{\"1\":{\"exists\":[{\"id\":14,\"name\":\"前\",\"listIndex\":\"10\"},{\"id\":6,\"name\":\"反复\",\"listIndex\":\"30\"}],\"existsName\":\"前反复\",\"ikey\":\"1\"}},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{},\"mainsuitIds\":[1]}', null);
INSERT INTO `icss_print_record` VALUES ('37', 'N', '2019-01-07 15:21:26', '1970-01-01 12:00:00', '1', '0', '心脏病', '1', '1', '1', '1', '44', '{\"chief\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[]\",\"lis\":\"血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"腹部B超,萨达sssssss是三生三世所所所所所所所所所所所所所\\n\\n阿打算是,报告日期,2019-01-07;\",\"diag\":\"心脏病(初诊); \",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]},{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"value\":\"前反复\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2019-01-07\",\"value\":\"萨达sssssss是三生三世所所所所所所所所所所所所所\\n\\n阿打算是\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"assay\":\"电解质测定\",\"check\":\"\"},\"mainSuitSelecteds\":{\"1\":{\"exists\":[{\"id\":14,\"name\":\"前\",\"listIndex\":\"10\"},{\"id\":6,\"name\":\"反复\",\"listIndex\":\"30\"}],\"existsName\":\"前反复\",\"ikey\":\"1\"}},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{},\"mainsuitIds\":[1]}', null);
INSERT INTO `icss_print_record` VALUES ('38', 'N', '2019-01-07 15:22:18', '1970-01-01 12:00:00', '1', '0', '心脏病', '1', '1', '1', '1', '44', '{\"chief\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[]\",\"lis\":\"血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"腹部B超,萨达sssssss是三生三世所所所所所所所所所所所所所\\n\\n阿打算是,报告日期,2019-01-07;\",\"diag\":\"心脏病(初诊); \",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]},{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"value\":\"前反复\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2019-01-07\",\"value\":\"萨达sssssss是三生三世所所所所所所所所所所所所所\\n\\n阿打算是\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"assay\":\"电解质测定\",\"check\":\"\"},\"mainSuitSelecteds\":{\"1\":{\"exists\":[{\"id\":14,\"name\":\"前\",\"listIndex\":\"10\"},{\"id\":6,\"name\":\"反复\",\"listIndex\":\"30\"}],\"existsName\":\"前反复\",\"ikey\":\"1\"}},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{},\"mainsuitIds\":[1]}', null);
INSERT INTO `icss_print_record` VALUES ('39', 'N', '2019-01-07 15:23:31', '1970-01-01 12:00:00', '1', '0', '心脏病', '1', '1', '1', '1', '44', '{\"chief\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[]\",\"lis\":\"血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"腹部B超,萨达sssssss是三生三世所所所所所所所所所所所所所\\n\\n阿打算是,报告日期,2019-01-07;\",\"diag\":\"心脏病(初诊); \",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]},{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"value\":\"前反复\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2019-01-07\",\"value\":\"萨达sssssss是三生三世所所所所所所所所所所所所所\\n\\n阿打算是\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"assay\":\"电解质测定\",\"check\":\"\"},\"mainSuitSelecteds\":{\"1\":{\"exists\":[{\"id\":14,\"name\":\"前\",\"listIndex\":\"10\"},{\"id\":6,\"name\":\"反复\",\"listIndex\":\"30\"}],\"existsName\":\"前反复\",\"ikey\":\"1\"}},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{},\"mainsuitIds\":[1]}', null);
INSERT INTO `icss_print_record` VALUES ('40', 'N', '2019-01-07 15:24:18', '1970-01-01 12:00:00', '1', '0', '心脏病', '1', '1', '1', '1', '44', '{\"chief\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[]\",\"lis\":\"血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"腹部B超,萨达sssssss是三生三世所所所所所所所所所所所所所\\n\\n阿打算是,报告日期,2019-01-07;\",\"diag\":\"心脏病(初诊); \",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]},{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"value\":\"前反复\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2019-01-07\",\"value\":\"萨达sssssss是三生三世所所所所所所所所所所所所所\\n\\n阿打算是\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"assay\":\"电解质测定\",\"check\":\"\"},\"mainSuitSelecteds\":{\"1\":{\"exists\":[{\"id\":14,\"name\":\"前\",\"listIndex\":\"10\"},{\"id\":6,\"name\":\"反复\",\"listIndex\":\"30\"}],\"existsName\":\"前反复\",\"ikey\":\"1\"}},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{},\"mainsuitIds\":[1]}', null);
INSERT INTO `icss_print_record` VALUES ('41', 'N', '2019-01-07 15:24:43', '1970-01-01 12:00:00', '1', '0', '心脏病', '1', '1', '1', '1', '44', '{\"chief\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[]\",\"lis\":\"血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"腹部B超,萨达sssssss是三生三世所所所所所所所所所所所所所\\n\\n阿打算是,报告日期,2019-01-07;\",\"diag\":\"心脏病(初诊); \",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]},{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"value\":\"前反复\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2019-01-07\",\"value\":\"萨达sssssss是三生三世所所所所所所所所所所所所所\\n\\n阿打算是\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"assay\":\"电解质测定\",\"check\":\"\"},\"mainSuitSelecteds\":{\"1\":{\"exists\":[{\"id\":14,\"name\":\"前\",\"listIndex\":\"10\"},{\"id\":6,\"name\":\"反复\",\"listIndex\":\"30\"}],\"existsName\":\"前反复\",\"ikey\":\"1\"}},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{},\"mainsuitIds\":[1]}', null);
INSERT INTO `icss_print_record` VALUES ('42', 'N', '2019-01-07 15:25:48', '1970-01-01 12:00:00', '1', '0', '心脏病', '1', '1', '1', '1', '44', '{\"chief\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[]\",\"lis\":\"血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"腹部B超,萨达sssssss是三生三世所所所所所所所所所所所所所\\n\\n阿打算是,报告日期,2019-01-07;\",\"diag\":\"心脏病(初诊); \",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]},{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"value\":\"前反复\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2019-01-07\",\"value\":\"萨达sssssss是三生三世所所所所所所所所所所所所所\\n\\n阿打算是\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"assay\":\"电解质测定\",\"check\":\"\"},\"mainSuitSelecteds\":{\"1\":{\"exists\":[{\"id\":14,\"name\":\"前\",\"listIndex\":\"10\"},{\"id\":6,\"name\":\"反复\",\"listIndex\":\"30\"}],\"existsName\":\"前反复\",\"ikey\":\"1\"}},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{},\"mainsuitIds\":[1]}', null);
INSERT INTO `icss_print_record` VALUES ('43', 'N', '2019-01-08 11:09:04', '1970-01-01 12:00:00', '1', '0', '肺部感染', '1', '1', '1', '2', '440', '{\"chief\":\"[\\\"患者\\\",\\\"3,天\\\",\\\"前\\\",\\\"因淋雨后\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"伴\\\",\\\"发热\\\",\\\"最高温度度\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"精神佳\\\",\\\"，\\\",\\\"意识模糊\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"3,天\\\",\\\"前\\\",\\\"因淋雨后\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"伴\\\",\\\"发热\\\",\\\"最高温度度\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"精神佳\\\",\\\"，\\\",\\\"意识模糊\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[]\",\"vital\":\"[]\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"肺部感染(初诊); \",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":10,\"name\":\"伴\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":4,\"name\":\"发热\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":72,\"name\":\"咽喉痛\",\"tagName\":\"咽喉痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":106,\"name\":\"咳痰\",\"tagName\":\"咳痰\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":107,\"name\":\"咳痰性状\",\"tagName\":\"咳痰性状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":108,\"name\":\"\",\"tagName\":\"初为后为\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":115,\"name\":\"初为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":1,\"code\":3,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":116,\"name\":\"后为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":2,\"code\":4,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":109,\"name\":\"\",\"tagName\":\"咳痰颜色\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":117,\"name\":\"白色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":118,\"name\":\"绿色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":119,\"name\":\"黄色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":120,\"name\":\"红色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":121,\"name\":\"铁锈色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":110,\"name\":\"\",\"tagName\":\"咳痰性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":122,\"name\":\"粘痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":123,\"name\":\"脓痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":124,\"name\":\"泡沫痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":125,\"name\":\"浆液痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":126,\"name\":\"脓臭痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":127,\"name\":\"胶冻样痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":111,\"name\":\"痰量\",\"tagName\":\"痰量\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":128,\"name\":\"痰量少\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":129,\"name\":\"痰量中等\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":130,\"name\":\"痰量大\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":4,\"name\":\"发热\",\"tagName\":\"发热\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":5,\"name\":\"（填写）\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"度\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":203,\"name\":\"鼻塞\",\"tagName\":\"鼻塞\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":200,\"name\":\"气促\",\"tagName\":\"气促\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":195,\"name\":\"头痛\",\"tagName\":\"头痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"3\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"天\"}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null,\"value\":\"因淋雨后\"},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"伴\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":4,\"name\":\"发热\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":5,\"name\":\"（填写）\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"度\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null,\"value\":\"精神佳\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null,\"value\":\"意识模糊\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[],\"vital\":[],\"pacs\":[],\"diag\":[{\"id\":104,\"name\":\"肺部感染\",\"tagName\":\"肺部感染\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":9,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{},\"mainsuitIds\":[],\"currentIds\":[]}', null);
INSERT INTO `icss_print_record` VALUES ('44', 'N', '2019-01-08 11:09:54', '1970-01-01 12:00:00', '1', '0', '肺部感染', '1', '1', '1', '2', '441', '{\"chief\":\"[\\\"患者\\\",\\\"3,天\\\",\\\"前\\\",\\\"因淋雨后\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"伴\\\",\\\"发热\\\",\\\"最高温度度\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"精神佳\\\",\\\"，\\\",\\\"意识模糊\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"3,天\\\",\\\"前\\\",\\\"因淋雨后\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"伴\\\",\\\"发热\\\",\\\"最高温度度\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"精神佳\\\",\\\"，\\\",\\\"意识模糊\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[]\",\"vital\":\"[null,\\\"血压：,1,（收缩压）mmHg\\\",null,\\\"体温：2146℃\\\"]\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"肺部感染(初诊); \",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":10,\"name\":\"伴\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":4,\"name\":\"发热\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":72,\"name\":\"咽喉痛\",\"tagName\":\"咽喉痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":106,\"name\":\"咳痰\",\"tagName\":\"咳痰\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":107,\"name\":\"咳痰性状\",\"tagName\":\"咳痰性状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":108,\"name\":\"\",\"tagName\":\"初为后为\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":115,\"name\":\"初为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":1,\"code\":3,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":116,\"name\":\"后为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":2,\"code\":4,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":109,\"name\":\"\",\"tagName\":\"咳痰颜色\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":117,\"name\":\"白色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":118,\"name\":\"绿色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":119,\"name\":\"黄色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":120,\"name\":\"红色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":121,\"name\":\"铁锈色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":110,\"name\":\"\",\"tagName\":\"咳痰性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":122,\"name\":\"粘痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":123,\"name\":\"脓痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":124,\"name\":\"泡沫痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":125,\"name\":\"浆液痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":126,\"name\":\"脓臭痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":127,\"name\":\"胶冻样痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":111,\"name\":\"痰量\",\"tagName\":\"痰量\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":128,\"name\":\"痰量少\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":129,\"name\":\"痰量中等\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":130,\"name\":\"痰量大\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":4,\"name\":\"发热\",\"tagName\":\"发热\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":5,\"name\":\"（填写）\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"度\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":203,\"name\":\"鼻塞\",\"tagName\":\"鼻塞\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":200,\"name\":\"气促\",\"tagName\":\"气促\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":195,\"name\":\"头痛\",\"tagName\":\"头痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"3\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"天\"}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null,\"value\":\"因淋雨后\"},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"伴\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":4,\"name\":\"发热\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":5,\"name\":\"（填写）\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"度\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null,\"value\":\"精神佳\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null,\"value\":\"意识模糊\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"（收缩压）\"}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"(填写)\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2146\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[],\"diag\":[{\"id\":104,\"name\":\"肺部感染\",\"tagName\":\"肺部感染\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":9,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{},\"mainsuitIds\":[],\"currentIds\":[]}', null);
INSERT INTO `icss_print_record` VALUES ('45', 'N', '2019-01-08 11:33:11', '1970-01-01 12:00:00', '1', '0', '心脏病', '1', '1', '1', '1', '44', '{\"chief\":\"[\\\"患者\\\",\\\"1,天\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"1,天\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[null,null,\\\"dd\\\"]\",\"lis\":\"血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"腹部B超,萨达sssssss是三生三世所所所所所所所所所所所所所\\n\\n阿打算是,报告日期,2019-01-07;\",\"diag\":\"心脏病(初诊); \",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]},{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"value\":\"前反复\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"天\"}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"有高血压病史\"},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"value\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"value\":\"dd\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2019-01-07\",\"value\":\"萨达sssssss是三生三世所所所所所所所所所所所所所\\n\\n阿打算是\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"assay\":\"电解质测定\",\"check\":\"\"},\"mainSuitSelecteds\":{\"1\":{\"exists\":[{\"id\":14,\"name\":\"前\",\"listIndex\":\"10\"},{\"id\":6,\"name\":\"反复\",\"listIndex\":\"30\"}],\"existsName\":\"前反复\",\"ikey\":\"1\"}},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{},\"mainsuitIds\":[],\"currentIds\":[]}', null);
INSERT INTO `icss_print_record` VALUES ('46', 'N', '2019-01-08 13:31:48', '1970-01-01 12:00:00', '1', '0', '肺部感染', '1', '1', '1', '1', '4332', '{\"chief\":\"[\\\"患者\\\",\\\"3,天\\\",\\\"前\\\",\\\"因淋雨后\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"伴\\\",\\\"发热\\\",\\\"最高温度度\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"精神佳\\\",\\\"，\\\",\\\"意识模糊\\\",\\\"，\\\",\\\"食欲欠佳\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"3,天\\\",\\\"前\\\",\\\"因淋雨后\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"伴\\\",\\\"发热\\\",\\\"最高温度度\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"精神佳\\\",\\\"，\\\",\\\"意识模糊\\\",\\\"，\\\",\\\"食欲欠佳\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[]\",\"vital\":\"[]\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"肺部感染(初诊); \"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":10,\"name\":\"伴\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":4,\"name\":\"发热\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":72,\"name\":\"咽喉痛\",\"tagName\":\"咽喉痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":106,\"name\":\"咳痰\",\"tagName\":\"咳痰\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":107,\"name\":\"咳痰性状\",\"tagName\":\"咳痰性状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":108,\"name\":\"\",\"tagName\":\"初为后为\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":115,\"name\":\"初为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":1,\"code\":3,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":116,\"name\":\"后为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":2,\"code\":4,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":109,\"name\":\"\",\"tagName\":\"咳痰颜色\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":117,\"name\":\"白色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":118,\"name\":\"绿色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":119,\"name\":\"黄色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":120,\"name\":\"红色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":121,\"name\":\"铁锈色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":110,\"name\":\"\",\"tagName\":\"咳痰性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":122,\"name\":\"粘痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":123,\"name\":\"脓痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":124,\"name\":\"泡沫痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":125,\"name\":\"浆液痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":126,\"name\":\"脓臭痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":127,\"name\":\"胶冻样痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":111,\"name\":\"痰量\",\"tagName\":\"痰量\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":128,\"name\":\"痰量少\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":129,\"name\":\"痰量中等\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":130,\"name\":\"痰量大\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":4,\"name\":\"发热\",\"tagName\":\"发热\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":5,\"name\":\"（填写）\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"度\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":203,\"name\":\"鼻塞\",\"tagName\":\"鼻塞\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":200,\"name\":\"气促\",\"tagName\":\"气促\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":195,\"name\":\"头痛\",\"tagName\":\"头痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"3\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"天\"}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null,\"value\":\"因淋雨后\"},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"伴\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":4,\"name\":\"发热\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":5,\"name\":\"（填写）\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"度\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null,\"value\":\"精神佳\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null,\"value\":\"意识模糊\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null,\"value\":\"食欲欠佳\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[],\"vital\":[],\"pacs\":[],\"diag\":[{\"id\":104,\"name\":\"肺部感染\",\"tagName\":\"肺部感染\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":9,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{},\"mainsuitIds\":[],\"currentIds\":[]}', null);
INSERT INTO `icss_print_record` VALUES ('47', 'N', '2019-01-08 13:52:47', '1970-01-01 12:00:00', '1', '0', '肺部感染', '1', '1', '1', '2', '441', '{\"chief\":\"[\\\"患者\\\",\\\"3,天\\\",\\\"前\\\",\\\"因淋雨后\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"伴\\\",\\\"发热\\\",\\\"最高温度度\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"精神佳\\\",\\\"，\\\",\\\"意识模糊\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"3,天\\\",\\\"前\\\",\\\"因淋雨后\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"伴\\\",\\\"发热\\\",\\\"最高温度度\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"精神佳\\\",\\\"，\\\",\\\"意识模糊\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[]\",\"vital\":\"[null,\\\"血压：,1,（收缩压）mmHg\\\",null,\\\"体温：2146℃\\\"]\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"肺部感染(初诊); \",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":10,\"name\":\"伴\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":4,\"name\":\"发热\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":106,\"name\":\"咳痰\",\"tagName\":\"咳痰\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":107,\"name\":\"咳痰性状\",\"tagName\":\"咳痰性状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":108,\"name\":\"\",\"tagName\":\"初为后为\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":115,\"name\":\"初为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":1,\"code\":3,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":116,\"name\":\"后为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":2,\"code\":4,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":109,\"name\":\"\",\"tagName\":\"咳痰颜色\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":117,\"name\":\"白色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":118,\"name\":\"绿色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":119,\"name\":\"黄色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":120,\"name\":\"红色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":121,\"name\":\"铁锈色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":110,\"name\":\"\",\"tagName\":\"咳痰性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":122,\"name\":\"粘痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":123,\"name\":\"脓痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":124,\"name\":\"泡沫痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":125,\"name\":\"浆液痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":126,\"name\":\"脓臭痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":127,\"name\":\"胶冻样痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":111,\"name\":\"痰量\",\"tagName\":\"痰量\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":128,\"name\":\"痰量少\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":129,\"name\":\"痰量中等\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":130,\"name\":\"痰量大\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":200,\"name\":\"气促\",\"tagName\":\"气促\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":201,\"name\":\"胸闷\",\"tagName\":\"胸闷\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":202,\"name\":\"胸痛\",\"tagName\":\"胸痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":198,\"name\":\"乏力\",\"tagName\":\"乏力\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":196,\"name\":\"畏寒\",\"tagName\":\"畏寒\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":197,\"name\":\"头晕\",\"tagName\":\"头晕\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"3\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"天\"}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null,\"value\":\"因淋雨后\"},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"伴\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":4,\"name\":\"发热\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":5,\"name\":\"（填写）\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"度\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null,\"value\":\"精神佳\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null,\"value\":\"意识模糊\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"（收缩压）\"}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"(填写)\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2146\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[],\"diag\":[{\"id\":104,\"name\":\"肺部感染\",\"tagName\":\"肺部感染\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":9,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{},\"mainsuitIds\":[]}', null);

-- ----------------------------
-- Table structure for icss_question_detail
-- ----------------------------
DROP TABLE IF EXISTS `icss_question_detail`;
CREATE TABLE `icss_question_detail` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `question_id` bigint(20) NOT NULL DEFAULT '0' COMMENT 'question_id',
  `name` varchar(100) NOT NULL DEFAULT '' COMMENT '名称',
  `order_no` int(11) NOT NULL DEFAULT '0' COMMENT '排序号',
  `default_select` char(1) NOT NULL DEFAULT '0' COMMENT '是否默认被选中（0：不选中，1：选中）',
  `code` int(11) DEFAULT '0' COMMENT '特殊编码(0：默认，1：伴，2：无)',
  `abnormal` int(11) DEFAULT '0' COMMENT '是否异常（0：正常，1：异常）',
  `remark` varchar(300) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=139 DEFAULT CHARSET=utf8 COMMENT='标签明细表';

-- ----------------------------
-- Records of icss_question_detail
-- ----------------------------
INSERT INTO `icss_question_detail` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '程度较轻', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '程度较重', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '程度剧烈', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '不易咳出', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '咳出费力', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '18', '反复', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '18', '突发', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '18', '持续', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '18', '间断', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '伴', '1', '0', '1', '0', null);
INSERT INTO `icss_question_detail` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '14', '上', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '14', '中', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '14', '下', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '前', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '后', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('16', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '左', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '右', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('18', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '再发', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('19', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '加重', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('20', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '22', '伴', '1', '0', '1', '0', null);
INSERT INTO `icss_question_detail` VALUES ('21', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '22', '无', '2', '0', '2', '0', null);
INSERT INTO `icss_question_detail` VALUES ('26', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '左上肢', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('27', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '右上肢', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('30', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '32', '精神佳', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('31', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '32', '精神差', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('32', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '34', '心尖区', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('33', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '34', '肺动脉瓣区', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('34', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '34', '主动脉瓣区', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('35', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '34', '主动脉瓣第二听诊区', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('36', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '34', '三尖瓣区', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '35', '可闻及', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('38', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '35', '未闻及', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('39', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '36', '2/6', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('40', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '36', '3/6', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '36', '4/6', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('42', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '36', '5/6', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '36', '6/6', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '37', '收缩期', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('45', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '37', '舒张期', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('46', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '37', '全期', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('47', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '38', '吹风样', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('48', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '38', '隆隆样', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('49', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '38', '喷射样', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('50', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '38', '叹气样', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('51', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '38', '机器样', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('52', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '39', '听诊区未闻及明显心脏杂音', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('53', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '48', '年', '1', '1', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('54', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '48', '月', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('55', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '48', '日', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('56', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '49', '未经治疗', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('57', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '49', '未经正规治疗', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('58', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '49', '未经特殊治疗', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('59', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '50', '病情控制尚可', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('60', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '50', '病情控制不欠佳', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('61', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '50', '目前未觉有相关不适表现', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('62', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '50', '病情时轻时重，控制不佳', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('63', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '52', '无', '1', '0', '2', '0', null);
INSERT INTO `icss_question_detail` VALUES ('64', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '51', '既往史无殊', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('65', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '54', '过敏史无殊', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('66', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '55', '有“青霉素”过敏', '0', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('67', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '55', '有“磺胺类”过敏', '0', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('68', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '55', '有“蚕豆”过敏', '0', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('69', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '55', '有“( )”过敏', '0', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('70', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '56', '天', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('71', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '56', '小时', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('72', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '56', '月', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('73', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '56', '年', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('74', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '57', '无明显诱因下', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('75', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '57', '因淋雨后', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('76', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '57', '因受凉后', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('77', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '57', '接触类似病人后出现', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('78', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '57', '接触刺激性气体后', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('79', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '57', '运动劳累后', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('80', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '57', '于季节变化时', '7', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('81', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '60', '意识模糊', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('82', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '61', '食欲欠佳', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('83', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '62', '睡眠质量欠佳', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('84', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '63', '黑便', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('87', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '64', '体重减轻', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('88', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '66', '上述症状加重', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('89', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24', '未经诊疗', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('90', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '77', '无烟酒嗜好', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('91', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '77', '无饮酒嗜好', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('92', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '77', '无吸烟嗜好', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('93', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '78', '有饮酒习惯', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('94', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '78', '有吸烟习惯', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('95', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '78', '饮酒，每天约（）ml，已饮（）年', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('96', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '78', '吸烟，每天约（）支，已吸（）年', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('97', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '86', '月经规律', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('98', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '86', '月经不规律', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('99', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '87', '经量正常', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('100', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '87', '经量偏多', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('101', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '87', '经量偏少', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('102', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '88', '无痛经', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('103', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '88', '偶有痛经习惯', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('104', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '88', '有痛经', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('105', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '89', '白带量不多', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('106', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '89', '白带量偏多', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('107', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '89', '白带颜色和形状异常', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('108', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '90', '无异味', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('109', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '90', '有异常气味', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('110', 'Y', '1970-01-01 12:00:00', '2018-12-03 14:41:21', '0', 'dddd', '91', '测试', '0', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('111', 'Y', '1970-01-01 12:00:00', '2018-12-03 14:41:21', '0', 'dddd', '92', '测试', '0', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('112', 'Y', '1970-01-01 12:00:00', '2018-12-03 14:41:21', '0', 'dddd', '93', '测试', '0', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('113', 'Y', '1970-01-01 12:00:00', '2018-12-03 14:41:21', '0', 'dddd', '93', '测试', '0', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('115', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '108', '初为', '1', '0', '3', '0', null);
INSERT INTO `icss_question_detail` VALUES ('116', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '108', '后为', '2', '0', '4', '0', null);
INSERT INTO `icss_question_detail` VALUES ('117', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '109', '白色', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('118', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '109', '绿色', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('119', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '109', '黄色', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('120', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '109', '红色', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('121', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '109', '铁锈色', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('122', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '110', '粘痰', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('123', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '110', '脓痰', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('124', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '110', '泡沫痰', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('125', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '110', '浆液痰', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('126', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '110', '脓臭痰', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('127', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '110', '胶冻样痰', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('128', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '111', '痰量少', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('129', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '111', '痰量中等', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('130', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '111', '痰量大', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('131', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '81', '月经史无殊', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('132', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '113', '阴性', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('133', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '113', '阳性', '2', '0', '0', '1', null);
INSERT INTO `icss_question_detail` VALUES ('134', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '117', '阴性', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('135', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '117', '阳性', '2', '0', '0', '1', null);
INSERT INTO `icss_question_detail` VALUES ('136', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '76', '个人史无殊', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('137', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '170', '干咳', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('138', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '170', '带痰', '2', '0', '0', '0', null);

-- ----------------------------
-- Table structure for icss_question_info
-- ----------------------------
DROP TABLE IF EXISTS `icss_question_info`;
CREATE TABLE `icss_question_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `tag_name` varchar(100) NOT NULL DEFAULT '' COMMENT '标签名',
  `name` varchar(100) NOT NULL DEFAULT '' COMMENT '内容',
  `sex_type` tinyint(11) NOT NULL DEFAULT '3' COMMENT '性别(1：男 2：女 3：通用)',
  `age_begin` int(11) NOT NULL DEFAULT '0' COMMENT '最小年龄',
  `age_end` int(11) NOT NULL DEFAULT '200' COMMENT '最大年龄',
  `tag_type` tinyint(4) NOT NULL DEFAULT '1' COMMENT '标签标识(1：单项单列，例如： 程度，咳出通畅度  2：单项多列，例如：杂音，添加症状 3：横铺单标签形式，例如：血压 4：横铺多标签形式，例如：咳嗽 5：竖铺组合项，例如：有无治疗 6：组合项多列 既往史 7：化验类型 8：文字标签，9：空标签，例如：辅检，诊断，药品 10：组合项，例如：既往史的疾病 11：推送类型)',
  `control_type` tinyint(4) NOT NULL DEFAULT '0' COMMENT '控件类型(0：无类型，默认值 1：下拉单选 2：下拉多选 3：纯文本 4：待定 5：数字键盘带单位 6：文本框 7：数字键盘文本框 99：联合推送)',
  `type` tinyint(4) NOT NULL DEFAULT '0' COMMENT '类型（1：症状 3：其他史 4：查体，5：化验 6：辅检 7：诊断,8:药品，9：药品分类）',
  `sub_type` tinyint(4) NOT NULL DEFAULT '0' COMMENT '子类型，(0：项目，1：描述)',
  `label_prefix` varchar(100) NOT NULL DEFAULT '' COMMENT '前置内容',
  `label_suffix` varchar(100) NOT NULL DEFAULT '' COMMENT '后置内容',
  `min_value` decimal(20,6) DEFAULT NULL COMMENT '最小值',
  `max_value` decimal(20,6) DEFAULT NULL COMMENT '最大值',
  `text_generate` tinyint(4) NOT NULL DEFAULT '0' COMMENT '文本生成规则(0：点选顺序，例如初为 1：从上到下，从左到右，例如查体杂音 2：从左到右，从上到下，例如伴/无)',
  `copy_type` tinyint(4) NOT NULL DEFAULT '0' COMMENT '是否复制 (0：不复制，1：复制)',
  `show_add` tinyint(4) NOT NULL DEFAULT '0' COMMENT '是否显示+ （0：不显示 1：显示），+功能等于复制',
  `show_info` tinyint(4) NOT NULL DEFAULT '0' COMMENT '显示 i (0：不显示， 1：显示)',
  `joint` varchar(100) NOT NULL DEFAULT '' COMMENT '标签后的连接符(例如：杂音下的 闻及|2/6之间的逗号，界面本身不显示)',
  `remark` varchar(300) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`),
  UNIQUE KEY `tag_name,type` (`tag_name`,`type`,`is_deleted`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=211 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='标签基础表';

-- ----------------------------
-- Records of icss_question_info
-- ----------------------------
INSERT INTO `icss_question_info` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '咳嗽', '咳嗽', '3', '0', '200', '4', '0', '1', '0', '', '', null, null, '0', '0', '0', '1', '', null);
INSERT INTO `icss_question_info` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '程度', '程度', '3', '0', '200', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '咳出通畅度', '咳出通畅度', '3', '0', '200', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '发热', '发热', '3', '0', '200', '4', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '最高温度', '(填写)', '3', '0', '200', '1', '6', '1', '1', '最高温度', '度', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '高热', '高热', '3', '0', '200', '1', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '主诉通用特征描述', '主诉通用特征描述', '3', '0', '200', '2', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '添加症状', '添加症状', '3', '0', '200', '11', '0', '1', '1', '', '', null, null, '0', '1', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '主诉-伴', '', '3', '0', '200', '1', '4', '1', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '症状-推送', '', '3', '0', '200', '1', '99', '1', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '主诉时间', '', '3', '0', '200', '3', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '主诉-添加病情变化', '添加病情变化', '3', '0', '200', '4', '0', '1', '1', '', '', null, null, '0', '1', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '主诉-添加主症状', '添加主症状', '3', '0', '200', '1', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '主诉通用特征描述-上中下', '', '3', '0', '200', '1', '2', '1', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '主诉通用特征描述-前后', '', '3', '0', '200', '1', '2', '1', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('16', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '主诉通用特征描述-左右', '', '3', '0', '200', '1', '2', '1', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '主诉通用特征描述-加重再发', '', '3', '0', '200', '1', '2', '1', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('18', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '主诉通用特征描述-特性', '', '3', '0', '200', '1', '2', '1', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('20', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '主诉时间-输入框', '(填写)', '3', '0', '200', '1', '7', '1', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('21', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '添加其他症状', '添加其他症状', '3', '0', '200', '11', '0', '1', '1', '', '', null, null, '2', '1', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('22', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '添加其他症状-伴无', '', '3', '0', '200', '1', '2', '1', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('23', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '有无治疗', '有无治疗', '3', '0', '200', '5', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('24', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '有无治疗-未经诊疗', '', '3', '0', '200', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('25', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '有无治疗-使用（）后好转', '(填写)', '3', '0', '200', '1', '6', '1', '1', '使用', '后好转', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('26', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '有无治疗-使用（）后未见明显好转', '(填写)', '3', '0', '200', '1', '6', '1', '1', '使用', '后未见明显好转', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('28', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '血压', '血压', '3', '0', '200', '3', '0', '4', '0', '', '', null, null, '0', '0', '1', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('29', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '部位', '(部位)', '3', '0', '200', '1', '1', '4', '1', '血压：', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('30', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '舒张压', '(舒张压)', '3', '0', '200', '1', '7', '4', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('31', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '收缩压', '(收缩压)', '3', '0', '200', '1', '7', '4', '1', '/', 'mmHg', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('32', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '精神状态', '精神状态', '3', '0', '200', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('33', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '杂音', '杂音', '3', '0', '200', '2', '0', '4', '1', '', '', null, null, '1', '0', '0', '1', '', null);
INSERT INTO `icss_question_info` VALUES ('34', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '杂音-部位', '', '3', '0', '200', '1', '2', '4', '0', '', '', null, null, '0', '0', '1', '0', '，', null);
INSERT INTO `icss_question_info` VALUES ('35', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '杂音-闻及', '', '3', '0', '200', '1', '1', '4', '1', '', '', null, null, '0', '0', '0', '0', '，', null);
INSERT INTO `icss_question_info` VALUES ('36', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '杂音-级别', '', '3', '0', '200', '1', '1', '4', '1', '', '', null, null, '0', '0', '0', '0', '，', null);
INSERT INTO `icss_question_info` VALUES ('37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '杂音-期别类型', '', '3', '0', '200', '1', '1', '4', '1', '', '', null, null, '0', '0', '0', '0', '，', null);
INSERT INTO `icss_question_info` VALUES ('38', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '杂音-样类型', '', '3', '0', '200', '1', '2', '4', '1', '', '', null, null, '0', '0', '0', '0', '，', null);
INSERT INTO `icss_question_info` VALUES ('39', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '杂音正常', '', '3', '0', '200', '1', '1', '4', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('40', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '体温', '(填写)', '3', '0', '200', '1', '7', '4', '1', '体温：', '℃', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('45', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '既往史', '既往史', '3', '0', '200', '6', '0', '3', '1', '', '', null, null, '0', '1', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('46', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '高血压', '高血压', '3', '0', '200', '3', '0', '3', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('47', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '高血压-时间', '(填写)', '3', '0', '200', '1', '7', '3', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('48', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '高血压-时间单位', '', '3', '0', '200', '1', '1', '3', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('49', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '既往史-未进行正规治疗', '未进行正规治疗', '3', '0', '200', '1', '1', '3', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('50', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '既往史-病情控制', '病情控制', '3', '0', '200', '1', '1', '3', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('51', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '既往史无殊', '', '3', '0', '200', '1', '1', '3', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('52', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '既往史-无', '', '3', '0', '200', '1', '1', '3', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('53', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '过敏史', '过敏史', '3', '0', '200', '2', '0', '3', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('54', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '过敏史-过敏史无殊', '', '3', '0', '200', '1', '1', '3', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('55', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '过敏史-具体项', '', '3', '0', '200', '1', '2', '3', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('56', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '主诉时间-单位', '单位', '3', '0', '200', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('57', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '诱因', '诱因', '3', '0', '200', '1', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('60', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '意识情况', '意识情况', '3', '0', '200', '1', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('61', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '食欲', '食欲', '3', '0', '200', '1', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('62', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '睡眠', '睡眠', '3', '0', '200', '1', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('63', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '二便情况', '二便情况', '3', '0', '200', '1', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('64', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '体重情况', '体重情况', '3', '0', '200', '1', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('65', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '病程变化', '病程变化', '3', '0', '200', '4', '0', '1', '0', '', '', null, null, '0', '0', '1', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('66', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '上诉', '上诉', '3', '0', '200', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('69', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '血常规', '血常规', '3', '0', '200', '7', '0', '5', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('70', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '白细胞计数', '白细胞计数', '3', '0', '200', '1', '6', '5', '0', '', '10^12/L', '9.000000', '10.000000', '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('71', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '既往史-疾病', '', '3', '0', '200', '10', '0', '3', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('72', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '咽喉痛', '咽喉痛', '3', '0', '200', '4', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('73', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '肝恶性肿瘤', '肝恶性肿瘤', '3', '0', '200', '4', '0', '3', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('74', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '有高血压病史_文字', '有高血压病史', '3', '0', '200', '8', '0', '3', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('75', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '个人史', '个人史', '3', '0', '200', '2', '0', '3', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('76', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '个人史无殊', '', '3', '0', '200', '1', '1', '3', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('77', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '无烟酒嗜好', '', '3', '0', '200', '1', '2', '3', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('78', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '有烟酒习惯', '', '3', '0', '200', '1', '2', '3', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('79', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '月经史', '月经史', '2', '0', '200', '6', '0', '3', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('80', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '月经史填写', '月经史填写', '2', '0', '200', '3', '0', '3', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('81', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '月经史无殊', '', '2', '0', '200', '1', '1', '3', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('82', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '初潮年龄', '', '2', '0', '200', '1', '6', '3', '1', '月经史：初潮年龄', '、', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('83', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '行径天数', '', '2', '0', '200', '1', '6', '3', '1', '行径天数', '、', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('84', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '周期', '', '2', '0', '200', '1', '6', '3', '1', '周期', '、', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('85', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '停经时间', '', '2', '0', '200', '1', '6', '3', '1', '停经时间', '、', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('86', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '月经规律', '月经规律', '2', '0', '200', '1', '1', '3', '1', '', '、', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('87', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '经量', '经量', '2', '0', '200', '1', '1', '3', '1', '', '、', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('88', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '痛经', '痛经', '2', '0', '200', '1', '1', '3', '1', '', '、', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('89', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '白带量', '白带量', '2', '0', '200', '1', '1', '3', '1', '', '、', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('90', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '有无异味', '有无异味', '2', '0', '200', '1', '1', '3', '1', '', '。', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('91', 'Y', '1970-01-01 12:00:00', '2018-12-03 16:11:17', '0', '1', '测试', '', '3', '0', '200', '1', '0', '0', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('92', 'Y', '1970-01-01 12:00:00', '2018-12-03 14:17:26', '0', '1', '测试2', '', '3', '0', '200', '1', '0', '0', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('93', 'Y', '1970-01-01 12:00:00', '2018-12-03 14:17:26', '0', '1', '测试3', '', '3', '0', '200', '1', '0', '0', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('94', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '肺部阴影', '肺部阴影', '3', '0', '200', '9', '0', '7', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('95', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '呼吸道感染', '呼吸道感染', '3', '0', '200', '9', '0', '7', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('96', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '超敏C反应蛋白', '超敏C反应蛋白', '3', '0', '200', '7', '0', '5', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('97', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '月经史填写（总）', '', '2', '0', '200', '1', '0', '3', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('98', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '支气管哮喘', '支气管哮喘', '3', '0', '200', '9', '0', '7', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('99', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '肺炎', '肺炎', '3', '0', '200', '9', '0', '7', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('100', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '咽炎', '咽炎', '3', '0', '200', '9', '0', '7', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('101', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '支气管炎', '支气管炎', '3', '0', '200', '9', '0', '7', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('102', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '肺结节', '肺结节', '3', '0', '200', '9', '0', '7', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('103', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '慢性咽炎', '慢性咽炎', '3', '0', '200', '9', '0', '7', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('104', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '肺部感染', '肺部感染', '3', '0', '200', '9', '0', '7', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('105', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '高血压', '高血压', '3', '0', '200', '9', '0', '7', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('106', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '咳痰', '咳痰', '3', '0', '200', '4', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('107', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '咳痰性状', '咳痰性状', '3', '0', '200', '2', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('108', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '初为后为', '', '3', '0', '200', '1', '2', '1', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('109', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '咳痰颜色', '', '3', '0', '200', '1', '2', '1', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('110', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '咳痰性质', '', '3', '0', '200', '1', '2', '1', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('111', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '痰量', '痰量', '3', '0', '200', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('112', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '腹部B超', '腹部B超', '3', '0', '200', '9', '0', '6', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('113', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '隐血', '隐血', '3', '0', '200', '1', '1', '5', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('115', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '红细胞计数', '红细胞计数', '3', '0', '200', '1', '6', '5', '5', '', 'L', '10.000000', '12.000000', '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('116', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '尿常规', '尿常规', '3', '0', '200', '7', '0', '5', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('117', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '尿糖定性', '尿糖定性', '3', '0', '200', '7', '1', '5', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('118', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', 'PH值', 'PH值', '3', '0', '200', '7', '6', '5', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('119', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '，_文字', '，', '3', '0', '200', '8', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('120', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '于（###）医院治疗，经（###）后未见明显好转', '于(###)医院治疗，经(###)后未见明显好转', '3', '0', '200', '3', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('121', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '于（###）医院治疗', '(填写)', '3', '0', '200', '1', '6', '1', '1', '于', '医院治疗', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('122', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '经（###）后未见明显好转', '(填写)', '3', '0', '200', '1', '6', '1', '1', '经', '后未见明显好转', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('123', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '患者_文字', '患者', '3', '0', '200', '8', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('124', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '前_文字', '前', '3', '0', '200', '8', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('125', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '出现_文字', '出现', '3', '0', '200', '8', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('126', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '遂来就诊_文字', '遂来就诊', '3', '0', '200', '8', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('127', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '自病以来_文字', '自病以来', '3', '0', '200', '8', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('128', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '。_文字', '。', '3', '0', '200', '8', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('129', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '，前_文字', '，前', '3', '0', '200', '8', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('131', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '心脏病', '心脏病', '3', '0', '200', '9', '0', '7', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('132', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '支气管扩张剂', '支气管扩张剂', '3', '0', '200', '9', '0', '9', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('133', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '抗生素类(喹诺酮类)', '抗生素类(喹诺酮类)', '3', '0', '200', '9', '0', '9', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('134', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '化痰药(粘液溶解药)', '化痰药(粘液溶解药)', '3', '0', '200', '9', '0', '9', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('135', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '糖皮质激素类', '糖皮质激素类', '3', '0', '200', '9', '0', '9', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('136', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '抗胃酸药(质子泵抑制剂)', '抗胃酸药(质子泵抑制剂)', '3', '0', '200', '9', '0', '9', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('137', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '多索茶碱', '多索茶碱', '3', '0', '200', '9', '0', '8', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('138', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '二羟丙茶碱', '二羟丙茶碱', '3', '0', '200', '9', '0', '8', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('139', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '左氧氟沙星', '左氧氟沙星', '3', '0', '200', '9', '0', '8', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('140', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '莫西沙星', '莫西沙星', '3', '0', '200', '9', '0', '8', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('141', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '氨溴索', '氨溴索', '3', '0', '200', '9', '0', '8', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('142', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '典韦', '典韦', '3', '0', '200', '9', '0', '8', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('143', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '甲泼尼龙', '甲泼尼龙', '3', '0', '200', '9', '0', '8', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('144', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '杀虫剂', '杀虫剂', '3', '0', '200', '9', '0', '8', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('145', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '泮托拉唑', '泮托拉唑', '3', '0', '200', '9', '0', '8', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('146', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '鬼谷子', '鬼谷子', '3', '0', '200', '9', '0', '8', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('147', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '电解质测定', '电解质测定', '3', '0', '200', '7', '0', '5', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('148', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '肾功能常规检查', '肾功能常规检查', '3', '0', '200', '7', '0', '5', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('149', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '血葡萄糖测定', '血葡萄糖测定', '3', '0', '200', '7', '0', '5', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('150', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '心肌酶谱常规检查', '心肌酶谱常规检查', '3', '0', '200', '7', '0', '5', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('151', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '肝功能常规检查', '肝功能常规检查', '3', '0', '200', '7', '0', '5', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('152', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '血清总胆汁酸测定', '血清总胆汁酸测定', '3', '0', '200', '7', '0', '5', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('153', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '血清胆碱酯酶', '血清胆碱酯酶', '3', '0', '200', '1', '0', '5', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('154', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '红细胞沉降率测定(ESR)', '红细胞沉降率测定(ESR)', '3', '0', '200', '1', '0', '5', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('155', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '大便常规+隐血试验', '大便常规+隐血试验', '3', '0', '200', '1', '0', '5', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('156', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '胸部CT平扫', '胸部CT平扫', '3', '0', '200', '9', '0', '6', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('157', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '正位胸片', '正位胸片', '3', '0', '200', '9', '0', '6', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('158', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '支气管扩张试验', '支气管扩张试验', '3', '0', '200', '9', '0', '6', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('159', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '肺功能检查', '肺功能检查', '3', '0', '200', '9', '0', '6', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('160', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '常规十二导心电图检测', '常规十二导心电图检测', '3', '0', '200', '9', '0', '6', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('161', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '肝胆胰脾彩超检查', '肝胆胰脾彩超检查', '3', '0', '200', '9', '0', '6', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('162', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '胸部CT增强', '胸部CT增强', '3', '0', '200', '9', '0', '6', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('163', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '泌尿系统彩超检查', '泌尿系统彩超检查', '3', '0', '200', '9', '0', '6', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('164', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '心脏超声检查', '心脏超声检查', '3', '0', '200', '9', '0', '6', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('165', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '喉镜检查', '喉镜检查', '3', '0', '200', '9', '0', '6', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('166', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '空_文字', '', '3', '0', '200', '8', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('167', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '空_文字', '', '3', '0', '200', '8', '0', '3', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('168', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '空_文字', '', '3', '0', '200', '8', '0', '4', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('169', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '慢性胃炎', '慢性胃炎', '3', '0', '200', '9', '0', '7', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('170', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '咳嗽类型', '咳嗽类型', '3', '0', '200', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('171', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗胃酸药(H2受体阻断剂)', '抗胃酸药(H2受体阻断剂)', '3', '0', '200', '9', '0', '9', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('173', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胆汁结合剂', '胆汁结合剂', '3', '0', '200', '9', '0', '9', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('174', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黏膜保护剂', '黏膜保护剂', '3', '0', '200', '9', '0', '9', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('175', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '细菌性痢疾', '细菌性痢疾', '3', '0', '200', '9', '0', '7', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('176', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肋软骨炎', '肋软骨炎', '3', '0', '200', '9', '0', '7', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('177', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节炎', '关节炎', '3', '0', '200', '9', '0', '7', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('178', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节病', '关节病', '3', '0', '200', '9', '0', '7', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('179', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '踝关节扭伤', '踝关节扭伤', '3', '0', '200', '9', '0', '7', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('180', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痛风', '痛风', '3', '0', '200', '9', '0', '7', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('181', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节痛', '关节痛', '3', '0', '200', '9', '0', '7', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('182', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '足痛', '足痛', '3', '0', '200', '9', '0', '7', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('183', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '足损伤', '足损伤', '3', '0', '200', '9', '0', '7', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('184', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腱鞘炎', '腱鞘炎', '3', '0', '200', '9', '0', '7', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('185', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '', '', '3', '0', '200', '1', '0', '0', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('186', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '高血压家族史', '高血压家族史', '3', '0', '200', '3', '0', '3', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('195', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头痛', '头痛', '3', '0', '200', '4', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('196', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '畏寒', '畏寒', '3', '0', '200', '4', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('197', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头晕', '头晕', '3', '0', '200', '4', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('198', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乏力', '乏力', '3', '0', '200', '4', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('199', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '全身酸痛', '全身酸痛', '3', '0', '200', '4', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('200', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '气促', '气促', '3', '0', '200', '4', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('201', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸闷', '胸闷', '3', '0', '200', '4', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('202', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸痛', '胸痛', '3', '0', '200', '4', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('203', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻塞', '鼻塞', '3', '0', '200', '4', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('206', 'N', '2019-01-07 10:21:09', '2019-01-07 10:21:09', '80', '80', '，', '，', '3', '0', '200', '8', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', null);
INSERT INTO `icss_question_info` VALUES ('207', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '空腹血糖', '空腹血糖', '3', '0', '200', '7', '6', '5', '0', '', 'mmol/L', '3.900000', '6.400000', '0', '0', '0', '0', '', '');
INSERT INTO `icss_question_info` VALUES ('208', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '血糖', '血糖', '3', '0', '200', '7', '6', '5', '0', '', 'mmol/L', '3.900000', '6.400000', '0', '0', '0', '0', '', '');
INSERT INTO `icss_question_info` VALUES ('209', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '尿酸', '尿酸', '3', '0', '200', '7', '6', '5', '0', '', 'µmol/L', '90.000000', '420.000000', '0', '0', '0', '0', '', '');
INSERT INTO `icss_question_info` VALUES ('210', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '时间单位', '时间单位', '3', '0', '200', '1', '5', '4', '1', '', '', null, null, '0', '0', '0', '0', '', null);

-- ----------------------------
-- Table structure for icss_question_mapping
-- ----------------------------
DROP TABLE IF EXISTS `icss_question_mapping`;
CREATE TABLE `icss_question_mapping` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `parent_question` bigint(20) NOT NULL COMMENT '上级question',
  `son_question` bigint(20) NOT NULL COMMENT '下级question',
  `order_no` int(11) NOT NULL DEFAULT '0' COMMENT '排序号',
  `position` int(11) NOT NULL DEFAULT '0' COMMENT '标签显示位置(0：在标签后，1：在标签前)',
  `form_position` int(11) NOT NULL DEFAULT '0' COMMENT '填写单显示位置(0：左， 1：上)',
  `exclusion_type` int(11) NOT NULL DEFAULT '0' COMMENT '互斥类型（0：不互斥， 1：互斥 主要用在组合项：例如既往史无殊）',
  `symptom_type` int(11) NOT NULL DEFAULT '0' COMMENT '主症状和伴随症状对应的question类型（0：默认值 1：主症状特有 2：伴随症状特有 ）',
  `remark` varchar(300) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=87 DEFAULT CHARSET=utf8 COMMENT='标签映射表';

-- ----------------------------
-- Records of icss_question_mapping
-- ----------------------------
INSERT INTO `icss_question_mapping` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '2', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '3', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '5', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '5', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '9', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '10', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '7', '14', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '7', '15', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '7', '16', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '7', '17', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '7', '18', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '10', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '22', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '10', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '23', '24', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '23', '25', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('18', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '23', '26', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('20', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '28', '29', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('21', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '28', '30', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('22', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '28', '31', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('23', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '33', '34', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('24', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '33', '35', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('25', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '33', '36', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('26', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '33', '37', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('27', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '33', '38', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('28', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '33', '39', '1', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('30', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '46', '47', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('31', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '46', '48', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('32', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '46', '49', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('33', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '46', '50', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('34', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '45', '71', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('35', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '45', '52', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('36', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '45', '51', '1', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '53', '54', '1', '1', '0', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('38', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '53', '55', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('39', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '20', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('40', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '56', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('41', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '7', '1', '1', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('42', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '8', '2', '1', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('43', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '11', '4', '1', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('45', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '69', '70', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('46', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '71', '46', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('47', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '46', '74', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('48', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '75', '76', '1', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('49', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '75', '77', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('50', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '75', '78', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('51', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '79', '97', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('52', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '79', '81', '1', '1', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('53', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '80', '82', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('54', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '80', '83', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('55', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '80', '84', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('56', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '80', '85', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('57', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '80', '86', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('58', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '80', '87', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('59', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '80', '88', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('60', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '80', '89', '8', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('61', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '80', '90', '9', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('62', 'Y', '1970-01-01 12:00:00', '2018-12-03 15:47:40', '0', 'modifier', '91', '0', '0', '0', '0', '0', '0', '测试');
INSERT INTO `icss_question_mapping` VALUES ('63', 'Y', '1970-01-01 12:00:00', '2018-12-03 15:47:40', '0', 'modifier', '92', '0', '0', '0', '0', '0', '0', '测试');
INSERT INTO `icss_question_mapping` VALUES ('64', 'Y', '1970-01-01 12:00:00', '2018-12-03 15:47:40', '0', 'modifier', '0', '93', '0', '0', '0', '0', '0', '测试');
INSERT INTO `icss_question_mapping` VALUES ('65', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '97', '80', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('66', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '106', '107', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('67', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '107', '108', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('68', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '107', '109', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('69', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '107', '110', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('70', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '106', '111', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('71', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '69', '113', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('72', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '69', '115', '0', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('73', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '116', '117', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('74', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '116', '118', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('75', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '119', '3', '1', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('76', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '119', '5', '1', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('77', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '120', '121', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('78', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '120', '122', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('79', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '23', '120', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('80', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '170', '3', '0', '0', '0', '2', null);
INSERT INTO `icss_question_mapping` VALUES ('81', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '186', '47', '2', '0', '0', '0', '0', '');
INSERT INTO `icss_question_mapping` VALUES ('82', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '186', '48', '3', '0', '0', '0', '0', '');
INSERT INTO `icss_question_mapping` VALUES ('83', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '186', '49', '4', '0', '0', '0', '0', '');
INSERT INTO `icss_question_mapping` VALUES ('84', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '186', '50', '5', '0', '0', '0', '0', '');
INSERT INTO `icss_question_mapping` VALUES ('85', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '186', '74', '1', '0', '0', '0', '0', '');

-- ----------------------------
-- Table structure for icss_question_usual
-- ----------------------------
DROP TABLE IF EXISTS `icss_question_usual`;
CREATE TABLE `icss_question_usual` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `question_id` bigint(20) NOT NULL COMMENT '标签id',
  `dept_id` bigint(20) NOT NULL COMMENT '科室id',
  `usual` varchar(5) DEFAULT NULL COMMENT '1：常见，0：不常见',
  `type` varchar(5) DEFAULT NULL,
  `order_no` bigint(20) NOT NULL DEFAULT '0' COMMENT '排序号',
  `remark` varchar(100) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=utf8 COMMENT='常用标签表';

-- ----------------------------
-- Records of icss_question_usual
-- ----------------------------
INSERT INTO `icss_question_usual` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '1', '1', '1', '5', '1', '1', '1', null);
INSERT INTO `icss_question_usual` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '1', '1', '72', '5', '1', '1', '2', null);
INSERT INTO `icss_question_usual` VALUES ('17', 'Y', '2018-12-13 16:22:28', '2019-01-04 14:06:36', '1', '80', '2', '1', '1', null, '1', null);
INSERT INTO `icss_question_usual` VALUES ('18', 'Y', '2018-12-13 16:22:28', '2019-01-04 14:06:36', '1', '80', '1', '1', '1', null, '2', null);
INSERT INTO `icss_question_usual` VALUES ('19', 'Y', '2018-12-13 16:33:44', '2019-01-04 14:06:36', '1', '80', '1', '1', '1', null, '1', null);
INSERT INTO `icss_question_usual` VALUES ('20', 'Y', '2018-12-13 16:33:44', '2019-01-04 14:06:36', '1', '80', '2', '1', '1', null, '2', null);
INSERT INTO `icss_question_usual` VALUES ('21', 'Y', '2019-01-04 14:04:34', '2019-01-04 14:06:36', '80', '80', '197', '1', '1', null, '1', null);

-- ----------------------------
-- Table structure for icss_retrieval
-- ----------------------------
DROP TABLE IF EXISTS `icss_retrieval`;
CREATE TABLE `icss_retrieval` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(100) NOT NULL COMMENT '名称',
  `spell` varchar(100) DEFAULT NULL COMMENT '拼音',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`),
  UNIQUE KEY `retrieval_name_index` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=56 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='同义词检索表';

-- ----------------------------
-- Records of icss_retrieval
-- ----------------------------
INSERT INTO `icss_retrieval` VALUES ('1', 'N', '1970-01-01 12:00:00', '2019-01-04 17:12:36', '0', '1', '咳嗽', 'ks', null);
INSERT INTO `icss_retrieval` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽喉痛', 'YHT', null);
INSERT INTO `icss_retrieval` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝恶性肿瘤', 'GEXZL', null);
INSERT INTO `icss_retrieval` VALUES ('8', 'N', '1970-01-01 12:00:00', '2019-01-04 15:34:55', '0', '1', '咳痰', 'KT', null);
INSERT INTO `icss_retrieval` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '支气管哮喘', 'ZQGXC', null);
INSERT INTO `icss_retrieval` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '高血压', 'GXY', null);
INSERT INTO `icss_retrieval` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肺部感染', 'FBGR', null);
INSERT INTO `icss_retrieval` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '慢性咽炎', 'MXYY', null);
INSERT INTO `icss_retrieval` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肺结节', 'FJJ', null);
INSERT INTO `icss_retrieval` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', 'XCG', null);
INSERT INTO `icss_retrieval` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白细胞计数', 'BXBJS', null);
INSERT INTO `icss_retrieval` VALUES ('16', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '超敏C反应蛋白', 'CMCFYDB', null);
INSERT INTO `icss_retrieval` VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹部B超', 'FBBC', null);
INSERT INTO `icss_retrieval` VALUES ('18', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿常规', 'NCG', null);
INSERT INTO `icss_retrieval` VALUES ('20', 'N', '2018-12-17 13:32:44', '1970-01-01 12:00:00', '1', '0', '血白细胞', 'xbxb', null);
INSERT INTO `icss_retrieval` VALUES ('25', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心脏病', 'XZB', null);
INSERT INTO `icss_retrieval` VALUES ('26', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '慢性胃炎', 'MXWY', null);
INSERT INTO `icss_retrieval` VALUES ('27', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '发热', 'FR', null);
INSERT INTO `icss_retrieval` VALUES ('30', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血压', 'XY', null);
INSERT INTO `icss_retrieval` VALUES ('31', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '杂音', 'ZY', null);
INSERT INTO `icss_retrieval` VALUES ('32', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头痛', 'TT', null);
INSERT INTO `icss_retrieval` VALUES ('33', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '畏寒', 'WH', null);
INSERT INTO `icss_retrieval` VALUES ('34', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头晕', 'TY', null);
INSERT INTO `icss_retrieval` VALUES ('35', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乏力', 'FL', null);
INSERT INTO `icss_retrieval` VALUES ('36', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '全身酸痛', 'QSST', null);
INSERT INTO `icss_retrieval` VALUES ('37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '气促', 'QC', null);
INSERT INTO `icss_retrieval` VALUES ('38', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸闷', 'XM', null);
INSERT INTO `icss_retrieval` VALUES ('39', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸痛', 'XT', null);
INSERT INTO `icss_retrieval` VALUES ('40', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻塞', 'BS', null);
INSERT INTO `icss_retrieval` VALUES ('42', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '既往史', 'JWS', null);
INSERT INTO `icss_retrieval` VALUES ('45', 'N', '2019-01-04 15:14:19', '2019-01-04 15:17:58', '1', '1', '同义词测试001', 'TYCCS', null);
INSERT INTO `icss_retrieval` VALUES ('46', 'N', '2019-01-04 15:14:19', '2019-01-04 17:12:36', '1', '1', '同义词测试002', '99KK', null);
INSERT INTO `icss_retrieval` VALUES ('47', 'N', '2019-01-04 15:14:19', '2019-01-04 15:14:19', '1', '1', '组合项测试001', 'TYCCS', null);
INSERT INTO `icss_retrieval` VALUES ('48', 'N', '2019-01-04 15:14:19', '2019-01-04 15:14:19', '1', '1', '组合项测试002', 'TYCCS', null);
INSERT INTO `icss_retrieval` VALUES ('49', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '红细胞计数', 'HXBJS', null);
INSERT INTO `icss_retrieval` VALUES ('50', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '隐血', 'YX', null);
INSERT INTO `icss_retrieval` VALUES ('51', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'WBC', 'WBC', '红细胞计数（英文）');
INSERT INTO `icss_retrieval` VALUES ('52', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '空腹血糖', 'KFXT', null);
INSERT INTO `icss_retrieval` VALUES ('53', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血糖', 'XT', null);
INSERT INTO `icss_retrieval` VALUES ('54', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿酸', 'NS', null);
INSERT INTO `icss_retrieval` VALUES ('55', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '时间单位', 'SJDW', null);

-- ----------------------------
-- Table structure for icss_retrieval_mapping
-- ----------------------------
DROP TABLE IF EXISTS `icss_retrieval_mapping`;
CREATE TABLE `icss_retrieval_mapping` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `retrieval_id` bigint(20) NOT NULL COMMENT '检索id',
  `question_id` bigint(20) NOT NULL COMMENT 'question_id',
  `show_type` int(5) NOT NULL DEFAULT '1' COMMENT '显示类型(1：本体，2：同义词3：组合项目(生命体征-脉搏))',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=58 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='同义词检索映射表';

-- ----------------------------
-- Records of icss_retrieval_mapping
-- ----------------------------
INSERT INTO `icss_retrieval_mapping` VALUES ('1', 'N', '1970-01-01 12:00:00', '2019-01-04 14:23:24', '7', '1', '1', '1', '1', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '72', '1', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('4', 'N', '2018-12-17 16:00:00', '1970-01-01 12:00:00', '0', '0', '4', '73', '1', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('7', 'N', '2018-12-17 12:00:00', '2019-01-04 15:34:55', '3', '1', '8', '106', '1', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '98', '1', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('9', 'N', '2018-12-10 12:00:00', '2018-12-10 12:00:00', '0', '0', '10', '105', '1', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '104', '1', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '103', '1', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '102', '1', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('13', 'N', '2018-12-16 12:00:00', '1970-01-01 12:00:00', '10', '0', '14', '69', '1', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '69', '1', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '96', '1', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('16', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '112', '1', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '18', '116', '1', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('19', 'N', '2018-12-17 13:32:44', '2018-12-17 12:00:00', '2', '0', '20', '69', '3', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('25', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25', '131', '1', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('26', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '26', '169', '1', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('27', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '27', '4', '1', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('29', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '30', '28', '1', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('30', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '33', '1', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('31', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '32', '195', '1', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('32', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '33', '196', '1', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('33', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '34', '197', '1', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('34', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '35', '198', '1', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('35', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '36', '199', '1', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('36', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '37', '200', '1', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '38', '201', '1', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('38', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '39', '202', '1', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('39', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40', '203', '1', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('40', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '46', '1', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('42', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '42', '45', '1', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('44', 'Y', '2019-01-04 15:14:19', '2019-01-04 17:10:34', '1', '1', '45', '1', '2', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('45', 'N', '2019-01-04 15:14:19', '2019-01-04 17:12:36', '1', '1', '46', '1', '3', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('46', 'Y', '2019-01-04 15:14:19', '2019-01-04 15:16:26', '1', '1', '47', '1', '3', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('47', 'Y', '2019-01-04 15:14:19', '2019-01-04 17:10:34', '1', '1', '48', '1', '3', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('48', 'Y', '2019-01-04 15:17:58', '2019-01-04 15:23:30', '1', '1', '47', '106', '3', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('49', 'Y', '2019-01-04 15:17:58', '2019-01-04 15:23:30', '1', '1', '45', '106', '2', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('50', 'Y', '2019-01-04 15:19:30', '2019-01-04 15:23:30', '1', '1', '46', '106', '2', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('51', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '49', '69', '3', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('52', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '50', '69', '3', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('53', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '51', '69', '3', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('54', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '52', '207', '1', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('55', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '53', '208', '1', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('56', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '54', '209', '1', null);
INSERT INTO `icss_retrieval_mapping` VALUES ('57', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '55', '210', '1', null);

-- ----------------------------
-- Table structure for icss_template_info
-- ----------------------------
DROP TABLE IF EXISTS `icss_template_info`;
CREATE TABLE `icss_template_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(300) DEFAULT NULL COMMENT '名称',
  `hospital_id` bigint(20) DEFAULT NULL COMMENT '医院id',
  `hospital_dept_id` bigint(20) DEFAULT NULL COMMENT '医生科室id',
  `doctor_id` bigint(20) DEFAULT NULL COMMENT '医生id',
  `type` varchar(10) DEFAULT NULL COMMENT '分类(1:结构化模板,2:文本输入模板)',
  `preview` longtext COMMENT '预览文字',
  `data_json` longtext COMMENT '内容JSON字符串(模板内容)',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=144 DEFAULT CHARSET=utf8 COMMENT='模板表';

-- ----------------------------
-- Records of icss_template_info
-- ----------------------------
INSERT INTO `icss_template_info` VALUES ('29', 'Y', '2018-12-17 11:42:58', '2018-12-20 13:04:57', '1', '0', '999', '1', '1', '1', '0', '{\"chief\":\"\",\"present\":\"\",\"other\":\"\",\"vital\":\"\",\"lis\":\"血常规,红细胞计数,www L;血常规,白细胞计数,e 10^12/L;血常规,隐血,阳性 ;-空腹血糖,空腹血糖,90 mmol/L升高4.74;血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,80 mg/L升高5.00;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L升高5.00;\",\"pacs\":\"\",\"diag\":\"\",\"advice\":\"字符串医嘱\"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"www\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"e\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null,\"value\":\"阳性\"}],\"show\":true,\"time\":\"2018-12-17\"}],\"getExcelData\":{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"80\",\"max\":\"16\",\"min\":\"1\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"2\",\"min\":\"1\",\"time\":\"2018年12月1号\",\"type\":\"1\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}},\"chief\":[{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"主诉-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":12,\"name\":\"添加病情变化\",\"tagName\":\"主诉-添加病情变化\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"4\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"主诉-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":12,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"主诉-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":8,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"主诉-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"5\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":null,\"labelSuffix\":null,\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":null,\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[],\"diag\":[],\"advice\":\"结构化医嘱\"}', null);
INSERT INTO `icss_template_info` VALUES ('33', 'Y', '2018-12-17 13:57:58', '2018-12-20 14:17:50', '1', '0', '66', '1', '1', '1', '0', '{\"chief\":\"\",\"present\":\"\",\"other\":\"\",\"vital\":\"\",\"lis\":\"空腹血糖,空腹血糖,90 mmol/L升高4.74;血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,80 mg/L升高5.00;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L升高5.00;-血常规,红细胞计数,2 L降低0.20;血常规,白细胞计数,3 10^12/L降低0.33;血常规,隐血,阴性 ;\",\"pacs\":\"\",\"diag\":\"\",\"advice\":\"字符串医嘱\"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"3\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null}],\"questionMapping\":[],\"remark\":null,\"value\":\"阴性\"}],\"show\":true,\"time\":\"2018-12-17\"}],\"getExcelData\":{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"80\",\"max\":\"16\",\"min\":\"1\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"2\",\"min\":\"1\",\"time\":\"2018年12月1号\",\"type\":\"1\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}},\"chief\":[],\"present\":[],\"other\":[],\"vital\":[],\"pacs\":[],\"diag\":[],\"advice\":\"结构化医嘱\"}', null);
INSERT INTO `icss_template_info` VALUES ('38', 'Y', '2018-12-19 09:46:57', '2018-12-20 15:34:51', '1', '0', '369', '1', '1', '1', '1', '{\"chief\":\"撒大声地撒\",\"present\":\"\",\"other\":\"\",\"vital\":\"\",\"lis\":\"-\",\"pacs\":\"\",\"diag\":\"\",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelData\":{}},\"chief\":\"撒大声地撒\",\"present\":\"\",\"other\":\"\",\"vital\":[],\"pacs\":[],\"diag\":[],\"advice\":{\"assay\":\"\",\"check\":\"\",\"scheme\":[],\"adviceStr\":\"\"}}', null);
INSERT INTO `icss_template_info` VALUES ('39', 'Y', '2018-12-19 14:31:03', '2018-12-21 15:31:50', '1', '0', 's', '1', '1', '1', '1', '{\"chief\":\"\",\"present\":\"\",\"other\":\"\",\"vital\":\"\",\"lis\":\"-\",\"pacs\":\"\",\"diag\":\"\",\"advice\":\"字符串医嘱\"}', '{\"lis\":{\"labelList\":[],\"getExcelData\":{}},\"chief\":\"\",\"present\":\"\",\"other\":\"\",\"vital\":[],\"pacs\":[],\"diag\":[],\"advice\":\"结构化医嘱\"}', null);
INSERT INTO `icss_template_info` VALUES ('40', 'Y', '2018-12-19 14:32:11', '2018-12-21 15:31:50', '1', '0', 'ss', '1', '1', '1', '1', '{\"chief\":\"\",\"present\":\"\",\"other\":\"\",\"vital\":\"\",\"lis\":\"-\",\"pacs\":\"\",\"diag\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelData\":{}},\"chief\":\"\",\"present\":\"\",\"other\":\"\",\"vital\":[],\"pacs\":[],\"diag\":[],\"advice\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('41', 'Y', '2018-12-19 14:55:06', '2018-12-21 15:31:50', '1', '0', 'aaaa', '1', '1', '1', '1', '{\"chief\":\"\",\"present\":\"\",\"other\":\"\",\"vital\":\"\",\"lis\":\"-\",\"pacs\":\"胸部CT,时间,2018-12-19;\",\"diag\":\"支气管哮喘(初诊); \",\"advice\":\"字符串医嘱\"}', '{\"lis\":{\"labelList\":[{\"name\":\"超敏C反应蛋白\",\"questionId\":96,\"showType\":1,\"tagName\":\"超敏C反应蛋白\",\"details\":[]}],\"getExcelData\":{}},\"chief\":\"\",\"present\":\"\",\"other\":\"\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，可闻及，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"胸部CT\",\"questionId\":19089,\"time\":\"2018-12-19\"}],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"type\":1}],\"advice\":\"结构化医嘱\"}', null);
INSERT INTO `icss_template_info` VALUES ('42', 'Y', '2018-12-19 15:14:51', '2018-12-21 15:31:50', '1', '0', '史蒂夫', '1', '1', '1', '1', '{\"chief\":\"ff\",\"present\":\"ffd\",\"other\":\"d\",\"vital\":\"\",\"lis\":\"-\",\"pacs\":\"胸部CT,ddff,报告日期,2018-12-19;\",\"diag\":\"支气管哮喘(初诊); 肺部阴影(初诊); \"}', '{\"lis\":{\"labelList\":[{\"name\":\"超敏C反应蛋白\",\"questionId\":96,\"showType\":1,\"tagName\":\"超敏C反应蛋白\",\"details\":[]}],\"getExcelData\":{}},\"chief\":\"ff\",\"present\":\"ffd\",\"other\":\"d\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，可闻及，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"胸部CT\",\"questionId\":19089,\"time\":\"2018-12-19\",\"value\":\"ddff\"}],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"type\":1},{\"id\":94,\"name\":\"肺部阴影\",\"tagName\":\"肺部阴影\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{\"scheme\":[{\"name\":\"支气管哮喘\",\"treatment\":[{\"id\":132,\"drugsName\":\"支气管扩张剂\",\"showInfo\":\"1\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"rate\":\"0.94\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"rate\":\"0.92\",\"isShow\":\"1\",\"forbidden\":\"1\",\"showInfo\":\"0\",\"selected\":false},{\"id\":4,\"medicitionName\":\"二羟丙茶碱11\",\"rate\":\"0.50\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":false,\"selected\":false}],\"treatmentStr\":\"多索茶碱; \"},{\"id\":133,\"drugsName\":\"抗生素类(喹诺酮类)\",\"showInfo\":\"0\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"rate\":\"0.50\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"rate\":\"0.82\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":\"0\",\"selected\":false}],\"treatmentStr\":\"左氧氟沙星; \"}]}],\"assay\":\"C反映蛋白; \",\"check\":\"心肌酶谱; \"}}', null);
INSERT INTO `icss_template_info` VALUES ('43', 'Y', '2018-12-19 16:52:56', '2018-12-20 16:29:55', '1', '0', '试试', '1', '1', '1', '1', '{\"chief\":\"sdadsa\",\"present\":\"sdasds\",\"other\":\"sdadsadsad\",\"vital\":\",,,5,,血压：undefined,undefined,56mmHg\",\"lis\":\"血常规,红细胞计数,3 L降低0.30;血常规,白细胞计数,4 10^12/L降低0.44;血常规,隐血,阴性 ;-空腹血糖,空腹血糖,90 mmol/L升高4.74;血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"胸部CT,sdadas,报告日期,2018-12-19;腹部B超,是的撒幡然改途,报告日期,2018-12-19;\",\"diag\":\"高血压(初诊); 支气管哮喘(初诊); \"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"tagName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"3\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"4\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阴性\"}],\"show\":true,\"time\":\"2018-12-19\"}],\"getExcelData\":{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}},\"chief\":\"sdadsa\",\"present\":\"sdasds\",\"other\":\"sdadsadsad\",\"vital\":[{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"25\",\"value\":\"5\"},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"56\"}],\"remark\":null},{\"tagType\":\"0\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"胸部CT\",\"questionId\":19089,\"time\":\"2018-12-19\",\"value\":\"sdadas\"},{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"tagName\":\"腹部B超\",\"time\":\"2018-12-19\",\"value\":\"是的撒幡然改途\"}],\"diag\":[{\"id\":105,\"name\":\"高血压\",\"type\":1},{\"id\":98,\"name\":\"支气管哮喘\",\"type\":1}],\"advice\":{\"scheme\":[{\"name\":\"高血压\",\"treatment\":[{\"id\":132,\"drugsName\":\"支气管扩张剂\",\"showInfo\":\"1\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"rate\":\"0.94\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"rate\":\"0.92\",\"isShow\":\"1\",\"forbidden\":\"1\",\"showInfo\":\"0\",\"selected\":false},{\"id\":4,\"medicitionName\":\"二羟丙茶碱11\",\"rate\":\"0.50\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":false,\"selected\":false}],\"treatmentStr\":\"多索茶碱; \"},{\"id\":133,\"drugsName\":\"抗生素类(喹诺酮类)\",\"showInfo\":\"0\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"rate\":\"0.50\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"rate\":\"0.82\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":\"0\",\"selected\":false}],\"treatmentStr\":\"左氧氟沙星; \"}]}],\"assay\":\"血常规; C反映蛋白; \",\"check\":\"胸部CT; 心肌酶谱; \"}}', null);
INSERT INTO `icss_template_info` VALUES ('44', 'Y', '2018-12-19 19:43:35', '2018-12-21 15:31:50', '1', '0', 'ddd', '1', '1', '1', '1', '{\"chief\":\"\",\"present\":\"\",\"other\":\"\",\"vital\":\"\",\"lis\":\"-\",\"pacs\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelData\":{}},\"chief\":\"\",\"present\":\"\",\"other\":\"\",\"vital\":[],\"pacs\":[],\"diag\":[],\"advice\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('45', 'Y', '2018-12-19 20:14:57', '2018-12-21 15:31:50', '1', '0', '88888', '1', '1', '1', '1', '{\"chief\":\"asdd\",\"present\":\"ds\",\"other\":\"ds\",\"vital\":\"\",\"lis\":\"-\",\"pacs\":\"胸部CT,报告日期,2018-12-19;\",\"diag\":\"支气管哮喘(初诊); 肺结节(初诊); \",\"advice\":\"血常规; 多索茶碱; 左氧氟沙星; \"}', '{\"lis\":{\"labelList\":[{\"name\":\"超敏C反应蛋白\",\"questionId\":96,\"showType\":1,\"tagName\":\"超敏C反应蛋白\",\"details\":[]}],\"getExcelData\":{}},\"chief\":\"asdd\",\"present\":\"ds\",\"other\":\"ds\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，肺动脉瓣区，可闻及，全期，隆隆样，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"胸部CT\",\"questionId\":19089,\"time\":\"2018-12-19\"}],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"type\":1},{\"id\":102,\"name\":\"肺结节\",\"tagName\":\"肺结节\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{\"assay\":\"血常规; \",\"check\":\"\",\"scheme\":[{\"name\":\"肺结节\",\"treatment\":[{\"id\":132,\"drugsName\":\"支气管扩张剂\",\"showInfo\":\"1\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"rate\":\"0.94\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"rate\":\"0.92\",\"isShow\":\"1\",\"forbidden\":\"1\",\"showInfo\":\"0\",\"selected\":false},{\"id\":4,\"medicitionName\":\"二羟丙茶碱11\",\"rate\":\"0.50\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":false,\"selected\":false}],\"treatmentStr\":\"多索茶碱; \"},{\"id\":133,\"drugsName\":\"抗生素类(喹诺酮类)\",\"showInfo\":\"0\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"rate\":\"0.50\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"rate\":\"0.82\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":\"0\",\"selected\":false}],\"treatmentStr\":\"左氧氟沙星; \"}]}]}}', null);
INSERT INTO `icss_template_info` VALUES ('46', 'Y', '2018-12-19 20:45:33', '2018-12-21 15:31:50', '1', '0', 'ghgh', '1', '1', '1', '1', '{\"chief\":\"asdd\",\"present\":\"ds\",\"other\":\"ds\",\"vital\":\",,,体温：25℃,,血压：右上肢,4,5mmHg\",\"lis\":\"-\",\"pacs\":\"胸部CT,报告日期,2018-12-19;\",\"diag\":\"支气管哮喘(初诊); 肺结节(初诊); \"}', '{\"lis\":{\"labelList\":[{\"name\":\"超敏C反应蛋白\",\"questionId\":96,\"showType\":1,\"tagName\":\"超敏C反应蛋白\",\"details\":[]}],\"getExcelData\":{}},\"chief\":\"asdd\",\"present\":\"ds\",\"other\":\"ds\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，肺动脉瓣区，可闻及，全期，隆隆样，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"25\",\"value\":\"5\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"右上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"4\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"5\"}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"胸部CT\",\"questionId\":19089,\"time\":\"2018-12-19\"}],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"type\":1},{\"id\":102,\"name\":\"肺结节\",\"tagName\":\"肺结节\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{\"assay\":\"血常规; \",\"check\":\"\",\"scheme\":[{\"name\":\"肺结节\",\"treatment\":[{\"id\":132,\"drugsName\":\"支气管扩张剂\",\"showInfo\":\"1\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"rate\":\"0.94\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"rate\":\"0.92\",\"isShow\":\"1\",\"forbidden\":\"1\",\"showInfo\":\"0\",\"selected\":false},{\"id\":4,\"medicitionName\":\"二羟丙茶碱11\",\"rate\":\"0.50\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":false,\"selected\":false}],\"treatmentStr\":\"多索茶碱; \"},{\"id\":133,\"drugsName\":\"抗生素类(喹诺酮类)\",\"showInfo\":\"0\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"rate\":\"0.50\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"rate\":\"0.82\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":\"0\",\"selected\":false}],\"treatmentStr\":\"左氧氟沙星; \"}]}]}}', null);
INSERT INTO `icss_template_info` VALUES ('47', 'Y', '2018-12-20 09:28:08', '2018-12-20 13:49:43', '1', '0', 'www', '1', '1', '1', '1', '{\"chief\":\"\",\"present\":\"\",\"other\":\"\",\"vital\":\"\",\"lis\":\"-\",\"pacs\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelData\":{}},\"chief\":\"\",\"present\":\"\",\"other\":\"\",\"vital\":[],\"pacs\":[],\"diag\":[],\"advice\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('48', 'Y', '2018-12-20 10:27:00', '2018-12-20 13:49:43', '1', '0', '的', '1', '1', '1', '1', '{\"chief\":\"\",\"present\":\"\",\"other\":\"\",\"vital\":\"\",\"lis\":\"-\",\"pacs\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelData\":{}},\"chief\":\"\",\"present\":\"\",\"other\":\"\",\"vital\":[],\"pacs\":[],\"diag\":[],\"advice\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('49', 'Y', '2018-12-20 10:42:58', '2018-12-20 13:35:41', '1', '0', '123123', '1', '1', '1', '1', '{\"chief\":\"12123\\n213123412312313\\n\",\"present\":\"1212 ·1231231231232131231231231233123 1212\\n·12312312312321312312312312331231233333333333333333333333333\\n\",\"other\":\"123123 123 123123\\n123123123123123123123123123123123123123\\n\",\"vital\":\",,,体温：543℃,,血压：右上肢,undefined,undefinedmmHg,,血压：左上肢,undefined,undefinedmmHg\",\"lis\":\"-\",\"pacs\":\"\",\"diag\":\"呼吸道感染(初诊); \",\"advice\":\"C反映蛋白; 血常规; C反映蛋白; 胸部CT; \"}', '{\"lis\":{\"labelList\":[],\"getExcelData\":{}},\"chief\":\"12123\\n213123412312313\\n\",\"present\":\"1212 ·1231231231232131231231231233123 1212\\n·12312312312321312312312312331231233333333333333333333333333\\n\",\"other\":\"123123 123 123123\\n123123123123123123123123123123123123123\\n\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"肺动脉瓣区，未闻及，3/6，舒张期，叹气样，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"543\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"右上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"右上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[],\"diag\":[{\"id\":95,\"name\":\"呼吸道感染\",\"tagName\":\"呼吸道感染\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{\"assay\":\"C反映蛋白; 血常规; C反映蛋白; \",\"check\":\"胸部CT; \"}}', null);
INSERT INTO `icss_template_info` VALUES ('50', 'Y', '2018-12-20 11:26:38', '2018-12-20 11:26:55', '1', '0', '模板1', '1', '1', '1', '1', '{\"chief\":\"咳嗽\",\"present\":\"发热\",\"other\":\"高血压高血压\",\"vital\":\",心尖区，肺动脉瓣区，主动脉瓣区，主动脉瓣第二听诊区，可闻及，2/6，收缩期，,,,,血压：左上肢,33,undefinedmmHg,,血压：,33,undefinedmmHg,,血压：,33,undefinedmmHg,,血压：,,undefinedmmHg,,,,,,,,,,,,,,,,,,,\",\"lis\":\"-\",\"pacs\":\"\",\"diag\":\"肺部阴影(初诊); \",\"advice\":\"血常规; C反映蛋白; C反映蛋白; C反映蛋白; 胸部CT;  多索茶碱;  二羟丙茶碱;  多索茶碱;  二羟丙茶碱;  多索茶碱;  二羟丙茶碱;  左氧氟沙星;  左氧氟沙星; 多索茶碱; 二羟丙茶碱;  多索茶碱;  二羟丙茶碱; 左氧氟沙星;  左氧氟沙星; \"}', '{\"lis\":{\"labelList\":[],\"getExcelData\":{}},\"chief\":\"咳嗽\",\"present\":\"发热\",\"other\":\"高血压高血压\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，肺动脉瓣区，主动脉瓣区，主动脉瓣第二听诊区，可闻及，2/6，收缩期，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"0//\",\"value\":\"\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"value\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"value\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"value\":\"\"}],\"pacs\":[],\"diag\":[{\"id\":94,\"name\":\"肺部阴影\",\"tagName\":\"肺部阴影\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{\"scheme\":[{\"name\":\"肺结节\",\"treatment\":[{\"id\":132,\"drugsName\":\"支气管扩张剂\",\"showInfo\":\"1\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"rate\":\"0.94\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"rate\":\"0.92\",\"isShow\":\"1\",\"forbidden\":\"1\",\"showInfo\":\"0\",\"selected\":false},{\"id\":4,\"medicitionName\":\"二羟丙茶碱11\",\"rate\":\"0.50\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":false,\"selected\":false}],\"treatmentStr\":\"\"},{\"id\":133,\"drugsName\":\"抗生素类(喹诺酮类)\",\"showInfo\":\"0\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"rate\":\"0.50\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"rate\":\"0.82\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":\"0\",\"selected\":false}],\"treatmentStr\":\"\"}]},{\"name\":\"肺部阴影\",\"treatment\":[{\"id\":132,\"drugsName\":\"支气管扩张剂\",\"showInfo\":\"1\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"rate\":\"0.94\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"rate\":\"0.92\",\"isShow\":\"1\",\"forbidden\":\"1\",\"showInfo\":\"0\",\"selected\":true},{\"id\":4,\"medicitionName\":\"二羟丙茶碱11\",\"rate\":\"0.50\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":false,\"selected\":false}],\"treatmentStr\":\"多索茶碱; 二羟丙茶碱;  多索茶碱;  二羟丙茶碱; \"},{\"id\":133,\"drugsName\":\"抗生素类(喹诺酮类)\",\"showInfo\":\"0\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"rate\":\"0.50\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"rate\":\"0.82\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":\"0\",\"selected\":false}],\"treatmentStr\":\"左氧氟沙星;  左氧氟沙星; \"}]}],\"assay\":\"血常规; C反映蛋白; C反映蛋白; C反映蛋白; \",\"check\":\"胸部CT; \"}}', null);
INSERT INTO `icss_template_info` VALUES ('51', 'Y', '2018-12-20 11:27:02', '2018-12-20 11:27:16', '1', '0', '模板1', '1', '1', '1', '1', '{\"chief\":\"咳嗽\",\"present\":\"发热\",\"other\":\"高血压高血压\",\"vital\":\",心尖区，肺动脉瓣区，主动脉瓣区，主动脉瓣第二听诊区，可闻及，2/6，收缩期，,,,,血压：左上肢,33,undefinedmmHg,,血压：,33,undefinedmmHg,,血压：,33,undefinedmmHg,,血压：,,undefinedmmHg,,,,,,,,,,,,,,,,,,,\",\"lis\":\"-\",\"pacs\":\"\",\"diag\":\"肺部阴影(初诊); \",\"advice\":\"血常规; C反映蛋白; C反映蛋白; C反映蛋白; 胸部CT;  多索茶碱;  二羟丙茶碱;  多索茶碱;  二羟丙茶碱;  多索茶碱;  二羟丙茶碱;  左氧氟沙星;  左氧氟沙星; 多索茶碱; 二羟丙茶碱;  多索茶碱;  二羟丙茶碱; 左氧氟沙星;  左氧氟沙星; \"}', '{\"lis\":{\"labelList\":[],\"getExcelData\":{}},\"chief\":\"咳嗽\",\"present\":\"发热\",\"other\":\"高血压高血压\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，肺动脉瓣区，主动脉瓣区，主动脉瓣第二听诊区，可闻及，2/6，收缩期，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"0//\",\"value\":\"\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"value\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"value\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"value\":\"\"}],\"pacs\":[],\"diag\":[{\"id\":94,\"name\":\"肺部阴影\",\"tagName\":\"肺部阴影\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{\"scheme\":[{\"name\":\"肺结节\",\"treatment\":[{\"id\":132,\"drugsName\":\"支气管扩张剂\",\"showInfo\":\"1\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"rate\":\"0.94\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"rate\":\"0.92\",\"isShow\":\"1\",\"forbidden\":\"1\",\"showInfo\":\"0\",\"selected\":false},{\"id\":4,\"medicitionName\":\"二羟丙茶碱11\",\"rate\":\"0.50\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":false,\"selected\":false}],\"treatmentStr\":\"\"},{\"id\":133,\"drugsName\":\"抗生素类(喹诺酮类)\",\"showInfo\":\"0\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"rate\":\"0.50\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"rate\":\"0.82\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":\"0\",\"selected\":false}],\"treatmentStr\":\"\"}]},{\"name\":\"肺部阴影\",\"treatment\":[{\"id\":132,\"drugsName\":\"支气管扩张剂\",\"showInfo\":\"1\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"rate\":\"0.94\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"rate\":\"0.92\",\"isShow\":\"1\",\"forbidden\":\"1\",\"showInfo\":\"0\",\"selected\":true},{\"id\":4,\"medicitionName\":\"二羟丙茶碱11\",\"rate\":\"0.50\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":false,\"selected\":false}],\"treatmentStr\":\"多索茶碱; 二羟丙茶碱;  多索茶碱;  二羟丙茶碱; \"},{\"id\":133,\"drugsName\":\"抗生素类(喹诺酮类)\",\"showInfo\":\"0\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"rate\":\"0.50\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"rate\":\"0.82\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":\"0\",\"selected\":false}],\"treatmentStr\":\"左氧氟沙星;  左氧氟沙星; \"}]}],\"assay\":\"血常规; C反映蛋白; C反映蛋白; C反映蛋白; \",\"check\":\"胸部CT; \"}}', null);
INSERT INTO `icss_template_info` VALUES ('52', 'Y', '2018-12-20 11:28:55', '2018-12-20 11:49:10', '1', '0', '模板1', '1', '1', '1', '1', '{\"chief\":\"咳嗽\",\"present\":\"发热\",\"other\":\"高血压高血压\",\"vital\":\",心尖区，肺动脉瓣区，主动脉瓣区，主动脉瓣第二听诊区，可闻及，2/6，收缩期，,,,,血压：左上肢,33,undefinedmmHg,,血压：,33,undefinedmmHg,,血压：,33,undefinedmmHg,,血压：,,undefinedmmHg,,,,,,,,,,,,,,,,,,,\",\"lis\":\"-\",\"pacs\":\"\",\"diag\":\"肺部阴影(初诊); \",\"advice\":\"血常规; C反映蛋白; C反映蛋白; C反映蛋白; 胸部CT;  多索茶碱;  二羟丙茶碱;  多索茶碱;  二羟丙茶碱;  多索茶碱;  二羟丙茶碱;  左氧氟沙星;  左氧氟沙星; 多索茶碱; 二羟丙茶碱;  多索茶碱;  二羟丙茶碱; 左氧氟沙星;  左氧氟沙星; \"}', '{\"lis\":{\"labelList\":[],\"getExcelData\":{}},\"chief\":\"咳嗽\",\"present\":\"发热\",\"other\":\"高血压高血压\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，肺动脉瓣区，主动脉瓣区，主动脉瓣第二听诊区，可闻及，2/6，收缩期，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"0//\",\"value\":\"\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"value\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"value\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"33\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"value\":\"\"}],\"pacs\":[],\"diag\":[{\"id\":94,\"name\":\"肺部阴影\",\"tagName\":\"肺部阴影\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{\"scheme\":[{\"name\":\"肺结节\",\"treatment\":[{\"id\":132,\"drugsName\":\"支气管扩张剂\",\"showInfo\":\"1\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"rate\":\"0.94\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"rate\":\"0.92\",\"isShow\":\"1\",\"forbidden\":\"1\",\"showInfo\":\"0\",\"selected\":false},{\"id\":4,\"medicitionName\":\"二羟丙茶碱11\",\"rate\":\"0.50\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":false,\"selected\":false}],\"treatmentStr\":\"\"},{\"id\":133,\"drugsName\":\"抗生素类(喹诺酮类)\",\"showInfo\":\"0\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"rate\":\"0.50\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"rate\":\"0.82\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":\"0\",\"selected\":false}],\"treatmentStr\":\"\"}]},{\"name\":\"肺部阴影\",\"treatment\":[{\"id\":132,\"drugsName\":\"支气管扩张剂\",\"showInfo\":\"1\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"rate\":\"0.94\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"rate\":\"0.92\",\"isShow\":\"1\",\"forbidden\":\"1\",\"showInfo\":\"0\",\"selected\":true},{\"id\":4,\"medicitionName\":\"二羟丙茶碱11\",\"rate\":\"0.50\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":false,\"selected\":false}],\"treatmentStr\":\"多索茶碱; 二羟丙茶碱;  多索茶碱;  二羟丙茶碱; \"},{\"id\":133,\"drugsName\":\"抗生素类(喹诺酮类)\",\"showInfo\":\"0\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"rate\":\"0.50\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"rate\":\"0.82\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":\"0\",\"selected\":false}],\"treatmentStr\":\"左氧氟沙星;  左氧氟沙星; \"}]}],\"assay\":\"血常规; C反映蛋白; C反映蛋白; C反映蛋白; \",\"check\":\"胸部CT; \"}}', null);
INSERT INTO `icss_template_info` VALUES ('53', 'Y', '2018-12-20 11:43:04', '2018-12-20 11:43:43', '1', '0', '模板2', '1', '1', '1', '1', '{\"chief\":\"咳嗽\",\"present\":\"\",\"other\":\"\",\"vital\":\"\",\"lis\":\"-\",\"pacs\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelData\":{}},\"chief\":\"咳嗽\",\"present\":\"\",\"other\":\"\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[],\"diag\":[],\"advice\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('54', 'Y', '2018-12-20 11:43:26', '2018-12-20 11:43:40', '1', '0', '3', '1', '1', '1', '1', '{\"chief\":\"咳嗽\",\"present\":\"\",\"other\":\"\",\"vital\":\"\",\"lis\":\"-\",\"pacs\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelData\":{}},\"chief\":\"咳嗽\",\"present\":\"\",\"other\":\"\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，可闻及，2/6，收缩期，吹风样，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[],\"diag\":[],\"advice\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('55', 'Y', '2018-12-20 11:44:02', '2018-12-20 11:44:24', '1', '0', '3', '1', '1', '1', '1', '{\"chief\":\"咳嗽\",\"present\":\"\",\"other\":\"\",\"vital\":\",,,7\",\"lis\":\"-\",\"pacs\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelData\":{}},\"chief\":\"咳嗽\",\"present\":\"\",\"other\":\"\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，可闻及，2/6，收缩期，吹风样，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"37\",\"value\":\"7\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[],\"diag\":[],\"advice\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('56', 'Y', '2018-12-20 11:44:32', '2018-12-20 11:49:10', '1', '0', '3', '1', '1', '1', '1', '{\"chief\":\"咳嗽\",\"present\":\"\",\"other\":\"\",\"vital\":\",,,7,,血压：左上肢,undefined,undefinedmmHg\",\"lis\":\"-\",\"pacs\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelData\":{}},\"chief\":\"咳嗽\",\"present\":\"\",\"other\":\"\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，可闻及，2/6，收缩期，吹风样，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"37\",\"value\":\"7\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[],\"diag\":[],\"advice\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('57', 'Y', '2018-12-20 11:46:52', '2018-12-20 11:49:10', '1', '0', '4333东方红所所所所所所所付过或多付过或多或过付或房管局的国际化积分回复回复过得好毒贩夫妇付付付付付付付付付付付付付付付付付付付付付付付付付付付大风刮过过过过过过过过过过过过过过过过过过过过过过', '1', '1', '1', '1', '{\"chief\":\"咳嗽\",\"present\":\"\",\"other\":\"\",\"vital\":\",,,7,,血压：左上肢,undefined,undefinedmmHg\",\"lis\":\"-\",\"pacs\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelData\":{}},\"chief\":\"咳嗽\",\"present\":\"\",\"other\":\"\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，可闻及，2/6，收缩期，吹风样，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"37\",\"value\":\"7\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[],\"diag\":[],\"advice\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('58', 'Y', '2018-12-20 14:09:33', '2018-12-20 14:57:49', '1', '0', '1', '1', '1', '1', '1', '{\"chief\":\"\",\"present\":\"\",\"other\":\"\",\"vital\":\"\",\"lis\":\"-\",\"pacs\":\"\",\"diag\":\"肺部阴影(初诊); 高血压(初诊); 支气管哮喘(初诊); 肺结节(复诊); 呼吸道感染(初诊); 肺炎(初诊); 冠心病(初诊); 咽炎(初诊); 支气管炎(初诊); 肺部感染(初诊); \",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelData\":{}},\"chief\":\"\",\"present\":\"\",\"other\":\"\",\"vital\":[],\"pacs\":[],\"diag\":[{\"id\":94,\"name\":\"肺部阴影\",\"tagName\":\"肺部阴影\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":105,\"name\":\"高血压\",\"type\":1},{\"id\":98,\"name\":\"支气管哮喘\",\"type\":1},{\"id\":102,\"name\":\"肺结节\",\"tagName\":\"肺结节\",\"type\":2,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":95,\"name\":\"呼吸道感染\",\"tagName\":\"呼吸道感染\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":99,\"name\":\"肺炎\",\"tagName\":\"肺炎\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":null,\"name\":\"冠心病\",\"tagName\":\"冠心病\",\"type\":1,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":null,\"labelSuffix\":null,\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":null,\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":100,\"name\":\"咽炎\",\"tagName\":\"咽炎\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":101,\"name\":\"支气管炎\",\"tagName\":\"支气管炎\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":104,\"name\":\"肺部感染\",\"tagName\":\"肺部感染\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('59', 'Y', '2018-12-20 14:49:43', '2018-12-20 14:57:49', '1', '0', '5445', '1', '1', '1', '1', '{\"chief\":\"咳嗽\",\"present\":\"咳嗽\",\"other\":\"高血压\",\"vital\":\",,,6\",\"lis\":\"血白细胞,红细胞计数,1 L降低0.10;血白细胞,白细胞计数,1 10^12/L降低0.11;-血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,80 mg/L升高5.00;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L升高5.00;\",\"pacs\":\"腹部B超,yyyyyyyyyyyu2222,报告日期,2018-12-11;\",\"diag\":\"高血压(初诊); 支气管哮喘(复诊); \",\"advice\":\"胸部CT; \"}', '{\"lis\":{\"labelList\":[{\"name\":\"血白细胞\",\"questionId\":69,\"showType\":3,\"tagName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null}],\"show\":true,\"time\":\"2018-12-20\"}],\"getExcelData\":{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-26\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"80\",\"max\":\"16\",\"min\":\"1\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"2\",\"min\":\"1\",\"time\":\"2018年12月1号\",\"type\":\"1\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}},\"chief\":\"咳嗽\",\"present\":\"咳嗽\",\"other\":\"高血压\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，可闻及，3/6，收缩期，吹风样，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"36\",\"value\":\"6\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"tagName\":\"腹部B超\",\"time\":\"2018-12-11\",\"value\":\"yyyyyyyyyyyu2222\"}],\"diag\":[{\"id\":105,\"name\":\"高血压\",\"type\":1},{\"id\":98,\"name\":\"支气管哮喘\",\"type\":2}],\"advice\":{\"assay\":\"\",\"check\":\"胸部CT; \"}}', null);
INSERT INTO `icss_template_info` VALUES ('60', 'Y', '2018-12-20 15:23:08', '2018-12-20 16:29:41', '1', '0', '电风扇', '1', '1', '1', '1', '{\"chief\":\"\",\"present\":\"\",\"other\":\"\",\"vital\":\"\",\"lis\":\"-\",\"pacs\":\"\",\"diag\":\"支气管炎(初诊); 支气管炎(初诊); 支气管哮喘(初诊); \",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelData\":{}},\"chief\":\"\",\"present\":\"\",\"other\":\"\",\"vital\":[],\"pacs\":[],\"diag\":[{\"id\":101,\"name\":\"支气管炎\",\"tagName\":\"支气管炎\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":101,\"name\":\"支气管炎\",\"tagName\":\"支气管炎\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":98,\"name\":\"支气管哮喘\",\"tagName\":\"支气管哮喘\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('61', 'Y', '2018-12-20 15:24:27', '2018-12-20 15:28:53', '1', '0', '123123', '1', '1', '1', '0', '{\"chief\":\"咳嗽2天\",\"present\":\"\",\"other\":\"\",\"vital\":\",,,体温：25℃,,血压：左上肢,undefined,911mmHg\",\"lis\":\"-\",\"pacs\":\"\",\"diag\":\"肺部阴影(初诊); 呼吸道感染(初诊); \",\"advice\":\"多索茶碱; \"}', '{\"lis\":{\"labelList\":[],\"getExcelData\":{}},\"chief\":[],\"present\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":166,\"name\":\"\",\"tagName\":\"文字_空\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":5,\"questionId\":166,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":5,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":166,\"name\":\"\",\"tagName\":\"文字_空\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":5,\"questionId\":166,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":5,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":166,\"name\":\"\",\"tagName\":\"文字_空\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":5,\"questionId\":166,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":5,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":166,\"name\":\"\",\"tagName\":\"文字_空\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":5,\"questionId\":166,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":5,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":166,\"name\":\"\",\"tagName\":\"文字_空\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":5,\"questionId\":166,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":37,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":null,\"labelSuffix\":null,\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":null,\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":5,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":166,\"name\":\"\",\"tagName\":\"文字_空\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":5,\"questionId\":166,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":5,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":166,\"name\":\"\",\"tagName\":\"文字_空\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":5,\"questionId\":166,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":5,\"questionId\":8,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":166,\"name\":\"\",\"tagName\":\"文字_空\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":5,\"questionId\":166,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"5\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":5,\"questionId\":23,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":166,\"name\":\"\",\"tagName\":\"文字_空\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":5,\"questionId\":166,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"肺动脉瓣区，主动脉瓣区，未闻及，4/6，舒张期，隆隆样，叹气样，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"25\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"911\"}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"911\"}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[],\"diag\":[{\"id\":94,\"name\":\"肺部阴影\",\"tagName\":\"肺部阴影\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":95,\"name\":\"呼吸道感染\",\"tagName\":\"呼吸道感染\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{\"scheme\":[{\"name\":\"肺部阴影\",\"treatment\":[{\"id\":132,\"drugsName\":\"支气管扩张剂\",\"showInfo\":\"1\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"rate\":\"0.94\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"rate\":\"0.92\",\"isShow\":\"1\",\"forbidden\":\"1\",\"showInfo\":\"0\",\"selected\":false},{\"id\":4,\"medicitionName\":\"二羟丙茶碱11\",\"rate\":\"0.50\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":false,\"selected\":false}],\"treatmentStr\":\"多索茶碱; \"},{\"id\":133,\"drugsName\":\"抗生素类(喹诺酮类)\",\"showInfo\":\"0\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"rate\":\"0.50\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"selected\":false},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"rate\":\"0.82\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":\"0\",\"selected\":false}],\"treatmentStr\":\"\"}]}]}}', null);
INSERT INTO `icss_template_info` VALUES ('62', 'Y', '2018-12-20 16:32:09', '2018-12-21 15:31:50', '1', '0', '1414', '1', '1', '1', '1', '{\"chief\":\"asdd\",\"present\":\"ds\",\"other\":\"ds\",\"vital\":\",,,体温：25℃,,血压：右上肢,4,5mmHg\",\"lis\":\"\",\"pacs\":\"胸部CT,报告日期,2018-12-19;\",\"diag\":\"支气管哮喘(初诊); 肺结节(初诊); \"}', '{\"lis\":{\"labelList\":[{\"name\":\"超敏C反应蛋白\",\"questionId\":96,\"showType\":1,\"tagName\":\"超敏C反应蛋白\",\"details\":[]},{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"tagName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null}]}],\"getExcelData\":{}},\"chief\":\"asdd\",\"present\":\"ds\",\"other\":\"ds\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，肺动脉瓣区，可闻及，全期，隆隆样，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"25\",\"value\":\"5\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"右上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"4\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"5\"}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"胸部CT\",\"questionId\":19089,\"time\":\"2018-12-19\"}],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"type\":1},{\"id\":102,\"name\":\"肺结节\",\"tagName\":\"肺结节\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{\"assay\":\"血常规; \",\"check\":\"\",\"scheme\":[{\"name\":\"肺结节\",\"treatment\":[{\"id\":132,\"drugsName\":\"支气管扩张剂\",\"showInfo\":\"1\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"rate\":\"0.94\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"rate\":\"0.92\",\"isShow\":\"1\",\"forbidden\":\"1\",\"showInfo\":\"0\",\"selected\":false},{\"id\":4,\"medicitionName\":\"二羟丙茶碱11\",\"rate\":\"0.50\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":false,\"selected\":false}],\"treatmentStr\":\"多索茶碱; \"},{\"id\":133,\"drugsName\":\"抗生素类(喹诺酮类)\",\"showInfo\":\"0\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"rate\":\"0.50\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"rate\":\"0.82\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":\"0\",\"selected\":false}],\"treatmentStr\":\"左氧氟沙星; \"}]}]}}', null);
INSERT INTO `icss_template_info` VALUES ('63', 'Y', '2018-12-20 16:43:27', '2018-12-21 15:31:50', '1', '0', '666', '1', '1', '1', '1', '{\"chief\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。是否史蒂夫\\n患者6月余前于当地卫生院体检，检史蒂夫史蒂夫查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"present\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"other\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"vital\":\",,,2,,血压：左上肢,123,236mmHg,,血压：右上肢,123,236mmHg\",\"lis\":\"血常规,红细胞计数,1 L降低0.10;血常规,白细胞计数,1 10^12/L降低0.11;血常规,隐血,阴性 ;-血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,80 mg/L升高5.00;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L升高5.00;\",\"pacs\":\"\",\"diag\":\"支气管哮喘(复诊); 肺部感染(复诊); \",\"advice\":\"血常规; C反映蛋白; C反映蛋白; C反映蛋白; 胸部CT; 心肌酶谱; 多索茶碱; 二羟丙茶碱; 左氧氟沙星; \"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"tagName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阴性\"}],\"show\":true,\"time\":\"2018-12-20\"}],\"getExcelData\":{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"80\",\"max\":\"16\",\"min\":\"1\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"2\",\"min\":\"1\",\"time\":\"2018年12月1号\",\"type\":\"1\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}},\"chief\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。是否史蒂夫\\n患者6月余前于当地卫生院体检，检史蒂夫史蒂夫查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"present\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"other\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，肺动脉瓣区，主动脉瓣区，可闻及，2/6，舒张期，隆隆样，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"2\",\"value\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"123\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"236\"}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"右上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"123\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"236\"}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"tagName\":\"支气管哮喘\",\"type\":2,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":104,\"name\":\"肺部感染\",\"tagName\":\"肺部感染\",\"type\":2,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{\"scheme\":[{\"name\":\"呼吸道感染\",\"treatment\":[{\"id\":132,\"drugsName\":\"支气管扩张剂\",\"showInfo\":\"1\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"rate\":\"0.94\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"rate\":\"0.92\",\"isShow\":\"1\",\"forbidden\":\"1\",\"showInfo\":\"0\",\"selected\":true},{\"id\":4,\"medicitionName\":\"二羟丙茶碱11\",\"rate\":\"0.50\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":false,\"selected\":false}],\"treatmentStr\":\"多索茶碱; 二羟丙茶碱; \"},{\"id\":133,\"drugsName\":\"抗生素类(喹诺酮类)\",\"showInfo\":\"0\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"rate\":\"0.50\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"rate\":\"0.82\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":\"0\",\"selected\":false}],\"treatmentStr\":\"左氧氟沙星; 史蒂夫史蒂夫地方\"}]}],\"assay\":\"血常规; C反映蛋白; C反映蛋白; C反映蛋白; \",\"check\":\"胸部CT; 心肌酶谱; \"}}', null);
INSERT INTO `icss_template_info` VALUES ('64', 'Y', '2018-12-20 17:19:30', '2018-12-21 15:31:50', '1', '0', '9999', '1', '1', '1', '1', '{\"chief\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。是否史蒂夫\\n患者6月余前于当地卫生院体检，检史蒂夫史蒂夫查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"present\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"other\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"vital\":\",,,2,,血压：左上肢,123,236mmHg,,血压：右上肢,123,236mmHg\",\"lis\":\"血常规,红细胞计数,1 L降低0.10;血常规,白细胞计数,1 10^12/L降低0.11;血常规,隐血,阴性 ;-血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,80 mg/L升高5.00;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L升高5.00;\",\"pacs\":\"\",\"diag\":\"支气管哮喘(复诊); 肺部感染(复诊); \",\"advice\":\"血常规; C反映蛋白; C反映蛋白; C反映蛋白; 胸部CT; 心肌酶谱; 多索茶碱; 二羟丙茶碱; 左氧氟沙星; \"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"tagName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阴性\"}],\"show\":true,\"time\":\"2018-12-20\"}],\"getExcelData\":{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"80\",\"max\":\"16\",\"min\":\"1\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"2\",\"min\":\"1\",\"time\":\"2018年12月1号\",\"type\":\"1\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}},\"chief\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。是否史蒂夫\\n患者6月余前于当地卫生院体检，检史蒂夫史蒂夫查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"present\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"other\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，肺动脉瓣区，主动脉瓣区，可闻及，2/6，舒张期，隆隆样，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"2\",\"value\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"123\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"236\"}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"右上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"123\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"236\"}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"tagName\":\"支气管哮喘\",\"type\":2,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":104,\"name\":\"肺部感染\",\"tagName\":\"肺部感染\",\"type\":2,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{\"scheme\":[{\"name\":\"呼吸道感染\",\"treatment\":[{\"id\":132,\"drugsName\":\"支气管扩张剂\",\"showInfo\":\"1\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"rate\":\"0.94\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"rate\":\"0.92\",\"isShow\":\"1\",\"forbidden\":\"1\",\"showInfo\":\"0\",\"selected\":true},{\"id\":4,\"medicitionName\":\"二羟丙茶碱11\",\"rate\":\"0.50\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":false,\"selected\":false}],\"treatmentStr\":\"多索茶碱; 二羟丙茶碱; \"},{\"id\":133,\"drugsName\":\"抗生素类(喹诺酮类)\",\"showInfo\":\"0\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"rate\":\"0.50\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"rate\":\"0.82\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":\"0\",\"selected\":false}],\"treatmentStr\":\"左氧氟沙星; 史蒂夫史蒂夫地方\"}]}],\"assay\":\"血常规; C反映蛋白; C反映蛋白; C反映蛋白; \",\"check\":\"胸部CT; 心肌酶谱; \"}}', null);
INSERT INTO `icss_template_info` VALUES ('65', 'Y', '2018-12-20 20:00:33', '2018-12-21 17:47:57', '1', '0', 'aa', '1', '1', '1', '0', '{\"chief\":\",上前,,咳嗽 \",\"present\":\"\",\"other\":\"\",\"vital\":\",,,5\",\"lis\":\"-\",\"pacs\":\"\",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelData\":{}},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"value\":\"上前\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽 \",\"tagType\":\"1\",\"controlType\":3},{\"id\":\"\",\"name\":\"\",\"tagType\":\"0\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":12,\"name\":\"添加病情变化\",\"tagName\":\"主诉-添加病情变化\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"4\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":12,\"flag\":\"\",\"relationModule\":null}],\"present\":[],\"other\":[],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，可闻及，4/6，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"25\",\"value\":\"5\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[],\"diag\":[],\"advice\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('66', 'Y', '2018-12-21 09:15:18', '2018-12-21 09:15:24', '1', '0', '111111111111', '1', '1', '1', '1', '{\"chief\":\"\",\"present\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"other\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"vital\":\",,,2,,血压：左上肢,123,236mmHg,,血压：右上肢,123,236mmHg\",\"lis\":\"血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,80 mg/L升高5.00;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L升高5.00;-血常规,红细胞计数,1 L降低0.10;血常规,白细胞计数,1 10^12/L降低0.11;血常规,隐血,阴性 ;\",\"pacs\":\"胸部CT,54544萨达所大所多,报告日期,2018-12-20;\",\"diag\":\"支气管哮喘(复诊); 肺部感染(复诊); \",\"advice\":\"血常规; C反映蛋白; C反映蛋白; C反映蛋白; 胸部CT; 心肌酶谱; 多索茶碱; 二羟丙茶碱; 左氧氟沙星; \"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"tagName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阴性\"}],\"show\":true,\"time\":\"2018-12-20\"}],\"getExcelData\":{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"80\",\"max\":\"16\",\"min\":\"1\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"2\",\"min\":\"1\",\"time\":\"2018年12月1号\",\"type\":\"1\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}},\"chief\":\"\",\"present\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"other\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，肺动脉瓣区，主动脉瓣区，可闻及，2/6，舒张期，隆隆样，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"2\",\"value\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"123\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"236\"}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"右上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"123\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"236\"}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"胸部CT\",\"questionId\":19089,\"value\":\"54544萨达所大所多\",\"time\":\"2018-12-20\"}],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"tagName\":\"支气管哮喘\",\"type\":2,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":104,\"name\":\"肺部感染\",\"tagName\":\"肺部感染\",\"type\":2,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{\"scheme\":[{\"name\":\"呼吸道感染\",\"treatment\":[{\"id\":132,\"drugsName\":\"支气管扩张剂\",\"showInfo\":\"1\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"rate\":\"0.94\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"rate\":\"0.92\",\"isShow\":\"1\",\"forbidden\":\"1\",\"showInfo\":\"0\",\"selected\":true},{\"id\":4,\"medicitionName\":\"二羟丙茶碱11\",\"rate\":\"0.50\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":false,\"selected\":false}],\"treatmentStr\":\"多索茶碱; 二羟丙茶碱; \"},{\"id\":133,\"drugsName\":\"抗生素类(喹诺酮类)\",\"showInfo\":\"0\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"rate\":\"0.50\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"rate\":\"0.82\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":\"0\",\"selected\":false}],\"treatmentStr\":\"左氧氟沙星; 史蒂夫史蒂夫地方\"}]}],\"assay\":\"血常规; C反映蛋白; C反映蛋白; C反映蛋白; \",\"check\":\"胸部CT; 心肌酶谱; \"}}', null);
INSERT INTO `icss_template_info` VALUES ('67', 'Y', '2018-12-21 09:16:06', '2018-12-21 15:31:50', '1', '0', '55555555555555555555', '1', '1', '1', '1', '{\"chief\":\"\",\"present\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"other\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"vital\":\",,,2,,血压：左上肢,123,236mmHg,,血压：右上肢,123,236mmHg\",\"lis\":\"血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,80 mg/L升高5.00;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L升高5.00;-血常规,红细胞计数,1 L降低0.10;血常规,白细胞计数,1 10^12/L降低0.11;血常规,隐血,阴性 ;\",\"pacs\":\"胸部CT,54544萨达所大所多,报告日期,2018-12-20;\",\"diag\":\"支气管哮喘(复诊); 肺部感染(复诊); \",\"advice\":\"血常规; C反映蛋白; C反映蛋白; C反映蛋白; 胸部CT; 心肌酶谱; 多索茶碱; 二羟丙茶碱; 左氧氟沙星; \"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"tagName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阴性\"}],\"show\":true,\"time\":\"2018-12-20\"}],\"getExcelData\":{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"80\",\"max\":\"16\",\"min\":\"1\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"2\",\"min\":\"1\",\"time\":\"2018年12月1号\",\"type\":\"1\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}},\"chief\":\"\",\"present\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"other\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，肺动脉瓣区，主动脉瓣区，可闻及，2/6，舒张期，隆隆样，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"2\",\"value\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"123\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"236\"}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"右上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"123\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"236\"}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"胸部CT\",\"questionId\":19089,\"value\":\"54544萨达所大所多\",\"time\":\"2018-12-20\"}],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"tagName\":\"支气管哮喘\",\"type\":2,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":104,\"name\":\"肺部感染\",\"tagName\":\"肺部感染\",\"type\":2,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{\"scheme\":[{\"name\":\"呼吸道感染\",\"treatment\":[{\"id\":132,\"drugsName\":\"支气管扩张剂\",\"showInfo\":\"1\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"rate\":\"0.94\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"rate\":\"0.92\",\"isShow\":\"1\",\"forbidden\":\"1\",\"showInfo\":\"0\",\"selected\":true},{\"id\":4,\"medicitionName\":\"二羟丙茶碱11\",\"rate\":\"0.50\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":false,\"selected\":false}],\"treatmentStr\":\"多索茶碱; 二羟丙茶碱; \"},{\"id\":133,\"drugsName\":\"抗生素类(喹诺酮类)\",\"showInfo\":\"0\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"rate\":\"0.50\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"rate\":\"0.82\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":\"0\",\"selected\":false}],\"treatmentStr\":\"左氧氟沙星; 史蒂夫史蒂夫地方\"}]}],\"assay\":\"血常规; C反映蛋白; C反映蛋白; C反映蛋白; \",\"check\":\"胸部CT; 心肌酶谱; \"}}', null);
INSERT INTO `icss_template_info` VALUES ('68', 'Y', '2018-12-21 09:16:50', '2018-12-21 15:31:50', '1', '0', '9999999999999999999999999', '1', '1', '1', '1', '{\"chief\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。是否史蒂夫\\n患者6月余前于当地卫生院体检，检史蒂夫史蒂夫查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"present\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"other\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"vital\":\",,,2,,血压：左上肢,123,236mmHg,,血压：右上肢,123,236mmHg\",\"lis\":\"血常规,红细胞计数,1 L;血常规,白细胞计数,1 10^12/L;血常规,隐血,阳性 ;-血常规,红细胞计数,1 L降低0.10;血常规,白细胞计数,1 10^12/L降低0.11;血常规,隐血,阴性 ;\",\"pacs\":\"\",\"diag\":\"支气管哮喘(复诊); 肺部感染(复诊); \"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"tagName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阳性\"}],\"show\":true,\"time\":\"2018-12-21\"}],\"getExcelData\":{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"80\",\"max\":\"16\",\"min\":\"1\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"2\",\"min\":\"1\",\"time\":\"2018年12月1号\",\"type\":\"1\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}},\"chief\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。是否史蒂夫\\n患者6月余前于当地卫生院体检，检史蒂夫史蒂夫查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"present\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"other\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，肺动脉瓣区，主动脉瓣区，可闻及，2/6，舒张期，隆隆样，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"2\",\"value\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"123\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"236\"}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"右上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"123\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"236\"}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"tagName\":\"支气管哮喘\",\"type\":2,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":104,\"name\":\"肺部感染\",\"tagName\":\"肺部感染\",\"type\":2,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{\"scheme\":[{\"name\":\"呼吸道感染\",\"treatment\":[{\"id\":132,\"drugsName\":\"支气管扩张剂\",\"showInfo\":\"1\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"rate\":\"0.94\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"rate\":\"0.92\",\"isShow\":\"1\",\"forbidden\":\"1\",\"showInfo\":\"0\",\"selected\":true},{\"id\":4,\"medicitionName\":\"二羟丙茶碱11\",\"rate\":\"0.50\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":false,\"selected\":false}],\"treatmentStr\":\"多索茶碱; 二羟丙茶碱; \"},{\"id\":133,\"drugsName\":\"抗生素类(喹诺酮类)\",\"showInfo\":\"0\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"rate\":\"0.50\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"rate\":\"0.82\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":\"0\",\"selected\":false}],\"treatmentStr\":\"左氧氟沙星; 史蒂夫史蒂夫地方\"}]}],\"assay\":\"血常规; C反映蛋白; C反映蛋白; C反映蛋白; \",\"check\":\"胸部CT; 心肌酶谱; \"}}', null);
INSERT INTO `icss_template_info` VALUES ('69', 'Y', '2018-12-21 09:16:57', '2018-12-21 15:31:50', '1', '0', '大方', '1', '1', '1', '1', '{\"chief\":\"\",\"present\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"other\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"vital\":\",,,2,,血压：左上肢,123,236mmHg,,血压：右上肢,123,236mmHg\",\"lis\":\"血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,80 mg/L升高5.00;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L升高5.00;-血常规,红细胞计数,1 L降低0.10;血常规,白细胞计数,1 10^12/L降低0.11;血常规,隐血,阴性 ;\",\"pacs\":\"胸部CT,54544萨达所大所多,报告日期,2018-12-20;\",\"diag\":\"支气管哮喘(复诊); 肺部感染(复诊); \",\"advice\":\"血常规; C反映蛋白; C反映蛋白; C反映蛋白; 胸部CT; 心肌酶谱; 多索茶碱; 二羟丙茶碱; 左氧氟沙星; \"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"tagName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阴性\"}],\"show\":true,\"time\":\"2018-12-20\"}],\"getExcelData\":{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"80\",\"max\":\"16\",\"min\":\"1\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"2\",\"min\":\"1\",\"time\":\"2018年12月1号\",\"type\":\"1\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}},\"chief\":\"\",\"present\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"other\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，肺动脉瓣区，主动脉瓣区，可闻及，2/6，舒张期，隆隆样，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"2\",\"value\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"123\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"236\"}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"右上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"123\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"236\"}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"胸部CT\",\"questionId\":19089,\"value\":\"54544萨达所大所多\",\"time\":\"2018-12-20\"}],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"tagName\":\"支气管哮喘\",\"type\":2,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":104,\"name\":\"肺部感染\",\"tagName\":\"肺部感染\",\"type\":2,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{\"scheme\":[{\"name\":\"呼吸道感染\",\"treatment\":[{\"id\":132,\"drugsName\":\"支气管扩张剂\",\"showInfo\":\"1\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"rate\":\"0.94\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"rate\":\"0.92\",\"isShow\":\"1\",\"forbidden\":\"1\",\"showInfo\":\"0\",\"selected\":true},{\"id\":4,\"medicitionName\":\"二羟丙茶碱11\",\"rate\":\"0.50\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":false,\"selected\":false}],\"treatmentStr\":\"多索茶碱; 二羟丙茶碱; \"},{\"id\":133,\"drugsName\":\"抗生素类(喹诺酮类)\",\"showInfo\":\"0\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"rate\":\"0.50\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"rate\":\"0.82\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":\"0\",\"selected\":false}],\"treatmentStr\":\"左氧氟沙星; 史蒂夫史蒂夫地方\"}]}],\"assay\":\"血常规; C反映蛋白; C反映蛋白; C反映蛋白; \",\"check\":\"胸部CT; 心肌酶谱; \"}}', null);
INSERT INTO `icss_template_info` VALUES ('70', 'Y', '2018-12-21 09:16:57', '2018-12-21 15:31:50', '1', '0', '8888888888888888888888888888888', '1', '1', '1', '1', '{\"chief\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。是否史蒂夫\\n患者6月余前于当地卫生院体检，检史蒂夫史蒂夫查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"present\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"other\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"vital\":\",,,2,,血压：左上肢,123,236mmHg,,血压：右上肢,123,236mmHg\",\"lis\":\"血常规,红细胞计数,1 L;血常规,白细胞计数,1 10^12/L;血常规,隐血,阳性 ;-血常规,红细胞计数,1 L降低0.10;血常规,白细胞计数,1 10^12/L降低0.11;血常规,隐血,阴性 ;\",\"pacs\":\"\",\"diag\":\"支气管哮喘(复诊); 肺部感染(复诊); \"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"tagName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阳性\"}],\"show\":true,\"time\":\"2018-12-21\"}],\"getExcelData\":{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"80\",\"max\":\"16\",\"min\":\"1\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"2\",\"min\":\"1\",\"time\":\"2018年12月1号\",\"type\":\"1\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}},\"chief\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。是否史蒂夫\\n患者6月余前于当地卫生院体检，检史蒂夫史蒂夫查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"present\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"other\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，肺动脉瓣区，主动脉瓣区，可闻及，2/6，舒张期，隆隆样，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"2\",\"value\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"123\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"236\"}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"右上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"123\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"236\"}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"tagName\":\"支气管哮喘\",\"type\":2,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":104,\"name\":\"肺部感染\",\"tagName\":\"肺部感染\",\"type\":2,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{\"scheme\":[{\"name\":\"呼吸道感染\",\"treatment\":[{\"id\":132,\"drugsName\":\"支气管扩张剂\",\"showInfo\":\"1\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"rate\":\"0.94\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"rate\":\"0.92\",\"isShow\":\"1\",\"forbidden\":\"1\",\"showInfo\":\"0\",\"selected\":true},{\"id\":4,\"medicitionName\":\"二羟丙茶碱11\",\"rate\":\"0.50\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":false,\"selected\":false}],\"treatmentStr\":\"多索茶碱; 二羟丙茶碱; \"},{\"id\":133,\"drugsName\":\"抗生素类(喹诺酮类)\",\"showInfo\":\"0\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"rate\":\"0.50\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"rate\":\"0.82\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":\"0\",\"selected\":false}],\"treatmentStr\":\"左氧氟沙星; 史蒂夫史蒂夫地方\"}]}],\"assay\":\"血常规; C反映蛋白; C反映蛋白; C反映蛋白; \",\"check\":\"胸部CT; 心肌酶谱; \"}}', null);
INSERT INTO `icss_template_info` VALUES ('71', 'Y', '2018-12-21 09:17:33', '2018-12-21 09:23:14', '1', '0', '大方舒服的', '1', '1', '1', '1', '{\"chief\":\"史蒂夫\",\"present\":\"撒地方撒地方法规\",\"other\":\"塞法\",\"vital\":\"\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelData\":{}},\"chief\":\"史蒂夫\",\"present\":\"撒地方撒地方法规\",\"other\":\"塞法\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[],\"diag\":[],\"advice\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('72', 'Y', '2018-12-21 10:36:47', '2018-12-21 11:24:57', '1', '0', 'dd', '1', '1', '1', '1', '{\"chief\":\"咳嗽\",\"present\":\"d\",\"other\":\"\",\"vital\":\"\",\"lis\":\"-\",\"pacs\":\"\",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelData\":{}},\"chief\":\"咳嗽\",\"present\":\"d\",\"other\":\"\",\"vital\":[],\"pacs\":[],\"diag\":[],\"advice\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('73', 'Y', '2018-12-21 11:31:42', '2018-12-21 15:31:50', '1', '0', 'a', '1', '1', '1', '1', '{\"chief\":\"aaa\",\"present\":\"患者6月余前于当地卫生院体检aaaa\",\"other\":\"患者6月余前于当地卫生院体检，\",\"vital\":\",,,2,,血压：左上肢,123,236mmHg,,血压：右上肢,123,236mmHg\",\"lis\":\"血常规,红细胞计数,1 L降低0.10;血常规,白细胞计数,1 10^12/L降低0.11;血常规,隐血,阴性 ;-血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,80 mg/L升高5.00;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L升高5.00;\",\"pacs\":\"胸部CT,54544萨达所大所多,报告日期,2018-12-20;\",\"diag\":\"支气管哮喘(复诊); 肺部感染(复诊); \",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"tagName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阴性\"}],\"show\":true,\"time\":\"2018-12-20\"}],\"getExcelData\":{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"80\",\"max\":\"16\",\"min\":\"1\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"2\",\"min\":\"1\",\"time\":\"2018年12月1号\",\"type\":\"1\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}},\"chief\":\"aaa\",\"present\":\"患者6月余前于当地卫生院体检aaaa\",\"other\":\"患者6月余前于当地卫生院体检，\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，肺动脉瓣区，主动脉瓣区，可闻及，2/6，舒张期，隆隆样，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"2\",\"value\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"123\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"236\"}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"右上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"123\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"236\"}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"胸部CT\",\"questionId\":19089,\"value\":\"54544萨达所大所多\",\"time\":\"2018-12-20\"}],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"tagName\":\"支气管哮喘\",\"type\":2,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":104,\"name\":\"肺部感染\",\"tagName\":\"肺部感染\",\"type\":2,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{\"scheme\":[{\"name\":\"呼吸道感染\",\"treatment\":[{\"id\":132,\"drugsName\":\"支气管扩张剂\",\"showInfo\":\"1\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"rate\":\"0.94\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"rate\":\"0.92\",\"isShow\":\"1\",\"forbidden\":\"1\",\"showInfo\":\"0\",\"selected\":true},{\"id\":4,\"medicitionName\":\"二羟丙茶碱11\",\"rate\":\"0.50\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":false,\"selected\":false}],\"treatmentStr\":\"多索茶碱; 二羟丙茶碱; \"},{\"id\":133,\"drugsName\":\"抗生素类(喹诺酮类)\",\"showInfo\":\"0\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"rate\":\"0.50\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"rate\":\"0.82\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":\"0\",\"selected\":false}],\"treatmentStr\":\"左氧氟沙星; 史蒂夫史蒂夫地方\"}]}],\"assay\":\"血常规; C反映蛋白; C反映蛋白; C反映蛋白; \",\"check\":\"胸部CT; 心肌酶谱; \"}}', null);
INSERT INTO `icss_template_info` VALUES ('74', 'Y', '2018-12-21 15:32:40', '2018-12-23 14:37:13', '1', '0', 'www', '1', '1', '1', '1', '{\"chief\":\"sdsadssds\",\"present\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"other\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"vital\":\",,,2,,血压：左上肢,123,236mmHg,,血压：右上肢,123,236mmHg\",\"lis\":\"空腹血糖,空腹血糖,90 mmol/L升高4.74;血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;-血常规,红细胞,20 mg/L升高1.25;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"胸部CT,54544萨达所大所多,报告日期,2018-12-20;\",\"diag\":\"支气管哮喘(复诊); 肺部感染(复诊); \",\"advice\":\"血常规; C反映蛋白; C反映蛋白; C反映蛋白; 胸部CT; 心肌酶谱; 多索茶碱; 二羟丙茶碱; 左氧氟沙星; \"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"tagName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阴性\"}],\"show\":true,\"time\":\"2018-12-20\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[]},{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":\"sdsadssds\",\"present\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"other\":\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\n\\n\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，肺动脉瓣区，主动脉瓣区，可闻及，2/6，舒张期，隆隆样，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"2\",\"value\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"123\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"236\"}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"右上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"123\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"236\"}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"胸部CT\",\"questionId\":19089,\"value\":\"54544萨达所大所多\",\"time\":\"2018-12-20\"}],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"tagName\":\"支气管哮喘\",\"type\":2,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":104,\"name\":\"肺部感染\",\"tagName\":\"肺部感染\",\"type\":2,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{\"scheme\":[{\"name\":\"呼吸道感染\",\"treatment\":[{\"id\":132,\"drugsName\":\"支气管扩张剂\",\"showInfo\":\"1\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"rate\":\"0.94\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"rate\":\"0.92\",\"isShow\":\"1\",\"forbidden\":\"1\",\"showInfo\":\"0\",\"selected\":true},{\"id\":4,\"medicitionName\":\"二羟丙茶碱11\",\"rate\":\"0.50\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":false,\"selected\":false}],\"treatmentStr\":\"多索茶碱; 二羟丙茶碱; \"},{\"id\":133,\"drugsName\":\"抗生素类(喹诺酮类)\",\"showInfo\":\"0\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"rate\":\"0.50\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"rate\":\"0.82\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":\"0\",\"selected\":false}],\"treatmentStr\":\"左氧氟沙星; 史蒂夫史蒂夫地方\"}]}],\"assay\":\"血常规; C反映蛋白; C反映蛋白; C反映蛋白; \",\"check\":\"胸部CT; 心肌酶谱; \"}}', null);
INSERT INTO `icss_template_info` VALUES ('76', 'Y', '2018-12-23 14:37:28', '2018-12-23 15:03:42', '1', '0', '154', '1', '1', '1', '1', '{\"chief\":\"[\\\"sdsadssds\\\"]\",\"present\":\"[\\\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\\\n\\\\n\\\"]\",\"other\":\"[\\\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\\\n\\\\n\\\"]\",\"vital\":\"[\\\"\\\",\\\"\\\",\\\"\\\",\\\"2\\\",\\\"\\\",\\\"血压：左上肢\\\",\\\"123\\\",\\\"236mmHg\\\",\\\"\\\",\\\"血压：右上肢\\\",\\\"123\\\",\\\"236mmHg\\\"]\",\"lis\":\"空腹血糖,空腹血糖,90 mmol/L升高4.74;血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;-血常规,红细胞,20 mg/L升高1.25;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"胸部CT,54544萨达所大所多,报告日期,2018-12-20;\",\"diag\":\"支气管哮喘(复诊); 肺部感染(复诊); \",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"tagName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阴性\"}],\"show\":true,\"time\":\"2018-12-20\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[]},{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":\"[\\\"sdsadssds\\\"]\",\"present\":\"[\\\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\\\n\\\\n\\\"]\",\"other\":\"[\\\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\\\n\\\\n\\\"]\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，肺动脉瓣区，主动脉瓣区，可闻及，2/6，舒张期，隆隆样，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"2\",\"value\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"123\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"236\"}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"右上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"123\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"236\"}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"胸部CT\",\"questionId\":19089,\"value\":\"54544萨达所大所多\",\"time\":\"2018-12-20\"}],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"tagName\":\"支气管哮喘\",\"type\":2,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":104,\"name\":\"肺部感染\",\"tagName\":\"肺部感染\",\"type\":2,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{\"scheme\":[{\"name\":\"呼吸道感染\",\"treatment\":[{\"id\":132,\"drugsName\":\"支气管扩张剂\",\"showInfo\":\"1\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"rate\":\"0.94\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"rate\":\"0.92\",\"isShow\":\"1\",\"forbidden\":\"1\",\"showInfo\":\"0\",\"selected\":true},{\"id\":4,\"medicitionName\":\"二羟丙茶碱11\",\"rate\":\"0.50\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":false,\"selected\":false}],\"treatmentStr\":\"多索茶碱; 二羟丙茶碱; \"},{\"id\":133,\"drugsName\":\"抗生素类(喹诺酮类)\",\"showInfo\":\"0\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"rate\":\"0.50\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"rate\":\"0.82\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":\"0\",\"selected\":false}],\"treatmentStr\":\"左氧氟沙星; 史蒂夫史蒂夫地方\"}]}],\"assay\":\"血常规; C反映蛋白; C反映蛋白; C反映蛋白; \",\"check\":\"胸部CT; 心肌酶谱; \"}}', null);
INSERT INTO `icss_template_info` VALUES ('77', 'Y', '2018-12-23 14:51:27', '2018-12-23 15:03:36', '1', '0', '7774', '1', '1', '1', '1', '{\"chief\":\"\\\"\\\"\",\"present\":\"\\\"[\\\\\\\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\\\\\\\n\\\\\\\\n\\\\\\\"]\\\"\",\"other\":\"\\\"[\\\\\\\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\\\\\\\n\\\\\\\\n\\\\\\\"]\\\"\",\"vital\":\"\\\"[\\\\\\\"\\\\\\\",\\\\\\\"\\\\\\\",\\\\\\\"\\\\\\\",\\\\\\\"2\\\\\\\",\\\\\\\"\\\\\\\",\\\\\\\"血压：左上肢\\\\\\\",\\\\\\\"123\\\\\\\",\\\\\\\"236mmHg\\\\\\\",\\\\\\\"\\\\\\\",\\\\\\\"血压：右上肢\\\\\\\",\\\\\\\"123\\\\\\\",\\\\\\\"236mmHg\\\\\\\"]\\\"\",\"lis\":\"空腹血糖,空腹血糖,90 mmol/L升高4.74;血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;-血常规,红细胞,20 mg/L升高1.25;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"胸部CT,54544萨达所大所多,报告日期,2018-12-20;\",\"diag\":\"支气管哮喘(复诊); 肺部感染(复诊); \",\"advice\":\"血常规; C反映蛋白; C反映蛋白; C反映蛋白; 胸部CT; 心肌酶谱; 多索茶碱; 二羟丙茶碱; 左氧氟沙星; 史蒂夫史蒂夫地方多索茶碱; \"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"tagName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阴性\"}],\"show\":true,\"time\":\"2018-12-20\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[]},{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":\"\\\"\\\"\",\"present\":\"\\\"[\\\\\\\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\\\\\\\n\\\\\\\\n\\\\\\\"]\\\"\",\"other\":\"\\\"[\\\\\\\"患者6月余前于当地卫生院体检，检查结果发现铁蛋白异常升高，遂2015-6-20于海宁市第三人民医院就诊，查胸部CT平扫提示“左肺上叶磨玻璃小结节，直径约0.6cm”，当时未予特殊处理，患者返家休息，无咳嗽、咳痰，无胸闷、胸痛，无恶心、呕吐，无头痛、头晕，无腹痛、腹胀，无大小便失禁，患者于2015-11-1来我院门诊查胸部平扫提示“左上肺磨玻璃结节，肿瘤或腺瘤样增生需考虑，请结合临床，建议密切随访。右上肺前段结节，良性结节考虑。两肺尖局限性肺气肿。两侧胸膜局部稍增厚。”，现为求进一步治疗，门诊拟“肺结节”收住入院。\\\\\\\\n\\\\\\\\n\\\\\\\"]\\\"\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，肺动脉瓣区，主动脉瓣区，可闻及，2/6，舒张期，隆隆样，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"2\",\"value\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"123\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"236\"}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"右上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"123\"},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"236\"}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"胸部CT\",\"questionId\":19089,\"value\":\"54544萨达所大所多\",\"time\":\"2018-12-20\"}],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"tagName\":\"支气管哮喘\",\"type\":2,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":104,\"name\":\"肺部感染\",\"tagName\":\"肺部感染\",\"type\":2,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{\"scheme\":[{\"name\":\"呼吸道感染\",\"treatment\":[{\"id\":132,\"drugsName\":\"支气管扩张剂\",\"showInfo\":\"1\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"rate\":\"0.94\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"rate\":\"0.92\",\"isShow\":\"1\",\"forbidden\":\"1\",\"showInfo\":\"0\",\"selected\":true},{\"id\":4,\"medicitionName\":\"二羟丙茶碱11\",\"rate\":\"0.50\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":false,\"selected\":false}],\"treatmentStr\":\"多索茶碱; 二羟丙茶碱; \"},{\"id\":133,\"drugsName\":\"抗生素类(喹诺酮类)\",\"showInfo\":\"0\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"rate\":\"0.50\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"rate\":\"0.82\",\"isShow\":\"0\",\"forbidden\":\"2\",\"showInfo\":\"0\",\"selected\":false}],\"treatmentStr\":\"左氧氟沙星; 史蒂夫史蒂夫地方\"}]},{\"name\":\"支气管哮喘\",\"treatment\":[{\"id\":132,\"showInfo\":\"0\",\"drugsName\":\"支气管扩张剂\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"94%\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"92%\"}],\"treatmentStr\":\"多索茶碱; \"},{\"id\":133,\"showInfo\":\"0\",\"drugsName\":\"抗生素类(喹诺酮类)\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"85%\"},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"82%\"}],\"treatmentStr\":\"\"},{\"id\":134,\"showInfo\":\"0\",\"drugsName\":\"化痰药(粘液溶解药)\",\"medicitionsList\":[{\"id\":141,\"medicitionName\":\"氨溴索\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"80%\"},{\"id\":null,\"medicitionName\":\"农夫沙星\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"},{\"id\":135,\"showInfo\":\"0\",\"drugsName\":\"糖皮质激素类\",\"medicitionsList\":[{\"id\":143,\"medicitionName\":\"甲泼尼龙\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"63%\"},{\"id\":null,\"medicitionName\":\"安乃近\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"34%\"}],\"treatmentStr\":\"\"},{\"id\":136,\"showInfo\":\"0\",\"drugsName\":\"抗胃酸药(质子泵抑制剂)\",\"medicitionsList\":[{\"id\":145,\"medicitionName\":\"泮托拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"61%\"},{\"id\":null,\"medicitionName\":\"维C银翘片\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"58%\"},{\"id\":null,\"medicitionName\":\"奥美拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"},{\"id\":null,\"medicitionName\":\"兰索拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"}]}],\"assay\":\"血常规; C反映蛋白; C反映蛋白; C反映蛋白; \",\"check\":\"胸部CT; 心肌酶谱; \"}}', null);
INSERT INTO `icss_template_info` VALUES ('78', 'Y', '2018-12-23 15:57:54', '2018-12-23 16:38:40', '1', '0', '777', '1', '1', '1', '1', '{\"chief\":\"[]\",\"present\":\"[\\\"是的撒多\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":\"[null,null,null,\\\"9\\\"]\",\"lis\":\"血常规,红细胞,20 mg/L升高1.25;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;-血常规,红细胞计数,34 L;血常规,白细胞计数,3 10^12/L;血常规,隐血,阳性 ;白细胞计数,白细胞计数,4 10^12/L;\",\"pacs\":\"腹部B超,EREWREW\\n7454,报告日期,2018-12-23;\",\"diag\":\"心脏病(初诊); \",\"advice\":\"多索茶碱; 左氧氟沙星; \"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"34\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"3\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阳性\"}],\"show\":true,\"time\":\"2018-12-23\"},{\"name\":\"白细胞计数\",\"questionId\":70,\"showType\":1,\"retrievalName\":\"白细胞计数\",\"details\":[{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"4\"}],\"show\":true,\"time\":\"2018-12-23\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]},{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[]}]},\"chief\":\"[]\",\"present\":\"[\\\"是的撒多\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，3/6，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"69\",\"value\":\"9\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-23\",\"value\":\"EREWREW\\n7454\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"scheme\":[{\"name\":\"心脏病\",\"treatment\":[{\"id\":132,\"showInfo\":\"0\",\"drugsName\":\"支气管扩张剂\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"94%\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"92%\"}],\"treatmentStr\":\"多索茶碱; \"},{\"id\":133,\"showInfo\":\"0\",\"drugsName\":\"抗生素类(喹诺酮类)\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"85%\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"82%\"}],\"treatmentStr\":\"左氧氟沙星; \"},{\"id\":134,\"showInfo\":\"0\",\"drugsName\":\"化痰药(粘液溶解药)\",\"medicitionsList\":[{\"id\":141,\"medicitionName\":\"氨溴索\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"80%\"},{\"id\":null,\"medicitionName\":\"农夫沙星\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"},{\"id\":135,\"showInfo\":\"0\",\"drugsName\":\"糖皮质激素类\",\"medicitionsList\":[{\"id\":143,\"medicitionName\":\"甲泼尼龙\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"63%\"},{\"id\":null,\"medicitionName\":\"安乃近\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"34%\"}],\"treatmentStr\":\"\"},{\"id\":136,\"showInfo\":\"0\",\"drugsName\":\"抗胃酸药(质子泵抑制剂)\",\"medicitionsList\":[{\"id\":145,\"medicitionName\":\"泮托拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"61%\"},{\"id\":null,\"medicitionName\":\"维C银翘片\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"58%\"},{\"id\":null,\"medicitionName\":\"奥美拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"},{\"id\":null,\"medicitionName\":\"兰索拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"}]}]}}', null);
INSERT INTO `icss_template_info` VALUES ('79', 'Y', '2018-12-23 16:09:09', '2018-12-23 16:38:40', '1', '0', '89', '1', '1', '1', '1', '{\"chief\":\"[]\",\"present\":\"[\\\"是的撒多,yerygew,dfsdfsdf\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":\"[null,null,null,\\\"9\\\"]\",\"lis\":\"血常规,红细胞计数,34 L;血常规,白细胞计数,3 10^12/L;血常规,隐血,阳性 ;白细胞计数,白细胞计数,4 10^12/L;-血常规,红细胞,20 mg/L升高1.25;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"腹部B超,EREWREW\\n7454,报告日期,2018-12-23;\",\"diag\":\"心脏病(初诊); \",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"34\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"3\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阳性\"}],\"show\":true,\"time\":\"2018-12-23\"},{\"name\":\"白细胞计数\",\"questionId\":70,\"showType\":1,\"retrievalName\":\"白细胞计数\",\"details\":[{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"4\"}],\"show\":true,\"time\":\"2018-12-23\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]},{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[]}]},\"chief\":\"[]\",\"present\":\"[\\\"是的撒多,yerygew,dfsdfsdf\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，3/6，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"69\",\"value\":\"9\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-23\",\"value\":\"EREWREW\\n7454\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"scheme\":[{\"name\":\"心脏病\",\"treatment\":[{\"id\":132,\"showInfo\":\"0\",\"drugsName\":\"支气管扩张剂\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"94%\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"92%\"}],\"treatmentStr\":\"多索茶碱; \"},{\"id\":133,\"showInfo\":\"0\",\"drugsName\":\"抗生素类(喹诺酮类)\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"85%\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"82%\"}],\"treatmentStr\":\"左氧氟沙星; \"},{\"id\":134,\"showInfo\":\"0\",\"drugsName\":\"化痰药(粘液溶解药)\",\"medicitionsList\":[{\"id\":141,\"medicitionName\":\"氨溴索\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"80%\"},{\"id\":null,\"medicitionName\":\"农夫沙星\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"},{\"id\":135,\"showInfo\":\"0\",\"drugsName\":\"糖皮质激素类\",\"medicitionsList\":[{\"id\":143,\"medicitionName\":\"甲泼尼龙\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"63%\"},{\"id\":null,\"medicitionName\":\"安乃近\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"34%\"}],\"treatmentStr\":\"\"},{\"id\":136,\"showInfo\":\"0\",\"drugsName\":\"抗胃酸药(质子泵抑制剂)\",\"medicitionsList\":[{\"id\":145,\"medicitionName\":\"泮托拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"61%\"},{\"id\":null,\"medicitionName\":\"维C银翘片\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"58%\"},{\"id\":null,\"medicitionName\":\"奥美拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"},{\"id\":null,\"medicitionName\":\"兰索拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"}]}]}}', null);
INSERT INTO `icss_template_info` VALUES ('80', 'Y', '2018-12-23 16:11:49', '2018-12-23 16:12:29', '1', '0', '55', '1', '1', '1', '1', '{\"chief\":\"[]\",\"present\":\"[]\",\"other\":\"[]\",\"vital\":\"[]\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":{}},\"chief\":\"[]\",\"present\":\"[]\",\"other\":\"[]\",\"vital\":[],\"pacs\":[],\"diag\":[],\"advice\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('81', 'Y', '2018-12-23 16:13:07', '2018-12-23 16:38:30', '1', '0', '848', '1', '1', '1', '1', '{\"chief\":\"[]\",\"present\":\"[\\\"是的撒多,yerygew,dfsdfsdf\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":\"[null,null,null,\\\"9\\\"]\",\"lis\":\"血常规,红细胞计数,34 L;血常规,白细胞计数,3 10^12/L;血常规,隐血,阳性 ;白细胞计数,白细胞计数,4 10^12/L;-血常规,红细胞,20 mg/L升高1.25;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"腹部B超,EREWREW\\n7454,报告日期,2018-12-23;\",\"diag\":\"心脏病(初诊); \",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"34\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"3\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阳性\"}],\"show\":true,\"time\":\"2018-12-23\"},{\"name\":\"白细胞计数\",\"questionId\":70,\"showType\":1,\"retrievalName\":\"白细胞计数\",\"details\":[{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"4\"}],\"show\":true,\"time\":\"2018-12-23\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]},{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[]}]},\"chief\":\"[]\",\"present\":\"[\\\"是的撒多,yerygew,dfsdfsdf\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，3/6，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"69\",\"value\":\"9\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-23\",\"value\":\"EREWREW\\n7454\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"scheme\":[{\"name\":\"心脏病\",\"treatment\":[{\"id\":132,\"showInfo\":\"0\",\"drugsName\":\"支气管扩张剂\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"94%\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"92%\"}],\"treatmentStr\":\"多索茶碱; \"},{\"id\":133,\"showInfo\":\"0\",\"drugsName\":\"抗生素类(喹诺酮类)\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"85%\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"82%\"}],\"treatmentStr\":\"左氧氟沙星; \"},{\"id\":134,\"showInfo\":\"0\",\"drugsName\":\"化痰药(粘液溶解药)\",\"medicitionsList\":[{\"id\":141,\"medicitionName\":\"氨溴索\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"80%\"},{\"id\":null,\"medicitionName\":\"农夫沙星\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"},{\"id\":135,\"showInfo\":\"0\",\"drugsName\":\"糖皮质激素类\",\"medicitionsList\":[{\"id\":143,\"medicitionName\":\"甲泼尼龙\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"63%\"},{\"id\":null,\"medicitionName\":\"安乃近\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"34%\"}],\"treatmentStr\":\"\"},{\"id\":136,\"showInfo\":\"0\",\"drugsName\":\"抗胃酸药(质子泵抑制剂)\",\"medicitionsList\":[{\"id\":145,\"medicitionName\":\"泮托拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"61%\"},{\"id\":null,\"medicitionName\":\"维C银翘片\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"58%\"},{\"id\":null,\"medicitionName\":\"奥美拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"},{\"id\":null,\"medicitionName\":\"兰索拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"}]}]}}', null);
INSERT INTO `icss_template_info` VALUES ('82', 'Y', '2018-12-23 16:38:23', '2018-12-23 16:47:48', '1', '0', '88', '1', '1', '1', '1', '{\"chief\":\"[\\\"sdsdsadsadsa\\\"]\",\"present\":\"[\\\"是的撒多,yerygew,dfsdfsdf\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":\"[null,null,null,\\\"9\\\"]\",\"lis\":\"血常规,红细胞计数,34 L;血常规,白细胞计数,3 10^12/L;血常规,隐血,阳性 ;白细胞计数,白细胞计数,4 10^12/L;-血常规,红细胞,20 mg/L升高1.25;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"腹部B超,EREWREW\\n7454,报告日期,2018-12-23;\",\"diag\":\"心脏病(初诊); \",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"34\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"3\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阳性\"}],\"show\":true,\"time\":\"2018-12-23\"},{\"name\":\"白细胞计数\",\"questionId\":70,\"showType\":1,\"retrievalName\":\"白细胞计数\",\"details\":[{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"4\"}],\"show\":true,\"time\":\"2018-12-23\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]},{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[]}]},\"chief\":\"[\\\"sdsdsadsadsa\\\"]\",\"present\":\"[\\\"是的撒多,yerygew,dfsdfsdf\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，3/6，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"69\",\"value\":\"9\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-23\",\"value\":\"EREWREW\\n7454\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"scheme\":[{\"name\":\"心脏病\",\"treatment\":[{\"id\":132,\"showInfo\":\"0\",\"drugsName\":\"支气管扩张剂\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"94%\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"92%\"}],\"treatmentStr\":\"多索茶碱; \"},{\"id\":133,\"showInfo\":\"0\",\"drugsName\":\"抗生素类(喹诺酮类)\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"85%\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"82%\"}],\"treatmentStr\":\"左氧氟沙星; \"},{\"id\":134,\"showInfo\":\"0\",\"drugsName\":\"化痰药(粘液溶解药)\",\"medicitionsList\":[{\"id\":141,\"medicitionName\":\"氨溴索\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"80%\"},{\"id\":null,\"medicitionName\":\"农夫沙星\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"},{\"id\":135,\"showInfo\":\"0\",\"drugsName\":\"糖皮质激素类\",\"medicitionsList\":[{\"id\":143,\"medicitionName\":\"甲泼尼龙\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"63%\"},{\"id\":null,\"medicitionName\":\"安乃近\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"34%\"}],\"treatmentStr\":\"\"},{\"id\":136,\"showInfo\":\"0\",\"drugsName\":\"抗胃酸药(质子泵抑制剂)\",\"medicitionsList\":[{\"id\":145,\"medicitionName\":\"泮托拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"61%\"},{\"id\":null,\"medicitionName\":\"维C银翘片\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"58%\"},{\"id\":null,\"medicitionName\":\"奥美拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"},{\"id\":null,\"medicitionName\":\"兰索拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"}]}]}}', null);
INSERT INTO `icss_template_info` VALUES ('83', 'Y', '2018-12-23 16:45:49', '2018-12-23 16:47:46', '1', '0', '484', '1', '1', '1', '1', '{\"chief\":\"[\\\"dsadsadasd的撒的撒\\\"]\",\"present\":\"[\\\"是的撒多,yerygew,dfsdfsdf\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":\"[null,null,null,\\\"9\\\"]\",\"lis\":\"血常规,红细胞计数,34 L;血常规,白细胞计数,3 10^12/L;血常规,隐血,阳性 ;白细胞计数,白细胞计数,4 10^12/L;-血常规,红细胞,20 mg/L升高1.25;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"腹部B超,EREWREW\\n7454,报告日期,2018-12-23;\",\"diag\":\"心脏病(初诊); \",\"advice\":\"多索茶碱; 左氧氟沙星;  泮托拉唑; \"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"34\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"3\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阳性\"}],\"show\":true,\"time\":\"2018-12-23\"},{\"name\":\"白细胞计数\",\"questionId\":70,\"showType\":1,\"retrievalName\":\"白细胞计数\",\"details\":[{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"4\"}],\"show\":true,\"time\":\"2018-12-23\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]},{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[]}]},\"chief\":\"[\\\"dsadsadasd的撒的撒\\\"]\",\"present\":\"[\\\"是的撒多,yerygew,dfsdfsdf\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，3/6，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"69\",\"value\":\"9\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-23\",\"value\":\"EREWREW\\n7454\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":\"多索茶碱; 左氧氟沙星;  泮托拉唑; \"}', null);
INSERT INTO `icss_template_info` VALUES ('84', 'Y', '2018-12-23 16:47:42', '2018-12-23 16:54:52', '1', '0', '14', '1', '1', '1', '1', '{\"chief\":\"[\\\"sdsdsadsadsa\\\"]\",\"present\":\"[\\\"是的撒多,yerygew,dfsdfsdf\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":\"[null,null,null,\\\"9\\\"]\",\"lis\":\"血常规,红细胞,20 mg/L升高1.25;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;-血常规,红细胞计数,34 L;血常规,白细胞计数,3 10^12/L;血常规,隐血,阳性 ;白细胞计数,白细胞计数,4 10^12/L;\",\"pacs\":\"腹部B超,EREWREW\\n7454,报告日期,2018-12-23;\",\"diag\":\"心脏病(初诊); \"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"34\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"3\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阳性\"}],\"show\":true,\"time\":\"2018-12-23\"},{\"name\":\"白细胞计数\",\"questionId\":70,\"showType\":1,\"retrievalName\":\"白细胞计数\",\"details\":[{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"4\"}],\"show\":true,\"time\":\"2018-12-23\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]},{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[]}]},\"chief\":\"[\\\"sdsdsadsadsa\\\"]\",\"present\":\"[\\\"是的撒多,yerygew,dfsdfsdf\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，3/6，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"69\",\"value\":\"9\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-23\",\"value\":\"EREWREW\\n7454\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"scheme\":[{\"name\":\"心脏病\",\"treatment\":[{\"id\":132,\"showInfo\":\"0\",\"drugsName\":\"支气管扩张剂\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"94%\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"92%\"}],\"treatmentStr\":\"多索茶碱;  多索茶碱; \"},{\"id\":133,\"showInfo\":\"0\",\"drugsName\":\"抗生素类(喹诺酮类)\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"85%\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"82%\"}],\"treatmentStr\":\"左氧氟沙星;  左氧氟沙星; \"},{\"id\":134,\"showInfo\":\"0\",\"drugsName\":\"化痰药(粘液溶解药)\",\"medicitionsList\":[{\"id\":141,\"medicitionName\":\"氨溴索\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"80%\"},{\"id\":null,\"medicitionName\":\"农夫沙星\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"},{\"id\":135,\"showInfo\":\"0\",\"drugsName\":\"糖皮质激素类\",\"medicitionsList\":[{\"id\":143,\"medicitionName\":\"甲泼尼龙\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"63%\"},{\"id\":null,\"medicitionName\":\"安乃近\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"34%\"}],\"treatmentStr\":\" 甲泼尼龙; \"},{\"id\":136,\"showInfo\":\"0\",\"drugsName\":\"抗胃酸药(质子泵抑制剂)\",\"medicitionsList\":[{\"id\":145,\"medicitionName\":\"泮托拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"61%\"},{\"id\":null,\"medicitionName\":\"维C银翘片\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"58%\"},{\"id\":null,\"medicitionName\":\"奥美拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"},{\"id\":null,\"medicitionName\":\"兰索拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"}]}]}}', null);
INSERT INTO `icss_template_info` VALUES ('85', 'Y', '2018-12-23 16:51:14', '2018-12-23 16:54:50', '1', '0', '8', '1', '1', '1', '1', '{\"chief\":\"[\\\"sdsdsadsadsa\\\"]\",\"present\":\"[\\\"是的撒多,yerygew,dfsdfsdf\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":\"[null,null,null,\\\"9\\\"]\",\"lis\":\"血常规,红细胞计数,34 L;血常规,白细胞计数,3 10^12/L;血常规,隐血,阳性 ;白细胞计数,白细胞计数,4 10^12/L;-血常规,红细胞,20 mg/L升高1.25;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"腹部B超,EREWREW\\n7454,报告日期,2018-12-23;\",\"diag\":\"心脏病(初诊); \"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"34\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"3\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阳性\"}],\"show\":true,\"time\":\"2018-12-23\"},{\"name\":\"白细胞计数\",\"questionId\":70,\"showType\":1,\"retrievalName\":\"白细胞计数\",\"details\":[{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"4\"}],\"show\":true,\"time\":\"2018-12-23\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]},{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[]}]},\"chief\":\"[\\\"sdsdsadsadsa\\\"]\",\"present\":\"[\\\"是的撒多,yerygew,dfsdfsdf\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，3/6，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"69\",\"value\":\"9\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-23\",\"value\":\"EREWREW\\n7454\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"scheme\":[{\"name\":\"心脏病\",\"treatment\":[{\"id\":132,\"showInfo\":\"0\",\"drugsName\":\"支气管扩张剂\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"94%\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"92%\"}],\"treatmentStr\":\"多索茶碱;  多索茶碱;  多索茶碱; \"},{\"id\":133,\"showInfo\":\"0\",\"drugsName\":\"抗生素类(喹诺酮类)\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"85%\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"82%\"}],\"treatmentStr\":\"左氧氟沙星;  左氧氟沙星; \"},{\"id\":134,\"showInfo\":\"0\",\"drugsName\":\"化痰药(粘液溶解药)\",\"medicitionsList\":[{\"id\":141,\"medicitionName\":\"氨溴索\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"80%\"},{\"id\":null,\"medicitionName\":\"农夫沙星\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"},{\"id\":135,\"showInfo\":\"0\",\"drugsName\":\"糖皮质激素类\",\"medicitionsList\":[{\"id\":143,\"medicitionName\":\"甲泼尼龙\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"63%\"},{\"id\":null,\"medicitionName\":\"安乃近\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"34%\"}],\"treatmentStr\":\" 甲泼尼龙; \"},{\"id\":136,\"showInfo\":\"0\",\"drugsName\":\"抗胃酸药(质子泵抑制剂)\",\"medicitionsList\":[{\"id\":145,\"medicitionName\":\"泮托拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"61%\"},{\"id\":null,\"medicitionName\":\"维C银翘片\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"58%\"},{\"id\":null,\"medicitionName\":\"奥美拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"},{\"id\":null,\"medicitionName\":\"兰索拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"}]}]}}', null);
INSERT INTO `icss_template_info` VALUES ('86', 'Y', '2018-12-23 16:53:36', '2018-12-23 16:54:48', '1', '0', '88', '1', '1', '1', '1', '{\"chief\":\"[]\",\"present\":\"[\\\"是的撒多,yerygew,dfsdfsdf\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":\"[null,null,null,\\\"9\\\"]\",\"lis\":\"血常规,红细胞计数,34 L;血常规,白细胞计数,3 10^12/L;血常规,隐血,阳性 ;白细胞计数,白细胞计数,4 10^12/L;-血常规,红细胞,20 mg/L升高1.25;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"腹部B超,EREWREW\\n7454,报告日期,2018-12-23;\",\"diag\":\"心脏病(初诊); \",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"34\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"3\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阳性\"}],\"show\":true,\"time\":\"2018-12-23\"},{\"name\":\"白细胞计数\",\"questionId\":70,\"showType\":1,\"retrievalName\":\"白细胞计数\",\"details\":[{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"4\"}],\"show\":true,\"time\":\"2018-12-23\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]},{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[]}]},\"chief\":\"[]\",\"present\":\"[\\\"是的撒多,yerygew,dfsdfsdf\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，3/6，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"69\",\"value\":\"9\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-23\",\"value\":\"EREWREW\\n7454\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"scheme\":[{\"name\":\"心脏病\",\"treatment\":[{\"id\":132,\"showInfo\":\"0\",\"drugsName\":\"支气管扩张剂\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"94%\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"92%\"}],\"treatmentStr\":\"多索茶碱;  多索茶碱; \"},{\"id\":133,\"showInfo\":\"0\",\"drugsName\":\"抗生素类(喹诺酮类)\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"85%\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"82%\"}],\"treatmentStr\":\"左氧氟沙星;  左氧氟沙星; \"},{\"id\":134,\"showInfo\":\"0\",\"drugsName\":\"化痰药(粘液溶解药)\",\"medicitionsList\":[{\"id\":141,\"medicitionName\":\"氨溴索\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"80%\"},{\"id\":null,\"medicitionName\":\"农夫沙星\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"},{\"id\":135,\"showInfo\":\"0\",\"drugsName\":\"糖皮质激素类\",\"medicitionsList\":[{\"id\":143,\"medicitionName\":\"甲泼尼龙\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"63%\"},{\"id\":null,\"medicitionName\":\"安乃近\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"34%\"}],\"treatmentStr\":\" 甲泼尼龙; \"},{\"id\":136,\"showInfo\":\"0\",\"drugsName\":\"抗胃酸药(质子泵抑制剂)\",\"medicitionsList\":[{\"id\":145,\"medicitionName\":\"泮托拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"61%\"},{\"id\":null,\"medicitionName\":\"维C银翘片\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"58%\"},{\"id\":null,\"medicitionName\":\"奥美拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"},{\"id\":null,\"medicitionName\":\"兰索拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"}]}]}}', null);
INSERT INTO `icss_template_info` VALUES ('87', 'Y', '2018-12-23 16:54:31', '2018-12-23 17:11:05', '1', '0', '548', '1', '1', '1', '1', '{\"chief\":\"[]\",\"present\":\"[\\\"是的撒多,yerygew,dfsdfsdf\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":\"[null,null,null,\\\"9\\\"]\",\"lis\":\"血常规,红细胞计数,34 L;血常规,白细胞计数,3 10^12/L;血常规,隐血,阳性 ;白细胞计数,白细胞计数,4 10^12/L;-血常规,红细胞,20 mg/L升高1.25;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"腹部B超,EREWREW\\n7454,报告日期,2018-12-23;\",\"diag\":\"心脏病(初诊); \",\"advice\":\"多索茶碱;  多索茶碱;  多索茶碱; 左氧氟沙星;  左氧氟沙星;  左氧氟沙星;  甲泼尼龙; \"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"34\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"3\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阳性\"}],\"show\":true,\"time\":\"2018-12-23\"},{\"name\":\"白细胞计数\",\"questionId\":70,\"showType\":1,\"retrievalName\":\"白细胞计数\",\"details\":[{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"4\"}],\"show\":true,\"time\":\"2018-12-23\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]},{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[]}]},\"chief\":\"[]\",\"present\":\"[\\\"是的撒多,yerygew,dfsdfsdf\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，3/6，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"69\",\"value\":\"9\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-23\",\"value\":\"EREWREW\\n7454\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"scheme\":[{\"name\":\"心脏病\",\"treatment\":[{\"id\":132,\"showInfo\":\"0\",\"drugsName\":\"支气管扩张剂\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"94%\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"92%\"}],\"treatmentStr\":\"多索茶碱;  多索茶碱;  多索茶碱; \"},{\"id\":133,\"showInfo\":\"0\",\"drugsName\":\"抗生素类(喹诺酮类)\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"85%\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"82%\"}],\"treatmentStr\":\"左氧氟沙星;  左氧氟沙星;  左氧氟沙星; \"},{\"id\":134,\"showInfo\":\"0\",\"drugsName\":\"化痰药(粘液溶解药)\",\"medicitionsList\":[{\"id\":141,\"medicitionName\":\"氨溴索\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"80%\"},{\"id\":null,\"medicitionName\":\"农夫沙星\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"},{\"id\":135,\"showInfo\":\"0\",\"drugsName\":\"糖皮质激素类\",\"medicitionsList\":[{\"id\":143,\"medicitionName\":\"甲泼尼龙\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"63%\"},{\"id\":null,\"medicitionName\":\"安乃近\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"34%\"}],\"treatmentStr\":\" 甲泼尼龙; \"},{\"id\":136,\"showInfo\":\"0\",\"drugsName\":\"抗胃酸药(质子泵抑制剂)\",\"medicitionsList\":[{\"id\":145,\"medicitionName\":\"泮托拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"61%\"},{\"id\":null,\"medicitionName\":\"维C银翘片\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"58%\"},{\"id\":null,\"medicitionName\":\"奥美拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"},{\"id\":null,\"medicitionName\":\"兰索拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"}]}]}}', null);
INSERT INTO `icss_template_info` VALUES ('88', 'Y', '2018-12-23 16:58:57', '2018-12-23 16:59:45', '1', '0', '858', '1', '1', '1', '1', '{\"chief\":\"[]\",\"present\":\"[\\\"是的撒多,yerygew,dfsdfsdf\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":\"[null,null,null,\\\"9\\\"]\",\"lis\":\"血常规,红细胞,20 mg/L升高1.25;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;-血常规,红细胞计数,34 L;血常规,白细胞计数,3 10^12/L;血常规,隐血,阳性 ;白细胞计数,白细胞计数,4 10^12/L;\",\"pacs\":\"腹部B超,EREWREW\\n7454,报告日期,2018-12-23;\",\"diag\":\"心脏病(初诊); \",\"advice\":\"多索茶碱;  多索茶碱;  多索茶碱; 左氧氟沙星;  左氧氟沙星;  甲泼尼龙; \"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"34\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"3\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阳性\"}],\"show\":true,\"time\":\"2018-12-23\"},{\"name\":\"白细胞计数\",\"questionId\":70,\"showType\":1,\"retrievalName\":\"白细胞计数\",\"details\":[{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"4\"}],\"show\":true,\"time\":\"2018-12-23\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]},{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[]}]},\"chief\":\"[]\",\"present\":\"[\\\"是的撒多,yerygew,dfsdfsdf\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，3/6，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"69\",\"value\":\"9\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-23\",\"value\":\"EREWREW\\n7454\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"scheme\":[{\"name\":\"心脏病\",\"treatment\":[{\"id\":132,\"showInfo\":\"0\",\"drugsName\":\"支气管扩张剂\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"94%\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"92%\"}],\"treatmentStr\":\"多索茶碱;  多索茶碱;  多索茶碱; \"},{\"id\":133,\"showInfo\":\"0\",\"drugsName\":\"抗生素类(喹诺酮类)\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"85%\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"82%\"}],\"treatmentStr\":\"左氧氟沙星;  左氧氟沙星; \"},{\"id\":134,\"showInfo\":\"0\",\"drugsName\":\"化痰药(粘液溶解药)\",\"medicitionsList\":[{\"id\":141,\"medicitionName\":\"氨溴索\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"80%\"},{\"id\":null,\"medicitionName\":\"农夫沙星\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"},{\"id\":135,\"showInfo\":\"0\",\"drugsName\":\"糖皮质激素类\",\"medicitionsList\":[{\"id\":143,\"medicitionName\":\"甲泼尼龙\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"63%\"},{\"id\":null,\"medicitionName\":\"安乃近\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"34%\"}],\"treatmentStr\":\" 甲泼尼龙; \"},{\"id\":136,\"showInfo\":\"0\",\"drugsName\":\"抗胃酸药(质子泵抑制剂)\",\"medicitionsList\":[{\"id\":145,\"medicitionName\":\"泮托拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"61%\"},{\"id\":null,\"medicitionName\":\"维C银翘片\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"58%\"},{\"id\":null,\"medicitionName\":\"奥美拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"},{\"id\":null,\"medicitionName\":\"兰索拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"}]}]}}', null);
INSERT INTO `icss_template_info` VALUES ('89', 'Y', '2018-12-23 16:59:03', '2018-12-23 16:59:45', '1', '0', '88', '1', '1', '1', '1', '{\"chief\":\"[]\",\"present\":\"[\\\"是的撒多,yerygew,dfsdfsdf\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":\"[null,null,null,\\\"9\\\"]\",\"lis\":\"血常规,红细胞,20 mg/L升高1.25;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;-血常规,红细胞计数,34 L;血常规,白细胞计数,3 10^12/L;血常规,隐血,阳性 ;白细胞计数,白细胞计数,4 10^12/L;\",\"pacs\":\"腹部B超,EREWREW\\n7454,报告日期,2018-12-23;\",\"diag\":\"心脏病(初诊); \",\"advice\":\"多索茶碱;  多索茶碱;  多索茶碱; 左氧氟沙星;  左氧氟沙星;  甲泼尼龙; \"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"34\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"3\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阳性\"}],\"show\":true,\"time\":\"2018-12-23\"},{\"name\":\"白细胞计数\",\"questionId\":70,\"showType\":1,\"retrievalName\":\"白细胞计数\",\"details\":[{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"4\"}],\"show\":true,\"time\":\"2018-12-23\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]},{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[]}]},\"chief\":\"[]\",\"present\":\"[\\\"是的撒多,yerygew,dfsdfsdf\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，3/6，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"69\",\"value\":\"9\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-23\",\"value\":\"EREWREW\\n7454\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"scheme\":[{\"name\":\"心脏病\",\"treatment\":[{\"id\":132,\"showInfo\":\"0\",\"drugsName\":\"支气管扩张剂\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"94%\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"92%\"}],\"treatmentStr\":\"多索茶碱;  多索茶碱;  多索茶碱; \"},{\"id\":133,\"showInfo\":\"0\",\"drugsName\":\"抗生素类(喹诺酮类)\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"85%\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"82%\"}],\"treatmentStr\":\"左氧氟沙星;  左氧氟沙星; \"},{\"id\":134,\"showInfo\":\"0\",\"drugsName\":\"化痰药(粘液溶解药)\",\"medicitionsList\":[{\"id\":141,\"medicitionName\":\"氨溴索\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"80%\"},{\"id\":null,\"medicitionName\":\"农夫沙星\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"},{\"id\":135,\"showInfo\":\"0\",\"drugsName\":\"糖皮质激素类\",\"medicitionsList\":[{\"id\":143,\"medicitionName\":\"甲泼尼龙\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"63%\"},{\"id\":null,\"medicitionName\":\"安乃近\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"34%\"}],\"treatmentStr\":\" 甲泼尼龙; \"},{\"id\":136,\"showInfo\":\"0\",\"drugsName\":\"抗胃酸药(质子泵抑制剂)\",\"medicitionsList\":[{\"id\":145,\"medicitionName\":\"泮托拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"61%\"},{\"id\":null,\"medicitionName\":\"维C银翘片\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"58%\"},{\"id\":null,\"medicitionName\":\"奥美拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"},{\"id\":null,\"medicitionName\":\"兰索拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"}]}]}}', null);
INSERT INTO `icss_template_info` VALUES ('90', 'Y', '2018-12-23 17:11:02', '2018-12-25 09:42:14', '1', '0', '硕大的撒多撒多撒多撒实打实', '1', '1', '1', '1', '{\"chief\":\"[\\\"4554\\\"]\",\"present\":\"[\\\"是的撒多,yerygew,dfsdfsdf\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":\"[null,null,null,\\\"9\\\"]\",\"lis\":\"血常规,红细胞,20 mg/L升高1.25;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;-血常规,红细胞计数,34 L;血常规,白细胞计数,3 10^12/L;血常规,隐血,阳性 ;白细胞计数,白细胞计数,4 10^12/L;\",\"pacs\":\"腹部B超,EREWREW\\n7454,报告日期,2018-12-23;\",\"diag\":\"心脏病(初诊); \",\"advice\":\"多索茶碱;  多索茶碱;  多索茶碱; 左氧氟沙星;  左氧氟沙星;  左氧氟沙星;  甲泼尼龙; \"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"34\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"3\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阳性\"}],\"show\":true,\"time\":\"2018-12-23\"},{\"name\":\"白细胞计数\",\"questionId\":70,\"showType\":1,\"retrievalName\":\"白细胞计数\",\"details\":[{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"4\"}],\"show\":true,\"time\":\"2018-12-23\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]},{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[]}]},\"chief\":\"[\\\"4554\\\"]\",\"present\":\"[\\\"是的撒多,yerygew,dfsdfsdf\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，3/6，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"69\",\"value\":\"9\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-23\",\"value\":\"EREWREW\\n7454\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"scheme\":[{\"name\":\"心脏病\",\"treatment\":[{\"id\":132,\"showInfo\":\"0\",\"drugsName\":\"支气管扩张剂\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"94%\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"92%\"}],\"treatmentStr\":\"多索茶碱;  多索茶碱;  多索茶碱; \"},{\"id\":133,\"showInfo\":\"0\",\"drugsName\":\"抗生素类(喹诺酮类)\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"85%\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"82%\"}],\"treatmentStr\":\"左氧氟沙星;  左氧氟沙星;  左氧氟沙星; \"},{\"id\":134,\"showInfo\":\"0\",\"drugsName\":\"化痰药(粘液溶解药)\",\"medicitionsList\":[{\"id\":141,\"medicitionName\":\"氨溴索\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"80%\"},{\"id\":null,\"medicitionName\":\"农夫沙星\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"},{\"id\":135,\"showInfo\":\"0\",\"drugsName\":\"糖皮质激素类\",\"medicitionsList\":[{\"id\":143,\"medicitionName\":\"甲泼尼龙\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"63%\"},{\"id\":null,\"medicitionName\":\"安乃近\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"34%\"}],\"treatmentStr\":\" 甲泼尼龙; \"},{\"id\":136,\"showInfo\":\"0\",\"drugsName\":\"抗胃酸药(质子泵抑制剂)\",\"medicitionsList\":[{\"id\":145,\"medicitionName\":\"泮托拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"61%\"},{\"id\":null,\"medicitionName\":\"维C银翘片\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"58%\"},{\"id\":null,\"medicitionName\":\"奥美拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"},{\"id\":null,\"medicitionName\":\"兰索拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"}]}]}}', null);
INSERT INTO `icss_template_info` VALUES ('91', 'Y', '2018-12-23 17:11:11', '2018-12-23 17:11:35', '1', '0', '65', '1', '1', '1', '1', '{\"chief\":\"[\\\"4554\\\"]\",\"present\":\"[\\\"是的撒多,yerygew,dfsdfsdf\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":\"[null,null,null,\\\"9\\\"]\",\"lis\":\"血常规,红细胞,20 mg/L升高1.25;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;-血常规,红细胞计数,34 L;血常规,白细胞计数,3 10^12/L;血常规,隐血,阳性 ;白细胞计数,白细胞计数,4 10^12/L;\",\"pacs\":\"腹部B超,EREWREW\\n7454,报告日期,2018-12-23;\",\"diag\":\"心脏病(初诊); \",\"advice\":\"多索茶碱;  多索茶碱;  多索茶碱; 左氧氟沙星;  左氧氟沙星;  左氧氟沙星;  甲泼尼龙; \"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"34\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"3\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阳性\"}],\"show\":true,\"time\":\"2018-12-23\"},{\"name\":\"白细胞计数\",\"questionId\":70,\"showType\":1,\"retrievalName\":\"白细胞计数\",\"details\":[{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"4\"}],\"show\":true,\"time\":\"2018-12-23\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]},{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[]}]},\"chief\":\"[\\\"4554\\\"]\",\"present\":\"[\\\"是的撒多,yerygew,dfsdfsdf\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，3/6，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"69\",\"value\":\"9\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-23\",\"value\":\"EREWREW\\n7454\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"scheme\":[{\"name\":\"心脏病\",\"treatment\":[{\"id\":132,\"showInfo\":\"0\",\"drugsName\":\"支气管扩张剂\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"94%\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"92%\"}],\"treatmentStr\":\"多索茶碱;  多索茶碱;  多索茶碱; \"},{\"id\":133,\"showInfo\":\"0\",\"drugsName\":\"抗生素类(喹诺酮类)\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"85%\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"82%\"}],\"treatmentStr\":\"左氧氟沙星;  左氧氟沙星;  左氧氟沙星; \"},{\"id\":134,\"showInfo\":\"0\",\"drugsName\":\"化痰药(粘液溶解药)\",\"medicitionsList\":[{\"id\":141,\"medicitionName\":\"氨溴索\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"80%\"},{\"id\":null,\"medicitionName\":\"农夫沙星\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"},{\"id\":135,\"showInfo\":\"0\",\"drugsName\":\"糖皮质激素类\",\"medicitionsList\":[{\"id\":143,\"medicitionName\":\"甲泼尼龙\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"63%\"},{\"id\":null,\"medicitionName\":\"安乃近\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"34%\"}],\"treatmentStr\":\" 甲泼尼龙; \"},{\"id\":136,\"showInfo\":\"0\",\"drugsName\":\"抗胃酸药(质子泵抑制剂)\",\"medicitionsList\":[{\"id\":145,\"medicitionName\":\"泮托拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"61%\"},{\"id\":null,\"medicitionName\":\"维C银翘片\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"58%\"},{\"id\":null,\"medicitionName\":\"奥美拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"},{\"id\":null,\"medicitionName\":\"兰索拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"}]}]}}', null);
INSERT INTO `icss_template_info` VALUES ('92', 'Y', '2018-12-23 17:11:20', '2018-12-23 17:11:35', '1', '0', '85', '1', '1', '1', '1', '{\"chief\":\"[\\\"4554\\\"]\",\"present\":\"[\\\"是的撒多,yerygew,dfsdfsdf\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":\"[null,null,null,\\\"9\\\"]\",\"lis\":\"血常规,红细胞,20 mg/L升高1.25;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;-血常规,红细胞计数,34 L;血常规,白细胞计数,3 10^12/L;血常规,隐血,阳性 ;白细胞计数,白细胞计数,4 10^12/L;\",\"pacs\":\"腹部B超,EREWREW\\n7454,报告日期,2018-12-23;\",\"diag\":\"心脏病(初诊); \",\"advice\":\"多索茶碱;  多索茶碱;  多索茶碱; 左氧氟沙星;  左氧氟沙星;  左氧氟沙星;  甲泼尼龙; \"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"34\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"3\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阳性\"}],\"show\":true,\"time\":\"2018-12-23\"},{\"name\":\"白细胞计数\",\"questionId\":70,\"showType\":1,\"retrievalName\":\"白细胞计数\",\"details\":[{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"4\"}],\"show\":true,\"time\":\"2018-12-23\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]},{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[]}]},\"chief\":\"[\\\"4554\\\"]\",\"present\":\"[\\\"是的撒多,yerygew,dfsdfsdf\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，3/6，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"69\",\"value\":\"9\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-23\",\"value\":\"EREWREW\\n7454\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"scheme\":[{\"name\":\"心脏病\",\"treatment\":[{\"id\":132,\"showInfo\":\"0\",\"drugsName\":\"支气管扩张剂\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"94%\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"92%\"}],\"treatmentStr\":\"多索茶碱;  多索茶碱;  多索茶碱; \"},{\"id\":133,\"showInfo\":\"0\",\"drugsName\":\"抗生素类(喹诺酮类)\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"85%\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"82%\"}],\"treatmentStr\":\"左氧氟沙星;  左氧氟沙星;  左氧氟沙星; \"},{\"id\":134,\"showInfo\":\"0\",\"drugsName\":\"化痰药(粘液溶解药)\",\"medicitionsList\":[{\"id\":141,\"medicitionName\":\"氨溴索\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"80%\"},{\"id\":null,\"medicitionName\":\"农夫沙星\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"},{\"id\":135,\"showInfo\":\"0\",\"drugsName\":\"糖皮质激素类\",\"medicitionsList\":[{\"id\":143,\"medicitionName\":\"甲泼尼龙\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"63%\"},{\"id\":null,\"medicitionName\":\"安乃近\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"34%\"}],\"treatmentStr\":\" 甲泼尼龙; \"},{\"id\":136,\"showInfo\":\"0\",\"drugsName\":\"抗胃酸药(质子泵抑制剂)\",\"medicitionsList\":[{\"id\":145,\"medicitionName\":\"泮托拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"61%\"},{\"id\":null,\"medicitionName\":\"维C银翘片\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"58%\"},{\"id\":null,\"medicitionName\":\"奥美拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"},{\"id\":null,\"medicitionName\":\"兰索拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"}]}]}}', null);
INSERT INTO `icss_template_info` VALUES ('93', 'Y', '2018-12-23 17:28:31', '2018-12-23 17:47:03', '1', '0', '45', '1', '1', '1', '1', '{\"chief\":\"[\\\"954984\\\"]\",\"present\":\"[\\\"是的撒多,yerygew,dfsdfsdf\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":\"[null,null,null,\\\"9\\\"]\",\"lis\":\"血常规,红细胞,20 mg/L升高1.25;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;-血常规,红细胞计数,34 L;血常规,白细胞计数,3 10^12/L;血常规,隐血,阳性 ;白细胞计数,白细胞计数,4 10^12/L;\",\"pacs\":\"腹部B超,EREWREW\\n7454,报告日期,2018-12-23;\",\"diag\":\"心脏病(初诊); \",\"advice\":\"多索茶碱;  多索茶碱;  多索茶碱; 左氧氟沙星;  左氧氟沙星;  甲泼尼龙; \"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"34\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"3\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阳性\"}],\"show\":true,\"time\":\"2018-12-23\"},{\"name\":\"白细胞计数\",\"questionId\":70,\"showType\":1,\"retrievalName\":\"白细胞计数\",\"details\":[{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"4\"}],\"show\":true,\"time\":\"2018-12-23\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]},{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[]}]},\"chief\":\"[\\\"954984\\\"]\",\"present\":\"[\\\"是的撒多,yerygew,dfsdfsdf\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，3/6，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"69\",\"value\":\"9\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-23\",\"value\":\"EREWREW\\n7454\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"scheme\":[{\"name\":\"心脏病\",\"treatment\":[{\"id\":132,\"showInfo\":\"0\",\"drugsName\":\"支气管扩张剂\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"94%\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"92%\"}],\"treatmentStr\":\"多索茶碱;  多索茶碱;  多索茶碱; \"},{\"id\":133,\"showInfo\":\"0\",\"drugsName\":\"抗生素类(喹诺酮类)\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"85%\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"82%\"}],\"treatmentStr\":\"左氧氟沙星;  左氧氟沙星; \"},{\"id\":134,\"showInfo\":\"0\",\"drugsName\":\"化痰药(粘液溶解药)\",\"medicitionsList\":[{\"id\":141,\"medicitionName\":\"氨溴索\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"80%\"},{\"id\":null,\"medicitionName\":\"农夫沙星\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"},{\"id\":135,\"showInfo\":\"0\",\"drugsName\":\"糖皮质激素类\",\"medicitionsList\":[{\"id\":143,\"medicitionName\":\"甲泼尼龙\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"63%\"},{\"id\":null,\"medicitionName\":\"安乃近\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"34%\"}],\"treatmentStr\":\" 甲泼尼龙; \"},{\"id\":136,\"showInfo\":\"0\",\"drugsName\":\"抗胃酸药(质子泵抑制剂)\",\"medicitionsList\":[{\"id\":145,\"medicitionName\":\"泮托拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"61%\"},{\"id\":null,\"medicitionName\":\"维C银翘片\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"58%\"},{\"id\":null,\"medicitionName\":\"奥美拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"},{\"id\":null,\"medicitionName\":\"兰索拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"}]}]}}', null);
INSERT INTO `icss_template_info` VALUES ('94', 'Y', '2018-12-23 17:29:28', '2018-12-23 17:47:03', '1', '0', '84', '1', '1', '1', '1', '{\"chief\":\"[\\\"大杀四方色温\\\"]\",\"present\":\"[\\\"是的撒多,yerygew,dfsdfsdf\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":\"[null,null,null,\\\"9\\\"]\",\"lis\":\"血常规,红细胞,20 mg/L升高1.25;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;-血常规,红细胞计数,34 L;血常规,白细胞计数,3 10^12/L;血常规,隐血,阳性 ;白细胞计数,白细胞计数,4 10^12/L;\",\"pacs\":\"腹部B超,EREWREW\\n7454,报告日期,2018-12-23;\",\"diag\":\"心脏病(初诊); \",\"advice\":\"多索茶碱;  多索茶碱;  多索茶碱; 左氧氟沙星;  左氧氟沙星;  甲泼尼龙; \"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"34\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"3\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阳性\"}],\"show\":true,\"time\":\"2018-12-23\"},{\"name\":\"白细胞计数\",\"questionId\":70,\"showType\":1,\"retrievalName\":\"白细胞计数\",\"details\":[{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"4\"}],\"show\":true,\"time\":\"2018-12-23\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]},{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[]}]},\"chief\":\"[\\\"大杀四方色温\\\"]\",\"present\":\"[\\\"是的撒多,yerygew,dfsdfsdf\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，3/6，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"69\",\"value\":\"9\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-23\",\"value\":\"EREWREW\\n7454\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"scheme\":[{\"name\":\"心脏病\",\"treatment\":[{\"id\":132,\"showInfo\":\"0\",\"drugsName\":\"支气管扩张剂\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"94%\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"92%\"}],\"treatmentStr\":\"多索茶碱;  多索茶碱;  多索茶碱; \"},{\"id\":133,\"showInfo\":\"0\",\"drugsName\":\"抗生素类(喹诺酮类)\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"85%\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"82%\"}],\"treatmentStr\":\"左氧氟沙星;  左氧氟沙星; \"},{\"id\":134,\"showInfo\":\"0\",\"drugsName\":\"化痰药(粘液溶解药)\",\"medicitionsList\":[{\"id\":141,\"medicitionName\":\"氨溴索\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"80%\"},{\"id\":null,\"medicitionName\":\"农夫沙星\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"},{\"id\":135,\"showInfo\":\"0\",\"drugsName\":\"糖皮质激素类\",\"medicitionsList\":[{\"id\":143,\"medicitionName\":\"甲泼尼龙\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"63%\"},{\"id\":null,\"medicitionName\":\"安乃近\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"34%\"}],\"treatmentStr\":\" 甲泼尼龙; \"},{\"id\":136,\"showInfo\":\"0\",\"drugsName\":\"抗胃酸药(质子泵抑制剂)\",\"medicitionsList\":[{\"id\":145,\"medicitionName\":\"泮托拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"61%\"},{\"id\":null,\"medicitionName\":\"维C银翘片\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"58%\"},{\"id\":null,\"medicitionName\":\"奥美拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"},{\"id\":null,\"medicitionName\":\"兰索拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"}]}]}}', null);
INSERT INTO `icss_template_info` VALUES ('95', 'Y', '2018-12-23 17:44:40', '2018-12-23 17:47:03', '1', '0', '2222', '1', '1', '1', '1', '{\"chief\":\"[\\\"硕大的\\\"]\",\"present\":\"[\\\"是的撒多,yerygew,dfsdfsdf\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":\"[null,null,null,\\\"9\\\"]\",\"lis\":\"血常规,红细胞,20 mg/L升高1.25;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;-血常规,红细胞计数,34 L;血常规,白细胞计数,3 10^12/L;血常规,隐血,阳性 ;白细胞计数,白细胞计数,4 10^12/L;\",\"pacs\":\"腹部B超,EREWREW\\n7454,报告日期,2018-12-23;\",\"diag\":\"心脏病(初诊); \",\"advice\":\"多索茶碱;  多索茶碱;  多索茶碱; 左氧氟沙星;  左氧氟沙星;  甲泼尼龙; \"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"34\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"3\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阳性\"}],\"show\":true,\"time\":\"2018-12-23\"},{\"name\":\"白细胞计数\",\"questionId\":70,\"showType\":1,\"retrievalName\":\"白细胞计数\",\"details\":[{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"4\"}],\"show\":true,\"time\":\"2018-12-23\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]},{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[]}]},\"chief\":\"[\\\"硕大的\\\"]\",\"present\":\"[\\\"是的撒多,yerygew,dfsdfsdf\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，3/6，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"69\",\"value\":\"9\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-23\",\"value\":\"EREWREW\\n7454\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"scheme\":[{\"name\":\"心脏病\",\"treatment\":[{\"id\":132,\"showInfo\":\"0\",\"drugsName\":\"支气管扩张剂\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"94%\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"92%\"}],\"treatmentStr\":\"多索茶碱;  多索茶碱;  多索茶碱; \"},{\"id\":133,\"showInfo\":\"0\",\"drugsName\":\"抗生素类(喹诺酮类)\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"85%\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"82%\"}],\"treatmentStr\":\"左氧氟沙星;  左氧氟沙星; \"},{\"id\":134,\"showInfo\":\"0\",\"drugsName\":\"化痰药(粘液溶解药)\",\"medicitionsList\":[{\"id\":141,\"medicitionName\":\"氨溴索\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"80%\"},{\"id\":null,\"medicitionName\":\"农夫沙星\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"},{\"id\":135,\"showInfo\":\"0\",\"drugsName\":\"糖皮质激素类\",\"medicitionsList\":[{\"id\":143,\"medicitionName\":\"甲泼尼龙\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"63%\"},{\"id\":null,\"medicitionName\":\"安乃近\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"34%\"}],\"treatmentStr\":\" 甲泼尼龙; \"},{\"id\":136,\"showInfo\":\"0\",\"drugsName\":\"抗胃酸药(质子泵抑制剂)\",\"medicitionsList\":[{\"id\":145,\"medicitionName\":\"泮托拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"61%\"},{\"id\":null,\"medicitionName\":\"维C银翘片\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"58%\"},{\"id\":null,\"medicitionName\":\"奥美拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"},{\"id\":null,\"medicitionName\":\"兰索拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"}]}]}}', null);
INSERT INTO `icss_template_info` VALUES ('96', 'Y', '2018-12-23 17:44:49', '2018-12-23 17:47:03', '1', '0', '二', '1', '1', '1', '1', '{\"chief\":\"[\\\"硕大的\\\"]\",\"present\":\"[\\\"是的撒多,yerygew,dfsdfsdf\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":\"[null,null,null,\\\"9\\\"]\",\"lis\":\"血常规,红细胞,20 mg/L升高1.25;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;-血常规,红细胞计数,34 L;血常规,白细胞计数,3 10^12/L;血常规,隐血,阳性 ;白细胞计数,白细胞计数,4 10^12/L;\",\"pacs\":\"腹部B超,EREWREW\\n7454,报告日期,2018-12-23;\",\"diag\":\"心脏病(初诊); \",\"advice\":\"多索茶碱;  多索茶碱;  多索茶碱; 左氧氟沙星;  左氧氟沙星;  甲泼尼龙; \"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"34\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"3\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阳性\"}],\"show\":true,\"time\":\"2018-12-23\"},{\"name\":\"白细胞计数\",\"questionId\":70,\"showType\":1,\"retrievalName\":\"白细胞计数\",\"details\":[{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"4\"}],\"show\":true,\"time\":\"2018-12-23\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]},{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[]}]},\"chief\":\"[\\\"硕大的\\\"]\",\"present\":\"[\\\"是的撒多,yerygew,dfsdfsdf\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，3/6，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"69\",\"value\":\"9\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-23\",\"value\":\"EREWREW\\n7454\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"scheme\":[{\"name\":\"心脏病\",\"treatment\":[{\"id\":132,\"showInfo\":\"0\",\"drugsName\":\"支气管扩张剂\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"94%\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"92%\"}],\"treatmentStr\":\"多索茶碱;  多索茶碱;  多索茶碱; \"},{\"id\":133,\"showInfo\":\"0\",\"drugsName\":\"抗生素类(喹诺酮类)\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"85%\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"82%\"}],\"treatmentStr\":\"左氧氟沙星;  左氧氟沙星; \"},{\"id\":134,\"showInfo\":\"0\",\"drugsName\":\"化痰药(粘液溶解药)\",\"medicitionsList\":[{\"id\":141,\"medicitionName\":\"氨溴索\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"80%\"},{\"id\":null,\"medicitionName\":\"农夫沙星\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"},{\"id\":135,\"showInfo\":\"0\",\"drugsName\":\"糖皮质激素类\",\"medicitionsList\":[{\"id\":143,\"medicitionName\":\"甲泼尼龙\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"63%\"},{\"id\":null,\"medicitionName\":\"安乃近\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"34%\"}],\"treatmentStr\":\" 甲泼尼龙; \"},{\"id\":136,\"showInfo\":\"0\",\"drugsName\":\"抗胃酸药(质子泵抑制剂)\",\"medicitionsList\":[{\"id\":145,\"medicitionName\":\"泮托拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"61%\"},{\"id\":null,\"medicitionName\":\"维C银翘片\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"58%\"},{\"id\":null,\"medicitionName\":\"奥美拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"},{\"id\":null,\"medicitionName\":\"兰索拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"}]}]}}', null);
INSERT INTO `icss_template_info` VALUES ('97', 'Y', '2018-12-24 09:32:23', '2018-12-24 09:33:02', '1', '0', '未收到撒是的撒大多撒大所', '1', '1', '1', '1', '{\"chief\":\"[]\",\"present\":\"[\\\"是的撒多,yerygew,dfsdfsdf\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":\"[null,null,null,\\\"9\\\"]\",\"lis\":\"血常规,红细胞计数,34 L;血常规,白细胞计数,3 10^12/L;血常规,隐血,阳性 ;白细胞计数,白细胞计数,4 10^12/L;-白细胞计数,白细胞计数,4 10^12/L;\",\"pacs\":\"腹部B超,EREWREW\\n7454,报告日期,2018-12-23;\",\"diag\":\"心脏病(初诊); \",\"advice\":\"多索茶碱;  多索茶碱;  多索茶碱; 左氧氟沙星;  左氧氟沙星;  甲泼尼龙; \"}', '{\"lis\":{\"labelList\":[{\"name\":\"白细胞计数\",\"questionId\":70,\"showType\":1,\"retrievalName\":\"白细胞计数\",\"details\":[{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"4\"}],\"show\":true,\"time\":\"2018-12-23\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]},{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[]}]},\"chief\":\"[]\",\"present\":\"[\\\"是的撒多,yerygew,dfsdfsdf\\\"]\",\"other\":\"[\\\"的撒的撒\\\"]\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"心尖区，3/6，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"69\",\"value\":\"9\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-23\",\"value\":\"EREWREW\\n7454\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"scheme\":[{\"name\":\"心脏病\",\"treatment\":[{\"id\":132,\"showInfo\":\"0\",\"drugsName\":\"支气管扩张剂\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"94%\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"92%\"}],\"treatmentStr\":\"多索茶碱;  多索茶碱;  多索茶碱; \"},{\"id\":133,\"showInfo\":\"0\",\"drugsName\":\"抗生素类(喹诺酮类)\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"85%\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"82%\"}],\"treatmentStr\":\"左氧氟沙星;  左氧氟沙星; \"},{\"id\":134,\"showInfo\":\"0\",\"drugsName\":\"化痰药(粘液溶解药)\",\"medicitionsList\":[{\"id\":141,\"medicitionName\":\"氨溴索\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"80%\"},{\"id\":null,\"medicitionName\":\"农夫沙星\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"},{\"id\":135,\"showInfo\":\"0\",\"drugsName\":\"糖皮质激素类\",\"medicitionsList\":[{\"id\":143,\"medicitionName\":\"甲泼尼龙\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"63%\"},{\"id\":null,\"medicitionName\":\"安乃近\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"34%\"}],\"treatmentStr\":\" 甲泼尼龙; \"},{\"id\":136,\"showInfo\":\"0\",\"drugsName\":\"抗胃酸药(质子泵抑制剂)\",\"medicitionsList\":[{\"id\":145,\"medicitionName\":\"泮托拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"61%\"},{\"id\":null,\"medicitionName\":\"维C银翘片\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"58%\"},{\"id\":null,\"medicitionName\":\"奥美拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"},{\"id\":null,\"medicitionName\":\"兰索拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"}]}]}}', null);
INSERT INTO `icss_template_info` VALUES ('98', 'Y', '2018-12-24 13:18:01', '2018-12-25 09:42:14', '1', '0', '史蒂夫', '1', '1', '1', '1', '{\"chief\":\"[\\\"患者诉咳嗽，可少量白色粘痰，前胸部隐痛\\\"]\",\"present\":\"[\\\"患者10天前劳累后出现咳嗽，咳少量黄色粘痰，伴发热寒战，最高38.5度，伴腰背部酸痛，偶有胸痛，无头痛头晕，无咯血，无腹痛腹泻等不适，就诊余当地卫生院，拍胸片示慢性支气管炎（报告未见），予阿洛西林抗感染治疗3天后症状较前好转，仍有咳嗽咳痰，伴发热。2014-5-9就诊于嵊州人民医院，拍胸片示：右下肺团片状密度增高影，建议CT检查。诊断为右下肺肺炎，予头孢抗感染治疗3天。现患仍有发热，伴咳嗽，可少量白色粘痰，偶有胸痛，无头痛头晕，无咯血，无腹痛腹泻等不适。为求进一步治疗来我院。\\\"]\",\"other\":\"[\\\"既往高血压10年余，卡托普利1# tid，氨氯地平1# qd控制可。子宫肌瘤术后六年余。\\\"]\",\"vital\":\"[]\",\"lis\":\"血常规,红细胞计数,1 L;血常规,白细胞计数,1 10^12/L;血常规,隐血,阴性 ;-\",\"pacs\":\"腹部B超,1 ,报告日期,2018-12-24;\",\"diag\":\"肺炎(初诊); 心脏病(复诊); \",\"advice\":\"电解质测定; 肾功能常规检查; 胸部CT平扫; 多索茶碱; 二羟丙茶碱; \"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阴性\"}],\"show\":true,\"time\":\"2018-12-24\"}],\"getExcelDataList\":{}},\"chief\":\"[\\\"患者诉咳嗽，可少量白色粘痰，前胸部隐痛\\\"]\",\"present\":\"[\\\"患者10天前劳累后出现咳嗽，咳少量黄色粘痰，伴发热寒战，最高38.5度，伴腰背部酸痛，偶有胸痛，无头痛头晕，无咯血，无腹痛腹泻等不适，就诊余当地卫生院，拍胸片示慢性支气管炎（报告未见），予阿洛西林抗感染治疗3天后症状较前好转，仍有咳嗽咳痰，伴发热。2014-5-9就诊于嵊州人民医院，拍胸片示：右下肺团片状密度增高影，建议CT检查。诊断为右下肺肺炎，予头孢抗感染治疗3天。现患仍有发热，伴咳嗽，可少量白色粘痰，偶有胸痛，无头痛头晕，无咯血，无腹痛腹泻等不适。为求进一步治疗来我院。\\\"]\",\"other\":\"[\\\"既往高血压10年余，卡托普利1# tid，氨氯地平1# qd控制可。子宫肌瘤术后六年余。\\\"]\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-24\",\"value\":\"1 \"}],\"diag\":[{\"id\":99,\"name\":\"肺炎\",\"tagName\":\"肺炎\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":\"9\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":131,\"name\":\"心脏病\",\"type\":2}],\"advice\":{\"scheme\":[{\"name\":\"心脏病\",\"treatment\":[{\"id\":132,\"showInfo\":\"1\",\"drugsName\":\"支气管扩张剂\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"94%\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"92%\",\"selected\":true}],\"treatmentStr\":\"多索茶碱; 二羟丙茶碱; \"},{\"id\":133,\"showInfo\":\"0\",\"drugsName\":\"抗生素类(喹诺酮类)\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"85%\"},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"82%\"}],\"treatmentStr\":\"\"},{\"id\":134,\"showInfo\":\"0\",\"drugsName\":\"化痰药(粘液溶解药)\",\"medicitionsList\":[{\"id\":141,\"medicitionName\":\"氨溴索\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"80%\"},{\"id\":null,\"medicitionName\":\"农夫沙星\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"},{\"id\":135,\"showInfo\":\"0\",\"drugsName\":\"糖皮质激素类\",\"medicitionsList\":[{\"id\":143,\"medicitionName\":\"甲泼尼龙\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"63%\"},{\"id\":null,\"medicitionName\":\"安乃近\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"34%\"}],\"treatmentStr\":\"\"},{\"id\":136,\"showInfo\":\"0\",\"drugsName\":\"抗胃酸药(质子泵抑制剂)\",\"medicitionsList\":[{\"id\":145,\"medicitionName\":\"泮托拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"61%\"},{\"id\":null,\"medicitionName\":\"维C银翘片\",\"isShow\":\"1\",\"forbidden\":\"2\",\"showInfo\":\"0\",\"rate\":\"58%\"},{\"id\":null,\"medicitionName\":\"奥美拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"},{\"id\":null,\"medicitionName\":\"兰索拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"}]}],\"assay\":\"电解质测定; 肾功能常规检查; \",\"check\":\"胸部CT平扫; \"}}', null);
INSERT INTO `icss_template_info` VALUES ('99', 'Y', '2018-12-24 13:51:23', '2018-12-25 09:42:14', '1', '0', 'aqaq1', '1', '1', '1', '1', '{\"chief\":\"[\\\"ks\\\"]\",\"present\":\"[\\\"ss\\\"]\",\"other\":\"[]\",\"vital\":\"[]\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":{}},\"chief\":\"[\\\"ks\\\"]\",\"present\":\"[\\\"ss\\\"]\",\"other\":\"[]\",\"vital\":[],\"pacs\":[],\"diag\":[],\"advice\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('100', 'Y', '2018-12-25 14:47:47', '2018-12-28 10:08:56', '1', '0', '84', '1', '1', '1', '1', '{\"chief\":\"[\\\"失语\\\"]\",\"present\":\"[\\\"dads\\\"]\",\"other\":\"[\\\"dadasdasda\\\"]\",\"vital\":\"[null,\\\"5\\\"]\",\"lis\":\"血常规,红细胞计数,89 L;血常规,红细胞计数,22 L;血常规,白细胞计数,2 10^12/L;血常规,隐血,阴性 ;-血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,80 mg/L升高5.00;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L升高5.00;\",\"pacs\":\"腹部B超,sssd是的,报告日期,2018-12-07;\",\"diag\":\"慢性胃炎(初诊); 心脏病(初诊); \",\"advice\":\"电解质测定; 心肌酶谱常规检查; 胃十二指肠镜检查; 上腹部CT增强; 盆腔CT增强; C13呼气试验; 多索茶碱;  多索茶碱;  二羟丙茶碱; sdeddfefd左氧氟沙星; \"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"89\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null}],\"show\":true,\"time\":\"2018-12-24\"},{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"22\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阴性\"}],\"show\":true,\"time\":\"2018-12-24\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"80\",\"max\":\"16\",\"min\":\"1\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"2\",\"min\":\"1\",\"time\":\"2018年12月1号\",\"type\":\"1\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]},{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"80\",\"max\":\"16\",\"min\":\"1\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"2\",\"min\":\"1\",\"time\":\"2018年12月1号\",\"type\":\"1\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":\"[\\\"失语\\\"]\",\"present\":\"[\\\"dads\\\"]\",\"other\":\"[\\\"dadasdasda\\\"]\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"25\",\"value\":\"5\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-07\",\"value\":\"sssd是的\"}],\"diag\":[{\"id\":169,\"name\":\"慢性胃炎\",\"type\":1},{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"scheme\":[{\"name\":\"心脏病\",\"treatment\":[{\"id\":132,\"showInfo\":\"1\",\"drugsName\":\"支气管扩张剂\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"94%\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"92%\"}],\"treatmentStr\":\"多索茶碱;  多索茶碱;  二羟丙茶碱; sdeddfefd\"},{\"id\":133,\"showInfo\":\"0\",\"drugsName\":\"抗生素类(喹诺酮类)\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"85%\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"82%\"}],\"treatmentStr\":\"左氧氟沙星; \"},{\"id\":134,\"showInfo\":\"0\",\"drugsName\":\"化痰药(粘液溶解药)\",\"medicitionsList\":[{\"id\":141,\"medicitionName\":\"氨溴索\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"80%\"},{\"id\":null,\"medicitionName\":\"农夫沙星\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"},{\"id\":135,\"showInfo\":\"0\",\"drugsName\":\"糖皮质激素类\",\"medicitionsList\":[{\"id\":143,\"medicitionName\":\"甲泼尼龙\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"63%\"},{\"id\":null,\"medicitionName\":\"安乃近\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"34%\"}],\"treatmentStr\":\"\"},{\"id\":136,\"showInfo\":\"0\",\"drugsName\":\"抗胃酸药(质子泵抑制剂)\",\"medicitionsList\":[{\"id\":145,\"medicitionName\":\"泮托拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"61%\"},{\"id\":null,\"medicitionName\":\"维C银翘片\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"58%\"},{\"id\":null,\"medicitionName\":\"奥美拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"},{\"id\":null,\"medicitionName\":\"兰索拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"}]}],\"assay\":\"电解质测定; 心肌酶谱常规检查; \",\"check\":\"胃十二指肠镜检查; 上腹部CT增强; 盆腔CT增强; C13呼气试验; \"}}', null);
INSERT INTO `icss_template_info` VALUES ('101', 'Y', '2018-12-25 19:35:43', '2018-12-26 14:28:23', '1', '0', '6262', '1', '1', '1', '0', '{\"chief\":\"[]\",\"present\":\"[]\",\"other\":\"[]\",\"vital\":\"[null,\\\"5\\\"]\",\"lis\":\"血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,80 mg/L升高5.00;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L升高5.00;-血常规,红细胞计数,89 L;血常规,红细胞计数,22 L;血常规,白细胞计数,2 10^12/L;血常规,隐血,阴性 ;\",\"pacs\":\"腹部B超,sssd是的,报告日期,2018-12-07;\",\"diag\":\"慢性胃炎(初诊); 心脏病(初诊); \",\"advice\":\"电解质测定; 心肌酶谱常规检查; 胃十二指肠镜检查; 上腹部CT增强; 盆腔CT增强; C13呼气试验; 多索茶碱;  多索茶碱;  二羟丙茶碱; sdeddfefd左氧氟沙星; \"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"89\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null}],\"show\":true,\"time\":\"2018-12-24\"},{\"name\":\"白细胞计数\",\"questionId\":70,\"showType\":1,\"retrievalName\":\"白细胞计数\",\"details\":[{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}]}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"80\",\"max\":\"16\",\"min\":\"1\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"2\",\"min\":\"1\",\"time\":\"2018年12月1号\",\"type\":\"1\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]},{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"80\",\"max\":\"16\",\"min\":\"1\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"2\",\"min\":\"1\",\"time\":\"2018年12月1号\",\"type\":\"1\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"id\":1,\"name\":\"咳嗽 \",\"tagType\":\"1\",\"controlType\":3},{\"id\":\"\",\"name\":\"\",\"tagType\":\"0\"}],\"present\":[],\"other\":[],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"25\",\"value\":\"5\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-07\",\"value\":\"sssd是的\"}],\"diag\":[{\"id\":169,\"name\":\"慢性胃炎\",\"type\":1},{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"scheme\":[{\"name\":\"心脏病\",\"treatment\":[{\"id\":132,\"showInfo\":\"1\",\"drugsName\":\"支气管扩张剂\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"94%\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"92%\"}],\"treatmentStr\":\"多索茶碱;  多索茶碱;  二羟丙茶碱; sdeddfefd\"},{\"id\":133,\"showInfo\":\"0\",\"drugsName\":\"抗生素类(喹诺酮类)\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"85%\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"82%\"}],\"treatmentStr\":\"左氧氟沙星; \"},{\"id\":134,\"showInfo\":\"0\",\"drugsName\":\"化痰药(粘液溶解药)\",\"medicitionsList\":[{\"id\":141,\"medicitionName\":\"氨溴索\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"80%\"},{\"id\":null,\"medicitionName\":\"农夫沙星\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"},{\"id\":135,\"showInfo\":\"0\",\"drugsName\":\"糖皮质激素类\",\"medicitionsList\":[{\"id\":143,\"medicitionName\":\"甲泼尼龙\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"63%\"},{\"id\":null,\"medicitionName\":\"安乃近\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"34%\"}],\"treatmentStr\":\"\"},{\"id\":136,\"showInfo\":\"0\",\"drugsName\":\"抗胃酸药(质子泵抑制剂)\",\"medicitionsList\":[{\"id\":145,\"medicitionName\":\"泮托拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"61%\"},{\"id\":null,\"medicitionName\":\"维C银翘片\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"58%\"},{\"id\":null,\"medicitionName\":\"奥美拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"},{\"id\":null,\"medicitionName\":\"兰索拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"}]}],\"assay\":\"电解质测定; 心肌酶谱常规检查; \",\"check\":\"胃十二指肠镜检查; 上腹部CT增强; 盆腔CT增强; C13呼气试验; \"}}', null);
INSERT INTO `icss_template_info` VALUES ('102', 'Y', '2018-12-25 19:41:58', '2018-12-26 14:28:19', '1', '0', '626', '1', '1', '1', '0', '{\"chief\":\"[null,null,null,\\\"咳嗽 \\\"]\",\"present\":\"[]\",\"other\":\"[]\",\"vital\":\"[null,\\\"5\\\"]\",\"lis\":\"血常规,红细胞计数,89 L;血常规,红细胞计数,22 L;血常规,白细胞计数,2 10^12/L;血常规,隐血,阴性 ;-血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,80 mg/L升高5.00;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L升高5.00;\",\"pacs\":\"腹部B超,sssd是的,报告日期,2018-12-07;\",\"diag\":\"慢性胃炎(初诊); 心脏病(初诊); \"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"89\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null}],\"show\":true,\"time\":\"2018-12-24\"},{\"name\":\"白细胞计数\",\"questionId\":70,\"showType\":1,\"retrievalName\":\"白细胞计数\",\"details\":[{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}]}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"80\",\"max\":\"16\",\"min\":\"1\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"2\",\"min\":\"1\",\"time\":\"2018年12月1号\",\"type\":\"1\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]},{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"80\",\"max\":\"16\",\"min\":\"1\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"2\",\"min\":\"1\",\"time\":\"2018年12月1号\",\"type\":\"1\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽 \",\"tagType\":\"1\",\"controlType\":3},{\"id\":\"\",\"name\":\"\",\"tagType\":\"0\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6}],\"present\":[],\"other\":[],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"25\",\"value\":\"5\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-07\",\"value\":\"sssd是的\"}],\"diag\":[{\"id\":169,\"name\":\"慢性胃炎\",\"type\":1},{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"scheme\":[{\"name\":\"心脏病\",\"treatment\":[{\"id\":132,\"showInfo\":\"1\",\"drugsName\":\"支气管扩张剂\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"94%\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"92%\"}],\"treatmentStr\":\"多索茶碱;  多索茶碱;  二羟丙茶碱; sdeddfefd\"},{\"id\":133,\"showInfo\":\"0\",\"drugsName\":\"抗生素类(喹诺酮类)\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"85%\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"82%\"}],\"treatmentStr\":\"左氧氟沙星; \"},{\"id\":134,\"showInfo\":\"0\",\"drugsName\":\"化痰药(粘液溶解药)\",\"medicitionsList\":[{\"id\":141,\"medicitionName\":\"氨溴索\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"80%\"},{\"id\":null,\"medicitionName\":\"农夫沙星\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"},{\"id\":135,\"showInfo\":\"0\",\"drugsName\":\"糖皮质激素类\",\"medicitionsList\":[{\"id\":143,\"medicitionName\":\"甲泼尼龙\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"63%\"},{\"id\":null,\"medicitionName\":\"安乃近\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"34%\"}],\"treatmentStr\":\"\"},{\"id\":136,\"showInfo\":\"0\",\"drugsName\":\"抗胃酸药(质子泵抑制剂)\",\"medicitionsList\":[{\"id\":145,\"medicitionName\":\"泮托拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"61%\"},{\"id\":null,\"medicitionName\":\"维C银翘片\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"58%\"},{\"id\":null,\"medicitionName\":\"奥美拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"},{\"id\":null,\"medicitionName\":\"兰索拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"}]}],\"assay\":\"电解质测定; 心肌酶谱常规检查; \",\"check\":\"胃十二指肠镜检查; 上腹部CT增强; 盆腔CT增强; C13呼气试验; \"}}', null);
INSERT INTO `icss_template_info` VALUES ('103', 'Y', '2018-12-26 14:58:28', '2018-12-28 09:15:24', '1', '0', '989', '1', '1', '1', '0', '{\"chief\":\"[null,\\\"前左\\\",null,\\\"咳嗽 \\\",null,null,null,\\\"25,undefined\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽 \\\",\\\"程度较重\\\",\\\"\\\",\\\"不易咳出\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"，前\\\",\\\"因淋雨后\\\",\\\"，\\\",\\\"出现\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"使用后好转\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"精神佳\\\",\\\"，\\\",\\\"意识模糊\\\",\\\"，\\\",\\\"食欲欠佳\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"黑便\\\",\\\"，\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[null,null,null,\\\"体温：69℃\\\"]\",\"lis\":\"血常规,红细胞计数,4 L;血常规,白细胞计数,3 10^12/L;血常规,隐血,阳性 ;-空腹血糖,空腹血糖,90 mmol/L升高4.74;血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"腹部B超,湿哒哒所多\\n大叔大婶多\\n实打实大的啊实打实,报告日期,2018-12-26;\",\"diag\":\"心脏病(复诊); \",\"advice\":\"多索茶碱; 左氧氟沙星; \"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"4\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"3\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阳性\"}],\"show\":true,\"time\":\"2018-12-26\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"value\":\"前左\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽 \",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"25\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"25\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽 \",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"程度较重\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"不易咳出\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"65\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"天\"}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":3,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":129,\"name\":\"，前\",\"tagName\":\"，前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":3,\"questionId\":129,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":3,\"questionId\":57,\"flag\":\"\",\"relationModule\":null,\"value\":\"因淋雨后\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":3,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":3,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":66,\"name\":\"上诉\",\"tagName\":\"上诉\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":88,\"name\":\"上述症状加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":66,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":3,\"questionId\":66,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":3,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":3,\"questionId\":21,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":3,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null,\"value\":\"精神佳\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null,\"value\":\"意识模糊\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null,\"value\":\"食欲欠佳\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null,\"value\":\"\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null,\"value\":\"黑便\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"69\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-26\",\"value\":\"湿哒哒所多\\n大叔大婶多\\n实打实大的啊实打实\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":2}],\"advice\":{\"scheme\":[{\"name\":\"心脏病\",\"treatment\":[{\"id\":132,\"showInfo\":\"1\",\"drugsName\":\"支气管扩张剂\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"94%\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"92%\"}],\"treatmentStr\":\"多索茶碱; \"},{\"id\":133,\"showInfo\":\"0\",\"drugsName\":\"抗生素类(喹诺酮类)\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"85%\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"82%\"}],\"treatmentStr\":\"左氧氟沙星; \"},{\"id\":134,\"showInfo\":\"0\",\"drugsName\":\"化痰药(粘液溶解药)\",\"medicitionsList\":[{\"id\":141,\"medicitionName\":\"氨溴索\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"80%\"},{\"id\":null,\"medicitionName\":\"农夫沙星\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"},{\"id\":135,\"showInfo\":\"0\",\"drugsName\":\"糖皮质激素类\",\"medicitionsList\":[{\"id\":143,\"medicitionName\":\"甲泼尼龙\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"63%\"},{\"id\":null,\"medicitionName\":\"安乃近\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"34%\"}],\"treatmentStr\":\"\"},{\"id\":136,\"showInfo\":\"0\",\"drugsName\":\"抗胃酸药(质子泵抑制剂)\",\"medicitionsList\":[{\"id\":145,\"medicitionName\":\"泮托拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"61%\"},{\"id\":null,\"medicitionName\":\"维C银翘片\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"58%\"},{\"id\":null,\"medicitionName\":\"奥美拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"},{\"id\":null,\"medicitionName\":\"兰索拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"}]}]},\"mainSuitSelecteds\":{\"1\":{\"exists\":[{\"id\":14,\"name\":\"前\",\"listIndex\":\"10\"},{\"id\":16,\"name\":\"左\",\"listIndex\":\"20\"}],\"existsName\":\"前左\",\"ikey\":\"1\"}},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('104', 'Y', '2018-12-26 16:39:31', '2018-12-28 09:15:24', '1', '0', '测试体温双击编辑', '1', '1', '1', '0', '{\"chief\":\"[null,null,null,\\\"咳嗽 \\\"]\",\"present\":\"[]\",\"other\":\"[]\",\"vital\":\"[null,null,null,\\\"体ewqe温：21℃ew\\\"]\",\"lis\":\"\",\"pacs\":\"\",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽 \",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6}],\"present\":[],\"other\":[],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[],\"diag\":[],\"advice\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('105', 'Y', '2018-12-26 17:31:31', '2018-12-28 09:15:24', '1', '0', '66', '1', '1', '1', '0', '{\"chief\":\"[null,\\\"前左\\\",null,\\\"咳嗽 \\\",null,null,null,\\\"25,undefined\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽 \\\",\\\"程度较重\\\",\\\"\\\",\\\"不易咳出\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"，前\\\",\\\"因淋雨后\\\",\\\"，\\\",\\\"出现\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"使用后好转\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"精神佳\\\",\\\"，\\\",\\\"意识模糊\\\",\\\"，\\\",\\\"食欲欠佳\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"黑便\\\",\\\"，\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[null,null,null,\\\"体温：69℃\\\"]\",\"lis\":\"血常规,红细胞计数,4 L;血常规,白细胞计数,3 10^12/L;血常规,隐血,阳性 ;-空腹血糖,空腹血糖,90 mmol/L升高4.74;血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"腹部B超,湿哒哒所多\\n大叔大婶多\\n实打实大的啊实打实,报告日期,2018-12-26;\",\"diag\":\"心脏病(复诊); \",\"advice\":\"多索茶碱; 左氧氟沙星; \"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"4\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"3\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阳性\"}],\"show\":true,\"time\":\"2018-12-26\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"value\":\"前左\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽 \",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"25\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"25\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽 \",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"程度较重\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"不易咳出\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"65\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"天\"}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":3,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":129,\"name\":\"，前\",\"tagName\":\"，前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":3,\"questionId\":129,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":3,\"questionId\":57,\"flag\":\"\",\"relationModule\":null,\"value\":\"因淋雨后\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":3,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":3,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":66,\"name\":\"上诉\",\"tagName\":\"上诉\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":88,\"name\":\"上述症状加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":66,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":3,\"questionId\":66,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":3,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":3,\"questionId\":21,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":3,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null,\"value\":\"精神佳\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null,\"value\":\"意识模糊\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null,\"value\":\"食欲欠佳\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null,\"value\":\"\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null,\"value\":\"黑便\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"69\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-26\",\"value\":\"湿哒哒所多\\n大叔大婶多\\n实打实大的啊实打实\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":2}],\"advice\":{\"scheme\":[{\"name\":\"心脏病\",\"treatment\":[{\"id\":132,\"showInfo\":\"1\",\"drugsName\":\"支气管扩张剂\",\"medicitionsList\":[{\"id\":137,\"medicitionName\":\"多索茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"94%\",\"selected\":true},{\"id\":138,\"medicitionName\":\"二羟丙茶碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"92%\"}],\"treatmentStr\":\"多索茶碱; \"},{\"id\":133,\"showInfo\":\"0\",\"drugsName\":\"抗生素类(喹诺酮类)\",\"medicitionsList\":[{\"id\":139,\"medicitionName\":\"左氧氟沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"85%\",\"selected\":true},{\"id\":140,\"medicitionName\":\"莫西沙星\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"82%\"}],\"treatmentStr\":\"左氧氟沙星; \"},{\"id\":134,\"showInfo\":\"0\",\"drugsName\":\"化痰药(粘液溶解药)\",\"medicitionsList\":[{\"id\":141,\"medicitionName\":\"氨溴索\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"80%\"},{\"id\":null,\"medicitionName\":\"农夫沙星\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"},{\"id\":135,\"showInfo\":\"0\",\"drugsName\":\"糖皮质激素类\",\"medicitionsList\":[{\"id\":143,\"medicitionName\":\"甲泼尼龙\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"63%\"},{\"id\":null,\"medicitionName\":\"安乃近\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"34%\"}],\"treatmentStr\":\"\"},{\"id\":136,\"showInfo\":\"0\",\"drugsName\":\"抗胃酸药(质子泵抑制剂)\",\"medicitionsList\":[{\"id\":145,\"medicitionName\":\"泮托拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"61%\"},{\"id\":null,\"medicitionName\":\"维C银翘片\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"58%\"},{\"id\":null,\"medicitionName\":\"奥美拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"},{\"id\":null,\"medicitionName\":\"兰索拉唑\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"0%\"}],\"treatmentStr\":\"\"}]}]},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('106', 'Y', '2018-12-27 20:09:46', '2018-12-28 09:15:24', '1', '0', '问问', '1', '1', '1', '0', '{\"chief\":\"[\\\"\\\",\\\"上前突发\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"，\\\",\\\"1\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"158,小时\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"前加重\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"咳出费力\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[null,\\\"肺动脉瓣区，未闻及，\\\"]\",\"lis\":\"空腹血糖,空腹血糖,90 mmol/L升高4.74;血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"腹部B超,硕大的,报告日期,2018-12-27;\",\"diag\":\"呼吸道感染(初诊); \",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"uniqueName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"value\":\"上前突发\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null,\"value\":\"1\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"158\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"小时\"}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"name\":\"前加重\",\"tagType\":\"8\",\"controlType\":3},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"value\":\"咳出费力\"},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"肺动脉瓣区，未闻及，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-27\",\"value\":\"硕大的\"}],\"diag\":[{\"id\":95,\"name\":\"呼吸道感染\",\"tagName\":\"呼吸道感染\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":9,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('107', 'Y', '2018-12-27 20:09:52', '2018-12-28 09:15:24', '1', '0', '嗯嗯', '1', '1', '1', '0', '{\"chief\":\"[\\\"\\\",\\\"上前突发\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"，\\\",\\\"1\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"158,小时\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"前加重\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"咳出费力\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[null,\\\"肺动脉瓣区，未闻及，\\\"]\",\"lis\":\"空腹血糖,空腹血糖,90 mmol/L升高4.74;血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"腹部B超,硕大的,报告日期,2018-12-27;\",\"diag\":\"呼吸道感染(初诊); \",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"uniqueName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"value\":\"上前突发\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null,\"value\":\"1\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"158\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"小时\"}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"name\":\"前加重\",\"tagType\":\"8\",\"controlType\":3},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"value\":\"咳出费力\"},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"肺动脉瓣区，未闻及，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-27\",\"value\":\"硕大的\"}],\"diag\":[{\"id\":95,\"name\":\"呼吸道感染\",\"tagName\":\"呼吸道感染\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":9,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('108', 'Y', '2018-12-27 20:10:03', '2018-12-28 09:15:24', '1', '0', '我问问', '1', '1', '1', '0', '{\"chief\":\"[null,null,null,\\\"咳嗽 \\\"]\",\"present\":\"[]\",\"other\":\"[]\",\"vital\":\"[null,null,null,\\\"体ewqe温：21℃ew\\\"]\",\"lis\":\"\",\"pacs\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽 \",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6}],\"present\":[],\"other\":[],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[],\"diag\":[],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('109', 'Y', '2018-12-27 20:10:10', '2018-12-28 09:15:24', '1', '0', '为', '1', '1', '1', '0', '{\"chief\":\"[null,null,null,\\\"咳嗽 \\\"]\",\"present\":\"[]\",\"other\":\"[]\",\"vital\":\"[null,null,null,\\\"体ewqe温：21℃ew\\\"]\",\"lis\":\"\",\"pacs\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽 \",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6}],\"present\":[],\"other\":[],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[],\"diag\":[],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('110', 'Y', '2018-12-27 20:10:37', '2018-12-28 09:15:24', '1', '0', '大叔大婶多', '1', '1', '1', '0', '{\"chief\":\"[\\\"\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\"]\",\"present\":\"[]\",\"other\":\"[]\",\"vital\":\"[]\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6}],\"present\":[],\"other\":[],\"vital\":[],\"pacs\":[],\"diag\":[],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('111', 'Y', '2018-12-27 20:10:43', '2018-12-28 09:15:24', '1', '0', '多岁的', '1', '1', '1', '0', '{\"chief\":\"[\\\"\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\"]\",\"other\":\"[]\",\"vital\":\"[]\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null}],\"other\":[],\"vital\":[],\"pacs\":[],\"diag\":[],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('112', 'Y', '2018-12-27 20:10:48', '2018-12-28 09:15:24', '1', '0', '我', '1', '1', '1', '0', '{\"chief\":\"[\\\"\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[]\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[],\"pacs\":[],\"diag\":[],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('113', 'Y', '2018-12-27 20:10:54', '2018-12-28 09:15:24', '1', '0', '让人', '1', '1', '1', '0', '{\"chief\":\"[\\\"\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[]\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[],\"diag\":[],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('114', 'Y', '2018-12-27 20:11:06', '2018-12-28 09:15:24', '1', '0', '我打但是', '1', '1', '1', '0', '{\"chief\":\"[\\\"\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[null,null,null,null,null,\\\"血压：左上肢,undefined,undefinedmmHg\\\"]\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[],\"diag\":[],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('115', 'Y', '2018-12-28 09:19:29', '2018-12-28 09:19:58', '1', '0', '87', '1', '1', '1', '0', '{\"chief\":\"[\\\"\\\",\\\"上前突发\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"，\\\",\\\"1\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"158,小时\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"前加重\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"咳出费力\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[null,\\\"肺动脉瓣区，未闻及，\\\"]\",\"lis\":\"空腹血糖,空腹血糖,90 mmol/L升高4.74;血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"腹部B超,硕大的,报告日期,2018-12-27;\",\"diag\":\"呼吸道感染(初诊); \",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"uniqueName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"value\":\"上前突发\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null,\"value\":\"1\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"158\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"小时\"}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"name\":\"前加重\",\"tagType\":\"8\",\"controlType\":3},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"value\":\"咳出费力\"},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"肺动脉瓣区，未闻及，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-27\",\"value\":\"硕大的\"}],\"diag\":[{\"id\":95,\"name\":\"呼吸道感染\",\"tagName\":\"呼吸道感染\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":9,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('116', 'Y', '2018-12-28 09:21:07', '2018-12-28 09:21:31', '1', '0', '为', '1', '1', '1', '0', '{\"chief\":\"[\\\"\\\",\\\"上前突发\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"，\\\",\\\"1\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"158,小时\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"前加重\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"咳出费力\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[null,\\\"肺动脉瓣区，未闻及，\\\"]\",\"lis\":\"空腹血糖,空腹血糖,90 mmol/L升高4.74;血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"腹部B超,硕大的,报告日期,2018-12-27;\",\"diag\":\"呼吸道感染(初诊); \",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"uniqueName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"value\":\"上前突发\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null,\"value\":\"1\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"158\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"小时\"}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"name\":\"前加重\",\"tagType\":\"8\",\"controlType\":3},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"value\":\"咳出费力\"},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"肺动脉瓣区，未闻及，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-27\",\"value\":\"硕大的\"}],\"diag\":[{\"id\":95,\"name\":\"呼吸道感染\",\"tagName\":\"呼吸道感染\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":9,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('117', 'Y', '2018-12-28 09:21:15', '2018-12-28 09:21:31', '1', '0', 'wee', '1', '1', '1', '0', '{\"chief\":\"[\\\"\\\",\\\"上前突发\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"，\\\",\\\"1\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"158,小时\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"前加重\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"咳出费力\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[null,\\\"肺动脉瓣区，未闻及，\\\"]\",\"lis\":\"空腹血糖,空腹血糖,90 mmol/L升高4.74;血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"腹部B超,硕大的,报告日期,2018-12-27;\",\"diag\":\"呼吸道感染(初诊); \",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"uniqueName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"value\":\"上前突发\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"1\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null,\"value\":\"1\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"158\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"小时\"}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"name\":\"前加重\",\"tagType\":\"8\",\"controlType\":3},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"value\":\"咳出费力\"},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"value\":\"肺动脉瓣区，未闻及，\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-27\",\"value\":\"硕大的\"}],\"diag\":[{\"id\":95,\"name\":\"呼吸道感染\",\"tagName\":\"呼吸道感染\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":9,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('118', 'Y', '2019-01-02 11:25:31', '2019-01-07 11:23:45', '1', '0', '256', '1', '1', '1', '0', '{\"chief\":\"[\\\"\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[null,null,null,null,null,\\\"血压：左上肢,,mmHg\\\"]\",\"lis\":\"血常规,隐血,阴性 ;-空腹血糖,空腹血糖,90 mmol/L升高4.74;血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"腹部B超,的撒打算\\n委屈,报告日期,2018-12-28;腹部B超,是的撒大所,报告日期,2018-12-28;\",\"diag\":\"支气管哮喘(初诊); 心脏病(初诊); \",\"advice\":\"肾功能常规检查，\"}', '{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阴性\"}],\"show\":true,\"time\":\"2018-12-28\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"uniqueName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"90\",\"max\":\"19\",\"min\":\"7\",\"time\":\"\",\"type\":\"1\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"5\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-28\",\"value\":\"的撒打算\\n委屈\"},{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-28\",\"value\":\"是的撒大所\"}],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"type\":1},{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"assay\":\"肾功能常规检查，\",\"check\":\"\"},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('119', 'Y', '2019-01-02 17:05:23', '2019-01-02 17:13:47', '1', '0', '是的', '1', '1', '1', '1', '{\"chief\":\"[]\",\"present\":\"[]\",\"other\":\"[]\",\"vital\":\"[]\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[],\"present\":[],\"other\":[],\"vital\":[],\"pacs\":[],\"diag\":[],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('120', 'Y', '2019-01-02 17:08:41', '2019-01-02 17:13:47', '1', '0', '33', '1', '1', '1', '1', '{\"chief\":\"[]\",\"present\":\"[]\",\"other\":\"[]\",\"vital\":\"[]\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[],\"present\":[],\"other\":[],\"vital\":[],\"pacs\":[],\"diag\":[],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('121', 'Y', '2019-01-02 17:09:45', '2019-01-02 17:13:47', '1', '0', '我', '1', '1', '1', '1', '{\"chief\":\"[]\",\"present\":\"[]\",\"other\":\"[]\",\"vital\":\"[]\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[],\"present\":[],\"other\":[],\"vital\":[],\"pacs\":[],\"diag\":[],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('122', 'Y', '2019-01-02 17:13:01', '2019-01-02 17:13:47', '1', '0', '问问', '1', '1', '1', '1', '{\"chief\":\"[]\",\"present\":\"[]\",\"other\":\"[]\",\"vital\":\"[]\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[],\"present\":[],\"other\":[],\"vital\":[],\"pacs\":[],\"diag\":[],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('123', 'Y', '2019-01-02 17:13:52', '2019-01-02 17:32:07', '1', '0', '问问', '1', '1', '1', '1', '{\"chief\":\"[]\",\"present\":\"[]\",\"other\":\"[]\",\"vital\":\"[]\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[],\"present\":[],\"other\":[],\"vital\":[],\"pacs\":[],\"diag\":[],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('124', 'Y', '2019-01-02 17:14:38', '2019-01-02 17:32:07', '1', '0', '我', '1', '1', '1', '1', '{\"chief\":\"[]\",\"present\":\"[]\",\"other\":\"[]\",\"vital\":\"[]\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[],\"present\":[],\"other\":[],\"vital\":[],\"pacs\":[],\"diag\":[],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('125', 'Y', '2019-01-02 17:19:20', '2019-01-02 17:32:07', '1', '0', '搜索', '1', '1', '1', '1', '{\"chief\":\"[]\",\"present\":\"[\\\"患者\\\"]\",\"other\":\"[\\\"搜索\\\"]\",\"vital\":\"[]\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[],\"present\":[],\"other\":[],\"vital\":[],\"pacs\":[],\"diag\":[],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('126', 'Y', '2019-01-02 17:23:14', '2019-01-02 17:32:07', '1', '0', '二位', '1', '1', '1', '1', '{\"chief\":\"[]\",\"present\":\"[]\",\"other\":\"[]\",\"vital\":\"[]\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[],\"present\":[],\"other\":[],\"vital\":[],\"pacs\":[],\"diag\":[],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('127', 'Y', '2019-01-02 17:23:57', '2019-01-02 17:32:07', '1', '0', '是的', '1', '1', '1', '1', '{\"chief\":\"[]\",\"present\":\"[]\",\"other\":\"[]\",\"vital\":\"[]\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[],\"present\":[],\"other\":[],\"vital\":[],\"pacs\":[],\"diag\":[],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('128', 'Y', '2019-01-02 17:25:44', '2019-01-02 17:32:07', '1', '0', '让人', '1', '1', '1', '1', '{\"chief\":\"[]\",\"present\":\"[]\",\"other\":\"[]\",\"vital\":\"[]\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[],\"present\":[],\"other\":[],\"vital\":[],\"pacs\":[],\"diag\":[],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('129', 'Y', '2019-01-02 17:26:22', '2019-01-02 17:32:07', '1', '0', '天天', '1', '1', '1', '1', '{\"chief\":\"[]\",\"present\":\"[]\",\"other\":\"[]\",\"vital\":\"[]\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[],\"present\":[],\"other\":[],\"vital\":[],\"pacs\":[],\"diag\":[],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('130', 'Y', '2019-01-02 17:27:00', '2019-01-02 17:32:07', '1', '0', '天天他', '1', '1', '1', '1', '{\"chief\":\"[]\",\"present\":\"[]\",\"other\":\"[]\",\"vital\":\"[]\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[],\"present\":[],\"other\":[],\"vital\":[],\"pacs\":[],\"diag\":[],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('131', 'Y', '2019-01-02 17:27:34', '2019-01-02 17:32:07', '1', '0', '65', '1', '1', '1', '1', '{\"chief\":\"[]\",\"present\":\"[]\",\"other\":\"[]\",\"vital\":\"[]\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[],\"present\":[],\"other\":[],\"vital\":[],\"pacs\":[],\"diag\":[],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('132', 'Y', '2019-01-02 17:28:01', '2019-01-02 17:32:07', '1', '0', '+6+', '1', '1', '1', '1', '{\"chief\":\"[]\",\"present\":\"[]\",\"other\":\"[]\",\"vital\":\"[]\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[],\"present\":[],\"other\":[],\"vital\":[],\"pacs\":[],\"diag\":[],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('133', 'Y', '2019-01-02 17:30:22', '2019-01-02 17:32:07', '1', '0', '是的撒', '1', '1', '1', '1', '{\"chief\":\"[\\\"是的撒\\\"]\",\"present\":\"[]\",\"other\":\"[]\",\"vital\":\"[]\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[],\"present\":[],\"other\":[],\"vital\":[],\"pacs\":[],\"diag\":[],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('134', 'Y', '2019-01-02 17:32:19', '2019-01-07 15:05:56', '1', '0', '搜索123', '1', '1', '1', '1', '{\"chief\":\"[]\",\"present\":\"[]\",\"other\":\"[]\",\"vital\":\"[]\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[],\"present\":[],\"other\":[],\"vital\":[],\"pacs\":[],\"diag\":[],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('135', 'Y', '2019-01-07 11:24:43', '2019-01-07 11:24:47', '1', '0', '4', '1', '1', '1', '0', '{\"chief\":\"[\\\"\\\",\\\"前左\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[null,null,null,null,null,\\\"血压：左上肢,,mmHg\\\"]\",\"lis\":\"尿常规,尿糖定性,阳性 ;\",\"pacs\":\"腹部B超,sdsfs,报告日期,2018-12-28;腹部B超,sdfsdf,报告日期,2018-12-28;\",\"diag\":\"支气管哮喘(初诊); 心脏病(初诊); \",\"advice\":\"肾功能常规检查，\"}', '{\"lis\":{\"labelList\":[{\"name\":\"尿常规\",\"questionId\":116,\"showType\":1,\"retrievalName\":\"尿常规\",\"details\":[{\"id\":117,\"name\":\"尿糖定性\",\"tagName\":\"尿糖定性\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":134,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":117,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":135,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":117,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阳性\"},{\"id\":118,\"name\":\"PH值\",\"tagName\":\"PH值\",\"type\":5,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"L\",\"labelSuffix\":\"L\",\"minValue\":1,\"maxValue\":2,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"show\":true,\"time\":\"2019-01-07\"},{\"name\":\"血常规\",\"questionId\":69,\"showType\":3,\"retrievalName\":\"血白细胞\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null}]},{\"name\":\"血常规\",\"questionId\":69,\"showType\":3,\"retrievalName\":\"血白细胞\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"\"}],\"show\":false}],\"getExcelDataList\":[{\"lisExcelRes\":[],\"messages\":[\"第1行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第2行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第3行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"value\":\"前左\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-28\",\"value\":\"sdsfs\"},{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-28\",\"value\":\"sdfsdf\"}],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"type\":1},{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"assay\":\"肾功能常规检查，\",\"check\":\"\"},\"mainSuitSelecteds\":{\"1\":{\"exists\":[{\"id\":14,\"name\":\"前\",\"listIndex\":\"10\"},{\"id\":16,\"name\":\"左\",\"listIndex\":\"20\"}],\"existsName\":\"前左\",\"ikey\":\"1\"}},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('136', 'Y', '2019-01-07 11:31:43', '2019-01-08 11:12:02', '1', '0', 'aa', '1', '1', '1', '0', '{\"chief\":\"[\\\"\\\",\\\"前左\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[null,null,null,null,null,\\\"血压：左上肢,,mmHg\\\"]\",\"lis\":\"尿常规,尿糖定性,阳性 ;\",\"pacs\":\"腹部B超,sdsfs,报告日期,2018-12-28;腹部B超,sdfsdf,报告日期,2018-12-28;\",\"diag\":\"支气管哮喘(初诊); 心脏病(初诊); \",\"advice\":\"肾功能常规检查，\"}', '{\"lis\":{\"labelList\":[{\"name\":\"尿常规\",\"questionId\":116,\"showType\":1,\"retrievalName\":\"尿常规\",\"details\":[{\"id\":117,\"name\":\"尿糖定性\",\"tagName\":\"尿糖定性\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":134,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":117,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":135,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":117,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阳性\"},{\"id\":118,\"name\":\"PH值\",\"tagName\":\"PH值\",\"type\":5,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"L\",\"labelSuffix\":\"L\",\"minValue\":1,\"maxValue\":2,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"show\":true,\"time\":\"2019-01-07\"},{\"name\":\"血常规\",\"questionId\":69,\"showType\":3,\"retrievalName\":\"血白细胞\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null}]},{\"name\":\"血常规\",\"questionId\":69,\"showType\":3,\"retrievalName\":\"血白细胞\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"\"}],\"show\":false}],\"getExcelDataList\":[{\"lisExcelRes\":[],\"messages\":[\"第1行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第2行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第3行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"value\":\"前左\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-28\",\"value\":\"sdsfs\"},{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-28\",\"value\":\"sdfsdf\"}],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"type\":1},{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"assay\":\"肾功能常规检查，\",\"check\":\"\"},\"mainSuitSelecteds\":{\"1\":{\"exists\":[{\"id\":14,\"name\":\"前\",\"listIndex\":\"10\"},{\"id\":16,\"name\":\"左\",\"listIndex\":\"20\"}],\"existsName\":\"前左\",\"ikey\":\"1\"}},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('137', 'Y', '2019-01-07 14:07:57', '2019-01-08 11:12:02', '1', '0', 'bb', '1', '1', '1', '0', '{\"chief\":\"[\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"精神佳\\\",\\\"自病以来\\\",\\\"意识模糊\\\",\\\"，\\\",\\\"食欲欠佳\\\",\\\"，\\\",\\\"睡眠质量欠佳\\\",\\\"，\\\",\\\"黑便\\\",\\\"，\\\",\\\"体重减轻\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[]\",\"vital\":\"[]\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"pos\":2},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":6,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"pos\":2,\"value\":\"\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"pos\":2},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":6,\"questionId\":11,\"flag\":\"\",\"relationModule\":null,\"pos\":2},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":6,\"questionId\":119,\"flag\":\"\",\"relationModule\":null,\"pos\":2},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"pos\":3},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":6,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"pos\":3},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"pos\":3},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":6,\"questionId\":11,\"flag\":\"\",\"relationModule\":null,\"pos\":3},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":6,\"questionId\":119,\"flag\":\"\",\"relationModule\":null,\"pos\":3},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null,\"value\":\"精神佳\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null,\"value\":\"意识模糊\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null,\"value\":\"食欲欠佳\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null,\"value\":\"睡眠质量欠佳\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null,\"value\":\"黑便\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null,\"value\":\"体重减轻\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[],\"vital\":[],\"pacs\":[],\"diag\":[],\"advice\":{},\"mainSuitSelecteds\":{\"8\":{\"exists\":[],\"existsName\":\"\",\"ikey\":\"8\"}},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{},\"mainsuitIds\":[1]}', null);
INSERT INTO `icss_template_info` VALUES ('138', 'Y', '2019-01-07 14:08:04', '2019-01-08 11:12:02', '1', '0', 'cc', '1', '1', '1', '0', '{\"chief\":\"[\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"精神佳\\\",\\\"自病以来\\\",\\\"意识模糊\\\",\\\"，\\\",\\\"食欲欠佳\\\",\\\"，\\\",\\\"睡眠质量欠佳\\\",\\\"，\\\",\\\"黑便\\\",\\\"，\\\",\\\"体重减轻\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[]\",\"vital\":\"[]\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"pos\":2},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":6,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"pos\":2,\"value\":\"\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"pos\":2},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":6,\"questionId\":11,\"flag\":\"\",\"relationModule\":null,\"pos\":2},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":6,\"questionId\":119,\"flag\":\"\",\"relationModule\":null,\"pos\":2},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"pos\":3},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":6,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"pos\":3},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"pos\":3},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":6,\"questionId\":11,\"flag\":\"\",\"relationModule\":null,\"pos\":3},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":6,\"questionId\":119,\"flag\":\"\",\"relationModule\":null,\"pos\":3},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null,\"value\":\"精神佳\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null,\"value\":\"意识模糊\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null,\"value\":\"食欲欠佳\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null,\"value\":\"睡眠质量欠佳\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null,\"value\":\"黑便\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null,\"value\":\"体重减轻\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[],\"vital\":[],\"pacs\":[],\"diag\":[],\"advice\":{},\"mainSuitSelecteds\":{\"8\":{\"exists\":[],\"existsName\":\"\",\"ikey\":\"8\"}},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{},\"mainsuitIds\":[1]}', null);
INSERT INTO `icss_template_info` VALUES ('139', 'Y', '2019-01-07 14:13:33', '2019-01-08 11:11:54', '1', '0', '是', '1', '1', '1', '0', '{\"chief\":\"[\\\"\\\",\\\"前左\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[null,null,null,null,null,\\\"血压：左上肢,,mmHg\\\"]\",\"lis\":\"尿常规,尿糖定性,阳性 ;\",\"pacs\":\"腹部B超,sdsfs,报告日期,2018-12-28;腹部B超,sdfsdf,报告日期,2018-12-28;\",\"diag\":\"支气管哮喘(初诊); 心脏病(初诊); \",\"advice\":\"肾功能常规检查，\"}', '{\"lis\":{\"labelList\":[{\"name\":\"尿常规\",\"questionId\":116,\"showType\":1,\"retrievalName\":\"尿常规\",\"details\":[{\"id\":117,\"name\":\"尿糖定性\",\"tagName\":\"尿糖定性\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":134,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":117,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":135,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":117,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"阳性\"},{\"id\":118,\"name\":\"PH值\",\"tagName\":\"PH值\",\"type\":5,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"L\",\"labelSuffix\":\"L\",\"minValue\":1,\"maxValue\":2,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"show\":true,\"time\":\"2019-01-07\"},{\"name\":\"血常规\",\"questionId\":69,\"showType\":3,\"retrievalName\":\"血白细胞\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null}]},{\"name\":\"血常规\",\"questionId\":69,\"showType\":3,\"retrievalName\":\"血白细胞\",\"details\":[{\"id\":115,\"name\":\"红细胞计数\",\"tagName\":\"红细胞计数\",\"type\":5,\"controlType\":6,\"subType\":5,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"L\",\"minValue\":10,\"maxValue\":12,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"\"},{\"id\":70,\"name\":\"白细胞计数\",\"tagName\":\"白细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"10^12/L\",\"minValue\":9,\"maxValue\":10,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"\"},{\"id\":113,\"name\":\"隐血\",\"tagName\":\"隐血\",\"type\":5,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":132,\"name\":\"阴性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":133,\"name\":\"阳性\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"remark\":null,\"value\":\"\"}],\"show\":false}],\"getExcelDataList\":[{\"lisExcelRes\":[],\"messages\":[\"第1行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第2行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第3行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[],\"present\":[],\"other\":[],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"左上肢\"},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-28\",\"value\":\"sdsfs\"},{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2018-12-28\",\"value\":\"sdfsdf\"}],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"type\":1},{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"assay\":\"肾功能常规检查，\",\"check\":\"\"},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('140', 'Y', '2019-01-07 14:23:24', '2019-01-08 11:11:53', '1', '0', '88', '1', '1', '1', '0', '{\"chief\":\"[\\\"\\\",\\\"前反复\\\",\\\"咳嗽\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"有高血压病史\\\",\\\"2\\\",\\\"\\\",\\\"月\\\",\\\"\\\",\\\"未经正规治疗\\\",\\\"\\\",\\\"病情控制尚可\\\",\\\"\\\",\\\"undefinedundefined\\\",\\\"\\\",\\\"既往史无殊\\\",\\\"\\\",\\\"有“青霉素”过敏\\\",\\\"\\\",\\\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"vital\":\"[]\",\"lis\":\"血常规,白细胞,20 mg/L升高4.00;血常规,红细胞,20 mg/L升高1.25;血常规,白蛋白,15 mg/L正常;血常规,血色,黑色 异常;血酮,血酮,10 mg/L正常;\",\"pacs\":\"腹部B超,萨达\\n阿打算是,报告日期,2019-01-07;\",\"diag\":\"心脏病(初诊); \",\"advice\":\"电解质测定\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"16\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"uniqueName\":null,\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"uniqueName\":null,\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"uniqueName\":\"酮体\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-12-01\",\"type\":\"0\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第6行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"value\":\"前反复\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":74,\"name\":\"有高血压病史\",\"tagName\":\"有高血压病史_文字\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"8\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":47,\"name\":\"（填写）\",\"tagName\":\"高血压-时间\",\"type\":3,\"controlType\":7,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"2\",\"frontValue\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":48,\"name\":\"\",\"tagName\":\"高血压-时间单位\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":53,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":54,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":55,\"name\":\"日\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":48,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"年\",\"value\":\"月\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":49,\"name\":\"未进行正规治疗\",\"tagName\":\"既往史-未进行正规治疗\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":56,\"name\":\"未经治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":57,\"name\":\"未经正规治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":58,\"name\":\"未经特殊治疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":49,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"frontValue\":\"未经治疗\",\"value\":\"未经正规治疗\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":50,\"name\":\"病情控制\",\"tagName\":\"既往史-病情控制\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":59,\"name\":\"病情控制尚可\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":60,\"name\":\"病情控制不欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":61,\"name\":\"目前未觉有相关不适表现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":62,\"name\":\"病情时轻时重，控制不佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":50,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"病情控制尚可\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},\"\",{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"1\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":52,\"name\":\"\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":71,\"name\":\"\",\"tagName\":\"既往史-疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"10\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"value\":\"既往史无殊\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":55,\"name\":\"\",\"tagName\":\"过敏史-具体项\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":66,\"name\":\"有“青霉素”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有“磺胺类”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有“蚕豆”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有“#（填写）#”过敏\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":55,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"value\":\"有“青霉素”过敏\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"2\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":77,\"name\":\"\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":78,\"name\":\"\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒，每天约#（）#ml，已饮#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟，每天约#（）#支，已吸#（）#年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"value\":\"无烟酒嗜好饮酒，每天约#（）#ml，已饮#（）#年\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":97,\"name\":\"\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"1\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"tagType\":\"3\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":\"0\",\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":79,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":33,\"name\":\"杂音\",\"tagName\":\"杂音\",\"type\":4,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":1,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"\",\"tagName\":\"杂音正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"听诊区未闻及明显心脏杂音\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":1,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":32,\"name\":\"心尖区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":34,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":37,\"name\":\"可闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":38,\"name\":\"未闻及\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":35,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":39,\"name\":\"2/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":1,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"（部位）\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"血压：\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"（舒张压）\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"（收缩压）\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"（填写）\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"体温：\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"pacs\":[{\"name\":\"腹部B超\",\"questionId\":112,\"showType\":1,\"retrievalName\":\"腹部B超\",\"time\":\"2019-01-07\",\"value\":\"萨达\\n阿打算是\"}],\"diag\":[{\"id\":131,\"name\":\"心脏病\",\"type\":1}],\"advice\":{\"assay\":\"电解质测定\",\"check\":\"\"},\"mainSuitSelecteds\":{\"1\":{\"exists\":[{\"id\":14,\"name\":\"前\",\"listIndex\":\"10\"},{\"id\":6,\"name\":\"反复\",\"listIndex\":\"30\"}],\"existsName\":\"前反复\",\"ikey\":\"1\"}},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{},\"mainsuitIds\":[1]}', null);
INSERT INTO `icss_template_info` VALUES ('141', 'Y', '2019-01-07 14:54:31', '2019-01-07 15:01:01', '1', '0', 'ww', '1', '1', '1', '1', '{\"chief\":\"[\\\"s\\\"]\",\"present\":\"[\\\"s\\\"]\",\"other\":\"[]\",\"vital\":\"[]\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[],\"present\":[],\"other\":[],\"vital\":[],\"pacs\":[],\"diag\":[],\"advice\":{}}', null);
INSERT INTO `icss_template_info` VALUES ('142', 'N', '2019-01-08 11:12:24', '2019-01-08 11:15:18', '1', '0', 'test1', '1', '1', '1', '0', '{\"chief\":\"[\\\"\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"伴\\\",\\\"发热\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"3,天\\\",\\\"前\\\",\\\"因淋雨后\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"伴\\\",\\\"发热\\\",\\\"最高温度度\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"精神佳\\\",\\\"，\\\",\\\"意识模糊\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[]\",\"vital\":\"[]\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"肺部感染(初诊); \",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":10,\"name\":\"伴\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":4,\"name\":\"发热\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":72,\"name\":\"咽喉痛\",\"tagName\":\"咽喉痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":106,\"name\":\"咳痰\",\"tagName\":\"咳痰\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":107,\"name\":\"咳痰性状\",\"tagName\":\"咳痰性状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":108,\"name\":\"\",\"tagName\":\"初为后为\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":115,\"name\":\"初为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":1,\"code\":3,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":116,\"name\":\"后为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":2,\"code\":4,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":109,\"name\":\"\",\"tagName\":\"咳痰颜色\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":117,\"name\":\"白色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":118,\"name\":\"绿色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":119,\"name\":\"黄色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":120,\"name\":\"红色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":121,\"name\":\"铁锈色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":110,\"name\":\"\",\"tagName\":\"咳痰性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":122,\"name\":\"粘痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":123,\"name\":\"脓痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":124,\"name\":\"泡沫痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":125,\"name\":\"浆液痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":126,\"name\":\"脓臭痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":127,\"name\":\"胶冻样痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":111,\"name\":\"痰量\",\"tagName\":\"痰量\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":128,\"name\":\"痰量少\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":129,\"name\":\"痰量中等\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":130,\"name\":\"痰量大\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":4,\"name\":\"发热\",\"tagName\":\"发热\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":5,\"name\":\"（填写）\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"度\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":203,\"name\":\"鼻塞\",\"tagName\":\"鼻塞\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":200,\"name\":\"气促\",\"tagName\":\"气促\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":195,\"name\":\"头痛\",\"tagName\":\"头痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"3\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"天\"}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null,\"value\":\"因淋雨后\"},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"伴\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":4,\"name\":\"发热\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":5,\"name\":\"（填写）\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"度\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null,\"value\":\"精神佳\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null,\"value\":\"意识模糊\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[],\"vital\":[],\"pacs\":[],\"diag\":[{\"id\":104,\"name\":\"肺部感染\",\"tagName\":\"肺部感染\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":9,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{},\"mainsuitIds\":[],\"currentIds\":[]}', null);
INSERT INTO `icss_template_info` VALUES ('143', 'N', '2019-01-08 11:14:49', '1970-01-01 12:00:00', '1', '0', 'qwerq', '1', '1', '1', '0', '{\"chief\":\"[\\\"\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"伴\\\",\\\"发热\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"3,天\\\",\\\"前\\\",\\\"因淋雨后\\\",\\\"出现\\\",\\\"\\\",\\\"\\\",\\\"咳嗽\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"伴\\\",\\\"发热\\\",\\\"最高温度度\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"，\\\",\\\"自病以来\\\",\\\"精神佳\\\",\\\"，\\\",\\\"意识模糊\\\",\\\"，\\\",\\\"食欲欠佳\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[]\",\"vital\":\"[]\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"肺部感染(初诊); \",\"advice\":\"\"}', '{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":10,\"name\":\"伴\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":4,\"name\":\"发热\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":72,\"name\":\"咽喉痛\",\"tagName\":\"咽喉痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":106,\"name\":\"咳痰\",\"tagName\":\"咳痰\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":107,\"name\":\"咳痰性状\",\"tagName\":\"咳痰性状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":108,\"name\":\"\",\"tagName\":\"初为后为\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":115,\"name\":\"初为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":1,\"code\":3,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":116,\"name\":\"后为\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":108,\"orderNo\":2,\"code\":4,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":109,\"name\":\"\",\"tagName\":\"咳痰颜色\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":117,\"name\":\"白色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":118,\"name\":\"绿色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":119,\"name\":\"黄色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":120,\"name\":\"红色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":121,\"name\":\"铁锈色\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":109,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":110,\"name\":\"\",\"tagName\":\"咳痰性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":122,\"name\":\"粘痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":123,\"name\":\"脓痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":124,\"name\":\"泡沫痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":125,\"name\":\"浆液痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":126,\"name\":\"脓臭痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":127,\"name\":\"胶冻样痰\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":110,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":111,\"name\":\"痰量\",\"tagName\":\"痰量\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":128,\"name\":\"痰量少\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":129,\"name\":\"痰量中等\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":130,\"name\":\"痰量大\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":111,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":4,\"name\":\"发热\",\"tagName\":\"发热\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":5,\"name\":\"（填写）\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"度\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":203,\"name\":\"鼻塞\",\"tagName\":\"鼻塞\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":200,\"name\":\"气促\",\"tagName\":\"气促\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":195,\"name\":\"头痛\",\"tagName\":\"头痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":11,\"name\":\"\",\"tagName\":\"主诉时间\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":20,\"name\":\"（填写）\",\"tagName\":\"主诉时间-输入框\",\"type\":1,\"controlType\":7,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"3\"},{\"id\":56,\"name\":\"单位\",\"tagName\":\"主诉时间-单位\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":70,\"name\":\"天\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":71,\"name\":\"小时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":72,\"name\":\"月\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":73,\"name\":\"年\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":56,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"value\":\"天\"}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":11,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":75,\"name\":\"因淋雨后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":76,\"name\":\"因受凉后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":77,\"name\":\"接触类似病人后出现\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":78,\"name\":\"接触刺激性气体后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":79,\"name\":\"运动劳累后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":80,\"name\":\"于季节变化时\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null,\"value\":\"因淋雨后\"},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":1,\"name\":\"咳嗽\",\"tagType\":\"8\",\"controlType\":3,\"exist\":1},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":3,\"name\":\"咳出通畅度\",\"tagName\":\"咳出通畅度\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":4,\"name\":\"不易咳出\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":5,\"name\":\"咳出费力\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":3,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"伴\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":4,\"name\":\"发热\",\"tagType\":\"8\",\"controlType\":3,\"exist\":2},{\"id\":5,\"name\":\"（填写）\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"度\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":23,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":5,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":24,\"name\":\"\",\"tagName\":\"有无治疗-未经诊疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":89,\"name\":\"未经诊疗\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":24,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":25,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":26,\"name\":\"（填写）\",\"tagName\":\"有无治疗-使用（）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"使用\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":120,\"name\":\"于（###）医院治疗，经（###）后未见明显好转\",\"tagName\":\"于（###）医院治疗，经（###）后未见明显好转\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":121,\"name\":\"(填写)\",\"tagName\":\"于（###）医院治疗\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"于\",\"labelSuffix\":\"医院治疗\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":122,\"name\":\"(填写)\",\"tagName\":\"经（###）后未见明显好转\",\"type\":1,\"controlType\":6,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"经\",\"labelSuffix\":\"后未见明显好转\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":0,\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":23,\"flag\":\"2\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":31,\"name\":\"精神差\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":32,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null,\"value\":\"精神佳\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"意识模糊\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":60,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null,\"value\":\"意识模糊\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"食欲欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":61,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null,\"value\":\"食欲欠佳\"},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠质量欠佳\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":62,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":84,\"name\":\"黑便\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":63,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\"，\",\"tagName\":\"，_文字\",\"type\":1,\"controlType\":0,\"subType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重减轻\",\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"questionId\":64,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[],\"vital\":[],\"pacs\":[],\"diag\":[{\"id\":104,\"name\":\"肺部感染\",\"tagName\":\"肺部感染\",\"type\":1,\"controlType\":0,\"subType\":0,\"tagType\":9,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":0,\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"judgeType\":\"\",\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"advice\":{},\"mainSuitSelecteds\":{},\"currentIllSelecteds\":{},\"otherHistorySelecteds\":{},\"checkBodySelecteds\":{},\"mainsuitIds\":[],\"currentIds\":[]}', null);

-- ----------------------------
-- Table structure for icss_version_detail
-- ----------------------------
DROP TABLE IF EXISTS `icss_version_detail`;
CREATE TABLE `icss_version_detail` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `version_id` bigint(30) DEFAULT NULL COMMENT '版本主表id',
  `title` varchar(200) DEFAULT NULL COMMENT '标题',
  `description` text COMMENT '描述',
  `order_no` varchar(5) DEFAULT NULL COMMENT '排序号',
  `status` varchar(5) DEFAULT NULL COMMENT '1：启动，0：不启用',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8 COMMENT='版本详情(关于)';

-- ----------------------------
-- Records of icss_version_detail
-- ----------------------------
INSERT INTO `icss_version_detail` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '4', '4', '2', '即将发布', '测试测试测试测试测试测试测试测试', '1', '1', null);
INSERT INTO `icss_version_detail` VALUES ('2', 'N', '1970-01-01 12:00:00', '2018-12-04 14:11:26', '5', '5', '3', '1.即将发布', '即将发布', '1', '1', 'string');
INSERT INTO `icss_version_detail` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '5', '5', '3', '2.医学数据更新', '2.1 部分基础元素库数据修改<br />\r\n\r\n2.2 部分疾病诊断依据修改<br />', '2', '1', null);
INSERT INTO `icss_version_detail` VALUES ('8', 'N', '2018-12-04 14:24:46', '1970-01-01 12:00:00', '4', '4', '2', '3.发布信息', 'string', '99', '1', 'string');
INSERT INTO `icss_version_detail` VALUES ('9', 'N', '2018-12-04 14:40:22', '2018-12-11 14:56:32', '1', '1', '1', '1.系统设置管理', '1.1).	设置病历输入方式<br />\r\n1.2).	版本信息：当前系统版本及更新内容的文字描述<br />\r\n1.3).	免责声明：展示免责条款和内容<br />\r\n1.4).	使用帮助：<br />\r\n1.5).	意见反馈：<br />\r\n1.6).	字体调整：<br />', '1', '1', 'string');
INSERT INTO `icss_version_detail` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '2.电子病历模块', '2.1) 电子病历管理模块主要包括患者信息的获取和历史就诊记录信息展示以及患者病情信息采集和病历模板管理。', '2', '1', null);

-- ----------------------------
-- Table structure for icss_version_info
-- ----------------------------
DROP TABLE IF EXISTS `icss_version_info`;
CREATE TABLE `icss_version_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(200) DEFAULT NULL COMMENT '名称',
  `refresh_time` date DEFAULT NULL,
  `status` varchar(5) DEFAULT NULL COMMENT '1：启动，0：不启用',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=27 DEFAULT CHARSET=utf8 COMMENT='版本信息(关于)';

-- ----------------------------
-- Records of icss_version_info
-- ----------------------------
INSERT INTO `icss_version_info` VALUES ('1', 'N', '1970-01-01 12:00:00', '2018-12-03 15:45:18', '1', '1', 'ICSS 5.0', '2018-12-24', '1', 'string');
INSERT INTO `icss_version_info` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '4', '4', 'ICSS 1.1', '2018-11-07', '1', null);
INSERT INTO `icss_version_info` VALUES ('3', 'N', '1970-01-01 12:00:00', '2018-11-29 15:58:13', '5', '5', 'ICSS 1.2', '2018-12-20', '1', 'string');
INSERT INTO `icss_version_info` VALUES ('9', 'N', '1970-01-01 12:00:00', '2018-12-11 14:55:27', '0', '1', 'ICSS 1.3', '2018-09-04', '1', null);

-- ----------------------------
-- Table structure for icss_vital_order
-- ----------------------------
DROP TABLE IF EXISTS `icss_vital_order`;
CREATE TABLE `icss_vital_order` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `question_id` bigint(20) NOT NULL COMMENT '查体id',
  `order_no` int(11) NOT NULL COMMENT '排序号',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='查体全局排序（废弃）';

-- ----------------------------
-- Records of icss_vital_order
-- ----------------------------
INSERT INTO `icss_vital_order` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '28', '2');
INSERT INTO `icss_vital_order` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '33', '1');
INSERT INTO `icss_vital_order` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40', '3');

-- ----------------------------
-- Table structure for tran_disease_icd
-- ----------------------------
DROP TABLE IF EXISTS `tran_disease_icd`;
CREATE TABLE `tran_disease_icd` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_code` varchar(30) DEFAULT NULL COMMENT '医院编码',
  `disease_name` bigint(10) DEFAULT NULL COMMENT 'icss疾病名称',
  `icd` varchar(30) DEFAULT NULL COMMENT 'icd编码',
  `status` varchar(5) DEFAULT NULL COMMENT '状态(1:有效)',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='各医院对应的诊断icd';

-- ----------------------------
-- Records of tran_disease_icd
-- ----------------------------

-- ----------------------------
-- Table structure for tran_doctor_info
-- ----------------------------
DROP TABLE IF EXISTS `tran_doctor_info`;
CREATE TABLE `tran_doctor_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_code` varchar(16) DEFAULT NULL COMMENT '医院编码',
  `hospital_dept_code` varchar(16) DEFAULT NULL COMMENT '医院科室编码',
  `code` varchar(16) DEFAULT NULL COMMENT '医院医生编码',
  `name` varchar(32) DEFAULT NULL COMMENT '医生姓名',
  `sex` int(1) DEFAULT NULL COMMENT '医生性别:1男2女',
  `id_type` varchar(2) DEFAULT NULL COMMENT '证件类型',
  `id_no` varchar(30) DEFAULT NULL COMMENT '证件号码',
  `address` varchar(128) DEFAULT NULL COMMENT '家庭住址',
  `phone` varchar(20) DEFAULT NULL COMMENT '联系电话',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='医生信息表';

-- ----------------------------
-- Records of tran_doctor_info
-- ----------------------------
INSERT INTO `tran_doctor_info` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'D01', 'YS001', '付', '2', null, '1551515', null, null, null);
INSERT INTO `tran_doctor_info` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'D01', 'YS002', '王', '1', null, '22424242', null, null, null);

-- ----------------------------
-- Table structure for tran_field_info
-- ----------------------------
DROP TABLE IF EXISTS `tran_field_info`;
CREATE TABLE `tran_field_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `uuid` varchar(60) DEFAULT NULL COMMENT '唯一主键(通常是医院编码:hospitalId)',
  `icss_field` varchar(60) DEFAULT NULL COMMENT 'icss需要的字段',
  `his_field` varchar(60) DEFAULT NULL COMMENT '医院个性化字段',
  `status` varchar(5) DEFAULT NULL COMMENT '状态',
  `remark` varchar(120) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8 COMMENT='字段对应表';

-- ----------------------------
-- Records of tran_field_info
-- ----------------------------
INSERT INTO `tran_field_info` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'patientNo', 'patientNo', '1', null);
INSERT INTO `tran_field_info` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'doctorNo', 'doctorNo', '1', null);
INSERT INTO `tran_field_info` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'recordId', 'recordId', '1', null);
INSERT INTO `tran_field_info` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'hospitalId', 'hospitalId', '1', null);
INSERT INTO `tran_field_info` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'deptNo', 'deptId', '1', null);
INSERT INTO `tran_field_info` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A002', 'deptNo', 'dep', '1', null);
INSERT INTO `tran_field_info` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A002', 'patientNo', 'pno', '1', null);
INSERT INTO `tran_field_info` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A002', 'doctorNo', 'dno', '1', null);
INSERT INTO `tran_field_info` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A002', 'hospitalId', 'hospitalId', '1', null);

-- ----------------------------
-- Table structure for tran_hospital_dept
-- ----------------------------
DROP TABLE IF EXISTS `tran_hospital_dept`;
CREATE TABLE `tran_hospital_dept` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `code` varchar(16) DEFAULT NULL COMMENT '医院科室编码',
  `name` varchar(32) NOT NULL COMMENT '医院科室名称',
  `hospital_code` varchar(16) DEFAULT NULL COMMENT '医院编码',
  `hospital_name` varchar(32) DEFAULT NULL COMMENT '医院名称',
  `dept_id` bigint(20) DEFAULT NULL COMMENT 'icss科室id',
  `status` int(1) NOT NULL DEFAULT '1' COMMENT '状态：0.禁用1.启用',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COMMENT='医院科室信息表';

-- ----------------------------
-- Records of tran_hospital_dept
-- ----------------------------
INSERT INTO `tran_hospital_dept` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'D01', '全科', 'A001', '浙二医院', '5', '1', null);
INSERT INTO `tran_hospital_dept` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'D02', '儿科', 'A001', '浙二医院', '3', '1', null);
INSERT INTO `tran_hospital_dept` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'D03', '全科', 'A002', '北京医院', '5', '1', null);
INSERT INTO `tran_hospital_dept` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'N016', '妇科', 'A001', '浙二医院', '6', '1', null);

-- ----------------------------
-- Table structure for tran_hospital_info
-- ----------------------------
DROP TABLE IF EXISTS `tran_hospital_info`;
CREATE TABLE `tran_hospital_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `code` varchar(16) NOT NULL COMMENT '医院编码',
  `name` varchar(32) NOT NULL COMMENT '医院名称',
  `address` varchar(128) DEFAULT NULL COMMENT '医院地址',
  `spell` varchar(32) DEFAULT NULL COMMENT '医院名称拼音',
  `status` int(1) NOT NULL DEFAULT '1' COMMENT '状态：0.禁用1.启用',
  `order_no` int(5) DEFAULT NULL COMMENT '排序号',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='医院信息表';

-- ----------------------------
-- Records of tran_hospital_info
-- ----------------------------
INSERT INTO `tran_hospital_info` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '浙二医院', null, null, '1', null, null);
INSERT INTO `tran_hospital_info` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A002', '浙源', null, null, '1', null, null);

-- ----------------------------
-- Table structure for tran_lis_config
-- ----------------------------
DROP TABLE IF EXISTS `tran_lis_config`;
CREATE TABLE `tran_lis_config` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_code` varchar(60) DEFAULT NULL COMMENT '医院编码',
  `meal_name` varchar(100) DEFAULT NULL COMMENT '套餐名',
  `item_name` varchar(100) DEFAULT NULL COMMENT '项目名',
  `unique_id` varchar(100) DEFAULT NULL COMMENT '公表id',
  `unique_name` varchar(100) DEFAULT NULL COMMENT '公表名',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1752 DEFAULT CHARSET=utf8 COMMENT='套餐字段映射公表';

-- ----------------------------
-- Records of tran_lis_config
-- ----------------------------
INSERT INTO `tran_lis_config` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规', '白细胞', '10666485', '白细胞(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规', '红细胞', '10666486', '红细胞(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规', '蛋白质定量', '10666487', '蛋白质(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规', 'PH值', '10666488', '酸碱度(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规', '比重', '10666489', '比重(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规', '透明度', '10666490', '透明度(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规', '细胞计数', '10666491', '细胞计数(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规', '压力', '10666492', '压力(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规', '颜色', '10666493', '颜色(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规', '尿酸', '10666494', '尿酸(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规', '乳酸脱氢酶', '10666495', '乳酸脱氢酶(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规', '脑脊液IgM', '10666496', 'IgM(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规', '脑脊液IgG', '10666497', 'IgG(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('16', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规', '脑脊液IgA', '10666498', 'IgA(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规', '乳酸', '10666499', '乳酸(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('18', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规', '葡萄糖', '10666500', '葡萄糖(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('19', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规', '谷氨酰胺', '10006595', '脑脊液谷氨酰胺');
INSERT INTO `tran_lis_config` VALUES ('20', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规', '氯化物', '10666501', '氯化物(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('21', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规', '脑脊液肌酸激酶同工酶', '10666502', '肌酸激酶同工酶(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('22', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规', '环磷酸腺苷', '10666503', '环磷酸腺苷(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('23', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规', '胆红素', '10666851', '胆红素(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('24', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规', '天门冬酸氨基转移酶', '10666504', '天门冬酸氨基转移酶(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('25', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规', '清蛋白', '10666505', '清蛋白(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('26', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规', '溶菌酶', '10666506', '溶菌酶(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('27', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规', '色氨酸试验', '10666507', '色氨酸试验(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('28', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '白细胞计数', '10004282', '白细胞计数');
INSERT INTO `tran_lis_config` VALUES ('29', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '红细胞分布宽度', '10666508', '血红细胞分布宽度');
INSERT INTO `tran_lis_config` VALUES ('30', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '红细胞计数', '10004287', '红细胞计数');
INSERT INTO `tran_lis_config` VALUES ('31', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '血小板计数', '10004300', '血小板计数');
INSERT INTO `tran_lis_config` VALUES ('32', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '大型血小板比例', '10004303', '大型血小板比例');
INSERT INTO `tran_lis_config` VALUES ('33', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '血小板体积分布宽度', '10004301', '血小板体积分布宽度');
INSERT INTO `tran_lis_config` VALUES ('34', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '血小板压积', '10004304', '血小板压积');
INSERT INTO `tran_lis_config` VALUES ('35', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '血小板平均体积', '10004302', '血小板平均体积');
INSERT INTO `tran_lis_config` VALUES ('36', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '单核细胞百分比', '10004295', '单核细胞百分比');
INSERT INTO `tran_lis_config` VALUES ('37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '单核细胞计数', '10004294', '单核细胞计数');
INSERT INTO `tran_lis_config` VALUES ('38', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '平均红细胞体积', '10004289', '平均红细胞体积');
INSERT INTO `tran_lis_config` VALUES ('39', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '血红蛋白平均浓度', '10004293', '血红蛋白平均浓度');
INSERT INTO `tran_lis_config` VALUES ('40', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '血红蛋白平均含量', '10004292', '血红蛋白平均含量');
INSERT INTO `tran_lis_config` VALUES ('41', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '淋巴细胞计数', '10004285', '淋巴细胞计数');
INSERT INTO `tran_lis_config` VALUES ('42', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '淋巴细胞百分比', '10004286', '淋巴细胞百分比');
INSERT INTO `tran_lis_config` VALUES ('43', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '血红蛋白', '10004291', '血红蛋白');
INSERT INTO `tran_lis_config` VALUES ('44', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '红细胞压积', '10004288', '红细胞压积');
INSERT INTO `tran_lis_config` VALUES ('45', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '中性粒细胞计数', '10004283', '中性粒细胞计数');
INSERT INTO `tran_lis_config` VALUES ('46', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '中性粒细胞百分比', '10004284', '中性粒细胞百分比');
INSERT INTO `tran_lis_config` VALUES ('47', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '嗜酸性粒细胞百分比', '10004297', '嗜酸性粒细胞百分比');
INSERT INTO `tran_lis_config` VALUES ('48', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '嗜酸性粒细胞计数', '10004296', '嗜酸性粒细胞计数');
INSERT INTO `tran_lis_config` VALUES ('49', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '嗜碱性粒细胞百分比', '10004299', '嗜碱性粒细胞百分比');
INSERT INTO `tran_lis_config` VALUES ('50', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '嗜碱性粒细胞计数', '10004298', '嗜碱性粒细胞计数');
INSERT INTO `tran_lis_config` VALUES ('51', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规', '尿白细胞', '10004422', '尿白细胞');
INSERT INTO `tran_lis_config` VALUES ('52', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规', '尿胆原定量', '10006542', '尿胆原定量');
INSERT INTO `tran_lis_config` VALUES ('53', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规', '尿胆原定性', '10006541', '尿胆原定性');
INSERT INTO `tran_lis_config` VALUES ('54', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规', '尿红细胞', '10004425', '尿红细胞');
INSERT INTO `tran_lis_config` VALUES ('55', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规', '尿蛋白定量', '10006544', '尿蛋白定量');
INSERT INTO `tran_lis_config` VALUES ('56', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规', '尿蛋白定性', '10006543', '尿蛋白定性');
INSERT INTO `tran_lis_config` VALUES ('57', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规', 'PH值', '10390571', '尿酸碱度');
INSERT INTO `tran_lis_config` VALUES ('58', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规', '尿糖定量', '10006540', '尿糖定量');
INSERT INTO `tran_lis_config` VALUES ('59', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规', '尿糖定性', '10006539', '尿糖定性');
INSERT INTO `tran_lis_config` VALUES ('60', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规', '胆红素', '10004352', '尿胆红素');
INSERT INTO `tran_lis_config` VALUES ('61', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规', '比重', '10004350', '尿比重');
INSERT INTO `tran_lis_config` VALUES ('62', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规', '酮体', '10004354', '尿酮体');
INSERT INTO `tran_lis_config` VALUES ('63', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规', '隐血', '10004351', '尿隐血');
INSERT INTO `tran_lis_config` VALUES ('64', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规', '上皮细胞', '10004424', '尿上皮细胞');
INSERT INTO `tran_lis_config` VALUES ('65', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规', '渗透压', '10008147', '尿渗透压');
INSERT INTO `tran_lis_config` VALUES ('66', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规', '透明度', '10666509', '尿透明度');
INSERT INTO `tran_lis_config` VALUES ('67', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规', '颜色', '10666510', '尿颜色');
INSERT INTO `tran_lis_config` VALUES ('68', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规', '维生素C', '10004349', '尿维生素C');
INSERT INTO `tran_lis_config` VALUES ('69', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能', 'α-L-岩藻糖苷酶', '10667068', 'α-L-岩藻糖苷酶');
INSERT INTO `tran_lis_config` VALUES ('70', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规', '亚硝酸盐', '10004347', '尿亚硝酸盐');
INSERT INTO `tran_lis_config` VALUES ('71', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿白蛋白及肌酐测定', '尿白蛋白/肌酐比值', '10666512', '白蛋白/肌酐比值');
INSERT INTO `tran_lis_config` VALUES ('72', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过敏原检查', '总IgE(定性)', '10004316', '免疫球蛋白E');
INSERT INTO `tran_lis_config` VALUES ('73', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过敏原检查', '矮豚草/葎草', '10666513', '矮豚草/葎草(过敏原检查)');
INSERT INTO `tran_lis_config` VALUES ('74', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过敏原检查', '粉尘', '10666514', '粉尘(过敏原检查)');
INSERT INTO `tran_lis_config` VALUES ('75', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过敏原检查', '狗皮屑', '10666515', '狗皮屑(过敏原检查)');
INSERT INTO `tran_lis_config` VALUES ('76', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过敏原检查', '花生', '10666516', '花生(过敏原检查)');
INSERT INTO `tran_lis_config` VALUES ('77', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过敏原检查', '黄豆', '10666517', '黄豆(过敏原检查)');
INSERT INTO `tran_lis_config` VALUES ('78', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过敏原检查', '鸡蛋白', '10666518', '鸡蛋白(过敏原检查)');
INSERT INTO `tran_lis_config` VALUES ('79', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过敏原检查', '猫皮屑', '10666519', '猫皮屑(过敏原检查)');
INSERT INTO `tran_lis_config` VALUES ('80', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过敏原检查', '霉菌组合(点青/分枝/烟曲/交链)', '10666520', '霉菌(过敏原检查)');
INSERT INTO `tran_lis_config` VALUES ('81', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过敏原检查', '牛奶', '10666521', '牛奶(过敏原检查)');
INSERT INTO `tran_lis_config` VALUES ('82', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过敏原检查', '牛肉', '10666522', '牛肉(过敏原检查)');
INSERT INTO `tran_lis_config` VALUES ('83', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过敏原检查', '屋尘', '10666523', '屋尘(过敏原检查)');
INSERT INTO `tran_lis_config` VALUES ('84', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过敏原检查', '虾', '10666524', '虾(过敏原检查)');
INSERT INTO `tran_lis_config` VALUES ('85', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过敏原检查', '蟹', '10666525', '蟹(过敏原检查)');
INSERT INTO `tran_lis_config` VALUES ('86', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过敏原检查', '羊肉', '10666526', '羊肉(过敏原检查)');
INSERT INTO `tran_lis_config` VALUES ('87', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过敏原检查', '腰果', '10666527', '腰果(过敏原检查)');
INSERT INTO `tran_lis_config` VALUES ('88', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过敏原检查', '鱼(鲤鱼/鲈鱼/鲑鱼)', '10666528', '鱼(过敏原检查)');
INSERT INTO `tran_lis_config` VALUES ('89', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过敏原检查', '榆树/梧桐树/柳树/杨树', '10666529', '榆树/梧桐树/柳树/杨树(过敏原检查)');
INSERT INTO `tran_lis_config` VALUES ('90', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过敏原检查', '蟑螂', '10666530', '蟑螂(过敏原检查)');
INSERT INTO `tran_lis_config` VALUES ('91', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液常规', '白细胞', '10666531', '白细胞(精液)');
INSERT INTO `tran_lis_config` VALUES ('92', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液常规', '红细胞', '10666532', '红细胞(精液)');
INSERT INTO `tran_lis_config` VALUES ('93', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液常规', 'PH值', '10666533', '酸碱度(精液)');
INSERT INTO `tran_lis_config` VALUES ('94', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液常规', '比重', '10666534', '比重(精液)');
INSERT INTO `tran_lis_config` VALUES ('95', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液常规', '精液量', '10004466', '精液量');
INSERT INTO `tran_lis_config` VALUES ('96', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液常规', '精子存活率', '10004473', '精子存活率');
INSERT INTO `tran_lis_config` VALUES ('97', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液常规', '精子活动力', '10006617', '精子活动力');
INSERT INTO `tran_lis_config` VALUES ('98', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液常规', '精子密度', '10004472', '精子密度');
INSERT INTO `tran_lis_config` VALUES ('99', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液常规', '精子正常形态', '10004474', '精子正常形态');
INSERT INTO `tran_lis_config` VALUES ('100', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液常规', '精子总数', '10004471', '精子总数');
INSERT INTO `tran_lis_config` VALUES ('101', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液常规', '外观', '10666535', '外观(精液)');
INSERT INTO `tran_lis_config` VALUES ('102', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液常规', '未成熟生殖细胞', '10666536', '未成熟生殖细胞(精液)');
INSERT INTO `tran_lis_config` VALUES ('103', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液常规', '嗅味', '10666537', '嗅味(精液)');
INSERT INTO `tran_lis_config` VALUES ('104', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液常规', '液化时间', '10666538', '液化时间(精液)');
INSERT INTO `tran_lis_config` VALUES ('105', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液常规', '精子乳酸脱氢酶-X', '10666539', '乳酸脱氢酶-X(精液)');
INSERT INTO `tran_lis_config` VALUES ('106', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液常规', '果糖', '10666540', '果糖(精液)');
INSERT INTO `tran_lis_config` VALUES ('107', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液常规', '抗精子抗体', '10666541', '抗精子抗体(精液)');
INSERT INTO `tran_lis_config` VALUES ('108', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液常规', '精子低渗胀试验', '10006623', '精子低渗胀试验');
INSERT INTO `tran_lis_config` VALUES ('109', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液常规', '顶体酶', '10006618', '精子顶体酶');
INSERT INTO `tran_lis_config` VALUES ('110', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃液常规', '白细胞', '10666542', '白细胞(胃液)');
INSERT INTO `tran_lis_config` VALUES ('111', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃液常规', '红细胞', '10666543', '红细胞(胃液)');
INSERT INTO `tran_lis_config` VALUES ('112', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃液常规', '酸碱度', '10666544', '酸碱度(胃液)');
INSERT INTO `tran_lis_config` VALUES ('113', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃液常规', '癌细胞', '10666545', '癌细胞(胃液)');
INSERT INTO `tran_lis_config` VALUES ('114', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃液常规', '比重', '10666546', '比重(胃液)');
INSERT INTO `tran_lis_config` VALUES ('115', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃液常规', '黏液', '10666547', '黏液(胃液)');
INSERT INTO `tran_lis_config` VALUES ('116', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃液常规', '气味', '10666548', '气味(胃液)');
INSERT INTO `tran_lis_config` VALUES ('117', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃液常规', '上皮细胞', '10666549', '上皮细胞(胃液)');
INSERT INTO `tran_lis_config` VALUES ('118', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃液常规', '细菌', '10666550', '细菌(胃液)');
INSERT INTO `tran_lis_config` VALUES ('119', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃液常规', '颜色', '10666551', '颜色(胃液)');
INSERT INTO `tran_lis_config` VALUES ('120', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃液常规', '高峰泌酸量(PAO)', '10666552', '高峰泌酸量');
INSERT INTO `tran_lis_config` VALUES ('121', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃液常规', '最大泌酸量(MAO)', '10666553', '最大泌酸量');
INSERT INTO `tran_lis_config` VALUES ('122', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃液常规', '乳酸', '10666554', '乳酸(胃液)');
INSERT INTO `tran_lis_config` VALUES ('123', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃液常规', 'BAO/MAO', '10004458', 'BAO/MAO');
INSERT INTO `tran_lis_config` VALUES ('124', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃液常规', '基础泌酸量(BAO)', '10666555', '基础泌酸量');
INSERT INTO `tran_lis_config` VALUES ('125', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃液常规', '潜血', '10666556', '潜血(胃液)');
INSERT INTO `tran_lis_config` VALUES ('126', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃液常规', '胃液分泌总量', '10004450', '胃液分泌总量');
INSERT INTO `tran_lis_config` VALUES ('127', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃液常规', '空腹胃液量', '10666557', '胃液量');
INSERT INTO `tran_lis_config` VALUES ('128', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', '白细胞', '10666558', '白细胞(粪便)');
INSERT INTO `tran_lis_config` VALUES ('129', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', '红细胞', '10666559', '红细胞(粪便)');
INSERT INTO `tran_lis_config` VALUES ('130', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', 'PH值', '10666560', '酸碱度(粪便)');
INSERT INTO `tran_lis_config` VALUES ('131', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', '隐血', '10004428', '粪便隐血');
INSERT INTO `tran_lis_config` VALUES ('132', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', '虫卵', '10666561', '虫卵(粪便)');
INSERT INTO `tran_lis_config` VALUES ('133', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', '革兰阴性稍弯曲弧菌', '10666562', '霍乱弧菌(粪便涂片)');
INSERT INTO `tran_lis_config` VALUES ('134', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', '脓球', '10666563', '脓球(粪便)');
INSERT INTO `tran_lis_config` VALUES ('135', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', '上皮细胞', '10666564', '上皮细胞(粪便)');
INSERT INTO `tran_lis_config` VALUES ('136', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', '性状', '10666565', '性状(粪便)');
INSERT INTO `tran_lis_config` VALUES ('137', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', '颜色', '10666566', '颜色(粪便)');
INSERT INTO `tran_lis_config` VALUES ('138', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', '脂肪球', '10666567', '脂肪球(粪便)');
INSERT INTO `tran_lis_config` VALUES ('139', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', '志贺氏菌', '10666568', '志贺氏菌(粪便涂片)');
INSERT INTO `tran_lis_config` VALUES ('140', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', '蛋白质定量', '10666569', '蛋白质(粪便)');
INSERT INTO `tran_lis_config` VALUES ('141', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', '粪卟啉', '10592449', '粪卟啉');
INSERT INTO `tran_lis_config` VALUES ('142', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', '胆红素', '10666570', '粪胆红素');
INSERT INTO `tran_lis_config` VALUES ('143', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', '粪胆素', '10666570', '粪胆红素');
INSERT INTO `tran_lis_config` VALUES ('144', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', '胆原定量', '10666571', '粪胆原');
INSERT INTO `tran_lis_config` VALUES ('145', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗凝血', '血浆纤溶酶-抗纤溶酶复合物', '10666572', '纤溶酶-抗纤溶酶复合物');
INSERT INTO `tran_lis_config` VALUES ('146', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗凝血', '血浆蛋白C活性', '10666573', '蛋白C活性');
INSERT INTO `tran_lis_config` VALUES ('147', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗凝血', '狼疮抗凝物质', '10004376', '狼疮抗凝物质');
INSERT INTO `tran_lis_config` VALUES ('148', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗凝血', '纤维蛋白(原)降解产物', '10666574', '纤维蛋白降解产物');
INSERT INTO `tran_lis_config` VALUES ('149', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗凝血', '血清纤维蛋白降解产物', '10666574', '纤维蛋白降解产物');
INSERT INTO `tran_lis_config` VALUES ('150', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗凝血', '优球蛋白溶解时间', '10006535', '优球蛋白溶解时间');
INSERT INTO `tran_lis_config` VALUES ('151', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗凝血', '血浆纤维蛋白肽Bβ1-42', '10666575', '纤维蛋白肽Bβ1-42');
INSERT INTO `tran_lis_config` VALUES ('152', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗凝血', '血浆纤维蛋白肽BP15-42', '10666576', '纤维蛋白肽BP15-42');
INSERT INTO `tran_lis_config` VALUES ('153', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗凝血', '抗凝血酶Ⅲ抗原', '10006530', '抗凝血酶Ⅲ抗原');
INSERT INTO `tran_lis_config` VALUES ('154', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗凝血', '血浆抗凝血酶Ⅲ活性', '10666577', '抗凝血酶Ⅲ活性');
INSERT INTO `tran_lis_config` VALUES ('155', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗凝血', '血浆抗凝血酶活性', '10666578', '抗凝血酶活性');
INSERT INTO `tran_lis_config` VALUES ('156', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗凝血', '抗心磷脂抗体', '10004379', '抗心磷脂抗体');
INSERT INTO `tran_lis_config` VALUES ('157', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗凝血', '血浆α2纤溶酶抑制物活性', '10666579', 'α2纤溶酶抑制物活性');
INSERT INTO `tran_lis_config` VALUES ('158', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗凝血', '血浆凝血酶-抗凝血酶复合物', '10666580', '凝血酶-抗凝血酶复合物');
INSERT INTO `tran_lis_config` VALUES ('159', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗凝血', '血浆游离蛋白S抗原', '10666581', '游离蛋白S抗原');
INSERT INTO `tran_lis_config` VALUES ('160', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗凝血', '血浆鱼精蛋白副凝试验', '10666582', '鱼精蛋白副凝试验');
INSERT INTO `tran_lis_config` VALUES ('161', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗凝血', '血浆总蛋白S抗原', '10666583', '总蛋白S抗原');
INSERT INTO `tran_lis_config` VALUES ('162', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿液其他成分检查', '尿酸', '10666584', '尿尿酸');
INSERT INTO `tran_lis_config` VALUES ('163', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿液其他成分检查', '尿卟啉', '10006555', '尿卟啉');
INSERT INTO `tran_lis_config` VALUES ('164', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿液其他成分检查', '总氮', '10006557', '尿总氮');
INSERT INTO `tran_lis_config` VALUES ('165', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿液其他成分检查', '肌红蛋白定量', '10666585', '尿肌红蛋白');
INSERT INTO `tran_lis_config` VALUES ('166', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿液其他成分检查', '肌红蛋白定性', '10666585', '尿肌红蛋白');
INSERT INTO `tran_lis_config` VALUES ('167', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿液其他成分检查', '免疫球蛋白', '10006565', '尿免疫球蛋白');
INSERT INTO `tran_lis_config` VALUES ('168', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿液其他成分检查', '血红蛋白定性', '10666586', '尿血红蛋白');
INSERT INTO `tran_lis_config` VALUES ('169', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿液其他成分检查', '含铁血黄素', '10006554', '尿含铁血黄素');
INSERT INTO `tran_lis_config` VALUES ('170', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿液其他成分检查', '纤维蛋白降解产物', '10006563', '尿纤维蛋白降解产物');
INSERT INTO `tran_lis_config` VALUES ('171', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿液其他成分检查', '肌酸', '10006561', '尿肌酸');
INSERT INTO `tran_lis_config` VALUES ('172', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿液其他成分检查', '肌酐', '10006558', '尿肌酐');
INSERT INTO `tran_lis_config` VALUES ('173', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿液其他成分检查', '补体C3', '10666587', '尿C3');
INSERT INTO `tran_lis_config` VALUES ('174', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿液其他成分检查', '尿素氮', '10666588', '尿尿素氮');
INSERT INTO `tran_lis_config` VALUES ('175', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿液其他成分检查', '溶菌酶', '10006562', '尿溶菌酶');
INSERT INTO `tran_lis_config` VALUES ('176', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿液其他成分检查', '乳糜尿试验', '10006556', '乳糜尿试验');
INSERT INTO `tran_lis_config` VALUES ('177', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿液其他成分检查', '粘蛋白', '10006564', '尿粘蛋白');
INSERT INTO `tran_lis_config` VALUES ('178', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿液其他成分检查', '尿清蛋白排泄率', '10666589', '清蛋白排泄率');
INSERT INTO `tran_lis_config` VALUES ('179', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆肾素活性', '肾素活性(卧位)', '10667102', '肾素活性(卧位)');
INSERT INTO `tran_lis_config` VALUES ('180', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能', 'γ-谷氨酰转移酶', '10004417', 'γ-谷氨酰转移酶');
INSERT INTO `tran_lis_config` VALUES ('181', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能', '总蛋白', '10004407', '总蛋白');
INSERT INTO `tran_lis_config` VALUES ('182', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能', '总胆红素', '10004413', '总胆红素');
INSERT INTO `tran_lis_config` VALUES ('183', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能', '总胆汁酸', '10004419', '总胆汁酸');
INSERT INTO `tran_lis_config` VALUES ('184', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能', '乳酸脱氢酶', '10004047', '乳酸脱氢酶');
INSERT INTO `tran_lis_config` VALUES ('185', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能', '间接胆红素', '10004415', '间接胆红素');
INSERT INTO `tran_lis_config` VALUES ('186', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能', '谷氨酸脱氢酶', '10004418', '谷氨酸脱氢酶');
INSERT INTO `tran_lis_config` VALUES ('187', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能', '球蛋白', '10004409', '球蛋白');
INSERT INTO `tran_lis_config` VALUES ('188', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能', '直接胆红素/总胆红素', '10007841', '直接胆红素/总胆红素');
INSERT INTO `tran_lis_config` VALUES ('189', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能', '直接胆红素', '10004414', '直接胆红素');
INSERT INTO `tran_lis_config` VALUES ('190', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能', '谷草/谷丙', '10666590', '谷草/谷丙');
INSERT INTO `tran_lis_config` VALUES ('191', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能', '谷丙转氨酶', '10004411', '谷丙转氨酶');
INSERT INTO `tran_lis_config` VALUES ('192', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能', '碱性磷酸酶', '10004416', '碱性磷酸酶');
INSERT INTO `tran_lis_config` VALUES ('193', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能', '白蛋白', '10004408', '白蛋白');
INSERT INTO `tran_lis_config` VALUES ('194', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能', '白蛋白/球蛋白比值', '10004410', '白蛋白/球蛋白比值');
INSERT INTO `tran_lis_config` VALUES ('195', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿沉渣分析', '白细胞', '10666591', '白细胞(尿沉渣分析)');
INSERT INTO `tran_lis_config` VALUES ('196', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿沉渣分析', '尿白细胞(高倍)', '10666591', '白细胞(尿沉渣分析)');
INSERT INTO `tran_lis_config` VALUES ('197', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿沉渣分析', '红细胞', '10004425', '尿红细胞');
INSERT INTO `tran_lis_config` VALUES ('198', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿沉渣分析', '尿红细胞(高倍)', '10666592', '红细胞(尿沉渣分析)');
INSERT INTO `tran_lis_config` VALUES ('199', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿沉渣分析', '电导率', '10666593', '电导率(尿沉渣分析)');
INSERT INTO `tran_lis_config` VALUES ('200', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿白蛋白及肌酐测定', '尿白蛋白排泄率', '10666511', '白蛋白排泄率');
INSERT INTO `tran_lis_config` VALUES ('201', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿白蛋白及肌酐测定', '肌酐', '10006558', '尿肌酐');
INSERT INTO `tran_lis_config` VALUES ('202', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿沉渣分析', '管型', '10666594', '尿管型');
INSERT INTO `tran_lis_config` VALUES ('203', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿沉渣分析', '结晶数量', '10666597', '结晶(尿沉渣分析)');
INSERT INTO `tran_lis_config` VALUES ('204', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿沉渣分析', '类酵母样细胞', '10666598', '类酵母样细胞(尿沉渣分析)');
INSERT INTO `tran_lis_config` VALUES ('205', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿沉渣分析', '上皮细胞', '10666599', '上皮细胞(尿沉渣分析)');
INSERT INTO `tran_lis_config` VALUES ('206', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿沉渣分析', '上皮细胞(高倍)', '10666600', '上皮细胞(高倍)(尿沉渣分析)');
INSERT INTO `tran_lis_config` VALUES ('207', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿沉渣分析', '细菌', '10666601', '细菌(尿沉渣分析)');
INSERT INTO `tran_lis_config` VALUES ('208', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿沉渣分析', '细菌(高倍)', '10666602', '细菌(高倍)(尿沉渣分析)');
INSERT INTO `tran_lis_config` VALUES ('209', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿沉渣分析', '小圆上皮细胞', '10666603', '小圆上皮细胞(尿沉渣分析)');
INSERT INTO `tran_lis_config` VALUES ('210', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养及鉴定', '结核分枝杆菌', '10666604', '结核分枝杆菌(血培养及鉴定)');
INSERT INTO `tran_lis_config` VALUES ('211', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养及鉴定', '结核杆菌', '10666605', '结核杆菌(血培养及鉴定)');
INSERT INTO `tran_lis_config` VALUES ('212', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养及鉴定', '埃肯菌', '10666606', '埃肯菌(血培养及鉴定)');
INSERT INTO `tran_lis_config` VALUES ('213', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养及鉴定', '草绿色链球菌', '10666607', '草绿色链球菌(血培养及鉴定)');
INSERT INTO `tran_lis_config` VALUES ('214', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养及鉴定', '肠球菌', '10666608', '肠球菌(血培养及鉴定)');
INSERT INTO `tran_lis_config` VALUES ('215', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养及鉴定', '放线杆菌', '10666609', '放线杆菌(血培养及鉴定)');
INSERT INTO `tran_lis_config` VALUES ('216', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养及鉴定', '艰难梭状杆菌', '10666610', '艰难梭状杆菌(血培养及鉴定)');
INSERT INTO `tran_lis_config` VALUES ('217', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养及鉴定', '金黄色葡萄球菌', '10666611', '金黄色葡萄球菌(血培养及鉴定)');
INSERT INTO `tran_lis_config` VALUES ('218', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养及鉴定', '金氏菌', '10666612', '金氏菌(血培养及鉴定)');
INSERT INTO `tran_lis_config` VALUES ('219', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养及鉴定', '军团菌', '10666613', '军团菌(血培养及鉴定)');
INSERT INTO `tran_lis_config` VALUES ('220', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养及鉴定', '立克次体', '10666614', '立克次体(血培养及鉴定)');
INSERT INTO `tran_lis_config` VALUES ('221', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养及鉴定', '牛链球菌', '10666615', '牛链球菌(血培养及鉴定)');
INSERT INTO `tran_lis_config` VALUES ('222', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养及鉴定', '伤寒杆菌', '10666616', '伤寒杆菌(血培养及鉴定)');
INSERT INTO `tran_lis_config` VALUES ('223', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养及鉴定', '嗜血杆菌', '10666617', '嗜血杆菌(血培养及鉴定)');
INSERT INTO `tran_lis_config` VALUES ('224', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养及鉴定', '心杆菌', '10666618', '心杆菌(血培养及鉴定)');
INSERT INTO `tran_lis_config` VALUES ('225', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '电解质', '锌', '10666619', '锌');
INSERT INTO `tran_lis_config` VALUES ('226', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '电解质', '铅', '10666909', '血铅');
INSERT INTO `tran_lis_config` VALUES ('227', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '电解质', '磷(无机磷)', '10666621', '血磷');
INSERT INTO `tran_lis_config` VALUES ('228', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '电解质', '钠离子', '10002568', '钠离子');
INSERT INTO `tran_lis_config` VALUES ('229', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '电解质', '镁', '10666622', '血镁');
INSERT INTO `tran_lis_config` VALUES ('230', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '电解质', '钾离子', '10002567', '钾离子');
INSERT INTO `tran_lis_config` VALUES ('231', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '电解质', '汞', '10666623', '汞');
INSERT INTO `tran_lis_config` VALUES ('232', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '电解质', '碳酸氢根', '10002573', '碳酸氢根');
INSERT INTO `tran_lis_config` VALUES ('233', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '电解质', '铁', '10666624', '铁');
INSERT INTO `tran_lis_config` VALUES ('234', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '电解质', '铜', '10666625', '铜');
INSERT INTO `tran_lis_config` VALUES ('235', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '电解质', '氯离子', '10002571', '氯离子');
INSERT INTO `tran_lis_config` VALUES ('236', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '电解质', '总钙', '10004393', '总钙');
INSERT INTO `tran_lis_config` VALUES ('237', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '电解质', '游离钙', '10002569', '游离钙');
INSERT INTO `tran_lis_config` VALUES ('238', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血气分析', '血氧饱和度', '10004387', '血氧饱和度');
INSERT INTO `tran_lis_config` VALUES ('239', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血气分析', '动脉血氧分压', '10004377', '动脉血氧分压');
INSERT INTO `tran_lis_config` VALUES ('240', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血气分析', '血PH值', '10666626', '酸碱度(血)');
INSERT INTO `tran_lis_config` VALUES ('241', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血气分析', '动脉血二氧化碳分压', '10004385', '动脉血二氧化碳分压');
INSERT INTO `tran_lis_config` VALUES ('242', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血气分析', '丙酮酸', '10666627', '血丙酮酸');
INSERT INTO `tran_lis_config` VALUES ('243', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血气分析', '乳酸/丙酮酸', '10008507', '乳酸/丙酮酸');
INSERT INTO `tran_lis_config` VALUES ('244', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血气分析', '血乳酸', '10380605', '乳酸');
INSERT INTO `tran_lis_config` VALUES ('245', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血气分析', '碳酸氢根', '10002573', '碳酸氢根');
INSERT INTO `tran_lis_config` VALUES ('246', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血气分析', '二氧化碳结合率', '10004386', '二氧化碳结合率');
INSERT INTO `tran_lis_config` VALUES ('247', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血气分析', '剩余碱', '10004391', '剩余碱');
INSERT INTO `tran_lis_config` VALUES ('248', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血气分析', '全血缓冲碱', '10666628', '缓冲碱');
INSERT INTO `tran_lis_config` VALUES ('249', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血气分析', '阴离子间隙', '10004392', '阴离子间隙');
INSERT INTO `tran_lis_config` VALUES ('250', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血气分析', '血浆渗透压', '10666629', '渗透压(血)');
INSERT INTO `tran_lis_config` VALUES ('251', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白带常规', '白细胞', '10666630', '白细胞(白带)');
INSERT INTO `tran_lis_config` VALUES ('252', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白带常规', '红细胞', '10666631', '红细胞(白带)');
INSERT INTO `tran_lis_config` VALUES ('253', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白带常规', '酸碱度', '10666632', '酸碱度(白带)');
INSERT INTO `tran_lis_config` VALUES ('254', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白带常规', '滴虫', '10666633', '滴虫(白带)');
INSERT INTO `tran_lis_config` VALUES ('255', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白带常规', '加特纳杆菌', '10666634', '加特纳杆菌(白带)');
INSERT INTO `tran_lis_config` VALUES ('256', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白带常规', '霉菌', '10666635', '霉菌(白带)');
INSERT INTO `tran_lis_config` VALUES ('257', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白带常规', '清洁度', '10666636', '清洁度(白带)');
INSERT INTO `tran_lis_config` VALUES ('258', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白带常规', '乳酸杆菌', '10666637', '乳酸杆菌(白带)');
INSERT INTO `tran_lis_config` VALUES ('259', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白带常规', '上皮细胞', '10666638', '上皮细胞(白带)');
INSERT INTO `tran_lis_config` VALUES ('260', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白带常规', '外观', '10666639', '外观(白带)');
INSERT INTO `tran_lis_config` VALUES ('261', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白带常规', '线索细胞', '10666640', '线索细胞(白带)');
INSERT INTO `tran_lis_config` VALUES ('262', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白带常规', '杂菌', '10666641', '杂菌(白带)');
INSERT INTO `tran_lis_config` VALUES ('263', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血因子', '可溶性纤维蛋白单体复合物', '10004374', '可溶性纤维蛋白单体复合物');
INSERT INTO `tran_lis_config` VALUES ('264', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血因子', '凝血因子Ⅱ', '10004362', '凝血因子Ⅱ');
INSERT INTO `tran_lis_config` VALUES ('265', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血因子', '血浆纤维蛋白原(FG)', '10021216', '纤维蛋白原');
INSERT INTO `tran_lis_config` VALUES ('266', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血因子', '凝血因子Ⅷ', '10004369', '凝血因子Ⅷ');
INSERT INTO `tran_lis_config` VALUES ('267', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血因子', '凝血因子Ⅴ', '10004363', '凝血因子Ⅴ');
INSERT INTO `tran_lis_config` VALUES ('268', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血因子', '凝血因子Ⅶ', '10004364', '凝血因子Ⅶ');
INSERT INTO `tran_lis_config` VALUES ('269', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血因子', '凝血因子Ⅷ抑制物', '10004371', '凝血因子Ⅷ抑制物');
INSERT INTO `tran_lis_config` VALUES ('270', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血因子', '凝血因子Ⅸ', '10004365', '凝血因子Ⅸ');
INSERT INTO `tran_lis_config` VALUES ('271', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血因子', '凝血因子Ⅹ', '10004366', '凝血因子Ⅹ');
INSERT INTO `tran_lis_config` VALUES ('272', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血因子', '凝血因子Ⅺ', '10004367', '凝血因子Ⅺ');
INSERT INTO `tran_lis_config` VALUES ('273', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血因子', '凝血因子Ⅻ', '10004368', '凝血因子Ⅻ');
INSERT INTO `tran_lis_config` VALUES ('274', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '前列腺液常规', '白细胞', '10666642', '白细胞(前列腺液)');
INSERT INTO `tran_lis_config` VALUES ('275', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '前列腺液常规', '红细胞', '10666643', '红细胞(前列腺液)');
INSERT INTO `tran_lis_config` VALUES ('276', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '前列腺液常规', 'PH值', '10666644', '酸碱度(前列腺液)');
INSERT INTO `tran_lis_config` VALUES ('277', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '前列腺液常规', '滴虫', '10666645', '滴虫(前列腺液)');
INSERT INTO `tran_lis_config` VALUES ('278', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '前列腺液常规', '淀粉样体', '10666646', '淀粉样体(前列腺液常规)');
INSERT INTO `tran_lis_config` VALUES ('279', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '前列腺液常规', '精子', '10666647', '精子(前列腺液)');
INSERT INTO `tran_lis_config` VALUES ('280', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '前列腺液常规', '颗粒细胞', '10666648', '颗粒细胞(前列腺液)');
INSERT INTO `tran_lis_config` VALUES ('281', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '前列腺液常规', '卵磷脂小体', '10666649', '卵磷脂小体(前列腺液)');
INSERT INTO `tran_lis_config` VALUES ('282', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '前列腺液常规', '上皮细胞', '10666650', '上皮细胞(前列腺液)');
INSERT INTO `tran_lis_config` VALUES ('283', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '前列腺液常规', '性状', '10666651', '性状(前列腺液)');
INSERT INTO `tran_lis_config` VALUES ('284', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '前列腺液常规', '液化时间', '10666652', '液化时间(前列腺液)');
INSERT INTO `tran_lis_config` VALUES ('285', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸水常规', '酸碱度', '10666653', '酸碱度(胸水)');
INSERT INTO `tran_lis_config` VALUES ('286', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸水常规', '比重', '10666654', '比重(胸水)');
INSERT INTO `tran_lis_config` VALUES ('287', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸水常规', '黏蛋白定性', '10666655', '黏蛋白(胸水)');
INSERT INTO `tran_lis_config` VALUES ('288', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸水常规', '凝固性', '10666656', '凝固性(胸水)');
INSERT INTO `tran_lis_config` VALUES ('289', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸水常规', '透明度', '10666657', '透明度(胸水)');
INSERT INTO `tran_lis_config` VALUES ('290', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸水常规', '细胞计数', '10666658', '细胞计数(胸水)');
INSERT INTO `tran_lis_config` VALUES ('291', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸水常规', '颜色', '10666659', '颜色(胸水)');
INSERT INTO `tran_lis_config` VALUES ('292', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸水常规', '异型细胞', '10666660', '异型细胞(胸水)');
INSERT INTO `tran_lis_config` VALUES ('293', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸水常规', '蛋白定量', '10666661', '蛋白质(胸水)');
INSERT INTO `tran_lis_config` VALUES ('294', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸水常规', '乳酸脱氢酶', '10666662', '乳酸脱氢酶(胸水)');
INSERT INTO `tran_lis_config` VALUES ('295', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸水常规', '葡萄糖定量', '10666663', '葡萄糖(胸水)');
INSERT INTO `tran_lis_config` VALUES ('296', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血功能常规', '凝血酶时间(TT)', '10021054', '凝血酶时间');
INSERT INTO `tran_lis_config` VALUES ('297', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血功能常规', '凝血酶原时间比', '10006528', '凝血酶原时间比');
INSERT INTO `tran_lis_config` VALUES ('298', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血功能常规', '凝血酶原活动度', '10007867', '凝血酶原活动度');
INSERT INTO `tran_lis_config` VALUES ('299', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血功能常规', '凝血酶原时间(PT)', '10021053', '凝血酶原时间');
INSERT INTO `tran_lis_config` VALUES ('300', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血功能常规', '国际标准化比值', '10004373', '国际标准化比值');
INSERT INTO `tran_lis_config` VALUES ('301', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血功能常规', '纤维蛋白原(FIB)', '10021216', '纤维蛋白原');
INSERT INTO `tran_lis_config` VALUES ('302', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血功能常规', 'D-二聚体', '10021159', 'D-二聚体');
INSERT INTO `tran_lis_config` VALUES ('303', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血功能常规', '凝血时间(CT)', '10385002', '凝血时间');
INSERT INTO `tran_lis_config` VALUES ('304', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血功能常规', '部分活化凝血活酶时间(APTT)', '10666664', '部分活化凝血活酶时间');
INSERT INTO `tran_lis_config` VALUES ('305', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血功能常规', '活化凝血时间(ACTH)', '10666665', '活化凝血时间');
INSERT INTO `tran_lis_config` VALUES ('306', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌酶谱', 'α-羟丁酸脱氢酶', '10004048', 'α-羟丁酸脱氢酶');
INSERT INTO `tran_lis_config` VALUES ('307', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌酶谱', '乳酸脱氢酶', '10004047', '乳酸脱氢酶');
INSERT INTO `tran_lis_config` VALUES ('308', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌酶谱', '肌酸激酶同工酶CK-MM', '10004045', '肌酸激酶同工酶CK-MM');
INSERT INTO `tran_lis_config` VALUES ('309', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌酶谱', 'CK-MB/CK', '10006814', 'CK-MB/CK');
INSERT INTO `tran_lis_config` VALUES ('310', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌酶谱', '肌酸激酶同工酶CK-MB', '10004044', '肌酸激酶同工酶CK-MB');
INSERT INTO `tran_lis_config` VALUES ('311', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌酶谱', '肌酸激酶同工酶CK-BB', '10666667', '脑型肌酸激酶同工酶');
INSERT INTO `tran_lis_config` VALUES ('312', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌酶谱', '血清肌酸激酶CK', '10021112', '肌酸激酶');
INSERT INTO `tran_lis_config` VALUES ('313', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌酶谱', '缺血修饰白蛋白', '10006958', '缺血修饰白蛋白');
INSERT INTO `tran_lis_config` VALUES ('314', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌酶谱', '肌钙蛋白T(cTnT)', '10666668', '肌钙蛋白T');
INSERT INTO `tran_lis_config` VALUES ('315', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌酶谱', '肌钙蛋白Ⅰ(cTnI)', '10666669', '肌钙蛋白Ⅰ');
INSERT INTO `tran_lis_config` VALUES ('316', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '优生优育', '风疹病毒抗体IgM', '10004324', '风疹病毒抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('317', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '优生优育', '风疹病毒抗体IgG', '10004323', '风疹病毒抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('318', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '优生优育', '单纯疱疹病毒II型抗体IgM', '10004330', '单纯疱疹病毒II型抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('319', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '优生优育', '单纯疱疹病毒II型抗体IgG', '10004329', '单纯疱疹病毒II型抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('320', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '优生优育', '单纯疱疹病毒I型抗体IgM', '10004328', '单纯疱疹病毒I型抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('321', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '优生优育', '单纯疱疹病毒I型抗体IgG', '10004327', '单纯疱疹病毒I型抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('322', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '优生优育', '弓形虫抗体IgG', '10004321', '弓形虫抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('323', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '优生优育', '弓形虫抗体IgM', '10004322', '弓形虫抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('324', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '优生优育', '巨细胞病毒抗体IgG', '10004325', '巨细胞病毒抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('325', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '优生优育', '巨细胞病毒抗体IgM', '10004326', '巨细胞病毒抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('326', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾功能', '尿酸', '10004357', '尿酸');
INSERT INTO `tran_lis_config` VALUES ('327', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾功能', '血清胱抑素', '10666670', '胱抑素');
INSERT INTO `tran_lis_config` VALUES ('328', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾功能', '肌酐', '10004356', '肌酐');
INSERT INTO `tran_lis_config` VALUES ('329', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾功能', '尿素氮/肌酐', '10004358', '尿素氮/肌酐');
INSERT INTO `tran_lis_config` VALUES ('330', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾功能', '血尿素氮', '10006559', '尿素氮');
INSERT INTO `tran_lis_config` VALUES ('331', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾功能', '尿α1微量球蛋白', '10666671', '血α1微量球蛋白');
INSERT INTO `tran_lis_config` VALUES ('332', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾功能', '肾小球滤过率', '10004421', '肾小球滤过率');
INSERT INTO `tran_lis_config` VALUES ('333', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿白蛋白及肌酐测定', '尿微量白蛋白', '10004360', '尿微量白蛋白');
INSERT INTO `tran_lis_config` VALUES ('334', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾功能', '血清转铁蛋白', '10631054', '转铁蛋白');
INSERT INTO `tran_lis_config` VALUES ('335', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹水常规', '抗酸杆菌', '10666672', '抗酸杆菌(腹水)');
INSERT INTO `tran_lis_config` VALUES ('336', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹水常规', '黏蛋白定性', '10666673', '黏蛋白(腹水)');
INSERT INTO `tran_lis_config` VALUES ('337', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹水常规', '透明度', '10666674', '透明度(腹水)');
INSERT INTO `tran_lis_config` VALUES ('338', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹水常规', '细胞计数', '10666675', '细胞计数(腹水)');
INSERT INTO `tran_lis_config` VALUES ('339', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹水常规', '颜色', '10666676', '颜色(腹水)');
INSERT INTO `tran_lis_config` VALUES ('340', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹水常规', '蛋白定量', '10666677', '蛋白质(腹水)');
INSERT INTO `tran_lis_config` VALUES ('341', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹水常规', '乳酸脱氢酶', '10666678', '乳酸脱氢酶(腹水)');
INSERT INTO `tran_lis_config` VALUES ('342', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹水常规', '葡萄糖定量', '10666679', '葡萄糖(腹水)');
INSERT INTO `tran_lis_config` VALUES ('343', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '宫颈TCT', '人乳头瘤病毒', '10666680', '人乳头瘤病毒(宫颈TCT)');
INSERT INTO `tran_lis_config` VALUES ('344', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '宫颈TCT', '标本满意度', '10666681', '标本满意度(宫颈TCT)');
INSERT INTO `tran_lis_config` VALUES ('345', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '宫颈TCT', '滴虫感染', '10666682', '滴虫(宫颈TCT)');
INSERT INTO `tran_lis_config` VALUES ('346', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '宫颈TCT', '化生细胞', '10666683', '化生细胞(宫颈TCT)');
INSERT INTO `tran_lis_config` VALUES ('347', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '宫颈TCT', '颈管细胞', '10666684', '颈管细胞(宫颈TCT)');
INSERT INTO `tran_lis_config` VALUES ('348', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '宫颈TCT', '霉菌', '10666685', '霉菌(宫颈TCT)');
INSERT INTO `tran_lis_config` VALUES ('349', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '宫颈TCT', '疱疹病毒', '10666686', '疱疹病毒(宫颈TCT)');
INSERT INTO `tran_lis_config` VALUES ('350', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '宫颈TCT', '细胞量', '10666687', '细胞量(宫颈TCT)');
INSERT INTO `tran_lis_config` VALUES ('351', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液免疫学检查', '血清特异性IgM抗体', '10004315', '免疫球蛋白M');
INSERT INTO `tran_lis_config` VALUES ('352', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液免疫学检查', '血清特异性IgG抗体', '10004314', '免疫球蛋白G');
INSERT INTO `tran_lis_config` VALUES ('353', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液免疫学检查', '血清特异性IgE抗体', '10004316', '免疫球蛋白E');
INSERT INTO `tran_lis_config` VALUES ('354', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液免疫学检查', '血清特异性IgA抗体', '10004312', '免疫球蛋白A');
INSERT INTO `tran_lis_config` VALUES ('355', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液免疫学检查', '血清总补体活性', '10666688', '总补体活性');
INSERT INTO `tran_lis_config` VALUES ('356', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液免疫学检查', '补体C4', '10666689', '血清补体C4');
INSERT INTO `tran_lis_config` VALUES ('357', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液免疫学检查', '补体C3', '10666690', '血清补体C3');
INSERT INTO `tran_lis_config` VALUES ('358', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液免疫学检查', '补体旁路B因子', '10666691', '补体旁路B因子');
INSERT INTO `tran_lis_config` VALUES ('359', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血脂', '甘油三酯', '10004401', '甘油三酯');
INSERT INTO `tran_lis_config` VALUES ('360', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血脂', '总胆固醇', '10004400', '总胆固醇');
INSERT INTO `tran_lis_config` VALUES ('361', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血脂', '脂蛋白A', '10004404', '脂蛋白A');
INSERT INTO `tran_lis_config` VALUES ('362', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血脂', '低密度脂蛋白胆固醇', '10004402', '低密度脂蛋白胆固醇');
INSERT INTO `tran_lis_config` VALUES ('363', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血脂', '高密度脂蛋白胆固醇', '10004403', '高密度脂蛋白胆固醇');
INSERT INTO `tran_lis_config` VALUES ('364', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血脂', '载脂蛋白B', '10004406', '载脂蛋白B');
INSERT INTO `tran_lis_config` VALUES ('365', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血脂', '载脂蛋白A1', '10004405', '载脂蛋白A1');
INSERT INTO `tran_lis_config` VALUES ('366', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血脂', '载脂蛋白A/B', '10006599', '载脂蛋白A/B');
INSERT INTO `tran_lis_config` VALUES ('367', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '外周血涂片', '单核细胞百分比', '10004295', '单核细胞百分比');
INSERT INTO `tran_lis_config` VALUES ('368', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '外周血涂片', '淋巴细胞百分比', '10004286', '淋巴细胞百分比');
INSERT INTO `tran_lis_config` VALUES ('369', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '外周血涂片', '中性粒细胞百分比', '10004284', '中性粒细胞百分比');
INSERT INTO `tran_lis_config` VALUES ('370', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '外周血涂片', '嗜酸性粒细胞百分比', '10004297', '嗜酸性粒细胞百分比');
INSERT INTO `tran_lis_config` VALUES ('371', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '外周血涂片', '嗜碱性粒细胞百分比', '10004299', '嗜碱性粒细胞百分比');
INSERT INTO `tran_lis_config` VALUES ('372', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '外周血涂片', '红细胞分布宽度标准差', '10666692', '血红细胞分布宽度标准差');
INSERT INTO `tran_lis_config` VALUES ('373', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '外周血涂片', '红细胞体积分布宽度变异系', '10666693', '血红细胞体积分布宽度变异系');
INSERT INTO `tran_lis_config` VALUES ('374', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心包积液检查', '白细胞', '10666694', '白细胞(心包积液)');
INSERT INTO `tran_lis_config` VALUES ('375', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心包积液检查', '酸碱度', '10666695', '酸碱度(心包积液)');
INSERT INTO `tran_lis_config` VALUES ('376', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心包积液检查', '比重', '10666696', '比重(心包积液)');
INSERT INTO `tran_lis_config` VALUES ('377', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心包积液检查', '透明度', '10666697', '透明度(心包积液)');
INSERT INTO `tran_lis_config` VALUES ('378', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心包积液检查', '颜色', '10666698', '颜色(心包积液)');
INSERT INTO `tran_lis_config` VALUES ('379', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心包积液检查', '乳酸脱氢酶', '10666699', '乳酸脱氢酶(心包积液)');
INSERT INTO `tran_lis_config` VALUES ('380', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心包积液检查', '葡萄糖定量', '10666700', '葡萄糖(心包积液)');
INSERT INTO `tran_lis_config` VALUES ('381', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝三系定性', '乙肝病毒DNA', '10006605', '乙肝病毒DNA');
INSERT INTO `tran_lis_config` VALUES ('382', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝三系定性', '乙肝表面抗原(HBsAg)', '10666701', '乙肝表面抗原(定性)');
INSERT INTO `tran_lis_config` VALUES ('383', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝三系定性', '乙肝表面抗体(HBsAb)', '10666702', '乙肝表面抗体(定性)');
INSERT INTO `tran_lis_config` VALUES ('384', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝三系定性', '乙肝e抗原(HBeAg)', '10666703', '乙肝e抗原(定性)');
INSERT INTO `tran_lis_config` VALUES ('385', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝三系定性', '乙肝e抗体(HBeAb)', '10666704', '乙肝e抗体(定性)');
INSERT INTO `tran_lis_config` VALUES ('386', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝三系定性', '乙肝核心抗原(HBcAg)', '10666705', '乙肝核心抗原(定性)');
INSERT INTO `tran_lis_config` VALUES ('387', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝三系定性', '乙肝核心抗体(HBcAb)', '10666706', '乙肝核心抗体(定性)');
INSERT INTO `tran_lis_config` VALUES ('388', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '总前列腺特异性抗原(TPSA)', '10666707', '总前列腺特异性抗原');
INSERT INTO `tran_lis_config` VALUES ('389', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '铁蛋白(Ferritin)', '10021133', '铁蛋白');
INSERT INTO `tran_lis_config` VALUES ('390', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '癌胚抗原(CEA)', '10021096', '癌胚抗原');
INSERT INTO `tran_lis_config` VALUES ('391', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '糖链抗原19-9(CA199)', '10666708', '糖链抗原19-9');
INSERT INTO `tran_lis_config` VALUES ('392', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '癌抗原15-3(CA153)', '10666709', '癌抗原15-3');
INSERT INTO `tran_lis_config` VALUES ('393', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '癌抗原125(CA125)', '10666710', '癌抗原125');
INSERT INTO `tran_lis_config` VALUES ('394', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '甲胎蛋白(AFP)', '10021199', '甲胎蛋白');
INSERT INTO `tran_lis_config` VALUES ('395', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肺部肿瘤标志物', '鳞状细胞癌抗原(SCC)', '10666711', '鳞状细胞癌抗原');
INSERT INTO `tran_lis_config` VALUES ('396', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肺部肿瘤标志物', '胃泌素释放肽前体(ProGRP)', '10666910', '胃泌素释放肽前体');
INSERT INTO `tran_lis_config` VALUES ('397', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肺部肿瘤标志物', '神经元特异性烯醇化酶(NSE)', '10666713', '神经元特异性烯醇化酶');
INSERT INTO `tran_lis_config` VALUES ('398', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肺部肿瘤标志物', '细胞角蛋白片段19(CYFRA21-1)', '10666714', '细胞角蛋白片段19');
INSERT INTO `tran_lis_config` VALUES ('399', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肺部肿瘤标志物', '癌胚抗原(CEA)', '10021096', '癌胚抗原');
INSERT INTO `tran_lis_config` VALUES ('400', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肺部肿瘤标志物', '癌抗原125(CA125)', '10666710', '癌抗原125');
INSERT INTO `tran_lis_config` VALUES ('401', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '关节液常规', '白细胞', '10666715', '白细胞(关节液)');
INSERT INTO `tran_lis_config` VALUES ('402', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '关节液常规', '单核细胞百分比', '10666716', '单核细胞百分比(关节液)');
INSERT INTO `tran_lis_config` VALUES ('403', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '关节液常规', '尿酸盐结晶', '10666717', '结晶(关节液)');
INSERT INTO `tran_lis_config` VALUES ('404', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '关节液常规', '黏蛋白凝固试验', '10666718', '黏蛋白凝固试验(关节液)');
INSERT INTO `tran_lis_config` VALUES ('405', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '关节液常规', '透明度', '10666719', '透明度(关节液)');
INSERT INTO `tran_lis_config` VALUES ('406', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '关节液常规', '颜色', '10666720', '颜色(关节液)');
INSERT INTO `tran_lis_config` VALUES ('407', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺功能常规', '血清总甲状腺素(TT4)', '10666721', '总甲状腺素');
INSERT INTO `tran_lis_config` VALUES ('408', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺功能常规', '总三碘甲状腺原氨酸(TT3)', '10666722', '总三碘甲状腺原氨酸');
INSERT INTO `tran_lis_config` VALUES ('409', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺功能常规', '促甲状腺激素', '10004127', '促甲状腺激素');
INSERT INTO `tran_lis_config` VALUES ('410', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝三系定量检测', '乙肝表面抗体(HBsAb)', '10667075', '乙肝表面抗体(定量)');
INSERT INTO `tran_lis_config` VALUES ('411', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺功能常规', '血清游离甲状腺素(FT4)', '10021089', '游离甲状腺素');
INSERT INTO `tran_lis_config` VALUES ('412', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺功能常规', '游离三碘甲状腺激素(FT3)', '10666723', '游离三碘甲状腺激素');
INSERT INTO `tran_lis_config` VALUES ('413', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '类风湿因子(RF)', '类风湿因子IgM', '10004331', '类风湿因子IgM');
INSERT INTO `tran_lis_config` VALUES ('414', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '类风湿因子(RF)', '类风湿因子IgG', '10004333', '类风湿因子IgG');
INSERT INTO `tran_lis_config` VALUES ('415', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '类风湿因子(RF)', '类风湿因子IgE', '10004335', '类风湿因子IgE');
INSERT INTO `tran_lis_config` VALUES ('416', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '类风湿因子(RF)', '类风湿因子IgD', '10004334', '类风湿因子IgD');
INSERT INTO `tran_lis_config` VALUES ('417', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '类风湿因子(RF)', '类风湿因子IgA', '10004332', '类风湿因子IgA');
INSERT INTO `tran_lis_config` VALUES ('418', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '卵巢肿瘤标志物', '血绒毛膜促性腺激素', '10666724', '血绒毛膜促性腺激素');
INSERT INTO `tran_lis_config` VALUES ('419', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '卵巢肿瘤标志物', '癌胚抗原(CEA)', '10021096', '癌胚抗原');
INSERT INTO `tran_lis_config` VALUES ('420', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '卵巢肿瘤标志物', '癌抗原72-4(CA724)', '10666725', '癌抗原72-4');
INSERT INTO `tran_lis_config` VALUES ('421', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '卵巢肿瘤标志物', '糖链抗原19-9(CA199)', '10666708', '糖链抗原19-9');
INSERT INTO `tran_lis_config` VALUES ('422', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '卵巢肿瘤标志物', '癌抗原125(CA125)', '10666710', '癌抗原125');
INSERT INTO `tran_lis_config` VALUES ('423', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '卵巢肿瘤标志物', '甲胎蛋白(AFP)', '10021199', '甲胎蛋白');
INSERT INTO `tran_lis_config` VALUES ('424', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰培养', '结核杆菌', '10666726', '结核分枝杆菌(痰培养)');
INSERT INTO `tran_lis_config` VALUES ('425', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰培养', '肺炎球菌', '10666727', '肺炎双球菌(痰培养)');
INSERT INTO `tran_lis_config` VALUES ('426', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰培养', '金黄色葡萄球菌', '10666728', '金黄色葡萄球菌(痰培养)');
INSERT INTO `tran_lis_config` VALUES ('427', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰培养', '军团菌', '10666729', '军团菌(痰培养)');
INSERT INTO `tran_lis_config` VALUES ('428', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰培养', '葡萄球菌', '10666730', '葡萄球菌(痰培养)');
INSERT INTO `tran_lis_config` VALUES ('429', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰培养', '念珠菌', '10666731', '痰培养念珠菌(痰培养)');
INSERT INTO `tran_lis_config` VALUES ('430', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '微量元素', '锌(Zn)', '10666619', '锌');
INSERT INTO `tran_lis_config` VALUES ('431', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '微量元素', '硒(Se)', '10666732', '硒');
INSERT INTO `tran_lis_config` VALUES ('432', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '微量元素', '铅(Pb)', '10666909', '血铅');
INSERT INTO `tran_lis_config` VALUES ('433', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '微量元素', '碘(I)', '10666733', '血碘');
INSERT INTO `tran_lis_config` VALUES ('434', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '微量元素', '铁(Fe)', '10666624', '铁');
INSERT INTO `tran_lis_config` VALUES ('435', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '微量元素', '铜(Cu)', '10666625', '铜');
INSERT INTO `tran_lis_config` VALUES ('436', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '咽拭子培养', '结核杆菌', '10666734', '结核杆菌(咽拭子培养)');
INSERT INTO `tran_lis_config` VALUES ('437', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '咽拭子培养', '肺炎克雷伯氏菌', '10666735', '肺炎克雷伯氏菌(咽拭子培养)');
INSERT INTO `tran_lis_config` VALUES ('438', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '咽拭子培养', '肺炎双球菌', '10666736', '肺炎双球菌(咽拭子培养)');
INSERT INTO `tran_lis_config` VALUES ('439', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '咽拭子培养', '酵母菌', '10666737', '酵母菌(咽拭子培养)');
INSERT INTO `tran_lis_config` VALUES ('440', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '咽拭子培养', '军团菌', '10666738', '军团菌(咽拭子培养)');
INSERT INTO `tran_lis_config` VALUES ('441', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '咽拭子培养', '葡萄球菌', '10666739', '葡萄球菌(咽拭子培养)');
INSERT INTO `tran_lis_config` VALUES ('442', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'EB病毒', 'EB病毒DNA酶抗体', '10007712', 'EB病毒DNA酶抗体');
INSERT INTO `tran_lis_config` VALUES ('443', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'EB病毒', 'EB病毒DNA酶抗体', '10004309', 'EB病毒IgA/EA');
INSERT INTO `tran_lis_config` VALUES ('444', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'EB病毒', 'EB病毒IgA/VCA', '10004308', 'EB病毒IgA/VCA');
INSERT INTO `tran_lis_config` VALUES ('445', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'EB病毒', 'EB病毒抗体IgG/VCA', '10004310', 'EB病毒抗体IgG/VCA');
INSERT INTO `tran_lis_config` VALUES ('446', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'EB病毒', 'EB病毒抗体IgM/VCA', '10004311', 'EB病毒抗体IgM/VCA');
INSERT INTO `tran_lis_config` VALUES ('447', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝纤维化', 'Ⅲ型胶原', '10666740', 'Ⅲ型胶原');
INSERT INTO `tran_lis_config` VALUES ('448', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝纤维化', '层粘连蛋白', '10021227', '层粘连蛋白');
INSERT INTO `tran_lis_config` VALUES ('449', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝纤维化', 'Ⅳ型胶原', '10666741', 'Ⅳ型胶原');
INSERT INTO `tran_lis_config` VALUES ('450', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝纤维化', '透明质酸', '10021226', '透明质酸');
INSERT INTO `tran_lis_config` VALUES ('451', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝纤维化', '甘胆酸', '10392678', '甘胆酸');
INSERT INTO `tran_lis_config` VALUES ('452', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '消化道肿瘤标志物', '癌胚抗原(CEA)', '10021096', '癌胚抗原');
INSERT INTO `tran_lis_config` VALUES ('453', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '消化道肿瘤标志物', '癌抗原72-4(CA724)', '10666725', '癌抗原72-4');
INSERT INTO `tran_lis_config` VALUES ('454', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '消化道肿瘤标志物', '癌抗原242(CA242)', '10666742', '癌抗原242');
INSERT INTO `tran_lis_config` VALUES ('455', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '消化道肿瘤标志物', '糖链抗原19-9(CA199)', '10666708', '糖链抗原19-9');
INSERT INTO `tran_lis_config` VALUES ('456', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '消化道肿瘤标志物', '甲胎蛋白(AFP)', '10021199', '甲胎蛋白');
INSERT INTO `tran_lis_config` VALUES ('457', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清免疫球蛋白', '免疫球蛋白M', '10004315', '免疫球蛋白M');
INSERT INTO `tran_lis_config` VALUES ('458', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清免疫球蛋白', '免疫球蛋白G', '10004314', '免疫球蛋白G');
INSERT INTO `tran_lis_config` VALUES ('459', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清免疫球蛋白', '免疫球蛋白E', '10004316', '免疫球蛋白E');
INSERT INTO `tran_lis_config` VALUES ('460', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清免疫球蛋白', '免疫球蛋白D', '10004313', '免疫球蛋白D');
INSERT INTO `tran_lis_config` VALUES ('461', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清免疫球蛋白', '免疫球蛋白A', '10004312', '免疫球蛋白A');
INSERT INTO `tran_lis_config` VALUES ('462', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'T淋巴细胞亚群', 'CD8', '10666743', 'CD8(T淋巴细胞亚群)');
INSERT INTO `tran_lis_config` VALUES ('463', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'T淋巴细胞亚群', 'CD4/CD8', '10666744', 'CD4/CD8(T淋巴细胞亚群)');
INSERT INTO `tran_lis_config` VALUES ('464', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'T淋巴细胞亚群', 'CD4', '10666745', 'CD4(T淋巴细胞亚群)');
INSERT INTO `tran_lis_config` VALUES ('465', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'T淋巴细胞亚群', 'CD3', '10666746', 'CD3(T淋巴细胞亚群)');
INSERT INTO `tran_lis_config` VALUES ('466', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便培养', '结核杆菌', '10666747', '结核杆菌(粪便培养)');
INSERT INTO `tran_lis_config` VALUES ('467', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便培养', '霍乱弧菌', '10666748', '霍乱弧菌(粪便培养)');
INSERT INTO `tran_lis_config` VALUES ('468', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便培养', '艰难梭状杆菌', '10666749', '艰难梭状杆菌(粪便培养)');
INSERT INTO `tran_lis_config` VALUES ('469', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便培养', '志贺氏菌', '10666750', '志贺氏菌(粪便培养)');
INSERT INTO `tran_lis_config` VALUES ('470', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝脏肿瘤标志物', '铁蛋白(Ferritin)', '10021133', '铁蛋白');
INSERT INTO `tran_lis_config` VALUES ('471', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝脏肿瘤标志物', '癌胚抗原(CEA)', '10021096', '癌胚抗原');
INSERT INTO `tran_lis_config` VALUES ('472', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝脏肿瘤标志物', '糖链抗原19-9(CA199)', '10666708', '糖链抗原19-9');
INSERT INTO `tran_lis_config` VALUES ('473', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝脏肿瘤标志物', '甲胎蛋白(AFP)', '10021199', '甲胎蛋白');
INSERT INTO `tran_lis_config` VALUES ('474', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体系列', '抗胰岛素抗体', '10004059', '抗胰岛素抗体');
INSERT INTO `tran_lis_config` VALUES ('475', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体系列', '抗线粒体抗体(AMA)', '10666751', '抗线粒体抗体');
INSERT INTO `tran_lis_config` VALUES ('476', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体系列', '抗ds-DNA抗体', '10004518', '抗ds-DNA抗体');
INSERT INTO `tran_lis_config` VALUES ('477', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体系列', '抗ss-DNA抗体', '10004519', '抗ss-DNA抗体');
INSERT INTO `tran_lis_config` VALUES ('478', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛细胞抗体', '抗胰岛细胞抗体', '10031259', '抗胰岛细胞抗体');
INSERT INTO `tran_lis_config` VALUES ('479', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛细胞抗体', '胰岛素自身抗体', '10371084', '胰岛素自身抗体');
INSERT INTO `tran_lis_config` VALUES ('480', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛细胞抗体', '蛋白酪氨酸磷酸酶抗体', '10371131', '蛋白酪氨酸磷酸酶抗体');
INSERT INTO `tran_lis_config` VALUES ('481', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛细胞抗体', '谷氨酸脱羧酶抗体', '10006775', '谷氨酸脱羧酶抗体');
INSERT INTO `tran_lis_config` VALUES ('482', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '子宫肿瘤标志物', '鳞状细胞癌抗原(SCC)', '10666711', '鳞状细胞癌抗原');
INSERT INTO `tran_lis_config` VALUES ('483', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '子宫肿瘤标志物', '血绒毛膜促性腺激素', '10666724', '血绒毛膜促性腺激素');
INSERT INTO `tran_lis_config` VALUES ('484', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '子宫肿瘤标志物', '癌胚抗原(CEA)', '10021096', '癌胚抗原');
INSERT INTO `tran_lis_config` VALUES ('485', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '子宫肿瘤标志物', '癌抗原125(CA125)', '10666710', '癌抗原125');
INSERT INTO `tran_lis_config` VALUES ('486', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '丙肝抗体(HCVAb)', '丙肝病毒RNA(HCV-RNA)', '10666752', '丙肝病毒RNA');
INSERT INTO `tran_lis_config` VALUES ('487', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '丙肝抗体(HCVAb)', '丙肝病毒抗体IgM', '10006749', '丙肝病毒抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('488', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '丙肝抗体(HCVAb)', '丙肝病毒抗体IgG', '10006750', '丙肝病毒抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('489', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '快速BV检测', 'H2O2', '10666753', 'H2O2(阴道分泌物)');
INSERT INTO `tran_lis_config` VALUES ('490', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '快速BV检测', '白细胞酯酶', '10666754', '白细胞酯酶(阴道分泌物)');
INSERT INTO `tran_lis_config` VALUES ('491', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '快速BV检测', '唾液酸酐酶活性', '10666755', '唾液酸酐酶活性(阴道分泌物)');
INSERT INTO `tran_lis_config` VALUES ('492', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '利钠肽检查', 'NT-proBNP', '10666837', 'N端-B型钠尿肽前体');
INSERT INTO `tran_lis_config` VALUES ('493', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '利钠肽检查', '脑利钠肽', '10006574', '脑利钠肽');
INSERT INTO `tran_lis_config` VALUES ('494', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '利钠肽检查', '心房利钠肽 ', '10666756', '心房利钠肽');
INSERT INTO `tran_lis_config` VALUES ('495', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '流行性出血热病毒测定', '流行性出血热病毒RNA', '10008284', '流行性出血热病毒RNA');
INSERT INTO `tran_lis_config` VALUES ('496', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '流行性出血热病毒测定', '流行性出血热病毒IgM', '10008282', '流行性出血热病毒IgM');
INSERT INTO `tran_lis_config` VALUES ('497', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '流行性出血热病毒测定', '流行性出血热病毒IgG', '10008283', '流行性出血热病毒IgG');
INSERT INTO `tran_lis_config` VALUES ('498', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '梅毒检测', '梅毒荧光抗体IgM吸附试验', '10666757', '梅毒螺旋体抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('499', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '梅毒检测', '梅毒荧光抗体IgG吸附试验', '10666758', '梅毒螺旋体抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('500', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '梅毒检测', '梅毒特异性抗体', '10004338', '梅毒特异性抗体');
INSERT INTO `tran_lis_config` VALUES ('501', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '泌尿系统脱落细胞学检查', '恶性细胞', '10666759', '恶性细胞(泌尿系统脱落细胞学检查)');
INSERT INTO `tran_lis_config` VALUES ('502', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '泌尿系统脱落细胞学检查', '可疑恶性细胞', '10666760', '可疑恶性细胞(泌尿系统脱落细胞学检查)');
INSERT INTO `tran_lis_config` VALUES ('503', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '泌尿系统脱落细胞学检查', '异型细胞', '10666761', '异型细胞(泌尿系统脱落细胞学检查)');
INSERT INTO `tran_lis_config` VALUES ('504', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '人巨细胞病毒检测', '巨细胞病毒DNA', '10006614', '巨细胞病毒DNA');
INSERT INTO `tran_lis_config` VALUES ('505', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '人巨细胞病毒检测', '巨细胞病毒抗体IgG', '10004325', '巨细胞病毒抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('506', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '人巨细胞病毒检测', '巨细胞病毒抗体IgM', '10004326', '巨细胞病毒抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('507', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰涂片', '结核杆菌', '10666762', '结核分枝杆菌(痰涂片)');
INSERT INTO `tran_lis_config` VALUES ('508', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰涂片', '肺炎球菌', '10666763', '肺炎双球菌(痰涂片)');
INSERT INTO `tran_lis_config` VALUES ('509', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰涂片', '金黄色葡萄球菌', '10666764', '金黄色葡萄球菌(痰涂片)');
INSERT INTO `tran_lis_config` VALUES ('510', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清酶原检测', '乳酸脱氢酶', '10004047', '乳酸脱氢酶');
INSERT INTO `tran_lis_config` VALUES ('511', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清酶原检测', '肌酸磷酸激酶', '10021112', '肌酸激酶');
INSERT INTO `tran_lis_config` VALUES ('512', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清酶原检测', '谷丙转氨酶', '10004411', '谷丙转氨酶');
INSERT INTO `tran_lis_config` VALUES ('513', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'C肽测定', '血清C肽', '10021025', 'C肽');
INSERT INTO `tran_lis_config` VALUES ('514', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'C肽测定', '空腹C肽', '10008011', '空腹C肽');
INSERT INTO `tran_lis_config` VALUES ('515', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'Tau蛋白', '总Tau蛋白', '10666765', 'Tau蛋白(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('516', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'Tau蛋白', '磷酸化Tau蛋白', '10666766', '脑脊液磷酸化Tau蛋白');
INSERT INTO `tran_lis_config` VALUES ('517', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '氨基己糖酶同工酶', '氨基己糖酶同工酶A', '10006173', '氨基己糖酶同工酶A');
INSERT INTO `tran_lis_config` VALUES ('518', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '氨基己糖酶同工酶', '氨基己糖酶同工酶B', '10006174', '氨基己糖酶同工酶B');
INSERT INTO `tran_lis_config` VALUES ('519', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '单纯疱疹病毒Ⅰ型抗体', '单纯疱疹病毒I型抗体IgM', '10004328', '单纯疱疹病毒I型抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('520', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '单纯疱疹病毒Ⅰ型抗体', '单纯疱疹病毒I型抗体IgG', '10004327', '单纯疱疹病毒I型抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('521', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '单纯疱疹病毒Ⅱ型抗体', '单纯疱疹病毒II型抗体IgM', '10004330', '单纯疱疹病毒II型抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('522', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '单纯疱疹病毒Ⅱ型抗体', '单纯疱疹病毒II型抗体IgG', '10004329', '单纯疱疹病毒II型抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('523', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '风疹病毒抗体', '风疹病毒抗体IgM', '10004324', '风疹病毒抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('524', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '风疹病毒抗体', '风疹病毒抗体IgG', '10004323', '风疹病毒抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('525', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝脓肿穿刺液培养', '阿米巴滋养体', '10666767', '阿米巴滋养体(肝脓肿穿刺液)');
INSERT INTO `tran_lis_config` VALUES ('526', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝脓肿穿刺液培养', '细菌', '10666768', '细菌(肝脓肿穿刺液)');
INSERT INTO `tran_lis_config` VALUES ('527', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '弓形虫抗体', '弓形虫抗体IgG', '10004321', '弓形虫抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('528', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '弓形虫抗体', '弓形虫抗体IgM', '10004322', '弓形虫抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('529', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '军团菌抗原抗体检测', '军团菌抗体', '10666769', '军团菌抗体(血)');
INSERT INTO `tran_lis_config` VALUES ('530', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '军团菌抗原抗体检测', '军团菌抗原', '10666770', '军团菌抗原(血)');
INSERT INTO `tran_lis_config` VALUES ('531', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '柯萨奇病毒检测', '柯萨奇病毒IgG', '10006608', '柯萨奇病毒IgG');
INSERT INTO `tran_lis_config` VALUES ('532', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '柯萨奇病毒检测', '柯萨奇病毒IgM', '10006609', '柯萨奇病毒IgM');
INSERT INTO `tran_lis_config` VALUES ('533', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '轮状病毒检测', '轮状病毒RNA', '10006615', '轮状病毒RNA');
INSERT INTO `tran_lis_config` VALUES ('534', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '轮状病毒检测', '轮状病毒抗体', '10004337', '轮状病毒抗体');
INSERT INTO `tran_lis_config` VALUES ('535', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '麻疹病毒', '麻疹病毒抗体IgG', '10004343', '麻疹病毒抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('536', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '麻疹病毒', '麻疹病毒抗体IgM', '10004342', '麻疹病毒抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('537', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿培养加菌落计数', '大肠杆菌菌落数', '10666771', '大肠杆菌菌落数(尿培养)');
INSERT INTO `tran_lis_config` VALUES ('538', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿培养加菌落计数', '菌落计数', '10666772', '菌落计数(尿培养加菌落计数)');
INSERT INTO `tran_lis_config` VALUES ('539', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '疟原虫检测', '疟原虫抗体', '10006610', '疟原虫抗体');
INSERT INTO `tran_lis_config` VALUES ('540', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '疟原虫检测', '疟原虫抗原', '10006611', '疟原虫抗原');
INSERT INTO `tran_lis_config` VALUES ('541', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '全血丙酮酸测定', '丙酮酸', '10666627', '血丙酮酸');
INSERT INTO `tran_lis_config` VALUES ('542', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '全血丙酮酸测定', '乳酸/丙酮酸', '10008507', '乳酸/丙酮酸');
INSERT INTO `tran_lis_config` VALUES ('543', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '沙眼衣原体抗体检测', '沙眼衣原体抗体IgG', '10006613', '沙眼衣原体抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('544', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '沙眼衣原体抗体检测', '沙眼衣原体抗体IgM', '10006612', '沙眼衣原体抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('545', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '小剂量地塞米松抑制试验', '尿皮质醇', '10666773', '尿皮质醇(小剂量地塞米松抑制试验)');
INSERT INTO `tran_lis_config` VALUES ('546', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '小剂量地塞米松抑制试验', '血皮质醇', '10666774', '血皮质醇(小剂量地塞米松抑制试验)');
INSERT INTO `tran_lis_config` VALUES ('547', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸水培养', '结核分枝杆菌', '10666775', '结核分枝杆菌(胸水培养)');
INSERT INTO `tran_lis_config` VALUES ('548', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸水培养', '军团菌', '10666776', '军团菌(胸水培养)');
INSERT INTO `tran_lis_config` VALUES ('549', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血型', 'Rh血型', '10004104', 'Rh血型');
INSERT INTO `tran_lis_config` VALUES ('550', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血型', 'ABO血型', '10004103', 'ABO血型');
INSERT INTO `tran_lis_config` VALUES ('551', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体抗体', '支原体抗体IgG', '10007046', '支原体抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('552', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体抗体', '支原体抗体IgM', '10007045', '支原体抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('553', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '17α羟孕酮测定', '17α羟孕酮', '10666777', '17α羟孕酮');
INSERT INTO `tran_lis_config` VALUES ('554', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '24小时尿蛋白定量检测', '24小时尿蛋白', '10006544', '尿蛋白定量');
INSERT INTO `tran_lis_config` VALUES ('555', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '25羟维生素D', '25羟维生素D', '10666779', '血25羟维生素D');
INSERT INTO `tran_lis_config` VALUES ('556', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'ABO血型', 'ABO血型', '10004103', 'ABO血型');
INSERT INTO `tran_lis_config` VALUES ('557', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'Aβ蛋白', 'Aβ蛋白', '10666780', '血Aβ蛋白');
INSERT INTO `tran_lis_config` VALUES ('558', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'C反应蛋白', 'C反应蛋白', '10002555', 'C反应蛋白');
INSERT INTO `tran_lis_config` VALUES ('559', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'Rh血型', 'Rh血型', '10004104', 'Rh血型');
INSERT INTO `tran_lis_config` VALUES ('560', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'T3摄取率', 'T3摄取率', '10004142', 'T3摄取率');
INSERT INTO `tran_lis_config` VALUES ('561', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'TSPOT.TB试验', 'TSPOT', '10008161', 'TSPOT.TB试验');
INSERT INTO `tran_lis_config` VALUES ('562', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'β2-微球蛋白', 'β2-微球蛋白', '10666781', '血β2-微球蛋白');
INSERT INTO `tran_lis_config` VALUES ('563', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '癌抗原125(CA125)', '癌抗原125(CA125)', '10666710', '癌抗原125');
INSERT INTO `tran_lis_config` VALUES ('564', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '癌抗原15-3(CA153)', '癌抗原15-3(CA153)', '10666709', '癌抗原15-3');
INSERT INTO `tran_lis_config` VALUES ('565', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '癌抗原242(CA242)', '癌抗原242(CA242)', '10666742', '癌抗原242');
INSERT INTO `tran_lis_config` VALUES ('566', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '癌抗原50(CA50)', '癌抗原50(CA50)', '10666782', '癌抗原50');
INSERT INTO `tran_lis_config` VALUES ('567', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '癌抗原72-4(CA724)', '癌抗原72-4(CA724)', '10666725', '癌抗原72-4');
INSERT INTO `tran_lis_config` VALUES ('568', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '癌胚抗原(CEA)', '癌胚抗原(CEA)', '10021096', '癌胚抗原');
INSERT INTO `tran_lis_config` VALUES ('569', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '丙肝病毒RNA(HCV-RNA)', '丙肝病毒RNA(HCV-RNA)', '10666752', '丙肝病毒RNA');
INSERT INTO `tran_lis_config` VALUES ('570', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '补体C3测定', '补体C3', '10666690', '血清补体C3');
INSERT INTO `tran_lis_config` VALUES ('571', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '补体C4测定', '补体C4', '10666689', '血清补体C4');
INSERT INTO `tran_lis_config` VALUES ('572', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '补体旁路B因子检测', '补体旁路B因子', '10666691', '补体旁路B因子');
INSERT INTO `tran_lis_config` VALUES ('573', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '部分活化凝血活酶时间(APTT)', '部分活化凝血活酶时间(APTT)', '10666664', '部分活化凝血活酶时间');
INSERT INTO `tran_lis_config` VALUES ('574', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '餐后2小时血糖', '餐后2小时血糖', '10666783', '餐后血糖(2h)');
INSERT INTO `tran_lis_config` VALUES ('575', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '餐后2小时胰岛素', '胰岛素2hINS', '10666784', '餐后胰岛素(2h)');
INSERT INTO `tran_lis_config` VALUES ('576', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '超敏C反应蛋白', '超敏C反应蛋白', '10006520', '超敏C反应蛋白');
INSERT INTO `tran_lis_config` VALUES ('577', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '出血热病毒抗体检测', '出血热病毒抗体IgM', '10006607', '出血热病毒抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('578', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '出血时间(BT)', '出血时间(BT)', '10666785', '出血时间');
INSERT INTO `tran_lis_config` VALUES ('579', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '雌二醇(E2)测定', '雌二醇(E2)', '10021135', '雌二醇');
INSERT INTO `tran_lis_config` VALUES ('580', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '雌三醇(E3)测定', '雌三醇(E3)', '10379152', '雌三醇');
INSERT INTO `tran_lis_config` VALUES ('581', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '雌酮测定', '雌酮', '10651955', '雌酮');
INSERT INTO `tran_lis_config` VALUES ('582', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促红细胞生成素(EPO)', '促红细胞生成素(EPO)', '10666786', '促红细胞生成素');
INSERT INTO `tran_lis_config` VALUES ('583', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促黄体生成素', '促黄体生成素', '10004124', '促黄体生成素');
INSERT INTO `tran_lis_config` VALUES ('584', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促甲状腺激素(TSH)', '促甲状腺激素', '10004127', '促甲状腺激素');
INSERT INTO `tran_lis_config` VALUES ('585', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促甲状腺激素释放激素(TRH)', '促甲状腺激素释放激素(TRH)', '10666787', '促甲状腺激素释放激素');
INSERT INTO `tran_lis_config` VALUES ('586', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺自身抗体检测', '促甲状腺素受体抗体(TRAb)', '10021201', '促甲状腺素受体抗体');
INSERT INTO `tran_lis_config` VALUES ('587', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促卵泡激素', '促卵泡激素', '10004125', '促卵泡激素');
INSERT INTO `tran_lis_config` VALUES ('588', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素(ACTH)', '促肾上腺皮质激素(ACTH)', '10666788', '促肾上腺皮质激素');
INSERT INTO `tran_lis_config` VALUES ('589', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '催产素', '催产素', '10004156', '催产素');
INSERT INTO `tran_lis_config` VALUES ('590', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '催乳激素', '催乳激素', '10004126', '催乳激素');
INSERT INTO `tran_lis_config` VALUES ('591', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '多巴胺', '多巴胺', '10666789', '尿多巴胺');
INSERT INTO `tran_lis_config` VALUES ('592', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '反三碘甲腺原氨酸(rT3)', '反三碘甲腺原氨酸(rT3)', '10666790', '反三碘甲腺原氨酸');
INSERT INTO `tran_lis_config` VALUES ('593', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '分枝杆菌培养及鉴定', '结核杆菌', '10666791', '结核杆菌(分枝杆菌培养及鉴定)');
INSERT INTO `tran_lis_config` VALUES ('594', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便结核杆菌', '结核杆菌', '10666792', '结核杆菌(粪便结核杆菌)');
INSERT INTO `tran_lis_config` VALUES ('595', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便隐血试验', '隐血', '10004428', '粪便隐血');
INSERT INTO `tran_lis_config` VALUES ('596', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹水培养', '抗酸杆菌', '10666793', '抗酸杆菌(腹水培养)');
INSERT INTO `tran_lis_config` VALUES ('597', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '睾酮(T)测定', '睾酮(T)', '10021099', '睾酮');
INSERT INTO `tran_lis_config` VALUES ('598', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '宫颈碘试验', '宫颈碘试验', '10007743', '宫颈碘试验');
INSERT INTO `tran_lis_config` VALUES ('599', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '骨钙素', '骨钙素', '10004106', '骨钙素');
INSERT INTO `tran_lis_config` VALUES ('600', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过夜地塞米松抑制试验', '血皮质醇', '10666794', '血皮质醇(过夜地塞米松抑制试验)');
INSERT INTO `tran_lis_config` VALUES ('601', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲肝抗体测定(HAVIgM)', '甲肝抗体测定(HAVIgM)', '10666795', '甲肝抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('602', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲胎蛋白(AFP)', '甲胎蛋白(AFP)', '10021199', '甲胎蛋白');
INSERT INTO `tran_lis_config` VALUES ('603', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状旁腺激素(PTH)测定', '甲状旁腺激素(PTH)', '10002053', '甲状旁腺激素');
INSERT INTO `tran_lis_config` VALUES ('604', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺自身抗体检测', '抗甲状腺过氧化物酶抗体', '10667088', '抗甲状腺过氧化物酶抗体');
INSERT INTO `tran_lis_config` VALUES ('605', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺球蛋白(TG)', '甲状腺球蛋白(TG)', '10021093', '甲状腺球蛋白');
INSERT INTO `tran_lis_config` VALUES ('606', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺自身抗体检测', '甲状腺球蛋白抗体(TGAb)', '10392730', '甲状腺球蛋白抗体');
INSERT INTO `tran_lis_config` VALUES ('607', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺素结合球蛋白(TBG)', '甲状腺素结合球蛋白(TBG)', '10666797', '甲状腺素结合球蛋白');
INSERT INTO `tran_lis_config` VALUES ('608', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '降钙素(CT)测定', '降钙素(CT)', '10383607', '降钙素');
INSERT INTO `tran_lis_config` VALUES ('609', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '降钙素原(PCT)测定', '降钙素原(PCT)', '10666798', '降钙素原');
INSERT INTO `tran_lis_config` VALUES ('610', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '结核杆菌基因检测', '结核杆菌DNA', '10666799', '结核分枝杆菌DNA(血)');
INSERT INTO `tran_lis_config` VALUES ('611', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '结核杆菌抗体检测', '结核杆菌抗体', '10666800', '结核分枝杆菌抗体(血)');
INSERT INTO `tran_lis_config` VALUES ('612', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '结核杆菌抗原检测', '结核杆菌抗原', '10666801', '结核分枝杆菌抗原(血)');
INSERT INTO `tran_lis_config` VALUES ('613', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '结核菌素试验', '结核菌素', '10004245', '结核菌素试验');
INSERT INTO `tran_lis_config` VALUES ('614', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '巨细胞病毒抗原血症', '巨细胞病毒抗原血症', '10666802', 'CMV-PP65抗原');
INSERT INTO `tran_lis_config` VALUES ('615', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗M蛋白抗体', '抗M蛋白抗体', '10004212', '抗M蛋白抗体');
INSERT INTO `tran_lis_config` VALUES ('616', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺自身抗体检测', '抗甲状腺球蛋白抗体', '10006517', '抗甲状腺球蛋白抗体');
INSERT INTO `tran_lis_config` VALUES ('617', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺自身抗体检测', '抗甲状腺微粒体抗体', '10006518', '抗甲状腺微粒体抗体');
INSERT INTO `tran_lis_config` VALUES ('618', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗狂犬病毒抗体IgG', '抗狂犬病毒抗体IgG', '10031218', '抗狂犬病毒抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('619', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗利尿激素', '血浆抗利尿激素', '10007731', '抗利尿激素');
INSERT INTO `tran_lis_config` VALUES ('620', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗链球菌激酶(ASK)', '抗链球菌激酶(ASK)', '10666803', '抗链球菌激酶');
INSERT INTO `tran_lis_config` VALUES ('621', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗链球菌菌酶', '抗链球菌菌酶', '10004211', '抗链球菌菌酶');
INSERT INTO `tran_lis_config` VALUES ('622', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗链球菌溶血素O测定(ASO)', '抗链球菌溶血素O测定(ASO)', '10666804', '抗链球菌溶血素O');
INSERT INTO `tran_lis_config` VALUES ('623', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗平滑肌抗体', '抗平滑肌抗体', '10006516', '抗平滑肌抗体');
INSERT INTO `tran_lis_config` VALUES ('624', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗透明质酸酶(AH)', '抗透明质酸酶(AH)', '10666805', '抗透明质酸酶');
INSERT INTO `tran_lis_config` VALUES ('625', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗脱氧核糖核酸酶B(ADNA-B)', '抗脱氧核糖核酸酶B(ADNA-B)', '10666806', '抗脱氧核糖核酸酶B');
INSERT INTO `tran_lis_config` VALUES ('626', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗系统性硬化症抗体', '抗系统性硬化症抗体', '10006515', '抗系统性硬化症抗体');
INSERT INTO `tran_lis_config` VALUES ('627', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗乙酰胆碱受体抗体', '抗乙酰胆碱受体抗体', '10006519', '抗乙酰胆碱受体抗体');
INSERT INTO `tran_lis_config` VALUES ('628', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '空腹血糖', '空腹血糖', '10002020', '空腹血糖');
INSERT INTO `tran_lis_config` VALUES ('629', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '空腹胰岛素', '空腹胰岛素', '10004055', '空腹胰岛素');
INSERT INTO `tran_lis_config` VALUES ('630', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '类胰岛素样生长因子-1(IGF-1)', '类胰岛素样生长因子-1', '10666807', '类胰岛素样生长因子-1');
INSERT INTO `tran_lis_config` VALUES ('631', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '类胰岛素样生长因子结合蛋白-3(IGF-BP3)', '类胰岛素样生长因子结合蛋白-3', '10666808', '类胰岛素样生长因子结合蛋白-3');
INSERT INTO `tran_lis_config` VALUES ('632', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '鳞状细胞癌抗原(SCC)', '鳞状细胞癌抗原(SCC)', '10666711', '鳞状细胞癌抗原');
INSERT INTO `tran_lis_config` VALUES ('633', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '流行性乙型脑炎病毒抗体检测', '流行性乙型脑炎病毒抗体IgM', '10006608', '柯萨奇病毒IgG');
INSERT INTO `tran_lis_config` VALUES ('634', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿17-羟皮质类固醇', '尿17-羟皮质类固醇', '10004151', '尿17-羟皮质类固醇');
INSERT INTO `tran_lis_config` VALUES ('635', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿17-酮皮质类固醇', '尿17-酮皮质类固醇', '10004152', '尿17-酮皮质类固醇');
INSERT INTO `tran_lis_config` VALUES ('636', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿淀粉酶', '尿淀粉酶', '10004119', '尿淀粉酶');
INSERT INTO `tran_lis_config` VALUES ('637', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿儿茶酚胺', '尿儿茶酚胺', '10004161', '尿儿茶酚胺');
INSERT INTO `tran_lis_config` VALUES ('638', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿高香草酸', '尿高香草酸', '10006168', '尿高香草酸');
INSERT INTO `tran_lis_config` VALUES ('639', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿甲氧基去甲肾上腺素(NMN)', '尿甲氧基去甲肾上腺素(NMN)', '10666809', '尿甲氧基去甲肾上腺素');
INSERT INTO `tran_lis_config` VALUES ('640', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿甲氧基肾上腺素(MN)', '尿甲氧基肾上腺素(MN)', '10666810', '尿甲氧基肾上腺素');
INSERT INTO `tran_lis_config` VALUES ('641', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿醛固酮', '尿醛固酮', '10004154', '尿醛固酮');
INSERT INTO `tran_lis_config` VALUES ('642', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿绒毛膜促性腺激素(尿HCG)', '尿绒毛膜促性腺激素(尿HCG)', '10666811', '尿绒毛膜促性腺激素');
INSERT INTO `tran_lis_config` VALUES ('643', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿香草扁桃酸(VMA)', '尿香草扁桃酸(VMA)', '10666812', '尿香草扁桃酸');
INSERT INTO `tran_lis_config` VALUES ('644', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血酶时间(TT)', '凝血酶时间(TT)', '10021054', '凝血酶时间');
INSERT INTO `tran_lis_config` VALUES ('645', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血酶原时间(PT)', '凝血酶原时间(PT)', '10021053', '凝血酶原时间');
INSERT INTO `tran_lis_config` VALUES ('646', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血时间(CT)', '凝血时间(CT)', '10385002', '凝血时间');
INSERT INTO `tran_lis_config` VALUES ('647', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '皮质醇测定', '皮质醇', '10007739', '血皮质醇');
INSERT INTO `tran_lis_config` VALUES ('648', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '前列腺特异抗原', '前列腺特异抗原', '10666707', '总前列腺特异性抗原');
INSERT INTO `tran_lis_config` VALUES ('649', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '前列腺特异性抗原(PSA)', '前列腺特异性抗原(PSA)', '10666707', '总前列腺特异性抗原');
INSERT INTO `tran_lis_config` VALUES ('650', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '醛固酮(ALD)', '血醛固酮(立位)', '10666620', '血醛固酮(立位)');
INSERT INTO `tran_lis_config` VALUES ('651', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '人附睾蛋白4(HE4)', '人附睾蛋白4(HE4)', '10666815', '人附睾蛋白4');
INSERT INTO `tran_lis_config` VALUES ('652', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '人免疫缺陷病毒抗原抗体联合检测(HIVAb)', '人免疫缺陷病毒抗原抗体联合检测(HIVAb)', '10666816', '人免疫缺陷病毒抗体');
INSERT INTO `tran_lis_config` VALUES ('653', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '人乳头瘤病毒(HPV)核酸', '人乳头瘤病毒(HPV)核酸', '10666817', '人乳头瘤病毒核酸');
INSERT INTO `tran_lis_config` VALUES ('654', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '三碘甲腺原氨酸摄取率', '三碘甲腺原氨酸摄取率', '10004142', 'T3摄取率');
INSERT INTO `tran_lis_config` VALUES ('655', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '神经元特异性烯醇化酶测定(NSE)', '神经元特异性烯醇化酶(NSE)', '10666713', '神经元特异性烯醇化酶');
INSERT INTO `tran_lis_config` VALUES ('656', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '生长激素', '生长激素', '10004128', '生长激素');
INSERT INTO `tran_lis_config` VALUES ('657', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '瘦素测定', '瘦素', '10666818', '瘦素');
INSERT INTO `tran_lis_config` VALUES ('658', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '双氢睾酮(DHT)测定', '双氢睾酮(DHT)', '10666819', '双氢睾酮');
INSERT INTO `tran_lis_config` VALUES ('659', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '随机血糖', '随机血糖', '10002034', '血糖');
INSERT INTO `tran_lis_config` VALUES ('660', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '糖化血红蛋白', '糖化血红蛋白', '10004064', '糖化血红蛋白');
INSERT INTO `tran_lis_config` VALUES ('661', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '糖化血清蛋白', '糖化血清蛋白', '10004112', '糖化血清蛋白');
INSERT INTO `tran_lis_config` VALUES ('662', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '糖链抗原19-9(CA199)', '糖链抗原19-9(CA199)', '10666708', '糖链抗原19-9');
INSERT INTO `tran_lis_config` VALUES ('663', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '糖耐量试验', '糖耐量试验(2h)', '10666820', '2h葡萄糖(糖耐量试验)');
INSERT INTO `tran_lis_config` VALUES ('664', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '铁蛋白(Ferritin)', '铁蛋白(Ferritin)', '10021133', '铁蛋白');
INSERT INTO `tran_lis_config` VALUES ('665', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '同型半胱氨酸', '同型半胱氨酸', '10004054', '同型半胱氨酸');
INSERT INTO `tran_lis_config` VALUES ('666', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃泌素释放肽前体(ProGRP)', '胃泌素释放肽前体(ProGRP)', '10666910', '胃泌素释放肽前体');
INSERT INTO `tran_lis_config` VALUES ('667', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '戊肝病毒抗体(HEVAb)', '戊肝病毒抗体(HEVAb)', '10666821', '戊肝病毒抗体');
INSERT INTO `tran_lis_config` VALUES ('668', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '细胞角蛋白片段19(CYFRA21-1)', '细胞角蛋白片段19(CYFRA21-1)', '10666714', '细胞角蛋白片段19');
INSERT INTO `tran_lis_config` VALUES ('669', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '纤维蛋白原(FIB)', '纤维蛋白原(FIB)', '10021216', '纤维蛋白原');
INSERT INTO `tran_lis_config` VALUES ('670', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '新斯的明试验', '新斯的明试验', '10008148', '新斯的明试验');
INSERT INTO `tran_lis_config` VALUES ('671', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '性激素结合球蛋白(SHBG)', '性激素结合球蛋白(SHBG)', '10666822', '性激素结合球蛋白');
INSERT INTO `tran_lis_config` VALUES ('672', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸水结核分枝杆菌核酸测定', '胸水结核分枝杆菌核酸', '10666823', '结核分枝杆菌DNA(胸水)');
INSERT INTO `tran_lis_config` VALUES ('673', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '雄烯二酮(A2)测定', '雄烯二酮(A2)', '10666824', '雄烯二酮');
INSERT INTO `tran_lis_config` VALUES ('674', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血沉(ESR)', '血沉(ESR)', '10666825', '红细胞沉降率');
INSERT INTO `tran_lis_config` VALUES ('675', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血淀粉酶', '血淀粉酶', '10021084', '淀粉酶');
INSERT INTO `tran_lis_config` VALUES ('676', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血儿茶酚胺', '血儿茶酚胺', '10425645', '儿茶酚胺');
INSERT INTO `tran_lis_config` VALUES ('677', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血管紧张素Ⅰ', '血管紧张素Ⅰ', '10004166', '血管紧张素Ⅰ');
INSERT INTO `tran_lis_config` VALUES ('678', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血管紧张素Ⅱ', '血管紧张素Ⅱ', '10666826', '血管紧张素Ⅱ(立位)');
INSERT INTO `tran_lis_config` VALUES ('679', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血管紧张素转化酶(ACE)', '血管紧张素转化酶(ACE)', '10666911', '血管紧张素转化酶');
INSERT INTO `tran_lis_config` VALUES ('680', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆D-二聚体(D-Dimer)', 'D-二聚体', '10021159', 'D-二聚体');
INSERT INTO `tran_lis_config` VALUES ('681', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆肾素', '血浆肾素', '10666712', '肾素活性(立位)');
INSERT INTO `tran_lis_config` VALUES ('682', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆肾素活性', '血浆肾素活性', '10666712', '肾素活性(立位)');
INSERT INTO `tran_lis_config` VALUES ('683', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆胰多肽(PP)', '血浆胰多肽(PP)', '10666828', '胰多肽');
INSERT INTO `tran_lis_config` VALUES ('684', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清胆囊收缩素(CCK)', '血清胆囊收缩素(CCK)', '10666829', '胆囊收缩素');
INSERT INTO `tran_lis_config` VALUES ('685', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清脱氢表雄酮及硫酸酯测定', '血清脱氢表雄酮及硫酸酯', '10666830', '脱氢表雄酮及硫酸酯');
INSERT INTO `tran_lis_config` VALUES ('686', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清胰高血糖', '血清胰高血糖', '10666831', '胰高血糖素');
INSERT INTO `tran_lis_config` VALUES ('687', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清游离甲状腺素(FT4)', '血清游离甲状腺素(FT4)', '10021089', '游离甲状腺素');
INSERT INTO `tran_lis_config` VALUES ('688', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清脂肪酶(LPS)', '血清脂肪酶(LPS)', '10021119', '脂肪酶');
INSERT INTO `tran_lis_config` VALUES ('689', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清总补体活性', '血清总补体活性', '10666688', '总补体活性');
INSERT INTO `tran_lis_config` VALUES ('690', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清总甲状腺素(TT4)', '血清总甲状腺素(TT4)', '10666721', '总甲状腺素');
INSERT INTO `tran_lis_config` VALUES ('691', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血绒毛膜促性腺激素(血HCG)', '血绒毛膜促性腺激素', '10666724', '血绒毛膜促性腺激素');
INSERT INTO `tran_lis_config` VALUES ('692', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血酮', '血酮', '10048935', '酮体');
INSERT INTO `tran_lis_config` VALUES ('693', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血吸虫抗体', '血吸虫抗体', '10004246', '血吸虫抗体');
INSERT INTO `tran_lis_config` VALUES ('694', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '厌氧菌培养及鉴定', '破伤风梭菌', '10666832', '破伤风梭菌(厌氧菌培养及鉴定)');
INSERT INTO `tran_lis_config` VALUES ('695', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '叶酸测定', '叶酸', '10021165', '叶酸');
INSERT INTO `tran_lis_config` VALUES ('696', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '衣原体检测（CT）', '衣原体', '10666833', '衣原体(白带)');
INSERT INTO `tran_lis_config` VALUES ('697', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素原', '胰岛素原', '10004130', '胰岛素原');
INSERT INTO `tran_lis_config` VALUES ('698', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝e抗体(HBeAb)', '乙肝e抗体(HBeAb)', '10666704', '乙肝e抗体(定性)');
INSERT INTO `tran_lis_config` VALUES ('699', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝e抗原(HBeAg)', '乙肝e抗原(HBeAg)', '10666703', '乙肝e抗原(定性)');
INSERT INTO `tran_lis_config` VALUES ('700', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝表面抗体(HBsAb)', '乙肝表面抗体(HBsAb)', '10666702', '乙肝表面抗体(定性)');
INSERT INTO `tran_lis_config` VALUES ('701', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝表面抗原(HBsAg)', '乙肝表面抗原(HBsAg)', '10666701', '乙肝表面抗原(定性)');
INSERT INTO `tran_lis_config` VALUES ('702', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝病毒DNA', '乙肝病毒DNA', '10006605', '乙肝病毒DNA');
INSERT INTO `tran_lis_config` VALUES ('703', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝核心抗体(HBcAb)', '乙肝核心抗体(HBcAb)', '10666705', '乙肝核心抗原(定性)');
INSERT INTO `tran_lis_config` VALUES ('704', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '幽门螺旋杆菌抗体检测', '幽门螺旋杆菌抗体', '10006606', '幽门螺旋杆菌抗体');
INSERT INTO `tran_lis_config` VALUES ('705', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '游离β-绒毛膜促性腺激素(β-HCG)', '游离β-绒毛膜促性腺激素(β-HCG)', '10666834', '游离β-绒毛膜促性腺激素');
INSERT INTO `tran_lis_config` VALUES ('706', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '游离三碘甲状腺激素(FT3)', '游离三碘甲状腺激素(FT3)', '10666723', '游离三碘甲状腺激素');
INSERT INTO `tran_lis_config` VALUES ('707', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '孕酮(P)测定', '孕酮(P)', '10021065', '孕酮');
INSERT INTO `tran_lis_config` VALUES ('708', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体检测（UU）', '支原体', '10666835', '支原体(白带)');
INSERT INTO `tran_lis_config` VALUES ('709', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '总三碘甲状腺原氨酸(TT3)', '总三碘甲状腺原氨酸(TT3)', '10666722', '总三碘甲状腺原氨酸');
INSERT INTO `tran_lis_config` VALUES ('710', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '维生素VB12', '维生素VB12', '10021167', '维生素B12');
INSERT INTO `tran_lis_config` VALUES ('711', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '类风湿因子(RF)', '类风湿因子', '10376690', '类风湿因子');
INSERT INTO `tran_lis_config` VALUES ('712', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能', '谷草转氨酶', '10004049', '谷草转氨酶');
INSERT INTO `tran_lis_config` VALUES ('713', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清酶原检测', '谷草转氨酶', '10004049', '谷草转氨酶');
INSERT INTO `tran_lis_config` VALUES ('714', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '外周血涂片', '异淋细胞', '10666836', '异淋细胞(外周血)');
INSERT INTO `tran_lis_config` VALUES ('715', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'I131摄取率', '3h摄取率', '10667608', '3h摄取率(I131碘摄取试验)');
INSERT INTO `tran_lis_config` VALUES ('716', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'I131摄取率', '24h摄取率', '10667609', '24h摄取率(I131碘摄取试验)');
INSERT INTO `tran_lis_config` VALUES ('717', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿磷测定', '尿磷', '10666866', '尿磷');
INSERT INTO `tran_lis_config` VALUES ('718', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿钙测定', '尿钙', '10666864', '尿钙');
INSERT INTO `tran_lis_config` VALUES ('719', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '醛固酮(ALD)', '血醛固酮(卧位)', '10667109', '血醛固酮(卧位)');
INSERT INTO `tran_lis_config` VALUES ('720', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '催乳激素', '催乳激素', '10553087', '泌乳素');
INSERT INTO `tran_lis_config` VALUES ('721', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '骨源性碱性磷酸酶测定', '骨源性碱性磷酸酶', '10667112', '骨源性碱性磷酸酶');
INSERT INTO `tran_lis_config` VALUES ('722', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃蛋白酶原检测(PG)', 'PG I', '10667103', '胃蛋白酶原I');
INSERT INTO `tran_lis_config` VALUES ('723', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃蛋白酶原检测(PG)', 'PG II', '10667104', '胃蛋白酶原II');
INSERT INTO `tran_lis_config` VALUES ('724', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃蛋白酶原检测(PG)', 'PG I/II', '10667105', '胃蛋白酶原比值');
INSERT INTO `tran_lis_config` VALUES ('725', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝三系定量检测', '乙肝e抗体(HBeAb)', '10667071', '乙肝e抗体(定量)');
INSERT INTO `tran_lis_config` VALUES ('726', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝三系定量检测', '乙肝e抗原(HBeAg)', '10667072', '乙肝e抗原(定量)');
INSERT INTO `tran_lis_config` VALUES ('727', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝三系定量检测', '乙肝核心抗体(HBcAb)', '10667073', '乙肝核心抗体(定量)');
INSERT INTO `tran_lis_config` VALUES ('728', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝三系定量检测', '乙肝表面抗原(HBsAg)', '10667076', '乙肝表面抗原(定量)');
INSERT INTO `tran_lis_config` VALUES ('729', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '脑脊液常规', '白细胞', null, '白细胞(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('730', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '脑脊液常规', '红细胞', null, '红细胞(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('731', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '脑脊液常规', '蛋白质定量', null, '蛋白质(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('732', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '脑脊液常规', 'PH值', null, '酸碱度(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('733', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '脑脊液常规', '比重', null, '比重(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('734', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '脑脊液常规', '透明度', null, '透明度(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('735', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '脑脊液常规', '细胞计数', null, '细胞计数(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('736', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '脑脊液常规', '压力', null, '压力(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('737', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '脑脊液常规', '颜色', null, '颜色(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('738', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '脑脊液常规', '尿酸', null, '尿酸(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('739', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '脑脊液常规', '乳酸脱氢酶', null, '乳酸脱氢酶(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('740', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '脑脊液常规', '脑脊液IgM', null, 'IgM(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('741', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '脑脊液常规', '脑脊液IgG', null, 'IgG(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('742', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '脑脊液常规', '脑脊液IgA', null, 'IgA(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('743', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '脑脊液常规', '乳酸', null, '乳酸(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('744', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '脑脊液常规', '葡萄糖', null, '葡萄糖(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('745', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '脑脊液常规', '谷氨酰胺', null, '脑脊液谷氨酰胺');
INSERT INTO `tran_lis_config` VALUES ('746', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '脑脊液常规', '氯化物', null, '氯化物(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('747', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '脑脊液常规', '脑脊液肌酸激酶同工酶', null, '肌酸激酶同工酶(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('748', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '脑脊液常规', '环磷酸腺苷', null, '环磷酸腺苷(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('749', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '脑脊液常规', '胆红素', null, '胆红素(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('750', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '脑脊液常规', '天门冬酸氨基转移酶', null, '天门冬酸氨基转移酶(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('751', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '脑脊液常规', '清蛋白', null, '清蛋白(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('752', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '脑脊液常规', '溶菌酶', null, '溶菌酶(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('753', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '脑脊液常规', '色氨酸试验', null, '色氨酸试验(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('754', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血常规', '白细胞计数', null, '白细胞计数');
INSERT INTO `tran_lis_config` VALUES ('755', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血常规', '红细胞分布宽度', null, '血红细胞分布宽度');
INSERT INTO `tran_lis_config` VALUES ('756', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血常规', '红细胞计数', null, '红细胞计数');
INSERT INTO `tran_lis_config` VALUES ('757', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血常规', '血小板计数', null, '血小板计数');
INSERT INTO `tran_lis_config` VALUES ('758', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血常规', '大型血小板比例', null, '大型血小板比例');
INSERT INTO `tran_lis_config` VALUES ('759', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血常规', '血小板体积分布宽度', null, '血小板体积分布宽度');
INSERT INTO `tran_lis_config` VALUES ('760', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血常规', '血小板压积', null, '血小板压积');
INSERT INTO `tran_lis_config` VALUES ('761', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血常规', '血小板平均体积', null, '血小板平均体积');
INSERT INTO `tran_lis_config` VALUES ('762', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血常规', '单核细胞百分比', null, '单核细胞百分比');
INSERT INTO `tran_lis_config` VALUES ('763', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血常规', '单核细胞计数', null, '单核细胞计数');
INSERT INTO `tran_lis_config` VALUES ('764', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血常规', '平均红细胞体积', null, '平均红细胞体积');
INSERT INTO `tran_lis_config` VALUES ('765', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血常规', '血红蛋白平均浓度', null, '血红蛋白平均浓度');
INSERT INTO `tran_lis_config` VALUES ('766', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血常规', '血红蛋白平均含量', null, '血红蛋白平均含量');
INSERT INTO `tran_lis_config` VALUES ('767', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血常规', '淋巴细胞计数', null, '淋巴细胞计数');
INSERT INTO `tran_lis_config` VALUES ('768', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血常规', '淋巴细胞百分比', null, '淋巴细胞百分比');
INSERT INTO `tran_lis_config` VALUES ('769', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血常规', '血红蛋白', null, '血红蛋白');
INSERT INTO `tran_lis_config` VALUES ('770', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血常规', '红细胞压积', null, '红细胞压积');
INSERT INTO `tran_lis_config` VALUES ('771', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血常规', '中性粒细胞计数', null, '中性粒细胞计数');
INSERT INTO `tran_lis_config` VALUES ('772', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血常规', '中性粒细胞百分比', null, '中性粒细胞百分比');
INSERT INTO `tran_lis_config` VALUES ('773', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血常规', '嗜酸性粒细胞百分比', null, '嗜酸性粒细胞百分比');
INSERT INTO `tran_lis_config` VALUES ('774', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血常规', '嗜酸性粒细胞计数', null, '嗜酸性粒细胞计数');
INSERT INTO `tran_lis_config` VALUES ('775', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血常规', '嗜碱性粒细胞百分比', null, '嗜碱性粒细胞百分比');
INSERT INTO `tran_lis_config` VALUES ('776', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血常规', '嗜碱性粒细胞计数', null, '嗜碱性粒细胞计数');
INSERT INTO `tran_lis_config` VALUES ('777', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿常规', '尿白细胞', null, '尿白细胞');
INSERT INTO `tran_lis_config` VALUES ('778', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿常规', '尿胆原定量', null, '尿胆原定量');
INSERT INTO `tran_lis_config` VALUES ('779', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿常规', '尿胆原定性', null, '尿胆原定性');
INSERT INTO `tran_lis_config` VALUES ('780', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿常规', '尿红细胞', null, '尿红细胞');
INSERT INTO `tran_lis_config` VALUES ('781', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿常规', '尿蛋白定量', null, '尿蛋白定量');
INSERT INTO `tran_lis_config` VALUES ('782', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿常规', '尿蛋白定性', null, '尿蛋白定性');
INSERT INTO `tran_lis_config` VALUES ('783', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿常规', 'PH值', null, '尿酸碱度');
INSERT INTO `tran_lis_config` VALUES ('784', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿常规', '尿糖定量', null, '尿糖定量');
INSERT INTO `tran_lis_config` VALUES ('785', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿常规', '尿糖定性', null, '尿糖定性');
INSERT INTO `tran_lis_config` VALUES ('786', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿常规', '胆红素', null, '尿胆红素');
INSERT INTO `tran_lis_config` VALUES ('787', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿常规', '比重', null, '尿比重');
INSERT INTO `tran_lis_config` VALUES ('788', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿常规', '酮体', null, '尿酮体');
INSERT INTO `tran_lis_config` VALUES ('789', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿常规', '隐血', null, '尿隐血');
INSERT INTO `tran_lis_config` VALUES ('790', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿常规', '上皮细胞', null, '尿上皮细胞');
INSERT INTO `tran_lis_config` VALUES ('791', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿常规', '渗透压', null, '尿渗透压');
INSERT INTO `tran_lis_config` VALUES ('792', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿常规', '透明度', null, '尿透明度');
INSERT INTO `tran_lis_config` VALUES ('793', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿常规', '颜色', null, '尿颜色');
INSERT INTO `tran_lis_config` VALUES ('794', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿常规', '维生素C', null, '尿维生素C');
INSERT INTO `tran_lis_config` VALUES ('795', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肝功能', 'α-L-岩藻糖苷酶', null, 'α-L-岩藻糖苷酶');
INSERT INTO `tran_lis_config` VALUES ('796', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿常规', '亚硝酸盐', null, '尿亚硝酸盐');
INSERT INTO `tran_lis_config` VALUES ('797', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿白蛋白及肌酐测定', '尿白蛋白/肌酐比值', null, '白蛋白/肌酐比值');
INSERT INTO `tran_lis_config` VALUES ('798', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '过敏原检查', '总IgE(定性)', null, '免疫球蛋白E');
INSERT INTO `tran_lis_config` VALUES ('799', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '过敏原检查', '矮豚草/葎草', null, '矮豚草/葎草(过敏原检查)');
INSERT INTO `tran_lis_config` VALUES ('800', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '过敏原检查', '粉尘', null, '粉尘(过敏原检查)');
INSERT INTO `tran_lis_config` VALUES ('801', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '过敏原检查', '狗皮屑', null, '狗皮屑(过敏原检查)');
INSERT INTO `tran_lis_config` VALUES ('802', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '过敏原检查', '花生', null, '花生(过敏原检查)');
INSERT INTO `tran_lis_config` VALUES ('803', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '过敏原检查', '黄豆', null, '黄豆(过敏原检查)');
INSERT INTO `tran_lis_config` VALUES ('804', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '过敏原检查', '鸡蛋白', null, '鸡蛋白(过敏原检查)');
INSERT INTO `tran_lis_config` VALUES ('805', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '过敏原检查', '猫皮屑', null, '猫皮屑(过敏原检查)');
INSERT INTO `tran_lis_config` VALUES ('806', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '过敏原检查', '霉菌组合(点青/分枝/烟曲/交链)', null, '霉菌(过敏原检查)');
INSERT INTO `tran_lis_config` VALUES ('807', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '过敏原检查', '牛奶', null, '牛奶(过敏原检查)');
INSERT INTO `tran_lis_config` VALUES ('808', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '过敏原检查', '牛肉', null, '牛肉(过敏原检查)');
INSERT INTO `tran_lis_config` VALUES ('809', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '过敏原检查', '屋尘', null, '屋尘(过敏原检查)');
INSERT INTO `tran_lis_config` VALUES ('810', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '过敏原检查', '虾', null, '虾(过敏原检查)');
INSERT INTO `tran_lis_config` VALUES ('811', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '过敏原检查', '蟹', null, '蟹(过敏原检查)');
INSERT INTO `tran_lis_config` VALUES ('812', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '过敏原检查', '羊肉', null, '羊肉(过敏原检查)');
INSERT INTO `tran_lis_config` VALUES ('813', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '过敏原检查', '腰果', null, '腰果(过敏原检查)');
INSERT INTO `tran_lis_config` VALUES ('814', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '过敏原检查', '鱼(鲤鱼/鲈鱼/鲑鱼)', null, '鱼(过敏原检查)');
INSERT INTO `tran_lis_config` VALUES ('815', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '过敏原检查', '榆树/梧桐树/柳树/杨树', null, '榆树/梧桐树/柳树/杨树(过敏原检查)');
INSERT INTO `tran_lis_config` VALUES ('816', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '过敏原检查', '蟑螂', null, '蟑螂(过敏原检查)');
INSERT INTO `tran_lis_config` VALUES ('817', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '精液常规', '白细胞', null, '白细胞(精液)');
INSERT INTO `tran_lis_config` VALUES ('818', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '精液常规', '红细胞', null, '红细胞(精液)');
INSERT INTO `tran_lis_config` VALUES ('819', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '精液常规', 'PH值', null, '酸碱度(精液)');
INSERT INTO `tran_lis_config` VALUES ('820', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '精液常规', '比重', null, '比重(精液)');
INSERT INTO `tran_lis_config` VALUES ('821', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '精液常规', '精液量', null, '精液量');
INSERT INTO `tran_lis_config` VALUES ('822', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '精液常规', '精子存活率', null, '精子存活率');
INSERT INTO `tran_lis_config` VALUES ('823', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '精液常规', '精子活动力', null, '精子活动力');
INSERT INTO `tran_lis_config` VALUES ('824', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '精液常规', '精子密度', null, '精子密度');
INSERT INTO `tran_lis_config` VALUES ('825', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '精液常规', '精子正常形态', null, '精子正常形态');
INSERT INTO `tran_lis_config` VALUES ('826', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '精液常规', '精子总数', null, '精子总数');
INSERT INTO `tran_lis_config` VALUES ('827', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '精液常规', '外观', null, '外观(精液)');
INSERT INTO `tran_lis_config` VALUES ('828', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '精液常规', '未成熟生殖细胞', null, '未成熟生殖细胞(精液)');
INSERT INTO `tran_lis_config` VALUES ('829', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '精液常规', '嗅味', null, '嗅味(精液)');
INSERT INTO `tran_lis_config` VALUES ('830', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '精液常规', '液化时间', null, '液化时间(精液)');
INSERT INTO `tran_lis_config` VALUES ('831', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '精液常规', '精子乳酸脱氢酶-X', null, '乳酸脱氢酶-X(精液)');
INSERT INTO `tran_lis_config` VALUES ('832', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '精液常规', '果糖', null, '果糖(精液)');
INSERT INTO `tran_lis_config` VALUES ('833', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '精液常规', '抗精子抗体', null, '抗精子抗体(精液)');
INSERT INTO `tran_lis_config` VALUES ('834', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '精液常规', '精子低渗胀试验', null, '精子低渗胀试验');
INSERT INTO `tran_lis_config` VALUES ('835', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '精液常规', '顶体酶', null, '精子顶体酶');
INSERT INTO `tran_lis_config` VALUES ('836', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胃液常规', '白细胞', null, '白细胞(胃液)');
INSERT INTO `tran_lis_config` VALUES ('837', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胃液常规', '红细胞', null, '红细胞(胃液)');
INSERT INTO `tran_lis_config` VALUES ('838', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胃液常规', '酸碱度', null, '酸碱度(胃液)');
INSERT INTO `tran_lis_config` VALUES ('839', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胃液常规', '癌细胞', null, '癌细胞(胃液)');
INSERT INTO `tran_lis_config` VALUES ('840', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胃液常规', '比重', null, '比重(胃液)');
INSERT INTO `tran_lis_config` VALUES ('841', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胃液常规', '黏液', null, '黏液(胃液)');
INSERT INTO `tran_lis_config` VALUES ('842', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胃液常规', '气味', null, '气味(胃液)');
INSERT INTO `tran_lis_config` VALUES ('843', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胃液常规', '上皮细胞', null, '上皮细胞(胃液)');
INSERT INTO `tran_lis_config` VALUES ('844', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胃液常规', '细菌', null, '细菌(胃液)');
INSERT INTO `tran_lis_config` VALUES ('845', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胃液常规', '颜色', null, '颜色(胃液)');
INSERT INTO `tran_lis_config` VALUES ('846', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胃液常规', '高峰泌酸量(PAO)', null, '高峰泌酸量');
INSERT INTO `tran_lis_config` VALUES ('847', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胃液常规', '最大泌酸量(MAO)', null, '最大泌酸量');
INSERT INTO `tran_lis_config` VALUES ('848', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胃液常规', '乳酸', null, '乳酸(胃液)');
INSERT INTO `tran_lis_config` VALUES ('849', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胃液常规', 'BAO/MAO', null, 'BAO/MAO');
INSERT INTO `tran_lis_config` VALUES ('850', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胃液常规', '基础泌酸量(BAO)', null, '基础泌酸量');
INSERT INTO `tran_lis_config` VALUES ('851', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胃液常规', '潜血', null, '潜血(胃液)');
INSERT INTO `tran_lis_config` VALUES ('852', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胃液常规', '胃液分泌总量', null, '胃液分泌总量');
INSERT INTO `tran_lis_config` VALUES ('853', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胃液常规', '空腹胃液量', null, '胃液量');
INSERT INTO `tran_lis_config` VALUES ('854', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '粪便常规', '白细胞', null, '白细胞(粪便)');
INSERT INTO `tran_lis_config` VALUES ('855', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '粪便常规', '红细胞', null, '红细胞(粪便)');
INSERT INTO `tran_lis_config` VALUES ('856', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '粪便常规', 'PH值', null, '酸碱度(粪便)');
INSERT INTO `tran_lis_config` VALUES ('857', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '粪便常规', '隐血', null, '粪便隐血');
INSERT INTO `tran_lis_config` VALUES ('858', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '粪便常规', '虫卵', null, '虫卵(粪便)');
INSERT INTO `tran_lis_config` VALUES ('859', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '粪便常规', '革兰阴性稍弯曲弧菌', null, '霍乱弧菌(粪便涂片)');
INSERT INTO `tran_lis_config` VALUES ('860', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '粪便常规', '脓球', null, '脓球(粪便)');
INSERT INTO `tran_lis_config` VALUES ('861', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '粪便常规', '上皮细胞', null, '上皮细胞(粪便)');
INSERT INTO `tran_lis_config` VALUES ('862', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '粪便常规', '性状', null, '性状(粪便)');
INSERT INTO `tran_lis_config` VALUES ('863', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '粪便常规', '颜色', null, '颜色(粪便)');
INSERT INTO `tran_lis_config` VALUES ('864', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '粪便常规', '脂肪球', null, '脂肪球(粪便)');
INSERT INTO `tran_lis_config` VALUES ('865', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '粪便常规', '志贺氏菌', null, '志贺氏菌(粪便涂片)');
INSERT INTO `tran_lis_config` VALUES ('866', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '粪便常规', '蛋白质定量', null, '蛋白质(粪便)');
INSERT INTO `tran_lis_config` VALUES ('867', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '粪便常规', '粪卟啉', null, '粪卟啉');
INSERT INTO `tran_lis_config` VALUES ('868', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '粪便常规', '胆红素', null, '粪胆红素');
INSERT INTO `tran_lis_config` VALUES ('869', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '粪便常规', '粪胆素', null, '粪胆红素');
INSERT INTO `tran_lis_config` VALUES ('870', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '粪便常规', '胆原定量', null, '粪胆原');
INSERT INTO `tran_lis_config` VALUES ('871', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '抗凝血', '血浆纤溶酶-抗纤溶酶复合物', null, '纤溶酶-抗纤溶酶复合物');
INSERT INTO `tran_lis_config` VALUES ('872', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '抗凝血', '血浆蛋白C活性', null, '蛋白C活性');
INSERT INTO `tran_lis_config` VALUES ('873', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '抗凝血', '狼疮抗凝物质', null, '狼疮抗凝物质');
INSERT INTO `tran_lis_config` VALUES ('874', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '抗凝血', '纤维蛋白(原)降解产物', null, '纤维蛋白降解产物');
INSERT INTO `tran_lis_config` VALUES ('875', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '抗凝血', '血清纤维蛋白降解产物', null, '纤维蛋白降解产物');
INSERT INTO `tran_lis_config` VALUES ('876', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '抗凝血', '优球蛋白溶解时间', null, '优球蛋白溶解时间');
INSERT INTO `tran_lis_config` VALUES ('877', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '抗凝血', '血浆纤维蛋白肽Bβ1-42', null, '纤维蛋白肽Bβ1-42');
INSERT INTO `tran_lis_config` VALUES ('878', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '抗凝血', '血浆纤维蛋白肽BP15-42', null, '纤维蛋白肽BP15-42');
INSERT INTO `tran_lis_config` VALUES ('879', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '抗凝血', '抗凝血酶Ⅲ抗原', null, '抗凝血酶Ⅲ抗原');
INSERT INTO `tran_lis_config` VALUES ('880', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '抗凝血', '血浆抗凝血酶Ⅲ活性', null, '抗凝血酶Ⅲ活性');
INSERT INTO `tran_lis_config` VALUES ('881', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '抗凝血', '血浆抗凝血酶活性', null, '抗凝血酶活性');
INSERT INTO `tran_lis_config` VALUES ('882', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '抗凝血', '抗心磷脂抗体', null, '抗心磷脂抗体');
INSERT INTO `tran_lis_config` VALUES ('883', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '抗凝血', '血浆α2纤溶酶抑制物活性', null, 'α2纤溶酶抑制物活性');
INSERT INTO `tran_lis_config` VALUES ('884', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '抗凝血', '血浆凝血酶-抗凝血酶复合物', null, '凝血酶-抗凝血酶复合物');
INSERT INTO `tran_lis_config` VALUES ('885', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '抗凝血', '血浆游离蛋白S抗原', null, '游离蛋白S抗原');
INSERT INTO `tran_lis_config` VALUES ('886', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '抗凝血', '血浆鱼精蛋白副凝试验', null, '鱼精蛋白副凝试验');
INSERT INTO `tran_lis_config` VALUES ('887', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '抗凝血', '血浆总蛋白S抗原', null, '总蛋白S抗原');
INSERT INTO `tran_lis_config` VALUES ('888', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿液其他成分检查', '尿酸', null, '尿尿酸');
INSERT INTO `tran_lis_config` VALUES ('889', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿液其他成分检查', '尿卟啉', null, '尿卟啉');
INSERT INTO `tran_lis_config` VALUES ('890', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿液其他成分检查', '总氮', null, '尿总氮');
INSERT INTO `tran_lis_config` VALUES ('891', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿液其他成分检查', '肌红蛋白定量', null, '尿肌红蛋白');
INSERT INTO `tran_lis_config` VALUES ('892', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿液其他成分检查', '肌红蛋白定性', null, '尿肌红蛋白');
INSERT INTO `tran_lis_config` VALUES ('893', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿液其他成分检查', '免疫球蛋白', null, '尿免疫球蛋白');
INSERT INTO `tran_lis_config` VALUES ('894', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿液其他成分检查', '血红蛋白定性', null, '尿血红蛋白');
INSERT INTO `tran_lis_config` VALUES ('895', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿液其他成分检查', '含铁血黄素', null, '尿含铁血黄素');
INSERT INTO `tran_lis_config` VALUES ('896', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿液其他成分检查', '纤维蛋白降解产物', null, '尿纤维蛋白降解产物');
INSERT INTO `tran_lis_config` VALUES ('897', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿液其他成分检查', '肌酸', null, '尿肌酸');
INSERT INTO `tran_lis_config` VALUES ('898', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿液其他成分检查', '肌酐', null, '尿肌酐');
INSERT INTO `tran_lis_config` VALUES ('899', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿液其他成分检查', '补体C3', null, '尿C3');
INSERT INTO `tran_lis_config` VALUES ('900', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿液其他成分检查', '尿素氮', null, '尿尿素氮');
INSERT INTO `tran_lis_config` VALUES ('901', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿液其他成分检查', '溶菌酶', null, '尿溶菌酶');
INSERT INTO `tran_lis_config` VALUES ('902', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿液其他成分检查', '乳糜尿试验', null, '乳糜尿试验');
INSERT INTO `tran_lis_config` VALUES ('903', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿液其他成分检查', '粘蛋白', null, '尿粘蛋白');
INSERT INTO `tran_lis_config` VALUES ('904', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿液其他成分检查', '尿清蛋白排泄率', null, '清蛋白排泄率');
INSERT INTO `tran_lis_config` VALUES ('905', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血浆肾素活性', '肾素活性(卧位)', null, '肾素活性(卧位)');
INSERT INTO `tran_lis_config` VALUES ('906', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肝功能', 'γ-谷氨酰转移酶', null, 'γ-谷氨酰转移酶');
INSERT INTO `tran_lis_config` VALUES ('907', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肝功能', '总蛋白', null, '总蛋白');
INSERT INTO `tran_lis_config` VALUES ('908', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肝功能', '总胆红素', null, '总胆红素');
INSERT INTO `tran_lis_config` VALUES ('909', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肝功能', '总胆汁酸', null, '总胆汁酸');
INSERT INTO `tran_lis_config` VALUES ('910', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肝功能', '乳酸脱氢酶', null, '乳酸脱氢酶');
INSERT INTO `tran_lis_config` VALUES ('911', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肝功能', '间接胆红素', null, '间接胆红素');
INSERT INTO `tran_lis_config` VALUES ('912', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肝功能', '谷氨酸脱氢酶', null, '谷氨酸脱氢酶');
INSERT INTO `tran_lis_config` VALUES ('913', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肝功能', '球蛋白', null, '球蛋白');
INSERT INTO `tran_lis_config` VALUES ('914', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肝功能', '直接胆红素/总胆红素', null, '直接胆红素/总胆红素');
INSERT INTO `tran_lis_config` VALUES ('915', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肝功能', '直接胆红素', null, '直接胆红素');
INSERT INTO `tran_lis_config` VALUES ('916', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肝功能', '谷草/谷丙', null, '谷草/谷丙');
INSERT INTO `tran_lis_config` VALUES ('917', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肝功能', '谷丙转氨酶', null, '谷丙转氨酶');
INSERT INTO `tran_lis_config` VALUES ('918', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肝功能', '碱性磷酸酶', null, '碱性磷酸酶');
INSERT INTO `tran_lis_config` VALUES ('919', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肝功能', '白蛋白', null, '白蛋白');
INSERT INTO `tran_lis_config` VALUES ('920', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肝功能', '白蛋白/球蛋白比值', null, '白蛋白/球蛋白比值');
INSERT INTO `tran_lis_config` VALUES ('921', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿沉渣分析', '白细胞', null, '白细胞(尿沉渣分析)');
INSERT INTO `tran_lis_config` VALUES ('922', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿沉渣分析', '尿白细胞(高倍)', null, '白细胞(尿沉渣分析)');
INSERT INTO `tran_lis_config` VALUES ('923', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿沉渣分析', '红细胞', null, '尿红细胞');
INSERT INTO `tran_lis_config` VALUES ('924', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿沉渣分析', '尿红细胞(高倍)', null, '红细胞(尿沉渣分析)');
INSERT INTO `tran_lis_config` VALUES ('925', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿沉渣分析', '电导率', null, '电导率(尿沉渣分析)');
INSERT INTO `tran_lis_config` VALUES ('926', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿白蛋白及肌酐测定', '尿白蛋白排泄率', null, '白蛋白排泄率');
INSERT INTO `tran_lis_config` VALUES ('927', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿白蛋白及肌酐测定', '肌酐', null, '尿肌酐');
INSERT INTO `tran_lis_config` VALUES ('928', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿沉渣分析', '管型', null, '尿管型');
INSERT INTO `tran_lis_config` VALUES ('929', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿沉渣分析', '结晶数量', null, '结晶(尿沉渣分析)');
INSERT INTO `tran_lis_config` VALUES ('930', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿沉渣分析', '类酵母样细胞', null, '类酵母样细胞(尿沉渣分析)');
INSERT INTO `tran_lis_config` VALUES ('931', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿沉渣分析', '上皮细胞', null, '上皮细胞(尿沉渣分析)');
INSERT INTO `tran_lis_config` VALUES ('932', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿沉渣分析', '上皮细胞(高倍)', null, '上皮细胞(高倍)(尿沉渣分析)');
INSERT INTO `tran_lis_config` VALUES ('933', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿沉渣分析', '细菌', null, '细菌(尿沉渣分析)');
INSERT INTO `tran_lis_config` VALUES ('934', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿沉渣分析', '细菌(高倍)', null, '细菌(高倍)(尿沉渣分析)');
INSERT INTO `tran_lis_config` VALUES ('935', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿沉渣分析', '小圆上皮细胞', null, '小圆上皮细胞(尿沉渣分析)');
INSERT INTO `tran_lis_config` VALUES ('936', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血培养及鉴定', '结核分枝杆菌', null, '结核分枝杆菌(血培养及鉴定)');
INSERT INTO `tran_lis_config` VALUES ('937', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血培养及鉴定', '结核杆菌', null, '结核杆菌(血培养及鉴定)');
INSERT INTO `tran_lis_config` VALUES ('938', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血培养及鉴定', '埃肯菌', null, '埃肯菌(血培养及鉴定)');
INSERT INTO `tran_lis_config` VALUES ('939', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血培养及鉴定', '草绿色链球菌', null, '草绿色链球菌(血培养及鉴定)');
INSERT INTO `tran_lis_config` VALUES ('940', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血培养及鉴定', '肠球菌', null, '肠球菌(血培养及鉴定)');
INSERT INTO `tran_lis_config` VALUES ('941', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血培养及鉴定', '放线杆菌', null, '放线杆菌(血培养及鉴定)');
INSERT INTO `tran_lis_config` VALUES ('942', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血培养及鉴定', '艰难梭状杆菌', null, '艰难梭状杆菌(血培养及鉴定)');
INSERT INTO `tran_lis_config` VALUES ('943', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血培养及鉴定', '金黄色葡萄球菌', null, '金黄色葡萄球菌(血培养及鉴定)');
INSERT INTO `tran_lis_config` VALUES ('944', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血培养及鉴定', '金氏菌', null, '金氏菌(血培养及鉴定)');
INSERT INTO `tran_lis_config` VALUES ('945', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血培养及鉴定', '军团菌', null, '军团菌(血培养及鉴定)');
INSERT INTO `tran_lis_config` VALUES ('946', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血培养及鉴定', '立克次体', null, '立克次体(血培养及鉴定)');
INSERT INTO `tran_lis_config` VALUES ('947', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血培养及鉴定', '牛链球菌', null, '牛链球菌(血培养及鉴定)');
INSERT INTO `tran_lis_config` VALUES ('948', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血培养及鉴定', '伤寒杆菌', null, '伤寒杆菌(血培养及鉴定)');
INSERT INTO `tran_lis_config` VALUES ('949', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血培养及鉴定', '嗜血杆菌', null, '嗜血杆菌(血培养及鉴定)');
INSERT INTO `tran_lis_config` VALUES ('950', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血培养及鉴定', '心杆菌', null, '心杆菌(血培养及鉴定)');
INSERT INTO `tran_lis_config` VALUES ('951', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '电解质', '锌', null, '锌');
INSERT INTO `tran_lis_config` VALUES ('952', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '电解质', '铅', null, '血铅');
INSERT INTO `tran_lis_config` VALUES ('953', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '电解质', '磷(无机磷)', null, '血磷');
INSERT INTO `tran_lis_config` VALUES ('954', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '电解质', '钠离子', null, '钠离子');
INSERT INTO `tran_lis_config` VALUES ('955', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '电解质', '镁', null, '血镁');
INSERT INTO `tran_lis_config` VALUES ('956', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '电解质', '钾离子', null, '钾离子');
INSERT INTO `tran_lis_config` VALUES ('957', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '电解质', '汞', null, '汞');
INSERT INTO `tran_lis_config` VALUES ('958', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '电解质', '碳酸氢根', null, '碳酸氢根');
INSERT INTO `tran_lis_config` VALUES ('959', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '电解质', '铁', null, '铁');
INSERT INTO `tran_lis_config` VALUES ('960', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '电解质', '铜', null, '铜');
INSERT INTO `tran_lis_config` VALUES ('961', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '电解质', '氯离子', null, '氯离子');
INSERT INTO `tran_lis_config` VALUES ('962', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '电解质', '总钙', null, '总钙');
INSERT INTO `tran_lis_config` VALUES ('963', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '电解质', '游离钙', null, '游离钙');
INSERT INTO `tran_lis_config` VALUES ('964', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血气分析', '血氧饱和度', null, '血氧饱和度');
INSERT INTO `tran_lis_config` VALUES ('965', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血气分析', '动脉血氧分压', null, '动脉血氧分压');
INSERT INTO `tran_lis_config` VALUES ('966', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血气分析', '血PH值', null, '酸碱度(血)');
INSERT INTO `tran_lis_config` VALUES ('967', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血气分析', '动脉血二氧化碳分压', null, '动脉血二氧化碳分压');
INSERT INTO `tran_lis_config` VALUES ('968', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血气分析', '丙酮酸', null, '血丙酮酸');
INSERT INTO `tran_lis_config` VALUES ('969', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血气分析', '乳酸/丙酮酸', null, '乳酸/丙酮酸');
INSERT INTO `tran_lis_config` VALUES ('970', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血气分析', '血乳酸', null, '乳酸');
INSERT INTO `tran_lis_config` VALUES ('971', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血气分析', '碳酸氢根', null, '碳酸氢根');
INSERT INTO `tran_lis_config` VALUES ('972', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血气分析', '二氧化碳结合率', null, '二氧化碳结合率');
INSERT INTO `tran_lis_config` VALUES ('973', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血气分析', '剩余碱', null, '剩余碱');
INSERT INTO `tran_lis_config` VALUES ('974', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血气分析', '全血缓冲碱', null, '缓冲碱');
INSERT INTO `tran_lis_config` VALUES ('975', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血气分析', '阴离子间隙', null, '阴离子间隙');
INSERT INTO `tran_lis_config` VALUES ('976', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血气分析', '血浆渗透压', null, '渗透压(血)');
INSERT INTO `tran_lis_config` VALUES ('977', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '白带常规', '白细胞', null, '白细胞(白带)');
INSERT INTO `tran_lis_config` VALUES ('978', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '白带常规', '红细胞', null, '红细胞(白带)');
INSERT INTO `tran_lis_config` VALUES ('979', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '白带常规', '酸碱度', null, '酸碱度(白带)');
INSERT INTO `tran_lis_config` VALUES ('980', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '白带常规', '滴虫', null, '滴虫(白带)');
INSERT INTO `tran_lis_config` VALUES ('981', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '白带常规', '加特纳杆菌', null, '加特纳杆菌(白带)');
INSERT INTO `tran_lis_config` VALUES ('982', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '白带常规', '霉菌', null, '霉菌(白带)');
INSERT INTO `tran_lis_config` VALUES ('983', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '白带常规', '清洁度', null, '清洁度(白带)');
INSERT INTO `tran_lis_config` VALUES ('984', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '白带常规', '乳酸杆菌', null, '乳酸杆菌(白带)');
INSERT INTO `tran_lis_config` VALUES ('985', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '白带常规', '上皮细胞', null, '上皮细胞(白带)');
INSERT INTO `tran_lis_config` VALUES ('986', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '白带常规', '外观', null, '外观(白带)');
INSERT INTO `tran_lis_config` VALUES ('987', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '白带常规', '线索细胞', null, '线索细胞(白带)');
INSERT INTO `tran_lis_config` VALUES ('988', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '白带常规', '杂菌', null, '杂菌(白带)');
INSERT INTO `tran_lis_config` VALUES ('989', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '凝血因子', '可溶性纤维蛋白单体复合物', null, '可溶性纤维蛋白单体复合物');
INSERT INTO `tran_lis_config` VALUES ('990', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '凝血因子', '凝血因子Ⅱ', null, '凝血因子Ⅱ');
INSERT INTO `tran_lis_config` VALUES ('991', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '凝血因子', '血浆纤维蛋白原(FG)', null, '纤维蛋白原');
INSERT INTO `tran_lis_config` VALUES ('992', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '凝血因子', '凝血因子Ⅷ', null, '凝血因子Ⅷ');
INSERT INTO `tran_lis_config` VALUES ('993', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '凝血因子', '凝血因子Ⅴ', null, '凝血因子Ⅴ');
INSERT INTO `tran_lis_config` VALUES ('994', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '凝血因子', '凝血因子Ⅶ', null, '凝血因子Ⅶ');
INSERT INTO `tran_lis_config` VALUES ('995', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '凝血因子', '凝血因子Ⅷ抑制物', null, '凝血因子Ⅷ抑制物');
INSERT INTO `tran_lis_config` VALUES ('996', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '凝血因子', '凝血因子Ⅸ', null, '凝血因子Ⅸ');
INSERT INTO `tran_lis_config` VALUES ('997', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '凝血因子', '凝血因子Ⅹ', null, '凝血因子Ⅹ');
INSERT INTO `tran_lis_config` VALUES ('998', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '凝血因子', '凝血因子Ⅺ', null, '凝血因子Ⅺ');
INSERT INTO `tran_lis_config` VALUES ('999', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '凝血因子', '凝血因子Ⅻ', null, '凝血因子Ⅻ');
INSERT INTO `tran_lis_config` VALUES ('1000', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '前列腺液常规', '白细胞', null, '白细胞(前列腺液)');
INSERT INTO `tran_lis_config` VALUES ('1001', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '前列腺液常规', '红细胞', null, '红细胞(前列腺液)');
INSERT INTO `tran_lis_config` VALUES ('1002', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '前列腺液常规', 'PH值', null, '酸碱度(前列腺液)');
INSERT INTO `tran_lis_config` VALUES ('1003', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '前列腺液常规', '滴虫', null, '滴虫(前列腺液)');
INSERT INTO `tran_lis_config` VALUES ('1004', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '前列腺液常规', '淀粉样体', null, '淀粉样体(前列腺液常规)');
INSERT INTO `tran_lis_config` VALUES ('1005', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '前列腺液常规', '精子', null, '精子(前列腺液)');
INSERT INTO `tran_lis_config` VALUES ('1006', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '前列腺液常规', '颗粒细胞', null, '颗粒细胞(前列腺液)');
INSERT INTO `tran_lis_config` VALUES ('1007', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '前列腺液常规', '卵磷脂小体', null, '卵磷脂小体(前列腺液)');
INSERT INTO `tran_lis_config` VALUES ('1008', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '前列腺液常规', '上皮细胞', null, '上皮细胞(前列腺液)');
INSERT INTO `tran_lis_config` VALUES ('1009', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '前列腺液常规', '性状', null, '性状(前列腺液)');
INSERT INTO `tran_lis_config` VALUES ('1010', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '前列腺液常规', '液化时间', null, '液化时间(前列腺液)');
INSERT INTO `tran_lis_config` VALUES ('1011', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胸水常规', '酸碱度', null, '酸碱度(胸水)');
INSERT INTO `tran_lis_config` VALUES ('1012', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胸水常规', '比重', null, '比重(胸水)');
INSERT INTO `tran_lis_config` VALUES ('1013', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胸水常规', '黏蛋白定性', null, '黏蛋白(胸水)');
INSERT INTO `tran_lis_config` VALUES ('1014', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胸水常规', '凝固性', null, '凝固性(胸水)');
INSERT INTO `tran_lis_config` VALUES ('1015', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胸水常规', '透明度', null, '透明度(胸水)');
INSERT INTO `tran_lis_config` VALUES ('1016', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胸水常规', '细胞计数', null, '细胞计数(胸水)');
INSERT INTO `tran_lis_config` VALUES ('1017', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胸水常规', '颜色', null, '颜色(胸水)');
INSERT INTO `tran_lis_config` VALUES ('1018', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胸水常规', '异型细胞', null, '异型细胞(胸水)');
INSERT INTO `tran_lis_config` VALUES ('1019', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胸水常规', '蛋白定量', null, '蛋白质(胸水)');
INSERT INTO `tran_lis_config` VALUES ('1020', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胸水常规', '乳酸脱氢酶', null, '乳酸脱氢酶(胸水)');
INSERT INTO `tran_lis_config` VALUES ('1021', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胸水常规', '葡萄糖定量', null, '葡萄糖(胸水)');
INSERT INTO `tran_lis_config` VALUES ('1022', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '凝血功能常规', '凝血酶时间(TT)', null, '凝血酶时间');
INSERT INTO `tran_lis_config` VALUES ('1023', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '凝血功能常规', '凝血酶原时间比', null, '凝血酶原时间比');
INSERT INTO `tran_lis_config` VALUES ('1024', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '凝血功能常规', '凝血酶原活动度', null, '凝血酶原活动度');
INSERT INTO `tran_lis_config` VALUES ('1025', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '凝血功能常规', '凝血酶原时间(PT)', null, '凝血酶原时间');
INSERT INTO `tran_lis_config` VALUES ('1026', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '凝血功能常规', '国际标准化比值', null, '国际标准化比值');
INSERT INTO `tran_lis_config` VALUES ('1027', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '凝血功能常规', '纤维蛋白原(FIB)', null, '纤维蛋白原');
INSERT INTO `tran_lis_config` VALUES ('1028', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '凝血功能常规', 'D-二聚体', null, 'D-二聚体');
INSERT INTO `tran_lis_config` VALUES ('1029', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '凝血功能常规', '凝血时间(CT)', null, '凝血时间');
INSERT INTO `tran_lis_config` VALUES ('1030', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '凝血功能常规', '部分活化凝血活酶时间(APTT)', null, '部分活化凝血活酶时间');
INSERT INTO `tran_lis_config` VALUES ('1031', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '凝血功能常规', '活化凝血时间(ACTH)', null, '活化凝血时间');
INSERT INTO `tran_lis_config` VALUES ('1032', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '心肌酶谱', 'α-羟丁酸脱氢酶', null, 'α-羟丁酸脱氢酶');
INSERT INTO `tran_lis_config` VALUES ('1033', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '心肌酶谱', '乳酸脱氢酶', null, '乳酸脱氢酶');
INSERT INTO `tran_lis_config` VALUES ('1034', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '心肌酶谱', '肌酸激酶同工酶CK-MM', null, '肌酸激酶同工酶CK-MM');
INSERT INTO `tran_lis_config` VALUES ('1035', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '心肌酶谱', 'CK-MB/CK', null, 'CK-MB/CK');
INSERT INTO `tran_lis_config` VALUES ('1036', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '心肌酶谱', '肌酸激酶同工酶CK-MB', null, '肌酸激酶同工酶CK-MB');
INSERT INTO `tran_lis_config` VALUES ('1037', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '心肌酶谱', '肌酸激酶同工酶CK-BB', null, '脑型肌酸激酶同工酶');
INSERT INTO `tran_lis_config` VALUES ('1038', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '心肌酶谱', '血清肌酸激酶CK', null, '肌酸激酶');
INSERT INTO `tran_lis_config` VALUES ('1039', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '心肌酶谱', '缺血修饰白蛋白', null, '缺血修饰白蛋白');
INSERT INTO `tran_lis_config` VALUES ('1040', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '心肌酶谱', '肌钙蛋白T(cTnT)', null, '肌钙蛋白T');
INSERT INTO `tran_lis_config` VALUES ('1041', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '心肌酶谱', '肌钙蛋白Ⅰ(cTnI)', null, '肌钙蛋白Ⅰ');
INSERT INTO `tran_lis_config` VALUES ('1042', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '优生优育', '风疹病毒抗体IgM', null, '风疹病毒抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('1043', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '优生优育', '风疹病毒抗体IgG', null, '风疹病毒抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('1044', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '优生优育', '单纯疱疹病毒II型抗体IgM', null, '单纯疱疹病毒II型抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('1045', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '优生优育', '单纯疱疹病毒II型抗体IgG', null, '单纯疱疹病毒II型抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('1046', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '优生优育', '单纯疱疹病毒I型抗体IgM', null, '单纯疱疹病毒I型抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('1047', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '优生优育', '单纯疱疹病毒I型抗体IgG', null, '单纯疱疹病毒I型抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('1048', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '优生优育', '弓形虫抗体IgG', null, '弓形虫抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('1049', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '优生优育', '弓形虫抗体IgM', null, '弓形虫抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('1050', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '优生优育', '巨细胞病毒抗体IgG', null, '巨细胞病毒抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('1051', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '优生优育', '巨细胞病毒抗体IgM', null, '巨细胞病毒抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('1052', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肾功能', '尿酸', null, '尿酸');
INSERT INTO `tran_lis_config` VALUES ('1053', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肾功能', '血清胱抑素', null, '胱抑素');
INSERT INTO `tran_lis_config` VALUES ('1054', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肾功能', '肌酐', null, '肌酐');
INSERT INTO `tran_lis_config` VALUES ('1055', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肾功能', '尿素氮/肌酐', null, '尿素氮/肌酐');
INSERT INTO `tran_lis_config` VALUES ('1056', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肾功能', '血尿素氮', null, '尿素氮');
INSERT INTO `tran_lis_config` VALUES ('1057', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肾功能', '尿α1微量球蛋白', null, '血α1微量球蛋白');
INSERT INTO `tran_lis_config` VALUES ('1058', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肾功能', '肾小球滤过率', null, '肾小球滤过率');
INSERT INTO `tran_lis_config` VALUES ('1059', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿白蛋白及肌酐测定', '尿微量白蛋白', null, '尿微量白蛋白');
INSERT INTO `tran_lis_config` VALUES ('1060', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肾功能', '血清转铁蛋白', null, '转铁蛋白');
INSERT INTO `tran_lis_config` VALUES ('1061', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '腹水常规', '抗酸杆菌', null, '抗酸杆菌(腹水)');
INSERT INTO `tran_lis_config` VALUES ('1062', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '腹水常规', '黏蛋白定性', null, '黏蛋白(腹水)');
INSERT INTO `tran_lis_config` VALUES ('1063', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '腹水常规', '透明度', null, '透明度(腹水)');
INSERT INTO `tran_lis_config` VALUES ('1064', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '腹水常规', '细胞计数', null, '细胞计数(腹水)');
INSERT INTO `tran_lis_config` VALUES ('1065', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '腹水常规', '颜色', null, '颜色(腹水)');
INSERT INTO `tran_lis_config` VALUES ('1066', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '腹水常规', '蛋白定量', null, '蛋白质(腹水)');
INSERT INTO `tran_lis_config` VALUES ('1067', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '腹水常规', '乳酸脱氢酶', null, '乳酸脱氢酶(腹水)');
INSERT INTO `tran_lis_config` VALUES ('1068', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '腹水常规', '葡萄糖定量', null, '葡萄糖(腹水)');
INSERT INTO `tran_lis_config` VALUES ('1069', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '宫颈TCT', '人乳头瘤病毒', null, '人乳头瘤病毒(宫颈TCT)');
INSERT INTO `tran_lis_config` VALUES ('1070', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '宫颈TCT', '标本满意度', null, '标本满意度(宫颈TCT)');
INSERT INTO `tran_lis_config` VALUES ('1071', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '宫颈TCT', '滴虫感染', null, '滴虫(宫颈TCT)');
INSERT INTO `tran_lis_config` VALUES ('1072', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '宫颈TCT', '化生细胞', null, '化生细胞(宫颈TCT)');
INSERT INTO `tran_lis_config` VALUES ('1073', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '宫颈TCT', '颈管细胞', null, '颈管细胞(宫颈TCT)');
INSERT INTO `tran_lis_config` VALUES ('1074', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '宫颈TCT', '霉菌', null, '霉菌(宫颈TCT)');
INSERT INTO `tran_lis_config` VALUES ('1075', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '宫颈TCT', '疱疹病毒', null, '疱疹病毒(宫颈TCT)');
INSERT INTO `tran_lis_config` VALUES ('1076', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '宫颈TCT', '细胞量', null, '细胞量(宫颈TCT)');
INSERT INTO `tran_lis_config` VALUES ('1077', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血液免疫学检查', '血清特异性IgM抗体', null, '免疫球蛋白M');
INSERT INTO `tran_lis_config` VALUES ('1078', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血液免疫学检查', '血清特异性IgG抗体', null, '免疫球蛋白G');
INSERT INTO `tran_lis_config` VALUES ('1079', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血液免疫学检查', '血清特异性IgE抗体', null, '免疫球蛋白E');
INSERT INTO `tran_lis_config` VALUES ('1080', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血液免疫学检查', '血清特异性IgA抗体', null, '免疫球蛋白A');
INSERT INTO `tran_lis_config` VALUES ('1081', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血液免疫学检查', '血清总补体活性', null, '总补体活性');
INSERT INTO `tran_lis_config` VALUES ('1082', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血液免疫学检查', '补体C4', null, '血清补体C4');
INSERT INTO `tran_lis_config` VALUES ('1083', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血液免疫学检查', '补体C3', null, '血清补体C3');
INSERT INTO `tran_lis_config` VALUES ('1084', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血液免疫学检查', '补体旁路B因子', null, '补体旁路B因子');
INSERT INTO `tran_lis_config` VALUES ('1085', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血脂', '甘油三酯', null, '甘油三酯');
INSERT INTO `tran_lis_config` VALUES ('1086', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血脂', '总胆固醇', null, '总胆固醇');
INSERT INTO `tran_lis_config` VALUES ('1087', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血脂', '脂蛋白A', null, '脂蛋白A');
INSERT INTO `tran_lis_config` VALUES ('1088', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血脂', '低密度脂蛋白胆固醇', null, '低密度脂蛋白胆固醇');
INSERT INTO `tran_lis_config` VALUES ('1089', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血脂', '高密度脂蛋白胆固醇', null, '高密度脂蛋白胆固醇');
INSERT INTO `tran_lis_config` VALUES ('1090', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血脂', '载脂蛋白B', null, '载脂蛋白B');
INSERT INTO `tran_lis_config` VALUES ('1091', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血脂', '载脂蛋白A1', null, '载脂蛋白A1');
INSERT INTO `tran_lis_config` VALUES ('1092', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血脂', '载脂蛋白A/B', null, '载脂蛋白A/B');
INSERT INTO `tran_lis_config` VALUES ('1093', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '外周血涂片', '单核细胞百分比', null, '单核细胞百分比');
INSERT INTO `tran_lis_config` VALUES ('1094', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '外周血涂片', '淋巴细胞百分比', null, '淋巴细胞百分比');
INSERT INTO `tran_lis_config` VALUES ('1095', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '外周血涂片', '中性粒细胞百分比', null, '中性粒细胞百分比');
INSERT INTO `tran_lis_config` VALUES ('1096', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '外周血涂片', '嗜酸性粒细胞百分比', null, '嗜酸性粒细胞百分比');
INSERT INTO `tran_lis_config` VALUES ('1097', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '外周血涂片', '嗜碱性粒细胞百分比', null, '嗜碱性粒细胞百分比');
INSERT INTO `tran_lis_config` VALUES ('1098', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '外周血涂片', '红细胞分布宽度标准差', null, '血红细胞分布宽度标准差');
INSERT INTO `tran_lis_config` VALUES ('1099', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '外周血涂片', '红细胞体积分布宽度变异系', null, '血红细胞体积分布宽度变异系');
INSERT INTO `tran_lis_config` VALUES ('1100', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '心包积液检查', '白细胞', null, '白细胞(心包积液)');
INSERT INTO `tran_lis_config` VALUES ('1101', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '心包积液检查', '酸碱度', null, '酸碱度(心包积液)');
INSERT INTO `tran_lis_config` VALUES ('1102', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '心包积液检查', '比重', null, '比重(心包积液)');
INSERT INTO `tran_lis_config` VALUES ('1103', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '心包积液检查', '透明度', null, '透明度(心包积液)');
INSERT INTO `tran_lis_config` VALUES ('1104', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '心包积液检查', '颜色', null, '颜色(心包积液)');
INSERT INTO `tran_lis_config` VALUES ('1105', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '心包积液检查', '乳酸脱氢酶', null, '乳酸脱氢酶(心包积液)');
INSERT INTO `tran_lis_config` VALUES ('1106', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '心包积液检查', '葡萄糖定量', null, '葡萄糖(心包积液)');
INSERT INTO `tran_lis_config` VALUES ('1107', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '乙肝三系定性', '乙肝病毒DNA', null, '乙肝病毒DNA');
INSERT INTO `tran_lis_config` VALUES ('1108', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '乙肝三系定性', '乙肝表面抗原(HBsAg)', null, '乙肝表面抗原(定性)');
INSERT INTO `tran_lis_config` VALUES ('1109', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '乙肝三系定性', '乙肝表面抗体(HBsAb)', null, '乙肝表面抗体(定性)');
INSERT INTO `tran_lis_config` VALUES ('1110', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '乙肝三系定性', '乙肝e抗原(HBeAg)', null, '乙肝e抗原(定性)');
INSERT INTO `tran_lis_config` VALUES ('1111', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '乙肝三系定性', '乙肝e抗体(HBeAb)', null, '乙肝e抗体(定性)');
INSERT INTO `tran_lis_config` VALUES ('1112', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '乙肝三系定性', '乙肝核心抗原(HBcAg)', null, '乙肝核心抗原(定性)');
INSERT INTO `tran_lis_config` VALUES ('1113', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '乙肝三系定性', '乙肝核心抗体(HBcAb)', null, '乙肝核心抗体(定性)');
INSERT INTO `tran_lis_config` VALUES ('1114', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肿瘤标志物', '总前列腺特异性抗原(TPSA)', null, '总前列腺特异性抗原');
INSERT INTO `tran_lis_config` VALUES ('1115', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肿瘤标志物', '铁蛋白(Ferritin)', null, '铁蛋白');
INSERT INTO `tran_lis_config` VALUES ('1116', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肿瘤标志物', '癌胚抗原(CEA)', null, '癌胚抗原');
INSERT INTO `tran_lis_config` VALUES ('1117', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肿瘤标志物', '糖链抗原19-9(CA199)', null, '糖链抗原19-9');
INSERT INTO `tran_lis_config` VALUES ('1118', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肿瘤标志物', '癌抗原15-3(CA153)', null, '癌抗原15-3');
INSERT INTO `tran_lis_config` VALUES ('1119', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肿瘤标志物', '癌抗原125(CA125)', null, '癌抗原125');
INSERT INTO `tran_lis_config` VALUES ('1120', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肿瘤标志物', '甲胎蛋白(AFP)', null, '甲胎蛋白');
INSERT INTO `tran_lis_config` VALUES ('1121', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肺部肿瘤标志物', '鳞状细胞癌抗原(SCC)', null, '鳞状细胞癌抗原');
INSERT INTO `tran_lis_config` VALUES ('1122', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肺部肿瘤标志物', '胃泌素释放肽前体(ProGRP)', null, '胃泌素释放肽前体');
INSERT INTO `tran_lis_config` VALUES ('1123', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肺部肿瘤标志物', '神经元特异性烯醇化酶(NSE)', null, '神经元特异性烯醇化酶');
INSERT INTO `tran_lis_config` VALUES ('1124', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肺部肿瘤标志物', '细胞角蛋白片段19(CYFRA21-1)', null, '细胞角蛋白片段19');
INSERT INTO `tran_lis_config` VALUES ('1125', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肺部肿瘤标志物', '癌胚抗原(CEA)', null, '癌胚抗原');
INSERT INTO `tran_lis_config` VALUES ('1126', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肺部肿瘤标志物', '癌抗原125(CA125)', null, '癌抗原125');
INSERT INTO `tran_lis_config` VALUES ('1127', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '关节液常规', '白细胞', null, '白细胞(关节液)');
INSERT INTO `tran_lis_config` VALUES ('1128', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '关节液常规', '单核细胞百分比', null, '单核细胞百分比(关节液)');
INSERT INTO `tran_lis_config` VALUES ('1129', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '关节液常规', '尿酸盐结晶', null, '结晶(关节液)');
INSERT INTO `tran_lis_config` VALUES ('1130', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '关节液常规', '黏蛋白凝固试验', null, '黏蛋白凝固试验(关节液)');
INSERT INTO `tran_lis_config` VALUES ('1131', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '关节液常规', '透明度', null, '透明度(关节液)');
INSERT INTO `tran_lis_config` VALUES ('1132', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '关节液常规', '颜色', null, '颜色(关节液)');
INSERT INTO `tran_lis_config` VALUES ('1133', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '甲状腺功能常规', '血清总甲状腺素(TT4)', null, '总甲状腺素');
INSERT INTO `tran_lis_config` VALUES ('1134', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '甲状腺功能常规', '总三碘甲状腺原氨酸(TT3)', null, '总三碘甲状腺原氨酸');
INSERT INTO `tran_lis_config` VALUES ('1135', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '甲状腺功能常规', '促甲状腺激素', null, '促甲状腺激素');
INSERT INTO `tran_lis_config` VALUES ('1136', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '乙肝三系定量检测', '乙肝表面抗体(HBsAb)', null, '乙肝表面抗体(定量)');
INSERT INTO `tran_lis_config` VALUES ('1137', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '甲状腺功能常规', '血清游离甲状腺素(FT4)', null, '游离甲状腺素');
INSERT INTO `tran_lis_config` VALUES ('1138', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '甲状腺功能常规', '游离三碘甲状腺激素(FT3)', null, '游离三碘甲状腺激素');
INSERT INTO `tran_lis_config` VALUES ('1139', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '类风湿因子(RF)', '类风湿因子IgM', null, '类风湿因子IgM');
INSERT INTO `tran_lis_config` VALUES ('1140', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '类风湿因子(RF)', '类风湿因子IgG', null, '类风湿因子IgG');
INSERT INTO `tran_lis_config` VALUES ('1141', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '类风湿因子(RF)', '类风湿因子IgE', null, '类风湿因子IgE');
INSERT INTO `tran_lis_config` VALUES ('1142', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '类风湿因子(RF)', '类风湿因子IgD', null, '类风湿因子IgD');
INSERT INTO `tran_lis_config` VALUES ('1143', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '类风湿因子(RF)', '类风湿因子IgA', null, '类风湿因子IgA');
INSERT INTO `tran_lis_config` VALUES ('1144', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '卵巢肿瘤标志物', '血绒毛膜促性腺激素', null, '血绒毛膜促性腺激素');
INSERT INTO `tran_lis_config` VALUES ('1145', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '卵巢肿瘤标志物', '癌胚抗原(CEA)', null, '癌胚抗原');
INSERT INTO `tran_lis_config` VALUES ('1146', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '卵巢肿瘤标志物', '癌抗原72-4(CA724)', null, '癌抗原72-4');
INSERT INTO `tran_lis_config` VALUES ('1147', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '卵巢肿瘤标志物', '糖链抗原19-9(CA199)', null, '糖链抗原19-9');
INSERT INTO `tran_lis_config` VALUES ('1148', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '卵巢肿瘤标志物', '癌抗原125(CA125)', null, '癌抗原125');
INSERT INTO `tran_lis_config` VALUES ('1149', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '卵巢肿瘤标志物', '甲胎蛋白(AFP)', null, '甲胎蛋白');
INSERT INTO `tran_lis_config` VALUES ('1150', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '痰培养', '结核杆菌', null, '结核分枝杆菌(痰培养)');
INSERT INTO `tran_lis_config` VALUES ('1151', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '痰培养', '肺炎球菌', null, '肺炎双球菌(痰培养)');
INSERT INTO `tran_lis_config` VALUES ('1152', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '痰培养', '金黄色葡萄球菌', null, '金黄色葡萄球菌(痰培养)');
INSERT INTO `tran_lis_config` VALUES ('1153', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '痰培养', '军团菌', null, '军团菌(痰培养)');
INSERT INTO `tran_lis_config` VALUES ('1154', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '痰培养', '葡萄球菌', null, '葡萄球菌(痰培养)');
INSERT INTO `tran_lis_config` VALUES ('1155', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '痰培养', '念珠菌', null, '痰培养念珠菌(痰培养)');
INSERT INTO `tran_lis_config` VALUES ('1156', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '微量元素', '锌(Zn)', null, '锌');
INSERT INTO `tran_lis_config` VALUES ('1157', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '微量元素', '硒(Se)', null, '硒');
INSERT INTO `tran_lis_config` VALUES ('1158', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '微量元素', '铅(Pb)', null, '血铅');
INSERT INTO `tran_lis_config` VALUES ('1159', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '微量元素', '碘(I)', null, '血碘');
INSERT INTO `tran_lis_config` VALUES ('1160', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '微量元素', '铁(Fe)', null, '铁');
INSERT INTO `tran_lis_config` VALUES ('1161', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '微量元素', '铜(Cu)', null, '铜');
INSERT INTO `tran_lis_config` VALUES ('1162', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '咽拭子培养', '结核杆菌', null, '结核杆菌(咽拭子培养)');
INSERT INTO `tran_lis_config` VALUES ('1163', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '咽拭子培养', '肺炎克雷伯氏菌', null, '肺炎克雷伯氏菌(咽拭子培养)');
INSERT INTO `tran_lis_config` VALUES ('1164', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '咽拭子培养', '肺炎双球菌', null, '肺炎双球菌(咽拭子培养)');
INSERT INTO `tran_lis_config` VALUES ('1165', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '咽拭子培养', '酵母菌', null, '酵母菌(咽拭子培养)');
INSERT INTO `tran_lis_config` VALUES ('1166', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '咽拭子培养', '军团菌', null, '军团菌(咽拭子培养)');
INSERT INTO `tran_lis_config` VALUES ('1167', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '咽拭子培养', '葡萄球菌', null, '葡萄球菌(咽拭子培养)');
INSERT INTO `tran_lis_config` VALUES ('1168', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', 'EB病毒', 'EB病毒DNA酶抗体', null, 'EB病毒DNA酶抗体');
INSERT INTO `tran_lis_config` VALUES ('1169', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', 'EB病毒', 'EB病毒DNA酶抗体', null, 'EB病毒IgA/EA');
INSERT INTO `tran_lis_config` VALUES ('1170', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', 'EB病毒', 'EB病毒IgA/VCA', null, 'EB病毒IgA/VCA');
INSERT INTO `tran_lis_config` VALUES ('1171', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', 'EB病毒', 'EB病毒抗体IgG/VCA', null, 'EB病毒抗体IgG/VCA');
INSERT INTO `tran_lis_config` VALUES ('1172', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', 'EB病毒', 'EB病毒抗体IgM/VCA', null, 'EB病毒抗体IgM/VCA');
INSERT INTO `tran_lis_config` VALUES ('1173', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肝纤维化', 'Ⅲ型胶原', null, 'Ⅲ型胶原');
INSERT INTO `tran_lis_config` VALUES ('1174', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肝纤维化', '层粘连蛋白', null, '层粘连蛋白');
INSERT INTO `tran_lis_config` VALUES ('1175', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肝纤维化', 'Ⅳ型胶原', null, 'Ⅳ型胶原');
INSERT INTO `tran_lis_config` VALUES ('1176', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肝纤维化', '透明质酸', null, '透明质酸');
INSERT INTO `tran_lis_config` VALUES ('1177', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肝纤维化', '甘胆酸', null, '甘胆酸');
INSERT INTO `tran_lis_config` VALUES ('1178', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '消化道肿瘤标志物', '癌胚抗原(CEA)', null, '癌胚抗原');
INSERT INTO `tran_lis_config` VALUES ('1179', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '消化道肿瘤标志物', '癌抗原72-4(CA724)', null, '癌抗原72-4');
INSERT INTO `tran_lis_config` VALUES ('1180', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '消化道肿瘤标志物', '癌抗原242(CA242)', null, '癌抗原242');
INSERT INTO `tran_lis_config` VALUES ('1181', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '消化道肿瘤标志物', '糖链抗原19-9(CA199)', null, '糖链抗原19-9');
INSERT INTO `tran_lis_config` VALUES ('1182', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '消化道肿瘤标志物', '甲胎蛋白(AFP)', null, '甲胎蛋白');
INSERT INTO `tran_lis_config` VALUES ('1183', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血清免疫球蛋白', '免疫球蛋白M', null, '免疫球蛋白M');
INSERT INTO `tran_lis_config` VALUES ('1184', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血清免疫球蛋白', '免疫球蛋白G', null, '免疫球蛋白G');
INSERT INTO `tran_lis_config` VALUES ('1185', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血清免疫球蛋白', '免疫球蛋白E', null, '免疫球蛋白E');
INSERT INTO `tran_lis_config` VALUES ('1186', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血清免疫球蛋白', '免疫球蛋白D', null, '免疫球蛋白D');
INSERT INTO `tran_lis_config` VALUES ('1187', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血清免疫球蛋白', '免疫球蛋白A', null, '免疫球蛋白A');
INSERT INTO `tran_lis_config` VALUES ('1188', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', 'T淋巴细胞亚群', 'CD8', null, 'CD8(T淋巴细胞亚群)');
INSERT INTO `tran_lis_config` VALUES ('1189', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', 'T淋巴细胞亚群', 'CD4/CD8', null, 'CD4/CD8(T淋巴细胞亚群)');
INSERT INTO `tran_lis_config` VALUES ('1190', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', 'T淋巴细胞亚群', 'CD4', null, 'CD4(T淋巴细胞亚群)');
INSERT INTO `tran_lis_config` VALUES ('1191', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', 'T淋巴细胞亚群', 'CD3', null, 'CD3(T淋巴细胞亚群)');
INSERT INTO `tran_lis_config` VALUES ('1192', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '粪便培养', '结核杆菌', null, '结核杆菌(粪便培养)');
INSERT INTO `tran_lis_config` VALUES ('1193', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '粪便培养', '霍乱弧菌', null, '霍乱弧菌(粪便培养)');
INSERT INTO `tran_lis_config` VALUES ('1194', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '粪便培养', '艰难梭状杆菌', null, '艰难梭状杆菌(粪便培养)');
INSERT INTO `tran_lis_config` VALUES ('1195', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '粪便培养', '志贺氏菌', null, '志贺氏菌(粪便培养)');
INSERT INTO `tran_lis_config` VALUES ('1196', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肝脏肿瘤标志物', '铁蛋白(Ferritin)', null, '铁蛋白');
INSERT INTO `tran_lis_config` VALUES ('1197', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肝脏肿瘤标志物', '癌胚抗原(CEA)', null, '癌胚抗原');
INSERT INTO `tran_lis_config` VALUES ('1198', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肝脏肿瘤标志物', '糖链抗原19-9(CA199)', null, '糖链抗原19-9');
INSERT INTO `tran_lis_config` VALUES ('1199', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肝脏肿瘤标志物', '甲胎蛋白(AFP)', null, '甲胎蛋白');
INSERT INTO `tran_lis_config` VALUES ('1200', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '抗核抗体系列', '抗胰岛素抗体', null, '抗胰岛素抗体');
INSERT INTO `tran_lis_config` VALUES ('1201', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '抗核抗体系列', '抗线粒体抗体(AMA)', null, '抗线粒体抗体');
INSERT INTO `tran_lis_config` VALUES ('1202', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '抗核抗体系列', '抗ds-DNA抗体', null, '抗ds-DNA抗体');
INSERT INTO `tran_lis_config` VALUES ('1203', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '抗核抗体系列', '抗ss-DNA抗体', null, '抗ss-DNA抗体');
INSERT INTO `tran_lis_config` VALUES ('1204', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胰岛细胞抗体', '抗胰岛细胞抗体', null, '抗胰岛细胞抗体');
INSERT INTO `tran_lis_config` VALUES ('1205', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胰岛细胞抗体', '胰岛素自身抗体', null, '胰岛素自身抗体');
INSERT INTO `tran_lis_config` VALUES ('1206', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胰岛细胞抗体', '蛋白酪氨酸磷酸酶抗体', null, '蛋白酪氨酸磷酸酶抗体');
INSERT INTO `tran_lis_config` VALUES ('1207', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胰岛细胞抗体', '谷氨酸脱羧酶抗体', null, '谷氨酸脱羧酶抗体');
INSERT INTO `tran_lis_config` VALUES ('1208', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '子宫肿瘤标志物', '鳞状细胞癌抗原(SCC)', null, '鳞状细胞癌抗原');
INSERT INTO `tran_lis_config` VALUES ('1209', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '子宫肿瘤标志物', '血绒毛膜促性腺激素', null, '血绒毛膜促性腺激素');
INSERT INTO `tran_lis_config` VALUES ('1210', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '子宫肿瘤标志物', '癌胚抗原(CEA)', null, '癌胚抗原');
INSERT INTO `tran_lis_config` VALUES ('1211', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '子宫肿瘤标志物', '癌抗原125(CA125)', null, '癌抗原125');
INSERT INTO `tran_lis_config` VALUES ('1212', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '丙肝抗体(HCVAb)', '丙肝病毒RNA(HCV-RNA)', null, '丙肝病毒RNA');
INSERT INTO `tran_lis_config` VALUES ('1213', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '丙肝抗体(HCVAb)', '丙肝病毒抗体IgM', null, '丙肝病毒抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('1214', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '丙肝抗体(HCVAb)', '丙肝病毒抗体IgG', null, '丙肝病毒抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('1215', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '快速BV检测', 'H2O2', null, 'H2O2(阴道分泌物)');
INSERT INTO `tran_lis_config` VALUES ('1216', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '快速BV检测', '白细胞酯酶', null, '白细胞酯酶(阴道分泌物)');
INSERT INTO `tran_lis_config` VALUES ('1217', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '快速BV检测', '唾液酸酐酶活性', null, '唾液酸酐酶活性(阴道分泌物)');
INSERT INTO `tran_lis_config` VALUES ('1218', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '利钠肽检查', 'NT-proBNP', null, 'N端-B型钠尿肽前体');
INSERT INTO `tran_lis_config` VALUES ('1219', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '利钠肽检查', '脑利钠肽', null, '脑利钠肽');
INSERT INTO `tran_lis_config` VALUES ('1220', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '利钠肽检查', '心房利钠肽 ', null, '心房利钠肽');
INSERT INTO `tran_lis_config` VALUES ('1221', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '流行性出血热病毒测定', '流行性出血热病毒RNA', null, '流行性出血热病毒RNA');
INSERT INTO `tran_lis_config` VALUES ('1222', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '流行性出血热病毒测定', '流行性出血热病毒IgM', null, '流行性出血热病毒IgM');
INSERT INTO `tran_lis_config` VALUES ('1223', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '流行性出血热病毒测定', '流行性出血热病毒IgG', null, '流行性出血热病毒IgG');
INSERT INTO `tran_lis_config` VALUES ('1224', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '梅毒检测', '梅毒荧光抗体IgM吸附试验', null, '梅毒螺旋体抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('1225', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '梅毒检测', '梅毒荧光抗体IgG吸附试验', null, '梅毒螺旋体抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('1226', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '梅毒检测', '梅毒特异性抗体', null, '梅毒特异性抗体');
INSERT INTO `tran_lis_config` VALUES ('1227', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '泌尿系统脱落细胞学检查', '恶性细胞', null, '恶性细胞(泌尿系统脱落细胞学检查)');
INSERT INTO `tran_lis_config` VALUES ('1228', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '泌尿系统脱落细胞学检查', '可疑恶性细胞', null, '可疑恶性细胞(泌尿系统脱落细胞学检查)');
INSERT INTO `tran_lis_config` VALUES ('1229', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '泌尿系统脱落细胞学检查', '异型细胞', null, '异型细胞(泌尿系统脱落细胞学检查)');
INSERT INTO `tran_lis_config` VALUES ('1230', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '人巨细胞病毒检测', '巨细胞病毒DNA', null, '巨细胞病毒DNA');
INSERT INTO `tran_lis_config` VALUES ('1231', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '人巨细胞病毒检测', '巨细胞病毒抗体IgG', null, '巨细胞病毒抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('1232', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '人巨细胞病毒检测', '巨细胞病毒抗体IgM', null, '巨细胞病毒抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('1233', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '痰涂片', '结核杆菌', null, '结核分枝杆菌(痰涂片)');
INSERT INTO `tran_lis_config` VALUES ('1234', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '痰涂片', '肺炎球菌', null, '肺炎双球菌(痰涂片)');
INSERT INTO `tran_lis_config` VALUES ('1235', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '痰涂片', '金黄色葡萄球菌', null, '金黄色葡萄球菌(痰涂片)');
INSERT INTO `tran_lis_config` VALUES ('1236', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血清酶原检测', '乳酸脱氢酶', null, '乳酸脱氢酶');
INSERT INTO `tran_lis_config` VALUES ('1237', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血清酶原检测', '肌酸磷酸激酶', null, '肌酸激酶');
INSERT INTO `tran_lis_config` VALUES ('1238', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血清酶原检测', '谷丙转氨酶', null, '谷丙转氨酶');
INSERT INTO `tran_lis_config` VALUES ('1239', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', 'C肽测定', '血清C肽', null, 'C肽');
INSERT INTO `tran_lis_config` VALUES ('1240', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', 'C肽测定', '空腹C肽', null, '空腹C肽');
INSERT INTO `tran_lis_config` VALUES ('1241', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', 'Tau蛋白', '总Tau蛋白', null, 'Tau蛋白(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('1242', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', 'Tau蛋白', '磷酸化Tau蛋白', null, '脑脊液磷酸化Tau蛋白');
INSERT INTO `tran_lis_config` VALUES ('1243', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '氨基己糖酶同工酶', '氨基己糖酶同工酶A', null, '氨基己糖酶同工酶A');
INSERT INTO `tran_lis_config` VALUES ('1244', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '氨基己糖酶同工酶', '氨基己糖酶同工酶B', null, '氨基己糖酶同工酶B');
INSERT INTO `tran_lis_config` VALUES ('1245', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '单纯疱疹病毒Ⅰ型抗体', '单纯疱疹病毒I型抗体IgM', null, '单纯疱疹病毒I型抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('1246', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '单纯疱疹病毒Ⅰ型抗体', '单纯疱疹病毒I型抗体IgG', null, '单纯疱疹病毒I型抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('1247', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '单纯疱疹病毒Ⅱ型抗体', '单纯疱疹病毒II型抗体IgM', null, '单纯疱疹病毒II型抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('1248', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '单纯疱疹病毒Ⅱ型抗体', '单纯疱疹病毒II型抗体IgG', null, '单纯疱疹病毒II型抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('1249', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '风疹病毒抗体', '风疹病毒抗体IgM', null, '风疹病毒抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('1250', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '风疹病毒抗体', '风疹病毒抗体IgG', null, '风疹病毒抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('1251', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肝脓肿穿刺液培养', '阿米巴滋养体', null, '阿米巴滋养体(肝脓肿穿刺液)');
INSERT INTO `tran_lis_config` VALUES ('1252', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肝脓肿穿刺液培养', '细菌', null, '细菌(肝脓肿穿刺液)');
INSERT INTO `tran_lis_config` VALUES ('1253', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '弓形虫抗体', '弓形虫抗体IgG', null, '弓形虫抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('1254', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '弓形虫抗体', '弓形虫抗体IgM', null, '弓形虫抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('1255', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '军团菌抗原抗体检测', '军团菌抗体', null, '军团菌抗体(血)');
INSERT INTO `tran_lis_config` VALUES ('1256', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '军团菌抗原抗体检测', '军团菌抗原', null, '军团菌抗原(血)');
INSERT INTO `tran_lis_config` VALUES ('1257', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '柯萨奇病毒检测', '柯萨奇病毒IgG', null, '柯萨奇病毒IgG');
INSERT INTO `tran_lis_config` VALUES ('1258', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '柯萨奇病毒检测', '柯萨奇病毒IgM', null, '柯萨奇病毒IgM');
INSERT INTO `tran_lis_config` VALUES ('1259', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '轮状病毒检测', '轮状病毒RNA', null, '轮状病毒RNA');
INSERT INTO `tran_lis_config` VALUES ('1260', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '轮状病毒检测', '轮状病毒抗体', null, '轮状病毒抗体');
INSERT INTO `tran_lis_config` VALUES ('1261', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '麻疹病毒', '麻疹病毒抗体IgG', null, '麻疹病毒抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('1262', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '麻疹病毒', '麻疹病毒抗体IgM', null, '麻疹病毒抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('1263', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿培养加菌落计数', '大肠杆菌菌落数', null, '大肠杆菌菌落数(尿培养)');
INSERT INTO `tran_lis_config` VALUES ('1264', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿培养加菌落计数', '菌落计数', null, '菌落计数(尿培养加菌落计数)');
INSERT INTO `tran_lis_config` VALUES ('1265', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '疟原虫检测', '疟原虫抗体', null, '疟原虫抗体');
INSERT INTO `tran_lis_config` VALUES ('1266', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '疟原虫检测', '疟原虫抗原', null, '疟原虫抗原');
INSERT INTO `tran_lis_config` VALUES ('1267', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '全血丙酮酸测定', '丙酮酸', null, '血丙酮酸');
INSERT INTO `tran_lis_config` VALUES ('1268', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '全血丙酮酸测定', '乳酸/丙酮酸', null, '乳酸/丙酮酸');
INSERT INTO `tran_lis_config` VALUES ('1269', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '沙眼衣原体抗体检测', '沙眼衣原体抗体IgG', null, '沙眼衣原体抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('1270', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '沙眼衣原体抗体检测', '沙眼衣原体抗体IgM', null, '沙眼衣原体抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('1271', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '小剂量地塞米松抑制试验', '尿皮质醇', null, '尿皮质醇(小剂量地塞米松抑制试验)');
INSERT INTO `tran_lis_config` VALUES ('1272', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '小剂量地塞米松抑制试验', '血皮质醇', null, '血皮质醇(小剂量地塞米松抑制试验)');
INSERT INTO `tran_lis_config` VALUES ('1273', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胸水培养', '结核分枝杆菌', null, '结核分枝杆菌(胸水培养)');
INSERT INTO `tran_lis_config` VALUES ('1274', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胸水培养', '军团菌', null, '军团菌(胸水培养)');
INSERT INTO `tran_lis_config` VALUES ('1275', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血型', 'Rh血型', null, 'Rh血型');
INSERT INTO `tran_lis_config` VALUES ('1276', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血型', 'ABO血型', null, 'ABO血型');
INSERT INTO `tran_lis_config` VALUES ('1277', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '支原体抗体', '支原体抗体IgG', null, '支原体抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('1278', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '支原体抗体', '支原体抗体IgM', null, '支原体抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('1279', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '17α羟孕酮测定', '17α羟孕酮', null, '17α羟孕酮');
INSERT INTO `tran_lis_config` VALUES ('1280', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '24小时尿蛋白定量检测', '24小时尿蛋白', null, '尿蛋白定量');
INSERT INTO `tran_lis_config` VALUES ('1281', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '25羟维生素D', '25羟维生素D', null, '血25羟维生素D');
INSERT INTO `tran_lis_config` VALUES ('1282', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', 'ABO血型', 'ABO血型', null, 'ABO血型');
INSERT INTO `tran_lis_config` VALUES ('1283', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', 'Aβ蛋白', 'Aβ蛋白', null, '血Aβ蛋白');
INSERT INTO `tran_lis_config` VALUES ('1284', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', 'C反应蛋白', 'C反应蛋白', null, 'C反应蛋白');
INSERT INTO `tran_lis_config` VALUES ('1285', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', 'Rh血型', 'Rh血型', null, 'Rh血型');
INSERT INTO `tran_lis_config` VALUES ('1286', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', 'T3摄取率', 'T3摄取率', null, 'T3摄取率');
INSERT INTO `tran_lis_config` VALUES ('1287', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', 'TSPOT.TB试验', 'TSPOT', null, 'TSPOT.TB试验');
INSERT INTO `tran_lis_config` VALUES ('1288', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', 'β2-微球蛋白', 'β2-微球蛋白', null, '血β2-微球蛋白');
INSERT INTO `tran_lis_config` VALUES ('1289', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '癌抗原125(CA125)', '癌抗原125(CA125)', null, '癌抗原125');
INSERT INTO `tran_lis_config` VALUES ('1290', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '癌抗原15-3(CA153)', '癌抗原15-3(CA153)', null, '癌抗原15-3');
INSERT INTO `tran_lis_config` VALUES ('1291', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '癌抗原242(CA242)', '癌抗原242(CA242)', null, '癌抗原242');
INSERT INTO `tran_lis_config` VALUES ('1292', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '癌抗原50(CA50)', '癌抗原50(CA50)', null, '癌抗原50');
INSERT INTO `tran_lis_config` VALUES ('1293', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '癌抗原72-4(CA724)', '癌抗原72-4(CA724)', null, '癌抗原72-4');
INSERT INTO `tran_lis_config` VALUES ('1294', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '癌胚抗原(CEA)', '癌胚抗原(CEA)', null, '癌胚抗原');
INSERT INTO `tran_lis_config` VALUES ('1295', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '丙肝病毒RNA(HCV-RNA)', '丙肝病毒RNA(HCV-RNA)', null, '丙肝病毒RNA');
INSERT INTO `tran_lis_config` VALUES ('1296', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '补体C3测定', '补体C3', null, '血清补体C3');
INSERT INTO `tran_lis_config` VALUES ('1297', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '补体C4测定', '补体C4', null, '血清补体C4');
INSERT INTO `tran_lis_config` VALUES ('1298', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '补体旁路B因子检测', '补体旁路B因子', null, '补体旁路B因子');
INSERT INTO `tran_lis_config` VALUES ('1299', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '部分活化凝血活酶时间(APTT)', '部分活化凝血活酶时间(APTT)', null, '部分活化凝血活酶时间');
INSERT INTO `tran_lis_config` VALUES ('1300', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '餐后2小时血糖', '餐后2小时血糖', null, '餐后血糖(2h)');
INSERT INTO `tran_lis_config` VALUES ('1301', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '餐后2小时胰岛素', '胰岛素2hINS', null, '餐后胰岛素(2h)');
INSERT INTO `tran_lis_config` VALUES ('1302', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '超敏C反应蛋白', '超敏C反应蛋白', null, '超敏C反应蛋白');
INSERT INTO `tran_lis_config` VALUES ('1303', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '出血热病毒抗体检测', '出血热病毒抗体IgM', null, '出血热病毒抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('1304', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '出血时间(BT)', '出血时间(BT)', null, '出血时间');
INSERT INTO `tran_lis_config` VALUES ('1305', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '雌二醇(E2)测定', '雌二醇(E2)', null, '雌二醇');
INSERT INTO `tran_lis_config` VALUES ('1306', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '雌三醇(E3)测定', '雌三醇(E3)', null, '雌三醇');
INSERT INTO `tran_lis_config` VALUES ('1307', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '雌酮测定', '雌酮', null, '雌酮');
INSERT INTO `tran_lis_config` VALUES ('1308', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '促红细胞生成素(EPO)', '促红细胞生成素(EPO)', null, '促红细胞生成素');
INSERT INTO `tran_lis_config` VALUES ('1309', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '促黄体生成素', '促黄体生成素', null, '促黄体生成素');
INSERT INTO `tran_lis_config` VALUES ('1310', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '促甲状腺激素(TSH)', '促甲状腺激素', null, '促甲状腺激素');
INSERT INTO `tran_lis_config` VALUES ('1311', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '促甲状腺激素释放激素(TRH)', '促甲状腺激素释放激素(TRH)', null, '促甲状腺激素释放激素');
INSERT INTO `tran_lis_config` VALUES ('1312', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '甲状腺自身抗体检测', '促甲状腺素受体抗体(TRAb)', null, '促甲状腺素受体抗体');
INSERT INTO `tran_lis_config` VALUES ('1313', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '促卵泡激素', '促卵泡激素', null, '促卵泡激素');
INSERT INTO `tran_lis_config` VALUES ('1314', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '促肾上腺皮质激素(ACTH)', '促肾上腺皮质激素(ACTH)', null, '促肾上腺皮质激素');
INSERT INTO `tran_lis_config` VALUES ('1315', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '催产素', '催产素', null, '催产素');
INSERT INTO `tran_lis_config` VALUES ('1316', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '催乳激素', '催乳激素', null, '催乳激素');
INSERT INTO `tran_lis_config` VALUES ('1317', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '多巴胺', '多巴胺', null, '尿多巴胺');
INSERT INTO `tran_lis_config` VALUES ('1318', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '反三碘甲腺原氨酸(rT3)', '反三碘甲腺原氨酸(rT3)', null, '反三碘甲腺原氨酸');
INSERT INTO `tran_lis_config` VALUES ('1319', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '分枝杆菌培养及鉴定', '结核杆菌', null, '结核杆菌(分枝杆菌培养及鉴定)');
INSERT INTO `tran_lis_config` VALUES ('1320', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '粪便结核杆菌', '结核杆菌', null, '结核杆菌(粪便结核杆菌)');
INSERT INTO `tran_lis_config` VALUES ('1321', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '粪便隐血试验', '隐血', null, '粪便隐血');
INSERT INTO `tran_lis_config` VALUES ('1322', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '腹水培养', '抗酸杆菌', null, '抗酸杆菌(腹水培养)');
INSERT INTO `tran_lis_config` VALUES ('1323', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '睾酮(T)测定', '睾酮(T)', null, '睾酮');
INSERT INTO `tran_lis_config` VALUES ('1324', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '宫颈碘试验', '宫颈碘试验', null, '宫颈碘试验');
INSERT INTO `tran_lis_config` VALUES ('1325', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '骨钙素', '骨钙素', null, '骨钙素');
INSERT INTO `tran_lis_config` VALUES ('1326', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '过夜地塞米松抑制试验', '血皮质醇', null, '血皮质醇(过夜地塞米松抑制试验)');
INSERT INTO `tran_lis_config` VALUES ('1327', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '甲肝抗体测定(HAVIgM)', '甲肝抗体测定(HAVIgM)', null, '甲肝抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('1328', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '甲胎蛋白(AFP)', '甲胎蛋白(AFP)', null, '甲胎蛋白');
INSERT INTO `tran_lis_config` VALUES ('1329', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '甲状旁腺激素(PTH)测定', '甲状旁腺激素(PTH)', null, '甲状旁腺激素');
INSERT INTO `tran_lis_config` VALUES ('1330', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '甲状腺自身抗体检测', '抗甲状腺过氧化物酶抗体', null, '抗甲状腺过氧化物酶抗体');
INSERT INTO `tran_lis_config` VALUES ('1331', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '甲状腺球蛋白(TG)', '甲状腺球蛋白(TG)', null, '甲状腺球蛋白');
INSERT INTO `tran_lis_config` VALUES ('1332', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '甲状腺自身抗体检测', '甲状腺球蛋白抗体(TGAb)', null, '甲状腺球蛋白抗体');
INSERT INTO `tran_lis_config` VALUES ('1333', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '甲状腺素结合球蛋白(TBG)', '甲状腺素结合球蛋白(TBG)', null, '甲状腺素结合球蛋白');
INSERT INTO `tran_lis_config` VALUES ('1334', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '降钙素(CT)测定', '降钙素(CT)', null, '降钙素');
INSERT INTO `tran_lis_config` VALUES ('1335', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '降钙素原(PCT)测定', '降钙素原(PCT)', null, '降钙素原');
INSERT INTO `tran_lis_config` VALUES ('1336', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '结核杆菌基因检测', '结核杆菌DNA', null, '结核分枝杆菌DNA(血)');
INSERT INTO `tran_lis_config` VALUES ('1337', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '结核杆菌抗体检测', '结核杆菌抗体', null, '结核分枝杆菌抗体(血)');
INSERT INTO `tran_lis_config` VALUES ('1338', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '结核杆菌抗原检测', '结核杆菌抗原', null, '结核分枝杆菌抗原(血)');
INSERT INTO `tran_lis_config` VALUES ('1339', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '结核菌素试验', '结核菌素', null, '结核菌素试验');
INSERT INTO `tran_lis_config` VALUES ('1340', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '巨细胞病毒抗原血症', '巨细胞病毒抗原血症', null, 'CMV-PP65抗原');
INSERT INTO `tran_lis_config` VALUES ('1341', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '抗M蛋白抗体', '抗M蛋白抗体', null, '抗M蛋白抗体');
INSERT INTO `tran_lis_config` VALUES ('1342', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '甲状腺自身抗体检测', '抗甲状腺球蛋白抗体', null, '抗甲状腺球蛋白抗体');
INSERT INTO `tran_lis_config` VALUES ('1343', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '甲状腺自身抗体检测', '抗甲状腺微粒体抗体', null, '抗甲状腺微粒体抗体');
INSERT INTO `tran_lis_config` VALUES ('1344', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '抗狂犬病毒抗体IgG', '抗狂犬病毒抗体IgG', null, '抗狂犬病毒抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('1345', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '抗利尿激素', '血浆抗利尿激素', null, '抗利尿激素');
INSERT INTO `tran_lis_config` VALUES ('1346', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '抗链球菌激酶(ASK)', '抗链球菌激酶(ASK)', null, '抗链球菌激酶');
INSERT INTO `tran_lis_config` VALUES ('1347', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '抗链球菌菌酶', '抗链球菌菌酶', null, '抗链球菌菌酶');
INSERT INTO `tran_lis_config` VALUES ('1348', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '抗链球菌溶血素O测定(ASO)', '抗链球菌溶血素O测定(ASO)', null, '抗链球菌溶血素O');
INSERT INTO `tran_lis_config` VALUES ('1349', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '抗平滑肌抗体', '抗平滑肌抗体', null, '抗平滑肌抗体');
INSERT INTO `tran_lis_config` VALUES ('1350', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '抗透明质酸酶(AH)', '抗透明质酸酶(AH)', null, '抗透明质酸酶');
INSERT INTO `tran_lis_config` VALUES ('1351', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '抗脱氧核糖核酸酶B(ADNA-B)', '抗脱氧核糖核酸酶B(ADNA-B)', null, '抗脱氧核糖核酸酶B');
INSERT INTO `tran_lis_config` VALUES ('1352', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '抗系统性硬化症抗体', '抗系统性硬化症抗体', null, '抗系统性硬化症抗体');
INSERT INTO `tran_lis_config` VALUES ('1353', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '抗乙酰胆碱受体抗体', '抗乙酰胆碱受体抗体', null, '抗乙酰胆碱受体抗体');
INSERT INTO `tran_lis_config` VALUES ('1354', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '空腹血糖', '空腹血糖', null, '空腹血糖');
INSERT INTO `tran_lis_config` VALUES ('1355', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '空腹胰岛素', '空腹胰岛素', null, '空腹胰岛素');
INSERT INTO `tran_lis_config` VALUES ('1356', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '类胰岛素样生长因子-1(IGF-1)', '类胰岛素样生长因子-1', null, '类胰岛素样生长因子-1');
INSERT INTO `tran_lis_config` VALUES ('1357', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '类胰岛素样生长因子结合蛋白-3(IGF-BP3)', '类胰岛素样生长因子结合蛋白-3', null, '类胰岛素样生长因子结合蛋白-3');
INSERT INTO `tran_lis_config` VALUES ('1358', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '鳞状细胞癌抗原(SCC)', '鳞状细胞癌抗原(SCC)', null, '鳞状细胞癌抗原');
INSERT INTO `tran_lis_config` VALUES ('1359', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '流行性乙型脑炎病毒抗体检测', '流行性乙型脑炎病毒抗体IgM', null, '柯萨奇病毒IgG');
INSERT INTO `tran_lis_config` VALUES ('1360', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿17-羟皮质类固醇', '尿17-羟皮质类固醇', null, '尿17-羟皮质类固醇');
INSERT INTO `tran_lis_config` VALUES ('1361', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿17-酮皮质类固醇', '尿17-酮皮质类固醇', null, '尿17-酮皮质类固醇');
INSERT INTO `tran_lis_config` VALUES ('1362', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿淀粉酶', '尿淀粉酶', null, '尿淀粉酶');
INSERT INTO `tran_lis_config` VALUES ('1363', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿儿茶酚胺', '尿儿茶酚胺', null, '尿儿茶酚胺');
INSERT INTO `tran_lis_config` VALUES ('1364', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿高香草酸', '尿高香草酸', null, '尿高香草酸');
INSERT INTO `tran_lis_config` VALUES ('1365', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿甲氧基去甲肾上腺素(NMN)', '尿甲氧基去甲肾上腺素(NMN)', null, '尿甲氧基去甲肾上腺素');
INSERT INTO `tran_lis_config` VALUES ('1366', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿甲氧基肾上腺素(MN)', '尿甲氧基肾上腺素(MN)', null, '尿甲氧基肾上腺素');
INSERT INTO `tran_lis_config` VALUES ('1367', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿醛固酮', '尿醛固酮', null, '尿醛固酮');
INSERT INTO `tran_lis_config` VALUES ('1368', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿绒毛膜促性腺激素(尿HCG)', '尿绒毛膜促性腺激素(尿HCG)', null, '尿绒毛膜促性腺激素');
INSERT INTO `tran_lis_config` VALUES ('1369', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿香草扁桃酸(VMA)', '尿香草扁桃酸(VMA)', null, '尿香草扁桃酸');
INSERT INTO `tran_lis_config` VALUES ('1370', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '凝血酶时间(TT)', '凝血酶时间(TT)', null, '凝血酶时间');
INSERT INTO `tran_lis_config` VALUES ('1371', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '凝血酶原时间(PT)', '凝血酶原时间(PT)', null, '凝血酶原时间');
INSERT INTO `tran_lis_config` VALUES ('1372', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '凝血时间(CT)', '凝血时间(CT)', null, '凝血时间');
INSERT INTO `tran_lis_config` VALUES ('1373', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '皮质醇测定', '皮质醇', null, '血皮质醇');
INSERT INTO `tran_lis_config` VALUES ('1374', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '前列腺特异抗原', '前列腺特异抗原', null, '总前列腺特异性抗原');
INSERT INTO `tran_lis_config` VALUES ('1375', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '前列腺特异性抗原(PSA)', '前列腺特异性抗原(PSA)', null, '总前列腺特异性抗原');
INSERT INTO `tran_lis_config` VALUES ('1376', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '醛固酮(ALD)', '血醛固酮(立位)', null, '血醛固酮(立位)');
INSERT INTO `tran_lis_config` VALUES ('1377', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '人附睾蛋白4(HE4)', '人附睾蛋白4(HE4)', null, '人附睾蛋白4');
INSERT INTO `tran_lis_config` VALUES ('1378', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '人免疫缺陷病毒抗原抗体联合检测(HIVAb)', '人免疫缺陷病毒抗原抗体联合检测(HIVAb)', null, '人免疫缺陷病毒抗体');
INSERT INTO `tran_lis_config` VALUES ('1379', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '人乳头瘤病毒(HPV)核酸', '人乳头瘤病毒(HPV)核酸', null, '人乳头瘤病毒核酸');
INSERT INTO `tran_lis_config` VALUES ('1380', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '三碘甲腺原氨酸摄取率', '三碘甲腺原氨酸摄取率', null, 'T3摄取率');
INSERT INTO `tran_lis_config` VALUES ('1381', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '神经元特异性烯醇化酶测定(NSE)', '神经元特异性烯醇化酶(NSE)', null, '神经元特异性烯醇化酶');
INSERT INTO `tran_lis_config` VALUES ('1382', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '生长激素', '生长激素', null, '生长激素');
INSERT INTO `tran_lis_config` VALUES ('1383', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '瘦素测定', '瘦素', null, '瘦素');
INSERT INTO `tran_lis_config` VALUES ('1384', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '双氢睾酮(DHT)测定', '双氢睾酮(DHT)', null, '双氢睾酮');
INSERT INTO `tran_lis_config` VALUES ('1385', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '随机血糖', '随机血糖', null, '血糖');
INSERT INTO `tran_lis_config` VALUES ('1386', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '糖化血红蛋白', '糖化血红蛋白', null, '糖化血红蛋白');
INSERT INTO `tran_lis_config` VALUES ('1387', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '糖化血清蛋白', '糖化血清蛋白', null, '糖化血清蛋白');
INSERT INTO `tran_lis_config` VALUES ('1388', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '糖链抗原19-9(CA199)', '糖链抗原19-9(CA199)', null, '糖链抗原19-9');
INSERT INTO `tran_lis_config` VALUES ('1389', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '糖耐量试验', '糖耐量试验(2h)', null, '2h葡萄糖(糖耐量试验)');
INSERT INTO `tran_lis_config` VALUES ('1390', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '铁蛋白(Ferritin)', '铁蛋白(Ferritin)', null, '铁蛋白');
INSERT INTO `tran_lis_config` VALUES ('1391', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '同型半胱氨酸', '同型半胱氨酸', null, '同型半胱氨酸');
INSERT INTO `tran_lis_config` VALUES ('1392', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胃泌素释放肽前体(ProGRP)', '胃泌素释放肽前体(ProGRP)', null, '胃泌素释放肽前体');
INSERT INTO `tran_lis_config` VALUES ('1393', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '戊肝病毒抗体(HEVAb)', '戊肝病毒抗体(HEVAb)', null, '戊肝病毒抗体');
INSERT INTO `tran_lis_config` VALUES ('1394', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '细胞角蛋白片段19(CYFRA21-1)', '细胞角蛋白片段19(CYFRA21-1)', null, '细胞角蛋白片段19');
INSERT INTO `tran_lis_config` VALUES ('1395', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '纤维蛋白原(FIB)', '纤维蛋白原(FIB)', null, '纤维蛋白原');
INSERT INTO `tran_lis_config` VALUES ('1396', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '新斯的明试验', '新斯的明试验', null, '新斯的明试验');
INSERT INTO `tran_lis_config` VALUES ('1397', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '性激素结合球蛋白(SHBG)', '性激素结合球蛋白(SHBG)', null, '性激素结合球蛋白');
INSERT INTO `tran_lis_config` VALUES ('1398', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胸水结核分枝杆菌核酸测定', '胸水结核分枝杆菌核酸', null, '结核分枝杆菌DNA(胸水)');
INSERT INTO `tran_lis_config` VALUES ('1399', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '雄烯二酮(A2)测定', '雄烯二酮(A2)', null, '雄烯二酮');
INSERT INTO `tran_lis_config` VALUES ('1400', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血沉(ESR)', '血沉(ESR)', null, '红细胞沉降率');
INSERT INTO `tran_lis_config` VALUES ('1401', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血淀粉酶', '血淀粉酶', null, '淀粉酶');
INSERT INTO `tran_lis_config` VALUES ('1402', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血儿茶酚胺', '血儿茶酚胺', null, '儿茶酚胺');
INSERT INTO `tran_lis_config` VALUES ('1403', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血管紧张素Ⅰ', '血管紧张素Ⅰ', null, '血管紧张素Ⅰ');
INSERT INTO `tran_lis_config` VALUES ('1404', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血管紧张素Ⅱ', '血管紧张素Ⅱ', null, '血管紧张素Ⅱ(立位)');
INSERT INTO `tran_lis_config` VALUES ('1405', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血管紧张素转化酶(ACE)', '血管紧张素转化酶(ACE)', null, '血管紧张素转化酶');
INSERT INTO `tran_lis_config` VALUES ('1406', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血浆D-二聚体(D-Dimer)', 'D-二聚体', null, 'D-二聚体');
INSERT INTO `tran_lis_config` VALUES ('1407', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血浆肾素', '血浆肾素', null, '肾素活性(立位)');
INSERT INTO `tran_lis_config` VALUES ('1408', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血浆肾素活性', '血浆肾素活性', null, '肾素活性(立位)');
INSERT INTO `tran_lis_config` VALUES ('1409', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血浆胰多肽(PP)', '血浆胰多肽(PP)', null, '胰多肽');
INSERT INTO `tran_lis_config` VALUES ('1410', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血清胆囊收缩素(CCK)', '血清胆囊收缩素(CCK)', null, '胆囊收缩素');
INSERT INTO `tran_lis_config` VALUES ('1411', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血清脱氢表雄酮及硫酸酯测定', '血清脱氢表雄酮及硫酸酯', null, '脱氢表雄酮及硫酸酯');
INSERT INTO `tran_lis_config` VALUES ('1412', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血清胰高血糖', '血清胰高血糖', null, '胰高血糖素');
INSERT INTO `tran_lis_config` VALUES ('1413', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血清游离甲状腺素(FT4)', '血清游离甲状腺素(FT4)', null, '游离甲状腺素');
INSERT INTO `tran_lis_config` VALUES ('1414', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血清脂肪酶(LPS)', '血清脂肪酶(LPS)', null, '脂肪酶');
INSERT INTO `tran_lis_config` VALUES ('1415', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血清总补体活性', '血清总补体活性', null, '总补体活性');
INSERT INTO `tran_lis_config` VALUES ('1416', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血清总甲状腺素(TT4)', '血清总甲状腺素(TT4)', null, '总甲状腺素');
INSERT INTO `tran_lis_config` VALUES ('1417', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血绒毛膜促性腺激素(血HCG)', '血绒毛膜促性腺激素', null, '血绒毛膜促性腺激素');
INSERT INTO `tran_lis_config` VALUES ('1418', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血酮', '血酮', null, '酮体');
INSERT INTO `tran_lis_config` VALUES ('1419', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血吸虫抗体', '血吸虫抗体', null, '血吸虫抗体');
INSERT INTO `tran_lis_config` VALUES ('1420', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '厌氧菌培养及鉴定', '破伤风梭菌', null, '破伤风梭菌(厌氧菌培养及鉴定)');
INSERT INTO `tran_lis_config` VALUES ('1421', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '叶酸测定', '叶酸', null, '叶酸');
INSERT INTO `tran_lis_config` VALUES ('1422', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '衣原体检测（CT）', '衣原体', null, '衣原体(白带)');
INSERT INTO `tran_lis_config` VALUES ('1423', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胰岛素原', '胰岛素原', null, '胰岛素原');
INSERT INTO `tran_lis_config` VALUES ('1424', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '乙肝e抗体(HBeAb)', '乙肝e抗体(HBeAb)', null, '乙肝e抗体(定性)');
INSERT INTO `tran_lis_config` VALUES ('1425', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '乙肝e抗原(HBeAg)', '乙肝e抗原(HBeAg)', null, '乙肝e抗原(定性)');
INSERT INTO `tran_lis_config` VALUES ('1426', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '乙肝表面抗体(HBsAb)', '乙肝表面抗体(HBsAb)', null, '乙肝表面抗体(定性)');
INSERT INTO `tran_lis_config` VALUES ('1427', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '乙肝表面抗原(HBsAg)', '乙肝表面抗原(HBsAg)', null, '乙肝表面抗原(定性)');
INSERT INTO `tran_lis_config` VALUES ('1428', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '乙肝病毒DNA', '乙肝病毒DNA', null, '乙肝病毒DNA');
INSERT INTO `tran_lis_config` VALUES ('1429', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '乙肝核心抗体(HBcAb)', '乙肝核心抗体(HBcAb)', null, '乙肝核心抗原(定性)');
INSERT INTO `tran_lis_config` VALUES ('1430', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '幽门螺旋杆菌抗体检测', '幽门螺旋杆菌抗体', null, '幽门螺旋杆菌抗体');
INSERT INTO `tran_lis_config` VALUES ('1431', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '游离β-绒毛膜促性腺激素(β-HCG)', '游离β-绒毛膜促性腺激素(β-HCG)', null, '游离β-绒毛膜促性腺激素');
INSERT INTO `tran_lis_config` VALUES ('1432', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '游离三碘甲状腺激素(FT3)', '游离三碘甲状腺激素(FT3)', null, '游离三碘甲状腺激素');
INSERT INTO `tran_lis_config` VALUES ('1433', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '孕酮(P)测定', '孕酮(P)', null, '孕酮');
INSERT INTO `tran_lis_config` VALUES ('1434', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '支原体检测（UU）', '支原体', null, '支原体(白带)');
INSERT INTO `tran_lis_config` VALUES ('1435', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '总三碘甲状腺原氨酸(TT3)', '总三碘甲状腺原氨酸(TT3)', null, '总三碘甲状腺原氨酸');
INSERT INTO `tran_lis_config` VALUES ('1436', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '维生素VB12', '维生素VB12', null, '维生素B12');
INSERT INTO `tran_lis_config` VALUES ('1437', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '类风湿因子(RF)', '类风湿因子', null, '类风湿因子');
INSERT INTO `tran_lis_config` VALUES ('1438', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '肝功能', '谷草转氨酶', null, '谷草转氨酶');
INSERT INTO `tran_lis_config` VALUES ('1439', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '血清酶原检测', '谷草转氨酶', null, '谷草转氨酶');
INSERT INTO `tran_lis_config` VALUES ('1440', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '外周血涂片', '异淋细胞', null, '异淋细胞(外周血)');
INSERT INTO `tran_lis_config` VALUES ('1441', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', 'I131摄取率', '3h摄取率', null, '3h摄取率(I131碘摄取试验)');
INSERT INTO `tran_lis_config` VALUES ('1442', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', 'I131摄取率', '24h摄取率', null, '24h摄取率(I131碘摄取试验)');
INSERT INTO `tran_lis_config` VALUES ('1443', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿磷测定', '尿磷', null, '尿磷');
INSERT INTO `tran_lis_config` VALUES ('1444', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '尿钙测定', '尿钙', null, '尿钙');
INSERT INTO `tran_lis_config` VALUES ('1445', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '醛固酮(ALD)', '血醛固酮(卧位)', null, '血醛固酮(卧位)');
INSERT INTO `tran_lis_config` VALUES ('1446', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '催乳激素', '催乳激素', null, '泌乳素');
INSERT INTO `tran_lis_config` VALUES ('1447', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '骨源性碱性磷酸酶测定', '骨源性碱性磷酸酶', null, '骨源性碱性磷酸酶');
INSERT INTO `tran_lis_config` VALUES ('1448', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胃蛋白酶原检测(PG)', 'PG I', null, '胃蛋白酶原I');
INSERT INTO `tran_lis_config` VALUES ('1449', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胃蛋白酶原检测(PG)', 'PG II', null, '胃蛋白酶原II');
INSERT INTO `tran_lis_config` VALUES ('1450', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '胃蛋白酶原检测(PG)', 'PG I/II', null, '胃蛋白酶原比值');
INSERT INTO `tran_lis_config` VALUES ('1451', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '乙肝三系定量检测', '乙肝e抗体(HBeAb)', null, '乙肝e抗体(定量)');
INSERT INTO `tran_lis_config` VALUES ('1452', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '乙肝三系定量检测', '乙肝e抗原(HBeAg)', null, '乙肝e抗原(定量)');
INSERT INTO `tran_lis_config` VALUES ('1453', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '乙肝三系定量检测', '乙肝核心抗体(HBcAb)', null, '乙肝核心抗体(定量)');
INSERT INTO `tran_lis_config` VALUES ('1454', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A000', '乙肝三系定量检测', '乙肝表面抗原(HBsAg)', null, '乙肝表面抗原(定量)');

-- ----------------------------
-- Table structure for tran_patient_info
-- ----------------------------
DROP TABLE IF EXISTS `tran_patient_info`;
CREATE TABLE `tran_patient_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_code` varchar(16) NOT NULL COMMENT '医院编码',
  `code` varchar(16) DEFAULT NULL COMMENT '医院患者编号',
  `name` varchar(32) DEFAULT NULL COMMENT '患者姓名',
  `sex` int(1) DEFAULT NULL COMMENT '性别1男2女',
  `birthday` datetime DEFAULT NULL COMMENT '出生日期',
  `id_type` varchar(2) DEFAULT NULL COMMENT '证件类型',
  `id_no` varchar(30) DEFAULT NULL COMMENT '证件号码',
  `address` varchar(128) DEFAULT NULL COMMENT '家庭住址',
  `phone` varchar(20) DEFAULT NULL COMMENT '联系电话',
  `identity_num` varchar(18) DEFAULT NULL COMMENT '身份证号',
  `postcode` varchar(10) DEFAULT NULL COMMENT '家庭邮编',
  `contacts` varchar(32) DEFAULT NULL COMMENT '联系人',
  `contact_phone` varchar(12) DEFAULT NULL COMMENT '联系人电话',
  `work_unit` varchar(32) DEFAULT NULL COMMENT '就职单位名称',
  `operation` varchar(32) DEFAULT NULL COMMENT '职业',
  `country` varchar(8) DEFAULT NULL COMMENT '国籍',
  `nationality` varchar(8) DEFAULT NULL COMMENT '民族',
  `matrimony` int(2) DEFAULT NULL COMMENT '婚姻状况：0未婚，1已婚，2未知',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='患者信息表';

-- ----------------------------
-- Records of tran_patient_info
-- ----------------------------
INSERT INTO `tran_patient_info` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '1600', '沈强', '2', '1994-01-01 20:04:03', null, '9696969', null, null, null, null, null, null, null, null, null, null, null, null);
INSERT INTO `tran_patient_info` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '1601', '张三', '1', '2016-01-01 14:02:01', null, '24224242', null, null, null, null, null, null, null, null, null, null, null, null);

-- ----------------------------
-- Function structure for fnStripTags
-- ----------------------------
DROP FUNCTION IF EXISTS `fnStripTags`;
DELIMITER ;;
CREATE DEFINER=`root`@`%` FUNCTION `fnStripTags`( Dirty mediumtext ) RETURNS mediumtext CHARSET utf8
    DETERMINISTIC
BEGIN
  DECLARE iStart, iEnd, iLength int;
    WHILE Locate( '<', Dirty ) > 0 And Locate( '>', Dirty, Locate( '<', Dirty )) > 0 DO
      BEGIN
        SET iStart = Locate( '<', Dirty ), iEnd = Locate( '>', Dirty, Locate('<', Dirty ));
        SET iLength = ( iEnd - iStart) + 1;
        IF iLength > 0 THEN
          BEGIN
            SET Dirty = Insert( Dirty, iStart, iLength, '');
          END;
        END IF;
      END;
    END WHILE;
    RETURN Dirty;
END
;;
DELIMITER ;
